(CNN) -- "Cruising" -- the word conjures up images of overflowing buffets, arm-wrestling at the soft serve machine and death by deck quoits.

But there's another side to this kind of travel that spits in the eye of the stereotypical deckchair-hogging cocktail sipper -- and that's adventure and expedition cruising.

It's almost deceptive to call it "cruising."

It's truly "adventure by ship" where the often exotic destination is as much part of the attraction as the way you get there. These floating adventures take the form of anything from five-star Champagne explorations to ambling along in a tramp steamer.

10. Island safari, Hawaii, United States

Extreme rating: 6/10

No, not the land of nodding Elvis Presley dolls and plastic grass skirts. Over at Big Island, adventurous vacationers can get aboard the Safari Explorer with just 36 others and, in between kayaking, hiking among volcanoes and dolphin spotting, engage in a mesmerizing ballet with manta rays.

The cruise visits islands such as Moloka'i, a kind of frangipani fortress housing the true Hawaiian "aloha" spirit, and Lana'i, where you can hunt and shoot and go horseriding.

Un-Cruise Adventures, +1 888 862 8881, from $700 per person per night.

More: Best places to see the Northern Lights

9. Across the Northwest Passage, North America

Extreme rating: 6/10

Until only a few years ago, the fabled Northwest Passage was just a theoretical shipping route between the Atlantic and Pacific Oceans across the top of Canada.

For centuries, people died trying to get through and some of them are still there, buried in permafrost graves.

Now, with changing climates, the passage can be completed with more confidence and your bragging rights enhanced without fear of death.

While you're there, you can visit the Inuit communities who've lived on the ice for centuries.

OneOcean Expeditions, from $600 per person per night.

8. Through ancient Kimberley, Australia

Extreme rating: 7/10

The 16th-century Dutch explorers wouldn't have a bar of it. Australia's northwest is so inhospitable, it's even a challenge for the local Njikena and Punaba people who've lived there for thousands of years.

But this remote and harshly beautiful part of Australia is the country's adventure cruise hotspot. Its season is from April through to September, when the torrential rains have eased and water cascades off the plateau.

Infested with crocodiles and spotted with possibly the world's oldest rock art, the Kimberley is in danger due to unchecked oil and gas exploration -- you should go before it's spoiled.

North Star Cruises Australia, from $1,000 per person per night.

More: 8 of the world's cutest, coziest, wintriest scenes

7. Pacaya Samiria National Reserve, the Amazon

Extreme rating: 7/10

Sure, it's the world's largest river by volume but it's also a major sea lane. You reach the departure point for the Amazon's best cruising by flying to the city of Iquitos, Peru, and then making for the Pacaya Samiria National Reserve where the evocatively named Yanayacu (blackwater) and Ucayali (canoe breaker) rivers feed into the main body.

Wildlife in the reserve include piranha, sloths, rare pink dolphins and lots of noisy monkeys.

You can commune with the indigenous Ribereňos families who live along the banks before retiring to a luxury 24-passenger vessel to fry your piranha.

Aqua Expeditions, from $700 per person per night.

6. 'Jungle Book' tour, India

Extreme Rating: 7/10

The Brahmaputra River begins in the glaciers of Tibet before winding through India and emptying, 2,900 kilometers later, into the Bay of Bengal.

While the cruise aboard the delightfully anachronistic 24-person Charaidew trundles along from Guwahati to Tezpur, you can sip local tea and enjoy mild Assamese curries onboard. A visit to the UNESCO-listed Kaziranga National Park, for elephant, rhino and (maybe) tiger spotting, is one of the diversions en route.

Assam Bengal Navigation, from $400 per person per night.

More: World's 12 best shopping cities

5. Into wild West Africa

Extreme Rating: 8/10

The once war-torn republics that form a patchwork across Africa are opening up to seaborne tourists.

Countries such as Angola, Sierra Leone and Congo are starting to recover from their devastating conflicts, allowing visitors to explore the former slave ports, wildlife sanctuaries and voodoo markets.

Ramshackle villages along the coastal cruise route provide plenty of opportunities for eating, drinking, singing and dancing.

Now may be the time to go: Increasing piracy in the Gulf of Guinea is making marine insurers nervous.

G Adventures, from $600 per person per night.

4. Following Scott, Amundsen et al, Antarctica

Extreme rating: 8.5/10

When your neighbors come home from their heroic Antarctic cruise, chances are they've been on a doddle across to the continent's Peninsula.

You can trump them by following in the wake of real explorers such as Scott, Amundsen and Mawson. Sail to the Ross Sea or Commonwealth Bay, where these blokes walked out into the white, and you'll find the huts they left behind, still crammed in some cases with frozen 100-year-old kit.

Landing at Mawsons Hut can be tricky, though. If massive icebergs the size of small republics don't block your passage, the famed katabatic winds that blow up to 200mph threaten to push you back to Tasmania.

Heritage Expeditions, from $600 per person per night.

More: World's 12 worst tourist traps

3. Island hopping in the Pacific

Extreme Rating: 8.5/10

The ship looks like a prop from "Gilligan's Island," but the little 12-person Braveheart sets sail from Papeete for some of the most remote, uninhabited islands in the Pacific Ocean.

Pelagic specks with names such as Vostok, Starbuck, Jarvis, Washington and Palmyra Islands are the objective for no other apparent reason than they exist.

Finishing up in Western Samoa after 29 days, your objective is to have landed on 10 of these remote islands -- the company even offers a pro-rata refund if you don't.

Wild Earth Travel, from $1,200 per person per night.

2. Ice-breaking to the North Pole

Extreme rating: 9.5/10

It doesn't get much more extreme than this (although see below). Just 100 years ago voyagers to the North Pole received equivalent celebrity to the moon explorers Neil Armstrong and team in the 1960s.

You could still choose to haul your sled over the treacherous crevasses, hummocks and sastrugi (ice obstacles) or instead get aboard the world's most powerful icebreaker, the Russian nuclear 50 лет Победы (50 Years of Victory).

There's not a lot to see en route as 340MW turbines push 25,000 tons of steel through the icepack up to three meters thick on the way to 90 deg N.

Leaving Murmansk, in Russia, you're back within two weeks.

Quark Expeditions, from $2,000 per person per night.

1. Down to the Titanic wreck, Atlantic Ocean

Extreme Rating: 10/10

If crazy Clive Palmer's vision comes to life, you'll be able to sail on a replica Titanic in 2016.

But for a glimpse of life (and death) aboard the original 1912 vessel, you can get aboard a specialized submersible for an eight-hour joy ride down to the ship, 12,500 feet below the surface of the North Atlantic.

Trips are intermittent depending on demand and various legal wrangles, but if the Titanic is off the menu, tours are also available to Bismarck (15,000 feet) or the Mid-Atlantic Hydrothermal Vents at a trifling 10,000 feet.

Deep sea adventures are starting to compete with space travel as an extreme trip, with the likes of Sir Richard Branson considering ventures in this space too.

Adventure Associates, from $5,000 per person per night (dive time approx eight hours)

More: Thrill seeker's bucket list: 50 experiences to try before you die

For the best part of the last two decades, Roderick Eime has been scouring the farthest, coldest, windiest, driest, wettest and least visited parts of the planet while reporting for newspapers and magazines. Strange for a chap who's not so keen on discomfort. When not shivering, sweating or drying himself off, he is the editor of the Adventure Cruise Guide.

@highlight

Cruising isn't all about sipping cocktails while floating serenely across the ocean

@highlight

Aqua Expeditions allow passengers to commune with a local Amazon family before frying piranha on ship

@highlight

Adventure Associates offer the most extreme adventure cruise experience