Oakland, California (CNN) -- A judge has concluded that 13-year-old Jahi McMath, who suffered complications after tonsil surgery, is brain dead.

But it's unclear what will happen next to the California teen.

An attorney representing her family told reporters they haven't decided yet whether to appeal the judge's decision, which came after a court-appointed doctor testified Tuesday that Jahi was brain dead.

The judge has ruled that Jahi will remain on life support at least until December 30. Family members said they planned to spend Christmas in her hospital room, opening gifts and sipping hot chocolate.

Earlier Tuesday, Children's Hospital & Research Center Oakland argued that the court should lift a restraining order that requires life support for the girl.

"Because Ms. McMath is dead, practically and legally, there is no course of medical treatment to continue or discontinue; there is nothing to which the family's consent is applicable," the hospital wrote in court papers.

Standing outside the courthouse on Tuesday, family members said they were hoping for a holiday miracle while Jahi remains hospitalized.

"Christmas is tomorrow, so it'd be great if she woke up tomorrow. ... If this was your daughter, wouldn't you want her to wake up in the next five minutes?" said Omari Sealey, the girl's uncle.

Mother: 'I won't stop fighting' for daughter

Complications after tonsil surgery

Jahi was declared brain dead December 12, three days after tonsil surgery.

The case has drawn national attention and sparked protests from some local leaders who say the hospital should have provided better care.

On Monday, a judge appointed Dr. Paul Fisher, chief of pediatric neurology at Stanford Children's Hospital, to evaluate Jahi as an independent expert. Fisher testified Tuesday that Jahi meets the criteria for brain death.

Alameda Superior Court Judge Evelio Grillo previously ruled that the hospital must hold off on any decisions regarding discontinuing life support until December 30 and encouraged both sides to work together.

"This is a very, very charged case. The stakes are very high. There is a young girl involved, and I think it would suit both parties well if you would speak with each other about how we are going to get through the next few days," Grillo said.

Attorney: Family needs to process judge's ruling

Attorney Christopher Dolan said family members need to evaluate what the judge said on Tuesday before they decide on their next move.

"This involves some very serious religious beliefs about life and death," he said.

But he said he hoped the judge's decision sends a message to hospitals everywhere: "The parents come first."

"What this case represents legally is that parents can say no when a hospital says, 'We're pulling the plug.' They thought that a hospital shouldn't tell them their child was going to be removed from a ventilator," Dolan told reporters.

Mom vows to keep fighting

Mother Nailah Winkfield has said she'll keep fighting no matter what.

"I'm going to support her. It's my job to do it. Any mother would do it," Winkfield said in an exclusive interview with CNN's "The Lead" on Monday.

"I just want her to have more time. There are so many stories of people waking up in her situation."

Doctors say people don't wake up from Jahi's situation and that in her arguments, Winkfield has pointed to cases in which the patient had brain activity.

"Children's is currently merely preserving Ms. McMath's body from the natural post-mortem course of events. There is no legal, ethical or moral requirement that it continue to do so or that the family consent in the decision to stop doing so," the hospital's filing said.

"We have the deepest sympathy for Jahi's mother, who wishes her daughter was alive; but the ventilator cannot reverse the brain death that has occurred and it would be wrong to give false hope that Jahi will ever come back to life," Dr. David Durand, the hospital's chief of pediatrics, said in a statement Monday.

Winkfield told CNN on Monday that she'd seen recent improvements in her daughter's condition. A hospital monitor suggests her daughter is trying to breathe on her own, she said.

"They told me without your brain, you can't take your own breath," Winkfield said. "Well, she's trying, so that means something's working."

Hospital says they're investigating

Durand said Monday that hospital officials are looking into the matter and are "committed to learning what led to this catastrophic outcome."

"We are sorry that Jahi McMath suffered tragic complications from her complex surgery," he said. "Our hearts go out to the grieving family and community about this sad situation."

In its court filing Tuesday, the hospital also fought against a request by Winkfield to bring in Dr. Paul Byrne as an expert to study the case.

Byrne, a neonatologist and pediatrician, wrote on the website RenewAmerica.com that he believes "Jahi is not truly dead." The political site pushes its view of the Constitution.

He is "a crusader with an ideology-based bias," and is "neither a neurologist nor a California physician," the hospital argued.

When routine surgeries go wrong

CNN's Dan Simon reported from Oakland. CNN's Catherine E. Shoichet reported from Atlanta. CNN's Josh Levs, Dana Bash, Elizabeth Chmurak and Stephanie Elam contributed to this report.

@highlight

NEW: An attorney says the family hasn't decided whether to appeal

@highlight

A judge rules that Jahi McMath is brain dead

@highlight

"I just want her to have more time," her mother says

@highlight

13-year-old was declared brain dead after tonsil surgery