(CNN) -- Businesses exist to make a profit.

That's why they're businesses.

But, in their quest to make money, there are certain invisible lines they should be careful about crossing.

Making a profit is one thing. Going over the line and insulting your customers is another.

It's the kind of thing that can put a business out of business.

Almost every airline has been charging passengers to check bags for quite a while now. When the fees were first instituted, there was considerable grumbling, but travelers have become accustomed to it, even if they still don't much like it.

Executives who run the airlines know that passengers will always flock to a low fare. That's the primary reason the airlines began charging to check bags: Operating an airline is tremendously expensive, and to keep the basic ticket price as low as possible, the revenue had to be made up somewhere. Fees to change reservations, fees for meals, fees for early boarding, fees for pillows and blankets, fees for seats with a little extra legroom. . . .

Reporter Susan Carey of the Wall Street Journal recently wrote that "airlines are likely to keep looking for new ways to nickel-and-dime customers on formerly free items." She quoted George Hobica, an airline industry consumer advocate, as saying that "he wouldn't be shocked if big carriers eventually adopted fees for carry-on luggage."

That's not a typo. Fees for carrying on bags, not checking them.

Now, that could never really happen, right? That's just speculation, isn't it?

But in fact, there is already precedent in the U.S. aviation industry. Low-cost carrier Spirit Airlines charges its passengers a fee for their carry-on bags; based on when and where they purchase their tickets, the fee ranges from $25 to $50 per carry-on bag.

On its website, Spirit says that to provide "ultra-low basic fares," it gives its passengers "freedom to choose only the extras they value."

If the price wars continue to escalate, would the major airlines ever dare to tell their passengers that carrying their clothes along with them on a trip is an "extra" feature of flying for which the customers should be expected to pay an additional fee?

Because that's what the choice would come down to. If you buy a ticket and are told that you have to pay more to check your bags, and that if you don't check your bags you also have to pay more to carry them with you, your only alternative, if you object, would be to leave at home any clothes except the ones you are wearing.

That's where the invisible line between trying to make a profit, and insulting your customers, comes in.

More than a decade ago, First Chicago Corp., which became Bank One Corp., decided that it would be a bright idea to charge customers a fee -- $3 -- every time those customers interacted with a teller.

Banks were already charging fees to use ATMs -- people getting cash from the machines were paying a convenience fee.

But then First Chicago instituted the rule that, if customers with less than a certain amount of cash in their accounts went to a teller window, the conversation and transaction with the teller would cost them that $3. Customers with whom I spoke at the time said that even when they were making deposits, they would be charged for handing over their own money.

To some customers, that constituted robbery -- by the banks. There are a few things in this world, even in the world of business, that people should not be expected to pay for. When you walk into a bank, no matter what, dealing with a teller should be free. During the extensive public and media conversation over the issue, I expressed the opinion that any bank that charges any of its customers a penny to interact with a teller doesn't deserve to have any customers.

First Chicago became Bank One, and installed a new top man who had not made the original decision, but had inherited it. He was a fellow by the name of Jamie Dimon, who has, of course, since moved on to bigger things: As chairman, president and CEO of JPMorgan Chase, Dimon is one of the most powerful and influential financial figures in the world.

Back when he was newly at Bank One, he called me, saying he wanted to explain the business rationale for the teller fee. If you should ever unexpectedly receive a phone call from Jamie Dimon, you will immediately recognize (at least I did) that he is smarter than you, that he is 100 % certain that his position is the correct position, and that he is confident that he can persuade you to come around to his side.

But, world-class persuasiveness notwithstanding, in the case of teller fees the policy was destined ultimately to fail, because it crossed that mythical line: It insulted the customers. Two years after that conversation, Bank One announced that it was dropping the fee. One of its top executives told a reporter: "Why have it? I wasn't here when we started it. I really don't understand why we'd have it."

(Yet, as some readers already are thinking, there are banks around the country that have figured out new ways to charge for dealing in person with tellers without using the label "teller fee." It usually shows up on the monthly statement, under some arcane heading. The desire to make that extra buck never seems to end.)

Will you eventually be paying to carry your bag onto a plane? Southwest Airlines has garnered a lot of good will, and a lot of business, by holding out against the movement to charge for checked bags -- Southwest still checks the first two bags for free. JetBlue doesn't charge for the first checked bag. If some major carriers announce that they are instituting a fee for carry-ons, the best counteroffensive will likely come from one or more of their competitors, who may choose to proclaim:

"Come fly with us. We don't charge you to carry your own bag."

For the beleaguered traveling public, that may even sound like a victory.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Businesses exist to make profit. But would airlines stoop to charging for carry-ons?

@highlight

At least one small carrier does, he says. Such a business move insults customers

@highlight

He says Chicago bank once charged $3 to bank with a teller. They had to drop fee

@highlight

Greene: For exasperated public, "We don't charge you to carry your bag" can seem a bargain