(CNN) -- Monday's arrest of five men accused of aiming to bomb an Ohio bridge raises disturbing questions about the attraction to violence of some contemporary anarchists. But it also offers critical lessons to Americans about the nature of the domestic terrorist threat they faceâ€”a threat more diverse in its ideological origins than commonly appreciated.

Since 9/11 the country has been concerned primarily with terrorist threats from militants inspired by a violent jihadist ideology, like that associated with al Qaeda. In recent years fears have focused on Muslim "homegrown" terrorism, which typically involves plots in the United States initiated by American residents and citizens who are inspired by jihadi ideology, but lack formal connections to al Qaeda or foreign militant organizations.

Muslim homegrown terrorists may draw the attention of a nation still traumatized by 9/11, but such plots are no more numerous or serious than those perpetrated by other domestic terrorists in the United States. As the country's history and Monday's arrests underscore, extremism comes in many incarnations. Focusing only on terrorism perpetrated by American Muslims misrepresents the scope and nature of domestic terrorism in the United States. It risks leaving us vulnerable to attacks from other sorts of violent idealogues and promotes a hurtfulâ€”and pointlessâ€”tension between Muslim-Americans and other Americans.

There have been many instances of non-jihadist terror in the U.S. Some may recall that in the late 1960s and 1970s the country faced an onslaught of bombings and attacks by social revolutionary groups and Puerto Rican nationalists. That violent era eventually ebbed, but then in the 1980s and 1990s the country witnessed an upsurge of threats from right-wing militants.

While Timothy McVeigh's 1995 bombing of the Alfred P. Murrah Federal Building in Oklahoma City was unusual in its lethality, it was unfortunately far from the only plot hatched by extremists on the right. The Southern Poverty Law Center documents 75 plots, of varying degrees of operational advancement, between July 1995 and June 2009 and an additional 22 from 2009 through November 2011.

A study by the Institute for Homeland Security Solutions, a research consortium in North Carolina, found that from 1999-2009, in the United States there were 17 al Qaeda-inspired plots undertaken, 20 plots initiated by white supremacists and 17 by violent anti-government militants. Recent attacks include the 2009 shooting of a guard at the U.S. Holocaust Memorial Museum and the murder by "sovereign citizens" in 2010 of two Arkansas police officers at a traffic stop. In January 2011, a bomb laced with rat poison was found in a backpack along the route of a Martin Luther King Jr. parade in Spokane, Washington.

Eco-terrorists and animal rights activists too have perpetrated their share of bombings and attacks in the United States, especially in the last decade. While these groups aim to avoid civilian deaths, accidents can happen and produce sobering acts of violence.

Add to the mix militants inspired by jihadist ideology. In the decade following 9/11, by my own accounting, there have been 18 plots in which militants have taken at least some preliminary operational steps to realize their deadly mission. Like the alleged anarchist attack, 12 have involved informants and federal agents whose presence can help advance plots that otherwise may have remained aspirational.

All but two of these plots have failed or been foiled by law enforcement: Army Major Nadil Malik Hasan's 2009 Fort Hood attack and a lesser known shooting, also in 2009, outside a Little Rock army recruiting center that harmed two soldiers. The perpetrators of all 18 homegrown plots had been known to law enforcement before their attempted attacks, with the exception of the May 2010 Times Square bomber, Faisal Shahzad, whose own failings as a bomb-maker, despite his overseas training, underscore the challenges of successfully executing attacks in the contemporary United States.

Some may recoil at grouping right-wing, single-issue, and left-wing terrorists with militant jihadists. Yet, there are several benefits to promoting a more comprehensive assessment of the domestic terrorist threat. First, it ensures that society remains vigilant against threats from different sub-groups and that law enforcement has the support and bureaucratic incentives to do the same. As Norwegians learned with the 2011 attacks by Anders Behring Breivik, neglecting the threat from the right (or other ideological extremes) can leave society dangerously vulnerable.

Second, focusing our attention on domestic terrorism of all types and not just that generated by Muslim Americans can help heal the social rifts generated by 9/11. Singling out Muslim militants when we talk about terrorism in the U.S. adds to the mutual alienation of Muslims and Americans of other backgrounds. By unifying in opposition to extremism of all types, we demonstrate to ourselves and to our terrorist adversaries abroad that we remain true to American values and principles.

The opinions expressed in this commentary are solely those of Risa Brooks.

@highlight

Risa Brooks says foiled Ohio bombing plot reminder of diversity of U.S. terror

@highlight

She says nowadays Americans mistakenly associate homegrown terror just with jihad

@highlight

She says a 1999-2009 study found most plots white supremacist, anti-government

@highlight

Brooks: It's crucial to focus efforts on extremists of all kinds, not just Islamist