(CNN) -- A single gene, called MYH9,  may be responsible for many cases of kidney disease among African-Americans, researchers say.

Dr. Barry Freedman, right, speaks with a colleague in a dialysis center at Wake Forest Baptist Medical Center.

Although doctors have blamed hypertension for causing common forms of kidney disease in African-Americans, new research shows that high blood pressure may not be the chief cause.

"The MYH9 gene association in African-American kidney disease is the most powerful genetic cause of a common disease yet discovered," said Dr. Barry Freedman, professor of internal medicine and nephrology at Wake Forest University, who led a team of researchers in isolating the gene.

About 70 percent of African-Americans with non-diabetic forms kidney disease have the MYH9 gene, and many of them end up on dialysis, he said. The gene predisposes African-Americans to the kidney disease that was thought to stem from high blood pressure. It also gives them a higher risk of kidney disease associated with HIV.

"This genetic finding will forever change the way that we categorize the causes of kidney disease. It has the potential to lead to new treatment options to prevent this devastating disease," Freedman said.

Kidney disease is a serious health issue among African-Americans, who have a fourfold higher risk of developing all common forms of it than whites in the United States.

Dr. Bryan Becker, president of the National Kidney Foundation, called the research "seminal work" in identifying a gene associated with common kidney diseases.

Still, the gene has not been shown to be the sole cause of kidney damage, Becker said. Diabetes and hypertension remain the most common causes of chronic kidney disease in the United States, he said.

There is no reason to screen all African-Americans for the risk variant of this gene, or even all African-Americans with high blood pressure, because it is common among all African-Americans, Freedman said.

Genetic screening would be most useful for people who have close relatives on dialysis, meaning they are at high risk, or individuals who want to donate kidneys, he said. There have not been studies on who should be screened, he said.

Freedman conducted the research along with colleagues at the National Institute of Diabetes and Digestive and Kidney Diseases and the Family Investigation of Nephropathy and Diabetes Study.

The team discovered that the gene accounts for nearly half of kidney failure among African-Americans, including diabetic-related and non-diabetic-related kidney disease.

Researchers are now exploring what kinds of environmental triggers might cause the gene to promote kidney failure. HIV seems to trigger the gene and cause kidney failure, he said.

Many kidney doctors had theorized that African-Americans developed kidney disease more often than whites because they might not get to see their doctors as often, had more severe high blood pressure and faced other environmental stressors, Freedman said. But research shows that the risk variant of the MYH9 gene is more prevalent in among African-American populations than white populations and seems to explain much of the excess risk for non-diabetic kidney disease in African-Americans, he said.

It is still important for people to treat hypertension, which can speed up the weakening of kidneys in people with kidney disease, Freedman said. Untreated high blood pressure also leads to heart attack and stroke, he said.

Dr. Michael Roizen, chief wellness officer at the Cleveland Clinic and author of "RealAge: Are You as Young as You Can Be?" said the question still remains whether the gene initiates hypertension and kidney disease, and to what extent hypertension causes kidney disease.

"Most physicians would say that the reason blood pressure is so important is that higher levels of blood pressure cause kidney disease, and kidney disease cause higher levels blood pressure, and there's a vicious circle," he said.

Becker also noted that researchers will have to sort out the interactions between the MYH9 gene and hypertension, as well as the gene and diabetes.

No one knows why African-Americans tend to have a higher risk for hypertension. One controversial hypothesis, known as the Middle Passage theory, is that black people who survived the harrowing trip across the Atlantic Ocean from Africa in the holds of ships did so because their bodies were better able to preserve salt, allowing them to avoid death by dehydration. Therefore, the theory goes, some African-Americans have a higher prevalence of "salt-sensitive hypertension": Their blood pressure increases by unusually high amounts in response to salt.

This theory has not been proved, or even widely studied, but the idea continues to permeate popular culture and generate discussion.

The isolation of the MYH9 gene does not necessarily refute the theory, Roizen said.

"To survive, they had to retain salt, and they had to have a gene to help them do that," he said.

@highlight

Study: Gene predisposes African-Americans to common kidney disease

@highlight

Interactions between the MYH9 gene and hypertension are still unknown

@highlight

It is still important for people to treat hypertension, experts say