(CNN) -- A new study on healthy women with genetic mutations that sharply increase the risk of breast and ovarian cancer supports the old adage: An ounce of prevention is worth a pound of cure.

The report, published online Monday in the Journal of Clinical Oncology, studied nearly 5,800 women with specific genetic mutations called BRCA1 and BRCA2.

Researchers found that women with BRCA1 and BRCA2 mutations who protectively had their ovaries removed reduced their risk of ovarian, fallopian tube, or peritoneal cancer by 80%, and their overall risk of death by 77%.

BRCA stands for breast cancer susceptibility genes, a class of genes known as tumor suppressors. Mutations of the BRCA1 and BRCA2 genes have been linked to hereditary breast and ovarian cancer.

According to Monday's study, women with BRCA1 mutations should have preventive ovarian surgery-- known as prophylactic oophorectomy -- by age 35, as waiting appears to increase the risk of ovarian cancer. In contrast, women with BRCA2 mutations can safely delay surgery until their 40s, the study suggests, as their risk of ovarian cancer is not as strong.

The new research provides doctors with additional information to support the risk-reducing surgery, said ovarian cancer expert Dr. Shannon Westin.

Removing the ovaries in these patients "provides more benefits than just the reduction in ovarian cancer because this study shows there's a survival benefit that has not been shown this clearly before," she said.

7 questions on cancer gene testing

Westin is an assistant professor in the Department of Gynecologic Oncology and Reproductive Medicine at the MD Anderson Cancer Center in Houston. She was not involved in the study.

According to the American Cancer Society, previous studies have shown that removing the ovaries of a premenopausal woman with BRCA mutations can reduce the risk of ovarian cancer by 85% to 95%, and the risk of breast cancer is cut by 50% to 60%.

But Monday's study is the first study to show an overall mortality reduction benefit.

"To me, waiting to have oophorectomy until after 35 is too much of a chance to take," said Steven Narod, professor of medicine at the University of Toronto in Canada, and the study's lead author. "These data are so striking that we believe prophylactic oophorectomy by age 35 should become a universal standard for women with BRCA1 mutations."

BRCA mutations grabbed national headlines last year when actress Angelina Jolie announced she carries a mutation of the BRCA1 gene and had underwent a preventive double mastectomy at age 37 to reduce her risk of breast caner.

Jolie's mother, actress and producer Marcheline Bertrand, died of ovarian cancer in 2007 at the age of 56.

"My doctors estimated that I had an 87 percent risk of breast cancer and a 50 percent risk of ovarian cancer, although the risk is different in the case of each woman," Jolie wrote in a New York Times op-ed article in May.

"Once I knew that this was my reality, I decided to be proactive and to minimize the risk as much I could," she said. "I started with the breasts, as my risk of breast cancer is higher than my risk of ovarian cancer, and the surgery is more complex."

Dr. Agustin Garcia, an associate professor of Clinical Medicine at Keck Medicine of University of Southern California, said another important aspect of the study is how it breaks down the differences researchers saw between BRCA1 and BRCA 2 carriers.

"In most of the guidelines, we don't distinguish between the two, but this study separated the two groups for potential age for prophylactic oophorectomy," said Garcia, who was not involved in the research.

He said the study tells women with the BRCA2 mutation they can probably wait until they are 50 to have their ovaries and fallopian tubes removed.

"These results could make a real difference for women with BRCA mutations, who face tough decisions about whether and when to undergo a prophylactic oophorectomy," Don Dizon, a member of the cancer communications committee at the American Society of Clinical Oncology, said in a statement.

"Importantly, for women who will be undergoing this surgery early in life, it's reassuring to see that it carries long-lasting benefits, substantially reducing ovarian cancer risk as well as total mortality risk," he added.

Why more women are choosing double mastectomies

CNN's Ed Payne contributed to this report.

@highlight

BRCA stands for breast cancer susceptibility genes

@highlight

Angelina Jolie put BRCA mutations in headlines last year

@highlight

The study was published by the Journal of Clinical Oncology