(CNN) -- The people who killed three Israeli teenagers have hurt the Israeli people deeply, there's no doubt about that. But they have also harmed Palestinians, and they have hurt the cause of peace.

Anyone who fails to condemn this horrific act -- the murder of students going home from school -- is contributing to the poison that makes peace so difficult in the Mideast. Anyone who hesitates, who equivocates, is helping to prolong the conflict.

For Palestinians and their supporters around the world, if you remain silent about the killing of Israelis, you are adding to the duration and bitterness of this conflict. Excuse this atrocity, and you condemn the people of this area to remain enemies for the foreseeable future.

That does not mean you cannot criticize Israeli actions, but the cold-blooded murder of Israeli children will have the effect of making Israelis less willing to believe they can accept Palestinians as their neighbors and live in peace.

Israelis today are consumed with grief, but they are watching how the world reacts. They are watching how Palestinians react.

I, for one, am convinced that the vast majority of Israelis would strongly support, even advocate and push for a withdrawal from the West Bank if they really believed that they would be safe living alongside a Palestinian state. These attacks undermine their confidence. They provide evidence to back the claim that Palestinians will never let that happen, that what they really want is to destroy Israel.

In the hours after we learned that bodies of the three teens -- Eyal Yifrach, 19, Gilad Shaar, 16 and Naftali Frankel, 16 -- had been found under a pile of rocks in a field near Hebron, reaction has been predictable and often disheartening, just as it was when we found out someone had kidnapped them on June 12.

Frankel, it's worth noting, was an American citizen, which brings up the question of how the United States will respond to his killing. Secretary of State John Kerry said earlier that "many indications point to Hamas involvement," noting that Hamas, designated as a terrorist organization by many countries, has used kidnappings in the past. The FBI says it has launched an investigation.

The atrocities were swiftly condemned by some countries. On social media, there has been a flurry of accusations against Israel ahead of what is expected to be a strong Israeli reaction against Hamas, which Prime Minister Benjamin Netanyahu says he is absolutely sure carried out the operation.

But others were slow to comment. It took the European Union's foreign policy chief almost a week to condemn the kidnappings. She did it only after Israel complained about European silence.

Days earlier, Israeli forces rushed into the West Bank in an urgent and ultimately unsuccessful effort to find the three before they were killed. The military deployment produced clashes with protesters in which five Palestinians were killed by Israeli soldiers. That received a great deal of attention.

The mothers of the kidnapped students appealed for help at the U.N. Human Rights Council in Geneva, describing "every mother's nightmare...waiting and waiting endlessly for her child to come home." They described their children, one was an amateur pastry chef. Another "loves to play guitar and basketball. He's a good student and a good boy," said a heartbroken Racheli Frankel of her son Neftali.

But the Human Rights Council reacted to her tearful words with chilling indifference.

Many others, including human rights organizations, tempered their criticism of the kidnapping by calling the boys "settlers." The truth is that two of the three did not live on the West Bank. They lived west of the Green Line well inside Israel. The third lived in a settlement called Efrat, in the Gush Etzion area, which was in Jewish hands before the 1967 war, even before the 1948 war, and even Jimmy Carter, a harsh critic of Israeli settlement, agrees it will remain in Israel after a Palestinian state is created. Every peace plan has agreed.

But that's hardly relevant. The teens were students, not warriors. Kidnappings are immoral. Murder is inhuman.

For some Palestinians, the kidnapping was cause for celebration. A new three-finger salute became popular, marking the capture of three Israelis. The Facebook page for Fatah, the Palestinian Authority's main party, had a number of cartoons, including one showing the three teenagers as Jewish rats, wearing yarmulkes, caught on a fishing line.

To his great credit, Palestinian Authority President Mahmoud Abbas condemned the kidnapping. For that, he came under fierce criticism. Hamas, which is now part of the Palestinian Authority government in a unity deal with Fatah, made no effort to conceal its glee.

Hamas denies it had anything to do with the kidnapping. But earlier, its exiled chief, Khaled Meshal, was ambiguous about responsibility, saying only "I congratulate the abductors."

Opinion: Slain teens call for justice, not escalation

When Israeli authorities named two Hamas members as the perpetrators, the mother of one of the men told Israeli television "If he did it, I'll be proud of him." She joins other Palestinian mothers proud of children who commit murder, adding to Israelis' doubts about future coexistence.

Israelis are watching closely to see what Abbas does about his unity deal with Hamas, an organization that is openly committed to Israel's destruction. If Israel can show definitive proof that Hamas was indeed behind the kidnapping and killing, it is inconceivable that Abbas would let the unity deal stand. It is even more inconceivable that the United States and Europe would continue providing millions to support the Palestinian Authority under those conditions.

This killing hurts Israelis and Palestinians who want peace. The only way this tragedy could be turned into a positive step would be if the Palestinians who support reconciliation, who are outraged by what happened, would speak out loudly against it. That would spark a positive reaction and create energy toward reconciliation. Can that happen? In this atmosphere, we can only hope for a positive surprise.

@highlight

Frida Ghitis: The killing of three Israeli students hurts Mideast peace process

@highlight

Ghitis: Israelis are consumed with grief, but they are watching how the world reacts

@highlight

She says Palestinians who are outraged should speak out loudly against the tragedy

@highlight

Ghitis: That would spark a positive reaction and create energy toward reconciliation