Big Bear Lake, California (CNN) -- The ex-cop suspected in the killings of an officer and two others remained at large Friday as darkness fell over a mountain forest and police suspended their manhunt until Saturday morning.

"Once it gets dark out there and the snow keeps falling and they have no air support, I don't know how effective they would be in that situation," spokeswoman Cindy Bachman of the San Bernardino County Sheriff's Department said.

Throughout Friday, more than 100 officers searched through fresh snow for clues to the whereabouts of Christopher Jordan Dorner, 33, a fired Los Angeles Police Department officer and former Navy lieutenant suspected in the three killings.

Dorner allegedly wrote a manifesto declaring a war of revenge on police, authorities said.

By Friday night, police were expected to have completed a search of vacant cabins in the snowpacked forest of the San Bernardino Mountains near the resort town of Big Bear Lake, Bachman said.

Police on Thursday searched 400 homes in the Big Bear Lake area and were completing searches of 200 more on Friday, she said. Overnight patrols in the town were to be beefed up with 12 extra two-officer teams, she said.

"The search is continuing," Bachman said. "First of all, they have to rest. They have been going at this for two days."

Police teams were dressed in snow gear, holding the trigger guards on their assault-style rifles while scouring eight square miles near Big Bear Lake, a popular skiing area two hours east of Los Angeles.

The mountains were the focus of Friday's search effort because police had found Dorner's burned-out pickup truck a day earlier near the resort community.

The truck had a broken axle, which would have prevented the vehicle from moving, and footprints appear to show that Dorner doubled back into the community, said a source with knowledge of the investigation.

It was unclear where Dorner may have gone from there or by what means, the source said.

But Bachman told reporters Friday: "The possibility exists that he is here, somewhere in the forest, so we're going to keep looking...until we determine that he's not here."

Guns found in the truck were also burned, but authorities believe Dorner may have as many as 30 guns with him, the source said. Dorner was in the Navy and is trained in counterinsurgency and intelligence, the source said.

Two inches of snow Friday coated the mountaintop pine trees and roads around Big Bear Lake, leading motorists to use tire chains. Up to six more inches were expected. But the snow was regarded as a godsend because tracking a man on the run would be easier, authorities said.

Despite the intense search, authorities allowed nearby ski resorts to remain open Friday because they don't believe Dorner is in Big Bear Lake. At one point, a smiling snowboarder whizzed by police and media, seemingly oblivious to an ongoing news conference and the seriousness of the manhunt.

Jay Obernolte, mayor of Big Bear Lake community, described Friday as having "a beautiful winter morning." Residents weren't fearful, he said, adding that "many of the people here are armed."

"Is there panic in our community?" Obernolte asked reporters rhetorically. "No, there is no panic. We're a hearty people in the San Bernardino Mountains."

San Bernardino County Sheriff John McMahon said the snowfall slowed some searching done by foot, but police pushed onward.

"The snow is great for tracking folks, as well as looking at each individual cabin to see if there's any sign of forced entry," McMahon said.

"We're going to continue searching until we either discover he left the mountain or we find him," he added. "It's extremely dangerous."

Related: Manhunt leaves LAPD officers 'tense'

The county jail in downtown Los Angeles was in lockdown Friday as a precaution after a civilian female employee of the Twin Towers Correctional Facility spotted someone fitting Dorner's description, said Los Angeles County sheriff's spokesman Steve Whitmore.

U.S. Navy installations throughout California and Nevada were "maintaining a heightened security posture," a U.S. military official told CNN.

"Security personnel are on the lookout" for Dorner, the official said. The measure was ordered overnight by Rear Adm. Dixon Smith, commander of the Navy's southwest region.

The official declined to discuss security procedures, but said the move was made after it became clear that Dorner earlier this week gained access to the Naval Base at Point Loma and stayed in a motel there.

Two sailors reported that he approached them Wednesday and spoke with them for about 10 minutes. The conversation took place at a coastal "riverine" unit in San Diego where Dorner served in 2006. As a Navy reservist, Dorner held security jobs with that unit.

The Navy is not certain whether Dorner still possesses any military identification he might try to use to enter a facility. The official said an investigation is under way to determine what military identification he might have.

Dorner underwent flight training in 2009 at Naval Air Station Fallon in Nevada before serving in San Diego.

In La Palma, California, about 22 miles southeast of Los Angeles, police searched Friday the home of Dorner's mother, where she and a daughter were cooperating with investigators, said Lt. Bill Whalen of the Irvine Police Department.

Related: Dorner's grudge dates back to 2007

The 270-pound former Navy lieutenant promised to bring "unconventional and asymmetrical warfare" to police officers and their families, calling it the "last resort" to clear his name and retaliate at a department that he says mistreated him.

Dorner is wanted in the killings on Sunday of two people in Irvine and in the shooting of three Los Angeles-area police officers Thursday, one of whom died.

One of the victims of the Irvine killings, Monica Quan, was the daughter of the retired police officer who represented Dorner in his efforts to get his job back, police said.

"My opinion of the suspect is unprintable," Riverside police Chief Sergio Diaz said, hours after one of his officers was killed. "The manifesto, I think, speaks for itself (as) evidence of a depraved and abandoned mind and heart."

Related: Timeline of events

Here's what is known so far:

-- Dorner, who worked as an LAPD officer from 2005 to 2008, is accused of killing Quan and her fiance Sunday in Irvine, then shooting two Riverside police officers and an LAPD officer Thursday. Police say he unleashed numerous rounds at the Riverside officers, riddling their car with bullets and killing a 34-year-old officer. The second officer in the car was seriously wounded, and the LAPD officer suffered only minor injuries, police said.

-- In a lengthy letter provided by police, Dorner said he had been unfairly fired by the LAPD after reporting another officer for police brutality. He decried what he called a continuing culture of racism and violence within the department, and called attacks on police and their families "a necessary evil that I do not enjoy but must partake and complete for substantial change to occur within the LAPD and reclaim my name."

-- Leads have taken police from Los Angeles to San Diego to Las Vegas to Big Bear Lake, where police found the charred carcass of Dorner's gray pickup. Police had found no trace of him Friday, the San Bernadino County sheriff said. Trackers lost footprints believed to be Dorner's in a wooded area near the truck.

-- The LAPD and other agencies have gone to extremes to protect officers. Forty teams of officers were guarding people named as targets in Dorner's letter. On Thursday, one of the teams shot at a pickup that resembled Dorner's but turned out to be a Los Angeles Times newspaper delivery vehicle.

-- Despite Dorner's statement in the letter that "when the truth comes out, the killing stops," Los Angeles police Chief Charlie Beck said authorities don't plan to apologize to Dorner or attempt to clear his name. Dorner's firing, Beck said Thursday, had already been "thoroughly reviewed."

-- In Nevada on Thursday, FBI agents searched Dorner's Las Vegas home. The search forced some of Dorner's neighbors out of their homes for several hours, CNN affiliate KLAS reported.

"It's too close to home. It's kind of scary," neighbor Dan Gomez told KLAS.

A message to the media

In addition to posting his manifesto online, Dorner mailed a parcel to AC360 Anchor Anderson Cooper's office at CNN in New York.

The package arrived on February 1 and was opened by Cooper's assistant. Inside was a hand-labeled DVD, accompanied by a yellow Post-it note reading, in part, "I never lied" -- apparently in reference to his 2008 dismissal from the LAPD.

The package also contained a coin wrapped in duct tape. The tape bears the handwritten inscription: "Thanks, but no thanks, Will Bratton." It also had letters that may be read as "IMOA," which could be a commonly used Internet abbreviation for "Imagine a More Open America," or possibly "1 MOA," which means one minute of angle, perhaps implying Dorner was accurate with a firearm.

The coin is a souvenir medallion from former LAPD Chief William Bratton, of a type often given out as keepsakes. This one, though, was shot through with bullet holes: three bullet holes to the center and one that nicked off the top.

The editorial staff of AC360 and CNN management were made aware of the package Thursday. Upon learning of its existence, they alerted Bratton and law enforcement.

Bratton headed the LAPD at the time Dorner was dismissed.

CNN's Michael Pearson, AnneClaire Stapleton, Deborah Feyerick, Sara Weisfeldt, Barbara Starr, Pete Janos, Mallory Simon, Brad Lendon, Deanna Hackney, Greg Botelho and Dana Ford contributed to this report. Paul Vercammen reported from Big Bear Lake and Michael Martinez reported and wrote in Los Angeles.

@highlight

As darkness and snow falls, police scale back manhunt until Saturday

@highlight

"The possibility exists that he is here, somewhere in the forest," official says

@highlight

Christopher Dorner may have as many as 30 guns with him, a source says

@highlight

Dorner is trained in counterinsurgency and intelligence, the source says