(CNN) -- In a few days, people in the Midwest and Northern Plains will have reason to be jealous of what their countrymen in the Northeast are going through now -- digging out from as much as 2 feet of snow, dealing with the effect of blizzard-level winds, and feeling the heat of below-zero temperatures.

Because as cold as it is now, it's practically tropical compared to what's coming.

Think lows in the -20s Fahrenheit across North Dakota and Minnesota, with wind chills of -50 or even more frigid, according to the National Weather Service.

Sunday night in Chicago will be a brisk minus 16 to 20, or 35 below to 45 below zero if you factor in the Windy City's wind.

Those at Lambeau Field for the Green Bay Packers vs. San Francisco 49ers NFL game may cheer against overtime, given that the wind chill may dip to 50 below in Wisconsin that night. As the weather service's Twin Cities, Minnesota, division warns, "Exposed flesh can freeze in as little as five minutes with wind chills colder than 50 below."

The same agency tweeted that this system will produce "the coldest air in two decades."

In fact, between Friday and Wednesday, nearly 140 million Americans -- nearly half the nation -- will experience temperatures of 0 degrees Fahrenheit or below, according to a CNN calculation.

As Packers head coach Mike McCarthy said Friday: "This is not the norm."

'The snow was absolutely insane'

It's not like those who braved the latest storm have it easy.

Just ask Ford Fischer. The CNN iReporter spent part of Friday trying to clear the driveway around his home in Boxford, Massachusetts, where the weather service said more snow -- 23.8 inches -- fell than in any other community hit by the Thursday-into-Friday nor'easter. Every time he finished a spot, he'd turn around and see it covered with snow again.

"The snow was absolutely insane," Fischer said, "and totally nonstop."

Even after the snow was done, he and others affected by this storm system were in for a tough few hours, thanks to the cold.

Temperatures in parts of New York City, where as much as 8 inches of snow fell, were predicted to drop to zero Friday night for the first time since January 1994. It was also set to dip below zero, with minus 17 wind chill, in Boston after nearly 18 inches of snow.

Fears of widespread power outages didn't come to bear, despite blizzard-level winds in some places. By 5 p.m. Wednesday, major utilities in New York, New Jersey, Pennsylvania and New England were reporting just over 1,100 outages, a far cry from a major nor'easter last February that knocked out electricity to more than 630,000 customers.

As happens with such weather, there was tragedy as well.

Three people died in car accidents in Pennsylvania -- including one man crushed as he was moving street salt with a forklift. Emergency management agency spokesman Cory Angell said these deaths were weather-related. In Byron, New York, a 71-year-old woman wandered away from her home Thursday night and was later found dead in the snow in a wooded area about 100 yards away, the Genesee County Sheriff's Office reported.

In Oakland, New Jersey, a calamity was averted when authorities rescued a 34-year-old man who fell through ice in Ringwood State Park as he tried to retrieve one of his snowshoes, said environmental protection department spokesman Larry Ragonese.

Air traffic delays abound

Then there were the thousands stuck at airports nationwide because of system-wide delays -- though at least they were suffering inside, not in the frigid cold.

FlightAware.com, which tracks cancellations due to weather and mechanical problems, said about 3,000 flights were canceled for Friday within, into or out of the United States. That's after more than 2,600 U.S. flights were canceled on Thursday.

Though the temperature in Las Vegas was 52 degrees -- above zero -- passengers there were also feeling the storm's sting. Long lines formed inside McCarran International Airport at the counters for Southwest Airlines, which had canceled many of its flights from Chicago. The airline carries 40% of the airport's passengers, according to Chris Hayes, an airport spokesman.

"We are doing everything possible to get back up and running as soon as possible," Southwest Airlines spokesman Dan Landson said on Friday afternoon.

Flights resumed by late Friday morning in much of New England, though delays were common, and ticket holders were urged to check with their airlines.

Barb Plooster had planned to fly Friday from Erie, Pennsylvania, to Grand Rapids, Michigan, but her flight was canceled. She told CNN affiliate WICU that she was on the phone with United Airlines for five hours trying to find a way to get home, but concluded she will have to wait until Monday. "We got a warm place to stay, get to visit the kids, the grandkids, so it's OK," she said.

Historically cold arctic air mass

This being winter, after all, there's more snow coming -- and perhaps more delays, more accidents, and more headaches.

One storm threatened to bring blizzard conditions to North Dakota as well as parts of South Dakota and Minnesota on Friday night and Saturday, the weather service said.

And cities like St. Louis, Cleveland, Pittsburgh, Buffalo, Indianapolis and Cincinnati -- the latter of which will play host to a Bengals vs. San Diego Chargers NFL football game -- could get hit with significant snow Sunday and Monday.

Some areas will get some reprieve as temperatures rise in the coming days. But they better not get too comfortable, as the temperatures will reverse course starting Sunday.

Parts of the Midwest could see temperatures not recorded in 15 to 20 years, and for a painful stretch. Chicago, for instance, could see subzero temperatures from Sunday evening until Wednesday.

Even areas as far south as Nashville, Tennessee, could be basking in zero-degree cold as the arctic air mass dives southward at the beginning of next week.

That's not just an inconvenience: That cold is dangerous. And it's why school will be canceled in places like Milwaukee and the entire state of Minnesota -- areas hardly unaccustomed to Old Man Winter's bite -- on Monday.

"I have made this decision to protect all our children from the dangerously cold temperatures," Minnesota Gov. Mark Dayton said in explaining his decision to call off classes statewide.

CNN's Rande Iaboni, Brandon Miller, Dave Hennen, Sherri Pugh, Lateef Mungin, Jareen Imam, Kristin Hamill, Chuck Johnston, Ashley Fantz and AnneClaire Stapleton contributed to this report.

@highlight

NEW: Some 3,000 flights canceled Friday after more than 2,600 cancellations Thursday

@highlight

NEW: A man who fell through the ice in New Jersey is rescued, official says

@highlight

NEW: Weather service says system will bring "coldest air in 2 decades"

@highlight

Some 140 million Americans will have temperatures of 0 or below, CNN estimates