(Parenting.com) -- My 3-year-old twin boys and I are camped out on the terminal floor at the Denver airport, halfway through a five-hour flight delay and surrounded by plastic planes, action figures, and lollipop wrappers. Soon another set of young boys is lured to our sticky little campsite by the tinny, baritone catchphrases coming from a Buzz Lightyear toy.

"Twins?" their mom asks, after the four boys negotiate the rules of engagement (the newbies could play with Buzz but not Spidey). "Mine, too," she confirms. With common ground established, we begin sharing the complaints of our kind ("I have to buy two of everything!").

Parenting.com: Answering kids' toughest questions

As our kids play superheroes, I'm introduced to her husband, who shares the same strong Boston accent of his wife. We're all chatting amiably when my wife, Emily, returns from checking on our flight status. "You guys sisters?" the mom asks.

And here is the moment I hate: the Explaining of the Situation (EOTS). Most of the time, the EOTS is not a big deal at all, but then again, we live in New York City. Not just New York City, but a liberal enclave in Brooklyn called Park Slope, where, depending on the time of day at the local playground, same-sex parents just might outnumber straight ones.

I recognize, though, that not everyone is down with two women or two men raising kids together, so there's the chance this family might quietly pack up their stuff and build their own campsite somewhere else upon the EOTS. Will our impromptu party suddenly become unbearably awkward?

"No, we're not sisters," I say, as I have hundreds of times before (Emily and I do look somewhat similar). "We're partners."

My new friend brightens and says, "Oh, who carried?" Who carried?! After I tell her that it was me who carried, we swap birth stories. Her husband leans over to tell Emily that he gained 25 pounds worth of sympathy weight. "Did you have the same problem?" he asks.

Clearly, the only person there with any judgments or preconceived notions was me. I shouldn't have been surprised. In the five years that Em and I have been married (no, it's not legal), and in the three and a half years since we had the boys, that's pretty much the way it's gone.

Parenting.com: 5 tantrum stoppers that actually work

We've received nothing but love, support or, surprisingly, plain old indifference from friends, family and strangers. That apathy says a lot about how much a part of the social fabric we have become. Truth be told, we're neither sensational nor worth remarking upon. We're just the New Normal.

At home with June and Jane

There are approximately 1 million gay families raising approximately 2 million kids in the United States, according to the Family Equality Council, though it's hard to know our exact numbers since census data doesn't exactly count us.

We have the highest population percentages in Los Angeles, San Francisco, New York City, Chicago, and Boston, but we're not just on the coasts or in major urban centers. Utah, Hawaii, Wyoming, and Nevada all rank as top-ten states with the largest number of same-sex spouses per 1,000 households. In fact, nearly 30 percent of the people who responded to a recent Parenting.com poll have a friend or relative who's a same-sex parent.

"You can throw a dart at the map and find at least one set of same-sex parents wherever it lands," says Ellen Kahn, the family project director for the Human Rights Campaign, a lesbian, gay, bisexual, and transgender civil rights organization.

Parenting.com: What to do when your kids is bullied

Wherever we live, it turns out that we're raising some pretty well-adjusted kids. The U.S. National Longitudinal Lesbian Family Study (NLLFS), which followed the children of 154 lesbian mothers over 25 years, reported that our teens had fewer behavioral problems and better school performance than their peers with straight parents.

Nanette Gartrell, M.D., the lead NLLFS researcher, was not surprised by the results. "The children we studied were highly desired," she says. "They didn't result from a broken condom or too much alcohol. Their parents worked hard to have them and didn't take the privilege of having kids lightly. They took parenting classes and educated themselves. That's what makes for a good outcome, no matter what the family structure. They built strong communities for their families from the beginning."

I don't think any gay parent thinks her or his kids are better than anyone else's. But what the findings do prove is that our offspring are no more likely to be messed up than anyone else's. We're not raising freaks.

Our kids are totally, boringly normal. And that's a salient argument against those who think that having gay parents is patently unhealthy for children.

The fight to be normal

It would be naive, of course, to say that it's all rosy for gay Americans and their families. Most polls show that about 50 percent of the country is still opposed to legalized marriage for gay couples, and the lack of marital rights has a huge impact on financial and legal status once kids are brought into the mix.

Parenting.com: How to teach spirituality to kids your own way

Without a federally or state-recognized union, the biological children of one partner have no legal connection to their nonbiological parent. In order for the nonbiological parent to ensure medical benefits for his or her own kids, or to assume custody if, God forbid, his or her partner dies, they have to go through a process called second-parent adoption. Emily and I did this.

In a nutshell, you fill out a lot of paperwork with your lawyer, a social worker makes several visits to your home, and then you appear in front of a judge to testify on your own behalf. It's a humiliating and costly ($2,000 to $3,000) process.

Legal issues aren't the only ones same-sex parents face. Denise Freeman DeCandia and her partner, Cari DeCandia, were both raised Christian and value their faith. So when Denise gave birth to their son, Cortland, eight months ago, it was important to them and their families to have him baptized. They began looking for more liberal denominations near their Cary, North Carolina, home. So far, they've asked four churches to baptize their son, and received refusals from all of them.

One reverend wrote Cari, "We'd be delighted to have you visit us...but unfortunately I would find it impossible to baptize a child being raised in a same-sex partnership." He closed the note with the words "Every Blessing."

The rest of U.S.: America's opinion

So, yes, there's room for improvement. When I wrote a story for Babytalk (Parenting's sister publication) about my pregnancy, we got a letter from a woman who said she "threw up in her mouth" when I mentioned Emily. I laughed it off, but it really stung. Fortunately, we received dozens of positive letters to counteract the effect of the handful of negative ones.

Parenting.com: The best remedies for rude tween behavior

In fact, a recent survey by the Pew Research Center and commissioned by Time magazine found that most Americans' view of what constitutes a family is loosening. Three out of five people said they view a same-sex couple with kids as a family, too.

Kendra Martin, a mom of two in Hayesville, a small mountain town in North Carolina, is a classic example of the shifting attitude. Her cousin is a lesbian who has an 8-year-old son with her partner. Before the boy's birth, Martin admits she was worried about how he would fare.

"I was concerned it would be hard for a son not to have a father, and I thought he would be teased by his peers. I just thought, 'Why bring someone into the world when you know he'll have challenges?' But I've realized their son has no more difficulties than any other child. I've learned all kids get teased, and it's the parents' job to help them deal with hardship. All parents have the same issues."

"Polling clearly shows that Americans are more comfortable than ever with gay people becoming parents," says Jennifer Chrisler, executive director of the Family Equality Council, who has two kids with her wife, Cheryl Jacques. "The bottom line is that we are parents first, and that creates a common ground. Bedtime, bathtime, playground, homework: We all speak the same language. To our neighbors, we're not the 'lesbian moms.' We're Jen and Cheryl, raising Tim and Tom."

In other words, with all of the demands they bring and liberties they curtail, our kids -- in the end -- may be what forces us all to simply be what we are: a family.

Try a FREE TRIAL issue of Parenting Magazine - CLICK HERE!

Copyright 2010 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

There are 1 million gay families raising 2 million kids in the United States

@highlight

Study: Kids of same sex parents have fewer behavioral problems and better school performance

@highlight

Polls find 50 percent of the country is opposed to legalized marriage for gay couples

@highlight

Survey: Most Americans' view of what constitutes a family is changing