(CNN) -- "I just get sick and tired, quite frankly, of all this talk. Everything that has to do with the federal branch of government ... is bad, and states are good. I remind you that ... the reason the federal government got into 90% of the business it got into is that the state[s] ... did not do the job."

When Sen. Joe Biden of Delaware made this statement as a member of the Senate Judiciary Committee in 1981 at the confirmation hearing of Supreme Court nominee Sandra Day O'Connor, he was referring to statements by his colleagues suggesting that the judgment of state courts was entitled to greater legitimacy than those of federal courts.

But Biden could well have delivered similar remarks at last week's NAACP Convention, where he spoke days after several Southern governors, led by Texas Gov. Rick Perry, announced that they will not participate in the health insurance exchanges or Medicaid expansion provisions of the health care law. No matter that 25% of Texans are uninsured, reportedly the highest rate among all states. Perry and the other governors want to burnish their anti-Barack Obama bona fides to an ever-hungry tea party base.

These elected leaders are following a longstanding tradition in American politics of Southern states acting against the best interest of their residents.

As Biden's 1981 remarks suggest, a good reason the federal government has expanded and occupied areas that might be best served by state government is precisely because of the lack of leadership that has too often been the hallmark of state governments.

This has been particularly true in the South, where the idea of state sovereignty and racial injustice often went hand in hand.

From the Civil War to the civil rights movement 100 years later, the call for "states' rights" long stood for the desire of Southern states to mistreat their black residents. That's why the invocation of this term -- as it was by Ronald Reagan, when he launched his 1980 presidential campaign in Philadelphia, Mississippi -- has become a kind of code that carries offensive racial implications.

Resistance to the federal government -- in particular, the liberal decisions of Earl Warren's Supreme Court, President Lyndon Johnson's Great Society and Congress' enactment of a series of civil rights laws targeted at discriminatory state conduct -- served as a rallying point for disaffected white Southerners.

What is most distressing about the elaborate displays of failed leadership by Southern governors who rail against the reach of the federal government is their willingness to sacrifice the needs of their most vulnerable.

The starkest historical example is the 1959 decision of Prince Edward County, a Virginia school district, to close schools for five years rather than comply with desegregation orders after Brown v. Board of Education, crippling the local education system and ensuring that a generation of black students would be unable to complete their K-12 education.

The county's decision followed the lead of Virginia's powerful senator, Harry F. Byrd Sr., who authored the Southern Manifesto, which called for state-based "massive resistance" to school integration.

To be fair, the phenomenon of bellicose or ineffective state leadership is not limited to the South or to Republicans.

Only six states initially chose to opt in when Medicaid was first launched back in the 1960s. Those who chose to ignore Medicaid were merely delaying the inevitable. While governors postured, poor women and children fell through the cracks in the health care system. Ultimately, all states would join Medicaid.

In 2009, while the country was coping with the effects of the Great Recession and unemployment was high, Republican governors from the South led the call to reject stimulus money for the extension of unemployment benefits. But a year later, it was two states in the Midwest -- Ohio and Wisconsin -- that decided to turn down hundreds of millions of dollars in federal stimulus money for rail projects.

Likewise, legislators in New Hampshire have forfeited millions of federal transportation dollars, not to mention tens of millions in saved medical costs, because they do not want to enact a primary mandatory seat belt law, making the state the only one in the country without such a requirement.

Responsibility for failed policies on the state level, however, does not fall solely on the shoulders of elected state leaders. Voters must also act wisely to adopt the best policies, practices and laws for the common good.

California was admonished by the U.S. Supreme Court last year and ordered to reduce the severe overcrowding in its prisons. But it was the decision of Californian voters to adopt ever more irrational and punitive criminal sentencing laws -- such as "three strikes you're out" -- that ballooned the state's prison population and resulted in the Supreme Court's intervention. This November, California voters have an opportunity to revise some of the ill-advised "three strikes" sentences. The ball is in their court.

What is desperately needed now in state government is the principled leadership of elected leaders.

The economy has brought about the most challenging state fiscal crisis in several generations.

To provide for the needs of its residents -- whether it's in education, jobs, housing, public safety or health care -- states will have to cooperate with the business and the nonprofit community, but more importantly, with the federal government. Partisan posturing will benefit only candidates but hurt the common people.

State government can be the most appropriate locus of government power in many important areas. Those who argue against the size and reach of the federal government should first demand that state leaders act responsibly and in the best interests of all their residents. Otherwise, it is the duty of the voters to speak up at the polls.

The opinions expressed in this commentary are solely those of Sherrilyn A. Ifill.

@highlight

Some Southern governors said they will not participate in the health care law

@highlight

Sherrilyn Ifill: Lack of leadership has too often been the hallmark of state governments

@highlight

She says Southern leaders in particular have been resistant to the federal government

@highlight

Ifill: What is desperately needed in state government is principled leadership