Los Angeles (CNN) -- Jurors hearing the Michael Jackson wrongful death case seem to be enjoying themselves after 15 weeks of testimony, even after the judge told them they could be in court through September.

They've leaned forward, taken close notes and often laughed while watching lawyers for Michael Jackson's mother and children spar with attorneys for concert promoter AEG Live.

"I'm not going to be babysitting you two," Judge Yvette Palazuelos told Jackson lawyer Brian Panish and AEG Live lawyer Marvin Putnam this week as the attorneys traded barbs in court.

Several jurors even applauded famed choreographer and director Kenny Ortega at the end of his lengthy testimony Thursday.

While some of the 65 days of testimony has covered tedious medical and legal ground, Jackson's music and intimate home videos are often shown on two big screens in the tiny Los Angeles courtroom

The jurors were getting an inside look Friday at how Jackson's family tried to intervene in the singer's prescription drug use as AEG Live's lawyers showed them video of their questioning of Randy Jackson, Michael Jackson's youngest brother.

The jury will eventually have a billion-dollar decision to make: Is AEG Live liable in Jackson's death and, if so, how much should the promoter-producer of his comeback tour pay the family in damages?

Katherine Jackson and her grandchildren -- Prince, Paris and Blanket -- contend AEG Live negligently hired, retained or supervised Dr. Conrad Murray, the physician now serving a prison term for involuntary manslaughter in Jackson's death.

Murray told investigators he gave the entertainer nightly infusions of the surgical anesthetic propofol to treat his insomnia so he could rest for rehearsals while preparing for his "This Is It" shows set to debut in London in July 2009. The coroner ruled Jackson's June 25, 2009, death was caused by an overdose of propofol.

AEG Live argues Jackson, not the company, chose and controlled Murray. A contract the company negotiated with Murray to work as Jackson's personal tour doctor for $150,000 a month was signed by Murray and returned to AEG Live on June 24, 2009. With Jackson's death the next day, no AEG Live executive ever signed it.

The company also argues its executives had no way of knowing about the dangerous and unusual treatments Murray was giving Jackson in the privacy of his bedroom. AEG Live lawyers are using Randy Jackson's testimony about his family's attempts to intervene with the pop icon's use of painkillers to bolster their contention that he was a secretive drug addict.

AEG lawyer testifies in Michael Jackson death trial

Red flags missed?

The Jackson lawsuit accuses AEG Live executives of ignoring a series of red flags signaling that the artist was at risk in the weeks before his death -- including warnings from Kenny Ortega and others working on the production.

"He was like a lost boy," Ortega wrote in an e-mail to AEG Live CEO Randy Phillips days before Jackson's death. "There still may be a chance he can rise to the occasion if we get him the help he needs."

After a poor rehearsal on June 13, 2009, and a missed rehearsal the next day, Ortega expressed his concern in an e-mail to AEG Live co-CEO Paul Gongaware: "Were you aware that MJ's doctor didn't permit him to attend rehearsals yesterday? Are Randy and Frank (DiLeo, another Jackson manager) aware of this? Please have them stay on top of his health situation without invading MJ's privacy. It might be a good idea to talk with his doctor to make sure everything MJ requires is in place."

The AEG Live executives later told Ortega they met with Murray and put him in charge of getting Jackson to rehearsals, Ortega said. The director said he was told that if he needed to know whether Jackson was coming to a rehearsal, he should call the doctor. Ortega was given Murray's cell phone number, which he said he programmed into his own phone.

When Jackson finally showed up for a rehearsal on June 19, "he appeared lost, cold, afraid," Ortega said. It is a day he will never forget, he testified.

"I saw a Michael that frightened me, a Michael that was shivering and cold," Ortega testified. "I thought there was something emotional going on, deeply emotional, and something physical going on. He seemed fragile."

When AEG Live's lawyer asked Ortega if Jackson could've just had "a really bad flu," the show director said that was "not the best way of describing it."

A sleep expert hired by the Jacksons' lawyers testified earlier that he believed the singer was suffering from long-term sleep deprivation caused by two months of nightly propofol infusions. The drug interrupts crucial REM sleep cycles, depriving the brain of real rest and repair, the expert said.

Ortega persuaded Jackson not to go onstage that night because he was afraid he would hurt himself, he testified. Instead, Jackson agreed to watch the rehearsal with choreographer Travis Payne dancing his parts.

Jackson's ex-bodyguard testifies about singer's drug use

Jackson appeared paranoid and afraid, Ortega said. "He was repeating for me not to quit or to leave him. He was afraid that I was going to quit or leave him."

With just a dozen days left for rehearsals before the touring company moved to London for the opening, Ortega testified, he was worried "that all that we had worked for together, Michael and I -- this dream, this desire -- was going to fall away."

Ortega testified that on June 19, he "felt that we should stop" the production, but he was "torn because I did not want to break Michael's heart."

Ortega sent a series of e-mails that night and the next morning to AEG Live executives warning that they needed professional help for Jackson.

"There are strong signs of paranoia, anxiety and obsessive-like behavior," Ortega wrote. "I think the very best thing we can do is get a top psychiatrist in to evaluate him ASAP. It's like there are two people there. One (deep inside) trying to hold on to what he was and still can be and not waiting us to quit him, the other in this weakened and troubled state."

A contentious meeting

Ortega testified that he was called to a meeting with AEG Live CEO Randy Phillips, Jackson and Murray at Jackson's home on June 20, hours after he sent those e-mails.

Murray angrily confronted him, Ortega testified. "He said I had no right to not let Michael rehearse, that Michael was physically and emotionally capable of handling all his responsibility as a performer and I should be a director and not an amateur doctor or psychologist. I should stick to my job and leave the rest to him."

Phillips watched Murray's attack on him in silence, Ortega testified Thursday.

Jackson died while under Murray's care five days later, in a bedroom just upstairs from the parlor where the meeting took place.

"A different Michael" showed up for the next rehearsals on June 23 and 24, Ortega testified. Jackson "seemed healthy and ready and happy. There didn't seem to be any leftover issues."

"I was feeling that we were back on track and grateful and believing that we were now in a new chapter," Ortega said.

Jackson lawyer Brian Panish asked Ortega what he thought caused the "metamorphosis" he witnessed in Jackson. "Maybe a lot of rest," he said. "He seemed rested, stronger."

"I assume sleep had to be a part of it," Ortega added. "He just looked rested. Deep sleep, real sleep."

Murray told investigators he stopped using propofol to induce Jackson's sleep for the two previous nights -- after 60 nights of it. Jackson lawyers contend that is why Jackson was revitalized.

Jackson lawyers argued that Murray was influenced by a conflict of interest -- created by his arrangement with AEG Live -- to continue dangerous propofol infusions to help Jackson rest for rehearsals. He was $1 million in debt and had abandoned his medical practice two months earlier to serve as Jackson's personal physician for the tour. If he failed to get Jackson to rehearsals, the shows might be postponed or canceled and he would be out of a job, they argue.

Blame game

Lawyers for both sides used Ortega's appearance in court to argue over who was responsible for Jackson's death -- the promoter or the artist.

"At the time, did you think Mr. Jackson was responsible for his own health?" AEG Live's Marvin Putnam asked.

"I didn't think he was being very responsible, but it was his responsibility, in my opinion," Ortega answered. "I wanted to take care of him, you always want to take care of someone if they're not feeling well, but you can't be responsible for them. They have to be responsible for themselves."

When Jackson lawyer Brian Panish had a chance to again question Ortega, he focused on AEG Live's responsibility in retaining Murray.

Panish: "You would expect a responsible concert promoter and producer to make sure anyone they hired to be checked out as fit and competent?"

Ortega: "Yes."

Panish: "Check them out to make sure they had no conflict?"

Ortega: "Yes."

Panish: "It would be irresponsible not to do that?"

Ortega: "Yes."

As Ortega stepped off the witness stand Thursday afternoon, several jurors applauded.

Debbie Rowe, the mother of Michael Jackson's two oldest children, may finally appear in court next week as a witness called by AEG Live. She was married to Jackson for several years and traveled with him on tour in the 1990s.

@highlight

The jury will watch a video deposition of Michael Jackson's youngest brother Friday

@highlight

Kenny Ortega testified Michael Jackson seemed sleep-deprived a week before his death

@highlight

Lawyers use Ortega's testimony to debate who's responsible for Jackson's death

@highlight

Jackson's ex-wife Debbie Rowe is expected in court next week