(CNN) -- As the violence intensifies in Syria, external powers, including the United States, are embracing increasingly belligerent positions. Indeed, in recent days the United States and Turkey have announced plans to study a no-fly zone after calls by many American commentators for a more direct military role.

Although there is no doubt the government of President Bashar al-Assad carries the overwhelming responsibility for the unfolding tragedy in Syria, the attempt to militarily defeat the regime is the wrong strategy if the goals are reducing violence and protecting innocent civilians.

The best strategy for those who wish to avoid a protracted war in Syria is to bring Russia and Iran to the international diplomatic table. Russian and Iranian participation are essential to a viable post-al-Assad transition; the alternative, a transitional plan generated exclusively by the United States and its allies, can be accomplished only through force.

To insist on the military path without engaging Assad's backers is to condemn Syrian civilians to escalating violence in pursuit of regime change.

To date, external backers of the two sides have focused on arming their local proxies rather than negotiating. Russia and Iran have reiterated their commitment to the Assad government, both diplomatically and through direct support. Recent reports suggest that the United States has doubled down on funding the rebels with a secret presidential order authorizing military assistance (stopping short for now of actual "lethal aid," which has been outsourced to Saudi Arabia and Qatar, in coordination with Turkey).

The current confrontational approach is unsurprising, because toppling the Syrian regime would alter the regional balance of power against Iran and in favor of pro-Western governments. Until quite recently the United States was prepared to partner with the al-Assad regime, however repressive: the country played a well-documented role in the United States' extraordinary rendition of terrorism suspects. But with the United States and Israel contemplating an attack on Iran's nuclear facilities, wresting control of Syria from an Iranian supporter and severing links between Damascus and Hezbollah are strategic goals served by assistance to the rebels.

Opinion: Syria's chemical weapons threat demands a response

Unfortunately, removing an Iranian ally in Syria may look like low-cost regime change, but it will be more costly in the long run than most analysts suppose, and in the short run these policies are likely to contribute to a drawn out and increasingly bloody civil war.

As recent weeks have shown, the rebels have only begun to achieve parity through indiscriminate armed attacks, often resulting in as many casualties among civilians as among the ostensible targets. Even with additional arms, opposition groups resisting al-Assad's repression may fight the regime only to a standstill.

More direct American military involvement to shift the balance decisively in favor of the rebels would be even more damaging. In order to defeat the regime militarily, the United States and its allies would have to dramatically heighten the magnitude of destruction wrought on the country, resulting in greater civilian casualties. They would also confront complications absent in Libya as a result of Syria's strategically sensitive location, much larger population, and greater demographic diversity and internal tensions.

For these very reasons, U.S. government preparations for the post-al-Assad fallout use Iraq rather than Libya as the relevant comparison. Unfortunately, the current international approach seems more likely to repeat rather than avoid U.S. mistakes in Iraq.

By funneling weapons to the rebels through regional actors, the rebels' external backers are setting the stage for escalating sectarian conflict -- even ethnic cleansing -- pitting Sunni constituencies backed by Turkey, Saudi Arabia and Qatar against opponents that they increasingly identify in sectarian terms as Alawites rather than regime supporters. The result is a deeply destabilized Syria bordering on Israel, Turkey, Jordan, Iraq and Lebanon, creating the potential for a long-term proxy war between regional Sunni and Shia political forces. The eventual outcome would have no clear winner but a multitude of losers, most crucially ordinary Syrian civilians.

Opinion: Is Syria unsolvable?

Still there remains a chance to produce a transition process that ensures the security of all communities -- including the Alawites -- ending violence in exchange for Assad's departure. But threatening the regime with decapitation through military escalation will not produce such a process.

Much as the Saleh regime was removed from power through pressure from Yemen's principal supporters (including the United States), Iranian and Russian pressure can succeed where force from hostile outsiders has not. In Yemen, this was achieved because the Saleh regime's backers managed the transition while assuring their interests were secure. Without similar assurances there is little reason to expect Russian and Iranian support for a post-Assad transition.

To facilitate transition, the United States should engage both Iran and Russia through creative diplomacy. Iran's cooperation on Syria might be linked to the question of its nuclear program, perhaps forestalling sanctions that have yet to come into effect.

Similarly, Russia's strategic interests must be addressed, such as preserving the Russian navy's current access to the Mediterranean through Syrian ports. If the goal is to end the violence and transition to a post-al-Assad Syria, this is the only credible option.

In resigning as special envoy to Syria, Kofi Annan drew attention to the urgent need for diplomacy, not clandestine intervention. Unless this warning is heeded, Annan's likely replacement, Lakhdar Brahimi, may find no other way out of a lengthy civil war of devastating proportions, both for the Syrian people and for the Middle East as a whole.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Bali and Rana: To save Syria, bring Russia and Iran to the international diplomatic table

@highlight

Removing al-Assad will be more costly in the long run than most analysts suppose, they say

@highlight

To defeat the regime, U.S. and its allies would have to heavily increase destruction, they say

@highlight

The current international approach seems likely to repeat U.S.'s mistakes in Iraq, they say