(CNN) -- Syrian rebel fighters said Friday they have captured a strategic northern military base used by the government to bomb opposition strongholds.

Rebel fighters and militants from various Islamic groups, including the jihadist al-Nusra Front, took part in the offensive, an opposition spokesman said.

They've seized control of buildings, ammunition and military equipment at the base in Idlib province, the opposition said, signaling a major blow to President Bashar al-Assad's forces.

"They are taking credit now for having taken the air base," U.S. State Department spokeswoman Victoria Nuland told reporters Friday. "And, as you know, we consider this significant on two fronts.

"First of all, to ground some of the air assets of the Assad regime that they've been using against civilians. And, secondly, to break their ability to resupply in the north."

Read more: Pentagon weighs how to secure Syria's chemical weapons

The strategic base has been used by government forces to send explosives to areas in the north, according to the opposition Syrian Observatory for Human Rights.

In addition to housing about government 400 soldiers, the group said, warplanes that attack the region were taking off from there.

"The Taftanaz air base has been completely liberated," said Hamza Abu Hussam, a spokesman for the Binnish Coordination Committee, a local opposition group. "I went down to see with my own eyes and was able to get in."

Read more: Terrorist group fills power vacuum among Syria rebels

In a video posted on YouTube, opposition forces from various groups cheer and chant "God is great," purportedly after they took over the military airport.

CNN cannot independently verify the authenticity of the video.

Brahimi: No military solution

The U.N. and Arab League special envoy to Syria stressed Friday that there is "no military solution" to the brutal civil war being fought in the Arab nation.

Lakhdar Brahimi made the remark after meeting with Russian Deputy Foreign Minister Mikhail Bogdanov and U.S. Deputy Secretary of State William Burns at the United Nations offices in Geneva, Switzerland.

"We are all very, very deeply aware of the immense suffering of the Syrian people which has gone for far too long. And we all stressed the need for a speedy end to bloodshed, the destruction, and all forms violence in Syria," he said. "We stressed again, in our view, there is no military solution to this conflict."

Syria accused Brahimi of bias Thursday, casting a shadow on efforts to end a war that, according to the United Nations, has killed more than 60,000 people in nearly two years.

Brahimi has "deviated from the essence of his mission and clearly unveiled his bias to circles known for conspiring against Syria and the interests of the Syrian people," Syrian state media reported.

The statement from Damascus was a response to a BBC interview in which Brahimi in effect called on al-Assad to resign. He said the president would have no place in the transition to a post-conflict Syria.

"I think what people are saying is, a family ruling for 40 years is a little bit too long," Brahimi said, according to the interview Thursday.

Al-Assad took over from his late father, who seized power in 1970 and ruled for three decades.

Brahimi said both the United States and Russia want to help end the war and forge a future. The United States long has called for al-Assad to resign. Russia, which historically has had close ties with Syria, has blocked tough action against the government in the U.N. Security Council.

"I'm absolutely certain the Russians are as preoccupied as I am, as Americans are, by the bad situation that exists in Syria and its continuing deterioration, and I'm absolutely certain they would like to contribute to its solution," he said.

He cited the "absolute necessity" for pushing for a peaceful solution.

"It is the wider international community," he said, particularly Security Council members, who "can really create the opening that is necessary to start effectively solving the problem."

Securing chemical weapons

The escalating conflict and the president's efforts to retain his grip on power have sparked a push to ensure that chemical weapons are secure.

U.S. officials say they are working with nations in the Middle East to secure Syria's chemical and biological weapons sites.

"We're not talking about ground troops, but it depends on what ... happens in a transition," Defense Secretary Leon Panetta said Thursday.

Asked whether he had ruled out putting U.S. troops in Syria to secure such weapons, Panetta said: "You always have to keep the possibility that, if there is a peaceful transition and international organizations get involved, that they might ask for assistance in that situation. But in a hostile situation, we're not planning to ask for that."

Russian navy holding exercises off Syria's coast

Ships of the Russian Black Sea Fleet are heading to the eastern Mediterranean for exercises, the Russian Defense Ministry said.

A tactical group of Black Sea Fleet warships, headed by the cruiser Moskva, will undertake exercises in the eastern sector of the Mediterranean Sea. The tanker Ivan Bubnov has fueled the ships, and emergency drills have been carried out for the upcoming exercises. The tanker filled up on fuel and water Thursday at the Cyprus port of Larnaka.

A Baltic Fleet group consisting of the patrol vessel Yaroslav Mudry and tanker Lena will head for the eastern Mediterranean, where the two ships will practice stores transfers at sea. The patrol vessel will carry out anti-submarine warfare drills.

Russia has a maintenance naval base at Tartus on the coast.

No let-up in refugee flight

The United Nations said Friday that more than 612,000 people have been registered as Syrian refugees or are "being assisted as such."

There were 194,769 in Lebanon, 176,569 in Jordan, 153,163 in Turkey, 69,282 in Iraq, 13,292 in Egypt and 5,059 elsewhere in North Africa, the U.N. refugee agency said.

"Even with the winter preparation work that has been done in recent months, many refugees in both camp and noncamp situations are facing particularly cold and damp conditions. At the same time, there has been no let-up in the numbers of people fleeing Syria into neighboring countries," the U.N. High Commissioner for Refugees said.

Mia Farrow to meet refugees

Actress and UNICEF goodwill ambassador Mia Farrow will visit Lebanon next week to meet with Syrian refugees, the organization said Friday.

"As part of her mission she will appeal for additional international assistance as the needs and numbers of those fleeing Syria continue to rise," UNICEF said.

Farrow will travel to two locations near the Syrian border to meet with refugees and host families. "Ms. Farrow will also help distribute winter clothing while there as many of the refugees fled Syria with very few belongings."

Brutal winter weather is making dire conditions even more so in parts of the Middle East, especially for thousands of Syrian refugees enduring frigid temperatures in tents.

More deaths

The Syrian crisis started in March 2011, when peaceful protesters demanding democracy and reforms were met by a fierce government crackdown, which spiraled into an armed opposition movement and a civil war.

At least 106 people were killed Friday, the opposition Local Coordination Committees of Syria said. Among them were 40 people killed in shelling by artillery and jet fighters in Hasaka province, in the northeastern part of the country.

Read more: By the numbers: Syria deaths

CNN's Joe Sterling and Saad Abedine reported from Atlanta. CNN's Alla Eshchenko in Moscow and Faith Karimi in Atlanta contributed to this report.

@highlight

NEW: 106 killed, opposition says

@highlight

United Nations says there are more than 612,000 Syrian refugees

@highlight

The rebel claim of capturing the base is called 'significant' by the U.S.

@highlight

As the civil war rages, world leaders push to ensure chemical weapons are secure