(CNN) -- In January, I brought my 4-year-old daughter to Robinson's Arch, the section of Jerusalem's Western Wall reserved for egalitarian prayer without gender segregation. My husband and I, both Conservative rabbis, explained to her that this sacred space once formed part of the ancient Temple compound, and we helped her to place a folded-up prayer note in the cracks between the stones.

It was a sweet moment and one made possible by lengthy negotiations between the Israeli government and the Reform and Conservative denominations of Judaism, as well as the women's prayer group known as Women of the Wall.

While the Orthodox authorities who govern the main plaza of the Wall mandate gender segregation, the agreement to create an enhanced prayer space at Robinson's Arch allows Jews of all denominations to pray at the Western Wall without compromising our egalitarian beliefs.

But at the end of February, the Jerusalem District Court approved an agreement between two government subsidiaries to transfer management of Robinson's Arch to an organization of religious right-wing settlers, Elad, posing a new threat to the ability of liberal Jews to pray at this site without checking our values at the door.

Today, the Jerusalem district court will hear a complaint by the Israeli Attorney General's Office that the Housing Ministry organized the transfer without authorization. North American Jews must join in this opposition.

Elad exists in order to move Jewish settlers into Palestinian neighborhoods of East Jerusalem, so as to establish facts on the ground that will obstruct any peace agreement.

For this, Elad raises $6 million a year from American Jews. This money funds legal maneuvers to evict Palestinian families from their homes and the establishment of Jewish settlement compound in Palestinian neighborhoods of East Jerusalem. Elad also manages the City of David archaeological site in East Jerusalem. Leading Israeli archaeologists have complained about the use of this site for ideological propaganda tourism. There is little question that if Elad takes over the archaeological park connected to Robinson's Arch, per the current agreement, our prayer space will similarly be used as a settler propaganda mill.

I recently visited Silwan, the neighborhood that has suffered the most from Elad's activities. New fortresses, with Israeli flags flapping over barbed wire barriers, now tower over the humble homes of longtime Arab residents. Armed guards accompany the settlers wherever they go.

Those who argue that Jews must be permitted to move into any area of Jerusalem must understand: This is not a question of diversifying the neighborhood. It's a hostile takeover. It is aimed at ensuring that East Jerusalem will never become part of a Palestinian state and, in fact, that no such state will ever come to be.

The Reform and Conservative movements, as well as Women of the Wall, responded swiftly and furiously to the announcement that Elad may take control of Robinson's Arch. In a strongly worded joint statement, they argued that an Orthodox organization cannot be trusted to maintain the area as a place for egalitarian prayer.

This anger is justified. The very suggestion that an Orthodox group would manage the prayer space reserved for non-Orthodox prayer reveals how tone-deaf some sectors of the Israeli government have become to the voices of North American Jews, the vast majority of whom believe that men and women should be equal in prayer as in other parts of life.

But the danger of transferring power to Elad goes far beyond the question of who may pray where. This organization seems to have little stake in the debate over egalitarian prayer and in fact has announced its intent to respect existing agreements.

More concerning is the possibility that those of us committed to egalitarian prayer at the Western Wall will end up supporting the expansion of settlements and the erosion of the peace process through our donations and entrance fees.

The endless negotiations over religious pluralism in Israel have exposed the fissure between North American Jews, who are Israel's greatest financial and political supporters, and the Israeli religious establishment. On issues such as the right of women to lead services at the Wall, Reform, Conservative, Reconstructionist and even Orthodox American Jews have been willing to issue strong statements and even protest at the Israeli Embassy.

The current crisis over ceding control of an egalitarian prayer space to an organization of right-wing settlers has blown apart the delusion that North American Jewish leaders can criticize Israel on issues of religious pluralism while staying away from criticisms of settlement policy. The two are too deeply intertwined. Rejecting the Orthodox hegemony that has placed the main plaza of the Wall off-limits to egalitarian prayer services also means loosening the grip of settlers on Israeli politics.

@highlight

Prayer space at Western Wall may become politicized, Rabbi Jill Jacobs writes

@highlight

She says a portion open to both men and women is being ceded to a settler group

@highlight

Jacobs says people who want to pray together don't want to be endorsing settlers

@highlight

She says Israeli authorities, North American Jews should oppose the move