Los Angeles, CNN  -- As one of the most successful franchises in Major League  Baseball history, the Los Angeles Dodgers opened the 2011 season with a victory over the World Champion San Francisco Giants. The nationally televised game was nearly sold out with a seating capacity of 56,000 fans.

The franchise with six World Series championships was considered a strong contender for a pennant with new manager Don Mattingly, who succeeded Joe Torre. Since owner Frank McCourt acquired the team in 2004, the Dodgers have reached the post-season four times, following a decade-long drought.

But a vicious post-game attack on Giants fan Bryan Stow and McCourt's bitter divorce proceeding have changed the landscape at one of baseball's most picturesque parks. Equally disturbing is how fan attendance has declined dramatically, with many sections of the stadium now empty on game days.

The renowned team that nurtured icons such as Sandy Koufax, Jackie Robinson, Tommy Lasorda and Fernando Valenzuela is unmistakably troubled, said Nelson Gayton, executive director of the Anderson Center for Managing Enterprises in Media, Entertainment and Sports at the University of California at Los Angeles.

"Here you have a team that is not only America's darling but truly one of the crown jewels of Major League Baseball," Gayton said.

"In many ways, what has happened is that the brand luster has been tarnished. I would say this has been happening precipitously over the last few years. And not winning couldn't have helped. What you have is a turnaround that is much needed," Gayton added. "It's a sad state of affairs."

But all's not lost, Gayton said.

"If you're going to ask me whether the value of the brand is diminished significantly, I wouldn't say that," Gayton stated.

That brand is partly founded in how the then-Brooklyn Dodgers broke baseball's color line in the 1940s with the signing of Robinson, a former UCLA star who eventually became the first African-American elected to the Hall of Fame.

The team debuted in Brooklyn in 1890 as the "Bridgegrooms" and won the National League championship -- the first of 21 pennants that the club would win during the following 100 years. "Trolley Dodgers" was later attached to the team because of the maze of trolley cars in the New York City borough of Brooklyn, and the nickname was shortened to its current form.

In 1955, the Dodgers won their first World Series, during the Robinson era. Then in 1958, the team moved to Los Angeles, where it won the World Series again in 1959.

In another landmark, mellifluous broadcaster Vin Scully this year entered an unprecedented 62nd season announcing Dodgers baseball.

Still, the attack of Stow on March 31 -- the season's opener -- has cast a pall over the team: he was beaten nearly to death in the parking lot, supposedly by two Dodger fans, and he's still hospitalized. The Stow assault left an indelible sense of concern over safety, in spite of increased security, according to interviews with fans and season ticket holders. Police have yet to solve the case.

In a recently filed lawsuit, Stow's family alleges that security officers and managers at Dodger Stadium have been apprised of a history of aggressive, violent behavior. The suit asserts the presence of criminal gang activity in some crowds at the stadium and inadequate safety -- both factors in the attack, according to the lawsuit.

While overall league attendance is down this season, the Dodgers are taking an especially hard hit: there are 7,000 fewer fans attending home games -- amounting to an attendance loss of 200,000 so far this year, Dodgers officials say.

In addition, McCourt's financial turmoil led Major League Baseball commissioner Bud Selig to take over day-to-day operations as the league conducts an investigation into his finances. McCourt declined to be interviewed.

The nation's struggling economic recovery and the team's below-.500 winning percentage may have played a role in attendance declines.

"It's a number of factors," Josh Rawitch, Dodger's vice president of communications, said in explaining the loss of the faithful.

Robert Watkin, who has been attending Dodger games for 31 years, says he feels disenchanted.

"Since the McCourts took over he's made it his priority to take care of personal business besides making this organization the successful organization it's always been," he said.

Watkin said the feeling of a family atmosphere has dissipated, and he blames McCourt.

"People have lost trust. You used to come here, and it wouldn't matter if the team was winning. It was fun. It just doesn't feel that way anymore, and I think in essence people are boycotting until something turns around," he said.

If a California judge overseeing the divorce of Frank and Jamie McCourt orders that the Dodgers be put up for sale, Los Angeles Councilwoman Janice Hahn is prepared: she has already introduced legislation calling on Major League Baseball to give fans an opportunity to buy the team.

"Watching the ongoing custody trial over the team has been painful for all Dodger fans. The truth is that this team belongs to the fans; and we should have a chance at purchasing the Dodgers if they are sold," said Hahn, who added that her late father, Supervisor Kenneth Hahn, was responsible for bringing the team to Los Angeles in the 1950s.

Her proposal is a long shot. In 1961, Major League Baseball passed a resolution forbidding public ownership of teams. Congressional legislation is needed to remove the restriction and make it possible for fans to join together to purchase the team, said Hahn.

Meanwhile, a consortium of investors led by Beverly Hills-based real estate developer Stanley Stalford has launched an effort to purchase the Dodgers similar to the way the NFL's Green Bay Packers became a publicly owned franchise.

Andre Hannie is a season ticket holder who says he also feels betrayed by the lavish personal spending of McCourt. But he remains a die-hard fan.

"I am bitter over what he's done over the years, but it's not going to stop me from supporting the team. There could be 12 people here and I would still come out every night," Hannie said.

Hannie, who attended opening day with his 15-year-old son, has some concerns about safety, especially how the Stow attack has damaged the image of fans.

"People have labeled us as like some fans being gang bangers that come here and get kind of rowdy, which I have seen, but this is a family game. I personally feel safe, but security does what it can to make sure it's safe," Hannie said.

Hannie wants to see the team go from loser to winner.

"We need an owner here who's committed to the team, the fans and most importantly winning. It's been (almost) 25 years since we've won a World Series," said the Dodger fan.

@highlight

Los Angeles Dodgers attendance is way down this year

@highlight

A fan was violently attacked after the team's opening game

@highlight

Divorce battle between owners has forced Major League Baseball to take over operations

@highlight

Dodgers are one of baseball's renowned, historic franchises