Washington (CNN) -- Two families, two political parties -- one family business.

It's hard to understate the depth of the Bush-Clinton impact on American politics. Think of it this way: For 32 years, there was either a Bush or a Clinton in the White House or the Cabinet. And in 2016, the families could be competing again -- in a Jeb Bush vs. Hillary Clinton face off.

Whether that should come to pass has been a topic of lots of debate and speculation -- even inside the Bush family.

After Barbara Bush made her now infamous pronouncement last year on the "Today" show that Jeb should sit it out ("We have enough Bushes," she said), there's been lots of private family discussion.

But in an exclusive interview with CNN, Jeb's brother, Neil, made it clear that his dad -- George H.W. Bush -- wants his son to run, no matter what his wife says.

"If you asked Dad the same question 'Should Jeb run?' he'd say yes." Asked again whether Bush 41 would specifically be for it, Neil Bush replied, "Yeah, he would say yeah."

Has Neil asked his father himself? No. But he allowed, "I have heard him answer that question."

And right now, that's as close as you'll get to the family thinking.

A common concern

Barbara Bush's concern -- that there are "other families" out there who can serve -- may be anathema to the family, but it's a common concern in the rest of the political world.

Isn't it an advantage, for example, for a name brand to raise gobs of money from a standing start? Not to mention starting out with a ready made political organization.

David Frum, a speechwriter in the George W. Bush White House, likens it to something, well, un-American.

"The thing that they bring to the table that nobody else has is the massive preexisting ability to raise money," he said. "If we end up having a presidential race in which one dynasty plays off against another dynasty, you'll say is this America or is it the last days of the Roman Republic."

He has a point.

A Jeb-Hillary 2016 matchup wouldn't be the first time a Bush faced a Clinton. Bill Clinton defeated George H.W. Bush in 1992; now the men are the closest members of the ex-presidents club.

"I think there is a great, you know, kind of bond ...," Neil Bush said of Clinton and his family. "I think George (W. Bush) calls him 'Bubba.'"

The next chapter

What happens next with the Clintons and the Bushes is the story of great expectations. In many ways, said political commentator and author David Maraniss, Jeb Bush and Hillary Clinton have had similar trajectories.

"Jeb ... was the chosen one. He was the one who would be president someday and succeed his father, but 'W' was the oldest and had better political skills and came first," Maraniss said. "And similarly with Hillary, there was a feeling before she even married Bill Clinton. People in the early '70s were starting to think someday there would be a woman president."

Of course, not all Bushes and Clintons are created alike. Some have political skills and some don't. And former Bush 41 and 43 adviser Mary Matalin said both Jeb and Hillary offer some things others don't -- experience and ideas.

"This campaign particularly at this time in our country's history is gonna turn on message, candidate skills, candidate policies -- not their names," Matalin said. "They can run as Hillary and Jeb Smith and people will be listening to what they are proposing."

There are real downsides to carrying the Bush or Clinton moniker -- preexisting family friends and enemies, unwelcome comparisons to what came before, a sense that you can't be about "change" if you've been around forever.

And one more thing: fatigue -- as in, aren't we just too tired of these families to watch another replay in 2016?

A longing for familiarity

Well, maybe. But Maraniss figures that one of the reasons we keep coming back to them is the familiarity we can also scorn.

"It's true that things are constantly changing and new names are arising all the time, but still there's a longing for familiarity and celebrity that lasts through all of that," he said. "It's just like Hollywood or anywhere else. There are certain names that stick and people remember."

And close Clinton ally Paul Begala makes the case that Hillary Clinton earned this on her own.

"They don't want Hillary to run because her husband did a great job. They want her to run because they think she'd be a great president," Begala said.

As for looking like yesterday instead of tomorrow, Begala argued that, "When you're seeking to be the first woman president, it's kind of impossible to paint you as the past."

The durability of the families is obvious. Not only because they're fixtures in American politics, but also because the younger generations have shown an aptitude for it as well -- Jeb's son, George P. Bush in Texas, and perhaps even Chelsea Clinton, who isn't ruling anything out these days.

But if you call either of these families a dynasty, there's pushback from the patriarchs.

"A dynasty involves people who get jobs solely because of what their last name is," Bill Clinton said in 2008 as Hillary Clinton mounted her first presidential run. "The question is where she should be eliminated because she happened to have married me a long time ago ... this is not a blood deal."

George H.W. Bush had a similar take in 1999, standing next to his son George W. at the family compound in Kennebunkport, Maine, the day after he had announced his own White House campaign.

"We never felt we were entitled to something. Dynasty at least connotes, has a connotation, of something coming your way," he said.

Dynastic terminology

Neil Bush is one of the rare family members who seems to have no problem with the dynastic terminology.

"I don't have a problem with it. My mother doesn't like to use the word 'dynasty' because she thinks it's elitist or whatever," he told CNN. "The fact that there happens to be name recognition or brand recognition of the Bush name or brand shouldn't be a handicap."

Neil tells the story of watching his mother's candor on the "Today" show when she and the family were preparing to leave for the opening of the George W. Bush presidential library.

"We were all watching Jeb standing in the corner just like ... What's your response to that? I don't know," Neil recalls.

"You know, Mom is just going to say what's on her mind and she just really believes that it's time for the country to look at different families, but it's not going to affect Jeb's decision."

For the Bushes, the family's political dominance is a matter of longevity and sheer size. For the Clintons, it's a newer business -- more of boutique operation.

"It's a powerhouse. Clinton and Clinton. It's a law firm. It's a political law firm and a powerful one," Maraniss said. "The most powerful one in the country still."

Will they run?

While Hillary Clinton herself stays noncommittal about a potential second White House run -- despite all of the activity on her behalf -- her backers seem to be gearing up for another Clinton campaign.

As for Jeb Bush, he's continuing to travel the country on behalf of 2014 Republican candidates, collecting chits along the way. Funders have shown more interest in his candidacy now that New Jersey Gov. Chris Christie's star has dimmed.

As for Neil Bush, it's all in the family. He recounts a funny story about growing up Bush. He was 8 and big brother, George, was 16. There was a BB gun fight, and Neil lost â€” getting shot in a most uncomfortable place.

"When Dad became president, it was like the fulfillment of an expectation. He's always been my hero. He's always been Mr. Perfect," Neil said of his father's election in 1988.

In the end, Neil admired what his brother W accomplished as president, but early on he couldn't imagine it. To him, "W" was the the guy "who shot me in the ass."

@highlight

It's hard to understate the depth of the Bush-Clinton impact on American politics

@highlight

For 32 years, there was either a Bush or a Clinton in the White House or the Cabinet

@highlight

A Jeb Bush-Hillary Clinton 2016 matchup wouldn't be the first time a Bush faced a Clinton