Yangon, Myanmar (CNN) -- Zarni Aung's not sure how he contracted HIV -- it may have been from a tainted needle or a sex worker.

Either way, the virus saw his weight plunge below 40 kilograms before he left his home in Aunglan Township to seek help in Myanmar's largest city, Yangon.

Now 34, Zarni Aung is working for MÃ©decins Sans FrontiÃ¨res (MSF) -- or Doctors without Borders -- as a counselor for HIV patients too scared to expose their illness for fear of being ostracized or ignored.

"I'm no longer afraid to speak out," he says in halted English at MSF headquarters, occasionally stopping to sip tea and get the words straight in his head.

He's a singer who, at the height of his illness, was too sick to peform, but after his treatment clinched third place in Myanmar Music Idol, the country's version of American Idol.

Just over one year ago, MSF issued an urgent plea for help to treat an estimated 85,000 Burmese people with HIV. At the time only a fraction were getting vital antiretroviral therapy (ART), creating heartbreaking decisions for doctors who had to choose who was treated and who was turned away.

"Every day we are confronted with the tragic consequences of these decisions: desperately sick people and unnecessary deaths," the head of MSF's Myanmar mission, Peter Paul de Groote, said in a report, "Lives in the Balance," released in February 2012.

It wasn't a new phenomenon. Back in 2008, the medical group issued an even more desperate call for help to halt Myanmar's HIV epidemic. The situation for sufferers was critical, it warned, due to a severe lack of ART.

"Unless ART provision is rapidly scaled-up, many more people will needlessly suffer and die," De Groote warned in the report "A Preventable Fate." At the time, of 240,000 estimated to be carrying the HIV virus, 76,000 were in urgent need of ART. Of those, only 11,000 people were being treated.

Fast-forward to 2013 and the numbers tell the story of a dire situation brought back from the brink.

Around 125,000 people are now estimated to need ART in Myanmar but money has been pledged to retreat 85% of them, around 106,000 people, said Dr. Khin Nyein Chan, MSF's medical coordinator in Yangon.

It's due to the return of The Global Fund to Fight AIDS, Tuberculosis and Malaria, which pulled its funding in 2011 due to a lack of donations. Just over $160 million has been pledged until the end of 2016 to pay for HIV treatment and prevention programs for people most at risk of falling ill.

The return of funding follows the transition of power from the military junta that ruled Myanmar for 50 years to democratically elected President Thein Sein, who took office in March 2011. Since then, international sanctions have been lifted and the country's been working with foreign governments and delegations to repair decades of neglect.

While new funding for HIV treatment is flowing into the country, MSF warns that extending healthcare to 106,000 people is a slow process. So far the medication is only reaching 50,000.

"We still need to overcome a lot of challenges ahead,"said Dr. Khin Nyein Chan. "There is a need for capacity building, decentralizing the care delivery, and the stronger engagement of partners, including the Ministry of Health."

And there's another pressing issue: Eradicating the stigma associated with having HIV in Myanmar.

That's where Zarni Aung comes in. In 2006, when he was first diagnosed, he was too scared to speak out for fear of people's reactions. He started attending group sessions at MSF and soon realized that he was one of the few people he could find the strength to talk.

"Most of the patients were depressed so I disclosed my status and experience to help support them," he said.

He tells the story of an HIV patient whose family refused to attend his funeral, and of the HIV positive eight-year-old boy who went home crying from school after his teacher told him not to play with other children. Zarni Aung now gives talks in schools and to anyone else who will listen as part of the support group Myanmar Positive.

His claims of discrimination against Myanmar's HIV patients are backed by a UNAIDS report released in 2011.

The "People Living with HIV Stigma Index" found that 31% of Burmese respondents said that they had been excluded from social gatherings, including weddings, parties, funerals, because of their HIV status. It was the highest proportion of nine Asian countries surveyed, including Thailand, Pakistan and China.

One quarter said, within the last 12 months, they had felt discriminated against by their own families, 45% said they had been verbally or physically assaulted and 78% said they were aware that people were talking about them behind their backs. One quarter felt suicidal and around the same number said discrimination had forced them to quit their jobs.

Zarni Aung says attitudes are beginning to change, but it will take time and a change in government policy to protect the rights of HIV patients.

But he has a powerful ally in the form of Burmese opposition leader and Nobel Laureate Aung San Suu Kyi, who last month joined 200 people for a candlelight vigil to remember those who have died from AIDS-related illnesses.

"Respect for the human rights of people living with HIV must be promoted," she told the crowd. "We also need to protect the people who live on the fringes of society who struggle every day to maintain their dignity and basic human rights.

"I believe that with true compassion -- the invisible cord that binds us to other human beings regardless of race, personal status, religion and national borders -- we can get results for all people."

Han Thar Nyein contributed to this report.

@highlight

New funding means more Burmese HIV patients are receiving treatment

@highlight

Discrimination is still a problem, many sufferers are too scared to reveal status

@highlight

Zarni Aung has HIV and is now working with MSF to combat the HIV stigma in Myanmar

@highlight

According to a UNAIDS survey, one third say they've been socially excluded