(CNN) -- High-stakes lawsuits, overlapping investigations and a bitter battle over blame are spreading across Europe in the wake of a scandal that has rocked the meat industry.

Horse meat was discovered in products that are supposed to be 100% beef, sold in Sweden, the United Kingdom and France.

On Sunday, a major company under scrutiny called one of its suppliers a "villain" responsible for the fraud. The supplier, in turn, insisted it was "fooled" by a subsupplier.

While authorities say there is no immediate cause for health concerns, the discovery was a new shock to an industry already reeling from a bombshell last month when Irish investigators found horse and pig DNA in numerous hamburger products.

The blame chain

Swedish food producer Findus has been a focus of the uproar since it announced Thursday that it had withdrawn its lasagna from stores as a precaution. The products were pulled Monday after French supplier Comigel raised concerns about the type of meat that was used, Findus Sweden said.

Findus said a letter from Comigel dated February 2 informed Findus that the contamination may date back to August 2012.

Horsemeat found in hamburgers in Britain and Ireland

Findus is only one of several companies that receive products from Comigel. Others include Axfood, Coop and ICA, which have recalled some meat products in Sweden, and Aldi, which has pulled some products from shelves in Britain.

Six big French retailers -- Auchan, Casino, Carrefour, Cora, Picard and Monoprix -- said Sunday that they were recalling lasagne and other products.

Findus Nordic, which oversees Findus throughout the Nordic region, said it has begun legal action against Comigel and its subsuppliers.

"We are only at the beginning of our legal process. Comigel will end up in a lot of legal processes going forward, I imagine," Findus Nordic CEO Jari Latvanen said Sunday in an interview with CNN. "Comigel is the villain."

Comigel has not responded to CNN's requests for comment. The company did not answer its phones when CNN called repeatedly, and did not respond to an e-mail request for comment. Neither did CEO Erick Lehagre.

But Lehagre told French news agency Agence France-Presse on Sunday that his company had been "fooled" by a French supplier. "We were victims," he said, according to AFP.

Comigel apparently took its website down, posting a sign that it is "under construction." Previously, the site described the company as offering a wide array of products through partners, including major European retailers.

Criss-crossing investigations

Probes are under way in France, Sweden, and Britain. The supply chain being studied includes still more countries.

France's consumer affairs minister, Benoit Hamon, ordered an immediate investigation and said results will be available by midweek.

In a statement, Hamon said a provider in Luxembourg and traders in Cyprus and the Netherlands are part of the chain being probed.

The Swedish National Food Agency announced Sunday that it is reporting Findus to police, which is the standard course of action when products have been sold with the wrong labels.

British police are investigating as well.

British officials held an emergency meeting Saturday in London. Participants agreed "meaningful results" must be achieved by Friday, UK Food Standards Agency spokesman Brad Smythe said.

Officials discussed what tests are possible, what laboratory capacity is needed, and what can be done to protect consumer confidence, he said.

The evidence so far suggests "either criminal activity or gross negligence," Environment Secretary Owen Paterson said, adding that "more bad news" could come.

UK food businesses have been ordered to test all processed beef products for authenticity and report back to the authorities by Friday.

"I am determined that we get to the bottom of this and that any wrongdoing discovered is punished," Paterson said in a statement.

Prime Minister David Cameron weighed in Friday on Twitter. "This is completely unacceptable -- this isn't about food safety but about proper food labeling and confidence in retailers," he wrote.

Legal action under way

Latvanen credits his company with uncovering "a serious case of fraud."

"What has happened with Comigel is a crime, a scandal," he said in an interview with CNN.

Burger King finds horse meat at European supplier

While Findus has begun legal action in Sweden, Findus France previously said it will file a legal complaint Monday against a Romanian business that is part of the supply chain. It did not name the business publicly.

"There are two victims in this affair: Findus and the consumer," Findus France said in a statement.

The British arm of Findus said it is considering legal action against suppliers as well. Early results of an internal investigation "strongly suggest" the horse meat contamination of a beef lasagna product "was not accidental," the company said.

Tests showed up to 100% horse meat

Aldi said tests on random samples demonstrated that the withdrawn products contained between 30% and 100% horse meat.

"This is completely unacceptable and like other affected companies, we feel angry and let down by our supplier. If the label says beef, our customers expect it to be beef."

Samples of the affected Findus lasagna contained between 60% and 100% horse meat, according to UK and Irish food safety inspectors.

In January, the Food Safety Authority of Ireland found that 10 out of 27 hamburger products it analyzed in a study contained horse DNA, while 23 of them -- or 85% -- tested positive for pig DNA.

In nine out of the 10 burger samples, the horse DNA was found at very low levels, the inspectors said. But in one sample from Tesco, Britain's largest retailer, the horse meat accounted for about 29% of the burger.

Tesco apologized and vowed to make sure it never happens again.

Irish officials blamed ingredients from Poland.

Concerns about a veterinary drug

While horse meat is not itself a food safety hazard, food inspectors are concerned it may contain the veterinary drug phenylbutazone, or "bute," commonly used to treat horses.

Meat from animals treated with phenylbutazone may pose a risk to human health and is not allowed to enter the food chain as it may pose a risk to human health.

Findus has been ordered to test the lasagna withdrawn from shelves in the United Kingdom for the drug's presence.

The revelations have revolted many meat eaters in the United Kingdom, where horse meat is generally considered taboo, although it is commonly eaten in neighboring France, as well as countries including China, Russia, Kazakhstan and Italy.

The discovery of pig DNA in beef products is of particular concern to Jews and Muslims, whose dietary laws forbid the consumption of pork products. Jewish dietary laws also ban the eating of horse meat.

The UK Justice Ministry confirmed last week that a number of meat pies and similar items supplied to prisons in England and Wales were labeled and served as halal -- prepared in compliance with Islamic dietary law -- but contained traces of pork DNA, the Food Standards Agency said.

Horse meat is not commonly eaten in the United States, but the country does export it to Canada and Mexico. Congress passed a bill in November 2011 that lifted a 5-year-old ban on the slaughter of horses for meat in the United States.

Horse: Coming soon to a meat case near you?

CNN's Laura Smith-Spark contributed to this report.

@highlight

NEW: Six big French retailers pull lasagne and other products

@highlight

Comigel CEO tells a French news agency his company was "fooled"

@highlight

Findus Nordic CEO calls Comigel "the villain"

@highlight

Horsemeat isn't a health hazard, but could contain a veterinary drug unsafe for humans