(CNN) -- As senior World Cup photographer for leading agency Getty, Shaun Botterill has snapped pictures of every tournament since 1994.

He has found himself in some pretty privileged positions, capturing compelling images of football's greats -- and poignant, intimate shots away from the on-field action.

Sure, you have to be lucky to capture certain key moments when they happen, says Botterill. But he is also a firm believer in creating your own luck: being prepared when the magic unfolds on the pitch.

"I think knowledge of the sport is particularly important, because certain players have different styles," the Briton tells CNN's Sports Photo Masterclass series.

"A midfielder is more creative; he's always going to be looking for that pass. And you've got players like Ronaldo who will run a play -- he'll challenge plays, he'll make pictures. So that's where you get those big action shots.

"Generally the good players that just want to win and score make better pictures."

It's been said that eyes are the windows to the soul. Botterill says he's learned that focusing on players' eyes helps photographers to anticipate their moves.

While covering the trophy ceremony at the 2006 World Cup in Germany -- a tournament he describes as one of his favorite events to have worked at -- Botterill caught a glimmer in Italy captain Fabio Cannavaro's eyes as he stood with his team for the presentation.

"Once Cannavaro got the trophy, he didn't just grab it," Botterill recalls.

"You could see he had something in his mind to do. Things seemed to slow down and I thought I knew what was going to happen next."

Cannavaro lifted the trophy high above his head, as the air around him and his teammates exploded in party tinsel.

Botterill, meanwhile, had crawled his way through the legs of other photographers and knew he was in position to get the shot.

"You think you're going to be really tense at those moments but that's when you're almost laughing," he says.

"He lifts the trophy and you're looking at other photographers and laughing because you know you don't have to look at the back of the camera to make sure you got the shot."

Born in the English town of Northampton in 1967, Botterill got his first break at the age of 16 at the agency founded by renowned sports photographer Bob Thomas, working in the dark room.

"I loved photography and playing football at school and realized early enough I'd never be good enough to play professionally, so I thought the best way to get to the World Cup final and be near/on the pitch would be to combine the two," he recalls.

He attended his first World Cup in Mexico in 1986 and, after a brief career break "hanging out on beaches and scaffolding," he resumed his photographer career at Allsport, which was later acquired by Getty.

The job took him not only to his first World Cup, in the U.S. 20 years ago, but to both the Summer and Winter Olympics.

"It's not all glamor -- I had cockroaches in my bag last night!" he told CNN, post-interview, via email from Brazil -- where he is crisscrossing South America's largest country to cover the game he loves most.

At the 2010 World Cup, Botterill was given access to the tunnel outside the dressing room before the quarterfinal match between Argentina and Germany in Cape Town.

There he captured closeup shots of former football star and Argentina coach Diego Maradona, running down the line, kissing each player and firing them up before the game.

Because few photographers are given that kind of access, there's a certain amount of pressure to deliver.

"Every time you're in that kind of situation, you know some of this has never been photographed before -- so there's pressure in one way, but it's also quite exciting," Botterill says.

"Because you know if you stumble across a picture and something happens, people are going to want to use it because it's never been shot."

Although amateur photographers may not have the same equipment as the pros, they can override this deficit by utilizing the same approach.

"The key is to work with the equipment you've got," Botterill advises.

"Don't try to look at the photographers on the other side of the pitch and go, 'Oh they've got a big lens...' because you can't take those pictures.

"Shoot the correct picture for the lens you've got. Maybe you have a different angle because you're in the crowd. Maybe there are people celebrating in the foreground.

"And if something that's happened looks great from where you are, nowadays with the internet, if somebody picks up that picture and it's a good angle -- hey you could be published all around the world."

Basic photographic techniques will help elevate your work. Botterill says any photographer can better their chances by first finding the best background and the best light before starting to shoot.

And it's important to sometimes just wander in pursuit of rare photographic moments -- not all the World Cup pictures are on the pitch. If you don't move around and explore, he says, you're not going to find anything different.

In South Africa in 2010, Botterill traversed the area around Johannesburg's Soccer City Stadium and stumbled upon fans silhouetted dramatically in front, blowing their vuvuzela horns.

It was a beautifully artistic and unique shot that showcased the passion and flavor surrounding the tournament.

And in Brazil, the country's renowned fervor for football means fans are out in full regalia everywhere, showing pride and support for their team.

"Those pictures for me are as important as anything," Botterill says. "Those are the pictures that you really want to get.

"The more experience you have -- and the nice thing about doing a lot of World Cups -- is that you kind of back up and back away from the more obvious things and you take the time to go looking for those rare moments."

Fancy yourself as a photographer? Send us your best football pics

@highlight

Shaun Botterill is one of the world's leading sports photographers

@highlight

Working for Getty Images, he has special access at major events

@highlight

He says he crawled through other photographers' legs to get 2006 shot

@highlight

Great World Cup photos can be found away from the main stadiums, he says