(CNN) -- The Bush and Obama administrations' extraordinary program of targeted killing has resulted in the deaths of as many as 4,400 people to date. Books such as Daniel Klaidman's "Kill or Capture" and David E. Sanger's "Confront and Conceal" are appearing thick and fast, focusing on the program and particularly on the use of drones to carry it out.

The belated scrutiny is welcome. Yet it still fails to critically assess the essential question: Is this killing occurring in war?

Both Presidents Bush and Obama have attempted to justify thousands of drone attacks as part of a "war" or "armed conflict." But is that correct?

The question must be answered in terms of international law. When the United States kills people in foreign, sovereign states, the world looks to international law for the standard of justification. In war, enemy fighters may be killed under a standard of reasonable necessity; outside war, authorities are far more restricted in their right to resort to lethal force.

Independent scholars confirm that many drone attacks are occurring outside war zones. These experts know the legal definition of war, and they understand why it is important to know it: Above all, protecting human rights is different in war than from protecting them in peace.

News: Pakistan spy agency chief to tell CIA: End drone strikes; ID targets for us to attack

Admittedly, this dual standard for justifiable killing makes the law protecting the right to life more complicated than the law protecting other fundamental rights. Torture, for example, is absolutely prohibited in international law at all times, in war and peace.

The law on killing is different. The human right to life codified in the International Covenant on Civil and Political Rights, to which the United States is a party, prohibits the "arbitrary" deprivation of life. It does not prohibit absolutely all taking of life.

The military may use lethal force against enemy fighters during an armed conflict if the use of force meets the requirements of military necessity, and if it will not have a disproportionate impact on civilian lives and property. Countries may lawfully initiate armed conflict in self-defense if the state is the victim of a significant armed attack, as long as the self-defense is carried out against the state responsible for the armed attack.

President Bush declared a "global war on terror" after 9/11 to, presumably, gain the advantage of more relaxed rules on killing and detention. Some of the same lawyers who tried to develop legal cover for the use of torture produced an even flimsier analysis of why the entire world was a war zone, so that the president could authorize killing and detention of individuals worldwide.

Lawyers in both the Bush and Obama administrations have reportedly prepared memos that according to the media assert the CIA may lawfully conduct so-called "targeted killings" of the "war on terror" without violating President Reagan's ban on assassination. Legality seems to turn in this analysis on the president personally approving a "kill list."

In November 2002, the first killings occurred under this "global war" assertion. Six people, including a 23-year-old American, were killed by Hellfire missiles in Yemen fired from CIA-operated drones based in Djibouti. The UN special rapporteur for extra-judicial killing condemned the attack as an arbitrary deprivation of the right to life, but it would take over six years and a change of party in the White House before human rights advocates, international law scholars, moral philosophers, theologians, and others would begin to focus on targeted killing as they had focused on the use of torture.

Why has it taken so long to focus on so many questionable deaths? As already indicated, the law is more complicated on killing than on torture. To make the legal argument against targeted killing requires sophisticated knowledge of a broader range of international law than is involved in defending a human right such as the right to be free from torture.

Also, the Bush administration carried out fewer targeted killings: Of the 336 attacks as of July 2012 in Pakistan, 284 have occurred under Obama. Bush officials were better able, therefore, to suppress discussion. Also, human rights advocates had their hands full with the more visible problems of the Bush era: torture, Guantanamo Bay and military commissions. A number of them then joined the Obama administration; rather than condemn targeted killing as the violation of international law that it is, some former critics are defending it, presumably as part of their job.

Opinion: Civilian casualties plummet in drone strikes

The job of the International Law Association is to report on international law in a scholarly and objective fashion. The ILA has had a Committee on the Use of Force for decades. From 2005 to 2010, when I was its chair, the 18-member committee, including members from five continents, undertook to produce a report on how "war" is legally defined.

That report assesses hundreds of violent incidents over a period of 65 years. It concludes that under international law, war or armed conflict exists only when there is intense inter-group fighting by organized armed groups.

These are objectively verifiable criteria that cannot be fabricated by politicians. The International Committee of the Red Cross recently invoked them with respect to the violence in Syria. The situation in Syria became a civil "war" when organized armed groups were fighting with intensity of some duration.

Targeted killing with drones in Yemen, Somalia, and Pakistan have generally violated the right to life because the United States is rarely part of any armed conflict in those places. The human right to life that applies is the right that applies in peace.

Complete coverage of drones on CNN's Security Clearance blog

Today, the United States is engaged in armed conflict only in Afghanistan. To lawfully resort to military force elsewhere requires that the country where the United States is attacking has first attacked the United States (such as Afghanistan in 2001), the U.N. Security Council has authorized the resort to force (Libya in 2011) or a government in effective control credibly requests assistance in a civil war (Afghanistan since 2002).

If the president has been advised otherwise with regard to his "kill list," he should read "What Is War?"

Join us on Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Mary Ellen O'Connell.

@highlight

O'Connell: U.S. drone strikes have killed as many as 4,400 people since 2002

@highlight

Many drone attacks are occurring outside war zones, says O'Connell

@highlight

Those attacks have generally violated the right to life, she says

@highlight

O'Connell: A legal argument against targeted killing requires international law