Beijing (CNN) -- Anyone interested in world affairs, Chinese diplomacy and China's future should know more about Xi Jinping.

Xi (pronounced "shee"), China's vice president, will be visiting the United States this month for meetings at the White House in Washington and will travel to other cities.

"The visit is important to boost his stature at home -- here is the man the U.S. takes seriously, and he can deal with them on our behalf," says Anthony Saich, a China expert at the Harvard Kennedy School. "For the U.S., it provides an opportunity to introduce him to key U.S. politicians and the American public. The same approach was taken with Hu Jintao before he took over."

Xi, 58, is in line to be China's next paramount leader. He is expected to succeed Hu when his second term ends in autumn this year and could rule China for 10 years.

But who is Xi? Some key information about him:

• He comes from a clique known as "princelings," sons and daughters of revolutionary veterans. His father, Xi Zhongxun, was a revolutionary hero who was banished during the Cultural Revolution.

• When his father was in limbo, Xi spent time as a teenager doing manual labor in China's countryside and went on to become a local party chief.

• He holds chemical engineering and law degrees from the prestigious Tsinghua University, the alma mater of Hu and other senior leaders.

• He served in the People's Liberation Army as an officer in the General Office Department and assistant to the chief of the policy-making Central Military Commission.

• He worked his way up from party chief to governor or party chief of three provinces -- Fujian, Zhejiang and Shanghai.

• He became party chief of Shanghai in 2007 to replace Chen Liangyu, who was sacked because of a corruption scandal.

• He served as a point person for the 2008 Beijing Olympics and other recent major events.

• In addition to being vice president, he is a member of the communist party's secretariat and head of the Central Party School, a political training ground for party cadres.

• He has been married twice, more recently to Peng Liyuan, a famous folk singer in China. Their daughter, Xi Mingze, is now enrolled at Harvard.

What makes Xi click?

Analysts say Xi is generally liked for his pragmatism, competence and a heritage of political reliability.

"He has avoided controversy in his career and has worked in provinces that could be deemed a success," Saich said. "He appeals to the broadest range of factions within the party, he is one of them, and he is not going to upset their privileges."

"His 'birthmark' is obviously a factor that propelled him to the top," says Yawei Liu, a China-watcher at the Carter Center in Atlanta. Liu also notes that Xi is generally perceived as "unassuming and unpretentious."

Singapore's retired leader Lee Kuan Yew recalled a one-hour meeting in late 2007 and found Xi to be a thoughtful man who has been through many trials in life.

"I would put him in the Nelson Mandela's class of persons, a person with enormous emotional stability who does not allow his personal misfortunes or sufferings to affect his judgment. In other words, he is impressive."

What kind of a leader might Xi be as a driver of China's foreign policy? Will he be dovish or hawkish?

"Most see him, given his previous work experience, as likely to be on the collaborative side," Saich said. "People who know him say he is thoughtful and wants a good relationship with the U.S. His daughter is here, his sister is in Canada."

However, given the strong nationalistic sentiments in the military and among sections of the youth, Saich thinks "it might make him feel that he has to be aggressive, at least to start with, to consolidate his position."

In one occasion, during a visit in Mexico in 2009, he was caught on camera chastising foreigners while speaking informally to a group of overseas Chinese. "Some bored foreigners have nothing better to do than point their fingers at our affairs," he said. "(But) China does not, first, export revolution, second, export poverty and hunger, and third, cause unnecessary trouble for them. What else is there to say?"

"If his off--the-cuff remarks in Mexico are any reflection of his tendency, he could be hawkish in conducting Chinese foreign policy," says Liu of The Carter Center.

Little is actually known about Xi's political views, but analysts say he shares concerns about maintaining the rule of the communist party and social stability.

Recent ethnic unrest in Xinjiang and Tibet, strikes in factories and mass protests in towns and villages have made China far cry from Hu's dream of a "harmonious society."

The rapid economic growth the leadership has depended on to claim political legitimacy and to ease social tensions has been sputtering as key export markets in the U.S. and Europe continue to shrink.

"The international and domestic situation has changed so much he will have to introduce orderly political reform to ensure the nation does not implode as a result of rampant corruption, stagnant economic growth and popular frustration over the lack of freedom of speech and government accountability," Liu said.

Saich believes Xi's biggest challenge is how to deal with the new social media, given the divergent opinions within the Communist party.

"Some want to treat it like the old-fashioned print media and try to mimic the same kinds of controls and institutional structures," he explained. "Others recognize the world is changing and that a new way of dealing with the social media and citizen participation has to be found without undermining the party's paramount position."

"This challenge is fundamental to the future of the party," Saich added.

Netizens are not upbeat. "Don't expect too much change from Xi," said "Berlinbear," a microblogger posting on Sina Weibo, a social media site in China.

"Tianxiaoyu" writes: "I don't really expect the Communist Party to start holding general elections, but I do hope Xi can bring some substantial reform to keep the despotic 'people's servants' within limits... I want to at least have the right to remove someone from office when I don't want him there."

Perhaps Xi can pick up pointers, good and bad, when he visits the United States.

@highlight

Xi will visit the White House in Washington, travel to other U.S. cities

@highlight

The 58-year-old is in line to be China's next paramount leader after Hu

@highlight

Xi faces challenge of social media