Juba, Sudan (CNN) -- Sudan's foreign affairs ministry is contradicting U.S. President Jimmy Carter's statement about Southern Sudan's debt obligations.

Southern Sudanese voters are heading to the polls this week to determine whether they should secede from Sudan. The question of how to split Sudan's debt is one of several issues that would have to be resolved if the south votes for independence, as is widely expected.

On Monday, Carter told CNN that Sudanese President Omar al-Bashir "said the entire debt should be assigned to north Sudan and not to the southern part of Sudan. So, in effect, Southern Sudan is starting with a clean sheet on debt. They'll have to make some arrangements for other sources of income, of course."

The Sudan News Agency reported Monday the country's foreign affairs ministry "categorically refuted the statements."

It said the ministry's spokesman, Khalid Musa, explained that during the Carter meeting, al-Bashir affirmed Sudan's strong call on the international community to take the initiative in writing off Sudan's debts as part of the Debt Relief for Developing Countries and the Heavily Indebted Poor Countries (HIPC) Initiative "in a view that the country, both in the north and south, have not enough resources to pay these debts."

Musa also noted the expected decrease of the north's oil revenues if southerners choose separation, the news agency said.

According to Musa, al-Bashir said debt is a joint responsibility of the north and the south "under joint negotiations of the two partners," the news agency said.

A representative for The Carter Center who is in Sudan did not release an official response when reached by phone Tuesday.

In a piece written by Carter that appears on CNN.com, the 39th U.S. president said "the United States should resume normal relations with the government in Khartoum and support debt relief for the governments in both the North and South" if the referendum succeeds.

"In addition to the loss of one-third of its geographic area, the economic cost to the North of losing a large share of current oil revenues will hurt the economy significantly," Carter added.

Meanwhile, voters in Southern Sudan participated Tuesday in the third day of the week-long referendum.

The south would become a new nation in July if voters choose independence and no other obstacles emerge.

The referendum was called for in the 2005 peace treaty that ended 22 years of war between a government dominated by Arab Muslims in the north and black Christians and animists in the south. That war killed at least 2 million.

South Sudanese vote, celebrate in Australia

At one polling station in Lologo, on the outskirts of the southern capital of Juba, some people slept nearby or arrived early Monday. The reason: So many voters had showed up on Sunday that some were turned away.

Mary Luluwa shuffled to the front of the line with her wooden cane. Nearly blind, she had to be shown by election officials how to place her thumbprint.

Luluwa said she was not sure

old she is, but she said she is certain how she will vote.

"For freedom," she said. "I am very happy to vote, it's my first time, I am old and I can't see much, but I voted for my children."

But Tuesday's voting follows several days of violence that flared up in a disputed region between north and south.

At least 23 people have been killed in ongoing clashes around the disputed region of Abyei, an oil-rich area that the British transferred to Sudan in 1905. A 2005 peace agreement called for people in Abyei to vote this week on whether to remain part of the north or return to the south, but that vote has been delayed.

Clashes have erupted for four days between members of the Ngok Dinka ethnic group, which tend to have more in common with the south, and the Misseriya, a nomadic Arabic tribe that comes in and out of the Abyei region and whose sympathies would most likely tilt toward the northern government.

Thirteen of the 23 were Misseriya, according to hospital officials in nearby Muglad. Ten were reported dead in Abyei, said John Ajang, secretary general of the Abyei government.

Ajang said Monday that he believes the armed militias that clashed with Abyei government forces were not Misseriya tribesmen, but rather Sudanese government-supported militias. He said witnesses described heavy weaponry inconsistent with the automatic weaponry seen carried by Misseriya tribesmen in the past.

"We believe this is an attempt by the Sudanese government to take Abyei while the government of south Sudan forces are busy with the referendum," Ajang said.

Observers from around the world are monitoring the historic referendum.

The Atlanta-based Carter Center has about 70 observers in Sudan and 30 observers in eight other countries where Southern Sudanese are living and voting, according to David Carroll, director of the Democracy Program at The Carter Center.

Representatives of the European Union, the African Union, the Arab League and the Intergovernmental Authority on Development are also observing the referendum.

Southern Sudanese people who lived in the north for decades have crossed back into their homeland to vote in the referendum. Meanwhile, some voters in the north said they voted for unity, including one woman who said she didn't see a point in splitting up the country.

Prior to the voting, Southern Sudanese diplomat John Duku said a unified Sudanese nation "means only one thing -- it means war."

"Over the years, unity has imposed war on us, the unity has imposed marginalization on us, the unity has imposed slavery on us," he said. "So, what is the meaning of unity? For the people of south Sudan, it means only war."

The south has repeatedly accused the north of trying to stoke tension by supporting rebels troops to destabilize the south, an allegation the Arab Muslim-led government in Khartoum denies.

Even with a secession vote, stumbling blocks could remain -- about 20% of the border area has not been demarcated, and the division of oil revenues between the two sides could be an issue.

CNN's David McKenzie and Ingrid Formanek contributed to this report from Juba, Sudan; CNN's Ben Wedeman from Khartoum, Sudan and Journalist Nima Elbagir from Balom, Sudan.

@highlight

Southern Sudanese are voting on whether to separate from Sudan

@highlight

If they choose to secede, a new country could emerge in July

@highlight

At least 23 have died in violence leading up to and during the voting

@highlight

A 2005 peace treaty ended 22 years of war that killed at least 2 million