(CNN) -- Remember that giant grizzly in Alaska that came inches from your face?

Or those magnificent northern lights on that winter night in Finland?

No?

OK, maybe neither of those amazing photo ops have passed in front of your lens just yet.

But when they do, you'll want to be ready.

The best photography tours not only put you in the right place at the right time to capture magic moments, they impart the skills to turn them into photos worth sharing.

The tours below feature award-winning photographer-instructors, exclusive experiences and even the use of $100,000 worth of camera gear.

Alaska's Coastal Grizzlies: Kodiak to Katmai Photo Tour

"Coming within feet of these giant creatures in 100% safety is difficult to fathom, and the photos you can get as a result are unparalleled," says Ted Martens of Natural Habitat Adventures, a travel partner with the World Wildlife Fund.

Those "giant creatures" Martens speaks of are Alaskan brown bears, the world's largest coastal grizzlies.

Natural Habitat Adventures' eight-day Alaska photo tour is a luxe, eco-friendly trip for a maximum of eight travelers that gets close to the famed and feared bears.

The draw is exclusive floatplane access to the remote waterways of bear-filled Katmai National Park and Preserve.

The tour also makes a stop on wild Kodiak Island, home to Kodiak bear (brown bear) and animals such as whales, otters and puffins.

Alaska's Coastal Grizzlies: Kodiak to Katmai Photo Tour, Natural Habitat Adventures; departures from June to September in 2015; from $8,895

Vietnam, Laos & Cambodia: A Photographer's Journey through Southeast Asia

Lane Nevares of Art Photo Expeditions, which leads a unique photo tour through Southeast Asia, talks about his company's equipment-laden tour in terms of a high-performance vehicle.

"It's like Ferrari offering a trip through southern Europe that allows participants to drive Ferraris in various locations," he says.

That's Nevares' description of the 14-day tour led by ace photographer Tim Gerard Barker, which features loaner gear provided by Swedish luxury camera brand Hasselblad.

"Photographing people in Asia is a wonderfully rewarding experience," says Barker. "A wave of the camera and a smile is often enough to gain acceptance into their space."

Participants get the benefit of Barker's years of experience.

"I frame dynamically and look for the best angles and the best light," he says. "I like to work with wide lenses, so I'm often in very close."

Travelers bring their own gear but they can try H5D-50c and CVF-50c medium format cameras, and all Hasselblad's H lenses on the trip.

Vietnam, Laos & Cambodia: A Photographer's Journey through Southeast Asia, Hasselblad Xcursions and Art Photo Expeditions; November 10-23, 2014; from $11,900

Torassieppi Aurora Photography

Even if you're lucky enough to catch the northern lights, you can't brag about it back home if you can't photograph them right.

The Aurora Zone guarantees those bragging rights, as long as you're lucky enough to see the aurora in Lapland, the northernmost region in Finland.

"In addition to a passion for searching for the northern lights, our expert guides have a comprehensive knowledge of Lappish culture, people and landscape," says Alistair McLean, founder of the Aurora Zone, a company that specializes in northern lights tours.

Gareth Hutton, a Lapland-based photographer, will lead a tour to Torassieppi in early 2015.

"The tour embraces that quintessential feeling of what winter should really be like -- powdery snow, snow-capped trees and those amazing skies," says Hutton. "Not only are the northern lights spectacular, but the long winter sunsets are pretty magical, too."

Participants learn the most challenging aspect of photographing the northern lights -- having the right combination of camera settings and adapting these as the night sky changes.

The group stays in cottages on a reindeer farm during the trip.

Torassieppi Aurora Photography, The Aurora Zone; departures from January to March 2015; from Â£2,108 ($3,440)

Shikumen Tour in Shanghai

"All of this used to be old shikumen (stone-gate houses), but they've been demolished now," says Gang-feng Wang, photographer and tour guide, standing outside a construction site in Shanghai.

"But don't worry, we'll build you lots of nice museums so you can see how it used to be," he cracks.

Wang is the irascible guide of the Four Seasons Hotel Shanghai's four-hour photography tour through the disappearing shikumen houses of the city's British Concession.

It's a great way to pry into the local community.

After photographing the maze-like alleys -- garnished with clotheslines, chatting neighbors and cages of messenger pigeons -- travelers are taken inside some of the houses.

Originally built for British traders, the houses -- each now occupied by multiple local families -- are still adorned with imported British floor tiles.

"This one houses more than 30 families," says Wang, as the group walks up a set of squeaky wooden stairs to a rooftop, where the tour finishes with a panoramic view of the Shikumen complex.

Shikumen Tour, Four Seasons Hotel Shanghai; available throughout the year; from RMB2,400 ($390)

Tundra Lodge polar bear photo expedition

Natural Habitat Adventures claims it offers the world's best polar bear viewing/photographing tour.

It may not be exaggerating.

The company holds exclusive permits to tour the entire Churchill Wildlife Management Area in Manitoba, Canada.

It also has a mobile hotel, called the Polar Rover.

With a gourmet kitchen, lounge area and sliding windows, travelers can photograph polar bears without leaving the Polar Rover's toasty rooms -- except when they want to head to the moving hotel's open observatory deck.

According to the company, curious bears often wander up the lodge, allowing travelers to photograph them from inches away.

Tours last eight days.

Tundra Lodge Photography Expedition, Natural Habitat Adventures; departs in November in 2014 and 2015; from $7,995

Destination in Focus: Miraval, Tucson, Arizona

Leica and Exclusive Resorts have teamed up to host a series of photography expeditions.

Destination in Focus: Miraval (based at the Miraval Resort and Spa in Tucson, Arizona) is the last of 2014's four-night excursions still available for booking.

Participants bring their own gear, but they also have access to the newest equipment from Leica, including the recently launched Leica X Vario camera, and more than $100,000 worth of equipment.

They also get to interact with Leica Akademie's team of instructors.

Participants learn to shoot sunrises and motion photos at a Navajo Hoop Dance Performance.

The trip wraps up with photo-editing classes.

Destination in Focus: Miraval, Tucson, Arizona; Exclusive Resorts and Leica; November 12-16, 2014; from $3,599

National Geographic Expeditions

Desert sunsets and snake charmers in Morocco.

Leopards and rare desert-adapted black rhinos in Namibia.

Giant tortoises and other wildlife on the Galapagos.

Winter snowscapes and Old Faithful geyser erupting in Yellowstone.

The photo ops on National Geographic-organized expeditions are reliably world-class, and so are the celebrated photographers who join trips and lead lessons.

Pulitzer Prize-winning photographers on the star-studded trips -- which range from one to two weeks -- include Ken Geiger and Jay Dickman.

Winter Wildlife in Yellowstone Photography Expedition; departures in January and February 2015; from $3,645

Galapagos Photo Expedition; departures between Febrary and June 2015; from $5,490

Namibia Photo Adventure; December 4-16, 2014; from $8,595

Morocco Photo Expedition; departures in May and October 2015; from $5,995

Wildlife Photo Master Class at Mayakoba, Mexico

"The winning aspect of photographing birds at Mayakoba is the world-class mangrove forest within the resort, which houses more than 200 species of wildlife," says Steve Winter.

One of the star photographers who leads Banyan Tree Mayakoba's photo master class in Mexico's Riviera Maya, Winter has been a photographer for National Geographic for more than two decades.

"Transportation (through the mangrove) is via beautiful, silent mahogany electric boats, so you don't disturb the wildlife," says Winter.

Photographer-instructors provide one-on-one coaching with students, "whether that be working on composition out on the boat or reviewing the day's images back at the hotel," according to Winter.

In addition to photography skills, tour guides share knowledge of the birds and other wildlife of the area.

Boat-billed heron, little blue heron, roseate spoonbill, egrets, cormorants and anhingas are some of the birds students can expect to photograph.

Wildlife Photo Master Class at Mayakoba; Banyan Tree Mayakoba, Mexico; available until the end of 2014; from $2,499

Zooming in on Cambodia

If there's a new way to photograph Angkor Wat, this tour will find it.

Belmond La Residence d'Angkor offers photography packages that include two-night stays, a three-day pass to the Angkor temple complex and a full-day excursion with an in-house photographer.

A standard photography itinerary includes a longboat tour along the Kompong Phluk water village bordering Southeast Asia's largest lake, a private kayaking tour through the eerie floating forest and shopping at a local market.

For an additional cost, guests can add photography experiences such as trawling down the Siem Reap River on an elephant or taking a helicopter ride over the Angkor temple complex.

Zooming in on Cambodia; Belmond La Residence d'Angkor; available throughout the year; from $1,400

@highlight

With Pulitzer-winning instructors and $100,000 lenses, these photo tours get you shooting like the pros

@highlight

Some tours have exclusive access to some of the world's best spots for photographing bears

@highlight

Tips from pros include wearing loose-fitting clothes you don't mind getting dirty

@highlight

But some tours are headquartered in luxury resorts