(CNN) -- Nigeria's state oil company rejected criticism from a leading human rights group Wednesday, calling an Amnesty International report "inaccurate."

File image of Shell's oil and gas terminal on Bonny Island in southern Nigeria's Niger Delta.

"We have issues with the report," said Levi Ajuonoma, a spokesman for Nigerian National Petroleum Corporation.

Amnesty said Tuesday that pollution and environmental impacts from the oil industry in the Niger Delta are creating a "human rights tragedy" in which local people suffer poor health and loss of livelihood.

Governments and oil companies are failing to be accountable for the problems, Amnesty said in its report, called "Petroleum, Pollution and Poverty in the Niger Delta."

But the state oil company said it was local communities who cause much of the environmental damage by vandalizing pipelines for monetary gain.

"We take environmental damage very seriously," Ajuonoma said.

"Pipeline damage is a major cause of pollution," he argued, blaming "communities who... vandalize pipelines and make claims on the oil company operating in the area."

Amnesty leveled a wide range of charges in its report.

"People living in the Niger Delta have to drink, cook with and wash in polluted water," said Audrey Gaughran, who co-authored the report. "They eat fish contaminated with oil and other toxins -- if they are lucky enough to be able to still find fish. The land they farm on is being destroyed.

"After oil spills, the air they breathe smells of oil, gas and other pollutants. People complain of breathing problems and skin lesions, and yet neither the government nor the oil companies monitor the human impacts of oil pollution."

The report looks at oil spills, gas flaring, waste dumping and other environmental impacts from the oil industry. The majority of the evidence in the report relates to Shell, the main oil company operating in the region.

"Despite its public claims to be a socially and environmentally responsible corporation, Shell continues to directly harm human rights through its failure to adequately prevent and mitigate pollution and environmental damage in the Niger Delta," Gaughran said.

A Shell spokesman said the company shares Amnesty's concern for the people in the Niger Delta but disputes the group's assessment of its corporate accountability.

"We feel that the root causes of the Niger Delta's humanitarian issues are poverty, corruption, crime, militancy, and violence. This report does not acknowledge these issues to any substantive degree, but concentrates on oil and gas issues in isolation, and as such, its value is limited," said a spokesman at the company's headquarters in The Hague, Netherlands, who asked not to be identified per company policy.

"This report brings no new insights or analysis to help oil companies such as SPDC improve managing the issues of the Niger Delta," the Shell spokesman said. "Instead, in parts it draws wide-ranging and superficial conclusions from a number of these deeply complex issues, offering little underlying analysis to support those conclusions."

SPDC is the Shell Petroleum Development Company, the national oil and gas company in Nigeria. Shell owns a 30-percent stake in the company while the Nigerian government owns 55 percent.

The Niger Delta is a region in Nigeria consisting of nine oil-producing states. It has a land area of about 46,500 square miles (75,000 square km) -- about the same size as the Czech Republic or the U.S. state of Pennsylvania, according to the United Nations Development Program (UNDP).

An area of rich biological diversity, the region contains the world's third-largest wetland with the most extensive freshwater swamp forest, according to the UNDP. More than half the area contains creeks and small islands, while the rest is rainforest, the UNDP says.

At the same time, the Niger Delta produces the oil wealth that accounts for the bulk of Nigeria's foreign earnings, the UNDP says.

Amnesty says the majority of people living in the Niger Delta depend on the natural environment for their food and livelihood, particularly through agriculture and fisheries.

Shell said it is not responsible for some 80 percent of the pollution in the oil-rich area, because that pollution is the result of attacks and sabotage of Shell operations in the Niger Delta.

"Over the past four weeks alone we had eight attacks," he said. "These attacks had a substantial impact on the environment, and assets, and most importantly for the people that live and work there."

About 85 percent of the oil spills from Shell operations are the result of attacks and sabotage, he said.

Nigeria's main militant group, the Movement for Emancipation of the Niger Delta, or MEND, has claimed responsibility for numerous attacks on the region's oil infrastructure in recent months.

MEND said Sunday it had attacked an offshore facility and that it was engulfed in flames. Last week, the group said it had destroyed a pipeline owned and operated by the Italian gas company Agip.

Also last week, MEND claimed to have destroyed Shell's main trunk line in Bayelsa state and a Chevron oil station in the region.

MEND demands that more of Nigeria's oil wealth be invested in the Niger Delta instead of enriching those whom the militants consider to be corrupt politicians.

Last year, a series of MEND attacks forced Nigeria to cut its oil exports by as much as 40 percent.

Amnesty's report acknowledged that armed groups and communities have worsened the pollution problem by vandalizing oil infrastructure or stealing oil, but it said the scale of the problem is not clear.

Shell said plans are under way to deal with the problem of gas flaring, which happens when crude oil is brought to the surface along with the large volumes of gas that have been trapped with it.

The gas used to be burned off safely in a process called flaring, but that process is now considered a waste of resources and revenue for the government, Shell says. A $3 billion program to reduce the gas flares has already been able to cut them by 30 percent, the company said.

The Amnesty report also pointed the finger at governments and said they have failed to be held accountable for the situation of the people.

The Niger Delta covers 185 different local government areas, according to the United Nations Development Program.

"The government must address the human impact of oil industry pollution," said Gaughran, of Amnesty. "They have a duty to protect their citizens from human rights abuse or harm by businesses and they are failing in that duty."

Shell supports "collaborative solutions" between communities, governments, corporations and non-profit groups as the only way to address the problems listed in the Amnesty report, the spokesman said.

"The SPDC definitely shares Amnesty International's concern that the people in the Niger Delta haven't benefited from the extraction of the oil and gas as they should," the spokesman said, "but this has been the opinion of the SPDC for a number of years."

CNN's Christian Purefoy contributed to this report.

@highlight

Amnesty: Oil industry in Niger Delta creating "human rights tragedy"

@highlight

People living in Niger Delta have to drink, cook, wash in polluted water, it says

@highlight

Nigeria's state oil company: Local communities causing much of the damage

@highlight

Niger Delta a region in Nigeria consisting of nine oil-producing states