(CNN)"So tell me," an old school friend asked, "if the demand for chocolate is so high, why are cocoa farmers so poor?"

We were sitting in the local pub, just days after I returned from a trip to the Ivory Coast, filming a CNN documentary about child labor and poverty in the chocolate industry.

Two years after CNN's Freedom Project exposed Chocolate's Child Slaves, it was time to return to the cocoa plantations to unwrap the chocolate supply chain, to investigate what progress has been made to stop child labor and to explore how farmers can get more money for their beans.

My friend didn't know what he was letting himself in for. The answer to his question is neither simple nor short -- and "cocoa-nomics" has become something of an obsession of mine.

The chocolate industry is worth an estimated $110 billion a year, and yet its key commodity is grown by some of the poorest people on the planet, in plantations that can hide the worst forms of child labour.

Accurate figures are impossible to come by, but up to 800,000 children are thought to work in the cocoa sector across the Ivory Coast; children who are both a symptom of and a self-perpetuating factor in a much wider problem -- poverty.

In 1980 the international cocoa price was $3,750 a tonne -- equivalent to $10,000 a tonne in 2013. Nowadays it is considered high at roughly $2,800 a tonne.

Over the same period, the value of cocoa within a chocolate bar has halved from 12% to just 6%, so although a farmer's cocoa is essential to a chocolate bar, its value is a small part of the ultimate cost of production.

Most (70%) of a modern day chocolate bar's value goes to the manufacturer because the majority of the costs are in marketing, research and development.

In 2012, as part of sweeping reforms to the cocoa sector the Ivorian government enforced a minimum price for cocoa at the farm gate; at 60% of the international market price, it's about $1.5/kg.

No farmer will tell you it is enough, but it does mean they can budget ahead, and are less at the mercy of passing middlemen or traders.

Nick Weatherill, director of the International Cocoa Initiative, says the Ivory Coast's reform of the cocoa sector was guaranteeing a steadier price, "at least in its first steps."

"It may not be as high as the farmers would like, to jump out of poverty," he says. "But at least it's steady and they know what's coming".

A guaranteed minimum price was the first gust of a prevailing wind which is now sweeping over the cocoa plantations: For more than a decade the "big chocolate," companies like Nestlé, Hershey, Kraft and Mars have suffered from a barrage of bad publicity -- seemingly unwilling or unable to flex their corporate muscle to stop child labor.

Across the industry it was seen as everybody's problem but nobody's responsibility.

"So what has changed?" asked my friend, who by now was tucking into a hearty pub lunch.

Infographic: Cocoa-nomics explained

I'm afraid the answer lies in self-interest as much as corporate responsibility: Growing cocoa is becoming unsustainable. There's a crisis brewing.

The average age of a cocoa farmer is about 51 (not much lower than the average life expectancy); and across the Ivory Coast plantations are old, diseased and in need of regeneration.

But regeneration requires investment, and the younger generation would rather migrate to the capital city, Abidjan, or switch to more lucrative crops like rubber or palm oil.

In West Africa, the cocoa supply is failing to meet increasing demand.

And with 1.3 billion Chinese starting to acquire a taste for chocolate, demand looks set to rise exponentially -- particularly in emerging markets -- in the coming years.

So in the Ivory Coast, which produces more than a third of the world's cocoa, there is now an urgent business case for doing the right thing, and helping to improve the lives of cocoa-growers.

That means investing in those at the bottom of the value chain: Educated, business-minded farmers are the only way to secure a sustainable cocoa supply in the future.

My trip to the Ivory Coast coincided with a visit from José Lopez, Nestlé's top cocoa executive -- a real-life Willy Wonka who oversees 468 chocolate factories in 86 countries.

Nestlé's "Cocoa Plan" has pledged $120 million worldwide over ten years; at a new research and development centre in the capital Abidjan, they are the breeding the next generation of super saplings -- disease resistant, high-yield cocoa trees. They plan to give away 12 million new plants to Ivorian farmers by 2016.

In rural communities they are working to promote awareness of child labour and building schools.

Is it enough? It's easy to criticise: Their sustainable cocoa plan covers just 15% of their global supply chain and yet they made a profit of $11.55 billion in 2012. Fortunately they are not acting alone.

Where Nestlé has its "Cocoa Plan," American food giant Cargill has its "Cocoa Promise." We visited one of 1,200 field schools set up by the company to teach 60,000 farmers good agricultural practice -- and that means no child labor.

There is a growing perception that the Ivorian government, NGOs and chocolate corporations, are starting to work together -- all in the name of sustainability.

Democratic farming cooperatives are gaining momentum, empowering farmers at a village level. If their farmers' beans are grown sustainably, a cooperative can be certified by organisations like the Fairtrade Foundation, the Rainforest Alliance and UTZ.

Certified beans command a higher market price and a premium on top that feeds directly back into the community.

And this is where "cocoa-nomics" meets the consumer -- where we can make the choice to buy chocolate bars made from sustainably and ethically-sourced cocoa.

The international market price of cocoa is set by a multitude of market forces, and the truth is cocoa farmers are at the wrong end of the supply chain, limited by the value they can extract from raw beans.

A total recalibration of the industry is not going to happen and powerful chocolate companies like Nestlé are businesses, with shareholders to please, not charities.

The sceptics would argue that it pays to keep the poor poor.

Except we love chocolate -- and so its makers need more quality cocoa beans:  Where there is an insatiable demand, there is surely hope for cocoa farmers.

And so among the grinding poverty, signs of positive change -- albeit on a small scale -- are clearly visible: School children in khaki uniforms, the next generation of farmers who, in turn, will insist their children are educated.

To lift a whole society out of poverty and eradicate child labour will take time. It's the sort of holistic community approach that money alone can't buy. But that's not to say more money from the likes of Nestlé and other "big cocoa" manufacturers is not badly needed.

Back at the pub, my friend has dutifully maintained his listening face; he ponders the chocolate pudding on the menu but decides that apple crumble is probably a better option, today at least.

Cocoa-nomics: Unwrapping the chocolate industryRead more: Cocoa-nomics - from bean to barRead more: CNN Freedom Project

CNN's Bryony Jones contributed to this article.

@highlight

CNN's Freedom Project returned to Africa's cocoa plantations to look for progress in fight against child labor

@highlight

Chocolate industry worth an estimated $110 billion a year, but cocoa grown by some of world's poorest people

@highlight

Cocoa farmers earn just a tiny fraction of the cost of the average chocolate bar

@highlight

Global demand for cocoa outstrips supply, offering hope that the industry may do more to help growers