(CNN) -- Count Leopoldo Marcello is being an awfully good sport.

He's opened his home to tourists, guided them through its grand halls and pointed out the exquisite frescoes, the work of 18th-century Venetian painter Giambattista Crosato.

His visitors, in turn, are forcing him to pose in an antique clerical hat.

The relic is one of many possessions on display in the villa.

Marcello smiles amicably as his guests snap away.

Sequins, silk and lace

Earlier, the count gave me, and a group of 20 like-minded travelers, a tour of his estate -- Ca'Marcello (Via dei Marcello 13, Levada di Piobnino, Italy, +39 049 9350340; apartment rental: $5,427 a week; tours from $7).

The space seems entirely too grand to simply house the count and his son, Jacapo.

The ballroom is plastered with 18th-century frescoes painted by the one of the most famous Italian artists of that century, Giambattista Tiepelo.

Mirrors are framed with eerily placid faces made from stucco.

Leopoldo and his son live in the villa, constructed by their ancestors in the 1500s. But in many ways it resembles a museum of bygone riches instead of an actual home.

One room features mannequins clad in sequinned, silk and lace gowns that once belonged to the matrons of the Marcello clan.

Relics from another era -- including antique century hair pins and opera glasses -- speckle the home.

Visitors can explore the surrounding 18th century park and garden; more than 968,000-square-feet of land presided over by an array of statues.

If that's not grand enough, you can rent a grand, 3,860-square-foot, four-bedroom apartment located in one of the villa's wings.

Those who really want a taste of the aristocratic lifestyle can book private meals with the Marcello family, avail themselves of the cook, or pluck fresh produce from the garden and make their own meal in the private kitchen.

And the counts are not only are they willing to wear funny hats, they'll also help arrange travel bookings around the Venetian countryside.

Cash-strapped counts

So why is the Marcello family, with a noble history that dates back 2,000 years to the Roman Empire, turning their 400-year old estate into a glorified B&B?

The answer is simple: money.

"We're not wealthy enough to live in this place as a home," admits Jacopo. "We need this activity to maintain it. Because of our visitors, we're able to do restorations year by year."

Ca'Marcello is one of nearly 150 villas in Italy's Veneto region -- which includes Venice, Verona, Padua and Vicenza -- to have opened their doors to paying guests.

Last year, the group joined forces in a tourist-led cooperative called Villa Veneto.

The initiative was founded by Count Alberto Passi de Preposulo, a distinguished aristocrat with a well-trimmed white beard.

I met Passi de Preposulo at his home in Treviso, the 16th century Villa Tiepolo Passi (31030 Carbonera, Treviso, Italy, +39 0422 39 77 90; tours from $7, advanced booking required).

Clad in a dapper smoking jacket and custom-made loafers, he resembled a rather posh Santa Claus, especially as he was brandishing a jar of homemade quince jelly -- the ingredients sourced from his 3.2 million square feet landscaped garden.

He isn't the sort of man you'd imagine renting out his rooms to tourists or selling a place at his dinner table for a paltry â‚¬30 ($40) a head.

After all, he too heads up one of Italy's most respected clans -- one which recently celebrated its 1,000-year anniversary and whose family tree can be glimpsed painted on a wall inside the villa.

"Our money is finished," he admits, referring not just to himself but to the Veneto region's many landed gentry.

Aristocratic barista

I ask Countessa Carolina Valmarana -- the owner of the 17th-century Villa Valmarana (Stradella dei Nani 8, Vicenza, Italy, +39 0444 321 803; apartment rental from $678 per week; tours from $7) -- what would happen if she didn't open her home to lodgers and tours.

She admits it'd be a predicament.

"These houses are so expensive to maintain. I actually know a friend that wants to sell it and she can't," she says. "They're very expensive and big and old -- people don't want to buy them because they don't know what to do with them," she says.

Jacopo admits that if he didn't inherit his stately home, it wouldn't be something he'd invest in.

"I wouldn't buy a place like this nowadays because it's enormous," he says. "The spaces are really grand, and we're just two people living in 9,000 square feet. In that way, it's a strange life, but it is also a unique kind of life."

A few years ago, the countess decided to add a cafe and bar to the heritage status property and even took a degree course to qualify as a barista.

For the most part, she seems nonplussed about opening her historic home, which is adorned with baroque frescoes by celebrated father and son duo Gianbattista and Giandomenico Tiepolo.

"We have two apartments that we sometimes rent out to guests, but it's not like we're desperate to rent them; we like to do it. We have nice people that come to stay, people that are into art and love to be here."

Taxing times

So why are members of Italy's aristocracy struggling to afford the upkeep of their grand homes?

The counts have a number of theories.

Jacopo Marcello says his family's woes started after the Second World War, when nationalization stripped their land assets from 4,000 to 600 acres to support reconstruction and demobbed soldiers.

"Things changed, principles changed," he says.

"Now the aristocracy is just part of a big machine and every one of us needs to have a job to have a normal life."

Valmarana says a 2012 end to tax breaks for heritage homes also had a dramatic effect.

"Our taxes have gone up six-fold," she laments. "Though we do get rent, it all goes back into the house."

To ensure their preservation, the countess has to climate control the rooms in her house and complete constant repairs such as fixing a recent ceiling crack.

"The roof wasn't holding the four main doors properly," she recalls. Damage can endanger the frescoes, which already expensive to maintain.

Passi de Preposulo had a similar issue with a roof collapse at his villa.

He insists the money he makes from visitors is not lining his pocket, but goes solely into the upkeep of his estate, which, he points out, isn't merely his home, but an Italian landmark.

"I'm trying to protect this house, and the richness of our history, our roots, but it's expensive," he says.

@highlight

Hard times are forcing Italy's counts and countesses to throw open their doors to tourists

@highlight

Sixteenth century Ca'Marcello villa among many now offering rooms to rent

@highlight

Italy's aristocrats say cash from visitors will help preserve their homes and Italy's heritage