(This Old House) -- A tide of foreclosed properties has been sweeping into the beleaguered housing market, bringing down property values, dislocating families, and sending municipal governments scrambling to manage the crisis. But some buyers see a once-in-a-lifetime opportunity in the gloomy headlines; they are buying up foreclosed properties at ultra-low prices.

Real estate agent John Lynch of Keller Williams Greater Cleveland West says he has interested buyers calling from all over the country, and as far away as Israel. Some are buying in bulk. "One investor I am working with right now wants to buy 200 houses all under 10K."

Would-be homeowners are not excluded from the bonanza. Despite economic fears and the struggling housing market, Tonya Perkins-Stoudermire of McMullan Realty in Cleveland says this may be an ideal time to think about the dream of first-time home ownership.

She tells the story of a friend who waded into the foreclosure market and came out ahead. "My girlfriend bought a house last summer. It has two baths, a two-car garage, and two fireplaces. She loves it. Her house is $350 a month, with taxes and insurance. She's in her late 40's and had been a renter all these years."

Those are the high notes, but these agents tell other stories, too. There's the one about a far-away buyer who learned he owned a bunch of vacant lots, instead of houses. "It's not for the faint of heart," says Lynch. Lynch has seen the same house at foreclosure auctions more than once. "That hurts us all," says Lynch.

A check-in with real estate professionals, home inspectors, and federal housing officials offers these words to the wise on buying a foreclosed property.

• Budget carefully. Agent Tonya Perkins-Stoudermire says don't let a small price tag lure you into a quick deal. Be sure to ask yourself a number of questions: Do you have the money for the extensive repairs these houses often need? "Do you have a crew. If you plan to rehab and then rent, can you afford the house if you don't find a tenant? If you do your homework, there's little risk," says Perkins-Stoudermire.

• See the house for yourself. "You can't buy them sight unseen," says Bill Richardson, president of the American Society of Home Inspectors (ASHI). "If you're an investor from Chicago and you're buying in Tucson, you'll need someone to evaluate the house in person." This Old House: What to expect from a home inspection

• Look at the neighborhood. Your homework should include evaluating the neighborhood. You may not be able to recoup the cost of the repairs if the value of the house is depressed by widespread foreclosures or high crime in the area. Tonya Perkins-Stoudermire says she also encourages buyers to study the neighborhood's appeal at all hours, including at night. This Old House: How to identify a promising neighborhood

• How long has the house been empty? The longer the vacancy the more damage there is, in most cases. Bill Richardson, of ASHI, says if a house hasn't been "moth-balled" carefully, a long list of ailments set in. "The plumbing seals dry out, sewer gases back up, and bugs that are in the sewer get a chance to get into the house. That's true for the sinks, toilets, and washer drains," says Richardson.

• Was it winterized? Don't turn on the utilities until you know the condition of the pipes. If the pipes cracked during a cold spell, water will leak into the walls, and mold could take hold when you turn the water back on. This Old House: Dealing with mold

• Look at the landscaping. ASHI's Bill Richardson warns, "If the house has been neglected, untrimmed trees, vines and bushes contribute to the deterioration of the house." Vines crawl into the windows, and tree seedlings send roots down into the foundation. "It doesn't take very big trees to mess up pavers, and dead branches crash into the house," says Richardson.

• Contract for a private inspection. Banks generally require a home inspection when lending money for a mortgage. But even if you're paying completely out of pocket for an ultra-cheap find, all the pros say it's crucial to get an up-to-date inspection.

Richardson says previous inspections "are only a snapshot in time," and conditions change dramatically. "There's no caretaker on these properties. I've looked at quite a few," says Richardson. "We've seen vandalism. We've seen previous owners steal cabinets and fixtures. Copper piping has been stolen."

In some cases an inspection will prevent further damage. For example, if inspectors determine the pipes are cracked, repairs can be done in advance. Richardson said inspectors charge $300 to $500.

• Consider a HUD house. The Department of Housing and Urban Development is currently holding approximately 39,000 houses whose previous owners held mortgages insured by the federal government. HUD houses go to market about six months after foreclosure. Local governments get the first option to buy. After that, buyers who pledge to live in the house have the first opportunity to offer a bid. If the house is still on the market after a period of about 10 days, the listing is opened to investors. Owner occupants end up with about half of HUD's properties, according to HUD officials.

A fraction of the total foreclosure market, HUD's inventory is concentrated in Georgia, Indiana, Michigan, Ohio, and other states where the mortgage crisis has been especially severe. But if one of these houses suits your fancy, HUD spokesman LeMar Wooley says the feds offer a few advantages. "You will know the fair price of the property" because HUD updates its appraisals regularly. It offers a "property condition report" too, though that report is not updated. Wooley is thus among the chorus of experts urging buyers to pay for their own home inspection before closing the deal.

If HUD appreciates the value of a good inspector, inspectors likewise say HUD houses are better protected. "The feds often take the steps to winterize the houses. They put anti-freeze in the traps, and drain the pipes. When HUD's involved it's a little bit better," says ASHI president Bill Richardson.

• Don't expect to profit from a quick sale. Investors who buy intending to do as little as possible to a house, hoping to resell for a profit when the market turns around, may find little profit and a lot of headache. Some cities are cracking down on neglectful property owners, charging penalties that increase over time, and unmaintained homes lose value quickly.

But real estate pros and housing officials report that, overall, investors are a welcome and all-too-scarce resource, and most are fixing up the houses they buy for rent or resell. What's more, investors and new owner-occupants might get the satisfaction of helping to turn a hard-hit neighborhood around.

Get 2 Free Trial Issues

COPYRIGHT © 2009 THIS OLD HOUSE VENTURES, INC.

@highlight

Consumers looking to get a bargain on a foreclosed home need to be careful

@highlight

Buyers should inspect the house and the neighborhood before buying

@highlight

Budget carefully for unexpected repairs

@highlight

HUD homes are carefully priced and include property condition report