(CNN) -- "What we're talking about is not an open-ended intervention. This would not be another Iraq or Afghanistan," President Barack Obama said this weekend in an address to the American public about a possible U.S. military strike in Syria.

That the president knows he must say what the strike in Syria is not says a great deal about the uphill battle he has faced in making a case for limited military intervention. The ghosts of the Iraq War hover over any Syria action that the United States potentially undertakes.

But Iraq is not Syria. While Americans are exhausted after 12 years of wars in Iraq and Afghanistan in which nearly 7,000 U.S. service members were killed, the differences between the two conflicts are worth noting if the case for Syria is to be judged on its merits.

1. Chemical weapons have been deployed.

Unlike Iraq, where evidence supporting the case that Saddam Hussein had weapons of mass destruction turned out to be faulty, Syria's arsenal (in this case, chemical weapons, which are considered a form of weapons of mass destruction) is well-documented.

The Obama administration has assembled an extensive collection of evidence, both crowd-sourced and from intelligence sources, that point convincingly to President Bashar al-Assad's forces having gassed innocent civilians. And U.N. investigators are scheduled to share their report soon.

2. The United States has not been alone in condemning the regime and pushing for action.

Unlike in 2002 when France led the vocal opposition to the U.S. attack on Iraq, our NATO ally stands next to America in supporting action against Syria's dictator. British Prime Minister David Cameron is also in favor of action, though Parliament and the British public remain largely opposed. Leaders of both countries have argued that the Assad regime cannot be permitted to trample international norms.

Also different from a decade ago -- regional powers such as Saudi Arabia, Turkey and Jordan have pushed for greater U.S. intervention on the diplomatic and military fronts for months. Without the international community stepping in, the Syria conflict could threaten to overrun the region.

3. Extremists have gained because of U.S. inaction.

The aftermath of American military action saw Iraq become the flame to which extremist fighters from other countries flocked. Extremists seized the opportunity created by the chaos and slashed the country open further, taking advantage of the upheaval to foment a conflict that pierced the heart of Iraq's sectarian divide.

In Syria, however, extremists have seized opportunities while a civil war rages. For months, supporters of greater U.S. intervention in Syria have warned that if the United States continues to stay out of Syria, jihadists would pile in to Syria. They have.

Extremist elements have gained ground with help from coffers filled by supporters in Qatar and elsewhere. The number of extremists operating in Syria has grown in part because no credible, well-funded alternative exists. Inaction could lead to extremists' multiplication, not their neutralization.

4. There's a savage humanitarian crisis with no end in sight.

Before the American invasion, Iraq was a functioning state and society, albeit one presided by a dictator who had used chemical weapons in the past and ruled with fear and terror. But it faced no epic humanitarian crisis.

Syria today is not functioning; it is in fragments. More than 100,000 people -- the population of Cambridge, Massachusetts, or Burbank, California -- have been killed in the 2Â½-year war. Refugees number 2 million, a staggering figure, and half of those are children. Close to 800,000 of these displaced are under the age of 11.

Neighbors Turkey, Jordan and Lebanon all face the specter of instability created by the mounting numbers of refugees flooding their borders. Jordan has said as much, warning that it is a strain to absorb the refugees arriving each day.

America is skeptical after a conflict that many now feel was not worth fighting for based on premises that turned out to be untrue. Unlike in 2002, America is no longer ready to give its policymakers the benefit of doubt when it comes to entering battle. The past decade has left America exhausted, unwilling to pay another bill in treasured lives lost and dollars spent.

America's commander in chief is aware of the reluctance. This is why he called for limited intervention. It seems that an endless war -- or even an extended one that includes ground troops -- is unlikely. Getting into another protracted conflict in faraway lands is the last thing that Americans want.

"I know that the American people are weary after a decade of war, even as the war in Iraq has ended, and the war in Afghanistan is winding down," the president said. "But we are the United States of America. We cannot turn a blind eye to images like the ones we've seen out of Syria."

As Congress and the American public debate just what to do in Syria, it is important to be clear-eyed about just what Syria is and what it is not. And it is not Iraq.

The opinions expressed in this commentary are solely those of Gayle Tzemach Lemmon.

@highlight

Gayle Tzemach Lemmon: President had to explain to the public what a Syria strike is not

@highlight

Lemmon: Past decade has left America exhausted, unwilling to enter another battle

@highlight

She says intervening in Syria conflict would be different from going to war in Iraq

@highlight

Lemmon: If U.S. takes no action, extremism may rise and refugee crisis may worsen