(CNN) -- Last week, Tom Perkins, who's becoming America's most controversial venture capitalist, suggested the very rich should get more votes than everyone else. In his ideal system, he said, "it should be like a corporation. You pay a million dollars in taxes, you get a million votes. How's that?"

Well, un-American, for starters. But more on that in a minute. Perkins quickly indicated he wasn't being entirely serious, just as he'd backtracked after saying on another occasion that criticism of the 1% was akin to Nazi persecution of Jews. Apparently his pronouncements aren't to be taken literally; they're pleas for understanding from a brave member of a victimized minority group. Right.

Yet Perkins has given us the gift of a great thought experiment. What if we took him literally and granted more votes to those who earn more? One dollar, one vote. It would seem antithetical to every notion of equal citizenship and fair play, and at odds with our constitutional ideal of one man, one vote.

But in fact, the result would not look terribly different from today's political reality. As things stand, without even needing to implement what Perkins calls "The Tom Perkins System," the wealthiest Americans already have grossly disproportionate voice in elections, campaign finance, lobbying and policy making.

In the first place, let's consider the fact that we're paying attention to this civic crackpot even though he has no command of American social or political history, no appreciation for the multigenerational legacy of public investment that made his success possible, and no apparent empathy for anyone outside his rarefied circle. Why does he have a megaphone? Why do we listen? Because he's spectacularly rich.

Someone else with such paltry qualifications as a citizen but without such massive net worth would be easy to ignore. In fact, you probably ignored someone just like that at a recent holiday dinner or office party.

Perkins' offhand remarks already carry more weight in national discourse than, say, the many thousands of people who for months have been rallying for voting rights and social justice in the Moral Mondays rallies in North Carolina. They've struggled for coverage and attention. Perkins gets his free. Is that really democratic?

Voting is perhaps the most visible indicator of our upside-down democracy. In the 2008 presidential election, turnout among voters making $150,000 or more (which isn't even the marker for the 1%; more like the 3%) was 78%. Turnout among voters making less than $15,000 was 41%. So, the rich cast ballots at twice the rate the poor do.

Once we move beyond the actual casting of ballots, though, to the messier aspects of democracy and self-government, the gap widens dramatically. The poor do not donate, lobby or legislate. In fact, most in the shrinking middle class do not either.

Consider political contributions. As researchers at the Sunlight Foundation showed in a recent report, in the 2012 election cycle, 31,000 individuals -- the "1% of the 1%" -- accounted for 28% of all campaign giving in the United States.

What about their lobbyists? Here, too, the concentration of wealth in America, already reaching radical levels, is radically compounded. Only 894 lobbyists accounted for $34 million in donations in 2012, and they spread their gifts strategically to gain access to candidates and to influence policy making.

This is why the rules of the game in today's system already massively compound the advantages that the wealthy have in life. It's why our tax system bends to favor capital and punish work. Dividends and "carried interest" are taxed at lower rates than earned income not because these preferences are shown to benefit society at large but because the hedge fund managers and venture capitalists who do benefit from them have excellent representation in Congress.

In short, the outrage is not what a Tom Perkins says out loud; the outrage is that we already have something like the system he fancifully, condescendingly proposes.

Policy wonks and heroic citizen activists have all proposed reforms. We don't lack possible remedies. What we've lacked is the will to force our government to enact them. And this is why the outrageous self-justifications of an imperious hyper-elite are, perversely, very helpful now.

The game is rigged. Having the likes of Tom Perkins rub our faces in it may be insult enough to awaken us. He suggests giving big money even more political power. Imagine a movement going the other way. Imagine a concerted citizen effort to double voter registration and turnout among poor and working Americans. Imagine cross-partisan collaborations between right and left to curb crony capitalism.

Let's not kid ourselves: It wouldn't be easy to unrig the game and revive the principle of equal citizenship. But let's not kid ourselves about this fact either: The rich already have more votes than the rest of us. The only question is whether we will continue to tolerate it.

The opinions expressed in this commentary are solely those of Eric Liu.

@highlight

Eric Liu: Tom Perkins' joking suggestion about giving rich more votes is not far from truth

@highlight

He says wealthy command more media attention, give far more campaign contributions

@highlight

Rich are more likely to turn out to vote and to be represented by lobbyists, Liu says

@highlight

Liu: Perkins' "joke" may help prompt outrage and change in the system