State College, Pennsylvania (CNN) -- The most powerful leaders at Penn State University showed "total and consistent disregard" for child sex abuse victims while covering up the attacks of a longtime sexual predator, according to an internal review into how the school handled a scandal involving its former assistant football coach.

Investigators conducted more than 400 interviews and found that several officials had "empowered" Jerry Sandusky to continue his abuse, while Joe Paterno, the school's legendary head football coach, could have stopped the attacks had he done more, investigators said Thursday.

Read the report here (PDF)

In a scandal that has shaken Pennsylvania residents and gripped the nation, leading to Paterno's dismissal and the ouster of longtime president Graham Spanier, Louis Freeh, the former FBI director who led the review, said top university officials forged an agreement to conceal Sandusky's sexual attacks more than a decade ago.

"There are more red flags here than you can count," said Freeh, emphasizing the abuse occurred just "steps away" from where Paterno worked in the university's Lasch Building.

Freeh's 267-page report is the product of a Penn State-funded investigation, which is separate from a government investigation into charges of perjury and failure to report abuse pinned against the school's former Athletic Director Tim Curley and ex-Vice President Gary Schultz.

The Pennsylvania Attorney General's Office is investigating what Penn State knew about a 2001 incident of child sex abuse by Sandusky, reported by then-graduate assistant Mike McQueary, and how it was handled.

Neither McQueary, Sandusky nor Paterno -- who died in January -- were interviewed by Freeh's team and no trial date has been set for Curley and Schultz, though proceedings are expected to begin later in July.

The prosecution of Curley and Schultz comes on the heels of the widely watched Sandusky trial, in which the former defensive coordinator was convicted of sexually abusing young boys over 15 years.

"Our most saddening and sobering finding is the total disregard for the safety and welfare of Sandusky's child victims by the most senior leaders at Penn State," Freeh wrote. "The most powerful men at Penn State failed to take any steps for 14 years to protect the children who Sandusky victimized."

Reactions to Penn State report flood social media

He blamed Spanier, Schultz, Paterno and Curley for having "never demonstrated ... any concern for the safety and well-being of Sandusky's victims until after Sandusky's arrest," while the board of trustees failed to perform their oversight duties.

That collective failure "to protect against a child sexual predator harming children" lasted "more than a decade," and allowed Sandusky to further harm his victims, the full report says.

Key passages from the report

See Freeh's prepared statement here (PDF)

Trustee Kenneth Frazier, head of the committee addressing the Sandusky scandal, said the school's board of trustees is "deeply ashamed" of its lack of oversight identified in the report.

He said the board's 32 members -- none of whom plan to resign -- as well as university administrators are accountable for what happened. He pledged corrective measures to ensure that an "event like this can never happen again in the Penn State community."

Karen Peetz, trustees chairwoman, said "61 years of excellent service that Joe (Paterno) gave to the community is now marred."

Freeh's report outlined a culture of secrecy at top university levels, noting an incident in which janitors aware of the abuse took no action, out of fear.

"They witness what I think in the report is probably the most horrific rape that's described," Freeh told reporters. "And what do they do? They panic." One janitor, a Korean War veteran, said it was "the worst thing he's ever seen." He and other janitors were "alarmed and shocked," but were afraid that if they reported it they'd be fired.

Clery Act at center of Penn State probe, 26 years after young woman's murder

Attorneys for Curley and Schultz said Freeh did not have access to critical witnesses and came up with an incomplete report.

Curley's attorney termed it a "lopsided document that leaves the majority of the story untold."

"A complete record can and will be made in a court of law, aided by the power of subpoena, where all of the witnesses are subject to thorough cross-examination," attorney Caroline Roberto said in a statement.

Tom Farrell, Schultz's attorney, said at trial the jury will learn that McQueary never told his client that he witnessed Sandusky engaging in anal sex with a boy. Evidence will show Schultz did not have secret files on Sandusky and that there was no effort among the four leaders to conceal Sandusky's behavior, Farrell said in a statement.

Attorneys for Spanier and Sandusky did not immediately respond to CNN's requests for comment.

The review casts a shadow over the school's storied football program and over the career of Paterno, who was widely beloved for bringing Penn State football to national prominence.

Scott Paterno, son of the former head football coach, told CNN contributor Sara Ganim, reporting for The Patriot-News, that "we wish (Joe Paterno had) been more aggressive in following up."

"But clearly he thought it had been handled," he said, referring to the 2001 report of Sandusky's abuse of a minor.

"There wasn't anything more Joe Paterno could have done because it was an unsubstantiated allegation," the younger Paterno said. "I know my father did not know Jerry was a pedophile and did not suspect he was a pedophile."

Another Paterno son, Jay, told CNN's "Erin Burnett OutFront" that sworn testimony ate- the Schultz and Curley trials will provide information that will help give the whole picture.

Jay Paterno also said people should realize there is much more information available on Sandusky's acts today than there was in 2001.

At a glance: Key players in Penn State report

Freeh's team discovered accusations of Sandusky's abuse well over a decade ago, which school officials were allegedly aware of.

Even before the 1998 investigation, "Several staff members and football coaches regularly observed Sandusky showering with young boys," and none of those interviewed ever notified their superiors, the report found.

A year later, in 1999, Paterno, Spanier, Schultz and Curley decided to allow Sandusky to retire, "not as a suspected child predator, but as a valued member of the Penn State football legacy," the report says. That allowed him to continue to work with children at the university, "essentially granting him license to bring boys to campus facilities for 'grooming' as targets for his assaults."

He retained unlimited access to university facilities until November 2011, the report says. The school also approved a one-time lump sum payment of $168,000 to Sandusky in 1999. Top university officials said they had never known Penn State "to provide this type of payment to a retiring employee."

Penn State community still admires Paterno

The desire to avoid bad publicity was part of administrators' rationale in the cover-up, investigators said Thursday.

Victim No. 6: Violation and vindication

"No one, no one, is above scrutiny," said Frazier when the review began in November 2011.

Video: Sandusky scandal part of Paterno legacy

In June, eight young men testified, often in disturbingly graphic detail, of how Sandusky forced them to engage in sexual acts in various places, including hotel rooms, the basement of his home and in the Penn State coaches' locker room.

In court documents, prosecutors say they have e-mails from university officials -- which CNN obtained exclusively -- that allegedly contradict grand jury testimony of Curley and Schultz. The Freeh review discovered the documents and turned them over to state prosecutors as part of ongoing investigations, according to both the university and prosecutors.

One of the e-mails suggests Paterno had a previously undisclosed conversation with Curley about the shower room incident from 2001.

Freeh's team of investigators said evidence shows Paterno was also made aware of a criminal investigation of Sandusky relating to suspected sexual misconduct with a boy years earlier.

But Paterno "failed to take any action," the report found.

"At the very least, Mr. Paterno could have alerted the entire football staff, in order to prevent Sandusky from bringing another child into the Lasch Building," where the incident took place.

Paterno and the others also failed to alert the board of trustees, Freeh said.

"None of them even spoke to Sandusky about his conduct. In short, nothing was done and Sandusky was allowed to continue with impunity."

Then, in February 2001, the four men decided they would report the incident to the Department of Public Welfare; but Paterno had a conversation with Curley, and the men then agreed not to do so, Freeh wrote.

Despite scandal, Penn State rakes in millions in donations

"After giving it more thought and talking it over with Joe yesterday, I am uncomfortable with what we agreed were the next steps," Curley wrote the next day, according to Freeh's report.

Instead of alerting authorities, Curley apparently wrote that he would prefer meeting with Sandusky, telling him they knew about another incident in 1998 and offering him professional help. He then suggested notifying Sandusky's Second Mile charity organization "at some point" if Sandusky is cooperative, and "maybe" child welfare officials.

Paterno never reported the shower incident to police. "To his credit, Mr. Paterno stated on November 9, 2011, 'With the benefit of hindsight, I wish I had done more.' " Freeh added.

"We determined that his decision to do his minimum legal duty and not to do more to follow-up constituted a failure of leadership by Coach Paterno," the board of trustees said in a report that explained his firing.

That decision prompted rioting by Penn State students, who overturned a news van and clashed with police, who used tear gas to break up throngs of angry protesters.

Video: Coach K on Joe Paterno

Wick Sollers, a lawyer for the Paterno family, said the former head coach "followed university procedures and promptly and fully informed his superiors."

Spanier, the ousted president, has consistently maintained that he was never informed of any incident involving Sandusky that described sexual abuse or criminality.

According to the board of trustees, Spanier was fired in November because "he failed to meet his leadership responsibilities."

Paterno defended football, Penn State in letter before his death

CNN's Jason Carroll and Ross Levitt contributed to this report

@highlight

Paterno son says more information will come out later

@highlight

Trustee Kenneth Frazier says the school's board of trustees is "deeply ashamed"

@highlight

Scott Paterno says he wishes his father had been more aggressive in following up

@highlight

Sandusky was given emeritus status, which provided greater access to school facilities