(CNN) -- How times have changed.

More than 30 years ago, Irvin Kershner was announced as the director of "The Empire Strikes Back," the first sequel to "Star Wars." Kershner was a curious choice -- a director of documentaries, star vehicles and TV episodes -- but in the days before the Internet, the announcement raised hardly a fuss.

On the other hand, last week J.J. Abrams -- a seemingly unimpeachable choice, with his producing, directing and writing experiences on "Lost," "Fringe," "Super 8" and the rebooted "Star Trek" -- was announced as the director of the forthcoming "Star Wars VII."

And the world went nuts.

"Another franchise for him to ruin," a reader named "hey" wrote on CNN's Marquee blog.

"Lost sucked, cloverfield sucked and now the new star wars movies are going to suck worse than the last 3," added screen name "horrible pick."

Whew. Can you imagine what kind of reaction Kershner would have gotten? "There would have been blood in the water," says Shaun Rosado, a pop-culture blogger who puts out a weekly podcast called Shauncastic!

But that's the world we live in now, says Suzanne Scott, a self-described "fan-scholar" who teaches at Occidental College in Los Angeles.

"What I find so interesting is, when you talk about the online, 24-hour news cycle, you have these knee-jerk responses. It's panic," she says. "It shows the power and pervasiveness of fan culture."

Rosado understands the concern.

"In the annals of geek history, there's always been the argument: Which one is better, 'Star Wars' or 'Star Trek'? And until this point, we've never had a director sit down and do both of them," he says. "This is the first time, where we will literally have somebody who's played both sides of the field, and I think a lot of nerds and geeks are a little bit terrified of that."

After 100 episodes, 'Fringe' cast bids farewell

Lucas 2.0

Since getting the job -- after initial reports he wasn't interested -- Abrams has at least said all the right things.

"To be a part of the next chapter of the 'Star Wars' saga ... is an absolute honor," Abrams said in a statement released by Disney, which owns Lucas' production company Lucasfilm. "I may be even more grateful to George Lucas now than I was as a kid."

Moreover, Lucas has given his blessing.

"I've consistently been impressed with J.J. as a filmmaker and storyteller," Lucas said. "He's an ideal choice to direct the new 'Star Wars' film, and the legacy couldn't be in better hands."

Certainly Abrams would seem a logical selection. He's kind of a "Lucas 2.0," with his producing, directing and writing experience.

"Hate him or love him, here's a guy who's worked in multiple genres across multiple media and has his own production company -- which is way more established than George Lucas was when 'Star Wars' came out," says Dan Herbert, a film professor at the University of Michigan.

It's good to be J.J. Abrams

Abrams says the original 1977 film left a lasting impression on him.

"As a kid I was always a fan of special effects," he told Entertainment Weekly in November. "Watching movies I was constantly trying to figure out how they did it, whatever the effect was. 'Star Wars' was the first movie that blew my mind in that way."

He added, "It galvanized for me; not for what was exciting about how movies were made, but rather for what movies were capable of."

"Star Wars," of course, has been capable of quite a lot. The first film invented the modern sci-fi blockbuster, observes Herbert, and helped redefine America's movie-going habits. And over the years, the "Star Wars" universe has spawned books, television shows, video games, parodies and -- above all -- an array of merchandise that has given the fans themselves control over the story.

It's the reason there's such anger when Lucas, whose empire rests on "Star Wars'" foundation, decides to assert his authorship over the scriptures -- whether it's maintaining that Han Solo wasn't a cold-blooded murderer ("Han shot first!" goes a common refrain among fans, noting that the smuggler played by Harrison Ford actually shot the bounty hunter Greedo unchallenged) or creates a character such as Jar Jar Binks, the goofy, child-friendly Gungan who was called a "Rastafarian Stepin Fetchit" by film critic Joe Morgenstern.

In response to the annoyance with Binks, one fan created a Jar Jar-less version that's come to be known as "The Phantom Edit."

Scott says she believes the conflict arises from the "old-media" Lucas clashing with a savvy, post-Internet fan base.

"Lucas had an analog approach -- 'It's mine, I can do whatever I want,'" she says. "It's almost borderline hostile."

The fans, on the other hand, have already taken "Star Wars" places Lucas never imagined, and they weren't shy about expressing their dismay with the second trilogy of films, all of which were written and directed by Lucas. There's something "organic" about "Star Wars," says Scott, and Lucas tampered with that feeling when he made the newer films -- particularly thanks to his sometimes ham-fisted screenwriting.

"The (second trilogy) also feels synthetic in terms of plot," says Scott, "and most fans blame Lucas the screenwriter for that."

Bridging worlds

The fans aren't the only ones. The general consensus on the first film's script, also written by Lucas, was best summed up by Harrison Ford, who famously told the writer-director, "George, you can type this s***, but you sure as hell can't say it."

The scripts improved for the second and third films, "Empire Strikes Back" and "Return of the Jedi," thanks to the participation of writers Lawrence Kasdan and Leigh Brackett. Rosado believes "Star Wars VII," which will feature a script by "Little Miss Sunshine" and "Toy Story 3" screenwriter Michael Arndt, will make the new movie a must-see for fans as much as Abrams' involvement will.

"[Arndt] likes to develop characters, and that's something that J.J. Abrams is also well-known for doing," he says. "If you look at the prequels, which a lot of fans malign, it's because of that special attention that wasn't given to (the characters)."

The new movie also gives the franchise a chance to reach a new generation -- something that was undoubtedly on Disney's mind when the studio purchased Lucasfilm last year for $4 billion. Rosado foresees more synergy with Disney's theme parks; Herbert sees an opportunity to make the post-"Star Wars" generation excited about the franchise, perhaps for the first time.

'Star Wars' Episodes II and III in 3-D delayed

Herbert has noticed that his current students, who were born in the early '90s, no longer find "Star Wars" a touchstone. "For them, there's less specialness because the ripple effect of 'Star Wars' had already taken hold," he says. For these under-25s, the new film is "about extending the life of the brand, because it doesn't have a life right now."

And Abrams, the master of the reboot -- besides "Star Trek," he also directed "Mission: Impossible 3" -- may be just the guy to do it. At the very least, says Rosado, he and Arndt can provide a counterweight to Lucas and give "Star Wars VII" a different attitude, with more fun and depth than the second trilogy had. After all, that's what Kershner and Kasdan did with "Empire," which is widely considered the best of the six "Star Wars" films.

"As much as I love the idea of George Lucas and all of his crazy concepts, he is at his best when someone else is realizing his vision for him," he says. "Empire" has that imprint, he says. So do the novelizations, comic books and video games.

Regardless of what the future brings, Scott is trying to relax. The news about Abrams and Arndt has helped, but she's been burned before.

"I'm always going to keep my guard up, ever since the prequels," she says.

Perhaps the Empire is listening this time.

@highlight

On January 25, Disney announced J.J. Abrams would direct new "Star Wars"

@highlight

Fans came down pro or con; many are concerned about Abrams' "Star Trek" ties

@highlight

Latest frenzy symbolic of battle between fans and George Lucas

@highlight

Who owns the "Star Wars" universe? It's become part of the culture