Washington (CNN) -- President Barack Obama on Tuesday unveiled a $100 million initiative to unlock the "enormous mystery" of the human brain in hopes of boosting the understanding and treatment of brain disorders.

"What if computers could respond to our thoughts? Or language barriers could come tumbling down? Or if millions of Americans were suddenly finding new jobs in these fields -- jobs we haven't even dreamt up yet because we chose to invest in this project? That is the future we are imagining. That is what we are hoping for," the president said in an event in the East Room of the White House.

The initiative, dubbed Brain Research Through Advancing Innovative Neurotechnologies, or BRAIN, "aims to help researchers find new ways to treat, cure, and even prevent brain disorders, such as Alzheimer's disease, epilepsy, and traumatic brain injury," the White House said in a release issued in advance of the event.

"There is this enormous mystery waiting to be unlocked," Obama said, "and the BRAIN Initiative will change that by giving scientists the tools they need to get a dynamic picture of the brain in action and better understand how we think and how we learn and how we remember. And that knowledge could be -- will be -- transformative."

Mapping the brain: Top brain scientist is 'philosopher at heart'

Obama said he will seek the $100 million funding in the budget he sends to Congress next week. In an environment where both parties are seeking significant spending cuts, the expenditure faces an uncertain reception.

In his remarks, Obama said the funding would be in line with a promise he made earlier this year to increase levels of research.

In his State of the Union address in February, he said, "If we want to make the best products, we also have to invest in the best ideas," and alluded to scientists "mapping the human brain to unlock the answers to Alzheimer's."

The money to study the brain would support research by the National Institutes of Health, the Defense Advanced Research Projects Agency and the National Science Foundation.

The research would involve both federal research agencies and private partners.

A major goal is to reveal "how individual brain cells and complex neural circuits interact at the speed of thought," the White House said.

Brain map seeks to unlock mysteries of the mind

"Our ultimate objective is a deep understanding of the human brain and its understanding," said Arati Prabhakar, director of the Defense Advanced Research Projects Agency, in a conference call with reporters.

In the same call, National Institutes of Health Director Francis Collins said that "advances in tech which are coming along very quickly make it possible to take a look at what's happening in the brain," and the research "leads us to believe we can accomplish something very dramatic."

The hope is that these new technologies will lead to insights into how the brain processes information and how it is linked to behavior.

"We aim through this ambitious project to try to unravel these mysteries," Collins said.

@highlight

NEW: "There is this enormous mystery waiting to be unlocked," Obama says

@highlight

The initiative aims to help find ways to prevent, treat and cure brain disorders

@highlight

President Obama promised more funding for such studies in his State of the Union address

@highlight

Federal research agencies will work with private partners