NAIROBI, Kenya (Reuters) -- The skull of a female Homo erectus -- the first-ever discovery -- suggests the upright ancestors of humans may have been physiologically closer to modern gorillas and chimpanzees.

Frederick Kyalo Manthi holds the Homo erectus complete skull he discovered in 2000 near lake Turkana in Kenya.

Homo erectus, long viewed as a crucial evolutionary link between modern humans and their tree-dwelling ancestors, may have been more ape-like than previously thought, scientists said Thursday.

Unveiling newfound fossils, a team of Kenyan scientists said they were surprised to find that early female hominids were much smaller than males. Gorillas and chimpanzees also exhibit big differences in size between males and females.

The fossils, an ancient skull and a jawbone from two early branches of the human family tree -- Homo erectus and Homo habilis, were revealed at Kenya's National Museum.

Both fossils were found in 2000 east of Lake Turkana. But the Homo erectus skull, dating back 1.55 million years, was slightly older than the Homo habilis jawbone, which was found to be 1.44 million years old, the scientists said.

"Prior to the discovery of the new specimens, scientists did not know that Homo erectus males were far larger than the females," said Dr Emma Mbua, one of the team.

"This sexual dimorphism [two forms of the same species] is considered a primitive character because it occurs in other apes," she said, standing in front of the bones at the museum.

She said this could also mean the sexual behavior of Homo erectus was more like that of apes, where individuals, especially males, mate with several partners, sometimes in a few hours, than that of its more monogamous human successors.

The fossils, discovered in east Africa's Rift Valley, regarded as the "cradle of humankind", challenge the idea that human prototypes evolved one after the other in a linear fashion from Homo habilis to Homo erectus, ending with modern humans.

This means they must have co-existed in different habitats at the same time, the scientists added.

"They were kind of sisters, if you like," said Frederick Manthi, the scientist who discovered the fossils. "Homo habilis never gave rise to Homo erectus. These discoveries have completely changed the story."

The research, first published in the journal Nature, was conducted by nine scientists including well-known paleontologist Maeve Leakey and her daughter Louise Leakey.

The scientists think both Homo erectus and Homo habilis must have evolved from a common ancestor 2-3 million years ago.

The most famous such ancestor is Ethiopia's "Lucy," a fossil more than 3 million years old that set off this week for a tour of museums in the United States.

The basic evolutionary story -- that all humans came "out of Africa" after evolving from apes in the Rift Valley around 5 million years ago -- remains unchanged and may even be strengthened, the scientists said.

"The more fossils we find in Kenya, the more we justify the story that east Africa is the cradle of mankind," Manthi said. "These hominids tell us there was a large diversity within this species, which strengthens that convention."

The researchers said Homo habilis was largely a herbivore, likely to have foraged for fruits in greener, more heavily forested areas than Homo erectus, who is thought to have been a hunter who thrived in east Africa's open savannah.

Manthi said the team would have to find more fossils to confirm the findings.

"The story of human evolution has not yet been [told]," said Kenya Museum director Farah Idle. "There are many missing links. The more discoveries you make, the more questions you raise." E-mail to a friend

Copyright 2007 Reuters. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed.

@highlight

Scientists: Skull of female Homo erectus is more ape-like

@highlight

Newly discovered fossils show female hominids were much smaller than males

@highlight

Fossils from Homo erectus, Homo habilis were found in east Africa's Rift Valley