(CNN) -- Gaming in 2012 is going to be a very wild ride, with the introduction of two new consoles, a return to the "Halo" universe and the potential for even more entertainment choices.

The PlayStation Vita and the Nintendo Wii U are both expected to hit the shelves, with the Vita hitting North American and European shores in February after a Japanese launch in mid-December.

The PS Vita is a handheld console and successor to the PlayStation Portable (PSP) that promises beefier graphics, interactive touchscreens on the front and back, and dual analog sticks much like the PlayStation 3 controllers. Sony is banking on familiar characters in games like "Uncharted: Golden Abyss" and "Little Big Planet" to help draw in customers, while also looking to create unique and immersive games to appeal to the hardcore gamer.

More than 320,000 units have been sold in Japan since the Vita's December 16 release there, putting it on nearly even footing with early sales for Nintendo's 3-D handheld gaming device, the 3DS. But the Vita's numbers dropped dramatically in the second week to just over 70,000 and analysts are watching to see whether the device has staying power in the U.S. and Europe.

The verdict on whether consumers want 3-D gaming still appears to be out. Nintendo announced Tuesday that its 3DS has sold 4 million units in the U.S. -- a solid but not spectacular number for a hugely hyped product.

New consoles

Later in 2012, Nintendo will be releasing their next-generation console called Wii U. It is the first Nintendo console to feature souped-up 1080p high-definition graphics and will have a touchscreen embedded in the controller to allow for gaming when the TV is off or interaction between two screens.

A prototype was shown last year during the Electronic Entertainment Expo (E3), and Nintendo president Satoru Iwata said the final version will be revealed at E3 this June in Los Angeles.

Critics are concerned about the potential cost, but Nintendo says it's confident the Wii U will open up a new style of gameplay for the home gamer in the same way that the Wii expanded the customer base for gaming consoles in general.

There has also been speculation that a PlayStation 4 from Sony or new Xbox console from Microsoft could be released in 2012. In an interview with CNN Geek Out, Xplay host Morgan Webb said many developers are working on new franchises for a new generation of consoles.

"We're nearly at the end of a console cycle, so series that have begun at the beginning of the console cycle, they're starting to finish up the series," Webb said. "People have made the investment in the franchise and they've got the art together and they don't want to create something completely new when new consoles are starting to be on the horizon."

Some developers have spoken openly about learning about technology for a new Sony console. And while there have been hints about a new Xbox console for a couple of years, Microsoft has been mum about any new hardware, focusing their efforts on the motion-based Kinect controller.

Blockbuster games

Of course, all these new hardware devices won't mean a thing unless gamers have great games to play. There is a powerhouse line-up of major franchises and popular characters set to debut in 2012.

"Halo 4" is sure to be the next blockbuster installment in an iconic franchise that has helped defined a generation of gaming. Master Chief returns to face an ancient evil that (of course) threatens the entire universe.

Speaking of saving the universe, "Mass Effect 3" brings back Commander Shepard to resume his battles against the machine race of Reapers. The story is expected to flow directly from the ending of "Mass Effect 2" and will also offer a female version of Commander Shepard for the first time.

Some old friends will be returning in "Diablo III" and "Twisted Metal." More than 10 years after "Diablo II," players will get to battle the forces of evil with new destructible environments and classes to play. "Twisted Metal" returns from a 17-year hiatus for more combat on wheels action and over-the-top explosions.

"Bioshock: Infinite" has been wowing audiences since its announcement in 2010 and has already won numerous awards even before its official release next year. Taking the action from underwater to the skies, creator Ken Levine is hoping fans will embrace the new direction and explore the new setting.

"Final Fantasy XIII-2" returns players to Cocoon in search of Lightning, the hero from "Final Fantasy XIII." The game was released in mid-December in Japan to perfect scores, selling more than 524,000 copies for the PlayStation 3 version alone. Square Enix, developer of the game, is expecting a great launch for the rest of the world in 2012.

Other titles, like "Resident Evil Revelations," "Max Payne 3," "Borderlands 2" and "Grand Theft Auto V" will also be must-play games in the upcoming year.

Casual and mobile gaming

But as is becoming increasingly clear, gaming is not just for consoles, and consoles are not just for gaming.

Smartphones and tablets are continuing their march into the gaming genre with more choices from Atari, Zynga, Electronic Arts and other well-known gaming developers on the way.

As mobile devices become more powerful, social and casual gaming is expected to define a new and growing base of folks as "gamers." Some research shows that demographic is morphing into nearly an even split between males and females, as well as getting older and more affluent.

Likewise, consoles are broadening their entertainment scope beyond just gaming, into live sporting events, movies and music. Hulu, Netflix and ESPN have already made inroads that other providers are sure to be exploring in the coming year.

Look for that trend to continue as content producers look to capture audiences wherever they are.

While 2011 was a big year in gaming, 2012 is projected to be even bigger.

Communications market researcher TMNG expects the global gaming business to reach $40 billion in revenues by the end of 2012, with high growth in the mobile game sector.

There are likely to be twists and unexpected developments along the way for the gaming industry in 2012. And, in the end, the gaming consumer will be the one who decides which technology or title goes on to glory and which goes in the discount bin.

@highlight

Vita will hit North American, European shores in February after a Japanese launch

@highlight

Later in 2012, Nintendo will be releasing their next generation console called Wii U

@highlight

"Final Fantasy XIII-2" returns players to Cocoon in search of Lightning