(CNN) -- There are few industries that haven't been shaken up by the game-changing potential of 3-D printing, and aviation is no exception.

While it may be fun to imagine manufacturers spitting out planes at the touch of a button, the reality is more low key, though no less revolutionary.

As is usually the case with aviation, it is all kicking off with a jet engine.

Engine maker CFM International, a joint venture between GE Aviation and the French company Snecma, has created the LEAP engine -- an acronym for "leading edge aviation propulsion" that the company hopes reflects just how innovative the new aircraft component is.

LEAP has many futuristic features, including a 3-D-printed nozzle, the part of the plane responsible for burning fuel.

"This technology is actually enabling us to create designs that wouldn't physically be possible to make with standard conventional machining," said Gareth Richards, LEAP's program manager.

Read more: Compare taxi fares from the airport to downtown

While GE has been using 3-D printing for years to make plastic prototypes, only recently has the technology matured to the point of creating objects with stronger materials.

"We can do this in almost any metal you care to choose. We can do it in aluminum or nickel or steel. This is not 3-D printing like you might have seen on some tech show where people are making parts from plastic out of their basement. This isn't prototyping, where you have to figure out how to make it for real. This is making fully functioning production parts out of real aerospace materials," said Richards.

LEAP incorporates another first; the engine's fan blade is made from a material called Ceramic Matrix Composite. Essentially, it is ceramic that is as tough as steel, although unlike metal, it can withstand extreme temperatures.

More important, it is lighter than any alloy previously used. The manufacturer says the material used in the fan blades and other components makes a plane 1,000 pounds lighter than normal.

"LEAP reduces fuel burn by 15% over its predecessor engine. That adds up to several million dollars saved per year per plane," said GE Aviation spokesman Rick Kennedy.

Read more: Airbus A350 XWB unveiled

Thus far, the new engine has been a sexy sell for airlines. CFM hasn't even started ground testing the engine, and they already have 4,500 orders from the likes of Qantas, American Airlines, Virgin and Southwest Airlines.

CFM is planning for the engines to go into service by 2016, which means it needs to produce 1,500 engines a year. But the technology makes the goal achievable by cutting manufacturing time.

"For our most complex parts, it's common for the time it takes to be measured not only in weeks, but months or even more than a year," said Richards. "Now, we're talking about going from the computer file to the finished part in hours or days."

Read more: The dawn of driverless cars

Airbus has also started playing with additive manufacturing. Peter Sander, of Airbus's Innovation Cell, imagines that by 2050 the company will be selling commercial planes made almost entirely from 3-D printed parts.

For now, Airbus is content with making printed brackets, which will become a standard part of production by 2016. Each component made from 3-D printing, Sander reckons, is 25 percent lighter than the equivalent made from traditional manufacturing.

"Weight reduction is our driving force, because less weight means less fuel," says Sander.

@highlight

A new engine, called LEAP, incorporates a nozzle made by 3-D printing

@highlight

The material used for the fan blades is a tough ceramic that reduces the weight of the plane by 1,000 pounds

@highlight

GE Aviation has acquired companies that specialize in direct metal laser sintering

@highlight

Airbus has also started to experiment with additive manufacturing