Hong Kong (CNN) -- North Korean rockets blasting across the sky. Soldiers marching in high-step unison in Pyongyang parades. Broadcasts praising leader Kim Jong Un while putting down the United States as the country's mortal enemy. These images of North Korea from state media portray a proud, strong and self-reliant country.

But behind the propaganda and beyond the capital of Pyongyang is the harsher reality of poverty, hunger and desperation, defectors say.

"My family had decided to commit suicide because for three days we didn't have anything to eat," said one North Korean female defector to ITN in Seoul. "We decided to starve to death. We said let's die. But then I wanted to survive. I sold the house for 30 kilos of rice."

She escaped North Korea shortly after leader Kim Jong Un came to power last year -- her identity kept secret because she left family behind.

"To survive, I had to eat grass. People pick grass and leaves and use them to make soup," said the defector who now lives in South Korea. Reports out of North Korea suggest food prices have tripled in the past year.

More than 25% of North Korean children under the age of five suffered from chronic malnutrition in 2012, according to the National Nutrition Survey of North Korea, a report backed by UNICEF, the World Food Program and the World Health Organization. The report also found nearly one in three women suffered from anemia.

As many as 3.5 million people are estimated to have died during North Korea's severe famine of the 1990s, according to South Korean NGO Good Friends Center for Peace, Human Rights, and Refugees. Official North Korean numbers estimate 220,000 people died.

"One thing that struck me is just how empty this land looks. I'm told that only about 20% of North Korea is arable," said CNN's Stan Grant on a reporting trip to North Korea in April 2012. "And the people move so slowly out here. Sometimes you see someone ambling across a field carrying a hoe or holding a shovel. Other times you see children wandering by the side of the road. And sometimes even people just standing in an empty space looking out aimlessly."

Outside the capital, the poverty of the nation becomes palpable, says a tour operator who regularly leads groups into North Korea. "The further you go from Pyongyang, people's clothes get more simple. The people themselves are smaller," said Simon Cockerell of Beijing-based Koryo Tours.

"Like for any developing country, the capital city is the best place to be. Wages are higher and people tend to be better off," he said. "But then we go out to second-tier cities -- Chongjin and Hamhung, North Korea's second and third biggest cities -- and it's clearly much drabber than Pyongyang."

Cockerell, who has been leading tour groups across North Korea for the past 11 years, also puts down the idea that everyone they meet is an actor.

"The frequency of the general public to say hello is increasing but still there isn't that much interaction. Communication does happen with younger people who have English fluency, older people or people who have been drinking," he added. "Quite often when you go to a park, people might come over and say hello. The degree of welcome is remarkable and it's the sort of thing that people don't expect. These people are humans too."

@highlight

Public images of North Korean power contrast with less-seen sights of poverty, hunger

@highlight

'Family decided to commit suicide because of no food,' says North Korean defector

@highlight

More than 1 in 4 North Korean children suffered from malnutrition in 2012

@highlight

'The farther from Pyongyang, the smaller the people are,' says Koryo Tours guide