(CNN) -- Judging by the 5 a.m. call I got yesterday from a national news network, and from the barrage of in-print, online and televised discussion I saw as the day wore on, it is clear that the revelation that Rep. Jesse Jackson Jr. is being treated at a "residential treatment facility" for a mood disorder has raised far more questions than it has answered.

The key issues in the media debate/discussion appear to be: What is a mood disorder, and would the treatment of a mood disorder really require prolonged treatment at a residential facility?

Being told someone has a mood disorder is a little bit like learning someone has cancer. There is no such thing as "cancer," only specific types of cancer, which vary hugely from one another in location, symptoms and prognosis and need for treatment.

Like cancer, "mood disorder" is a general term for a group of disorders that can vary widely in terms of symptoms, prognosis and treatment. A mood disorder can be a mild depressive episode that sends a high-functioning person to a counselor for support and guidance, or it can be a florid psychotic episode that lands a previously law-abiding citizen in jail, or worse.

If the congressman were in a hospital being treated for cancer, our sense of decorum might restrain us from digging deeper into the issue. But if we did dig, we'd want to know what kind of cancer he had, what his prognosis was (will he recover or die, and if the latter when), what kind of treatment he will need and how this treatment will impact his ability to serve in the government.

Pelosi: Jackson should take all the time he needs

People are notoriously less restrained in their curiosity about psychiatric disease than cancer, but the questions are the same. In relation to the congressman we want to know what kind of mood disorder he has, what is the likelihood he'll recover, what treatment will he need and how will the illness and his treatment impact his ability to work.

Of course, we have no idea what kind of mood disorder he has, so all I can do here is give a brief outline of what kind of mood disorder he might have.

In mood disorders, the overriding symptoms are all tied to disturbances in how people feel. Most of us spend our lives in moderate moods, but most of us have also experienced some mood extremes -- those times when we've felt profoundly down or depressed and other times when we've felt remarkably excited and euphoric.

Mood disorders exist at these extremes of thought and feeling. They have two additional characteristics. First, they are characterized by mood states that are more intense than people normally experience in their daily lives. Second, mood disorders are conditions in which mood gets stuck. While most of us feel better or worse based on what's happening in our lives, but always within limits, people with serious mood disorders often remain frozen in states of profound despair or unrealistic euphoria for extended periods.

The vast majority of people with mood disorders will only experience depressive episodes. Although estimates vary, somewhere between 20% and 40% of people living in the modern world will have at least one episode of major depression in their lifetime. Many people who have a first episode will go on to have repeated episodes with the passage of time. Depressive episodes are true mind-body experiences: people feel down, blue, sad or frightened and they lose pleasure in life, but they also experience physical/bodily symptoms such as sleep and appetite changes, fatigue and often physical aches and pains.

A small minority of people with mood disorders will have a manic episode. Unlike depression, which all of us understand to some degree or other from our own experience, a full mania is a shocking thing to see. With one or two exceptions, all the most outrageous things I've seen as a psychiatrist (and I've seen many shocking sites) occurred in the context of manic episodes. Manic people do the most astounding and bizarre things imaginable. And many people in the grips of mania have assured me that I could have no idea of how they were thinking and feeling.

I think this is true. Mania starts at the happiest, the most excited, the most grandiose you've ever felt and just goes straight up from there. Manic people often feel incredibly euphoric and energized. They don't sleep. They don't eat. They talk constantly at high speeds. They feel incredibly important and powerful. From this perspective they take terrible chances and do foolish things, believing everything will work to their favor.

When things get really intense they often begin hearing voices, not infrequently the voice of God, and they develop delusions about their place in the world. For example, I've had manic patients believe they were Jesus, the Virgin Mary, Hitler's girlfriend and Michael Jackson.

If you've watched your own moods closely, you may have noticed that after times of especially high spirits you might be more prone than usual to irritability. This same phenomenon rules within the world of manias. Even when euphoric, most manic patients are dangerously irritable if they are opposed by others. And with time, most euphoric episodes morph into states of rage and displeasure. This may account for the fact that people are more likely to commit suicide when manic than when depressed.

As I've said, many people with mood disorders only have depressions, and this disease pattern is often referred to as "unipolar depression." On the other hand, almost everyone who has a manic episode also will have depressions, and in fact likely will have far more depressive than manic episodes. For this reason, people with manias and depressions are diagnosed as having "bipolar disorder," a condition also known as manic-depression. A small minority of people (mostly men) will only have manias, but modern psychiatry has no special category for these "unipolar manic" folks -- they are considered to have bipolar disorder on the bet that sooner or later a depression will creep into the mix.

Both unipolar major depression and bipolar disorder have been shown to benefit from similar types of psychotherapy. On the other hand, different pharmacological strategies are usually required for bipolar and unipolar mood disorders. Antidepressants are the mainstay of medical treatment for unipolar major depression. On the other hand, many patients with bipolar disorder actually seem to do worse when treated with antidepressants and respond preferentially to medications that stabilize mood and/or reduce psychotic symptoms.

Classic examples of mood stabilizers are lithium and valproic acid. Multiple new and older anti-psychotic agents are available for the treatment of bipolar disorder. These agents are very effective in reducing mania and in protecting against new mood episodes, but generally are not as effective in treating the depressions that bedevil people with bipolar disorder.

The prognosis for people with mood disorders serious enough to need hospitalization is not particularly good. Our best studies suggest that 10% to 15% of these people will eventually commit suicide. Most people with serious unipolar depression and almost everyone with bipolar disorder will experience repeated episodes or chronic symptoms across their lives, even with adequate treatment.

These episodes and symptoms frequently wreak havoc on occupational and social functioning. For reasons we are just now beginning to understand, mood disorders also take a terrible toll on health. People with mood disorders earlier in life are at increased risk later in life for many of the modern world's most lethal medical disorders. Some studies suggest people with bipolar disorder live almost 10 years less than people without mood disorders.

Let me end this piece with a final comment regarding the specifics of Jesse Jackson Jr.'s treatment. The fact that he is in a "residential facility" has spawned a good deal of media discussion, most of it based around the fact that mood disorders are supposedly not treated in such facilities, but that substance abuse frequently is. I've heard pundits say that this means either that Jackson is actually in a psychiatric hospital and being euphemistic about his current accommodations or that he really is struggling with substance abuse and claiming a mood disorder as a way to avoid the stigma associated with drug and alcohol addictions.

In fact, there are a number of high-end residential psychiatric facilities in the United States that do treat mood disorders, and -- in my experience -- do so very well for people who can afford a high price tag that is almost never covered by insurance. These facilities will frequently keep very ill patients for a month or more. So this one aspect of Jackson's story need not surprise or confuse us.

@highlight

It is not known which mood disorder Rep. Jesse Jackson Jr. may have

@highlight

Many with mood disorders only have depressions, which is called "unipolar depression"

@highlight

Others have "bipolar depression," which includes manic episodes