Bossangoa, Central African Republic (CNN) -- Months after a coup escalated chaos and violence in the Central African Republic, a French military operation has begun in the capital, Bangui, France's defense minister said Friday.

The French deployment, along with that of African forces, was unanimously approved Thursday by the U.N. Security Council.

The council also voted to impose an arms embargo on the Central African Republic, which is east of Cameroon and north of the Democratic Republic of the Congo.

The Security Council resolution, put forward by France, authorizes an African Union-led peacekeeping force to intervene with the support of French forces to protect civilians, restore humanitarian access and stabilize the country.

The start of the French soldiers' new operation in Bangui was announced Friday morning by Defense Minister Jean-Yves Le Drian on the French radio station RFI.

The French troops currently in the country were deployed to protect French nationals and help secure the airport that serves the capital. But now they are carrying out patrols in Bangui, Le Drian said.

"The operation has begun," he said.

France has pledged to send in hundreds more soldiers. An African Union force is already in the nation, but rights group say it's not enough to halt the escalating violence.

UK Foreign Secretary William Hague said Friday that the British military will help fly French military equipment to the Central African Republic. The first of three flights planned this month is due to arrive "shortly," he said in a statement.

Deepening violence

Hours before the U.N. meeting Thursday, heavy gunfire erupted near the presidential palace in Bangui, witnesses said.

After two days of clashes in the capital, the number of corpses delivered to a hospital morgue in the city rose Friday afternoon to 92, according to Doctors without Borders.

The agency, also known as Medecins Sans Frontieres, told CNN that 170 people had been treated for injuries. Scores were badly hurt -- most with gunshot, machete or knife wounds.

A few shots were fired around dawn, but the situation in the capital is now relatively calm, spokesman Samuel Henryon said.

Bangui airport was closed for a second day Friday amid the continuing tensions.

Violence has raged in the country since a coalition of rebels deposed President Francois Bozize in March, the latest in a series of coups since the nation gained independence. Bozize fled the country after his ouster.

Christian vigilante groups have formed to battle Seleka, the predominantly Muslim coalition behind the president's removal.

Multiple sources told CNN that the military commander of Seleka, Gen. Issa Yahya, was killed Thursday in Bangui. His second-in-command, Col. Saleh Zabari, is now thought to be in charge.

Christians, Muslims take refuge

Left uncontrolled, militia groups are uniting along religious lines, leading to fears of sectarian violence.

The situation in Bossangoa, a town about 185 miles north of Bangui that is at the epicenter of displacement resulting from the violence, remained very tense Friday.

About 35,000 Christians have taken refuge in a Catholic church compound there.

Members of Seleka have launched grenades at the compound to try to flush out elements of a rival Christian militia, the anti-Balaka.

Meanwhile, the anti-Balaka are threatening the town's Muslim neighborhood.

The anti-Balaka began targeting Muslims after tens of thousands of Christians were forced to flee their homes as Seleka militias marauded through the countryside, in a spiraling cycle of reprisal attacks.

The headquarters of the small regional peacekeeping mission told CNN on Thursday that the second-in-command of Seleka had given the militia permission to attack the compound. The mission sent reinforcements in defensive positions around the church to protect civilians.

Speaking to CNN before reports of the death of Seleka's commander emerged, Zabari said that it was believed there were armed elements in the compound but that unless those inside moved against them, they wouldn't attack it.

A CNN team in the vicinity was forced to flee a U.N. compound in Bossangoa for one protected by the African-led force after the U.N. site came under fire.

More than 100,000 more people are believed to be hiding in the bush around Bossangoa, fearing for their safety.

Central African Republic: What's going on, what's at stake, what's next

Hundreds of thousands displaced

Speaking after the U.N. vote, U.S. Ambassador to the U.N. Samantha Power said the U.S. government was "deeply disturbed" by ongoing reports of brutality in the nation.

"It is clear that urgent action is needed to save lives," she said, adding that the crisis has affected nearly half the country's population.

Power said the sectarian tension that has made the tens of thousands of Christians seek refuge in the church compound in Bossangoa, while their Muslim neighbors shelter in a mosque nearby, was a tragic result of the coup.

"Extremists on both sides, in an environment of lawlessness and an environment of state failure, have taken advantage of that vacuum and stoked animosities," she said.

A representative of the Central African Republic told the Security Council the vote would "give reasons to hope for a new dawn" for the country's embattled population.

An unknown number of people have been killed in remote rural areas too risky to access. United Nations officials have warned that the violence between the Christian majority and Muslim minority now in power could lead to genocide.

More than 400,000 people -- nearly 10% of the population -- have been internally displaced, according to the United Nations.

"They are hiding in the bush without shelter, food, or drinking water, exposed to the weather and mosquitoes that carry malaria, the leading cause of death in the country," Doctors Without Borders said in a statement. The group has operated in the country for years and is helping dispatch mobile units to take care of the wounded.

Opinion: Why Central African Republic is slipping close to catastrophe

CNN's Nima Elbagir reported from Bossangoa, Faith Karimi wrote and reported from Atlanta, and Laura Smith-Spark wrote and reported from London. CNN's Lillian Leposo, Nana Karikari-apau and Saskya Vandoorne contributed to this report.

@highlight

NEW: Number killed in Bangui is at least 92, with 170 injured, aid group says

@highlight

"The operation has begun," France's defense minister says

@highlight

U.N. Security Council backs resolution authorizing African and French intervention

@highlight

"It is clear that urgent action is needed to save lives," says U.S. envoy to the United Nations