(Health.com) -- Overweight and obese adults who followed the Weight Watchers program lost more than twice as much weight as those who received weight-loss advice from a doctor or nurse, according to a new yearlong study funded by the company.

The study, which was published Wednesday in the Lancet, included 772 men and women in Australia, Germany, and the United Kingdom who were recruited during ordinary doctor's appointments. The researchers randomly selected about half of the participants to receive a free 12-month Weight Watchers membership (including access to weekly meetings), and encouraged the other half to attend monthly one-on-one weight-management sessions at their doctor's office.

The 61% of Weight Watchers users who stuck with the program for a full year lost 15 pounds, on average, compared with 7 pounds among the 54% of people in the other group who continued to visit their doctors each month. When the researchers included the people who dropped out of either program before the year was up, the average weight loss was lower but followed the same pattern: 11 pounds in the Weight Watchers group and 5 pounds in the other group.

Health.com: 25 ways to cut 500 calories a day

Michael Jensen, M.D., an endocrinologist at the Mayo Clinic, in Rochester, Minnesota, says it's only natural that the weekly weigh-ins and "group spirit" of programs such as Weight Watchers would prove more effective than occasional guidance from a doctor or nurse, since research has shown that dieters are more likely to stick with weight-loss programs that stress accountability.

"It's not terribly surprising that a group whose whole career is basically helping people with weight management would do a better job than a primary-care group that has a lot more responsibilities on top of that," says Jensen, who was not involved in the study.

Similar studies of other commercial weight-loss systems, such as Jenny Craig and prepackaged food programs, have produced comparable results in the past. In a 2010 study funded by Jenny Craig and published in the Journal of the American Medical Association, for instance, women who completed one year of the program lost about 20 pounds, three or four times more than women who received occasional advice from a nutritionist.

Health.com: 25 diet-busting foods you should never eat

Still, the authors of the new study say they were surprised by how dedicated the Weight Watchers participants were—they attended three meetings a month, on average—and by how much weight they actually lost.

"I don't think we could have predicted that people randomly allocated to Weight Watchers by their doctor—rather than choosing to attend of their own accord, which would give a selected group of probably more motivated people—would lose significantly more weight," says lead author Susan Jebb, Ph.D., a diet and population health researcher at the UK Medical Research Council, in Cambridge.

People may be more likely to stick with a program like Weight Watchers when they're participating free of charge, however. The cost of Weight Watchers can run as high as $500 per year, a price tag that could sap the motivation of real-world dieters who are paying out of pocket. At the same time, Jensen says, it's possible that some people paying out pocket might be less likely to drop the program because they'd feel obligated to get their money's worth.

Health.com: Best superfoods for weight loss

The study participants had a body mass index (BMI) between 27 and 35 and at least one additional risk factor for obesity-related disease, such as excess belly fat or a family history of diabetes. (People with a BMI over 25 and 30 are considered overweight and obese, respectively. A 5-foot, 6-inch woman with a BMI of 27 weighs 167 pounds.)

People in the Weight Watchers group were three times more likely than the other participants to lose 10% or more of their initial body weight. And nearly two-thirds of the Weight Watchers users lost 5% or more of their body weight, versus one-third in the other group.

"Those really are medically very significant numbers," Jensen says. "For overweight or obese people, that kind of loss results in pretty substantial improvements in health and disease risk—to the point where, if you're on medication for blood pressure or cholesterol or diabetes and you can [lose] 10% of your weight, you've got at least a reasonable chance of decreasing or discontinuing that medication."

Health.com: The 10 best foods for your heart

Jebb and her colleagues say that partnerships between primary care physicians and commercial weight-loss programs like Weight Watchers could be an effective and inexpensive way to treat certain people who struggle to maintain a healthy weight.

A cost-benefit analysis will be needed to determine whether doctors should recommend such programs to their patients more often, and which patients might benefit the most, Jebb says. But, she adds, the programs appear to be promising and may be more cost-effective than one-on-one doctor's appointments, not to mention untreated obesity complications.

Although Weight Watchers sponsored the study, Jebb stresses that the company had no control over the design or results. "Our research contract included a clause to allow us the right to publish the data regardless of the outcome," she says.

Copyright Health Magazine 2011

@highlight

People lost more on Weight Watchers than with docs' advice, WW study says

@highlight

Studies of other weight loss plans have had comparable results

@highlight

Researchers were surprised at participants' dedication

@highlight

Weight Watchers funded the study but had no control over design or results