The Islamic State of Iraq and Syria (ISIS) has taken over much of the Iraqi province of Nineveh, including the country's second largest city, Mosul. In the course of doing so, they have released thousands of jihadist prisoners, reportedly taken hundreds of people hostage and -- perhaps most worryingly of all -- fortified their already strong territorial position in the region.

The group has made impressive gains in the last year. Besides this week's achievements, ISIS have come to dominate the international media discourse on the war in Syria and wrested control of the city of Falluja, which, astonishingly, is less than an hour from Baghdad.

We should be worried. This, after all, is a group that was rejected by al Qaeda because of its ferocity. Its mysterious leaders are far beyond the extremist pale, and that they seem to be consolidating a territorial base must be put at the forefront of international counter-terrorism policy.

ISIS, currently led by Abu Bakr al-Baghdadi is an al Qaeda offshoot and a spawn of Abu Musab al-Zarqawi's Islamic State of Iraq (ISI). For the ISI, the last few years have been rocky to say the least, but the unprecedented instability caused by the Syrian civil war has given the group a new lease of life.

Since it was formed when al-Baghdadi announced an unanticipated (by all sides) merger with Jabhat al-Nusra in April 2013, ISIS has gone from strength to strength.

Commentators on Syria often refer to ISIS as the most radical of the myriad jihadist factions operating there. For some reason, though, coverage from Iraq this week has stuck to calling them Sunni "rebels," "insurgents" or "militants." These terms of reference are woefully unsuitable -- ISIS fighters in Iraq are of exactly the same inclination as those in Syria, who have repeatedly been called out for their unparalleled barbarity on -- and off -- the battlefield.

This doesn't just matter to Iraq, though, it matters to the rest of the world as well. In the wider region, ISIS's presence in Syria will continue to skew the fight against the Assad regime for the worse. After all, these "rebels" are fighting the same people as the Syrian army.

On an international level, any gains for ISIS are particularly troubling because it is by far the most popular group for foreign fighters to join. This is because, more than anything else, their membership requirements are minimal -- far less, for example than those for Jabhat al-Nusra. Citizens from across the world who have been going to fight in Syria -- Europeans and Americans included -- usually end up fighting alongside ISIS.

Syria commentators and counter-terrorism experts alike have warned time and again of the threat posed by ISIS returnees: if they are already extremists when they go out to Syria, what they are when they return is significantly more dangerous, not least because of the weapons training they receive.

The Long War Journal has also reported that foreign ISIS fighters operate in single-nation battalions, something which equips them even better to bring the terrorist threat back home.

The shooting in May at Brussels' Jewish Museum was probably the first instance of a returnee ISIS fighter committing a terrorist offence. It will most likely not be the last.

A frequently-referenced study into foreign fighters in 1980s Afghanistan concluded that about one in nine returnees went on to commit terrorism offences. That may not sound like much, but if one considers that there are an estimated 2,000 EU citizens fighting in Syria now (according to Europol, the European Union's law enforcement agency) it becomes a far more troubling statistic.

Syria aside, ISIS's new dominance in northwestern Iraq will be the principal destabiliser of the region. If left alone, Nineveh will become a jihadist's playground, one that will welcome -- and train up -- any foreigner sympathetic to ISIS's ideology.

Besides that, though, the world needs to act because of the terrible risk this runs for Iraq's Shi'ite population, a minority in Nineveh but still numbering in the thousands. ISIS has a fetish for anti-Shia sectarianism and is also reported to have targeted Christians. They are certain to perpetrate many more horrific offences there if left unchallenged.

The international community has a humanitarian and strategic prerogative to act against ISIS's most recent gains in Iraq; the Iraqi government needs as much support as it can get in challenging ISIS.

Aside from a robust military response, Iraqi President Nuri al Maliki's government needs to challenge the jihadists ideologically. He needs to reach out to the disenfranchised Sunni population, a group that has become marginalised economically and socially during his time in power, for this is the well from which most ISIS fighters are drawn. Taking a purely heavy-handed approach will just feed into the jihadist propaganda.

Encouragingly, al Maliki seemed receptive to such suggestions in March when he attended, alongside Quilliam representatives, Baghdad's first anti-terrorism conference. One thing is for sure, though, and that is that this is Iraq's war now, and no one else's.

READ MORE: 500,000 civilians flee Mosul fightingREAD MORE: Siege of Mosul: What's happening?

@highlight

Islamic State of Iraq and Syria (ISIS) has taken over Iraq's second largest city, Mosul

@highlight

Charlie Cooper of anti-extremism think tank Quilliam says development is worrying

@highlight

"Rejected by al Qaeda because of its ferocity," ISIS "has a fetish for anti-Shia sectarianism"

@highlight

International community -- and Iraq -- must act against ISIS's gains, says Cooper