Basel (CNN) -- Imagine a world where computing becomes invisible, like your thoughts. A world where the interface between our senses, our minds and brains, and a digital device that emulates human traits or which augments our own capabilities becomes seamless, and the border between "it" and "us" becomes opaque.

Imagine instant access to the world's data and content, without typing or without even searching -- think GoogleNow x100, projected onto your iris. The power of IBM's Watson at the disposal of every doctor, with a blink of an eye or a simple voice command. Anticipatory services that know what you need before you do. Constant reads of my body's status via my wristwatch.

Convenient. Incredible. Empowering. Beautiful. Addictive. Indispensable. Scary. Here soon.

Vast progress and vast curses

"Nothing vast enters the lives of mortals without a curse" Greek tragedian Sophocles once said. And plenty of curses are sure to emerge when it's about wearables, which are powered by big data, the cloud, artificial intelligence, not to forget good old-fashioned capitalism.

It is the danger of exponential unintended consequences we must start to consider, because we probably don't have the choice to "just say no" -- wearable computing is as certain as mobile phones.

In his 1964 book "Understanding Media," Marshall McLuhan famously called media "the extensions of man." If we can define wearables as "media" then, following mobile devices, wearables are the next logical step in this rapid evolution.

Beyond this, wearables are very likely to be followed by some kind of direct connectivity of our brains and neural systems with computers (think brain computer interfaces) and implants. You get the picture.

We can see so much more -- and we are seen even more

One of the key challenges with wearables may be similar to what we are already facing in digital media and entertainment.

Powerful, smart, internet-connected TVs are ushering in an era when we can see pretty much anything we want on enormous super-HD screens, be it TV programs, movies and videos, photos, Skype conversations, tweets, games or telepresence events.

But few of us realize that in return our "TVs" (think: visual super-computers) can now also "sense," see and hear us using their built-in video cameras, microphones, data-sucking software and face-recognition apps.

Indeed, these TVs will truly know who we are and what we do -- and naturally, therein lies their tremendous value to those that can reach us through them. This is about data not just about content -- we are the ones being watched while we are watching content at ever lower cost.

Similar (yet much more wicked) issues are certain to arise with the boom in wearable devices. On the one hand, yes, we can be infinitely better and faster in gauging and understanding ourselves and the world around us using smart watches, fitness bands or smart meters.

A nicely designed smart-watch that reminds me of my next appointment, alerts me of urgent developments in my stock portfolio, tells me that I should start exercising more or even predicts how likely me and my date are to hit it off... all of this may seem quite useful, at least to some of us.

At the same time, the flip side of this amazing new -- and seemingly free -- convenience is that my smart devices, virtual agents and active AI apps will also get to know me better than any human ever could as far as my raw data is concerned.

And these will be technologies that are also self-learning. Data flows in both directions, and increasingly a Faustian bargain is struck than would scare the wits out of George Orwell: trade your privacy for convenience; jump into that amazing data and information worm-hole; achieve super-powers!

Watch the first episode of The Future Show with Gerd Leonhard on 'Privacy Failure' here

Google Glass and the nude beach problem

To me, wearable computing devices such as Google Glass are facing what I call "the nude beach problem." If everyone around me is using Google Glass I may feel like an odd-ball by not "being naked" as well.

Conversely, if I am the only that's nude (i.e. wearing Google Glass) and everyone else is fully dressed, I would probably not be very welcome. This may help to explain the chilly reception that Google Glass users have received.

We urgently need some new social contracts here -- but unfortunately Google has rarely paid much attention to those thorny side-effects of their amazing inventions.

This is why I believe the key opportunities for most wearable computing devices is in business or professional situations where it doesn't really matter if only a few people use it, such as with doctors, firefighters or the check-in staff at the airline counter.

In all these cases the clear purpose of technology is to better serve us, rather than for us to better serve the technology and those that dish it up.

This will emerge as a key distinction because making humans as readable as USB drives, exploiting massive privacy failure -- whether by design or by unintended consequence -- or proposing the complete eradication of anonymity cannot possibly be in the interest of any business or government except for those that seek totalitarian dominance.

This is why those that work on wearables need to ask that all-important question: will these devices and services add real, lasting, human value to their users, or will they just be fancy digital mouse traps, addiction-generators or extensions-of-man that seek to eventually "be man"?

READ MORE: Key trends for your future

READ MORE: Ten ways mobile tech will save your life

READ MORE: Where are the women in tech?

The opinions expressed in this commentary are solely those of Gerd Leonhard.

@highlight

A world where computing becomes invisible, like your thoughts, is not very far away

@highlight

One of the key challenges in this new world will be protecting our information and privacy

@highlight

Smart devices, virtual agents and AI apps will know you better than your friends

@highlight

As technology undergoes rapid expansion, we need to consider the social impact