Maui, Hawaii (CNN)When she was just 4 years old, Chelsea Elliott went blind in her left eye. Then, two years later, she lost hearing in her right ear.

Now 24, Elliott might have been spared years of struggle if her rare eye condition -- known as Coats disease -- had been caught earlier.

Not wanting other children to feel the same frustration, anger and limitations, Elliott launched a nonprofit that offers free vision and hearing screenings to school-age children -- particularly from lower income communities.

Here's a stunning statistic: 25% of U.S. children ages 5-17 suffer from vision problems, according to the National Commission on Vision and Health.

Nonetheless, eight states still fail to require vision screenings at schools.

Undetected and untreated, eye disorders can result in delayed reading and poorer academic outcomes.

Elliott's organization, the Half-Helen Foundation, has screened nearly 9,000 children in Texas and Hawaii since its 2013 launch.

As you might guess, the name honors Helen Keller -- who overcame blindness and hearing loss as an infant.

Before her death in 1968, Keller learned to speak and then eventually earned degrees from Radcliffe College and Harvard University, inspiring countless people around the world.

"When I learned about Helen Keller for the first time in the fourth grade, I surmised that I am half blind and half deaf like half Helen," said Elliott. "What better role model than to name a nonprofit after the most extraordinary woman who overcame obstacles being blind and deaf?"

Do you know a hero? Nominations are open for CNN Heroes 2015

I talked with Elliott about the motivation behind her work. Below is an edited version of our conversation.

CNN: You do vision screenings right in the schools. How does it work?

Chelsea Elliott: We use our tool, the Spot camera. This device allows us to test for the six most common vision impairments in children in seconds. We are looking to see if they're near-sighted, if they're far-sighted, if they have astigmatism, or if they're at risk for conditions like lazy eye or strabismus or if there's a difference in pupil size.

The Spot camera is a hand-held autorefractor that takes a picture of a child's eyes. It has multi-colored Infrared light -- a red, blue and green light that flashes. Children tell me it looks like a video game.

Often I'm trying to get the child to look straight into the camera. So once I capture their attention, the camera will capture the image and the screening is done. It's that quick. We learn so much more about a child's vision health in a fraction of the time it takes to do a basic eye chart test.

After the screening, we deliver referral reports to the school health aide to distribute to the families. The families communicate directly with us if they need assistance in seeking corrective wear or access to an eye care professional.

If a child passes, all the better. But if a child fails, then we've found one who we can help, and that's one less child who has to know the struggle or the headaches or the frustration from not being able to see.

See more CNN Heroes

CNN: Your efforts first started in Texas. Why did you choose to focus on Hawaii next?

Elliott: The state of Hawaii currently does not require vision or hearing screenings in schools. So it has been left to the hands of service or civic organizations.

Only certain schools on the island were receiving vision screenings, when it was convenient. It wasn't being done (systematically). So I reached out to some civic groups here that had been conducting screenings and asked if I could come out and present how we do our work. And they, in turn, invited me to come out for a year and pilot our Maui 528 program.

It's the perfect pilot group size. With 21,000 students and the technology available, we calculated it would actually take us about 528 hours to screen all 21,000 students.

CNN: How can a vision problem affect a child's education?

Elliott: A child's learning can be set back several years by not being able to see the words on the page or if they're at a slant, if they're blurred, if they're nonexistent. They lose that self-confidence in their learning, that drive to push them forward, all because they were never screened for a potential condition that is easily correctable.

It's so commonly assumed that you can see a problem. I was 4 years old, and I had no visual symptoms. A common misunderstanding with the need for these services is that if a child has a vision problem, they'll tell you. How can they tell you if that's the only reality they know?

Because preventative care is the most important thing we can provide, and we have a way now to conduct it so efficiently and effectively, there's no reason not to provide this service.

I would like to see every state require preventative screenings in order to ensure that every student has an equal opportunity to the best education possible. That's our way forward.

CNN: Where does the name of your organization come from?

Elliott: When I learned about Helen Keller for the first time in the fourth grade, I surmised that I am half blind and half deaf like half Helen. So that became the nickname from fourth grade on.

And then when I graduated from college and I realized what my purpose was in this life, I realized what better role model than to name a nonprofit after the most extraordinary woman who overcame obstacles being blind and deaf?

Helen Keller did so many extraordinary things with her life, I can only hope to be half as wonderful as she is.

Want to get involved? Check out the Half-Helen Foundation website at www.halfhelen.org and see how to help.

@highlight

Eight U.S. states don't require vision and hearing screenings in schools

@highlight

After going partially blind and deaf as a child, Chelsea Elliott created a solution

@highlight

Do you know a hero? Nominations are open for 2015 CNN Heroes