(CNN) -- The view from the roof of Mohammed Younis's hotel in Giza, Cairo, is of a thousand lights twinkling on the dark surface of the river Nile.

It's a pretty scene, but few visitors are here to enjoy it.

As a waiter brings over beer and tea, Younis puts out a Marlboro cigarette and lights another.

A tour guide and hotel partner whose livelihood depends on tourism, Younis is agitated, and understandably so.

The World Economic Forum has just declared Egypt one of the most dangerous places on earth for tourists. The report puts Egypt above Yemen and Pakistan in terms of risks for visitors.

"Just like any other country, Egypt has dangerous places," allows a weary Younis.

"Yes, the crime rate has increased since the revolution, due to the economic situation, but this affects Egyptians, not tourists."

Why some travelers seek out the world's most dangerous locales

Younis is one of many.

The country's tourism workers have been hit hard by political and civil unrest. According to the United Nations World Tourism Organization (UNWTO), tourism employs directly nearly 18 million people.

Tourist arrivals are far lower than in previous years.

In addition to politically motivated violence that continues in the wake of the 2011 Egyptian revolution, there are concerns about the country's beachside resorts at Hurghada and Sharm Al Sheikh.

Many worry that the new government, the Muslim Brotherhood, will impose strict morality provisions on these party towns, which are famed for their beaches and nightlife.

Earlier this month, tourism minister Hisham Zaazou sought to quell these fears at the Arabian Travel Market in Dubai, when he alluded to Islamist groups calling for bans on alcohol and women wearing bikinis.

"Bikinis are welcome in Egypt and booze is still being served," Zaazou told reporters in Dubai.

Egypt hotel goes alcohol-free, creates women-only floor

Tourists trickling back

Despite media coverage of calls by conservatives for an alcohol ban, tour guide Younis says he never expected the comments of hardliners to be taken seriously.

Egypt isn't an exclusively Muslim country, and tourism has long been a lifeline for the Egyptian government, which is currently facing its worst economic crisis in decades.

The country desperately needs the money that tourism brings. In 2012, UNWTO figures show international tourism generated $10.1 billion.

Tourist numbers have fallen, from 14 million in 2010 to 10.2 million in 2011, and 10.5 million for 2012. The good news is that, after a sluggish start, total numbers for 2012 picked up with a strong surge toward the end of the year.

"Despite the ongoing political instability in 2012, main tourist attractions such as the Red Sea beach resorts, Luxor and Aswan remained very much secluded from the political turmoil, which allowed the tourism sector to slowly recover," says Maii Abdel Rahman, a research analyst at Euromonitor International.

The first quarter of 2013 has continued the trend, with arrivals and hotel bookings showing a "healthy increase," according to Rahman.

Cairo slower to recover

Despite the positive outlook, the Egyptian capital of Cairo isn't a placid city two years after the revolution (arguably it never was). Gone are the days when tourists might visit Egypt's museums and pyramids and ignore the country's political turmoil.

Tourism gains for 2013 come almost exclusively from outside of Cairo.

Euromonitor's Rahman says that in the early days of the revolution, the capital's Tahrir Square -- the epicenter of protests that ultimately toppled President Hosni Mubarak in February 2011 -- became a tourist attraction in itself.

The attraction proved short lived, as political instability in the country persists.

"With the ongoing unrest and growing security concerns, the number of tourists visiting Tahrir Square and Cairo in general remains very small, hence the low (hotel) occupancy rates," she says.

The revolution is on the lips of every barman, taxi driver, shop owner and tout.

Its graffiti adorns walls across the city.

Despite the challenges, Cairo remains a fascinating, vibrant city, and local optimists argue that dangerous areas are few and far between.

Luxor balloon flights resume

Fruit sellers, kebab shops and cafes bring peaceful crowds into the streets. Men sit in plastic chairs puffing on shisha pipes.

Outside the Metro station close to the Al Tonsi, an unlicensed vendor openly sells Egypt's Stella and Sakara beers for a fraction of the price found in the city's trendy bars.

In Zamalek, a 20-minute walk north, outdoor cafes are packed with young Egyptians sitting in the shade of the trees.

Tentative hope

Mohammed Younis has landed another job, this one guiding a group around Egypt's ancient tombs and monuments at Luxor.

He's grateful for the work, and, with his schedule filling up in the warm summer months -- generally a slow season in Egypt ahead of the busy autumn -- he can relax, at least temporarily.

"The unrest is still putting people off, of course, but I think people are starting to come back," he says.

Younis remains hopeful, if not for a revolution, at least for a little more activity.

@highlight

WEF: Egypt 'one of the most dangerous places on earth'

@highlight

Country's millions of tourism workers hit hard by poor business following political unrest

@highlight

"Bikinis are welcome in Egypt and booze is still being served," says tourism minister

@highlight

Tourist arrivals plummeted in 2011, but began picking up late last year