(CNN) -- The tragic murder of Cpl. Nathan Cirillo by Michael Zehaf-Bibeau -- "a recent convert to Islam" as every media outlet in the United States would like to remind you -- has added fuel to the already fiery debate in this country over the inherently violent nature of religion in general, and Islam in particular.

It seems that, in the minds of many, the only possible reason a Muslim convert would go on a shooting spree in the Canadian Parliament is because his religious beliefs commanded him to do so.

Of course, it could very well be the case that Zehaf-Bibeau was motivated by his Islamic beliefs. It could be that he read a particular passage in the Quran, understood it to mean he should kill as many Canadian government officials as possible, and then went out and did just that.

After all, there's no question that a person's religious beliefs can and often do influence his or her behavior. The mistake lies in assuming there is a necessary and distinct causal connection between belief and behavior -- that Bibeau's actions were exclusively the result of his religious beliefs.

The notion that there is a one-to-one correlation between religious beliefs and behavior may seem obvious and self-evident to those unfamiliar with the study of religion. But it has been repeatedly debunked by social scientists who note that "beliefs do not causally explain behavior" and that behavior is in fact the result of complex interplay among a host of social, political, cultural, ethical, emotional, and yes, religious factors.

In the case of Bibeau, his violent behavior could have been influenced as much by his religious beliefs as by his documented mental problems, his extensive criminal past or his history of drug addiction. Yet, because Bibeau was a Muslim, it is simply assumed that the sole motivating factor for his abhorrent behavior was his religious beliefs.

Indeed, there's even a term for this idea: Sudden Jihad Syndrome -- an imaginary contagion invented by the neo-conservative commentator Daniel Pipes to describe how any normal-seeming Muslim can suddenly snap for no reason at all and go on a murderous rampage (thus proving Pipes' point that "all Muslims must be considered potential terrorists").

Strangely, this causal connection between belief and behavior seems not to be as aggressively applied if the criminal in question claims a different religion than Islam. Take the example of the Norwegian terrorist Anders Breivik, who slaughtered 77 people, the majority of them children, in 2011. Breivik explicitly defined himself as a Christian warrior fighting what he called an "existential conflict" with Islam.

Nevertheless, a great deal of the media coverage surrounding his actions seemed to take for granted that his crime had nothing to do with his Christian identity -- that it was based instead on his right-wing ideology, or his anti-immigrant views, or his neglectful upbringing, or even, as Ayan Hirshi Ali famously argued, because his view that "Europe will be overrun by Islam" was being censored by a politically correct media, leaving him "no other choice but to use violence."

All of the above explanations for Breivik's behavior, including his religious beliefs, are pertinent in understanding the motivations for his behavior. But to argue that Breivik's or Bibeau's actions were motivated solely by their religious beliefs -- or that their religious beliefs necessarily dictated their actions -- is simply irrational.

And yet, this trope has become exceedingly common among some critics of religion. Take the following excerpt from the bestselling book "The End of Faith," by the anti-theist activist Sam Harris (Note: because Harris has repeatedly tried to defuse the significance of his argument and has even gone so far as to accuse those, including me, who quote his words of defamation, I will present the passage in its entirety so that there can be no confusion as to his meaning).

"The link between belief and behavior raises the stakes considerably. Some propositions are so dangerous that it may even be ethical to kill people for believing them. This may seem an extraordinary claim, but it merely enunciates an ordinary fact about the world in which we live. Certain beliefs place their adherents beyond the reach of every peaceful means of persuasion, while inspiring them to commit acts of extraordinary violence against others. There is, in fact, no talking to some people. If they cannot be captured, and they often cannot, otherwise tolerant people may be justified in killing them in self-defense."

Harris' argument is that a person's religious beliefs do not merely influence his or her behavior. They determine it. In other words, people holding certain beliefs should be killed, not because those beliefs may lead to violent behavior, but because they necessarily will. Therefore, in order to save ourselves ("self-defense" Harris calls it) we may be justified in killing the believer before his or her beliefs turn into action -- as they inevitably will.

It is true that religious beliefs can often lead to actions that violate basic human rights. It is also true that a great many of those actions are taking place right now among Muslims. But it is ridiculous to claim that the actions of Islamic extremists are either necessarily or exclusively the result of their belief in Islam.

There may be millions of Muslims who share the ultra-orthodox, puritanical strain of Islam -- called Salafism -- that fuels the members of ISIS. But the U.S. is not at war with Salafism (if it were we would have bombed Saudi Arabia long ago). It is at war with ISIS, and not because of what they believe, but because of the actions they have carried out based on their interpretation of those beliefs.

Arguing otherwise leads to the preposterous conclusion that anyone who shares any measure of religious beliefs with a violent extremist is equally guilty for that extremist's violent actions -- regardless of how diverse the interpretations of those beliefs may be. In fact, Harris makes this exact point: "Given the link between belief and action, it is clear that we can no more tolerate a diversity of religious beliefs than a diversity of beliefs about epidemiology and basic hygiene."

The danger of this mistaken view of "the link between belief and action" is that it makes it that much more difficult to counter religious violence. When we condemn an entire community of faith for sharing certain beliefs with extremists in their community, we end up alienating the very people who are best positioned to counter such extremism in the first place.

People should be free to believe whatever they want to believe, no matter how irrational those beliefs may appear to us -- just as people should be free to criticize those beliefs. It is when such beliefs lead to violent behavior that people of all faiths -- as well as those of no faith -- should unite in condemnation.

Join us on Facebook.com/CNNOpinion.

@highlight

Role of Islam was discussed after the shootings in Ottawa

@highlight

Reza Aslan says simply having a certain belief doesn't cause one to engage in terrorism

@highlight

He says the real issue should be how people act, not what faith they hold