(CNN) -- We've all got them: places that live large in imagination or memory, begging us to hop on a plane to uncover their delicious mysteries.

As the new year kicks off, a handful of our very well-traveled CNN correspondents -- who've been places and seen things many of us may never see firsthand -- share their destination wishes for 2013 and beyond.

Where are you dreaming of visiting this year? Please share your picks in the comments below.

8 travel resolutions for 2013

Mongolia

Senior International Correspondent Ben Wedeman set his sights on Mongolia early in life.

"Back when I was, I think, nine or ten years old I read a book about Marco Polo, how he traveled with his uncles on the ultimate business trip to the Mongol Empire at its height," wrote Wedeman, who recently moved to Rome after an assignment in Cairo.

"The trip lasted almost a quarter of a century, during which he grew up, mastered Mongolian, gained the confidence of the Mongol emperor, Kublai Khan, and then eventually returned home with fantastic tales of strange lands and stranger people. The story hooked me."

12 months, 12 trips to make your friends jealous

Wedeman socked away money from his first job delivering newspapers with an eye toward a $3,000 trip to Mongolia advertised in the Sunday New York Times magazine. "Making around $30 a month, it would have taken me more than eight years to come up with the money."

He read about Mongolia in the meantime but spent most of his teenage years in the Arab world, where he learned the language and became interested in journalism, "for better or for worse, a busier profession in the Middle East than in Mongolia, for example."

Wedeman took courses in classical and modern Mongolian while studying for his master's degree and found it "beastly difficult."

He still wants to visit, in the spring or summer, he said. "Mongolian winters, when temperatures drop to −30 °C (−22 °F) are not for me, thank you very much."

He says he would hire a guide and horses and set out for the vast steppes.

"I know it's changed radically since I first latched on to the idea. For one thing it's no longer part of the communist bloc, it's no longer isolated, and its economy is growing rapidly fueled by a mining boom (which is destroying the traditional nomadic lifestyle, and severely harming the once pristine environment)."

The price today with an upscale company is reasonable, he said, "compared to the $3,000 it was back in 1971."

"Today the same trip is around $5000, which though a still hefty sum, is, in terms of inflation, a steal."

Jordan

CNN Senior International Correspondent Nic Robertson spent much of the past year in conflict-ridden places that many travelers avoid these days, including Syria, Libya, Egypt and Lebanon. Next year, Robertson expects to travel to Afghanistan, Libya, Syria, Jordan and Mali in North Africa, where he says al Qaeda is putting down roots.

So you'd think he might like to spend some time on a secluded beach somewhere. Nope. He wants to travel with his wife and two daughters (ages 17 and 21) to Jordan.

"I have yet to take my children there and it is a very special place to my wife and I as we met there in the build up to the first Gulf War," wrote Robertson, briefly at home in London, in an e-mail. "The hotel we met in, which was the CNN hotel, at the time called the Philadelphia, now the Radisson, was attacked by Zarqawi suicide bombers in 2005.

"Jordan today is becoming less stable and I would like to take my children there to visit places like Petra, the Roman ruins in Amman and Jerash, the Dead Sea and Aqaba where I learned to dive. My eldest daughter's second name is Jordan after the country ... so you can see the connection runs deep."

Galapagos Islands, Ecuador

Work has taken CNN Chief Political Correspondent Candy Crowley all over the world, but in her free time she's "never been much of a traveler" beyond a yearly pilgrimage to Sleeping Bear Bay in Michigan, which Crowley calls "the place of my heart."

Yet a few years ago, she was in a boat off the coast of Australia with her grown children, living out a travel dream.

"I began to see massive areas of dark brown spread across the horizon of blue water. I started to cry. I never thought a dream I had since I was a teenager would come true, but there I was about to scuba dive and snorkel in an area of The Great Barrier Reef," wrote Crowley.

"I love water, sea life, scuba diving and snorkeling. I love the warmth of sand just before it gets so hot you need shoes. I love a place with that spiritual feel of history and mystery. I love being with my children there to share."

Crowley's got her next fantasy trip mapped out.

"Now I have a bank account with 'The Galapagos' written on it. It's not in the cards for 2013, but I'll get there.

"I want to do one of those week long boat trips with the scientists on board who tell you what you've seen, what you're about to see because I think it will ratchet up the awe factor, if that's possible."

Pantanal region, Brazil

Shasta Darlington, a CNN correspondent based in São Paulo, is determined to visit the Pantanal region of Brazil.

"This is my second time living in Brazil and it's something I failed to do the first time, so I want to make sure I get there this time," wrote Darlington.

"It's the largest contiguous wetland in the world and teeming with animal life. Most people think the Amazon is the place to go to see Brazilian flora and fauna, but the Pantanal region is easily just as rich in animals and they're easier to spot, especially during rainy season when rivers rise forcing animals literally onto islands."

The region is hard to reach and navigate, Darlington said, with mostly lodge-like accommodations and boats, small planes and four-wheel-drive vehicles for transportation.

But the rewards are rich. "There are an abundance of birds, monkeys, caimans, snakes, butterflies and fish out there."

South Africa

"There are some destinations that you know as soon as you step off the plane will change you. For me, it's always been Africa," wrote Patrick Oppmann, CNN's correspondent in Havana.

He has visited the continent three times but has yet to make it to South Africa.

"As a journalist, I have long been fascinated with how South Africa is emerging from decades of the racial divisions of the Apartheid era.

"But it's one thing to read about those years and another to actually visit Robben Island, where Nelson Mandela was imprisoned, or to walk in District 6, the area where thousands of black residents had their neighborhoods destroyed."

And of course, the country's spectacular beauty is a big draw. "You can hit the beach, hike Table Mountain overlooking Cape Town, take in amazing wildlife and cage dive among Great White sharks."

Oppmann wouldn't miss trying braai, the South African way of spit-roasting meat over an open fire.

"And if there was a cold glass of the excellent local wine or beer to go along with the braai, that would be just fine too."

Where are you dreaming about going in 2013?

@highlight

CNN.com asked a handful of correspondents for their dream destinations for 2013

@highlight

Ben Wedeman has been looking forward to a visit to Mongolia since he was a child

@highlight

Nic Robertson has deep ties to Jordan and would like his daughters to see the country

@highlight

Candy Crowley's love of the water has her saving for a trip to the Galapagos