(CNN) -- In February 2002, when the Bush administration's campaign to win support for invading Iraq was gathering steam, Defense Secretary Donald Rumsfeld was asked at a news conference about insinuations that Saddam Hussein was in cahoots with al Qaeda, a collaboration for which there was no evidence.

Rumsfeld's response may not have been illuminating, but it was certainly memorable. "Reports that say that something hasn't happened are always interesting to me," he said, "because as we know, there are known knowns; there are things we know we know. We also know there are known unknowns; that is to say we know there are some things we do not know. But there are also unknown unknowns -- the ones we don't know we don't know."

As we approach the 10th anniversary of that invasion, Rumsfeld's musings provide a helpful reminder for members of the news media. When the next war debate comes, our first step ought to be to take careful stock of what we know and what we don't.

Journalists regularly have to take crash courses in new subjects. When the economy imploded in 2008, many of us who write about public affairs found ourselves addressing economic matters in greater detail than ever before. To write intelligently about health care reform in 2009, you had to get up to speed on how things such as the health insurance market and Medicare work, and a hundred other details.

When a new topic is inherently opaque -- such as the internal politics of a country most journalists could barely find on a map, or the complex consequences of starting a war in a region where U.S. foreign policy is widely reviled -- we should know more than ever about our own personal known unknowns and unknown unknowns.

Opinion: Did Iraq War give birth to the Arab Spring?

That didn't happen in 2002 and 2003. The campaign to sell the Iraq War was a carefully planned and skillfully executed propaganda effort, and it succeeded because so many journalists and news outlets went along for the ride.

To be fair to the news media, they were up against an administration using diabolically clever techniques. To take just one example, in the fall of 2002, the administration leaked a story to The New York Times' Judith Miller claiming that Iraq had purchased aluminum tubes clearly intended for use in centrifuges to enrich uranium for nuclear weapons.

The truth, as we later found out, was that there was no Iraqi nuclear program, and the tubes in question would have been virtually useless for one. They were meant for conventional rockets. But the administration knew the exclusive would be too juicy for Miller to pass up. Her credulous account, passing all the administration's false claims on as a "scoop," appeared on the Times front page on September 8.

Vice President Dick Cheney then went on "Meet the Press" that very day and said, "It's now public that in fact he has been seeking to acquire, and we have been able to intercept and prevent him from acquiring, through this particular channel, the kinds of tubes that are necessary to build a centrifuge." So the administration planted a false story in the Times, then cited the false story on NBC, using the Times' imprimatur to bolster its credibility. That is some Jedi-level media manipulation.

Hans Blix: Why invading Iraq was a terrible mistake

Every major news organization, from national newspapers to television networks to magazines, was complicit to some degree in selling the public a brief of false information, from Hussein's allegedly terrifying arsenal of weapons of mass destruction to the fictional links between the Iraqi government and al Qaeda.

It wasn't that you couldn't find journalists questioning the official story, raising doubts about the administration's claims, and doing the hard work to determine what the truth was. You always can. Whenever there's a story that the media as a whole get wrong, there's always a reporter somewhere who got it right. The problem was that those voices were so much quieter, pushed so far to the edge of the national debate.

Even within some publications there was a tension. One of the journalistic heroes of the pre-war period was Washington Post national security reporter Walter Pincus, who reported the lack of evidence for the administration's hype. But his articles were buried deep within the paper, while the front page blared scary stories about the fearsome threat from Iraq and the Post's editorial page beat the drums for war. Asked later why his stories were shunted to the back pages, Pincus responded, "The Post was scared."

Opinion: Why the war in Iraq was fought for Big Oil

And so were much of the media. When there's a war in the offing, the flags are waving and dissenters are being called treasonous, the media's courage tends to slip away. Which is particularly regrettable, since the time when the government is pressing for war should be the time when they are more aggressive than ever, exploring every possibility and asking every question, over and over again if need be. That's the time when government is most likely to dissemble and deceive. That was when we most needed the press, and when its failure was the most costly.

So the next time people in power propose a new war -- and they will -- journalists need to ask some important questions. What are the limits of our understanding of this country we might invade? What are the motivations of the people pushing for the action? What evidence is the government offering to support its claims? Are there knowledgeable people who disagree, and what are they saying? Which of the government's claims have I investigated myself, and which am I taking on face value? What are the potential consequences of military action, good and bad, and have I explored them in enough detail? And in the context of Iraq, which questions do I wish I had asked last time around?

That's just a start, of course. Perhaps lessons have been learned, and the next time a president warns the American people that we have no choice but to invade another country or risk our doom, the press will do a better job of being skeptical, thoughtful and rigorous than it did 10 years ago. It couldn't do much worse.

The opinions expressed in this commentary are solely those of Paul Waldman.

@highlight

Paul Waldman: Rumsfeld remarks in push for Iraq War were classic doublespeak

@highlight

He says reporters, who are supposed to be quick studies in new areas, were credulous

@highlight

He says savvy Bush administration easily duped press into selling case for war

@highlight

Waldman: All news media guilty but hope is that they learned from, won't repeat mistake