(CNN) -- A federal judge in New Orleans has ruled that Halliburton is not liable for the some of the compensatory damages sought by third parties in the worst oil spill in U.S. history, leaving BP responsible for the majority of those claims.

"BP is required to indemnify Halliburton for third-party compensatory claims that arise from pollution or contamination that did not originate from the property or equipment of Halliburton located above the surface of the land or water, even if Halliburton's gross negligence caused the pollution," the order states.

The judgment is similar to the decision that came down last week regarding Deepwater Horizon rig owner Transocean's responsibility in the 2010 Gulf of Mexico disaster.

In the ruling Tuesday, Judge Carl Barbier notes the similar contractual indemnity issues between Transocean and Halliburton, and accordingly left it open as to whether Halliburton would also be held liable for punitive damages or civil penalties under the Clean Water Act.

Halliburton was contracted by BP to cement the Macondo well that was the source of the oil spill, and had argued its contract protected the energy company from legal action resulting from its work.

"Halliburton agrees with the ruling to the extent that it requires BP to honor its contractual indemnity obligations," said Beverly Stafford, Halliburton's director of corporate affairs.

Earlier this month, National Oceanic and Atmospheric Administration scientists said they had confirmed through chemical testing just how much oil was released in the disaster, which begain with the April 20, 2010, rig explosion aboard the Deepwater Horizon that claimed 11 lives, and continued for nearly three months afterward.

NOAA said approximately 59,200 barrels of liquid oil per day flowed out into the Gulf, and that the "leaking gas and oil quickly separated" into three different areas: as an underwater plume of droplets, an airborne plume of evaporating chemicals, and the slick of oil visible on the Gulf's surface.

BP said Tuesday that Halliburton still needs to be held accountable.

"Today's ruling, together with last week's decision on Transocean's financial obligations stemming from its conduct at the Macondo well, is a strong signal that contractors involved in critical well operations will be held accountable for their actions under the law," a BP statement said.

"All official investigations have concluded that Halliburton played a causal role in the accident, and following this ruling, Halliburton is, at a minimum, responsible for any punitive damages as well as civil penalties to the extent that they may apply under the Clean Water Act. Moreover, the court determined that if Halliburton is found to have committed fraud, then the indemnity could be void," BP said.

Last September, the government issued a formal report on the oil spill, finding that BP, Transocean and Halliburton all shared responsibility for the explosion, but that BP was "ultimately responsible" for operations at the site "in a way that ensured the safety and protection of personnel, equipment, natural resources, and the environment."

The British oil giant said it has already paid billions in damages and that the other culpable parties are still on the hook.

"BP has acknowledged its role in the accident and has paid more than $7.8 billion in claims, advances and other payments to individuals, businesses and governments, regardless of whether third parties ultimately would be responsible for any of that sum or additional liabilities. Our charges and provisions never assumed any recovery from Transocean or Halliburton for pollution-related damages. These two decisions should put an end to the attempts by Transocean and Halliburton to avoid their obligations."

A trial to determine how the division of blame will be allocated is set to begin on February 27 in New Orleans.

@highlight

Court sides with Halliburton's indemnity in its contract with BP to cement the Macondo well

@highlight

Ruling is similar to a decision last week regarding rig owner Transocean's responsibility

@highlight

BP says Halliburton still needs to be held accountable