From wearable technology to space tourism, 2014 will be a year of significant technological leaps. We take a look through some of the most ground-breaking developments of the year ahead.

Electric cars take to the track

As the name suggests, Formula E is all about electric power. The arrival of this new petrol-free motor racing competition is a significant step for both the car and the environment. Two years ago motorsport's international governing body, the Federation Internationale de l'Automobile (FIA), announced its ambitious plan for an electric car race that would mimic the hugely popular F1 series. As the arrival of Formula E looms, experts predict that it could have a big impact on the future of car manufacturing.

Initially, the cars in the competition will be powered by enormous battery engines. Each battery weighs 200 kilograms, producing around 200 kilowatts of power. Depending on the speed, the electric engines will last anywhere from a few hours to just 25 minutes and the cars can reach speeds of up to 220 kilometers per hour.

"If you look in the past, a lot of development in the car industry has come from racing," said Formula E CEO Alejandro Agag. "The transfer of technology is potentially very big."

Space tourism blasts off

After a number of false starts and delays, Virgin Galactic is finally poised to lift off in 2014. Billionaire Richard Branson's planned commercial spacecraft underwent a successful test flight last year over California, making a commercial launch this year a distinct possibility.

In September 2013, Branson's Virgin Galactic said SpaceShipTwo completed an important test, breaking the sound barrier as it climbed from 42,000 feet to 69,000 feet over the Mojave Desert before descended using its tilt-wing "feathering" maneuver. It was the second successful powered flight for SpaceShipTwo -- a craft designed to carry up to six passengers.

Initially, Virgin Galactic flights are scheduled to be suborbital, but the hope is to take passengers further into space as the technology is refined. Already, a host of famous names have signed up to head into near orbit including Katy Perry, Stephen Hawking and Ashton Kutcher.

"We couldn't be more delighted to have another major supersonic milestone under our belts as we move toward a 2014 start of commercial service," said Branson after the test flight last year.

Wind power blows stronger

As scientists look to find alternatives to traditional fossil fuels, a number of major projects, including Cape Wind (in Massachusetts' Nantucket Sound) and Deepwater Wind (near Block Island, Rhode Island), are vying to become the first offshore windfarm in the U.S.

Alongside power from volcanoes, waves, biomass and the sun, wind power is set to become a significant alternative energy source in 2014.

Are we finally heading to Mars?

A new type of engine, called the VASIMR (or Variable Specific Impulse Magnetoplasma Rocket) will be tested in space in March. If successful it is estimated that it could reduce the time it takes to get to Mars from nine months to just three months. The technology -- an "advanced plasma space propulsion system" -- will be tested by NASA on the International Space Station, taking the prospect of interplanetary exploration one step closer.

Synthetic biology begins to grow

Marcus Fairs, the editor of dezeen.com, a highly influential online design magazine, says that in his view 2014's most significant emerging technologies will be in the field of synthetic biology.

"This emerging field started to hit the headlines at the end of last year and will be huge in 2014," Fairs say. "It involves the creation of new types of artificial life forms that perform useful functions. At the smallest scale it could mean man-made microbes that live inside your body and detect illness; at the largest scale it could mean synthetic creatures that are released into the wild to clean up pollution or attack parasitic species."

Wearable technology is on trend

Wearable technology fired some preliminary warning shots in 2013 with the release of the Samsung Galaxy Gear and Pebble smartwatches, but this year will see the arrival of a selection of truly innovative wearable devices. Most notably, Google Glass is expected to launch this year, offering head-mounted computing that could, ultimately, make smartwatches and mobile phones a thing of the past.

Alongside Google's new high-tech glasses, Fairs says that in 2014 "technology will migrate onto the body as digital services are miniaturized and embedded in our clothing or worn against our skin. We already have Google Glass and wearable fitness trackers, but a vast array of services -- from health monitoring to augmented information (telling you what's around you and helping you navigate) will become commonplace."

Fairs points to clothing with in-built solar panels, devices that scan your body for disease, and self-repairing trainers as some of the more exciting wearable technologies on the near horizon.

Tim Meyer, Head of Strategic Planning and Communications at TRIUMF, Canada's national laboratory for particle and nuclear physics, agrees. "This year's Las Vegas CES show is revealing new wearable technology, but what we're going to see this year is the development and test-marketing of smart clothing, not just smart gadgets," Meyer says. "New fibers, new micro-sensors, and new communications protocols will allow your clothes to actually work for you and collect and process information.  I suspect we'll see some fashion statements first: clothes that change shape or color.  Then we'll see clothes that do computing; first step will be storing information.  My socks will store today's to-do list."

Dark matter

Meyer also believes that 2014 will be a significant year for physics, particularly in the search for dark matter: "Dark matter is being searched for in everyone's sock drawer as well as deep underground and with satellites. The underground experiments are likely to find something before the Large Hadron Collider turns back on to try "making" it. We could see a conclusive discovery of weakly interacting, massive dark matter particles this year.  That will blow your mind."

Crowd-funding comes of age

Mid-way through 2014 new laws (known as the JOBS act) will allow anybody to buy equity in start-ups through new online crowd-funding marketplaces. This will make it almost as easy for individuals to fund new technology ventures as it currently is to support a Kickstarter project, bringing a flood of new capital to fledgling tech companies. "The ability to aggregate a bunch of individuals around a common funding goal is absolutely game changing," Vince Molinari, founder and chief executive of GATE Technologies, an online trading company said.

With these new laws in place, the rapid technology developments of 2014 may be dwarfed by innovations in 2015 and beyond. Watch this space.

@highlight

2014 will be a year of enormous technological leaps

@highlight

Launch of Formula E promises rapid development for electric cars

@highlight

Virgin Galactic plans to launch tourist flights to space

@highlight

Could the VASIMR engine help humans reach the moon?