Beijing (CNN) -- China's change of leadership that began last week comes as domestic pressure mounts for the world's second largest economy to toughen its foreign policy to match its economic might.

Yet Beijing is keen to prevent the world from concluding that China has discarded the notion of a peaceful rise. The result has been reactive assertiveness; a foreign policy tactic perfected during China's ongoing maritime disputes. This approach allows Beijing to use perceived provocations as a chance to change the status-quo in its favor -- all the while insisting the other party started the trouble. Those expecting China to turn the other cheek are mistaken.

The prolonged stand-off with Japan over the sovereignty of a few islets offers a vivid example of this approach. In September, the Japanese government announced that it was finalizing the purchase from their private owner of the disputed islands -- called Senkaku by Japan and Diaoyu by China -- in the East China Sea. But Beijing interpreted the move as a betrayal of the two countries' agreement to shelve their quarrel, and saw the timing as a deliberate attempt to disrupt the leadership transition and foment instability at a vulnerable moment.

Read more: Behind the islands dispute

China responded decisively, with what state media called "combination punches." These measures ranged from the verbal -- leader-to-be Xi Jinping labeling Japan's purchase of the islands a "farce" -- to economic retaliation and large-scale anti-Japan protests and naval exercises in the East China Sea.

But the real game-changer in the stand-off came when Beijing declared its territorial baselines around the islands; a move that legally places them under Chinese administration. Once the announcement was made, China began to regularly dispatch law enforcement vessels to patrol waters off the disputed islands, directly challenging Japan's de facto control of the area for the past 40 years. Such is the new normal, claim Chinese officials.

In recent weeks, Chinese media have been trumpeting the efforts of Chinese ships to expel Japanese Coast Guard boats. Reminding the world that the troubles were all started by Tokyo, China claims that the burden is entirely on Japan to find a way out of the mess.

Read more: Asia's disputed islands -- who claims what?

Similar heavy-handed action was used against the Philippines in a spat over the Scarborough Shoal in the South China Sea in April. When Manila maladroitly responded to a fishing run-in by sending a warship, China took the opportunity to strengthen its claim over the disputed shoal by deploying law enforcement vessels to the area, extending its annual unilateral fishing ban to cover the waters around the shoal; quarantining tropical fruit imports from the Philippines and suspending tourism; and roping off the mouth of the lagoon to prevent other fishermen from entering.

By maintaining regular law enforcement patrols and preventing Filipino fishermen from entering those waters, China has managed to establish a new status-quo in its favor.

A similar blueprint was then used in June in response to a maritime law passed by Vietnam with new navigation regulations covering the disputed Spratly and Paracel Islands. Before the ink on the law had dried, China upgraded the administrative status of Sansha city encompassing a group of disputed islands in the South China Sea and established a military garrison.

Furthermore, the China National Offshore Oil Corporation (CNOOC) offered oil exploration leases in nine blocks located within Vietnam's Exclusive Economic Zone, which overlap with blocks offered by PetroVietnam.

A key component of Beijing's counter-punches are the use of economic punishments, including suspending imports, halting tourism, encouraging boycotts, offering up oil blocks in disputed areas, or impeding fishing access.

In contrast to a time when foreign policy was designed to serve economic growth, China is now increasingly using its economic might to advance political ends -- even when this hurts China itself. According to one Chinese analyst, "These measures will hurt China. But they hurt Japan more".

Read more: Shrink wealth gap, boost consumption

For its part, Japan says that it purchased the islands to prevent the hardline Tokyo mayor from acquiring them and carrying out a plan to build there. It also wanted to avoid "punching the new Chinese leadership in the face" just after the transition.

Now, analysts in Beijing claim that a Pandora's Box has been opened and there is no going back to the tacit agreement that has kept peace in the East China Sea for decades.

Read more: Why China's reforms have hit a brick wall

Right now, Beijing is primarily preoccupied with maintaining the momentum of economic development and preventing domestic troubles from erupting into potentially destabilizing unrest. The new leaders will not want to look weak, thus blunting the edge of their "reactively assertive" foreign policy.

If there is any perceived slight, no matter how minor, expect China to pounce.

The opinions expressed in this commentary are solely those of Stephanie Kleine-Ahlbrandt.

@highlight

China appears to toughen its foreign policy to match its economic might

@highlight

Beijing uses perceived provocations to assert itself

@highlight

Examples of conflicts with Japan, Philippines, Vietnam