Washington (CNN) -- "Electronic cigarettes" that vaporize nicotine juice to inhale instead of smoke from burning tobacco do not deliver as promised, according to research at Virginia Commonwealth University.

"They are as effective at nicotine delivery as puffing on an unlit cigarette," said Dr. Thomas Eissenberg, at the school's Institute for Drug and Alcohol Studies.

His study, funded by the federal National Cancer Institute, is the first by U.S. doctors to check the function of so-called "no-smoke tobacco" devices, which are unregulated in the United States for sale or use.

The units are shaped like a cigarette and contain a battery that heats a filament to vaporize liquid nicotine in a refillable cartridge. Smokers buy the devices to get around no-smoking restrictions and to attempt to quit conventional cigarettes.

Some users nickname what they're doing as "vaping" instead of smoking, to reflect the vapor produced by the heating element. The devices are marketed as an alternative to smoking, but retailers avoid making claims about health or safety.

Fans have established a Web site, www.e-cigarette-forum.com. Founder Oliver Kershaw said the site "is the largest e-smokers community online with some 26,000 members, most of whom are in the U.S."

Jimi Jackson, a former tobacco smoker in Richmond, Virginia, who sells electronic cigarettes, is convinced there are immediate health advantages in avoiding the known cancer-causing substances in the smoke of a burning cigarette.

"I smoked 37 years, and when I found them, I was, like, 'Thank, you Jesus,' " Jackson said with a laugh, as a reporter visited his shop, No Smoke Virginia, coincidentally just a few blocks from where the research was conducted at Virginia Commonwealth.

In March, the Food and Drug Administration imposed a ban on continued imports of the devices, pending regulatory review for any health risks.

The latest clinical evidence suggests users are not getting the addictive substance they get from smoking tobacco. "These e-cigs do not deliver nicotine," Eissenberg said of the findings he expects to publish in an upcoming issue Tobacco Control, a product of the British Medical Journal Group.

This past summer, Eissenberg recruited smokers without prior experience using e-cigarettes to volunteer to use two popular brands of the devices for a set period. The 16 subjects were regularly measured in a clinical setting for the presence of nicotine in their bodies, their reported craving for conventional cigarettes, and certain physiological effects such as a change in heart rate.

"Ten puffs from either of these electronic cigarettes with a 16 mg nicotine cartridge delivered little to no nicotine," the study found.

But the units may deliver hazardous chemicals, according to preliminary checks by federal regulators. In a notice to importers, the FDA blocked continued shipments after finding diethylene glycol, a chemical used in antifreeze that is toxic to humans.

The government's statement noted there are no health warnings on the products, and that "the FDA analyses detected carcinogens, including nitrosamines."

The notice of the import ban says "the product appears to be a combination drug-device," that "requires pre-approval, registration and listing with the FDA" in order to be marketed in the United States.

A company challenging the import ban claims in federal court documents to have sold 600,000 of the devices in a year's time through a network of 120 distributors in the United States.

"We are on the verge of going out of business, which is why we are suing the FDA in U.S. District Court," said Washington, attorney Kip Schwartz, representing a company called "Smoking Everywhere," a U.S. wholesaler that was importing the devices from China.

The lawsuit questions the FDA's authority to block shipments of a non-tobacco product, and says the agency has violated its statutory process for product review. Liquid nicotine is available on the open market through pharmaceutical houses and vendors who sell e-cigarettes.

A judge January 14 ruled the FDA does not have such authority, but the agency has taken the matter to the U.S. Court of Appeals, which has yet to decide the case. The appeals panel issued a stay against the judge's ruling until it can rule on the agency's appeal.

Meanwhile, based on the judge's ruling, lawyers for the importers have filed a request to compel the FDA to lift its import ban, saying the agency is not likely to win its appeal.

The filing says "although e-cigarettes have been sold since 2007, FDA has not identified a single instance, either in this Court or below, of an adverse health effect from e-cigarettes."

President Obama, who has described himself as an occasional smoker, has been offered one of the devices by Florida Rep. Cliff Stearns. The Republican lawmaker's office said the president did not respond.

An administration spokesman last year said the White House was not aware of the offer.

In a copy of a letter to the chief executive dated March 26, Stearns wrote, "I have recently given out e-cigarettes to a few members of Congress and they have become quite a hit."

Sales of the devices continue at shopping mall kiosks and small storefront retailers, apparently drawing from stock imported before the FDA began to block shipments from overseas suppliers.

@highlight

Nicotine delivery system same "as puffing on an unlit cigarette," researcher says

@highlight

Virginia Commonwealth University studies "no-smoke tobacco" devices

@highlight

FDA has halted imports of the devices as it studies their effect on health