(CNN) -- Around 4:30 a.m. the first beams of summer sunlight finish crossing the Bay of Fundy and arrive at West Quoddy Head in Lubec, Maine, the easternmost point of the continental United States.

It takes about seven minutes for the same rays to travel about 65 miles as the crow flies down the rocky coast and start flickering on Mount Desert Island's pink granite at Acadia National Park.

Visitors have to be dedicated to make it out in time to see the early sunrise at Acadia, says park ranger Charlie Jacobi. But it's worth it. The new day's light slowly envelops the landscape, creating a kaleidoscope of colors that is perfectly reminiscent of a desert Southwest sunset.

"The first five to 10 minutes of the sun coming up, that granite is just phenomenal," he says. "It'll blow from pink to gold."

The Wabanaki people lived on Maine's coast for 5,000 years prior to the arrival of Europeans sometime during in the 16th century. Originally colonized by the French, the federal government established it as Lafayette National Park in 1919.

Katmai: See Alaska's brown bears

The park was renamed Acadia in 1929 and kept alive during the Depression through the help of the Civilian Conservation Corps. Today, it is celebrated as the first national park east of the Mississippi and is the easternmost National Park in the continental United States.

Park stats: Nearly 2.5 million people visited Acadia National Park last year, making it the ninth most-visited national park.

The location: Acadia National Park encompasses more than 47,000 acres starting on the Schoodic Peninsula south of Maine State Route 186 and spreading out over parts of 19 islands.

Only five of the islands have public access -- Mount Desert Island, Isle au Haut, Bar Island, Baker Island and Little Cranberry Island, which is home to the one-acre Isleford Historical Museum.

The other 14 islands can be observed by boat tours. Many of them are unsafe for landing or are reserved for nesting birds.

Many islands have private land and park rangers request visitors respect those boundaries.

Click here to view a park map and ways to access islands.

The park is about an hour's drive from Bangor and a five-hour drive from Boston. Flights are available to Bangor International Airport and from Boston to Hancock County-Bar Airport, about 10 miles from the park.

Dig in: Top sand sculpture events

If you go: Visitors to Acadia must pay an entrance fee from May 1 through October 31. A private vehicle pass (15 people or fewer) is $20. Motorcycle passes (one person) are $5, and individual passes (including cyclists and hikers) are $5.

Entrance fees are reduced when the Island Explorer system doesn't run between May 1 through June 22 and between the day after Columbus Day and October 31.

The Island Explorers are seasonal propane-powered buses that are free of charge and offer access across Mount Desert Island. They also connect to neighboring villages, restaurants, campgrounds and hotels.

Annual passes are available for $40 and all other passes are valid for seven days. Seniors 62 and older can purchase a lifetime pass for $10.

Admission is free from November 1 through April 30, when there are limited services due to decreased access to certain areas of the park.

Camping at Acadia is available year-round, but be sure to check the website before planning a trip as some campgrounds are closed from November through April. Click here for a full list of outdoor activities offered at Acadia.

Go prepared for changing weather as summer temperatures can range from 45 to 90 degrees. Fog is common during the spring.

Isle Royale: An isolated paradise

Meet our ranger: Charlie Jacobi is the natural resource and visitor use specialist at Acadia. He was born and raised in Connecticut, but wasn't exposed to nature until a post-college summer road trip with friends to 16 national parks.

"It wasn't like my family was a gigantic group of hiking and outdoors people," says Jacobi, 59.

Jacobi developed an interest in hiking and canoeing and worked as an outfitter and guide before entering grad school at Virginia Tech. After graduation, he worked seven years as a seasonal employee for the park service before getting a full-time gig at Acadia in 1984. He has been in his current position since 1992.

Acadia still lives up to the reason it was made a national park -- spectacular beauty made up of diverse geographical vistas and wildlife habitats, he says. "Acadia is a day hiker's paradise. The trails meander and amble seemingly aimlessly, constantly changing directions. You could spend a lifetime exploring."

For a day trip, don't miss: Park Loop Road's 27-mile drive. The loop starts at the Hulls Cove Visitor Center on Mount Desert Island. It will take you past Acadia's major sites: Thunder Hole, Sand Beach, Jordan Pond and Cadillac Mountain. Portions of Park Loop Road close every year from December 1 through April 15.

Favorite less-traveled spot: A series of trails that complete a 4.5- to 5-mile loop that connects Penobscot Mountain and Sargent Mountain.

Start at the Jordan Pond House and take Spring Trail to Jordan Cliffs Trail to the Sargent East Cliffs Trail to the Sargent South Ridge Trail to the Penobscot Mountain Trail, which will reconnect with Spring Trail.

Sargent Mountain is Acadia's second tallest peak and the hike offers panoramic views of granite domes on mountains to the east, Jacobi says.

"I find myself going there a lot," he says. "If you pick your times and days, you can avoid the crowd."

Favorite spot to view wildlife: Sieur de Monts Spring and Isle au Haut. While the park is home to deer, otters, bald eagles, coyotes, lynx, foxes and fisher, Jacobi says Acadia is really a bird-watcher's paradise. He recommends Sieur de Monts Spring for listening to singing birds, and Isle au Haut for watching migrating flocks in the fall.

Most magical moment in the park: the dozen times each spring when a combination of heavy rain and snow-melt create unseen waterfalls. Jacobi discovered this in 1988 while hiking with a friend during a storm.

"It's another little secret," he says." There are a dozen waterfalls at Tarn after a heavy rain. It only lasts a couple of hours but it's really neat."

Oddest moment at the park: Watching a helicopter take off from a yacht in Bar Harbor and land on top of different Acadia mountains so the owner could pick blueberries. While Acadia's blueberries are fair game to all, landing a helicopter on national park land isn't.

"They didn't bother to give him a ticket," he says. "You can pick them (blueberries) for personal consumption,"

A ranger's request: Always keep your dog on a leash. Click here for a list of Acadia's pet-restricted areas. "It not only protects wildlife, but it also protects your dog from getting porcupined," he says.

Another park he'd like to visit: Chiricahua National Monument in Cochise County, Arizona. Tucked along Arizona's southeastern border with New Mexico, the Chiricahua Mountains were a stronghold during the 19th century for Apache tribes who were wedged between the U.S. Army in the north and east and Mexico to the south. Parts of the park flood every year during summer monsoons and the best times to visit are in the fall or spring.

"I went there once and found it to be positively charming," says Jacobi. "I thought the trails were wonderful."

What national park would you like to visit? Please share your thoughts in the comments section below.

@highlight

Acadia was the first national park east of the Mississippi River

@highlight

Its 47,000 acres spread from the Schoodic Peninsula to many islands

@highlight

Cadillac Mountain is the tallest peak on the Atlantic Coast

@highlight

More than 300 bird species can be seen at Acadia National Park