(CNN) -- Iran is more than a year away from developing a nuclear weapon, but that does not mean the United States will wait for it to become a reality, President Barack Obama said in an interview that aired Thursday on an Israeli television station.

"I have been crystal clear about my position on Iran possessing a nuclear weapon. That is a red line for us. It is not only something that would be dangerous for Israel. It would be dangerous for the world," Obama told CNN affiliate Israeli Channel 2 TV before a scheduled visit next week to the country.

"...I've also said there is a window -- not an infinite period time, but a window of time -- where we can resolve this diplomatically."

Israeli Prime Minister Benjamin Netanyahu has repeatedly called on Obama to establish a clear line that Iran cannot cross with its nuclear program, if it wants to avoid war.

Obama has resisted such a move, and Netanyahu has shown growing impatience with what he has previously called a lack of clarity by the Obama administration on articulating red lines over Iran's nuclear ambitions.

U.S. intelligence officials have said they do not believe Iran has decided to develop a nuclear weapon, even as evidence continues to mount that the country is improving its ability to do so.

No 'chest beating' on Iran, but Obama issues challenge

Iran denies that it aims to build a nuclear bomb, saying that its nuclear program is for energy and medical use.

"Right now, we think that it would take over a year or so for Iran to actually develop a nuclear weapon," Obama told Channel 2. The interview was conducted Wednesday in Washington, the channel said.

"But obviously, we don't want to cut it too close. What we are going to do is to continue to engage internationally with Iran."

Obama also said he believes that the international economic sanctions, some of the "strongest" ever imposed against Tehran, are having an effect on the country.

"They are not yet at the point, I think, where they've made a fundamental decision to get right with the international community," the president said.

"But I do think they are recognizing that there is a severe cost for them to continue down the path they are on and that there's another door open."

Obama said his message to Netanyahu during his visit to Israel would be much the same as it has previously been.

"If we can resolve it diplomatically, that's a more lasting solution. If not, I continue to keep all options on the table," he said.

When pushed during the interview to define those options, the president responded: "When I say all options are on the table, all options are on the table. The United States obviously has significant capabilities."

He said the goal is to ensure that Iran does not develop a nuclear weapon that could threaten Israel or trigger a possible arms race in the region.

Official: Cyberattacks top U.S. threats

United States-Israel relationship

Obama's three-day visit to Israel next week is widely viewed as an opportunity for the president to relay the United States' commitment to Israel and its security. It is his first trip to Israel since being elected president. He has visited the country three times, the last as a U.S. senator.

The relationship between Netanyahu and Obama has been reportedly tense in large part because of their differences over major issues such as Iran's nuclear development and the Israeli-Palestinian peace process.

Obama downplayed the tension between the two leaders but conceded that relations between his administration and Netanyahu's government have not always been sunny.

"There are conservative views both here in the United States and in Israel that may not jibe with mine, particularly when there is an election season coming up," he said.

During last year's presidential election, Netanyahu and other Israeli officials painted Obama's challenger, Mitt Romney, as a stronger proponent of Israel and its security.

Israel's new government excludes ultra-religious

Israeli-Palestinian peace

Obama said he plans to meet not only with Netanyahu and Israeli government but also with the Palestinian Authority's president, Mahmoud Abbas, and its prime minister, Salam Fayyad.

Obama has repeatedly said he backs a two-state solution.

"It's not a matter of unilateral concessions. It's a matter of both parties coming together and recognizing that their futures will be inextricably linked and that Israel will be safer, more secure, more prosperous, if the issue can be resolved," he said.

"And, obviously, Israel can't resolve it by itself. But it can't stop trying."

U.S. commander says Iran sanctions not working

American spy

Obama also is likely to face questions during his visit about the possible release of convicted spy Jonathan Pollard, a U.S. citizen sentenced to life in prison for giving American military secrets to Israel.

Pollard was a civilian intelligence analyst for the U.S. Navy when he was arrested in 1985 on charges that he provided secrets to the Israelis. He pleaded guilty to one count of espionage.

The Israeli government, which has acknowledged that Pollard was its spy, granted him citizenship and has been lobbying for his release.

But while he is considered a patriot by the Israeli government, Pollard has been turned down for clemency by Presidents Bill Clinton and George W. Bush.

"I have no plans of releasing Jonathan Pollard immediately," Obama said during the interview.

The president also did not commit to reviewing the case other than to ensure that Pollard, as a U.S. citizen, is "accorded the same kind of review" given to all Americans.

Iran, world powers agree to expert talks on Tehran's nuclear program

@highlight

NEW: Obama says reports of tense relationship with Israeli leader Netanyahu are overblown

@highlight

NEW: The president says a two-state solution is the answer for Israeli security

@highlight

NEW: Obama says he has no immediate plans of releasing convicted spy Jonathan Pollard

@highlight

Obama says he's been 'crystal clear' on Iran's possession of a nuclear weapon