BUENOS AIRES, Argentina (CNN) -- It is the most popular photograph in history: Argentine revolutionary Ernesto "Che" Guevara stares pensively at the horizon, his steely eyes shielded behind a thick beard and his trademark beret. The shot -- taken by Cuban photographer Alberto Korda in Havana on March 5, 1960 -- turned the charismatic and controversial leader into a cultural icon.

Che's image, here advertising soda, is still seen around the world.

Now, nearly a half-century later, the photograph is used by communists and capitalists, Marxists and marketers to sell ideas. In his new book, "Che's Afterlife: The Legacy of an Image" (Vintage Books), journalist Michael Casey examines how this photograph came to take on a life of its own and become the most reproduced photograph in the world.

"The Korda photograph can be seen on t-shirts, beach towels and condoms, even," he said.

"And it is in all corners of the world. You can find it in East Timor, parts of Africa, Israel, as well as Lebanon. You can see it in the United States and here in Latin America. And what this book is trying to do is discover why. What made this thing so big? So universal?"

The life of Che, the Argentine-born doctor turned revolutionary, has been well documented since his death in a Bolivian jungle in 1967. Countless books have been written about his role in leading Fidel Castro's Cuban revolution and translated into dozens of languages. Hollywood has given Che the treatment twice: in 2004's "Motorcycle Diaries" and last year in a two-part biopic starring Benicio Del Toro. Last month, "Che: The Musical" premiered at the Konex Cultural Center in Buenos Aires.

What Casey -- the Buenos Aires bureau chief for Dow Jones Newswires -- discovered during three years of investigation throughout Latin America for the book, was that Korda's image became so popular because it was promoted by people from all walks of life, including Castro, pop-artist Andy Warhol and countless students from Paris, Berkeley and beyond, who embraced the image as a symbol of rebellion during an era when the world was aching for change.

"Whether or not people believe in Che's hard-line version of Marxism, they want hope," Casey said.

"They want hope and beauty -- and somehow both of those things are encapsulated in this image. And so you get people investing their dreams in it. I think that is at the heart of it, with all these other forces: political, artistic, marketing, economic, all coming together in a way that really makes it a ubiquitous brand."  Watch author Michael Casey discuss the Che Guevara image »

The brand, Casey writes, is the "quintessential post-modern icon" but may be surpassed by a newer image: artist Shepard Fairey's Barack Obama "Hope" poster, which Obama used during his run to the White House.

"I think that Obama is extremely cognizant of the power of images," Casey said. "[The 'Hope'] poster is very much caught up in some of these forces that moved Che forward. They are very different people, obviously, but that's only part of the point.

"Part of the point is that the U.S. is engaged in a battle of brands, always has been. 'Uncle Sam vs. Che' if you really want to boil it down to what Latin America and its ugly history in part has been," he said. "So, part of the United States' battle to improve relations with the region is improving its image. And in some respects you now have an alternative brand with Obama. The previous brand did not sell very well in Latin America. The new brand is getting off to a much better start."

So while U.S. relations with Latin America, and much of the world, look to be changing, it's safe to say that the Che image -- and its ability to mean all things to all people -- will likely always stay the same.

@highlight

Photo of revolutionary Che Guevara is the most reproduced image in history

@highlight

Michael Casey examines how photo became "quintessential post-modern icon"

@highlight

The picture was taken on March 5, 1960 by Cuban photographer Alberto Korda

@highlight

The image is now seen around the world, on everything from t-shirts to condoms