Sanaa, Yemen (CNN) -- One person was killed and more that two dozen were hurt in a fresh round of anti-government protests in Yemen on Thursday, eyewitnesses and an opposition lawmaker reported.

An 18-year-old demonstrator died in Aden when police fired to disperse protesters, said Aref al-Qubati, a participant who said the victim was a friend of his. It was the second fatality reported in the past two days in Aden, where authorities cut off power to the Al-Mansoora district and fired into the air to break up the crowd of about 3,000.

At least 12 other people were wounded in clashes with security forces throughout the day, witnesses said. But journalists have been barred from the city's Al-Naqeeb hospital, and about 400 guards surrounded the facility.

And in Yemen's capital, Sanaa, at least 20 people were injured in clashes between stone-throwing pro- and anti-government demonstrators, opposition lawmaker Ahmed Hashid told CNN. Police at the scene did not try to intervene, he said.

The clash took place in western Sanaa, with about 600 government opponents there at the peak, anti-government demonstrators claimed. The opponents had planned to gather at Sanaa University, but said they found government supporters there who forced them to leave, they said.

By the time CNN arrived, there were about 100 anti-government protesters and 300 to 400 supporters of the government near the intersection of Rabat Street and Fitteen Street. One injured person was carried away while CNN was present, but it was not clear how serious the injuries were.

Gunfire was heard in the area as well, but it was difficult to determine who was shooting or what the target was.

Yemen is among several Middle Eastern nations to find itself convulsed by daily protests after the revolts that toppled the leaders of Tunisia and Egypt in recent weeks. Anti-government protesters have called for the ouster of longtime Yemeni President Ali Abdullah Saleh, who has ruled the country since 1978. The country has been wracked by a Shiite

Muslim uprising, a U.S.-aided crackdown on al Qaeda operatives, a secessionist movement in its once-independent south and a looming shortage of water.

In an attempt to quell growing discontent, Saleh has announced that he won't seek another term in 2013 and would postpone parliamentary elections scheduled for April to allow more time for reform talks with the opposition.

It is not clear who the pro-government demonstrators are. Anti-government activists say the government is putting hired thugs and plainclothes police on the street to break up protests, but pro-government demonstrators have told CNN they are there of their own volition and are not being paid.

The government has not responded to CNN questions about the pro-government demonstrators.

The top European Union foreign policy official, Catherine Ashton, is "very concerned" about the events in Aden, her representative said in a statement Thursday.

Ashton "strongly deplores the loss of life and violence and calls for calm and restraint of all parties," the statement said, calling for "genuine, comprehensive and inclusive national dialogue."

Human rights activists accused pro-government demonstrators of beating students after a similar protest in Sanaa Wednesday.

Witnesses in Aden said the victim was an 18-year-old who was shot by security forces as they tried to disperse the crowd.

Video distributed by student activists appeared to show the youth being carried away, bleeding heavily from his left side. But CNN could not independently confirm the authenticity of the video, and there was no immediate confirmation of the fatality from hospital officials.

The Aden protest drew thousands of demonstrators, mostly students, to the city's Al Mansoora district for a sixth straight day.

And in Sanaa, students at Sanaa University rallied inside the gates of the campus in a demonstration organized by the head of the university's student union, said Omar Al-Nihmi, a third-year media student at the school.

The three students injured in Sanaa were attacked while on their way home from the university demonstration, human rights activist Abdul Rahman Barman said.

Barman said he took one of the students to the hospital with head injuries from being hit with sticks, but the other two had only minor injuries.

The student protest began as a call for an improved curriculum, for removal of the university dean and for security forces to remain off-campus. But about 90 minutes into the event, the mood turned anti-government, said third-year student Salah Al-Janadi.

More students showed up, both Al-Nihmi and Al-Janadi said, and the protesters began chanting anti-government slogans such as "The people want the fall of the regime" and "Oh Ali, son of Saleh, your regime is no good."

They also chanted, "Our protests are peaceful and we don't have weapons."

Shortly afterward, hundreds of pro-government demonstrators turned up -- but they were outside the university gates, while the students were inside.

The pro-government demonstrators began throwing rocks, Al-Janadi said.

Al-Janadi said he was told by the protest organizers "that because today's protest was a student union protest at the university, security forces at the scene would not interfere."

Hundreds of police were on the scene as well. They did not interfere with protesters, Al-Janadi said, but fired bullets into the air, successfully dispersing the crowds.

CNN's Laura Perez Maestro and Journalist Hakim Almasmari contributed to this report.

@highlight

Yemen has seen nearly a week of daily demonstrations as protests sweep the region

@highlight

Yemeni President Ali Abdullah Saleh has been in power for 32 years

@highlight

The European Union "deplores" the violence and calls for restraint