(CNN) -- Despite access to free contraceptives, unplanned pregnancies are a rising problem for women in the U.S. military, according to a new study.

Nearly 11% of more than 7,000 active-duty women surveyed by the Department of Defense in 2008 reported an unplanned pregnancy during the previous year. That's 50% higher than the average rate in the United States, the study authors say.
The study, publishing next month in the journal Obstetrics & Gynecology, also notes that the rate has increased since 2005.

Authors Dr. Daniel Grossman and Kate Grindlay analyzed data from the 2005 and 2008 Department of Defense Survey of Health Related Behaviors, which they obtained through a Freedom of Information Act request.

"It's alarming," Grossman said of the increasing rate. "When you're in the military, that's actually one time where you have access to free, good quality health care. ... It really highlights the need to better address contraceptive care."

The military offers FDA-approved contraceptives, including emergency contraception, at no cost in its medical facilities, according to Shoshona Pilip-Florea, spokeswoman for the U.S. Navy Bureau of Medicine and Surgery.

"It's important to note that contrary to the study, Navy Medicine has consistently found that the number of unintended pregnancies among female sailors and Marines is comparable to the national rates in the general population," Pilip-Florea wrote in an e-mail.

Military to open combat jobs to women

The consequences

Unplanned pregnancies can have a significant impact on the health of military personnel and on troop readiness, according to the study.

Servicewomen who become pregnant unexpectedly while at home cannot be deployed, which may affect their career. Servicewomen who become pregnant while overseas must be sent home, which can cost the military around $10,000.

Research has shown approximately 43% of unplanned pregnancies in the United States end in abortion. "For women in the military, that can represent a huge challenge," Grossman said.

Federal law allows abortion to be covered at military facilities only when the pregnancy is the result of rape or incest, or threatens the life of the woman. And going off-base for medical care in places like Afghanistan or Iraq can be extremely dangerous, Grossman said.

Readers skirmish over women in battle

Behind the numbers

Sexual assault could be playing a role in the military's high number of unplanned pregnancies, the study authors noted.

Research shows an estimated 20% to 40% of servicewomen experience rape or attempted rape during their military career. (Exact numbers are difficult to obtain; the Department of Defense estimates more than 80% of incidents are never reported.)

A lack of sexual education and fears about repercussions could also be contributing factors, the authors said.

In 2012, Grossman and Grindlay published results from a small online survey about the use of contraception in the military. Close to 60% of the 281 servicewomen surveyed said that contraception was easy or somewhat easy to obtain. The most common reason women cited for not using birth control while deployed was not planning to have sex.

More than half of the respondents said they did not speak to a military medical provider about birth-control options before deploying. Some felt policies prohibiting or discouraging sex during deployment prevented them and/or their doctors from initiating a conversation about contraception, the study authors said.

Not being able to access their preferred method of birth control was also cited as a reason for not using contraception. Vaginal rings often cannot be used due to refrigeration needs and refills of patches or pills may be delayed due to transportation issues.

Like many Americans, military personnel most frequently choose the pill and condoms for contraception, Pilip-Florea said.

"These methods are much more failure-prone than long-acting reversible contraceptives (LARC) such as intrauterine devices and hormonal implants," she said. "Increasing the acceptance and usage of LARCs may decrease the unplanned pregnancy rate."

Moving forward

Some branches of the military have already begun to address these issues. The Navy and Marine Corps Public Health Center created the Sexual Health and Responsibility Program (SHARP) in 1999 to help reduce the occurrence of sexually transmitted infections and unplanned pregnancies.

"Policies and programs, like SHARP, have been put in place to help minimize these barriers," Pilip-Florea said. "As a result, we believe those mentioned by Dr. Grossman may exist in isolated cases but do not represent a systemic problem."

In 2012, the Navy issued a policy requiring all females to be offered contraception services immediately after receiving orders to make sure they have time to find a contraception method before being deployed, Pilip-Florea said.

Navy medical facilities also have a film on the different kinds of contraceptives; the facilities will soon receive another film on the consequences of unplanned pregnancies.

The Navy also plans to add a "multi-hour, facilitated classroom lecture on family planning" to their mandatory training after boot camp, according to Pilip-Florea.

Grossman acknowledged these efforts, but said more needs to be done across all branches to provide education and access to contraception for servicewomen.

"These findings highlight an important public health problem within the military that has not been adequately addressed," the study authors wrote.

@highlight

In 2008, there were 105 unintended pregnancies for every 1,000 servicewomen, study says

@highlight

The military offers free FDA-approved contraceptives in its medical facilities

@highlight

Unplanned pregnancies can have a significant impact on health, troop readiness

@highlight

Navy Medicine says its statistics are in line with the national rates