(CNN) -- Globe-trotters everywhere, it's time to raise your champagne glass and toast to all the wonderful new journeys you'll take in the new year.

But where exactly should you go in 2012? As always, some places will stand out above the rest when it comes to unforgettable things to do and see.

To help you decide, we sought out recommendations from four travel experts: Robert Reid, U.S. travel editor for Lonely Planet; Martin Rapp, senior vice president of leisure sales at Altour; Anne Banas, executive editor at SmarterTravel; and Jeanenne Tornatore, senior editor for Orbitz.com.

We also sprinkled in a couple of suggestions from Travel+Leisure and Budget Travel.

Here are nine of the top destinations for 2012:

England

The royal wedding made it one of the world's most buzzed about destinations this year, but England is about to get even hotter.

There will be so much going on in 2012 that it's hard to keep count.

The country will celebrate Queen Elizabeth's Diamond Jubilee -- marking her 60 years on the throne -- with a river pageant on the Thames and a concert at Buckingham Palace at the beginning of June.

Then all eyes will be on London as it hosts the Summer Olympic Games in July and August, and the Paralympic Games in August and September.

Looking for more? There will be festivals, tours, performances and exhibitions to mark the 200th birthday of Charles Dickens.

"I love London. I think it's kind of the greatest city on Earth," Reid said.

"A lot of people think it's too expensive but ... there are all kinds of fantastic free attractions in London, so it makes it more affordable than you think."

Lonely Planet: 20 free attractions in London

Banas predicted travelers will have more choices than ever to stay in and get around the city, with new lodging options and better transportation in place for the Olympics.

World of the Maya

Some see it as an approaching apocalypse, others as the beginning of a new era. Whatever your beliefs are about December 21, 2012, interest is skyrocketing in the Maya, the ancient civilization known for the great cities it left behind in Mexico and Central America.

The date marks the end of a 5,126-year cycle on the Long Count calendar developed by the Maya, and there will be events on the occasion in Belize, Guatemala, Mexico and Honduras, Banas said.

If you want to see incredible ruins, Reid recommended skipping the tourist hordes at Tulum and Chichen Itza in Mexico and instead head to places such as Tikal, Guatemala (which George Lucas used as a location in the original "Star Wars"), and Chiapas, Mexico.

Reid was once exploring a site near Comitan, Mexico, and said he was astonished to discover he was the only person there.

"I had a pyramid to myself," Reid said. "You're just looking out over this mountainous valley, and you have the complete Mayan site to yourself. It's an unreal travel experience."

Myanmar (also known as Burma)

U.S. Secretary of State Hillary Clinton said this month that she sees signs the country -- ruled by a military junta for almost 50 years -- may genuinely be opening up.

The changes mean tourists who didn't feel they could support the regime can finally start planning a trip to Myanmar, Rapp said.

"It is extraordinary," he said. "It is really as close to authentic and unspoiled as you can get in that part of the world."

Reid also found it unforgettable.

"There's really no place in the world that you will find sweeter, more welcoming people," Reid said.

Rapp suggested starting the journey in Yangon (once known as Rangoon) and staying at either the Governor's Residence or The Strand. Don't miss "extraordinary" Inle Lake, he added, where you can stay at the Golden Island Cottages.

Chicago

The Windy City will be prominent on the world stage in 2012, hosting the 12th World Summit of Nobel Peace Laureates in April, and both the NATO and Group of Eight summits in May, Tornatore noted.

Golf fans will also descend on a country club just outside the city for the Ryder Cup in September. But even if you're not planning to be there for any big event, Chicago is ready for an influx of visitors from all over the world during 2012.

"Chicago is a huge tourist destination in its own right," Tornatore said, citing the city's museums, major sports teams and shopping.

St. Vincent and the Grenadines

What's not to like about a tropical paradise that bills itself as "one destination, 32 gorgeous Caribbean islands"?

Located between St. Lucia and Grenada, this island chain has long drawn stars and vacationers with deep pockets, but it will become more accessible to a wider range of travelers thanks to a $240 million airport scheduled to open on St. Vincent, Travel + Leisure reports.

Travel + Leisure: Hottest travel destinations of 2012

The Netherlands

Flower lovers who flock to the country's stunning fields of tulips and who have made the colorful Keukenhof gardens one of the most popular attractions in the Netherlands will get an extra treat next year at the Floriade.

The horticultural expo, staged once every 10 years, showcases the world's best flowers, plants, trees, fruits and vegetables.

"This is a once in a decade flower show so it's even more spectacular than Keukenhof, and Keukenhof is already amazing," Banas said.

"It actually runs from April all the way through October, so there's a pretty wide range of time that you can go and see this."

The expo is expected to attract 2 million visitors.

Atlantic Canada

Canada's Maritime Provinces are always a beautiful destination, but the region will be in the spotlight next year as it commemorates its connection to the Titanic and the 100th anniversary of the ship's sinking.

After the Titanic struck an iceberg on the night of April 14, 1912, three ships were dispatched from Halifax, Nova Scotia -- the closest major port -- to bring back the bodies of the victims. Some of the passengers were laid to rest in the city's cemeteries.

Halifax is planning lots of events to mark the anniversary, including a town parade, concerts and a film festival, Budget Travel reports.

The Maritime Museum of the Atlantic -- which has a huge collection of wooden Titanic artifacts, including a deck chair -- will have a temporary exhibit on the crews involved in the Titanic recovery effort.

Budget Travel: Top budget travel destinations for 2012

Uruguay

There are extraordinary hotels opening in this South American country, which has stayed below the radar for many tourists, Rapp said.

"People don't know it ... so it's a real find," he said. "I rode horses, because the horseback riding is superb. The beaches are completely unspoiled."

He recommended checking out the art-filled Playa Vik and the Estancia Vik as well as the Hotel Fasano in the seaside resort of Punta del Este.

Orlando

Reid conceded some people might think of this choice as "ridiculous," but he called Orlando a legitimate surprise.

"By Orlando, I refer to Orlando the city," he said. "Local Orlando (residents) will tell you that the amusement park scene has no connection to the city itself."

The metropolis most people breeze by as they head to Disney World will transform into celebrity central as it hosts the 61st NBA All-Star Game in February.

Reid advised travelers to check out the city's lakes, museums and scenic neighborhoods, including the bohemian Milk District.

He also praised Orlando's food scene.

"There's this very big, wonderful, authentic, fantastic and tasty Vietnamese restaurant community called ViMi -- it's more authentic Vietnamese restaurants than you find in New York or San Francisco," he said.

@highlight

Travel experts name nine great destinations to explore next year

@highlight

England will host the Olympic Games, celebrate Queen Elizabeth's Diamond Jubilee

@highlight

Date sparks interest in the Maya; big flower show is set to take place in the Netherlands

@highlight

Canadian city will commemorate its connection to the Titanic 100 years after disaster