City dwellers will soon be able to make greener travel choices just by looking at their smartphone.

The CO2GO smartphone app automatically detects whether its owner is traveling by rail, car or bus and calculates the emissions using an advanced algorithm.

The app has been designed by MIT's SENSEable City Lab and they expect it to be available for download by the summer. They say the technology will also turn citizens into walking sensors, collecting detailed information about how people use cities.

"We're in the middle of this kind of technology revolution," says director Carlo Ratti. "Data allows you to make better decisions, either if you are the mayor or if you are the citizen."

Thanks to smartphone technologies and embedded sensors on everyday objects, a wealth of real-time information can today be tracked, harnessed and shared with citizens instantly, helping urban people adapt their behavior and make better choices, says Ratti.

In a nutshell, "hacking" the city's data can help its inhabitants to be greener. It can also help city planners make better choices for the future, they say.

Capturing urban information -- figures on energy use, mobility, food and water consumption -- will allow planners to run simulations of potential scenarios and start asking "what if" questions. They say visualization will help them to deal with pressing problems like mass urbanization, aging infrastructure and carbon emissions.

"It's the capacity to play 'SimCity' for real," says James Moore, senior vice president for National Community Planning and Urban Design at architecture firm HDR, referring to the popular computer game.

"You can figure out what the algorithms are and then you can begin to say, 'Well, if you want to add 100,000 people over the next 10 years, what's the optimal way to do it?'"

More from Road to Rio: 'Living' buildings could inhale city carbon emissions

Moving toward models that show possible alternative scenarios can help avoid planning mistakes and optimize decisions about the ideal size and density level of a city, says Emma Stewart, senior manager for sustainability at technology group Autodesk.

"Ultimately that's the challenge here -- to figure out how many people, per square foot, per resource, to achieve a certain quality of life, that's the ultimate algorithm," she adds.

There are already many groups that have started incorporating data visualizations and cloud-based simulations -- which offer users access to sophisticated tools from anywhere in the world -- as tools that could help tackle urban problems.

In Bangalore, India, the Next Generation Infrastructure Lab, a division of policy research organization CSTEP, has been exploring and building simulations to imagine different kinds of urban scenarios over a long period of time.

The group has also been holding gaming workshops where interactive simulations help decision makers and users understand the implications of different energy choices, such as usage of solar power over coal or oil. The goal of such workshops is to come up with the ideal sustainable mix that will cover India's energy needs for the following years, organizers say.

Gabriel Harp, research manager for Technology Horizons at Silicon Valley-based Institute for the Future (IFTF) says such moves are important because they allow city planners, decision makers and citizens to come together at an early stage to find solutions at different urban problems.

"In particular, having conversations between the designers and the users of the system can be very important," adds Harp, who prior to joining IFTF worked with CSTEP in India.

Floods, heat, migration: How extreme weather will transform cities

In Madrid, Spain, the "In The Air" project aims to make citizens more aware about pollution levels by using real time data provided by the city's authorities.

The researchers have developed different interfaces to communicate the data, such as a web-based application that shows pollution levels and their evolution over time.

They're also interested in bringing the information into the public space -- for example, fitting the outside of buildings with large digital screens to reflect a certain color depending on the level of pollution, or developing small portable gadgets that show pollution levels nearby.

Nerea Calvillo, creator of "In The Air," says the project aims to increase the public knowledge of an invisible urban ecosystem. It also wants "to generate awareness of the high levels of some of the components that exist in our cities and, finally, to enhance personal engagement of citizens that would end up in decision making and political action."

Can we afford eco-cities?

Ratti says that technology can radically change the way people interact with the urban environment and could allow them to get more engaged in decisions about where they live -- a key part of shaping environmentally friendly cities in the future.

"Building and managing cities have always been bottom-up collaborative processes -- some of this changed in the last couple of centuries with a top-down approach from city planners and decision-makers," he adds.

"Technology (will) allow us to return to (that in) the future in a way."

@highlight

Cities are a mass of data, if you know how to get at it -- that's where technology comes in

@highlight

Tech experts are harnessing data to help plan better cities for the future mass urbanization and CO2 emissions

@highlight

In the U.S. a smartphone app turns commuters into walking CO2 emissions sensors

@highlight

In Bangalore, gaming-style simulations allow city planners to see how their decsions could play out over five years