(CNN) -- Congress might cut most of the federal funding for your local poison control center, which could mean a longer wait during your next poison-related emergency.

Measure H.R. 1 would cut $27.3 million, or about 93%, of federal funding for poison control centers across the United States. The bill was passed by the House of Representatives, but rejected by the Senate on March 9.  Congressional leaders now need to negotiate a final spending measure, and that bill might include cuts to the poison control centers.

"My feeling is that just based on my experience, it would end up costing lives somewhere along the way," says Jo Anne Bryant, a nurse with 30 years experience who recently called a poison center when her husband, Ronald, accidentally inhaled pesticide fumes while cleaning out the garage. "I've dealt with some emergencies in this field over my career, but I was completely at a loss as to what to do. When it came to this, I felt completely helpless."

Bryant dialed the national poison center hot line 1-800-222-1222 and was told to take her husband to the hospital if he had specific symptoms, including vomiting. He'd already thrown up, so they headed to the emergency department, where he was treated and released.

It's not just the patients

Hospitals rely on poison control centers, too.

Poison centers answered 4.2 million calls in 2009, and about 16% of those calls came from hospitals seeking their expertise.

"After the hospital did their initial treatment," says Bryant, "they also called the poison control center to verify that they had administered the correct treatment."

What about when you dial 911? They call your poison center, too. When the 911 operators figure out your emergency is poisoning related, they conference in the poison center for a three-way conversation.

That's because the poison center staff answering phone calls include nurses, physicians and pharmacists with specialized poison center training, and there is always a toxicologist on call.

"If we're not around, you better tell your 911 operator to strap their belts on to answer a whole lot of calls that they don't know a damn thing about and can't safely manage that patient at home," says Mark Ryan, director of the Louisiana Poison Center.

Spending here, saving there

Poison control center operators say their services save health care dollars, primarily because most callers are told they don't need a hospital. Eliminating call centers could increase unnecessary trips to the hospital, further burdening the health care system, they say.

"Poison centers treat nearly 75% of all exposure cases at home, without the patient having to go to a health care facility," said Jim Hirt, executive director of the American Association of Poison Control Centers, in a written statement. "The costs of this cut would ultimately far exceed the $27 million saved."

According to a study cited by the Department of Health and Human Services, for every dollar spent on poison control centers, $7 in health care spending is saved. Other studies find the per dollar value of poison control centers to be far greater.

Louisiana has already been down this road. Because of state budget cuts, the Louisiana Poison Center closed on October 31, 1988.

The percentage of patients treated at home dropped to 28.6%, from 74.1% before the center closed, according to a 1991 study published in the Southern Medical Journal.

The Louisiana Poison Center reopened in 1992, because the additional health care costs outweighed the savings, and because of stories like Peggy Toner's.

Toner's 2-year-old daughter swallowed an antibiotic cream one day in 1990. With the Louisiana Poison Center closed, she called another state's poison center for help, but the staff was instructed not to help her, because the state where she lived, Louisiana, was not paying for their poison center services.

"It was the most horrible feeling in the world," says Toner. "What if my daughter died because they wouldn't help me?"

She then called a Kentucky poison center, where she got help.

Creating one national call center

The cuts in federal funding would eliminate all but one of the nation's 57 poison control centers, which rely heavily on federal funding.

Click here to see how many federal dollars your local poison control center receives.

"There's just no reason to maintain 57 separate call centers around the country when technology would enable us to get the job done with one," said a statement from Rep. Denny Rehberg, R-Montana, chairman of the House Appropriations Subcommittee for Health and Human Services. "We can save millions simply by cutting out 56 duplicative locations and with record debt and deficits putting our future in jeopardy, it's worth looking under every rock for savings."

Poison control center operators strongly disagree.

"Local relationships are invaluable" says Ryan of Louisiana. "There's no way a single center could get in there and provide for the wants and needs of every state. It's not possible."

He also warns of putting all resources in a single entity.

"What happens if the hypothetical 'single' center gets wiped out by a tornado and the infrastructure is destroyed? Where are those 12,000+ calls each day going to go?"

Many health care students -- doctors, nurses, pharmacists, EMTs -- receive formal toxicology training from their local center. "Who else knows what we know?" says Ryan.

It is unclear how one enormous center would be funded, or in which state it would be.

"If you want the same number of people to be answered," says Gaylord Lopez, director of the Georgia Poison Center, "suddenly you need to have probably six- or seven-hundred people working in a single poison control center."

Proponents of the one-center plan cite innovation in private business and say government could follow the example to be more efficient.

"If you look at things like bookstores or movie rental stores, with internet technology, where long distances really aren't an issue anymore, what they do is they save a ton of money by putting everything in a single warehouse," said one congressional staffer speaking anonymously.

Could it work?

Many call centers already serve areas far beyond their locale.

A call center in Nebraska also handles emergencies in American Samoa and Micronesia. Oregon serves Guam. A Jacksonville, Florida, call center serves the Virgin Islands. And Montana -- Rehberg's state -- is served by the Rocky Mountain Poison and Drug Center, which also handles Colorado, Hawaii, Idaho and Nevada, negotiating rates with each state.

Cell phones also make out-of-state poison emergencies a common thing.

Timing the announcement with National Poison Prevention Week, which began Sunday, the American Association of Poison Control Centers will release an iPhone app to help users dial the poison control hot line. Those calls, like all cell phone calls, may ring at the nearest poison control center, or not.

"Every single center gets calls from other states almost daily," says Ryan. "Two or three a day; we see it more with certain carriers than others."

Still, poison center operators insist that local matters.

"I think it was just an ill-informed decision by somebody who, let's just hope, was new on the scene," says Lopez about the proposed budget cuts, "and wasn't that ill-informed after lots of experience."

@highlight

Measure H.R. 1 could cut  93% of federal funding for poison control centers

@highlight

House passed H.R. 1 but Senate rejected it; cut could still be in a final, negotiated bill

@highlight

Centers answered 4.2 million calls in 2009; about 16% of those came from hospitals

@highlight

The cuts are meant to eliminate all but one of the nation's 57 poison control centers