Tokyo (CNN) -- Workers at the crippled Fukushima Daiichi nuclear power plant have discovered a radioactive hot spot far more lethal than anything previously recorded at the damaged facility, the plant's owner reported Tuesday.

The reading at the base of a ventilation tower between the No. 1 and No. 2 reactors Monday afternoon was 10,000 millisieverts per hour, the Tokyo Electric Power Company announced -- high enough that a 60-minute exposure could kill a man or woman within weeks. A U.S. expert told CNN that radioactive particles most likely concentrated in that area in the first days of the disaster, as plant operators tried to vent the damaged reactors.

By comparison, the average resident of an industrialized country receives 3 millisieverts of background radiation per year, while the highest level reported in the days following the disaster was about 400 millisieverts.

Tokyo Electric immediately cordoned off the area and is investigating both the cause of the high radiation and how it will affect the recovery work, company spokesman Naoki Tsunoda said. None of the workers who made the discovery have been injured, the company said.

The Fukushima Daiichi plant, located about 240 kilometers (150 miles) north of Tokyo, was flooded by the tsunami that followed Japan's March 11 earthquake. The result was the worst nuclear accident since the 1986 Chernobyl disaster, as the plant's three operating reactors melted down and spewed vast quantities of radioactive particles across the surrounding area.

The disaster has caused Japan to rethink its commitment to nuclear energy, and Germany has since announced plans to abandon atomic power entirely by 2022.

Gary Was, a nuclear engineering professor at the University of Michigan, said the location of the hot spot suggests the radioactive material was filtered from air and steam released to relieve pressure inside the reactors during the meltdowns.

"As they were venting, either intentionally or unintentionally, the building air was being sent through filters," Was said. Those filters may have been concentrating radioactive particles "into one spot," he said.

Was said the use of a gamma-ray camera could help identify whether the source of the radioactivity was reactor waste products, bits of nuclear fuel or both. Tokyo Electric mounted a gamma-ray camera on a three-meter (9.75-foot) pole to capture images of the hot spot Monday, the company said.

Tokyo Electric says it expects to fully wind down the crisis at Fukushima Daiichi sometime between October and January. Engineers are struggling to manage an estimated 100,000 tons of highly contaminated water that was used to cool the reactors during the emergency, and Was said workers may face issues similar to the one discovered Monday as they try to decontaminate that fluid.

"Those filters are going to be screaming hot," he said. "As bad as the water is, those filters are going to be worse."

CNN's Matt Smith contributed to this report.

@highlight

NEW: The hot spot may have resulted from reactor venting, a U.S. expert says

@highlight

Tokyo Electric Power Company is investigating the cause of the high radiation

@highlight

These are the highest radiation levels since the early days of the disaster

@highlight

A single 60-minute dose would be fatal to humans within weeks