(CNN) -- Divisions between sexes start with pink and blue clothes for babies, move into dance classes and football practice and later into single-sex book clubs and bowling leagues.

Those divisions, for the most part, are accepted and definitely don't make headlines. That's not the case for a renowned golf course in the Deep South that's raising lots of questions about the relevance and fairness of exclusive, male-only clubs in the 21st century.

Since opening in 1933, Augusta National Golf Club has not allowed women to join, although women can play as guests of members. But conversation swirled around the men-only membership policy at the prestigious Georgia club as it prepared to open the Masters Tournament on Thursday.

IBM sponsors the tournament, and the club has always extended membership to the company's officers. But IBM's new CEO is a woman, Virginia Rometty. Critics have called on Augusta National to offer her its traditional green jacket.

When it comes to the famed club -- and the dwindling number of exclusive men-only social clubs around the country -- it's not about enjoying the company of a single gender, critics say, and it's definitely not about golf.

"It really is ultimately about power, and Augusta National is a big symbol of the last bastion of male hegemony over economic issues, the place where big business deals are done among the biggest, most influential corporations in this country," said Gloria Feldt, author of "No Excuses: 9 Ways Women Can Change How We Think About Power."

Men and women, boys and girls can still benefit from time apart, some critics say, but not when the separation deprives another group of influence.

Even now, gender-restricted environments start early, when children join Girl Scouts and Boy Scouts or other gender-specific activities. K-12 education has seen a boost in single-sex schools since 2006, when the Bush administration relaxed regulations on how public schools could implement it.

Single-sex programs help children explore their identities during developmentally crucial years, said Dana Edell, president of SPARK, a nationwide coalition of girls-only programs.

"Boys' and girls' experiences are different growing up. It's valuable to have spaces for both girls and boys to explore issues that are unique to their experiences," she said.

But even in those environments, the lines are becoming blurry.

Girls can participate in the Boy Scouts through its subsidiary group, Exploring, and a Girl Scout troop in Colorado allowed a 7-year-old transgender child into its ranks last year, although some later protested with cookie boycotts.

Private colleges are moving away from single-sex education as historically all-girls schools join forces with male counterparts or align themselves with bigger universities, according to Lisa Maatz, director of public policy and government relations for the American Association of University Women.

Adult civic organizations began to open their doors to women in the 1970s and 1980s after a series of lawsuits. The U.S. Supreme Court ruled in 1987 that Rotary clubs could not exclude women.

Most of the private mahogany-paneled city clubs of New York and Washington, opened membership to women after being sued, said Martha Burk, former chair of the National Council of Women's Organizations  A few men-only social clubs remain, such as New York's Racquet and Tennis Club, where a manager told CNN "we don't respond to any questions" before hanging up.

Other private golf clubs such as Preston Trail Golf Club in Dallas and Burning Tree Club in Bethesda, Maryland, don't specifically say "men-only," in their rules, but they only refer to men's clothing requirements and locker rooms.

Richard Lapchick, director of the Institute for Diversity and Ethics In Sport at University of Central Florida, said men-only clubs are fading as professional sports embrace diversity, but change is slow.

"I think you're going to see less of them in the future, but unless someone puts the spotlight on a club, nobody is going change because they prefer things the way they are," he said. "For two weeks, [the media] is writing about Augusta National, but for the other 50 weeks, the club's policy continues."

Augusta's chairman dodged the prickly issue of women's membership Wednesday, saying it was a private matter.

"Well, as has been the case, whenever that question is asked, all issues of membership are now and have historically been subject to the private deliberation of members," Billy Payne said. "That statement remains accurate; it remains my statement."

Critics say Augusta and other men-only golf clubs are more than just places to tee off with the guys. They're places of business for corporate elite, where connections are made and deals are brokered.

"The no-girls-allowed rule keeps women from accessing that power where they can conduct business and rise in professional development and create their own power networks," said Veronica Arreola, assistant director of the Center for Research on Women and Gender at the University of Illinois-Chicago.

The idea of golf clubs as power hubs has become so entrenched in corporate culture that women's groups have hosted clinics to teach the game to women so they can hold their own on the green, Arreola said.

The same kinds of discussions aren't necessarily happening in women's book clubs or at the local Curves gym, the ubiquitous franchise marketed to women.

"Million-dollar deals are not going down at Curves, but they are going down at golf clubs," said Terry O'Neill, president of NOW, which has men on its board and among its membership.

"The world turns on human connections; when power brokers hang together, they do business together," Feldt said. "It really is a big barrier for women to be excluded from a place like Augusta that is so well-known for being the source of power-brokering opportunities. That's really different from sweating side-by-side on treadmills."

Activists say the Augusta National controversy shows gender discrimination is taken more lightly than racial discrimination.

"If this was the first black male CEO of IBM, and he was not allowed to join, IBM would not even be considering remaining a sponsor or having any other executives in the club," said Burk, who made Augusta's policy a national issue in 2003. "Because it's sex discrimination, they feel empowered to ignore that or treat it as a lesser evil."

Several states, including New York and California, have "public accommodation" laws that say no one can be excluded from private establishments that sell food to the public or show films, exhibitions or athletic teams -- or places whose operations affect commerce "among the several states" -- like clubs where business meetings over lunch might result in corporate mergers.

Georgia, however, is not one of those states.

"Of course everyone is entitled to a peer group that they enjoy," Burk, who is also the author of "Your Voice, Your Vote: The Savvy Woman's Guide to Power, Politics, and the Change We Need," said. "That's different from keeping out people who are qualified and ought to be included in what is essentially a business club, for reasons that have nothing to do with anything except an immutable characteristic such as race and gender."

Because of its status in the corporate world, activists are watching closely to see where the controversy ends up. The implications of Augusta opening its membership to women are far greater than if Curves or the Junior League were to suddenly start courting men, said Feldt, author of "No Excuses."

"We'll know feminism has won the day," she said, "when men are trying to beat down the doors to women-only organizations."

Emily Smith contributed to this article.

@highlight

Heated debate: Should Augusta National extend membership to IBM chief?

@highlight

Longtime men-only clubs and organizations are gradually opening doors to women

@highlight

Power brokers meet at men-only social and sports clubs like Augusta National

@highlight

President of NOW: "Million-dollar deals are not going down at Curves"