Los Angeles (CNN) -- After approximately a week of poring over 145 jury questionnaires, lawyers in the trial of Michael Jackson's doctor are due in court Wednesday to discuss removing jurors whose answers they believe should disqualify them from hearing the case.

But legal experts say prosecutors and defense attorneys in the Conrad Murray trial will be doing more than simply screening jurors based on their answers to the more than 100 questions filled out on September 8 and 9. They'll also be scrutinizing what prospective jurors may have said outside the courthouse and online about events surrounding the June 2009 death of pop star Michael Jackson.

"This is the world of social media, and it directly impacts criminal trials," said Thomas Mesereau, the attorney who successfully defended Jackson during his 2005 molestation trial. "I have no doubt that both sides will hire competent people to explore every aspect of social media to try and find out whatever they can about these jurors, and also to see if these potential jurors have communicated themselves with anyone else about this case."

The questionnaire asks whether potential jurors "ever posted any blogs or posted comments on any internet sites" and goes on to specifically ask whether the individual "accessed or posted" any comments about Murray, who is accused of administering a lethal dose of drugs to Jackson.

"I think it is safe to say that contemporary trial practice dictates that you make an effort to find out whatever information you can about jurors," Los Angeles defense attorney Shepard Kopp said. "If somebody has a Facebook page where the settings are public, and you can see what their interests are, you can very well learn valuable information there."

A simple Internet search can link attorneys to prospective jurors' blogs, tweets and postings on social networking sites to see if they have commented on a specific case. It also may offer insight into jurors' psyches.

"Any information you can get on a prospective juror is helpful, because you have such a short period of time in which to evaluate who the person is that is ultimately going to be making a very important decision in the case," said Richard Gabriel, a jury consultant with Decision Analysis.

Gabriel has been advising attorneys for 25 years on such high-profile murder cases as O.J. Simpson's and Casey Anthony's. He says screening jurors today is easier because of the amount of information people share on the Internet.

"If they have a Twitter account, it can give you a little bit more about how they interact with the rest of the world, not just in a courtroom setting," he said.

But Gabriel added that it is rare for a legal team to have time to do such vetting of prospective jurors, because jury selection is completed within hours in a vast majority of trials, not over several weeks as in the Anthony case (and most likely Murray's as well).

"The last thing you want to be doing in jury selection is research on your laptop computer in court," Kopp, the attorney, said about finding time to vet jurors. "That can send the message to the jurors that you are engaged in some other kind of work and you are not interested enough in the case you are trying."

And who knows what the reaction might be if jurors knew they were the ones being judged online -- to determine if they were fit to sit in judgment.

Opening statements for the trial, which will be televised, are scheduled for September 27. The trial is expected to last about a month.

If convicted of the involuntary manslaughter charge, Murray could face up to four years in prison.

@highlight

Attorneys are due in court Wednesday to discuss Conrad Murray case jury selection

@highlight

Lawyers will be screening based on what potential jurors have said online, experts say

@highlight

Simple Internet search can show blogs and postings on social networking sites