(CNN) -- Earlier this month, Jakarta governor Joko Widodo, who is universally known by his nickname Jokowi, claimed victory in Indonesia's presidential election -- though official results have yet to come out.

Jokowi is a transformative figure -- often referred to as Indonesia's Barack Obama. He'll be Indonesia's first president from outside of Jakarta's traditional elite, and has already shaken up the routine of Indonesian politics by refusing to promise cabinet seats to other parties in exchange for their support in his election.

If he is confirmed as the winner then he'll have received a mandate from the people of Indonesia to deliver both greater and more inclusive economic growth by transforming the country's unwieldy bureaucracy.

His opponent, retired General Prabowo Subianto, has refused to concede. Prabowo has every right to wait for the official tally, due by July 22, and to challenge the result in the Constitutional Court, which must rule on any challenges by August 24. But Jokowi's lead in the quick counts -- a representative sample of the initial tabulations conducted on polling day at 2,000 polling stations around Indonesia -- seems unassailable. Barring any subterfuge in the counting or subversion of the judicial process, Jokowi will be sworn in as the seventh president of the Republic of Indonesia on October 20.

Lacking experience

But while Jokowi's rise could transform Indonesian politics, his agenda when it comes to foreign affairs is much more modest. As a former furniture exporter, he has no prior experience in foreign or security affairs. Perhaps because of that, he has promised to continue many of the policies of incumbent President Susilo Bambang Yudhoyono, who came into office with far more experience as an army general educated in the United States.

In Yudhoyono's first term, Indonesia cemented its position in the G-20 and led important climate change negotiations in Bali. In his second term, it chaired two important regional meetings, the East Asia Summit and the APEC Forum, at a time of increased friction between China and Southeast Asian states. Yet despite Indonesia's de facto role as a leader of the Association of Southeast Asian Nations (ASEAN), Yudhoyono left much of the heavy lifting to his talented foreign ministers, Hasan Wirajuda and Marty Natalegawa. Look for Jokowi to do the same by appointing a protÃ©gÃ© of Wirajuda to the post.

One area where we may see greater emphasis under the Jokowi administration is Indonesian advocacy of global Islamic causes. During a presidential debate on foreign policy in June, Jokowi announced that he would seek to establish an Indonesian embassy in "Palestinian-controlled territory," and seek greater recognition for its government abroad.

Smear campaign

Jokowi made this promise against the backdrop of an alleged smear campaign against him by shadowy forces connected to his opponent that portrayed him as a Christian of Chinese descent, a description unlikely to help a bid to become the head of state in the world's most populous Muslim-majority nation. For the same reason, Jokowi spent the three-day quiet period between the end of the campaign and voting on election day on a pilgrimage to Mecca, which the Indonesian press covered extensively.

No one should interpret Jokowi's interest in Palestinian statehood as an indication that Indonesia will aggressively push Islamic causes, or that Jokowi will make the kind of perorations on these issues that made former Malaysian Prime Minister Mahathir Mohammed infamous in the West. Indonesia has always quietly advocated for the Palestinian cause. Establishing an embassy would take that advocacy to a new level, and is in line with a broader global trend toward acceptance of Palestinian statehood before a peace agreement can be concluded with Israel.

Jokowi's interest in the Middle East could prove useful, however, to confronting a growing security challenge as Indonesian jihadists return from fighting in Syria and Iraq, radicalized by their experience and interested in continuing the fight back home. Indonesia's foreign ministry estimates at least 50 Indonesian jihadists have gone to fight in Syria, leading many analysts to conclude the number is likely much higher.

If Jokowi can use his greater exertions on behalf of the Palestinian cause to lobby Arab governments to help intercept Indonesian fighters returning to the archipelago, and to demonstrate that his government has not ignored the plight of their coreligionists in the Middle East, he could diminish the risk of violence back home.

@highlight

Jokowi has claimed victory in Indonesia's presidential vote -- though official results have still to come

@highlight

Would be Indonesia's first president from outside of Jakarta's traditional elite

@highlight

Jokowi has expressed interest in Palestinian statehood during his foreign policy discussions

@highlight

Connelly: Mideast interest could be useful in stemming flow of Indonesian jihadists there