Editor's note: Leonard Pitts Jr., a columnist for the Miami Herald, won the 2004 Pulitzer Prize for commentary and is the author of a new novel, "Before I Forget" and of "Becoming Dad: Black Men and the Journey to Fatherhood."

Leonard Pitts says neither the black nor white yardsticks on race present the full picture.

(CNN) -- They're not going to like this.

Indeed, one suspects the National Urban League's recently released 2009 State of Black America report quantifying racial inequities in employment, housing, education, criminal justice, health and other arenas will be about as welcome as graffiti on the Lincoln Memorial among those Americans who convinced themselves in November the country had entered a "post-racial" era.

Those Americans will be overwhelmingly white and will resist with mighty determination the report's implicit argument: that we have not yet overcome, not yet reached the Promised Land, not yet come to a point where race is irrelevant, Barack Obama notwithstanding.

Years spent engaging Americans on the knotty conundrums of race leave me confident in that prediction. So does a 2008 Gallup poll in which 46 percent of non-Hispanic whites said there is no widespread racism against blacks. But it took a Yale University study to help me understand why some whites feel that way.

Psychology professor Richard Eibach was reported last year in the Washington Post as having found that in judging racial progress, white people and black ones tend to use different yardsticks. Whites use the yardstick of how far we have come from the nation we used to be. Blacks use the yardstick of how far we have yet to go to be the nation we ought to be.

The most complete picture, of course, requires both measures. But who can be surprised that blacks and whites each tend to gravitate toward the measure that is most forgiving of their individual groups, that shoves the onus for change off on the other? The black yardstick, after all, leaves black people no obligation other than to demand justice and equality from white people. The white yardstick requires of white people only that they exhort black people to become more self-reliant and take more responsibility for their own problems.

But what if you are an American who realizes there is no either/or here, no need to buy into a false dichotomy that requires you to choose one yardstick over the other? Then you might understand the National Urban League report as what it is: a valuable document we do not have the luxury of dismissing. And yet, at the same time, a document that presents an incomplete prescription for the uplift of African America.

African-Americans do not, after all, need its policy suggestions to fix many of their most intractable problems. We do not need a government program to turn off the TV, realizing it's hardly coincidental that people who watch more television per capita have poorer academic performance.

We do not need federal monies to tell our children to wait until they are married or, at the very least, in stable, long-term relationships, before they bring babies into the world. We do not need Washington's input to know we must quit allowing our community to be defined by a coarse popular culture whose words and images are indistinguishable from the Ku Klux Klan's.

And yet...

Once you've turned off the television and encouraged black children toward academic excellence, you still must contend with the fact that their schools are too often crumbling, underfunded and staffed with inexperienced teachers.

Once you've gotten black women and men to raise their children in the context of families, you still have to deal with the fact that those families need places to live, jobs to support them and doctors to keep them healthy, all of it elusive as long as structural discrimination persists in all those areas. And, once you have convinced black children to stop defining themselves by denigrating stereotypes, you still have to fix a racially biased justice system that treats them as crimes waiting to happen.

Make no mistake: There is value in the yardstick white Americans use. Not to acknowledge the progress black people have made and the need to fix those things that are within our power would be ridiculous.

But there is value in the yardstick black Americans use, too, the measure the National Urban League provides in its annual studies. To resist or dismiss this truth, to pretend these inequities are a thing of the past, is to make yourself part of the problem.

We have not yet reached the Promised Land and we all have a moral responsibility toward that goal. But before we can fulfill that responsibility, we must learn to speak the same language where race is concerned, and to mean the same things when we do. And here, it is worth noting another of Eibach's findings. Namely, that while black people see reaching "the Promised Land" as a real and urgent necessity, white ones tend to regard it as an ideal, something it might be nice to achieve someday.

Of course, it's easy for them to say that.

The opinions expressed in this commentary are solely those of Leonard Pitts Jr.

@highlight

Leonard Pitts: Whites want to view race in terms of progress blacks have made

@highlight

He says blacks view race as the distance it will take them to achieve equality

@highlight

He says neither picture is complete and it will take both to reach desired goal

@highlight

Pitts: State of Black America report provides useful data on inequities