A federal appeals court on Thursday upheld parts of a Texas abortion law pertaining to hospital privileges for physicians who perform abortions and protocols for abortion-inducing drugs, a decision that drew starkly contrasting reactions on both sides of the debate.

A U.S. district court previously struck down those provisions in the Texas law, which were challenged in court by lawyers for Planned Parenthood.  But the 5th Circuit Appeals Court later issued a stay of that decision "pending appeal," meaning it would not go into effect.

The U.S. Supreme Court also weighed in, with a majority refusing to stop the law's implementation. In the ruling opinion, Justice Antonin Scalia wrote that an appeals court stay could not be vacated "unless that court clearly and 'demonstrably' erred in its application of 'accepted standards.'"

Thursday's ruling means the provisions will remain valid in the state of Texas, until or unless the U.S. Supreme Court rules otherwise or legislators in the state act to modify the law.

Supporters of such legislation cheered the ruling. Susan B. Anthony List President Marjorie Dannenfelser applauded the judges "for upholding this commonsense measure to safeguard women."

"The people of Texas have spoken through their elected leaders and in support of protecting the culture of life in our state," said Gov. Rick Perry, a conservative Republican. "Today's court decision is good news for Texas women and the unborn, and we will continue to fight for the protection of life and women's health in Texas."

Not surprisingly, Planned Parenthood had an opposite reaction, with President Cecile Richards characterizing the decision as "a terrible court ruling."

"The latest restrictions in Texas will force women to have abortions later in pregnancy, if they are able to get to a doctor at all," Richards said. "This court ruling is not the last word."

House Bill No. 2 first caught the country's attention thanks to state Sen. Wendy Davis, who is now a Democratic gubernatorial candidate, and her pink tennis shoes. Davis filibustered the bill for 13 hours in June 2013, earning her street cred in progressive circles but failing to stop the bill's passage.

The fight then moved to the courts, with Planned Parenthood filing to halt the law just before it was to take effect.

Specifically, the group challenged a provision that required any doctor performing or inducing an abortion to have admitting privileges "at a hospital no more than 30 miles from the location where the abortion is provided."

Among other things, Planned Parenthood argued the requirement "lacked a rational basis." Furthermore, the group's lawyers surmised that it would cause women to lose access to abortions because clinics would shut down, in part because hospitals might refuse to give admitting privileges to those who performed abortions elsewhere.

The district court found the arguments valid, not buying the state's contention that the hospital privilege provision would help to better ensure patient's safety by certifying an abortion provider's competency and enhancing communication in an emergency in which hospital care is needed.

The appeals court reversed the lower court ruling. Not only are similar provisions in effect elsewhere, but the 5th Circuit appeals court also found that it has "a rational basis" and "the plaintiffs offered no evidence implying that the State enacted the admitting privileges provision in order to limit abortions."

Moreover, the court disputed the assertion that "abortion practitioners will likely be unable to comply," noting state and federal laws "prohibit hospitals from discriminating against physicians who perform abortions when they grant admitting privileges."

Thursday's ruling also overturned the district court decision on another matter: whether abortion-inducing drugs "must comply with the protocol authorized by the Food and Drug Administration." As is, some doctors follow an "off-label protocol" different from the FDA recommendations.

The district court found the relevant provision in the Texas law places "a substantial obstacle in the path of a woman seeking" an abortion between 50 and 63 days after her last menstrual period.

The appeals court, again, disagreed: "H.B. 2 on its face does not impose an undue burden on the life and health of a woman, and the district court erred in finding to the contrary."

@highlight

Wendy Davis' filibuster raised profile of the Texas abortion law at center of court fight

@highlight

A lower court struck down 2 of its provisions; an appeals court reverses that decision

@highlight

1 provision related to doctors who provide abortions having to be tied to a local hospital

@highlight

Another challenged provision related to protocols for abortion-inducing drugs