Washington (CNN) -- Which is scarier? Letting Greece go bankrupt? Or saving Greece from bankruptcy?

If you're a European businessman or banker, the answer is obvious: Bankruptcy is scarier.

If Greece cannot pay its debts, Greece will likely quit the euro. By quitting the euro, Greece would regain the power to print its own money and inflate its way out of its debt.

Now think what that would mean for your business. If Greece quit the euro, people would begin to worry: Who's next? Will Portugal quit? Spain? Italy? France?

Do you own a 1000 euro deposit in a Spanish bank? Tomorrow that account could be denominated in new pesetas, at who knows what exchange rate. Better cash out today.

Likewise: Better sell your Portuguese and Italian bonds -- not only government bonds, but bonds issued by any agency sponsored by government: water, electricity, transit authorities, and so on.

A Greek default would trigger, in effect, a bank run on every governmental institution in southern Europe, the biggest bank run perhaps in the history of the world, bigger even than the run triggered by the failure of Lehman Brothers in September 2008.

As I said: scary.

But now think like a politician.

It's been obvious for some time now what has to be done to avert the bank run: a European Super TARP, a version of the Troubled Asset Relief Program that was used to bail out Wall Street in 2008

The European Union will have to assume responsibility for the debt of southern European countries. In return, the EU will have to take control of the finances of those countries -- cutting their spending and raising their taxes.

The debt assumed by the EU will have to be serviced somehow. That means the EU will need its own revenue stream sufficient to pay for and ultimately retire the southern European debt.

In other words, what we're looking at is:

-- A transfer of Greek and other southern European debt to all the people of Europe.

-- Big government spending cuts especially in southern Europe, but also everywhere else.

-- Higher taxes everywhere to support the southern European debt.

-- All of it imposed by unelected bureaucrats in Brussels.

How'd you like to be the politician who has to explain that to the voters of Bavaria? So now you see why action is so slow.

The trouble is, the longer the action takes, the more expensive it gets -- and the less likely the action is to be successful.

If the action comes early and if it is decisive and orderly, then it may be possible to force creditors to eat some of their losses. But in a panic, governments will not have time or leeway to negotiate. They'll face a starker alternative: pay in full or default, the same stark alternative the United States faced back in the fall of 2008, which led to unappealing actors such as Goldman Sachs being made whole in backroom deals at the expense of the taxpaying public.

And if markets get the idea that the politicians of northern Europe will flinch from the Super TARP, then the bank run could start very fast.

Last week, the German parliament voted 440 billion euros in bailout funds. (That's almost $542 billion in U.S. dollars.)

Bigger would have been better. The supreme need is to overwhelm the problem -- to show markets that the resources are at hand to pay all obligations -- and thus to gain credibility for tough negotiations so that lenders bear some of the costs of rescue.

Americans had better hope that these negotiations succeed, because it's very doubtful that the United States can avoid being dragged into an emergency euro rescue.

In 2008, we worried about banks that were too big to fail. In 2011, we have to worry about countries that are too big to be saved by European action alone. If the crisis comes, it will require funds from the International Monetary Fund and very possibly the U.S. Treasury too, like Mexico in 1994 only much, much bigger. And remember how popular that was with the Congress. Better to anticipate -- and to prevent.

Act big. Act fast. Act now.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: If Greece defaults, all of Europe's debts would be suspect

@highlight

He says the U.S. could be forced to participate in rescuing Europe's finances

@highlight

Europe's leaders need to take unpopular, dramatic steps to bail out the south, he says

@highlight

The sooner and bigger the bailout, the better, Frum says