New York (CNN) -- Before O.J. Simpson and Casey Anthony, before Scott Peterson, Amanda Knox and the cottage industry of cable news legal pundits, there was the shocking case of Jeffrey MacDonald.

Ten years after his pregnant wife and two young daughters were butchered in their home in Fort Bragg, North Carolina, MacDonald was convicted of the killings and sentenced to life in prison. While a jury was convinced beyond a reasonable doubt of MacDonald's guilt, many people were still left with one lingering question: Did he really do it?

The drama surrounding the heinous crimes and the subsequent trial fascinated the public for decades. It sparked controversial best-selling books, an immensely popular television miniseries and an explosive "60 Minutes" interview that was watched by tens of millions of viewers.

Today, more than 40 years after the murders, questions are still being raised about MacDonald's guilt.

"We've been sold a bill of goods about this case," said filmmaker Errol Morris. "It's as phony as a three dollar bill."

Morris, an Academy Award-winning documentary director whose acclaimed movies include "The Fog of War" and "The Thin Blue Line," has made that opinion the centerpiece of a new investigative book, "A Wilderness of Error: The Trials of Jeffrey MacDonald." At more than 500 pages, it aims to prove that an innocent man is in prison.

"The evidence is neither clear nor convincing," Morris told CNN. "There are many things about this case that rub me the wrong way, but principal among them was how the jury was asked to make decisions about his guilt or innocence with incomplete evidence, evidence that was withheld, corrupted and suppressed."

Flawed forensic analysis, a contaminated crime scene, damaged and destroyed evidence and an effort to bury a confession all contributed to a miscarriage of justice, according to Morris.

"This has nagged me for so many years, "Morris said. "I felt I should do something."

What is not in dispute is what happened at 544 Castle Drive in the early morning hours of February 17, 1970. Military police officers responding to a call from MacDonald found his wife, Colette, beaten and stabbed to death in the master bedroom; the couple's two daughters, Kimberly, 5, and Kristen, 3, were in their beds, also stabbed to death.

MacDonald, who was wounded with two stab wounds and a collapsed lung, told investigators that he was sleeping on the couch when he heard screaming. He said he awoke to find in his home three men and one woman, who he described as having blond hair and wearing a floppy hat. They were chanting "kill the pigs" and "acid's groovy" before attacking him, MacDonald told the investigators.

MacDonald and his claim of killer hippies made headlines around the country. They also turned him into a prime focus of the investigation.

"The story is so bizarre and unlikely and it might actually be true," said CNN senior legal analyst Jeffrey Toobin. "It seems too preposterous on its face that a smart guy might have come up with something better, which raises the possibility that it might actually be true."

What is absolutely certain is that a military inquiry into the murders recommended MacDonald not be court-martialed, citing a lack of evidence. MacDonald was granted an honorable discharge.

He moved to Southern California, where he practiced medicine. But the case against him was far from over. In 1975, a grand jury indicted MacDonald for the murders. He was ultimately convicted in 1979 and sentenced to life in prison.

"He is almost the definition of an unlikely murder suspect," said Toobin. "Princeton graduate, medical doctor, Green Beret, these are the kinds of credentials we associate with people at the top of the heap in this country, not convicted murderers."

Was MacDonald the victim of injustice or a manipulative, cold-blooded killer? "Fatal Vision," the 1983 book on the case by Joe McGinniss, portrayed MacDonald as a cunning sociopath.

Asked to comment on "Wilderness of Error," McGinniss issued the following statement to CNN:

"Jeffrey MacDonald was convicted of the murders of his wife and two young daughters in 1979. In all the years since, every court that has considered the case -- including the United States Supreme Court -- has upheld that verdict in every aspect. MacDonald is guilty not simply beyond a reasonable doubt, but beyond any doubt."

A key figure in Morris' bid to show MacDonald is innocent is Helena Stoeckley, the woman who confessed to being in the home the night of the murders. Stoeckley, who had a history of drug and alcohol abuse, and who died in 1983, testified that she had no involvement in the murders. Morris said she was encouraged by a prosecutor to alter her testimony.

"Stoeckley was crucial to the defense case because she gave us reason to believe that MacDonald was telling the truth," Morris said. "But if you cut her out of the story by pressuring her to change her story, you are going to change the outcome of the trial."

James Blackburn, the prosecutor who MacDonald said threatened Stoeckley, would not comment on the charge because of pending litigation.

"I was the prosecutor in the case, and I did that job to the best of my ability," Blackburn told CNN. "I did it in great reliance of the evidence the government had and we presented an honorable case and it was straightforward and it was based on good and competent evidence. And I agree with the jury's verdict."

Today, MacDonald, who will be 69 in October, still has his believers. In addition to Morris, they include Hammond A. Beale, who served as a legal adviser during the Fort Bragg military inquiry into the murders.

"I think those of us that are on the side that believes he is totally innocent can't believe this happened," Beale said. "This guy has not only lost his wife and kids but loses his career and ends up in prison for the rest of his life. That's horrendous."

"The army got it right, the federal courts royally screwed it up," Beale added. "I don't think this will ever go away until justice is done."

Morris doubts the conviction will be overturned. Still, he is hopeful MacDonald will one day be freed from custody.

"It's a principle of fairness," Morris said. "You don't want to convict an innocent man."

@highlight

Jeffrey MacDonald's wife and two daughters were murdered in 1970

@highlight

A military inquiry recommended he not be tried for the killings, citing a lack of evidence

@highlight

He was later tried and convicted in criminal court and is serving a life sentence

@highlight

Today, a new book by filmmaker Errol Morris seeks to prove MacDonald's innocence