San Diego (CNN) -- As we try to grasp the enormity of the crisis involving at least 57,000 unaccompanied minors from Central America who crossed the U.S.-Mexico border looking for safe haven, Americans should stop casting blame and be realistic.

We always look for an endpoint, a limit, a boundary. When we're told about a budget shortfall, we want the exact numbers so we can assess the damage. We'll settle for an approximation. "Give me a ballpark figure," we say.

But sometimes, it's not that simple.

Recently, my sources in Texas who have been close to the border kids story since the start -- and have batted 1.000 in terms of the accuracy of their reports -- have been giving me a dire warning. It's the equivalent of: "You ain't seen nothing yet."

Many Americans are angry and frustrated over the government's handling of the border kids calamity. The Obama administration -- which, according to Texas Gov. Rick Perry, was warned by state officials in the Lone Star State that this was happening as early as 2012 and obviously didn't do enough to prepare -- estimates that by the end of this year, as many as 90,000 young people will have crossed the border into the American Southwest.

Opinion: Send U.S. marshals to the border

Then there are the tag-alongs. Looking for jobs, and seizing on the opportunity presented by the fact that so many border patrol agents are preoccupied caring for the children, an unknown number of adults from Mexico are riding the kids' coattails right into the United States.

It's a total mess. But what if what we're witnessing now is just the beginning? What if the real wave is yet to come?

My sources tell me that it is well-known that in the Rio Grande Valley, there are tens or even hundreds of thousands of people from Central America -- mostly women and children -- in northern Mexico right now, waiting for their chance to cross into the United States.

We should stop looking for an endpoint. This story has no end in sight.

As a journalist, every week, I start with a dozen new angles to explore. By the beginning of next week, there will be a dozen more. Make no mistake. We will be dealing with this crisis not for weeks or months but probably for years. People will keep coming. And with every wave, new angles will appear.

It is hubris for U.S. officials to believe that any one course of action can stop the flood of desperate people fleeing violence, poverty and oppression. The most we can hope for is to be able to manage this crisis for the next few years.

Only six weeks ago, this story was limited to how we were going to respond to a mass exodus of brave and desperate children and teenagers being ferried across the U.S.-Mexico border by unscrupulous Mexican smugglers after escaping the clutches of ruthless street gangs in Honduras, Guatemala and El Salvador.

Then it grew to involve the perils of a porous border and the litany of horrible things that can happen, on both sides of the line, when you advertise to the world that your country's backdoor is unlocked and you don't have the manpower to keep order and prevent violence, crime and lawlessness.

Now that -- heaven help the children -- the politicians have become involved, the story has become about how neither the White House nor Congress, neither Democrats nor Republicans, have the foggiest idea about how to deal with the problem, since all we're hearing are bad and simplistic solutions that tell us that most of our leaders don't know the first thing about what they see as the foreign world of the U.S.-Mexico border.

Speaking of simplistic solutions, the Obama administration this week deported the first batch of undocumented women and children to Honduras. Don't expect the deportees to even bother unpacking. Unless the horrendous violence and poverty that pushed them out has been magically eradicated in the past several months, they will soon return to the United States.

Opinion: What Obama could learn on the border

Here's what this chapter of the story is really about: The scope of the problem. It's about numbers and tally sheets that we're afraid to imagine. It's about how many people will come and how long this surge will go on.

Many Americans, particularly those in the Southwest, are in full panic mode. And so they're doing what they always do in the face of adversity: They're digging in their heels, rolling up their sleeves, stiffening their backbones -- and blaming Mexico.

They demand to know why Mexico isn't stopping the border kids from going north.

To be fair, from media reports and interviews with Central American kids who tried to get out but were captured in Mexico and deported back home, it does seem like our neighbor is stopping some of them. Yet Mexico couldn't stop all of these kids at its southern border any more than we could stop them at ours. There are just too many of them.

In both countries, we're learning the same lesson: Walls and guards can't stop the determined and the desperate, the oppressed and the hungry.

Americans couldn't stop the first wave of child refugees, and it's not clear if we can stop the second or third. But let's at least be ready for it and make sure we don't repeat our mistakes.

Politicians like to talk about how we have to "do right" by these kids, but doing the right thing requires staying ahead of this story and bracing for the least desirable outcome.

Let's stop looking for simple solutions and a finish line. This crisis doesn't have either one.

Join us on Facebook.com/CNNOpinion.

@highlight

Ruben Navarrette: Some might think the border crisis is a short-term concern

@highlight

He says the flow of people across the border is likely to continue

@highlight

U.S. efforts to turn back, or send back, immigrant children won't stem the tide, he says