Washington (CNN) -- Declaring the U.S. goal is a successful Iraq, President Barack Obama on Monday promised economic, diplomatic and military help to Iraqi Prime Minister Nuri al-Maliki after the last American troops leave the Middle Eastern nation by the end of the year.

The two leaders met at the White House and held a joint news conference to declare the eight-year war formally over now that U.S. troops are completing their withdrawal this month.

They then proceeded to Arlington National Ceremony in Virginia for a solemn wreath-laying ceremony to pay respect to the war dead.

Obama said the end of the Iraq war means a new chapter in U.S.-Iraq relations, with a focus now on a "normal relationship between sovereign nations."

He told the visiting Iraqi prime minister the two nations will build "a comprehensive partnership" that includes trade relations, support for building up Iraq's democratic capacity and military-to-military ties aimed at helping Iraq rebuild its air force, which was destroyed in the war against Saddam Hussein's regime.

"Our goal is simply to make sure Iraq succeeds, because we think a successful, democratic Iraq can be a model for the entire region," Obama said.

After the meeting, National Security Council spokesman Tommy Vietor announced the U.S. government's intention to sell 18 more F-16 fighter jets to Iraq, doubling the initial sale of 18 announced earlier this year.

Al-Maliki said he is committed to building ties.

"The relationship will not end with the departure of the last American soldier," he said. At the same time, the Iraqi leader insisted his country now is completely reliant on its own security apparatus, with the help of training by U.S. and NATO forces.

"We have proven success. Nobody imagined that we would succeed in defeating terrorism and al Qaeda," al-Maliki said.

Also Monday, NATO announced it is withdrawing training forces from Iraq by December 31. A NATO statement said "robust negotiations" on extending the NATO training mission failed to reach agreement. The unresolved issue was granting foreign forces immunity from local prosecution, officials said.

The same issue stymied earlier talks between the Obama administration and al-Maliki's government about the possibility of some U.S. training forces staying longer than the deadline for withdrawal set in an agreement dating back to the Bush administration.

Both Obama and al-Maliki have political reasons for ending the U.S. military presence. Obama pledged during his 2008 campaign to bring U.S. troops home from Iraq, while al-Maliki faces internal opposition to the foreign military presence.

More than 4,400 U.S. troops were killed and thousands more were wounded in the war that began in 2003. Iraqi casualties are estimated to exceed 100,000.

Some U.S. conservatives oppose the end of the Iraq operation, arguing that the withdrawal of American forces leaves Iraq vulnerable to political instability from internal forces and neighbors such as Iran.

"Domestic political considerations in each country have been allowed to trump our common security interests," Sen. John McCain, R-Arizona, said in a statement. " All of the progress that both Iraqis and Americans have made, at such painful and substantial cost, has now been put at greater risk. I hope I am wrong, but I fear I am not. It did not have to be this way, and the fact that it is has everything to do with a failure of vision, commitment and leadership both in Washington and Baghdad."

As of Sunday, 6,000 U.S. troops and four U.S. military bases remained in Iraq, according to Col. Barry Johnson, spokesman for the United States Forces in Iraq.

The four bases are:

• Kalsu in Iskandariya, about 20 miles south of Baghdad

• Echo in Diwaniya, about 110 miles south of Baghdad

• Adder near Nasiriya, about 200 miles southeast of Baghdad

• Basra in Basra, about 340 miles southeast of Baghdad

Iraq faces many challenges as U.S. troops pull out, ranging from human rights issues to oil deals to national stability.

Obama said Monday that the United States wants to help Iraq "ramp up oil production" and is "helping to encourage international investments in that sector."

He also said some military-to-military ties will continue, similar to U.S. links with some other countries, and there "may be occasion for joint exercises."

The U.S. goal "is a sovereign Iraq that can protect its borders, protect its airspace, protect its people," Obama said.

For his part, al-Maliki told reporters he requested military hardware from Obama, including the F-16s to help rebuild the air force.

"Definitely we have raised the issue of the Iraqi need for weapons for area protection, naval and ground protection," al-Maliki said. "We have a lot of weapons, American weapons, and it requires trainers. And we received promises for cooperation from his excellency, the president, for some weapons that Iraq is asking for, especially those related to its protection of its airspace."

Some analysts fear that violence could spike in Iraq as groups struggle over power in the wake of the U.S. troop withdrawal, and that the decreased U.S. presence could allow Iran to increase its influence.

Meghan O'Sullivan, a Bush administration deputy national security adviser for Iraq and Afghanistan from 2004 to 2007, wrote that there is "reason to worry" in a recent analysis for Foreign Affairs posted on CNN's Global Public Square blog.

"The foundations of the Iraqi state remain shallow. Divisions within Iraq's ruling elite run deep," wrote O'Sullivan, now a professor at the John F. Kennedy School of Government at Harvard University. "A continued U.S. military presence would not have guaranteed peace and prosperity, but its removal increases the risks of failure in Iraq by eliminating the psychological backstop to a still delicate political system and by kicking open the door more widely to foreign interference."

American officials have insisted the drastic pullback of troops does not mean an end to the U.S. government's presence in Iraq.

Hundreds of nonmilitary U.S. personnel will remain in Iraq, including 1,700 diplomats, law enforcement officers and economic, agriculture and other professionals and experts, according to the State Department.

In addition, 5,000 security contractors will protect U.S. diplomats and another 4,500 contractors will serve other roles, such as helping provide food and medical services, until they can be done locally.

Future U.S. involvement in training for Iraqi troops is also a possibility, U.S. officials have said.

Officials and analysts have said the impact of the U.S. presence will echo for years to come.

"Iraqis, Americans and the world ultimately will judge us far more on the basis of what will happen than what has happened," Ryan Crocker, then-U.S. ambassador to Iraq, said in 2008 congressional testimony. "In the end, how we leave and what we leave behind will be more important than how we came."

CNN's Ingrid Formanek and Catherine Shoichet contributed to this report.

@highlight

NEW: The United States intends to sell 18 more F-16 fighter jets to Iraq

@highlight

President Obama pledges U.S. support for Iraq following withdrawal of troops

@highlight

Iraqi prime minister: "The relationship will not end with the departure" of U.S. troops

@highlight

The United States is set to bring home all troops from Iraq by the end of the year