(CNN) -- Nine-year-old Mahmood Ahmed was playing near his home in Zintan, western Libya, when he found a green object he had never seen before.

He wanted to know what was inside, so took it into his backyard and began hitting it with a stone.

The object was a bullet from an anti-aircraft machine gun and it exploded, taking off his left hand. He is now getting used to life with a plastic hand.

Mahmood is one of the accidental child victims of the war that toppled Colonel Moammar Gadhafi in August and he is far from alone.

The International charity Mines Advisory Group (MAG), which highlighted his case, has recorded 90 casualties -- mostly children -- from similar accidents involving mines and unexploded ordinance left over from the war in the region of Zintan and Misrata alone this year.

The organization also recorded 45 casualties in Libya's Western Mountains and is still trying to gather data from accidents in the rest of the country.

Among the statistics were several members of the same family in Ajdabiya in June. Three-year-old Shada Yonis brought a hand grenade into the living room and pulled out the pin. Her father, Yonis Sala, who tried to shield his children, was killed, as was Shada, and five-year-old Shema. Her mother, eight-year-old brother Sulah and two other children were seriously injured.

Two children were killed on Saturday, December 10, in Sirte when a device exploded as people were compiling a museum of weaponry from the war, MAG said.

As well as gaining information on contaminated areas and clearing them, MAG is trying to educate communities on the dangers.

Libyans find voice in new era of press freedom

Louise Skilling, the group's regional community liaison manager, said: "There is a lot of contamination in houses and residential areas.

"Accidents are mainly involving children -- particularly teenage boys -- who don't understand the danger of handling items.

"We are trying to change behavior among young boys and the best way to do that is through their mothers.

"We are working through schools, women's groups and door-to-door in contaminated areas. "

She added: "The number of accidents has increased since the war ended because people who were displaced are returning to their homes and trying to get their lives back together.

"A lot of accidents are happening in or close to homes as people try to clear the damage."

Other organizations are also working to raise awareness of the weapons that children mistake for toys.

Mohamed Khalifa Kanah, a volunteer for the Libyan Red Crescent in Nalut, one of 30 branches of the organization in the country, is visiting schools in the town and surrounding area to educate children on the dangers.

He said: "Children are bringing live ammunition into schools. They are picking up big anti-aircraft guns and playing with them.

"I go into schools and talk to the children about what mines are, what explosive materials are, how to avoid the areas and what to do if you come across them.

"It's terrible to have to talk about this with children, but the reality is this is common now. Once in a while something happens and a kid is killed or loses an arm or leg."

Kanah has been putting awareness posters provided by the International Federation of Red Cross and Red Crescent Societies in hospitals, shopping malls and schools. He also gives out hats and T-shirts carrying the message.

The British charity Merlin is working in a hospital in Nalut, a small mountain town home to just 25,000 people in the Nafusa mountains, and has treated a number of children for gunshots and unexploded ordnance since the end of hostilities.

Since end of the conflict, two children have died in Nalut and at least five children have sustained serious injuries, according to Kanah and Merlin.

Jo Woodrow, a physiotherapist working with injured patients in the hospital, said: "Most of the people who fought in the war weren't soldiers before, so have little experience storing guns safely.

"They have come back from the war and leave them lying around. Children are curious and that's how the accidents happen.

"A lot of people are embarrassed so they don't tell us exactly how the accident has happened."

She added: "At the moment, I'm working with a 17-year-old who was shot at point blank range by a sniper rifle that went off by accident.

"He has pins holding his legs together and has nerve damage. He won't be walking for a long time."

Woodrow said many of the victims had to leave Libya for treatment because of a shortage of rehabilitation facilities in the country.

@highlight

Many Libyan children have been killed or injured in accidents involving guns and explosives

@highlight

Mines Advisory Group and Libyan Red Crescent are among NGOs running awareness programs

@highlight

More accidents since people have returned to their homes, says Mines Advisory Group