(CNN) -- The animal kingdom is full of big beasts, but it's the graceful nature of the horse which speaks loudest on the artist's canvas.

From the dawn of time, the horse has evoked passion and wonder amongst humans since its image was scrawled against the walls of caves.

It has inspired novels, starred in films and has become the darling of the art world with collectors spending millions of dollars every year.

Grace

"Personally, I cannot think of any animal more artistically stimulating than the horse, its grace, power and speed, are all begging to be captured in pencil, paint or clay," Society of Equestrian Arts chairwoman Deborah Burt told CNN.

"The horse is strong, yet fragile; it has the potential for danger, whilst capable of being incredibly gentle.

"You can echo it's elegance through the fashions of Ascot or surrounding the polo field. It can be found in the wildest locations, from the vast expanses of the American plains (Remington) to the shady woodland of England's New Forest.

"I have been drawing horses since I could hold a pencil, and will do so until the day I die. More than any other animal, the horse is equally capable of taking the lead in your artwork, or as a supporting role. It's the perfect muse."

Stubbs

If Burt has been seduced, so too was the 18th Century painter George Stubbs, who captured the beauty of the horse in a way that transcended the work of other artists of his generation.

Initially fascinated by the anatomical structure of the animal, Stubbs built upon his early sketch work before moving onto painting large canvases such as his renowned 'Whistlejacket' which was finished in 1762.

The publication of his work, "The Anatomy of the Horse" in 1766 enabled him to capture the elegant nature of the animal with a skill that few others possessed.

His work won him plenty of admirers and after settling in London in 1758, Stubbs began to paint for the English aristocracy.

In his book, "The Anatomist Anatomis'd - an Experimental Discipline in Enlightenment Europe," Andrew Cunningham explains the development of Stubbs' style.

"His dedication to the skeletal and muscular anatomy of the horse certainly enabled Stubbs to produce much more life like portrayals of horses, especially with respect to their musculature than had been achieved even by the great masters of painting," Cunningham wrote.

"No one portrayed horses so accurately before. In this he was more true to nature, as he wished to be."

Dollar signs

Modern collectors scramble to get their hands on anything painted by Stubbs and in July 2011, his "Gimcrack on Newmarket Heath, with Trainer, a Stable-Lad, and a Jockey" sold for $35.9 million making it the third most valuable old master painting to be sold at auction by Christie's.

Gimcrack, one of the most famous and iconic racehorses of the 18th Century, won 28 of his 36 races, coming home unplaced just once.

The painting showed Gimcrack twice -- in the foreground being rubbed down by a stable lad and also in the background where he was winning a "trial."

"When Stubbs came along he took it to another level as he had an anatomical interest in horses and drew the muscle structure," Brandon Lindberg of Christie's, the world's leading art business, told CNN.

"In terms of looking at Britain, the painting of horses became more popular in 17th Century and the restoration of British monarchy and Charles II building a palace in Newmarket.

"It followed the growth of interest in racing and was also tied in to the interest in hunting, particularly stag hunting in the 17th Century and then fox hunting in the 18th Century.

"It became an allied art -- a recording of human interest for the sport."

Cave time

Thousands of years before Stubbs was painting, the horse had been visualized in the Palaeolithic cave images which adorn the walls of the the Lascaux Caves in south west France.

"It's the most paintable subject in animal world," renowned artist Terence J. Gilbert told CNN.

"The horse is such a beautiful animal to and is an inspiration to all.

"With a race horse, it has so many variations in form, in color and style."

Gilbert began his work as an illustrator before moving onto painting. As a young boy, he would accompany his father to race tracks across southern England and it was there that his love affair with horses began.

Since then, he has painted some of the most famous and iconic horses in history such as Denman, Kauto Star and Yeats, while he was also recently commissioned to paint Queen Elizabeth II during her visit to Coolmore Stables in Ireland.

Classic

"A classic painting can take anything from two to three weeks with Gilbert currently working on a painting of the Queen's Ascot Gold Cup winner Estimate.

"It is the movement of the horse which interests me," he added.

"You paint every aspect in the way you can and you make it perfect. It's difficult to do that with a photograph.

"In a photo, you might get one part of it that looks great but another which isn't as good. With a painting, it's possible to make it all perfect."

For some, such as Michelle McCullagh, the opportunity to capture the horse during the gallop at the racecourse is one of the most fascinating aspects of her work..

"A large, lush field full of thoroughbred mares and foals basking in the sunlight is heavenly to see," she said.

"To be there, with them, drawing, adds to the very special experience. Yet there is nothing more exciting and challenging, than to be stood at the side of the gallops or at the race course, where the atmosphere is so diverse.

"There is always something for the artist -- a shining horse being washed off, walking round the paddock, jockeys jumping on, spooky, skittish horses, exhausted horses and with the fit thoroughbred, so much of the anatomy is there to see. It is excellent. I love it."

@highlight

The horse has inspired paintings, novels and films

@highlight

Artists have been capturing the image of the horse for centuries

@highlight

George Stubbs painting sold for $35.9 million in 2011

@highlight

Stubbs is renowned for his paintings of horses