Seoul, South Korea (CNN) -- The surprise announcement that the third son of North Korean leader Kim Jong Il had been made a general has dashed hopes in South Korea that the junior Kim might prove more economically focused than his father, should he succeed him.

The announcement by North Korean state media in advance of Tuesday's Korean Workers Party Conference -- the biggest ruling party meeting there in three decades -- that Kim Jong Un was being promoted to four-star general was the first-ever formal mention of his name in official state communications.

While many pundits had anticipated Kim Jong Un being raised to prominence as the country's future leader in the high-profile party conference, most had also expected him to be less military-centric.

"I had been hearing a lot of talk that he would be more focused on economic matters than his father," said Brian Myers, author of "The Cleanest Race" and an expert on North Korean propaganda. He cited statements by recent defectors who had heard that the upcoming leader had been constructing apartments and accelerating productivity. "The fact that he is being formally introduced as a general indicates that he will be another 'military first' ruler like his father."

Kim Jong Un rising in leadership circles

In what was then the first-ever handover of dynastic power in a communist state, Kim Jong Il took power in 1994 following the death of his father and "eternal president" Kim Il Sung. Kim Jong Il adopted "songeun," or "military first" as his key slogan, superceding his father's "juch," or "self-reliance."

What is life like inside North Korea?

North Korea's military has 1.2 million service members and an arsenal that includes nuclear weapons and long-range missiles. It's considered particularly worrisome, not simply due to the regime's unpredictability and history of aggression -- it launched the devastating Korean War in 1950, and has unleashed a number of military and terrorist provocations in the decades since -- but also because any significant armed clash affecting the heavyweight economies of China, Japan and South Korea would hammer global financial markets.

CNN's special coverage of North Korea

Following a suspected stroke in the summer of 2008, Kim Jong Il has appeared to be in frail health, fuelling heated speculation in South Korea and elsewhere about when he will name his successor, and who it will be. Since early 2009, a range of signs has pointed at Kim Jong Un as that man.

With the youthful Kim being either 27 or 28 years old, experts expect him to require a mentor to guide him along the path to power in a society in which age is greatly respected. Kim Jong Il's brother-in-law, Jang Song-thaek, widely seen as his right-hand man since 2009, is expected to act as regent to the young Kim as he takes on increasing responsibilities.

Opinion: Political change in the wind?

Jang's wife, Kim Kyong Hui, was promoted to general in the same announcement that mentioned Kim Jong Un, a move seen as solidifying the power of herself, Jang, and thereby, the young Kim in what many now consider to be less a Stalinist state and more a royal dynasty.

"Kim Kyong Hui will be his 'caretaker' to nominate him if Kim Jong Il dies," said Ha Taekeung, president of Open Radio for North Korea, a Seoul-based non-governmental organization. He noted that for Kim Jong Un to formally assume power, he would need to be nominated chairman of the National Defense Committee and general secretary of the Workers Party of Korea. "The principle of the bloodline means that only a direct descendant of Kim Il Sung can be part of the succession, and Jang is not a descendant of Kim Il Sung."

Also on Tuesday, the Korean Central News Agency stated that the party conference, "... solemnly declared internally and externally that Kim Jong Il was reelected as general secretary of the Workers Party of Korea with the unanimous will and wishes of all the party members."

Although Kim has always held that title, he is usually referred to as chairman of the National Defense Committee. The re-designation at the start of the party conference could simply be a tactic to remind the public that Kim is party head as well as military head, said Myers.

Vice guide to North Korea

While state media has been unusually active in announcing protocol details about the highest-placed members of North Korea's elite, no news footage has yet emerged of the conference, fuelling speculation in South Korea that its key figure, Kim Jong Il, may be suffering particularly frail health at present.

@highlight

The announcement came right before the biggest ruling party meeting in decades

@highlight

Kim Jong Un's promotion was the first time he was named in official communications

@highlight

Some analysts had hoped he would be more economically oriented