(CNN) -- Early Sunday, as the sun ascended to the winter sky, the very last American convoy made its way down the main highway that connects Iraq and Kuwait.

The military called it its final "tactical road march." A series of 110 heavily armored, hulking trucks and Mine Resistant Ambush Protected vehicles carrying about 500 soldiers streamed slowly but steadily out of the combat zone.

A few minutes before 8 a.m., the metal gate behind the last MRAP closed. With it came to an end a deadly and divisive war that lasted almost nine years, its enormous cost calculated in blood and billions.

Some rushed to touch the gate, forever a symbol now of an emotional, landmark day. Some cheered with the Army's ultimate expression of affirmation: "Hooah!"

"It's hard to put words to it right now," said Lt. Col. Jack Vantress.

"It's a feeling of elation," he said, "to see what we've accomplished in the last eight-and-a-half years and then to be part of the last movement out of Iraq."

Once, when hundreds of thousands of Americans were in Iraq, the main highway was better known as Main Supply Route Tampa and soldiers trekked north towards Baghdad and beyond, never knowing what danger lurked on their path.

Analysts: Questions remain as U.S. troops leave

On this monumental day, the Texas-based 3rd Brigade Special Troops Battalion, 1st Cavalry Division's main concern was how to avoid a traffic jam on their final journey in Iraq.

Staff Sgt. Daniel Gaumer, 37, was on this road in August 2003. It was his first time at war. He was frightened.

There was not a lot of traffic at that time, he recalled. He remembered a lot of cheering by Iraqis, even though the situation was tense.

Sunday morning, the air was decidedly different.

"It's pretty historic," he said about the drive south, hoping he will not ever have to come back through this unforgiving terrain again.

Once there were bases sprinkled in the desolate desert between Nasiriya and Basra, American soldiers hidden from view behind walls of giant mesh Hesco bags filled with dirt and sand to stave off incoming fire.

On this day, the roads, the bases were in Iraqi hands, the sands in the bags returned to the earth.

Once, almost nine years ago in March 2003, U.S. tanks and armored personnel carriers had thundered north, with the drive and determination needed to decapitate a dictator.

Timeline: Key dates in the war

On this day, heading south towards Khabari border crossing, the soldiers took stock of their sacrifice.

In another war, there had been little joy or even emotion as final jet transports lifted Americans from Vietnamese soil.

Sunday saw the end of the largest troop drawdown for the United States since Vietnam.

Those men and women who fought in Iraq may not feel they are leaving behind an unfinished war or returning home to a nation as deeply scarred as it was after years of Vietnam.

But many crossed the border harboring mixed feelings and doubt about the future of Iraq.

"The biggest thing about going home is just that it's home," Gaumer said. "It's civilization as I know it -- the Western world, not sand and dust and the occasional rain here and there."

A month ago, Adder, the last U.S. base before the five-hour drive to the Kuwaiti border, housed 12,000 people. By Thursday, the day the United States formally ended its mission in Iraq with a flag-casing ceremony in Baghdad, under 1,000 people remained there.

The 3rd Brigade Special Troops Battalion, 1st Cavalry Division officially transferred control of Camp Adder to the Iraqis on Friday, though it did not really change hands until the last American departed early Sunday morning.

Group seeks to help returning vets find jobs

At its height, Adder housed thousands of troops and had a large PX, fast-food outlets, coffee shops and even an Italian restaurant. Now a ghost town, the United States gave 110,000 items left at Adder to the Iraqis, a loot worth $76 million, according to the military.

In her last days working in a guard tower in Iraq, Sgt. Ashley Vorhees, 29, dreamed of seeing her three children and eating crispy chicken tacos at Rosa's Mexican restaurant in Killeen, Texas. She also looked forward to not having to carry her gun with her to the bathroom.

Vorhees, a combat medic, spent her first tour of Iraq with her husband, also a soldier.

"When Osama bin Laden was captured and killed, my mom was like 'Does that mean that everybody is coming home now?'" Vorhees said.

"We actually had it a lot better than the people did who did the initial invasion," she said. "We're just thankful that we're not getting attacked every day."

When the war was at its worst in 2006, America had 239,000 men and women in uniform stationed in more than 500 bases sprinkled throughout Iraq. Another 135,000 contractors were working in Iraq.

The United States will still maintain a presence in Iraq: hundreds of nonmilitary personnel, including 1,700 diplomats, law enforcement officers, and economic, agricultural and other experts, according to the State Department. In addition, 5,000 security contractors will protect Americans and another 4,500 contractors will serve in other roles.

The quiet U.S. exit, shrouded in secrecy until it occurred, closes a war that was contentious from the start and cost the nation more than $800 billion.

President Barack Obama, who had made a campaign promise to bring home American troops, reflected on a greater cost as Sunday's exit made good on his word.

According to the defense department, 4,487 service members were killed in the war. More than 30,000 were wounded. In all, 1.5 million Americans served their nation at war.

"All of them -- our troops, veterans, and their families -- will always have the thanks of a grateful nation," Obama said in his weekly radio address Saturday.

It's impossible to know with certainty the number of Iraqis who have died in Iraq since 2003. But the independent public database Iraq Body Count has compiled reports of more than 150,000 between the invasion and October 2010, with four out of five dead being civilians.

And the question of how Iraq will fare in the months ahead, without U.S. troops, is also impossible to answer.

Even before the last soldiers had left, political crisis was erupting in Baghdad.

The powerful political bloc Iraqiya said it was suspending its participation in parliament, which would threaten Iraq's fragile power-sharing arrangement. Iraqiya accuses Iraqi Prime Minister Nuri al-Maliki of amassing power.

The withdrawal of U.S. troops stirred conflicting emotions on the streets of Baghdad.

In the predominately Sunni neighborhood of Adhamiya, where Saddam Hussein made his final public appearance in 2003, a man said residents were afraid, tense and worried about Iran's influence. He refused to appear on camera or give his name because of what he said was the sensitive nature of the situation.

In a Shia neighborhood on the other side of the city, one man said he supported the toppling of Hussein's regime, but felt too much blood was shed afterward.

"The U.S.A. went through and they ruined this country, (bringing) with them many troubles. And now they're going, and ... more trouble's coming," said the man, who asked to be called Abu Ali for security reasons.

But for the last U.S. troops out, the message was clear

Col. Doug Crissman, their commander, spent the past few weeks speaking to the soldiers in each of his companies.

He told them he was proud of his troops and they should be proud of what they had accomplished. And, he wanted his soldiers to take care of themselves back home as much as they did in Iraq.

In the months before the brigade deployed in February, it lost 13 soldiers to accidents, some because of driving under the influence of alcohol. At least one death was a suicide.

"Quite frankly we lost more soldiers in peacetime in the nine or 10 months before this brigade deployed due to accidents and risky behavior ... than we lost here in combat," Crissman said. "We want every soldier that survived this combat deployment to survive redeployment and reintegration."

Capt. Mark Askew, 28, said he was worried about the well-being of his soldiers, many of whom have done multiple tours of Iraq and felt the stress and sting of war.

Was the loss, the grief, worth it?

For Askew, it will all depend on how Iraq's future unfolds -- whether democracy and human rights will take root, whether Iraq will be a steadfast U.S. ally.

It will depend, he said, on how Iraq shapes its own destiny.

CNN's Ingrid Formanek reported from the Iraq-Kuwait border, Jomana Karadsheh and Arwa Damon from Baghdad and Moni Basu from Atlanta.

@highlight

NEW: The withdrawal of U.S. troops stirs conflicting emotions on the streets of Baghdad

@highlight

About 500 U.S. soldiers cross into Kuwait, ending almost nine years of war in Iraq

@highlight

They are the last U.S. troops in the largest drawdown since the Vietnam War

@highlight

They make the journey south from Camp Adder, the U.S. base closest to Kuwaiti border