(CNN) -- High in the hills between Ramallah and Nablus in the West Bank sits a huge construction site its developers hope will transform the lives of Palestinians for generations to come.

Rawabi is the first planned city of its kind and is not short on ambition.

The renderings for the $1 billion development show many shiny amenities that might seem out of place in an area that has a per capita income of $1,610.

The vision for the project that began construction in January 2010 includes homes for 40,000 residents, a park, a 20,000-seat amphitheater, a convention center and a theater.

Bashar Masri, the Nablus-born, American-educated entrepreneur behind the project, is going well beyond the traditional call of duty for a private developer.

He is negotiating with international companies to ensure there are jobs ready for the city's inhabitants, and is even building the waste water treatment plants, the water reservoirs and three public schools.

"We were shocked when we realized we'd have to build the schools," he says. "That is something I didn't plan for. We appealed to the Palestinian government to come in and assist us with at least that, but unfortunately, they're broke and have other priorities."

Read more: Demand for British butlers in the Middle East

Masri's investment is both emotional and financial. For him, Rawabi is not just a housing development but an economic lifeline for the people in the Palestinian territory. The project, which employs 5,000 Palestinians, is already the West Bank's single biggest private sector employer. When the first tenants move in, ideally in January, he hopes the city will provide a further 1,500 jobs.

"If you created 10 projects like this, you'd create a huge difference in the Palestinian economy," he says. The project is also his grassroots attempt at nation-building. A strong Palestinian economy, he argues, could one day be the answer to a fully independent Palestine.

According to Mark Regev, the spokesperson for Israeli Prime Minister Benjamin Netanyahu, the project has support on both sides of the green line.

"It's not a zero-sum game," he says. "If the Palestinians have a better economy and a healthier political system, and life is better for Palestine, then life is better for us as well. It's crucial that you augment the peace process with tangible economic steps, and Rawabi is definitely a tangible step that we support."

While Masri acknowledges that Rawabi does not represent the answer to all the problems facing a peace settlement, saying he "didn't design it thinking Israel and Palestine would kiss and be happy," he does harbor hopes that economic development will play a favorable role.

"In signing a peace agreement, there are concessions to be made, and if people are happy with their lives, they will be more supportive of making those concessions and getting their leaders to sign the dotted line," he says.

Read more: Tiny museum more "liked" than the Louvre

However, some experts are less optimistic.

"Even if it got constructed and filled to capacity and became a thriving city, it will not change the underlying geo-political realities where Palestine is divided between two different governments, or address the settlements, which remain the biggest hurdle," says Kamran Bokhari, the vice president of Middle Eastern and South Asian affairs for Stratfor, a global intelligence company.

Bokhari also questions whether the Palestinian economy is strong enough to fill the units, the first 700 of which went on sale last month. Though more affordable than other West Bank properties, at $60,000 to $170,000, their price tag is aimed at the middle class.

"The Palestinian economy is in shambles. It does not have too many indigenous sources of revenue," Bokhari says.

Masri, however, says he's already sold 90% of the listed units.

"We're selling units as fast as we can process them right now, which is a great problem to have."

Read more: Stunning photos of Dubai from above the clouds

One feature that makes the apartments both popular and difficult to process is the financing options available. The West Bank doesn't have a traditional mortgage system in place; often, accommodation is paid for up front, in cash. In 2010, the Overseas Private Investment Corporation and the International Finance Corporation set up a $500 million mortgage fund that has revolutionized the Palestinian property market.

"I'd say 99% of buyers at Rawabi wouldn't be able to afford it without financing," says Masri. "It's a process you're used to in the U.S., but it's new to us, and takes four to five hours to go through an application."

However there remains the worry that buying -- let alone developing -- a property in the West Bank is a risky investment.

"Let's say some sort of strike begins in the West Bank, or there's spillover from Syria and Israeli authorities have to crack down. This kind of project will obviously be vulnerable," says Bokhari. "The people funding this project will hit the brakes."

Masri acknowledges that Rawabi would be in trouble under such an occurrence, though it is not something that seems to cause him much distress.

"A little downtrend in politics will hurt Rawabi, but never destroy Rawabi," he says. "It may delay it another year, or two, or five, but it will never kill the idea."

@highlight

Rawabi is the largest privately-funded development project in Palestinian history

@highlight

The finished project will include homes for 40,000 residents, a convention center and three schools

@highlight

Its construction provides 5,000 jobs, and there are hopes it will provide more after tenants move in

@highlight

The project could lift the economy, but some say it won't change the region's geo-political instability