(CNN) -- Last year, after CNN readers voted for me to do a story on income inequality, I spent two weeks reporting from what was then the "most unequal place in America": East Carroll Parish, Louisiana. It's a tiny patch of land on the western bank of the Mississippi River -- home to a beautiful oxbow lake called Lake Providence. That lake, I found, is a stark barrier between rich and poor -- and a fitting microcosm for inequality across the nation.

My goal in reporting on the parish, on your behalf, was to spark a national conversation on income inequality that could, in some small way, help push for change.

I'm now happy to report that the level of income inequality in East Carroll Parish, while still quite high, has dropped considerably.

New York is now the worst.

East Carroll Parish went from top-of-list to No. 128.

Manhattan -- or New York County -- has the highest inequality rating, followed by Borden County, Texas; Franklin County, Mississippi (which I visited in 2013 for a very different kind of story); Mineral County, Colorado; and Greene County, Georgia, according to census data released on Thursday. The new data is part of the American Community Survey, and is an average of data from the years 2009 to 2013.

The census, and many economists, use a wonky metric called the "Gini coefficient" to measure how income is spread across a particular society or geography. A rating of zero means a society is perfectly equal -- or that everyone has the same level of income. A rating of one means that literally all the income falls into the hands of one man or woman. East Carroll Parish had a rating of 0.67 in 2011, which was the most recent data available when I traveled to the parish. Now, its rating is 0.50, which isn't that much higher than the U.S. Gini coefficient, which is 0.47, according to the census.

"It's a big change," Kirby Posey, a survey statistician at the U.S. Census Bureau said of the shift in East Carroll Parish. It's also one, he said, that's statistically significant when you compare 2011 data from the parish to the current set.

New York County's inequality, meanwhile, has remained constant over the same period, holding steady at about 0.60.

Mind you, that level of inequality is still not good. The United States is one of the most economically split nations in the world -- with more income inequality than Nigeria or Russia. The most equal country, according to CIA data, is Sweden, with a rating of 0.23.

Also, there's a lag in data reporting. The most recent numbers, those released on Thursday, come from interviews that were taken between 2009 and 2013 as part of the American Community Survey. So it's difficult to get an exact snapshot of this moment.

I do, however, find East Carroll Parish's drop in inequality promising.

It's hard, from my desk in Atlanta, to tease out exactly how and why this shift occurred in East Carroll Parish. Posey, from the census, wasn't sure, either. I left messages with the sheriff of East Carroll Parish and the mayor of Lake Providence, among others, but I haven't heard back from them. I'll update this piece if and when I do.

The one resident I could reach was Bernadette Barrett, or "Sister Bernie," as she's known locally, because she's an Irish Catholic nun. She told me some new jobs -- including those with a pepper farm and at a chemical processing plant -- have come to town, or are coming soon. "Some people have gotten employed there -- so that's helping bring people up," she said. She told me there's talk of a new tomato cannery in town, too.

The numbers, however, indicate something else may be at play: The rich are getting less rich. The average income for the top 5% of earners in the parish was $610,884 in 2011 -- but fell sharply to only $165,017 in 2013, the data show. The average income for the top 20% fell from $224,264 to $97,104 over the same period.

It's unclear what would have caused that plunge.

There have been symbolic signs of progress, though. Among them is that locals and volunteers finished painting a mural downtown. It features a crossword puzzle with words like "believe," "hope" and "change." It also includes a painting of Dede Willis, a young woman who was featured in the video on the income gap in Lake Providence, which I produced with videographer Edythe McNamee.

I'll leave you for now with something Willis, then 18, told us on our visit: "If one day someone just came (and said), 'Dede, here's a million dollars, do whatever you want,' I would build a huge bridge across the lake. And then, after a while, (the rich and the poor) are not going to have a choice but to talk to each other."

My hope is that Dede's bridge, at least symbolically, is already being built.

@highlight

CNN's John Sutter looks at new income inequality data from the census

@highlight

New York County has the highest inequality level, according to the data

@highlight

East Carroll, Parish, Louisiana, which Sutter featured last year, drops to No. 128

@highlight

Sutter celebrates the news as a sign that things are changing in that rural community