(CNN) -- While protesters in Ferguson, Missouri, are demanding justice for the killing of Michael Brown by police, questions are being asked about the man who at the moment is responsible for pursuing any prosecution and whether he can be impartial.

Some residents and community leaders contend St. Louis County Prosecuting Attorney Robert McCulloch has deep ties to the police and has favored law enforcement in criminal cases.

Missouri State Sen. Jamilah Nasheed launched a petition that now has more than 26,000 signatures to remove McCulloch from the case and replace him with a special prosecutor to handle any criminal case arising from the August 9 shooting of Brown, an African-American who was unarmed when killed by a white police officer.

The shooting has touched off demonstrations that have led to confrontations with police, and some looting and violence.

The National Guard was called in, President Barack Obama appealed for "understanding" and cooler heads, and Attorney General Eric Holder visited Ferguson on Wednesday to assess things. His agency has launched a civil rights probe.

McCulloch, however, has indicated that he is going nowhere and plans to do his job.

CNN has sought to interview him, but the request has not been granted.

But in a radio interview with with McGraw Millhaven on KTRS, McCulloch promised a comprehensive and fair investigation.

"We will be presenting absolutely everything to this grand jury. Every statement that a witness made, every witness, every photograph, every piece of physical evidence. Absolutely nothing will be left out so the grand jury is making their decision based upon absolutely everything and we'll go from there," McCulloch said Wednesday.

The grand jury will be given evidence as early as Wednesday, a process that could last until the middle of October, McCulloch said.

Critics question McCulloch's dedication to a fair outcome and some have said he has moved too slowly.

The officer "should be charged and arrested. It's been over a week now," Patricia Bynes, the Democratic Party committeewoman for Ferguson Township, told CNN. We are "motivated to have a transparent case that's accountable to the community and to make sure justice is done at every level," Bynes said.

5 things to know about the Brown shooting

Bynes said McCulloch's ties with police in the county could cloud his judgment.

McCulloch's father was a police officer and was killed on the job in 1964 by an African-American man, when McCulloch was 12, McCulloch's spokesperson Ed Magee confirmed to CNN. In addition to his father, McCulloch's brother, an uncle and a cousin all served with the St. Louis Police Department, and his mother worked as a clerk at the department, Magee said.

McCulloch, who as a teenager lost a leg to cancer, made it his career ambition to become a prosecutor. He was quoted by the St. Louis Post-Dispatch as telling a reporter, while first campaigning for the office: "I couldn't become a policeman, so being county prosecutor is the next best thing."

McCulloch has no plans to step aside and Magee said it doesn't have any impact on how he will handle the current case.

"I have absolutely no intention of walking away from duties and the responsibilities entrusted in me by the people of this community," McCulloch said during the radio interview.

While the Justice Department is conducting its own civil rights investigation, Ferguson elected officials are concerned about the local investigation. McCulloch has overseen controversial cases before, some including police officers and black suspects.

Complete coverage of the Brown shooting

The petition being circulated points to a 2000 incident in which two suspected drug dealers were killed by two police officers, McCulloch never brought charges against the officers, concluding they acted in self-defense. A subsequent federal investigation found that the men were unarmed and not moving in the direction of the officers, but because the officers felt endangered, the investigation found that the shootings were justified, the St. Louis Post-Dispatch reported.

"He doesn't have the fortitude to do the right thing when it comes to prosecuting police officers," Nasheed said on CNN's "Newsroom" on Tuesday.

Chris King, editorial director at the St. Louis American, an African-American publication, said McCulloch has already "manipulated" the Brown case by the way he is releasing information. The St. Louis County Police released a convenience store video from just minutes before Brown's death that showed a person who resembled Brown stealing a box of cigars.

"All of this information should have come out all at once in group. By leaking out in pieces, he is encouraging this kind of speculation," King said on CNN's "New Day."

Concerns about McCulloch arose again after Missouri Gov. Jay Nixon replaced the St. Louis County Police with the Missouri State Highway Patrol for security last week because he said the initial law enforcement response to the shooting was excessive. McCulloch told CNN affiliate KMOV that the governor had "no legal authority" to make such a move.

Why no arrest yet?

Upsetting to Ferguson residents, Missouri State Sen. Maria Chappelle-Nadal said, is that Darren Wilson, who has been identified as the officer who shot Brown, has not yet been arrested or charged. He is on paid administrative leave. It is up to the grand jury to determine what charges, if any, will be placed on Wilson.

"I am concerned because my constituents are concerned," Chappelle-Nadal told CNN. She said protesters carry signs or post signs in their yard demanding that McCulloch step aside. "They say this could have been me and if they killed someone they would immediately be in jail."

But Philip Holloway, a criminal defense attorney who previously was a police officer and a prosecutor, said the fact that Wilson has not yet been charged or arrested is because he could have been acting in self-defense. Evidence must be analyzed before an arrest is made or charges are brought.

"Police officers have no more or less of a right to self-defense" than private citizens, Holloway said.

Autopsy results enough to charge officer, Brown family attorney says

Magee, the county prosecutor's spokesman, said, "The people of St. Louis County have faith in Mr. McCulloch and his ability to carry out his duties."

McCulloch has been prosecuting attorney since 1991, and has been reelected to four-year terms ever since. He overwhelmingly won his primary on August 5, just four days before Brown's death. He had an opponent for the first time since his 1994 campaign, facing off against an African-American woman, Leslie Tolliver Broadnax. She raised just $13,450 compared to McCulloch's $361,000, according to the Missouri Ethics Commission.

Friction between McCulloch and the governor

The governor addressed concerns about McCulloch.

"He's an experienced prosecutor, and this is his opportunity to step up," Nixon said Sunday on CNN's "State of the Union." "It's important we get this right. This is a big matter."

Late Tuesday night, he issued a statement saying he is not asking McCulloch to recuse himself but that it is up to McCulloch to remove himself from the case.

"There is a well-established process by which a prosecutor can recuse themselves from a pending investigation, and a special prosecutor be appointed," Nixon said. " Departing from this established process could unnecessarily inject legal uncertainty into this matter and potentially jeopardize the prosecution."

McCulloch slammed Nixon's statement, saying he needs to "man up" and decide if he wants him to stay on the case.

"It's the typical Nixon doublespeak," McCulloch said on KTRS. "He says nothing and he's ducking."

Magazine: The Aftermath in Ferguson

Read more about the flash point in the Heartland at CNN.com/US

@highlight

Any criminal case in Michael Brown's shooting rests with prosecutor Bob McCulloch

@highlight

Some have little confidence that he will be aggressive in prosecuting police

@highlight

They are asking for him to step aside and for a special prosecutor to be named

@highlight

NEW: An attempt will be made on Wednesday to present evidence to a grand jury