Atlanta, Georgia (CNN) -- The final runoff of Egypt's first free elections in recent memory has ended and the result is clear: Islamist parties have swept the popular vote.

Should the international community worry?

In every Arab country where popular uprisings have pushed dictators out of power, Islamist parties have become the most powerful political force. That has caused anxiety among progressive Arabs and a great deal of confusion in the West. After all, the uprisings that were optimistically labeled the "Arab Spring" were supposed to herald a blossoming of freedom, democracy and equality. Do Islamist parties believe in freedom, democracy and equality?

If you ask them, you will hear a symphony of reassurances and contradictions, punctuated by an occasionally jarring declaration, as when Egypt's Salafi Nour Party proclaimed that "democracy is heresy."

If there were a surprise in Egypt's parliamentary elections, it was the strong showing of the ultraconservative Salafis, who would like to turn the social clock back by several centuries and return to the rules that governed Muslim lands in the days of the Prophet Muhammad, about 1300 years ago.

The Salafists have proposed banning women and Christians from holding office, ending alcohol sales and cutting off the hands of thieves. They call Christians and Jews "infidels."

The other electoral surprise, in Egypt and elsewhere in the Arab world, is just how badly liberal groups -- the ones who launched the uprisings and embrace the kind of democracy we would recognize in the West -- fared at the polls.

The Freedom and Justice Party of the Muslim Brotherhood came on top in Egypt's latest election, taking about 40% of the vote. The Salafis came in second with about 25%. This means that Islamist parties captured a whopping two-thirds of the vote. The winners will form Egypt's first democratically-elected parliament, which will choose the people who write the country's new constitution.

The Salafis' extreme views have helped the Brotherhood look moderate, which is exactly the image they want to project to the West.

Leaders of parties affiliated with or inspired by Egypt's Muslim Brotherhood who have won elections in Tunisia and even in Morocco, where King Mohamed VI allowed elections to prevent an uprising, say they support democratic principles. When speaking to the Western media, they have especially tried to send out a reassuring message. But occasionally they have slipped up.

In fact, the Muslim Brotherhood is still trying to sort out where it stands on many issues. A case in point is the peace treaty with Israel. The group has said it has no intention of revoking the treaty. But a few days ago, the deputy leader of the Muslim Brotherhood, Rashad Bayumi, told the newspaper Al Hayat that the Brotherhood would never recognize Israel, is not committed to the peace treaty and would take steps to change it.

At the moment, liberal Egyptian activists are more focused on how to wrest power from the military. But, assuming that battle succeeds, their attention will turn to what an Islamist government would mean. Both the Salafis and the Brotherhood acknowledge plans to impose Sharia, the traditional Islamic law. The difference is that Salafis want to do it immediately. The Muslim Brotherhood, which has learned patience during decades of operating underground, says it will bring it back gradually, over many years.

It wasn't very long ago the Muslim Brotherhood declared it would not allow a Christian to become president. About 10% of Egyptians are Coptic Christians, who have endured brutal attacks since the uprising that ended the dictatorship of Hosni Mubarak. But the Muslim Brotherhood has been steadily toning down its rhetoric. Throughout the region, the long-time leaders of Islamist organizations, which had been banned by regimes often supported by the U.S. and its European allies, are emerging as powerful politicians trying to convince the rest of the world to trust them.

Countries like Egypt, Tunisia and Morocco, all need Western tourists and their hard currency. The last thing they want is to spook investors and worsen their already dire economies.

In the West, some are convinced that this turn of events spells disaster. They don't believe the Islamists' claims to moderation and think they are biding their time and will eventually show their true, radical colors. After all, the Muslim Brotherhood has deep extremist roots. One of the major figures in the organization's history, Sayid Qutb, had a passionate hatred of the U.S. and the West. His views on the Jews fed the worst anti-Semitic conspiracy theories among his followers. It's hard to imagine all of this has suddenly evaporated.

And yet, the Brotherhood also has a strong pragmatic streak. While it is true that it provided the ideological fuel for al Qaeda and for the Gama'a al-Islamiya and Islamic Jihad -- the group that assassinated Egyptian President Anwar Sadat as punishment for making peace with Israel -- it is also true that these terrorist groups emerged after the Muslim Brotherhood renounced violence.

So, what do Islamists really hope to accomplish?

Washington doesn't need to wait for an answer to that question before it starts responding to this uncertain situation. In fact, it can already start helping to shape the future of the Arab world by strongly promoting the ideals it supports. The Egyptian people have not studied democracy the way Americans or Europeans have. President Obama and his counterparts in other liberal democracies should help explain the West's vision of democratic principles and tolerance. They should talk about how democracy does not just mean majority rule; it also means protection of minorities, equality for women and for people of all religions. It means rule of law and an independent judiciary. The West should make clear that those leaders who help preserve peace and build that vision of society in the emerging Arab democracies will have its support while those who don't will not have its backing.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Islamist parties in Egypt swept the popular vote in the latest round of parliamentary elections

@highlight

Frida Ghitis asks whether the international community should worry

@highlight

Some of the Islamists are still trying to sort out where they stand on many issues

@highlight

Ghitis: U.S. can help shape Arab world by promoting democratic ideals