(CNN) -- It's an unnerving realization: the futuristic films of your youth have become reality.

The lasers that terrified a generation in HG Wells's War of the Worlds are now used in everything from DVD players to the operating table. While Star Trek's farfetched "language translator" is as simple as downloading an app to your smart phone.

Now the slick electric cars that battled against each other in 1980s sci-fi thriller "Tron" have leaped from the movies to our front doors.

Introducing the world's first Formula E motor race, an international competition where high-tech electric cars speed around some of the world's major cities -- all without a drop of gasoline in sight.

"These motors are something no one has ever done before -- it's pretty science fiction," said Formula E CEO Alejandro Agag.

"If you think of movies like Tron or Star Wars and the noise those cars make, Formula E will sound a lot like that. The sound of the electric engine is quite interesting -- it's much lower, very futuristic, a bit like a jet fighter."

Brave new world

The future, it seems, is much closer than you think. From September next year these battery-powered beasts will be zipping around 10 of the biggest cities in the world, as part of a year-long competition that could revolutionize not just the sport -- but the future of transportation.

Much like traditional Formula One racing, the competition will feature 10 teams, each with two drivers, who will go head-to-head in 60-minute races.

Beijing -- one of the most polluted cities in the world -- is expected to be the first to host the radical competition showcasing green technology. Other cities will include London, Los Angeles and Rio de Janeiro.

Already, major motorsport teams have signed up to the ambitious plan -- including U.S. team Andretti Autosport, Britain's Drayson Racing, and China Racing -- each expected to spend between $5 million and $10 million developing their high-tech engines.

Watch this: The aerodynamics of F1

"We're not trying to compete with Formula One -- we're positioning ourselves in a completely different way," said Agag.

"FE will be much more focused on new technology," he added. "The lower level of sound also means we can race in the heart of major cities without the same level of disruption."

Battery beasts

As the name suggests, Formula E is all about electric power -- and that means big battery engines.

Each battery weighs 200 kilograms, producing around 200 kilowatts of power. Depending on the speed, an electric engine can last anywhere from a few hours to just 25 minutes.

And if you thought they lacked the grunt of traditional engines, think again. These battery beasts can hit speeds of 220 kilometers per hour.

The gas pump is also a thing of the past in the brave new world of zero-emission racing. Once the battery is used, it can be charged again as many times as you like.

"From the outside they look just like other racing cars," said Agag. "They're slightly smaller with more weight towards the back where the battery is.

"At the moment the electricity is from batteries but in the future it could run on different sources of energy. We're already working on a hydrogen prototype."

Green machines

Driving this new technology isn't just an era of Tron-like expansion. It's a racing industry grappling with increased environmental concerns.

For more than 60 years, Formula One has raced gas-guzzling cars across a planet which is now facing not just the threat of climate change, but limited and expensive oil supplies.

Two years ago motorsport's international governing body, the Federation International de l'Automobile (FIA), announced an ambitious plan for an electric car race that would mimic the hugely popular F1 series. Now as the deadline for Formula E looms, it could have a big impact on the future of car manufacturing.

"If you look in the past, a lot of development in the car industry has come from racing," said Agag. "The transfer of technology is potentially very big.

"It's important because people are not buying electric cars at the moment -- they think they're too slow, with limited range, and ugly. But if you show that they can go faster, longer, you'll change people's minds -- they'll be more likely to buy electric."

When Formula E waves its chequered flag for the first time in September next year, it will be a momentous moment in the history of motor racing -- and a step towards the sci-fi future.

@highlight

The future is electric -- introducing Formula E racing

@highlight

New motor racing competition features battery-powered cars

@highlight

Engine sounds like something from sci-fi films Tron and Star Wars

@highlight

Cars can hit speeds of 220 kilometers per hour