Washington (CNN) -- U.S. Attorney General Eric Holder said Friday his office is looking into requests by lawmakers to investigate News Corp., the multinational media conglomerate run by Rupert Murdoch.

News Corp. is embroiled in a phone hacking scandal in the United Kingdom that forced one of its top executives, Rebekah Brooks, to resign Friday. Now, U.S. legislators say they want to know if the company engaged in that illegal activity in the United States.

"There have been serious allegations raised in that regard in Great Britain, there is an ongoing investigation," Holder told reporters in Sydney, Australia.

"There have been members of Congress in the United States who have asked us to investigate those same allegations. And we are progressing in the regard using the appropriate federal agencies in the United Sates. "

The FBI has launched an investigation into News Corp. after a report that the company's employees or associates may have attempted to hack into phone conversations and voice mail boxes of September 11 survivors, victims and their families, a federal law enforcement source told CNN Thursday.

"We are aware of the allegations and are looking into them," said the source, who requested anonymity due to the sensitivity of the investigation. "We'll be looking at anyone acting for or on behalf of News Corp., from the top down to janitors," to gather information and determine whether any laws may have been broken.

Because the investigation just began, it's too early to say when the first interviews will be conducted, the source said, adding the probe is a "high priority."

Rep. Peter King, R-New York, earlier this week asked FBI Director Robert Mueller to investigate the possibility that journalists working for Murdoch may have tapped into the phones of 9/11 victims and relatives.

News Corp. said Thursday it had no comment on the FBI investigation or the possibility of congressional hearings.

Meanwhile, News Corp. boss Rupert Murdoch said in an interview Thursday with the Wall Street Journal newspaper -- one of News Corp.'s own publications -- that he felt the company had handled the crisis "extremely well in every way possible."

He told the newspaper he had decided to appear before British politicians next Tuesday, after initially declining to attend the hearing, because he wanted to address "some of the things that have been said in Parliament, some of which are total lies. We think it's important to absolutely establish our integrity in the eyes of the public... I felt it's best just to be as transparent as possible."

Murdoch told the Journal that News Corp. would establish its own independent committee, to be led by a "distinguished non-employee," "to investigate every charge of improper conduct" and to draw up a "protocol for behavior" for the company's new reporters.

Those new reporters won't be working for Brooks. The chief executive of News International, the subsidiary that runs News Corp.'s British print media, resigned Friday in the wake of the scandal.

Brooks, who was editor of News of the World at the time of some of the most serious allegations against the newspaper, has been under pressure to step down since the allegations began.

In a statement released through News International, she said: "As chief executive of the company, I feel a deep sense of responsibility for the people we have hurt and I want to reiterate how sorry I am for what we now know to have taken place... While it has been a subject of discussion, this time my resignation has been accepted."

Concerns over the hacking of phones belonging to 9/11 victims and relatives appear to be traceable to a story published Wednesday by the Mirror, a British tabloid that includes a section it describes as "gossip gone toxic."

The newspaper cited "a source" who referred to a former police officer who now works as a private investigator. "The investigator is used by a lot of journalists in America and he recently told me that he was asked to hack into the 9/11 victims' private phone data," the source reportedly told the newspaper. The source told the Mirror the request came from News of the World, the newspaper at the center of the phone-hacking scandal in Britain.

"He said that the journalists asked him to access records showing the calls that had been made to and from the mobile phones belonging to the victims and their relatives," the newspaper said.

"His presumption was that they wanted the information so they could hack into the relevant voice mails, just like has been shown they have done in the UK. The PI said he had to turn the job down. He knew how insensitive such research would be, and how bad it would look.

"The investigator said the journalists seemed particularly interested in getting the phone records belonging to the British victims of the attacks."

Relatives of the victims of the terrorist attacks expressed outrage over the possibility they may have been hacking victims.

What they went through is "heartfelt stuff, and it shouldn't be out there for all to see unless the family approves," said Jim Riches, a retired New York Fire Department deputy chief who lost a son in the attacks.

"Until we get some accountability, they're just going to keep doing it," Riches said. "It's completely unethical, unprofessional and basically criminal."

Sally Regenhard, who also lost a son in the attacks, called it "very horrifying that privacy and personal security could be violated in such an egregious manner."

"I would hold these people accountable and responsible," she told CNN Thursday. "Someone has to defend the dead."

Democratic Sen. Frank Lautenberg of New Jersey said the September 11 families have "suffered enough" and deserve answers.

Murdoch has one prominent U.S. politician, who was praised for his leadership following the 9/11 attacks, coming to his defense, saying Murdoch may have been unaware of what was going on.

"Give people the presumption of innocence," former New York Mayor Rudy Giuliani told CNN's Candy Crowley in New Hampshire on Thursday. "I think that just how high up it goes is a big question and one we shouldn't be jumping to conclusions about."

Murdoch and Giuliani are longtime friends. Also, a law and lobbying firm in which Giuliani is partner received $100,000 in lobbying fees from News Corp. in 2005, according to congressional disclosure filings.

News of the World, a 168-year-old British newspaper owned by Murdoch, folded over the weekend in the wake of accusations that its reporters illegally eavesdropped on the phone messages of murder and terrorist victims, politicians and celebrities. Police in the United Kingdom have identified almost 4,000 potential targets of phone hacking.

There also were allegations that reporters may have bribed law enforcement officers.

On Wednesday, several senators sent letters to Holder, asking him to look into concerns that News Corp. violated the Foreign Corrupt Practices Act. The law, enacted in 1977, makes it illegal for a U.S. person or company to pay foreign officials to obtain or retain business.

Potential liability flows from journalists at News of the World to its parent, News International, and to its parent, News Corp., which is a publicly held company in the United States, and runs Fox News.

CNN's Susan Candiotti, Carol Cratty and Terry Frieden contributed to this report.

@highlight

Attorney General Eric Holder says federal agencies are looking into News Corp.

@highlight

The FBI has launched an investigation into the media conglomerate, a source tells CNN

@highlight

Rebekah Brooks, the CEO of News Corp.'s News International unit, resigned Friday

@highlight

Former New York Mayor Rudy Giuliani says not to rush to judgment about News Corp.'s Rupert Murdoch