(CNN) -- Since the revolution which ousted former president Hosni Mubarak from power after 30 years, the world has grown accustomed to seeing Egyptian revolutionaries protesting on the streets of Cairo.

But there is another, less well-known group of protesters on the streets these days -- pro-Mubarak supporters, who gather, wearing T-shirts with slogans and holding up pictures of Mubarak, proclaiming their support for the ex-president.

They call themselves the "Sons of Mubarak" -- men and women, rich and poor -- ardent supporters of the former president, who believe he deserves respect and is innocent of charges of corruption and killing protesters. Offended by the ousting of Mubarak, they say insulting the former president is like insulting Egypt.

Mubarak's trial resumes Monday and he could face the death penalty if convicted. On the two occasions when Mubarak previously appeared in court in August at the Police Academy, wheeled into a courtroom cage on a hospital gurney, hundreds of the Sons gathered outside.

They chanted: "Oh Mubarak, hold your head high" ... "We will demolish the prison and burn it down, if Hosni Mubarak is sentenced."

During his second appearance, on August 15, tensions between the Sons and anti-Mubarak protesters flared into violence. Under the blazing sun, hundreds of Mubarak's opponents and supporters threw rocks at each other, leaving dozens injured.

Mostly men and a few women, and of all age groups and social backgrounds, the Sons are well organized and immediately recognizable by their T-shirts, which say in Arabic: "I am Egyptian, and I refuse to insult the nation's leader."

"We are supporting the president in a peaceful manner," said engineer Dalia Saleh, a founding member of the group.

There are 30 founding members and the group's Facebook page "We are sorry, Mr. President" has more than 100,000 followers, many of whom have participated in the group's regular charity events and the protests, according to Saleh.

Asem Abu El Kheir, another founding member of the group created the Facebook page on February 26, the day after the Egyptian revolution started because of "the images of protesters waving their shoes, and burning posters of Mubarak" he saw.

"It was total disrespect of a war hero," he said.

Magdi Fouda, an Egyptian journalist and the group's media coordinator claims there are still many supporters of Mubarak in Egypt, but that they are too scared to support him openly.

"The media does not give us a voice and many Mubarak supporters want to take to the streets but are scared for their well-being.

"We were all hurt by the treatment of President Mubarak, he is no dictator and insulting him is insulting Egypt," said Fouda at one of the group's weekly meetings, in a Cairo coffee shop. They also meet in their homes to discuss strategy and divide tasks.

Many in Egypt see the group as a remnant of the former regime, although the Sons of Mubarak deny links. Some Egyptians even accuse them of being delusional.

Ashraf Nagi, an anti-Mubarak protester, said: "They showed up outside State TV carrying one expensive huge birthday cake on May 4th to celebrate Mubarak's 83rd birthday. They are crazy."

Many Egyptians also believe that the Sons of Mubarak are funded externally, perhaps by the United States or Israel, who they think have an interest in supporting Western-friendly Mubarak. It is an accusation the group denies.

"If we had external funding, we would have rounded up millions of people in Tahrir (Square, during the revolution) like they did," said Fouda. "Our money comes from internal donations by group members, who are professionals who came together spontaneously.

"That is where we get money to print 1,000 T-shirts and posters," he added.

The Sons refuse to use the word revolution to describe the events that led to Mubarak stepping down earlier this year and, they say, none of them protested in Tahrir Square -- the heart of the Egyptian revolution.

Fouda said, while other group members nodded their agreement: "It's not a revolution because it destroyed the country, has no cohesive leader, and disrespects the ethics of our kind Egyptian society."

Fouda accuses Islamist movements of hijacking the revolution: "The protesters who took the streets on January 25 were decent, people, calling for change and reform.

"But, others rode the wave ... like the Muslim Brotherhood, and certain liberal movements too. Leaders such as Dr. Safwat Hegazy of the Muslim Brotherhood and Dr. Ayman Nour of the el-Ghad (liberal secular) political parties fed the protesters their personal demands."

The Sons of Mubarak deny the former regime's involvement in violence directed against protesters during the revolution, particularly the now-infamous "Battle of the Camel" on February 2 when government loyalists rode camels and horses through the protest camp, leaving two dead.

A fact-finding judicial committee later found that Safwat Al Sharif, former secretary-general of Mubarak's National Democratic Party (NDP), was among parliamentarians who had hired thugs to attack crowds.

"It (the Battle of the Camel) was all staged by the Muslim Brotherhood," according to Fouda.

"That same night, tell me how the Mubarak supporters were able to throw Molotov cocktails from the roof of a building controlled by the anti-Mubarak Muslim Brotherhood?" he added.

The group maintains that they are independent, but some in Egypt accuse Mubarak's lawyer, Fareed El Deeb, of mobilizing and funding them.

They include Khaled Abu Bakr, a prosecuting lawyer suing Mubarak on behalf of a man who was shot and badly injured by the security forces during the revolution.

"I believe El Deeb coordinates with former members of the regime and Mubarak's family to fuel some sympathy for the ousted president," Abu Bakr said.

On August 15, Abu Bakr was beaten and threatened by Sons of Mubarak members while conducting a TV interview outside the Police Academy. CNN was able to acquire photos of the beating.

The previous month, El Deeb made a telephone call to CNN to say the Sons of Mubarak -- and what he described as the "silent majority" -- were planning a protest in Roxy, an upper-class neighborhood in Cairo. "You should send a camera to cover it," El Deeb said.

When asked, Saleh admitted the Sons are in "constant communication" with El Deeb, but insisted their relationship with him is based on similar interests.

"We only take his opinion and legal advice to make sure our actions do not harm Mubarak's case," Saleh said.

The Sons of Mubarak recently started a campaign to mobilize the so-called "silent majority." They describe them as the 75 million Egyptians who didn't take to the streets during the revolution -- "the mothers and elders and their daughters" who support and love Mubarak yet remain confused on how to express their views.

"We encourage them not to stay silent," said Saleh. "They are scared to voice their opinion or take a step forward."

The group has recently started a charity campaign called "Mubarak's Good," which, they say, donates blood and babysits children in hospitals among other projects.

"Last week, we were able to channel $9,000 donated by our followers on Facebook directly to the account of the Children's Cancer Hospital to assist the treatment of cancer patients in a room now carrying the name Hosni Mubarak," claimed Saleh.

They are also launching a newspaper called the "Sun of the Truth" to "channel our voice," said Fouda. "It will be distributed for free across all Egypt's districts." The first issue includes evidence acquired from current government officials, says Fouda, that the number of protesters killed in Tahrir Square during the revolution was "exaggerated."

The group says they hope Mubarak will be acquitted, but for now they plan to do good deeds in his name and deter any campaigns that tarnish his reputation.

Winning the hearts of minds of the Egyptian society may be a challenge. Some members of the group face opposition from within their own families.

Sons of Mubarak member Riham Mohamed said: "My brother and I don't talk at all since January 25 -- he still does not get it, that the energy of the youth was used by external forces."

Members of the group also say they have received threats. Group members showed CNN samples of threatening emails and mobile phone text messages. One text read: "If you don't stop you will go to prison or be killed. I will see you in the streets."

"They (the revolutionaries) get our phone numbers off the flyers we distribute and terrorize us," Karim Hassan, said while displaying the message on his Blackberry.

One upcoming protest it is unlikely the Sons of Mubarak will attend is the "Revival of the Revolution," organized by the January 25 coalition, a group of pro-democracy political parties, planned for September 9.

"We will not attend because we don't want to be used as scapegoats when things turn ugly," said Fouda. "We will be outside the court at Mubarak's next hearing on September 5. I believe he is innocent of all charges."

On Saturday, five Kuwaiti lawyers arrived to Egypt to join the Mubarak defense team. Fouda said: "We organized a press conference for the five lawyers on Sunday and rented a hall at the Sheraton hotel to give them a chance to explain to the media why they volunteered with this good deed."

"We are standing beside former president Hosni Mubarak because he stood by us in liberating Kuwait during the invasion and we cannot forget that he stepped down to avoid the bloodshed of his own people, " Faisal al-Otaibi, one of the Kuwaiti lawyers told CNN at the press conference.

The press conference ended with a tense confrontation, which CNN witnessed, between several journalists and members of the Sons until the hotel's security intervened before the police arrived on the scene.

"Several journalists started the problem when they called us 'the thugs of Mubarak,'" said Fouda.

@highlight

"Sons of Mubarak" are ardent supporters of former Egyptian president

@highlight

Mubarak is in court on charges of corruption and killing protesters

@highlight

Sons say he is innocent, but many Egyptians believe they are remnant of former regime

@highlight

Group say they represent "silent majority" of Egyptians not involved in revolution