Washington (CNN) -- President Barack Obama sought to link the past and future on Monday in his second inaugural address, tying the nation's founding principles to the challenges confronting his second term in a call for Americans to fulfill the responsibility of citizenship.

Eschewing poetic language for rhetorical power, Obama cited the accomplishments of the past four years while laying out a progressive agenda for the next four that would tackle thorny issues like gun control, climate change and immigration reform.

"We have always understood that when times change, so must we; that fidelity to our founding principles requires new responses to new challenges; that preserving our individual freedoms ultimately requires collective action," he said.

"My fellow Americans, we are made for this moment and we will seize it so long as we seize it together," he added later.

Analysts called the speech politically astute and an important expression of new forcefulness by the president as he enters his second term following re-election last November.

"It's a real declaration of conscience, about principles, about what he believes in," said CNN Senior Political Analyst David Gergen. "He basically said, 'When I came in the first term, we had all these emergencies, we had these wars. We've now started to clear the decks. Let's talk about what's essential.'"

Obama speech addresses social justice movements

The foundation of the address, and Obama's vision for the future, were the tenets he quoted from the Declaration of Independence -- "that all men are created equal, that they are endowed by their Creator with certain unalienable rights, that among these are life, liberty, and the pursuit of happiness."

"Today, we continue a never-ending journey, to bridge the meaning of those words with the realities of our time," Obama said to gathered dignitaries and flag-waving throngs on the National Mall. "For history tells us that while these truths may be self-evident, they have never been self-executing; that while freedom is a gift from God, it must be secured by His people here on Earth."

In particularly pointed references, the president made a forceful call for gay rights that equated the issue with the struggle for women's rights in the 19th century and civil rights in the 1960s.

"We, the people, declare today that the most evident of truths -- that all of us are created equal -- is the star that guides us still; just as it guided our forebears through Seneca Falls, and Selma, and Stonewall," Obama said, mentioning landmarks of the women's, black and gay rights movements.

"It is now our generation's task to carry on what those pioneers began," he continued, prompting the loudest applause and cheers of his address when he said "our journey is not complete until our wives, our mothers, and daughters can earn a living equal to their efforts."

Opinion: 11 views on Obama's speech

More cheers came when Obama called for "our gay brothers and sisters" to be treated "like anyone else under the law -- for if we are truly created equal, then surely the love we commit to one another must be equal as well."

According to observers, it was the first time a president championed gay marriage in an inaugural address.

With further mention of topical issues such as immigration reform and gun control, Obama came to his key point -- that adhering to America's bedrock principles requires taking action on today's challenges.

"Being true to our founding documents does not require us to agree on every contour of life; it does not mean we will all define liberty in exactly the same way, or follow the same precise path to happiness," he said. "Progress does not compel us to settle centuries-long debates about the role of government for all time -- but it does require us to act in our time."

A deep partisan divide in Washington and the country characterized Obama's first term, with Congress seemingly paralyzed at times and repeated episodes of brinksmanship over debt and spending issues bringing the first-ever downgrade of the U.S. credit rating.

Acknowledging the political rift, Obama called for leaders and citizens to work for the greater good of the country.

"We cannot mistake absolutism for principle, or substitute spectacle for politics, or treat name-calling as reasoned debate," he said. "We must act, knowing that our work will be imperfect."

At the same time, he made clear he would fight for the central themes of his election campaign.

"For we, the people, understand that our country cannot succeed when a shrinking few do very well and a growing many barely make it," he said.

While "we must make the hard choices to reduce the cost of health care and the size of our deficit," he said, "we reject the belief that America must choose between caring for the generation that built this country and investing in the generation that will build its future."

Text of speech

In particular, he defended the need for popular entitlement programs that provide government benefits to senior citizens, the poor and the disabled, saying they were part of the American fabric.

"The commitments we make to each other -- through Medicare, and Medicaid, and Social Security -- these things do not sap our initiative; they strengthen us," Obama said. "They do not make us a nation of takers; they free us to take the risks that make this country great."

On Monday, Senate Republican leader Mitch McConnell, one of Obama's harshest critics, called the president's second term "a fresh start when it comes to dealing with the great challenges of our day; particularly, the transcendent challenge of unsustainable federal spending and debt."

Other issues also appear difficult, if not intractable.

Obama made a reference to gun control, saying that the nation needed to ensure that "all our children, from the streets of Detroit to the hills of Appalachia to the quiet lanes of Newtown, know that they are cared for, and cherished, and always safe from harm."

However, congressional Republicans and some Democrats, as well as the powerful gun lobby, have rejected proposals Obama recently announced in response to the Connecticut school shootings that killed 20 Newtown first-graders last month.

In citing climate change as a priority, Obama raised the profile of the issue on the national agenda after a presidential campaign in which it was almost never mentioned.

"We will respond to the threat of climate change, knowing that the failure to do so would betray our children and future generations," he said, warning of a "long and sometimes difficult" path to sustainable energy sources in a nation dominated by its fossil fuel industries such as oil and coal.

"America cannot resist this transition; we must lead it," Obama said. "We cannot cede to other nations the technology that will power new jobs and new industries -- we must claim its promise."

Obama infused his speech with references to two assassinated American icons -- President Abraham Lincoln and civil rights leader Martin Luther King Jr.

In one passage, Obama cited "blood drawn by lash and blood drawn by sword" in mentioning the Civil War and slavery. It mimicked Lincoln's second inaugural address in 1865, when he spoke of the possibility that "every drop of blood drawn with the lash shall be paid by another drawn the sword."

Of King, Obama referred to those who came to Washington almost 50 years ago "to hear a preacher say that we cannot walk alone; to hear a King proclaim that our individual freedom is inextricably bound to the freedom of every soul on Earth."

The inauguration coincided with the national holiday honoring King.

The president concluded by urging Americans to fulfill their responsibility as citizens by meeting "the obligation to shape the debates of our time -- not only with the votes we cast, but with the voices we lift in defense of our most ancient values and enduring ideals."

At a little more than 2,100 words, Obama's speech was about 300 shorter than his first inaugural address four years earlier.

In 2009, he was fresh off his historic election as the nation's first African-American president, facing an economic recession, wars in Iraq and Afghanistan and the ongoing terrorist threat.

David Maraniss, author of the book "Barack Obama: The Story," said the difference from four years ago was palpable, adding: "I could feel his heart beating this time."

EARLIER: Top 5 inaugural addresses

CNN's Dana Bash and Matt Smith contributed to this report.

@highlight

President Obama's inaugural address eschews poetry for rhetorical power

@highlight

The president's speech invokes core themes of his re-election campaign

@highlight

His progressive address mentions climate change, gay marriage

@highlight

David Gergen: Obama said "let's talk about what's essential"