(CNN) -- The concepts of emotional intelligence (EI), self-worth, authenticity and employee meditation rooms might conjure up thoughts of new age healing centers. But the benefits of tapping employees' emotional happiness mean the ideas are now being picked up by mainstream corporations.

Brochner Hotels, one of Copenhagen' s oldest and most successful boutique hotel chains, is one business discovering the benefits of EI. Karim Nielsen, the chain's CEO, says he introduced the strategy to shift the company's culture. Nielsen points to a reluctance, at times, of staff members to engage with customers, to sell its products and promote the brand. "The front desk is like a stop sign they don't go beyond," he says.

Now, Nielsen is sending all hotel employees through EI training to help them become more open and confident, understand their own limitations and fears, and to boost their self-worth and comfort in dealing with other people.

Attendees get a full EI profile of themselves, which helps break down how they relate to others, their level of empathy, authenticity, and leadership abilities. This information is used to improve their communication with others. The classes also, typically, include meditation or visualization practices.

Nielsen uses it to "empower [employees] and make them more of the great people they already are." He adds, "it gives us a very open, expressive work environment, where people are not afraid to speak up and where everyone [is] bringing solutions to the table."

Dan Iversen, managing director of Behavior Change Specialist, which has trained around 7,000 business leaders across Europe, helped customize the Brochner hotels training programs. "We teach people how to actively and intelligently use their feelings in the development of individuals and teams," Iversen says.

But do feelings really have a place in business?

Yes, Iversen says. "From kids we're taught to disregard our feelings, to stop crying when we fall, and to sit still and be quiet. But feelings exist. We accept that and we work with that. It sounds simple but for most people this takes training."

He adds, "what often limit us are our own attitudes and beliefs, and that's where EI can be really powerful. You can't be a good salesperson if you're convinced you're not."

At Denmark's division of Saint-Gobain, a Fortune 500 company and worldwide leader in construction markets, BCS was asked to help improve cooperation and team work. "It was a bit like a schoolyard sometimes,' says procurement director Jan Warrer. "People would have disagreements, not take responsibility and not know how to resolve things. But, we now have a far better atmosphere, we communicate openly, we deal with problems as they come up, and we move forward."

He adds, "if someone feels bad about a decision I make, I stop and think about that. You can't argue with somebody's feelings. In business we talk so much about key numbers and economic models, but the best solutions are often made when we reflect and cooperate."

Sven Kristensen, CEO of Wuerth Denmark, a multi-national wholesale organization says EI is so important that they've built the BCS training into their leadership programme. "Just think about the last big decision you made. How much of it was based in emotion and how much was based in intellect? Most all big decisions are based in both."

The research into EI was pioneered by John Mayer, professor of psychology at the University of New Hampshire, together with Dr. Peter Salovey. He defines it as "the capacity to reason about emotional information and the capacity of emotional information to enhance thinking."

Historically, placing weight on emotions has been dismissed. "What's remarkable is that for so many years, people didn't see emotions as conveying important messages," he says.

"For much of the 19th and 20th century there was a constant emphasis on the cognitive. Emotions were seen as irrational and as interfering with the logical. But EI is key to relationships and provides an adaptive advantage and smooth social abilities," he adds.

Iversen says it can be implemented in the workforce by using feelings actively in personal and team development, strengthening the self worth in individuals and teams by acknowledging what people do, and to constructing a "no bull-shit" culture for dealing with conflict.

At Brochner Hotels, Nielsen says that's exactly what they do. "It's okay to tell someone you're having a bad day, or an issue with something they did. And, as a leader, it's important to show people who you really are, to be yourself. You get a whole different kind of leader that way. All those things that are typically taboo, they are not taboo here."

And as EI gains ground, those taboos may begin to drop elsewhere too. Mayer has noticed a sea change in acceptance of EI in recent years.

"When I was a kid people talked a lot about your intelligence as something cognitive, but I think that in the future EI will become a second measure of intelligence."

Still, he says, EI is no substitute for standard intelligence. "I usually make the case that as long as my engineers can build a bridge that won't fall down, I don't care if they're emotionally intelligent."

@highlight

Emotional intelligence (EI) training is being picked up by mainstream corporations

@highlight

EI training can help employees understand their own limitations and to boost their self-worth

@highlight

John Mayer: EI is key to relationships and provides an adaptive advantage and smooth social abilities