(CNN) -- The new North Tower is finally high enough to partially restore the skyline I used to see when I stepped outside my home in Greenwich Village.

It was a glorious sight before September 11, 2001. Two shiny towers created a reference point for miles around, giving Manhattan the center of its compass, just like the Eiffel tower does in Paris or the Capitol Building in Washington.

I pointed out the new one to my little girl, Luna, this morning on the way to school.

"This is how we know we're walking west," I told her. "Because the tower is to the South."

"Is that like the one that fell down?" she asked. Yes, I thought to myself, it actually is.

When you make your way around upper Manhattan, there is an easy north-south, east-west street pattern to show you the way. But when you hit Greenwich Village, the streets go every which way.

Before September 11, 2001, the easy way to find true north was to use the towers as a reference point. After that day, the compass just spun, as the city struggled to figure out which way to go.

I had walked out of my apartment that day to see my tower, my reference point, with a burning hole punched deep inside its face. For the next few hours I ran around downtown reporting for CNN on a series of horrific events -- people leaping to their death, buildings collapsing, debris burning, and firefighters at odds with a fire that wouldn't go out.

I lived alone back then, so when I finally went home a full day later I didn't have to explain to anyone why the absence of that tower made me feel as directionless as the city around me. And for many years, I walked back out my door beneath the empty sky and made my way north by mere habit.

Triple-amputee veteran gets 'smart' home on September 11

Luna was born in 2005, four years after the attacks, as the city was just finding its way. It speaks volumes about something when you can't explain it to a child. So I was happy that I wouldn't have to do that for a few years, although somehow her presence made it easier to chart a new course.

September 11, 2005, was a beautiful, bright and sunny day. It was Primary day and I walked to vote, carrying Luna in a baby Bjorn. It was funny to see her tiny hands stressing to push the metal levers in the ballot box.

By the time she could walk, the same Hudson River parks where ambulances had carted off the injured had been replaced by water parks and swing sets. She loved a particular duck pond where debris had sat idle for months. That year was also the fifth anniversary, but she didn't watch TV yet, so her youth spared me the annual reading of the names and the moments of silence.

That year we also took her on her first plane trip and her tiny hands left prints on the window ovals as she marveled at the reflections of the sun.

Note lets family know 9/11 victim went down fighting

By the time she was 3, the yellowing "Missing" posters that had dotted Greenwich Village in the days after the attack had been replaced by tiles painted by schoolchildren and strung along a chain link fence near our home. When she was 4, the nearby hospital shut down, closing the emergency room where stretchers had lined up to wait for the survivors that never came.

The next year she started kindergarten at the school across the street. It was a hard day for me because the attacks had happened on the first day of school. A father shooting video of his kindergartener had given me the tape of his daughter's first-day smiles interrupted by the roar of a plane and a series of terrible images that replayed endlessly on TV. Our daughter wore a shiny pink raincoat on her big day as I took pictures of her disappearing into a sea of smiling schoolchildren marching into P.S. 41.

Later that year, I invited one of the firefighters I'd connected with on September 11 to visit her class. She didn't tell the kids about her work on September 11; she just taught them to stop, drop and roll if they ever smelled smoke.

Photos: Ground zero now

When she entered the first grade last year, the New York Public Schools had a curriculum about September 11 and we were warned to tell our children what had happened. The idea was to explain that some bad people had crashed planes into buildings and many of our neighbors had died. It seemed such a straightforward way to tell a story that ended with some 1,300 orphans, ensuing wars and economic mudslides. But it was enough for her. The school curriculum discussed how communities come together in times of tragedy and explains the role of flowers in grieving.

How to honor a Muslim first responder?

That same year, we took her to ground zero for the first time, to see what is now the 9/11 Memorial grounds. I had toured it with Michael Arad, the architect, for a CNN story before it opened, but it's amazing what details you notice when you see something through the eyes of a child. Every piece of that memorial seems to reflect the images of the Twin Towers -- the rectangular stones on the walkways, rectangular lamp posts and grates, the slatted benches and big rectangular grass pits.

She loves the sounds of the waterfalls in the tower footprints and the way the shadows bounce off the walls. It is a place of memory, not mourning, and it carries a sense of peace. The city has travelled such a distance and my 6-year-old understands what happened there, but doesn't know enough to feel sad.

We took her again a few months ago and pointed out how the names were cut out of the metal plates surrounding the footprints. I showed her the computers that let you print out cards of the victims. You can search them by name or place. We searched for people I knew and printed their cards.

Then we looked for people from countries with which we have a connection. We chose a Colombian, and went to pay our respects. A man beside us was tracing the name of his son onto a piece of thin white paper. This time she did look sad. So did I.

Today, Luna's teacher read them "Fireboat" -- the story of the John J. Harvey, a powerful 1931 retired Fire Department vessel called into action on September 11 to ferry away survivors and fight the fires. I remember that old, sad boat and how it rallied that day, pumping water for 80 hours when the fireplugs went dry. Her teacher said it was the only thing that seemed age appropriate. They wondered why someone would fly planes into buildings if they knew they were going to die. The teacher said that made zero sense to them. Then school ended and it was a beautiful day again.

How schools should handle 9/11 in class

On TV, the names of the dead were read and the polling booths got ready for another Primary. After school, some artists are taking over the school yard for a memorial event that will raise money to move the painted memorial tiles to a museum. Perhaps we will go to the school yard after I pick her up. It's just west of our house, north of the towers. You can tell how to get there by looking downtown.

How do you talk to the children in your life about tragedies? Share your experiences in the comments section below.

@highlight

Rose Arce was a reporter on the ground in New York after the September 11, 2001, attacks

@highlight

Arce struggled to explain the attacks to her daughter when she was old enough

@highlight

She and her daughter, Luna, visit the September 11 memorial and Luna learns more in school

@highlight

The attacks changed the landscape of their neighborhood and their lives