Justice Anthony Kennedy was among the first of his colleagues to arrive Wednesday at the U.S. Supreme Court. His chambers lit up several hours before the last-day release of monumental rulings on same-sex marriage.

There was little doubt that later that morning, this quietly powerful justice would be having a major say in the legal, political, and social path of gay rights moving forward.

And at precisely 10 a.m., Kennedy kicked off the public session with his eloquent majority ruling striking down a key part of a federal law that blocks a range of benefits for legally married gay and lesbian couples.

The Defense of Marriage Act "humiliates tens of thousands of children now being raised by same-sex couples," he said. "The law in question makes it even more difficult for the children to understand the integrity and closeness of their own family and its concord with other families in their community and in their daily lives."

What's next for gay rights movement?

It was vintage Kennedy -- a mix of sweeping rhetoric mixed with practical legal and social considerations.

"If Bill Clinton was 'the first black president,' Anthony Kennedy has now firmly secured his place in history as 'the first gay justice,'" said Michael Dorf, a law professor at Cornell University and a former Kennedy law clerk. "Justice Kennedy makes clear that he not only accepts, but welcomes the task of writing majestic opinions affirming the dignity of gay persons and couples."

By the Numbers: Same-sex marriage

Kennedy, a moderate-conservative, is in many ways the "power broker" on the court. He shared the role of a "swing vote" with fellow centrist Sandra Day O'Connor before she retired seven years ago.

"The basic principle is, it's Justice Kennedy's world and you just live in it," said Thomas Goldstein, a private attorney who publishes the well-read SCOTUSblog.com. "Justice O'Connor, having been the most powerful woman in the world, handed the keys to him on her way out the door and said, 'Have fun.' And he took up that invitation."

The thinking goes that with four solid conservatives aligned on the right and four liberals on the left, Kennedy is the man in the middle, often able to cast the deciding vote in contentious cases, assuring his views of the law prevail.

Kennedy has crafted a powerful, if hard to define, judicial legacy -- seemingly in the forefront of every major ruling during his tenure. As an unapologetic "swing" vote, he was the key behind-the-scenes architect of the 2000 Bush v. Gore drama, and a 1992 opinion upholding abortion rights. He has written majority decisions upholding rights to homosexual couples, underage killers, and foreign fighters held by the U.S. military in the war on terror.

That was true this past term in several other hot-button cases in which he played a key role by:

• Writing the majority opinion allowing for the continued but limited use of race in the college admissions process, yet making it harder for institutions to use such policies to achieve diversity.

• Siding with his fellow conservatives to strike down a key section of the Voting Rights Act of 1965, weakening federal oversight of states and counties with a past history of discrimination of minority voters at the polls.

• Concluding criminal suspects can be subjected to a police DNA test after arrest but before trial and conviction.

• Blocking a lawsuit by privacy advocates challenging the federal government's sweeping electronic eavesdropping on suspected foreign terrorists and spies.

Kennedy was in the majority 91% of the time in the court's 78 argued cases this term, more than any justice. In divided cases -- where there was no unanimity -- he was on the winning side 83%, again tops on the court.

Sometimes he sides with his more liberal colleagues, as he did in the Defense of Marriage Act case, but he is mostly a reliable conservative vote, especially on business and regulation disputes.

That unpredictability has long made liberals and conservatives equally nervous, but many on the right are more outspoken in their disappointment in the Ronald Reagan nominee, who turns 77 in July.

"Kennedy's style as the 'man in the middle' is often as a 'justice in a muddle,'" said Douglas Kmiec, a law professor at Pepperdine University and a former lawyer in the Reagan and Bush administrations. "He writes cryptically ... suggesting a standard of his own making that is not fully developed."

Despite the rhetoric, Kennedy's moderating force has generally benefited his conservative colleagues.

Of the 23 divided 5-4 cases this term -- including the two marriage cases as well as voting rights -- Kennedy was in the majority 20 times, according to SCOTUSblog.com, again higher than anyone on the nine-member bench. Only on six decisions did he side with the four left-leaning justices: Ruth Bader Ginsburg, Stephen Breyer, Sonia Sotomayor, and Elena Kagan.

But it was his majority opinion in the DOMA case that could have ripple effects for years to come.

"Although Justice Kennedy's opinion explicitly states that it is confined to same-sex marriages that have been recognized by states, it contains reasoning and language that will certainly be used, in later cases, to argue that legal recognition of same-sex marriage by all states is constitutionally required," said University of Notre Dame law professor Richard W. Garnett, a past clerk to former Chief Justice William H. Rehnquist.  "Almost certainly, and fairly soon, that argument will be presented squarely to the court."

What about us, ask other gay couples

Within the marbled halls of the high court, Kennedy is personally respected by his colleagues, both for the power he wields and for his courtly, low-key manner.

But professionally, justices on the losing side of a big case can often be unsparing in their criticism of Kennedy and his legal reasoning.

Justice Antonin Scalia on Wednesday called Kennedy's analysis in the DOMA case "jaw dropping" and an assertion of "judicial supremacy" that "envisions the Supreme Court standing (or rather enthroned) at the apex of government."

And this from a close friend -- Scalia and Kennedy joined the court a year apart, were born the same year, and live on the same street.

The Sacramento, California, native joined the high court in 1988, the third choice of President Reagan after more conservative nominees Robert Bork and Douglas Ginsburg flamed out.

And along with O'Connor for almost two decades, the two native Westerners carved out a jumpy place in the center. Less driven by practical concerns than O'Connor was, Kennedy has striven for a loftier sense of the law's impact on society.

"He has brought to the bench a combination of a very scholarly, erudite, academic bent," said Brad Berenson, a friend and former law clerk to Kennedy, "and a very practical bent he had developed while practicing law on his own."

Kennedy himself acknowledged the unique role he played for decades on the court. "There is a loneliness" to his job, he once told CNN.

For now, Kennedy, like his eight colleagues, will retreat from the public spotlight. He has some vacation time ahead, mixed with his annual overseas teaching gig in Austria in two weeks.

Then, come the first Monday October, Kennedy is expected back in his familiar seat, just to the left of Chief Justice John Roberts on the bench. But clearly he is the man in the middle, and the man that in many ways shapes the direction of a divided court.

@highlight

Kennedy wrote majority opinion striking down parts of Defense of Marriage Act

@highlight

Kennedy and former Justice Sandra Day O'Connor were the court's centrists

@highlight

When O'Connor stepped down seven years ago, she "handed the keys" to Kennedy

@highlight

With four conservatives to the right and four liberals to the left, Kennedy is squarely in middle