LONDON, England (CNN) -- During the current economic crisis, high-flying women have been overlooked for promotion, according to a study out Tuesday.

At the upper level of management, business is still dominated by men.

The study, by U.S. nonprofit research group Catalyst, surveyed 873 MBA alumni who graduated between 1996 and 2007, asking how their careers had fared between November 2007 and June 2009.

The results showed that overall, male and female MBAs have proved resilient to the recession and have fared equally well in the U.S., Canada and Asia, with 31 percent of surveyed women reporting that they had been promoted during that time period, compared to 36 percent of men.

However in Europe, just 26 per cent of women were promoted, compared with 44 percent of men, according to the study published in the Harvard Business Review.

According to the Harvard Business Review, of the U.S. Fortune 500 companies only two per cent of the CEOs are women, and only 15 per cent of the seats on their boards of directors are held by women.

Professor Susan Vinnicombe is the director of the Center for International Women Business Leaders at Cranfield University School of Management in England.

She told CNN that while it isn't clear why the figures for Europe in particular show such a gender discrepancy, it reflects discrimination faced by women business leaders in general.

Read more business related features

"There is a whole stream of research of male and female MBAs that systematically shows the more senior they get the bigger the disparities in salaries and promotion," she said.

"Immediately after the MBA -- at the mid level -- women do quite well, but as they progress upwards the disparities emerge and get wider. That's not just for MBAs, it's the function of men and women in the workforce in general."

When it comes to the top tier, women worldwide were much more likely than men to lose their jobs, with 19 percent of female senior executives losing their jobs, compared with six per cent of men.

Eleanor Tabi Haller-Jorden, General Manager of Catalyst Europe told CNN that the discrepancy is probably not the result of the current economic malaise. "These figures reflect what has been a challenge in Europe for a number years," she said.

"The talent pipeline in Europe is clearly not as robust for women. This study indicates that by and large this is not directly related to the economic crisis, but it may have magnified the discrepancy."

Haller-Jorden cites European corporate culture, perpetuation of gender-based stereotypes, exclusion of women from informal networks and a lack of role models as reasons behind the discrepancy.

Cranfield University produces what it calls the "Female FTSE Index," showing the percentage of female directors in Britain's top 100 companies. Vinnicombe says that in the last 10 years the number of female directors has hardly improved, increasing from seven per cent to just 11 percent.

Vinnicombe adds that she has found anecdotal evidence that a number of senior women in the British banking sector have chosen to leave their jobs, rather than work in a "high pressure, highly controlling" work environment brought about by the economic crisis.

The Catalyst study also shows that many MBAs aren't letting the economic crisis get in the way of career advancement. Overall, 34 percent of respondents had received a promotion and 35 percent made a lateral move.

"The data almost indicates business as usual, in highly unusual times for business," Haller-Jorden told CNN.

The common perception might be that given the current economic uncertainty, employees would choose to play it safe rather than chance their luck in a volatile job market, but the study found that MBAs have been willing to risk career moves, with 20 percent of respondents changing jobs, 14 percent relocating and four percent starting their own business.

Haller-Jorden said that MBAs represent "high-potential employees" who tend to be entrepreneurial and show a high level of initiative.

She added that these individuals tend to be opportunistic when it comes to their careers, seeking out new developmental opportunities, exploring lateral moves, looking at options around relocating, and choosing other employment opportunities to make sure they aren't negatively impacted by recession.

"The results are sobering for a corporate sector which may have assumed that people would be grateful to have a job and wouldn't necessarily be exploring other options," she said.

"For companies to rest on their laurels and assume they don't need to worry about retention is a mistake."

@highlight

Study: High-flying women are missing out on promotion

@highlight

Discrepancy in female promotions may have been magnified by recession

@highlight

Elsewhere, male and female MBAs proving resistant to the economic crisis

@highlight

"High-potential employees" willing to change roles, despite harsh job market