(CNN) -- Paul O'Neill, who was appointed treasury secretary in 2001 by President Bush, says the federal government is not doing enough to fix the U.S. financial system.

Former Treasury Secretary Paul O'Neill says he's hoping for a "V-shaped" recession.

O'Neill appeared on CNN's "Fareed Zakaria GPS" on Sunday to talk about his outlook on the recession and what the Treasury Department should demand of major financial institutions in order to get the U.S. economy back on track.

Following is an edited transcript of their conversation.

Fareed Zakaria: Looking at the current economic crisis, do you think there is any prospect of what people call a "V-shaped recession," that is, a quick recovery? Or are we in for a long, perhaps years of sluggish growth, what economists call an "L-shaped recession"?

Paul O'Neill: You know, I've got to tell you, I'm praying for a V- shape. But I'm one who doesn't believe we're going to start moving back up until there is a credible fix for our financial system. And I think, in spite of all of the things that have been done now by the federal government, we're not quite there.

If I were secretary, I would do this. I would order the 19 major financial institutions to put on the Internet the classifications of their assets by investment grade rating, beginning with AAAs down through BBB-minuses, which is the final level of investment grade ratings.

And for those parts of their asset holdings that can't be rated investment grade -- or, in fact, as they say, can't be valued or can't be fairly valued -- I would create a new device which I call a "quarantine account."

One could make a judgment about the value of these institutions, and the institutions could make a self-judgment, about how much more lending capacity they had, if the quarantined assets are set aside.  Watch O'Neill offer his advice to Obama administration »

Zakaria: The basic idea -- the basic proposal you're making is transparency. Let everyone understand what's on the banks' books.

O'Neill: Right.

Zakaria: Isn't that a lot like Tim Geithner's stress test?

O'Neill: Well, I don't think so. Let me ask you a question. How do you think it's possible to do a so-called "stress test," if 30 or 40 percent of the assets in the institution can't be valued?

Here's another plea I have: If you can't value the assets, please don't buy them with my money.

Zakaria: You mean the government shouldn't be buying these toxic -- these assets. So you think the Treasury Department's proposals so far are all wrong. I mean, it sounds like you think they're doing all of the wrong things.

O'Neill: Well, you know, excuse me, but I'm not one who cares much for the notion of separating the idea of the government as some disembodied entity that has a life independent of me.

The money that they're committing and spending is at least in part mine. I'm a substantial taxpayer, and I don't want my representative to buy assets with my money that I wouldn't buy.

Why would I want to do that, Fareed? Why should we want them to do that?

Zakaria: But this is a pretty frontal assault then on the Treasury's bank plan so far.

O'Neill: Well, you know, I don't mean to be offensive to this administration or the last one, but it seems to me, if you're an intelligent investor, you invest in things where there is truth and transparency. And you have a shot, if you're a good leader, at earning the cost of capital and maybe even something more.

And I think that basic principle ought to apply to how our government thinks about what it's doing in the name of "we, the people."

You know, I really don't like this idea that somehow the government can do things that intelligent people wouldn't do, and we don't notice.

Zakaria: One of the other things the government is doing is running up large deficits. There's this large fiscal expansion.

Now, you were opposed to the Bush tax cuts, because of your concern about what they would do to the deficit. At that time, the deficit projection was $500 billion, and to you that seemed just too much. The deficit projections now are going to be in the $1.75 trillion range.

There are many people who say, you know what, this is that once-in-a-75-year moment where the government has to spend money because nobody else is spending money. Do you buy that?

O'Neill: I think, honestly, I'm not so much worried about the stimulus and its components as I am about what I consider to be an essential job -- to get a floor under the financial system, so that we can go back to economic growth in this country and around the world, because there is no hope until we do that.

There's not enough ink in the printing presses at the Federal Reserve to print enough money to fill the void created by the absence of real economic growth in our society and around the world.

Zakaria: When you were treasury secretary, you were famously suspicious of the financial sector. I mean, you thought there was a little too much attention being paid to it. You looked around at all those Bloomberg screens in the Treasury Department and said, you know, what do these guys make? In a way, reflecting your background in Alcoa.

Do you look at this unraveling and feel like the financial sector and the financial system got overweight and fat? I mean, what happened here?

O'Neill: We had a whole lot of people who were the public face of all of this financial activity that got ever more exotic. And I think, in truth, very few of them understood the detailed business activity that was going on underneath them. They were all kind of floating up here in the ether.

And I think it's true, if you listen to the commentary, even today, what some of these people are saying, they had no idea what was going on. It just felt really good, and it seemed like they were making a lot of money.

Zakaria: And do you think that, on the bank issue, are you hopeful that Geithner may, when he unveils the plan, have some of the components that you're suggesting? Or is it your sense they're just headed in the wrong direction?

O'Neill: You know, show us the money. Let us see for ourselves.

If I was buying a company, I would not put up with someone else giving me a certification that the assets were worth something. I'd go and look in the boiler room and find out if there's rust on the valves.

You know, we're talking about providing the wherewithal for intelligent investors to make decisions that they can rely on the facts. And I think the administration hasn't gotten to the point yet of insisting that the big 19 financial institutions put their facts on the table, and for that matter, a place like General Electric put all of its facts on the table, so investors can make an informed decision.

I've said this to some people, and they've said -- some of them have said, "We'd be happy to do that, and we would be OK with that." Some other major financial institutions have said, "Oh, my God, if we did that, people would see how bad it really is."

I think knowing how bad it really is, is the only way we're going to create a foundation for going forward, Fareed.

@highlight

U.S. should demand major financial institutions come clean, ex-Treasury chief says

@highlight

"There is no hope" until U.S. stabilizes financial system, O'Neill says

@highlight

O'Neill: Many people in the financial sector "had no idea what was going on"