Few laws can drive political discourse and posturing like the Affordable Care Act, otherwise known as Obamacare. The individual mandate was one of its most contentious aspects. Today, though, it's another mandate -- the employer penalty -- that is garnering headlines.

The Obama administration announced it would delay the implementation of the employer penalty for a year, until 2015. This move is sure to please businesses that employ a large number of lower-wage employees who don't receive comprehensive health insurance. But it's also been met with other cries of dismay.

Some have declared the delay another bit of evidence that Obamacare is fatally flawed and that it should be repealed immediately. Others have declared that this delay bodes poorly for the individual mandate, which should not be attacked. And still more have taken it as a larger indication of the state of the administration, that it spells doom for immigration overhaul, that it's a sign of a tyrannical administration, or that it's just one more illustration of incompetence in getting Obamacare off the ground.

For the most part, these are all political posturing. The employer penalty, like the individual mandate, is just one small part of a very large law. It serves a specific purpose, and although Obamacare will not perform as efficiently without it, it will still function.

The employer penalty is complicated. The first thing to know is that it only applies to businesses with more than 50 full-time-equivalent employees. Any "small business" with 50 or fewer employees doesn't have to provide insurance at all.

If you have more than 50 workers, you have to provide comprehensive insurance to your employees that covers a core set of benefits, and the premiums can't cost workers more than 9.5% of their income. If you don't, you pay a penalty of $2,000 for each full-time worker -- your total of employees minus 30.

Alternatively, you can provide them with much less comprehensive plans that meet "minimum essential coverage." But employees can refuse this coverage and instead go to an exchange in their state to obtain health insurance. If they do, businesses will pay a penalty of $3,000 for each employee who goes to an exchange and qualifies for a subsidy from the federal government.

These penalties can add up to millions for large employers. So companies are taking them seriously. But it's important to put things in perspective. It's likely that more than 95% of businesses are smaller than the 50-employee limit, so few need concern themselves with the penalty at all.

Moreover, of the 4% of employers who are large enough to have the penalty affect them, about 95% already offer coverage. When all is said and done, the employer penalty will likely apply to about 10,000 companies out of about 6 million in the United States. Those companies employ about 1% of American workers. But the penalty will still be real to these companies. They will be thrilled to see it delayed, and they will certainly fight to see it pushed back even further, or repealed.

There are some reasons to cheer them on. The employer penalty, as designed, has a lot of flaws. It encourages employers to push people into part-time jobs to have fewer full-time employees to count. It also is an incentive to get people to hire more well-off employees as opposed to poorer employees, because they can't get subsidies in the exchanges and won't incur a penalty for the employer if insurance isn't offered.

So why have an employer penalty at all? The simple reason is that it lowers the cost of Obamacare.

Helping people buy insurance is expensive. When people get their  insurance in the exchange with a subsidy, it costs the federal government money. When they get their insurance at their job, it costs the federal government much less. So pushing the uninsured to their employers, through the penalty, lowers the cost of Obamacare overall.

If we get rid of the employer penalty, the likely effect is that the number of uninsured will not drop as much, and the cost of the law will go up. It's really that simple. Supporters of the law don't like the former, and opponents don't like the latter. So everyone will have something about which to complain. But still, the law will function, albeit less efficiently.

As for me, I've never had a huge problem with the employer penalty. For better or for worse, we have an employer-based insurance system in the United States. The majority of people living here get their insurance through a job. Partly that's historical, because of wage freezes in World War II, and partly that's because the tax deduction for employer-sponsored insurance makes it all the more enticing to get insurance instead of wage increases. So if we want to continue this type of system, it makes sense to have employers either provide insurance to their workers or pay some sort of tax, or penalty, to help the government do it for them.

That doesn't mean there aren't better ways to do this. First of all, we could uncouple insurance from jobs entirely. There's really no good reason to have the system function this way. Past proposals, such as the Wyden-Bennett plan, would reduce employer-based insurance substantially. Sen. John McCain proposed eliminating the employer-sponsored insurance deduction in his 2008 presidential campaign. Even a single-payer plan, such as Medicare for all, would accomplish this task.

Short of that, if you want to keep this system intact, other mechanisms such as an overall payroll tax instead of this employer penalty would have removed the various bad incentives to favor wealthy or part-time employees. It's a fixable problem.

But fixing it would require a functioning government. It would need Congress to pass a bill replacing or eliminating the employer mandate, and then the president to sign it. That's not going to happen.

Opponents of Obamacare don't appear eager to fix the law in ways that would make it less unpopular or repeal less likely. Supporters don't appear eager to spend political capital to tinker with a law that cost them so much to pass in the first place. So we'll get administrative fixes such as this one, which wind up pleasing few, other than those who enjoy political theater.

@highlight

Employer penalty for not providing full health care delayed for a year, till 2015.

@highlight

Aaron Carroll: Outcry oversized since penalty applies only to companies with 50-plus workers

@highlight

Employer penalty will likely apply to about 10,000 companies out of about 6 million, he says

@highlight

Carroll: It's all political theater -- Obamacare would hurt without penalty, but it would function