(CNN) -- A president's most solemn duty is to protect America and her people -- a responsibility that, in a time of evolving security threats and unsustainable debt, will only grow harder for the next administration.

In the aftermath of the failure of the super committee, we are facing cuts in defense. Yet there has still been little discussion about overall defense spending priorities and how we must transform our defense infrastructure for the 21st century.

Some of my opponents suggest maintaining the status quo, thus avoiding the tough decisions. Others advocate retrenchment and isolationism through draconian across-the-board cuts, which brings greater instability and risks.

Still others revert to the oft-repeated pledge to eliminate waste, fraud and abuse from the Pentagon -- a worthy cause yet one of minimal consequence. Cutting wasteful spending alone amounts to only pennies on the dollar and leaves in place the same archaic defense infrastructure.

These approaches miss the target in two respects. First, they let resources drive strategy, rather than using strategy to drive force structure and capabilities. Second, they fail to fundamentally alter our defense posture -- so any short-term savings will be quickly erased.

In recognition of the growing asymmetrical threats we face and the evolving requirements of counterterrorism, we need a different set of capabilities. The world may have seen its last heavy armor battle between two nation-states. The relative importance of counterterrorism, intelligence, training and equipping foreign security forces, and special forces operations will continue to grow.

Our forces must be designed appropriately. This means a greater focus on intelligence gathering and more agile special forces units, which can respond swiftly and firmly to terrorist threats in any corner of the globe. We must be prepared to respond to threats -- from al Qaeda and other terrorist cells -- that emanate from a much more diverse geography, including Yemen, the Horn of Africa, Pakistan and the Asia-Pacific region.

We must also transform our orientation. By almost any objective measure -- population, economic power, military might, energy use -- the center of gravity of global human activity is moving toward the Asia-Pacific region. Embracing this reality may bring a dramatic change to the look of our military.

The Asia-Pacific region is a maritime theater whereas Europe was mostly a land theater. For the U.S., the Asia-Pacific features a collection of bilateral military alliances in contrast to our involvement with the multilateral NATO in Europe. We are a Pacific nation living in a Pacific Century, and our vital interests in that region cannot be compromised.

We can cut our base force and transition more responsibility for contingency operations to our National Guard and Reserve. In addition to being our most precious and valuable resource, our troops are also the most expensive part of our military.

If we simultaneously transform our capabilities and posture while enhancing our Guard and Reserve, our active duty army could be reduced to around 450,000 troops, from the approximately 565,000 we now have. Our Department of Defense civilian work force can also be cut by 5% to 7% of its current size.

At the same time, we should conduct a global posture review with the goal of closing at least 50 overseas military installations. The U.S. military maintains more than 700 installations outside the United States, the vast majority of which were opened during the Cold War. With a more mobile and flexible force, we simply don't need as many facilities overseas.

We must risk American blood and treasure overseas only when there exists a vital national security interest. I have consistently called for our troops to return from Afghanistan as soon as possible. But I also believe President Barack Obama has been too quick to commit forces to other missions not core to our security interests.

Within the same week of announcing a troop drawdown in Iraq, the president announced a deployment of a small number of combat forces to Africa -- an unnecessarily risky and costly mission.

America alone cannot police the world. We should increase burden-sharing for the protection of the global commons among countries that share our values and security objectives. Unfortunately, we are not the only democracy stuck in a Cold War mentality. It is time for countries such as Japan and India to play a greater role in regional security matters. We must also throw out the old map and forge new security arrangements with regional partners such as Vietnam and Brazil.

As we prepare to fight in the new battle spaces, we need to let go of old "sacred cows." Our military and defense establishment must be effective in the cybersphere, dominant in space and able to handle the increasingly lethal and accurate ballistic and cruise missiles being acquired by many of our potential foes. This will likely mean trade-offs away from heavy armor units, fighter air wings and aircraft carriers toward a more advanced cyberwarfare infrastructure, more capable unmanned aerial vehicles and more flexible sea-based assets.

For America to remain a global force for good, we must maintain the world's most capable military. And being the best is not simply a function of spending the most. Staying on top will increasingly depend on our willingness to adapt to the realities of the 21st century security environment.

The opinions expressed in this commentary are solely those of Jon Huntsman.

@highlight

Jon Huntsman: Presidents must place priority on protecting America

@highlight

He says new threats and budget cuts will make the task harder for next presidency

@highlight

Huntsman says smarter strategy could enable U.S. to make do with fewer troops, bases

@highlight

He says America alone cannot police the world