Copenhagen, Denmark (CNN) -- Can you do business well by doing good?

"Yes," says Christian Stadil, owner of Denmark based Thornico Group -- a group of more than 100 companies spanning food, technology, shipping, sports fashion, real estate and financing -- and author of the Danish book "Company Karma."

"I usually say Company Karma is CSR 3.0 on steroids," he says. "We have to think in a way that unites long-term business strategy with a concern for the world we are living in. Every action we take has a consequence."

Although businesses have talked of Corporate Social Responsibility (CSR) for years, some are taking it a new level, which they are calling CSR 3.0. It goes beyond the often basic image-building of traditional CSR and aims to create real, sustainable value for everyone, while holding the business accountable.

Stadil is among a small group of corporate pioneers, molding his business to make a difference -- while still making a profit. And, according to a number of leaders and management experts, Company Karma -- or Corporate Social Responsibility 3.0 -- is the way of the future.

"Companies are no longer making as much money as they possibly can at any means," says Kellie McElhaney, founding director of the Center for Responsible Business at Haas School of Business, University of California, Berkeley. "It is now squarely about how companies make their money and how is it contributing to sustainability."

Stadil's companies are grounded in what he calls the "four-time win" -- a goal to create value not just for the company, employees, partners and customers -- but also for the world.

The change involves everything from running "CSR Karma" and charity projects around the world, to making offices more sustainable and energy efficient, and working with governments to create change. As an example, Stadil and the city of Rotterdam are completing Europe's largest "green wall" of climbing plants in a car park in Rotterdam in an effort to improve the local environment.

Ultimately, he says the change must run all the way through the value chain; from production to processing, from suppliers to employee fulfillment in the workplace, and so on.

"It's a difficult change but we are making our way," he says.

See also: How to inspire others

An innovator and leading thinker in business management, Stadil and his team are famous for turning faltering sports label Hummel into a global brand worn by stars like Jennifer Lopez, Jon Bon Jovi, Pink and Paris Hilton.

Hummel's "Change the World through Sports" project has sponsored football teams and matches in Sierra Leone between former child soldiers, and between women in Kabul. "In Afghanistan, girls could be killed for playing soccer," Stadil says, "Imagine girls playing soccer in a stadium where the Taliban used to execute people."

Making a difference is more than worthwhile, he says, but it should also pay off.

"I refuse to acknowledge making money as the only thing of value, but just like a body needs blood to function, a company needs money to function," says Stadil. "The question is, what does it do with the money? We expand, but we also give back. Companies need to gain value from making a difference, whether that is economically, socially, innovatively or from positive marketing."

McElhaney, who is also author of the book "Just Good Business," agrees. "Sustainability should be treated as a business strategy that can make a profit for the company, otherwise it will not last," she says. "It's not easy stuff, but it should be seen as a need to do, not a nice to do."

Both agree that successful CSR should be rooted in the core competencies of the company.

"Do it smartly and strategically with good CSR strategy," says McElhaney. "Bad CSR is KFC handing out pink buckets of chicken with the Susan Komen breast cancer foundation."

Another key is to make change sexy, says Stadil. "At some point people get fed up hearing about green, so we have to think about how we can make these things cool. If consumers don't think it's cool, it won't work. Social engagement has to start from the bottom up."

"The drive will come from enlightened leaders," says McElhaney. "Look to companies like Patagonia and Levi's who are really doing it," she says, noting the world's largest retailer, Walmart, as another frontrunner credited with making significant changes to its supply chain.

Outdoor-clothing company Patagonia's new Common Threads Initiative works with customers to repair, re-use, re-sell and recycle used Patagonia products. Over the past 20 years, the company says it has given more than $40 million to environmental causes and pioneered the use of organic cotton and fleece from recycled soda bottles.

"We are only scratching at the heels of guys like Patagonia," Stadil says, "but this kind of change is an ongoing process."

To him, Company Karma is also an important consideration in attracting the talent of tomorrow. "The new Y generation wants to be proud of the product and the company they work for," he says. "They have turned Maslow's pyramid of needs around and see self-realization as the most important thing."

In addition to that, Stadil says the disappearance of traditional value and identity streams like family, rituals, tradition, and religion, is creating an opportunity for companies. "All those things are losing influence, and we can provide some of that value and identity to our employees."

So, what does the future of Company Karma or CSR 3.0 look like?

Young people are already there, says Stadil. "A few days ago, I was a judge at Ben and Jerry's social entrepreneurship competition, 'Join Our Core,' and the innovative ideas young people have on social entrepreneurship and sustainability are amazing."

"I am significantly confident that in my daughter's lifetime, 80% or more companies will do this," says McElhaney. "It will be taken for granted."

@highlight

Businessman Christian Stadil believes companies must care about more than just money

@highlight

"Sustainability should be treated as a business strategy," says expert

@highlight

Outdoor clothing company Patagonia is seen as a leader in "CSR 3.0"

@highlight

Stadil believes corporate social responsibility helps attract talented employees