Hong Kong (CNN) -- A huge trove of artwork from the world's premier collection of Chinese contemporary art has been donated to a new visual culture museum in Hong Kong.

The donation features 1,463 pieces of artwork by 310 artists, including many critically-acclaimed names such as Ai Weiwei, Fang Lijun, Zhang Xiaogang, Gu Wenda, Zeng Fanzhi, and Xu Bing, according to museum authorities.

Valued at a total of HK$1.3 billion (US$ 167.5 million) by auction house Sotheby's, the works stem from a celebrated private collection amassed over the past three decades by Uli Sigg, a former Swiss ambassador to China and a renowned art collector.

Sigg's collection is internationally acclaimed not only for being the world's largest trove of Chinese contemporary art, but also for its comprehensiveness and historical importance in documenting the development of contemporary art in China.

"The period 1979 - 2009 in China is a unique moment in art history. Given both the fact that many works, especially from the first ten years of this period were destroyed due to lack of interest from collectors and institutions, and the subsequent boom in the market for these works, it would be impossible to now build a collection similar in depth, scope and quality," Lars Nittve, the M+ museum's executive director, said in a statement.

"By joining forces with M+, the art works will ultimately come full circle back to China as I have always hoped they would," Sigg added. He said his donation is intended to "enable these artists to have a space within M+ where they will communicate with an international audience, and where they will meet with a Chinese public."

The donation, which will form part of M+'s permanent collection, provides a tremendous boost to the yet-as-unbuilt museum, which is intended to be the flagship facility in an ambitious government-led project to create a contemporary arts complex called the West Kowloon Cultural District. The high-profile project has experienced repeated delays, scrapped plans, high staff turnover, and many rounds of public consultations since its announcement in 1998.

Sigg's contribution is the "most important development to date for the West Kowloon project," said Claire Hsu, co-founder and executive director of Asia Art Archive. "It's extremely significant in the sense that it's an encyclopedic collection—he went about collecting it as if he was an institution as opposed to [assembling] a personal collection."

In a talk at the Asia Society in November, Nittve said he was discussing with major Asian art collectors the possibility of donations, given the museum had HK $1.7 billion in seed funding -- an amount that would not go far in purchasing top-notch Chinese contemporary art, which has shot up in price in recent years. A Zhang Xiaogang painting set an auction record of HK$ 79 million (US$ 10 million) for Chinese contemporary art in April 2011.

"It will be wonderful to have such an important collection in a public institution which can properly commit to its display and conservation for generations well beyond ours," said Yana Peel, a Hong-Kong-based contemporary arts philanthropist and founder of Outset Contemporary Arts Fund. Peel called Sigg's donation "transformational for the museum and for our community."

M+ has also acquired 47 works from Sigg's collection for HK$ 177 million (US$ 22.8 million) under a split gift-purchase agreement.

The museum is slated to open in 2017.

@highlight

Most of world's premier Chinese contemporary art collection donated to Hong Kong museum

@highlight

Valued at HK$1.3 billion (US$ 167.5 million), donation includes 1,463 artworks by 310 artists

@highlight

Art comes from acclaimed collection of Uli Sigg, a former Swiss ambassador to China