(CNN) -- One of the key questions asked after any serious airline incident is, how do we stop this happening again?

Malaysia Airlines has changed its cockpit regulations as a result of Flight 370's disappearance.

Many other incidents in the past have led to safer flying conditions for us today, as a result of improvements and changes to protocol, laws and technology in planes. Below we outline some of the most important ones.

These helped pave the way to making 2013 one of the safest years in aviation history according to the Aviation Safety Network, with only 29 known accidents worldwide and 265 fatalities (the 10-year average is 720 fatalities per year).

1. Collision Avoidance Systems

Collision Avoidance Systems have been a priority in the aerospace industry since the inception of flight.

In 1956, a TWA jet crashed into a United Airlines flight above the Grand Canyon. The incident was the first of many that illustrated the need for increased communication between planes.

A few years later, the Federal Aviation Administration was formed to set guidelines for aviation in the United States, but still, issues remained.

Several other two-plane accidents -- including a 1996 collision near New Delhi that resulted in 349 casualties -- emphasized the need for advanced anti-collision technology.

After a congressional ruling in 1991, the FAA implemented the Traffic Alert and Collision Avoidance System, which monitors the airspace around an aircraft independent of air traffic control.

"TCAS really came about in the late '90s, and since then, I don't think we've really seen a collision between two airlines," noted Phil Seymour, president and COO of the International Bureau of Aviation, a consultancy that offers analysis and advice to the aviation industry.

And the world's safest airline is ...

2. Roomier seats

Coach may seem pretty crammed these days, but according to Seymour, there's a limit to how much plane manufacturers are allowed to shave off the space around seats.

In fact, modern-day seat layout has been rigorously calculated to carry out the most effective evacuation.

This is in part thanks to research carried out by the Cranfield Institute after a 1985 incident when a British Airtours 737 caught fire before takeoff at Manchester International Airport.

An engine caught fire, and the flames spread quickly. Unfortunately, the lack of space between seats meant that bottle-necking occurred at the doors, and some passengers couldn't escape.

"The aisles became jammed with people panicking to exit, and there literally wasn't enough space between the seats," Seymour recalled.

"Now, there are limits in terms of the minimum space between seats as well as the distance to an emergency exit."

3. Weather radar

Severe weather has played a role in some crashes, most notably that of Delta Airlines Flight 191, which crashed in 1985 while approaching Dallas-Fort Worth International Airport in a thunderstorm.

"Rain is one thing, but if a pilot gets into wind shear and the currents are there, it will literally just push your aircraft onto the ground. There have been some incidents where aircraft have crashed when making their final approach," Seymour said.

In 1981, the FAA required all turbine-powered commercial planes be installed with wind shear detection systems by 1993. Since then, the models have become increasingly sophisticated.

"A lot of the more advanced weather radar don't just detect bad weather but predict wind shear. If a pilot sees wind shear coming, instead of landing, he can circle around the airport until it disappears."

Language of air travel: How traffic control keeps you safe

4. Manual training

It took two years for search parties to recover the black box from Air France Flight 447, which crashed into the Atlantic Ocean en route to Paris from Rio.

On reviewing the recordings, the French Bureau d'EnquÃªtes et d'Analyse blamed pilot error, in particular an overdependence on the automated flight control system.

"The senior captain was on his break, and the aircraft was being piloted by two less experienced pilots," recalled Seymour. "Since then, Airbus and Boeing have both changed their operation procedures and have put more focus on manual training."

In the wake of the incident, Air France also revamped its training procedures and introduced a "gatekeeper" position.

Gatekeepers are tasked with contacting the flight crew in the event of an incident and providing pilots with on-the-spot training, tools and advice.

5. Retiring old planes

The FAA addressed the issue of how long planes should fly in 1988 when it created the National Aging Aircraft Research program, which monitors the structural integrity of older planes.

The measure was a result of an Aloha Airlines accident. While flying at 24,000 feet, a large section of the roof blew off, leaving passengers flying in the open air.

The plane -- a Boeing 737 -- was 19 years old, and investigators blamed the incident on the plane's age-related wear and tear.

Air New Zealand's new swimsuit safety video: Fun or offensive?

6. Reviewing repairs

When it comes to making repairs to old aircraft, airlines have also become increasingly stringent.

This is mainly the result of Japan Airlines Flight 123, which crashed in the mountains 62 miles from Tokyo. The crash was the result of a poorly executed repair made several years earlier.

"The repair covered a crack in the bulkhead, but many hundreds of flights later, it corroded, and the air pressure bulkhead just burst open," recalled Seymour.

Boeing responded by monitoring its repairs more closely.

"After that, the types of repairs allowed on an aircraft skin were much more rigorously controlled," Seymour said.

7. Retrieving data

Both the Air France 447 crash and the more recent incident involving Malaysia Airlines Flight 370 have spotlighted the need for better access to data.

"There were several recommendations stemming from AF447, mainly centered around the flight data recorders and, more specifically, on ensuring the ability to locate them more easily and quickly," said Ilias Maragakis, communications officer for the European Aviation Safety Agency.

In the aftermath of the Air France incident, the agency published a notice of a proposed amendment to retire older recording technologies and recommended that cockpit voice recorders have a minimum recording duration of two hours.

Unfortunately, it may be a while before the necessary changes are implemented.

"Changes to regulations do take time. It's taken almost two decades for aircraft to be manufactured and older aircraft to be modified to have a system that means an empty fuel tank can't explode on an aircraft," Seymour pointed out.

@highlight

After disaster, new tech and performance regulations prevent the same thing recurring

@highlight

The FAA was formed as a result of a collision between two planes in 1956

@highlight

After Air France Flight 447 crashed, many airlines changed how pilots are trained