(CNN)A house is just a house, right?

Even the increasingly popular tiny houses look like standard houses, reduced in size.  But some houses are so far outside of the box, they're worth a trip to see.

Here are eight of the most unusual houses around the United States:

Pickle Barrel House Museum in Grand Marais, Michigan

Have you ever found yourself in a pickle?  Cartoonist William Donahey came pretty close when he took up residence in a house shaped like a pickle barrel.

Built in 1926 as a summer home for Donahey, Grand Marais, Michigan's Pickle Barrel House now holds a seasonal museum open from June to September.  Donahey allowed Monarch Food Company to use his popular "Teenie Weenie" cartoon characters on their pickle jar labels, and out of gratitude Monarch's parent company commissioned the house for Donahey's family to use, building him a much larger version of the barrels their pickles were sold in.

Purchased in 2003 and restored by the Michigan Historical Society, the museum is on the National Register of Historic Places.  Visitors can also take a stroll through the Historic Iris Preservation Society's Display Garden found on the property, with free admission to the museum and garden.

10 spectacular U.S. waterfalls

Gold Pyramid House in Wadsworth, Illinois

Some people have a guard dog.  This house has a pharaoh standing watch.

With the enormous statue of Ramses II in front of it, the 6-story, 17,000 square foot Gold Pyramid House in Wadsworth, Illinois, transports visitors back to ancient Egypt.

In the 1970s "pyramid power" was a popular trend, with some people believing in the supernatural powers of the pyramids.  Jim and Linda Onan were two such people, and at the time, their house was full of pyramids.  Linda used to joke to her husband that he should build their next house in a pyramid shape so she could stop looking at all of the little ones inside of it, and in 1977 he did, painting it gold and surrounding it by a moat.

Visitors can tour the pyramid and public areas of the home, which are decorated in an ancient Egyptian style to match the exterior of the house, visit a replica of King Tut's tomb and hear a presentation about the history of the gilded pyramid. Admission for adults is $15, children 17 and under are $10.

Shoe House in Hellam, Pennsylvania

There was an old lady who lived in a shoe. But in this case, it was a shoe salesman, who built the eye-catching Shoe House in Hellam, Pennsylvania.

Standing 25 feet tall and 48 feet long, the giant shoe was created as a structural advertisement almost 70 years ago. Creator and shoe salesman Mahlon N. Haines originally used it as a guest house.

With five different levels inside, the house has three bedrooms, two bathrooms, a kitchen and a living room. The house is open for tours from June through October, but private tours are available in the winter and spring. Tour prices are $4.50 for adults and $3 for children ages 4 to 7.

Winchester Mystery House in San Jose, California

Winchester rifle heir Sarah Winchester believed that spirits haunted her, and it took her 35 years to build an elaborate Victorian mansion that she believed would confuse those ghostly apparitions.

Completed in 1919, the seven-story, 160-room Winchester Mystery House in San Jose, California, has secret passageways, upside down columns and other oddities that the superstitious Winchester believed would bedevil those tormenting spirits.

The mystery house hosts guided tours for brave visitors who are fond of the supernatural.   There are three different tours available, with prices starting at $27 for adults and $24 for children.

Mary's Gone Wild Glass House in New Brunswick, North Carolina

People find a variety of ways to recycle old bottles, but covering an entire house in them might be a first.

Visitors to New Brunswick, North Carolina's coast will stumble upon Mary's Gone Wild glass bottle house and folk garden, located only 5 miles from the ocean.

Growing up, Mary Paulsen was known as the neighborhood doll repair woman, collecting discarded dolls and fixing them up.  As an adult, she turned her yard into a village for her 6,000 dolls, using whatever items she could find.  People started leaving their unwanted good in Mary's yard for her to make into art and she began work on her bottle house gallery in 2008, covering the walls with 8,000 different types of bottles, from nail polish to wine.

The glass bottle house is open for tours year round.  Visitors can also stop in her gallery to purchase art that benefits the hungry, or make a donation, as admission to the house is free.

One Log House in Garberville, California

This isn't what comes to mind when most people think of a log cabin.

Living in Humboldt County, California, Art Schmock was used to seeing giant redwoods towering above him, but his relatives living in the Midwest and East Coast refused to believe that trees actually grew to be so large.

Realizing that most people had never seen giant redwoods, the logger created the One Log House and put it on wheels so that he could tour the country.  Schmock and a friend spent eight months hollowing out the 7-foot-tall, 32-foot-long section of redwood.

Holding a living room, kitchen and bedroom, the log house was similar to other mobile homes, except that its tremendous size and weight made mobility challenging, requiring special permits to drive on each state highway.  Although the house traveled on occasion, it spent most of its time "resting" in small towns along the Northern California coast.

Now, One Log House Espresso and Gifts sits on Highway 101, south of Garberville, where it's been for the last 15 years.  The small cafe sells food, beverages and redwood gifts and has some relics of the old-time logging days.  Admission is $1 for visitors over 5 years old.

Beer Can House in Houston, Texas

It all started with a dislike of yard work. Tired of mowing the lawn and doing landscaping work at his Houston home, John Milkovisch inlaid thousands of marbles, rocks and metal pieces into the concrete and redwood of his yard in 1968.

When he finished with both the front and back yards, he began work on crafting aluminum siding for the house out of beer cans, which eventually became known as the Beer Can House.  After he finished the practical aspect, he moved on to the decorative, making sculptures and garlands for the house, also out of beer cans.

Ripley's Believe It or Not estimated that 50,000 beer cans went into making John Milkovisch's tribute to recycling.

In 2001, years after Milkovisch passed away, the Orange Show Center for Visionary Art acquired and restored the house, opening it to the public in 2008.  The house is open for visitors between Memorial Day and Labor Day, costing $5 for adults and free for children 12 and younger.

House on the Rock in Spring Green, Wisconsin

Are you afraid of heights?  Then you may want to avoid the Infinity Room at Spring Green, Wisconsin's House on the Rock.

The long, thin room stretches 218 feet long and 156 feet above the valley floor, with over 3,000 windows for walls, providing amazing panoramic views. Considered an architectural wonder, the house was built in 1945 by Alex Jordan as a luxurious retreat.

Perched on a rock, as its name implies, the house has an amazing view of the surrounding nature.

Open to the public since 1960, the house is divided into three sections that can all be toured.  The admission for all three sections is $28.50 for adults and $15.50 for children.  But, each section can also be visited separately for $12.50.

Staff recommends that visitors spend at least three hours in the house to experience all that it has to offer, such as a carousel it touts as the world's largest, complete with 269 handcrafted animals.

@highlight

Visitors to Michigan's Pickle Barrel House will find a museum and iris garden

@highlight

North Carolina's Mary's Gone Wild Glass House is covered in over 8,000 bottles

@highlight

House on the Rock in Wisconsin features a room with 3,000 windows