(CNN) -- Respiratory illnesses caused by an enterovirus are sending hundreds of children to hospitals throughout the Midwest and Southeast, health officials say.

Twelve states are reporting clusters of enterovirus illness: Alabama, Colorado, Michigan, Georgia, Ohio, Iowa, Illinois, Missouri, Kansas, Oklahoma, Kentucky and Utah.

Six of those states -- Colorado, Kansas, Kentucky, Illinois, Missouri and Iowa -- have confirmed cases of Enterovirus D68, also known as EV-D68.

Enteroviruses, which can cause a variety of symptoms, aren't unusual. If you've ever had a bad summer cold, it was likely caused by an enterovirus. The CDC estimates there are 10 to 15 million viral infections each year in the United States. The season often hits its peak in September.

"It's important to remember that these infections are very common," said Dr. Anne Schuchat, assistant surgeon general for the U.S. Public Health Service and the director of the National Center for Immunization and Respiratory Diseases.

But this particular type of enterovirus -- EV-D68 -- is less common. And health officials are concerned by the number of hospitalizations it has caused this year.

"It's worse in terms of scope of critically ill children who require intensive care. I would call it unprecedented. I've practiced for 30 years in pediatrics, and I've never seen anything quite like this," said Dr. Mary Anne Jackson, division director for infectious diseases at Children's Mercy Hospital in Kansas City, Missouri.

What parents should know about EV-D68

Staff members noticed an initial spike on August 15, Jackson said.

"It could have taken off right after school started. Our students start back around August 17, and I think it blew up at that point," Jackson said.

Many of the children who are being hospitalized have a history of asthma or wheezing, says Dr. Christine Nyquist, medical director of infection control at Children's Hospital Colorado. EV-D68 seems to exacerbate any breathing problems that aren't under control with medication.

Survive the September asthma epidemic

Children's Hospital Colorado has seen a 12% to 15% increase in emergency room visits and admissions this month compared with the same time frame last year, Nyquist said. The hospital sent 25 samples to the CDC from patients with respiratory illness. Around 75% were confirmed to be EV-D68.

On Monday, the CDC confirmed that 11 samples it tested from children who had been hospitalized in Chicago tested positive for EV-D68. Nineteen of the 22 specimens sent to the CDC from Kansas City also showed signs of the virus, meaning there is likely a regional outbreak.

The Iowa Department of Public Health confirmed that EV-D68 cases have been identified in that state. Officials are hearing of illnesses across the state, they say, though there is not a firm count of how many people have been infected.

Why enterovirus infections are difficult to track

EV-D68 was first identified in the 1960s, and there have been fewer than 100 reported cases since that time. But it's possible that the relatively low number is due to the fact that the CDC doesn't require health departments to track EV-D68.

"It's one that we don't know as much about as we would like," Schuchat said.

EV-D68 was seen last year in the United States and this year in various parts of the world. Over the years, clusters have been reported in Georgia, Pennsylvania, Arizona and various countries, including the Philippines, Japan and the Netherlands. Health officials don't know why the enterovirus has created such a problem this year.

"That's the scary part -- the unpredictability, I think," Nyquist said.

The unusually high number of hospitalizations reported could be "just the tip of the iceberg in terms of severe cases," said Mark Pallansch, a virologist and director of the CDC's Division of Viral Diseases. As states continue to send samples to the CDC, the public health agency will get a clearer picture of the number of viral infections being caused.

In the meantime, parents should be on the lookout for signs that their child is having difficulty breathing. Other common symptoms of the virus include coughing, fever and rash.

"It's important to make sure your children with asthma are on their medicines and keeping up with their medication routine," Schuchat said.

Like other enteroviruses, EV-D68 appears to spread through close contact with infected people.

To reduce the risk of infection, wash your hands often with soap and water for at least 20 seconds, especially after changing diapers. Avoid touching your face with unwashed hands, and avoid contact with people who are sick. Disinfect frequently touched surfaces such as toys and doorknobs, and stay home when you feeling under the weather to avoid infecting others.

CNN's Jen Christensen, Elizabeth Cohen, Deanna Hackney, Michael Martinez, John Newsome, Matthew Stucker and Leslie Wade contributed to this report.

@highlight

Enterovirus clusters seen in 12 states around the Midwest, Southeast

@highlight

Six states have confirmed EV-D68 cases

@highlight

Missouri doctor calls situation "unprecedented" in terms of kids in intensive care

@highlight

Enterovirus D68 causes respiratory illnesses like a cold, only worse