(CNN) -- Green and yellow auto rickshaws chug through the crowded streets of New Delhi. Tuk tuks sputter on the roads in Thailand to tourists' delight.

Millions in South and Southeast Asia rely on these three wheelers -- known variously as rickshaws, tuk tuks or tricycles -- as an affordable mode of transportation.

But while beloved by many, the vehicles are also blamed for bottleneck congestion and pollution, spewing carbon monoxide, carbon dioxide and particle matters that become trapped inside the lungs.

"In many places both inside China and in other Asian countries, the three-wheeler is considered a symbol of a less-than-modern-economy, not appreciated by some image-conscious businessmen and government officials," said Ed Benjamin, chairman of the Light Electric Vehicle Association, the trade association for such vehicles.

As concerns over air pollution and fuel dependence grow, several Asian companies are vying to become the Tesla of motorbikes to bring zero-emission, light electric vehicles to the masses.

South Asian cities have the worst air pollution in the world

There is major interest in turning electric in China, and to a lesser extent in Vietnam, Thailand and India as well, said Benjamin.

Chinese drivers hesitant to adopt electric cars

The move to electric is also gaining traction with motorcycle manufacturers, said Benjamin. "Piaggio, Honda, Yamaha, and others have had production of gasoline three-wheelers that we expect to see in electric versions," he says.

Japanese company pushes for innovating motorcycles

In the effort to revolutionize the industry, a lanky, young engineer turns on a motorcycle at a warehouse set amongst farmland about 70 miles north of Tokyo.

The engine hums to life with a low whooshing sound -- so quiet you have to crane your ear to hear it. The white motorbike's display panel lights up. There are no plumes of smoke gushing out of the exhaust or the odor of gasoline.

Terra Motors is a Japanese start-up specializing in electric motorcycles and tricycles, which it plans to market in Southeast and South Asia.

Japanese motorcycle brands like Honda, Yamaha, Suzuki and Kawasaki dominate the Asian market outside of China, because customers trust the brands and Japanese engineering, said Toru Tokushige, CEO of Terra Motors.

The motorcycle industry has to evolve and adapt to electric energy, to avoid becoming like Kodak films, which didn't evolve to digital quickly and was rendered obsolete, he said.

Tokushige hopes that Japanese electric vehicles will catch on as their motorcycles and tricycles originally did several decades ago in South Asia.

His company is trying to market electric versions in Vietnam, Philippines and India. "Each country has its own preferences for the eyes and smile," he said referring to the front of the vehicle where the headlights are located.

The vehicles carry lithium batteries that take about 10 hours to recharge.

But would these vehicles work in countries where there are frequent power outages?

Tokushige said charging the vehicles are like charging cell phones and would usually occur overnight, when electricity usage is typically low.

Several communities are already adapting to electric vehicles and that there are examples of "reverse innovation" which is innovation from developing countries that spreads to richer countries, he said.

In Bangladesh, he found garages, propped up by bamboo and tin, transformed into charging stations for electric vehicles.

"Some people charge at these garages," he said, showing a picture he took in Dhaka. "They're already achieving a new kind of business where you rent a parking space and pay to charge."

With fuel prices increasing, Tokushige says there is growing willingness to adapt and to find new business opportunities with electric vehicles. And unlike electric cars which are hampered by the lack of charging stations, the electric tricycle taxis usually travel less distance than cars, so they'd be likely to travel closer to their electric source, he says.

"I believe that air and noise pollution issues, along with the ever increasing price of petrol, will push all of these high density communities to electric two- and three-wheelers," Benjamin said.

Non-OECD Asian countries are expected see as much as a 200% increase in greenhouse gas emissions from the transport sector by 2030, according to Asian Development Bank.

The Philippines is one of the first nations to make a concerted push towards electric vehicles, which it plans to roll out first in Manila and to the rest of the country. It plans to lease 100,000 new electric taxi trikes to drivers to replace its sputtering, gas-powered vehicles by 2016.

@highlight

Auto rickshaws or tuk tuks are cheap mode of transit for people in Asia

@highlight

They're also seen as contributing to congestion and pollution

@highlight

Expert says electric vehicles are becoming more popular