Athens, Greece (CNN) -- Greek workers rallied in central Athens on Thursday after unions called a general strike to protest the government's sudden decision to halt activities at the country's state broadcaster.

Thousands gathered outside the headquarters of the broadcaster, ERT, whose TV channels and radio services were pulled off the air overnight Tuesday to Wednesday.

Government officials are defending the decision as a necessary budget-cutting move as the country struggles with a debt mountain, soaring unemployment and a lengthy recession.

There was more bad news Thursday, as new figures showed the unemployment rate rising higher.

Overall unemployment reached 27.4% in the first quarter of 2013, according to the Greek Statistics Agency, up from 26% in the last quarter of 2012, and 22.6% a year ago.

The strike action has affected all public transportation in the capital and threatened some disruption to flights.

The sudden shutdown of ERT has prompted fear among many Greeks that other public sector employers could be next.

Inside the ERT building, where some journalists are still broadcasting via the Internet, the mood is grim.

"We are in a state of shock. The news is overwhelming," Rena Dimitriou, on the foreign desk, told CNN. "We feel insulted by our government, by our prime minister.

"We feel angry and we feel that we are being terrorized by our government. ... For me personally I feel lost, but in a case that is not lost. I've been working here for 21 years now and it feels as if my life has reached a dead end. It means a new beginning but I don't know how this will be possible.

"Also I feel embarrassed. Profound dismay. Right now thousands of people don't know what comes next. And all this overnight."

Dimitriou is also concerned about the impact on the Greek diaspora and those living in border areas, "who have now lost their connection with the motherland" and must rely on privately owned media for news.

'No prospects'

In the newsroom, journalists who would normally have been working on broadcasts are turning their hands to sweeping, cleaning up and, they say, making sure that public property is not destroyed.

Zeta Kontaxi, who has worked at ERT for 19 years, said she never expected to see the events of the past two days -- and she fears for the future.

"Being here for 19 years is part of my existence and suddenly this comes to a grinding halt overnight," she said. "We already had a 38% salary cut since 2010, so I have used all of my savings and now I find myself in a situation with no money and no job and no prospects of employment, when unemployment figures in Greece stand at 27%."

The General Confederation of Greek Workers and the Civil Servants Confederation oppose the decision and called for industrial action through the day Thursday.

Their support helped swell the number of demonstrators outside the ERT headquarters, estimated at about 10,000 by Athens police.

Among the protesters was Giorgos Louvrikos, a 21-year-old law student from Patras who is studying in Athens.

"What the government has done is no better than what Erdogan is doing in Turkey. Suppressing people's voices," he said, referring to the crackdown on protests in Istanbul and elsewhere.

Prime Minister Antonis Samaras described ERT Wednesday as a "symbol of waste and lack of transparency" that needed to be changed.

But the decision to abruptly shut down the broadcaster, which has been in operation since 1938, has sparked division within the coalition government.

Samaras, leader of the center-right New Democracy party, is due to meet with the other two party leaders in the coalition on Monday, when the question will be discussed.

No room for 'sacred cows'

Government spokesman Simos Kedikoglou cited chronic corruption and mismanagement of funds as reasons the broadcaster was closed down, at least temporarily.

"At a time when the Greek people are enduring sacrifices, there is no room for delay, hesitation or tolerance for sacred cows," Kedikoglou said in announcement shown on the broadcaster.

ERT has said the decision means 2,656 employees will lose their jobs.

To meet its commitments to its creditors -- the European Commission, European Central Bank and International Monetary Fund -- the Greek government has to dismiss 2,000 people from the wider public sector by the end of the year and 15,000 by the end of 2014.

Kedikoglou said a new television and radio broadcaster would open with a much smaller staff, with existing employees able to apply for new positions.

A "modern television and radio broadcaster will be established that will operate as soon as possible," he said.

An exact time frame for the new organization has not been announced, but a government spokesman said the new broadcaster should be operational before the end of the summer.

The General Secretariat of Information and Communication said the new state broadcaster would be called the Organization of Modern State Television.

Journalists dismayed

The European Commission said Wednesday it had not sought the closure of ERT, "but nor does the Commission question the Greek Government's mandate to manage the public sector."

It added that the commission "supports the role of public broadcasting as an integral part of European democracy."

Reporters Without Borders expressed dismay over what it said was a "bizarre" decision by the government to shut down ERT's activities while carrying out the overhaul of its services.

"Greece has fallen almost 50 places in the past three years in the Reporters Without Borders press freedom index, a record fall in such a short period for a European Union member state," a statement said.

"The reasons include violence against reporters covering anti-austerity demonstrations, which goes completely unpunished, and threats against journalists and other news providers by the Golden Dawn party's neo-Nazis.

"Against this backdrop, the closure of ERT's TV stations has dealt a devastating blow to pluralism and freedom of information in Greece."

Greek lawmakers agreed in April to cut thousands of government workers to secure another â‚¬8.8 billion ($11.5 billion) in international bailout funds.

Journalist Elinda Labropoulou reported from Athens, and CNN's Laura Smith-Spark wrote in London. CNN's Laura Perez Maestro and Christine Theodorou, and journalist Nathalie Savaricas contributed to this report.

@highlight

NEW: About 10,000 people join a rally in support of ERT workers, police say

@highlight

"We are in a state of shock. The news is overwhelming," says an ERT journalist

@highlight

New unemployment figures show another increase, to 27.4% overall

@highlight

A new radio and TV broadcaster will be set up with fewer staff, government says