(CNN)The murder earlier this month of 27-year-old Farkhunda at the hands of a mob that beat her to death,  burned her body and tossed her into a river shocked Afghanistan, a country in which unspeakable things often hit the headlines.

The young woman from Kabul was falsely accused of burning pages in the Holy Quran.  What followed was the horror of mob rule, all captured on video while bystanders looked on.

Soon after the incident, the images of her brutal slaying went viral on social media, noted Afghanistan's TOLO News.  And this time, the outrage led Afghans to the streets, with assistance from Facebook and other social media.  These platforms have served both to disseminate the images of her savage beating and murder and as a means for convening those who are mobilizing and organizing to protest her killing.

Last week, crowds chanted for days, calling for justice for Farkhunda and "death for her killers." And,TOLO News reported, protests were held in different parts of the country, calling for the "ultimate penalty to the perpetrators."

Indeed, technology and connectedness have played a role in changing the old narratives in Afghanistan, as Farkhunda's killing shows.  Not only was her murder captured and shared online, but some of those men arrested for her killing were found to have confessed via social media posts. And now a country's anguish is shared in those same online and virtual neighborhoods.

Some Afghan civil society leaders see the protests that have resulted as yet another sign of an evolving Afghanistan -- a nation whose recently elected leaders, now sharing a unity government, visited Washington, D.C., in an effort to turn the page on the past.

"When we are talking about this case, what is it showing us? First of all, when we are talking about women's rights, we see that we have succeeded; people will not tolerate what they tolerated a decade ago," said Nargis Nehan, founder and executive director of Equality for Peace and Democracy, a non-governmental organization created to promote "a culture of peace, tolerance, transparency and accountability."

She was speaking last Tuesday at a roundtable at Georgetown University's Institute for Women, Peace and Security, organized around the visit by Afghan President Ashraf Ghani and Chief Executive Abdullah Abdullah.  "If this was the Afghanistan of a decade before and this would have happened, a small group of Afghan women would have come to the streets to be seeking justice.  Today we have men seeking justice."

Nehan explained that the younger generation, a progressive generation, wants to have a peaceful Afghanistan.

"But at the same time, we have conservatives who have been power-holders for many decades in Afghanistan and they don't want to see that. Change always has a cost and unfortunately in this case we see that a very innocent girl like Farkhunda has paid that."

Nehan and other leaders from Afghanistan could be seen checking Facebook frequently for updates on what was happening on the streets of their capital. What they found was an online community sustaining the strong sense of injustice over Farkhunda's killing that prompted the Afghan President to announce, even before he left for the United States, a fact-finding commission to investigate her murder.

Yet some Afghan leaders worried that the brutality of this murder marked another troubling turning point in a country wrestling with a great many transitions -- economic, security and political -- all at once.

"It never (before) happened to women at this level; this was really one of the shocking acts of violence publicly within the capital," said Sima Samar, head of the Afghan Human Rights Commission, at the Georgetown panel.  "It is not far from the palace, less than one kilometer."

"My personal concern is that if we do not manage the case properly, it might be used against us and against women's rights in the country," Samar added.

Women have gained a great deal in the roughly 13 years since the Taliban was ousted from power.  Today, 3 million girls attend school. Women serve in the country's security forces -- albeit in very small numbers. They sit in Parliament and work as entrepreneurs, teachers and civil society advocates.

Still, violence against women remains rampant and widespread. The practice of child marriage is outlawed but still common in some parts of the country.  And security and the economy are still major challenges, particularly in the more remote provinces of the country untouched by the modernization gripping the nation's more urban centers.

Indeed, Samar and other human rights advocates and civil society leaders who have played a role in post-Taliban Afghanistan say they are determined that Farkhunda's death will not be in vain. They say they will continue to fight to keep her case in the spotlight and to see justice served.

Their commitment to seeking public justice for a public horror may well be one of the most powerful signals yet of an Afghanistan that is indeed a very different nation than it was only a decade ago.

@highlight

Murder of 27-year-old woman by mob in Afghanistan set social media ablaze with calls for justice

@highlight

Lemmon: Outrage, Afghan President's call for probe signal a changing nation years after Taliban rule