BOULDER, Colorado (CNN) -- Blake Jones' business plan for his company, Namaste Solar Electric, was so unusual, he confounded a lot of business experts.

Typical home solar systems cost about $12,000 up front, but supporters say they pay off in the long run.

"We did have a lot of skeptical, raised eyebrows at the beginning," Jones said of his company, which installs solar power systems in Colorado.

"We even have had business schools bring teams of MBA students to come to do a case study," he said.

Outsiders were baffled by some of these company plans:

• Environmental concerns would be a driving force in every aspect of the company.

• Six weeks of paid time off.

• A concept called FOH -- frank, open and honest -- to help eliminate gossip and grudges.

• Employees, no matter what their job description, have the same pay scale.

• One percent of yearly revenues goes to solar systems donated to community groups.

• All major decisions would be made by consensus of all company employees.

Jones had done a serious turnabout in his own career that inspired some of the unusual principles of Namaste. Namaste is a Sanskrit greeting meaning "to bow to you." The civil engineer spent five years working in the Middle East for Brown and Root, a subsidiary of Halliburton, in the oil and gas industry.

"But something in me realized there is something more. I didn't like the overdependence that we have on oil and gas. I think oil and gas, even coal are always going to be a very big part of our lives. But I think what we need to do, is we need a more balanced portfolio. I had a gradual awakening to wanting passionately to work with renewable energy because I thought there was a better way," Jones said.

He moved from the Middle East to Nepal, where he spent three years installing solar and hydroelectric systems in remote areas.

Although the clients and the mission are very different in Colorado, solar power is becoming a more popular long-term investment in the state.

Jones picked a place where residents are open to doing things a different way. Boulder is tree-hugger heaven by anyone's standards. The city has lots of incentives to encourage the use of renewable energy.

"There is more interest in solar in Boulder then anywhere else in Colorado. That's one example of how environmentally focused our community is," said Sarah Vanpelt, environmental sustainability coordinator for the city.

In 2004, Colorado voters approved state incentives for the use of alternative energy.

"And Boulder provides a rebate on a portion of the sales and use tax that property owners pay to purchase and install a system, and we use those funds to provide grants to nonprofits to install solar on affordable housing, low-income housing, and on nonprofit facilities," Vanpelt said.

"So I think we will continue to see growth in the green industry and in renewable energy, both solar and wind," she said.

Namaste is in the process of remodeling a 15,000-square-foot warehouse for its offices.  Watch more about the unique project »

And it is doing it to the highest of green building standards, the LEED, or Leadership in Energy and Environmental Design certification. That involves everything from the use of natural light to the recycling of building materials to the access to the building by public transportation.

And yes, all the building's electricity will be provided by a solar system Namaste installs. Most of the panels will be on the roof, but there will also be a solar awning.

Construction manager Marc Smerekanicz did some of his own head-scratching with some of the requests to meet LEED standards.

"Thinking in a different way than what I was brought up to think of as the construction process, that's the way of the future," Smerekanicz said.

For some customers, it is rising energy prices as much as concern for the environment that is prompting them to consider solar power for their homes and businesses.

Namaste just installed solar panels on the home of Hal Stuber.

"It's become more reasonably priced, and on top of that there are the incentives from the utility company, also the federal tax credits. So, all in all, the economics really look excellent," Stuber said.

"For every $3 of cost, from rebates and tax credits I'm getting about $2 back, and yeah, that's a big incentive. I doubt that I would have done this had it not been for the rebates and tax incentives," he said.

Stuber plans to use some of his solar power for a plug-in motorbike. And when his system produces more power than he uses, his electric meter runs backward. At the end of the year, he may get money back from the utility.

Even with rebates, Jones said, a typical solar system costs a homeowner about $12,000 up front. But he said that as a long-term investment, it pays off.

He said that's why the company's community involvement comes in the form of solar installations, not cash.

"We consider a solar system to be a gift that keeps on giving. If we give them a solar system, then it will save their electricity bills each year for the next 30 years, compared to if we just give them money, it will contribute to their budget for that one year only," Jones said.

So how's that crazy business plan working?

In the past 3½ years, Namaste has installed more solar systems than any other company in Colorado. Three original employees have grown to 45. And the company has been growing by triple-digit percentages every year.

"Whatever perspective you look at, we're being profitable, and it's exactly what we need to do to prove that our business experiment, that our company model is going to work," Jones said.

@highlight

Businessman Blake Jones seeks to develop renewable energy sources

@highlight

Jones' passion for solar sparked a radical career shift during time in Mideast

@highlight

Home solar system costs $12,000, but Jones says it pays off in long run

@highlight

Boulder, Colorado, offers rebates, grants for home solar power systems