Just yards from where thousands of pro-democracy supporters have been "occupying" the heart of Hong Kong's financial district, stands an imposing gray building surrounded on all sides by a high wall -- this is the Hong Kong garrison of the People's Liberation Army (PLA), China's armed forces.

The main gates of the base, known as the Prince of Wales barracks until London handed over the city to Beijing in 1997, are guarded by heavily armed sentries in green combat fatigues, who stand statue-like with impassive expressions 24 hours a day, seven days a week.

But despite the fact Hong Kong is a Chinese territory, the PLA garrison abides by local Hong Kong laws that emphasize the city's considerable autonomy. In short they keep a low profile: the soldiers never come out onto the streets of the city, and there's minimal interaction with the local population beyond the occasional open day.

While there is nothing to suggest this will happen, the possible intervention of the 6,000 PLA troops believed stationed here has been the "elephant in the room" for many, as we approach the first full week of pro-democracy demonstrations. For some protesters, memories are still fresh of 1989 and the brutal crackdown of student protests in Beijing's Tiananmen Square.

PLA arrives

It was July 1, 1997 when the main force of Chinese soldiers rolled across the border from the southern Chinese city of Shenzhen into Hong Kong, as Britain formally ceded control of the territory it had controlled since 1841.

Despite heavy rain, the convoy of green military trucks filled with soldiers clutching their rifles was met by crowds waving the flag of the nascent Special Administrative Region of Hong Kong: a white five-petal bauhinia flower on a red background. They headed for Hong Kong Island and their new base, which had earlier been vacated by a British military detachment and was now flying the flag of the People's Republic of China.

The barracks, located in Hong Kong's Central district, are the garrison's headquarters but many PLA personnel -- particularly naval and air force units -- are stationed at smaller facilities across the territory. While troop numbers remain constant, the garrison's personnel are frequently rotated in and out of Hong Kong. According to the city's governing legislative council, the first rotation was conducted in 1998 and 12 rotations have been made since then.

OPINION: Leung: Emotion 'will get us nowhere'

Non interference

Under the newly-created "Basic Law," a constitutional agreement that came into effect on July 1, 1997, the PLA garrison -- a mixture of personnel from PLA navy, ground and air forces -- is responsible for defense and to maintain the sovereignty, unity and territorial integrity of the State and the security of Hong Kong.

While Article 14 of the Basic Law stipulates that the garrison "shall not interfere in the local affairs of Hong Kong," the Hong Kong government "may, when necessary, ask the Central Government (Beijing) for assistance from the garrison in the maintenance of public order and disaster relief."

It then adds, "the garrison shall perform its duties in accordance with the provisions of the national laws that the Central Government decides to apply in Hong Kong in the event that the Standing Committee of the National People's Congress decides to declare a state of war or, by reason of turmoil within Hong Kong which endangers national unity or security and is beyond the control of the HKSAR Government, decides that Hong Kong is in a state of emergency."

However, Beijing has been at pains to emphasize that the current situation in Hong Kong is the responsibility of the local authorities to address.

Since 1997, China's military presence in Hong Kong has been largely anonymous with little revealed about its daily operations -- with the exception of open days, when the city's population is invited into the PLA's barracks and given the opportunity to see its weaponry and meet soldiers.

However, there have been signs in recent months that the PLA has started to be more high profile, with regular visits to the city's Victoria Harbor by warships. Recent accounts of armored vehicles rumbling between bases across the city has prompted many to speculate whether this is a deliberate ploy by Beijing to make its presence felt.

@highlight

Protesters gathering close to Hong Kong garrison of the People's Liberation Army (PLA)

@highlight

PLA garrison abides by local Hong Kong laws, though it can help maintain order if asked

@highlight

Memories are still fresh of 1989 and the brutal crackdown of Tiananmen protests

@highlight

Estimates put number of PLA troops stationed in Hong Kong at around 6,000