Washington (CNN) -- Her voice was halting, but not weak.

Two years after being shot in the head by a gunman at a political event, former U.S. Rep. Gabrielle Giffords appeared at the first congressional hearing since last month's Connecticut school massacre to urge Congress to act now on gun violence.

"Too many children are dying. Too many children. We must do something," Giffords said in a rare public appearance Wednesday, reading a statement that acknowledged her injuries made it difficult to speak.

"It will be hard, but the time is now," she told the packed hearing held by the Senate Judiciary Committee.

Teen who performed at Obama inaugural events shot dead in Chicago

The panel also heard from voices on both sides of the gun control issue in the nearly four-hour hearing that illustrated the deep political and ideological divisions over a longstanding issue.

National Rifle Association Executive Vice President Wayne LaPierre blamed the government for failing to enforce existing gun laws and said new restrictions, including background checks, won't stop criminals from using weapons in violent crime.

"Law-abiding gun owners will not accept blame for the acts of violent or deranged criminals, nor do we believe that government should dictate what we can lawfully own and use to protect our families," he said.

Democratic senators led by California's Dianne Feinstein, who is proposing a ban on semi-automatic rifles and ammunition magazines exceeding 10 rounds, argued that restricting access to such firepower and expanding background checks to as many gun sales as possible will help.

Giffords' husband, retired astronaut and naval aviator Mark Kelly, called for a "careful and civil conversation" on new gun limits and a broad new acceptance of society's responsibility to keep firearms from dangerous people.

"Our rights are paramount. But our responsibilities are serious," he said. "And as a nation, we are not taking responsibility for the gun rights our founding fathers have conferred upon us."

Opinion: Gun makers, help keep weapons out of criminals' hands

Sen. Patrick Leahy, the committee's Democratic chairman from Vermont, called for stronger background checks and a crackdown on so-called straw purchases, in which people who can pass background checks buy weapons for others. Leahy has proposed a measure to increase penalties for straw purchasers.

However, Leahy avoided endorsing an expanded ban on the assault-style weapons called for by President Barack Obama and Feinstein.

"Second Amendment rights are the foundation on which our discussion rests. They are not at risk," Leahy said. "But lives are at risk when responsible people fail to stand up for laws that will keep guns out of the hands of those who will use them to commit mass murder. I ask that we focus our discussion on additional statutory measures to better protect our children and all Americans."

The hearing came a few weeks after Obama announced legislative proposals aimed at curbing gun violence following the December 14 shootings that left 20 children and six adults dead at Sandy Hook Elementary School in Newtown. The shooter, Adam Lanza, also killed his mother and himself.

How the violent mentally ill can buy guns

Obama's proposals include a ban on popular semi-automatic rifles that mimic assault weapons, a limit of 10 rounds per magazine, and universal background checks for anyone buying a gun, whether at a store or in a private sale. Guns sold through private sales currently avoid background checks -- the so-called gun show loophole.

Democratic Sen. Chuck Schumer of New York said at Wednesday's hearing that he is in talks with colleagues -- including several who are ranked highly by the NRA -- on possible legislation to expand background checks on private gun sales.

Sources close to both Schumer and Republican Sen. Tom Coburn of Oklahoma told CNN the two were in serious discussions about co-sponsoring a bill to strengthen background checks.

The NRA, which is the public face of the powerful gun lobby, opposes many government limits on gun ownership as a violation of the constitutional right to bear arms.

LaPierre insisted Wednesday that the current background check system doesn't work, so expanding it would only create an unmanageable government bureaucracy instead of reducing gun crime in the country.

Quick draw: How the NRA's LaPierre keeps his enemies guessing

"The fact is the law right now is a failure, the way it's working," he said. "The fact is that you have 76,000-some people that have been denied under the present law. Only 44 were prosecuted. You're letting them go. They're walking the streets."

Instead, he called for better enforcement of all existing gun laws and creating "an immediate blanket of security around our children" by putting armed guards at all the nation's schools.

At the White House, spokesman Jay Carney called LaPierre's statistic an intentional diversion "from another issue that is part of this, which is the need for broader and universal background checks."

"This is being pushed as a reason not to do something that the overwhelming majority of the American people support," Carney said, later adding that "the skepticism you're hearing" comes from those "who don't want to do anything on this issue."

During the hearing, an exchange between LaPierre and Sen. Dick Durbin, D-Illinois, showed the deeply held positions on each side.

After LaPierre complained that expanded background checks would only burden law-abiding citizens and said they make no sense because criminals ignore the system, Durbin commented that the NRA official missed the point.

Obama's gun violence measures: Would they work?

"The criminals won't go to purchase the guns because there will be a background check," Durbin said. "We'll stop them from the original purchase. You missed that point completely. And I think it's basic."

LaPierre responded that it was Durbin who failed to understand, adding as Leahy banged his gavel for order that "if you are not prosecuting them, you are not even stopping them."

He and other opponents of more gun control also depicted extreme scenarios of Americans under threat in their homes and at schools to make the case for access to semi-automatic weapons and high-capacity magazines.

"We all know that homicidal maniacs, criminals and the insane don't abide by the law," LaPierre said.

Another witness, Gayle Trotter of the Independent Women's Forum, repeatedly described scenes of women at home with their children needing weapons that would be banned under Feinstein's proposal to fight off bigger, stronger male attackers.

"An assault weapon in the hands of a young woman defending her babies in her home becomes a defense weapon and the peace of mind that a woman has as she's facing three, four, five violent attackers, intruders in her home with her children screaming in the background, the peace of mind that she has knowing that she has a scary looking gun gives her more courage when she's fighting hard and violent criminals," Trotter said. "If we ban these types of assault weapons, you are putting women at a great disadvantage."

Other witnesses and senators who support tougher regulations countered that the constitutional right to bear arms can be limited, for example, by the existing ban on private citizens possessing grenade launchers and other military weaponry.

Why would someone own a military-style rifle?

"I think most people believe that, sure, we could have guards at schools," Feinstein said, making a reference to the Columbine, Colorado, school massacre in 1999 in which two students killed 13 people before shooting themselves. "I'm well aware that at Columbine there was a deputy sheriff who was armed who actually took a shot but couldn't hit the shooter there. The question comes, what do you do about the malls then? What do you do about our movie theaters? What do you do about businesses. We can't have a totally armed society."

The police chief of Baltimore County in Maryland, James Johnson, endorsed what he called the holistic approach urged by Obama to create a system that reduces access to guns for people who shouldn't have them.

"The best way to stop a bad guy from getting a gun in the first place is a good background check," said Johnson, the chairman of the National Law Enforcement Partnership to Prevent Gun Violence.

However, Denver University law professor David Kopel said the Supreme Court made clear in a Washington, D.C., case that gun controls could not include weapons used commonly by law-abiding citizens, such as the top-selling AR-15 semi-automatic rifle that Feinstein's legislation would ban.

NRA chief: Obama makes 'mockery' of American freedoms

The hearing showed agreement in concept on some issues, such as strengthening mental health screening. In general, though, it appeared to do little to create common ground on the issue.

Leahy said he hopes the committee will begin considering legislation next month.

The NRA's membership has spiked by 500,000 people since the Newtown shooting, bringing its number to more than 4.5 million, the group said Wednesday.

In the meantime, Kelly and Giffords have launched Americans for Responsible Solutions to push for gun control.

On Tuesday, Kelly said that despite the Tucson, Arizona, shooting that wounded his wife and killed six others, he and Giffords still support the Second Amendment, which guarantees Americans the right to possess firearms.

"But we really need to do something about the safety of our kids and our communities. It's gotten really out of hand," he said.

After Wednesday's hearing, Kelly made a point of approaching LaPierre to shake his hand as media cameras recorded the moment.

Why new laws could miss America's bigger gun problem

CNN's Faith Karimi and Arielle Hawkins contributed to this report.

@highlight

NEW: Sources: Senators from both parties discuss a bill on background checks

@highlight

Senators and witnesses tangle over politics and ideology

@highlight

A Senate committee holds the first hearing on gun violence since the Sandy Hook massacre

@highlight

Gun owners won't accept new restrictions or blame for crime, NRA official says