(CNN) -- "Sesame Street" may not be a real place, but tell that to some of the people Michael Davis met when researching and talking about his new book, "Street Gang."

Bert, left, and Ernie have been mainstays of "Sesame Street" since the beginning.

"I met a lot of people who I worked with in New York or got to know in New York -- transplants -- who said to me, 'When I first arrived here in New York, I had this strange desire to find Sesame Street,' " he said.

Well, to paraphrase the famous theme song, who wouldn't want to get to "Sesame Street"?

For two generations, the fictional block of brownstones inhabited by curious children, friendly adults and some odd-looking Muppets has helped shape childhood education by offering exercises, games and life lessons all wrapped up in a television-friendly format. It's a model that's proved durable and influential, says Syracuse University pop culture professor Robert Thompson.

"If I were to make a list of the top 10 most significant American TV shows ... I'd put 'Sesame Street' on the list. The fact that it's still on the air attests to its [significance]," he said.  See "Sesame Street" in pictures »

"The idea they came up with was kind of radical: If you can sell kids sugared cereal and toys using Madison Avenue techniques, why couldn't you use the same techniques for teaching counting, the alphabet and basic social skills? And it works."

Indeed, as Davis notes in "Street Gang" (Viking), the genesis of "Sesame Street" was when the 3-year-old daughter of a Carnegie foundation executive was fascinated by television, waking up to watch the broadcast day begin and memorizing commercial jingles. He talked about his daughter with a friend, producer Joan Ganz Cooney. In the liberal ferment of the mid-'60s, both wondered whether educational TV could go beyond the staid classroom shows of the era.

Cooney became the driving force of "Sesame Street." She put together the plan, helped recruit talent, located financing and oversaw production. "Sesame Street" became the foundation for the Children's Television Workshop (now Sesame Workshop), which created other educational shows such as "The Electric Company" and "3-2-1 Contact."

"She is just such an impressive woman," said Davis, adding that Cooney gave her blessing to his book project without any requirements but one: that he "get it right." "She's just one of those extraordinary public figures."

Cooney didn't hold much back in telling her story to Davis, and neither did others. From its debut on November 10, 1969, the show was a hit -- within a year, it was on the cover of Time magazine -- but it was not without its personality clashes.

The original Gordon, Matt Robinson, was a producer uncomfortable in the spotlight. Northern Calloway, who played David, struggled with mental illness. The show's primary songwriters, Joe Raposo and Jeff Moss, were constantly in competition; Raposo "fairly seethed with envy" when Moss' "Rubber Duckie" hit the Top 20, Davis writes. The book provides balanced biographies of a number of principals, including producer Jon Stone, whom Davis calls "the heart of the book."

"I wanted people to say, 'Wow, this guy Jon Stone, he really was the Orson Welles of "Sesame Street." ' Without him, the show wouldn't have been what it became," Davis said.

But for all the backstage machinations that affect any creative enterprise, "Sesame Street" stayed true to education, in all its forms. One show matter-of-factly included a breast-feeding Buffy Sainte-Marie; others featured a boy with Down syndrome, Jason Kingsley. EW: Stars who dropped by "Sesame Street"

Jim Henson, who was famous as creator of the Muppets when "Sesame Street" began, invented a world of (literally) colorful characters -- Oscar, Big Bird, the Cookie Monster, Bert and Ernie -- and, with his puppeteering crew, gave them soul.

And when Mr. Hooper (Will Lee) died, the show dealt with his passing honestly.

Over the years, the show has taken its knocks. Critics from the left have complained about its merchandising; critics from the right disliked its avowed commitment to diversity. In the '90s, "Barney" stole its thunder, and cable drained its audience. As "Sesame Street" comes up on its 40th birthday, some critics wonder whether it's still necessary.

But for all that, says Thompson, the show remains important, both in its pioneering educational style and in its clever business model. And it takes its charges seriously, he points out.

"One thing I still like about 'Sesame Street' is that it's not artsy," he said.

For Davis' part, doing the book -- which succeeded a TV Guide article he did on the show's 35th anniversary -- gave him renewed respect for its creators' achievements. And he's found out through his Web site, http://www.streetgangbook.com/, that "Sesame Street" still has the magic to move children -- mothers of autistic children credit the show with helping the kids' development -- and adults.

"Somebody said, 'I was OK when my mom explained to me there was no Santa Claus,' " he recounts. " 'But I cried my eyes out the day I realized Kermit was a puppet.' Isn't that great?"

@highlight

"Street Gang" is a new book that chronicles the history of "Sesame Street"

@highlight

Show was unique when it went on air in 1969, using TV techniques for education

@highlight

Much behind-the-scenes activities, but show has stayed true to goals

@highlight

Author Michael Davis has heard countless stories about "Street's" benefits