(CNN) -- In the dying days of the Battle of Mogadishu two years ago, on the beachside base used by Ugandan African Union troops in their successful campaign to drive Al-Shabaab from the capital, I came across three new prisoners. Handcuffed, dirty and dejected, the eldest of them was 17, the youngest 15.

They were volunteers, they said, who had put their hands up when an Al-Shabaab recruiter came to their school. This had happened a fortnight before; they had surrendered when they became separated from their unit and ran out of bullets. Why, I asked, had they put their hands up in the first place? The boys all looked at each other. "We were given a piece of fruit every day," one of them said.

I later interviewed several Al-Shabaab deserters in a government camp set aside for the purpose, prepared for anti-Western hostility from a gang of hardened jihadist militants. Instead I found a crowd of teenagers, spirited, unruly, and for the most part instantly likeable. It was disorienting, but in their Lakers T-shirts and Nile tracksuits, they resembled schoolboys anywhere in the world. Their average age was 15; one of them, Liban, was 9.

Like so many young Somalis in this shattered country, Liban was an orphan; the militants, for whom he had already fought for two years, were his surrogate family.

"I'm not scared!" he trilled. "I'm ready to fight again -- for the government!" These boy soldiers, I found, had little interest in Islamist ideology. Most of them had decided to join Al-Shabaab -- particularly in 2011, a famine year -- simply to survive.

They wanted what all young people want everywhere: security, food and water, and (if a little older than Liban) at least the prospect of an education, a job, a family, a home -- the chance of a half-decent life. And until such time as the Mogadishu government, and by extension the Western governments who support it, finds ways to start meeting those basic needs, Al-Shabaab will likely continue to find support.

Children have always been useful to Al-Shabaab, an organization whose name, after all, means "the youth" or "the lads" in Arabic. Children are capable of the most terrifying, feral violence when armed, as well as insane courage in the battlefield. Liban's moral compass was not so much awry as completely absent: No one had ever shown him one. He made life in Al-Shabaab sound like "Lord of the Flies" with automatic weapons.

A good dollop of jihadi claptrap helps put backbone into some of them. The impressionability of some young Somali recruits is as breathtaking as the cynicism and hypocrisy of their mentors. Martyrs for Islam, famously, are rewarded with the attentions of 72 virgins in the afterlife. Adult trainers are said on one occasion to have shown their pupils Bollywood DVDs and told their young charges that they were watching real footage shot by militants who had blown themselves up, and then beamed it down from Paradise.

Recruits from abroad are generally not so naive. Americans have long feared that Al-Shabaab's poison-merchants are also at work in U.S. Muslim communities, notably in Minnesota's Twin Cities, home to the largest concentration of Somalis in exile in the United States.

Since 2007, at least 20 young Somali-American men are known to have vanished from their homes and re-appeared in their homeland as volunteers for the Islamist cause. At least three of them have died as suicide bombers; and two or three of them might have been among those who attacked the Nairobi Westgate mall in Kenya.

Ideologues do exist in America. The Yemeni-American Anwar al-Awlaki, killed by a U.S. drone missile in Yemen in 2011, is perhaps the most prominent example.

Awlaki was necessarily a sophisticated orator: Westernized Somalis are unlikely to be seduced by the promise of a piece of fruit. Of far greater influence, however, are online videos of fiery speeches and stirring footage of, for instance, Al-Shabaab's latest and carefully edited successes on the battlefield. The FBI says that the Al-Shabaab recruitment process in Minneapolis has no evil "mastermind" as such, but is, as FBI Supervisory Special Agent E.K. Wilson told me in Minneapolis, "a very lateral, peer-to-peer organization," which is another way of saying the recruits tend to talk each other into it.

Those who make it to Somalia often do not like what they find. Some of the Minnesota boys sent e-mails home complaining about the heat or the malaria. They missed things like McDonalds and coffee. Burhan Hassan, 17, once a diligent student at Roosevelt High School who was eventually killed in 2009, phoned his mother to say that, while traveling by boat to a Shabaab base somewhere in southern Somalia, he had been so violently sick that his glasses had flown overboard. His mother sweetly fetched his prescription and read it out to him, in the faint hope that he could find an optician to replace them.

Some of the gunmen at the Nairobi mall also showed a disarmingly human side. One of them, scolded by 4-year-old British boy Elliott Prior as a "very bad man," replied, "Please forgive me -- we are not monsters," and gave him a Mars Bar. There can be no better illustration of the insane contradictions and conflicted morality of killing innocents in the name of Islam.

The opinions expressed in this commentary are solely those of James Fergusson.

@highlight

James Fergusson: Somali teens lured into Al-Shabaab by promise of food, security

@highlight

Many are orphans, he says, with no real Islamic ideology, who want to survive

@highlight

Recruiters tell of virgins in heaven, he says; Americans lured by tales of battle

@highlight

He says until Somalia gives teens a chance at a decent life, they will turn to Al-Shabaab