(CNN) -- Hong Kong is fast becoming the Fort Knox of ivory.

As one of the chief gateways to mainland China -- the world's largest market for ivory, according to animal welfare groups -- Hong Kong has seized tons of what Chinese collectors call "white gold."

In the last six months alone, more than six tons of elephant ivory worth close to $HK50 million ($US6.5 million) was confiscated in Hong Kong. In one shipment alone, Hong Kong authorities seized 3.8 tons of tusks, equivalent to one-sixth of the total illegal ivory confiscated worldwide last year.

Where this ivory is stored in Hong Kong is a closely guarded secret.

"For security reasons, we are not in a position to disclose further details of the keeping premises and the seized items," a spokesman for Hong Kong's Agriculture, Fisheries and Conservation Department told CNN.

With a black market price of almost $3,000 a kilogram, Hong Kong's authorities are taking no chances.

"The keeping premises are equipped with adequate security measures such as security guards and CCTV surveillance," he said.

But high-profile thefts in Zambia and Botswana have highlighted the security headache and the drain on resources that ivory stockpiles pose for countries.

"For many countries where ivory is detected entering the country illegally and seizures take place, especially involving large amounts of ivory, there is the very real possibility, given its current high value and the expense involved with maintaining security, of it finding its way onto the market," said Dr Naomi Doak, the Greater Mekong Program Coordinator for the wildlife trade monitoring network TRAFFIC.

"A number of countries have come out and acknowledged that they have lost ivory from stockpiles," she added.

Part of the problem, she said, was that countries are only required by international agreements on animal trade to report the weight rather than the number of tusks confiscated.

"If (countries) have to provide detailed records including the number of pieces as well as the weight of individual items, it makes it easier to verify and also allows more information to be used in analysis such as transportation trends," she said.

Scientists have begun a program of mapping poaching hotspots by analyzing DNA from seized tusks. For Grace Ge Gabriel, regional director for the International Fund for Animal Welfare, stockpiles are an invaluable resource in creating a crime database.

"There is a lab that has been set up in the University of Washington in the U.S. where they have already constructed a map of African elephant DNA which will help them pinpoint which country the ivory came from and where the poaching hotspots are," she told CNN.

Gabriel said that more often than not, poaching is repeated in the same areas. Information of this type helps law enforcers to choke off the trade at source.

While the Hong Kong stockpile is among the best protected in the region, and authorities have been quick to cooperate with the DNA database program, Gabriel said stockpiles in general present a risk.

"We feel that confiscated ivory requires a lot of capacity to keep it in a secure location and leaving it in these places will always tempt people to get their hands on it."

According to the Convention on International Trade on Endangered Species (CITES) which wrapped up in Bangkok this week, a large amount of confiscated African ivory goes missing every year.

"The size of ivory stockpiles in many countries in and outside Africa, and their possible contribution to the illegal ivory supply chain, remains another important gap in the current understanding of the dynamics of the illegal ivory trade," a report unveiled at CITES -- entitled "Elephants in the Dust, The African Elephant Crisis" -- stated.

"This gap could be substantially narrowed through mandatory, regular inventorying," it said. "Forensic techniques may help to establish the extent to which ivory in illegal trade is derived from poaching or was leaked from official stockpiles."

The report said the number of large-scale seizures of ivory (more than 800kgs) destined for Asia had more than doubled since 2009, reaching an all-time high in 2011.

Illegal ivory trade activity has more than doubled since 2007 and is now over three times larger than it was in 1998, the report said.

The report also said that highly-organized criminal networks operate with relative impunity to move large shipments of ivory to markets in Asia as a result of weak governance and collusive corruption at all levels.

While ivory has since 1989 been on Appendix I of CITES -- which outlaws its international trade -- critics blame a one-off sale of ivory stockpiled in Africa to China and Japan in 2008 for the latest spike in illegal ivory trading.

As elephant numbers increased following the ban, CITES officials agreed to the sale of 68 tons of ivory from stockpiles in the hope that regulated ivory would flood the market, putting further pressure on poached ivory.

The paper trail set up by the Chinese government to cover the newly regulated ivory products became the perfect cover for illegal traders. A flurry of false documentation branded poached ivory legal for trade and elephants have been slaughtered in greater numbers than ever.

In one case reported by the Environmental Investigation Agency, the employees of a major Chinese ivory distributor were able to register and legalize 'new', or illegal ivory, simply by declaring to provincial customs authorities that they had forgotten to register ivory before the ban, but wanted to "register it now."

According to CITES figures, the number of slain elephants in Africa was estimated at 17,000 in 2011, 7.5% of the continent's elephant population.

Conservation groups say nothing short of a complete ban will halt poaching.

Meanwhile, alternatives such as mammoth ivory -- legal because the mammoth has been extinct for more then 4,500 years -- has done little to stem the poaching, claim experts, instead fueling demand for ivory products.

A report on the mammoth ivory trade commissioned by Care for the Wild in 2010 found that buyers of mammoth ivory were sometimes undiscriminating about the provenance of the piece.

"Some buyers of mammoth ivory items may notice that the quality of elephant ivory is usually superior for larger pieces and may switch to elephant ivory objects, which might encourage more elephant poaching," the report said.

"If mammoth ivory objects were to be introduced into Africa, businessmen might try to use them as a cover for their illegal elephant ivory objects; small items can be difficult to distinguish."

In Hong Kong, one of the main hubs for Russia's $20m-a-year mammoth tusk industry, finding mammoth tusks that are large enough to sculpt is becoming increasingly difficult.

"(Fossickers) can only work in summer because the tundra in Russia is frozen for the rest of the year and even then they're having to dig deeper to get the larger tusks," said one Hong Kong trader who did not want to be named because of the sensitivity surrounding all ivory trade. "It seems like all the bigger, easy-to-get pieces have already been extracted."

Despite the legality of the mammoth tusk industry, he said people still come into his shop on Hong Kong's fine arts and antiques strip on Hollywood Road asking to buy elephant ivory.

"Many times, many times (people ask for ivory). Do they know it's illegal? Some do, some don't," he said.

Conservation groups have now targeted what they call the "gang of eight" nations at the center of the illegal ivory trade -- Kenya, Thailand, Uganda, Tanzania, Vietnam, Malaysia, Philippines and China.

Tom de Meulenaer, a senior CITES official, said the convention's ruling committee had "run out of patience" over the ivory issue and last week it moved to toughen up action against the worst offending countries.

At its final session in Bangkok, CITES delegates approved a decision to demand an action plan from the so-called "gang of eight" to reduce the trade in ivory within 12 months. If these countries do not meet these targets, delegates said, they would likely be hit with sanctions barring their own legal wildlife and plant trades.

TRAFFIC's elephant and rhino expert Tom Milliken said it was time for countries on ivory trade routes to produce blueprints for curbing the ivory trade.

"We've seen trade in illegal ivory double since 2007 and the illegal killing of elephants double since 2005. We're really at the highest levels of illegal killings and illegal trade in two decades," Milliken told CNN. "There is a general sense that things are beginning to spin out of control."

He said that while Chinese demand was driving the trade due to its increased economic power and its history of ivory consumption, no other country was doing more in terms of making seizures.

"Unfortunately, it's just not yet registering a deterrent effect," he said.

@highlight

Hong Kong has amassed a stockpile of tons of seized illegal ivory

@highlight

Last year, authorities seized more than six tons of ivory destined for China

@highlight

Conservation groups say demand in China is driving the illegal trade

@highlight

Illegal trade in ivory has more than doubled since 2007, a report says