Cairo, Egypt (CNN) -- Protesters taking to the streets in Egypt on Wednesday felt the wrath of security forces, a day after an unparalleled display of public rage at the government and full-throated cries for the ouster of the longtime president.

Police turned water cannons and tear gas on protesters in the early hours of Wednesday morning to try to break up anti-government demonstrations as the Interior Ministry warned it "will not allow any provocative movement or a protest or rallies or demonstrations."

In the heart of Cairo, people were being beaten with sticks and fists and demonstrators were being dragged away amid tear gas. Witnesses saw security forces harassing journalists and photographers. Demonstrations continued into the nighttime hours.

Egypt's official MENA news agency reported that at least 90 people were detained Wednesday while trying to demonstrate in downtown Cairo's Tahrir Square.

The country's main opposition party, the Muslim Brotherhood, said Wednesday that 149 of its members were arrested during the protests.

The state-run Nile News TV reported violent clashes Wednesday night between security forces and protesters in Suez, a port city east of Cairo on the Gulf of Suez. At least 27 people were wounded, Nile News said, most of them police officers. Quoting provincial officials, the station said most of the clashes took place in the Alarbeen neighborhood and that looters attacked some shops.

The Muslim Brotherhood said 35 people were injured in Suez and that security forces in the city had implemented a curfew there Wednesday night.

Egypt's Interior Ministry denied claims of curfews in parts of the country, MENA reported.

Dozens of Bedouins, meanwhile, gathered Wednesday in the Sheikh Zwayd area near Rafah -- close to Egypt's border with Gaza -- and tried to stop traffic on the international road by setting tires on fire and throwing rocks at cars, MENA reported.

The Interior Ministry urged "citizens to renounce attempts to bid and trade their problems and not lose sight of the consequences of provocation for those who attempt to try to open the door to a state of chaos or portray the situation in the country this way."

At least 10 journalists have been beaten by Egyptian security personnel during the demonstrations, the Committee to Protect Journalists said Wednesday.

Lina Attalah, the managing editor of the English-language edition of the newspaper Al-Masry al-Youm, was attacked in downtown Cairo, CPJ reported.

"I started running, but four policemen pulled me by my hair and kicked me in my face and back," Attalah told CPJ by phone. "I tried telling them that I'm a journalist but they were too busy kicking me."

Her glasses were broken and police confiscated two cell phones, the journalists group said in a Wednesday statement.

The Committee to Protect Journalists also said Wednesday that Egyptian authorities have shut down the websites of two popular independent newspapers, Al-Dustour and El-Badil.

The clampdown comes after thousands of protesters spilled into the streets of Egypt on Tuesday in an unprecedented display of anti-government rage inspired in part by the tumult in another North African nation, Tunisia.

At least four people died in the Tuesday clashes, the Interior Ministry reported -- three protesters in Suez and one police officer in Cairo. It also said at least 102 security personnel were injured.

The Interior Ministry put the size of the Tuesday demonstration in Cairo's Tahrir Square at 10,000 at its peak, falling to 5,000. CNN estimated that demonstration peaked at 15,000 to 20,000.

But Wednesday is a work day in Egypt, so the numbers on the streets of Cairo were lower than they were on Tuesday, a holiday known as Police Day.

Protesters had been expressing their anger over the rising cost of living, failed economic policies and corruption, but all those concerns were distilled into one overriding demand -- the ouster of President Hosni Mubarak, a reliable American ally who has been in power for three decades.

Egyptian authorities have been aware of complaints, but protesters widely believe the government has simply paid lip service to their grievances.

There is talk among protesters about staging a big demonstration on Friday, after Muslim prayers.

Twitter said it was blocked for the second day on Wednesday but added that "some users are using apps/proxies to successfully tweet."

Magdi Radi, spokesman for Egypt's prime minister, told CNN that the government "didn't block Facebook, Twitter or any other website. He said that "the websites may have been slow because of the heavy usage."

The Arabic Network for Human Rights Information, a human rights group, on Wednesday underscored a "national demand" -- the dismissal of Interior Minister Habib Al-Adli.

"Yesterday, disengagement of peaceful gatherings by using excessive force was added to his crimes as well as arbitrary arrests of hundreds of citizens and detaining them in illegal locations, such as security camps of Darrasa in Cairo and Madinet el Salam at the outskirts of Cairo, two locations completely controlled by the Interior Ministry."

The group said police "turned into monsters attacking demonstrators, especially small clusters in side streets, without distinction between an elderly man or a woman or youth."

Organizers said they hope to capture the regional momentum for political change set by Tunisians, who forced the collapse of Zine El Abidine Ben Ali's 23-year rule.

But Mubarak, unlike Ben Ali, remains in his country. Stories that Mubarak or any other member of his family left Egypt are "categorically false," said Karim Haggag, Egyptian Embassy spokesman in Washington.

Calling its relationship with Egypt "strong and friendly," the U.S. State Department regards Mubarak's help in maintaining security in the Mideast as critical.

The government, which has diplomatic relations with Israel, has helped forge peace between Israel and the Palestinians and has helped in efforts to stabilize Iraq, the State Department said.

It contributes to U.N. peacekeeping missions, "played a key role during the 1990-1991 Gulf crisis," and is a "key supporter of U.S. efforts against terrorists and terrorist organizations such as Osama bin Laden and al Qaeda, the department said in a background note about Egypt.

U.S. military aid to Egypt totals over $1.3 billion annually, and the U.S. Agency for International Development has passed along more than $28 billion in economic and development assistance to the country since 1975.

White House spokesman Robert Gibbs said Wednesday that the Obama administration continues to monitor the situation. He called on all parties to refrain from violence and said authorities should lift bans on protests.

Asked at Wednesday's briefing whether the U.S. continues to back Mubarak, Gibbs said that "Egypt is a strong ally."

On Wednesday, U.S. Secretary of State Hillary Clinton and Jordanian Foreign Minister Nasser Judeh spoke to reporters about the ferment in the Arab world.

Clinton urged freedom for people and called on Egyptian authorities not to block social media. She urged the countries in the region to enact reforms and expressed optimism that the leaders there can do so.

"It is something that everyone knows must be on the agenda of the government as they -- not just respond to the protests -- but as they look beyond to what needs to be done economically, socially, politically. And there are a lot of very well-informed, active, civil society leaders in Egypt who have put forward specific ideas for reform and we are encouraging and urging the Egyptian government to be responsive to that."

Jordan has experienced demonstrations over economic issues, and the foreign minister was asked whether the protests that raged in Tunisia and Egypt will spread.

Judeh said Jordan doesn't exist in an economic bubble and faces hardships that other lands endure. But he said the country is tackling a political and economic reform agenda and its system promotes freedom of expression.

CNN's Ben Wedeman, Amir Ahmed and Salma Abdelaziz contributed to this report

@highlight

Main opposition party, the Muslim Brotherhood, says 149 members are arrested

@highlight

Websites of 2 newspapers shut down, journalists group says

@highlight

Twitter is blocked, but some people have used proxies to get information out

@highlight

Demonstrators have been demanding ouster of President Hosni Mubarak