Atlanta (CNN) -- The spread of the flu across the United States appears to have slowed in some areas, but officials won't know for weeks whether the cases have peaked, the CDC director said Friday.

Twenty-four states and New York City were reporting high levels of flu activity, according to the Centers for Disease Control and Prevention's flu advisory report for December 30 through January 5. That's down from 29 states the previous week, said Dr. Thomas Frieden, director of the CDC.

However, "The only area of the country that's still relatively unaffected ... is the far West Coast," although plenty of cases have been reported there, Dr. Joseph Bresee, chief of the Epidemiology and Prevention Branch of the CDC's Influenza Division, said Friday.

The number of pediatric deaths associated with influenza rose by two, according to the CDC.

There have been 20 deaths of people under the age of 18 since the flu outbreak began. While the CDC does not count the number of adult deaths related to the flu, some states do, and that data suggests dozens have died.

According to the latest CDC activity map, flu levels dropped in several states, particularly in the Southeast, including Georgia, Florida, South Carolina, Arkansas and Kentucky. In the Northeast, levels in some states have also improved, such as New York, but New York City remains among the areas of high activity.

The number of states reporting widespread activity, however, increased to 47 from 41, according to the CDC's flu advisory report. The only states without widespread activity are California, Hawaii and Mississippi.

"Widespread" means that more than 50% of geographic regions in a state -- counties, for example -- are reporting flu activity. It addresses the spread of the flu, not its severity.

"Bottom line: It's flu season," Frieden told reporters. Flu activity is "elevated" in most of the United States, he said, and "it may be decreasing in some areas, but that's hard to predict ... influenza activity ebbs and flows."

Officials will know in the next couple of weeks whether the season has peaked, he said. "The only thing predictable about the flu is, it's unpredictable."

"... We are into what would classically be described as a flu epidemic," Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health, told CNN's Wolf Blitzer on Thursday.

"It's still on the uptick," he said.

"Remember, once it peaks, you still have a considerable amount of time where there is a lot of flu activity, and right now it may have peaked in some places, but for the most part, it has not yet peaked," Fauci said.

Many reports of emergency rooms and clinics being overwhelmed with patients could be linked to other illnesses, too. This is also a prominent season for many other respiratory viruses, Bresee said. Norovirus, which causes diarrhea and vomiting, has also been circulating.

Vaccination

Although the flu vaccine is far from perfect, it's the best prevention tool we have, Frieden said. You can still get it -- it's better late than never.

The flu vaccine is about 62% effective, Frieden said.

"The 62% -- we'd love it to be better, but it is actually a substantial public health benefit for the population," Bresee said.

Based on vaccine coverage surveys, 37% of Americans had been vaccinated by mid-November, CDC officials said. That's about on track with what was seen at this time last year.

"We have seen a lot of vaccination happening in the last couple of weeks," Bresee said. "I don't know where we'll end up this year."

Vaccine manufacturers told CNN on Thursday that there is plenty of vaccine for those who want to get a flu shot.

However, there are reports of spot shortages of the vaccine, Frieden said, so call your provider ahead of time if you still want to get the vaccine.

"You may have to check in several places to find the vaccine, because most of the more than 130 million doses that were produced by vaccine manufacturers this year have already been given," he said.

Early flu season

The flu came early this season, and cases are more severe than last year, health officials say.

Massachusetts is one state that the CDC had identified as having high activity of influenza-like illness based on the week ending December 29, but downgraded it to "moderate" activity in Friday's update.

Boston Mayor Thomas Menino had declared a public health emergency in the city Wednesday because of the flu.

Since October 1, there have been 700 confirmed influenza cases among Boston residents, according to Menino's office; that's 10 times more than were seen in all of last year's flu season.

There have been 18 flu-related deaths this season in Massachusetts, CNN affiliate WCVB reported. Hospitalization rates are higher than in the last two years, Kevin Cranston of the state's Bureau of Infectious Diseases told WCVB. Most deaths have been in older patients, he said.

Menino is collaborating with the Boston Public Health Commission and community health centers to offer free vaccination clinics this weekend. The mayor urged residents to stay home from work or school if they are sick, and to get flu shots.

"This is the worst flu season we've seen since 2009, and people should take the threat of flu seriously," Menino said in a statement. More than 4% of emergency department visits at Boston hospitals are from flu cases, up from 1% during non-flu season.

Massachusetts General Hospital has already counted 532 cases of flu among patients, which is more than the Boston hospital saw in any of the previous three flu seasons, spokeswoman Kristen Stanton said Wednesday.

Signs posted throughout the hospital discourage anyone from visiting who has a cough or fever, she said, and anyone who does visit with those symptoms must wear a mask and perform hand hygiene. All staff must wear a mask when caring for possible flu patients, and staff members who have not been vaccinated must wear a mask while caring for any patient.

As an extra precaution amid flu fears, Bishop Robert P. Deeley of Boston sent a note to all pastors in the Boston Archdiocese suggesting that during the Sign of Peace, "the faithful, instead of a handshake, may bow to the persons nearby." Similarly, in Washington, a note from the Archdiocese's communications office says that parishioners don't have to shake hands or receive communion from the chalice.

"Those who are sick may wish to watch the Sunday TV Mass on their television at home and pray in solidarity with their parish community," the statement said.

Deaths in other states

The CDC only tracks pediatric flu-related deaths, but some individual states release reports of influenza deaths among adults.

The Oklahoma Department of Health said Thursday the state has had eight influenza-linked deaths since September 30, while the Minnesota Department of Health has recorded 27 flu-related deaths.

"We are clearly at a high level of influenza activity in the state," Minnesota Health Commissioner Dr. Edward Ehlinger said in a statement. "But it's important to keep this year in perspective: What is occurring has happened before."

The number of flu-related deaths elsewhere, according to state health officials:

-- Pennsylvania has had 22 deaths. Most of the deaths were among people older than 65.

-- Indiana has 13 confirmed adult deaths and two pediatric deaths.

-- Arkansas has seven confirmed flu fatalities.

-- South Carolina has counted 22 deaths.

-- In Illinois, there have been six deaths.

-- In Michigan, there have been four pediatric deaths.

Type of flu

The type of flu that is going around is called H3N2, which is often linked to more serious disease, compared with some other flu varieties, Fauci said.

That type of flu matches up well to the vaccine that is being distributed and given out throughout the United States.

People may get more complications from this particular strain of H3N2, "which may make them ill for a longer period of time," Dr. Michael Jhung, medical epidemiologist in the influenza division at the CDC, told CNN's Mary Snow.

Symptoms typically last up to seven days for a normal infection, he said.

If you have the flu, how are you treating it? Send photos of your flu survival kits.

CNN's Joe Sutton and Maggie Schneider contributed to this report.

@highlight

California, Hawaii and Mississippi are the only states without widespread activity

@highlight

Other respiratory illnesses are also circulating, experts say

@highlight

Officials don't know whether flu cases have peaked this season

@highlight

The number of flu-related deaths for children climbed by two to a total of 20, officials say