Zhuhai, China (CNN) -- Armed with glossy sales catalogs and a shy swagger, Samuel Wong hopes to transform his family-run firm from a manufacturer of hum-drum fishing vessels and houseboats into a maker of sophisticated super yachts.

His company makes up to six 86-foot and 98-foot yachts a year at its shipyard in Zhuhai, southern China, under its Accelera brand.

The name was coined by Wong because it "sounded Italian." The company aims to compete in a marketplace currently dominated by European yacht makers like Azimut and Sunseeker and count billionaires among its clients.

"Li Ka-shing would never buy our brand but I hope in 10 years time he might consider it," said Wong, 36, referring to Asia's richest man, who is rumored to keep an 84-foot Italian-made Riva yacht at an exclusive Hong Kong marina.

Wong's attempt to move upmarket is a reflection of China's changing industrial base and the challenges many Chinese companies face as they try to move away from mass-produced goods to higher-value, branded products.

The company sold seven vessels to buyers in Hong Kong and China in the last financial year.

It remains to be seen whether the brand-conscious ranks of China's newly affluent will embrace a home-grown yacht-builder with little pedigree - though a cheaper price tag may appeal as the country's economic growth begins to slow.

What's more, Accelera and China's other budding yacht makers such as IAG Yachts and Kingship, face stiff competition from European and U.S. rivals, who see China as a much-needed money spinner while their traditional markets struggle.

Located in a sleepy corner of the Pearl River Delta, the shipyard where Accelera's yachts are produced is a world away from the luxury marinas where these rich man toys end up.

The drive from the nearest city passes through villages dotted with ponds filled with lotus flowers. Fishing nets and the odd fish hang to dry by the roadside.

The shipyard employs around 100 people and is run by Wong's father and brother. Workers are busy spray-painting a house-boat and crafting the interior of a three-storey, 86-foot yacht that will be delivered to a Hong Kong businessman by the end of the year.

Wong, who is based in Hong Kong, says that China's cheaper labor costs are the main reason Accelera's vessels cost a third of those produced by the likes of Sunseeker and Azimut .

Skilled workers at the shipyard earn, on average, 6,000 yuan ($957) a month but Wong says it can be difficult to find staff with the right experience.

The 98-foot yacht costs around $5 million and takes up to 15 months to build, while the 86-foot model costs around $1.2 million.

The workers, some wearing only plastic sandals, deftly make their way along narrow, five-meter high concrete platforms that divide the slipways and cranes that keep the vessels steady while they're being built.

At the center of the shed, which is littered with building materials, is a red shrine where apples, tea and incense have been made as offerings to a folk god for construction workers.

When I first came across Accelera's yachts at a boat show in Hong Kong in May 2011, the vessels did not look out of place in the marina full of Italian and British-made yachts, but the interior smelt synthetic and compared poorly to the richly hued timber and buttery leather used by the European brands.

Wong says he has since employed Italian consultants to improve the yacht's design both inside and out. "We are focused on matching our customer's preference," he said.

He says that many of his clients use the boats for business and entertaining -- a karaoke den is a common request.

Ryan Swift, editor of Asia-Pacific Boating magazine, says that Chinese yacht builders are a "mixed bag" but some, such as Kingship's steel and aluminum hulled vessels, are beginning to gain recognition.

"Their products are at the lower end of the scale," he said. "At half the price or less of international names, you have to sacrifice in terms of quality."

Gordon Hui, the Asia managing director of UK yacht builder Sunseeker, said Chinese yacht builders are credible competitors, especially for smaller, family boats.

However, he said they are yet to mount a serious challenge in the corporate market where premium brands are most coveted.

Read: Inside the mind of a yacht cartoonist

Other Chinese companies are taking a different approach to grass-roots brands like Accelera, opting instead to scoop up foreign yacht brands as a shortcut to global success.

Earlier this year, Shandong Heavy Industry Group, best known for its bulldozers, took a 75% stake in luxury Italian yacht maker Ferretti, which also makes Riva and Pershing yachts.

It plans to open an assembly plant in Qingdao, a major port in northern China and the site of the 2008 Olympic sailing regatta, to customize yachts for China's market.

Swift says that European brands like Azimut and Sunseeker have "made a killing" in China as the country's elite discovers the pleasures of messing about on boats.

But he warned that yachting's long-term development may be limited by steep taxes, onerous regulation and a lack of marinas.

For Wong and his Accelera yachts, the next step is to build a larger shipyard, with state-of-the-art facilities, that would allow for up to 15 yachts to be made a year.

Currently, electronics and other finishing touches are installed in Hong Kong, which means the yachts incur customs duties for Chinese buyers.

But with China's economy experiencing its slowest growth in more than a decade, Wong is concentrating on promoting his brand:

"The biggest difficulty, we think, is to convince customers to spend their money on yachts that have been manufactured in China."

@highlight

Chinese ship builder hopes to create super yacht brand

@highlight

Yachts cost a third of international brands like Azimut and Sunseeker

@highlight

Move reflects China's changing industrial base

@highlight

Yachting industry may be limited by taxes, regulation and lack of marinas