(CNN) -- Numerous U.S. rescue and assistance teams arrived Sunday in Japan and are helping lead a broad international effort to bring relief to areas ravaged by Friday's earthquake and tsunami.

The United States, the United Kingdom, China, and South Korea are among 69 governments that have offered to help, Kyodo News Agency reported, citing the Japanese foreign ministry.

Aid groups such as the International Federation of Red Cross and Red Crescent Societies have sent teams to some of the worst-hit areas, including Sendai, Narita, Asahi and Tokyo. Mercy Corps International teamed with Peace Winds Japan to rush aid to affected regions.

Stephen McDonald of Save the Children told CNN Sunday his group had multiple teams in the country, reaching out to families left homeless. There are water shortages at evacuation centers, creating hygiene challenges, he said.

Children are distressed and shaken by the many aftershocks, and unable to rest at the cramped evacuation sites. "In many cases, they've lost their homes. Some have lost family members," he said.

Doctors Without Borders said it sent a 10-member team to the area and is assisting "in the massive government-led relief effort." The group will split in two on Monday and expand its reach.

"On Sunday, we conducted mobile clinics and assessments in two evacuation centers," said Mikiko Dotsu, coordinator of the team, in a statement Sunday. "It appears that medical needs are increasing in evacuation centers."

The group said it is "closely monitoring the situation around the Fukushima nuclear power plants." But it warned, "In the event of a serious nuclear incident, it is only the Japanese government that will be in a position to react."

The U.S. response effort includes supplies, several warships, search-and-rescue teams, radiation-contamination specialists and two officials from the U.S. Nuclear Regulatory Commission with expertise in nuclear reactors.

On Sunday, the USS Ronald Reagan started delivering aid in the coastal regions of Japan's Miyagi prefecture.

Crew members, in conjunction with the Japan Maritime Self Defense Forces, conducted 20 sorties delivering aid pallets using eight U.S. and Japanese helicopters, according to Sgt. Maj. Stephen Valley of U.S. Forces Japan.

The team hopes to deliver 30,000 portions of emergency food rations in this initial operation, Kyodo reported.

U.S. Ambassador to Japan John Roos said Sunday that numerous helicopters were ready to take part in missions to reach different parts of the country. A U.S. Agency for International Development (USAID) Disaster Assistance and Response Team was in Japan and working to coordinate the overall response effort with the U.S. Embassy, Roos said on Twitter.

Urban search-and-rescue teams, including about 150 personnel and 12 canines trained to detect live victims, arrived in Japan as well on Sunday, Roos said. The teams are from Los Angeles and Fairfax County, Virginia.

"There are a lot hazards that have never been experienced by a search-and-rescue team," Los Angeles Fire Department Inspector Don Kunitomi said, including "the radiation factor." He added, "We're all a little anxious about this."

"It looks like it'll be part Katrina because of the flooding and part New Zealand because of the earthquake," Kunitomi said, referring to Hurricane Katrina in 2005 and last year's earthquake in New Zealand.

He also noted lessons the search-and-rescue team had learned in Haiti.

The Chinese government sent a 15-member team to assist in the search for disaster survivors on Sunday, the Xinhua news agency reported. The team brought with them four tons of equipment and material for the search as well to provide power and telecommunications to areas that have temporarily lost those services because of the quake.

A British search-and-rescue team comprising 63 fire service search-and-rescue specialists, two dogs and a medical support team are in Japan, the UK foreign office said Sunday. Specialist consular teams are in the country as well.

The teams were taking up to 11 metric tons of rescue equipment, including heavy lifting and cutting equipment to extract people trapped in debris, the government said.

South Korea said it was sending two rescue dogs, two handlers and three assistants to carry out what are expected to be dramatic searches of people inside collapsed structures.

"U.S. experts have been in close consultation with Japanese experts regarding the evolving situation at the Fukushima nuclear power plant," Roos added.

The International Atomic Energy Agency's Incident and Emergency Centre has offered technical assistance to Japan in the wake of an explosion at the Fukushima Daiichi plant. The government has evacuated more than 200,000 residents from homes close to the plant and tested 160 people for radiation exposure, authorities said Sunday.

CNN's Brian Walker, Michael Martinez and Sarita Harilela contributed to this report.

@highlight

NEW: There are hazards "never experienced" by a search-and-rescue team, an official says

@highlight

Numerous U.S. teams arrived in Japan Sunday

@highlight

Save the Children describes cramped evacuation sites

@highlight

Kyodo: 69 governments offer assistance, according to Japan's foreign ministry