(CNN) -- Imagine that you wake up tomorrow morning and discover that during the night. Israeli planes had conducted a bombing raid on Iran. How would your world have changed?

Apart from the sensational headlines and breathless reports, the initial change might not be very significant. You would probably want to know whether the United States approved or assisted in the attack on Iran's nuclear sites. In fact, it doesn't really matter. Just about everyone in the world will assume that the U.S. was complicit, regardless of what Washington says.

Let's assume that Israel notified the Obama administration about the same time the planes were taking off, if only to ensure that U.S. aircraft and missiles in the Persian Gulf region would not interfere with the bombers and refueling aircraft as they passed over one or more Arab countries. But for Iran and just about everyone else, the fact that most of the Israeli aircraft and bombs were made in the U.S. would be all they needed to know.

On that first morning, the U.N. Security Council would convene in emergency session to consider a resolution denouncing the Israeli raid. If the United States vetoed the resolution, that would remove any lingering doubt of U.S. complicity.

Perhaps more significant, however, would be European support of the resolution. This would signal the beginning of the collapse of the sanctions coalition against Iran that had been so laboriously assembled over the past several years. Both the Europeans and the Americans had operated on the tacit belief that crippling sanctions were an alternative to war. With the outbreak of war, that assumption would no longer be valid.

What would Iran do? Everyone would be poised for a massive military response. They might be surprised.

Iran would almost certainly give the required 90 days notice of its intention to quit the Nuclear Non-Proliferation Treaty and terminate inspections by the International Atomic Energy Agency. Iranian officials would not necessarily announce that they intended to proceed with development of a nuclear weapon, but they would certainly make clear that as a nonnuclear state that had been attacked by another state with nuclear weapons, that was a decision that was entirely up to them. All enriched uranium stocks would be removed from IAEA seal, and all monitoring cameras would be removed.

A different twist would be introduced if Iran had succeeded in shooting down one or more of the Israeli planes. One or more Israeli pilots in Iranian hands would sharply increase the risk of further escalation by either the United States or Israel.

Of more general significance, the markets would realize that some two million barrels a day of Iranian oil were now removed from the world market for an indeterminate period of time, and the price of oil would jump. The head of the IMF has suggested that an immediate increase of 20% to 30% could be expected.

But that could be just the beginning. It is not hard to imagine that, in the days following the attack, there would suddenly be unexplained pipeline explosions in Iraq, possibly by pro-Iranian militias, which might remove another million barrels per day from the market.

The Baku-Tbilisi-Ceyhan (BTC) pipelineÂ from the Caspian Sea to the Mediterranean might also be attacked.

Moreover, one might expect disruptions in oil delivery and loading in Arab ports up and down the Gulf, some because of sabotage but others from cyberattacks on the control systems. Iran would attribute these to "the hand of God," but the more pragmatic effect would be a very substantial portion of the world's oil suddenly removed from world supply.

If sustained over more than a few weeks, the scramble to replace large volumes of Persian Gulf and Caspian oil would drive up the price of oil, and gasoline, to unprecedented heights.

That would constitute a huge tax on the world's economies, just at the moment when they were showing signs of recovery from the Great Recession. Extremely vulnerable economies, such as the southern European states, could be tipped into bankruptcy, but all states would face significant challenges as a surge in transportation and manufacturing costs rippled through all aspects of their industries. This is Iran's true weapon of mass destruction.

Regardless of whether Iran should choose to retaliate openly against U.S. forces or Israel, it would be extremely difficult for the United States to avoid entering into a third Middle East war. Most of the top security officials in the Pentagon have warned against such a war, so the internal opposition in the administration is likely to be great. The combination of widespread opposition to Iran, however, and the appeal of self-defense would be difficult to resist, particularly in an election year.

Most experts agree that the Iranian nuclear program cannot be eliminated ultimately without an actual military presence on the ground and forcible regime change. The American public, showing real signs of war weariness after two ground wars over more than a decade, is unlikely to be enthusiastic about a military confrontation with Iran that is likely to be far more costly and indeterminate than either Iraq or Afghanistan. That could prompt a public debate about the extent of U.S. and Israeli common interests.

The danger of such an outcome was hinted by Israeli Defense Minister Ehud Barak when he suggested to the Knesset that "Israel should increase its sensitivity, awareness and attentiveness to requirements based on the reality in the United States and adopt a policy that strengthens the special relationship between the two countries."

The biggest threat, however, would not be the first day or even the first week after an Israeli attack. The greatest threat might well be the first year or more after an attack, particularly if a major economic crisis was accompanied by growing evidence that Iran had proceeded underground and out of sight of the international community to produce a nuclear weapon.

That would make our present situation, before any attack, look wonderfully attractive by comparison.

The opinions expressed in this commentary are solely those of Gary Sick.

@highlight

Gary Sick: If Israel bombed Iran nuclear sites, most of the world would believe U.S. was involved

@highlight

Sick: Europe would support a U.N. resolution condemning it and likely end Iran sanctions

@highlight

Iran would be justified in having nukes, he says; U.S. would likely enter another Mideast war

@highlight

Fragile world economies would collapse under skyrocketing oil and gas prices, he writes