(CNN) -- Since China adopted a "managed float" of the renminbi (RMB) in 2005, the RMB has appreciated in real terms by over 20 per cent against the U.S. dollar.

Still, politicians and economists in the U.S. say China is guilty of "currency manipulation" and say the RMB remains artificially undervalued.

The U.S. Senate on Thursday voted to push a bill which will impose punitive tariffs on China for allegedly manipulating the RMB exchange rate to gain unfair trade advantage.

U.S. President Barack Obama said China is manipulating its currency but expressed concerns about backing the Senate bill.

China opposes the bill, warning that it "seriously violates rules of the World Trade Organization and obstructs China-U.S. trade ties."

U.S. Republican House Speaker John Boehner does not support the bill either.

"This is well beyond what Congress ought to be doing, and while I've got concerns about how the Chinese have dealt with their currency, I'm not sure this is the way to fix it," he said Tuesday.

What is the currency dispute all about?

This week I talked with Patrick Chovanec, an associate professor at Tsinghua University's School of Economics and Management and a former aide to House Speaker Boehner, to seek answers to my nine questions.

1) How serious is the U.S. trade deficit with China?

U.S. trade deficit with China has steadily grown over the past decade. In 2010, it reached $273 billion, over 40% of America's global trade deficit, but still amounted to less than 2% of GDP. In fact, America's global trade deficit peaked in 2006 and has declined substantially, largely due to expanding exports.

The real problem isn't so much the absolute size of the U.S.-China trade imbalance, but the struggle to find sources of growth in a stagnant global economy.

2) The U.S. will hold a presidential election next year. How is the trade dispute with China playing out in America?

The number one election issue is going to be jobs, so every politician wants to show that they're doing something about jobs. China's trade imbalance with the U.S. is a real issue: If China's markets were more open, if it was encouraging consumer demand instead of piling up reserves, it could help boost job growth in the U.S. So there's a temptation to seize on China's currency policy as a "silver bullet" that will solve this concern, by making U.S. goods cheaper and Chinese ones more expensive, even though the real problem is more complex than that.

3) What impact will the Senate bill have if passed?

The immediate concern would be retaliation, provoking a trade war with China. Even if China didn't opt for actual retaliation, it could challenge the U.S. sanctions with the World Trade Organization, and China might very well win. One of the reasons the U.S. has always hesitated in slapping sanctions on China over currency is the fear that we might be shooting blanks.

4) Why so?

It's far from clear that twisting China's arm to strengthen its currency will have the effect we might hope. We've actually seen this movie before. In the Plaza Accord in 1985, Japan agreed, under considerable U.S. pressure, to strengthen its currency in order to combat the growing U.S. trade deficit. The yen doubled in value, but to everyone's surprise, it had virtually no impact on the trade balance, because there were subsidies, trade barriers, and other policies in place in Japan that countered the stronger yen and prevented an adjustment from taking place. Back China into a corner and force it to accept a stronger yuan, without embracing the kind of economic adjustment that really requires, and I'm afraid we'll see a replay of the Plaza Accord.

5) What is the fundamental reason causing the trade deficit?

The cheap yuan is one factor, but it's only one piece of the puzzle. Other factors include obstacles to market access, China's failure to protect intellectual property rights, export tax rebates, subsidized inputs, subsidized credit, and soft budget constraints for Chinese state-owned companies.

There are a whole host of factors in the Chinese economy besides currency that distort price signals in favor of exports and discourage imports. To their credit, American negotiators have been placing more and more emphasis on these issues lately, rather than focusing exclusively on currency as some kind of "silver bullet."

6) Why should China revalue the renminbi?

When China intervenes to keep the yuan from rising, in order to protect export growth, it ends up accumulating trillions of dollars in official reserves that it has to somehow invest, leaving it exposed to losses. It also injects trillions of yuan into its domestic economy, fueling inflation and asset bubbles. The fact is, when you run massive trade and investment imbalances, as China is doing, you're going to get an adjustment, one way or the other. It's either going to take place through external prices (exchange rates) or internal prices (inflation).

7) What will be the pros and cons for China?

There will be losers. Some Chinese exporters, especially those with razor-thin margins and no reliable competitive advantage, may lose their markets and go out of business. But there will be winners too. A stronger yuan would give the average Chinese citizen greater buying power and an improved standard of living.

8) Some observers argue that, if the renminbi revalues and the Chinese exports to the U.S. become expensive, the American consumers will have to pay more for them -- and thus will be hurt too. Your view?

That's absolutely true. Just as a stronger yuan will mean that Chinese consumers will enjoy greater buying power, American consumers will lose some of the buying power they've enjoyed over Chinese goods. Their dollars will buy less. But the focus in America right now is on jobs, not buying power. The problem this past decade is that Americans' buying power has led us to consume more than we produce, which means more than we could ultimately afford, and as we've all come to learn, that's just not sustainable.

9) Will further revaluation of the renminbi help stop the loss of jobs in the U.S.?

A stronger yuan is not going to bring back jobs in labor-intensive, low-tech industries where the U.S. has no real competitive advantage. Those jobs will go to Bangladesh or Vietnam before they come back to the U.S. But a Chinese consumer with greater buying power -- if accompanied by greater openness and fairer treatment for American companies in the Chinese market -- will translate into more opportunities and more jobs in sectors where the U.S. has a real advantage. Twisting China's tail won't get us there, however. A market-based exchange rate has to be part of a more comprehensive win-win solution.

@highlight

The U.S. Senate considers imposing punitive tariffs on China for allegedly manipulating the RMB

@highlight

U.S. President Barack Obama said China is manipulating its currency but expressed concerns about backing the bill

@highlight

China opposes the bill, warning it "seriously violates rules of the World Trade Organization and obstructs China-U.S. trade ties"