Last week, a member of Congress, Senate Majority Leader Harry Reid, actually defended the way that Congress does its business. Give him credit for originality.

Rather than the usual refrain of blasting Washington as a dysfunctional and corrupt city, Reid disagreed with President Barack Obama and said: "I have been a fan of earmarks since I got here the first day. I disagree -- underline, underscored, big exclamation mark -- with Obama. He's wrong." He opposes the ban on earmarks that Congress put into place three years ago following the Republican victories in the 2010 midterm elections.

Earmarks, historically referred to as a form of "pork-barrel spending", are measures that House and Senate members add to bills to benefit people in their own districts.

In response to Reid's comments, there was the predictable backlash of criticism. Sen. Tom Coburn, R-Oklahoma, warned that "The American public think it's a sick way to run a business, to have to bribe somebody to get something done and politicians use it to look good at home." In The Wall Street Journal, Coburn pushed back against calls to bring back a little pork by writing, "restoring earmarks in today's Congress would be like opening a bar tab for a bunch of recovering alcoholics."

But Reid has a point, and many Republicans who spent much of their careers mastering the art of congressional spending agree with him -- even though many are scared to say so in public. Indeed, even with the recent "ban", according to the conservative Citizens against Government Waste, the 2014 budget included almost $2.7 billion in spending for projects requested by individual legislators (much of which went to defense and national security projects). Legislators have found new ways (called lettermarking or phonemarking) to obtain these kinds of appropriations, though in smaller scale than before.

Congressional earmarks and pork barrel spending have a long history in the United States. They have served important purposes that are too often overlooked.

Most important, this kind of congressional spending has been vital to successful negotiation on Capitol Hill. Presidents and party leaders have traditionally depended on their influence to insert measures in congressional spending bills to persuade legislators to join them in voting for key legislation that is important to the national interest. Often, earmarked spending has been the most important tool in the effort to persuade legislators to vote against their interests or their traditional position.

During the battle over the Civil Rights Act of 1964, President Lyndon Johnson needed as many votes as possible to overcome the Southern filibuster against the bill in the Senate. One of the ways in which Johnson won over a key vote, that of Arizona Democrat Carl Hayden, was to let him know that the administration would throw its support behind a Central Arizona Water Project that the senator's constituents desperately wanted.

In exchange Hayden, one of the many Westerners who had traditionally refused to vote to end any filibuster, agreed to vote for cloture if his support was needed in the end. Without a little pork, Johnson would have been unable to obtain his support.

We can even see how earmarked spending has proved effective at the state and local level. In New York, the state famously littered university campuses in as many legislative districts as possible so that the state system would have broad and durable support. This worked. The outcome was ongoing, bipartisan support for investment in higher education that has been vital to the residents of New York.

Earmarked spending also fits into our respect for decentralized and localized decision-making. When legislators lobby for spending within their district, they are usually responding to the pressures and demands that emanate from the local level.

To be sure there are many examples of outrageous earmarks that don't have much justification or value. Political speeches and newspaper stories are filled with accounts of this kind of useless pork.

However, for every "bridge to nowhere" there are congressional earmarks that fund university research and public works programs that play a vital role for Americans.

Peg McGlinch writes in U.S. News and World Report that the Minnesota congressional delegation obtained about $2 million in earmarked funding that was used to provide more services for members of the National Guard who returned from Iraq and Afghanistan.

"Earmarks," she writes, "have funded hundreds of job training programs, paved roads that reduced traffic, supported the police officers protecting our streets, underwritten research on diseases, revitalized blighted neighborhoods, developed technologies to improve national defense, built libraries and schools and given children opportunities to learn."

Earmarked spending is a good way to build broad and durable party support for important public policies. Very often, crafting programs that provide pork to legislators has been an effective way to broaden support for a policy.

During the New Deal, FDR was keen to provide money to the districts of key Northern legislators so that they would become politically invested in his public works program. That program offered key relief to American workers during the height of the Great Depression.

The complex patchwork of military defense contracting throughout the Sunbelt, often a result of legislative efforts to get money to valuable districts, was essential for Republicans in building support for a muscular national security policy against the Soviet Union.

So earmarks have their function and Reid has a point. Members of both parties understand that this has been key. The legislative process is not pretty, but there have been many moments when Congress has accomplished big things -- and earmarked spending has been critical to success.

It might be time to push back a little on our anti-Washington sentiment and look more carefully at the value of some of the seemingly uglier sides of our political process.  Indeed, restoring the pork barrel might help move Congress beyond its current dysfunctional state. Earmarks would be the place to start.

@highlight

Sen. Harry Reid spoke out in favor of earmarks, disagreeing with President Obama

@highlight

Julian Zelizer says Reid is right; there are benefits from dispensing political pork

@highlight

He says presidents can gain leverage with Congress if they permit earmarks

@highlight

Zelizer: Earmarks enable members of Congress to respond to local needs