(CNN) -- Underwhelmed. That, in a word, was the response in many quarters to Apple's rollout of two new iPhones on Tuesday.

With the iPhone 5S, the industry's leading smartphone got a quicker processor, better camera and new fingerprint security scanner. With the iPhone 5C, it got less expensive and more colorful.

And yet, from the Internet to Wall Street, Apple got savaged mercilessly.

"Much-hyped iPhone announcements from the tech giant did little to stop (Apple's) year-long descent into stagnation," wrote Marcus Wohlsen in Wired, a CNN.com content partner. "Though the faster, sleeker, more powerful phone is unarguably cool, the steps forward are still incremental. And incremental isn't what the world expects from Apple."

Even The Onion, whose spot-on satire can sometimes be a brutal contact sport, mocked Apple CEO Tim Cook's presentation with a story headlined, "Apple Unveils Panicked Man With No Ideas."

"The white, ultrathin man, who exhibited such features as artificial excitement, a fully quavering voice, and what appeared to be a near total lack of inspiration, was put on full display for thousands of shareholders, industry insiders, reporters, and fans today in what Apple hopes will be a game-changer for the multinational corporation," read the article.

Add to that a chorus of tongue-clucking from an oft-skeptical tech blogosphere, the short-form snark of Twitter, sideswipes from competitors and jitters on Wall Street, and you're a long way away from the fantastical "reality distortion field" that Steve Jobs famously conjured whenever he pitched a new idea or product to an adoring world.

But is all this criticism fair?

Harder to make a splash

To some, Apple is a victim of its own success. After revolutionizing mobile technology with the iPod, iPhone and iPad, unveiling a device that feels more like an upgrade than a game-changer may feel to loyal fans like a breach of trust.

"When a company has positioned itself on the foundation of innovation, the idea of not innovating in a new product introduction can be a commercial nightmare," said Ronald Goodstein, an associate professor of marketing at Georgetown University. "Apple has consistently bet the house on innovation, and has a great winning record in the past 15 years. For them to introduce a 'me too' product is against what they stand for ... .

"This is not to say that the new phone is not good. Its quality is fine," Goodstein told CNN. "But to develop a new product that is in violation of their stated brand association is inconsistent."

Technically, there were smartphones before the iPhone and tablets before the iPad. But by fine-tuning design concepts and making them accessible to the mass market, Apple established itself as a hothouse for cutting-edge consumer technology.

But Tuesday's iPhones were the seventh and eighth versions of the aging iconic device. After six years on the market, some say there's simply no way the iPhone can cause a seismic shift in smartphone technology every 12 months.

"It's really easy for people to be disappointed and be critical and you're looking at Twitter and all these tech people, they're ripping Apple ... ," tech writer Rocco Pendola, of TheStreet.com, said to CNN's Jake Tapper. "Yes, they are less exciting. Tim Cook is not Steve Jobs. We're not in a situation where they roll out the next big thing and surprise us at the end of the presentation. We have to come to grips with that. We have to live with that."

Adds CNET's Charles Cooper: "The magic's gone out of the smartphone business, leaving companies and their advocates to argue about slightly faster processors, more megapixels, or slightly improved battery life. That's progress, but it's the equivalent of three yards and a cloud of dust.

"Smartphones ... belong a maturing industry, which means that it's going to get harder and harder for any company -- Apple, Samsung, or any other would-be challenger -- to make a splash."

Innovation in new forms?

In other words, competition changes expectations. During its first few years of existence, the smartphone market was basically the iPhone and a handful of competitors trying desperately to catch up with the iPhone.

Now, while it remains the top-selling handset, the iPhone only accounts for about 17% of the world's smartphones. Phones running Google's Android operating system come in an array of sizes and styles and with a plethora of features.

"There is always room for 'Wow!' But, the fact is that when someone does wow the market, over time that feature or benefit becomes a 'must have' for the industry," said Georgetown's Goodstein. "It takes very little time until all brands offer that feature or benefit, and it goes from "wow" to being the ante to play in the game."

Carolina Milanesi, a tech analyst with Gartner Research, says that the true quantum leaps for tech companies probably won't be in smartphones anymore. Instead, she says, most innovation will come in wearable tech, integrated television and other areas where Apple and its rivals are said to be at work on developing new products.

Milanesi rejects the notion that there was no innovation unveiled Tuesday in Cupertino.

"I am not sure how they can talk about a 64-bit architecture and fingerprinting ... as a lack of innovation," she said. "It might not be the innovation people are looking for, such as a larger screen, but it's hard to say 'lack of.'"

The iPhone 5S will contain the first 64-bit processor in a smartphone, which promises to increase the performance and speed of data-intensive games and other apps. Touch ID is a new security feature that will allow users to use their fingerprints to unlock the device. And the phone's camera will now let you shoot slow-motion video.

There may have been no Siri or sleek new design. But at the end of the day, Milanesi said, the iPhone got better. And a better new iPhone is still a formidable product.

"In most cases Apple does not walk on others' paths," she said. "They create their own and stick to it. This is not necessarily the easy way to do it in the short term, but assures that they remain in control."

@highlight

New iPhones fail to impress Wall Street, some bloggers and analysts

@highlight

iPhone 5S and 5C saw upgrades, but not overhauls

@highlight

But some say it's not fair to expect major innovation from Apple every year

@highlight

Analyst: Apple 'does not walk on others' paths'