(CNN) -- Since Marissa Mayer took over as CEO of Yahoo last year, there's been a lot of talk about how the famously detail-oriented ex-Googler will "refocus" the company.

But it's becoming increasingly clear that Mayer is broadening, not narrowing, Yahoo's scope, cementing its once passé reputation as the original internet "portal."

The latest sign of this trend came just this past weekend, when multiple reports had Mayer in talks to acquire the online television hub Hulu. Less than one week earlier, Yahoo announced it would pay $1.1 billion for microblog network Tumblr. Two months ago, the company paid a reported $30 million to buy news digest app Summly from a British teenager.

The common thread: Yahoo keeps expanding into new areas, even though it was already a sprawling internet conglomerate when Mayer took control, with everything from movie listings to stock quotes to a photo-sharing social network to a news hub to a search engine. (And don't forget the "OMG!" section.)

Yahoo's mission creep is a useful case study in why web companies like Google and Facebook continue to grow their functionality and why startups keep selling to the seemingly bloated leviathans, even though tech advances have made it cheaper and easier than ever for software companies and web services to go it alone, and despite the fact that consumers are migrating to highly specialized mobile apps.

Once upon a time, the idea of agglomerating lots of functionality in one website seemed like an obsolete throwback, a vain attempt to carry forward the glory days of the online portal in the late 1990s. Portals had their time and place, but it was in the past, the thinking went, during a transitory period when it was expensive to build the most basic interactive website. That financial barrier gave well-capitalized internet companies the opportunity to dominate many verticals at once.

The way of the future was going to be focused sites, like Google.com, whose ultra-bare homepage was about nothing but search (and whose guardian angel of minimalism was reportedly named Marissa Mayer).

At one point in 2006, a top Yahoo executive even issued a famous memo comparing Yahoo's extremely broad offerings to peanut butter, "a thin layer of investment spread across everything we do and thus we focus on nothing in particular... We lack a focused, cohesive vision for our company." Interestingly, that executive, Brad Garlinghouse, has since recanted his diagnosis of Yahoo, saying the company's real problem was a lack of "passion and entrepreneurial zeal."

So why is Yahoo in the midst of purposely transforming itself into an über portal even as computer users are migrating to super-focused mobile apps and even when its leader made her name touting simplicity and minimalism? And how did Google, once the poster child for focus, end up as a sort of accidental portal, with its own social network, webmail site, online map, and video sharing service, to say nothing of its smartphone manufacturer or set of operating systems?

Because we live in a world where the most valuable information -- and especially the demographic and tracking data coveted by online advertisers -- does not want to be free, and in fact is hoarded in proprietary databases that can only be assembled if you're a portal, or look a lot like one. Or at least this is part of the reason.

Consider Google. The company historically derives virtually all its revenue selling ads around keywords, either the ones you type into its search engine or those you embed in your email messages and web pages. But then Facebook came along and began selling ads around social information, like your birthday, what movies you like, and whether and where you want to college. That turned into a multi-billion-dollar business. Then Apple came along and released the iPhone, which has helped turn mobile advertising into another multi-billion-dollar business.

Both of these new online ad businesses threatened to replace or at least disrupt Google's bread and butter keyword ads. And Google was locked out of them; the company can't get at your social data on Facebook, and by default it doesn't get your location data or Siri searches on the iPhone. While certain data is freely or routinely shared on the internet — IP and email addresses, search keywords you click on, browser and operating system identifiers — social and mobile data is locked away. So Google went out and built its own social and mobile silos. The results have been mixed, but it's better than nothing.

Hyper-focused startups face the same dilemma. Consider the Israeli mapping company Waze. Waze makes an app that lets you easily share and view road traffic conditions, creating a nifty symbiotic relationship between users: you tell me what traffic is like where you are, and I'll tell you what traffic is like where I am.

But neither of us has an incentive to share data of value to Waze, information like demographics and shopping preferences that might help the company place high-priced ads within its free app. As a result, Waze has reportedly entered into acquisition talks with both Facebook and Google, two portal-like companies that could instantly monetize Waze by connecting the app to their trove of user dossiers.

Which brings us back to Yahoo. You'll notice Yahoo has no world-dominating social network like Facebook, or even a respectable runner up like Google+. It has to cobble together information about you from various sources, like information you've attached to your Flickr photo account, in your Yahoo Mail signup, within your Yahoo Finance portfolio tracker, via your Yahoo search history, and so on. Yahoo is motivated to expand, not narrow, the pool of potential information sources.

Buying Tumblr gives the company potentially valuable data on the interests of sophisticated young computer users; Summly lets it see what news you are interested in while mobile; Hulu would provide insight into what television shows you prefer. Meanwhile, each information source also doubles as an ad delivery channel.

There is a real elegance to the idea of focused companies with clear missions and simple products. It is similarly attractive to imagine we can improve our complicated lives in this complex world by stitching together highly specialized apps that do one thing and do it well. "I've always liked simplicity," Mayer once told a reporter.

But software gets messy fast, and so it is with technology companies. It turns out that even on the open platform of the internet, where it's never been easier or cheaper to launch an app, real benefits still accrue to large organizations with inelegant mashups of functionality and huge proprietary data sets.

The portal is dead; long live the portal.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

CEO Marissa Mayer is broadening, not narrowing, Yahoo's scope

@highlight

After buying Tumblr, Yahoo is reportedly in talks to acquire online-television hub Hulu

@highlight

Yahoo is transforming itself into an über portal even as users migrate to focused mobile apps