(CNN) -- It's not often that the White House holds a news conference late on a Sunday night. Especially an unscheduled one.

So when it was announced, around 9:45 p.m. ET on May 1, that President Obama would be addressing the nation within the hour, you knew it had to be important.

Had there been a major development in Libya? Things had been heating up since NATO started intervening against Moammar Gadhafi's forces.

Were U.S. troops going into another part of the Arab world?

Had there been another terrorist attack?

Or was it the news that many Americans had been waiting on for nearly a decade: that Osama bin Laden, leader of al Qaeda, had finally been brought to justice for the tragic events of September 11?

The White House announcement provided no details, so it was up to everyone else to fill in the blank. Speculation was rampant, especially online and on social media. What was so important that it couldn't wait until morning?

By the time Obama finally spoke at 11:30 p.m., the world already knew the news: "The United States has conducted an operation that killed Osama bin Laden, the leader of al Qaeda and a terrorist who's responsible for the murder of thousands of innocent men, women and children."

The president never had a chance to avoid the mother of all spoilers -- not with how fast news travels today. An hour before his speech, the cat was out of the bag, thanks to Keith Urbahn, chief of staff for former Defense Secretary Donald Rumsfeld.

"So I'm told by a reputable person they have killed Osama Bin Laden. Hot damn," Urbahn tweeted.

It didn't take long after that for major news organizations to confirm that the news was indeed true: the most-wanted terrorist in the world was dead, eight years to the day after President Bush delivered his "Mission Accomplished" speech.

"It was an incredibly symbolic event," said William Keylor, a professor of history and international relations at Boston University. "It was closure to 9/11. ... Al Qaeda had been pretty much degraded, but (bin Laden) was still on the run."

As confirmation quickly spread of bin Laden's death, emotional celebrations began taking place across the country. Many were caught on camera.

People in the nation's capital flocked to the White House, carrying American flags, singing the national anthem and cheering the news in front of television cameras. At a baseball game in Philadelphia, fans of both teams stopped to chant "U-S-A, U-S-A!"

Celebrations also were held at New York's ground zero, the site of the former World Trade Center.

"I never thought this night would come, where we would actually capture or kill bin Laden. And, thank the Lord, he's been eliminated, to put it politely," said Bob Gibson, a retired New York City police officer. "A lot of us ... gave up. But it did come, and a lot of us are overjoyed that it happened."

'The most intense 38 minutes of my life'

By the next morning, the national conversation had started to change. The emotional impact of the announcement was subsiding, and the public wanted more detail, more explanation.

How did the United States find bin Laden? Why was he killed and not captured? Who exactly killed him?

It was soon learned that an elite team of Navy SEALs had flown two helicopters into Abbottabad, Pakistan, where bin Laden was living in a three-story compound with approximately two dozen people, including his relatives and one of his most trusted couriers. The United States had been tracking the courier for years, and the CIA informed the president in September 2010 that bin Laden might be living at the compound, a $1 million home surrounded by large privacy walls topped with barbed wire.

On April 29, 2011, after several meetings with his National Security Council, Obama authorized an attack on the compound.

In an operation that lasted nearly 40 minutes, the SEALs breached the compound's walls and methodically went through the house, floor by floor. Bin Laden and his wife were found on the third floor, White House spokesman Jay Carney said in a news conference. Carney said a SEAL fatally shot bin Laden when bin Laden made a threatening move.

An iconic photo, released by the White House, shows Obama, Vice President Joe Biden, Secretary of State Hillary Clinton, Secretary of Defense Robert Gates and other officials in the White House Situation Room, following developments as the raid went down. Clinton later called it "the most intense 38 minutes of my life."

Today, there have already been several books written about the raid, and a movie is said to be in the works.

"I think the fact that it was such a tremendous success was the reason that the administration decided to publicize it: 'We're going to put out all the facts and let the chips fall where they may,' " Keylor said. "And, of course, the downside of that was that it really antagonized the Pakistanis."

The United States and Pakistan had been working together for years trying to track down bin Laden and fight extremists near the Afghanistan border. But the United States, fearing that a leak could jeopardize its mission and tip off bin Laden, kept its raid a complete secret from Pakistan.

The Pakistanis were outraged and humiliated by the blatant violation of their national sovereignty. U.S. officials questioned their ally's motivations, as bin Laden was "hiding in plain sight."

The CIA director at the time, Leon Panetta, told U.S. lawmakers in a closed-door session that Pakistani officials were either "involved or incompetent," adding that "neither is a good place to be."

Photo debate continues

From the raid, U.S. forces retrieved 10 hard drives, five computers and more than 100 storage devices containing intelligence from bin Laden's compound, according to a senior U.S. official.

They also found some homemade videos, including one that shows a graying bin Laden, wrapped in a blanket, watching himself on a small television.

"The fact that they killed (bin Laden) was significant, but they also demythologized him," said Thomas Mockaitis, author of "Osama bin Laden: A Biography." "They revealed him to be a megalomaniac, in many ways kind of a petty individual. Instead of this kind of great, powerful figure ... he looks like a bit of a narcissist. I think that, in some ways, was as important as actually killing him. It brought him down quite a bit it terms of his stature."

But perhaps the most talked about pieces of evidence from last year's raid have yet to see the light of day: photos of a dead bin Laden.

The administration decided to keep the photos classified, saying the graphic nature of the images would only incite further violence or be used for propaganda purposes. "We don't trot this stuff out as trophies," Obama told CBS News. "We don't need to spike the football."

However, many Americans, including prominent lawmakers, believe they have a right to see the images. And some people have another concern: How do they know bin Laden is dead if they can't see proof?

That isn't a concern of Sen. John McCain, one of several U.S. Congress members allowed to view the photos. The Arizona Republican, Obama's opponent in the 2008 presidential election, said there was no doubt that bin Laden is dead.

But the debate over the photos continues one year later. On Friday, a federal judge turned down a request for release of the photos, saying there were legitimate national security interests to deny disclosure.

The war on terror also continues. Bin Laden's death might have underlined the weakened state of al Qaeda, but affiliate groups, including the Taliban, al-Shabaab and al Qaeda in the Arabian Peninsula, "remain committed to the group's ideology," said a U.S. intelligence report released in January. "Lone wolf" terrorists are a threat as well, as we've seen recently in Norway and France.

More: Is the core of al Qaeda on its last legs?

The threats, however, should be no surprise to Obama, who warned that there was still work to be done when he announced bin Laden's death a year ago.

Bin Laden's death "does not mark the end of our effort," he said in his speech. "There's no doubt that al Qaeda will continue to pursue attacks against us.

"We must -- and we will -- remain vigilant at home and abroad."

@highlight

It has been one year since Osama bin Laden was killed by U.S. forces in Pakistan

@highlight

The news of bin Laden's death spread like wildfire online and on social media

@highlight

Several books have already been written about the raid on bin Laden's compound

@highlight

Controversy remains over whether photos of bin Laden should be released