(CNN) -- Exotic food is part of the global travel experience.

But recent efforts by conservation groups to ban the much-loved deep fried shark sandwich in Trinidad and Tobago have proved these experiences are often fraught with cultural difficulties, especially for travelers who like to experiment with new experiences.

Here are some of the more exotic food items travelers might encounter, along with reasons some say you should avoid them.

Ortolan (France)

The ortolan is a songbird found throughout Europe.

In France, home to one of the largest populations, it's a delicacy traditionally consumed beneath a napkin, because it's eaten whole, the entire creature devoured in one mouthful. The dish featured in the latest "Hannibal" TV series.

Poachers illegally kill thousands every year and the International Union for Conservation of Nature (IUCN) estimates that the species has declined by 30% over the past decade.

"The population has declined steadily due to illegal hunting purely to satisfy epicurean appetites," says Professor Stanley Temple, a conservation expert at the University of Wisconsin.

"We have a terrible history of decimating birds like the ortolan, which are hunted solely for illicit profit."

Shark fin (China)

"One quarter of species of shark are at risk of extinction and demand for fins is a substantial component of this threat," says Professor Michael McCarthy, a conservationist at the University of Melbourne.

You're mostly likely to come across shark fin soup in China, where the expensive dish is traditionally served at weddings, or to welcome guests and to show respect at other formal occasions.

In Asia, consumption of shark fins and meat is legal, and Taiwan is the only Asian country to ban the controversial practice of finning, which involves removing the shark's fin and discarding the rest of the carcass at sea.

Recently some airlines and hotels in Hong Kong removed shark fin from their menus in response to the controversy and China banned the serving of shark fin at official government banquets.

Green sea turtle (Cayman Islands)

Travelers are most likely to find green sea turtle meat in the Cayman Islands (where it's regarded as a national dish and legal to consume and breed the species), throughout the Caribbean, Asia and some of the U.S. southern states, although it's illegal to import, sell, or transport the species in the United States.

Diminishing numbers and the widely condemned breeding conditions found at the world's only legal breeding facility in the Cayman Islands mean travelers should avoid this dish, according to some.

"Whilst some local communities may depend on turtle meat for subsistence and cultural reasons, there's no need for travelers or tourists to eat this endangered animal," points out Elise Neve at the World Society for the Protection of Animals.

Pangolin (China)

If you're keen to impress friends with tales of exotic foods the pangolin might tick the box, but increased demand has wreaked havoc for the creature, despite its unappetizing appearance.

You're most likely to find a plateful of pangolin in China, where it's now illegal to hunt the animal.

The pangolins' secretive, solitary and nocturnal habits have made it hard to estimate numbers, although records point to a sharp decrease.

7 ways to save the pangolin

"Pangolins look like armor-plated lizards, but are shy, nocturnal mammals," explains Simon Pope, director of campaigns and communications at World Society for the Protection of Animals.

"The wildlife trade network TRAFFIC has reported that the insatiable demand for pangolin meat has decimated populations and demand from China is now seeing pangolins in Africa being hunted for the Asian restaurant market."

Western long-beaked echidna (Papua New Guinea)

The Western long-beaked echidna's native home is New Guinea, but the threat of extinction looms large due to hunting for human consumption.

It's one of only two species of mammal to lay eggs (the other is the platypus), and is key to understanding mammalian evolution.

The Papua New Guinean government has banned commercial hunting but traditional hunting with dogs is permitted.

They're now incredibly rare in New Guinea, but breeding programs carried out by zoos in other countries are going some way to safeguard the species' future.

Mountain chicken/giant ditch frog (Dominica, Montserrat)

This super-sized amphibian may not look too appealing as a delicacy, but its popularity in the Caribbean has seen the population decline by 80% over the past decade.

The meat regularly appears on restaurant menus, although it's now only found on Dominica and Montserrat.

The IUCN, which lists the species as critically endangered, says up to 36,000 were being killed every year as recently as 2002, and estimates there are now just 8,000 remaining.

Gorilla (Republic of the Congo)

Gorillas have been pushed to the brink of extinction due to their popularity as bushmeat.

In cities such as Pointe Noire in the Republic of the Congo, smoked gorilla meat is sold openly (but illegally) at markets.

It's believed that more than 400 gorillas are killed for bushmeat every year, despite the fact that the species is listed as critically endangered by the IUCN.

The species' low productive rates mean that even low levels of hunting have a devastating effect on populations.

Chinese giant salamander (China)

Chinese giant salamanders are the largest species of amphibian and live in lakes and rivers in southern China.

Over the past 30 years, over-harvesting for the food trade -- they sell for $1,000 a piece -- has seen an 80% decline in numbers, and it's now classed as critically endangered by the IUCN.

Over-harvesting hasn't just threatened its survival but stunted its growth -- scientists believe that hunters' preference for larger salamanders is the reason they no longer grow beyond six feet in length.

"Chinese giant salamander should always be avoided," says Claire Christian at the Antarctic and Southern Ocean Coalition. "This species has declined to extremely low levels."

Dolphin (Japan, Taiwan)

Sale of dolphin meat for consumption is common and legal in Japan, although it's often mislabeled and sold as whale meat, which sells for much more.

Although the way in which the dolphins are killed is controversial, most notably as highlighted by the movie "The Cove," none of the species being hunted in Japan are listed as endangered.

In Taiwan, the catching, selling and consumption of dolphin meat was banned in 1989.

Despite this, 1,000 dolphins are caught illegally there every year and dolphin fishcakes are often sold openly at street food stalls, especially in Western Taiwan.

@highlight

Shark fin still consumed regularly in China, though hotels and airlines have recently removed the dish from menus

@highlight

Green sea turtle is a delicacy in Cayman Islands, though travelers are advised to avoid it

@highlight

Gorillas nearly extinct due to hunting, but still sold as bushmeat in central and Western Africa