LONDON, England (CNN) -- As a product designer, Agustin Otegui's has to "think big" about the objects he creates. From novel portable chairs made out of shovels to chrome radiators that look like modern works of art, he recasts the mundane in a modernist and functional new light.

The Nano Vent Skin forms an organic skin around a building providing its energy needs.

Yet when he got thinking about how he could help with solutions to mitigate climate change he started thinking small. Very small, in fact.

His futuristic concept is called the Nano Vent-Skin (NVS) and the design -- to wrap buildings in an organic lattice skin made up of micro wind turbines -- is radical.

It's an intriguing idea and an exciting confluence of cutting edge science and industrial design.

Back in 1959 American physicist Richard Feynman famously predicted that we'd be creating atom sized machines in the future.

Today, advances in nanotechnology -- the science of impossibly small materials -- are rapid. Scientific discoveries at nanoscale -- one billionth of a meter -- are finding their way out of the lab and into production, creating more efficient computer chips and coatings for glass.

It was all the big "green" projects around the world that got Otegui thinking about smaller solutions.

Otegui told CNN: "Instead of trying to build these huge turbines which are always getting bigger and bigger, I thought, why not do something on a small scale and use it on existing objects and buildings. I wanted to try to cover them like a crawling plants you see on facades."

Armed with the desire to create something 100 percent organic, Otegui set about researching the possibilities. "I found out about nanotubes and then I came across some MIT research into nano-manufacturing," he explained.

Otegui imagines (see photos) merging living organisms to form a complex skin which will absorb and then utilize the energy created by the sun and wind.

Solar power is harvested through an organic photovoltaic skin which then transfers the energy to nano-fibres located inside nano-wires. The power is then sent to storage units located at the end of each panel.

In addition the turbine blades -- which Otegui envisages to be 25 millimeters in length and 10 millimeters wide -- absorb CO2.

He says that on rough calculations each turbine would produce 0.2 watts of energy and a square meter grid of turbines could produce around 90 watts of power.

Designs incorporating nanotechnology are a far cry from Otegui's day job which has seen him employed in the design departments of car industry giants like BMW, Citroen and Fiat -- working on the grill and wing mirrors of the new 500 (Cinquecento) -- in recent years.

His spare time is taken up by designing anything from external storage units -- "the urban shell" -- to multi-use stools and sandals. His dedication has already been rewarded in the shape of awards and exhibitions in London, Barcelona and Milan.

The NVS looks set to go the same way with interested parties already contacting Otegui to find out more.

There are some controversial branches of nanoscience but Otegui is keen to stress that his take on nanotechnology isn't.

"These micro organisms will not been genetically altered," he said. "They will work as a trained colony where each member has a specific task in the symbiotic process."

He says he's not trying to reinvent or reshape the future. "It's just acting as a merger of different means and approaches into energy absorption and transformation, which will never happen in nature," he said.

Otegui concedes that implementation of nano-manufacturing of this type is still years away. "Even in 10 or 15 years it wont be accessible to everyone, but people will hopefully be developing materials," he said.

Nevertherless, the NVS offers up a glimpse of the future, where energy might just be greener than anyone could have possibly imagined.

@highlight

Mexican born product designer creates a radical concept for tackling climate change

@highlight

The Nano Vent Skin would utilize nanotechnology to create organic wind turbines

@highlight

Energy from the sun could also be harvested through organic photovoltaic skin