Washington (CNN) -- The U.S. Senate voted Monday to begin debate on an anti-discrimination bill to protect lesbian, gay, bisexual and transgender employees from workplace discrimination.

That means a Senate vote on the Employment Nondiscrimination Act, also known as ENDA, could occur this week.

It's the first time since 1996 the Senate will vote on the measure. This version, however, is more encompassing. It includes workplace protections for not only sexual orientation but also for gender identity.

The Senate passed the procedural vote and overcame the 60-vote threshold necessary. Seven Republicans joined all Democrats and two Democratic-leaning Independents for 61 votes.

After the procedural vote Monday, the White House released a statement saying that Obama looks forward to the Senate's consideration of EDNA.

"He thanks the lawmakers from both sides of the aisle who have stood up for America's core values of fairness and equality," it read.

But the bill's passage in the House is far less certain.

The measure would provide the same protections for LGBT workers as are already guaranteed on the basis of race, gender and religion. It would no longer be lawful for employers to discriminate based on a person's "actual or perceived" sexual orientation.

Republican support

The measure is coming up for a vote because of a recent wave of momentum in support. After the bill gained the support of all 53 Democrats, two independents and two Republican co-sponsors: Sens. Mark Kirk of Illinois and Susan Collins of Maine.

ENDA: How we got here

Sen. Dean Heller, R-Nevada, announced his support Monday morning. His decision lead supporters within the Senate to believe that they have the votes to pass the bill.

The outcome of the vote received the support of more Republicans than anticipated. Senators Orrin Hatch of Utah and Lisa Murkowski of Alaska, who voted for the measure at the committee level, voted in favor of the key procedural measure. In the end, so did Senators Kelly Ayotte of New Hampshire, Pat Toomey of Pennsylvania and Rob Portman of Ohio.

Collins said Monday that she hopes to get enough votes to spur the House to act.

"I think that it was Republican votes that made the difference tonight. And that that is a strong signal," the senator said.

"I also think that attitudes are changing very rapidly on gay rights issues, and we're seeing every passing day more and more people have embraced equality," she said.

Republican opposition

"If more members of Congress step up, we can put an end to this form of discrimination once and for all," Obama wrote.

The Republican-led House might be a major obstacle to ENDA's success; House Speaker John Boehner has already announced his opposition.

"The speaker believes this legislation will increase frivolous litigation and cost American jobs, especially small-business jobs," spokesman Michael Steel said.

And Rep. Eric Cantor, R-Virginia, the second ranking House Republican, refused to commit to bringing up the legislation. He said that he and fellow Republican leaders "will review it" if the Senate passes it.

House Democratic Leader Rep. Nancy Pelos said the measure would still pass the House despite Boehner's opposition because most Democrats would support it.

"All we need is maybe 20 Republicans and we can pass the bill," she said on MSNBC Sunday.

Chad Griffin, president of the LGBT activist group Human Rights Campaign, had harsh words for Boehner.

"The speaker, of all people, should certainly know what it's like to go to work every day afraid of being fired. Instead of letting the far right trample him again, it's time for Speaker Boehner to stand with the majority of everyday Republican voters and support ENDA," Griffin said.

The conservative political organization Heritage Action put out a notice to all Republican lawmakers recommending a no vote. Its scorecards are threatening assessments of lawmakers who fear a primary challenger or are in need of the outside group's influx of campaign cash.

Heritage Action says the bill "raises serious religious liberty concerns" and would "potentially discourage job creation."

Family Research Council President Tony Perkins also slammed ENDA.

"Can you imagine walking into your child's classroom and meeting a teacher dressed in drag? Neither can most Americans. But unfortunately, that's just one of the many consequences of adopting a law as dangerous as this one," he wrote in a blog post Friday.

"Preschools, day care centers, summer camps, religious chains like Hobby Lobby or Chick-fil-A -- they'll all be subject to the law, regardless of their personal beliefs and workplace standards," Perkins said.

An exemption for religious organizations is included in the bill, but some want the religious protection extended to secular businesses, which ENDA proponents say would gut the entire bill. Employers with fewer than 15 employees would also be exempted from the law.

Last-minute lobbying

Leading up to the vote, proponents are championing the bill and pressured opponents or those on the fence to come out in support.

President Barack Obama wrote a rare op-ed in the Huffington Post in which he called job-site LGBT discrimination "offensive" and "wrong."

"And it needs to stop, because in the United States of America, who you are and who you love should never be a fireable offense," the President wrote.

The newest member of the Senate, New Jersey Democrat Cory Booker, who was sworn in last week after a special election, has passionately defended ENDA on one of his oft-used methods of communication.

Opinion: No one should be fired for being gay

He said on Twitter he will support ENDA, "Absolutely, unequivocally, proudly with gusto & enthusiasm. I hope to make it my first 'co-sponsor.'"

Wisconsin Democrat Tammy Baldwin, the country's first openly gay U.S. senator, similarly spoke in support of the legislation.

"It's about freedom, the freedom to realize our founding belief that all Americans are created equal under the law. It's about fairness, about whether lesbian, gay, bisexual and transgender Americans deserve to be treated just like their family members, their friends, their neighbors and fellow workers," she said Monday before the vote.

"It's about opportunity, about whether every American gets to dream the same dreams, chase the same ambitions and have the same shot at success," Baldwin said.

Heads of major businesses have come out in support of the law, including Tim Cook, Apple's CEO, who wrote an op-ed Monday in the Wall Street Journal.

"So long as the law remains silent on the workplace rights of gay and lesbian Americans, we as a nation are effectively consenting to discrimination against them," he wrote. "We urge senators to support the Employment Nondiscrimination Act, and we challenge the House of Representatives to bring it to the floor for a vote."

Twenty-one states currently have laws on the books protecting lesbian and gay workers from discrimination and 17 states protect transgender workers, according to the Human Rights Campaign. The federal statute would create protections in all states and the District of Columbia.

Opinion: ENDA threatens free markets

CNN's Lisa Desjardins, Ted Barrett and Deirdre Walsh and Dan Merica contributed to this report

@highlight

The Senate votes to begin debate on ENDA

@highlight

President Barack Obama wrote a rare op-ed voicing his support

@highlight

The bill would outlaw workplace discrimination for LGBT workers

@highlight

House Speaker John Boehner said he will not support ENDA