New York (CNN) -- This weekend's Iraqi election is testing the strength of the nation's young democracy and could be a turning point in the history of the Middle East, says analyst Fareed Zakaria.

In the March 7 election, Iraqi Prime Minister Nuri al-Maliki's coalition in the Iraqi parliament is seeking to win enough votes to keep him in office for another term. On Thursday, a series of insurgent attacks led to the deaths of 29 people in the city of Baquba.

Zakaria said the election could have a lasting impact: "It might be the turning point in the rise of Iraq in the Middle East. Iraq is one of the largest, most important countries in the Arab world. It has the third or fourth largest petroleum reserves in the world. Even now it has $40 billion in oil revenues every year; it has a well-trained army thanks to the Americans.

"It is perhaps the beginning of a return to prominence in the Middle East. It is possible that 10 years from now we'll look back and say, while everyone was obsessing about the rise of Iran, the real story in the Middle East in these years was the rise of Iraq."

The Obama administration plans to withdraw all combat troops from Iraq by the end of August, leaving 50,000 Americans in advisory roles, who will leave by the end of 2011.

Zakaria, author and host of CNN's "Fareed Zakaria GPS," spoke to CNN on Thursday. Here is an edited transcript:

CNN: What's at stake in the election?

Fareed Zakaria: This is really the first genuine election Iraq will have since the American invasion. It is only the second time that Iraq is having an election for the full parliamentary term. And the first one had limited Sunni participation. There was a lot of violence surrounding it, and so it had a kind of air of abnormality to it. This is coming after a pretty stable period both politically and economically and also a period of very spirited campaigning, and so it has the potential to really consolidate Iraqi democracy and Iraqi political stability. But a lot will depend on what happens, not in the election itself, but right after.

CNN: Why should Americans pay particular attention to what's happening with this election?

Zakaria: Two reasons: First if Iraq is able to achieve some degree of consolidation in terms of its democracy, it will add dramatically to its political stability, which is of course the most important condition that will allow American forces to continue their withdrawal down to zero combat forces or close to zero combat forces, as President Obama has hoped.

And the second is, if Iraq is able to consolidate as a democracy, it will mean there will have been some success in Iraq that we can point to for the vast investment and the vast expenditure of blood and treasure that the United States has put in. I'm not saying that you can make an easy statement that this justifies the invasion, I'm simply saying that there will be a very strong positive outcome in Iraq that will at least be set against the cost.

And that positive outcome is that Iraq will be the first Arab country to have a genuine functioning democratic system with a free press, open economy and that is something of a revolution in the Middle East.

CNN: How is the election shaping up?

Zakaria: The most important part is what happens after the election. What you really have to watch is not how the winners are treated, but how the losers are treated, because Iraq has yet to demonstrate that it can handle the issue of minority rights properly.

The Sunnis who were once the ruling elite are now somewhat marginalized. The Kurds have their own difficulties with the Baghdad government. The Christians have been very substantially persecuted in many different ways and often, very sadly, killed.

So what Iraq has to demonstrate is that the majority, which will inevitably be largely Shia, has the capacity to give some form of representation to the various minorities within Iraq. Iraq has to show that it understands that democracy is not just majority rule but pluralism and inclusion for the various minority groups..

That's a very important point because while the Sunnis are the minority in Iraq, they are the majority everywhere else in the Arab world. So when Arabs look at Iraq, right now what they see is a kind of majority tyranny.

CNN: Are you seeing any signs that the Shia majority is fully open to the kind of embrace of minority rights you're talking about?

Zakaria: The most important sign is that the Shias have not consolidated as one bloc, so there are now various Shia groups, some of which are inclined to this kind of inclusion. Others are not. But at least it gives the voters choices, and the group that seems to be doing second best in the polls after Prime Minister Maliki's group is headed by Ayad Allawi, a former prime minister. He is a very secular-minded guy who has a lot of appeal to Sunnis, has Sunni partners in his coalition at very high levels and represents a very different kind of Shia politics, much more secular, much more inclusive.

It's also worth saying that the Sunnis are not trying to resort to violence as a routine matter the way they were four or five years ago.

They seem to understand that their path to rehabilitation lies in politics, not in civil war. Somebody once said to me, you will know the Iraqi insurgency is over once the Shia understand that they have won and the Sunnis understand that they have lost. And I think both those conditions have now been fulfilled.

CNN: What's the impact of the violence we have seen so far?

Zakaria: Minimal, because the violence has not been particularly dramatic. Look, Iraq is now an open society. It's very difficult to protect every café and every bus station, but most importantly it is not having much effect in deterring people from voting. When all is said and done, violence in Iraq is down 95 percent from 2006. While it's unfortunate, it is not debilitating.

CNN: What's the potential impact of the elections on relations with Iran?

Zakaria: One of the things that I've noticed is reports that are coming out that Iranian agents who used to spend a lot of time in Iraq are actually less present there than they had been in the past. That is perhaps in large measure because they're back in Iran trying to quell and counteract the green movement there. A consolidated government in Iraq with new legitimacy is going to be an Iraq that is less amenable to pressures from Iran.

CNN: Based on where we are right now, how do you think history is going to judge the American invasion?

Zakaria: We spent about a trillion dollars in Iraq, not to mention the loss of blood, which is tragic of course. Not just the Americans but many more Iraqis. So in the long arc of history was this worth it? You probably do need a little more time and perspective, and you do need to see how it turns out. But I think we could be heartened by the fact there are things we can place on the positive side of the ledger to balance the enormous costs that both the Iraqis and the Americans have paid.

CNN: What impact do you think the election will have on the Obama administration's plan to withdraw troops from Iraq?

Zakaria: The greater the political stability in Iraq, the easier it will be for the withdrawal to proceed apace. Right now I don't see a major obstacle to continuing the withdrawal. But on my Sunday program, David Petraeus hinted for the first time that there could be an arrangement reached with the Iraqi government under which a small contingent of American troops stay in Iraq for a longer period of time.

@highlight

Iraq holds a key parliamentary election March 7

@highlight

Fareed Zakaria says this is a test of the vibrancy of Iraq's democracy

@highlight

He says it will be crucial for Iraq to show that rights of minorities will be protected

@highlight

Iraq could emerge as a more powerful nation and a model for democracy in the Arab world