Scientists have found what they're describing as a "lost world" on the northern tip of Queensland, Australia, hosting at least three previously undocumented species, including a frog that makes love in the rain.

The discovered species, which also include a leaf-tail gecko and a golden skink, have been isolated in a remote mountain range on Cape York Peninsula for millions of years, according to James Cook University.

The joint expedition between the university and National Geographic in March led James Cook's Conrad Hoskin and Harvard University researcher Tim Laman, a National Geographic photographer, to the rugged range in northeast Australia's Cape Melville, where millions of black granite boulders as big as houses and cars are piled hundreds of meters high.

Scientists have previously surveyed the base of the cape mountains, but the hot, dry, boulder-strewn rainforest on the plateau atop them is largely unexplored.

A helicopter took Hoskin, Laman and a National Geographic film crew to the uplands.

"Finding three new, obviously distinct vertebrates would be surprising enough in somewhere poorly explored like New Guinea, let alone in Australia, a country we think we've explored pretty well," Hoskin said in a statement from the university.

441 new species found in Amazon

The scientists found a "host of other interesting species" that may also be new to science, but the three vertebrates, which are described as highly distinct, will be documented in this month's issue of Zootaxa, a peer-reviewed journal for animal taxonomists.

Hoskin said the highlight of the expedition was the Cape Melville Leaf-Tailed Gecko, a "primitive-looking" lizard that is considered a relic from the days when the rainforest was more widespread in Australia. It can grow up to 20 centimeters (almost 8 inches) long.

The gecko is a night hunter and hides in the boulders during the day. At night, the highly camouflaged critter sits motionless, head down, awaiting passing insects and spiders on rocks and in trees. Its big eyes and long, slender body and limbs are likely "adaptations to life in the dimly lit boulder fields," the release said.

Hoskin, who said he knew it was a new species as soon as he saw it, named it Saltuarius eximius, meaning exceptional or exquisite, in reference to its distinct appearance.

"The Cape Melville Leaf-Tailed Gecko is the strangest new species to come across my desk in 26 years working as a professional herpetologist. I doubt that another new reptile of this size and distinctiveness will be found in a hurry, if ever again, in Australia," said Patrick Couper, curator of reptiles and frogs at Queensland Museum.

The Cape Melville Shade Skink is also a lanky fellow, but unlike its gecko neighbor, it can be found hunting during the day, hopping across mossy boulders in search of insects. It has a golden hue and is isolated to the plateau rainforest.

It has been dubbed Saproscincus saltus. Saltus means leaping, according to the university's news release.

Also discovered was the Blotched Boulder Frog, which is found only in the boulder field at Cape Melville. Its species name, Cophixalus petrophilus, means rock-loving.

"During the dry season the frog lives deep down in the labyrinth of the boulder field where conditions are cool and moist. In the summer wet season the frog emerges on the surface rocks to feed and breed in the rain," the news release says, adding that the frog only comes to the surface when it's raining.

There are no nearby bodies of water, so the frog reproduces by laying its eggs in the moist rock cracks. The tadpoles develop within the eggs, which the male frog guards until the froglets hatch.

"These species are restricted to the upland rainforest and boulder fields of Cape Melville. They've been isolated there for millennia, evolving into distinct species in their unique rocky environment," Hoskin said.

Given the discoveries, there will likely be more expeditions -- and more secrets uncovered -- on Cape Melville in the future.

"The top of Cape Melville is a lost world. Finding these new species up there is the discovery of a lifetime," Hoskin said. "I'm still amazed and buzzing from it."

Follow Eliott C. McLaughlin on Twitter: @CNNWriters

@highlight

Scientists say the three new species have been isolated in forest for millions of years

@highlight

Discovered species include leaf-tail gecko, golden skink and a boulder-dwelling frog

@highlight

Herpetologist: Gecko is "strangest new species to come across my desk in 26 years"

@highlight

Finding species in "lost world" of Cape Melville is "discovery of a lifetime," scientist says