(CNN) -- On the holiday that celebrates the Rev. Martin Luther King Jr., many will remember his sacrifices for the civil rights movement, and serve others in his memory.

Because of the accolades he received after his martyrdom, King is often viewed as a charismatic leader who was responsible for the success of the campaign for civil rights reform.

But many forget his international outlook, including protest of the war in Vietnam. And history reveals that before he was a civil rights leader he was, first, a preacher, committed to social and economic justice.

He was only reluctantly a civil rights leader.

The greatest MLK speeches you never heard

Rosa Parks transformed King into that leader. Chosen to lead the Montgomery bus boycott movement, he quickly gained prominence as the nation's best-known civil rights spokesperson and advocate of Gandhian nonviolent resistance to the Southern Jim Crow system.

But during the six years after the boycott's successful conclusion, he never planned and carried out a campaign of civil disobedience.

In 1963, King finally had an opportunity to play a leading role in sustained protests in Birmingham. But even in this campaign to pressure local leaders on the city's segregation, he came perilously close to failure.

By early April 1963, his support among local black leaders had declined, and despite initial enthusiasm of the first mass protests, it became clear that he would not be able to recruit many more protesters willing to engage in civil disobedience through clashes with the forces of Police Chief Bull Conner.

As Easter neared, King realized that bail funds were depleted, and few adult activists were prepared to spend long periods in jail. Even Ralph Abernathy and some of his other colleagues were unwilling to risk arrest if this meant being unavailable to deliver Easter Sunday sermons in their churches.

When he made a critical, solitary decision -- his "faith act" -- to submit to arrest on Good Friday, King was not certain that this decision would result in a successful outcome in Birmingham.

Many of his advisers, including his father, had tried to dissuade him from going to jail.

"I don't know what will happen or what the outcome will be," he had admitted to the close associates who gathered in Birmingham's Gaston Motel. After he was arrested and placed in solitary confinement, he remembered enduring "the longest, most frustrating and bewildering hours I have lived."

King regained his confidence only after he learned from his lawyer, Clarence Jones, that entertainer Harry Belafonte had raised $50,000 and promised to raise more to provide bail for those willing to go to jail.

When a group of local white clergymen denounced the Birmingham protests as "unwise and untimely," King responded with the letter from his jail cell that would become the most influential defense of civil disobedience since Thoreau's essay on the subject more than a century earlier.

But King's letter also expressed a philosophical commitment to nonviolent direct action that he had never previously translated into a nonviolent direction action campaign.

King was not able to revive the Birmingham campaign until he allowed himself to be bailed out of jail and gave in to the urging of James Bevel, Dorothy Cotton, and other activists that he allow eager teenagers to participate in marches into Birmingham's downtown area, and thereby reinvigorate the flagging protest movement in Birmingham.

When Conner responded with fire hoses and police dogs, the clashes in downtown Birmingham attracted the world's attention. In Birmingham, as had been the case in other communities, the courageous actions of young people demonstrated the effectiveness of King's ideas more than the actions of King himself.

Due to the timely intervention of thousands of young people, King was able to secure a settlement with Birmingham's white business leaders.

He could then claim victory rather than suffer an ignominious defeat.

King's success in Birmingham marked a major turning point in his life. If he had failed, it is unlikely that he would have been invited to deliver the concluding speech at the March on Washington for Jobs and Freedom.

It his even more unlikely that he would he have been given more time than the other speakers that day to share his dream that would enter the nation's collective consciousness.

King's most important contribution to the modern African-American freedom struggle was as an eloquent proponent of civil disobedience, and as a visionary who understood the broader global and historical significance of the African-American civil rights movement. His oratory inspired participants in mass movements that were usually initiated and sustained by others.

The Southern freedom struggle certainly would have eventually achieved major civil rights reforms even after a setback in Birmingham, but it is very doubtful whether we would be talking about King today if he had failed in Birmingham in 1963.

A special class with MLK

The opinions expressed in this commentary are solely those of Clayborne Carson.

@highlight

Martin Luther King is remembered for his sacrifices and leadership

@highlight

Carson: 'He was only reluctantly a civil rights leader'

@highlight

One of Kings greatest victories, Birmingham, almost did not happen