(CNN) -- Oil company BP shouldered some responsibility for the Gulf of Mexico oil disaster Wednesday after an internal investigation of the spill, but assigned much of the blame to contractors Halliburton and Transocean.

Faulty cementing, a misread pressure test and an improperly maintained blowout preventer all contributed to the April 20 explosion that killed 11 workers aboard the Deepwater Horizon drill rig and led to the worst oil spill in U.S. history, BP's nearly 200-page report on the disaster concluded.

"The team did not identify any single action or inaction that caused this accident," BP's report states. "Rather, a complex and interlinked series of mechanical failures, human judgments, engineering design, operational implementation and team interfaces came together to allow the initiation and escalation of the accident. Multiple companies, work teams and circumstances were involved over time."

Both Halliburton and Transocean sharply disputed the findings, with Transocean calling them "self-serving" and Halliburton insisting that the problem lay with BP's well design. In a corporate statement, Halliburton said the report contained "a number of substantial omissions and inaccuracies."

"Halliburton remains confident that all the work it performed with respect to the Macondo well was completed in accordance with BP's specifications for its well construction plan and instructions, and that it is fully indemnified under its contract for any of the allegations contained in the report," the company said.

A Halliburton engineer also criticized BP's well design during an August hearing by the Coast Guard-Interior Department board investigating the disaster. But in a statement accompanying the report, outgoing BP chief Tony Hayward said the well design was not the issue.

"Based on the report, it would appear unlikely that the well design contributed to the incident, as the investigation found that the hydrocarbons flowed up the production casing through the bottom of the well," he said.

In July, Hayward said the disaster "was the result of multiple equipment errors and human error involving many companies." Bob Dudley, who is replacing Hayward, said Wednesday's report "makes that conclusion even clearer."

BP's report also found "potential weaknesses" in Transocean's maintenance of the rig's blowout preventer, the massive fail-safe device that failed to shut down the well after the explosion.

BP said its team aboard the doomed platform "incorrectly accepted" results of a negative pressure test on the rig before the blast and mistakenly rejected equipment that cement contractor Halliburton requested to complete the well's casing.

Rep. Ed Markey, the head of a congressional subcommittee also investigating the spill, said the report was no "mea culpa" on BP's part.

"Of their own eight key findings, they only explicitly take responsibility for half of one," said Markey, D-Massachusetts. "BP is happy to slice up blame, as long as they get the smallest piece."

Several other investigations are still going on, including probes by Congress and the Justice Department. Retired Coast Guard Adm. Thad Allen, the Obama administration's point man for the disaster, said the BP report was "not the be-all and end-all" on the matter.

"I would just say the more we know about this event in general, the better off we are," Allen told reporters Wednesday. "It'll add to a larger body of evidence that, or body of work, that might be, won't be completed until we finish the joint investigation by the Department of Interior and Homeland Security, and the other various investigations that are going on."

And Aaron Viles, a spokesman for the Louisiana-based Gulf Restoration Network, largely dismissed the report.

"While any investigation headed up by BP has as much credibility as my 3-year-old daughter's nightly assertions that it's not bedtime yet, BP cops to much, but not all here," Viles said in a statement issued Wednesday afternoon. "Ultimately, the report is going to be used to bolster BP's case against the other potentially responsible parties, such as Transocean and Halliburton."

Viles said that while tracking the cause of the explosion is important, "fighting the last war won't necessarily prepare us for the next, inevitable mess."

As the well owner, BP is responsible for the cleanup and has set aside a $20 billion escrow fund to pay for damages. But BP, Halliburton and Transocean have repeatedly pointed fingers at one another over the cause of the explosion, which resulted in an estimated 4.9 million barrels (205 million gallons) of oil spilling into the Gulf over 87 days.

In Wednesday's report, BP said its team aboard the rig misread a critical pressure test in the hours before the explosion.

"In retrospect, pressure readings and volume bled at the time of the negative-pressure test were indications of flow-path communication with the reservoir, signifying that the integrity of these barriers had not been achieved," the report states. "The Transocean rig crew and BP well site leaders reached the incorrect view that the test was successful and that well integrity had been established."

Neither of BP's well site leaders, Robert Kaluza and Donald Vidrine, has appeared before the investigative board. Kaluza has invoked his Fifth Amendment rights against self-incrimination, while Vidrine was excused for medical reasons.

BP's investigation found that Halliburton used a "likely unstable" cement mix that was not fully tested before it was used. Mark Bly, BP's head of safety and operations, said in a video accompanying the report that Halliburton "did not conduct comprehensive lab tests that could've identified potential problems with the cement."

But he added, "We believe that BP and Halliburton working together should have better identified and addressed the issues underlying the cement job."

But Halliburton engineer Jesse Gagliano testified in August that he warned BP that its well design was inadequate. Appearing before the investigative board, Gagliano said he told BP that the well design did not have enough centralizers -- devices used to position the cement casing around the well bore.

The design called for six centralizers, but Gagliano recommended 21 because of the "severe gas flow problem" in the well. BP engineer Brian Morel replied by e-mail that "It was too late and we had to deal with what we had on the rig," Gagliano testified.

In addition, e-mails from BP engineers, released by a congressional committee in June, suggest that the oil company had its own concerns about the well. Drilling engineer Brian Morel called it a "nightmare well which has everyone all over the place," while Mark Hafle called it "a crazy well." Both Hafle and Morel invoked their Fifth Amendment rights against self-incrimination during the most recent round of hearings by the investigative board.

Eventually, 15 more centralizers were shipped to the rig. BP's well team "erroneously believed that they had received the wrong centralizers" and decided not to use them, according to Wednesday's report -- but the decision not to use them "likely did not contribute to the cement's failure to isolate the main hydrocarbon zones or to the failure of the shoe track cement."

BP's report also faults Transocean's crew for failing "to recognize and act on the influx of hydrocarbons into the well until the hydrocarbons were in the riser and rapidly flowing to the surface."

"Indications of influx with an increase in drill pipe pressure are discernible in real-time data from approximately 40 minutes before the rig crew took action to control the well," the report states. "The rig crew's first apparent well control actions occurred after hydrocarbons were rapidly flowing to the surface."

In its response, Transocean said BP made decisions that increased the chances that flammable gas would come flowing out of the well. It also failed to run a common test on the integrity of the cement or to employ a "lockdown sleeve" that would have helped contain the eventual blowout, it said.

@highlight

NEW: Halliburton says BP's report has "substantial omissions and inaccuracies"

@highlight

Report lays much of the blame on contractors Halliburton and Transocean

@highlight

BP says its own team "incorrectly accepted" test results

@highlight

Previous testimony pointed fingers at BP well design