(CNN) -- Navigating a narrow channel through the reef, our Zodiacs slide onto a crushed coral beach and we scramble onto Mature-vavao, an uninhabited atoll at the eastern edge of French Polynesia.

It's a gorgeous little island, shaded by thousands of coconut palms and encircled by bands of water that run a dozen different shades of blue.

Expedition leader Jack Grove thinks this might be the first time a cruise ship has ever visited the island and there's a good chance nobody has set foot on the atoll in 30 years.

The landing party turns left along the shore.

But I blaze my own path straight ahead to the lagoon that dominates the middle of the island.

Boobies, terns and other seabirds pay me scant attention.

Most have probably never seen a person.

Wading into the lagoon to cool off and spy on the tropical fish, I'm overcome by the sense I'm one of the few people who has ever set foot on this small patch of planet Earth.

It's as close as I'll ever come to the emotion that Neil Armstrong must have felt when he first set foot on the moon, or the rush that mariners like Magellan and Cook no doubt got when they came across terra incognita.

Discovering the remote

But that's what this cruise is all about.

A three-week journey between Easter Island and Tahiti, it calls on some of the world's most remote and least-visited islands.

Organized by Seattle-based Zegrahm Expeditions, the voyage includes gourmet cuisine, top-notch lecturers and a bartender who can make even the most obscure cocktails.

But the real reason that 60-odd passengers have paid five figures for this cruise is geographical bragging rights -- a chance to boast to friends and colleagues back home that you've hobnobbed with Fletcher Christian's kinfolk on Pitcairn, explored ancient Polynesian cave dwellings on Henderson Island and frolicked with manta rays off Hiva Oa before visiting Paul Gauguin's grave on the same secluded island.

You know a cruise is something special when your fellow passengers include renowned marine archeologist Jim Delgado and best-selling author and shipwreck detective Clive Cussler.

Even for men like these, with all the adventures already under their belts, the voyage is unique.

We're three days out from Easter Island before land is spotted again -- uninhabited Ducie Island, a small atoll in what really is the middle of nowhere.

Tumbling into the water, I explore the reef with Jack Grove, one of Zegrahm's founders and a veteran marine biologist.

Grove wants to show us something he found 25 years ago -- three rusty anchors -- all that remains of the mail ship "Acadia," which ran aground on Ducie in 1881.

An incredible array of sea life floats around the wreck -- Moorish idols, butterflies, turquoise parrots and white tip reef sharks that warily watch us from afar.

Island stops

The following day we land on Henderson Island, an uplifted coral block that resembles a huge white table that's emerged from the ocean.

Other than odd geology, the island's claim to fame is the real-life "Moby-Dick."

When the American whaler "Essex" was rammed and sunk by a sperm whale in 1820, this is where the survivors took refuge. (No, their captain wasn't named Ahab.)

But those shipwrecked whalers weren't the first residents.

I follow expedition anthropologist Campbell up a cliff face and into a cave where there's evidence of long-ago human occupation -- a fire pit and stone scraping tool.

"We don't know for sure," says Campbell, "because nobody was around to record their history, but we think a small Polynesian colony existed here more than 500 years ago."

Pitcairn is the first populated island we come across in nearly a week.

And it's just barely inhabited -- roughly 50 people, nearly all of them related to Fletcher Christian and other "Bounty" mutineers.

It's a strange little corner of the British Empire, with a long and sometimes dark history.

The only way to land on Pitcairn is literally surfing 12-foot waves into the tiny, jetty-enclosed harbor.

From there it's an uphill climb to Adamstown, the only settlement, where the residents greet us with a fish-and-chips lunch, cold beer and open-air craft stalls hawking Pitcairn flags, postage stamps, organic honey and "Bounty" replicas -- one of the islanders' only means of making foreign exchange.

One of those I meet at lunch is seventh generation Pitcairn resident Andrew Christian, who invites me to hop on the back of his ATV for a spin around the steep volcanic isle.

Covered in tattoos and body piercings, he seems every bit as roguish as his mutinous ancestor.

Like most everyone on the island, Christian is a jack of several trades: DJ and photographer, government warehouse supervisor and cemetery caretaker, black pearl jewelry artist and website creator.

His mountaintop home looks out over the vast Pacific, both an inspiring view and a constant reminder of how isolated Pitcairn remains even in the 21st century.

Spear throwing and octopi

From Pitcairn we sail north towards the Marquesas Islands, calling on several isolated atolls along the eastern edge of French Polynesia.

The residents of Puka Rua entertain us with a spear-throwing contest and a demonstration of barehanded octopus fishing.

In the tiny Catholic church on Puka Puka -- the first island that Magellan spotted on his trans-Pacific passage -- local Jim Galindo spontaneously bursts into a Latin hymn he remembers from his choir boy days.

The fabled Marquesas finally come into view near the end of our second week at sea. Like something out of "King Kong," towering volcanic pillars and jungle-shrouded cliffs mark the entrance to the Bay of Virgins on Fatu Hiva island.

Rising behind the shore are cloud-shrouded heights that look as if they just might harbor giant apes or some other mystical creature.

But the most menacing thing we encounter hiking into the Fatu Hiva highlands is a pond full of spotted, foot-long eels.

Grove tries to catch one with his bare hands, but they're far too slippery.

Further up the trail we come across the remains of three old marae -- shrines made from dark volcanic stones and now almost hidden by the jungle.

This spot was somehow sacred to the ancient Polynesians who built these temples.

Perhaps they thought their gods lived up here or maybe it was the splendid isolation.

We explore even higher, bushwhacking our way with machetes to the base of a colossal cliff laced with veil-thin waterfalls.

Nearby is a natural rock pool that offers liquid relief from the sweaty uphill climb.

Nobody, not even Grove, has been here before or even knew it existed.

Lying on my back in the water, staring up at the misty volcanic peaks, I find myself wondering yet again how many human beings have ever been here.

Zegrahm Expeditions offers its Easter Island-Tahiti cruise once per year, with rates from $11,970 per person.

Joe Yogerst is a freelance travel, business and entertainment writer based in California.

@highlight

Three-week journey from Easter Island to Tahiti stops at remote French Polynesian islands

@highlight

Henderson Island's claim to fame is the real-life "Moby-Dick"

@highlight

The only way to land on Pitcairn is to surf 12-foot waves into the tiny, jetty-enclosed harbor