Washington (CNN) -- A bipartisan group of senators on Monday introduced a plan for overhauling U.S. immigration policy a day before President Barack Obama was to lay out his plan.

The eight senators say their plan will secure the border and provide a path to citizenship some undocumented immigrants already in the country.

Critics say the citizenship component is granting amnesty for those who entered the country illegally.

Immigration plan: A new era of bipartisanship or a political necessity?

Here are some frequently asked questions on immigration reform:

Q: What's behind this latest immigration reform plan?

A: The new push for immigration reform follows devastating poll results for Republican presidential nominee Mitt Romney, who in November won just 27% of the Latino vote. That's down from 44% for President George W. Bush in 2004 and 31% for Sen. John McCain four years ago.

The dramatic slide jolted key Republicans to act quickly on the complex and emotional issue that has divided the parties for years.

Republicans long have argued that Latino voters, many of whom are Catholic and pro-life, would find a home in the GOP if not for the harsh rhetoric some Republicans use to debate illegal immigration.

Democrats also are under pressure to reach a deal. Many Latino voters were disappointed that President Barack Obama didn't work harder in his first term to pass a bill. Immediately after his election, Latino leaders pushed the president to make sure it would be a priority for his second term.

As a signal of how important the issue is for Senate Democrats, Senate Majority Leader Harry Reid announced last week an immigration reform bill would be labeled S-1, meaning it's Senate bill No. 1 of the new Congress -- and clearly a top priority.

Why this time?

Q: Why did the senators announce their plan the day before Obama was to present his?

A: The senators decided to unveil their plan ahead of the president in order to give their proposal -- and the entire reform effort -- a bipartisan tone, something they believe is critical to winning passage in the Senate and House, according to sources familiar with the bipartisan Senate framework.

In fact, at a private White House meeting Friday, some senior Democratic members of the Congressional Hispanic Caucus pushed the White House to hold off introducing its own legislative language out of fear that the specifics, as spelled out by a Democratic president, could upset the delicate bipartisan balance the negotiators had reached.

Why the time may be right

Q: Will there be enough support in the House for this plan?

A: It's unclear because many House conservatives have opposed allowing undocumented workers an opportunity to gain U.S. citizenship. This controversial issue could prove to be a real test for House Speaker John Boehner's leadership because it splits the House Republican conference.

If the Senate is able to pass a bill, the speaker could again be faced with a decision whether to bring up a measure that has significant Democratic support but potentially only a minority within his own ranks. Or Boehner could decide to move a separate House immigration plan.

Boehner was noncommittal when the details of the Senate were unveiled. His spokesman put out a brief statement not taking a position, but pointing out Florida Republican Sen. Marco Rubio, who is popular with conservatives, was part of the group drafting the plan.

"The speaker welcomes the work of leaders like Senator Rubio on this issue, and is looking forward to learning more about the proposal in the coming days," Boehner spokesman Michael Steel told CNN.

There are also bipartisan discussions going on in the House on immigration, but one Democratic aide familiar with the discussions told CNN of that effort, "It's not quite ripe yet."

But in a speech last week, Boehner signaled the House would act, saying, "It's time to deal with it. I said it the day after the election, I meant it. We're going to have to deal with it."

Boehner also alluded to the House bipartisan talks, not giving any details, but saying the group was "in my view the right group of members." He also added, "My theory was if these folks can work this out it would be a big step in the right direction."

But already, some House Republicans are dismissing the most controversial piece of the Senate plan to allow a path to citizenship as "amnesty" illustrating the challenge to get a deal through the House.

Texas Republican Rep. Lamar Smith put out a statement on Monday arguing "by granting amnesty, the Senate proposal actually compounds the problem by encouraging more illegal immigration."

By the numbers: Immigration and naturalization

Q: Could any of the Senate plan be a starting point for compromise with the House?

A: Many House Republicans have called for strengthening border security, and insist that issue be the top priority before any steps are taken to grant citizenship to those in the United States illegally.

But the bipartisan immigration framework from the Senate ties the two issues together to attract support from both parties.

If House Republicans attempt to separate these it could up jeopardize the chance for comprehensive immigration reform.

The new Senate framework also includes a component that the GOP-led House already addressed last year -- it awards green cards for those foreigners at U.S. universities studying science, technology, engineering and mathematics, to encourage them to stay and work in the United States.

House Republicans passed a bill establishing so-called "STEM" visas last fall, but it was largely opposed by Democrats because it canceled another visa program.

@highlight

Push to get immigration reform through Congress shows power of Latino vote in last election

@highlight

Reid says immigration reform bill would be labeled S-1, the Senate's first bill in the new Congress

@highlight

Senators announced their bill ahead of Obama to try to convey a bipartisan tone to their effort

@highlight

Outlook in the House is iffy -- some conservatives don't agree with path to citizenship