(CNN) -- A year after the Fukushima Daiichi nuclear disaster in Japan, the U.S. Nuclear Regulatory Commission is at a crossroads. Many of the agency's proposals to ensure such a calamity doesn't happen here are good in principle, but their effectiveness will depend on how well they are executed and how quickly.

It took 10 years for the agency to fully implement security upgrades made necessary by the 9/11 terrorist attacks, and it will take at least five years to institute changes in response to Fukushima, whose anniversary is March 11. In the meantime, the nuclear industry is getting out ahead of the NRC by launching a voluntary program that might not adequately protect the public.

What are the implications of Fukushima for the U.S. nuclear fleet? Immediately after the accident, some argued that U.S. reactors are not as vulnerable. But it became clear that Japanese reactors and those in the United States are similar in many ways.

For example, the General Electric Mark I reactors at Fukushima, like the 23 Mark I reactors in the United States, had hardened vents to release heat and relieve pressure from their containment buildings during an accident. But the vents won't work without electric power.

The Fukushima and U.S. reactors also lack control-room instruments that would monitor spent fuel pool water levels and temperature. And U.S. plant owners' plans for managing emergencies probably would not have worked any better than those at Fukushima.

Last summer, an NRC task force reviewed the Fukushima accident and came up with a dozen recommendations to reduce U.S. reactor vulnerability. The NRC agreed to implement some of the proposals in the near future, but relegated the task force's top recommendation to the back burner.

That top recommendation called for the NRC to clarify its "patchwork" regulatory framework for events that reactors are not intended to withstand, such as the earthquake-tsunami combination that overwhelmed Fukushima -- an event termed "beyond-design-basis."

It would make the most sense for the agency to address this key issue first. By relegating it to last, the agency complicated how it will address other recommendations.

For example, the task force said that the NRC should require plant owners to put measures into place to help workers cope with a loss of electric power and its on-site emergency backups, called a station blackout. The precedent comes from the NRC's post-9/11 requirement that plant owners install portable diesel-fueled pumps and generators to protect their facilities from a prolonged station blackout caused by an aircraft attack.

But because the NRC defines an aircraft attack as a beyond-design-basis event, it did not require that this equipment meet high quality and reliability standards, or be hardened to withstand other potential threats, such as natural disasters. Indeed, post-Fukushima inspections have confirmed that some of the equipment at many plants would not survive earthquakes or floods.

While the NRC deliberates, the nuclear industry has stepped into the breach with the "Diverse and Flexible Coping Capability" program, or FLEX, designed as the foundation of its Fukushima response. Under FLEX, plant owners are supplementing and relocating the post-9/11 equipment, ostensibly to better respond to severe natural disasters. Plant owners are dispersing it on and near reactor sites but don't plan to upgrade it to resist natural disasters. The industry is banking that enough equipment will be around so that some of it would be available in a catastrophe.

The NRC proposed that plant owners provide reasonable protection for emergency equipment, but did not define how to meet this requirement. In the meantime, plant owners have purchased more than 300 pieces of FLEX equipment without waiting for NRC guidelines, which will make it difficult for the agency to later institute standards that could force the industry to replace the equipment.

Last July, the Union of Concerned Scientists released recommendations for strengthening reactor safeguards. The NRC staff initially selected three of these recommendations --enlarging emergency evacuation zones, expanding potassium iodide distribution, and accelerating the transfer of spent fuel from pools to dry casks -- for further evaluation. A few months later, however, the agency decided that its established approach in each area is adequate.

Adequate? Hardly. For instance, the NRC justifies its one-size-fits-all, 10-mile-radius emergency evacuation zone by arguing that evacuations could be expanded in a serious accident. But the agency has yet to explain how that would happen and will not be taking up this issue until a later date.

The NRC is downplaying its task force's most important recommendation and potentially undermining efforts to improve U.S. reactor safety. The agency is not adequately addressing deficiencies in its emergency evacuation planning and spent fuel storage standards. All the while, the nuclear industry is outpacing the agency with a low-budget, voluntary and potentially ineffective plan.

For the 116 million Americans who live within 50 miles of a nuclear plant, that's cold comfort.

Join us at Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Writers: A year after Fukushima, the NRC is dragging heels on reactor safety proposals

@highlight

NRC has taken up some of its task force recommendations, they say, but not the top one

@highlight

They say the agency ignores its inadequate evacuation and spent fuel storage plans

@highlight

Writers: The nuclear industry is filling the gap with a low-budget, potentially ineffective plan