Lima, Peru (CNN) -- For the last 15 years, Victoria Vigo has been trying to find the truth about her infertility. After her third child was born dead, the 49-year-old leadership skills instructor who lives in Lima, the Peruvian capital, was never able to conceive again.

Three months after losing her child, a doctor confirmed her worst fears: her tubes had been tied without her knowledge or consent. "I felt mutilated. That's the truth. My rights as a mother and woman were violated," Vigo said.

Vigo is not the only woman in Peru who was sterilized in the nineties during the government of President Alberto Fujimori. Human rights organizations say there are more than 2,000 documented cases of women who had their tubes tied without their consent.

Nobody really knows how many women were forcibly sterilized throughout Peru, but Victor Cubas, the special prosecutor who reopened the investigation in October, says that the number is in the thousands.

"The Peruvian attorney general's office has knowledge of about 2,000 women (in this situation), but cases of forced sterilization based on the number of people (who participated in the campaign) could undoubtedly be larger at the national level. There are many women who I'm sure haven't reported this and therefore their cases are not yet documented," Cubas said.

All inquiries about the sterilizations were shelved in 2009 and it was not until late October when Cubas was tapped to reopen the investigation by the new government of President Ollanta Humala.

Rossy Salazar, a human rights attorney at Demus, a women's rights organization in Peru, also says there could be many more cases. "What happened was that [the government] instituted a policy of quotas, in a way forcing and giving incentives to doctors, gynecologists and nurses to sterilize a minimum of three women every month," Salazar says.

Both government officials and human rights organizations agree that about 300,000 women throughout Peru participated in a birth control campaign during the nineties. The campaign involved several methods including what Peruvian officials call "voluntary contraceptive surgery" or tying of the Fallopian Tubes.

But Salazar says that this particular method was used in women in rural Peru, especially those who spoke no Spanish, without their knowledge and sometimes by force.

In a documentary made by the Latin American and Caribbean Committee for the Defense of Women Rights several women testify that they were sterilized by force or coerced.

In her native Quechua tongue, an unidentified woman says she was taken by force to a clinic where she was sterilized in spite of her objections. Another woman says she and her husband were coerced to sign a consent form for sterilization.

Marino Costa Bauer was the Peruvian health minister between 1996 and 1998. He denied any wrongdoing when he testified before the Peruvian Congress in the late nineties. And he denied it again, in a recent interview at his Lima office.

But Costa Bauer admits the campaign could've been have been executed better. "Of course there were problems," Costa Bauer said. "I'm not going to deny it. I have never denied that there were problems. But what did we do about it? First, we investigated all of the accusations that were filed; absolutely all of them without exception."

Costa Bauer categorically denies that the government was targeting poor, indigenous women in rural communities. "There was never any order or instruction from my office favoring one method over another; much less did we ever provide incentives for that to happen," the former health minister said.

So far Victoria Vigo is the only woman in Peru that has won a case of forced sterilization. After a seven-year trial, she was compensated $2,750, but her doctor didn't serve time in prison.

She's now trying to prove that her doctor was acting on government orders and that it was all part of a campaign to deceive women, especially the most vulnerable. "As a woman, I feel indignant and that's why 15 years ago I said no woman should remain silent when her body has been violated," Vigo said.

It has been more than a decade since those believed to be responsible for the forced sterilizations left office. For women like Victoria Vigo, the reopening of the probe is the first hope in years that justice may be within reach.

@highlight

Nobody really knows how many women were forcibly sterilized throughout Peru

@highlight

The investigation was reopened in October

@highlight

"I felt mutilated," said a mother who has won a court case