Istanbul, Turkey (CNN) -- Turkey's government made an emotional plea Wednesday to hundreds of hunger-striking Kurdish prisoners -- some who haven't eaten in more than a month -- to end their protest.

Justice Minister Sadullah Ergin made the televised appeal Wednesday during a visit to Sincan prison in the Turkish capital.

"I am telling the prisoners and detainees who are on this action: On the eve of this holiday, for the sake of your own body, your own health, the people who love you and whom you love, stop this action," the minister said.

The holiday Ergin is referring to is the Islamic "Feast of the Sacrifice" or Kurban Bayrami, which will be observed in Turkey starting Thursday. It's the celebration that marks the end of Hajj, the annual Muslim pilgrimage to the holy city of Mecca.

The justice minister said at least 680 prisoners are currently on a hunger strike in prisons across the country, but Turkey's Human Rights Association, which closely follows the country's long-simmering Kurdish conflict, said 715 inmates are striking in 48 prisons. Some of the protesters have been without food for 43 days, and there are fears about their deteriorating condition.

"Their health is in bad condition," said Gonul Sonbahar, a member of the Human Rights Association's Prison Commission, in a phone interview with CNN.

"Some of their symptoms include vertigo, trouble walking, violent headaches, bruising on fingers and eyes, nausea, nose bleeds, trouble swallowing water, blood in stool," she added.

Sonbahar said the protesters had three main demands: the release of imprisoned Kurdish rebel leader Abdullah Ocalan, the right to Kurdish language education and the use of Kurdish in Turkish courts.

Ocalan is one of the founders of the Kurdistan Workers Party, or PKK, which has waged a 30-year guerrilla war against the Turkish state. Though he has been in a Turkish prison on an island in the Marmara Sea since his capture in 1999, PKK fighters have continued their war against the Turkish government.

Throughout the long conflict, which has claimed more than 30,000 lives, the PKK has modified its goals from demanding a separate Kurdish state to fighting for the expansion of Kurdish cultural and linguistic rights, as well as the release of Ocalan.

For decades, the Turkish state discriminated against the Kurds, Turkey's largest ethnic minority, which now makes up roughly 20% of the population. The Kurdish language was banned, and Kurds were long referred to as "mountain Turks."

During Turkish Prime Minister Recep Tayyip Erdogan's 10 years in power, the government has made historic outreaches to the long-oppressed population, an effort that included secret talks with PKK leaders in 2005.

Erdogan's Justice and Development Party, or AKP, also made a number of overtures toward the Kurds, relaxing bans on Kurdish language education, appearing to apologize for past discriminatory policies and launching a state Kurdish-language TV station.

But PKK-related violence has spiked recently, reaching death tolls unseen in more than 13 years, according to a report published by the International Crisis Group, a non-profit conflict mediation organization.

The ICG argues Turkey's arrest and detention of more than 7,000 Kurdish activists over the past several years has contributed to the radicalization of some.

Erdogan "actually did more for the Kurds than anyone up until now," said Hugh Pope, senior Turkey analyst with the ICG, in a CNN interview last month. "(But) when a wave of massive arrests of legitimate Kurdish politicians began, that's when I think young people especially lost hope and the PKK's arguments for the legitimacy of armed struggle became persuasive to them."

In his appearance before journalists at Sincan prison, Ergin tried to draw attention to previous reform efforts.

"There has been progress in Turkey for a long time on expanding democratic rights," the justice minister said, adding that the government had made a pledge to try to allow the use of Kurdish language in Turkish courts.

Ergin did not address the demand for Ocalan's release.

Sonbahar of the Human Rights Association told CNN the hunger-striking prisoners were determined to continue their protest, even if it results in illness or worse.

"This is a perpetual and irrevocable hunger strike," she said.

@highlight

A Turkish human rights group says some of the prisoners haven't eaten in 43 days

@highlight

The justice minister asked the hunger-strikers to stop their action

@highlight

Erdogan's government has made overtures to the Kurdish population