(CNN)On Mondays, the Denver Kush Club in Colorado runs a special on various strains of recreational marijuana. Customers can score an eighth of an ounce of premium weed for the same price they'd normally pay for a lower-grade, then take it home and use it, just for fun.

On any given Monday in Texas, possessing an eighth of an ounce of any grade marijuana is a misdemeanor that can land you in prison for up to 180 days. It carries a fine of up to $2,000. Possessing more than 2 ounces means an even harsher punishment.

The two states illustrate a nation divided by the legalization of marijuana. Last year, a CNN/ORC International survey found 55% of those polled supported legalization; 44% opposed it.

On January 1, Colorado celebrated its first anniversary of legal recreational marijuana sales. Washington state has allowed the sale of recreational weed since June 1, 2014. Oregon and Alaska will join them in 2016.

Voters in the nation's capital have also approved a recreational marijuana initiative, but the law is still pending congressional approval.

Twenty-seven states and the District of Columbia have either legalized medical marijuana or decriminalized marijuana possession -- or both. Yet Texas is one of 23 states that still prohibits cannabis outright.

How did we get here?

In 1970, Congress passed the Controlled Substances Act, which listed marijuana as a Schedule I drug. Since then, it has been illegal to manufacture, distribute or possess marijuana in the United States, according to the federal government.

However in August 2013, the U.S. Justice Department said it wouldn't challenge Colorado or other states with laws legalizing recreational marijuana. Instead, federal officials decided to focus on stopping drug trafficking and keeping marijuana away from children.

In other words, states are effectively free to ignore the federal ban. So what happens if you're caught with marijuana varies on where you are. Private possession of up to 1 ounce carries no penalty in Colorado, and growing up to six marijuana plants (with no more than three being mature) at home is perfectly legal for someone 21 or older.

Washington state permits adults to possess up to 1 ounce of cannabis, and/or up to 16 ounces of marijuana-infused solid products and 72 ounces of marijuana-infused liquid products for their own private, personal use. Using marijuana in public is still a civil violation and subject to a fine.

Similar to Washington and Colorado, the Oregon and Alaska laws will also create a commercial regulatory system for the production, distribution and sale of marijuana.

D.C.'s proposal, while more reserved than others, allows for people 21 or older to possess up to 2 ounces of marijuana for personal use and grow up to six cannabis plants in their home. Yet Congress has authority over the city's finances, so tucked into the recent spending bill is a provision that bars the District from using any of its own money or federal funds to regulate the use of pot.

As previously mentioned, many states have decriminalized marijuana; it is still against federal law, but generally speaking, you won't get prison time or a criminal record on first offenses for carrying small amounts for personal use. You can still be hit with a civil fine, similar to a minor traffic violation.

These relaxed laws have pro-marijuana legalization activists enthused. Many are already looking toward 2016, when ballot initiatives in California, Massachusetts, Maine, Nevada and Arizona other states are likely to be put to voters.

Movement on the medical front

In August 2013, CNN's Dr. Sanjay Gupta wrote an editorial, "Why I changed my mind on weed." In it, he detailed the reasons he believes marijuana should not be listed as a Schedule I drug. "It doesn't have a high potential for abuse, and there are very legitimate medical applications," he wrote.

Marijuana contains two main active ingredients: cannabidiol, or CBD, and tetrahydrocannabinol, or THC. The touted health benefits of these ingredients range from pain relief to seizure control.

While the Drug Enforcement Agency has not made a change in its classification, many medical organizations have called for restrictions on research to be loosened. We need to know, they seem to be collectively saying, whether cannabis is more helpful or harmful.

Most recently, the American Academy of Neurology released a position paper (PDF) in support of "efforts to conduct rigorous research to evaluate the long-term safety and effectiveness of marijuana-based products."

"Further research is needed to determine the benefits and safety of such products," the authors wrote. "This is of paramount importance when marijuana-based products are used in patients with underlying neurologic disorders, or in children whose developing brains may be more vulnerable to the toxic effects of marijuana."

As restrictions loosen, the evidence for the legalization of medicinal marijuana is growing. A study published in August in JAMA Internal Medicine found that states that have legalized marijuana for managing chronic pain have significantly fewer deaths from prescription painkiller overdoses each year.

Still, research on the long-term effects of marijuana use is limited.

A study published in September in The Lancet showed teens who use marijuana daily before age 17 are more than 60% less likely to get their high school diploma than those who've never used pot. Daily adolescent users were 18 times more likely to become dependent on marijuana, seven times more likely to attempt suicide and eight times more likely to use other illegal drugs in the future.

But is that because of their marijuana use? Or are other factors at play?

Another study found that compared to nonusers, teens who smoked marijuana have less gray matter in their orbitofrontal cortexes -- the area of the brain that helps you make decisions. Researchers have also found that the reward center in the brains of 18 to 25 year olds who smoke marijuana at least once a week is different than the reward center in those who have no history of cannabis use.

Yet some studies suggest the long-term effects may not be as damaging as this research suggests. A small study of 110 adults published recently in the Proceedings of the National Academy of Sciences journal found that while chronic marijuana users may have less gray matter, the connectivity channels in their brain are stronger, which could allow them to compensate, the study authors say.

Many believe that as marijuana laws across the country continue to change, so too will the medical community's opinion.

@highlight

Only four states have legalized recreational marijuana use

@highlight

Twenty-seven states and D.C. have legalized medical marijuana use and/or decriminalized possession