(CNN) -- Michael Dunn will stand trial for the shooting of Jordan Davis -- again.

When a Jacksonville jury failed to reach a verdict on the first-degree murder charge last February, they gave Florida State Attorney Angela Corey the opportunity for a do-over, and she's taking it.

Jury selection for the retrial begins September 22.

It was Angela Corey's prosecutors that I faced as a defense lawyer during the George Zimmerman trial last year -- a case with social themes echoed by the Dunn trial.

While the first jury hung on the murder charge involving Davis' death, they did hand down a guilty verdict on three counts of attempted second-degree murder in the firing of shots at Davis' companions. The minimum mandatory sentence will be 60 years, which, for a 47-year-old man, is a life sentence. So if Michael Dunn, who had complained about the volume of music coming from Davis' SUV, is already sentenced to life in prison, why bother with another trial?

Because it's the prosecutor's prerogative. We've charged prosecutors with the authority to look at cases and to prosecute those they believe can result in a conviction, based upon the facts and the applicable law. We expect prosecutors to move forward with all viable cases, not just the ones they like. In that sense, if Angela Corey feels her case is strong enough to get a conviction, pursuing the case is not just her right; it's her obligation.

To a prosecutor, a hung jury could be a signal that a case is still winnable, or that, having put on their best case, they couldn't convince a jury of the defendant's guilt beyond a reasonable doubt. If the prosecutors have taken the time to polish and focus their witnesses' testimony, or reframe opening and closing arguments, or adjust the presentation of evidence (and they will certainly do all of these things), then they may get a different result. Perhaps the real message the hung jury sent was "try harder."

Angela Corey, as an elected official, may have other motivations for moving forward with a retrial. The Dunn case unquestionably has social and political overtones as it is one of several recent cases where a young, unarmed black man has been killed. For many, the Dunn case raises civil rights issues -- and some feel a decisive verdict in this case will have broader implications.

Retrial: Did Michael Dunn kill Jordan Davis out of fear? Or loud music?

And if Corey is politically motivated in retrying the Dunn case, it will not be the first time, in my view. Corey's decision to waive a grand jury and charge George Zimmerman with second-degree murder during an election year was politically expedient -- especially by a politician who wanted to placate her black constituents. But she promised a conviction she could never deliver.

A victory in the Dunn case would give Corey a chance to rehabilitate her image with constituents who actively call for her resignation -- especially in light of allegations that she disproportionately overcharges African American defendants (notably her aggressive handling of the Cristian Fernandez and Marissa Alexander cases). An acquittal would also have impact.

But the jury -- if it's a fair and impartial jury -- won't concern themselves with the politics of the case. They'll be asked to render a verdict based upon only the evidence presented in court, and they'll be asked to set aside other factors, such as the broader social considerations. They will have one job: to determine whether the state proves, beyond a reasonable doubt, that Michael Dunn did not have reasonable fear of imminent great bodily harm when he fired the shots that took Jordan Davis' life.

Essentially, the trial will be asking the jury to peer into Michael Dunn's heart and determine if they see hatred or if they see fear. Hatred yields a conviction; fear justifies an acquittal.

I don't know what they'll find, but here's what I hope: I hope Michael Dunn gets a fair trial. I hope there is an impartial jury. If there is a conviction, I hope Jordan Davis' family can find some closure. If there is an acquittal, I hope it is not interpreted as a blow to civil rights.

No matter what the verdict, I know it will rekindle a national conversation about race, guns, and self-defense -- a conversation that started with the Zimmerman case and rages on in the wake of the Michael Brown shooting in Ferguson, Missouri.

My fear is that we place so much significance on a particular case that we base all our hopes on a certain outcome. Not getting the desired result then causes a natural recoil away from speaking about the underlying, more significant issues of the undeniable racial divide that still exists like a virus in our country.

My hope is that, regardless of the verdict in Dunn, and regardless of the result in Ferguson, we can find a way to augment a constructive conversation about the true nature of America's racial divide, a conversation that gives us the courage and understanding to do something about it together. Fault does not rest solely on one side of the divide or the other; rather, it is a national problem, and will only be resolved if we face it, and conquer it, as a nation.

@highlight

Michael Dunn is being retried on murder charges after conviction on attempted murder

@highlight

Mark O'Mara says prosecutors have the leeway to seek retrial after a hung jury

@highlight

He says he hopes that the trial will be fair and that it not become a political football

@highlight

O'Mara: Whatever happens, America needs to have a serious conversation about race