(CNN) -- As of February, more U.S. adults own smartphones than simpler feature phones, according to new research from the Pew Internet and American Life Project.

Well, to be more specific: In answering questions from Pew, 45% of cell phone owners said that their phone is a smartphone. Also, 49% of cell phone owners said that their phone operates on a smartphone platform common to the U.S. -- which includes BlackBerry.

According to Pew: "Taken together, just over half of cell owners (53%) said yes to one or both of these questions."

Here's how it breaks down, by platform: 20% of U.S. cell phone owners currently have an Android phone. For iPhone, 19%. BlackBerry, 6% (a 10% drop since as recently as May 2011).

Since May (the last time Pew gathered these statistics), the biggest growth in smartphone ownership was among adults aged 18 to 24 (up 18%); the next highest growth was among those aged 45 to 54 (16%). Other demographic segments with high growth in smartphone use include whites (15%); those with some college education (14%); and women, rural dwellers and those aged 25-34 (13% each).

In terms of income, the highest overall growth in smartphone use occurred in the lowest income bracket: 12% growth among people from households earning $30,000 per year or less. Nevertheless, across all age ranges, people from low-income households or who never attended college are still significantly less likely to own a smartphone.

The slowest growth in smartphone use was among people aged 65 and over (up only 2%). Also, smartphone use grew only 5% among blacks and Hispanics -- two groups that typically have demonstrated the greatest propensity to avidly use all the capabilities of a smartphone.

In the bigger picture, according to Pew, 88% of all U.S. adults now own a cell phone and 46% of all American adults now use smartphones. Currently, 41% of U.S. adults use simpler "feature phones" -- which often include a Web browser, e-mail, photo and video camera, and the ability to run simple apps.

Do most consumers really know whether their phone is a smartphone?

Over a year ago, I did some local mobile market research (to gauge mobile preferences here in Oakland, California). At that time, I was surprised how many people were unsure whether or not they had a smartphone.

Many assumed that if their phone had a Web browser, it was a smartphone -- and similarly, many users of simple BlackBerry devices did not consider them to be smartphones. Earlier Pew research indicated similar consumer confusion about smartphones.

But by now, more U.S. cell phone owners appear to have this question sorted out.

According to Pew: "As smartphone ownership has become more widespread over the last year, consumers have generally found it easier to answer questions about their phones and whether they own a smartphone or not. To be sure, there is still some confusion around this term as 8% of cell owners are still not sure if their phone is a smartphone.

"However, this is a significant decrease from the 14% of cell owners who were not sure if their phone was a smartphone or not in May 2011. Similarly, the proportion of cell owners who volunteered that they don't know what type of phone they have fell from 13% of cell owners in May 2011 to just 4% of cell owners in February 2012."

Of course, different sources of statistics view the smartphone/feature phone market split a bit differently. Data from comScore (which tracks the U.S. wireless market monthly) indicate that it won't be until later in 2012 that smartphones will start to comprise the majority of U.S. handsets in use.

What does this halfway mark in the U.S. mobile market mean? Maybe not so much, for many people.

Certainly, more people will have devices that technically are considered smartphones -- but people with lower incomes and educational attainment will tend to lag on getting smartphones.

Also, not all smartphones are created equal. The low-cost Android market (particularly Android phones that can be obtained for less than $200 on no-contract plans) generally have slower processors, are running older versions of the Android operating system (which may not support popular apps) and often are harder to use or more cheaply made. As the Ice Cream Sandwich operating system becomes the norm for higher-end Android devices this year, you can bet that many people with cheap Android phones will still be running Gingerbread, unable to upgrade.

Plus, in my experience, Android phones are especially prone to cryptic, hard-to-fix technical problems -- and tech support from carriers and manufacturers is practically worthless. If you're not comfortable with combing through user forums and trying fairly technical solutions, chances are you'll just have to give up and get a new phone in a year or less.

I'm serious: the notorious contacts storage bug that plagues many HTC Android phones would have rendered my Droid Incredible completely useless last summer, had I not decided to root my phone and install a different version of Android called CyanogenMod7. Diagnosing that problem, trying different fixes and, eventually, taking a radical solution entailed a fair amount of research and work.

I thrive on that kind of challenge -- but I can't imagine most consumers doing likewise.

Finally, there's the learning curve. Smartphones are really hand-held computers that also happen to be able to make phone calls. Even the pricey, slick, user-friendly iPhone has a considerable learning curve, if you've never had a smartphone before. Most users of any kind of smartphone do not make use of most of what those devices can do. For many consumers, a smartphone will always be overkill.

Smartphones may be becoming the norm, but that doesn't mean their benefits are evenly distributed.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Survey says "just over half of cell owners" have smartphone or use smartphone platform

@highlight

Biggest growth in smartphone ownership was among adults aged 18-24, survey says

@highlight

It says highest growth in smartphone use occurred in the lowest income bracket

@highlight

Amy Gahran: Smartphones may be becoming norm, but benefits may not be spread evenly