(CNN) -- There's a lot to be said for determination. Two years ago, a contraption that looked a bit like a bouncy ball attached to a clothesline, took flight in a pioneering experiment in the German countryside.

A YouTube clip of a man flying the electric "Multicopter" attracted over 8 million hits, with comments ranging from: "AMAZING MACHINE!" to "Not sure you could pay me enough to sit in the middle of flying blenders bolted together."

Regardless, the three German engineers behind the baffling creation plowed ahead with their dream of making an electric helicopter. Last week it paid off.

There wasn't a bouncy ball in sight as the slick white "Volocopter" took to the air for the first time, quietly hovering 20 meters high, while its ecstatic creators cheered below.

Featuring 18 propellers on a lightweight carbon frame, the futuristic copter -- which has been around €4 million ($5.4 million) in the making -- could change the way we commute forever.

"What we're looking at now, is in the future where everyone is traveling not by car, but by some kind of aircraft," explained Stephan Wolf, co-chief executive of e-volo, the company behind the remarkable flying machine.

"Normal helicopters are very hard to fly. But we thought 'what if you could have a helicopter that is easy for the pilot to fly, and cheap compared to other aircraft?'"

Clever copter

Powered by a 100 kilogram battery, the two-passenger Volocopter can travel at least 70 kilometers per hour, recently making its first remote-controlled flight in a hanger in Karlsruhe, southwest Germany.

The chopper weighs just 300 kilograms in total. One limitation is that it currently only has enough power to fly for 20 minutes -- though designers are looking at ways of increasing this, or introducing a hybrid engine.

Many small rotors -- attached to a 10-meter wide circular frame -- also help the eco-friendly machine hover more easily than other helicopters.

"If you let the joystick go, the Volocopter will just hover in the current position, so there's nothing the pilot has to do," said Wolf.

"But if you do that in another helicopter it will crash immediately."

Reimagining the city

Indeed, the Volocopter's simplicity sets it apart from other helicopters, and its creators hope in the future commuters will be able to take their electric aircraft to work, instead of languishing in gridlocked cars below.

The European Union is already looking at ways personal aerial vehicles (PAVs) could revolutionize urban spaces. It might sound like a scene from the Jetsons, but a city where flying machines replace cars isn't as far off as it seems.

"The most helicopters in the world are in Sao Paulo, Brazil," explained Wolf. "They have several thousand movements per day because the streets are congested and everyone who can afford it is taking the helicopter to go from one building to the next.

"You can imagine this happening in a big city in Germany. And already we've been approached by several companies who'd like to do it, maybe with landing pads on buildings."

The team hopes to sell its first Volocopter by 2015, with each machine setting you back €250,000 ($338,000). They're now on the lookout for further funding to develop their unique design.

Think big

It's a long way from the first awkward-looking Multicopter test flight in 2011.

Even more impressive, considering Wolf himself was a computer software engineer for 25 years before turning his attention to futuristic flying machines -- "I was dreaming of building a helicopter since I was a child," he said.

Then there's the other e-volo founders -- Thomas Senkal, a former physicist, and Alexander Zosel, who managed a disco for almost 10 years, who also got on board the pioneering project.

"I think everyone wants to fly," said Wolf. "Helicopters are very expensive and people think maybe this is a way to be a pilot themselves.

"In 20 or 30 years from now there will be even more cities with millions more people living in them and transportation will be a big problem. Maybe you need to go up in the air to solve these problems."

@highlight

Introducing e-volo's Volocopter: multi-rotor electric helicopter makes maiden flight

@highlight

Eco-friendly machine powered by 100 kg battery, can travel 70kph

@highlight

Part of EU scheme looking at how personal aerial vehicles could replace cars

@highlight

Expected to be available by 2015, would cost around $338,000