(CNN) -- There's a whole world of people out there, and boy, are they pissed off.

The anonymity of the Internet encourages online ranting, from election-season tirades to mockery of celebrities.

On political blogs, the invective flies. Posters respond to the latest celebrity gossip with mockery or worse. Sports fans set up Web sites with names that begin with "fire," hoping coaches, athletic directors and sportscasters lose their jobs.

And though there are any number of bloggers and commenters who attempt to keep their postings and responses on a civil level, all too often interactive Web sites descend into ad hominem attacks, insults and plain old name-calling. Indeed, there are even whole sites devoted to venting, such as justrage.com (one screed there was titled, "I don't give a flying f***, so f*** you") and mybiggestcomplaint.com.

This is not a world Emily Post would want to be caught in after dark.

"The Internet can be a great tool," said Sara Black, a professor of health studies at St. Joseph's University who takes a particular interest in online bullying. "Like any tool, it can also be misused."  See examples of Internet anger »

One reason for the vitriol that emerges on the Web, experts say, is the anonymity the Internet provides. Commenters seldom use their real names, and even if they do, the chance for retaliation is slim.

"In the [pre-Internet era], you had to take ownership [of your remarks]. Now there's a perception of anonymity," said Lesley Withers, a professor of communication at Central Michigan University. "People think what they say won't have repercussions, and they don't think they have to soften their comments."

Contrast that with a face-to-face conversation, or even a phone conversation, where you can judge people's moods from facial movements or vocal inflections, observes University of Texas psychology professor Art Markman. iReport.com: Second Life avatars grapple with reduced nonverbal communication

"It's hard to be aggressive when you're face to face," he said.

Moreover, he points out, aggression often carries a subtext of power.

"A lot of times, real anger is an attempt to get control over a situation where the person doesn't usually have it," he said. In that respect, comments to blog posts are attempts to strike back.

Those power games are innately grasped by children and teens, with schools serving as a perennial social laboratory.

Cheryl Dellasega, a Penn State women's studies professor, ticks off hypothetical examples that could have come straight from the scripts to "Mean Girls" or "Heathers."

"Girls who are getting teased come home and let their [aggressors] have it by putting something on their blog and starting a rumor campaign," she said. And instead of rumors simply making the rounds among peer groups -- which can be bad enough -- "they go out to a much bigger group, a worldwide group. The impact is devastating, and it's as easy as clicking a button."

"Kids don't realize that one post can destroy somebody's life forever," she added.

Indeed, such incidents have made headlines. In 2006, 13-year-old Megan Meier committed suicide after becoming attracted to a boy on MySpace who then turned on her. The boy turned out to be a hoax created by a neighbor family that included a former friend of Meier's.

In August, The New York Times Magazine did a story about trolls, some barely out of their teens, who antagonize others for the sake of "lulz": "Lulz is watching someone lose their mind at their computer 2,000 miles away while you chat with friends and laugh," one ex-troll told the publication.

Adults aren't immune by any means. A Japanese woman, angry at her online "husband," killed his avatar after he divorced her. A South Korean actress committed suicide after being harassed by online rumors following a divorce. Celebrity gossip sites are full of snarky comments about stars; reaction from readers is often brutal, turning the story into the online equivalent of a pile-on.

Markman is quick to observe that he doesn't believe there's more anger out there. But, he said, "there are more ways of expressing it on the Internet."

"We've all had interactions with unpleasant people, but we don't confront them. We take it out elsewhere," he said. "What the Internet has created is groups of people where there are no repercussions with being too aggressive."

Indeed, though electronically transmitted anger has parallels throughout human history -- the bitter letter, the village gossip -- the speed at which it travels, and the number of people who may come in contact with it, is something new, says St. Joseph's Black.

"[Electronic] media can increase potential for violence in a number of ways," she said in an e-mail interview. "First, it introduces ideas (good and bad) that people may not have come up with on their own. Second, it is easier to depersonalize the victim, facilitating perpetration. Third, aggressive behaviors may be reinforced with points, attention or status, especially in games."

Withers has seen that first hand. She teaches a course on the "dark side of communication" at Central Michigan, involving "the mean or evil things we do on a day-to-day basis," as she describes it: cheating, for example, or lying.

As part of the course, several of her students work on a collaborative project with students at other schools, and they come together in Second Life, the virtual reality environment. If someone isn't pulling his or her weight, says Withers, others can be harsh in their judgments -- harsher than in real life, because the anger is expressed at the person's avatar. Sidebar: Dealing with anger in Second Life

Which led at least one of Withers' students to forget that the avatar was attached to a real person.

"One student went off on another student and she was sitting in the classroom a few rows behind him," she said. "He knew she was there, but didn't -- there was that distancing." iReport.com: Residents of virtual worlds deal with drama, stress

Is there a way to restore civility to the Internet? Among children and teenagers, say Dellasega and Black, it's up to parents to exercise control.

"I think parents need to take responsibility," Dellasega said. "They give kids computers and leave them alone. ... When a child is 8 or 9, the computer should be in a public place. Kids should understand that using a computer is a privilege, not a right."

Schools can also play a role, she says.

Black adds that parents should set clear rules on behavior and build empathy in their kids by having them reach out to those who are different.

As for adults, human nature dictates that people will always lash out at others, whether it's over a perceived insult or simply because of a power differential. Web sites may ban the worst offenders, but they'll almost always pop up elsewhere, using a different name, e-mail address or even computer.

"Some people are just bitter and angry," said psychiatrist Dr. Terry Eagan, medical director of the Moonview Sanctuary in Santa Monica, California. "Sometimes, they're against everyone, other times against a specific group. That person can get really stimulated and can say all sorts of horrible things. But I don't think it's not like they didn't exist before."

Whether the problem will get control of us, or we will get control of the problem, is in the way we face up to it, he says. Anger, he says, is rolled up with anxiety and fear, and nothing creates more fear like a lack of understanding.

"I tell patients that I'd rather know everything about people; information is powerful," he said. "When the climate of the world is more fear-based, it permeates everything."

@highlight

Blogs, commenters and whole Web sites are full of vitriol

@highlight

Anger is sharper on Internet as result of medium's anonymity, lack of retaliation

@highlight

Professor: "Kids don't realize that one post can destroy somebody's life forever"

@highlight

Parents can instill understanding in children; adults can better understand selves