(CNN) -- As a father of three, I felt Tricia Lammers' pain as she spoke about her son Blaec.

He is 22 years old and six feet tall, with a goatee. But like most mothers, she still sees her son as a little boy. When I visited her at her home in Bolivar, Missouri, she was delighted to show off her scrapbooks filled with pictures from his childhood.

She told me Blaec loved anything where he could use his hands. He played football, baseball and basketball and did karate. In ninth grade, she told me with pride, he aced his classes one term, and made the dean's list.

Every day when his father came home from work, Blaec was there, ready. The pair used to ride dirt bikes together. When the family had to sell the bikes to save some money, it crushed Blaec. He told me he would have done anything to spend a little more time with his father.

In fact, when Blaec bought two guns a couple of years later, his plan was to give one to his father for Christmas. It would be something else they could do together, he thought. But things didn't work out that way.

Blaec spent that Christmas in prison instead.

His parents told police Blaec had purchased two assault rifles at Walmart. They warned authorities he had been hospitalized several times while struggling with mental illness. Tricia Lammers believes that was her son's only crime.

He didn't shoot anyone or hurt anyone in any way.

And yet he is serving two concurrent 15-year prison sentences, in lockdown for 23 hours a day. He was convicted of first-degree assault and armed criminal action. He will spend the prime of his life in prison.

It's time to talk about mental health

Tricia and her husband, Bill, laid their lives bare in an unforgettable interview that left me stunned. They let me talk to Blaec's doctors to get a better understanding of Blaec's mindset and diagnoses. They also gave me permission to visit Blaec in the Jefferson City Correctional Center in Jefferson City, Missouri, the maximum security prison he now calls home, so I could ask all my questions and draw my own conclusions.

Blaec's story is really about the bizarre convergence between our prison system and our mental health system.

He was diagnosed with dyslexia as a kid and placed on the autism spectrum as a teenager. Around his junior year in high school, Blaec developed signs of a true personality disorder. He had trouble communicating with others, started to have trouble with his grades and developed a profound and painful loneliness.

My breath stuck in my throat when he described a semester where he hid away in a school bathroom every day to eat his lunch alone because he was shy, didn't have any friends and didn't know how to make them.

His parents took him to doctor after doctor, and within two years, he had nearly a dozen different psychiatric diagnoses and a handful of psychotropic medications to go along with them. Getting their son admitted and treated was the Lammers' goal, and given that Bill worked as the director of radiology at a local hospital, they thought it was an attainable one.

It proved nearly impossible.

The number of psychiatric beds has been on a steady decline over the last few decades, according to Treatment Advocacy Center. Back in 1960, there were 535,000 public psychiatric beds nationwide. When the Lammerses were trying to get their son help in 2010, there were 43,318 -- less than 10% compared with 50 years earlier.

Sharing experiences with mental illness can help

The couple looked into private camps, but the nearly $100,000 price tag was not within their reach.

"The mental health system is not fractured -- it is totally broken," Bill Lammers told me.

As we reported this story and talked to experts in psychiatry, criminal justice and law enforcement, the same questions came up again and again: Should people like Blaec Lammers be prisoners or patients? And how do you reasonably distinguish between the two?

When Tricia pleaded with the judge in January, he told her 70% of the people that stood in front of him suffered from mental illness. A review from the Bureau of Justice Statistics shows that startling statistic to be a national trend, particularly among younger inmates. In the United States, 70% of local jail inmates 24 and under have been diagnosed with mental health problems.

When police brought Blaec in for questioning about his gun purchase, the nation was in the aftermath of the 2012 Aurora, Colorado, movie theater shooting. Everyone was on high alert, anxious to prevent another awful tragedy.

During interrogation, Blaec admitted to buying a ticket to the movie "Twilight" and he admitted to having homicidal thoughts a few years earlier at the age of 16. That alone was enough to put him behind bars with a prosecution team convinced they had just prevented a massacre.

It was a sharp contrast to what his family and his doctors described to me.

Scientists link 60 genes to autism risk

His psychologist John Phillips describes Blaec as a model patient. He told me he never saw Blaec as a threat and said Blaec never got into a fight or tried to break the rules. He told me Blaec's autism made it difficult for him to connect with others, and he saw a boy desperate for love and attention.

His parents each told me they couldn't imagine Blaec ever hurting or killing anyone with the guns he purchased. According to a recent study in the journal Annals of Epidemiology, patients with mental illness are more likely to be victims of violence than perpetrators. And when they are violent, it is most often directed at themselves.

Blaec's psychiatrist Dr. H.J. Bains pointed out that unlike a patient with diabetes, Blaec will not get treatment for his illness in prison and will likely leave worse off than when he went in.

Near the end of my interview with Tricia Lammers, I realized there was another reason for her pain. She had been the one to alert the authorities about Blaec buying the guns. She found a receipt in his pocket and became worried.

She told me Blaec had asked her just days before if she felt he was a failure in life. She says it wasn't a mass homicide that concerned her but a lonely suicide.

We all worry about our kids, and we strive for their happiness, first and foremost. The Lammers family is no different, and in this case Bill and Tricia believe they failed their son.

His father wonders out loud if he should have spent more time with his boy and less time traveling. He wonders if there were signs he should have seen. He second-guesses his decision not to mortgage his home to pay for a special camp so many summers ago. He wonders if he should have kept those dirt bikes.

When I reminded him Blaec bought the guns as a present, with the hope he could one day spend more time with his father, Bill was at a loss for words.

CNN's Trisha Henry contributed to this report

@highlight

Blaec Lammers' parents turned him in to police after he bought 2 assault rifles

@highlight

His mom, Tricia, says mental illness is her son's only crime

@highlight

Blaec Lammers is serving two concurrent 15-year prison sentences