Diving 27 meters underwater, the light turns a deep, hazy blue. Emerging from the darkness, three ballerinas in white tutus stretch their legs on the deck of a sunken military ship.

It's not a ghostly apparition but one of a series of haunting photographs displayed in the only underwater gallery of its kind in the world.

The 12 sumptuous images of everyday scenes -- from a housewife hanging out washing to a teenager watching TV -- take place against the eerie backdrop of sunken ship USNS General Hoyt S.Vandenberg.

The 10,000 ton ship -- located off the coast of Florida -- functions as both the backdrop in these evocative photographs and, for a time, the gallery wall on which they're hung.

"Divers must have been checking their oxygen levels to make sure they weren't seeing things," said Jed Dodd, executive director of The Studios of Key West, which showed the Vandenberg Project exhibition.

"Diving is already a dreamlike experience and I think these images really correspond with what people imagine an underwater world might look like."

Viennese artist Andreas Franke, who worked as an advertising photographer for more than 20 years, took the powerful images while on a diving exhibition last year.

Sunk just off Key West , an island in the Straits of Florida, in 2009, the Vandenberg is the second-largest artificial reef in the world, attracting a diverse range of marine animals and plant life.

But before her most recent reincarnation as a divers' paradise, the historic vessel cruised the waves as a U.S. transport ship during World War II.

It was this rich history that gave Franke the inspiration for his unique World War II era scenes.

The 45-year-old artist used specialist underwater cameras to capture the ship, before heading back to the studio to photograph models in 1940s and 1950s costumes.

The retro scenes were then superimposed over the top of the Vandenberg, creating an eerie underwater world frozen in time.

"It's like bringing the Vandenberg back to life," Franke said.

"It's a huge empty ship with fish swimming around -- at 27 meters below the surface, the sunlight is this beautiful blue green color. I shot the models in the studio with the same lens, so the images matched."

Around 10,000 divers visited the underwater exhibition and now, after four months sitting on the ocean floor, the unique pictures have come up for air, displayed in their first exhibition on land.

Despite being protected between two sheets of plexiglass and sealed with silicon in a steel frame, the images were not left completely untouched by the ravishes of the ocean.

The all-pervasive sea water still left its mark, seeping into the frames and discoloring them with salt stains and algae.

"When we brought the photographs to the surface we found all this growth on them -- it's a third dimension on top," Franke said.

"The sea life had created new images. It's very cool, they almost look like Polaroids."

The remarkable pictures, worth up to $30,000, had crossed the realm from photographs to performance art, said Dodd.

"The extra layer of growth tells the story of their voyage to the bottom of the seabed," he added.

"When they were first brought into the gallery and unpacked, this intense smell went through the building like a windstorm. They feel like living objects."

While the Vandenberg photographs attract art lovers on land, Franke's latest underwater project is bewitching divers again -- this time off the coast of Barbados.

Displayed on the sunken SS Stavronikita, the 12 new images depict Renaissance aristocracy gallivanting in a palatial underwater setting.

Much like the Vandenberg, Franke superimposed the baroque scenes on top of the former 1950s Greek freighter, where they are now displayed.

"The shipwreck has been down there 35 years so there's this wonderful, overwhelming growth and coral," Franke said.

"If you look at the elaborate hairstyles of the models it fits pretty well with this surrounding."

They may appear pristine now, but if the Vandenberg is anything to go by, the lavish ladies of the Stavronikita may not be so picture perfect when they finally come up for air.

Get the latest news from CNN.com

@highlight

World's only underwater photo gallery on sunken ship attracts 10,000 divers

@highlight

Haunting images aboard sunken WW2 vessel, The Vandenberg

@highlight

Mother nature leaves mark on images, now displayed in gallery on land

@highlight

Viennese artist launches new underwater photography project in Barbados