"Culture is not the main reason why most Chinese people leave. This is a romantic view. Most people leave China because of practical reasons like education, food and wealth security and air quality."

This is the view of Li Chen, who moved to Hong Kong from the mainland two years ago.

A combination of pragmatism and aspiration led the 32-year-old Masters of Journalism student to leave. He said when his wife was offered the chance to relocate to Hong Kong, the timing for the couple was just right. The move allowed Li to pursue his passion for photography and will earn him his Masters degree from University of Hong Kong.

Millions of Chinese share Li's relocation bug.

In 2013, 8.5 million mainly middle-class Chinese were living abroad, while only 848,000 people had moved to China, according to report by an influential Beijing-based think tank, the Center for China & Globalization (CCG).

The Communist-backed People's Daily last year called it, "the world's worst brain drain."

Waves of Chinese deserting the mainland is nothing new, but this time they're taking their money and talent with them -- making the new phenomenon a wealth, as well as brain drain.

But what's fueling the exodus and does the Chinese government care enough to reverse the trend?

Wealth preservation

Many wealthy Chinese -- business people, investors and even Communist Party officials -- are cutting loose to protect their assets.

President Xi Jinping's vigorous anti-corruption drive is a siren call for the new China, in which cash and connections are no longer a barrier to immunity and prosecution. Guilty or not, some are wondering if they could be the campaign's next targets -- and rather than linger to find out, they're transporting themselves, their families and their gains out of China.

Among this group are the so-called "naked officials," civil servants whose family members live abroad. President Xi recently banned their promotion to prevent them from absconding with public funds.

Others choose to quit China because they don't feel its financial system is sufficiently regulated enough to protect their fortunes.

Every year, more want to make the break. Of the rich Chinese surveyed in the 2014 China-based Hurun Report, 64% said they were emigrating, or planning to do so this year -- 4% more than last year.

Their ticket out of China is chiefly via foreign investor visas offered by developed countries like the United States, Britain and Australia. But the programs are not without controversy. The Canadian immigration department recently ditched its flagship scheme, which offered permanent residency in return for a $719,000 interest-free loan to the government, thanks to a massive backlog of applications and domestic opposition.

Jean-Christian Brillant, consul and spokesperson from the Canadian Consulate General in Hong Kong and Macau, told CNN that the demographic wasn't a good fit for Canada. "Research shows that immigrant investors pay less in taxes than other economic immigrants and are less likely to stay in Canada over the medium- to long-term.

"They often lack the skills, including official language proficiency, to integrate as well as other immigrants from the same countries."

Li, a businesswoman from Beijing, submitted her application for the investor visa scheme two years ago in the hope it would help her firm and support her child's education. "The news was a blow," she told the state-run Xinhua news agency. "This does not change my decision. Canada remains my top choice. The United States and Australia are also good options."

Education and jobs

Other than wealth preservation, "people also go (abroad) for opportunities, quality of life, and where their skills are better valued," said David Zweig, a professor and specialist in China's human resources at the Hong Kong University of Science and Technology.

As the Chinese saying goes, "painting on a little gold," or obtaining a foreign education, is a highly prized maneuver.

Given the chance, many postgraduate Chinese students -- and in particular Ph.D students -- choose to stay put overseas, at least in the mid-term. Li, a journalism masters student, said "I like the culture in Hong Kong, it's open and free. It's unlikely this type of atmosphere will take root in China anytime soon."

The system of guanxi, or connections required to procure a decent job, also puts people off returning. Pan Xiao, a part-time student and publishing company employee, said, "In Hong Kong, I can find a job by myself, not through my father, my mother, or my uncle."

Health is wealth

Meanwhile, unbridled economic growth has brought a string of food and environmental scares in its wake. Smog from pollution has reached levels hazardous to human health and blanketed the capital Beijing and much of northeast China in recent months, prompting Premier Li Keqiang to declare a "war on pollution."

Those who can afford to exit are considering their options very seriously.

"High net earners cite wealth preservation, education for their children, food and environmental security as the main reasons for considering investment immigration,"

said Jennifer Zeng, a private wealth expert from management consulting firm Bain & Company.

Waging a talent war

How damaging for China is this wealth and brain drain?

Wang Huiyao, the director of The Center for China & Globalization, said the phenomenon threatens China's long-term economic transformation. He's urging the Chinese government to set up an immigration bureau and encourage more skilled foreigners to immigrate into China.

"The U.S. is selecting talent from 7.9 billion people, but we are from only 1.3 billion," he said.

Zweig, a specialist in China's human resources said that China's leaders are acutely conscious of the brain deficit, particularly at the upper end of the academic pyramid. "China is waging a talent war -- it's the most active state in the world in terms of reversing migration," he said.

Hoping to lure back the brightest heads, the government's "Thousand Talent Program," targets top tier academics, scientists and entrepreneurs. But the program, which was launched in 2009, has had limited success. Zweig says that although entrepreneurs are returning to a newly vibrant culture of venture capital, China has not been successful in getting others back.

Yet, the Center for China & Globalization contends the takeoff overseas has its upside. Migration establishes a pool of Chinese expertise and connections abroad. From there the Chinese can understand and learn from more developed nations and put this knowledge and expertise to good use when they return.

For now, Li, a student, said he cannot be cast as a "sea-turtle," the Chinese term for returnees. "The hardest thing was to leave friends and family, but I have no plans to return to the mainland."

@highlight

China sees 8.5 million mainly middle-class living abroad with less than 10% moving in

@highlight

Paper in China calls exodus "the world's worst brain drain"