Hoof by hoof, Harold Kelly's family of horses crest the hill, kicking up dust, treading over stones and packed dirt. It's another 70-degree day in central California. In the dead of winter, there's not a cloud in sight.  And there's no rain in the forecast.

Fifty horses trot on Kelly's 300-acre spread outside of Fresno, part of a vast valley that's a farming and ranching hub to the nation.

"Every horse out here I've raised, but for the exception of two," Kelly declares.

His herd sips from a water trough, an oasis that's suddenly taken on greater meaning. The surrounding hills show brown soil where there should be lush, green pasture. That's because a historic disaster is unfolding: California is facing perhaps its worst drought since record-keeping began a century ago, California Gov. Jerry Brown proclaimed this month.

At the center of this ongoing catastrophe are farmers and ranchers like Kelly, pushed to their financial limits.

"Normally, it'd be raining and we'd have grass growing," Kelly remarks. "The grass is basically all gone."

There's nothing on the ground for Kelly's animals to eat.

Winter is California's wet season, but it hasn't rained on Kelly's ranch in unincorporated Tivy Valley, near Sanger, since December 7, 2013. Even on that day, just a few drops fell -- exactly 0.15 inches -- according to Paul Jones, cooperative program manager at the National Weather Service.

In fact, the area's rainfall for 2013 was 3.01 inches, compared with an average year of 11.5 inches.

Kelly is now teetering on the brink of monetary collapse -- like many other ranchers and farmers in California's Central Valley, a breadbasket to the country as it stretches most of the state's length roughly from Sacramento to Bakersfield.

"I borrowed money -- I hate to even say that -- but I recently borrowed money to buy hay," the proud rancher says.

With hay prices on the rise because of the drought, Kelly spends $800 to 1,000 a week on feed. That's money that he doesn't have.

"I don't really have much of a choice. That's the way I look at it."

Even so, his horses have cantered to better days.

"Some of them have dropped off a little bit in weight," Kelly says, taking a look at a mare whose ribs are beginning to show. "They would be fat if there was rain."

Kelly has now decided that he must sell some of his horses.

"I hate to get rid of them...but it's time," he says.

What's causing this strange weather pattern?

Financial toll

The exact financial impact of the historic drought in California -- as well as a moderate to extreme drought throughout the American West -- has yet to be calculated by state and federal officials or farming and ranching associations.

But the financial blow could be in the billions of dollars, especially if the 2012 national drought is any indication. That disaster cost the country $30 billion, according to the National Climatic Data Center.

In the Central Valley's agriculture sector alone, the potential impact could exceed $1 billion in 2014 unless relief is provided, according to the Westlands Water District. Already, about 200,000 of 600,000 acres of prime farmland in Fresno and Kings Counties won't be planted this year because of the drought, the district said. That fallow land amounts to about 312 square miles.

Some federal relief is uncertain because Congress hasn't been able to pass a farm bill since last year. Federal officials are seeking a bill that would provide retroactive disaster assistance to livestock producers who've been forced to thin their herds "to the lowest level in decades" because of the long-term drought, according to the U.S. Department of Agriculture.

Congress has been divided on a proposed bill's food stamp and dairy pricing programs, said Justin Oldfield, a vice president with the California Cattlement's Association.

The governor's drought emergency, which included the entire state, won't help ranchers much because the measure allows water agencies to move water from northern to southern California, unless those cattlemen are located in a benefiting water district, Oldfield said.

"This is by far the worst drought that we've had, and in terms of ranchers, it's the worst drought since the '70s and some say it's worst than that," Oldfield said. "If they have to sell cows, it will be extremely devastating for them. But they will work through it and come back. The people don't quit."

Federal officials also fear ranchers going bust overnight. "That's why we keep pushing daily for Congress to get something done," said U.S. Department of Agriculture spokeswoman Courtney Rowe.

Weirdly warm, dry winters spur bears to stop hibernating, start eating

Horses as family

Central California's fields and tree crops -- which provide half of the nation's fruits, nuts and vegetables -- are deteriorating. The state holds 80,500 farms and ranches, which together generate more than $100 billion in economic activity, according to the California Department of Food and Agriculture

The bad turn in nature has forced Kelly to find other ways to keep his horses alive on his ranch about 200 miles north of Los Angeles. Every day, he fills his truck with hay purchased through a retailer, and drives into the dry pasture to feed his herd. He gives a loud whistle, and they come running.

"There are a whole lot of people like me. Some of them are hurting worse than I am," he said.

To this life-long horse trainer and rancher, horses aren't just a business -- it's lifestyle and family.

"Hey, little girl," he says to a chestnut mare who approaches his side. "It's pretty hard. Sometimes you don't have any choice. You don't have to be too smart to figure out this is what I need to do.

"It's on the verge of very desperate"

In Wednesday's State of the State address, Brown underlined the need to cut back on water resources. He's already called for a voluntary 20% conservation effort statewide.

"Right now, it is imperative that we do everything possible to mitigate the effects of the drought. We need everyone in every part of the state to conserve water.  We need regulators to rebalance water rules and enable voluntary transfers of water, and we must prepare for forest fires," Brown said.

"Among all our uncertainties, weather is one of the most basic. We can't control it. We can only live with it, and now we have to live with a very serious drought of uncertain duration," he said.

Those who make their living off the land and its animals are desperate for relief from the parched conditions.

Anthony Caglia runs Sidelver Wings Horse Rescue, dedicated to the rehabilitation and placement of orphaned horses. As Kelly's neighbor and fellow horseman, he's promised to do what he can to help -- even as he struggles in the face of the drought.

His 60-acre equine ranch is at capacity with thoroughbreds, quarter horses and appaloosas up for adoption. Since the dry spell hit, calls for help have increased significantly.

"Usually, we get a phone call two to four times a month," he said. "We're getting them two to three times a week now. We're at capacity, there's a waiting list."

Like Kelly, Caglia now purchases hay for the rescue horses and relies on donations to keep his organization running.

"I've been in this area all my life, and I've never seen it this bad. It was just upon us so fast. Hopefully we can get some rain, get some pasture back in and get some people back to work. It's on the verge of very desperate," he said.

"The farmers don't have anyone working. Nobody has money." Caglia said.

He says many people are considering sending their horses to slaughter.

"It's money for them, they can't get money otherwise. We like to let the horses live their lives out here. The founding of the ranch was to pay back the horse. The horse is what brought us here today. It took us across the United States, it brought our food in, it plowed our fields, it got us to town and back. It's a payback to the horse."

"In a month from now, I won't have many left."

Across the road in Tivy Valley, Kelly has six to eight horses leaving for new homes in the coming weeks. They'll be separated and sent in trailers to different parts of the state. Equestrian Marcee Hansen will be one of the new owners: she's taking a 3-month-old colt off Kelly's hands to raise in her own.

But not everyone shares Hansen's intention of raising a horse, Kelly says.

Potential buyers have offered money per pound for each horse, a telltale sign of a plan to send the horse to slaughter. "I'd rather borrow money and feed the horses than see them go to slaughter ... I'm not going to let them starve, whatever it takes," Kelly said.

He expects he'll adopt-out every single one of his horses, but plays with the idea of keeping just one or two around for company. "I've gotten close to them. They become a little bit like kids," he says. "They become like a person, like a friend you're saying good bye to."

@highlight

Rancher Harold Kelly loves his horses, but he's going broke feeding them in the drought

@highlight

He now must sell off horses and is wary of buyers who want to re-sell them for slaughter

@highlight

One region alone in California could face $1 billion is drought losses

@highlight

"Now we have to live with a very serious drought of uncertain duration," governor says