(CNN)  -- Thomas Sawyer, a cancer survivor, has worn a urostomy bag for the past three years. Yet, he says, little could have prepared him for his recent airport pat down, when an officer broke the bag's seal and urine spilled out "onto my shirt and down my pants."

"I'm a good American. I know why we're doing this, and I understand it," Sawyer told CNN. "But this was extremely embarrassing, and it didn't have to happen. With educated TSA workers, it wouldn't have happened."

With the height of Thanksgiving holiday travel the next two days, the Transportation Security Administration is trying to strike a delicate balance between ensuring the safety of the traveling public and not invading people's privacy rights.

But the screening raises an array of questions from health-care professionals:

• Are TSA officers trained to deal with patients like Sawyer who may have medical conditions?

• What about the elderly and others with hip replacements and similar ailments?

• Will cancer patients have to take off wigs?

• How is the TSA dealing with pat downs of children?

• What about people with mental illness?

The TSA says it has taken all of these concerns into account -- that children are not to be separated from their parents if pat downs are deemed necessary and that travelers with medical conditions should be treated with "the dignity, respect and courtesy they deserve."

Watch: Cancer survivor accepts TSA apology

"Our program covers all categories of disabilities -- mobility, hearing, visual and hidden," the TSA says on its website. "As part of that program, we established a coalition of over 70 disability-related groups and organizations to help us understand the concerns of persons with disabilities and medical conditions."

Jonathan Bricker, a psychologist at the Fred Hutchinson Cancer Research Center in Washington state, says he advises anyone traveling right now to come mentally prepared for the unexpected.

"Go in with an expectation that this is going to happen, and go in with the expectation that you're going to be the one singled out to go through a pat down," Bricker says.

By doing that, people "can take more control of the situation." He says people with medical conditions should also carry notes from their doctors.

If a tense situation does arise while being screened, passengers should think about the big picture, he says. "There is a larger purpose to this trip that has nothing to do with the TSA and nothing to do with the government. And the purpose is: You're visiting people you love."

The TSA has said the ramped-up use of pat downs and full-body scanning is necessary to prevent weapons and explosives from getting aboard planes.

The White House on Monday said the process is evolving and that the government is taking into account the public's concerns. "The evolution of the security will be done with the input of those who go through the security," White House press secretary Robert Gibbs said.

Recent polls have shown most Americans support the measures, and a periphery glance at airports nationwide shows that the vast majority of travelers are dealing well with the extra scrutiny, even if it makes them uneasy at times.

Dr. Gina Villani, the head of oncology at The Brooklyn Hospital Center, says the extra scrutiny raises concerns for cancer patients, who could have metallic dishes for chemo placed under their skin, external catheters or other necessary medical devices on their bodies.

"You can imagine during a pat down, you're feeling this piece of metal under somebody's skin. If you don't know what it is, then it's going to create a lot of problems for people," she said.

Doctors must be more aware of when their patients are traveling and write notes explaining their conditions, she says. Most of the time, though, "patients only think about it after they've had a terrible experience."

A doctor's note also carries a demoralizing stigma. "You want to go on vacation and forget you have cancer," Villani says. "It's just one more reminder of how different you are from the rest of the population."

Another area of concern is the pat down of children. Craig Fabrikant, a psychologist at Hackensack University Medical Center, has simple advice for the TSA: Have officers trained to deal with children on shift at all times, and always have the parent or guardian undergo a pat down first, in front of the child.

"Why not let the child see the parent go through it, that it's no big deal, that it's fine," Fabrikant says.

He says it's simple and practical advice, but he's doubtful any of it will be used. After all, he says, it's big government.

"Not only does it not use common sense, it doesn't move that quickly."

To the agency's credit, TSA administrator John Pistole called Sawyer to apologize Monday after he learned of the incident. The two had a cordial conversation, and Sawyer even shared some advice.

"He asked me what I thought," Sawyer said. "So I talked to him -- that I really don't believe that they've been trained as well as [they could] to handle medical conditions."

@highlight

TSA says pat downs, full-body scans are necessary to prevent weapons from getting on planes

@highlight

TSA trying to balance safety concerns and travelers' right to privacy

@highlight

Doctors say extra scrutiny raises concerns for cancer patients, elderly, children

@highlight

The process is evolving, and concerns are being taken into account, White House says