(CareerBuilder) -- The C-suite has long been thought of as a "boys' club" ... and for good reason. In 2010, only 15 of the companies on the Fortune 500 list were headed by women.

Additionally, nonprofit research firm Catalyst Inc. reported that overall, women held about 14.4 percent of the executive officer positions at Fortune 500 companies last year, and according to the Bureau of Labor Statistics, women make up just 25.4 percent of chief executives nationwide.

While these stats are certainly better than they were just 15 years ago -- in 1996, only one Fortune 500 company had a female CEO -- there's still plenty of room left for women in the C-suite.

Got your eye on an executive role? Here are some tips on how to get there, from female leaders with first-hand experience.

Find a mentor(s): One of the best ways to become a great leader is by learning from others who do it well.

"It is helpful for a woman seeking entry into C-Suite positions to have an advocate in the organization," says Susan Bulkeley Butler, who was the first female partner at management consulting firm Accenture and now serves as the CEO of the Susan Bulkeley Butler Institute for the Development of Women Leaders.

"Women need to have mentors and people who help them get the right roles and responsibilities. It's important to have a team to help get to where you want to be."

Equally as important is finding personal role models -- people whose experiences you can learn from, but who may not be formal mentors.

"Women must talk to people that they respect and role models who may be in the type of positions they seek. It's critical to listen to how they developed their careers and how they became the leaders," Bulkeley Butler says.

Don't fixate on gender: While it can be tough to do, try to look at your work environment as being "gender neutral," suggests Elizabeth Sobol, managing director at IMG Artists.

"There are certainly times when I have run into brick walls that have made me want to yell 'boys' club!' But I have tried as much as possible to resist that temptation," she says.

"I have tried to look at each situation and think through what I could be doing better to demonstrate my capabilities and my credentials for each opportunity. I am not suggesting that there is no discrimination out there. But I find that the best way to break through prejudices and discrimination is to keep your focus, maintain your vision -- and just shine."

Don't worry about pleasing everyone: Women tend to be "people pleasers," which can be tough in a workplace setting when, inevitably, decisions need to be made that won't make everyone happy.

But in order to reach the executive level in your career, you need to learn to stick to your guns.

"Women are too quick to apologize even when they didn't do anything wrong," says Jessica Kleiman, vice president of public relations at Hearst Corporation and co-author of "Be Your Own Best Publicist."

"Stand behind your decisions. Understand that not everyone is going to like you. If you can come to terms with that, you'll be less apt to want to please everyone and more likely to fight for your beliefs," she says.

Be willing to work hard: Getting to the C-suite is an ambitious goal for anyone, male or female, so you'll have to be willing to put in the work to get there.

"The first rule is simply to get an A+ on everything you do," Sobol says. "[As a manager], it is very rare that I will miss someone who is operating at that level on a consistent basis. And those are the people I am going to be looking for to fill higher level positions."

Echoes Bulkeley Butler, "The most important message I received was: You have to do the position you want before your get there. I hand to perform like a partner before I was promoted."

Focus on your life outside of work, too: Working hard doesn't mean your personal life has to fall by the wayside. Women are more apt to make life outside of work (children, families, friends, hobbies) a priority, and that's OK.

A rich personal life can actually make you a better leader.

"Women, in general, tend to look at life in a more holistic way," Sobol says. "I know is that my life is much richer for all the things I experience that have nothing to do with my corporate performance or positioning -- books and nature and art and family. In fact, I think that because I have chosen a more holistic path, I have gained the skills and the fullness I've needed to become a better leader."

Use your "natural" advantages: There are certain leadership qualities that women inherently possess, so play up these strong points in your rise to the top.

"By nature, women are nurturing, and able to multitask and problem solve," says Meryl Weinsaft Cooper, managing director at DeVries Public Relations and co-author (with Kleiman) of "Be You Own Best Publicist." "Those qualities can make for a very good leader."

Kaitlin Madden is a writer and blogger for CareerBuilder.com.

&copy CareerBuilder.com 2010. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority.

@highlight

In 2010, only 15 of the companies on the Fortune 500 list were headed by women

@highlight

While stats are better than 15 years ago, there's still plenty of room for female CEOs

@highlight

It can be tough to do, but try to look at your work environment as being "gender neutral"

@highlight

Women inherently possess certain leadership qualities, so play up strong points