(CNN) -- U.S. President Barack Obama has warned Russia that targeted sanctions are "ready to go," as the Geneva agreement to de-escalate the crisis falters.

Officials have vowed more punitive international actions targeting Russia's economy if Moscow, in their view, continues to aggravate the situation. Key Putin allies, high-profile Russian oligarchs and possibly Russian institutions and companies, will be targeted, CNN has been told.

Obama, at a news conference Friday in South Korea, said he would be talking to other European leaders about sanctions against Russia as the Ukraine crisis worsens.

The West has already introduced sanctions, imposing financial and visa restrictions on around 30 Russian and Ukrainian officials -- but stopping short of measures that would hit trade.

However, the uncertainty has fed capital flight, prompting Standard & Poor's to cut Russia's credit rating to one notch above junk. Hours later Russia raised its interest rates to limit the damage.

Ukraine hiked its bank rates on April in an attempts to protect its economy against the turmoil triggered by violent protests and Russia's military intervention in Crimea.

Russia is deeply integrated in the global economy, and links with the EU are particularly strong. Here's the background to Russia's relationship with the West.

How important is Russia's economy?

Russia is the eight biggest economy in the world, with GDP of more than $2 trillion. Its economy -- which is heavily reliant on commodities, particularly oil and gas -- is expected to grow only slightly in 2014 to around $2.4 trillion. Hopes it would be one of the decade's powerhouse economies have faded, with its GDP growing just 1.3% last year compared to 2012, one of the sharpest slowdowns in the emerging markets.

Russia boomed in the late 1990s and early 2000s as energy prices rose, then stumbled as demand for commodities contracted. But its energy supplies remain vitally important for the European Union, to which it supplies a third of its natural gas. Germany, the eurozone's biggest economy, imports around 40% of its gas from Russia.

With the Ukraine crisis taking its toll, Russia's economy may not grow at all in 2014, some analysts have warned.

What is Russia's economic relationship with the U.S?

The economic relationship between Russia and the U.S. is unbalanced. Russia is the 20th largest trading partner for the U.S., with $27 billion worth of trade exported across the Atlantic. On the flip-side, the U.S. is Russia's fifth largest partner, with just $11 billion worth of trade.

According to Russian Foundation chair David Clark, trade is a "relatively unimportant" component of relations. Energy links are also weakening as the U.S. looks to shale gas for its energy supplies and heads towards self-sufficiency.

However, in March the U.S. State Department took its first step on sanctions, imposing a visa ban on Russian and Ukrainian officials and individuals "responsible for, or complicit in threatening the sovereignty and territorial integrity of Ukraine." An expansion of the sanctions has been threatened.

What is Russia's economic relationship with the EU?

The EU is Russia's largest trading partner, and there are deep economic links between the two. Almost half of Russia's exports -- $292 billion worth -- end up in EU countries. Russia, in turn, is the third biggest trading partner for the EU, with $169 billion in imports.

The EU initially stepped more cautiously than the U.S. on sanctions. However, earlier this month, the EU said it would reinforce sanctions and target an additional four people in its sanctions. This will bring the total number of people subject to EU asset freezes to 22.

Members of the G8 have also said they will not attend a planned summit in Sochi this June, instead meeting in Brussels without Russia.

Meanwhile, the West has offered $16 billion in aid for Ukraine, helping the country prop up its ailing finances. The International Monetary Fund has also said Ukraine has $14 billion to $18 billion credit available if required.

Why did the U.S. and EU approach Russia differently?

The eurozone has only just emerged from its own crisis, and commentators say it could be wary of rapidly cutting ties with such a powerful economic partner. Its reliance on gas out of Russia would also feed caution. In contrast, the U.S. is weaning itself off Russia's energy supplies and its trade relationship is much less intertwined.

Map: How Ukraine is divided

CNNMoney's Mark Thompson contributed to this report

@highlight

Russia risks being isolated by the West as it introduces visa bans and threatens more sanctions

@highlight

But the European Union is reliant on Russia for its energy supplies, and has strong trade links

@highlight

Trade is not so important between Russia and U.S., which is becoming energy self-sufficient

@highlight

These differences have impacted the economic approaches to Russia amid the crisis in Ukraine