Editor's note: Julian E. Zelizer is a professor of history and public affairs at Princeton University's Woodrow Wilson School. His new book, "Arsenal of Democracy: The Politics of National Security -- From World War II to the War on Terrorism," will be published this fall by Basic Books. Zelizer writes widely on current events.

Julian E. Zelizer says so far the Obama presidency resembles that of Lyndon B. Johnson.

PRINCETON, New Jersey (CNN) -- While pundits have compared President Obama to Franklin Delano Roosevelt, John F. Kennedy, Jimmy Carter and Ronald Reagan, less attention has been paid to another, perhaps more apt parallel -- Lyndon Baines Johnson.

Sometimes the similarities are striking. Both aimed high, seeking major legislation to reshape America -- Johnson with civil rights and Medicare, Obama with health care and energy legislation. Both Johnson and Obama understood that Congress was a credit-claiming institution whose members did not like to have proposals rammed down their throats.

Johnson's style of political leadership was famous. A creature of the Senate, Johnson loved to lean on legislators and intimidate them into supporting his agenda.

As Senate majority leader from 1955 to 1961, Johnson had been famous for subjecting colleagues to the "Treatment" whereby the hulking Texan cornered a legislator in the hallway, stood eye to eye and made his arguments about a bill until he received assurances of support for particular legislation. Although Johnson slightly changed his posture once he was president, he still relied on this kind of interaction to build support.

As president from November 1963 until January 1969, Johnson worked closely with the Southern committee chairmen and ranking Republicans who dominated the House and Senate. Johnson sought to achieve a delicate mix of maintaining control over deliberations -- thinking of ways to obtain what he wanted without giving the appearance of it being a presidential-led idea -- all while responding to the concerns of the chairmen.

The back-and-forth deliberations with House Ways and Means Chairman Wilbur Mills over the creation of Medicare in 1965 have become the classic example of how a president can work the chamber while allowing a congressional leader into the room to shape a bill in ways with which he'll be comfortable. Johnson agreed to redesign the particulars of the legislation so that the final program would protect the fiscal integrity of Social Security (under which it was included) and contain long-run costs.

Thus far, Obama has taken a similar approach with the economic stimulus and, more recently, with his budget proposal. The president outlined to Congress the basic ideas he wanted in the final product but then left to lawmakers the work of designing the details.

While the downside has been that Obama relinquished control over the structure of the legislation, House and Senate Democrats have felt invested and empowered to produce what Obama's team viewed as successful results.

The second similarity is that Johnson, like Obama, distanced himself from the arguments of liberals who said that conservatives did not need to be feared. Johnson was consumed by his fears of a right-wing resurgence, even after trouncing Republican Barry Goldwater in the 1964 election.

Johnson constantly warned advisers that the most dangerous political force in the country as far as he was concerned was not the left on college campuses but what he called the "reactionary element" within the GOP, and he took this into consideration when shaping legislative proposals.

With domestic policy, Johnson avoided programs that could be tagged as "socialistic," and on foreign policy he worked hard to demonstrate a tough stance against communism. Recently released telephone conversations have revealed that Johnson was obsessed with the 1966 midterm elections after the 1964 election was over, realizing that historically those results were not likely to be good for the White House.

Obama has been reluctant to embrace liberal arguments about an end to the Age of Reagan, courting conservative journalists such as David Brooks instead of liberal pundits such as Paul Krugman. He accepted compromises on legislation in response to moderates in both parties and agreed to a financial bailout that pleased Wall Street, not Main Street. And his administration has steered clear of explicitly nationalizing banks, a step that could be called socialist.

Obama has even touched on sensitive subjects such as deficit reduction and Social Security reform, which are much more appealing to the right than left. During one important conversation, Obama told the centrist Democratic Sen. Evan Bayh of Indiana that he need not worry about his administration going too far on spending since he identified himself as a New Democrat, a reference to members of the party who in the Clinton years believed that they needed to accept some of the arguments of the conservative movement.

Finally, both presidents understood the strategic importance of leveraging social movements to their political advantage. During the height of the struggles over civil rights, Johnson frequently pointed to the growing power of the grass-roots civil rights movement as he tried to pressure undecided legislators to support legislation to end public segregation and then to ensure voting rights for African-Americans.

Johnson made it clear that the movement had become a potent force in American life, winning the hearts and minds of citizens, and that it could cause political trouble for his opponents.

Obama has shown glimmers of a similar strategy with regard to the budget. The administration recently announced that it was trying to mobilize the "net roots" operation from the 2008 campaign to build pressure on wavering representatives and senators to support his plans on health care and the environment.

The comparisons between Johnson and Obama likewise offer reminders about what could go wrong for the current president. After all, Johnson was a politician who looked like a transformative president in 1965 but within three years found himself to be a defeated man who withdrew from the Democratic primaries.

Johnson's fears of the right, moreover, pushed him and America deeper into the deadly war in Vietnam. The social movements that LBJ used to his benefit in 1964 and 1965 turned against him as the administration plunged deeper into Vietnam, a lesson worth thinking about for the current administration.

Johnson's policy of respect for committee chairmen prompted him to make compromises over social policy -- such as cuts in social spending in 1968 -- that weakened his support among the very Democrats he needed to win re-election.

Johnson was never fully aware of how his greatest political skills could also become the source of his downfall. Obama's challenge is to harness the best parts of this comparison -- such as how Johnson handled Congress to produce dramatic legislative results -- without repeating the destructive characteristics that shattered Johnson's White House.

The opinions expressed in this commentary are solely those of Julian E. Zelizer.

@highlight

Julian E. Zelizer: The Obama presidency resembles that of Lyndon B. Johnson

@highlight

Zelizer says both aimed high and worked skillfully with congressional leaders

@highlight

A president can shape legislation without dictating the details, professor says

@highlight

Zelizer: Obama has gotten big results from Congress by keeping leaders on his side