London, England (CNN) -- Something is stirring within the Hamas body politic, a moderating trend that, if nourished and engaged, could transform Palestinian politics and the Arab-Israeli peace process. There are unmistakable signs that the religiously based radical movement has subtly changed its uncompromising posture on Israel.

For example, in the last few months top Hamas officials have publicly stressed that they want to be part of the solution of the Palestinian-Israeli conflict, not part of the problem. What is happening inside Hamas' mosques and social base shows a concerted effort on the part of its leadership to re-educate its rank and file about co-existence with the Jewish state and in so doing mentally prepare them for a permanent settlement in the future.

In Gazan mosques, pro-Hamas clerics have begun to cite the example of Salah al-Din al-Ayubi, a famed Muslim military commander and statesman, who, after liberating Jerusalem from the Western Crusaders, allowed them to retain a coastal state of their own. The moral lesson of the story is that if the famed leader could tolerate the warring, bloodthirsty Crusaders, then today's Palestinians should be willing to live peacefully with a Jewish state in their midst.

This story is important because it provides Hamas with religious legitimacy and allows it to justify and explain its change of direction to followers. As an Islamic-based movement, Hamas' very raison d'etre rests on religious legitimization, and its leaders understand that they neglect that at their peril.

Hamas' recent narrative marks a pronounced departure from the past in which Hamas moderates called for a minor or long-term truce.

Now Hamas leaders appear to be going further by laying the ground for a shift in their position by educating their social base about the requirements of permanent peace -- recognition of the Jewish state. Although the evolution of Hamas' stance on the peace process has been slow, gradual and qualified, in the last three years many of its leaders repeatedly have said they wanted a two-state solution.

Pressed by an Australian journalist on policy changes that Hamas might make to any new order, Khaled Meshaal, the top Hamas leader and head of its political bureau based in Syria and considered a hard-liner, asserted that the organization has already shifted on several key points: "Hamas already changed -- we accepted the national accords for a Palestinian state based on 1967 borders, and we took part in the 2006 Palestinian elections."

Over the years, I have interviewed more than a dozen Hamas leaders inside and outside the Palestinian territories. Although, on the whole, Hamas' public rhetoric calls for the liberation of all historic Palestine, not only the territories occupied in 1967, a healthier debate occurs within.

My recent conversations with Hamas' rank and file suggest that the militant organization has evolved considerably since the group unexpectedly won power in Gaza in free elections in 2006. Before then, Hamas was known for its suicide bombers, not its bureaucrats. But that had to change.

"It is much more difficult to run a government than to oppose and resist Israeli occupation," a senior Hamas leader told me while on official business in Egypt in 2007. "If we do not provide the goods to our people, they'll disown us." Ironically, in spite of the West's refusal to regard this government as legitimate, the democratic demands for governance from within Gaza are themselves driving change within Hamas.

What is striking about Hamas' recent shift of opinion toward the peace process is that it has come at a trying time for the Islamist organization which, in the last two years, has faced critical challenges from al Qaeda-like jihadist groups, a low-intensity civil war with rival Fatah, the ruling party of the Palestinian Authority, and a deteriorating humanitarian situation in Gaza.

Last summer a militant group called Jund Ansar Allah, or the Warriors of God, one of a handful of radical al Qaeda-inspired factions, declared the establishment of an Islamic caliphate in Gaza, a flagrant rejection of Hamas' authority. Hamas security forces struck instantly and mercilessly at the Warriors, killing more than 20 members, including the group's leader, Abdel-Latif Moussa.

In one stroke, the Hamas leadership sent a message to its foes and friends that it will not tolerate the existence of global jihadist groups such as al Qaeda: Hamas will not allow al Qaeda-inspired factions to turn Gaza into a theater to wage transnational jihad.

However, the challenge to Hamas' authority persists. Israel's punishing siege of Gaza, in place since 2007, along with the suffering and despair it has caused to its 1.4 million inhabitants, has driven hundreds of young Palestinians into the arms of small Salafist extremist factions that accuse Hamas of forfeiting the armed struggle and failing to implement Quranic or Shariah law.

Operationally and ideologically, there are huge differences between Hamas and al Qaeda and its various inspired factions, and a lot of bad blood. Hamas is a broad-based religious/nationalist resistance whose focus and violence is limited to Palestine/Israel, while al Qaeda is a small, transnational terrorist group that has carried out attacks worldwide.

Thus Hamas, unlike al Qaeda and other fringe factions, is not merely an armed militia but a viable social movement with a large popular base that has been estimated at more than half a million supporters and sympathizers. Hamas also has shown itself to be sensitive and responsive to Palestinian public opinion.

A further example of its political and social priorities is Hamas' decision to engage seriously with an Egyptian-brokered deal that sketches out a path to peace with rival Fatah.

Despite its reactionary rhetoric, Hamas is a rational actor, a conclusion reached by former Mossad chief Ephraim Halevy, who also was Ariel Sharon's national security adviser and who is certainly not an Israeli peacenik.

The Hamas leadership has undergone a transformation "right under our very noses" by recognizing that "its ideological goal is not attainable and will not be in the foreseeable future," Halevy wrote in Yedioth Ahronoth a few months ago. His verdict is that Hamas is now ready and willing to accept the establishment of a Palestinian state within the temporary borders of 1967.

Yet if Hamas is so eager to accept a two-state solution, why doesn't it simply announce that it recognizes Israel's existence and promise to negotiate a peace deal that allows the two countries to coexist?

In interviews with Hamas officials, they stress that their organization has made significant concessions to the so-called Quartet's three conditions, though the Quartet (the United Nations, Russia, United States and European Union) has not lifted the punishing sanctions against Hamas nor has it effectively pressed Israel. Hamas' diplomatic starting point will be to demand that Israel recognizes the nationalist rights of the Palestinians and withdraws from the occupied territories, but it will not be its final position.

There could be no viable, lasting peace agreement between Israel and the Palestinians if Hamas is not consulted about peacemaking and if the Palestinians remain divided with two warring authorities in the West Bank and in Gaza.

Hamas has the means and public support to undermine any agreement that does not address the legitimate rights and claims of the Palestinian people. Its rival, Fatah and the Palestinian Authority, lacks a popular mandate and the legitimacy needed to implement a resolution of the conflict. President Mahmoud Abbas has been politically weakened by a series of blunders of his own making and by pressure by the U.S., compromising his moral authority in the eyes of a sizable Palestinian constituency.

If, instead of ignoring Hamas or, worse yet, seeking its overthrow, the United States and Europe engaged the Islamically based organization, diplomatically and politically, and encouraged it to continue moderating its views, the West could test the extent of Hamas' evolution and find out if the organization is willing to accept a settlement based on the two-state solution.

So far, the strategy of isolating and militarily confronting Hamas pursued by Israel and the Bush administration has not appeared to weaken the organization dramatically. If anything, what success this strategy has had in undermining Hamas has been counterproductive, since it has radicalized hundreds of young Palestinians who have joined extremist al Qaeda-inspired factions and reinforced the culture of martyrdom and nihilism.

To break this impasse, and prevent further gains by more extremist factions, the U.S. and Europe should support a unified Palestinian government that could negotiate peace with Israel. The ongoing Egyptian-brokered truce deal between Hamas and Fatah is an opportunity that may be built on to repair and strengthen intra-Palestinian governing institutions that have been frayed as a result of intense rivalry in the last two years.

The opinions expressed in this commentary are solely those of Fawaz A. Gerges.

@highlight

There are signs Hamas is taking new stance on Israel, Fawaz A. Gerges says

@highlight

He says pro-Hamas clerics are preparing people for coexistence

@highlight

Hamas is fighting groups inspired by al Qaeda, Gerges says

@highlight

He urges West to test Hamas' willingness to engage in Mideast peace process