Anbar province, Iraq (CNN) -- Iraq's vice president issued a decree Thursday calling for parliament to meet next week to start the process of creating a new government as the Iraqi military battles Sunni extremist militants.

Vice President Khader al Khuzaei, acting on behalf of Iraq's President, made the directive amid calls for political action to tackle sectarian tensions that have fueled violence as the Islamic State in Iraq and Syria, or ISIS, advances toward Baghdad.

On Thursday evening, seven people were killed and 36 others injured in an explosion in the capital's northern neighborhood of Kadimiyah, Iraqi police told CNN. There were conflicting reports about whether a suicide bomber or car bomb was responsible.

In a televised speech this week, Prime Minister Nuri al-Maliki vowed to stick to a Tuesday deadline to begin creating a new government. But the Iraqi leader also spent time in Wednesday's TV address accusing Sunnis of "coordinating" the crisis.

Al-Maliki accused Sunnis of collaborating with ISIS and blasted a call to have a national salvation government that would remove him from power.

He also appealed to Shiites by saying he is adhering to the wishes of Grand Ayatollah Ali Al-Sistani, the religious leader who called for volunteers to support the Iraqi army and government.

Many have accused al-Maliki of marginalizing Iraq's Sunni and Kurd minorities in favor of his fellow Shiites.

U.S. Secretary of State John Kerry on Wednesday played down al-Maliki's rejection of a salvation government, saying it wasn't something the United States had talked to him about specifically.

To the contrary, he said, al-Maliki is committed to the electoral process and creation of a new government that the United States has supported.

"And he (is) committed to moving forward with the constitutional processes of government formation, and that is precisely what the United States was encouraging," Kerry said. "He also called on all Iraqis to put aside their differences, to unite in their efforts against terrorism."

After talks Thursday in Paris with his French counterpart, Laurent Fabius, Kerry said the two agreed they want to see the formation of an Iraqi government "as rapidly as possible that represents unity for the country."

Kerry said he and the French diplomat are also deeply concerned about the challenge of Syria.

Fabius said that ISIS had shown "terrible ferocity and brutality" and that Iraq must unite to combat it.

"It's a necessity not only for Iraq but the whole region. Because it's a menace for Iraq, for the region, for Europe and the United States as well," he said.

Kerry will meet Friday in Saudi Arabia with Syrian opposition leader Ahmad Jarba, a senior State Department official said Thursday.

UK Foreign Secretary William Hague, on a visit to Baghdad on Thursday, also urged the swift formation of an inclusive government, saying Iraqi political leaders must put sectarian division aside.

"The Iraqi state is facing an existential threat, with huge ramifications for the future stability and freedom of this country," he said. "The single most important factor that will determine whether or not Iraq overcomes this challenge is political unity."

Hague said this would be the focus of his discussions with al-Maliki and Kurdish regional leader Masoud Barzani.

Syrian radicals 'brainwash' kidnapped Kurdish schoolchildren

Syrian incursion?

Iraqi special forces continued assaulting militant positions at the University of Tikrit Thursday, according to state TV reports. The troops killed 40 militants, according to the state TV, which also carried a report of an Iraqi airstrike on a presidential palace complex in Tikrit.

That strike -- among 108 such strikes nationwide in recent days, according to state TV -- reportedly killed 70 militants.

The military also said it had "complete control" of the Baiji oil refinery, the scene of tough fighting in recent days.

On Thursday CNN obtained video of people apparently fleeing Karakosh, a predominately Christian town in Iraq near Mosul. Shelling by ISIS was reported there and in other areas near the city of Hamdaniya.

CNN has been told that thousands of Christians began escaping Wednesday, and started to arrive in Irbil Thursday seeking shelter in churches and vacant buildings.

Reports that Syrian warplanes carried out a cross-border attack this week on Iraqi towns is further evidence of the blurring of borders as the two countries face an offensive by Islamic extremists.

At least 57 Iraqi civilians were killed and more than 120 others were wounded Tuesday in what local officials said were strikes by Syrian warplanes in border areas of western Anbar province.

These border cities are among those under the control of ISIS, which seeks to create an Islamic caliphate in parts of Iraq and Syria.

Maps: How to understand the crisis

Sabah Karkhout, head of Iraq's Anbar provincial council, told CNN that Tuesday's air attacks struck markets and fuel stations in areas such as Rutba, al-Walid and Qaim.

Karkhout said the warplanes bore the image of the Syrian flag. "Also, the planes flew directly from Syrian airspace and went back to Syria," he said.

Syrian state media called the reports of a cross-border incursion "completely baseless." CNN is seeking a response from the Syrian government.

Iraq's border region has been targeted by Syria in the past. As the Syrian conflict escalated in 2012, rockets fired from Syria landed in Qaim in at least one instance.

It's uncertain whether this week's strikes signify a concerted effort by Syria to intensify its fight against ISIS. It is also not clear whether the strikes in Iraq were a unilateral action by Syria or were coordinated with the Iraqi government.

Iran is also thought to be involved in the conflict. A U.S. official told CNN that Iran is flying surveillance drones over Iraq. It's not known from where they are being launched.

Tehran also is thought to be providing small arms and ammunition to Iraq as well as providing intelligence to al-Maliki's government, the official said.

Is Baghdad ready for an ISIS attack?

In Baghdad, the Iraqi military insists it's ready to beat back ISIS if the fighters reach the capital. According to U.S. estimates, ISIS may have as many as 10,000 fighters in Syria and Iraq, but it's not clear where those forces all are.

Soldiers deployed in Anbar province, just 22 miles (35 kilometers) from the center of Baghdad, told CNN that the army would not collapse here -- as it did in Mosul to the north -- and that they were ready to fight to the end.

The soldiers said they had chased ISIS out of a tiny Sunni village, killing 32 militants while losing three of their own. Fresh Shiite graffiti was sprayed on storefronts in the now-deserted village.

A tank commander, a Shiite from south of Baghdad, said, "The terrorists will lose the battle with us because they are chicky-chicken."

He denied the Iraqi army had turned tail and run in the north of the country. "No, no, the army is strong," he said. "Never afraid. I die in this country."

Facebook looks to block ISIS clothing sales

Kerry: 'Words are cheap' but promising in Iraq

CNN's Nic Robertson reported from Iraq's Anbar province and Laura Smith-Spark wrote in London and Ashley Fantz in Atlanta. CNN's Ali Younes, Arwa Damon, Barbara Starr and Hamdi Alkhshali contributed to this report. CNN's Chelsea Carter reported from Baghdad.

@highlight

State Department official says Kerry will meet with Syrian opposition leader Friday

@highlight

U.S. secretary of state calls for rapid formation of an Iraqi government representing unity

@highlight

Local official says Syrian warplanes attacked border towns in Iraq this week

@highlight

Iraqi leadership calls for parliament to meet next Tuesday