(CNN) -- Singing folk songs and strumming the guitar at his campaign rallies, Hugo Chavez shows no sign that he's facing the strongest challenge to his 13-year rule in Venezuela.

He has dismissed his much younger challenger, Henrique Capriles Radonski, as a "fly" not worth chasing, when challenged to a debate earlier this year.

Chavez's opponents are confident that this Sunday, Capriles will unseat the long-ruling leftist leader, a refrain previously heard before eventual defeats.

Yet the incumbent is a political survivor and remains popular at home. But there are signals, observers say, that this time Chavez really is on the ropes.

Chavez's influence over Latin America's left-leaning governments has often rankled the United States, Venezuela's largest trading partner. Venezuela is the fourth-largest exporter of oil to the United States. Despite that tight economic relationship, the two countries are not exactly close allies: Chavez often rails against the U.S. and its allies as "imperialists."

Chavez on U.S. election

Further complicating the U.S.-Venezuela relationship, Chavez is allied with Iran's Mahmoud Ahmadinejad, he defended former Libyan leader Moammar Gadhafi and he has even offered his support for Syria's leader Bashar al-Assad.

At stake for Venezuelans is the ideological trajectory of their country.

Chavez, 58, has had more than a decade to implement his vision of 21st century socialism, a view that emphasizes use of state oil windfalls to fund social programs.

Observers say Capriles, 40, represents a moderate alternative.

He has vowed not end the social programs that Chavez has set up, and he promises to fight corruption that has grown in the public sector.

The candidates offer two distinct paths to solve the problems that are on Venezuelans minds: decaying infrastructure, high crime rates and political polarization.

Candidates hold dueling rallies

A close race?

As expected, both sides claim they will be victorious -- and both sides have polls to back up those claims.

Several polls gave Chavez a double-digit lead, while at least one gave Capriles a narrow lead. Chavez supporters say the majority of polls were clear. Those supporting Capriles say people were afraid to voice their real opinions.

"The information we get from the polls is, at best, confusing," said Federico Welsch, a political analyst and retired professor at Universidad Simon Bolivar.

Part of the problem is "an inherent bias in polling companies," according to Inaki Sagarzazu, a Venezuelan professor of politics at the University of Glasgow in Scotland, who has taken a closer look at the pollsters.

Capriles, he noted, also must believe it is a close race, as evidenced by a speech this summer in which he spoke directly to the military, assuring them and other institutions that things will be OK if he wins.

That address was significant because questions exist about whether the military, whose leadership ranks is stacked with Chavez loyalists, will accept a defeat.

2 killed as Venezuelan campaign turns violent

Controlling for biases, there are two conclusions that Sagarzazu has drawn from the polls: That Chavez is "stuck" with support near -- but not quite at -- 50%, and that Capriles is closing the gap.

"We're looking at a long night on October 7 because things look closer than polls or the government make it seem," he said.

Chavez, cool and hip

New campaign posters for Chavez have featured him popping a wheelie on a motorcycle, playing basketball and even performing as a rap artist.

It's a sharp contrast with the image of a sick man who was diagnosed with cancer last year and underwent two surgeries, in addition to multiple rounds of chemotherapy and radiation treatments.

The image makeover is part of an effort to capture support for Chavez among Venezuela's undecided voters -- mostly young people -- who make up 23% of the electorate and could play a pivotal role in Sunday's election.

Neither Chavez nor anyone in his government have publicly discussed what kind of cancer he has. He recently objected to a reporter's question about his health.

"Here I am, and every day, I feel in better physical condition," the president said. " And I firmly believe, that that expression about physical limitations that you used, it's not going to be a factor in this campaign."

Crafting a youthful image is also important because Chavez is 18 years older than his political rival, who turned 40 over the summer.

"Venezuelans are looking for a new way," Capriles has told his supporters. "It's been 14 years of the same government. This government has already completed its cycle and has nothing more to offer. They're only recycling promises."

Chavez, presumably because of his health, has not held as many rallies or traveled as often as he has in previous campaigns. His re-election effort has been mostly through presidential addresses that state-run television stations are mandated to carry.

Chavez would have been unable to run for re-election this year because of constitutional limits. But his United Socialist Party of Venezuela pushed for a referendum in 2009 in which voters eliminated term limits. Winning another term in office next month would allow Chavez to rule Venezuela until 2019, the 20th anniversary of his rise to power.

Whatever his health condition, Chavez remains a force in Venezuelan politics. His likeness is everywhere -- on television, on huge banners and the radio.

His popularity remains high among Venezuelans, and his supporters remain as ardent as ever. However, Capriles has been constantly on the road, and his supporters say the momentum is shifting.

"We see it everyday, people are opening up their doors and inviting us in," said Tomas Guanipa, secretary-general of Capriles' Justice First party.

With high stakes, accusations fly

The campaign has heated up in the final stretch, with accusations of improprieties flying back and forth.

In the past month, the Capriles' campaign has accused Chavez of using a televised presidential address to bump an opposition campaign event from the airwaves. And the Chavez campaign released hidden-camera footage that purportedly showed one of Capriles' campaign leaders accepting a bribe.

"There are definitely moments of tension," said Welsch, the retired professor at Universidad Simon Bolivar.

That tension has also erupted into violence at several campaign rallies. On Saturday, gunmen reportedly killed three pro-Capriles activists in the western Venezuelan state of Barinas. Earlier this month, in the port city of Puerto Cabello, a group of people identified as Chavez supporters -- also known as "Chavistas" -- threw rocks as Capriles made his way to a campaign rally. Several people were injured in an ensuing clash between the two sides.

Capriles' Justice First party has accused the ruling party of harassment during the campaign, particularly when the Chavez campaign released a hidden-camera video showing a lawmaker working on Capriles' campaign accepting cash from a businessman. Chavez's campaign said the money purportedly was a bribe for his opponents campaign and accused the Capriles camp of financing itself in this way.

Capriles responded to the video by firing the lawmaker and joining in the government's call for an investigation.

"It's a very difficult environment we are campaigning in," said Guanipa of Capriles' Justice First party.

He characterized the harassment of the opposition campaign as acts of desperation from the ruling party.

"It's the agenda of someone who is defeated," he said.

Representatives from Chavez's campaign declined to comment, but Chavez told reporters last week that a Capriles victory was impossible, citing polls.

"We are ready for the will of the people to be respected and for no one to come and disrespect the Venezuelan will," Chavez said.

Meanwhile, a former minister and vice president under Chavez, Jose Vicente Rangel, accused the opposition of being capable of a coup or economic sabotage, if they lose.

The back-and-forth accusations can only mean one thing, according to analyst Sagarzazu: "All the shenanigans that have been happening point in the direction that the government knows that things are close."

The biggest question mark for observers abroad is whether the election will bring instability to Venezuela no matter who wins.

Former U.S. ambassador to Venezuela, Patrick Duddy, said unrest is not inevitable, but in an analysis for the Council of Foreign Affairs, laid out several scenarios of concern, beginning with the fact that "Chavez and several of his most senior associates have asserted that there will be instability and violence if he is not re-elected."

Violence could break out if it appears Chavez is going to lose, if he dies unexpectedly or if he wins with the appearance of cheating, Duddy wrote.

"Although Chavez has indicated he will respect the results of the election, most plausible scenarios for instability and conflict in Venezuela derive from the premise that the Chavistas will not willingly surrender power and would be willing to provoke violence, orchestrate civil unrest or engage in various forms of armed resistance to avoid doing so," Duddy said.

Chavez opponent wants to be a uniter

Journalist Osmary Hernandez and CNN's Rafael Romo contributed to this report.

@highlight

On Sunday, Venezuelans will vote for president

@highlight

Longtime leader Hugo Chavez is vying for a fourth term

@highlight

His challenger is 40-year-old Henrique Capriles Radonski

@highlight

Observers have expressed concern about post-election instability