(CNN) -- For two years, Google has pushed its Google+ as more than a social network or cool video-chatting tool. This week, it is working to hammer home that point with a spate of new features.

Google+ isn't an answer to Facebook or Twitter, Google says. It's the connective tissue that more and more is tying Google's most popular products together -- and it will not be ignored.

Since it debuted in June 2011, Google+ has seeped into all other parts of the Google ecosystem, tying into other Google offerings like search, Gmail and YouTube. Sometimes the product feels like an invasive species, especially when using it is required to benefit from the coolest features in other Google products.

"I'm not sure that it's forced. I think there are some people who may have a misunderstanding of what we're trying to accomplish," said Vic Gundotra, the Google senior vice president who leads Google+.

Creating one unified Google identity for each user is the primary purpose of Google+. When the project was started, the company was trying to solve the problem of disconnected online identities.

"One of the core insights we had when we started Google+ was that Google itself was deeply fragmented," said Gundotra. "Google treated identity as something that was fragmented and different, when (people) were on YouTube they had one identity, when they were on Android they had a different identity, when they were on Gmail they were someone else, when they used search they weren't even logged in."

But the reality is that many people still have multiple online identities and Gmail addresses. There might be one for work, another for personal, and a dedicated e-mail address for signing up for services and e-mail lists to collect all the resulting spam in one convenient bucket. Instead of giving those up and using one Google identity, many people choose to juggle their accounts.

To get people to use Google+ the way Google imagines it, the company is working to make the benefits of using one primary Google identity too good to ignore.

During Wednesday's Google I/O developer's conference keynote address, Google+ played a big part in many of the more exciting product announcements, even though it wasn't always called out. The redesigned version of Google Maps will recommend restaurants based on what your Google+ friends have reviewed and visited. The new Google Music All Access service will also use your social graph to hone in on music you might enjoy.

"That unification of Google, of bringing Google together, makes for amazing things," said Gundotra.

One feature demonstrated on stage was a voice search for a person's recent vacation photos. If you are logged into Google Search under the same e-mail you use for Google+, and if you also use Google+ to upload and share your personal photos, you can get these types of customized search results.

Those tie-ins could play a more important role in getting people to embrace, not just grudgingly accept, Google+ than the service's stand-alone features. However, a lot is being done to improve the stand-alone Google+ experience.

On Wednesday, Google unveiled a sleek new redesign, some very impressive photo tools, and a feature that automatically combs posts on the social network and adds appropriate hashtags. In an impressive Googley twist, it can even identify what's in a photograph to add hashtags like "concert" or "cat."

When there is breaking news, like the Boston bombing, people will refer to it with different terms and finding out more information requires you to leave Google+. That's in stark contrast to Twitter, current king of breaking news, where hashtags and discovery tools make it easy to stay on top of important events in real time.

"You've got to figure out how to canonicalize that 'bombing in boston,' 'disaster boston,' 'marathon disaster,' are all the same thing. And you have to bring all of that together and then say, this is the recommended tag. And if you click on it, we understand the related entities. That's a deep understanding of the knowledge graph. In real time, as its happening," said Gundotra

In addition to trying to clean up user identities and make Google+ a more engaging experience, Google+ is also unifying existing Google products that overlap. The new Hangouts messenger service allows people to chat via text, share photos, and talk over video with one or multiple people, between phones, tablets and desktops. Instead of separate products for Video Hangouts, Google Talk and Google Messenger, there is just one tool.

This new product could take on existing chat platforms like WhatsApp and BlackBerryMessenger, though Gundotra said that wasn't its main goal.

"Obviously, we knew that there were real time communications products. We're not going to tell you we didn't know that there were these products out there. We were watching the growth of them and that was powerful data for us, that there was a need out there for a better solution," said Gundotra.

"Frankly we were looking at our own problems, and our customers were telling us, Google: Unify these things" Gundotra said.

@highlight

Google Senior Vice President Vic Gundotra explains the real goal behind Google+

@highlight

All the big Google product announcements tied into the social network in some small way

@highlight

The social network is Google's attempt to clean up fragmented user accounts