(CNN) -- If Republicans regain control of the Senate on Tuesday night, they will have good reason to gloat. They recruited much stronger, more sensible nominees this year -- no more candidates riding broomsticks or hurling insults at women. They also smartly accepted President Barack Obama's implicit challenge to make his record their centerpiece.

But when they wake up from their celebrations, top GOP strategists such as Karl Rove will surely warn them: "Don't over-read this election. Yes, it opens up great opportunities for the next two years, but it does not open a clear path to seizing the White House and Congress in 2016. Beware the 'blue wall!' "

Nobody has talked much about the blue wall in this year's election cycle. No reason to. Looking ahead, however, it looms increasingly as one of the most important features of America's new political terrain. It is certainly a huge boulder standing in the way of a full Republican resurgence in 2016 and giving protection to Democrats.

The blue wall is a powerful phalanx of 18 states and the District of Columbia that have voted for the Democrats in every single presidential election for 20 years -- six straight. Some states have been in the Democratic column even longer.

It's not just the number of blue states but how huge an advantage they provide for the Democratic presidential nominee. Altogether, these 18 states plus the District of Columbia account for 242 electoral votes -- just 28 shy of the 270 magic total required to win the White House. If the wall holds firm, the Democratic nominee only has to win a handful of purple states to go over the top. Florida's 29 electoral votes alone would seal the election.

The Republicans have their own "red wall," and it actually includes more states: 21 plus a major chunk of Nebraska. They are the GOP bulwark, voting consistently for the Republican presidential nominee in each of the past four presidential elections. But they tend to have much smaller populations than the Democratic states so that they account for only 179 electoral votes -- 91 shy of 270, leaving a huge hill to climb. John McCain -- a valiant candidate in 2008 -- won the red wall but nothing else.

The blue wall states dominate New England (every state but New Hampshire), the mid-Atlantic, the upper Midwest, and the far West (California, Oregon and Washington). By contrast, the red wall runs through the South and up into the Plains and mountain areas.

In this midterm cycle, the blue wall has proved so durable that no one has paid it much attention. Ten Senate seats are at stake in this blue territory, and Democrats look safe in nine of them; the one Republican who will win is Susan Collins of Maine, popular in part because she works across the aisle.

By contrast, all of the 13 Senate races that are in play this year are outside the blue wall -- some in purple, others in red states. Mitt Romney won 10 of them, and Obama's approval ratings are in the low 40s or below in every one of them.

In other words, this election has been extremely important for Republicans in the short term -- and for governing over the next two years -- but in significant ways, it is also an anomaly: a year when red and purple state Democrats who rode into office in 2008 on the coattails of a fresh, popular Obama became highly vulnerable for re-election when his coattails frayed.

In 2016, the tables will turn: It is the GOP that will have the more vulnerable Senate candidates in blue and purple states. If the Democrats field a strong presidential candidate, they could well retain the White House and win a majority in the Senate, too.

Then there are the demographic differences between a midterm and presidential electorate: This year's voters will be older and whiter than in 2016, favoring the GOP in an era when partisan voting trends are more divided by age and race than ever. In 2016, the pendulum swings back to the Democrats when their base -- younger, more racially diverse -- flocks to the polls. (Note: Republicans will continue to have a built-in advantage in House races until at least the next census in 2020 when new district lines will be drawn.)

None of this is written in stone, of course; parties can redefine their futures if they come up with good ideas and good candidates. In Massachusetts, the bluest of the blue, the Republicans this year are likely to seize the governor's office from Democrats because they have nominated a smart, winsome candidate, Charlie Baker, seen as better in creating jobs and economic growth.

Republicans looking to 2016 can also take heart because voters often sour on parties that have had the same president in the White House for two terms. Indeed, a party keeping the White House after a two-term presidency has occurred only twice in the past century -- with Franklin D. Roosevelt and after Reagan.

So, it is possible that these 2014 midterms will be a turning point for Republicans, opening a way back to control of both White House and Congress in 2016. But to use a George W. Bushism: They shouldn't mis-underestimate how tough it will be. As they say: "Beware the blue wall."

@highlight

David Gergen: Whatever happens Tuesday, GOP will face uphill battle in 2016

@highlight

Democrats have advantage of a "blue wall" of states with solid record in presidential races

@highlight

Democrats can win White House again if they hold blue wall and win Florida, Gergen says

@highlight

The political terrain for Republicans will be much tougher in 2016, he says