(CNN)It's the kind of thing you see in movies, like Robert Redford's role in "All Is Lost" or Ang Lee's "Life of Pi."

But, in real life, it's hard to swallow the idea of a single person being stranded at sea for days, weeks, if not months and somehow living to talk about it.

Miracles do happen, though, and not just in Hollywood.

We're not talking about people who float aimlessly or run aground after running out of gas or being let down by faltering winds only to be picked up a few hours later by the U.S. Coast Guard.

Much rarer are cases in which individuals become lost at sea long enough that they run out of whatever food and drinking water they'd brought aboard, if any. In order to survive, they can't bank on technology or the proximity of a nearby city, town or boat -- but instead must rely on ingenuity, resourcefulness and luck.

It's hard to say how many of these types of stories end sadly, with a sailor dying at sea, except that it is a much higher number than those that end in rescues.

Such happy endings do occur -- given what rescue agencies have reported and assuming you believe what any sole survivor says, a big qualifier since typically no one else can prove or refute their accounts.

Below are a few recent examples:

Louis Jordan says that he set off on his 35-foot sailboat from South Carolina in late January. He headed into the Gulf Stream looking for a good spot to catch fish.

And then everything -- his boat, his life -- turned upside down.

Rescued man says he is 'utterly thankful'

Not only did his boat capsize, but its mast broke, Jordan said. And so, too, did his shoulder.

He bought time by rationing water, then collecting fresh water in a bucket. As to food, Jordan says he used laundry to trap and scoop up fish. And he rigged a makeshift mast and sail.

But, Jordan said, "It took so long. It moved so slowly."

His sailboat would capsize two more times before crew members on a German-flagged container ship, the Houston Express, spotted Jordan about 200 miles off the North Carolina coast on Thursday.

After their reunion, his father greeted him with a hug and an admission every parent dreads.

"I thought I lost you."

Jose Salvador Alvarenga says his journey began in Paredon Viejo, a port on Mexico's Pacific coast, in late 2012. The exact date is up for debate -- he says he set off in December, locals say it was November. But what's not in doubt is that, after he left, he disappeared.

Until January 2013. That's when Alvarenga interacted with humans once again, thousands of miles away on a remote atoll in the Marshall Islands.

Castaway recounts how he survived over a year adrift in Pacific

What was supposed to be a one-day trip, he says, turned into an arduous odyssey across the Pacific Ocean, one that saw him lose his fishing companion and tested his will and ability to survive.

His nightmare began when winds blew the pair off course. Then a storm hit causing their boat, which was about three people long and one wide, to lose its engine and use of its radio communication and GPS systems.

Four weeks in, Alvarenga said his partner -- 23-year-old Ezequiel Cordova, according to the boat's owner -- died because he refused to eat raw birds.

The days, weeks and months ran together after that. Alvarenga says he drank rainwater and, when there wasn't any available, his own urine. He ate sea turtles.

Then, after 13 or 14 months adrift, he and his small, heavily damaged boat arrived on the Ebon Atoll, about a 22-hour boat ride from the Marshall Islands capital of Majuro. The atoll has one phone line, no Internet service and a few residents, two of whom Alvarenga spotted and shouted to after spending a night in the woods.

The El Salvador native told CNN that his faith in God helped him survive.

"I thought, 'I am going to get out," he said. "Get out, get out, get out."

Some in their late 60s might relax in their retirement, reining it in a few notches as life slows down. And if you live in Hawaii, there's even more reason to take it easy.

The thing is: Ron Ingraham isn't one of those people.

He's a fisherman. The sea is both his life and livelihood, his son, Zakary, told CNN. And he's tough, with his son jokingly comparing him to Rambo.

Still, even the hardiest fishermen would have been tested by what Ron Ingraham went through after setting off around last Thanksgiving solo from the Hawaiian island of Molokai.

Son vindicated as father rescued after 12 days at sea

After bad weather hit, Ron Ingraham told CNN affiliate KHNL/KGMB that his 25-foot sailboat went "backwards all night long." At one point, a huge wave struck -- pushing his mast into the water and him as well.

The 67-year-old used a rope to pull himself back in. But his boat couldn't be rescued so easily, leaving him at the mercy of the current.

A distress call went out, prompting a search that would cover 12,000 square miles. When a Coast Guard official told him the search was being called off December 1, Zakary Ingraham responded, "I don't feel like he's dead. I don't feel it."

He was right. Twelve days after that first distress call, Ron Ingraham was picked up about 64 miles (103 kilometers) south of Honolulu "weak, hungry and dehydrated" and -- most importantly -- alive.

The veteran fisherman headed back to shore only after getting assurances his damaged boat would come with him.

In February 2012, two friends asked 18-year-old Adrian Vasquez whether he wanted to tag along on an overnight fishing expedition. He said yes, and the three set off from the Panama town of San Carlos on a small boat, Vasquez's mother, Nilsa de la Cruz, recalled.

Things started out well, by all accounts. The three caught plenty of fish.

Then, their boat's engine died without warning. And, with no tools and scant navigational experience, the trio didn't know what to do, according to Vasquez's mother.

Mother calls Panama teen's return 'a miracle'

Vazquez ate raw fish and drank rainwater as currents swept his boat, the Fifty Cents, further and further from the coast and into the Pacific Ocean.

Somewhere along the way, his two companions died. It's not clear exactly how, with Ecuadorian Rear. Adm. Freddy Garcia Calle saying Vasquez threw their bodies into the sea "because they had become badly decomposed."

Some 26 days after and nearly 600 miles away from where the journey began, fishermen spotted the tiny vessel north of the Galapagos Islands. The Ecuadorian navy came in and picked up the teenage survivor, who'd lost 20 pounds and showed "severe signs of dehydration and lack of nutrition," according to Calle.

He returned home to loved ones eager to embrace him, but mindful of giving him time to process the ordeal.

"For us, this is an opportunity to get closer as a family," his mother said by phone, "to be more understanding and loving."

Sometimes one doesn't have to be in the ocean for weeks to have his or her life imperiled. Sometimes people don't have to set off by boat to have the sea challenge them to the end.

For proof, look no further than Hiromitsu Shinkawa.

60-year-old man waves red flag to alert rescuers

He was at home on March 11, 2011, when a massive 9.0 magnitude earthquake struck 231 miles northeast of Tokyo. A devastating tsunami followed, its 30-foot waves ravaging cities and towns and damaging several nuclear reactors. By the time it had run the course, nearly 16,000 people were dead.

It's a miracle Shinkawa wasn't one of them.

Shortly after the quake, he and his wife had gone to collect some belongings when the tsunami slammed their hometown of Minamisoma. His home was one of the tens of thousands destroyed by the the huge, powerful tsunami wave.

"I was saved by holding onto the roof," the 60-year-old said, according to Kyodo News Agency. "But my wife was swept away.'

More than two days later, video showed Shinkawa barely visible amid heaps of splintered wood, shattered homes and other debris floating more than nine miles (15 kilometers) out to sea. He was waving a self-made red flag.

After being spotted by crew aboard a Japanese Maritime Self-Defense Force destroyer and picked up in a smaller rescue boat, he took a drink offered to him and burst into tears, Kyodo reported.

Shinkawa told his rescuers, "I thought today was the last day of my life."

@highlight

A South Carolina man says he spent 66 days alone at sea before being rescued

@highlight

Other sole survivor stories include a Japanese man washed away by a tsunami

@highlight

An El Salvador man says he drifted from Mexico to Marshall Islands over a year