(CNN) -- David Cronenberg's follow-up to 2007's "Eastern Promises" is an engrossing and brilliantly acted adaptation of Christopher Hampton's play "The Talking Cure" (itself based on John Kerr's book "A Most Dangerous Method").

It's centered around the real-life trio of psychiatrists Sigmund Freud (Viggo Mortensen), Carl Jung (Michael Fassbender) and Sabina Spielrein (Keira Knightley), a woman who is at first a patient and later a pioneer in psychoanalysis, herself.

Lacking any of the dark or macabre trappings of many of Cronenberg's previous films ("Crash," "Dead Ringers"), "Method" is instead a romantic, bittersweet and ultimately tragic character-driven film, focusing on the deep friendship between Freud and Jung, as well as both men's relationship with Spielrein.

Our first sight of Spielrein is her being dragged, literally kicking and screaming, out of a carriage and into the Burgholzli mental hospital in Zurich in 1904. She was what used to be called a hysteric. A non-specific condition attributed almost exclusively to women and based at least in part on the Greek word for womb (hystera), it is a diagnosis no longer made, due in part to the work that Freud and Jung did with Spielrein.

Around this time, Jung was experimenting with a radical new method of treatment for mental illness that Freud had developed, the "talking cure," which we now refer to as psychoanalysis. A young, educated and extremely intelligent woman, Spielrein was the ideal patient for Jung to work with and he was soon getting results.

With a goal towards becoming a doctor, Spielrein is amazed at and relieved by the effect Jung's treatment has on her behavior and is intrigued by his methods, even going so far as to basically assist with her own treatment. Spielrein is clearly a hyper-intelligent young woman, and watching Knightley cycle through shame, anger, revelation, arousal and, ultimately, relief is a pleasure.

Spielrein's collection of tics, shrieks, shudders and fears slowly gives way to a modicum of calm as her treatment progresses and we see the brilliant and curious woman beneath. Most of those who have used phrases like "over the top" to describe Knightley's performance have clearly misunderstood the meaning of the word "hysterical." It is actually one of the most controlled performances I've seen this year.

Spielrein had endured a childhood rife with corporal punishment and humiliation at the hands of her father, and when Jung discovers a sexual element to her condition (she actually liked the spankings she received but was overcome by shame), it was clear to him that he had a case that confirmed Freud's theory of an underlying sexual connection to emotional disorders. Thus begins a correspondence and eventually a strong friendship between the two psychiatrists.

Fassbender, an actor who is undoubtedly on the cusp of superstardom, delivers a performance as equally brilliant as Knightley, but his is almost entirely internal. Jung hides his thoughts behind a psychiatrist's generally impassive veneer, and thus Fassbender's eventually heartbreaking work on screen is largely one of subtlety. When his relationship with Spielrein veers from the professional to the personal, however, his calm exterior begins to crack.

Jung's psychiatric discoveries are framed by the growing relationship between himself and Freud as the two men correspond about Sabina's treatments and other theories. Mortensen's Freud is the elder statesman, arrogant at times but clearly happy to have an acolyte of such high intellectual ability, and Jung is grateful for the attention of the eminent doctor Freud.

Complicating things is Jung's wealthy wife, and the disparity of economic means between the two men is occasionally a bone of contention including the instance of a trip to the United States where Jung's wife books him a first class stateroom while Freud and his assistant are in lowlier accommodations. A bit of an ego blow to the man who invented the concept and their relationship continues to suffer.

The methods and theories that Freud had been advancing were strange and uncomfortable to the psychiatric community, not to mention the general public and having Jung as a comrade in arms gave Freud intellectual protection when the two functioned as a united front. However, once Jung began to feel more assured in his own theories and ideas (including some that could be considered verging on the paranormal) Freud started to resent the younger man's advances in the field, not to mention having no respect for Jung's more esoteric research.

The other key to the collapse of their professional and personal relationship is Jung's sexual relationship with Spielrein. It is a serious breach of ethics, a betrayal of his wife and, when Jung denies it in a letter to Freud, a stain on his integrity.

"A Dangerous Method" is another example of how many true-life stories are out there that can be made into compelling and moving cinema. It is a historical drama, a bittersweet romance and the story of a professional friendship-cum-rivalry that gave birth to arguably the greatest advance in the history of mental health.

Cronenberg is a master director at the top of his game, and "A Dangerous Method" is a film where the beauty is in the performances, language and ideas.

Reviewed at the 2011 Toronto International Film Festival, "A Dangerous Method" is rated R and contains some less-than-vanilla sexual imagery and situations.

@highlight

Watching Keira Knightley cycle through shame, anger, arousal and relief is a pleasure

@highlight

Michael Fassbender's eventually heartbreaking work is largely one of subtlety

@highlight

It's an historical drama, a romance and the story of a professional friendship