(CNN) -- It was like any other day. If anything, it might have been a little better than usual -- with more deserved honors for the kids, more jokes and songs, more smiles. Even Mother Nature, after storms the previous day, seemed at first to cooperate as the sun shone brightly.

But things changed quickly.

And in Oklahoma, where adults and children alike habitually practice what to do if a tornado strikes, change can prove deadly.

Things are different, more heartbreaking now for students and staff at Plaza Towers and Briarwood elementary schools in Moore, both of them leveled by a tornado.

"A lot of pain, a lot of tears, very little food and very little sleep is the way you get through it," Plaza Towers principal Amy Simpson said Friday.

The memories linger. They are not just of the horrible moments when the twister tore through their schools, but the minutes before as teachers did what they could to keep their students safe and in control as it approached, the short time before that as frenzied parents rushed in looking for their sons and daughters, and the hours before that when everything seemed perfect.

"What started off as a normal day at Plaza Towers tuned into a horrible, horrible thing for seven families," said Simpson, referring to the seven of her students killed by the storm.

Inside a tornado-ravaged school

A frenzied, yet controlled few horrific minutes

Each school week at Plaza Towers starts with "Rise and Shine." It's a chance for students to see their teachers and counselors, to sing and recite the school creed, and to honor youngsters' accomplishments inside and outside school.

"During that morning meeting, we celebrate kids," the school's principal said.

On Monday, the celebrations didn't end there. Simpson recalled then heading to an hour-long award ceremony for first and second graders to toast their many achievements, then to a practice for sixth-graders' commencement exercises.

After that, kids started filing into the cafeteria for the first of six lunch sessions the school has.

"Everything in the morning went exactly as it has for the last 170 days," Simpson recalled.

It was after lunch that teachers first got word to be on alert for severe weather.

Still, at that point, no one knew a twister was heading their way. Simpson continued to go about her business, interviewing a candidate for a pre-kindergarten position, when she noticed heavy thunderstorms roll through.

A balm after the storm

Simpson ended the interview and noticed parents starting to stream in to pick up their kids. This happens often when it rains heavily, but the principal sensed something abnormal was up as parents rushed in faster and in greater numbers than usual.

"At that point, I made a decision that you didn't have to check out your child the formal way," Simpson recalled, saying she stood out front to see who was coming and going.

Some parents were noticeably scared. One father, Simpson said, was "in a panic." She told him that he had to calm down -- so as not to alarm any students -- before he went through the hallways to retrieve his child.

This steady stream lasted 5 or 6 minutes before the sirens went off, indicating a tornado on the ground. Simpson got on the intercom and told everyone to do what they'd practiced in all those drills. Then she walked up and down the hallways. (She couldn't get to where her second and third-graders were, however, as they were in a different building.)

Some teachers tracked the twister on mobile devices, until Simpson asked them to turn them off. She did another walk-through and saw her staffers rubbing the backs of their students, some of whom -- with their heads down and hands over their heads -- sang.

When the principal got back to the front of the school, the tornado was nearly on top of them. She got on the intercom one more time.

"It's here."

Just doing their jobs? Teachers save lives during tornado

Rising from the rubble

Simpson huddled in a bathroom with four other women. "The only time I yelled (I said), 'In God's name, go away, go away.' I said it about four times."

Debris was still flying when Simpson pushed out the door, stepped over a sink, and noticed "the whole neighborhood was gone."

Somehow, her phone rang. It was her mother, and she told her to call 911.

There were no more walls left in her school. The bumper of a car sat between the pre-kindergarten and kindergarten students.

"I could see the kids peeking around what used to be a corner," Simpson said.

Justin Ayres, a fifth-grade teacher who was the first to spot the twister, was the first one out on one side of what had been the school. Men and women, meanwhile, were running foward to help.

Within minutes, Simpson recalled, the pre-K, kindergarten and first graders were safely out. Her husband soon arrived and put his hand on her shoulder.

"I said, 'Go help second and third grade,'" referring to those students who were in a different, nearby building. "I haven't seen any of them yet."

More and more students emerged, some of them heading to a nearby church. But what had been the second- and third-grade building was precarious, at best.

"I made my way around there, then I begged and pleaded for the human chain to get me up there," Simpson said. "They did. And they were pulling out students and teachers."

All seven killed at Plaza Towers died in that rubble.

"The rest of the evening was a nightmare."

One block, two tornadoes: Life in the crosshairs

'They grew up really fast'

Briarwood Elementary Principal Shelley Jaques-McMillin's first impression of Monday?

"I remember thinking, "Yeah, it's sunny! So we're going to be able to go outside."

School started, as it always does, with what's called the Grizzly Growl -- a time for singing, dancing, celebrating.

"(I remember) the happy faces, how excited they were, just seeing them smile," said Jaques-McMillin. And there was laughter when a special guest -- a sheep -- made a special appearance. Staffers had to give it a kiss, because a group of students had reached their reading goal.

Lunchtime that day was especially fun.

"This is what school is about," Jaques-McMillin remembered saying at the time. "This is why we do what we do. They're so happy."

The next few hours went by in a blur -- in some ways, much like at Plaza Towers. There were the students and staff doing what they'd practiced in tornado drills -- the sirens, and more.

Jaques-McMillin felt stronger, more resolute this time than when the last EF5 tornado -- the strongest such classification -- came through Moore. When that happened, she was alone and horrified.

This time was different. She had a sense of purpose, beyond simply making sure they survived.

"I have 675 students that I promise their parents every single day, I will protect your kids," Jaques-McMillin said. "I'll feed them, they'll be safe, and I'll give them back at the end of the day."

Briarwood Elementary didn't survive the tornado, but everyone who had been inside did.

They included 4-year-olds and students set to move onto seventh grade, though they were still kids at heart.

Yet on Monday, one of them reached down to a teacher, who was trapped in the rubble with water from a busted pipe blowing in her face.

"He grabbed her hand and said, 'Calm down, I'm going to dig you out."

And he did, just a few days after letting loose during a "Glow in the Dark" party.

"Here they were, being silly on Friday night, ... dancing, being sixth-graders," Jaques-McMillin said. "They grew up really fast."

Graduations provide respite from tragedy

@highlight

Principals of two Oklahoma schools leveled by tornadoes talk to reporters

@highlight

They recall an upbeat morning filled with songs, celebrations and more

@highlight

Students and staff did what they had practice in tornado drills when the time came

@highlight

A principal says a student told a teacher to calm down, dug her out of rubble