Atlanta (CNN) -- It looked like two two-by-fours nailed together.

But it had nails sticking out of it, and Gary Wright, standing in the parking lot of his Salt Lake City computer company, thought he should move it. When he picked it up, it exploded.

It was February 20, 1987, when Wright, then 25, became a member of a dubious club: victims of the so-called "Unabomber."

Wright's secretary helped police put together a composite sketch of the suspect -- a man wearing a hooded sweatshirt and aviator sunglasses -- that was distributed nationwide.

But it was nine more years before the Unabomber's 18-year reign of terror came to an end. Ted Kaczynski, now 68, killed three people and wounded 23 others in a string of bombings from 1978 to 1995. He was arrested in 1996, pleaded guilty in 1998 and is now serving a life term in the federal "Supermax" prison in Florence, Colorado.

On Wednesday, a hooded sweatshirt very like the one pictured in the composite drawing, along with several pairs of sunglasses, were among some 60 items belonging to Kaczynski offered for online auction by the federal government, with proceeds to benefit some of Kaczynski's victims.

"His whole life is basically here," said Albert Najera, U.S. Marshal for the Eastern District of California.

Items offered on the website, gsaauctions.gov, include Kaczynski's birth certificate; school records; his diplomas from Harvard University -- where he was accepted at 16 -- along with his diplomas for his master's and doctorate degrees from the University of Michigan; letters to and from him; and original handwritten and typewritten copies of Kaczynski's manifesto, which ultimately led to his capture. The manifesto is among about 20,000 pages of documents up for sale.

The auction runs through June 2. In the first few hours after bidding began Wednesday, the top bid for a handwritten copy of the manifesto was up to more than $6,000.

Wright retains almost crystalline recall of the bombing. "The only thing I don't remember is flying through the air," he said. He suffered some 200 shrapnel wounds, including nails through his chin and lips. An ulnar nerve in his left arm was severed, leaving him permanently without feeling in some of his fingers.

He recalled spending "a lot of time getting put back together." His insurance did not cover his medical costs, since they resulted from an act of terrorism. Although he received some discounted rates from doctors and hospitals and some help from Utah's crime victim reparations law, he estimates he has spent more than $100,000 on medical care and counseling.

Wright is one of four victims seeking restitution; the others opted not to. The four were awarded $15 million.

"It was very, very difficult to have some of the conversations that needed to be had over this auction," he said Wednesday. But he plans to take the money and "do something good with it ... if you're assigned restitution, pay it."

Not everyone agrees, however. Mark Olshaker, who co-authored a book on the Unabomber with an FBI profiler, said he thinks the auction is a "misguided idea."

"All it can do is help create this cult of notoriety around somebody like Ted Kaczynski, who really doesn't deserve it," he said.

Olshaker compared the items to Nazi memorabilia, and said the auction "can only help but glorify (Kaczynski) and takes the emphasis away from the victims, which is where it belongs."

Najera disagreed, saying the auction is a way to provide Kaczynski's victims with "more justice" in a world where victims rarely receive support from the justice system.

"The glory, if you will, is already there," he said. "... That's part of our societal fabric. Everybody wants to watch the train crash."

"I can see where people claim that it's going to revictimize and stuff, but I don't believe that," said Wright, now 50, who lives in Folsom, California. "The thing that is funny to me, you're always going to have a piece of the population who has a very strong opinion and they've never been affected by it."

The auction is the culmination of a court battle. The 9th U.S. Circuit Court of Appeals approved the auction plan in 2009, Steve Hirsch, a San Francisco attorney who represented the four victims in the court proceedings regarding the auctions, said last week.

The nearly two-year delay is due to two factors, Hirsch said. First, "the auction plan tries to protect the privacy of not only the named victims, but the other victims," and Kaczynski's writings had to be redacted to delete the victims' names and the details of their injuries, he said.

In addition, Kaczynski was furnished with copies of the writings, and filed motions in both the 9th Circuit and a lower court about them with objections including that he didn't have time to "quality check" the copies, Hirsch said. "We pretty much designed the auction around his objections," to prevent him from raising any potential First Amendment claims in court, he said.

Kaczynski has been "cycling through lawyers" throughout the court fight, he said, sometimes firing his appointed attorneys and opting to represent himself.

Overseeing the items Wednesday, retired FBI agent Terry Turchie said, "It does bring back a lot of memories."

Turchie led the FBI task force that arrested Kaczynski. He vividly recalls approaching the 10-by-12 cabin, which lacked running water or indoor plumbing, with a search warrant. It took agents two weeks to remove all of Kaczynski's possessions -- a search interrupted when a live bomb, ready for mailing, was found under his bed. The cabin has since been rebuilt and is in the Newseum in Washington.

Turchie remembered how the cabin smelled -- a mixture of dirt and smoke. "He wasn't exactly the greatest housekeeper," he said of Kaczynski. And he recalled the emotional moment when he and other agents realized that after a search spanning nearly two decades, the hunt for the Unabomber might be over.

"We just literally walked in on the mind of a serial bomber," he said.  The FBI gave the suspect the moniker "Unabomber" because of his early targets -- universities and airlines.

By all accounts brilliant, Kaczynski used creative techniques to avoid detection, Turchie said, even picking up hair samples from the floor of a bus station bathroom to place in his bombs, so DNA testing would lead authorities elsewhere. He began his bombing campaign, authorities said, because he was angered that the wilderness surrounding his cabin was being destroyed by development.

But items offered in the auction also show another side of Kaczynski. "Thank you for your letter offering condolences," says one letter to him, dated November 1990. "I was very touched by it. It was easy to be nice to you as you were a delightful, lovable little boy."

Personal photographs are also for sale, along with other items of clothing, books with titles like "Violence in America" and "Sense and Nonsense in Psychology" -- and even a record of Kaczynski's attempt to seek help.

"I am writing you in regard to your request for services," says a May 1988 letter from a Montana mental health center. "At this point in time we do not have any female therapists available." If Kaczynski wanted a male therapist, the letter says, the next available appointment would be "some time in July" -- more than a month away.

The 35,000-word manifesto itself led to a break in the investigation, according to the FBI. The essay claimed to explain the bomber's motives and railed against modern society. The task force recommended it be published, in hopes it would lead to the bomber's identity.

After it appeared in The Washington Post and The New York Times, authorities were contacted by David Kaczynski, the FBI said, who provided letters and documents written by his brother. "Our linguistic analysis determined that the author of those papers and the manifesto were almost certainly the same," authorities said.

The documents provided the basis for the search warrant for Kaczynski's cabin.

The irony of using the very technology Kaczynski railed against to sell his possessions is not lost on authorities. "My first thought was, 'Mr. Kaczynski's going to be livid,'" Najera said.

The only items not included in the auction are bomb-making materials and any diagrams of bombs, officials said.

Wright said he doesn't agree with the sale of letters to and from relatives, believing they should be returned to Kaczynski's family. "To me, that's crossing a line," he said. "The family member was not involved in the crime at all."

One of Kaczynski's victims, medical geneticist Dr. Charles Epstein, died in February. Epstein was injured in 1993 when a bomb exploded in a piece of mail he opened at his home. The blast destroyed his eardrums and he lost parts of three fingers. Epstein told CNN in 2009 he regarded Kaczynski as "the essence of evil."

Wright doesn't share that view. He struggled with post-traumatic stress disorder, he said, and spent years wondering who could have done such a thing. Eventually, he said, he decided "I've got to forgive this guy. He may never be caught. I'm dealing with a ghost."

"There's no such thing as closure," he said. "There's just a different way of living life."

CNN's Abbie Boudreau and Scott Zamost contributed to this report.

@highlight

Ted Kaczynski's personal items are offered in an online auction

@highlight

Kaczynski, the "Unabomber," killed three people and wounded 23 others

@highlight

The auction will benefit the four victims who are seeking restitution

@highlight

Items include books, letters, photographs and clothing