Editor's note: David Paterson, a Democrat, is governor of New York.

New York Gov. David Paterson says taxing soft drinks could help combat obesity.

ALBANY, New York (CNN) -- Like many New Yorkers, I remember a time when nearly everyone smoked. In 1950, Collier's reported that more than three-quarters of adult men smoked. This epidemic had a devastating and long-lasting impact on public health.

Today, we find ourselves in the midst of a new public health epidemic: childhood obesity.

What smoking was to my parents' generation, obesity is to my children's generation. Nearly one out of every four New Yorkers under the age of 18 is obese. In many high-poverty areas, the rate is closer to one out of three.

That is why, in the state budget I presented last Tuesday, I proposed a tax on sugared beverages like soda. Research has demonstrated that soft-drink consumption is one of the main drivers of childhood obesity.

For example, a study by Harvard researchers found that each additional 12-ounce soft drink consumed per day increases the risk of a child becoming obese by 60 percent. For adults, the association is similar.

If we are to succeed in reducing childhood obesity, we must reduce consumption of sugared beverages. That is the purpose of our proposed tax. We estimate that an 18 percent tax will reduce consumption by five percent.

Our tax would apply only to sugared drinks -- including fruit drinks that are less than 70 percent juice -- that are nondiet. The $404 million this tax would raise next year will go toward funding public health programs, including obesity prevention programs, across New York state.

The surgeon general estimates that obesity was associated with 112,000 deaths in the United States every year. Here in New York state, we spend almost $6.1 billion on health care related to adult obesity -- the second-highest level of spending in the nation.

Last year, legitimate concerns about links between consumption of fast food and the prevalence of heart disease prompted New York City to ban the use of trans fats in restaurant food.

No one can deny the urgency of reducing the rate of obesity, including childhood obesity. Obesity causes serious health problems like type 2 diabetes, high blood pressure and high cholesterol. It puts children at much greater risk for life-threatening conditions such as cardiovascular disease and cancer.

We must never stigmatize children who are overweight or obese. Yet, for the sake of our children's health, we have an obligation to address this crisis. I believe we can ultimately curb the obesity epidemic the same way we curbed smoking: through smart public policy.

In recent decades, anti-smoking campaigns have raised awareness. Smoking bans have been enacted and enforced. And, perhaps most importantly, we have raised the price of cigarettes.

In June, New York state raised the state cigarette tax an additional $1.25. According to the Campaign for Tobacco Free Kids, this increase alone will prevent more than 243,000 kids from smoking, save more than 37,000 lives and produce more than $5 billion in health care savings.

These taxes may be unpopular, but their benefits are undeniable. Last month, the Centers for Disease Control and Prevention reported that, for the first time in generations, fewer than 20 percent of Americans smoked. Lung cancer rates have finally begun to decline. As a result, we are all healthier.

Just as the cigarette tax has helped reduce the number of smokers and smoking-related deaths, a tax on highly caloric, non-nutritional beverages can help reduce the prevalence of obesity.

To address the obesity crisis, we need more than just a surcharge on soda. We need to take junk food out of our schools. We need to encourage our children to exercise more. And we need to increase the availability of healthy food in underserved communities.

But to make serious progress in this effort, we need to reduce the consumption of high-calorie drinks like nondiet soda among children and adults.

I understand that New Yorkers may not like paying a surcharge for their favorite drinks. But surely it's a small price to pay for our children's health.

The opinions expressed in this commentary are solely those of David Paterson.

@highlight

Gov. David Paterson: At one time, most American men smoked cigarettes

@highlight

He says higher cigarette taxes helped drive down the number of smokers

@highlight

Paterson says obesity causes major health problems and billions in costs

@highlight

A surcharge on soft drinks is a small price to pay for children's health, he says