London (CNN) -- Violent extremist attacks, of the kind that claimed the life of Drummer Lee Rigby in May 2013, do not come out of thin air. Rather they are often the end product of a radicalization process in which extremist recruiters target impressionable young people with poisonous, pernicious and, more worryingly, appealing hate narratives.

Central to understanding why some young British Muslims are susceptible to Islamist- inspired hate narratives in the first place is the issue of identity. Growing up in Britain during the 1980s and 90s, as the authors of this piece did, was fraught with challenges for many from ethnic minority backgrounds. One would experience an acute sense of dual-marginalisation from a very early age, and this feeling would be exacerbated by daily experiences.

On one hand it was a struggle to connect with your parents, who were raised in a very different cultural context, and on the other hand it was challenging to connect with mainstream society, from which one felt alienated and discriminated. This created a sense of rootlessness and dislocation that resulted in an identity crisis. One did not know where he or she belonged, nor which aspect of one's multi-faceted identity to emphasise.

The out of touch and decrepit nature of the local mosques only served to heighten this acute sense of alienation and confusion. British imams, having been brought in from the Asian sub-continent, rarely spoke English and had very little understanding of the challenges facing young Muslims growing up in Britain. Furthermore, most mosques were tightly controlled by a group of elderly men, who ruled with an iron fist and kept women and young people on the fringes.

In this troubling and delicate context a number of Islamist organizations emerged and began to offer a radical alternative. Taking advantage of the identity crisis that many young Muslims were suffering from, they presented Islam as a revolutionary political doctrine and being Muslim as a political, as well as religious, identity. They also focused their efforts away from the mosques, preferring to target educational institutions, as well as other ungoverned spaces such as the internet. This was because the strand of theo-politics they sought to promote was alien to the traditional religious establishments in the UK.

Their radical reformulation of Islam had certain implications. It meant one could now reject the culture of one's parents, since they did not understand the true Islam, as well as mainstream society, since it was perceived as being opposed to Muslim interests. Local and international grievances were weaved together and construed through a very specific narrative in which the monolithically conceived West was at war with Islam and Muslims.

This new identity also recalibrated one's sense of loyalty. Since one was now a Muslim only, with other nationalist identities being rejected, one's loyalty lay with fellow Muslims. This exclusive loyalty was also accompanied by a sense of mission and purpose.

Conflict zones around the world that involved Muslims were re-construed as front lines of a global war between Islam and Western capitalism. There was no sitting on the fence in this battle. Muslim men in particular were encouraged to see themselves as warriors who had a duty to protect the lives and dignity of Muslims around the world, who were suffering as a direct result of western aggression and policies.

It is this narrative, which has taken root in the UK for reasons outlined above, that inspired the killers of Lee Rigby to do what they did. In fact, Michael Adebolago articulated it very effectively during the trial, which he used as an opportunity to spout standard extremist propaganda. He described himself as a soldier, as did the ringleader of 7/7, Muhammad Siddique Khan, and highlighted the actions of British troops in Afghanistan.

However, Islamist extremists only ever present a very selective and sanitised version of their narrative to non-Muslims audiences with view to eliciting a degree of sympathy. They fail, for example, to express any outrage at attacks on Muslims by al Qaeda, nor do they dwell on their ambitions of waging a global war of conquest against non-Muslims.

The fact that the killers of Lee Rigby were converts to Islam, who had adopted the narrative from charismatic street preachers, illustrates that vulnerable people from a variety of different backgrounds can be seduced by the global Islamist narrative. A sense of victimhood and alienation needs to be present, as well as a strong anti-establishment sentiment. It, therefore, comes as no surprise that those with previous gang connections who exist at the margins of society are often targets of recruiters.

Perpetual political instability in the Middle East, North Africa and South Asia also continues to provide recruiters with material to exploit and construe through a dogmatic political prism. In the meantime, the outreach potential of social media allows recruiters to target a much wider audience than ever before.

Without an effective response that is cognisant of the psychology of the average recruit, and approach taken by the average recruiter, the efforts of extremists will continue unabated. This response needs to brave and prepared to venture into ungoverned spaces, such as the internet. We need to take the fight to extremists by challenging and deconstructing narratives of hate and division as well as offering new models which can be used to recalibrate political thought.

For counter-extremism practitioners such as us, eight years after 7/7 it still feels like our work has only just begun.

The opinions expressed in this commentary are solely those of Maajid Nawaz and Ghaffar Hussain.

@highlight

Extremist attacks often end product of radicalization process, write Maajid Nawaz and Ghaffar Hussain

@highlight

Nawaz and Hussain: Growing up in Britain during 1980s and 90s was challenging for ethnic minorities

@highlight

A number of Islamist organizations emerged and began to offer a radical alternative, say the writers

@highlight

It is this narrative that inspired the killers of Lee Rigby, say Nawaz and Hussain