(CNN) -- The New York governor's proposal to decriminalize the public possession of marijuana is drawing high praise from some politicians and police, black and Hispanic activists and backers of pot legalization.

"It is a step in the right direction," said the Rev. Al Sharpton, a prominent African-American political activist.

But some voices issued warnings about the proposal, with one group, the Drug Free American Foundation, arguing that it is not the time "to be backing off the marijuana law."

New York Gov. Andrew Cuomo unveiled the proposal Monday and said the law would end a double standard that has disproportionately hurt black and Hispanic youth.

In 1977, New York's legislature reduced the penalty for possessing 25 grams or less of marijuana to a non-criminal violation carrying a fine of no more than $100 for first-time offenders, as long as the marijuana was in private possession and not in public view.

If the marijuana is out and viewable in public -- as it might be when someone is asked to empty his or her pockets during a police "stop and frisk" -- it becomes a Class B misdemeanor and can lead to arrests and jail.

The "stop and frisk" policy allows police to stop and search anyone they deem suspicious.

In 2011, more than 50,000 arrests were made for small amounts of marijuana, the governor's office said. Half of those arrested were under 25 years old, and 82% were black or Latino. Less than 10% were ever convicted of a crime.

Selling and smoking or burning marijuana is still a crime, and Cuomo is not suggesting changing that.

"If you possess marijuana privately, it is a violation. If you show it in public, it's a crime. It's incongruous. It's inconsistent the way it has been enforced," Cuomo said in Albany on Monday.

As a result, thousands of young people have wound up "with a permanent stain on their record for something that would otherwise be a violation. The charge makes it difficult for them to find a job," Cuomo said.

His proposal won praise from some legislators, police, the Manhattan district attorney and New York Mayor Michael Bloomberg.

But some say the proposal is counterproductive.

David G. Evans, special adviser to the Drug Free America Foundation and a criminal defense lawyer in New Jersey, said the group is "very very concerned with this latest development."

"This can be seen by the young people as approving the use of marijuana, and they will most likely use marijuana. Marijuana of today is much more addictive and much more potent, and it poses health and criminal problems."

New York State Assemblyman Brian Kolb said he doubts legislators will back the proposal because of "pushback" from the community. He argues that marijuana possession is a federal crime, and "it does not make sense to pass guidelines at the state level that contradicts federal laws."

"This is a wrong message to send across the country," he said. "This should be a decision at the federal level to be interpreted for all the 50 states."

He said the Food and Drug Administration should make sure the plan follows the proper protocol.

"This is not a states-rights issue. This is a drug issue. In this case, this is a controlled-substance issue," he said.

But Sharpton, president of the National Action Network, said the proposal would address police abuse.

"We have been convinced, given the data, that Stop and Frisk does not alleviate crime but instead increases the racial profiling exposure of mostly young Blacks and Hispanics," he said in a statement.

Allen St. Pierre, executive director of the NORML Foundation, which supports legalizing marijuana, said he expects legislators to "faithfully embrace" the proposal.

He also said the proposal is "a political no-brainer" because most Americans will someday back "marijuana possession in small amounts." He said Cuomo, who might one day might have presidential aspirations, is positioning himself as the "marijuana law reformer."

Lester Grinspoon, a psychiatrist, retired professor at Harvard University and expert on drug policy, said Cuomo's move is "a step on the way of what is inevitable."

"Adults should be allowed to use marijuana responsibly, in much the way we use alcohol," he said. "It's not just because it's a civil liberties issue. It is very important to furthering marijuana as a medicine."

He said marijuana has been used in the treatment of cancer, multiple sclerosis, AIDS and glaucoma.

Robert MacCoun, professor of law and public policy at the University of California at Berkeley, said a dozen states have decriminalized small amounts, usually up to an ounce for a first-time possession, and most of the legal changes took place in the 1970s.

An expert on marijuana laws, MacCoun said the "decriminalization label has mattered less and less" over time.

"First, the other 38 states have become less and less likely to send convicted marijuana possession felons to prison. Second, states that have 'decriminalized' -- like New York -- still make lots of arrests for marijuana. Few of those arrested will end up in prison, but they may do a short jail stint."

And echoing concerns about the stain of an arrest for marijuana, he said, "there is a lasting effect on their records, which hurts their employability."

MacCoun said the "big change" over the past 10 years "is the partial legalization of medical marijuana in many states."

"Recent polls suggest that roughly half of American voters now support some form of legalization; if current trends continue, I think we'll see a state legalize marijuana soon, perhaps even this November. But there will be a thorny conflict with federal laws that prohibit marijuana," he said.

He points out that medical marijuana or decriminalization can't be confused with "true legalization." He called decriminalization a "sensible reform" and not a "risky" legal change.

"Marijuana possession sanctions have almost no measurable effect on levels of marijuana use. So it is not clear whether any valid purpose is being served by all the marijuana arrests in New York, and people of color are much more likely to be arrested even though they are not more likely to be marijuana users," he said. "Legalization is more complicated, because the steep drop in prices would be difficult to offset with a sustainable tax, and so consumption would probably increase."

Manhattan District Attorney Cyrus R. Vance Jr. said, "the human costs to each defendant charged with a misdemeanor are serious."

"The simple and fair change proposed by Gov. Cuomo will help us redirect significant resources to the most violent criminals and serious crime problems, and, frankly, it is the right thing to do."

The governor's office said 94% of arrests for small amounts of marijuana in the state are in New York City, and Bloomberg, the New York Police Department and Police Commissioner Ray Kelly have come under fire in recent years for the department's "stop and frisk" policy.

Last year, Kelly issued a policy order directing officers to issue violations, rather than misdemeanors, for small amounts of marijuana discovered during street searches.

On Monday, Bloomberg issued a statement in support of Cuomo's comments.

"The governor's proposal today is consistent with the commissioner's directive and strikes the right balance by ensuring that the NYPD will continue to have the tools it needs to maintain public safety -- including making arrests for selling or smoking marijuana," he said. "Thanks to the NYPD, our city has come a long way from the days when marijuana was routinely sold and smoked on our streets without repercussions."

Kelly said Monday, "I was asked to respond to criticism by some members of the (City) Council that the Police Department was making 'too many' arrests for small amounts of marijuana. And my response to them was, 'Well, your option is to go to Albany and get the law changed.' Better that than having New York City police officers turn a blind eye to the law as it was written, and as it is still written."

And, with the backing of the mayor and the governor, it's hard to fathom any significant opposition to the proposal will arise, said Peter Moscow, an associate professor in the Department of Law and Police Science at John Jay College of Criminal Justice in New York.

"It's a positive move," he said.

CNN's Chris Boyette contributed to this report.

@highlight

One expert says the move is a step toward the "inevitable": legalization

@highlight

The proposal has a good chance because Bloomberg and Cuomo support it, a professor said

@highlight

A marijuana arrest hurts a person's chances for employment, the governor says

@highlight

An anti-drug group official says marijuana "poses health and criminal problems"