(CNN) -- There was no space on the Inca Trail. "Estás seguro?" I pleaded with dormant Spanish, or "Are you sure?" in English. I was sitting face to face with the ninth Peruvian salesman that day to offer the same answer. He was positive. No space on the Inca Trail, entering Machu Picchu via the Sun Gate, but his alternative trek was the real deal, he said.

Machu Picchu was rediscovered in 1911 by Yale University professor Hiram Bingham.

I said, "Gracias," grabbed my bag and went trudging out the door and back into the rain.

At this point, I could not remember the smile I wore just hours before as I boarded my New Year's Eve flight and watched Atlanta grow smaller below me -- four days trekking in the Andes, a new adventure! That smile had vanished, the woman who grinned it, gone. In its place, a miserable downtrodden troll with fiercely angled brows, standing in the middle of the Plaza de Armas in Cusco, Peru -- with no Inca Trail booked.

As a wind-follower, I always try to make travel arrangements as I go. I lay out rough plans, cities and dates, and see what adventures may come. The Inca Trail, however, does not afford such luxury.

Over the years, the Inca Trail has become more a sales feature for adventure companies than a tranquil or mystical journey. The frat party of historic treks, it often comes fully equipped with booze, crowds and disgusting bathrooms. Similarly, the Inca Trail also has a maximum capacity before doors to the public close. Years of feet trampling Inca steps led the government to institute a 500 person per day limit in 2002 on the historic trail -- including trekkers, guides and porters -- to prevent over-saturation of the trail and to maintain the sanctity of the sites.

As I entered company after company, each promising slight variations of alternate treks for drastically different prices, I nearly hung up my poncho and headed home. That is, until I finally swallowed my wind-follower pride, opened a guidebook and tracked down some of the recommended operators. This proved a worthwhile endeavor, as Cusco is a maze of adventure agencies among a few trek operators. Agencies sell customers to operators, collecting profits and, oftentimes, unsatisfied travelers.

Once I learned I couldn't have the journey, I grew even more set on keeping the destination. Determined to stay Machu Picchu-bound and only able to squeeze in a short trek by this point, I opted for an alternate-Inca hybrid trek. The two-day Inca joins the traditional Inca Trail a short distance from the Sun Gate, the path the Incas took into Machu Picchu. Though it carries the Inca name - -and the 500-person regulation -- it arrives at the Sun Gate in the evening, sacrificing the most sought after sunrise view. It also does not include camping or any of that delicious, trek-cooked food. My two-person group ate bag lunches, spent the one night in Aguas Calientes, the base city to Machu Picchu, and looked on enviously at Inca Trail trekkers sharing beer, some grilled alpaca and a game of cards at the final rest stop where the trails unite.

If I had looked beyond my Inca-only vision, I would have discovered that the Inca Trail is just the tip of the Peru trekking iceberg -- literally iceberg if you go during low season. Several alternate treks land right in Aguas Calientes that can be booked mere days in advance. Though these treks do not enter Machu Picchu through the Sun Gate, many locals and travelers prefer alternate routes through quiet villages and isolated peaks, as they offer an often less expensive, more serene, untouched vision of Peru.  See a map of the area around Machu Picchu »

Salkantay is the most frequented Inca Trail alternative. This trek is usually recommended for people who can't get on the Inca Trail, but still want a similar experience. Traditionally five days/four nights, it leads trekkers up Salkantay Mountain (one of the highest peaks in the Andes of Peru at over 20,000 feet) and passes by some Quechuan communities and lesser-known Inca ruins, traversing everything from snow-capped mountains to hot springs. However, as it has become increasingly known as the alternate trek to the Inca Trail, the serene views of the trek often compete with crowded trails and camping sites.

While Salkantay offers a glimpse at Quechuan communities, the Lares trek offers a full panorama of the Quechuan lifestyle. Against a picturesque landscape, this four-day/three-night trek is famous for the textile villages it enters along the way. It ascends 13,000 feet, crosses two peaks, hot springs and lakes, and it offers a spectrum of regional animals to view, including llamas, vicuñas, alpacas and chinchillas. However, since the trek gained popularity five years ago, "It has become a little more touristy. It has lost a little bit of its initial essence and purity," said Silvia Rico, general manager of Enigma Adventure Tour Operator.

For those seeking even more of an adventure, Choquequirao is the ideal trek. This nine-day/eight-night trek passes the two largest Inca sites in the Cusco region: Machu Picchu and Choquequirao. The latter is a huge archaeological complex that is only about 30 percent excavated and thus has endured minimal tourist foot traffic. Surrounded by the Salkantay mountain, the trek dives into the Apurimac River canyon and passes waterfalls, villages, Inca ruins and frequently condors. It does have one major drawback: before continuing on to Machu Picchu, trekkers must backtrack the two days' journey it takes to arrive at Choquequirao, resulting in some repeated views.

For solitude and serenity searchers, the Vilcabamba trek is ideal. "Total isolation. There's nothing like doing a trek when there's no other people," says Michelle Graham of Llama Path Tours, as she describes why Vilcabamba is her favorite of the alternate treks. This trek enters the last refuge of the Incas, Vilcabamba, and like Salkantay, offers spectacular diverse views ranging from tropical jungles to snowy peaks. Unlike Salkantay, however, this trek combines Inca history with little interference from tourist passersby.

Families, older people, and travelers who simply don't have the time can arrive in Aguas Calientes by train and continue up to Machu Picchu either by bus or by ascending the five-mile trail. Some companies offer jungle tours, in which cycling is combined with trekking. However, as with all treks, be aware of agencies that set up tourist traps with dilapidated bikes that turn into broken bikes and extra charges on the bill.

Regardless of the trek you choose, the dry season -- from April through October -- is the ideal time to make the journey. Many tour companies don't operate these treks during rainy summer months. December through February are the worst (Excellent choice on my part).

Though I never intended to fly to Peru for a two-day trek, once I wiped away the fog on my optimism lenses, I realized that many of the alternate treks to Machu Picchu are just as worthy of fame as the legendary Inca Trail. So I packed my backpack, laced my boots and wrapped myself in layers of water-resistant clothing. I trekked into the landscape where history meets present day. When I arrived at the hidden Inca city in all its breathtaking beauty, everything else was just icing on the llama.

@highlight

There's a 500 person per day limit on the historic Inca Trail

@highlight

Several more serene alternate treks can be booked mere days in advance

@highlight

For those seeking more of an adventure, Choquequirao is the ideal trek