(CNN) -- I was in Atlanta when I first learned of a controversy over an inscription marking the new Martin Luther King Jr. National Memorial in Washington. The quote on one side of the granite "Stone of Hope" reads, "I was a drum major for justice, peace and righteousness."

In an interview with The Washington Post, poet Maya Angelou argued that these were not King's exact words and that, out of context, they made a humble preacher look like "an arrogant twit."

Angelou expressed no concern with 14 other quotations from King that appear on a 450-foot-long memorial behind his statue.

By coincidence, this news found me as I began research for a book on the power of short writing. I've learned that we often use the shortest texts to express the most important messages, especially to honor and enshrine. Twitter did not invent short writing. From tattoos to gravestones to the base of monuments, we choose words with special care because we want them to last forever. In a short text, every word counts.

But with concision can come the loss of context.

The overwhelming impression of the new memorial derives, not from language, but from sculpture. Even small photos of the new statue make King look monumental. He stands 30 feet tall, strong and determined, arms folded, looking as if he just marched out of the huge block of stone behind him.

Memorial to be dedicated Sunday

In the presence of such powerful imagery, why the argument over a single sentence?

Angelou's concerns were echoed by other African-American scholars and leaders, who argued the 10 words on the monument base have been ripped from their original context and meaning.

In a sermon at Atlanta's Ebenezer Baptist Church, just months before his death in 1968, King preached, "Yes, if you want to say that I was a drum major, say that I was a drum major for justice. Say that I was a drum major for peace. I was a drum major for righteousness. And all the other shallow things will not matter."

In context, the word "if" makes all the difference. Without that opening conditional clause, it does seem that King is embracing the role of drum major rather than acquiescing to it.

I did not understand, until I visited Florida A&M University and other historically black colleges and universities, the importance of the drum major in African-American culture.

The drum major is a white American icon, too, of course, flamboyant even by the strait-laced Midwestern standards of Meredith Wilson's "The Music Man." Translated by famous black college marching bands, as pictured in the 2002 film "Drumline," flamboyance transforms itself into soulful spectacle.

To get a feel for the presence and status of drum majors, check out YouTube videos of auditions for that honored position. In addition to musical and leadership skills, the drum major must be able to strut, dance, spin, prance and perform backbreaking bends and splits -- without missing a beat.

At the Poynter Institute where I work, marble plaques in a central garden offer students inspirational sayings. Famous writing teacher Donald Murray quotes the Roman poet Horace: "Nulla Dies Sine Linea," Latin for "Never a Day Without a Line" of writing.

The engraver, not schooled in Latin, left out the word "Sine" (without), leaving us with dead-language gibberish that could be taken to mean the opposite of the original.

"Oh well," I said when I saw the mistake, "at least it's not carved in stone."

When we use the phrase "carved in stone," we denote something permanent, irreversible, unchangeable. But it ain't necessarily so. Ignoring my suggestion that we copy-edit the marble text with a magic marker, my boss ordered a corrected version of Murray's quote.

Everything I've learned about the language of enshrinement suggests that the inscription on the King monument should be revised. It need not be changed right away or in a way that would embarrass those who chose the original. Any revision should grow from a desire to perfect for posterity a magisterial work that springs from the noblest intentions.

I know of no written standards for historical inscriptions, but the unwritten ones could come down to these two: 1) Quotes from the dead should never be taken out of context; 2) Quotations should reveal the honored character in the proper light -- or a better light. The drum major quote fulfills neither of these standards.

To restore most of the original context would require the addition of 12 short words: "If you want to say that I was a drum major, say that. ..." A tighter compromise could be "If you say I was a drum major, say. ..." At the very least, a single word added to the existing quote would restore a bit of King's intended meaning: "Say I was a drum major for peace. ..."

Every writer I know has had an editor who, to save space, has cut a passage to the bone. Done well, the meaning can ring clearer with fewer words. Done poorly, something critical to the reader's understanding is left behind. The problem is serious enough when it occurs on paper or in pixels, even more serious when it's carved in stone.

The opinions expressed in this commentary are solely those of Roy Peter Clark.

@highlight

Maya Angelou reportedly has objected to a quote inscribed on King momument

@highlight

Roy Peter Clark: The "drum major for justice" quote was taken out of context

@highlight

Clark says it's crucial to preserve meaning when words are excerpted

@highlight

King memorial will be dedicated Sunday in Washington