(CNN) -- Visiting New Hampshire, it appears that Mitt Romney is well poised to sweep through the Granite State, and probably South Carolina and Florida, on toward the nomination. But the campaign here suggests that, as he looks toward November, darkish clouds loom on the horizon.

New Hampshire voters love to surprise, and perhaps they will again this time. Some 37% remain undecided (according to a WMUR/UNH poll released Friday), and one can never be certain how many independents will vote nor whom they will support -- especially with Romney making several unforced errors in the past 48 hours.

Still, he has been a steady front-runner for months: His Massachusetts background makes him nearly a favorite son for many New Hampshire Republicans, and far more than in Iowa, his message of job creation resonates in this hard-hit state. He is almost cruising to victory.

So, the first question the press is asking is not whether he will win but by how much. If his vote total is in the mid-30s or better and he wins by double digits, the media will call it a major victory; if above 40, he will "crush." Only if he goes below 30, and that seems unlikely, will be he be seriously hurt.

Follow developments on the CNN Political Ticker's live blog

The related question is how others will stack up behind him. If there has been real news so far in New Hampshire, it is the lackluster performance of Rick Santorum. Typically, a candidate who came out of nowhere in Iowa to nearly win (what a difference those eight votes have made) would have built on that momentum in the first primary state. But Santorum appears to have plateaued and may even be fading.

That means the conservatives still don't have a darling to rally behind in South Carolina, leaving Romney once again to divide and conquer. Meanwhile, the Jon Huntsman team hopes that he can break through to second in New Hampshire or at least be in a tight cluster with Ron Paul. That would give him a chance to compete elsewhere, especially in Florida (where he first planned to have his headquarters).

But the fact that no one is yet challenging Romney for the brass ring this Tuesday means he is closing in rapidly on the nomination. Only one Republican (President Ford in 1976) has ever won back-to-back in Iowa and New Hampshire, and never before has a nonincumbent Republican done it. With a victory in South Carolina, Romney would be 3-0. With most of his rivals already forced to scrimp and save, who could raise enough money to take him on after that?

Even so, one cannot escape the sense in New Hampshire that if he is the nominee, Romney and his team still have serious work to do if they want to defeat President Obama. That was instantly apparent Sunday afternoon when Romney appeared with Gov. Chris Christie of New Jersey at a rally in Exeter, New Hampshire, drawing one of the biggest crowds of his campaign.

While supportive of their guy, the crowd seemed relatively quiet, almost subdued, a sharp contrast to the electric rallies that Hillary Clinton and Barack Obama held four years ago. Granted, the Democrats were locked in a much closer race. But several veterans of New Hampshire politics say that the energy isn't flowing as it has in years past.

That is consistent with a Pew poll announced Monday that found only 51% of Republicans and Republican-leaning voters nationwide rating this year's candidates as excellent or good, compared to 68% four years ago (and compared to 78% on the Democratic side in 2008).

Another striking (and related) impression on Sunday came with the speaking lineup. Normally, as a special guest, Christie would have taken the microphone first, warmed up the crowd, and then introduced the candidate, who would turn up the juice and send people marching into the night.

Instead, Romney spoke first, delivering a fairly boilerplate homily before handing off to Christie, who delivered a barn-burner (listening, one got the sense the GOP convention keynote may be in his future).

Wisely, the Romney campaign prevented the narrative from becoming "Romney opens for Christie" by asking Ann Romney to close out the evening, which she did so with warmth and grace. Still, the odd sequencing begged the question that has been nagging the former Massachusetts governor for what feels like centuries now: Can he connect with voters strongly enough to win a general election?

The other issue that arises for Romney is whether he can unite his party behind him. We have seen for some time that this is a fractured, motley field of candidates, but, listening to different campaigns (and their voters), it seems clear that, just as importantly, they may well represent a philosophically fracturing party.

More than one united front, the Grand Old Party right now looks more like a group in the midst of a heated battle between at least three camps: the old-line, more moderate "Establishment" Republicans (a group that clearly favors Romney), the growing libertarian movement (exemplified by chief hero Ron Paul), and the more communitarian, religious phalanx of social conservatives (who propelled Santorum to near-victory in Iowa).

What casts the fissures in the party in such sharp relief is how little fondness these groups seem to have for one another: Not only is it easy to imagine a typical Romney voter looking down his nose at a Ron Paul candidacy, but evangelical voters are exactly the type Romney has so singularly struggled with (as Ron Brownstein notes, he even lost ground with them from 2008 to 2012, judging from exit polls), while Paul and Santorum themselves have appeared substantially more at odds with one another in the debates than either has been with Romney.

By contrast, the 2008 election on the Democratic side, while hard-fought between Clinton and Obama, was still a rivalry between two groups of voters who, in terms of policy, ultimately agreed on a great deal. Despite the fact that common wisdom deems Democrats the more diverse coalition, there was little doubt that the party's voters would stand firmly behind whichever nominee was crowned.

As with the 2008 race for the Democrats, Romney's biggest advantage this cycle is that the various voters punching ballots in the GOP primaries do have one thing in common: They desperately want a new president in the White House. For many evangelicals and libertarians, opposition to Obama will ultimately outweigh distaste for Romney, if he wins the nomination -- so he is likely to be competitive as the nominee no matter what. But winning the presidency (especially against a campaigner as able as Obama, who has been shoring up his own base of late) requires generating enthusiasm from voters, and governing well requires generating even more.

Which underscores a serious concern that Romney and the president should share: that either of them, winning in a squeaker, would be hard-pressed to accomplish much with the country, and their parties, as divided as they are. Both parties talk about a country in need of a level of policy change that would traditionally require overwhelming support from voters, but nothing approaching a mandate is in sight.

So even if Romney is on the glide path to the nomination, he still has a lot more work to do. If he wants to challenge Obama and become a successful president, he would need to find a way to unite his ideologically fraying party, and he's definitely going to need to summon enough fire so that Chris Christie can start opening for him.

The opinions expressed in this commentary are solely those of the authors.

@highlight

David Gergen, Michael Zuckerman: Romney appears to have an edge in GOP contest

@highlight

They say the question is how well he would fare in a race against Barack Obama

@highlight

Romney wound up as the opening act for Chris Christie in a New Hampshire appearance

@highlight

Authors: Romney needs to show he can be the headliner