DHAKA, Bangladesh (CNN)  -- More than 1,000 people have died in Bangladesh after a devastating tropical cyclone ripped through the western coast of the country, and the toll is expected to rise, a government spokesman tells CNN.

Families stand amid the wreckage caused by the cyclone Friday in southern Bangladesh.

As flood waters recede, aid workers say they expect to find scores more bodies when remote villages are finally reached and the counting is done. They face debris-blocked roads, no electricity and almost nonexistent communications.

In addition to the dead, another 15,000 were hurt and 1,000 people were missing, according to a relief official.

The government said Saturday that at least 1,000 bodies had been recovered, but news media, including a United News of Bangladesh report, put the death toll at 2,000.

United News said it had reporters deployed across the cyclone region.

Cyclone Sidr, with sustained winds of at least 131 mph (210 kph), made landfall Thursday night along the western coast of Bangladesh near the border with India, unleashing floodwaters.

"We still don't really know the extent of the damage. There are so many areas inaccessible," World Vision spokesman Vince Edwards, who is in the capital Dhaka, told CNN.

Adding to the tragedy is the loss of rice crops, normally harvested in December, Edwards said.

In Dhaka -- about 200 miles north of the worst-hit region -- there were power outages, massive traffic jams and spotty phone service, CNN's Cal Perry said from the city.

"From an infrastructure perspective, the country absolutely has been brought to its knees," he said.

Areas along the coast received the brunt of the storm, which made landfall as a Category 4 hurricane. The worst-hit districts were Patuakhali, Barguna and Jhalakathi. Sixty percent to 70 percent of homes in those areas were destroyed, according to local officials.  See victims pick up the pieces after the storm »

Nabiha Chowdhury, spokeswoman for the International Federation of Red Cross and Red Crescent Societies, said 150 fishing boats were missing. The fishermen may have been caught in the storm and were unable to return to land, she added.

Chowdhury said about 600,000 people had fled, adding about two million people lived along the coast. She said the latest number of people injured was 15,000 with 1,000 missing.

Sidr had weakened significantly by the time it reached eastern India Friday night -- but the hard-hit areas could flood again late in the weekend, a forecaster said. The storm was moving northeast, according to the Joint Typhoon Warning Center.

"It's now a rainmaker, snowmaker," as it moves to higher elevations, and winds have dropped to 35 mph to 50 mph -- below hurricane strength -- according to CNN meteorologist Kevin Corriveau.

Forecasters predicted dry, clear weather with no wind in Bangladesh over the next two days, but Bangladesh was not entirely safe, Corriveau added.

He said it's possible rainfall from mountains will swell rivers, and by Sunday night or Monday the surge could reach already flooded locations in Bangladesh.

"It's hard to say how much. They've flooded once and could be flooded again," Corriveau said.

He said the storm sped up as it approached shore and reached land before forecasters had predicted it would. As it crossed over land, it began to weaken but still brought torrential rainfall and floods to the low-lying areas.

Sidr's powerful winds and lashing rain uprooted trees, leveled homes and even damaged buildings where residents sought shelter. Video footage from the height of the storm showed high, rolling waves along the coastal areas and winds blowing so hard palm trees were flattened.

Video footage shot from a helicopter Friday showed villages flattened and large numbers of people without shelter.

The U.N. World Food Programme announced it has enough high-energy biscuits to feed 400,000 people for three days.

Members of the Bangladesh army and navy were trying to help.  Watch how the cyclone spawns a large relief effort »

U.S. military officials said Friday that Defense Secretary Robert Gates was ready to dispatch Navy vessels carrying 3,500 Marines to the region to help in recovery efforts.

It is expected that the USS Kearsarge and USS Wasp would move from the Gulf of Oman. The USS Tarawa recently left Hawaii, and it could go to Bangladesh as well, officials said.

The U.S. Department of State issued a written statement Friday pledging "to work with the government and foreign donors to assist in relieving the effects of the disaster."

Department spokesman Sean McCormack said the U.S. Mission in Bangladesh, anticipating the storm, pre-positioned 16 Zodiac boats, water treatment systems, water ambulances and food for a more rapid response.

Bangladesh has a long history with deadly cyclones.

In 1991, a devastating cyclone killed at least 140,000 people, according to the United Nations. And in 1970, Cyclone Bhola struck Bangladesh -- then East Pakistan -- killing 500,000 people. The U.S. National Oceanic and Atmospheric Administration considers that storm to be the 20th century's "greatest tropical system disaster."

While the storm was one of the worst in the last hundred years to hit the country, improved warning systems and shelters have kept the number of deaths far lower than the disastrous cyclones of 1970 and 1991, when the death tolls were in the hundreds of thousands. E-mail to a friend

CNN's Dan Rivers and Barbara Starr contributed to this report.

@highlight

NEW: More than 1,000 people dead, toll expected to rise, government says

@highlight

15,000 people are injured following Thursday's tropical Cyclone Sidr

@highlight

U.N. World Food Programme has food for 400,000 people for three days

@highlight

Power outages, massive traffic jams and poor phone service in Dhaka