Washington (CNN) -- Like a partisan version of the proverbial blind men touching the elephant, members of Congress have starkly differing views of the scope and magnitude of the Internal Revenue Service targeting of conservative groups seeking tax-exempt status that dominates headlines and committee hearings.

Depending on their party, legislators offer particular takes on the controversy based on which part of the IRS elephant they are describing.

Republicans portray the controversy uncovered by an inspector general's report last month as another example of big government gone wild under President Barack Obama.

"It is his administration, it is the Obama IRS, and we intend to try and get to truth here as to what exactly happened and get to the facts," House Majority Leader Eric Cantor, a Virginia Republican, told reporters on Tuesday.

House Ways and Means Committee Chairman Dave Camp said after a hearing on Tuesday with victims of the targeting that the scope of the problem was larger than first thought.

"This is a nationwide, systematic approach targeting people and groups of conservative beliefs," Camp declared.

As part of their messaging for next year's congressional elections and the 2016 presidential vote, some Republicans try to draw parallels to the Watergate scandal of the 1970s that led to GOP President Richard Nixon's resignation.

"We will not tolerate another political enemies list," House Appropriations Committee Chairman Hal Rogers, a Kentucky Republican, said Monday in a clear reference to the Nixon administration.

"We've been there before. Having an enemies list harkens back to a dark page in our past, and the arrogance of power that we've seen from those involved in this instance is deeply, deeply disconcerting," Rogers said.

Democrats say they are equally outraged that the IRS unit based in Cincinnati that handles requests for 501(c)(4) tax-exempt status used a list of criteria including group names that included "tea party" and other conservative labels to assess the level of scrutiny applied.

However, they argue, no evidence of an administration-wide conspiracy has emerged so far, with the inspector general's report that revealed the problem blaming poor management and stating there was no known political motivation.

"There is no smoking gun," said Democratic Rep. Joseph Crowley of New York at Tuesday's hearing, while his party colleague Rep. John Lewis of Georgia added that similar targeting of liberal groups occurred under GOP President George W. Bush.

"Where was the outrage then?" Lewis asked.

Some Democrats said tougher scrutiny of groups seeking tax-exempt status was warranted after the 2010 Supreme Court ruling in the Citizens United case that removed limits on some campaign spending by corporations and unions.

Rep. Jim McDermott, a Washington Democrat, told the panel of witnesses representing conservative groups who underwent greater IRS scrutiny that the issue involved a gray area of potentially political organizations seeking tax-exempt status.

"Each of your groups is highly political," McDermott told the panel that included organizations opposed to gay marriage and abortion. "You all are entrenched in some of the most controversial political issues in the country."

By applying for tax-exempt status, "you're asking the government to help fund that," he added.

Republican Rep. Paul Ryan took exception to McDermott's point, telling the panelists "welcome to Washington" after his Democratic colleague completed his comments.

"You're to blame, I guess is the message here," Ryan said, noting that there was no evidence presented to the committee that liberal groups received the same extra scrutiny and delayed responses as the conservative organizations.

On Monday, the new head of the embattled IRS was asked how he would restore public trust in the agency after the targeting scandal and a new report on Tuesday that described wasteful spending.

"It is going to be a difficult process," acknowledged Daniel Werfel, a career public servant appointed by Obama last month to clean up the mess dominating the early months of his second term.

Werfel described a process of identifying what happened, who was responsible and steps to ensure it can never happen again to address what Republicans depict as politically motivated harassment that abused the constitutional rights of conservative groups.

'Liar' charge a step too far for some Republicans

At Tuesday's hearing, the fifth so far on the controversy with another scheduled for later this week, witnesses from conservative groups targeted by the IRS described themselves as shocked by what happened and fearful over what it meant.

Becky Gerritson of the Wetumpka Tea Party in Alabama declared that additional questioning and other IRS delays over her organization's application "was a willful act of intimidation to discourage our little group."

"They think they are our master, and they are mistaken," she said, her voice quavering with emotion. "I want to protect and preserve the America that I grew up in. I am terrified it is slipping away."

John Eastman, chairman of the National Organization for Marriage, accused the IRS of leaking this organization's confidential donor list in violation of felony law.

He took issue with a statement by a Democratic panel member that the IRS targeting was inadvertent, saying the agency "deliberately provided our donor list to a political adversary who had been seeking it for a long time."

Democratic Rep. Earl Blumenauer of Oregon argued that Eastman's description of the Human Rights Campaign as a political foe raised questions about whether his group was devoted to social welfare, as required for tax-exempt status.

That prompted another witness, Kevin Kookogey of Linchpins of Liberty, which describes itself as a conservative education group for young people, to criticize Blumenauer for political bias.

"Some of the Democrats on the committee implied that what's social welfare to them is social welfare, but what's social welfare to us is negotiable," he said to applause from the public gallery in the hearing room.

On Thursday, the House Oversight Committee will examine the wasteful IRS spending reported by a separate inspector general's report made public on Tuesday.

It showed that the IRS spent about $50 million on 225 conferences between 2010 and 2012. One of those, an August 2010 meeting for 2,600 employees in Anaheim, California, cost more than $4 million for everything from event planners' commissions to speakers' fees to guest prizes to parody videos.

The audit notes that a large chunk of that money - about $3.2 million - came from unused funds allocated for hiring. This was in the same year that the IRS began to single out conservative and tea party groups that sought tax-exempt status, in part because the agency said it did not have the personnel to handle increased applications that year.

In response, the IRS said it has cut training costs and reduced spending on meetings by 87% since 2010.

"The expenditures related to this 2010 meeting are not reflective of the current spending environment at the IRS or the spending that has occurred over the past several years," wrote Pamela LaRue, the agency's chief financial officer.

At the same time, LaRue defended the need for large-scale conferences at the time, noting that nearly a third of managers in the division under scrutiny were inexperienced, and the agency faced added concerns about security after a Texas man crashed his plane into the IRS office in Austin, killing himself and two other people.

"Although the average cost per employee was reasonable, the IRS recognizes that a number of less significant costs warranted additional scrutiny and were not the best use of government resources," LaRue wrote.

IRS faces new battle on overspending

Meanwhile, the IRS targeting also is under investigation by the Justice Department, the Treasury inspector general's office and Werfel in his new capacity.

A former Office of Management and Budget official, Werfel took over from former IRS Commissioner Steve Miller, who resigned under pressure after news of the targeting emerged.

Issa: Cincinnati IRS employees say direction came from Washington

Republicans at Tuesday's hearing expressed frustration with what they called a lack of government accountability so far, as well as the need for more information on who was responsible for the targeting.

"For anyone to suggest that these individuals' rights should be limited because of political differences is discrimination," said GOP Rep. Aaron Schock of Illinois, adding that there would be no question of wrongdoing if the bias involved "white versus black" or "Jews versus Christians."

Democrats sought a legislative solution, saying the lack of clarity over what constitutes political activity left IRS bureaucrats in the position of having to make that assessment.

Read IRS watchdog's report

By the Numbers: Internal Revenue Service

The IRS controversy has provoked an increasingly bitter dispute between the White House and congressional Republicans that included harsh accusations by both sides last weekend.

White House spokesman Jay Carney declined to comment directly Monday on the accusation by House Oversight Committee Chairman Darrell Issa that he was a "paid liar."

On Tuesday, Cantor dodged questions about whether he agreed with Issa's insult.

IRS investigation takes nasty turn

When asked by reporters about Issa's comments, Cantor instead deflected the issue back to the White House, saying "there's been an abuse of trust on the part of this administration towards the American people. We're going to remain committed to getting to the bottom of this and let the truth come out."

Meanwhile, Cantor's Democratic counterpart blasted Issa, calling the comment about Carney "outrageous" and saying an apology was in order.

"He ought to retract that statement unless he has specific evidence which I don't believe he does," said House Democratic Whip Steny Hoyer of Maryland. "I think it was a reckless statement and undermines his presentation as someone as a judicious leader of oversight."

Hoyer added that such "wild accusations" indicated "real political bias" on the part of Issa, making it difficult to trust him to conduct an investigation of the IRS targeting and other issues.

Other Democrats have accused Issa of dirty tactics in previous investigations, including one into the botched "Fast and Furious" gun-walking operation that led to House Republicans citing Democratic Attorney General Eric Holder for contempt of Congress in a dispute over access to documents.

CNN's Dana Bash, Deirde Walsh, Ashley Killough and Jake Tapper contributed to this report.

@highlight

NEW: Legislators clash at a House hearing where victims of targeting appeared

@highlight

As Congress probes IRS targeting, the two parties offer varying takes on what happened

@highlight

Congress, the IRS, the inspector general and the Justice Department are investigating

@highlight

The GOP House Appropriations chairman evokes Nixon in warning of an enemies list