(CNN) -- I was a young man fresh out of police college when I suddenly found myself stepping over fingers, arms, legs and other body parts. We suspected that the deceased may have been affiliated with the Umkhonto we Sizwe, the militant arm of the African National Congress.

It was a beautiful spring evening in Johannesburg, South Africa, but the stench of death and destruction was once again hovering over the nation.

We suspected that this man accidentally blew himself apart as he was planting a bomb at one of Johannesburg's most popular shopping malls -- a mall where my mother shopped and my friends and I played miniature golf. I was the first officer on the scene, and that experience was seared into my memory.

Across town from the mall, blacks were living in squalor. There were great divisions in our country.

Many of my colleagues were terrorizing black families who were crying out for the rights of simple human dignity: the simple right to have a vote in the country of their forefathers, the simple right to drink water from the same faucet as a white man. Rights they had been denied by an oppressive, minority-white apartheid government.

I witnessed officers charging a group of black people with a van and then taking their money. The people were just playing a game by the side of the street.

The police themselves were also divided.

During those years, if a white officer had a black officer with him as a crew member and went to stop by his house, the black officer would usually have to wait in the police van.

My maid, a wonderful Zulu lady, was shocked when I not only invited a black sergeant into my home but offered him a cup of tea from the same kind of cup I would use.

Read more about Lochner's experiences in South Africa

The racial and tribal tension in South Africa was a powder keg ready to explode into full-scale civil war. Civil wars have destroyed many African nations, and South Africa seemed destined for the same fate.

Nelson Mandela was a human rights lawyer and freedom fighter, and to some white South Africans and others, he was a terrorist. Mandela was the Marxist friend of the Communist Soviet Union, from where he received training and weapons to wage his struggle.

The Rivonia trial, as it became known, ended in 1964. Mandela was sentenced to life in prison for his participation in several bombings around South Africa; some were deadly.

A saint, Mandela was not.

Then a miracle was born. It was February 11, 1990. The white apartheid president took the whole world by surprise when he announced the unconditional release of Mandela from prison.

We were shocked. It was completely unexpected.

After his release, South Africa suffered some of its most severe political violence as Mandela and the white minority struggled to find a peaceful transition to a "one man, one vote" system.

A few months later, I moved to Dallas, Texas. I remember constantly being on the phone with my family and hearing about the terrible violence going on.

How will you remember Mandela? Share your story on CNN iReport

The white minority that was enjoying power under the apartheid system was terrified. Many were convinced they would be brutalized and driven out like those in neighboring Zimbabwe.

It was during this time that Mandela's strength and humility became evident. On May 10, 1994, with the entire world watching in awe, Mandela was peacefully and joyously inaugurated as South Africa's first post-apartheid president.

Friends and former colleagues said voting lines had never been so long in South Africa. It was just a really exciting time.

Mandela had the daunting task to unite groups of people who had been at war with each other for decades. How could he succeed? How could Mandela overcome decades of hate, decades of distrust? How could Mandela father a nation that would soon be called a miracle, a rainbow nation?

Amazingly, Mandela's 27 years in prison became the catalyst to his success.

As Mandela wrote in his autobiography, "A Long Walk to Freedom," he was suffering at the hands of his captors, and he became determined to study his enemy.

He wanted to understand them. He wanted to know them.

Mandela did the unthinkable. He befriended his white Afrikaner prison guards. He learned their language and studied their culture. Mandela even went to church with them, and his heart was changed. Mandela's friendship with his prison guards was sincere and endured to his death.

So what was it that allowed Mandela to miraculously unite a nation?

Mandela forgave the Afrikaners.

Forgiveness. Yes that same forgiveness Jesus expressed when he cried out to his Father while hanging on a cross: "Father, forgive them, for they know not what they do." Forgiveness removed the shackles of hate, and Mandela knew that mutual forgiveness was the key to national reconciliation.

Mandela wanted to find a way to unite all the people of South Africa -- something only the power of forgiveness could produce.

To this day, I am so passionate about the role forgiveness played in Madiba's life. I remember so clearly how I had to personally take steps to overcome the ingrained apartheid mentality in South Africa.

Even as a little boy, I noticed how the church custodian always sat in the back.

I never experienced the kind of suffering Mandela did, but I can relate to him as I know he must have had to work hard at overcoming his prejudices, too.

He came to embrace rugby, which was a symbol of apartheid and despised by blacks. South Africa had been banned from international rugby for decades, but suddenly found themselves back on the international scene after the 1995 rugby World Cup was awarded to South Africa.

He united the entire nation behind their rugby team, and their World Cup victory became one of the most storied events in the history of international sports.

Mandela chose a symbol of hate and turned it into a symbol of hope. As seen in the movie "Invictus," Mandela insisted on forgiveness as the key to uniting his beloved country.

He went from political prisoner to people's president. How did he learn to forgive? This is something worth exploring.

An officer I knew, who was one of those involved in charging black people with a van, started seeing things differently.

He apologized for treating people the way he did simply because they were black.

"I realize that the way I was treating people was wrong," he said.

I have forgiven the terrorist who bombed the mall in Johannesburg that day. I have no animosity or bitterness.

Just think about it. What would you do if you were treated the way Mandela and his people were?

It's almost like a miraculous, supernatural transformation had taken place in Mandela's life, and consequently, in the whole nation.

Forgiveness freed Madiba, and forgiveness freed his country.

What do you think about this essay? Did you also live in South Africa during the same time, or have you experienced forgiveness in your own life? Share your thoughts in the comments below.

@highlight

Johann Lochner was a police officer in South Africa during apartheid

@highlight

He credits Nelson Mandela for uniting South Africa

@highlight

Forgiveness was at heart of Mandela's success, Lochner says

@highlight

What do you think? Share your story on CNN iReport