(CNN) -- Bangladesh's prime minister acknowledged Thursday that her nation's garment industry is beset with problems, but said her government is moving rapidly to fix them.

"Bangladesh now is a place for good conditions for the investment," Sheikh Hasina told CNN's Christiane Amanpour eight days after a nine-story building collapsed on the outskirts of Dhaka, killing at least 437 people, most of them garment workers. She said 2,437 survivors were pulled from the rubble, where recovery work was continuing.

"Yes, there are some problems," she said, but added that a committee has been formed to ensure the safety of buildings and workers.

"This committee will submit the findings to the Cabinet committee and, side by side, we have been trying our best to improve the situation."

Hasina expressed little fear that international companies would stop doing business in Bangladesh as a result of the disaster. Investors have tapped into the Bangladeshi market not just because of its high-quality workers, she said. "They get cheap labor," she said. "That's why they come here."

Bangladesh vs. the U.S.: How much does it cost to make a denim shirt?

But at least one company has pulled out of Bangladesh, citing a spate of fatal factory accidents.

The Walt Disney Company sent a letter in March to vendors and licensees to transition production out of the "highest-risk countries," such as Bangladesh, in order to bolster safety standards in its supply chain.

Disney will halt production in four other countries: Ecuador, Venezuela, Belarus and Pakistan, by April 2014.

The decision was made before last week's building collapse. It was prompted by the November fire at the Tazreen Fashions Factory in Bangladesh's capital Dhaka that killed 112 people, and another fire in Pakistan that killed 262 garment workers last September.

Disney pulls out of Bangladesh factories

Asked about reports that only 18 inspectors are responsible for overseeing safety conditions in more than 100,000 garment factories in and around the capital city, Hasina said, "We don't depend on only ... those inspectors."

Steps to improve conditions were taken before the collapse of the building in Rana Plaza in Savar, she said, citing passage by the Cabinet of a labor law that will be sent to Parliament.

Hasina noted that workplace disasters have occurred in the United States, too; she cited last month's explosion of a fertilizer plant in West, Texas, in which 14 people died.

"Anywhere in the world, any accident can take place," she said. "You cannot predict anything."

Amanpour, CNN's chief international correspondent, pointed out that local officials predicted that the building could collapse after cracks appeared on its walls on April 23, and they urged workers not to re-enter it.

"You are very correct," Hasina said. "Unfortunately, in the morning, the owners of the factories put pressure to labor to enter."

She praised government officials for trying to prevent the workers at the five garment factories in the building from re-entering it on April 24, the morning of the collapse. "It is not true that the government hasn't taken any steps," she said.

She blamed the owners of the five factories as well as Sohel Rana, the building's owner, and disputed the suggestion that their political connections could protect them.

Rana is under police investigation in relation to the deaths and has had his assets seized. Protesters have called for him to be hanged.

"The law will take its own course," she said. "Criminal is criminal. They will get all the necessary action; that we can assure you. It is our promise to the people."

Hasina added, "Any business person, if they commit any kind of crime, our government always takes action."

She pointed to the companies that source their products from such factories, saying they should pay well enough that factory owners can pay good salaries and ensure the business is safely run. "They're partly responsible for it," she said.

And she urged that the disaster be considered in context. "You cannot blame the whole business or whole industry just for one incident," she said.

Hasina said officials in her government "are in favor of labor," having increased the minimum wage by 82%, built dormitories and seen to the health care needs of workers.

She denied that the killing last year of a labor leader signified that her government is hostile toward unions. Aminul Islam's body, bearing signs of torture, was found four days after he disappeared in April 2012.

"Nobody knew that he was a labor leader," she said. It was only after his body was found, she said, "that we came to know that he was a labor leader and he was assassinated."

More than a year later, she said, the case remains under investigation.

The interview was carried out via satellite by Amanpour in New York and the prime minister in Dhaka. CNN has been unable to gain visas from the Bangladeshi government that would allow the network to send reporters to cover the country first-hand.

That assertion was corroborated by a CNN executive, but the prime minister disputed it. "It is not true," Hasina said. "We never stop any media to come to Bangladesh."

Asked about restrictions on coverage imposed by the visa office, she said, "Every country has these rules and regulations."

Thursday's interview came as activity resumed at thousands of Bangladeshi textile factories.

Millions of workers in and around the Bangladeshi capital, Dhaka, returned to duty after the trade group that represents the garment industry decided it was safe to do so.

This week, a delegation of the International Labour Organization arrived in Dhaka on a four-day visit to Bangladesh.

"Horror and regret must translate into urgent firm action," said Guy Ryder, the organization's director-general. "Action now can prevent further tragedy. Inaction would mean that the next tragedy is simply a matter of time."

The incident has provoked widespread protests, including attacks on some textile facilities the demonstrators said are unsafe.

The garment industry accounts for 77% of Bangladesh's exports -- a $20 billion industry for the nation.

@highlight

Disney pulls out of Bangladesh factories

@highlight

Bangladesh now is good for investment, Prime Minister Sheikh Hasina says

@highlight

She cites the formation of a committee to improve safety after a horrific building collapse

@highlight

"The law will take its own course," Hasina says