The West Africa Ebola outbreak is "a growing threat to regional and global security," U.S. President Barack Obama said Thursday, telling a high-level meeting on the deadly epidemic at the U.N. General Assembly that only an international response can prevent "a humanitarian catastrophe across the region."

"If ever there were a public health emergency deserving of an urgent, strong and coordinated international response, this is it," the President said.

Obama has declared the epidemic -- which is centered in Guinea, Liberia and Sierra Leone -- a national security priority amid fears it could spread farther afield and claim many more lives.

"This is more than a health crisis," he said. "This is a growing threat to regional and global security. In Liberia, Guinea and Sierra Leone, public health systems are near collapse.  Economic growth is slowing dramatically. If this epidemic is not stopped, this disease could cause a humanitarian catastrophe across the region."

The President singled out Sierra Leone, where on Wednesday the government declared a success a three-day nationwide lockdown put in place to help stop the spread of Ebola, saying it had revealed more cases hidden in the community. Under the plan, no one was allowed to leave their homes for three days, from September 19 to 21, allowing volunteers to go door-to-door to educate people about the deadly virus.

"The courageous men and women fighting on the front lines of this disease have told us what they need: more beds, more supplies and more health workers, as fast as possible," Obama said. "Right now, patients are being left to die in the streets. ... One health worker in Sierra Leone compared fighting this outbreak to 'fighting a forest fire with spray bottles.' "

Obama called the outbreak an "urgent threat to the people of West Africa but also a potential threat to the world." A rapid global response to the crisis "could be the difference between tens of thousands of people dying and perhaps a million people dying," he said.

The President also highlighted United States' efforts to help, including establishing a military command in Liberia to support civilian efforts. But he urged international organizations and businesses to move faster to mobilize partners on the ground, and nations to contribute everything from air transport to health care workers to equipment.

"We are not moving fast enough; we are not doing enough," Obama said. "Right now, everybody has the best of intentions, but people are not putting in the kinds of resources that are necessary to put a stop to this epidemic."

The head of a medical organization at the forefront of fighting the Ebola crisis also appealed to world leaders at the meeting to take immediate action or risk losing the fight to contain the epidemic.

"Generous pledges of aid and unprecedented U.N. resolutions are very welcome. But they will mean little, unless they are translated into immediate action," Dr. Joanne Liu, international president of Médecins Sans Frontières, or Doctors Without Borders, said, according to an advance transcript of her speech.

"The reality on the ground today is this: The promised surge has not yet delivered.

"The sick are desperate, their families and caregivers are angry, and aid workers are exhausted. Maintaining quality of care is an extreme challenge."

Liu said fear and panic have set in as infection rates double every three weeks in the worst-affected nations, while growing numbers are dying of other diseases like malaria because health care systems have collapsed.

"Without you, we fall further behind the epidemic's deadly trajectory. Today, Ebola is winning," she said.

Sierra Leone: Lockdown worked

In Sierra Leone, more than 75% of the targeted 1.5 million households were contacted, according to the Health Ministry.

The strategy provided authorities with a "candid assessment of the situation, household by household," said a statement from President Ernest Bai Koroma's office.

"The true picture portrays a situation that is worse than what was being reflected in reports and reveals that there are more infected persons in the community," it said.

INTERACTIVE: Life inside the Ebola outbreak

Hot spots isolated

Three districts have been identified as emerging hot spots, the government said: Port Loko, Bombali and Moyamba.

Given the "desperate need to step up the response," these will be isolated immediately, it said.

"The prognosis is that without additional interventions or changes in community behavior, the numbers will increase exponentially and the situation will rapidly deteriorate."

The country's Kenema and Kailahun districts, which have been epicenters for Ebola in Sierra Leone, remain isolated.

Can the world stop Ebola?

Deaths rising

The total number of probable, confirmed and suspected cases of Ebola was 6,263, with 2,917 deaths, as of September 21, the World Health Organization said in its latest update released Wednesday.

Sierra Leone accounts for 1,940 of those cases and 597 deaths. However, cases and deaths uncovered during the three-day lockdown have not yet been included in the official figures, the WHO said.

The other countries at the center of the outbreak are Guinea and Liberia, with a small number of cases reported in Nigeria and one in Senegal.

The number of Ebola cases in Liberia and Sierra Leone could rise to between 550,000 and 1.4 million by January if there are no "additional interventions or changes in community behavior," the Centers for Disease Control and Prevention said in a report Tuesday.

The range of estimated cases is wide because experts suspect the current count is highly under-reported. The estimate was derived from a new forecasting tool developed by the CDC.

But the CDC estimates that if 70% of people with Ebola are properly cared for in medical facilities, the epidemic could decrease and eventually end.

The virus is spread through contact with bodily fluids, and early symptoms include a sudden onset of fever, weakness, muscle pain, headaches and a sore throat.

@highlight

Obama calls West Africa Ebola outbreak "a growing threat to regional and global security"

@highlight

Sierra Leone's three-day lockdown revealed more cases of Ebola, government says

@highlight

"True picture portrays a situation worse than what was being reflected in reports," it says

@highlight

6,263 probable, confirmed and suspected cases in West Africa, with 2,917 deaths, WHO says