(CNN)  -- Once again, the nation is outraged that school bullying has claimed another victim. As news spread about the indictment of nine teens who are accused of relentlessly bullying 15-year-old Phoebe Prince to suicide this year, parents everywhere asked: "How could this have happened? Where were the adults?"

I couldn't help but wonder why it always takes a tragedy to get the world's attention. The suffering of millions of students all across America, some of whom are being bullied as badly as Phoebe and who have been crying out for help day after day, semester after semester, should be enough. Why are their voices not heard? What message are we sending these lonely, frustrated kids: that they might as well suffer in silence, because no one's going to take notice unless someone ends up dead?

I know what Phoebe felt as she walked the halls as a freshman at a Massachusetts school, listening to the jeers and whispers, praying she could make it to homeroom or math class in one piece.

I know the terror that descended over her like a dark cloak every time the bell rang, signaling the beginning of the school day. And I also know that as much as she must have hated her classmates for what they were putting her through, it was what they were denying her that hurt even worse: someone to sit with at lunch, the invitations to hang out on weekends and after school, the girl talk and giggles exchanged between trusted friends, the simple joy of fitting in. Before long, it pokes holes in your soul, and you can feel self-loathing start to fill in those empty spaces.

I know because, from fifth grade through high school, I was the target of relentless bullying for much the same reason Phoebe and so many other students are: simply for being "different."

I was threatened, beaten, dragged across parking lots, burned with lit cigarettes, teased, taunted and spat upon at lunch, mocked in gym, snickered at in class, ambushed at sleepovers and spit-balled on the school bus. My adolescence was a living hell, and it wasn't the acceptance my classmates withheld that caused the deepest anguish; it was all the love and friendship I had to give that no one wanted.

After a while, it backed up into my system like a toxin and poisoned my spirit. I can only imagine what Phoebe was thinking as she took her last breath on this Earth. I suspect that it was one word, the same word that haunts every bullied student. "Why?"

While I mourn this young girl's loss with my whole heart, none of us can do anything for Phoebe now. But it's not too late to save the next one and the hundreds after that and then the thousands after that. That's something we can do. And make no mistake. What happened at Phoebe's school is not rare. It is far more common than you may realize.

For the past eight years, since my memoir "Please Stop Laughing At Me ..." was released, I've been touring schools across the country, sharing my story to motivate change. When I go into a district, I do a daylong program that involves a student presentation, a teacher workshop and an evening parent/family seminar.

From rural communities and inner-city neighborhoods to affluent suburbs and small towns, I've spoken at hundreds of schools and held in my arms thousands of bullied kids, who come up to me after my student presentations with horror stories of their own about how their classmates are treating them. When I ask whether they've confided in a teacher or counselor, many of them say that they've reached out for help repeatedly and that "no one's doing anything."

It's not that these schools don't care or that they're in denial. They wouldn't have gone to the trouble or expense of bringing me in to speak if that were the case. But no school, no parent and no child can solve the problem of school bullying on his or her own. It requires a synergistic approach, one in which each person is equally committed to making a difference. Here's how you can help:

If you're a student, remember that it's not just joking around. Bullying people can damage them, and you, for life. Bullying is not just the mean things you do, it's all the nice things you don't do, like letting someone eat alone at lunch or ignoring people as if they're invisible. It doesn't take an overt act of cruelty to diminish someone's spirit. Simply never making the effort to include them in anything can be just as hurtful. Tomorrow at lunch, ask someone whom you wouldn't ordinarily reach out to to join your table.

If you're an educator, be vigilant. Pay attention to what's happening around you, not just in front of you in the classroom. And if you see a child struggling to belong, take action, talk to your principal, ask the school counselor to intervene, talk to the parents -- get involved and, most important, stay involved.

If you're a parent, recognize that your bullied child's spirit is bleeding from loneliness and you need to find an interim social life for him or her that will buy you the time to deal with the larger issues, such as working with the school and addressing the parents of the bullies. Contact the park district and local library in the nearest next town over that does not feed into your child's school district. Ask them to send you a list of their organized activities for kids. Have him choose one and then enroll him. This will give your child something to look forward to on those especially lonely days, and it will refresh the spirit.

If you've been a victim of peer abuse like me, turn your pain into purpose. Share your story at schools, PTA meetings, teacher in-services, anywhere they're willing to listen, and offer wisdom and insights from your own experiences.

Good luck, everyone. I know you can make a difference.

The opinions expressed in this commentary are solely those of Jodee Blanco.

@highlight

Jodee Blanco was so bullied at school, she has dedicated her life to stamping it out

@highlight

Blanco asks why it takes tragedy like Phoebe Prince's suicide to get attention

@highlight

Millions of students are suffering, crying out for help but unheard, she writes

@highlight

Blanco says jeers, whispers, shoves hurt someone for life and offers ways to stop it