Los Angeles (CNN) -- More than three weeks after seven California men went missing when the fishing vessel Erik sank in Mexico's Sea of Cortez, the families of the missing Americans are expressing anger with the U.S. and Mexican governments for not conducting a dive to find the sunken boat -- and possibly the bodies entombed beneath the sea.

The sinking of the 115-foot sport fishing boat during a predawn storm on July 3 captured widespread attention because the 27 passengers were nearly all friends and acquaintances who fished on the Erik as an annual outing, some for as long as 15 years or so. All were from northern California, relatives said.

Only five of them were first-timers on a five-night trip aboard the Erik, during which the sportsmen would venture deep into the sea aboard smaller pangas in search of yellowfin tuna and dorado, relatives said. Most of the 27 were Asian-American men from the San Francisco Bay area and nearby, relatives said.

Those close ties heightened the depth of the tragedy, especially as U.S. and Mexican authorities spent nine days searching the vast expanse of the Sea of Cortez.

In addition to the seven missing men, Leslie Yee, 63, died in the incident. Among the survivors, several were rescued from a Mexican beach. One person was rescued from a coastal island.

The families have expressed frustration with the investigation. A State Department official said the U.S. Coast Guard and the National Transportation Safety Board are helping Mexican authorities with the probe.

Still, the families say they are disturbed that there was apparently no mayday issued during the sinking of the Erik. Also, the boat apparently didn't carry a satellite tracking device that's often deployed when a boat is in distress, relatives say.

In their social media and website campaign to attract public attention to their plight, the families have become so exasperated with the two governments' apparent reluctance to conduct a dive 200 feet beneath the sea that they are trying to raise money to execute a privately funded dive -- if they can raise enough funds on their "Find Our Fathers" website and if the Mexican government will allow the dive.

The families are haunted by unanswered questions, their representatives say: Did the 16-member crew abandon ship without trying to help the passengers? Did the vessel have enough life preservers? Why did it take 16 hours before a search and rescue was launched?

"We don't want any other families to go through the pain we went through. This should not have happened at all," said May Lee of San Ramon, California. Her husband, Don, 62, an assistant parts manager at General Motors in nearby San Leandro, is among the seven missing.

"There's still a little bit of me that's hoping my husband is on some remote little island with some of his buddies," Lee told CNN on Tuesday.

But the families have become demoralized. On Sunday, they will gather for the first time since the accident; at a hotel in northern California, Lee said.

"Some of them are very depressed, but I'm doing my darnedest to try to bring people together. I'm trying to give them as much hope as possible, to make sure we're hanging on," Lee said.

In regular conference calls with the State Department as recently as Friday, the families have asked for the U.S. military to conduct a dive. Most recently, they have pressed U.S. officials to ask the governor of Baja California to fund a dive -- or at least to grant permission for the American families to carry out a private dive.

The whereabouts of the sunken Erik are unknown, and the boat could be drifting somewhere on the sea bed, said Lee's daughter, Mandi Lee-Han, a 34-year-old preschool teacher. The boat capsized 60 miles south of San Felipe, Mexico, about two miles offshore, during the first night of the trip.

A State Department official said the U.S. Department of Defense doesn't have the capability or equipment to do a deepwater dive and search for the fishing boat -- and it would have to pay for a private contract to do so. The official asked not to be identified, saying he wasn't authorized to speak to the media on the matter.

The details of the Coast Guard's and NTSB's joining the Mexican investigation into the Erik are being worked out, the official told CNN Tuesday.

"When they were on the call," the official said about the families, "we expressed condolences for the loss of life. Unfortunately, the DOD has limited capability to operate at that depth" beneath the sea in a dive and search.

"When a U.S. citizen goes missing in a foreign country, the host government takes the lead in search and recovery efforts, often with the help of U.S. government agencies, such as the U.S. Coast Guard, who have the necessary experience and mandate," the official said. "The Department of State will monitor such efforts and work to ensure that the host government does its utmost to locate the missing person, but lacks the capacity and authority to conduct search and rescue operations."

But the families aren't satisfied.

"It feels as though the Mexican navy is not really sharing with them what is happening," Lee-Han told CNN.

The six other missing men are Russell Bautista of Penngrove, California; Shawn Chaddock of Petaluma, Calif.; Mark Dorland of Twain Harte, California; Gene Leong of Dublin, California; Brian Wong of Berkeley, California; and Albert Mein, 62, a retired AT&T manager, of Twain Harte.

Mein was also Don Lee's brother-in-law, said May Lee, who works in the city hall of Fremont, California, overseeing a first-time homebuyer program and housing ordinances.

Families have received messages on their Facebook page that local Mexicans have taken the initiative to search coastal islands for the missing seven Americans, posting reports on which islands they've searched.

"This grassroot effort is someone knows someone knows someone," said Lee-Han.

She said the families are distressed to learn of what they describe as safety shortcomings aboard the Erik.

"Had we known there were all these problems in Mexico, we wouldn't have sent my father on this trip. We felt blindsided to some degree," Lee-Han said.

"What we're really trying to achieve here is to honor my father and all of the men that deserve to come back to their families," Lee-Han said.

The families want the Erik found -- to see what safety problems the vessel may have had, relatives said.

"We most certainly don't want to harm the economy in Mexico, but at the same time, we want assurance from Mexico that if something is going to happen, that they're going to be responsible for whatever that may be," Lee-Han said. "If there is an investigation that's going to take place, we would hope that the Mexican government would do a thorough investigation, and that would include a dive."

@highlight

The Erik, a Mexican sport fishing vessel, capsized in a storm July 3 in the Sea of Cortez

@highlight

Seven California fishing enthusiasts disappeared

@highlight

Another California man was found dead

@highlight

The families of the missing want authorities to dive and find the sunken boat