ATLANTA, Georgia (CNN) -- A summer with budget-busting gasoline prices seems like the worst time to launch a cross-country road trip from California to Georgia, but this one is different: We're road-testing alternative fuel that might help reduce pollution and break the nation's reliance on foreign oil.

CNN.com's Cody McCloy, left, and co-pilot Brian Hardy set out on their biofuel experiment on July 28.

The gasoline alternative is called biodiesel, and it's made by chemically modifying vegetable oil. The resulting biodiesel is nontoxic, biodegradable and can be blended at any level with regular diesel.

Most diesel cars can run on it, and it can be found in more and more places around the country. Watch Web developer Brian Hardy and I make a two-week journey from California's San Francisco Bay area to Atlanta, Georgia, on CNN.com Live.

During our road trip, we're blogging and reporting about what kind of mileage we're getting with biodiesel fuel and how easy it is to find places that sell it.  See Cody's road trip photos »

Biodiesel is just one of several biofuels powering more and more U.S. cars and trucks. Mesa, Arizona, for example, has switched its fleet of 1,000 municipal vehicles such as fire engines and street sweepers to biodiesel and other green fuels such as ethanol, and compressed natural gas.  Watch a quick tour of Cody's vehicle »

Some biofuels are less expensive per gallon than gasoline -- cutting the average cost of gas by 20 to 35 cents per gallon, according to the U.S. Department of Energy. An average American family can save up to $300 per year by using ethanol, according to the DOE Web site.

Biodiesel fuel, however, is not always cheaper than gasoline -- although it is made using renewable resources, such as vegetable oil or used cooking oil.  The pros and cons of alternative fuels »

Atlanta-area biodiesel dealer Rob Del Bueno says -- if you really think about it -- it's amazing how something as simple as a gallon of fuel can move a heavy multi-ton vehicle down the road.

"We think fuel is expensive, but for what you get, the price that you pay at the pump is so insignificant to what's really going on."

But Department of Energy chemical engineer John Scahill warns that the price of petroleum -- now at about $125 per barrel -- will become "prohibitively expensive within our lifetime."

About $333 billion exited the United States in 2007 due to the purchase of oil, according to Scahill, illustrating the high cost of importing foreign energy. Biofuel is produced and sold in the United States -- which keeps money from those transactions circulating inside the U.S. economy.

"About 140 billion gallons of gasoline per year are used for transportation in the United States," said Scahill, "and we can save about a third of that if we maximize our use of biofuels."

Our biodiesel vehicle is a 1978 International Harvester Scout that we purchased in San Jose, California, just for this adventure. We trust this all-terrain classic will serve us well on our trip. CNN.com users can vote on possible destinations at the bottom of the American Road Trips special report here.

We'll talk to experts about emerging energy sources that offer alternatives to oil including wind power, hydro-electric and solar.  Follow Cody's trip on interactive map »

And we'll offer tips on how to make your summer road trip more environmentally friendly and easier on your pocketbook.

We'll be testing GPS navigation gear and other cool gadgets to see how they work during a real road trip. But because it's a road trip, we'll also be camping and enjoying some of the most spectacular sites in the Southwest and Southeastern United States. And we'll be asking CNN.com users to suggest destinations and to vote on where we travel.

@highlight

CNN.com crew to drive from California to Georgia on biodiesel fuel

@highlight

Biodiesel fuel is made from chemically modified vegetable oil

@highlight

Follow road trip on CNN.com Live and on CNN.com's Sci-Tech blog

@highlight

Crew to offer green road trip tips; vote on possible destinations here