(CNN) -- When Joe Schroeder became a father in February, he did something a lot of working men in the United States only dream of: He took off from work for three months to stay home with his wife and newborn daughter, Alma Lucette.

It was a "blissful" period, he said. He cooked breakfast and dinner nearly every day, something he never does when he's working. He perfected his diaper-changing technique. He took long walks with his wife and daughter around their home of Greensboro, North Carolina, occasionally stopping for lunch.

Best of all, he got to spend hours holding his daughter and getting to know her without pressure to be anywhere else in the world.

"I wouldn't say it was like a vacation; it was all we could do to keep up with having a brand new baby. But I can't imagine doing it any other way," he said.

His experience is far from the norm in the United States, which, unlike most countries in the world, does not provide paid leave for mothers or fathers around the birth or adoption of a child. The nonprofit Schroeder works for falls into a minority of just 11.4% of workplaces in the United States that provides paid leave for its employees, according to Department of Labor statistics.

Instead, many people use a combination of vacation or sick days or unpaid leave, like Schroeder's wife, Lora Smith did. Still, without Schroeder's paid leave, the couple said they would have been unable to afford to both take the maximum 12 weeks allowed under the Family Medical Leave Act.

"It made me a lot more aware of how fundamental parental leave is to family stability," Schroeder said. "It made me lament the fact that it's not a right that everybody shares."

Amid all the talk of women "leaning in" and "having it all," men tend to get left out of the conversation. Even though the benefits of giving fathers equal time to bond with their children are pretty well established, parental leave worldwide for fathers tends to be shorter than it is for mothers.

Yet, time and again, studies have shown that the United States is a "total outlier" in the area of work-family policy, said Janet Walsh with Human Rights Watch, which examined U.S. work-family policy in a 2011 report, Failing its Families.

While it's great that the FMLA protects workers' jobs while they tend to family needs, evidence shows there's even more benefit to providing paid leave to help ease the financial burden on families of taking time off.

Modern fathers face new expectations

"It should be a basic workplace right and a basic human right," said Walsh, deputy director of the women's rights division. "It's good for workers, families and the economy."

Beside, unpaid leave is not a financial option for most Americans, said Vicki Shabo, director of work and family programs for the National Partnership for Women & Families.

"The most common reason people don't take leave when they need it is because they can't afford it," she said. "When people are living from paycheck to paycheck and unemployment is high, there's a real economic pressure to forgo the leave that's needed."

A 2012 National Partnership study found that 14 states and the District of Columbia have laws that go beyond FMLA. California and New Jersey in particular provide paid family leave insurance to eligible employees through payroll contributions.

A study released in January found that fathers who took two or more weeks of leave upon their child's birth are more likely to be involved in the direct care of their children beyond leave. The study noted that fathers' use of paternity and parental leave was largest when leave was well-paid and designated specifically for fathers, Walsh pointed out.

While immense progress has been made worldwide to provide women with access to leave around the birth or adoption of a child, there's still much work to be done for fathers, said Jody Heymann, dean of UCLA's Fielding School of Public Health and lead author of Children's Chances, the most comprehensive study to date on global laws and policies that affect children and families.

Of 193 countries surveyed, the study found that 180 provide some form of paid leave for mothers and 81 guarantee similar rights to fathers, according to Children's Chances. The United States is not one of them.

"From the standpoint of children, we know that dads' involvement is just as important as moms' involvement," Heymann said. "We also know that when fathers take leave during infancy they are more likely to be involved in their children's lives down the road."

Ensuring equal parental leave for fathers is also important to ensuring equal opportunities for women in the workplace, she said.

"Addressing equal participation in the workforce by new parents is critical to equity for both genders."

The Family Medical Leave Act, which applies equally to men and women, doesn't guarantee paid time off. It allows eligible employees of covered employees to hold onto their jobs for 12 weeks should they decide to take time off for the birth or adoption of a child. It also provides for the continuation of group health insurance coverage under the same terms and conditions as if the employee had not taken leave.

Employers, however, are not legally required to pay for the time off.

What made Schroeder's situation exceptional was that his employer gave him three whole months of paid leave. That's 12 weeks in which he received a salary and benefits without having to use vacation time or sick days, unlike his wife, who used a combination of all three so she could stay home with him and Alma.

Lora Smith said she also benefited from her husband's presence. She did the breastfeeding; he did the diaper-changing. They took turns waking up in the middle of the night and shared all the mundane tasks that don't simply disappear because a baby has arrived.

"We'd joke that I did input and he did output," she said. "It's hard for me to imagine what it would've been like if he hadn't been home for the full 12 weeks."

Smith believes she might have succumbed to post-partum depression without her husband's presence at home. With him around, she could take naps during the day and sleep for longer stretches at night, catching up on much-needed sleep to recover from childbirth. Not having to wake up and go to work in the morning made it easier on both of them.

"It was a wonderful time for our new family to bond and spend time together, build connections and connect over the new life we had," she said.

"Paid leave for parents to stay home with a newborn has been made into a privilege when it should be a basic right," she said. "We need comprehensive policy reform to address how we as a nation care for our families. Everyone has the right to experience the bliss of staying home and being fully present for those first months. It's an issue of fairness."

In contrast, parents in Iceland each get three months of paid parental leave plus an additional three months that either can use. Icelandic parents can take their leave any time before the child turns 2.

Tumi Ferrer, a head waiter at ReykjavÃ­k's Dill restaurant, took his paternity leave from May to July 2012, when his son, Kolbeinn was almost 1 year old.

Like Schroeder, he took pleasure in the mundane tasks of staying home, doing dishes, cooking and bonding with his son.

"Those were the best things about parental leave, taking care of nothing else but him and the home; at peace," said Ferrer, 25.

"I couldn't imagine how difficult it would be not to have that experience because in my opinion, (even) three to six months for each parent is way too little."

CNN's Emily Smith contributed to this report.

@highlight

Fathers say paternity leave lets them bond with newborns

@highlight

The U.S. is one of few countries that does not provide paid parental leave

@highlight

About 11% of U.S. workplaces provide paid leave for mothers or fathers

@highlight

Studies show paid paternity leave is a gender equalizer that helps women in workforce