(CNN) -- As if dealing with the impact of devastating storm surges, drenching rains and potent winds weren't hard enough, hundreds of thousands in New York and northern New Jersey battled a new adversary Saturday night: the cold.

The National Weather Service forecast temperatures would dip into the 30s in Belle Harbor, New York, and Cape May, New Jersey. And even after the sun rises Sunday, residents may be lucky if the thermostat tops 50 degrees.

For many, keeping warm isn't simply a matter of turning on the heat, after Superstorm Sandy knocked out gas lines and electricity. Some 2.4 million people had no power for a fifth straight day Saturday, their patience running low, along with the temperatures.

Several residents in the Rockaways, in Queens, vented their frustrations at New York Mayor Michael Bloomberg as he toured the area Saturday. One woman yelled, "When are we going to get some help!" while a man talked about "old ladies in my building who have got nothing."

Supplementing and, in some cases, dissatisfied with the government response, neighbors and volunteers from afar to hard-hit areas Saturday to offer food, clothing and whatever else to those who are still cold and hungry.

"We covered two children with a blanket freezing and shivering here trying to get food last night," Rockaway resident Lauren O'Connor told CNN affiliate NY1. "We said we had to do something."

Official: Sandy-stricken areas will vote 'come hell or high water'

At a Saturday news conference, Bloomberg admitted he'd encountered many who were "worried and frustrated and cold" and urged those without electricity to go to a shelter or find another "warm place" to stay.

"Please, I know sometimes people are reticent to take advantage of services -- the cold really is something that is dangerous," he said.

For all the continued problems, however, many residents and officials also could point to progress Saturday. More public transit services were back running, fewer people were out of power, and even the days-long gas shortage showed signs of abating.

"We need to continue to focus now on the next phase -- returning to normalcy," New Jersey Gov. Chris Christie said.

New York Gov. Andrew Cuomo said restoring electricity is the top priority, reiterating Saturday that his state will hold utilities accountable if they weren't prepared for Sandy. More than 835,000 customers were in the dark statewide by mid-afternoon.

Marathon canceled

One of New York's top utilities, Con Edison, has restored power to all but 270,000 of its initially 940,000 customers affected by the storm, Senior Vice President John Miksad said. Bloomberg praised that company, while blasting the Long Island Power Authority -- which services the Rockaway peninsula -- for not having "acted aggressively enough."

"We realize that LIPA has outages throughout Long Island, but the Rockaways were the hardest hit by the storm," he said, adding that the utility indicated it could take two weeks to restore power there. "When it comes to prioritizing resources, we think they should be first in line. So far that has not appeared to be the case, and that is certainly not acceptable."

LIPA did not immediately respond Saturday night to CNN requests for comment on the mayor's criticism. But the utility's official Twitter feed was active, with promises of extra crews and that 90% of its customers should have power by late Wednesday.

Both Bloomberg and Cuomo praised the Metropolitan Transportation Authority for restoring 80% of subway services in New York City. The mayor said it should be up to 90% by Sunday.

"Not only did they try hard, but they got it done," Cuomo said.

Powering cars and trucks is another issue, as evidenced by long lines at gas stations around the region.

Long gas lines test patience

Christie noted that about 70% of gas stations from Interstate 195 and points north weren't operating Saturday -- not necessarily because they did not have gas, but because they couldn't pump it due to power outages. (By comparison, about 95% of stations south of Interstate 195 were working, he said.)

In Suffolk County on New York's Long Island, Leah Cepeda-Winfield said people were sleeping in their cars around 3 a.m. Saturday, trying to be first in line once the pumps reopened. About eight hours later, lines were still about a quarter-mile long.

"It seems that these long lines are everywhere you go," said Cepeda-Winfield, a CNN iReporter.

Still, a concerted effort in recent days to address the gas shortage appears to have yielded some positive results. Whereas the U.S. Energy Information Administration reported no gas in 67% of metropolitan New York stations on Friday, the federal agency estimated that figure plummeted to 38% on Saturday.

In addition to other sources again flowing into the region, the federal government announced Friday night it would deliver 12 million gallons of unleaded gas and 10 million gallons of diesel to dispense around the hard-hit region. Such fuel had already arrived at Joint Base McGuire-Dix-Lakehurst and was being shipped out to stations, Christie said Saturday.

Powerless in New Jersey

The governor also singled out Hess, based in Woodbridge, New Jersey, for distributing gas to rival companies whose stations had run dry.

"That's what New Jersey is all about," he said.

Drivers in New York City and Long Island, meanwhile, were able beginning Saturday to fill up directly from 5,000-gallon fuel trucks moving around the area.

Plus, Homeland Security Secretary Janet Napolitano issued a temporary waiver of the Jones Act, allowing oil tankers from the Gulf of Mexico to enter northeastern ports.

On Saturday, officials cheered developments on several fronts. With one small exception, the Port of New York and New Jersey is now open to all vessels, the Coast Guard said. All water has been removed from the once-flooded World Trade Center work site, said Cuomo. Nearly $28 million in federal disaster emergency grants have been allocated across nine counties, the governor added.

Migration to coast heightens impact of storms

Still, as millions can attest, headaches and heartache from Sandy persist.

The 900-mile-wide superstorm left a huge swath of damage when it hit the Northeast this week, claiming at least 106 lives in the United States and two in Canada after earlier killing 67 around the Caribbean.

Worst-hit New York state suffered 48 deaths, including 41 in New York City, authorities said. Twenty of those were in Staten Island.

As communities grapple with the human toll, the price of the damage is stunning: between $30 billion and $50 billion, according to disaster modeling firm Eqecat. That far exceeds the firm's pre-storm estimate of $20 billion.

The region may be in for more bad weather, with a weaker storm predicted for next week. But Christie, for one, isn't ready for that quite yet.

"I know there are some forecasts of a Nor'easter next week," the governor said. "I can't believe it."

7 health risks in the wake of the superstorm

CNN's Faith Karimi, David Ariosto, Erinn Cawthon, Henry Hanks and Maria White contributed to this report

@highlight

Cold temperatures heighten health and other concerns in areas still without power

@highlight

New York's mayor says 90% of New York subway services should be restored by Sunday

@highlight

Con Edison: All but 270,000 of its once 940,000 affected customers have power