(CNN) -- The southern Chinese city of Suzhou has been eulogized by artists since the Tang Dynasty.

The poet Bai Juyi wrote: "In front of storied buildings everywhere waft the melodies of flutes, And by the door of every house are moored ships and boats."

Today, Suzhou's classical gardens are UNESCO World Heritage Sites and its canal network, bisected by gorgeous stone bridges, has earned the nickname, "The Venice of the East."

Yet when our small convoy of cyclists approached the city that so impressed Venetian traveler Marco Polo in the 12th century, there was little to wax lyrical about.

The whole of the Yangtze River Delta was enshrouded in headline-making smog.

I'd run into veteran Chinese rock musician Zhao Laoda in Shenzhen just before I'd set off on Ride For Hope, a three-week, 2,000-kilometer charity bike ride from Shenzhen to Shanghai organized by Shangri-la Hotels and Resorts.

Zhao had retreated south for the winter to avoid "the smog and cold" of Beijing.

"The country's done," he complained. "Only in the mountains will you find unpolluted areas."

His words would prove prophetic.

Foreboding odors

Our journey began with much media fanfare in downtown Shenzhen in mid-November.

Cycling smooth roads though some of China's most prosperous neighborhoods furnished a false sense of security.

As soon as we exited the old Special Economic Zone the experience rapidly descended into one of brute survival along the gravel coated, anarchic roads of the Pearl River Delta.

Shenzhen's Bao'an district, the city of Dongguan and much of the provincial capital of Guangzhou comprise the world's largest manufacturing base.

Only three decades ago this land was a patchwork of rice paddies and fruit plantations.

Now it's a sea of concrete, hurriedly and carelessly erected by entrepreneurs racing to squeeze quick cash from China's newly opened economy.

The economic reforms that began in the south have lifted many out of poverty, but the environment has borne a heavy toll for progress.

By day two, we were cycling seemingly endless roads, lined by indistinguishable factories beneath anonymous and repetitive gray skies.

Each waterway we crossed emanated a foreboding odor.

Wildlife was distinctly absent.

It might sound surprising, but most of the time cycling through the pollution didn't affect me as much as you might think.

There was one episode, however, on the leg between Hangzhou and Suzhou, when the pollution was at its worst.

Feeling nauseous, I ended up falling behind the team because I had to stop to retch at the side of the road.

The air literally sickened me.

Sixty percent of the world's concrete

On day three we finally left the manufacturing lands behind.

Beyond the scenic city of Huizhou, our troop of seven cyclists pedaled along relatively empty roads through broad expanses of green, undulating farmland.

But construction was never far away.

Even in the hinterland, real estate companies are busy erecting malls and high-rise apartment buildings.

According to various sources, as much as 60% of the world's cement is dumped annually in China, creating a dust cloud that NASA has photographed from space.

Many in China stoically maintain environmental damage is a consequence of the transition from a feudal agrarian society to a modern, predominantly urban one.

The words of industrializing Britain's laureate, Charles Dickens, are often invoked. Didn't Europe experience the same thing? And hasn't it cleaned up its act since?

The difference, of course, is that China's industrial revolution and urbanization program is of a scale unsurpassed in human history, a continental shift that's creating huge conurbations, as cities, like those of the Pearl River Delta, converge.

Alarmingly, some detractors even believe much of the construction may be pointless.

"It is said that there are 64 million empty apartments in China," Hong Kong-based analyst Gillem Tulloch told Journeyman.tv.

Indeed, on Ride For Hope we passed through more than a few Potemkin towns -- shiny, new and all but empty.

All is not lost

Zhao Laoda's sentiments resonated with me when we engaged our first mountain range late on day three.

Only in remote and hilly regions, where it would be unprofitable to build, is China's environment unspoiled.

Of course, for cyclists mountains pose a different challenge.

While we got stunning views -- bamboo forests, sequestered villages, isolated Buddhist monasteries -- cycling uphill for hours on end was grueling.

We completed day three well after nightfall, thighs burning as we rolled into the tiny market town of Gongping.

This pattern of heinous urban cycling followed by a few days of scenic, if challenging, rural riding would define our journey north to Shanghai.

Chaoshan in eastern Guangdong province and the western Taiwan Straights in Fujian province are emerging mega-cities.

Yet between them, in the rural areas of southern and northern Fujian, the rugged lands given over to tea cultivation are majestic.

Villagers wearing bamboo hats toil in fields before stunning mountain vistas -- a picture-postcard China far removed from the "booming" economic centers.

Our third province, Zhejiang, would also provide one day of fine rural riding.

Several degrees north of our starting point in the subtropics we were now battling the cold.

But an autumnal myriad of red and orange deciduous trees more than compensated for the chilly condition along road between Taizhou and Ningbo.

"Never seen air like this."

Beyond Ningbo, however, we navigated through smog all the way to the outskirts of Shanghai.

"The air quality index reached 305 by midnight, or severely polluted, the highest level," Shanghai Daily reported.

Throughout the region, flights had been canceled, schools closed.

All the while the Ride For Hope team pressed on toward the finish line.

Remarkably, the air cleared considerably just as we entered China's showcase metropolis.

After three weeks overcoming soaring mountains and sprawling cities, we rolled to the finish outside the Kerry Hotel in Pudong to be welcomed by an applauding crowd.

We'd raised 400,000 yuan ($66,000) for charity having cycled more than 2,000 kilometers.

Our typically self-effacing team indulged in the adulation.

The next day as we packed our bags, despite the glowing sense of achievement, the team traded despondent words with regards to China's environmental plight.

"I've never seen air like we saw in Zhejiang," said Lu Yushui, a 21-year-old chef from Guangxi province.

"My friends are all buying fancy cars. I don't want to be like them," added Herman Wong, 52, from Hong Kong. "We're destroying our world!"

But it was Lu Baokang, a cycling enthusiast from Guangxi, who best summed up the contrast between the grotesque and the gorgeous we'd witnessed cycling China's southeast.

"The big mountains and scenery have lifted my spirit more than I can say, but the pollution has been too serious. I wish there was some way to tell the world how liberating and non-polluting cycling is."

@highlight

The author pedaled more than 2,000 kilometers, much of it through epic smog

@highlight

Charity bike ride started in Shenzhen, finished in Shanghai

@highlight

Some area of ride were gorgeous and smog-free

@highlight

Most of the riders in author's group found the air quality disturbing