(CNN) -- Every spring Halloween meets haute couture at the Carnival of Venice.

Culminating March 4 after nearly a month of masked frivolity, Italy's most popular festival draws up to three million visitors annually.

Wearing feathered headdresses, flowing capes and, most importantly, a bevy of bejeweled masks, they enjoy a giant masquerade party that spills onto the streets and into the canals.

The Piazza San Marco is the epicenter of the action, especially during preliminary rounds of the Maschera più bella contest for the best masked costume.

Every day dozens of masked contestants stomp down the runway of the Gran Teatro, a temporary outdoor theater, hoping to make the grand final. Costumes skew toward the elaborate, with men and women dressed as brightly-colored court jesters, kabuki princesses, and glittering animals.

Regardless of the outfit, Venetian masks—a symbol of the city and a focal point of the carnival—are essential to any winning ensemble.

During the final, contestants pout and vogue in front of an international panel of costume, fashion and mask designers.

Among them is Stefano Nicolao, one of Venice's most esteemed costume designers, who has dressed Hollywood stars for films including "Elizabeth" and "Pirates of the Caribbean."

He does not approach his responsibilities as a juror lightly.

"The theme of the mask is absolutely essential to help your imagination arrive at what I call the dream," he says. "For me, emotion must emanate through the costume and the person who wears it. There must be beauty, originality, an explosion of color."

Given the complexity of Nicolao's criteria, there is no formula for success.

Last year the Italian artist Anna Marconi won the contest on her 17th try. Dressed as a sumptuous doll, she offered a high-fashion take on the toy box.

The 2012 winners—a group of five men and women from Germany—wore billowing pink and purple dresses with matching masks. They appeared to be masquerading as Marie Antoinette's tea servants.

Read more: The world's most colorful carnival celebrations

A history of craftsmanship

The origins of the masked carnival remain a mystery, though it's often said the festival first appeared in the 12th century to celebrate a military victory. Today the city uses the carnival to showcase Venetian culture, which includes a long and proud history of mask masking.

Artisans have passed down mask making skills over successive generations.

As a child Maximiliano Gimenez learned the craft from his uncle. Today he runs Blue Moon Venice, an atelier and retailer. He and his 15 artisans produce roughly 15,000 Venetian masks per year and are currently training two young apprentices. Some of his staff have been making masks for more than twenty years.

The "Volto Piume" (Feather face), one of his most ornate masks, retails from €200.

Starting with a paper mache base, artisans apply a thin layer of paint that cracks to give the mask an antique look. They then adorn it with lace sourced in Venice, and finish it with gold leaf and Swarovski crystals.

"At the end it is encircled with two layers of real cock feathers in different colors," Gimenez says. "We only use natural colors, of course."

Read more: This is the eerie, beautiful world of aquascaping

Unmasking the mind

The enduring popularity of masks doesn't stem merely from their beauty. It also stems from the freedom that comes with hiding who you are—or at least who people think you should be.

Carla Almanza-de Quant, an artist and Venetian mask maker in California, has clients all over the world. They call on her to create gorgeous masks that will turn heads and break the ice.

"Once you put on a mask you're cheerful, you're playful, you're a more wonderful you," she says. "You become a fantasy character and you interact with others in a more outgoing way. The real mask is the one we put on every day because society tells you how to do this, and how to do that."

Read more: Life of a muse: What is it like to inspire art as a living?

Chinese rivals?

The global interest in masks isn't waning, and mass retailers are keen to tap into the market.

Target invites customers to "make a dramatic entrance to your next masquerade ball" with its $18.49 Venetian Mask with Headpiece in polyester. Walmart sells a $9.99 Venetian Raven Adult Halloween Mask in plastic with "a unique crackle finish."

The arrival of cheap, mass-produced masks from China has created new frustrations for Venice's mask makers.

Chinese manufacturers sometimes try to sell their products under the brand "Made in Italy", and attach labels that wrongly say they were made by hand in Venice.

The influx of low-quality masks, which retail for a few dollars, also distorts the expectations of consumers who begin to question why authentic Venetian masks can cost several hundred euros.

Gimenez of Blue Moon Venice believes his masks carry the soul of the city with them.

"Those who want to buy mass-produced plastic should not come to us," he says. "Our customers receive something original and unique, created by artisans with passion and love."

@highlight

The Carnival of Venice attracts around three million visitors every year

@highlight

The Best Masked Costume Contest features wacky clothes and haute couture

@highlight

Venetian mask makers charge hundreds of euros for their most lavish creations