(CNN) -- Are younger people more likely to embrace their sexual identity? That's the implication of findings from a recent large Gallup survey.

The survey, which asked 120,000 American adults whether they identified as lesbian, gay, bisexual or transgender, found that 6.4% of people aged 18 to 29 said they were LGBT: about three times more than people over age 65.

But do results like these indicate that younger adults are more likely to be LGBT, or are they simply more likely to acknowledge it? It's probably the latter, say my colleagues.

"These numbers might reflect a generational change in social acceptance for LGBT identities," said psychotherapist Jean Malpas, director of the Gender and Family Project at the New York-based Ackerman Institute for the Family. "Today's youth and young adults, at least in some communities, are gradually more comfortable being open about their sexual and gender identities."

Another potential reason for the increase in self-identified LGBT youth is the influence of a new generation of parents who embody a positive attitude and wouldn't have it any other way.

"Today's millennial parents are more than just accepting of their children's sexual identity. They're comfortable and embracing of it, too," said Ron Taffel, psychologist and author of the book "Childhood Unbound." "They want to actively support and engage their children through communication about all aspects of their lives."

Hate your body? 4 ways to get your sex life back

Research, including this survey, also suggests that young women may be more likely than men to identify as bisexual.

"The pattern across surveys is that men are more likely to identify as gay, whereas women are more likely to identify as bisexual," explained social psychologist Justin Lehmiller. "We don't know exactly why this is, but many psychologists believe it results from women's sexuality being somewhat more 'flexible' or 'fluid' and men's sexuality being somewhat more 'fixed.' "

Many other young people are eschewing traditional descriptors for sexuality and gender completely.

"There's been a lot of work done on how LGBT youth is more and more frequently rejecting labels altogether, blurring the lines between sexual orientation and gender, creating new labels and identifying as gender-queer, gender-fluid or pansexual, to name a few," said sex therapist Margie Nichols. "The very term 'LGBT' is too confining now, which is why I prefer the term Gender and Sexual Diversity, or GSD."

That term could also include the 1% of people who identify as asexual, which means they aren't sexually attracted to anyone.

"While we're creating space for a variety of sexual identities, we also need to create space for non-sexual identities," said college sex educator Emily Nagoski.

Are you 'normal' in bed?

Indeed, many of the experts I spoke to expressed frustration that Gallup and other surveys limit the options from which a respondent can choose.

"The terms lesbian, gay and bisexual just don't capture all sexual minority identities," Lehmiller said.

Nichols agrees. "These studies are missing a tremendous opportunity by not including an 'other' category. It's a shame, because the 'other' category is the wave of the future."

Separate from sexual identity is gender identity. While not addressed in the Gallup survey, experts say, this distinction is increasingly important, particularly for today's youth.

"Gender nonconforming expression and identity are different from sexual orientation," Malpas explained.

"Sexual orientation is about who you are attracted to and who you fall in love with. Gender expression and identity refer to the gender you feel comfortable expressing and identifying with, which might or might not be aligned with the biological sex you were assigned at birth."

As transgender and gender-nonconforming children and teens become more visible, both in communities and in the media, parents are less likely to dismiss them.

"Only a decade ago, a parent would have probably answered 'stop saying silly things' to a 6-year-old son who insisted on being a girl," Malpas added. "Today, the same parent will stop and think about the transgender children they've seen on TV or in magazines and may more readily inquire with professionals and other parents."

More than just stop and think, they'll also hopefully want to talk. Says Taffel, who specializes in breaking through to teens, "Open communication is a primary value for today's parents, much more so than setting limits and rules, and the spirit of open communication trumps the content of any conversation."

What to do after an affair

While it's important not to confuse gender and sexual identity, parents can take a similar approach in discussing them with their kids.

"Of course, you should reassure the child of your love, but you'll also want to find ways to expose your child to others like him or her so the child doesn't feel different or alone," Nichols suggested. "Allow yourself to experience mixed or negative feelings if you have them, and consider joining a support group. You've also got to be prepared to be your child's advocate with schools, neighbors and community activities."

I find the survey results very encouraging, as they indicate not just a shift of differences in human sexuality toward the mainstream but also suggest that the future is promising for people who don't fit into "the norm."

"We're evolving, culturally, beyond the need to impose rules on who's allowed to do what with their genitals and their hearts," Nagoski said. "This new generation of young people understands that love is love, that people are people and that the freedom to experience joy and mutually consensual pleasure is a birthright."

@highlight

A survey shows youths are more likely to identify as LBGT

@highlight

The numbers may reflect a generational change in social acceptance, experts say

@highlight

Some young people are bypassing traditional descriptors of sexuality