(CNN) -- There are about 500 million Buddhists worldwide, but it's unclear exactly when in history this religion began. The Buddha's life story spread first through oral tradition, and little physical evidence about Buddhism's early years has been found.

Now, scientists for the first time have uncovered archaeological evidence of when the Buddha's monumentally influential life occurred. Excavations in Nepal date a Buddhist shrine, located at what is said to be the Buddha's birthplace, to the sixth century B.C.

The research, published in the journal Antiquity, describes the remains of a timber structure about the same size and shape as a temple built at the same site in the third century B.C.

Archaeologists also found reason to think that a tree grew at the center of this ancient structure, lending support to the traditional story that the Buddha's mother held onto a tree branch while giving birth to him.

"This is one of those rare occasions when belief, tradition, archaeology and science actually come together," lead study author Robin Coningham, professor at Durham University in the United Kingdom, said at a press briefing Monday.

If this study is correct, the Buddha's actual life could have overlapped with a popularly recognized time frame of 563-483 B.C. But lots of other date ranges for the Buddha have been tossed around -- some scholars say 448 to 368 B.C., for instance. (The UNESCO website about his birthplace says 623 B.C.)

"We know the entirety of the shrine sequence started in the sixth century B.C., and this sheds light on a very long debate," Coningham said.

A place for pilgrims

The Lumbini site in Nepal is one of four principal locations that are believed to be connected with the Buddha's life. Bodh Gaya is where he is became enlightened, Sarnath is where he first preached and Kusinagara is where he died.

Lumbini is located in "a subtropical chain of forests, marshes and grasslands" between Nepal's border with India and the Siwalik Range of the Himalayas, according to the study.

Historical documents from Chinese travelers show that pilgrims made the journey to Lumbini for many centuries.

The site was lost and stopped attracting pilgrims after the 15th century -- no one knows why -- but Lumbini was rediscovered in 1896. It was declared the birthplace of Buddha because of a sandstone pillar there, dating from the third century B.C. The pillar's inscription states that Emperor Ashoka visited this site of Buddha's birth.

Scholars say the more modern Maya Devi Temple at Lumbini, named after the mother of Buddha, was constructed on top of the foundations of more than one earlier temple or stupa, which is a dome-shaped Buddhist monument.

One of those older temples dates back to the third century B.C., from the time of Emperor Ashoka. But there's also evidence of the even earlier temple, which appears to have covered about the same size and shape as the Ashokan temple, Coningham said.

The earliest site

Beneath remains of the Ashokan temple, archaeologists found a series of postholes from where timber posts had rotted out.

"Indeed, our excavations have demonstrated that the earliest construction at Lumbini appears to have comprised a timber fence or railing marking a cardinal direction," the study authors wrote.

The central, open portion of the most ancient temple appears to have housed a tree, based on the discovery of large fragments of mineralized tree roots. This part of the temple also had never been covered by a roof.

To establish the dates of the earliest Buddhist shrine at Lumbini, Coningham and colleagues analyzed charcoal found within postholes, as well as sand. Different techniques used on each of these materials pointed to the same conclusion of the sixth century B.C., but the postholes indicated a range of about 800 to 545 B.C.

"If the postholes at Lumbini are indicative of a tree shrine, ritual activity could have commenced either during or shortly after the life of the Buddha," the study authors wrote.

Julia Shaw, archaeologist at University College London, applauded the research but noted in an e-mail that other ritual frameworks existed at the same time as early Buddhism, which could complicate the conclusions of the study.

"It would be difficult to determine whether the tree shrine in question was intended for the worship of the Buddha or was part of a distinct cultic context," she said.

But Coningham said that it's unlikely that this earlier structure belonged to a different spiritual tradition, other than Buddhism, because of the "continuity" of the site between the sixth century B.C. and third century B.C. structures. The Ashokan temple is clearly Buddhist, and the earlier shrine had the same footprint.

"Often when you have sites of one religious activity overtaken by another, you actually get quite dramatic changes within orientation, within use of structure," Coningham said.

Moreover, before the sixth century B.C., the area where the site is was just cultivated land, he said.

The new archaeological research on the Buddha's life will be featured in a National Geographic documentary called "Buried Secrets of the Buddha" premiering in February. The National Geographic Society partly funded the research.

Buddhism Fast Facts

When Buddha lived

Buddha was born as Siddhartha Gautama, in the gardens of Lumbini in Nepal. His parents were wealthy. At age 29, he renounced his family and became a seeker, Coningham said. According to tradition, Buddha found truth when he sat down under a tree, which is now called the Bo tree.

The Buddha happened to be born during a period of dramatic change, Coningham said. Coins were introduced, urbanization was occurring and a merchant class emerged.

When the Buddha died at age 80, he recommended that all Buddhists visit Lumbini, study authors said.

Today, more than a million pilgrims visit Lumbini each year. The new research, in uncovering layers of history, adds new dimensions of interest to the site.

Follow Elizabeth Landau on Twitter at @lizlandau

@highlight

Archaeologists have found Buddhist shrine from sixth century B.C.

@highlight

Its remains were found under a known Buddhist shrine, built about 300 years later

@highlight

Results are published in the journal Antiquity

@highlight

The older structure seems to have been made of timber