(CNN) -- Russian and American leaders paint starkly different pictures of Ukraine, blaming each other for a crisis that shows no signs of simmering down.

A defiant Russian President Vladimir Putin said Tuesday that masked gunmen are fueling anarchy in Ukraine. He decried what he called an illegitimate government that illegally seized power in a coup with U.S. backing, arguing that his country has a right to use military force.

U.S. President Barack Obama and his country's top diplomat said Ukraine's new government is democratically responding to the people's will. They warned of invading forces and a desperate Russia breaking international law.

"President Putin seems to have a different set of lawyers making a different set of interpretations," Obama said, "but I don't think that's fooling anybody."

Putin blamed Western powers, particularly the United States, for causing what he called "anarchy and armed coup" in Ukraine.

"I have a feeling people in America sit in some lab doing experiments, like on rats," he said, "without knowing consequences."

The conflicting descriptions are enough to give you whiplash. Ukraine's shaky new government is caught in the middle, and it's clear that world powers don't see eye to eye over basic facts about what's happening.

Here are some of the questions at play, with a look at how key players are weighing in:

What's happening in Kiev and Crimea?

Russia's take:

Putin described a country in chaos. "Military men are walking around Kiev in masks still now. They wanted to humiliate someone or show their force," he said. "I think this is very stupid."

United States' take:

The streets in Kiev are "calm and friendly," U.S. Secretary of State John Kerry said, and Ukrainian soldiers in Crimea have "stood their ground but never fired a shot, never issued one provocation, have been surrounded by an invading group of troops."

What we've seen:

In Crimea, the situation is calm but tense, CNN's Ben Wedeman and Clare Sebastian report. Russian forces have surrounded 10 Ukrainian military bases. There's been no fighting -- or loss of life -- but there are ample signs of preparation.

There's a "war of information" in the region "between those who watch Russian state TV and those who are getting their news from the West, none of them listening to the calls from Kiev for unity in this country," CNN's Diana Magnay reported.

In Kiev, there are still barricades and battle scars from recent fighting before Viktor Yanukovych's ouster, CNN's Anderson Cooper and Elise Labott reported. Protesters there are waving posters depicting caricatures of Putin and declaring their willingness to fight against Russian forces, if necessary.

In Crimea: 'I feel unsure about what will be tomorrow'

Who's in charge of Ukraine?

Russia's take:

Viktor Yanukovych remains Ukraine's elected leader, and Ukraine's new government is illegitimate.

"The legitimate president is only Yanukovych," Putin said. "There are just three ways to dismiss the president from power: death, his personal request and the third one, impeachment. ... This procedure was not followed."

United States' take:

Yanukovych abandoned his post last month, refused to sign a transition deal, fled the country and was then voted out of office by Ukraine's democratically elected parliament.

"He broke his obligation to sign that agreement and he fled into the night with his possessions, destroying papers behind him," Kerry said in Kiev on Tuesday. "He abandoned his people and eventually his country."

Ukraine's take:

Ukraine has a legitimate government and is set to have new presidential elections on May 25.

"Let's give an opportunity for that to work," Ukrainian Ambassador to the U.N. Yuriy Sergeyev said.

But not everyone in the country agrees. Some support having closer ties with Russia.

Yanukovych, for his part, said in a news conference from Russia last week that the planned May 25 elections would be illegal, insisting that he was still in charge and wanted to lead his country to peace, harmony and prosperity.

U.S. strategy for Ukraine crisis: Money talks

How many Russian troops are inside Ukraine?

Russia's take:

Part of the Russian Navy is based in Crimea, but Putin hasn't acknowledged sending any additional troops to Ukraine. He told reporters Tuesday that the surge in forces in Crimea were local self-defense groups pushing for the will of the people to be respected. Asked whether they were Russian, he said the uniforms the troops are wearing could be purchased at a store.

United States' take:

Kerry sounded shocked by Putin's explanation Tuesday. Putin, he said, "is insisting against all evidence everywhere in the world about troops being in Crimea that they're not there."

Russian forces "have complete operational control of the Crimean peninsula," a senior U.S. administration official told CNN on Sunday, with estimates of 6,000 Russian ground and naval forces in the region

Ukraine's take:

Russia has sent military ships, helicopters and cargo planes to deploy 16,000 troops into Crimea since February 24, Sergeyev told the United Nations on Monday.

Does Russia have a right to send more military forces into Ukraine?

Russia's take:

Yes. A treaty between the neighboring nations allows Russia to have up to 25,000 troops in Crimea, Russia's U.N. envoy said Monday, adding that Yanukovych asked Russia to send military forces. Putin said Russia has no plans to take over Crimea.

"If I take the decision to use military force, it will be completely legitimate and correspond to the international law," Putin said, "because we have the request of the legitimate president and also (it) corresponds to our duties and corresponds to our interest in protecting the people who are close to us historically and have connected culturally."

United States' take: No, and Putin is playing a dangerous game. Obama said Tuesday that the Russian President doesn't have the right to use force to influence the neighboring country.

Russia "has chosen aggression and intimidation as a first resort," Kerry said Tuesday, accusing the country's government of "hiding its hand behind falsehoods, intimidation and provocations."

Ukraine's take:

No. Russian troops amassing in Crimea and near the border with Ukraine are an "act of aggression."

If judged by the numbers, Ukraine's military loses war with Russia

Why is the tense standoff unfolding now?

Russia's take:

Parliament approved Putin's use of military force to protect Russian citizens inside Ukraine.

"This corresponds to our national interest to protect these people, and this is a humanitarian mission. We are not trying to enslave people, or dictate anything to anyone," Putin said. "Of course, we can't stay aside if we see the people persecuted, bullied or killed. We very much hope it will not come to this."

United States' take:

Putin, the administration believes, is threatened by challenges to his influence, especially popular uprisings against governments that are supportive of the Russian leader, a senior Obama administration official said Tuesday.

"They are externally taking over and trying to annex Crimea," Kerry said.

Ukraine's take:

There's no evidence of any threat to Russians inside Ukraine. Russia wants to annex Crimea.

CNN's Jim Acosta and Dana Ford contributed to this report.

@highlight

From afar, Obama and Putin exchange sharp words over Ukraine

@highlight

American and Russian leaders paint starkly different pictures of the situation

@highlight

Putin says his country has a right to use military force and claims there was a coup

@highlight

Kerry argues that Russia is telling falsehoods as it makes a case for invasion