(AOL Autos) -- Automotive expert Tom Torbjornsen answers a question about how to diagnose an exhaust problem and what to do about it.

Dear Tom, Smoke is coming out of the tailpipe of my 2002 Chrysler Sebring with 90,000 miles. Is this a big problem? I have to put a quart of oil a week in the engine. What should I do? -- Sally, New York

Sally, Generally, engines burn oil due to a few reasons: bad valve seals, worn valve guides, pressurized crankcase (oil pan) due to a clogged PCV valve or breather system, and blow-by from worn piston rings.

Bad valve seals: The valves are located in the cylinder head above the combustion chamber. Oil is pumped at 40 to 80 PSI (pounds/square inch) of pressure into the top of the head, lubricating the valve-train. The valves have seals to stop the flow of oil down into the engine when the valve is open. If the seals fail then oil is allowed to flow down into the combustion chamber and is burned.

Worn valve guides: A small cylindrical chamber called a valve guide does just what its name says ... it guides the valves. These guides wear out over time causing eccentricity (slop). The excess gap that forms allows oil to flow down the valve stem into the combustion chamber to be burned. Normally the valve seal stops this flow. However, in this case the gap is too great for the seal to work. AOL Autos: Should you use synthetic motor oil?

Pressurized crankcase due to clogged PCV or breather system: Your car's engine is a giant air pump, consequently it must breathe. The PCV (Positive Crankcase Ventilation) system allows the engine to exhaust the excess pressure buildup (which is a natural phenomenon of the internal combustion engine). Carbon is a by-product of an engine and can build up in the PCV system, clogging the breathing passages. This in turn pressurizes the oil pan and pushes oil up into the fuel delivery system where it is fed into the engine and burned. AOL Autos: Do I need to replace my air filter?

Blow-by from worn piston rings: The pistons in your car's engine have seals around them in the form of rings. These rings have two functions: (1) they seal the combustion chamber so that the power developed from the firing of the cylinder is not lost. (2) They provide vital lubrication to the cylinder walls.

When the rings wear out, the pressure from combustion reverses down into the oil pan, pressurizing it, and forcing oil into the valve covers. From there it goes through the breather system, back into the fuel delivery system, and into the engine to be burned.

I have to put a quart of oil a week in the engine. Is this a big problem?

It's hard to say without performing some diagnostics on the engine. A quart of oil a week is excessive. It could be due to a plugged PCV or excessive internal engine wear. Take the car into the shop for engine diagnostics. My guess is that the tech will perform a compression test along with a cylinder leak down test after he/she determines if the PCV system is open.

During these tests the tech tries to determine if there is loss of engine compression, blow-by, or excessive oil consumption due to ring wear. If excessive ring wear is discovered then further engine teardown will be necessary to determine if the engine needs to be rebuilt or replaced. AOL Autos: How often should you change your oil

What is the difference between blue and white smoke?

The engine can emit different colors of smoke:

Blue smoke: Blue typically means that engine oil is being burned in the combustion chamber. In rare cases, when a vehicle is equipped with a transmission that uses a device called a vacuum modulator valve (to soften shifts between gears according to engine vacuum) the diaphragm can break inside the valve and cause transmission fluid to be sucked into the engine via the vacuum line feeding the valve and burn. AOL Autos: Fluid leaks: unsafe and expensive

White smoke: White can mean one of two things. (1) Water condensation from a blown and leaking head gasket: This gasket is the seal between the cylinder head and engine block. Water runs through channels called water jackets that line the cylinder walls and thus carry away heat. When the head gasket blows, the seal between the cylinder head and engine block breaks and water is allowed to enter the combustion chamber. This water is emitted from the engine in the form of water vapor or steam and it is white in color.

(2) Excessive gas: Fuel delivery systems sometimes falter and dump excessive amounts of raw fuel into the intake plenum. When this happens, the amount of fuel is too much for the engine to process. Hence, it exits the engine and tailpipe in the form of pure white fuel vapor. It stinks like raw gas and can be dangerous if it ignites in the hot muffler and catalytic converter.

I have witnessed exhaust systems literally blown off the vehicle from the explosion that ensued from ignition of a gas-filled catalytic converter. This condition must be fixed immediately to prevent internal engine damage or worse yet, a serious fire.

Can I add oil or coolant and keep driving the vehicle until I can afford to fix it?

Yes. However, be advised that such maladies never get better by themselves; and they always get worse with time. There is a real possibility that you will get caught on the road driving at highway speeds (thinking you added enough oil, transmission fluid or engine coolant) and the oil runs out, causing a catastrophic failure. In general, when it comes to a need for auto repair, conditions never improve on their own.

You must maintain your vehicle if you want to get the maximum life out of it and, in the long run, spend the least amount of money. AOL Autos: How to avoid common car problems

@highlight

An oil-thirsty engine and smoke coming from car's tailpipe are signs of trouble

@highlight

Bad valve seals or worn guides, clogged PCV valve, worn piston rings among causes

@highlight

White smoke: Water condensation from blown head gasket, too much gas

@highlight

Blue smoke: Engine oil is being burned in the combustion chamber