(Departures.com) -- As travelers continue to swarm Europe every summer -- crowding the Michelin-starred restaurants of Paris and Copenhagen, stuffing into Tuscan villas for gnocchi-making classes and partying on the beaches of Saint-Tropez, Capri and Ibiza -- many locals have found secret hideaways that allow them to avoid the crowds at all costs.

Unlike Americans (and, increasingly, Asians and South Americans), many Europeans don't view sightseeing, culture and history as essential components of a summer holiday, since they often have those experiences year-round in their hometowns and cities.

"Europeans are usually more concerned with quality hotel accommodations, good food and one-of-a-kind shopping," says Chrismar Kuhn, a Basel-based luxury travel agent and fan of Sylt, a German North Sea island.

And those in the Mediterranean have been dodging tourists for centuries. Many chic Romans travel to the breezy hush-hush island of Panarea, the smallest and poshest of the Aeolian Islands, off the coast of Sicily; the French -- who try harder than anyone to avoid tourists -- hike in the Drôme, sail in Vannes or go "glamping" in Loire-Atlantique. Follow their lead and pay a visit to one of these 10 lesser-known European destinations.

Departures.com: Amazing first-class air cabins

The Jura and Three Lakes Region, Switzerland

Nobody loves secrets more than the Swiss. But nobody loves St. Moritz and Gstaad more than moneyed Russians, Americans and Brits, eager to take part in boozy mile-high après-ski parties. Family-friendly Lenzerheide has lured Swiss celebs like Roger Federer, but the spectacular Jura Mountains in the northwest remain a rugged, undeveloped region that is an anomaly in the resort-speckled country.

Located on the edge of the region is Neuchâtel and the Hôtel Palafitte (from $350; Route des Gouttes-d'Or 2; 41-32/723-0202; palafitte.ch), a contemporary favorite of the Swiss, who happily give up their fondue stübli for this modern gem.

Bornholm, Denmark

The phenomenon of "new Nordic" cuisine has created a new Nordic invasion, and getting a table at one of Copenhagen's buzzy, Michelin-starred restaurants has become more challenging than navigating the city on a bike during rush hour. Fortunately, sensible Danes know when enough is enough. Come high season they flee the city limits for islands like Bornholm and Samsø, where they can get back to life's simple pleasures.

Windswept Bornholm is known for its round churches, smoked herring and pottery. The tiny fishing village of Gudhjem is home to Stammershalle Badehotel (from $250; Sdr. Strandvej 128; 45/5648-4210; stammershalle-badehotel.dk), whose welcoming potbellied stove is all the luxury you'll need.

Departures.com: America's best rooftop bars

Cavtat, Croatia

Though Dubrovnik remains a posh Adriatic go-to, its share of cruise-ship passengers and fortress wall-walking British, German and American tourists increases every year. Many locals sneak 30 minutes south to leafy, cultured Cavtat (pronounced "Tsav-tat"), which has long been a secret weekend getaway for the affluent.

The swank Hotel Croatia Cavtat (from $250; 385-20/430-830; alh.hr) overlooks the entire harbor. Its distinct 1970s James Bond-esque exteriors might be off-putting to tourists, but the luxuriously refurbished five-star hotel has swaddled many a VIP within its walls.

Cheltenham, Cotswolds, England

Brits looking to escape the Olympics are renting out their homes in record numbers and temporarily heading for greener, less-crowded pastures in the bucolic countryside. Places reachable in less than fours hours -- such as Somerset, known for rolling hills and cider, and charming villages in the Cotswolds like Stow-on-the-Wold -- are especially popular.

The upscale spa town of Cheltenham is the home of British steeplechase horse racing and the Montpellier Chapter (from $200; Bayshill Rd.; 44-1242/527-788; themontpellierchapterhotel.com), a posh inn filled with modern art and Eames furniture.

Depatures.com: The world's most outrageous hotel perks

Fiskebäckskil, Sweden

As hordes of fans eager to get close to the setting of Stieg Larsson's "Millennium" trilogy swarm Stockholm, many Swedes head west to the ruggedly tranquil "crime fiction coast," where renowned writers and readers alike hole up in places like blustery Marstrand, the rocky Väderöarna Islands and charming Fiskebäckskil, the former summer grounds of Ingrid Bergman and a source of inspiration for modern crime-fiction writer Camilla Läckberg, whose novel "The Ice Princess" is set there.

After reading your fill of crime literature, plunge into the sea from the glass-enclosed sauna at the modern Gullmarsstrand Hotel (from $200; 451 78 Fiskebäckskil; 46-523-66-77-88; gullmarsstrand.se).

5 trips for crime fiction lovers

Grignan, Drôme, France

No one tries to avoid tourists more than the French, who have an annual six-week grand vacance to help them do so. As the world's most-visited country, many French travelers are forced to sacrifice popular destinations like Normandy and Provence for lesser-known but equally beautiful départements like Morbihan and the Loire-Atlantique.

The village of Grignan in Drôme hits all the criteria for a secret French hideaway: It's historic, of culinary interest and offers Gauls a chance to reconnect with nature. Ditto for Le Claire de la Plume (from $150; 2 Place du Mail; 33-4/75-91-81-30; clairplume.com), a small inn once used as a truffle house by Picasso's girlfriend and today visited by Bernadette Chirac and chanteuse Arielle Dombasle.

Depatures.com: Spectacular hotel rooftop pools

Nordmøre, Norway

Dodging tourists tethered to cruise ships in Norway's fjords is no easy feat. To get away, many Norwegians retreat to the jagged, UNESCO-free Lofoten Islands, but under-sung Nordmøre also gets its share of locals seeking refuge.

Perched just off Norway's western coast, just 20 minutes south of Kristiansund, is Håholmen Havstuer (from $200; Kårvåg, 6530 Averøy; 47-71/517-250; haholmen.no), a renovated 17th-century fishing camp turned posh retreat. Take a ten-minute crossing on the hotel's private boat and enjoy fish soup and bacalao fireside atop the Håholmen dining room's burnished timber floor -- with nary a mega cruise ship in sight.

Panarea, Aeolian Islands, Sicily, Italy

Known as the set locale for Michelangelo Antonioni's "L'Avventura," Panarea remains a secret hideaway for the jet and yacht sets, but could very well become the Mediterranean's next Capri. The smallest and chicest of the Aeolian Islands is home to moneyed Romans and wealthy Sicilians, and welcomes a roster of VIP regulars as well, including Anish Kapoor, Princess Caroline, Prince William and Roberto Cavalli.

Hotel Raya (from $150; 39-90/983-013; hotelraya.it) is the island's ground zero of chic and regularly the scene of la dolce vita canoodling.

Depatures.com: Top yoga retreats

Serra de Tramuntana, Deià, Majorca, Spain
Majorca might not be a secret, but Serra de Tramuntana -- its mountainous northwest coast -- is a world apart from Palma's crowded beaches, budget hotels and sunburned Europeans from all points north. The seaside village is home to abandoned estates, steep limestone seawalls and scenic pine forests, and artists and locals flock here to get away from high-season madness.

La Residencia (from $350; 34-971/636-046; hotel-laresidencia.com) is nestled into orange and citrus groves in the village of Deià, an artists' colony that attracted Robert Graves, Anaïs Nin and, more recently, Richard Branson and Mick Jagger.

Sylt, Germany

This sandy North Sea island, located three hours northeast of Hamburg, has often been referred to as Germany's Hamptons and remains the discreet summer grounds of wealthy Germans swathed in Hermès.

The reed-thatched Dorint Söl'ring Hof (from $550; Am Sandwall 1; 49-465/183-6200; soelring-hof.de) is a charming 15-room inn that rises over the dunes studded with wild rose bushes just enough to give guests an open sea view.

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

While travelers swarm Europe every summer, many locals have found hideaways

@highlight

The French village of Grignan is a lesser-known destination locals enjoy

@highlight

North Sea island Sylt is often referred to as Germany's Hamptons