(CNN) -- A Colorado judge ruled Thursday that probable cause exists in the case of James Holmes, accused of killing 12 people and wounding scores more in last summer's shooting inside an Aurora movie theater, and ordered that he stand trial.

Arapahoe County District Judge William Blair Sylvester, who ordered that Holmes be held without bail, converted a status hearing scheduled for Friday to an arraignment.

In his 61-page ruling, Sylvester said the prosecution had established probable cause in all 166 counts, including first-degree murder.

A defense request for a continuance of the arraignment will be taken up Friday, a court administrator said.

The 25-year-old former doctoral student in neuroscience at the University of Colorado, Denver, faces 166 charges, including murder, attempted murder and weapons offenses, tied to the July 20 rampage during a screening of "Batman: The Dark Knight Rises."

Sylvester's decision came after a three-day hearing this week in which prosecutors presented evidence against Holmes.

"He didn't care who he killed," prosecutor Karen Pearson told the judge at the conclusion of her case against Holmes, saying he chose his venue carefully to cage his victims. "He intended to kill them all."

Read more: New details emerge at hearing

The shootings killed 12 and wounded 58.

Defense attorneys, who had been expected to call witnesses and argue a diminished capacity defense, changed their minds during the hearing, attorney Dan King said.

"We have had a change of position," he said. "This is neither the proper venue nor the time to put on a show or present some truncated defense."

Diminished capacity relates to a person's ability or inability "to make adequately considered decisions" regarding his or her legal representation because of "mental impairment or for some other reason," the Colorado Bar Assocation says.

That differs from an insanity defense, which refers to "a person who is so diseased or defective in mind at the time of the commission of the act as to be incapable of distinguishing right from wrong with respect to that act is not accountable," the bar association says.

The bar association adds "that care should be taken not to confuse such mental disease or defect with moral obliquity, mental depravity, or passion growing out of anger, revenge, hatred, or other motives and kindred evil conditions, for, when the act is induced by any of these causes, the person is accountable to the law."

After the hearing, some of the victims' relatives asserted that Holmes was too calculating to be afflicted with diminished capacity.

"He's not crazy one bit," Tom Teves told reporters Wednesday. His son Alex, 24, was among those killed.

"He's very, very cold. He's very, very calculated," Teves said of Holmes. "He has a brain set that no one here can understand, and we want to call him crazy because we want to make that feel better in our society.

"But we have to accept the fact there is evil people in our society that enjoy killing any type of living thing. That doesn't make him crazy," Teves said.

Added Jessica Watts, cousin of Jonathan Blunk, also killed in the theater: "It was complete planning. It was competency. It was everything on his part to make sure that this act was carried out from start to finish."

According to hearing testimony, here is what is known about his alleged preparations:

Getting ready

Holmes began buying guns in May, supervisory agent Steve Beggs of the Bureau of Alcohol, Tobacco, Firearms and Explosives testified on Tuesday. Beggs said Holmes built an arsenal of two Glock handguns, an AR-15 rifle, a shotgun and 6,295 rounds of ammunition.

Among other purchases, Beggs said Holmes bought two 6-ounce tear gas grenades over the Internet on May 10 and he went to a gun store on May 22 to buy one of his Glocks.

A little more than a month later, on July 1, a video camera captured Holmes as he bought a scope, a mount and some inert ammunition at a Colorado gun store, Beggs said.

In the video, Beggs said, Holmes' hair is dyed bright orange.

A police detective testified that Holmes apparently visited the cinema and took photographs of hallways and doors several times before the shootings.

The photographs were recovered from Holmes' cell phone and go along with months of sales records and descriptions of meticulously prepared booby traps at his home. It all helps illustrate what would appear to be a well-planned attack.

On July 7, Holmes used an online ticketing service to buy a ticket for the midnight showing of the movie, according to Detective Craig Appel, the lead investigator in the case.

Read more: Remembering the victims

The apartment

Witnesses detailed preparations that prosecutors believe Holmes made before setting out for the theater to turn his sparsely decorated Aurora apartment into a deathtrap.

At least some of the preparations were well under way by July 16, based on a photograph from Holmes' phone shown by prosecutors. In it, jars, wires, firework shells and other bomb-making materials are laid out in his kitchen.

By the time Holmes left, the carpet in his apartment had been soaked in oil and gas, FBI bomb technician Garrett Gumbinner testified. A container of glycerin hung above a frying pan with a potassium mixture, attached to a trip wire that would tip the glycerin into the pan, Gumbinner testified.

Had it been triggered, Gumbinner said, it would have set off an explosion and fire, igniting jars of homemade napalm spiked with bullets and thermite -- a metallic substance that burns so hot it is nearly impossible to extinguish.

In a twist that seems ripped from the pages of a comic book, Holmes also rigged his computer and a boom box placed outside to begin playing loud music after he set out for the theater -- apparently in hopes that the noise would prompt someone to investigate and trigger the explosives, witnesses said.

Next to the boom box outside his apartment, Gumbinner testified, Holmes said he placed a toy car and a device that looked like it would control the car but would instead have set off the explosives.

Authorities said they recovered the boom box, which bore Holmes' fingerprints. The remote-control car device was never found, Appel testified.

A series of self-portraits displayed in court, apparently made before Holmes allegedly left for the theater, according to data retrieved from his phone, show him in eye-blackening contacts, his tongue stuck out in one, flashing a toothy grin and a handgun in another.

The shooting

Video from the theater shows a man they say is Holmes -- wearing dark pants, a light-colored shirt and a dark stocking cap covering his orange hair -- entering the multiplex before the movie begins.

The recordings show him going into Theater No. 9, a different theater from the one listed on his ticket.

Sources have said they believe he propped open the theater's back door and went to his car to put on body armor and arm himself. Authorities believe Holmes then re-entered the theater, tossing gas canisters before opening fire about 18 minutes into the movie, according to sources.

Witnesses who have spoken to CNN about the shooting have said the gunman roamed the theater, shooting randomly as people tried to scramble away or cowered between seats.

Aurora survivors: How they're doing

Among the 41 calls to 911, one stands out. In the 27-second call, at least 30 shots can be heard amid the chaos.

At some point, according to Pearson, one of Holmes' weapons jammed.

"Had the AR-15 not jammed, he would have killed more people," she said.

Investigators found 76 shell casings in the auditorium. Most of the spent rounds -- 65 -- were .223 caliber rifle rounds, six were shotgun shells and five were .40 caliber rounds from the Glocks, Appel said. Police also found one of the tear-gas canisters inside the theater, Appel said.

Also located was a large drum magazine for the rifle that appeared to have jammed, Sgt. Gerald Jonsgaard testified Monday.

Outside, the first officer to encounter Holmes -- who was dressed in body armor, a helmet and a gas mask as he stood near his car -- described him as unnaturally relaxed. In fact, from Holmes' appearance, Officer Jason Oviatt thought he was a fellow police officer.

A trail of blood led from the theater. The rifle that authorities say Holmes used in the attack lay on the ground near the building. Holmes was just standing there, Oviatt testified Monday.

"He seemed very detached from it all," Oviatt said.

Holmes, sweating and smelly, his pupils dilated, didn't struggle or even tense his muscles as he was dragged away to be searched, Oviatt said.

Police would cut off the body armor he wore and learn about the explosive booby-trap at his home.

The interrogation

Police described a strange scene in the interrogation room -- Holmes sitting in his underwear, T-shirt and white socks after police had cut away his body armor -- making puppets of the paper bags officers had placed over his hands to preserve gunpowder evidence, according to Appel.

Holmes played with his polystyrene drinking cup as if it were a piece in a game. Appel said. Then he removed a staple from the table and tried to stick it in an electrical outlet, the detective testified.

Asked by a defense attorney whether he had ordered a blood test for Holmes, Appel said he had not.

"There were no indications that he was under the influence of anything," he said.

Read more: University releases e-mails related to Colorado theater shooting suspect

@highlight

Judge says probable cause exists for James Holmes to be tried

@highlight

Holmes is the suspect in last summer's Batman movie shooting in Aurora, Colorado

@highlight

Twelve people died and scores of others were wounded