(CNN) -- World-famous physicist Stephen Hawking recently said the world as we know it could be obliterated instantaneously.

Basically, we would be here one minute and gone the next.

Don't you love physics? When we speculate about catastrophes, we don't mess around.

The physics underlying this speculation is related to the Higgs particle, whose discovery was announced July 4, 2012, at the Large Hadron Collider, the world's largest particle accelerator, in Geneva, Switzerland.

A leading physicist dubbed it the "God particle" -- a name I wish would disappear, as the particle and the laws of physics tell us nothing whatsoever about God, and God, if she exists, has not opined about the Higgs particle.

So, the simplified argument goes like something like this -- the Higgs particle pervades space roughly uniformly, with a relatively high mass -- about 126 times that of the proton (a basic building block of atoms). Theoretical physicists noted even before the Higgs discovery that its relatively high mass would mean lower energy states exist. Just as gravity makes a ball roll downhill, to the lowest point, so the universe (or any system) tends toward its lowest energy state. If the present universe could one day transition to that lower energy state, then it is unstable now and the transition to a new state would destroy all the particles that exist today.

This would happen spontaneously at one point in space and time and then expand throughout the universe at the speed of light. There would be no warning, because the fastest a warning signal could travel is also at the speed of light, so the disaster and the warning would arrive at the same time.

We know spontaneous events do happen. The universe began in a rapid expansion called inflation that lasted only a tiny fraction of a second. We owe our existence to that sudden event.

Spontaneous change is something you might have seen in chemistry class. Super-cooled water will rapidly crystallize to ice if you drop a snowflake into it, just as a salt crystal will grow when added to a supersaturated salt solution.

Back to the universe. Whether the existence of Higgs boson means we're doomed depends on the mass of another fundamental particle, the top quark. It's the combination of the Higgs and top quark masses that determine whether our universe is stable.

Experiments like those at the Large Hadron Collider allow us to measure these masses. But you don't need to hold your breath waiting for the answer. The good news is that such an event is very unlikely and should not occur until the universe is many times its present age.

Probability is the key. Many bad things are possible A large asteroid destroying the Earth. Getting hit by a bus. Having space time gobbled up by instability in the Higgs field. (For an engaging discussion of the many ways humans can be done in by the cosmos, see the marvelous "Death from the Skies!" by Bad Astronomer Phil Plait.)

Are they likely? Humans have to prioritize by considering both outcome (death or destruction) and probability.

Rare events like the collision of a massive asteroid with the Earth could destroy life as we know it and perhaps the planet itself. However, the chances of a sufficiently massive asteroid intersecting the Earth in the vast emptiness of space is pretty low. Collisions with much less massive asteroids are much more likely but much less destructive.

So don't lose any sleep over possible danger from the Higgs boson, even if the most famous physicist in the world likes to speculate about it. You're far more likely to be hit by lightning than taken out by the Higgs boson.

@highlight

Physicist Stephen Hawking said the "God particle" could destroy the universe

@highlight

Meg Urry: The chance of this particle, known as Higgs boson, obliterating us is tiny

@highlight

She says such an event should not occur until the universe is many times its present age

@highlight

Urry: You're more likely to die from being hit by lightning than danger from Higgs boson