Nashville, Tennessee (CNN)  -- Moses Chol hops into a van, rubs his hands together and signals the passengers to quiet down.

As he leans back to address them, his face breaks into a grin, his teeth glistening in the dawn haze.

"Today, we say goodbye to the north," he says as young men and women cheer, peeking through woolen scarves and hats.

Chol is among about 70 Southern Sudan natives gathered on a cold morning in a church parking lot in Clarkston, Georgia, a metro Atlanta enclave popular with refugees.

The group is heading to Nashville to vote in a referendum that could split Sudan into two: the north and the south.

Several million people in Southern Sudan are voting this week in the historic referendum on whether to declare independence from a government based in the north. About 55,000 Southern Sudanese are casting ballots in the United States and seven other countries.

Chol drives in a convoy of more than a dozen cars. As it snakes out of the parking lot, some passengers sing a song by former guerrilla fighters who now lead the government and army of semi-autonomous Southern Sudan.

"We will never surrender; we will keep fighting until we get what we want," they sing in Arabic, the national language.

At the end of the song, they pump their fists in the air and chant: "Yes to separation!"

The referendum is part of a 2005 peace agreement that helped end two decades of civil war, which left about 2 million dead. The war pitted a government dominated by Arab Muslims in northern Sudan against black Christians or animists in the south.

For Chol, the referendum is more of reparation.

He's one of the so-called Lost Boys: a generation of children who fled the nation's civil war and are now scattered across several continents. The United States resettled nearly 4,000 of them about a decade ago. The men -- now mostly in their 20s and 30s -- have spent the past decade rebuilding their lives.

The war forced Chol and others to trek hundreds of miles through deserts and swamps, fending off lions and other animals, during their journeys into neighboring countries. Once there, they lived in sprawling refugee camps for years.

Chol, 32, says he has been dreaming of the referendum for years.

"It's time for them to hear our voices, for us to revolt against all the pain we suffered," the graduate student says. "A lot of people have died for this day. ... I don't care what government comes after this. No government will be worse than what we have."

His voice trails off as he pauses and stares into space.

"Passing this referendum means my father did not die in vain. It means our children will not live scarred lives. ... We will be the last 'lost boys' Sudan will ever see."

The conflict scarred an entire generation in remote Southern Sudan, which is the size of Texas but only has 30 miles of paved roads. Through the years, hundreds of thousands of Sudanese fled the south to escape fighting and famine.

About 80 percent of Sudan's oil reserves are in the south, another flash point in the war.

Although the north has flourished, the south has not changed much over the years, according to Chol.

"This north claims they want to be one nation," he says. "How can we be when they have schools and clean water, and their children are not dying of simple diseases? In the south, people still drink stagnant water. They have nothing."

Passengers chime in to add to the list of grievances with the north. Some cite the north's attempts to impose sharia, or Islamic law, on non-Muslims -- a key reason the nation erupted in civil war in 1983. Sharia remains the law of the land in northern Sudan.

"You see my hair. It would get me in trouble in the north because of sharia law," says Grace Ajawin, a bakery employee, as she points to her red cornrows.

"I want my children to walk out of the house without being forced to cover their hair, to wear what they want, to go to church without being forced to convert to Islam."

Sudanese President Omar al-Bashir has warned that he will tighten the application of sharia in northern Sudan if Southern Sudan votes for independence.

Everyone in the vans believes that the south will split from the north. Any attempt to introduce a different scenario is brushed off as negativity.

Ajawin is admonished when she says she will "never" go back to Sudan if al-Bashir does not honor a vote to split.

"How can (al-Bashir) not honor the vote when the whole world is watching?" Marko Ayii, 25, shoots back. "You need to stop your negative thinking."

Chol says he will move home if Southern Sudan is reborn as a new nation.

"When I graduate, I'll thank the Americans for being kind to us, and go help my people," he says.

After about four hours, the convoy pulls up at the Lost Boys Center, a one-story red brick building just south of the office towers of downtown Nashville. The center is one of eight polling stations across the United States that will be open until Saturday.

More than 900 Southern Sudanese are registered to vote there, poll officials say. Other centers are in Boston; Chicago; Dallas; Omaha, Nebraska; Phoenix; Seattle and Washington. The vote is being organized by the Southern Sudan Referendum Commission.

Outside the Nashville center, a crowd awaits. Some are dancing while others wave American and Southern Sudan flags.

At the front of the line, Malual Machop, 42, of Nashville waits for his chance to vote, weeping quietly.

"My crying is not for sadness; it's for happiness," he says. "I never knew I would vote for this separation in my lifetime. We have been slaves for so long. We are now being liberated."

Outside, Ngong Aguek, 42, a musician from Southern Sudan who traveled from Orlando to vote, is busy ripping up his Sudanese passport.

The crowd claps and cheers as the pages flutter into the windy, wintry air.

"This passport has enslaved me for so long," he says. "It has treated me like a second-class citizen, destroyed my dignity, and killed and separated my family."

The musician says he has been targeted by the northern government for criticizing it.

"But (the truth) needs to be told, regardless of whether it will set us on fire."

Aguek saunters into a waiting van and drives off, leaving shredded pieces of his passport outside the polling station.

Inside, Chol casts his vote and triumphantly holds up his ink-stained finger for flashing cameras.

"Bye bye, Sharia law; bye bye, slavery," he says. "Now (the north) should leave us alone, and we'll leave them alone. We can't be one nation, but we'll be good neighbors."

He makes his way out to the waiting vans.

And in an unconscious defiance of the government he wants no part of, he steps over the pale green and pink passport pages scattered outside.

@highlight

About 70 Southern Sudan natives travel from Atlanta to Nashville to vote in referendum

@highlight

Historic vote this week will determine whether Sudan will split in two: north and south

@highlight

About 55,000 Southern Sudanese are voting in U.S. and seven other countries