(CNN) -- Jesse Owens' triumph over the Third Reich in Berlin at the 1936 Olympic Games, Zinedine Zidane's perfect volley in the 2002 European Champions League final, Tiger Woods' astonishing chip-in at the Masters in 2005 or Rafael Nadal celebrating in the growing dusk around Wimbledon's Centre Court after overcoming Roger Federer in 2008.

All iconic moments in the history of sport, forever etched in the memory of spectators lucky enough to be able to say "I was there".

But these days witnessing greatness is clearly not quite enough for the modern sports fan as countless spectators religiously record career-defining events on mobile devices and post their own personal accounts on various social media websites.

Shades of greatness: Duval dreams of British Open renaissance

"The pleasure of sport lies not so much in witnessing an event as talking about it," explains Ellis Cashmore, professor of Culture, Media and Sport at England's Staffordshire University.

"We've all at some point sat at home and watched a fight or a tennis match in isolation and it's never as enjoyable as when we are in company, talking about the competition as it unfolds. Mobile phones have opened out the possibilities. We can talk to anyone, anywhere while the action is taking place."

One event to have resisted the tidal wave of mobile technology which has swept through society is the British Open -- golf's oldest major -- which will take place for the 141st time this weekend.

Blog: Why U.S. golf has a healthy future

But this year the R & A, which governs golf outside the United States and Mexico, has relented, allowing spectators at north-west England's Royal Lytham and St. Annes Golf Club to bring their phones into the event for the first time since 2006.

"The attachment people have to their mobile phones is getting ever stronger," R & A head of communications Malcolm Booth told CNN.

"People feel it's an item they really don't want to be separated from. It's very clear to us that people coming to any sporting event, and the Open is no exception, want to have their mobile phones with them."

This is a view supported by Cashmore as he outlines how people are increasingly unwilling to venture out of the house without a mobile phone in their pocket.

"Mobiles are now less accessories, more extensions of our lives," said Cashmore, who is currently conducting a study entitled "Barbaric Britain?"

"We can manage without our watches or our keys, but not our phones. They are like pacemakers -- artificial devices, but vital for the regulation of organs.

"More generally we are consuming sports differently today than we were as recently as five years ago. The pattern is towards a much more remote consumption through smartphones and mobile computers.

"Portability is the key to this. We consume not just sport but everything on the move."

Current world No. 3 Lee Westwood, searching for a first major title in front of his home fans, sees no reason why the public should be separated from their trusty mobile phones, providing the players are not distracted at crucial moments.

Australian Adam Scott, also looking for a first win in one of golf's four marquee events, agrees with Westwood, though as long as the sport's fans observe the customary on-course etiquette.

The R & A have set up designated "Mobile Device Zones" where visitors can use their phones, while also attempting to ensure spectators do not take home their every own visual souvenirs.

"There are obviously great challenges with that," outlined Booth. "That provision is in keeping with many sporting events, including the Olympics where they are going to have exactly the same challenge.

"We have a very strict mobile phone policy at the Open Championship this year which means there are dedicated areas where people can use their phones.

"The hope is they will not use phones to any great extent near play and we'll have a marshal near play encouraging that behavior. It is one of the great challenges of allowing mobile phones at any sporting event."

Cashmore argues such personal recordings of events are used by people to enhance their eye-witness memories.

"We remember experiences by context: the circumstances that form the setting for an event, what happened immediately before and afterwards, and the people with whom we stood, sat and chatted to," said Cashmore.

"Phones enable us to extend this to a wider network of people. By describing an experience we memorialize it."

One man who believes sport's iconic moments do not require additional "memorializing" is British journalist Richard Williams, the author of Perfect 10: Football's dreamer, schemers playmakers and playboys.

Ten years ago Williams was at Hampden Park, Glasgow when Zidane's audacious left-foot strike in the last minute of the first half proved enough to give Real Madrid a 2-1 win over Germany's Bayer Leverkusen in one of soccer's most high-profile matches -- the European Champions League final.

Williams believes he witnessed a sporting moment of such complete perfection he decided to never watch a replay of the now iconic goal.

"Maybe people growing up now, in the age of technology and media saturation, will develop a different attitude," wrote Williams in a chapter extolling the talents of Zidane.

"But one of the pleasures of being a football fan is the archive of individual images saved on the memory's hard drive.

"Each of them is divorced from its immediate context: only with the greatest difficulty could I dredge up the details of the matches in question, never mind its result.

"I wanted Zidane's goal to claim a place in that personal file ... If I watched it again on television, I would inevitably be replacing my own image of the moment with that of a television camera, if only partially.

"It would not contain within it the surge of exhilaration and admiration that I felt in that moment and that remain part of the emotional response to replaying the goal as it was experienced from my own point of view."

Despite the compelling and heartfelt argument put forward by Williams, Booth is confident the British Open will retain the aura which has helped it become one of golf's most cherished tournaments.

"You can't swim against the tide in terms of technology and we're not the only sporting event having to deal with this challenge," said Booth.

"We've got great television partners and they are always going to find a way to romanticize those phenomenal sporting moments. Equally, people will want to take their own records of sporting events.

"There would be no point trying to fight that, it is the way people want to consume events now. But traditional media will always allow you to present events in the way they should be."

So with the influence of the phone continuing to grow, how long before spectators are so busy tweeting about the British Open they miss the champion lifting the Claret Jug?

@highlight

The British Open will allow mobile phones for the first time since 2006

@highlight

Academic Ellis Cashmore believes mobiles have become like pacemakers -- artificial devices, but vital for the regulation of organs

@highlight

Top golfers Lee Westwood and Adam Scott have backed the move

@highlight

Use of phones will be restricted certain zones, while they must be switched to silent