(CNN) -- In 1834, Illinois voted whether to adopt Christmas as a legal holiday. Among those voting "nay" was the young Abraham Lincoln.

In 1834, Lincoln had not yet grown out of his atheist phase, but the young Lincoln's lack of faith in God -- and his lifelong disbelief in the divinity of Christ -- does not explain his vote. In 1834, a vote against Christmas was a safe, even a conventional vote.

Not a single state in the Union closed its offices for Christmas on December 25 in 1834. Lincoln marked his first Christmas as President, in December 1861, by holding a Cabinet meeting in the morning and a dinner party in the evening. The Lincoln family never had a White House tree and sent no Christmas cards.

Nobody was much shocked by these omissions.

The public Christmas as Americans know it today did not take form until late in the 19th century. George Washington issued a proclamation on Thanksgiving, but he never made any statement about Christmas (or Easter for that matter). The first state to recognize Christmas as a holiday was Alabama, in 1836, but the North and especially New England resisted. Not until 1856 did Massachusetts accept Christmas as a holiday. The federal government took until 1870 to follow.

There's debate on the point, but it seems that Benjamin Harrison was the first president to allow a Christmas tree inside the White House in 1889.

The tradition of lighting a tree on the White House grounds commenced with Calvin Coolidge in 1923. Dwight Eisenhower sent the first White House Christmas cards. Eisenhower's cards, however, were always determinedly "seasonal." It waited until John F. Kennedy in 1963 to send a card that depicted a nativity scene.

This late flowering of Christmas observance reflects two facts about Christmas that seldom get much attention in our public debates about the "war on Christmas."

In its first century, the national government practiced a separation of church and state far sharper than anything Americans would accept today.

One example: From its founding in 1775, the federal post office delivered mail on Sundays. As evangelical forms of Christianity spread after 1800, the new denominations demanded an end to this desecration of the Sabbath. Some postmasters took it upon themselves to close operations. In response, Congress voted in 1810 to require all postmasters to work at least one hour on Sunday, on pain of losing their positions.

The Americans of the founding generations insisted upon separation of church and state not because they were irreligious, but precisely because so many of them were so very intensely religious. Because religion mattered so much to early Americans, so did religious differences.

Calvinists and Baptists, Methodists and Catholics, the grandest Boston rector and the rawest frontier preacher disagreed, sometimes to the point of outright violence. Anti-Catholic riots ripped apart Boston, Philadelphia and Bath, Maine, between the 1830s and 1850s.

These contending denominations could, however, agree at least that they did not want a remote government in Washington favoring some religious practices over others. Better to deliver the mail on Sunday than debate who was right about the Sabbath. Better to issue no religious proclamations than let presidents pick and choose which holy days to mark and how to mark them.

A second fact also explains the coolness of the early national government to Christianity: the keen awareness of many 19th century Christians of the non-Christian origins of many Christmas traditions.

Christmas is celebrated near the date of the old Roman holiday of Saturnalia. Gift-giving on the day was also a Roman tradition. The Christmas tree, the hanging of wreaths and house-to-house caroling hark back to the pre-Christian German holiday of Yule.

Calvinists had abandoned their outright ban on Christmas observance on the late 17th century. But many Protestant denominations retained a lingering suspicion of the holiday until deep into the 19th century.

Two changes made possible the coalescing of an official Christmas holiday over the 40 years from Calvin Coolidge's outdoor Christmas tree to John F. Kennedy's sacral Christmas card: The fading of distinctions between Christians and the decline of theology within Christianity.

The once all-crucial distinctions between Calvinists and Arminians (whose beliefs came from Dutch reformist Jacobus Arminius) and between even Protestants and Catholics have blurred. The once-vivid mistrust of trees and tinsel and burning logs has vanished, as American Christianity evolved away from a creed in which people believed and into a set of practices that people did. If Christians decorate trees, then tree decorating must be Christian -- no matter how or why the custom started and what the custom meant to the people who started it.

Devout Christian believers can still be counted in the millions of course. Surrounding them, however, is a larger and more nebulous group for whom what was once a faith has become a folkway. For them, a Christmas tree or a nativity scene is less a declaration of individual belief than it is an expression of group identity.

Many Americans feel this group identity to be under threat by changes in recent years.

When they champion "Christmas as it was," they do not mean "Christmas as it was for George Washington or Abraham Lincoln" and much less "Christmas as it was for Martin Luther or Jonathan Edwards." They mean, "Christmas as it was when I was young."

That is why we have eruptions such as last week's flap over the whiteness of Santa Claus. If your Christmas celebrates the appearance of God Himself in the form of a human baby, it won't have a lot of room for a gift-giving elf and flying reindeer. But if Santa is at most tangential to the Christmas of faith, he is utterly central to the Christmas of folkway.

It is the Christmas of folkway that is the Christmas so passionately defended by those who talk about "the war on Christmas."

The Christmas of Santa and Rudolph, and trees and stockings, and candy canes and "Merry Christmas" greetings began to be most publicly celebrated in the United States only after -- and only because -- the religious impetus for the holiday had already dwindled away.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Lincoln, like many in 1834, didn't observe Christmas as an official holiday

@highlight

He says in late 19th century, Americans began to observe Christmas as a public holiday

@highlight

Early Americans kept a sharp separation of church and state, Frum says

@highlight

Frum: "War on Christmas" flap a reaction to a perceived threat to folkway, not religion