(CNN) -- Occupy Wall Street called on the masses to skip work and school on May 1, and to close their wallets. All this was supposed to amount to a general strike, if not an American Spring. Some even talked about bringing down capitalism. But the small demonstrations in many American cities and in other cities across the world had little effect.

Rush hour on the Golden Gate Bridge in San Francisco, supposed to be a major center of protest, flowed. In Los Angeles, two blocks were closed by the authorities in anticipation of possible disruptions. Reports were that protesters in New York did not shut down traffic, as they planned to do. Some 2,000 demonstrated in Athens, and 7,000 next to a Greek factory, one of the most poorly attended demonstrations in the recent experience of this troubled land. Workers marched in several other cities across the world, as they do on every May 1.

Historically, general strikes were considered a powerful tool, meant to demonstrate the power of the people (often organized labor), able at least to gum up the working of major segments of the economy. In France, general strikes were used to force the government to make significant concessions. For instance, the 2006 demonstrations over the controversial CPE (or contrat premiÃ¨re embauche, first employment contract, which would have made it easier for employers to fire young workers) lasted two months before President Jacques Chirac scrapped the legislation.

In the United States, the last general strike took place in 1946. While some 100,000 workers from 142 unions participated, it did not lead to concessions by the powers that be, let alone bring down anything.

This time? If the past is any predictor of the future, the deliberately nonhierarchical Occupy Wall Street movement, with its fuzzy messages and vague goals, is not going to leave a major mark.

Occupy May Day "fizzled?" Not so fast, say iReporters

Some observers saw, at least initially, "an irresistible symmetry" between Occupy Wall Street and the tea party, despite some clear differences. An article in TIME described Occupy Wall Street as a "new outpouring of protest ... driven by the same fuel that gave fire to the tea party." In an October 2011 interview, President Obama said, "I understand the frustrations being expressed in those protests. In some ways, they're not that different from some of the protests that we saw coming from the tea party."

The comparison is informative, but in a rather different way. It highlights how weak the left is and how strong the right is in American politics. The tea party has a sharply edged message and has used its considerable following to elect public officials, who in turn have affected public policy.

For instance, they prevented the GOP leadership from compromising with Obama on raising taxes in exchange for cutting entitlements and government outlays. And the tea party put deficit reduction on the top of the political agenda. Speaking about the August 2011 deficit deal, Sen. John McCain said, "I don't think without the tea party we would have had an agreement." There is little in Occupy Wall Street's record that compares to these political victories.

Defenders of Occupy Wall Street may well argue that it was never meant to be a political power, but rather a cultural force, more like the counterculture of the '60s than a new civil rights movement. Jonathan Schell argues that "it was not a new set of policy ideas that was being born â€” the world was already overloaded with these, unacted upon â€” but a new spirit. ..."

But the cultural messages Occupy Wall Street carries, say, environmental responsibility or divorce from capitalism, are far from clear. And while the counterculture could thrive (briefly) in an age in which America was well-heeled, the message of opting out of the prevailing system does not seem to bring out the masses who seek employment, to avoid foreclosure, or simply to make ends meet.

Arguably the greatest achievement attributed to Occupy Wall Street is that it put inequality on the agenda of American politics, with its most memorable slogan: "We are the 99%." Writing in The New York Times, Brian Stelter described this line as a new "national shorthand" for the vast economic disparities facing the United States, noting that "whatever the long-term effects of the Occupy movement, protesters have succeeded in implanting 'We are the 99%'...into the cultural and political lexicon." Even an article in the conservative Weekly Standard declared Occupy Wall Street has changed the public discourse, making inequality the topic of the day.

There is no question that inequality has been rising in the United States and that it raises numerous issues concerning what is a fair distribution of income and wealth, what taxes we ought to raise, and how to prevent those who acquire great economic power from also gaining excessive political power (through campaign contributions).

I share these social justice concerns. However, I cannot help but note that there is a world of difference between putting something on the front pages of the newspapers for a few weeks and achieving changes in laws and, above all, in the distribution of wealth.

Given that Occupy Wall Street has not advocated any specific ways to reduce inequality and does not have the political organization to back up such an agenda, either others will have to find ways to curb inequality or we will see little progress on this front in the great budget battles to come shortly after the 2012 election.

Most assuredly, a general strike that fizzles will not serve the cause of reducing inequality, or even help Occupy Wall Street find its sea legs. Occupy Wall Street will have more opportunities to show that it did not flame out; however, it had better come up with a more cogent strategy, or it will soon be one more wasted force, one more protest movement that vented feelings but engendered precious little real social change.

The opinions expressed in this commentary are solely those of Amitai Etzioni.

@highlight

Amitai Etzioni says Occupy Wall Street's May Day protests made little splash

@highlight

He says general strike sometimes effective in history. But Occupy's goals too vague

@highlight

He says it's no focused tea party, which has affected policy, helped elect officials

@highlight

Etzioni: Occupy has contributed a slogan, but where's its real influence on policy?