(CNN) -- Of all the scenarios firefighters train for, confronting a hostage-taker might not seem to be high on the list. Or suddenly dodging a sniper's deadly aim.

But training and keeping calm apparently did come into play Wednesday when four Gwinnett County, Georgia, firefighters became hostages while a gunman held off authorities. The situation ended with the firefighters free and the gunman dead at the hands of police.

That incident highlighted a fact of life for firefighters -- their life-saving work can sometimes put them in the middle of criminal situations.

The Georgia event is akin to last year's New York state incident in which a sniper ambushed and killed two firefighters responding to his burning home, one expert said Thursday.

Firefighters are trained to call police if they sense a potentially violent situation, but the Georgia and New York episodes involved surprise attacks.

Police: Hostage taker gave us no choice

"It's almost impossible to prepare for that situation if there's no indication of any potential threat," said Philip Stittleburg, chairman of the National Volunteer Fire Council and the National Fire Protection Association.

"Tragic as these situations are, they are relatively rare," Stittleburg added.

For sure, local firefighters will now be working with extra vigilance, said Capt. Tommy Rutledge of Gwinnett County Fire and Emergency Services. The hostage-taking incident occurred after firefighters entered the home of a man in response to a medical call.

All 850 of the county's firefighters are already cross-trained as emergency medical technicians, and many are also paramedics, Rutledge said.

"Yesterday was an element of surprise to that crew," Rutledge said Thursday. "How do you train for that? It heightens our awareness and it shows that things like that can occur.

"Will they look for triggers that something might be wrong as they approach? Yes," he said.

While held hostage, the Gwinnett County firefighters kept calm and, as importantly, worked to keep the gunman calm, Rutledge said.

"Luckily our personnel are trained on how to not only keep themselves calm but keep the individual calm," Rutledge said. "No doubt their calm composure brought about a successful closure for the fire department personally.

"It's unfortunate that the individual lost his life but as the police said, he was in control and he could have let those firefighters go and he's responsible for his action and the ultimate ending," Rutledge added.

Jim Schwartz, chairman of the terrorism and homeland security committee of the International Association of Fire Chiefs, said fire departments must communicate more with their police partners on how to handle scenarios such as the ones in Georgia and New York.

Schwartz described firefighters' current training on operational security -- measures to protect themselves -- as "less than adequate."

"It really does need to go to a new level -- these conversations where I'm asking my police chief (to) help me with what we need to understand going into a situation that could turn as bad as Gwinnett County and New York," said Schwartz, who's also chief of the Arlington County, Virginia, Fire Department.

Some fire and police agencies around the country are already sharing such information, Schwartz said.

For the past four years, his fire department has been "tightly integrated with police," Schwartz said.

"There isn't a law enforcement officer who doesn't go into every situation without suspicions on how that situation could turn on them and pose a threat to them," Schwartz said. "For the average firefighter and EMT, that isn't foremost on their minds.

"What we're seeing, certainly out of these two incidents, more and more of what we would consider a standard response to EMS and fire emergencies can go horribly wrong. We need to think about what are the other dimensions to this crisis that the routines do not suggest," he said.

Firefighters around the country are instructed on how to respond to violent scenarios -- wait for police to secure the scene so that the firefighters can do their jobs saving lives and property -- but that instruction presumes the firefighter has already noticed something amiss, Stittleburg said.

If that's noticed inside a home, a firefighter keeps a close eye on the suspicious person -- and especially where that person is, he said.

"The kitchen is the most dangerous place for them to be if they are acting abnormally because that's where they keep the knives and the pan of hot grease on the stove," Stittleburg said. "There's lot of things that people can hurt you with in the kitchen."

But instruction is more difficult in those fire calls where "you step off a truck and someone shoots when there is no likelihood of violence," he said.

"I don't know how you deal with that one," added Stittleburg, who's also chief of the La Farge, Wisconsin, Fire Department, an all-volunteer agency.

In the last 10 years or so, however, firefighters are increasingly being cross-training to become certified police officers assigned to SWAT teams, Stittleburg said.

In an era of high body-count mass shootings since Colorado's Columbine High School massacre in 1999, police departments are demanding their SWAT teams include a firefighter with emergency medical service skills, Stittleburg said.

"EMS skills are certainly one of the important skills that you would want on that SWAT team -- primarily for law enforcement, primarily for the SWAT team members," Stittleburg said.

"We have people who are EMS folks, whose primary mission is to take care of the wounded, to be almost in a position of military corpsman or medic," he said.

"It's kind of sad that things have taken a turn that creates the need for this," he added.

@highlight

Training can hardly thwart a surprise gunman or hostage-taker, authorities say

@highlight

This week, a gunman is killed by police after he takes four Georgia firefighters hostage

@highlight

"Tragic as these situations are, they are relatively rare," expert says

@highlight

Firefighters in Gwinnett County, Georgia, are now working with extra awareness