(CNN) -- In the wake of another round of national protests against police killings of unarmed black men, many Republicans seem unable to identify with protesters or give credence to the goals of the #ICantBreathe movement.

I empathize with the vast majority of cops who keep the peace on our streets and enjoy majority support from their communities across the country. These protests aren't about them.

These protests are about citizens' rattled faith in the fair delivery of justice. In any civil society, there's a serious problem when confidence in the rule of law is shaken. Republicans who are committed to the stability of our society must acknowledge that these protests reflect real doubts in the equity of our criminal justice system. We all have a moral obligation to constantly improve it to the benefit of everyone.

Whether you agree that the decision not to indict former Officer Darren Wilson in the shooting of Michael Brown was correct (as I do), or if you think the slogan "hands up don't shoot" has been discredited because of witness testimony from the grand jury (I do), Republicans ought to accept that there's a broader problem. Look at the case of Tamir Rice in Cleveland, Ohio, or Eric Garner in Staten Island, New York, and at least a half dozen others.

As a reform Republican who works for the GOP to broaden its base and reach new constituencies, I see no contradiction between supporting law enforcement and the policy solutions highlighted by these protestors.

More Republicans should champion the implementation of body-worn cameras on police officers, requested by Michael Brown's family and supported by Republican law enforcement proponent Rudy Giuliani.

According to one study, body-worn cameras yielded a 50% reduction in use-of-force incidents, and complaints against police officers dropped precipitously. We should be advocating these technologies to help protect the innocent and convict the guilty. Consider that if Wilson had worn a camera, there could be remarkably less dispute over the details of that tragedy.

Republicans should also champion "community policing" practices such as those employed by Camden, New Jersey, Police Chief Scott Thomson where creative engagement with community partners has reduced homicides by 50% and violent crime by 20%.

Pragmatic and nonpartisan solutions will increase confidence in law enforcement and support good police while offering more transparency and accountability to citizens who have lost confidence in the justice system.

Among the 2016 GOP presidential hopefuls, Sen. Rand Paul stands out on the issue of criminal justice reform because he's consistently reached out beyond the base to communities of color. More Republicans should follow his lead on policies ranging from reforming mandatory minimum sentencing and giving felons who have already served time the right to vote.

On a recent Saturday afternoon, I co-hosted an opinion panel on CNN with my friends Sally Kohn, Sunny Hostin and Mel Robbins. While we usually represent contrasting perspectives on the week's top issues, we strive to disagree agreeably and forge common ground. That was the case this past weekend, when we jointly agreed to end the show with a salute to the ongoing #ICantBreathe protests.

The photo of us four raising our hands was celebrated on social media by creative icons such as Shonda Rhimes, who tweeted, "Inspired to see @CNN opinion voices speaking out on left and right," and Russell Simmons, "Glad to see diverse and bold voices on @cnn. Beautiful statement of support for humanity."

It was also condemned by conservatives who wondered why I, as a Republican, was supporting a discredited narrative. First of all, facts matter.

I've made my support for the grand jury's nonincitement in the Ferguson case clear. But right or wrong, "hands up" has now fused with a larger movement -- bigger than Darren Wilson and Michael Brown. I believe we all have an obligation, especially Republicans, to engage the debate and propose solutions for improving our criminal justice system.

CNN is and always should be the place that breaks through left/right, black/white divides and forges common ground on contentious debates. That's what we aspire to in our opinion panel.

Our common ground broke through the tired divisions that too often dominate cable TV debates -- it sparked attention for the right reasons. It should be the beginning of a refreshing conversation about how we can come together and improve our criminal justice system.

@highlight

Margaret Hoover: In the protests against police killings, GOP seems disengaged

@highlight

Hoover: Republicans, these protests reflect doubts about criminal justice system

@highlight

She says GOP should support reforming law enforcement and policing polices

@highlight

She and her co-hosts on CNN raised hands to support #ICantBreathe movement