WASHINGTON (CNN)  -- A century ago, Justice Oliver Wendell Holmes described Supreme Court deliberations among his colleagues as "nine scorpions in a bottle," fiercely protective of their own agendas and power bases.

Justices on the Supreme Court say they are like a family, and change is sometimes difficult.

The ideological tensions these days have not lessened on a court almost evenly divided along conservative and liberal lines, but the mood may have brightened considerably, with the justices likening their relationships to a family.

"You will be surprised by the high level of collegiality here," Justice Ruth Bader Ginsburg, a liberal juror, says in a new C-SPAN documentary on the court. "This term, I think we divided five-to-four in almost one-third of all the cases. One might get a false impression on that degree of disagreement."

But in fact, she and conservative Justice Antonin Scalia are the best of friends, sharing dinners and holiday celebrations together with their families.

The justices say their family atmosphere is so embedded in the court's culture that when change occurs, such as the appointment of the newest member Justice Sonia Sotomayor, it can be difficult.

"To some extent, it's unsettling," Chief Justice John Roberts Jr. said. "You quickly get to view the court as ... composed of these members, and it becomes kind of hard to think of it as involving anyone else. I suspect it's like how people look at their families."

He is beginning his fifth term as "the first among equals" on that court.

"You're bringing in a family member," said Justice Clarence Thomas, who joined the bench in 1991. "It changes the whole family. It's different. It's different today than it was when I first got here. And I have to admit, you grow very fond of the court that you spent a long time on."

Thomas has lamented that his good friend David Souter is no longer on the court. The two men joined the court within a year of each other, and both were nominated by President George H.W. Bush. Sotomayor replaces Souter, and neither talked to C-SPAN. Sotomayor had not yet been confirmed, and Souter rarely grants interviews.

"This will be a very different court," said Justice Anthony Kennedy. "And it's stressful for us because we so admire our colleagues. We wonder, oh, will it ever be the same?"

Until recently, the high court had enjoyed an unusual period of stability. Between Justice Stephen Breyer's nomination in 1994 and Roberts' nomination in 2005, the bench remained unchanged.

Breyer said his colleagues' differences on hot-button issues reflect society at large in the current political climate and emphasized the importance of considering all views.

"What I see every day in my job -- which amazed me the first day and continues to amaze me -- is sitting up in the bench I see in front of me people of every race, every religion, every nationality, every point of view imaginable," he said. "And we have 300 million people, probably have 900 million points of view. I mean, people in this country don't agree about a lot of things. And despite enormous disagreement, they've decided to resolve their differences under law."

Several justices acknowledge changing the dynamic on the court can be a good thing.

"It gives us the opportunity, again, to look at ourselves to make sure that we're doing it the right way so that the new justice will be able to take some instruction from our example if we are doing it the right way," Kennedy said. "And I'm sure a new justice can always ask the question, 'Well, what are you doing this for?' Then we have to think about whether or not we should continue to do it.'"

Sometimes change is forced upon the justices, especially in the area of fashion.

"There were very few robes available," said retired Justice Sandra Day O'Connor who joined the court in 1981 as the first female justice. "I didn't know anybody who made robes for women justices, and I think most of what was available was something like a choir robe or an academic robe often used for academic processions and graduations from universities.

"I was given a note that had been written by someone sitting in the audience one day in the courtroom, and it said, 'Dear Justice O'Connor, I've been in the audience watching the court today, and I noticed that you did not have a judicial collar. Now, all your colleagues were wearing white shirt collars, and they showed under the robe, and you just looked like a washed-out justice to me. What's happening here?'

"And so I took that note to heart. I thought, well, maybe I should try to find some kind of a white judicial collar of some kind that I could wear because I didn't always have a white shirt under the robe, and it was hard to find. Nobody in those days made judicial white collars for women. I discovered that the only places you could get them would be in England or France."

When Ginsburg joined her in 1993, the newest justice improvised. "This one, the robe is from England, but the collar is from Cape Town, South Africa," she told C-SPAN host Brian Lamb in her chambers. "You know the standard robe is made for a man because it has a place for the shirt to show and the tie. So Sandra Day O'Connor and I thought it would be appropriate if we included as part of our robe something typical of a woman. So I have many, many collars."

@highlight

Supreme Court justices liken their relationships to that of a family

@highlight

Change among the jurists is difficult, the say in C-SPAN documentary

@highlight

Even so, justices say change on the court can be a good thing