(CNN) -- Surprise, mobility and the merciless treatment of opponents: the blueprint of the Islamic State in Syria and Iraq as it has gobbled up territory in both Syria and Iraq over the past few months. But as its adversaries regroup, ISIS -- which now calls itself the Islamic State -- may begin to suffer setbacks on the battlefield, according to a new analysis of its capabilities and tactics.

"As a defensive force, the ISIS may struggle to hold terrain if it is attacked simultaneously at multiple points or if its auxiliary allies begin to defect," says Michael Knights, who has worked throughout Iraq and is now a fellow at The Washington Institute for Near East Policy.

Knights says ISIS has a deep bench of talented military planners, veterans of the Iraq insurgency during the U.S. occupation and of the group's creation of a mini-state in Syria. It has foreign jihadists who have fought in Chechnya and the Balkans. "Yet the pace of the war against the ISIL is accelerating, and the group's ability to continually shape and control the conflict will be sorely tested," Knights writes in the latest edition of Sentinel, published by the Combating Terrorism Center at West Point.

Military analysts say ISIS' success so far is largely due to the weakness of its opponents, as well as years of meticulous planning after Abu Bakr al-Baghdadi's "reboot" of the group in 2010.

This war of attrition included a campaign to intimidate and assassinate senior members of the Iraqi security forces last year, a campaign al-Baghdadi called the "Soldiers' Harvest." Al-Baghdadi built a command structure designed to combine centralized control with execution at the local level. This was highly successful during 2012-13 when the group synchronized waves of car bombings in different locations across Iraq. It was in evidence at the weekend in Kurdish-controlled Kirkuk, when a series of three car bombs and a roadside bomb killed at least 20 people.

ISIS has weaved this tactic into its current military campaign. Earlier this month, a well-planned attack against the Kurdish town of Jalula began with a suicide car bomb that killed more than 20 Peshmerga, "a second tanker truck suicide device in the town center, followed by individual suicide-vest bombings on 12 checkpoints by fighters wearing Kurdish-style uniforms," Knights says.

These multiple suicide bombings instil fear and panic in civilians and military opponents alike. They are ISIS' "shock and awe" tactic, complemented by the agility and speed of ISIS units. "The relative compactness of Iraq, where good roads allow large swathes of the country to be traversed in a single day, gives an aggressive force strong ability to concentrate forces at a given point of attack," says Knights.

There have been claims that ISIS is using U.S.-made M-1 Abrams tanks and Humvees seized from the Iraqi army. And sometimes heavy armor has made an important difference. ISIS used a single Iraqi T-55 tank of Soviet vintage earlier this month to fend off an attempt to break the siege of Amerli. But pinpoint U.S. airstrikes have already changed the local balance around the Mosul Dam and Sinjar.

Knights told CNN: "Though ISIS have undoubtedly captured 200-300 Humvees and will be able to keep them operational for many months before they require spare parts, other U.S.-provided vehicles are present in very limited amounts. In part this is because they are complex to operate and maintain. Very few were captured in good working order because the Iraqis themselves were having trouble keeping them running."

Knights says that there is no evidence that ISIS fighters have been able to operate M-1 Abrams -- nor U.S. manufactured 155mm howitzers. It does have far more armored trucks with heavy machine guns than it did before June, allowing it to overrun lightly armed checkpoints. "But faced with U.S. airpower or even the slowly recovering Iraqi and Kurdish security forces, such vehicles become death traps," says Knights, citing the group's losses at the Mosul Dam.

Making resistance appear hopeless to potential opponents is a critical part of ISIS' strategy. A tribal revolt in Zowiya in Salahuddin province last month was met with sustained mortar fire that almost razed the town. Those who wanted to re-enter Zowiya had to "repent."

"If local populations cannot mount an effective resistance to ISIS, then they likely will not attempt to do so," says Jessica Lewis at the Institute for the Study of War.

ISIS may have as few as 15,000 fighters for a vast area stretching from northern Syria to the middle of Iraq. So deception is also critical to its success. On many occasions it has appeared to be launching an attack -- drawing defending forces toward it -- only to strike the place those forces have left. Earlier this month, ISIS hit Jalula, after Peshmerga had left the town to confront an ISIS thrust at Makhmour.

The fact that it has relatively few fighters per square mile may explain why it prefers to depopulate some towns because of an "accentuated fear of local uprisings and informers," says Knights. That could be a double-edged sword, because living among civilians in densely populated places should offer the group some protection. But there is evidence that the Iraqi air force strikes even when civilians are present. "My sense from talking to people along the ISIS front line is that the group welcomes being able to shuffle discretely around depopulated towns," says Knights.

And airstrikes, unless limited and carefully targeted, might even end up helping ISIS. "Airstrikes into the Sunni heartland of Iraq or Syria may exacerbate the sectarian conflict in the region by illustrating a passive or active alignment of the U.S. with Iran in order to bring firepower to bear against Sunnis," says Lewis.

ISIS has also traded on tribal rivalries to consolidate its position, "such as by plugging into the anti-Kurdish sentiments of Arab tribes around Jalula or allowing Arab tribes to harvest the ripe wheat fields of displaced Shi`a Turkmen farmers at Amerli," says Knights.

These local arrangements may work for a time, but ISIS is likely to encounter stiffer opposition. Its use of surprise will be slowly devalued, as its tactics are studied -- and especially as the Iraqi Security Forces and Kurdish Peshmerga begin to receive a flow of real-time intelligence from the U.S. surveillance. Knights says he was told by Kurdish sources that ISIS tried to infiltrate the town of Tuz Khurmatu after dark two weeks ago. But its fighters were detected by the U.S. military, which provided Kurdish artillery with the coordinates required to blunt the attacks.

Knights told CNN that "U.S. special forces seem to be operating along the front line, visually checking and designating targets. U.S. headquarters personnel at the joint operations center in Irbil [the capital of Iraqi Kurdistan] are helping the Kurds and the [Iraqi] air force to coordinate their actions and to avoid 'friendly fire'."

And then there is the weight of expectation among ISIS supporters. Its momentum has helped swell its ranks as both foreign fighters and young radicalized Iraqi Sunnis have flocked to join. But al-Baghdadi's declaration of a Caliphate means ISIS has to "demonstrate that its physical stronghold is defensible, or at least prevent rival militaries from attacking it," says Lewis.

ISIS has shown a rudimentary ability to defend its gains, building berms, booby-trapping approach roads and destroying bridges. It has successfully ambushed Iraqi troops and Shia militia trying to retake Tikrit. But defensive positions and predictable counterattacks leave its forces more exposed to airstrikes.

"ISIS' defensive style has two components," Knights told CNN. "They use roadside bombs and vehicle-carried remotely detonated bombs to create explosive emplacement hazards along key routes and in key towns. The U.S. has shown that, along with ground sources, it can remotely spot and destroy these from the air."

"ISIS' other key preference is for counterattacks, almost as an instinctive reaction to losing ground. This is an organization that much prefers to be on the attack, even tactically, as part of a defensive operation. But counterattacking ISIS convoys are easy meat for U.S. airpower and even for Iraqi aviators," he adds.

And if ISIS has to do more defending than attacking -- as seems likely -- the Sunni communities that have supported, accepted or acquiesced to it may think twice.

"If the ISF and Kurdish forces undertake selective offensive operations on a widening number of battlefields," Knights says, ISIS and its allies "will undoubtedly become stretched, particularly if its ability to move and mass counterattacking forces is limited."

Another vulnerability may be lines of communication between Raqqa in Syria, ISIS' administrative headquarters, and its units in Iraq. "Snapping the ISIS caliphate in half is a key objective, both to undermine the narrative of a transnational caliphate that can be defended, and to reduce the synergies of two insurgencies fighting back-to-back," Knights told CNN.

For now, observers say ISIS still has momentum, and repeatedly demonstrates its ability to fight on many fronts simultaneously, pacify or co-opt towns and villages that might otherwise resist and hold territory against the Iraqi Security Forces, which have been weakened by several years of political interference and poor leadership. The idea that the ISF are capable of retaking Mosul anytime soon seems far-fetched.

Better co-ordination among its opponents, and the psychological effect of going on the defensive, may begin to turn the tide. But to borrow a phrase from another conflict, most analysts believe we are not close to the beginning of the end in the battle against ISIS, rather anticipating the end of the beginning.

@highlight

ISIS' "ability to continually shape and control the conflict will be sorely tested," analyst says

@highlight

Its success so far is largely due to the weakness of its opponents, analysts say

@highlight

For now, observers say ISIS still has momentum, but opponents can turn the tide