Washington (CNN) -- It always comes back to the budget.

With Congress facing a crucial debate on attacking Syria over chemical weapons use, conservatives are signaling their price for support may be increased funding for a shrinking military budget.

Two hawkish Republicans -- Sens. John McCain of Arizona and Lindsey Graham of South Carolina -- went to the White House on Monday to argue their call for a robust military campaign against Syria intended to significantly weaken the regime of President Bashar al-Assad.

Implicit with such a campaign would be the needed restoration of military funding cut by austerity measures and transformation policies in recent years, including the forced spending cuts known as sequestration imposed by Congress for the current fiscal year.

"We cannot keep asking the military to perform mission after mission with a sequestration and military cuts hanging over their heads," GOP Rep. Buck McKeon of California, the chairman of the House Armed Services Committee, told CNN on Monday. "We have to take care of our own people first."

While McKeon made clear that his concern is about future preparedness rather than current capability, he argued a bedrock conservative stance against having the military be a major contributor to cost-cutting in Washington.

"I have no concerns of their capability. They're the strongest, best equipped, best trained military," he said. "What I'm looking at is what they've been hit with the last couple years. Where will they be the next time they're asked?"

Noting that "the world has not gotten safer," McKeon complained that "we're cutting back $1 trillion out of our military, asking them to do more with less."

Obama looks to Congress to bolster legal case for Syria strike

McKeon: stop asking the military to do more with less

"That has to stop," he said, calling for President Barack Obama to "fix" the across-the-board spending cuts on the military and other discretionary government spending that doesn't include entitlement programs such as Medicare and Medicaid.

After meeting with Obama, both McCain and Graham said they were encouraged by the president's intended approach, which includes more military aid for Syria's opposition while degrading the capabilities of al-Assad's forces.

However, they said they need more detailed assurances that the U.S. strategy would be sufficiently strong and sustainable before they could recommend it to their colleagues, who will vote in coming weeks on whether to authorize military action.

"There seems to be emerging from this administration a pretty solid plan to upgrade the opposition" in Syria and to "get regional players more involved" in shifting the balance of the Syrian civil war against the al-Assad regime, Graham said.

Both McCain and Graham said congressional rejection of a resolution authorizing U.S. military force in Syria would be catastrophic and undermine the credibility of the nation and the president.

Syria vote could have consequences for 2016

Syria issue exacerbates budge wars

The Syria issue exacerbates an already hostile budget environment between the two parties.

With fiscal year 2013 ending in four weeks, Congress has yet to pass a 2014 budget and is expected to consider a short-term measure to extend spending at current levels for weeks or months to allow time for further negotiations.

A major issue of the budget debate is whether to recalibrate spending to soften or eliminate the impact of the forced cuts of sequestration. While both sides say that is the right move, they remain unable to agree on how to make it happen.

Obama and Democrats want to maintain or increase spending on education, technology and infrastructure, while Republicans seek to shrink overall government spending. The two sides also differ on tax reform, another key component of spending policy.

In addition, the government says it needs an increase in its borrowing limit -- the debt ceiling -- sometime next month.

Some Republicans advocate a government shutdown unless Democrats capitulate on spending cuts, especially to a call by tea party conservatives such as Sen. Ted Cruz of Texas to eliminate from next year's budget the funds needed to implement the 2010 health care reform law.

Opinion: Obama on war -- a realist and risk taker

Congress to debate Syria resolution

Congress will not vote on Obama's request to authorize the use of force against Syria until sometime after it officially returns from recess September 9. To launch the debate on Capitol Hill, Senate and House committees will hold hearings this week.

Secretary of State John Kerry, Defense Secretary Chuck Hagel and Joint Chiefs of Staff Chairman Gen. Martin Dempsey will appear at the first hearing by the Senate Foreign Relations Committee on Tuesday, sources said.

In addition, Obama will meet Tuesday with House Speaker John Boehner and House Democratic leader Nancy Pelosi, as well as leaders of national security committees in Congress.

Conservatives have increased references to overall military spending in recent days when commenting on the Syria situation.

"I have watched what's happened in the last 4 1/2 years with the president downgrading our military," Sen. James Inhofe of Oklahoma, the top Republican on the Senate Armed Services Committee, told CNN on Friday. "And it's to the point where we're in a position right now where we don't have the assets to get involved in another intervention."

He warned that firing cruise missiles at Syria would inevitably lead to greater involvement and that administration officials must "make sure that you tell us how you're going to pay for it, what resources you're going to use, what assets you're going to use and that they're there."

GOP Rep. Mike Pompeo of Kansas, who sits on the House Intelligence Committee, argued Monday for a bigger mission than the limited strikes Obama has said he has been considering.

"It does us no good to just lob a few missiles into Syria," Pompeo said. "This is in the context of an Iranian-backed enterprise with Bashar al-Assad, with Hezbollah. You have al Qaeda now having the ability to move on the ground and perhaps get chemical weapons. America has interests that are much more broad than some short strike could possibly accomplish and so we need a strategic vision with real definable and achievable goals."

Military has concerns about Syria mission

The administration's "flood the zone" strategy

Obama and his team also emphasize the national security angle when arguing for a military response to what they call a major chemical weapons attack by al-Assad's regime on August 21 on Damascus suburbs.

The president, along with Vice President Joe Biden and White House Chief of Staff Denis McDonough, was making phone calls to House and Senate members to try to firm up commitments ahead of the congressional vote.

A conference call with House Democrats also was planned as part of what a senior administration official called a strategy to "flood the zone." In the calls, the official said, the White House will be making the same case it did during a classified Capitol Hill briefing Sunday.

The argument is that failure to take action against Syria would undermine the deterrent of international action against chemical weapons use, emboldening al-Assad and his key allies -- Hezbollah and Iran -- who will see a lack of consequences for such a flagrant violation.

On the administration side, there is no mention -- yet -- of the military budget.

Could Syria strike back if United States, allies, attack?

@highlight

NEW: Senate and House committee hearings on Syria begin this week

@highlight

With Syria debate looming, congressional hawks seek more military spending

@highlight

GOP Rep. McKeon: We have to stop asking the military to do more with less

@highlight

The Syria issue exacerbates an already hostile budget debate in Washington