(CNN)  -- We have met the enemy, and he is us. Debate on health care reform has once again become a miserable exhibition of seemingly irreconcilable differences, which President Obama is trying to address in his health care summit.

There is a path forward, and it starts with understanding that waiting for the government to lead an uncertain reform effort isn't necessary.

Prepaid integrated health systems like Kaiser Permanente, Geisinger Health System, Group Health Cooperative and HealthPartners are succeeding and innovative. It's no coincidence that these organizations are often mentioned when describing health care providers that offer high quality care while staying affordable.

Legislators should encourage such proven successes and make them available to all Americans.

Integrated health systems simply assume responsibility for both the financing and delivery of care, so they try to keep patients healthy and avoid costlier illnesses and hospitalizations down the road.  They are more likely to provide preventative care, such as vaccinations and cancer screening.

Basically, the system we are all accustomed to in the United States separates insurance from the provision of care. That is, your doctor and hospital and your health insurance company are different institutions. This pits them against one another, because one wants to cut care whenever possible, while the other wants to provide as much care as possible, with little incentive to keep costs down. Integrated systems are simply both -- they are either  insurance companies who own their own hospitals and hire their own doctors or hospital and physician groups that offer a health plan.

Other innovations routinely seen in integrated systems include digital medical records, direct electronic messaging with providers, instant access to health records and test results, telehealth and home-based medical services and affordable access to primary care.

Many people are determined that the United States should emulate the rest of the industrialized world and adopt a publicly subsidized system of universal coverage. Admirers of these foreign systems point to their low costs and accessible primary care services, but they may be surprised to find that successful integrated health systems in this country are organized very similarly to the most admired state-sponsored systems found overseas.

Whether taxpayers help fund an institution is not the main factor for success; rather, it is the integration between delivery and payment that creates an incentive to provide high-value care that keeps members healthy and out of hospitals.

This is the mantra that guides care delivery in both the best-performing systems overseas and in prepaid integrated systems in the United States.

Meanwhile, there are, of course, publicly supported health programs in the United States, including Medicare and Medicaid. Yet the same people who lament that a state-subsidized health care system would lay an unrelenting path to outright socialism hardly ever call  for a dismantling of Medicare.

Whether that's because of political expediency or simple hypocrisy can be left to conjecture. What's important is that a high-performing, state-sponsored health institution already operates in the United States -- the Veterans Health Administration.

Unlike Medicare and Medicaid, however, the VA has a tightly integrated health care system that has managed to dramatically improve quality and introduce innovations, all while keeping costs in check.

Killing off all state-sponsorship of health care in this country in a shortsighted resistance against progressivism would be a grave mistake. The bottom line is that we've been arguing over the wrong question.

The best health care system isn't a matter of private vs. public, or us vs. them. The debate should be about how to foster a system that is organized in a way such that its utmost concern is providing value to its patients.

There is no need to import a foreign system; we already have many similar systems in existence. The biggest hurdle is that, despite their advantages, integrated systems only serve about 5 percent of the population.

Entrenched players in the health care industry stand opposed to integrated care. If legislators truly want to make health care better, they will encourage the development of more integrated systems so that everyone has access to multiple options in a competitive marketplace.

Maintaining a vibrant, innovative private sector is critical, but we also can't ignore the success of many integrated, publicly subsidized systems abroad. Fostering the growth of our own integrated health systems in the private sector addresses the right question and offers the opportunity for us to have the best system of all.

The opinions expressed in this commentary are solely those of Jason Hwang.

@highlight

Jason Hwang touts integrated health systems, which handle finances and care

@highlight

Hwang: They have incentive to keep patients healthy and avoid costly illnesses

@highlight

He writes that the best health care isn't a matter of private vs. public, but how it's organized

@highlight

Hwang says VA has a tightly integrated, high-quality health care system