Pocantico Hills, New York (CNN) -- Oil-tainted seas, oxygen-deprived zones, overfishing, mercury poisoning ... these days, the search for safe and ethical seafood is enough to unnerve any pescetarian. For chefs, it doesn't just mean crossing another fish off our menus. The question has become how do we keep fish on the food chain?

I found one answer last year, at a fish farm called Veta la Palma.

Veta la Palma is in southwestern Spain, at the tip of the Guadalquivir River. Until the 1980s, the land was in the hands of the Argentineans. They once raised cattle in what were essentially wetlands, and they did it by draining the land. They built a series of canals and siphoned the water off the land and into the river.

But they couldn't make it work. Economically and ecologically, it was a disaster. In draining the land, they killed 90 percent of the bird population.

And so in 1982, a company with an environmental conscience purchased the land. What did they do?

They reversed the direction of water flow in the canals; they literally flipped the switch. Instead of using the channels to pump water out, they pulled water in, flooding the canals and creating a 27,000-acre fish farm of sea bass, mullet, eels, shrimp and sole. In doing so, the company reversed the process of ecological destruction

The farm is incredible, with hundreds of miles of flooded canals and thick marshland, teeming with life. I stood there not so long ago with Miguel Medialdea, Veta la Palma's head biologist.

According to Medialdea, it's such a rich environment that the fish eat what they'd be eating in the wild. Because the system is so healthy, it's totally self-renewing.

But Veta la Palma is not just a fish farm; it's also a bird sanctuary.

Today there are 600,000 birds on the farm from 250 species. It's become one of the most important private estates for bird life in Europe.

You might think a thriving bird population is the last thing you'd want on a fish farm (Veta la Palma loses 20 percent of fish eggs and baby fish to the birds), but for Medialdea, it's a point of pride and a testament to the company's success.

"We farm extensively, not intensively," he told me. "It's an ecological network. So the healthier the birds, the better the system."

But the truest measure of their success is much simpler: flavor.

Veta la Palma's fish was the most delicious I'd ever tasted, starting with the skin. I don't like fish skin -- not seared or crispy. I almost never cook with it. Yet when I tasted it at Veta la Palma, it tasted not at all like fish skin. It tasted sweet and clean, like taking a bite of the ocean.

I mentioned it to Medialdea, and he nodded. "The skin acts like a sponge," he explained. "It's the last defense before entering the body, and it evolved to soak up impurities. But there are almost no impurities in our water."

And that's an understatement. The water flows into the canals from the Guadalquivir River, carrying all the things rivers tend to carry these days -- chemical contaminants and pesticide runoff -- and when it flows back out, it's cleaner than when it started. The system is so healthy it purifies the water.

The purification is not just for the fish, but for us as well. That river water eventually dumps into the Atlantic. Sure, it's a drop in the bucket, but I'll take it.

The opinions expressed in this commentary are solely those of Dan Barber.

@highlight

With compromised, overfished seas, Dan Barber puzzled over how to keep fish on food chain

@highlight

He says he visited fish farm in Spain that restored water flow, fish populations to wetlands

@highlight

The farm is ecologically balanced, with abundant fish and 250 bird species, he says

@highlight

Barber: The farm's system is healthy again -- and the fish it produces are delicious