LONDON, England (CNN) -- Alternative treatments are as varied as the regions of the world they come from. And while they attract skepticism from some Western medical practitioners, they are an undeniable part of global health.

Shark cartilage is a popular dish in Japan where it is regarded as having health benefits.

In parts of Asia and Africa, 80 percent of the population depend on these treatments as their primary form of healthcare.

Shark fin has long been used in traditional Asian medicine. Shark fin soup is regarded as a tonic that promotes general well-being, and shark fin has even been claimed to have anti-cancer properties.

Shark fins are mainly composed of cartilage, a type of connective tissue found in the skeletal systems of many animals.

In Japan, they are sold by herbalists as a powder, in tablet form or as whole fins. While shark fin has been used for centuries in Asia, in recent years it has become more popular in the West.

A book called "Sharks Don't Get Cancer," published in 1992, popularized the idea of shark fin as an alternative cancer treatment in the West, and powdered shark fin is now sold as dietary supplement.

But scientific evidence doesn't support the idea. A 2000 report by researchers at George Washington University Medical Center in Washington D.C. said more than 40 tumors had been documented in sharks, skates and rays.

Clinical studies on cancer patients, including a 1998 study by the Independent Cancer Treatment Research Foundation in Illinois, haven't shown cartilage powders to have any anti-cancer benefits.

Cancer Research UK, an independent cancer-research organization, states "We don't recommend alternative therapies such as shark cartilage, as there is no scientific or medical evidence to back up the claims made for these 'treatments'."

The use of shark fins has also been criticized by environmentalists who say the practice is threatening shark populations. In addition, environmental groups say that fins are often cut off live sharks at sea, with the bodies thrown back in the sea to drown, a controversial practiced know as "finning."

The ancient art of herbal healing also remains highly popular in Africa. In South Africa, the name given to the practice is muti. In Johannesburg's Faraday market muti practitioners sell wares that are popular with locals and tourists alike.

Illnesses are diagnosed by "sangomas," who employ techniques including communicating with the spirits of ancestors. "Sangomas" then refer their patients to "inyangas," who supply muti treatments.

"Inyangas" make use of South Africa's diverse flora and fauna, selling treatments made from herbs and animal parts. Roots, bark and leaves are all used to prepare infusions that are said to cure ailments ranging from headaches to skin rashes.

Other muti medicines deal with psychological conditions, curing nightmares, bringing good luck and warding off evil spells.

Acupuncture is one of the most widespread of all traditional treatments. An ancient Chinese healing technique thought to date back at least 2,000 years, acupuncture is now widely practiced alongside modern medicine in the East and West alike.

Traditional acupuncture works on the idea that energy, known as "qi," flows along pathways in the body, called meridians. According to acupuncture theory, if these meridians become blocked, "qi" cannot flow freely and illness can result.

Diagnosis of ailments is carried out by, among other things, feeling a patient's pulse and inspecting their tongue. Marian Rose of the British Acupuncture Council told CNN that an important part of the diagnosis process involves asking patients a range of questions about their well-being, including their digestion, sleep patterns, and health history.

Treatment involves inserting fine acupuncture needles at critical points in the body in order to stimulate the flow of "qi," described by Rose as "the body's motivating energy." Traditionally, acupuncture can be used to treat headaches, chronic pain, asthma, depression, addiction, and problems with the digestive system.

Acupuncture has been the subject of extensive research and in the West the practice has been studied in terms of modern medical knowledge.

Dr Mike Cummings is the medical director of the British Medical Acupuncture Association, which promotes Western medical acupuncture. He told CNN that research has shown acupuncture to be effective at treating pain in particular.

Cummings says that it is believed that when an acupuncture needle is inserted into a muscle, it stimulates nerves. That affects the spinal gate, where sensory input is modulated, reducing activity in pain pathways.

Whether backed by medical science or simply by years of use, traditional treatments remain popular and as more research is carried out, some may even come to complement modern medicine.

@highlight

Even in the era of modern medicine, traditional treatments are still widespread

@highlight

In Japan, shark fin is sold by herbalists, and is believed to promote well-being

@highlight

Muti practitioners sell their wares in Johannesburg's Faraday market

@highlight

Acupuncture has spread all over the world from its roots in ancient China