New Delhi, India (CNN) -- After a decade in power, India's ruling Congress Party conceded Friday that it is headed to defeat as vote counting in the world's largest election was under way.

The mammoth election appears likely to unseat Prime Minister Manmohan Singh's two terms of leadership after a rash of high-profile corruption scandals, stubborn inflation and a slowed economy.

Party spokesman Randeep Surjewala told CNN, "Trends indicate a victory for the opposition alliance.

"We bow before the wishes of the people of India with all humility. We will continue to play the role assigned to us. We will try with greater vigor and determination to work with the large populace of this country."

The Indian National Congress Party has dominated Indian politics since the nation's independence in 1947. Seen as the father of India's economic reforms, the 81-year-old, Oxford-educated Singh has been Prime Minister for India's governing coalition since May 2004.

On Tuesday, he bade farewell to his staff, just three days ahead of the vote count. He will tender his resignation to the nation's President on Saturday, said his spokesman Pankaj Pachauri. The official Prime Minster Twitter account stated that Singh had called Modi to congratulate him on his "party's victory."

Congress Party Vice President Rahul Gandhi said, "I hold myself responsible" for the defeat.

Exit polls, released after the five-week general election, have portended a majority for the opposition alliance led by the Hindu nationalist Bharatiya Janata Party (BJP), which has fielded a pro-business leader, Narendra Modi, as its candidate for the Prime Minister's post. India's stock market surged Friday after initial numbers suggested a huge lead for the party.

Celebrations broke out with singing, dancing, bands and even elephants in the mix as initial Election Commission numbers indicated a huge lead for the BJP. Supporters celebrated in the streets in Gujarat, the state where Modi has served as chief minister since 2001. He tweeted: "Good days are here to come."

A jubilant BJP described its potential landslide as a turning point for Asia's third-largest economy.

"Till some time ago, it was said India's success story is over. Now, the time has come to rewrite India's success story," party chief Rajnath Singh told reporters.

He stressed the BJP had campaigned on the planks of development and good governance and credited Modi's leadership skills for its success.

Some observers say India's 2014 voting was akin to a referendum.

"The majority of Indian voters had to choose between Modi or no Modi. They chose Modi. It was a referendum," said K.G. Suresh, a political commentator in New Delhi.

The South Asian democracy, the world's largest, recorded a provisional turnout of 66.4% of its 814 million eligible voters in its nine-step elections that began on April 7, said India's election commission spokesman Rajesh Malhotra.

The count from electronic voting machines began 8 a.m. local time Friday. As is the norm, the Indian President will invite the party or the alliance with the largest number of elected lawmakers to stake claim to government formation.

In 2009, the Congress party, headed by Italian-born Sonia Gandhi, won 206 of 543 boroughs, its best performance in almost two decades that mostly saw coalition governments running the country.

Within a couple of years since assuming power for a second term, Singh's administration has had its popularity plummet over a spate of corruption allegations that sparked widespread street protests by anti-graft activists. High prices, slowing growth and what observers call policy paralysis dented Singh's image as a reformist.

"The Underachiever -- India needs a reboot," wrote the U.S.-based Time magazine in its Asia edition in 2012 that featured Singh on its cover. "Is Prime Minister Manmohan Singh up to the job?' the title asked.

"I have every reason to believe when history is written of the period, we will come out unscathed," Singh told a news conference in January as he announced he would not run for another term after the general elections.

He, however, defended his governance.

"This is not to say there were no irregularities. There were irregularities, but the dimensions of the problems have been overstated by the media, by the CAG (comptroller and auditor general), sometimes by other entities," he had said.

According to a damning report by the CAG, India's national auditor, the national treasury lost as much as $31 billion from the 2008 sale of the wireless frequencies.

The scandal rocked Singh's government during its second term, as it also struggled with accusations of large-scale fraud in the sports, real estate and coal sectors.

"We are deeply committed to the objective of combating corruption," Singh told reporters. "An array of historical legislation has been enacted to make the work of the government transparent and accountable."

CNN's Mallika Kapur, Sumnima Udas and Madison Park contributed to this report.

@highlight

India begins counting votes after a five-week general election

@highlight

Congress Party spokesman concedes it's likely to head to defeat

@highlight

Corruption scandals have hit exiting PM Manmohan Singh's two-term government

@highlight

Exit polls predict win for Hindu nationalist Bharatiya Janata Party and leader Narendra Modi