Washington (CNN) -- Karen Harned has been going to the Supreme Court every day it has met since June 11 so there would be no chance she would miss the health care law ruling.

Harned is director of the small business legal center of the National Federation of Independent Business, one of the plaintiffs in the lawsuit that seeks to strike down the law. She and her group have worked through all of the possibilities and are ready to react to the court's ruling immediately.

"We have done a lot of work on that because we think that is critical. We are in the 24-hour media cycle. The reporting will start immediately," she told CNN.

Ron Pollack of Families USA, one of the major groups promoting the health care initiative, brought activists from a dozen key states to Washington last week to help plan the various messages and reaction plans for each of the possible scenarios depending on how the court rules.

"Over the numerous weeks, we knew different possibilities could occur," Pollack told CNN. "Most of our focus is on what happens if the statute is upheld or partially upheld: where do we go from here and what do we want the public to understand?"

Since Barack Obama took office, no other political issue has generated as much debate, tension and argument than health care reform and the government's role.

Various constituencies -- the White House, Congress and a myriad of interest groups on all sides -- anxiously wait for the nation's high court to hand down its decision on one of the most divisive political issues it has taken up in many years.

Congress ready for decision -- then it gets tricky

Their task has been complicated by a great deal of uncertainty: How many rulings will there actually be since the justices are considering several different aspects of the Affordable Care Act? Will the court decide to deal with the controversial individual mandate, which requires most citizens to buy health care insurance, separately than the rest of the law?

Some interest groups have differing statements ready for seven or eight scenarios.

Many of the groups will either be at the court on Thursday or race there so they can go to the cameras staked outside.

The big four issues: What the justices are tackling

One coalition of labor and health care reform advocates already sent reporters an e-mail saying they'll hold a conference call at 12:30 p.m. on whatever day the ruling comes with the call-in number.

Obama has the most at stake politically because the health care law is considered to be his signature domestic political achievement. A ruling by the court that all or part of the law is unconstitutional would be a black mark on his administration.

No president wants to see his signature achievements overturned, said Paul Begala, a former senior adviser in Bill Clinton's White House and now an adviser to the pro-Obama super PAC Priorities USA as well as a CNN contributor.

The White House has steadfastly refused to speculate about what will happen if the law is struck down. However, Valerie Jarrett, a senior White House adviser, said over the weekend at the National Association of Black Journalists convention that the administration is prepared for whatever the court does.

She admitted the White House and Democratic congressional allies had been outmaneuvered as the issue was being debated.

"The opponents of it outorganized -- in terms of the 'death panels' -- and distorted what we were doing early on," she said, referring to some opponents' assertion that the new law contained a provision that would have bureaucrats decide who would or wouldn't be treated.

The Supreme Court health care decision will again put the issue front and center for presumptive Republican presidential nominee Mitt Romney, who included the individual mandate as part of the health care overhaul he pushed while governor of Massachusetts but has said he does not favor the requirement on a national scale.

"Regardless of what they do, it's going to be up to the next president to either repeal and replace Obamacare or to replace Obamacare. And I intend to do both, if I'm the president at a time when the Supreme Court has left Obamacare in place, I will repeal it on day one by sending out a waiver to all 50 states to keep them from having to pursue Obamacare," the presumptive Republican nominee said earlier this month in Orlando, Florida.

While Romney would make the states responsible for helping the uninsured, he has said he would make sure to keep some of the more popular provisions of the health care overhaul, such as making sure people aren't dropped from coverage if they have a pre-existing condition.

Your Bottom Line: Pre-existing conditions

Romney's campaign staff has been meeting with members of Congress on how they will react, with the Republican National Committee helping to prepare.

House Speaker John Boehner said in a memo to House Republicans last week that "if the court strikes down all or part of the president's health care law, there will be no spiking of the ball."

He said the emphasis will still be on the economy. "We will not celebrate at a time when millions of our fellow Americans are out of work."

No matter the decision, analysts on both sides predict there will be political repercussions that could have a major effect on both presidential campaigns in trying to motivate their bases.

If the court upholds the law, that could fire up Romney's supporters.

"It is odd -- if you lose substantively, you might win politically," Begala said.

If the mandate or entire bill is ruled unconstitutional, then the president's base could get motivated.

"Democratic activists are very cynical about the Supreme Court," Begala added.

Overturning the law could take away a strong motivator for Romney, some analysts have noted, but the president would get the political black eye.

A health care 'Judas' recounts his conversion

"It is going to be the gift that keeps giving," said one Republican consultant. "What we are seeing with independent voters they are unhappy, disenchanted with Obama. This would just reinforce that."

The problem for both parties is trying to decipher what exactly the public wants on this complex and emotional issue that affects most Americans. A CNN/ORC International poll conducted last month showed 51% of Americans surveyed oppose the law -- most of them because they think it goes too far but some who feel it doesn't go far enough -- while 43% favor it.

However, a recent Pew Research Center poll found a majority would not be happy with any of the possible scenarios that analysts believe are likely to come from the court.

When asked if they would be happy or unhappy depending on how the court might rule, 44% said they would be happy if the entire bill is thrown out; 40% would be happy if just the individual mandate alone is discarded; and 39% would be happy if the entire law is upheld.

Despite the massive protests and attention paid to the issue, the American people don't really understand what is contained in the law -- a sign the White House has not done a good job of messaging.

Some 49% in the Pew survey said they understand the law somewhat well, 31% said they understand it not too well or not well at all and only 18% said they understand it very well.

According to analysis by CNN's ad-tracking service Kantar Media/CMAG, those opposing Obamacare outspent proponents by a 3-1 margin -- $235 million to $69 million -- from March 23, 2010, when the law was signed, through June 17.

What to know about health care reform

Some Democrats privately acknowledge they have not done a good job of articulating their message. It's one reason that as they prepare for whatever comes out of the court, they are ready to trumpet some of the act's accomplishments so far.

Democratic members of Congress have been given small cards touting such facts as: 6.6 million young adults up to age 26 have health insurance through their parents' plan; up to 17 million children with pre-existing conditions can no longer be denied coverage; 54 million Americans with private insurance have received one or more free preventive service and 5.1 million seniors saved $3.2 billion on prescription drugs.

Conservatives have pounced on the uncertainties of the law as well as government overreach in its opposition.

Concerned Women for America, for example, last week went up with a $6 million ad in six key electoral states (Iowa, Minnesota, New Hampshire, New Mexico, Virginia and Wisconsin) and national cable with a doctor saying: "The truth is, we still don't know how much this law will eventually cost. I don't want anything to come between my patients and me -- especially Washington bureaucrats."

As for the insurers, they have been running what they call an aggressive education campaign to try to sell what it calls an "inextricable link" between market reforms and the coverage requirement.

The insurers' trade group, America's Health Insurance Plans (AHIP), argues that to afford the changes, the companies need a larger insurance pool that comes with the mandate. If not, then consumers could be facing larger premiums.

Also in a pre-emptive move, several major insurers, including Aetna, Humana and UnitedHealthcare, have announced they will allow children of their clients to stay on until they are 26 even if the law is thrown out.

"We are ready for whatever the court decides. We will have a lot more when the court announces," said AHIP spokesman Robert Zirkelbach.
Basics: Health care reform issues

CNNPolitics.com Editor Bryan Monroe contributed to this report.

@highlight

Various constituencies anxiously wait for the high court to hand down its decision

@highlight

Some interest groups have differing statements ready for seven or eight scenarios

@highlight

President Barack Obama has the most at stake politically

@highlight

White House has refused to speculate about what will happen if the law is struck down