(CNN)Mention of Dubai usually prompts images of tall buildings, pristine beaches and luxurious hotels.

Not graffiti, that's for sure.

So it seems an anomaly, perhaps, that the city should be host to the first gallery in the UAE, and possibly the Middle East, dedicated to the art of the spray can.

Not so says Thomas Perreaux-Forest, partner in the groundbreaking venture, Street Art Gallery, in one of Dubai's more salubrious suburbs.

The Frenchman -- smart, handsome, well educated -- is, in some ways, an unlikely champion of such a polarizing genre.

He's the kind of upstanding citizen you might expect to revile youths armed with spray cans.

He says the art form goes way beyond graffiti, however.

His gallery in Dubai's Jumeirah neighborhood appears to support his theory, offering spray-painted works an unlikely home in a country largely devoid of graffiti -- and attracting healthy prices.

Work at recent exhibitions has been fetching up to and upward of $10,000.

Shared passion

At any one time there are about 100 pieces on show with exhibitions changing at least once a month.

Perreaux-Forest, 43, and fellow founder and curator Stephane Valici, 45, knew there would be demand after their shared passion for street art led them to a surprising discovery in the United States.

"We realized when we were going to gallery openings here in Dubai that we couldn't really see what we enjoyed and when we found it, it was quite overpriced," says Perreaux-Forest.

"Then we were talking to galleries in Miami and New York and France and those guys were telling us that people from Dubai came over there to buy artworks.

"This made us think: 'Why not open a gallery ... people who are interested in this cross the Atlantic so it proves there is demand.'

"It was still a gamble because it is hard to do a market study, but the feedback as soon as we opened was absolutely amazing."

First show, "Wynwood Goes Dubai," celebrated a Miami district where street artists are free to spray-paint without hassle from police.

"It's a very creative place. There's a big street artist community there and during our last trip we met lots of artists and signed 10, male and female, from Miami, some from New York and LA. That exhibition was a sneak preview of their work."

The gallery's third exhibition, "Be The Change," was certainly a departure from what Dubai's healthy, but largely commercial art scene was used to.

It celebrated some of the more brash examples of street art and graffiti, with some work examining public protest. Again, not something the UAE experiences too often.

Incendiary inspiration

Before long, big international names in the genre were getting involved.

Parisian veteran Nasty brought signs and wall tiles from the French capital's metro, decorated in his inimitable style.

"Nasty is very experienced and well known and began in the '80s by tagging trains," says Perreaux-Forest. "He has just had an exhibition in Hong Kong."

Fellow French street star OneMizer -- who does everything from portraits to comic-style work -- flew in, as did Geneva-based mural specialist Bandi, who also comes from France but has created futuristic work inspired by Dubai.

Swiss-born, and now Dubai-based, JustOne brought possibly the most controversial work, inspired by incendiary street protest, in addition to a decorated chunk of wall that he has on permanent display in the gallery.

By contrast, the gallery recently curated a special exhibition to compliment the holy month of Ramadan.

"Calligraffiti" matched street art with Arabic writing, given a modern twist by local talent.

"We took the opportunity of Ramadan to do something about the art of writing," adds Perreaux-Forest. "Here in the region, Arab calligraphy is very important and is a real art form in itself. There is an evolution in this particular art.

"On the other side the graffiti started with lettering, guys signing or tagging streets or trains. So it was interesting to mix those arts of writing, the classical but modern calligraphy with the writing in graffiti, a mix of ancient and modern.

"And we managed to find some calligraphers that do much more modern pieces than we're used to seeing in galleries around the region. Some were very close to street art."

It proved an exciting glimpse into where Dubai could go with the genre and flushed out some indigenous potential.

"We would be very keen to display more local street artists," adds Perreaux-Forest, when asked whether he plans to showcase and nurture some of that native talent.

Breaking down barriers

A few of those artists mingle and exchange ideas during the gallery's frequent and vibrant opening nights.

"For the moment we are focusing on established artists, but a bit of what we do is to help the local scene and raise the level," says Perreaux-Forest. "It's good to visit a gallery to meet experienced artists, to improve your style and work, and that's what I believe is needed here.

"Street art is not allowed anywhere (in the UAE), but it can be tolerated in western countries. Here it is not really the case and we don't want graffiti all over the place.

"But one of our missions is to help the local guys and to make local culture and people from the region understand that street art is not about degradation and that there are many different styles in street art."

For now, Street Art Gallery is opening its walls to the likes of Jenni Perez, Godzilla, Hep and One Love and is plotting a busy 2015 as its own exterior white walls are gradually replaced by visiting artists spraying what they think of Dubai's new art hotspot.

Street Art Gallery is currently hosting one of the first and most infamous graffiti writers of the South Florida movement.

Miami's Hec One Love is showcasing more than 100 of his works in Dubai under the banner "Loveism" until December 10.

The artist is known for his massive walls and post-graffitism abstracts and the Dubai show represents his biggest publicly displayed collection yet.

Street Art Gallery, Villa 23, 10th B St., Dubai; +971 55 88 88 247; 10 a.m.-7 p.m.

@highlight

Street Art Gallery is the first of its kind in the UAE

@highlight

The gallery is inviting street artists to spray their mark on the villa's white walls

@highlight

Co-founder Thomas Perreaux-Forest hopes to encourage the growth of Dubai street artists