Could your cell phone be bad for your health? Maybe. But not because it's zapping your brain.

More homes are using just the cell phones, which limits the CDC's ability to collect health data.

According to a report released this week by the Centers for Disease Control and Prevention, as many as one-quarter of homes in certain areas, such as Oklahoma and Utah, lack a landline and are completely reliant on cell phones.

While that's terrific news for reducing the cost of phone bills, it may not be so great in terms of health-- or at least health care in general.

The CDC often relies solely on landline phones when conducting large, state-based health surveys, conducted every year to determine sexual habits, childhood immunizations rates, and dozens of others factors related to American health.

"It doesn't affect health per se, rather it has implications for how well the CDC and others can track the health of the nation," said Stephen Blumberg, senior scientist at the CDC's National Center for Health Statistics.

The federal government and states often use the survey information to set national health policies aimed at reducing the number of people who lack health insurance, decreasing high-risk behavior and determining immunization rates for children and teens, Blumberg said.

The CDC's report is the first to compare wireless phone-- only homes on a state-by-state basis. The new report is based on 2007 data, which found that Oklahoma had the highest percentage of cell phone--only homes (at 26 percent) and Vermont has the lowest (5 percent).

There are probably more landline-free homes now, as the rate has increased by 3 percentage points each year, said Blumberg. Health.com: Cell phone study suggests people are losing their wanderlust

"I'd expect today in 2009 the rate is probably 5 percentage points higher, perhaps even more," he said. Overall, about one in six American homes or about 18 percent, rely solely on wireless phones.

The high rates of cell phone--only homes were not that surprising, said Blumberg. What was surprising, he noted, was the wide variation from state to state. The rates of cell phone--only homes are generally low in the Northeast; for example, Connecticut (5.6 percent), New Jersey (8.0 percent) and Delaware (5.7 percent) have low rates. In other areas, it's a different story- in Nebraska the rate is 23.2 percent, and in Arkansas it's 22.6 percent. Check your state's percentage of wireless phone--only homes.

The wide variation is due to factors such as income and age. Young adults living on their own in rentals, for instance, are less likely to have landlines.

"Households in poverty or near poverty are also more likely to be wireless-only," said Blumberg.

While missing a pesky phone call from a CDC researcher asking probing questions about your private health information may seem like a good thing, it's not, said Blumberg.

"As a result of missing all of these wireless-only households, those surveys can be biased," he explained. "The potential for bias in Oklahoma is greater than the potential for bias in Vermont."

Some major, national CDC surveys are done door-to-door, but many state surveys rely on landline phones. The CDC doesn't use cell phones for a number of reasons, said Blumberg. Most callers aren't happy about using cell phone minutes to chat about a survey, and participants might want compensation for taking part in the survey. The Telephone Consumer Protection Act forbids the use of automated or computer-generated dialing to cell phone numbers. Researchers can do it by hand, but it costs more money.

Researchers are considering finding ways to call cell phones or going back to an older method, in which surveys are mailed to specific addresses. It seems unlikely that Americans will be adding landlines back into the mix any time soon or ever, particularly given the added expense in a weak economy. Health.com: 10 ways to go from tired to terrific

"All of the major surveys are already experimenting with methods of contacting the wireless only population," said Blumberg. "It has to be done, but it requires additional money and experimentation to determine the best way to do it." Health.com: How exercise can help fibromyalgia

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

CDC relies on landline phones for health surveys,conducted every year

@highlight

Survey used for national health policies for health insurance, immunization and etc.

@highlight

26 percent of Oklahoma were cell phone-only homes; Vermont had  5 percent