(Wired.com) -- Photographers have their own version of sleight of hand. They can manipulate people, objects, landscapes and light in images, fooling lesser humans into believing the final product is a representation of reality, rather than something created by hand.

In the old language, we called this "trick photography." Now, in the PC age, we just call it "Photoshop."

The latest version of Photoshop, the flagship image-editing application in Adobe's Creative Suite, adds a new stack of cards to the photographer's trick deck.

Wired.com was shown demos of new tools in Photoshop CS5 -- such as the new Content Aware Fill and HDR tools -- that we expect will amaze and please photographers with the tools' ability to bend pixels with absolute precision.

Photoshop CS5 will arrive as part of Adobe Creative Suite 5, the company's package of 14 productivity apps for visual designers, photographers and publishers. Creative Suite 5 will ship later this month (or possibly early May) according to Adobe.

Prices for the suite range between $1,300 and $2,600 depending on which package you buy, with upgrades priced between $500 and $1,500. Photoshop CS5 alone will cost $700, or $200 for an upgrade. Photoshop CS5 Extended, which has some additional tools, will cost $1,000, or $350 for an upgrade.

This year marks the 20th anniversary of Photoshop's arrival, and there are certainly several "wow" features in Photoshop CS5 which achieve a level of technological advancement most of us couldn't have even dreamed of twenty years ago.

Most impressive is the new Content Aware Fill brush, a mind-bending tool that can remove large objects from photos, altering the background to make it realistically appear as though the object was never there. It can zap tourists, delete power lines and otherwise alter photos with click-and-drag ease.

This video shows it most plainly. Fast forward to about the halfway point if you want to see the really crazy stuff. (When this video first started making the rounds in March, some thought it was a hoax. It's not -- this is a real feature of Photoshop CS5.)

As with any new tool in Photoshop, expect Content Aware Fill to be overused: A surfeit of tourist-free images of Machu Picchu will soon be littering Flickr. But beyond the novelty, it's a truly useful touch-up tool that turns what used to be hours of work into a simple drag of the brush.

Speaking of brushes, all of the painting features in Photoshop -- neglected since the release of Photoshop 7 -- have been rewritten. The app now features much more realistic interactions. If you use a digitizer tablet, you'll find that your brushes are considerably more responsive. The angle of the stylus now controls the edge of the brush and the new paint mixing tools control color blending, wetness and bristle length, making for a very life-like painting experience.

Another bit of Photoshop trickery that's become popular lately is high dynamic range imaging, or HDR. The Flickr crowd is crazy for it, and Adobe has responded by improving Photoshop's Merge to HDR tool, which helps you create HDR images.

The new HDR tool now has 14 HDR presets which can save considerable effort when hand-toning an image. The HDR presets shipping with Photoshop range from the cartoonish to the fairly realistic, and should satisfy all but the pickiest of HDR enthusiasts.

Composing a real HDR image requires multiple photos taken with multiple exposures, but now you can fake it. Photoshop CS5 has a new set of tools to create what Adobe calls "single image HDRs." The results will never quite match a true HDR with multiple images, but the new single image HDR toning dialog lets you get pretty close using just one file.

Also incredibly helpful for HDR fans is the new "remove ghosts" tool in the HDR dialog, which makes it simple to eliminate ghosting and artifacts caused by differences between your layered HDR images. With Photoshop CS5, you can simply outline a ghosted area (say, for example, a flower that moved in the breeze between shots) and select a single layer for the portion of the image.

Photoshop CS5 isn't just new brushes. There's been plenty of attention to performance -- the Mac OS X version is now fully 64-bit native, the same enhancement the Windows version got in in CS4. That means that you could, in theory, throw as much as 128 GB RAM at Photoshop.

This update further deepens Photoshop's integration with Bridge, Adobe's file browsing tool. Bridge can now be embedded in a palette within Photoshop (known as Mini Bridge). You can quickly navigate through your images using the familiar Bridge interface without needing to leave Photoshop. Interestingly, the UI metaphor for Mini Bridge seems influenced by the iPhone -- when you navigate through folders, the interface slides left and right.

Photoshop CS5 also gets the same massive overhaul to the Camera Raw engine that we've seen in the forthcoming Lightroom 3. Camera RAW in both apps offers much better sharpening and noise reduction, which is impressive not so much for its ability to remove noise, but to retain detail while doing so.

Photoshop CS5 also has a few tricks designed to make designers' lives easier, particularly the new Puppet Warp tools, which allow you to make path-like selections and bend, warp, shorten, lengthen and twist an object.

Wired.com was shown a demo by Photoshop product manager Bryan O'Neil Hughes. He took an image of an elephant with a straight trunk and, with just three selection points, he bent and curled the trunk back so the elephant appeared to be eating.

Puppet Warp introduced almost no distortion into the finished image. Puppet Warp also provides a much easier and faster way to straighten tilted horizons.

We were also impressed with the new Lens Correction tool, which fixes distortion and other lens artifacts using profiles tailored to correct specific camera lenses (the lens type is determined by embedded EXIF data, so Photoshop can determine that automatically).

Most of the other smaller features that make this release of Photoshop a must-have are user-suggested features and workflow improvements. Adobe solicited user suggestions, filtered through the ideas, picking some three dozen ideas and making them a part of Photoshop CS5.

Photoshop has several outstanding new features -- it's probably worth the price of the upgrade just for the new Content Aware Fill tool, the 64-bit boost and the improvements to Camera RAW -- but what really sells this release is amount of time it promises to save you.

Among our favorites workflow improvements: You can now adjust the opacity and fill percentages on multiple layers simultaneously; the Save for Web dialog is available in 16-bit mode (and handles downsizing to 8-bit automatically); and Photoshop has the ability to save layer styles as a default behavior that even persists across sessions.

Adobe has done an impressive job of focusing not just on the whiz-bang features, but on how photographers, designers and digital artists spend their time using Photoshop, and how making small changes can speed up their workflows.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2010 Wired.com.

@highlight

Photoshop CS5 will arrive as part of Adobe Creative Suite 5 in late April or early May

@highlight

Prices for the suite range between $1,300 and $2,600 depending on the package

@highlight

The tools' ability to bend pixels will amaze photographers