Tromso, Norway (CNN)It is early afternoon on board the "Helmer Hanssen," and the Arctic sun is already starting to set. Near the back of the ship, two people dressed in orange rain slickers are anxiously waiting. Any minute now, the ship's lines will pull taut, and a green mesh bag will be back up on deck.

When that time comes, a sigh of relief as crewmembers empty out the full bag onto the deck. Stepping forward are Jeannette Anderson, a cell biologist, and Robert Johansen, a marine biologist. The pile of dirt, sea sponges, and starfish from the ocean floor are what they came all this way for.

Above the Arctic Circle in the Lyngen Fjord of northern Norway, researchers on the "Helmer Hanssen" are searching for the next generation of antibiotics. In these sea organisms, they hope, are new bacteria to become those drugs.

"If no one finds new antibiotics for common infections, what will happen is we will go back to the pre-antibiotic age in which a simple cut could turn into an infection that becomes deadly," said Marcel Jaspars.

Jaspars is the founder of the PharmaSea project, an EU-funded initiative to bring research groups together around the world in search of new antibiotics. The World Health Organization says antibiotic resistance is a growing health crisis around the world, calling it "an increasingly serious threat to global public health that requires action across all government sectors and society."

It is not cost-effective for pharmaceutical companies to search for new antibiotics. On average, it costs a pharmaceutical company more than $2 billion to bring a new drug to market. In the case of antibiotics, the drug is only taken for a short time, and could eventually develop resistance. That's why large-scale focus has moved away from antibiotics research in the past 30 years. In the meantime, bacteria have evolved, adapted, and become resistant to many current antibiotics.

"What was once common treatments are no longer treatable by using standard antibiotics," Jaspars said.

The key is finding new chemistry. Bacteria can't be resistant to a drug if they've never seen anything like it before. Extreme environments are providing new places to look.

"In the past, bacteria and fungi have been the main sources for new antibiotics," Jaspars explained. "In fact, about 70% of our antibiotics still come from nature, normally from sediment samples and soil samples from land. But now, by looking at the ocean, we hope to find new life forms which give us new chemistry that might be able to treat bacterial infections."

That's exactly why Anderson and Johansen are on board the "Helmer Hanssen." They are part of Jaspars' PharmaSea team, and they have identified the icy waters of the Norwegian Arctic as a potential breeding ground of new bacteria. In this extreme environment, the sea organisms have been forced to adapt over time.

"They have to adjust for very different temperatures as compared to other parts of the world," Anderson said. "We think that since they are living in an extreme environment, they have developed some extreme strategies to survive."

Anderson and Johansen take their finds from the bottom of the sea straight to a wet lab on the ship. It is critical to begin testing as soon as possible, ensuring freshness of the organisms. Johansen cuts open the starfish, while Anderson makes solutions to be plated on a petri dish. In a few weeks, bacteria will grow on the plates, hopefully exhibiting antibacterial properties. It is a long and tedious process, with no time to waste. It often takes upwards of a decade for new drugs to be approved.

"It's a rush against time," Anderson said. "I think we have to speed up the process of trying to find novel antibiotics. At the moment, a lot of the antibiotics out there are working in the same way."

The early results are promising. Several compounds being tested in Norway and at Jaspars' lab in Scotland are showing initial signs of antibacterial properties. A good start, with a long way to go, but Jaspars knows the hopeful legacy of the PharmaSea project and others like is around the world is to eradicate the issue of antibiotic resistance. Who knows where the next penicillin will be found? Perhaps, it will be in the icy Norwegian Arctic.

"It is always very exciting when you get to the stage where you are the first person to see a bacteria," said Jaspars, "or the first person to identify the structure of a new molecule that has the potential at that moment, to be a treatment for a difficult disease."

@highlight

Researchers are looking for new bacteria in Arctic circle

@highlight

New bacteria could be key to creating new antibiotics

@highlight

WHO says antibiotic resistance is a growing health crisis