How can architecture help a nation cope with traumatic history? A Cambodian institute designed by Zaha Hadid attempts to find a new answer to the question.

Due for construction in 2015, the Sleuk Rith Institute, designed by Pritzker-winning Hadid, will be a landmark genocide memorial for Cambodia, breaking away from stereotypes of commemorative architecture.

It has been nearly 35 years since the fall of the Khmer Rouge, a regime that slaughtered two million Cambodians, but the scars are yet to fade.

"We believe that this project is one step in moving beyond memorial, to reconciliation and healing, it will be truly transformative, " Hadid tells CNN Style.

Uplifting architecture

From renderings of Hadid's design, we can see five majestic towers rising out of the surrounding forest like beautiful mutant trees. Raised on stilts for protection from floods, the floating buildings evoke a serenity associated with religious sanctuaries.

The design is a far cry from the dark designs of other famed genocide memorials such as Daniel Libeskind's Jewish Museum of Berlin, a stark and imposing display of concrete and steel.

"The building design seeks to commemorate the past with moments of somberness, reflection and tranquility, but it was extremely important that the institute also evoke hope and optimism for the future, and the design includes moments of warmth, light and inspiration," says Hadid.

The choice of Zaha Hadid was crucial for the institute's visionary founder Youk Chhang. Himself a survivor of the Khmer Rouge-led genocide, Chhang hopes that the institute can move away from the "heavily angular, quasi-industrial, and distress-invoking architecture" of the many other memorial models.

His vision for the institute — and for Cambodia's future — is one that honors the past while directing the audience towards a positive, future-oriented experience.

Building the future

Situated in Phnom Penh, the institute will become the permanent home of the largest collection of genocide-related material in Southeast Asia — up to a million documents archived by the Documentation Centre of Cambodia, an NGO run by Chhang.

The institute's name is also inspired by the act of documentation. "Sleuk Rith" means "the power of leaves" referring to the dried leaves that Cambodian intellectuals used to discreetly document and disseminate knowledge and culture during periods of oppression.

But the institute's more significant role will be in educating future generations through its graduate school program, to prevent repeating the tragedies of the past.

"People will learn about what happened so that they can liberate themselves from being a victim and get ready to compete for success in the future," says Chhang.

Local inspiration

Sleuk Rith is also notable as one of Hadid's first major projects that uses wood as a prominent material.

"Wood receives and transfers light in a particularly warm way. This quality of light and shadow within a wood-structured building is something that we felt appropriate and akin to the very qualities we strove to achieve in the design," says Hadid.

The first female architect to win the coveted Pritzker Prize, Hadid is known for her dramatic, futuristic monuments of fragmented geometry and curvilinear form.

Sleuk Rith brings forth a softer, warmer, and perhaps more feminine side of the architect's imagination, taking inspiration from a lesser known Cambodian temple, the Banteay Srei, also known as the "Citadel of Women," some 30 kilometers north of Angkor Wat.

"One of the remarkable things about Cambodia's traditional temples is the way that intricate and beautiful forms are built up from simple geometric elements. We have taken a parallel approach in the design to define a progression of interconnected spaces within the institute," says Hadid.

Femininity is an important factor for this commemorative structure as women constitute a major portion of the survivors of the Khmer Rouge period. According to Chhang, women struggled to raise the next generation on their own and have been instrumental in rebuilding Cambodian society, "but they have had too little voice" throughout the country's tragic past.

Cheeky medieval doodles show ancestors just as silly as us

How did this human face appear in a gemstone?

Is this the end of ambitious Chinese architecture?

A peek inside Paris Photo, Europe's most prestigious photo fair

@highlight

Zaha Hadid has designed a Cambodian genocide memorial

@highlight

The Sleuk Rith Institute will commemorate the 2 million Cambodians killed by the Khmer Rouge regime

@highlight

The light-filled towers are a departure from the dark designs typically associated with genocide memorials

@highlight

Hadid was inspired by Cambodia's "Citadel of Women" temple