Senate Democrats on Monday offered a new proposal to extend the payroll tax cut before it expires at the end of the year, and President Barack Obama quickly urged Congress to help middle-class Americans by passing it.

In a statement to reporters at the White House, Obama said failure to act would mean almost 160 million people would pay higher taxes next year, violating a pledge by Republican legislators against raising taxes.

"Keep your word to the American people and don't raise taxes on them right now," Obama said, arguing that extending the lower payroll tax rate enacted last year would help the nation's economic recovery. "Now is the time to keep growing the economy, to keep creating jobs, to keep giving working Americans the boost that they need."

In reference to the GOP opposition to higher taxes, Obama asked: "How could it be the only time there's a catch is when it comes to raising taxes on middle-class families?"

"It doesn't make sense," the president added.

Senate Republicans fired back immediately, with conservative Sen. Orrin Hatch of Utah saying the Democratic plan had no GOP input and no chance of passing.

"It's hard for the majority to call this a compromise when the other side hasn't been involved," Hatch said in a statement, adding: "With the long list of things Congress has to get done by the end of the year and the clock ticking, it's pretty mystifying that the majority is pursuing more political show votes that won't go anywhere."

The issue has become a showdown between Democrats led by Obama and Republicans in Congress over whether to increase taxes on the wealthy to give the rest of the country a tax break next year.

Last week, Senate Republicans blocked progress on a Democratic plan that would assess a surtax of 3.25% on income over $1 million.

The new proposal sponsored by Sen. Bob Casey, D-Pennsylvania, contains a reduced version of that tax provision, down to 1.9%, and calls for it to expire after 10 years, according to a statement by the senator.

"It will be fully paid for with a mixture of spending cuts Republicans have already agreed to and a tiny, tiny surtax on the top two-tenths of 1% of American taxpayers," said Senate Majority Leader Harry Reid, D-Nevada, adding that "in an effort to make our proposal more palatable to Republicans, we have conceded significantly to cut the tax on income above a million dollars and make it temporary."

In addition, the Democratic plan includes cutting the payroll tax paid by workers from the current rate of 4.2% to 3.1%.

That would mean a family making $50,000 a year would save about $1,500, according to Democrats. If the tax cut is not extended, the rate would go up to 6.2% and cost that same family an additional $1,000 next year, Democrats say.

However, the new Democratic proposal drops a provision in the measure defeated last week that would also expand the payroll tax cut to employers, Casey's statement said.

Cutting out that provision drops the total cost of the measure to $180 billion from the $265 billion of last week's proposal, it said.

In addition to revenue from the so-called "millionaire's surtax," the new proposal would be paid for by increasing fees that Fannie Mae and Freddie Mac charge mortgage lenders to guarantee repayment of new mortgage loans, Casey's statement said.

The provision was discussed during negotiations by the congressional "super committee" that failed to reach a deficit reduction deal last month, and would raise $38.1 billion, according to Casey's statement.

Democrats also included a provision from a Senate Republican measure that would prevent millionaires from receiving food stamps and unemployment assistance, a Senate Democratic aide said.

Putting a 10-year "sunset" on the surtax for millionaires was a response to Republican criticism that the original proposal amounted to a permanent tax increase for a temporary economic stimulus plan, the aide added.

Obama's statement noted that the American economy needs the continued benefits of the payroll tax cut, which puts more money into people's pockets.

"Although the unemployment rate went down last month, our recovery is still fragile, and the situation in Europe has added to that uncertainty," Obama said. "And that's why the majority of economists believe it's important to extend the payroll tax cut. And those same economists would lower their growth estimates for our economy if it doesn't happen."

At the same time, he said, the reduced tax burden helped families pay bills and increased spending and hiring.

Obama took aim at the Republican opposition to higher taxes on the wealthy, which undermined comprehensive deficit reduction negotiations this year. GOP negotiators have repeatedly rejected Obama's push to end Bush-era tax cuts on wealthy Americans.

"How can you fight tooth-and-nail to protect high-end tax breaks for the wealthiest Americans and yet barely lift a finger to prevent taxes going up for 160 million Americans who really need the help?" Obama asked.

A top Senate Republican aide, who had not yet seen the Democratic proposal, criticized the broad outline because it still includes a tax increase on wealthy "job creators."

Republicans oppose any kind of tax increase in their push to shrink the size of government, while the White House says raising the taxes of millionaires won't affect small business owners cited by Republicans as job creators who would be hurt by a larger tax burden.

On Sunday, conservative Republican Sen. Tom Coburn of Oklahoma said he believed the lower payroll tax rate set to expire at the end of the year would be extended, as sought by Obama.

However, Coburn told "Fox News Sunday" that paying for it should include immediate cuts in spending, rather than a drawn-out approach that ends up only reducing additional spending in future years.

"Where is the backbone in Washington to actually pay for these extensions in the year in which the money is spent?" asked Coburn, a prominent fiscal hawk.

Last week, Senate Republicans prevented Democrats from getting the 60 votes needed to proceed on their initial payroll tax cut extension measure, which was blocked on a 51-49 vote.

The Democratic plan would have assessed a 3.25% tax on income over $1 million to pay for the proposal's cost. Taxpayers with an income of $50,000 would have benefited by $1,500 a year.

A Republican alternative that would have frozen discretionary government spending and cut federal jobs, while also raising Medicare costs for Americans with incomes above $750,000 a year, also got blocked by opposition from both parties on a 20-78 vote.

Despite the outcome of the votes, a softening of Republican opposition to extending the lower payroll tax rate raised expectations for eventual congressional approval of a compromise plan.

House Speaker John Boehner, R-Ohio, last week agreed with Obama and Democrats that extending the payroll tax cut would help the economy by putting more money in the pockets of consumers.

Boehner's comment broke from conservative GOP orthodoxy that contends the payroll tax cut enacted last year had failed to benefit the sluggish economic recovery.

House Republican leaders have assembled their own proposal to extend the payroll tax cut in conjunction with other steps, but that plan faced opposition from conservative Republicans.

Boehner has insisted that any extensions of tax cuts or other programs be paid for, and he outlined a list of spending cuts over 10 years to offset the impact on the deficit, according to House Republican aides.

However, a group of fiscally conservative Republicans opposed the GOP leaders' plan because the offsetting spending cuts would take a decade to complete.

Some Republicans worried about the political fallout for their party if the public holds them responsible for holding up middle-class tax relief.

"If we don't extend the payroll tax (cut), we're giving the Democrats an issue," said Rep. Peter King, R-New York. "There is no need to give it to them. They're the ones who mismanaged the economy. They are the ones who put us in this situation. We shouldn't allow them to get out from under that."

In his statement Monday, Obama cited the shifting position of Republicans on the issue and called for Congress to also extend unemployment benefits set to expire at the end of the year.

"We cannot play games with unemployment insurance when we still have an unemployment rate that is way too high," Obama said, adding: "This isn't just something that I want.  This isn't just a political fight. Independent economists, some of whom have in the past worked for Republicans, agree that if we don't extend the payroll tax cut and we don't extend unemployment insurance, it will hurt our economy."

@highlight

The proposed tax on the wealthy would be 1.9% for income over $1 million

@highlight

President Obama urges Congress to extend the payroll tax cut

@highlight

Republican Sen. Hatch says the new Democratic proposal will not pass

@highlight

The payroll tax cut is set to expire at the end of the year