(CNN) -- What are you thankful for this year?

For many of you, that's probably a tough question to answer. This year hasn't been easy, between Ebola and ISIS and Ferguson and the economy and ... well, we could go on.

But here's the interesting thing about Thanksgiving: The idea to set aside a day for humble reflection and gratitude was itself inspired by troubling times. As the story goes, the first Thanksgiving was held in 1621 by the Pilgrims who'd managed to survive their arrival in the New World and who were eager to celebrate their first successful harvest after a hellish, deadly winter.

Almost 250 years later, in the midst of a war that threatened to tear the U.S. apart, President Abraham Lincoln declared that the entire nation would annually honor the last Thursday of November as a "day of Thanksgiving and Praise."

Even when President Franklin D. Roosevelt tried (unsuccessfully) to celebrate the holiday a week earlier in 1939, allowing a little extra time for Christmas shopping, he did so with a nation battered by the Great Depression on his mind.

If there's ever a time to pause and think about gratitude, it's in the hard moments.

Some people think that they need to share something profound when they practice giving thanks, but we don't believe that's true. Whatever inspires you, gives you hope or makes you smile is fair game.

For us, these five moments from 2014 bring about all of the above. What would you add to the list?

1. We saw that nothing is impossible.

In May, we got to meet Egyptian para-table tennis player Ibrahim Hamadto, a man who didn't let a life-altering accident stand in the way of his dreams.

Growing up in northeastern Egypt, Hamadto (also spelled Hamato) was a big fan of soccer and table tennis. But when he was 10, the future athlete lost both of his arms in a train accident. It took him three years to return to table tennis. When he did, it was an uphill climb.

"It was quite difficult," Hamadto said. "I had to practice hard for three consecutive years on a daily basis."

He tried different ways of holding the paddle and eventually settled on holding it in his mouth to play. Now a silver medalist in the African Para-Table Tennis Championships, Hamadto played against some of the sport's best at the ZEN-NOH World Team Table Tennis Championships in May.

"I want to tell everybody that nothing is impossible, and everybody should work hard for what you love and what you think is good for yourself," Hamadto told the International Table Tennis Federation. "The disability is not in arms or legs; the disability is to not persevere in whatever you would like to do."

2. Family that was lost can be found.

Imagine that you have a twin somewhere out there, one you never knew you had.

And then imagine that, through a crazy bit of luck and the gift of modern technology, you and your twin get to meet for the first time.

As it turns out, that story actually happened this year -- and more than once.

One set of twins, Ann Hunt and Elizabeth Hamel, lived apart for 78 years before a search into their family tree unearthed their connection.

And for 26-year-old identical twins Anais Bordier and Samantha Futerman, it was the magical way Facebook has made our world just that much smaller that brought them together after they were separated at birth.

Bordier and Futerman aren't the only ones who used Facebook to connect with those long-lost. In early March, a young woman named Katheryn Deprill posted a message on the social media platform asking for help in finding her birth mother, who left Deprill in the restroom of a Burger King more than 20 years ago.

The result of Deprill's shot in the dark was the opportunity to meet the woman who didn't want to leave behind her child but felt she had no other options.

When the two women came face to face, "they immediately hugged," said an attorney who set up Deprill's meeting with her birth mom. "It was exciting, emotional, dramatic."

For all the moments that social media can be an annoyance or a playground for bullies, there are stories like these that show how online connections can lead to great things.

3. People renewed our faith in humanity.

Read the paper or watch the news, and it won't take long before you're ready to be done with all people, everywhere.

But here's a reminder that things aren't all bad: When a bartender in New Jersey confided in a customer that her dog was having an expensive emergency surgery, that customer left her a $1,000 tip to help cover the cost.

And when a man in Pennsylvania named James Tully kept getting stopped by police because of his resemblance to cop killer suspect Eric Frein, his community pitched in to help.

Tully didn't own a vehicle, and those police stops would happen as he walked five miles to work and back every day. Knowing that Tully was not a suspect but just a guy trying to earn a living, a local woman started an online campaign and raised $22,000 -- more than enough to buy Tully that car.

4. We saw super-rare blood moons.

This year, those in North America got to see not one but two blood moons, an eclipse so rare that major figures like Mozart, George Washington, Abraham Lincoln, Queen Anne and Sir Isaac Newton never had the chance to see one.

And the fun isn't over yet. There are still two more to go in 2015.

5. It's never too late to try something new.

Just before Thanksgiving, a 100-year-old woman named Ruby Holt made the trip of a lifetime.

Since she was a child, Holt had longed to see the ocean, but she never had the money or the time for a trip to the beach.

So for her 101st birthday, the thing Holt most wanted was to finally make it to the shore.

With help from an organization called Wish of a Lifetime, which helps seniors achieve their life dreams, Holt was able to do just that. The organization provided her with an all-expenses-paid visit to the Gulf of Mexico, where she was able to feel the sand between her toes for the very first time.

"I've heard people talk about it and how wonderful it was and wanted to see it," Holt said, according to the BBC. "But I never had the opportunity to do so."

It may have taken some time, but Holt can now cross "beach" off her bucket list.

@highlight

The Thanksgiving holiday is a time to give thanks

@highlight

In that spirit, these are 5 moments from 2014 we're grateful for