(CNN) -- How many years would you like to live?

Seriously: If you had a choice, what would the number be?

By the side of an expressway the other afternoon, I saw a billboard paid for by Prudential, the big insurance and financial-services company. The message, in letters large enough that no motorist zipping by could miss them: "The First Person To Live To 150 Is Alive Today."

For centuries, scientists have been debating theories about just how long, with proper health care and judicious personal habits, the human lifespan can extend. In recent years, the 150 number has been up for discussion. Some have scoffed at that prospect, but insurance-company actuaries and retirement-planning accountants are not known for wacky practical jokes -- they are as somber-eyed as funeral directors as they calculate just how big a risk they run while writing policies for their customers of various ages -- so the sight of that Prudential billboard was a little jarring.

I contacted Prudential's corporate headquarters, and the company forwarded to me a table of federal statistics showing the lengthening average lifespans in the U.S. over the past 80 or so years. In 1930, the average life expectancy (measured at birth) of Americans was 59.7 years. By 1940, it had grown to 62.9. 1950: 68.2. 1960: 69.7. 1970: 70.8. 1980: 73.7 1990: 75.4. 2000: 77. 2010: 78.7.

Whether infants born today are entering a world in which 150th birthdays will eventually become if not common then at least possible, the thought raises separate issues for insurance and financial-planning firms than it does for the rest of us. For those companies, the prospect provides marketing opportunities. But for everyone else, it prompts the vexing question: Would you really want to live that long?

Medical advances and emphasis on nutrition and keeping fit notwithstanding, can you imagine what it would be like to reach the age of 75 and think that you might only be halfway home? To put it in perspective: A person who was 150 today would have been born while the Civil War was still being fought.

Longer is better; that's what we have always been taught to assume about a lifespan. And changes in the way we live have, in fact, transformed our expectations for what the metrics of a full life are. An emphasis on the benefits of healthy eating and regular exercise has altered the texture of American life. In the 1950s, had a man been seen sprinting down the street in a residential neighborhood in the middle of the day, some people's instinct would have been to immediately holler, "Stop, thief!" Today, the streets would seem barren without the sight of runners and joggers doing their daily best to keep in shape.

Smoking cigarettes has evolved from a national habit into something regarded as almost illicit. I thought of the late Ray Kroc, who built McDonald's into an international business behemoth by relentlessly marketing burgers and fries, the other morning when I walked by one of the company's restaurants and saw that the one and only item being promoted on its marquee was "Blueberry Pomegranate Smoothies." For the past 10 years, Dairy Queens have been aggressively pushing salads. And woe be to any restaurateur who is not fully cognizant of the importance of a pair of words that, just a decade or two ago, would have sounded vaguely alien: "gluten-free."

But as we head toward a time when 150-year-olds may be walking among us, it's not illogical to consider whether that would really be such a wonderful thing. To some people, the very thought of it is undoubtedly more than a little exhausting. If such a possibility does come to pass, what will happen to the retirement age? Will Americans be expected to work until they're 110?

(And if you think Social Security and the finances of long-term medical care are controversial subjects now ...)

Expectations about the passage of time are changing, and we take note of it as we observe the career trajectories of public figures. When Mick Jagger turned 30 in 1973, some people theorized that the Rolling Stones' days of touring might be numbered. Could a rock band, no matter how skilled, still find an audience when its members were in their 30s? But the Rolling Stones are on tour this summer, and next month Jagger will turn 70. The band's drummer, Charlie Watts, is 72, the same age as Dick Cheney. Yet it's unlikely that the world has seen the last Rolling Stones show.

But it's one thing for Jagger to be singing in packed stadiums at 70; it would be quite another if someone were to tap him on the shoulder and tell him that he still had more than half of his life ahead of him. When Frank Sinatra was in his 70s, I visited with him backstage before what would turn out to be his last Chicago concert performance. That night, he went out onto the stage, and at one point he lifted a glass and offered a toast to his audience: "I hope you live to be 675 years old, and the last voice you hear is mine."

No one is talking about being 675 yet, but Prudential is raising the possibility of 150, and it will be instructive to see whether people embrace the notion of being around that long or if the proposition of that protracted a slog gives them the chills.

This is the first weekend of calendar summer, a good time to reflect upon such matters. Summers are fleeting and precious; we have always known that. They're over almost before they have begun. You are only given so many.

But, even acknowledging that, it would seem supremely odd for some future 25-year-old to routinely think, on the first day of summer:

I'd better savor these warm days and nights. After this year, I may only have 125 summers left.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene saw a billboard saying "The First Person To Live To 150 Is Alive Today"

@highlight

Greene: We live longer than ever due to medical advances, good nutrition, keeping fit

@highlight

Greene: Still, a person who was 150 today would have been born during Civil War

@highlight

He asks: But who wants to be 75 and be aware that you've got another 75 years to go?