PRISTINA, Kosovo (CNN)   -- Fireworks lit the skies and crowds filled the streets of Kosovo's capital Sunday after the territory's parliament declared independence from Serbia, a move backed by many Western governments, but which Serbia and Russia bitterly oppose.

Fireworks light up the night sky in Pristina, Kosovo, as thousands celebrate independence.

"The day has come," Prime Minister Hashim Thaci, a former separatist guerrilla leader, told his parliament. "From this day onwards, Kosovo is proud, independent and free."

The province has been under U.N. administration and patrolled by NATO troops since a 1999 bombing campaign that halted a Serb-led campaign against Kosovo's ethnic Albanian majority.

Thousands of people swarmed Pristina's streets ahead of Sunday's parliamentary declaration, singing, dancing and holding signs in freezing wind after the vote was announced. But Serbs consider the territory the cradle of their civilization, and protesters clashed with police outside the U.S. Embassy in Belgrade as the declaration was issued.

Serbia said it will not oppose independence with violence, but Prime Minister Vojislav Kostunica said his country will never accept the establishment of a "false country" on its territory.

"Anything and everything that we couldn't achieve today will be obtained by new generations of Serbian people in the future," Kostunica said Sunday in a televised address. "Citizens of Serbia, we have to come together and show the whole world that we do not acknowledge the creation of a false state in our territory. The violence that has been perpetrated upon Serbia is very obvious."

About 100,000 Serbs still live in Kosovo, making up about 5 percent of the population, and Kostunica said Serbs have been killed or lost their land in the eight-plus years the country has been under international rule. But Fatmir Sejdiu, the nascent republic's president, pledged to create a nation "where all citizens of all ethnicities feel appreciated."

"Today is probably a day of trepidation for some of you, but your property and your rights will be respected in the future," he said.

Former U.S. Army Gen. Wesley Clark, who led the NATO alliance during the 1999 conflict, said "There was no way beyond moving to this step." But he urged the international community to work with Serbia to keep the country moving toward integration with Europe and "to help them understand their situation."

"I'm very sad that the Serbs are unable to understand what's happened," Clark told CNN. "But the magnitude of Serb repression of the Albanian majority there and the violence that accompanied the ethnic cleansing in 1998 and 1999 was just so overwhelming that I think the Serb people have to understand that the Albanians themselves have to have this separation."

Thaci said Kosovo's declaration of independence "marks the end of the breakup of the former Yugoslavia," which triggered years of bloodshed across the Balkans.

Former Yugoslav President Slobodan Milosevic launched a crackdown against ethnic Albanian insurgents led by Thaci in 1998 and refused to yield to Western pressure to halt the campaign. When NATO responded by launching airstrikes against Serbia and Montenegro, the last remaining Yugoslav republics, Yugoslav troops drove hundreds of thousands of Kosovars out of the region and killed thousands more.

Milosevic died in 2005 while awaiting trial for war crimes before a U.N. tribunal in The Hague.

The United States and leading European nations, including France, Britain and Germany, have supported Kosovo's move toward independence. But Russia, the Serbs' historical ally, has opposed independence, fearing it would incite other separatist movements in its backyard.

The U.N. Security Council held emergency talks on the issue Sunday afternoon at Russia's request. Moscow's U.N. ambassador, Vitaly Churkin, told reporters that the declaration violates the U.N. resolution that placed Kosovo under international administration at the end of the conflict.

"Our position is that this declaration should be disregarded by the international community," as well as by the head of the U.N. mission in Kosovo, Churkin said. He said the council would meet again Monday, with Serbian President Boris Tadic expected to address the session.

But no country supported the Russian call for the U.N. to declare Sunday's declaration "null and void," said Sir John Sawers, the British ambassador to the world body.

Secretary-General Ban Ki-moon urged all parties "to refrain from any actions or statements that could endanger peace, incite violence or jeopardize security in Kosovo and the region."

The European Union decided Saturday to launch a mission of about 2,000 police and judicial officers to replace the U.N. mission that has controlled the province since 1999. And U.S. State Department Spokesman Sean McCormack said the United States had "noted" that Kosovo had declared its independence and was reviewing the issue.

Earlier Sunday, President Bush said Kosovo's status must be resolved before the Balkans can become stable.

"We are heartened by the fact that the Kosovo government has clearly proclaimed its willingness and its desire to support Serbian rights in Kosovo," Bush told reporters in Dar-es-Salaam, Tanzania.

The United States and many of its European allies support a plan negotiated by former Finnish President Maarti Ahtisaari that would give Kosovo limited statehood under international supervision.

But Russia, which has fought two wars against separatist rebels in its southwestern republic of Chechnya, said U.S. and European support for Kosovo's independence could lead to an "uncontrollable crisis" in the Balkans.

In a statement, European Union foreign policy chief Javier Solana urged "everybody to act calmly and in a responsible way. I am convinced that the Kosovar leaders will be up to their responsibilities in this crucial moment." Solana said EU foreign ministers would meet Monday to consider the issue. E-mail to a friend

@highlight

Kosovo celebrates independence, but riots break out in Belgrade

@highlight

PM Thaci: "From this day onwards, Kosovo is proud, independent and free"

@highlight

Thousands of people on streets of capital Pristina, waving flags and cheering

@highlight

U.S., EU expected to recognize new state, but Serbia and ally Russia will not