(CNN) -- Last week our nation turned with grief to Prescott, Arizona, where 19 members of an elite firefighting squad perished in a raging wildfire. The media coverage of the tragedy has highlighted the dedication the men had to their work, to each other and to the families they left behind.

What makes all of this coverage especially poignant is that, as early as this week, the names and heroic stories of these men might disappear from the headlines and fade from the public's memory.

For one thing, there are new tragedies: The plane crash in San Francisco that killed two people and injured countless others, the air taxi crash in Alaska that killed 10 passengers and the horrific train derailment and explosion in Canada.

'I miss my brothers': Survivor pays tribute at Arizona firefighters

While these new accidents joust for our attention, how can we ensure that the memories of the firefighters, or the victims of the crashes, remain salient in our minds?

It's a question with important real-world implications. After all, it is the lasting psychological impact of a tragedy that often determines whether the public will take positive, constructive steps in its wake, like donating money to support the victims' families or pressuring officials to determine what went wrong, in order to prevent another tragedy like it.

While we don't have all the answers, psychological research has started to identify how stories like those of Prescott's Granite Mountain Hotshots can inspire appropriate action and not just become forgotten.

Feeling an emotional connection to a victim matters -- a lot. Studies suggest that feeling an emotional connection to one person does far more to stoke compassion than the cool rationality of numbers and statistics.

In one eye-opening experiment, for instance, researchers Deborah A. Small, George Loewenstein and Paul Slovic found that people who read the story of a single, starving African girl donated more to an anti-hunger charity than did people who read an appeal featuring statistics on starvation in Africa.

What's even more astounding: The people who read the story didn't only donate more than the people who read the statistics; they also donated more than the people confronted with the statistics combined with the girl's story.

This suggests not only that an individual's story matters more than impressive statistics but that numbers actually stunt our compassionate instincts, perhaps because they make us feel overwhelmed and hinder our ability to identify with another human being.

Moreover, it's easier to foster an emotional connection to a single person in need than to a group, even a small group. A study by Israeli researchers found that people donated more money to help a single sick child than to a group of eight sick kids, even though the single kid and the eight kids were all identified in the same way, with their name, age and photo.

Opinion: When heroes face down fire -- and fate

News reports emphasizing the high number of casualties among the Granite Mountain Hotshots, such as by pointing out that these 19 lives are the most any fire department in the United States has lost on a single day since September 11, might actually be making their story stick less in the public's consciousness. Instead of trying to weave personal details about several of the fallen firefighters into a single story, news reports might be more effective if they focus on just one of the men at a time, including his photo and meaningful personal details.

We're also more likely to care about a victim when we recognize something specific that we have in common with that person. Studies have found that people are more likely to demonstrate kindness and generosity toward others of the same race or ethnicity, as well as toward people who share their taste in art, root for their favorite sports team or have the same birthday.

This hit close to home when I first read about the Granite Mountain Hotshots. When I saw the name of the team's supervisor, Eric Marsh, who died in the fire, I could feel my interest in the story perk up, and I'll admit that I found myself scanning the rest of the article for a photo or more details about Marsh, solely because we shared the same last name. I knew we weren't related, but that simple connection deepened my personal investment in the tragedy.

The lesson here seems clear: The more that stories reveal specific details about a victim, the greater the chance that they'll help us see ourselves in that person and elicit our compassion.

Supporting the families of the fallen

Finally, images also seem to be critical. In that Israeli study, when people were given the chance to help either an anonymous sick child or a sick child identified by her name and age, the donation amounts hardly differed. But when a photo was added to the sick child's profile, donations for her medical care shot up dramatically.

In this light, releasing photos of the Granite Mountain Hotshots might help their story resonate with the public. But as we've seen many times in the past, particularly with September 11 and Hurricane Katrina, stories often strike the deepest chord when they feature both photos of the victims and images of the tragedy that overtook them.

None of this is exact science. The place of the Granite Mountain Hotshots, and others like the plane crash victims, in our hearts and minds will depend on a host of factors, including whether they're overshadowed by subsequent domestic and international events.

While these tragedies are still in our thoughts, perhaps the lessons from science can help us honor the victims with compassion and respect, and, in the process, prevent similar tragedies in the future.

The opinions expressed in this commentary are solely those of Jason Marsh.

@highlight

The 19 brave firefighters who died in an Arizona blaze may fade soon from memory

@highlight

Marsh: How can we ensure that we don't quickly forget them or victims of plane crash

@highlight

He says the lasting impact of a tragedy affects constructive steps in its wake

@highlight

Marsh: Social science suggests that an emotional connection to victim matters a lot