Raleigh, North Carolina (CNN) -- The state Democratic Party here is consumed with an ongoing sexual harassment scandal. The embattled governor is so unpopular she decided not to run for a second term. And supporters of same-sex marriage were dealt a crushing defeat at the ballot box last week.

But the biggest challenge in North Carolina this year for President Barack Obama and his fellow Democrats can be boiled down to something simpler: math.

Everything that could have gone right for Obama in 2008 did go right, and yet he still only won North Carolina by just 14,177 votes -- a tiny sliver of the 4.2 million cast statewide.

Thanks to his campaign's striking ability to expand the Democratic electorate, Obama even managed to win the state while losing independents to John McCain.

Volunteers blitzed college campuses and dominated the early voting game. New African-American voters were registered in huge numbers. Obama also performed better among white voters than both John Kerry and Al Gore. Crucially, Republican turnout fell off dramatically from 2004.

Obama world read the victory as a promising sign of Democratic realignment in the South and rewarded the Tar Heel State with the Democratic National Convention, which will take place in Charlotte in September.

Today, though, it's hard to find a Democrat in the capital of Raleigh who believes the president, saddled with the burdens of governing and a sputtering economy, can stir the enthusiasm of 2008 and repeat his near-flawless North Carolina performance.

"My heart says he will win here, but my head says it's going to be awfully tough for him," said Gary Pearce, a longtime Democratic consultant and adviser to former Gov. Jim Hunt. "This is a tight state for him. Race is part of it. The economy is a big problem. Four years ago he was new, he was exciting. He was hope and change. That has worn off now. The glow is gone. It's going to be tough for him to catch magic in the bottle again."

Obama's fading luster has put enormous pressure on his team not only to mobilize the existing Democratic base but also to find new voters.

The president's path to victory becomes even narrower if Republican turnout grows from the dismal 31% showing of 2008 -- a certainty according to political operatives in Raleigh who watched in 2010 as a fired-up GOP captured both houses of the state Legislature for the first time since Reconstruction.

North Carolina is fast becoming a proving ground for advisers to Obama and Mitt Romney, who stress that the presidential race will be decided by the slimmest of margins in a handful of states.

Turning out voters is key

"The election is going to be won by the candidate who gets their voters to the polls," said state Rep. Alma Adams, a Democrat from Greensboro and the chairwoman of the Legislative Black Caucus. "That's where the election is going to be determined. We need to focus on the people who are registered to vote and get them active and participating in the process."

A popular talking point among Republicans here involves the celebrated "youth vote" of 2008, a key part of the Obama coalition.

The share of voters under 30 was the same in North Carolina as it was nationally.

But thanks in large part to the stout organizational efforts of the Obama campaign on more than 100 college campuses across the state, voters between 18 and 29 chose Obama over McCain by a stunning 74%-26% margin.

If that split more closely resembled the youth vote nationwide -- 66% for Obama and 32% for McCain -- roughly 60,000 North Carolina votes would have swung to McCain, handing him the state and its 15 electoral votes.

Even the slightest shifts in turnout can determine the race, a prospect relished by Republicans, who were hamstrung in the last election by dampened conservative enthusiasm and a superior Democratic ground game.

"McCain did very little in North Carolina, and Obama did everything," said Dee Stewart, a Republican strategist in Raleigh. "The McCain campaign's presence was minimal at best. While that was happening, the Obama campaign was knocking on the doors, not only of swing voters but of solid Republican voters."

The Romney campaign recently moved a state director to Raleigh and is piggybacking off the early joint efforts of the North Carolina GOP and the Republican National Committee, which have opened four field offices so far.

Outsourcing of jobs could be problem for Romney

Romney, though, has his own challenges to overcome.

The Obama campaign has painted the former Bain Capital executive as a corporate raider who shut down factories for the sake of a profit, a message they are pushing aggressively in a state racked by the outsourcing of textile and furniture manufacturing jobs.

To win statewide in North Carolina, Republicans must sway evangelicals and "Jessecrats" -- those white cultural conservatives loyal to the late Sen. Jesse Helms -- in the eastern part of the state.

But the former Massachusetts governor struggled to rally conservatives throughout the Republican primaries, particularly in the South.

Adams, the Legislative Black Caucus leader, said Romney's Mormon faith might be a drag among among the social conservatives who showed up in large numbers last week to vote for a constitutional amendment defining marriage solely as between a man and a woman.

Opinion: N.C. gay marriage vote spells the end of Obama

"If they look at that awful ballot amendment, and they compare that with his faith, I don't think people will be OK with it," Adams said. "From what I understand about the Mormon faith you can have multiple wives. That's sort of a contradiction. There are questions about who Romney is and what he believes in terms of that particular issue."

Still, Republicans in the state said that antipathy toward Obama will be enough to galvanize the conservative base.

Stewart, the GOP strategist, calmly predicted that if Romney runs the aggressive campaign in North Carolina that McCain did not -- and focuses on the economy and suburban voters -- "he should win by a substantial margin."

Romney looks for advantage in North Carolina

That forecast is not limited to Republicans.

One senior North Carolina Democrat, who insisted on anonymity because of involvement in multiple statewide and legislative campaigns, said private polling in a variety of state races shows that white voters and independents are trending toward Republicans in an alarming way.

"The biggest thing Obama has got to overcome here is his problems with white independent voters, those middle-of-the-road voters," the Democrat said. "If he doesn't, we are going to get our asses whipped like I have never seen in my 20 years of doing politics."

The Democrat predicted a "bloodbath" for the party in November if those numbers fail to tighten.

Holding the convention in Charlotte, this person said, might make for an exciting week but will do little to push the state in Obama's direction: "I'm glad that it's here for sheer state pride, but is it going to make much difference at Wilber's Barbecue in Goldsboro?"

Finding new voters critical for Obama's chances

Obama won 35% of North Carolina whites in 2008, a number most Democrats say he needs to come close to matching again if he hopes to win the state, even with the help of a growing minority population that could give him some numerical breathing room.

And yet Republicans and Democrats agree that if any campaign can overcome the daunting arithmetic, it's Obama's.

His campaign excelled here in 2008 as it worked college campuses and African-American communities hard, capitalizing on early voting and same-day registration to bank a significant number of votes before Election Day.

Obama for America has 15 field offices around the state. More are slated to open in the coming months. Some organizers never left the state after 2008, and the campaign hired 22 new staffers last month.

Campaign volunteers also went to work under the radar in several local campaigns last year -- including the Charlotte mayor's race and school board races in populous Wake County -- to elect friendly Democrats and identify new voters.

Finding those new voters will be critical for the Obama team as they try to grow the electorate from 2008, and the steady North Carolina population boom offers a fertile hunting ground.

In April alone, the campaign registered 15,000 new voters.

"Kids who were freshmen and sophomores in college in 2008 are gone, they are not on campus anymore," said Scott Falmlen, a Democratic consultant advising gubernatorial candidate Walter Dalton. "But the upside is that you also have a whole new crop of students to register and organize and motivate. And if the campaign can do that, and they certainly have the infrastructure in place to do it, they will reap a lot of votes."

How Obama is using student loan issue to recapture the youth vote

Out-of-staters continue to flock to the financial hub of Charlotte, home to Bank of America, and to the Raleigh-Durham area for jobs in the high-tech and pharmaceutical sectors.

More than half the North Carolina vote is concentrated in 13 counties along the Interstate 85 corridor, and those areas have grown dramatically since Obama won in 2008.

Nearly 1 million people will reside in Charlotte's Mecklenburg County -- the state's largest -- by the end of this year, according to estimates from the Office of State Budget and Management. That's up from a population of 888,730 in 2008.

In Wake County, the heart of the Research Triangle, the population has jumped by nearly 100,000 over the same four-year span.

Though the rural-to-urban trend has defined the state's politics over the last decade, some Democrats said that Obama's organization can only take him so far in a state with decidedly moderate tendencies and a 9.7% unemployment rate -- the fourth highest in the nation.

"I don't think mechanics alone do it," said Pearce, the former Hunt adviser. "An essential part of Obama winning here is to reignite the spark. Idealism, hope, whatever it is. He had an ability to inspire last time. Without that, he can't win."

@highlight

President Barack Obama won North Carolina in 2008 election by less than 15,000 votes

@highlight

GOP strategists predict an aggressive Mitt Romney can win state by "substantial margin"

@highlight

Finding new voters will be critical for the Obama team if it hopes to repeat 2008 success

@highlight

Democratic consultant: "An essential part of Obama winning here is to reignite the spark"