(CNN) -- Reports of a lone child having survived Tuesday's crash of a Yemenia Airways flight in the Indian Ocean have people wondering: How does anyone survive a plane crash?

Part of a United Airlines DC-10 lies next to the runway in Sioux City, Iowa, after the plane crashed in July 1989.

"I just don't think there's any pattern to survivability. It's just luck of the draw and depends on how the plane goes in," said aviation expert John Eakin, head of Air Data Research in Helotes, Texas.

Not counting Tuesday's disaster, there have been 12 airliner crashes since 1970 that yielded a sole survivor, according to data compiled by Dr. Todd Curtis, director of the Airsafe.com Foundation. Five of those survivors were minors and four were crew members, accounting for 75 percent of the total.

"I can't figure out for the life of me why crew members and children tend to be disproportionate in these sole-survivor events," Curtis said.  Watch what happened to the Yemenia flight »

One factor favoring flight crew members is their location in the sturdy cockpit and proximity to windows, he said. Flight attendants often use shoulder harnesses when they are seated, aviation writer David Noland added.

Where one is seated is a factor only in that it helps to be far from the point of impact, Eakin said.

"I don't think there's any particular type of aircraft or position in an aircraft which is more survivable, because it pretty much depends on what type of accident -- it depends on how the aircraft impacts," Eakin said. "Sometimes, the survivors are all located in the tail, sometimes in the forward fuselage. I don't think there's any rhyme or reason to it."

A 2007 Popular Mechanics magazine article, researched and written by Noland, presented a different view.

Noland analyzed 20 U.S. airline crashes in which at least one person lived and one person died. The statistics indicate that seats farther back in a plane are safer in crashes, the article said.

"Passengers near the tail of a plane are about 40 percent more likely to survive a crash than those in the first few rows up front," Noland wrote.

Passengers in seats behind the wings had a 69 percent survival rate in crashes that included at least one fatality, Noland wrote. Those with seats in coach areas over and forward of the wings survived 56 percent of the time, and passengers in first class and business class had a 49 percent survival rate, he found.

"To me, it's fairly obvious: You hit something going fast and obviously, the front is going to get crunched more than the back," Noland told CNN. "To quote one [National Transportation Safety Board] guy, 'Planes don't back into mountains.'"

Even in other types of crashes -- runway overruns, forced landings, etc. -- the plane is always going forward, so the front takes the impact, Noland said.

"That's why they put the crash recorders in the tail," he said.

Wide-bodied aircraft -- such as the Boeing 747 and 777 and the Airbus A310 and A330 -- tend to yield more survivors than smaller ones, Curtis said. He chalked up that trend to what he called the SUV theory: Larger crush zones provide more and larger areas of survivability.

Both Curtis and Eakin pointed to the July 1989 crash of United Airlines Flight 232 in Sioux City, Iowa. Spectacular video footage showed the McDonnell-Douglas DC-10 cartwheeling down an airport runway as pilot Al Haynes and first officer William Records tried to land the airliner without hydraulic controls. Of the 296 people aboard the plane, 111 were killed but 185 survived.

"Anyone looking at that crash at first, the video, would say, 'Well gee, how could anybody survive this?'" Curtis said.

"That was kind of a classic. A bunch of people survived that," Eakin said. "It looked terrible, and still so many people walked away from that. And there was no real pattern to where the survivors were located."

Availability of an escape route may be the biggest determining factor, Eakin said.

"If the impact is survivable, that's the next challenge: getting the heck out of the thing," he said. "I think in Sioux City, a lot of the survivors exited through cracks in the fuselage. That's kind of the ultimate escape route, but you gotta do whatever you gotta do to get out."

He noted the January 15 ditching of a US Airways Airbus A320 in New York's Hudson River, in which no one was killed and injuries were minimal, although the craft quickly filled with cold water.

"That really demonstrated how important it is to get out quickly," Eakin said.

Proximity of rescue equipment and personnel is key to survival too, Curtis said. If fires can be extinguished and survivors taken to hospitals quickly, victims have a better chance of surviving, he said.

Despite his statistical evidence that the rear of the plane is safer, writer Noland doesn't seek out a back seat when he flies.

"I try to get a window seat," he said. "Planes are so safe, it's unbelievable how safe they are. The odds of a crash are so minuscule that I don't even worry about it."

@highlight

Child reportedly survives crash of airliner in Indian Ocean

@highlight

Aviation experts say survival depends on type of impact, "luck of the draw"

@highlight

Statistical analysis shows rear of the plane is safer, writer says