(CNN) -- There's no question that losing your job can be a jolting experience, as anyone who has had the misfortune of being laid off in recent years can attest. But what if that jolt could be a positive experience?

That's the suggestion to come out of recent research which looked into the experiences of laid-off mid-to senior-level managers in the United States and Australia.

The participants' overwhelming response was that the experience of losing their jobs in the previous 12 months had given them a renewed interest in living according to their values. The "crisis" of redundancy was in fact an opportunity to get to better know themselves, and reassess their priorities to lead more fulfilled, happier lives.

"All of the respondents, which surprised us, talked about the positives associated with this jolt of job loss," said study co-author Amy Kenworthy, a professor of management at Australia's Bond University.

"These people took that jolt and focused on the positives of it to recalibrate themselves in terms of 'Who am I and what do I want from life?' It was counter-intuitive with what we thought was going to take place."

Read more: Want to be a leader? Act like one

Kenworthy said as their research was exploratory, and focused specifically on the experiences of those in middle-to upper-management, it did not necessarily represent everybody's experiences. She said it reflected the way people could lose themselves and gradually become divorced from their personal values as they climbed the corporate ladder.

Only a quarter of the responses from participants -- who ranged in age from their early 30s to late 50s, and nearly half of whom held doctorates -- related to feelings of self-doubt and cynicism, which the researchers had assumed would be the predominant response.

"It's normal to be angry and upset and scared and frustrated, and to experience not only self-doubt, but cynicism about the process and the organization," said Kenworthy.

Instead, the respondents expressed a desire to lead their lives with more "authenticity" and integrity, even if it meant forgoing corporate benefits or a high salary -- perhaps a luxury that former mid-to senior-level managers can afford.

Their new priorities fit into three clear categories: the desire for a more balanced quality of life, with more time for family and friends; more meaningful work which they felt contributed to society; and job security and happiness.

"People said things like: 'I didn't realize how toxic work my environment was, and how important a criterion that should be'," said co-author Suzanne de Janasz, professor of leadership and organization development at Swiss business school IMD.

Said Kenworthy: "All of them expressed a genuine desire to be true to oneself as they moved forward to the next chapter of their careers. It was everything from 'I want to spend more time with my kids' to 'I know I have much more creative talent than I was able to demonstrate in my last job.'"

Read more: Why we pick bad leaders

Two respondents had opted to write books following their redundancy.

"For many of us, at some level inertia takes over. It's the comfort of the routine, the comfort of the expected. It's hard to break out of that," said Kenworthy. "The jolt of job loss may in fact be something that is very useful to people and there may be some very clear benefits to come from it."

The authors said there were lessons for organizations from their research: that cutting back hours and salaries might be a mutually satisfactory way of getting through lean times, as it would allow employees to address their work-life balance.

Where layoffs were unavoidable, organizations could offer affected employees workshops to help them to assess and prioritize their values, rather than simply update their resumes.

More broadly, the findings were a useful reminder, as the times of economic uncertainty continued, that there was always a potential upside to a downturn.

"There is something we can take from the Chinese written language that they have understood for a very long time -- that crisis can mean opportunity," said Kenworthy. "We don't frame things that way, but maybe we should."

@highlight

New research suggests that redundancy can "jolt" people into happier, more fulfilled lives

@highlight

Being laid off can shock people out of their corporate "inertia" to reassess their priorities

@highlight

Participants in the research sought more meaningful new jobs in line with their values

@highlight

Study looked at laid-off mid- to senior-level managers in the United States and Australia