(CNN)A river of blood runs through Gaza, as homes are smashed to rubble and hospital emergency rooms overflow. The volley of Hamas rockets into Israel continues, even when met with the preeminent firepower of the Israeli military's  bombs, missiles and shells.

The legions of dead are swelling by the hundreds. It's horrifying. But the world has seen it all before -- twice. Operation Protective Edge looks much like its forerunners in 2008 and 2012.

Hamas won't back down. And Israel refuses to stop until it feels the job is done.

Millions around the world watch and ask: What could Israel hope to achieve?

CNN put that question and others to two seasoned Israeli columnists: one a former military correspondent, the other a human rights journalist focusing on Palestinians.

Though they disagreed on many points, they surprisingly concurred on some others. This is how they answered:

1. What is Israel's endgame in this operation?

There is none. Both experts agree on that.

But though Israel may not be working toward one dramatic outcome, there are concrete objectives, says military writer Ron Ben-Yishai.

There are short-term and long-term goals that are worth it for Israel, he argues.

Many of them will work, concedes critical columnist Gideon Levy. But he disagrees about their wisdom.

They won't cure the disease but instead feed it, he argues. It will turn the violence into a recurring nightmare.

2. What is the immediate military objective?

The conservative government led by Prime Minister Benjamin Netanyahu wants to stop the Hamas rocket fire. The mission will also weaken Hamas, Ben-Yishai says.

"Erode the political clout and the ability of Hamas to act both as a political and military-terrorist movement," those are the objectives, he says.

In the meantime that mission has expanded to destroying underground tunnels, which Hamas militants use to get into Israel and attack.

Ben-Yishai is confident the goals can be achieved.

"For the short-run, no doubt," Levy concurs. But he thinks Hamas will come back stronger after Protective Edge, both militarily and politically.

He cites Operation Pillar of Defense in 2012 and Operation Cast Lead in 2008. In Cast Lead, 1,300 Palestinians and more than a dozen Israelis died. Afterward, Hamas made a full recovery, he said.

3. What sparked this round of conflict?

Levy sees the rocket fire from Gaza as the boiling over of cumulative tensions.

He points to the peace process initiated by U.S. Secretary of State John Kerry between Israel and Palestinians. The one that broke down weeks ago.

The whole time, someone was missing from the negotiating table, he said. "Gaza was ignored totally."

Youth killings, of three Israeli teens and then one Palestinian teen, ignited passions on both sides.

Add to that the desperation in Gaza. The narrow strip of land is locked in on all sides, and people there live in dire poverty and deprivation. "Gaza is today the biggest cage in the world," Levy says.

The rocket fire is just a part of it all, he says. It's a way of Hamas pounding the table.

Ben-Yishai sees it the other way around. Israel has tried peace and calm with the troublesome Hamas militants, and it hasn't worked out.

"This formula is out of the game. It's not in the cards now," he says. The military option has become inevitable.

4. What makes Protective Edge different?

Ben-Yishai agrees with Levy's assessment that Hamas militants have come back stronger since the last military operation -- in at least one sense.

They have more long-range rockets. Previously, militants had to import them all from the outside. Now they can also construct them themselves, he says.

They've also buried a network of launch sites below the ground's surface. Hitting them "is quite a job," Ben-Yishai says.

The Israeli military will have to strike deep into those systems.

Levy says the  improvement in weaponry is part of the vicious cycle he's seen before. The Israeli military destroys the militants' capabilities; they come back stronger.

"By the next operation, they will be even better equipped," he says. So will the Israelis.

Hamas has also inflicted more casualties on Israel this time around -- 29 soldiers have died in the Gaza ground incursion, whereas just over a dozen died in Cast Lead.

If too many Israelis die, it could have an effect on Israeli public opinion and perhaps turn things around, Levy says. But so far, the public is showing much support for the operation in Gaza.

5. What will be the lasting effects of the operation?

The government hopes that Protective Edge will give Israel a few years of relative peace and restore normalcy for a time, Ben-Yishai says.

"After every round of hostility ... there is a sort of lull that Israel enjoys very much," he says. People can think about other things and tackle other issues, like the economy.

But it's not nearly worth the cost, Levy says. Droves of Palestinians will be killed, others' lives ruined. Even from a purely selfish standpoint, it's at best an empty victory.

"We will see horrible scenes," he says. "The world will condemn Israel. And what comes out of it? One year of peace."

Ben-Yishai believes there is a permanent gain to be made, that repeated operations in Gaza will wear the enemy down until they stop firing rockets altogether.

The result will be the opposite, Levy says.

He predicts that this military intervention will set the stage for the next bloodcurdling intervention -- and then the next.

What is Hamas' endgame in Gaza?

New wave of Israeli airstrikes hammers Gaza

Flare-up in Israeli-Palestinian violence: Why now?

Has the Middle East crisis reached a tipping point?

@highlight

Military operations in Gaza make sense for Israel, an analyst says

@highlight

They will only make the violence fester and come back strong, says another

@highlight

Both agree: For Israel there is no dramatic endgame in this operation