Ten months ago, Vanessa Thiemann lay in bed unable to sleep.

The 42-year-old single mother of two had a sinus infection, and the pain was making her restless. She tried getting comfortable on her left side, then her right, but she ended up staring at the ceiling in complete darkness, her left hand coming to rest on her chest.

It was at that moment her fingers brushed a tiny knob under her skin.

"I felt a rock-hard lump next to my nipple," Thiemann recalls.  "I just knew at that moment I had cancer."

Thiemann did have cancer.  And while her breast surgeon assured her the tumor was isolated to her right breast, and she knew she had no family history of the disease, Thiemann opted for a double mastectomy.

"It was important to me to remove both breasts," she says.  "I knew that if I kept my other breast, I would obsess over it, and I'd always worry that cancer would develop there, too."

Researchers are paying close attention to the increasing rate of double mastectomies in the United States.

The number of women with early stage breast cancer who went on to remove both breasts (even though only one breast had cancer) increased by more than 150% between 1998 and 2003, according to a study presented by Dr. Kelly Hunt at the annual conference for the American Society of Clinical Oncology.

Since that meeting, Hunt has continued crunching the numbers. In unpublished reports released to CNN, 8% of patients sought prophylactic removal of their unaffected breast at MD Anderson Cancer Center in Houston in 2010.  The percentage increased to 12.6% in 2011, and rose again to 14.1% in 2012, according to Hunt, who is chief of breast surgery at MD Anderson.

Data from New York's Memorial Sloan-Kettering Cancer Center echo these numbers. The rate for women choosing to remove both breasts when only one has cancer jumped from 6.7% in 1997 to 24% in 2005, according to a 2011 study in the Journal of Clinical Oncology. And from 2005 to 2009, the latest year data is available, the proportion of women undergoing mastectomies overall also rose, according to Kathy Cronin, a statistician with the National Cancer Institute.

Experts say several intersecting factors could be fueling this trend.

Actress Kathy Bates recovering from double mastectomy

Access to genetic screening

Since testing became available in 1996, nearly 1 million people have been screened for BRCA1 and BRCA2, the genetic mutations associated with increasing a woman's lifetime risk of developing breast cancer as much as 87%, according to Myriad Genetics, the diagnostic company that helped isolate the two genes and later developed a test to detect them.

For women who test positive, removing both breasts is seen as a viable, cancer-preventing option -- especially in the United States.

In a global study conducted by Dr. Steven Narod, senior scientist at Women's College Research Institute in Toronto, the United States had the highest rate of prophylactic mastectomy in BRCA1 and BRCA2 mutation carriers. The U.S. rate was 36.3%, far outpacing the number of preventive surgeries performed by the majority of other countries Narod studied, including France and Canada.

One reason for the spike may be that American women fear cancer more than women in other regions. About 70% of women in the United States who have both breasts removed after a cancer diagnosis don't have a proven medical reason for undergoing the procedure, according to a 2012 study conducted by the University of Michigan Comprehensive Cancer Center.

"The dilemma we're facing is more and more women are choosing to remove both breasts," said Dr. Michael Sabel, associate professor of surgery at the University of Michigan Medical School, in a statement announcing the findings. "We're greatly overestimating the risk of women with breast cancer developing another breast cancer."

However, authors of the study indicate that a double mastectomy may make sense for women with a strong family history of breast or ovarian cancer, or for women who've tested positive for genetic mutations in the BRCA genes.

Dr. Susan Domchek, executive director of the Basser Research Center for BRCA at the University of Pennsylvania, said the escalating rate is linked to easy access of information.

"The data we've been collecting is evolving quickly, and these women are living with this information in real time," she said in an e-mail.  "Since 1994 enormous progress had occurred: (T)he genes have been cloned, clinically available tests for gene mutations have been developed, and the implications of having BRCA1/2 mutations are better understood. Women as young as 25 are using this data to make informed choices."

Sharon Osbourne opens up on double mastectomy

Advances in plastic surgery

Women today have access to breast reconstruction options that were unavailable to their mothers and grandmothers.

Doctors are increasingly avoiding the use of implants by taking fat from a patient's stomach, upper back, buttock or thigh to construct and shape new breasts. If a woman decides to go with implants, they've been made safer and more comfortable, and surgeons increasingly offer immediate implant reconstruction instead of the traditional multistep process that took months of additional doctor visits.

Cosmetic outcomes have never been better, said Dr. Malcolm Roth, chief of plastic surgery at Albany Medical Center in New York and past president of the American Society of Plastic Surgeons.

"It's hard to believe that implants have only been widely available since the 1970s. Before then, and it's really not that long ago, women were subjected to wearing falsies. The options available today have dramatically improved the way a woman looks after surgery. And with even better microsurgery options on the way, I imagine we'll see even higher numbers of women choosing mastectomy."

One such technique, if put into commercial practice, may raise ethical red flags. According to Roth, doctors are working on a new procedure that would one day make it possible for individuals to donate their excess fat -- similar to the way blood is donated today -- so women seeking a more natural breast reconstruction could take advantage of somebody else's flesh.

"The possibility is being explored with our regenerative medicine task force, and it's very exciting," he said.  "If we can figure out how a patient's body won't reject the tissue, I think we'll see even more women choosing preventative mastectomy down the line."

Why a cancer-free beauty queen wants mastectomy

'Pink ribbon' culture

A growing awareness of breast cancer survivorship makes undergoing mastectomy not as foreign or frightening as perhaps it once was.  An online search shows a seemingly limitless number of breast cancer support groups, with a growing collection dedicated to women considering preventive surgery.

Dr. Mark Sultan, chief of the division of plastic and reconstructive surgery at St. Luke's/Roosevelt and Beth Israel Medical Centers in New York, said he's seen a 20% increase in five years of high-risk, yet cancer-free women coming to his office seeking mastectomies.

These patients often arrive telling him what kind of surgery they want because they've read about certain procedures online, and in many cases, they've viewed hundreds of before-and-after photos as well.

In addition, surgeons are marketing themselves directly to information-hungry patients online. Doctors are holding Twitter chats and creating websites to promote their services. At the Stanford University School of Medicine, a breast surgeon has even launched an online guide to help women decide if preventive surgery is right for them.

Dr. Deanna Attai, a board member at the American Society of Breast Surgeons and Thiemann's breast surgeon in Los Angeles, was heading into two back-to-back surgeries last month when she spoke.

One of her patients, just like Thiemann, had cancer in one breast and not the other.

"This is the American culture," she said. "We want quick solutions, and we expect there's an answer to every problem. In many cases these women don't need double mastectomies, but my job is to listen, make sure they have all the information and give them what makes sense and puts them most at ease."

Which is certainly the case for Thiemann.

"I chose to remove both breasts, even though I'm sure some would say it was a hysterical choice," she said. "I don't have BRCA1 or BRCA2, but I do have two daughters. I wanted to do whatever I could to be around for them as long as possible."

@highlight

Study: Rate of women with early stage cancer choosing double mastectomies rose 150%

@highlight

Availability of genetic testing, better plastic surgery options may be behind the increase

@highlight

"Pink ribbon" culture also may be spreading awareness about women's survival options