(CNN)  -- Frustrated parents are dumping their teenagers at Nebraska hospitals -- even crossing state lines to do it -- and the state Legislature has scheduled a special hearing to try to stem the tide.

A 14-year-old Iowa girl was left Tuesday at Creighton University Medical Center in Omaha, Nebraska.

Nebraska's "safe haven" law, intended to allow parents to anonymously hand over an infant to a hospital without being prosecuted, isn't working out as planned.

Of the 17 children relinquished since the law took effect in July, only four are younger than 10 -- and all four are among the nine siblings abandoned by a man September 24 at an Omaha hospital.

On Tuesday, a 14-year-old girl from Council Bluffs, Iowa, was abandoned at Creighton University Medical Center in Omaha, Nebraska, just across the Missouri River from Council Bluffs. The case marks the first time a parent has crossed state lines to abandon a teenager in Nebraska, authorities said.

"The few situations we've seen so far demonstrate the need for a change in Nebraska's safe haven law," Gov. Dave Heineman said in a statement Monday. "In the coming legislative session, I will advocate for changes that put the focus back on protecting an infant in danger. That should be our priority."

All 50 states have safe haven laws, but only Nebraska's lacks an age limit. Nebraska's part-time Legislature is adjourned until January, but two state legislative committees will hold a joint hearing November 13 to discuss a remedy.

"They've got a huge problem," said Linda Spears, vice president for policy and public affairs for the Child Welfare League of America. "It's a pretty poorly constructed law to meet its original intent."

When it was introduced in the Legislature, the bill had a presumed age limitation of 72 hours, said Todd Landry, director of the state's Division of Children and Family Services.

"The original intent was to protect infants from the immediate danger of being harmed," he said.

However, the law's final language uses the word "child" and does not specify an age limit, leaving it open to interpretation. Other states' laws specify the maximum age at which a child may be relinquished, ranging from 72 hours in several states to 1 year in North Dakota, according to the National Center for State Courts.

"Clearly in these cases so far that we've seen, none of these children were in any immediate danger of being harmed," Landry said. "It is our opinion that the law does need to be modified."

The law is being abused, Heineman's statement said.

"Safe haven laws were not designed to allow families having difficulty with older youth and teenagers to abandon their children or responsibilities as parents," he said.

The parents may not always be to blame, the Child Welfare League's Spears said.

"The original safe haven laws were created for young moms who are having babies who didn't know how to get help. I think these are families with older kids who don't know how to get help and who are in desperate need," she said.

Most state laws fail to provide for research into who is abandoning babies and why, league spokeswoman Joyce Johnson said.

"Those are the kinds of things we've been wondering about and saying we need to know more about, and you'll never know if you just have a law that says you can anonymously leave a child somewhere, no questions asked," Johnson said.

New Jersey, she said, is an exception. That state's safe haven law provides funding for research and evaluation as well as $500,000 a year for public awareness, according to a September 2007 report by a New Jersey safe haven task force.

A woman who dropped her 15-year-old nephew at a Lincoln, Nebraska, hospital told CNN affiliate KETV last month that she and the boy's guardian could no longer handle his behavior problems.  Watch woman explain why she left 15-year-old at hospital »

The woman, Cathy Poulin, said she tried discipline and medication, but nothing worked. The boy's mother died several years ago, and his father left him, she said.

"We had to go to the next level," Poulin said. "He can be made to get help."

The Omaha man who left his nine children, ages 1 to 17, at Creighton University Medical Center was overwhelmed by the sudden death of his wife after the youngest child was born, he told KETV.

"I was with her for 17 years, and then she was gone. What was I going to do?" Gary Staton said. "We raised them together. I didn't think I could do it alone. I fell apart. I couldn't take care of them."

Staton is just the kind of parent whom safe haven laws fail to help, Johnson said.

"He was grieving, he didn't have a lot of money, and all those children -- he was trying to figure out how to feed them, how to clothe them, and deal with the grief of losing his wife. He needed help," she said.

Heineman and Landry urged Nebraska parents who are having trouble coping to call the United Way's 211 resource line or Boys Town, a nationally known nonprofit child services organization based in Nebraska.

Other options include community and faith-based support groups, crisis hot lines, treatment centers and other services, Landry added.

@highlight

Wording of Nebraska 'safe haven' law allows parents to dump teenagers

@highlight

Law's original intent was to protect unwanted newborns

@highlight

Governor calls on Legislature to revise law to insert age limit

@highlight

Safe haven laws fail to address issues behind abandonment, child advocates say