(CNN) -- It was destroyed 2,000 years ago, but now Italy's ancient Roman city of Pompeii is facing ruin once again.

Not by a volcanic eruption like the one that buried the city in 79 AD, but by years of "neglect" and "mediocre" management by the Italian government, according to heritage groups and archaeologists.

The UNESCO World Heritage site came under scrutiny in early November, when one of its archaeological treasures, the "House of the Gladiators," crumbled.  Since then, the walls of four more buildings have been reduced to rubble because their ancient mortar is unable to cope with recent heavy rainfall, says Soprintendenza archeologica di Pompei, the organization charged with the site's upkeep.

Pompeii, near Naples in the south of Italy, is considered one of the most important archaeological sites in the country. It was destroyed when a volcanic eruption from nearby Mount Vesuvius buried the city in ash. The ash preserved the remains to an astonishing degree, which is why Pompeii is such a treasure.

The site receives more than 2.5 million visitors each year, and according to Antonio Varone, director of excavations at the site, it generated $23.8 million from tourists in the first 10 months of this year alone.

So why is one of the world's most treasured and historically significant sites in such a lamentable state?

"The current state of conservation in Pompeii is mediocre," said Pietro Giovanni Guzzo, former Superintendent and archeologist at Pompeii. Guzzo retired in August 2009 after 15 years in the post.

"The financial resources available for restoration and conservation have always been negligible," he said. "Instead it is preferred to dig, rather than preserve what has already been discovered."

According to Guzzo, remains would be safer left buried. Inadequate funds are not enough to protect all of the site's fragile ruins -- most of them are held together by ancient mortar so delicate "even the rain does damage."

In fact, says Guzzo, Pompeii is so starved of funding that the Soprintendenza don't even have enough cars and gasoline to travel around inspecting the various sites.  Despite the Soprintendenza collecting revenue from ticket sales and receiving funds from the government, Guzzo says its not enough to make up the estimated €260 million ($343 million) needed to restore the site completely.

"You also have to note that the Soprintendenza of Pompeii is also responsible for the archeological sites of Herculaneum, Stabia, Oplontis (and) Boscoreale, which also need to be maintained," Guzzo added.

So desperate is the situation, Italy's oldest heritage charity, Italia Nostra, has issued a red list consisting of over 50 sites in need of urgent attention.

"There has been no maintenance for decades," said Alessandra Mottola Molfino, President of Italia Nostra. "We have 47 UNESCO World Heritage Sites. It's an enormous responsibility, but one not taken seriously."

Mottola Molfino places the blame squarely at the feet of the Italian government .

The problem, she says, is twofold -- a dramatic reduction in the Ministry of Culture's budget and a siphoning of funds within the Ministry towards showy events at the expense of conservation.

According to the research group l'Associazione per l'Economia della Cultura, allocated spending for Ministry of Culture departments in charge of conservation was halved over eight years from 2000 to 2008, though there is evidence of investment in other departments.

Mottola Molfino thinks that Culture Minister Sandro Bondi's department is also funnelling cash in the wrong direction.

"The ministry has spent enormous quantities of money on ephemeral events," she said. "In Pompeii, they've spent money on theatre and shows, not on the maintenance of the area."

Guzzo agreed, saying the promotion of events at Pompeii, such as the anniversary of the eruption of Mount Vesuvius, had taken priority over the "silent and daily" work of conservation.

CNN put these allegations to the Ministry of Culture and was still waiting for a response at the time of publication.

However, five days after the collapse of the House of the Gladiators the President of the Chamber of Deputies Commission for Culture, Valentina Aprea denied allegations of neglect by the government and defended Culture Minister Bondi.  "The exceptional nature of the site of Pompeii has never been neglected by an Italian government and in particular by Minister Bondi," who's management of the site, she said in a news release, has been extraordinary.

Since the House of the Gladiators collapsed, the ministry has put in place emergency measures at Pompeii, giving the Soprintendenza stronger powers to protect the site, as well drawing up plans to increase the number of archaeologists and skilled workers on site, according to a statement on the ministry website.

For Mottola Molfino the measures can't come soon enough.

"We have the means to do it. We have enough knowledge and enough money -- why should we not care for our best assets?"

@highlight

Ancient Pompeii has come under scrutiny after the collapse of the House of the Gladiators

@highlight

Italian heritage charity Italia Nostra issued red list of over 50 ancient sites in danger

@highlight

Government denies neglect and put emergency measures in place after collapse