Seoul (CNN) -- Most South Korean students consider their final year in high school "the year of hell." It is when all students are put to the ultimate test.

About 700,000 test applicants sat down in classrooms across the country Thursday to take their college entrance exams -- also known as the College Scholastic Ability Test (CSAT).

The stock markets opened an hour late, buses and subway services were increased and police cars offered rides for students, all to ensure they made it on time.

Younger students gathered in large groups outside school gates, some having arrived at 4a.m. to mind a good spot, waiting to support their school seniors. Cheers exploded throughout the school grounds as test applicants arrived, most being guided by their anxious parents.

"I'm just praying for her. It's the same for all the mothers out here. They're just praying for the best," a mother said, as she stood across from the school long after her daughter had entered.

"I want to give her a hug when it's over and tell her she did a great job up until now," she added.

For many, this one test -- which lasts a good eight hours -- will determine which university they enter. It is considered the chance to make or break one's future.

In a country where more than 80% of high school students move on to higher-level education, getting into a prestigious school is all the more competitive. The final year leading up to the test is one of most intense periods students will ever experience.

"In South Korea, the reality is most students have lived for this very day. They have put in so much time and effort, and the fact that everything is decided on this one day can place an immense amount of pressure on them," a teacher from Paihwa Girl's High School, who had come to cheer on his students, said.

Many test-takers will give up sleep, living sometimes on only five hours of rest a day throughout the year. Family members live nervously in fear that they will disrupt the mood of their high-school child.

South Korea's obsession with education and academic success is rooted in Confucianism. The long practice of equating social status with academic achievement has left behind a tradition of pouring everything into studying.

South Koreans on average spend 7.6 hours studying in the classroom, according to the country's former Education Minister Ahn Byong-man.

From elementary school ages, South Koreans will spend many hours in cram schools after their regular classes. Almost 75% of the student population last year took up private education, according to the Ministry of Education.

In order to reduce the financial burden from private education and encourage the students to rest, the current Lee Myung-bak administration placed a ban on operating private classes after 10pm. Government officials routinely patrol areas and crackdown on illicit classes.

For a senior high school student, a study routine will include self-study sessions at school, cram school classes and more self-studying hours late into the night at private cubicles. This is all on top of their regular class hours.

The psychological burden is such that South Korea suffers from high student suicide rates. More than 200 students committed suicide in 2009 and about 150 the following year, according to Ahn's Presidential Advisory Council on Education, Science and Technology.

A heavy reliance on rote learning is also a challenge the country faces, as it tries to diversify its curriculum and reduce the stress from studying.

"It is a problem too that students learn a lot. They have a bunch of knowledge. They are well-equipped with good knowledge, I would say, but the process is so painful, they don't know how to enjoy learning from learning, you know," Ahn Byong-man said.

The college entrance environment is better than it used to be in many ways. Some fortunate students will win a ticket to university without taking the CSAT through other recommendation programs.

However, the importance of the CSAT still outweighs alternatives. More than 20% of the applicants to this year's test are high school graduates, also known as "retakers."

Those who are unsatisfied with their test results this year will likely volunteer to live through another year of sleep-deprived nights.

@highlight

The final year leading up to exams is an extremely intense period for students

@highlight

Almost 75% of the student population last year took up private education

@highlight

South Korea's obsession with academic success is rooted in Confucianism