Chris Berkey makes his living plying the often treacherous waters of the Great Lakes, delivering staples like cement to industries nestled in the myriad harbors that dot a coastline that's equal to nearly half of the circumference of the globe.

It's not glamorous work, but it is critical to the U.S. economy. And it's getting harder.

Water levels in Lake Michigan and Lake Huron fell to record low levels for December, and are expected to break the all-time low sometime in the next few months.

Cargo ships like Berkey's are being forced to lighten their loads, some harbors have already been forced to close and the tourist trade is bracing for an impact as well.

"In years past, there was always a buffer," he said. "That buffer's gone."

It's not a new problem. Lake levels have been below average for at least 13 years, said Keith Kompoltowicz, chief of watershed hydrology for the U.S. Army Corps of Engineers in Detroit.

But it is an increasingly serious one:

-- The coal trade on the Great Lakes declined 8.2% in 2012 from the previous year, and down a quarter off the 5-year-averge -- in large part due to falling water levels and a $200 million backlog in necessary dredging throughout the lakes, according to the Lake Carriers' Association.-- Commercial fishing boats are finding it increasingly difficult to navigate some harbors, risking a downturn in a vital part of the Great Lakes economy, said Mark Breederland, an educator with Michigan SeaGrant, which works with coastal communities on water-level issues, among other things.-- Charter boat operations and other businesses in coastal communities that depend on tourism fear the impact lower water levels will have from spring to fall, when tens of thousands of people flow into the state to boat, fish, eat out and shop.

Fishing lure

In Frankfort, Michigan, a popular salmon run on the Betsie River draws tourists drawn by the lure of fishing a rare naturally replenished population of the prized fish, said city manager Josh Mills.

"We see people from Texas, from Georgia, from Ohio, Illinois, other areas of Michigan," he said.

But low lake levels last year dried up the run, leaving salmon flopping in the mud, and forcing the state Department of Natural Resources to close the run to protect the population.

It appears a good number of the fish made it to their spawning grounds, but if water levels don't recover in the spring, the narrow channel through which the fish pass could dry up once again -- prompting tourists to find someplace else to go, Breederland said.

Also of concern: potential access problems at some of the private marinas dotting Betsie Bay, Mills said.

Read more: Sailing the world's most beautiful lakes

Despite efforts to diversify the city's economy in recent years, such problems would be a huge blow to the tiny community of 1,300, the city manager said.

"I'm confident the community will step up," he said. "But if there's no water, we're going to miss out on a lot of activity."

Precipitation and evaporation

The problem is a long-term cycle of too little water from melting snow and rain to counter the effects of evaporation on the lakes, Kompoltowicz.

Last winter, too little snow fell on the Great Lakes region to fully replenish the lakes. While Lake Michigan and Lake Huron typically rise a foot after the spring melt, the lakes only rose four inches last spring, Kompoltowicz said.

Add that tiny rise to a very hot, very dry summer that sucked water out of the lake like a straw, and you have a recipe for the decline in lake levels under way today, eh said.

There's too little data to say the problem is a product of global warming, he said. It's also a cycle that's been seen before.

Lake levels were nearly this low in December 1964, and it's the March 1964 record that's likely to fall in the next few months.

There is hope, he said. Records dating back to 1918 would seem to indicate a cyclical pattern that could well result in record lake levels in the next few years, he said. Such swings occurred in the 1970s and 1980s after similar low points.

Dredging backlog

But even if the water returns, what would appear to be a more intractable problem looms: Congress.

Groups with interests in the economy of the Great Lakes say Congress has failed to appropriate enough money to keep up with a growing backlog of dredging jobs needed to keep harbors clear for larger boats.

As a result, 17 million tons of sediment -- runoff from farms, mostly --  built up in harbors and other critical areas, said Glen Nekvasil, vice president of the Lake Carriers' Association, a trade association for commercial cargo interests.

Michigan Sen. Carl Levin has been pushing Congress to appropriate an unspent balance of nearly $7 billion in a trust fund designed to pay for such work, but to little avail so far -- much to the chagrin of interests along the lakeshore.

The fund takes in $1.6 billion a year, but only spends $800 million a year nationside, Nevkasil said.

"The money is there," he said. "They just need to use it."

Wasting Away

The concern about lake levels has even spread to Chicago's wastewater treatment program, where a spate of recent media coverage worried that declining lake levels could cause the heavily managed Chicago River to reverse its course and dump sewage into Lake Michigan.

Chicago's Metropolitan Water Reclamation District issued a press released Friday batting down the theory, saying it's just not possible for such a thing to happen.

But it could result in restrictions on river traffic as the agency works with the Corps to ensure problems with low oxygen levels in the river, the agency said in its relase.

"We are not in a crisis at this time nor do we anticipate being in a crisis this year even if the drought should continue," the agency said.

Light loads

While the big deepwater ships that carry huge quantities of the nation's iron ore, coal and other goods are able to steam the deep waters of the Great Lakes as they always have, they must carry ever lighter loads to avoid grounding on the increasingly shallow harbors where they unload.

For instance, Nekvasil visited a ship Friday in Indiana Harbor, Indiana that's designed to carry 76,000 tons of iron ore. Because of low water levels and the harbors filing with silt, it can only carry 58,000 tons, he said.

As of now, light-loading is merely a matter of efficency, Nevkasil said. But that's in large part because the fragile economic recovery has not yet put a full burner under the nation's industry.

"We can meet demand now because the economy is not fully recovered," he said. "If demand for all of the cargo we move was at peak levels, we could not."

While the situation has not yet resulted in job losses among ship crews, Burkey said some of the businesses to which he's long delivered supplies are shutting down because the harbors are just too unreliable. Others are switching to truck and rail to bring supplies.

Some harbors also are planning to shut down, said Breederland, while others may not be able to accommodate some larger recreational and charter boats that bring tourists to the region when the weather warms.

That worries Steve Christian, the owner of Dinghy's restaurant in Frankfort. About 70 percent of his sales come during the summer fishing season.

"If they can't get into the harbor and go fish, they're not going to be coming into my restaurant and ordering food and beverages," he said.

Still he said, he's pretty sure things will return to normal in a few years.

"This has happened before in the living man's memory," he said. "It's cyclical, and we'll recover."

@highlight

Water levels in Lake Michigan and Lake Huron are expected to set a record low

@highlight

Dry conditions are accelerating a long-term trend, forecaster says

@highlight

Commercial shipping, recreational boaters are facing issues

@highlight

The tourist trade also could suffer, experts say