WASHINGTON (CNN) -- Those slick, intricate tests used by forensic investigators on shows like "CSI" look infallible, but that is the stuff of television. In the real world, forensic tests are much more ambiguous and rarely demonstrate a definite tie between an individual and a crime.

The National Academy of Sciences found that U.S. crime labs lack uniform standards, training and oversight.

That's what the National Academy of Sciences found when it studied the nation's forensic crime labs for two years. What the academy discovered was a "badly fragmented" system that produces inconsistent results and needs a major overhaul.

In its report published Wednesday, the academy showed there is a serious lack of uniform standards, training and oversight. And, with the exception of DNA technology, the report concludes experts often overstate how much can be determined by forensic techniques running the gamut from fingerprinting to bite mark and hair analysis.

According to the findings, except for DNA technology, "no forensic method has been rigorously shown to have the capacity to consistently, and with a high degree of certainty, demonstrate a connection between evidence and a specific individual or source."

The report noted that forensic experts in court cases often overstate what can be proven by forensic methods and even attach a numerical percentage of accuracy that may not be based on clearly established scientific standards.

The panel recommends that Congress create an independent National Institute of Forensic Science that could formulate standards for various forensic disciplines, regulate training and accreditation, and lead research. Another recommendation is that crime labs should be autonomous and not controlled by police departments or prosecutors' offices to head off any real or perceived bias toward law enforcement.

The report also says many labs are "underfunded and understaffed, which contributes to case backlogs and makes it hard for laboratories to do as much as they could to inform investigations and avoid errors."

One of the co-chairs of the study, Judge Harry Edwards, who sits on the U.S. Court of Appeals in Washington, D.C., says much is at stake.

"We determine whether people are innocent or whether they are guilty in part based on forensic science evidence, so as a nation it is terribly important to us that we do it as well as it can be done," Edwards told CNN. "And we are not doing it as well as it can be done right now."

Edwards said the panel received input from members of the forensic science community who agreed that improvements can be made.

Constantine Gatsonis, a professor of biostatistics at Brown University and the other co-chair of the study, says the goal of the forensic community should be "how to do the science better, how to report it more reliably ... and then how to practice it in a way that is uniform and according to standards across the country."

The report does not examine specific cases but looks at various forensic techniques used in thousands of trials.

In the area of firearm analysis -- a discipline used by police crime labs to determine if a bullet recovered in a crime might have come from a particular gun -- the report says, "Sufficient studies have not been done to understand the reliability and repeatability of the methods."

Fingerprints are used by law enforcement every day. The report notes the quality of the prints can vary greatly and that individual analysts "make subjective assessments" in trying to decide if a print can be linked to a particular individual. Therefore, the report states, "zero-error rates are not plausible."

On hair analysis, the panel found: "There appear to be no uniform standards on the number of features on which hairs must agree before an examiner may declare a 'match.'"

While the report says DNA analysis has the highest degree of certainty, it says other techniques can help narrow the field of suspects in an investigation.

Peter Marone, chairman of the Consortium of Forensic Science Organizations, said his group supports a comprehensive review of forensic science and efforts to improve standards and oversight. But Marone does not think the release of the report should be an occasion to "put down the work of thousands of scientists and forensic examiners."

Marone, who also served on the National Academy of Sciences panel that produced the report, told CNN "the great majority of labs are doing first-rate work top to bottom, and make an enormous contribution to public safety."

The study by the National Academy of Sciences was requested by Congress. The panel has no authority to institute changes in the nation's forensics labs, but Congress could act to implement its recommendations.

@highlight

Crime lab system in the United States needs major overhaul, study contends

@highlight

National Academy of Sciences cites lack of uniform standards, training, oversight

@highlight

Fingerprinting, bite mark and hair analysis all found to have questionable reliability

@highlight

Academy looked at various forensic techniques used in thousands of trials