Editor's note: Rudy Ruiz founded RedBrownandBlue.com, a site featuring multicultural political commentary, hosts a nationally syndicated Spanish-language radio show; and wrote a guide to success for immigrants ("¡Adelante!" published by Random House). He is co-founder and president of Interlex, an advocacy marketing agency based in San Antonio, Texas.

Rudy Ruiz says people hold on to their views despite the evidence for fear of being labeled a flip-flopper.

SAN ANTONIO, Texas (CNN) -- As people shout over each other and tune out diverging views in town hall meetings, the health care debate is proving to be symptomatic of a major ailment threatening our nation:

A contagious culture of closed-mindedness threatens to suffocate our progress as a society.

Why has it become so difficult to even consider changing our minds about important issues?

Here's my diagnosis.

Increasingly, the willingness to change one's position on political issues has been misread as a mark of weakness rather than a product of attentive listening and careful deliberation.

During the 2004 Presidential campaign, the successful branding of John Kerry as a flip-flopper doomed his bid. Fear of "flip-flopper syndrome" is apparently catching like the flu, because today politicians are not alone in their determination to adhere to partisan positions despite the changing needs of our nation.

Nearly everyone's so reluctant to appear wishy-washy that they stand firm even when the evidence is against their views.

Three factors exacerbate this paralysis by lack of analysis: labels, lifestyles and listening.

First, the labels ascribed to many potential policy tools render sensible options taboo, loading what could be rational, economic or social measures with moral baggage. This narrows our choices, hemming in policy makers.

Any proposal including the words "government-run" elicits cries of "socialism" and "communism." Any argument invoking the words "God" or "moral" sparks accusations of "right-wing extremism," "fascism," or "Bible-thumping." Instead of listening to each other's ideas, we spot the warning label and run the other way.

Second, our lifestyles favor knee-jerk reactions. The way we think, work and live in the Digital Age demands we quickly categorize information without investing time into rich interaction, research and understanding.

We're hesitant to ask questions because we don't have time to listen to the long, complicated answers that might follow. And we lack the time to fact-check competing claims. In our haste, it's easier to echo our party's position than drill down, questioning whether party leaders are motivated by our best interests or the best interests of their biggest contributors.

Third, we tend to listen only to like-minded opinions as media fragmentation encourages us to filter out varying perspectives. If you're a liberal, you avoid FOX News. If you're a conservative you revile MSNBC. The dynamic is even more pronounced online, where a niche media source can be found for any outlook.

This silences the opportunity for meaningful dialogue and deliberation that might lead to reformulating positions, forging sustainable compromises, and developing consensus crucial to moving our nation forward on complex issues.

So how can we overcome this challenge, starting with the health care debate? How do we open our minds to the possibility that we could actually learn from somebody else? Here's my prescription.

For starters, we should eschew the notion that changing our minds is a character flaw. To the contrary, experts believe it's a manifestation of higher intelligence. Renowned psychologist Stuart Sutherland wrote in "Irrationality," his seminal 1992 book: "The willingness to change one's mind in the light of new evidence is a sign of rationality not weakness."

To further free our minds, we should aggressively treat the three Ls:

Let's lose the labels: from "flip-flopper" to "commie," from "fear-monger" to "right-wing nut job." Trash the diatribe; mull the ideas.

Let's engage in some constructive lifestyle management, slowing down to ponder -- and make independent decisions -- as enlightened people. We cannot allow the technological evolution to rob us of the intellectual strides of the American Revolution.

We must value the art of listening, reflection, comparative analysis, and civil discourse if we're to make the most of our democracy. In the process, we should signal to leaders that we're willing to expand our horizons beyond party lines. Maybe they'll get in front of our parade, collaborating for a change.

Let's request a second opinion and listen to each other. Switch channels. Visit different Web sites. Read a newspaper, while we can still find one. How about stepping into a town hall with an open mind, prepared to converse with people hailing from diverse circumstances? A range of perspectives enriches our viewpoint, empowering us to craft nuanced responses to complex situations.

Ultimately, we must stop thinking that the only thing to think is what we've thought all along. As we learn more about multifaceted matters, our positions should evolve accordingly. Let's accept that it's OK to change your minds.

In the end, opening our minds can only enhance the prognosis for our most cherished patient: America.

The opinions expressed in this commentary are solely those of Rudy Ruiz.

@highlight

Rudy Ruiz: It's become unfashionable to have an open mind about issues

@highlight

He says labels like "socialism" and "fascism" obscure the real choices

@highlight

He says it's a sign of rationality to be open to the evidence

@highlight

Ruiz: Let's listen to each other and take into consideration wider range of viewpoints