(CNN) -- The man labeled the most powerful vice president in American history remains resolute in his steadfast defense of his time in the White House in a new documentary that begins airing Friday.

"I did what I did. It's all on the public record, and I feel very good about it. If I had to do it over again, I'd do it in a minute," Dick Cheney says in "The World According to Dick Cheney," which debuts at 9 p.m. ET on Showtime.

The two-hour documentary tells the story of Cheney's life through his own comments, supplemented by a narrator and interviews with journalists, biographers, former aides and his longtime friend and mentor Donald Rumsfeld, the former secretary of Defense.

While the film covers Cheney's unprecedented and controversial role as vice president, the first half of the film explores the surprising tale of his rise from a two-time Yale dropout with two drunk-driving arrests to the man who once stood behind the leader of the free world.

In "The World According to Dick Cheney," produced by R.J. Cutler — also known for "The War Room" and "The September Issue" -- the former Washington powerhouse gets personal, but he still maintains his ever-steady, matter-of-fact tone.

"When you came in at night after work, you'd go to the bar and down large quantities of Coors beer," he stated coolly, referring to the two times he was arrested for drinking and driving in his home state of Wyoming.

Noticeably absent from the documentary are details about Cheney's post-White House life. The 72-year-old gives little to no insight about his heart transplant last year or his decision to support same-sex marriage. His younger daughter Mary wed her longtime partner Heather Poe in June.

Cheney to co-author 'medical memoir'

Cheney talks about growing up in spacious Wyoming during the 1950s, a simpler time, as he describes it. He met his wife, Lynne, to whom he's still married, in high school. He was the senior class president; she was a state champion baton twirler.

Awarded a scholarship to Yale, Cheney left his comfort zone to find a "totally different environment" in New Haven. He flunked out twice and never finished his sophomore year.

He returned home to work as a manual laborer and lay electrical cables. Following his arrests and feeling no sense of direction, he received an ultimatum from Lynne: She wasn't going to marry someone in his condition. That did the trick.

Pressed by his interviewer for more details of the conversation, Cheney said the content remains "private."

He decided to go back to school to study political science at the University of Wyoming, and 12 years later at the age of 34 Cheney became the youngest person to hold the position of White House chief of staff in the Gerald Ford administration.

His ticket to the remarkable transition was a job with then-Rep. Rumsfeld. The two clicked and remained close as they shuffled through different White House positions. After avoiding the Watergate controversy that took down President Richard Nixon, their careers quickly escalated under Ford, with Rumsfeld becoming Defense secretary and Cheney becoming chief of staff.

Filmmaker discusses time spent with Cheney

The documentary continues to tick through Cheney's resume of 40 years in public service, much of which is already well known.

He represented Wyoming in Congress for 10 years. President George H.W. Bush picked Cheney as Defense secretary, and he helped lead Operation Desert Storm in Kuwait and Iraq in 1991.

When President Bill Clinton took office, he sought out on his own journey for the White House, traveling thousands of miles in a car to gauge whether there was support for his potential bid.

"I thought that I was qualified by background of experience to do the job. I believed I could function effectively as president," Cheney says in the film. Despite raising money and forming a political action committee, he never surpassed 3% in pre-election polls. Cheney dropped the idea.

He then retired to private life as the CEO of energy services company Haliburton for five years, but he felt a new calling when then-Texas Gov. George W. Bush asked him to lead his search for a vice presidential candidate.

"Cheney really never extinguished his political ambitions," veteran journalist and editor Bob Woodward says in the film. "He always said he did, maybe in his own mind he did. Once you're a political animal, you know where the big seat in the zoo is, and it's being president of the United States."

Cheney's scrupulous vetting ultimately ended in one request from Bush: He wanted Cheney, himself, as his running mate for the 2000 election.

Not long after that, he was back at 1600 Pennsylvania Ave., an all too familiar place.

"When I had first arrived (at the White House) back in 1968, I was one of the youngest people in the West Wing," Cheney says. "And this time around, I was the oldest."

Narrated by actor Dennis Haysbert — famous for his Allstate commercials and his role as president on the former TV series "24" — the second half of the documentary zips through the Bush administration. It starts with the terrorist attacks on September 11 and jogs through the lead-up to the Iraq War and all the controversies — the I. Lewis "Scooter" Libby trial, the warrantless wiretapping program, torture scandals — that surrounded it.

"It was a wartime situation, and it does require tough programs and policies if you're going to be successful," Cheney says. "It was more important to be successful than it was to be loved."

He also staunchly defends the infamous waterboarding technique used to mimic the sensation of drowning on detainees being interrogated.

"Tell me what terrorist attack you would have let go forward because you didn't want to be a mean and nasty fellow," he says to Cutler, the film's creator. "Are you going to trade the lives of a number of people because you want to preserve your honor?"

Cheney gained a reputation for his zealous quest to prevent another terrorist attack on American soil — a reputation that had sharp critics and steadfast supporters.

But after Bush's re-election in 2004, a divide was growing between the president and Cheney as the administration faced a declining sense of patience among the public for the Iraq War and negative headlines over prisoner abuse.

In 2006, Bush forced Rumsfeld's resignation, despite strong disagreement from Cheney.

"The way that history works, you don't get a lot of credit for what didn't happen," Cheney says, referring to Rumsfeld's departure. "This is one of those kinds of situations. It isn't so much what you achieved, as is what you prevented. Now you've safeguarded against further attacks against the U.S. I think that's a major accomplishment."

The split between the president and his No. 2 deepened when Bush refused to pardon Libby, Cheney's chief of staff, after a federal court convicted him of perjury, obstruction of justice and lying to investigators in the probe of the leak of the name of a CIA operative.

"I pushed very hard for a pardon. I thought a pardon was appropriate," Cheney says, adding the disagreement became a "major strain" on their relationship and a "source of considerable friction" through the remainder of Bush's second term.

The splintered relationship continues to this day, the film says.

For his part, Cheney remains as satisfied as ever with his performance as vice president — and doesn't look back.

"I don't run around thinking, 'Gee, I wish we had done this or wish we had done that.' The world is as you find it, and you've got to deal with that," he says. "You get one shot. You don't get do-overs. So you don't spend a lot of time thinking about it."

@highlight

The two-hour documentary tells the story of Cheney's life through his own comments

@highlight

He flunked out of Yale twice and never finished his sophomore year

@highlight

The documentary ticks through Cheney's resume of 40 years in public service

@highlight

Cheney remains as satisfied as ever with his performance as vice president