Six weeks before winning the 1998 Miss World crown, 18-year-old Linor Abargil was raped at knife-point by a travel agent escorting her home to Israel from a modeling gig in Italy.

Her mother encouraged her to report the attack and go on to compete in the pageant on behalf of Israel.

Just as her mother supported her, Abargil is now trying to empower other victims of sexual assault to speak up. Abargil's journey from beauty queen to activist is chronicled in the Emmy-nominated documentary, "Brave Miss World."

"It was her mom's reaction telling her, 'Don't worry, it wasn't your fault, go to police, don't take a shower,' that changed her life. It gave her the courage to report the crime," said Cecilia Peck, who produced the film with Inbal Lessner, Motty Reif and Lati Grobman.

After her rapist was convicted in 1999, Abargil stopped speaking publicly about the attack and retreated from the public eye. In 2008, she re-emerged, encouraging victims of sexual violence to share their stories -- and invited the filmmakers to follow her journey.

"Brave Miss World" follows Abargil from South Africa to Europe, where she speaks with rape survivors, to rallies on American college campuses and the halls of Israeli Parliament, all the way to the scene of her attack in Italy. Along the way she works through family relationships, embraces Orthodox Judaism and deals with her own trauma.

"The film is really about the courage it takes to fight for justice and speak up for rape and assault. It's about the making of an activist," Peck said.

Killer's rants inspire #YesAllWomen conversation

Nominated for a 2014 Emmy for Exceptional Merit in Documentary Filmmaking, the film goes beyond the screen to empower victims of sexual violence to speak up through its website, in community screenings and on social media.

CNN spoke with Peck and Lessner in May about what it took to complete the film and how it continues to have an impact. The following transcript has been edited for length and clarity:

CNN: Why did you decide to release this movie now?

Cecilia Peck: It's hard to craft a narrative out of a taboo subject. We've been working on the film for five years. It just happened to (debut) at a time that coincides with what feels like national attention being turned to this issue.

Our timing came from Linor being ready to speak out about the rape after a long period of healing. It took her 11 years after her assault -- and winning the crown, and spending years in court, and retreating -- to heal.

Inbal Lessner: It was important for Linor to inject real meaning to the crown. She felt the title was meaningless unless she did something with it. She knew it gave her a platform that people would listen to, it would amplify the message. She had already made a difference in her country after speaking publicly in the rape trial. She told women in Israel, "If I could do it, you can do it, too. Report, don't stay silent," and the number of reports of rape to police and crisis centers rose dramatically and [authorities] attributed it to her, along with new legislation inspired by case.

She was hoping to reach a broader audience on a global scale by doing outreach and activism, and a documentary would help her reach that audience.

CNN: Why do you think she was ready?

Peck: Ever since her rape, women been have been writing to her from all over saying you gave me courage to tell somebody. With a film she hoped to reach more people than she could in person. With the website she wanted to give survivors a place to connect. By filming her story the message could go much broader.

Lessner: She felt ready to take this on with the 10-year anniversary of (winning) the crown. Everything came together in 2008. She felt very strong and ready to take this on, and neither of us had any idea that it would turn out the way it did, that it would be so difficult, that it would be re-traumatizing.

CNN: Tell me more about those difficulties. How did she experience trauma all over again?

Peck : It started when she found out (her rapist) was getting furloughs from prison. She shut down filming. She realized she wasn't as strong as she thought, that it wasn't completely behind her, and it can trigger symptoms of PTSD. She began fighting to keep him in prison for the duration of his sentence, not to release him early.

As well as telling her stories over and over again, and hearing stories all over the world about how pervasive (rape) is, that things haven't come so far, it's still difficult to access justice, all those things made the journey much harder than we thought. And, we did have to stop at a point for six months, and we didn't know if the film would get finished.

CNN: How does the film relate to the current cultural discussion of "rape culture" and efforts to reform school policies around reporting sexual misconduct?

Peck: The central part of story is about college campuses and talking about how life is adversely affected by rape and sexual assault.

With her story, the website and the work (of student activists), it feels like we're all working toward the same goal to make things safer on college campuses.

CNN: What do people share? Is there a common theme?

Peck: We hear more about the need for better and extensive training for administrations to respond to rape.  We keep hearing there isn't adequate training, and (survivors) don't always have access to Title IX coordinators; there's nowhere to go where they feel safe about reporting or talking about assault and rape.

Student activists really are making a difference. I think they're putting pressure on schools to make schools safer.

CNN: How do you measure the film's success?

Lessner: On our microscopic level we're trying to quantify outreach and success by how many people are speaking up at our screenings or on the website. We've seen an increase in the number of stories and people sharing on our page or engaging in discussion on Twitter using #IAmBrave.

Peck: We felt a real responsibility to make a film that would resonate with audiences around the world and amplify Linor's message of how important it is to not be ashamed and not to stay silent. When you're responsible for a message like that it's deeply engaging; it's a crusade. It's hard to raise money and stay with it for so long. But you feel in the end that you have done something that could make a difference in this world.

@highlight

"Brave Miss World" received an Emmy nomination

@highlight

The documentary follows 1998 Miss World Linor Abargil's journey from survivor to activist

@highlight

Abargil was raped by someone she knew weeks before winning the 1998 Miss World crown

@highlight

"It was important for Linor to inject real meaning to the crown," producer says