(CNN) -- A woman approached me as I was rushing toward the D.C. Metro after giving a talk on rape in Syria last month. She asked in a low voice if she could share some information. She had DVDs, she said. On them were testimonies of Syrian women who'd been raped; in particular, a mother, a daughter and a sister all in one family.

In a taxi recently en route to Heathrow Airport, I was told another startling story. The driver turned to me and said, "I am Syrian. And I have a story to tell you that I keep wishing is not true."

His eyes welled up as he relayed what his neighbor said happened to a friend. The neighbor described being stopped in his car at a Syrian checkpoint on the road from Zabadani to Damascus. He said army officers told him to leave his daughter with them. My driver said he knew no other details than this, that the man had been given a horrific choice to make: leave his daughter behind, or his wife and other children would be killed in front of his eyes.

The man made a decision, the driver said. He left his daughter at the checkpoint and drove on.

I keep wishing it is not true, too, but what I told the driver that day is that his story sounds all too familiar: Of the hundreds of cases of sexualized violence against Syrian women and men I have heard and documented as the director of the Women Under Siege project at the Women's Media Center, many fit this pattern of women and girls being raped at checkpoints.

Read more: Syrian family hides from attacks in underground 'prison'

And the story from the woman in Washington falls all too neatly into the pattern of ripping apart families -- rape and other forms of sexualized violence have long been used as a tool of war to destroy not only individual bodies but entire communities. What is happening in Syria is no exception.

In an attempt to not lose a single story that could be used as possible evidence for future war crimes trials, we are documenting reports of sexualized violence on a live, crowd-sourced map on Syria. We know, however, that evidence of crimes is being destroyed every day: More than 20% of the women in our reports are found dead or are killed after rape.

Broken down by type of crime and perpetrator, each case is marked as a red dot on the map and contains up to dozens or even hundreds of victims. Each dot is a life or lives potentially ripped apart by a horrific act of violence, an act that is particularly powerful as a weapon in Syria, where honor is so highly prized.

Rape is tearing Syrians apart. The concept of purity is destroying their lives on top of it.

The International Rescue Committee, referring to Syria, reported in August that "girl-child survivors of rape are frequently married to their older cousins or other male members of the community, to 'save their honor.' " Participants in adolescent girl groups told the IRC that if a girl is raped, "Sometimes she might be killed by her family. She might kill herself. ... She knows that she will be dishonored for the rest of her life."

Honor killings, forced marriages and divorce are just a few of the ways shame is destroying lives in Syria. There is also suicide when the shame becomes too much to bear, such as the story on our map telling of a girl in Latakia who reportedly killed herself by jumping off a balcony after rape.

But the concept of honor is failing Syrian women in another way.

Read more: NATO stands with Turkey as Syrian violence spills over borders

"What I always think about is how women have tried to persuade the perpetrators not to attack them by asking to think of them as their sisters," said one of the Syrian researchers on our mapping project.

"In Arab culture, a real man will protect his sister at any price. He is expected to take revenge if someone dishonors her. His sister is his responsibility even if she is married because blood relation is stronger than marriage. The women were appealing to whatever remnant of manhood and Arab honor these attackers might still have. Unfortunately, they had none."

The unending "dishonor" and manipulation of Syrians through sexualized violence is committed by all sides, although the majority of our reports indicate government perpetrators. It is creating an entire nation of traumatized people: not just the survivors of the acts, but their children as well.

It is time to stop it all. There are measures the world can take to bring these horrors to an end. Shame should never fall on victims, but should be used to compel Russia to join a U.N. Security Council call for the Syrian government's alleged crimes to be referred to the International Criminal Court.

Governments can help humanitarian groups that offer medical and psychosocial services for survivors. Syrian women's rights organizations are already taking action to combat and respond to gender-based violence, including organizing family-based care for displaced children of survivors. The international community can and should support Syrian civil society in this work.

Shame is a powerful feeling that causes retreat. It causes us to lower our heads and look away. But we have a chance to lift up the survivors of sexualized violence in Syria and honor them by paying attention, by caring enough to bring their suffering to an end, by telling them that we do not accept the violence against them.

The opinions expressed in this commentary are solely those of Lauren Wolfe.

@highlight

Lauren Wolfe: Rape is a weapon that destroys individuals, families, communities

@highlight

Wolfe's group is documenting reports of rape as they come in on live map of Syria

@highlight

Wolfe: More than 20% of women in reports are killed after rape; some kill themselves

@highlight

Social shame drives killings, she says, and international community must intervene