(CNN) -- A potential terror plot may have involved synchronized attacks in several countries with "at least a dozen" people taking part, a law enforcement official said Wednesday.

Earlier, a German counterterrorism source said that a man captured in Afghanistan had tipped off investigators to a potential "Mumbai-style" plot in Europe.

Mumbai, the financial hub of India, was the site of a three-day terror attack two years ago that left more than 160 people dead. Ten men launched the carefully planned assault, targeting prominent sites such as the Taj Mahal Palace and Tower hotel, the Oberoi-Trident hotels, the historic Victoria Terminus train station and a Jewish cultural center.

The intelligence gathered so far, the law enforcement official said, indicated that sites in the United Kingdom, France and Germany as well as Italy and Belgium may have been targets in the potential plot.

Investigators believe al Qaeda leader Osama bin Laden signed off on a European attack plan, a separate law enforcement source said. But U.S. and international officials say they have seen no sign of an imminent attack.

U.S. officials said the alleged plot has no U.S. component -- at least none that has been found. One official stressed that the plot is serious and credible but that the intelligence available lacked specificity: no who, where or how.

Some names of "known operational planners" are possibly connected with the plot, but there is "no precise insight" into who may be planning an attack, the official said. Soft targets such as hotels and economic targets are of particular concern, but there is "no precise" intelligence on the mode of attack, said the official.

Another official said there are different threads coming from different places, and it's not clear how or even if they will come together. The European countries involved -- primarily Germany, France and Britain -- are tackling the perceived threats as they see fit, the official said.

The "threat has certainly caught our attention" and that of our allies, the official said. Although no "U.S. dimension" to the plot has been uncovered, the official said, the "U.S. is only a seven-hour plane ride away" from Europe.

The potential plot is one reason for a dramatic increase in the number of missile strikes by unmanned drones against terrorist targets in Pakistan, according to a U.S. official.

The number of suspected U.S. drone strikes in Pakistan jumped to 20 this month -- more than in any previous month and twice the monthly average, according to a CNN estimate based on information from Pakistani officials.

A federal law enforcement official in the United States, meanwhile, said "the volume seems to be turned up" on the threat information coming out of Europe.

The intelligence indicates there is interest in using people with Western passports in an attack, that official said. The official said the potential operatives may be a mix of Europeans and others, possibly including North Africans, Pakistanis, Turks, Uzbeks and Tajiks.

There is concern about an "active shooter" scenario that would create as many casualties and as much chaos as possible in a short period of time. The Mumbai attacks showed how effective this kind of an attack can be in drawing attention.

Eiffel Tower evacuated after bomb threat

Economic institutions in Europe, including banks and stock exchanges, could be possible targets, according to the federal law enforcement source.

The man who described a potential attack, Ahmed Sidiqi, was detained in Kabul, Afghanistan, in July and transferred to U.S. custody, the German official said.

Sidiqi, a German of Afghan descent, attended the same Hamburg mosque as Mohammad Atta -- a leader of the September 11 attacks on the United States -- and was part of Atta's circle, the official said.

The man in custody has "revealed details about the terror plot," said the official, who did not want to be named because he is not authorized to talk to the media.

Germany's Interior Ministry said Wednesday that authorities are aware of recent published reports about planned terror attacks in Europe and are analyzing the intelligence information.

"Presently this has produced no concrete indications of directly imminent attacks in Germany. The current accounts do not lead to a change in [our] assessment of danger," the ministry said.

Janet Napolitano, the U.S. secretary of homeland security, declined to say Wednesday whether there was concrete information about a plan to attack the United States.

"There are constantly threats of all types that we need to be able to be proactive against, and be proactive even when there aren't specific threats," she told CNN's "American Morning."

Sidiqi, the man who was captured, traveled with several other Germans from Hamburg, Germany, to the Afghan-Pakistan border area in 2009, where he joined the Islamic Movement of Uzbekistan, an extremist group allied with al Qaeda, German intelligence officials said.

One he was captured, Sidiqi "started to talk a lot" and detailed a "Mumbai-style" attack in Europe, the German official said.

Sidiqi is from Hamburg, where he worked for a cleaning company at the Hamburg international airport, the German official said.

He attended the Masjid Taiba mosque, formerly known as the Al-Quds mosque, in Hamburg, which became known as the meeting place of those behind the September 11 attacks.

Hamburg shut down the mosque this year, not long after Sidiqi's capture.

U.S. National Intelligence Director James Clapper would not talk about a plot Tuesday evening.

"We are not going to comment on specific intelligence, as doing so threatens to undermine intelligence operations that are critical to protecting the U.S. and our allies," he said. "As we have repeatedly said, we know al Qaeda wants to attack Europe and the United States."

The German government is increasingly concerned about the number of Germans becoming jihadists. According to a senior German counterterrorism source, about 200 individuals have traveled to train with jihadist groups in the Afghanistan-Pakistan border region since the September 11 attacks.

The potential plot against Europe is apparently one reason for the increase in attacks by unmanned aerial drones in Pakistan.

"We would be remiss not to try to take action to thwart what might be underway in Europe," the official said, though the official emphasized it was not the sole factor.

U.S. officials say they are taking advantage of what they call "precise intelligence."

Most of the drone attacks this year have been focused on North Waziristan, a mountainous area bordering Afghanistan where Pakistani security forces have little control. That has continued to be the pattern this month.

Napolitano declined to comment on the increase in drone attacks.

But acknowledging the spike, one U.S. official said: "Our operational tempo has been up for a while now, we have good information driving it, and given the stakes involved, we hope to keep the pressure on as long as we can."

According to the official, the mix of threats remains the same. It comes from groups like the Haqqani network, al Qaeda, the Afghan Taliban and the Pakistan Taliban. The threats they pose are "all deadly," said the official.

Pakistani officials say many recent strikes have been aimed at compounds in or around the town of Miramshah, a stronghold of the Haqqani network.

Western intelligence officials have long regarded the Haqqanis as one of the most dangerous terror groups and have linked them to several attacks in Kabul.

Intelligence analysts point to other reasons for the escalated drone attacks.

Those include better information from sources in the border area and better surveillance technology, including the growing use of spy balloons fitted with high-powered cameras.

In addition, the rising number of drone strikes is designed to deprive the Afghan Taliban of "strategic depth," as the Obama administration's campaign to defeat the insurgency enters a crucial phase, and to tighten the noose on the senior al Qaeda leadership.

Pakistani officials say one strike last weekend killed Sheikh Mohammad Fateh al Masri, described as the group's senior operational commander.

CNN's Pam Benson, Tim Lister and Jeanne Meserve contributed to this report.

@highlight

NEW: United States officials see "no U.S. dimension" to possible plot

@highlight

German Interior Ministry: There are no "concrete indications" of imminent attacks

@highlight

A man captured in Afghanistan talks about a "Mumbai-style" attack in Europe, an official says

@highlight

He attended the same mosque in Hamburg as 9/11 hijacker Mohammad Atta