Culpeper, Virginia (CNN) -- When the Library of Congress comes to mind, most of us don't think of movies, TV shows or old-school vinyl.

But the federal library has been collecting analog recordings of sound and moving images since the late 1800s: Early film reels from inventor Thomas Edison's lab of the 1890s. Audio recordings of Martin Luther King Jr.'s famous "I Have a Dream" speech. The original 35mm film stock of "Star Wars."

These national treasures are among the millions of cultural artifacts being stored in secure vaults in the Library of Congress' National Audio-Visual Conservation Center in Culpeper, some 90 minutes southwest of Washington.

The center occupies the Packard Campus, a former bunker for storing federal currency, and measures an amazing 415,000 square feet. Its artifacts are housed in dozens of temperature-controlled vaults and on 90 miles of storage shelves.

With more than 5 million items, it's an impressive collection. There's just one problem: Despite the best efforts of preservationists, some of them are physically decaying and in danger of being lost forever.

"Any physical artifact is just that, a physical artifact," said Mike Mashon, head of the Library of Congress' moving image section. "These things can shrink, they can fade, they can crumble to dust in less than a lifetime."

Going digital

The solution, said Mashon, is to convert these artifacts to digital files. It's an exhaustive job. Between 1.5 million film, television and video items, and another 3.5 million sound recordings, the 114 staff members here have their work cut out for them.

Collecting and cataloging over 120 years of recorded American history may seem to be a daunting task. But the preservation of these deteriorating items is currently one of the most pressing missions for the library.

Years ago, when analog began to degrade, staffers would make a new copy. But that process has its limitations.

"Think about back when you were making your mix tapes," said Gene Deanna, head of the library's recorded sound section. "Every time you made a copy of that tape, it didn't sound as good."

Digital technology, he said, is now the best way to preserve the past.

"The great thing about digital is that it can be migrated (to copies) without loss."

Going digital doesn't solve the problem entirely if the data isn't stored properly. When the compact disc was released to consumers in the early 1980's, many people felt the new format could last forever. Leave a CD on a car's dashboard on a hot summer day, however, and its weakness is revealed.

But digital files have the advantage of flexibility, because they can be converted easily into pretty much any other available digital format. Because of advancements in technology, these artifacts in the library's massive vaults will now have a chance to live forever.

"Our work in the future is going to be migrating the files and transcoding them to make sure that they're always going to be available to be played back on whatever the next generation software is," Deanna said.

Preserving history

Every year, music and movies from all genres in the Library of Congress collection make their way into the digital archives of the National Recording Registry and the National Film Registry to be preserved as national treasures.

"We have this entire campus ... for the preservation of the audio-visual heritage of the United States," said Gregory Lukow, chief of the library's Motion Picture, Broadcasting and Recorded Sound division.

"We're still acquiring very large-scale collections," he added. "It forces us to think very deeply about how we prioritize what we choose to put through this incredible technological machinery. That's a big challenge, and it means that we'll be at it for decades because we have more than we're capable of putting through the production pipelines at this time."

Film stock, especially cellulose nitrate film from the early 20th century, sometimes decays faster than the library's staff can preserve it.

"There are inevitably going to be films that we just can't get to," Mashon said. "We try to inspect the film as regularly as we can. If it's seen to be deteriorating rapidly, we want to get it up into the laboratory, but sometimes it's just going to be too late. It's a cultural loss."

But thanks to new international standards for audio formats -- a 97-kilohertz, 24-bit, broadcast wave file -- audio snippets catalogued here will be playable around the world.

Mashon said the next step in the process is to make many of these audio items available to the public via the Internet. More than 10,000 historical recordings are already available to listeners on the Library of Congress' National Jukebox page.

Librarians feel a duty to preserve as many audio and visual artifacts -- more than a century of American life -- as possible.

"There is so much to learn from the past from a historical sense," said Deanna. "What people sounded like, what our leaders actually said in their speeches, what the radio broadcast of the day actually consisted of. And without that actual recording, you only have someone else's interpretation of it.

"It's absolutely critical that we don't let this legacy fall from the soundscape, fall from our memories."

@highlight

The Library of Congress stores historic audio and video recordings in secure vaults

@highlight

Many cultural artifacts are decaying and must be transferred from analog to digital

@highlight

With more than 5 million items, it's an impressive collection

@highlight

Artifacts include Martin Luther King Jr. speech, original 35mm film of "Star Wars"