Washington (CNN) -- Tests on the ruptured BP well in the Gulf of Mexico will go on for another 24 hours as federal and company officials try to explain "anomalous" pressure readings and possible leaks, the federal government's point man on the spill said Monday.

"There is no indication at this time this is any indication of a significant problem in the well bore, but we are running every one of these anomalies down," former Coast Guard Adm. Thad Allen told reporters Monday afternoon.

The pressures recorded on the well in the four days since it was temporarily "shut in" are lower than expected, Allen said. Meanwhile, there are possible leaks of methane gas from around the well and from the inoperative blowout preventer, as well as a separate and possibly unrelated seep from the ocean floor about 3 kilometers (about 2 miles) away, he said.

Allen said scientists and engineers are still debating whether the low pressure is caused by either the well's depletion after three months of oil spewing into the Gulf or whether oil is leaking from the well into the surrounding sea floor.

"There are arguments to be made on both sides," he said. "But those discussions continue, and we're trying to develop information that will allow us to do that."

He said a joint in the capping stack placed over the damaged well appeared to be leaking a combination of oil and methane, but there appeared to be no sign that it was hindering the equipment now being used to contain the worst oil spill in U.S. history.

Some seepage from the ocean floor is normal in the Gulf of Mexico, according to University of Houston professor Don Van Nieuwenhuise. But he said there are weak points in the well bore, and it's "very hard to tell the difference" between a depleted well and a leaking well.

"If there is a leak, you should be able to see the oil and gas infiltrating into a rock unit at about that level, and they have not seen that," he said.

Allen had extended testing Sunday as well, pointing out "a number of unanswered questions" about the monitoring systems being used to conduct the tests. Earlier Monday, he said the tests would continue only if BP was "rigorously" watching for any signs that the pressure tests could make the situation worse.

Engineers and scientists have intensified monitoring of the well, poring over images and data collected by robots, sonar scans, and seismic and acoustic examinations. A government ship is in the area, fitted with equipment for detecting methane gas, which would be an indication of a leak. "At any moment, we have the ability to return to the safe containment of the oil on the surface until the time the relief well is completed and the well is permanently killed," Allen said.

In the coming weeks, BP also plans to bring in two more oil collection ships in addition to the two in the Gulf, bringing containment capacity to 80,000 barrels (about 3.4 million gallons) of oil a day, more than high-end estimates of how much oil had been leaking. Coast Guard Rear Adm. Paul Zukunft, Allen's deputy on the scene, said the Helix Producer and the Q4000, two of the ships disconnected from the well to put on the containment cap, could be quickly re-connected within hours if scientists decide that's necessary.

In addition, BP also plans to conduct tests known as ranging runs on one of its relief wells, which company officials have said could intersect the ruptured well by the end of July and provide the permanent solution to the leak. BP then plans to pump mud and cement down to kill the ruptured well.

Pressure continues to rise steadily at about 1 pound PSI per hour and was about 6,811 pounds Monday evening, BP Senior Vice President Kent Wells told reporters. Wells said gas bubbles reported coming from the well casing could be nitrogen used in the well's cementing process, but others near the well head contained about 15 percent methane.

A breach in the casing would be signaled by a drop in pressure or possibly the release of methane gas, which is sometimes a precursor to oil rising through the formation, he said.

Continuing with the testing is "absolutely the best way for us to go forward," Wells said.

The well, located about 5,000 feet below the surface of the Gulf and about 40 miles off the mouth of the Mississippi River, erupted April 20 with the sinking of the offshore drilling rig Deepwater Horizon. No oil has gushed out since Thursday, when BP closed all the valves in a new custom-made cap that was lowered into place earlier in the week.

That lull in oil flow has jump-started the federal claims process. Kenneth Feinberg, the man in charge of disbursing the $20 billion in funds BP is setting aside to resolve Gulf oil spill-related claims, said Monday that now that the oil leak has apparently been stopped, it will be a lot easier and quicker to get a handle on the universal claims.

At a question-and-answer discussion in Washington, Feinberg said it has been difficult to come up with a budget because officials did not know how pervasive the spill would become.

"Now that the oil has stopped, with my fingers crossed, we will quickly come up with an overall budget," he said.

Feinberg said the fund was being established by BP with the support of the Obama administration as an alternative to years of protracted litigation, and said the challenge is to make the reparations process attractive enough so people will voluntarily seek compensation from it.

CNN's Eric Fiegel and Vivian Kuo contributed to this report.

@highlight

NEW: Extending tests is "absolutely the best way" forward, BP says

@highlight

NEW: An expert says no signs indicate a well casing breach

@highlight

Officials are working to identify possible leaks of methane gas

@highlight

The lull in gushing oil is allowing the government to jump-start its claims process