ATLANTA, Georgia (CNN) -- Barack Obama's inauguration marks a profound manifestation of the Rev. Martin Luther King's dream, civil rights leaders say, but the movement would be foolish to drop its guard now.

Christine King Farris sits next to a photo of her brother as she reads to kids to commemorate his birthday Thursday.

King did not fight tirelessly and ultimately give his life so African-Americans could take office; he fought for the disenfranchised and downtrodden, no matter their color, said Charles Steele, president and CEO of the Southern Christian Leadership Conference, which King and Steele's father helped found.

"President-elect Barack Obama is just a piece of the puzzle," he said. "This tells us that we are at a station, but it's not our destination. We've got to get back on the train."

Steele said he worries that those who espouse King's dream may grow lackadaisical because an African-American has taken the reins of the free world. But it is imperative, he said, that they "march now more than ever before."

Steele points to 1963, when tens of thousands of protesters converged on Washington to demand equal rights. It was there King delivered his "I Have a Dream" speech from the Lincoln Memorial steps.

President Kennedy's administration was considered the most receptive ever to the concerns of the civil rights movement, Steele said. But rather than sit back and hope Kennedy did the right thing, King and thousands stormed Washington to lay out demands that later would yield the Civil Rights Act and National Voting Rights Act.

Those down for the cause today must do the same with Obama, Steele said.

"Back in the '60s we were fighting for President-elect Barack Obama; we just didn't know it was him," Steele said. "It was civil rights, not politics, that got us to this position, and we can't forget that."

Andrew Young remembers pickets outside City Hall the day he took office as Atlanta's second black mayor in 1982. Young, a former King lieutenant, said he was initially confused when he noticed some of the protesters were his supporters.

"I said, 'I haven't changed.' They said, 'Yes, you have. You're in charge,' " recalled Young, who also has been a U.S. congressman and U.N. ambassador. "They were there reminding me I was the man."

Obama, too, needs to be reminded of the concerns of the African-American community, Young said, warning civil rights supporters not to assume Obama owes them something.

"He is one of the fruits of our labors," Young said, "and all he has to do is plant more seeds and grow more trees that bear more fruit."

Young's words rang true with Kee-Shawn Smith, 19, a sophomore at the historically black Clark Atlanta University. She said King and Obama have "set the way" for African-Americans and it's time to concentrate on race, the human one.

"America gives you that one thing -- opportunity," she said. "A lot of African-Americans have to realize we have the same opportunities as any other race, any other culture. ... People should take strides to do better than [Obama]."

Neither Obama's election nor the King holiday represent that "we just want African-Americans to have this. It's more a global perspective," said Jeffrey Harrell, 20, a junior at Morehouse College, another historically black school. "It's about everybody."

Today, there are still immigrants and women fighting for rights, there are people who are hungry and others without homes, Harrell said.

"Until everyone is able to take part in what's called the American dream, the struggle's not done," he said.

Harrell also said he was struck by the timing of the inauguration, which falls the day after the King holiday, and he wasn't alone in his belief that it was more than coincidental.

"It shows it's supposed to be this way," he said.

His words struck a theme, as poet and author Maya Angelou called the timing "amazing" and said it was as if "someone in the outer sphere" planned it.

The Rev. Joseph Lowery, a close friend of King's who will deliver the benediction at Obama's inauguration, said the timing of the two events "reflects the mysticism of the movement."  Details: Is it coincidence or "divine order"? »

Young chuckled upon hearing Lowery's words relayed and added, "I always say that coincidence is God's way of remaining anonymous. ... I can't think of a nicer birthday present for Martin Luther King."

King's only living sibling, Christine King Farris, told CNN that she, too, felt the timing was "in divine order."  Watch Christine King Farris talk about her brother, Obama »

King Farris spent part of Thursday morning, her brother's birthday, reading to children at the national park bearing his namesake.

She read tales about the shenanigans of a mischievous young King and his brother, Alfred Daniel -- M.L. and A.D. -- who once conspired to get out of music practice by loosening a leg on the piano stool. The prank sent the piano instructor crashing to the floor, King Farris recounted, to the giggles of elementary and preschool students.

But she also spoke of her brother's prophecy when he once told their mother, "One day, I'm going to turn this world upside down."

Farris said afterward it's important that children understand that though King is portrayed as larger than life, he was once a child like them. It's a necessary lesson in a nation that has struggled with the concept of "equitable opportunity."

"It's going to take some time because it deals with attitudes and, really, the upbringing of children and young people to understand that although we are different in color, in hue and so forth, we are still together. We should be like brothers and sisters," she said.

Setting aside race and working together is paramount to the success of Obama's presidency, Angelou said, and with each day it grows more vital.

"We needed President-elect Obama desperately, and he needs us," she said. "We need to be up and doing. ... What he needs are a lot of foot soldiers. He needs a lot of us going out trying to help, to allow him to become the president he's come here to be."

CNN's John Blake contributed to this report.

@highlight

SCLC president says King supporters must "march now more than ever before"

@highlight

Andrew Young: "I can't think of a nicer birthday present for Martin Luther King"

@highlight

Maya Angelou: "We needed President-elect Obama desperately, and he needs us"

@highlight

Martin Luther King Jr.'s sister spends his birthday teaching lesson to children