(CNN) -- From swimming pool slides and oversized LEGO stations to Plinko walls and Wii consoles, hotels all over the world have committed to having fun.

Some have transformed their lobbies and public spaces into the kind of playgrounds children and grown-ups alike can enjoy, inspiring a bit of healthy competition among guests.

Here are eight properties that stretch and bounce and slide beyond a place to lay your head:

Sea Island, Georgia

This massive resort on Georgia's coast packs in a lot: Nature lovers are especially spoiled with plenty to do, from salt marsh exploration to kayaking to an after-dark survival skills course where younger guests are groomed for the outdoors with lessons in pitching tents, lighting fires, reading a compass, etc. The resort can also provide a very thorough primer in gyotaku fish printing that includes dissecting the fish. For guests who prefer a more traditional take on play, there's a life-size chess set on the lawn, and a very civilized weekly Bingo service, where men age 12 and up are required to wear a jacket.

8 elegant U.S. mansion hotels

Hotel Zetta, San Francisco, California

This months-old Viceroy Hotel Group property in San Francisco's Union Square neighborhood was meant to attract those traveling to the city for business -- the startup variety. To appeal to that "work hard, play hard" mentality, a massive Plinko wall greets guests in the lobby. The rest of the hotel's playful perks can be found in the sharply curated Playroom, where Wii consoles share the space with ping-pong and pool tables, a massive assortment of board games and life-size Jenga. The phone booths, which have been updated with Samsung tablets that will allow users to Skype, are a nice touch. Heading up to your room? Have an Atari game sent up on request.

10 record-setting natural wonders

Martinhal Resort, Sagres, Portugal

Located on the southwest corner of continental Europe in the Portuguese fishing town of Sagres, Martinhal Resort is a true family-friendly destination, where every member of the brood can find something to do. Everything from stand-up paddling to kayaking to jeep safaris to surfing to Pilates on the beach are on offer. Or give Padel a try. This racquet sport, popular in the Iberian Peninsula and Latin America, is a combination of tennis and racquetball. Martinhal has two glass-sided courts in which to learn. The resort's Village Square acts as its entertainment hub, where children can let loose at the playground while older children head to the Blue Room to play foosball and video games. Bonus: All dining venues here are outfitted with play areas separate but visible from and near to the actual dining room, allowing adults to eat in peace without totally losing sight of the kids.

Primland Resort, Meadows of Dan, Virginia

This resort in Virginia's Blue Ridge Mountains sits on 12,000 acres -- that's roughly the size of Bermuda -- so there's always a variety of activities available for guests. One of the most fun, given the abundance of space, is a game of geocaching, a high-tech treasure hunt in which a GPS device helps participants locate hidden canisters, or geocaches, that reveal interesting information about the resort's surroundings as well as local fauna and flora. Some of the geocaches might reveal a puzzle to solve for an added challenge. In addition, clay shooters will enjoy the Game Trail Virtual Simulation Hunt, featuring 10 challenging scenarios. Younger guests, on the other hand, can take on the Blue Ridge Tree Climbing contest.

7 secret Caribbean islands

Yotel, New York

This pod-style hotel right next to the Lincoln Tunnel may not win points for space -- a luxury in New York City (though its 4,000 square-foot terrace is the largest hotel terrace in town), but it certainly delivers if it's whimsical playfulness guests are after. For example, luggage storage is manned by a mechanical robot, programmed to collect suitcases and backpacks and stuff them into their assigned lockers. But Yotel's pièce de résistance is its Lego wall, which was unveiled in January 2014. The 30-foot long lobby wall includes thousands of colorful bricks, tools for Yotel guests' next masterpieces. Some have drafted messages while others used the Lego bricks to create more ambitious visuals (flags, animals, cartoon characters, even NYC landmarks). See some examples of them online.

Travaasa, Austin, Texas

Playful activities at the original Travaasa property (there's also one in Hawaii) are heart-pounding but fun. Take the mechanical bull exercise as an example. Guests who have completed Pilates or the core-conditioning workout can take on this core-strengthening task -- cowboy hat not included. There's also an adventurous bike track for riders of all levels and the renowned Prickly Pear Challenge Course -- with its multistep, vertical climbing elements and zip-line finish -- is sure to push all sorts of physical boundaries. To unwind, guests can always participate in a game of Texas Hold'em.

Four Seasons Hotel, Hampshire, England

The Four Seasons property in the English countryside is so committed to its family-friendly programing that it has planned activities during key school holidays. So, it might be a Segway adventure during the Easter break or themed tea parties during the February half-term holiday. There's also Henry's Hangout -- a wooden playground stocked with swings, slides and a climbing wall. "Tweens" may prefer the Rose Cottage with its games. The grand estate, however, is better suited for outdoorsy endeavors -- think boat rides on the canals, croquet, falconry, quad bikes -- especially when a new equestrian center opens this spring, featuring stabling space for 12 horses and a petting zoo.

Hotel Unique, São Paulo, Brazil

Hotel Unique lives up to its name. One of the most design-forward hotels in the world has an exterior resembling a slice of watermelon. While this hotel doesn't offer the games of many of the hotels on our list, its curvaceous silhouette merits a mention -- and takes the edge off the see-and-be-seen vibe that attracts local glitterati to the rooftop terrace and bar. Many guests have not been able to resist trying to slide on a sloping wall near suites on the edges of the property. And fortunately, the multicolored indoor pool has something few city pools do: a slide.

@highlight

Life-size chess, LEGO and Plinko are among the amenities at some hotels

@highlight

At Sea Island off the coast of Georgia, Bingo is a formal affair

@highlight

Primland Resort in Virginia puts on geocaching treasure hunts