Philadelphia (CNN) -- The Supreme Court on Tuesday cleared the way for death-row inmate Mumia Abu-Jamal to get a new sentencing hearing for the killing of a Philadelphia police officer 30 years ago.

The high court rejected a request from the Philadelphia District Attorney's Office to overturn the federal appeals court decision declaring the death sentence unconstitutional for Abu-Jamal, a former Black Panther who was convicted in 1982 of gunning down a Philadelphia police officer.

Abu-Jamal will be automatically sentenced to life in prison without the possibility of parole unless Philadelphia District Attorney Seth Williams seeks another death sentence from a new jury. Williams had no comment Tuesday.

His attorneys, who have repeatedly argued that confusing jury instructions and the verdict form given to the jury favored a death sentence instead of life in prison, applauded the court's ruling.

"At long last, the profoundly troubling prospect of Mr. Abu-Jamal facing an execution that was produced by an unfair and unreliable penalty phase has been eliminated. Like all Americans, Mr. Abu-Jamal was entitled to a proper proceeding that takes into account the many substantial reasons why death was an inappropriate sentence," John Payton, director of the NAACP Legal Defense & Educational Fund, said in a statement.

Abu-Jamal's case will now return to the Philadelphia County Court of Common Pleas for final sentencing.

In April, Abu-Jamal was granted a new sentencing hearing by a federal appeals court, sparking a threat by the prosecutor to appeal the ruling to the Supreme Court.

In its 32-page decision, the 3rd Circuit Court of Appeals accepted defense arguments that the jury instructions at Abu-Jamal's original 1982 murder trial were unclear. The court's decision does not grant Abu-Jamal a new trial and his conviction of murder stands.

In January, the Supreme Court tossed out a lower court ruling that nullified the death sentence for Abu-Jamal. The justices ordered a federal appeals court to revisit its earlier ruling granting a new sentencing hearing. The high court last year denied Abu-Jamal's separate petition for a new trial

Abu-Jamal was convicted and sentenced to death for the 1981 killing of Officer Daniel Faulkner. Witnesses testified that Abu-Jamal shot Faulkner in the back and head after the officer pulled his brother over during a late-night traffic stop.

Abu-Jamal, once known as Wesley Cook, was wounded in the encounter and later confessed to the killing, according to other testimony.

He's been on death row at a state prison in southwest Pennsylvania, where he's been an outspoken activist from behind bars -- claiming there were procedural errors during his capital sentencing, and that too few blacks were on the jury.

The case has attracted international attention, amid charges of prosecutorial misconduct.

Abu-Jamal, a onetime radio reporter and cab driver, has been a divisive figure, with many prominent supporters arguing that racism pervaded his trial.

Others counter Abu-Jamal is using his race to try to escape responsibility for his actions. They say he has provoked community unrest for years with his writings and advocacy.

@highlight

Mumia Abu-Jamal was convicted of 1982 slaying, sentenced to death

@highlight

Defense says instructions to the jury were confusing, promoted death sentence

@highlight

Supreme Court ruling means a new sentencing hearing for Abu-Jamal

@highlight

Unless DA seeks a new death sentence from a new jury, he'll serve life without parole