eMalahleni, South Africa (CNN) -- A South African coal-mining company is cleaning up its act by building cheap, eco-friendly housing using its industrial waste.

For some years AngloAmerican -- one of the world's largest mining firms -- has been purifying the water contaminated during its coal mining activities in the South African city of eMalahleni.

Now, AngloAmerican is mixing the waste by-product -- a mineral known as gypsum -- with cement to make energy-efficient bricks it uses to build houses there.

"We've built 62 houses so far," said Peter Gunther, AngloAmerican's head of sustainable development, and the driving force behind the initiative.

"Each home requires about eight tons of gypsum, but at present we're removing over 200 tons of it from the water every day."

Gypsum is a basic mineral compound of calcium and sulphur. The non-toxic mineral is soluble in water, but becomes harder and more adhesive the hotter and dryer it gets.

Because gypsum is malleable when wet, its most common commercial application to date is as the main ingredient for household plaster.

"Actually, there are 50 different uses for it -- from dental surgery to fireproofing doors," said Gunther.

"But there is a serious housing shortfall here, and we have so much gypsum, that once we decided we needed to do something with it, making a strong building material was the obvious choice."

And Gunther believes that his new bricks have significant advantages over the heavy cement ones typically used in the area: "The bricks are generally harder than traditional cement bricks, they're also better heat and sound insulators," he said.

But, most crucially for one of the fastest growing urban areas in South Africa, the gypsum bricks have a lower environmental impact.

"Because it (gypsum) is such a strong binding agent, we need much less cement to make (the bricks)," said Gunther.

According to figures from the Cement Sustainability Initiative, about 5% of all the world's man-made CO2 emissions stem from the chemical and combustion processes involved in cement production.

Most types of cement are made by heating limestone, a chemical process known as calcination which releases large amounts of carbon dioxide into the atmosphere. The industrial manufacture of cement also requires large quantities of fuel.

Gunther claims that his low-cement bricks save, on average, three tonnes of carbon dioxide for every home built.

Read related: 'Living' buildings could inhale city carbon emissions

In the city of eMalahleni -- a name that in Zulu literally means "place of coal" -- AngloAmerican aims to provide new homes for its entire local workforce, with 400 scheduled to be built in the next year.

"This is my first house ... this is my dream house, and I'm happy. It's not small. I feel free with my family," enthused Maria Mhlongo, whose husband works at one of AngloAmerican's coal mines in eMalahleni. The Mhlongo family was among the first to move into a gypsum-brick house after the company started building accommodation for its workers in 2010.

But can gypsum -- a product that AngloAmerican had been discarding as waste before last year -- really be such a wonder material?

Andrew Bloodworth is head of minerals at the British Geological Survey. He says that gypsum, "a relatively common mineral geologically," is indeed a great heat insulator and can be very strong -- but only as long as it stays dry.

"I've never heard of it being used to make bricks because it's water soluble -- that's why it's so good as a plaster agent," said Bloodworth. "I'd be interested to know how they've managed to get around that."

Gunther says that because the bricks are still partially composed of cement, they are fully water resistant.

"The brick mixture has been subjected to the most rigorous trials by the South African Bureau of Standards, and passed without any problems," he added.

Global carbon emissions from coal are second only to oil, according to the UN Environment Program, while other environmental factors such as air-pollution from coal dust and damage caused by mining also remain a serious problem.

Gunther acknowledges these issues, but says that coexistence between energy sources is necessary "for as long as the world is so much set up around running on coal.

"While we're still using it, the question is: What can we do to make it cleaner and even more useful? I think our approach goes some way to achieving that goal."

@highlight

Mining firm claims to produce sustainable building materials from waste

@highlight

Mineral gypsum extracted from polluted water; mixed with cement to make bricks

@highlight

Over 60 houses built so far, each one saving estimated three tons of CO2, says firm