For the better part of a decade, the world has seen an episodic stream of predictions that Iran was on the cusp of building a nuclear weapon and that an Israeli or American pre-emptive military strike was imminent. Alarming forecasts are again gaining currency because of a new assessment issued by the United Nations nuclear watchdog: The International Atomic Energy Agency reported last week that Iran appears to be trying to develop a nuclear weapon.

The specter of a nuclear weapon in the hands of someone as erratic as Iranian President Mahmoud Ahmadinejad would weigh heavily on decision-makers in Israel, Saudi Arabia and Turkey and throughout the international community.

If and when Iran is seen as becoming the world's 10th known nuclear power, many experts see danger mounting, whether from the "Iranian bomb" or from having to "bomb Iran." The prospect alone has been enough to muscle national security to the forefront of the 2012 U.S. presidential election, a contest that heretofore has focused on economic issues. As Republican Sen. Lindsey Graham recently put it, if Iran gets "a nuclear weapon, the world is going to go into darkness."

Relying on satellite imagery and other information, the IAEA suggests that Iran has advanced nuclear weapons development at its Parchin military complex, about 20 miles southeast of Tehran. Experts estimate that Iran could make enough weapons-grade enriched uranium for a nuclear weapon within six months. Thus, even if Iran's claims of peaceful intent were true, Iran is shortening the timeline needed to achieve a nuclear-weapon breakout. Iran's checkered track record on nuclear transparency encourages worst-case analysis.

No country agonizes over the threat posed by an Iranian nuclear weapon more than Israel. Prime Minister Benjamin Netanyahu, who once said, "It's 1938, and Iran is Germany," last week called an Iranian nuclear bomb a "grave, direct threat." The Israeli media have been filled with rumors about the growing likelihood of an assault on the Iranian program, analogous to the way Israel destroyed the Iraqi Osirak nuclear reactor 30 years ago or a Syrian nuclear reactor in 2007.

Alas, military planners generally believe that any attempt to set back an Iranian nuclear program would be far more complicated than either of those surgical operations. Iran's secret, multilayered and entrenched nuclear facilities and forces would require repeated air attacks on myriad sites over time. Escalation could spiral out of control, while there would be no certainty about the demise of Iran's nuclear program.

Iran's supreme leader, Ayatollah Ali Khamenei, has vowed to hit any attacker with an "iron fist."

But thus far, it remains a war of words. Defense Minister Ehud Barak said Israel has made no decision on whether to resort to force.

While we may not be on the threshold of an Iranian nuclear weapon, that day appears ever closer.

Several years ago, the International Institute for Strategic Studies published a dossier by a team led by Gary Samore, now the Obama administration's top nonproliferation official.

That report concluded that if Iran were to throw caution to the wind, it could produce a nuclear weapon by about 2010. That date has come and gone. No one outside Iran's inner circle can be certain about whether and when Iran will become a nuclear-weapon state, but Tehran surely wants the outside world to continue guessing.

Even a slower timeline suggests that Iran could almost surely produce a nuclear weapon between 2013 and 2018, placing the timing during the term of office being decided by the next U.S. presidential election -- or beyond. Accordingly, how to manage a recalcitrant Iran and how to support an ally, Israel, have become major features of the presidential campaign.

A Republican debate on national security this past weekend provided a get-tougher-with-Iran set of policies that included more covert operations, support for Iran's political opposition, tighter economic sanctions, arming regional allies and deploying greater U.S. military might to the region. And, as Gov. Mitt Romney put it, "If all else fails, if after all the work we've done, there's nothing else we can do besides take military action, then of course, you take military action."

As Romney and most of the Republican candidates see it, an Iranian nuclear weapon is unacceptable. "If we re-elect Barack Obama," the candidate said Saturday, "Iran will have a nuclear weapon."

Of course, it is easier for candidates than for officials to talk about covert operations designed to sabotage Iran's nuclear program. And yet there are numerous reports that the United States or its allies have been behind clandestine attacks, whether against scientists working on Iran's nuclear program, the introduction of Stuxnet malware to thwart Iranian centrifuges or the recent explosion at an Iranian Revolutionary Guard ammunition depot or missile site near Bidganeh.

One area in which many Republicans appear to differ with the president's policy is over the degree to which the United States should be supporting regime change by expanding the support for Iran's Green Movement, which rose in 2009 but has gone underground.  Of course, one problem with trying to instigate a "Persian Spring" is that overt U.S. support for opposition could make regime opponents a bigger target and allow the regime to claim outside interference, rallying Iran around a more authoritarian government.

Republican presidential candidates also called for stronger sanctions. For instance, some advocate sanctioning the Iran Melli Bank. However, it is unclear whether the United States could successfully pressure that institution, what effect it might have on Iran's nuclear program and how an attempt to close it might roil global oil markets and the fragile global economy. A better financial tourniquet might be to go after Iran as a money-laundering state, as this could lead to the entities making money for the regime's hard core.

This Republican assault on America's Iran policy clearly caught Obama's attention. In the midst of hosting the Asia-Pacific Economic Cooperation summit in Hawaii, he spoke about how sanctions on Iran had "enormous bite and scope." The president promised to "explore every avenue" and take no "option off the table," an apparent reference to the possibility of military force.

Still, it remains to be seen whether any U.S. president might try to live with deterring an Iranian nuclear weapon the way North Korea's nuclear program has been deterred rather than shut down; one huge difference, however, is the wild card of what Israel would accept and do.

Obama came to power promising to talk with Iran and North Korea.  What he may not have bargained on was that neither government was interested in talking to his administration, at least not on Washington's terms.  On the Korean Peninsula, officials expect further provocations from nuclear North Korea, and U.S. policy is now focused on deterrence and crisis management.

There may still be time to avoid a nuclear Iran.  Washington should double down on financial measures, support for political opponents, arms for allies and covert action.  But the United States needs to be resolute, not reckless.  It needs statesmanship, not sound bites.  If Iran succeeds in brandishing nuclear arms, all Americans, and not just one political party, will feel the repercussions of a post-American era in which no outside power can act as a security guarantor.

As America winds down its wars in Iraq and Afghanistan, Iranian leaders no doubt perceive a vacuum of power. If Americans lack the stomach for a fight, then there is little in Iran's way of grabbing more power in a brittle region that features a weak Iraqi state and a shaky Arab world order. Iran's brazen opportunism may well be what precipitates the unthinkable: another major military operation in the greater Middle East.

@highlight

Patrick Cronin: Iranian nuclear bomb would threaten stability of Middle East

@highlight

He says it's likely Iran could produce a bomb during next presidential term

@highlight

U.S. should still work to prevent Iran from developing nuclear weapons, he says

@highlight

Cronin: If U.S. chose to live with deterring Iranian nuclear bomb, what would Israel do?