(CNN) -- If North Korea continues with its controversial missile and nuclear tests, it "will move closer" to its objective of reaching the United States with nuclear weapons, according to a Pentagon report.

During recent heightened tensions on the Korean Peninsula, Pyongyang repeatedly threatened the possibility of nuclear attacks against the United States and South Korea, prompting questions on the progress of its weapons program.

North Korea's secretiveness has made it hard for Western intelligence agencies to gauge exactly what is going on inside its research facilities.

Many clues have come from the regime's large-scale tests such as the long-range rocket launch in December and the underground nuclear detonation in February.

The Pentagon's annual report to Congress on Thursday provided an overview of the military threat posed by North Korea, but it didn't say how long it believed it would take the isolated, Stalinist state to develop a fully operational nuclear missile capable of reaching the U.S. mainland.

It described North Korea's ballistic missile program as "ambitious" and said that "the pace of its progress will depend, in part, on how many resources it can dedicate to these efforts and how often it conducts tests."

Doubts over North's capabilities

A sign of differing views on North Korea's nuclear missile capabilities among U.S. intelligence agencies emerged last month.

Addressing the House Armed Services Committee, a congressman read out an excerpt from a report by the Pentagon's intelligence arm that said it believed with "moderate confidence" that the North had nuclear weapons that could be delivered by ballistic missiles, albeit with low "reliability."

But after the disclosure of that assessment from the Defense Intelligence Agency (DIA), top U.S. officials including President Barack Obama said the U.S. government didn't think North Korea was yet able to fit a nuclear warhead on a ballistic missile.

The Pentagon report Thursday included no reference to the DIA excerpt, which didn't specify the range of the ballistic missiles that it was talking about.

The report said that the type of long-range rocket that North Korea launched in December to put a satellite in orbit "could reach parts of the United States if configured as an intercontinental ballistic missile (ICBM) capable of carrying a nuclear payload."

But it noted that "a space launch does not test a re-entry vehicle (RV), without which North Korea cannot deliver a weapon to target from an ICBM."

The December launch and the display in April 2012 of an untested but road-mobile intercontinental ballistic missile help underscore "the threat to regional stability and U.S. national security posed by North Korea," according to the report.

Like father, like son

Its authors said they didn't expect much change under North Korean leader, Kim Jong Un, from the strategy shaped by his father, Kim Jong Il, who died in December 2011.

The focus of that approach, they said, includes "coercive diplomacy to compel acceptance of its diplomatic, economic and security interests; development of strategic military capabilities to deter external attack;" and challenges to South Korea and the U.S.-South Korean alliance.

Under Kim Jong Un, North Korea has so far continued the pursuit of more advanced nuclear and missile technologies, which according to the report, the regime sees as "essential to its goals of survival, sovereignty and relevance."

The long-range rocket launch in December and underground nuclear test in February prompted international condemnation and tougher U.N. sanctions. Those measures were followed by intensified threats from Pyongyang, during which the United States said it would deploy additional missile defenses on its West Coast.

The Pentagon report also highlighted the murkiness of the North's decision-making processes -- a particular concern during periods of heightened tensions like the past few months.

"Although North Korea is unlikely to attack on a scale that it assesses would risk the survival of its government by inviting overwhelming counterattacks by the ROK or the United States, we do not know how North Korea calculates this threshold of behavior," the report said, using the abbreviated form of South Korea's official name, the Republic of Korea.

"North Korea's use of smallscale attacks and provocative acts leaves much room for miscalculation that could spiral into a larger conflict," it said.

CNN's Alison Harding contributed to this report.

@highlight

A Pentagon report to Congress gives an overview of North Korea's military threat

@highlight

It discusses the North's progress toward developing a nuclear missile

@highlight

The pace of progress will depend on the amount of resources allocated, it says

@highlight

The report's authors say they expect little change in strategy under Kim Jong Un