(CNN) -- Rep. Charlie Rangel is claiming victory in his last dance.

The Democratic congressman from New York, who was first elected to the House of Representatives 44 years ago, appears to have survived a fierce primary challenge.

Rangel, who says this will be his last re-election campaign, will likely edge out state Sen. Adriano Espaillat, who came close to ousting Rangel in the Democratic primary two years ago.

With 100% of precincts reporting, Rangel held a 47%-44% lead over Espaillat, with two other candidates grabbing 9% of the vote, according to numbers compiled by the Associated Press. Espaillat did not concede Tuesday night.

Rangel was one of two four-decade veterans of Congress who avoided being ousted from office.

After a long and bitter fight, Sen. Thad Cochran of Mississippi will manage to fend off a serious tea party challenge in Tuesday's GOP Senate runoff, CNN projects, and move closer to a seventh term.

With 99% of the precincts counted, Cochran held a 51%-49% lead over state Sen. Chris McDaniel, who forced Cochran into the runoff after both candidates fell just short of the 50% threshold needed to avoid a longer contest. In the primary, McDaniel edged out Cochran by less than 1,500 votes.

In a bizarre twist, it might be Democrats that helped push Cochran ahead at the finish line.

Along with Mississippi and New York, six other states held contests Tuesday.

Democrats likely swung GOP contest

To clinch the GOP nomination, Cochran's backers turned to Democrats, especially African-Americans who make up 37% of the state's population.

Cochran's supporters actively reminded voters of the senator's work to secure federal funds for programs relied upon by African-Americans, like Head Start and certain medical centers in the state.

It's the kind of message that Republicans barely tout these days, given the renewed focus on fiscal conservatism. But Cochran supporters viewed Democrats as key to their strategy to knock out McDaniel after the incumbent barely kept his reelection hopes alive in the primary.

Mississippi law allows anyone to vote in the runoff, meaning Democrats could go to the polls so long as they didn't vote in the Democratic primary and they don't plan to support their party's candidate in the general election.

But McDaniel and allies argued the tactic was a stretch, and he argued that a high Democratic turnout for Cochran would reveal the senator's true colors.

Final chapter underway in nation's ugliest primary

"I'm not concerned about them being African-American. I'm concerned about them being liberal," he told CNN. "That's always been my concern. If Senator Cochran is going to court liberal Democrats to save his seat, that's a good indication that he's abandoned conservatism in Mississippi."

As Cochran declared victory, McDaniel railed against Cochran's campaign tactic of stirring support among Democrats.

"There is something a bit unusual about a Republican primary decided by liberal Democrats," he said.

"So much for bold colors. So much for principles. I guess they can take some consolation that they did something tonight for once again compromising, for once again reaching across the aisle, for abandoning the conservative movement."

McDaniel added: "If it can happen here, it can happen anywhere. And that's why we will never stop fighting."

Mississippi law doesn't include provisions for election recounts. Any challenge to race results would have to go through the courts.

5 primaries worth watching on Tuesday

To make sure Democratic voters weren't voting illegally, conservative groups supportive of McDaniel dispatched volunteers to observe poll workers and whether they're turning away those who already showed up in the Democratic primary.

But that effort raised eyebrows from groups like the NAACP, which sent out its own volunteers to look for any signs of voter intimidation or interference.

Rangel's last dance

Win or lose, Rangel of New York says this is his last campaign.

The Korean War veteran, who was first elected to the House of Representatives 44 years ago, is trying keep from getting pushed out office by Espaillat, who came within around 1,100 votes of ousting Rangel in the Democratic primary two years ago.

"As we learned in 2012, every single vote needs to be counted in this race. Given the thousands of votes outstanding, the people of Upper Manhattan and The Bronx deserve a full accounting of every vote to achieve a complete and accurate tally in this race," Espaillat said in a statement in the early hours of Wednesday morning.

Rangel, the former chairman of the tax-writing Ways and Means Committee, was forced to step down from his post in 2010 and later that year he was censured by the House for ethics violations.

Just as damaging for Rangel was the redrawing of New York's 13th Congressional District after the 2010 election, from a Harlem-based, African-American-dominated district to one that now has a Hispanic majority, thanks to shedding parts of Harlem and adding other neighborhoods in northern Manhattan and parts of the Bronx.

Rangel, the "Lion of Harlem" and a founding member of the Congressional Black Caucus, said he didn't put up much of a fight in 2012.

"I didn't have a campaign last time. When he told me he was running, I was in Columbia Presbyterian with a viral infection in my spine."

This time, Rangel said he's ready.

"Well, I don't have a walker. I don't have a spinal injury."

Espaillat says Rangel is emblematic of all that ills Congress.

"This is a coalition of victory that is completely convinced that Washington is broken and that at the center of that dysfunction is a gentleman called Charles Rangel," he said Saturday.

Rangel's confidence was buoyed by a nonpartisan poll last week that indicated he held a 13-point lead over Espaillat, who if elected in November would become the first member of Congress born in the Dominican Republic.

But some political analysts say it's difficult to poll in the district and feel the race is much closer. Plus, Rangel suffered the embarrassment of failing to win endorsements from President Barack Obama and New York City Mayor Bill de Blasio.

Tea party vs. establishment battle with a twist

Rep. James Lankford easily won Oklahoma's Republican Senate primary, in the race to succeed retiring GOP Sen. Tom Coburn. Lankford topped former state House Speaker T.W. Shannon.

Coburn's announcement in January that he would step down at the end of the year -- with two years left in his term -- sparked a competitive primary in Oklahoma to replace the conservative senator.

There were seven candidates in the race, but the contest turned into a battle between the two frontrunners: Lankford and Shannon.

For a party looking for more diversity, the 36-year old Shannon, who was the youngest speaker ever of the Oklahoma House, was an attractive choice.

He's part Native American and African-American. He was backed by such tea party heroes as Sen. Ted Cruz of Texas and former Alaska Gov. Sarah Palin.

And some national anti-establishment organizations pumped big bucks into the race in support of Shannon.

But many local tea party groups kept their distance, with some questioning Shannon's outsider credentials. In fact, Shannon's no stranger to politics. He worked for Oklahoma Republican Rep. Tom Cole and former congressman J.C. Watts before launching his own political career.

Lankford, who has risen through the ranks to become Republican Policy Committee Chairman -- the fifth-ranking House Republican -- in just two terms in Congress, was criticized by many on the right for his vote to raise the debt ceiling.

But labeling the Baptist minister with strong social conservative backing as an establishment candidate was a hard case to make.

"The job is clear," Lankford repeated throughout his victory speech -- ticking off a number of Republican prescriptions to fix the economy, including repealing Obamacare, cutting down on environmental regulation and limiting federal spending.

"I was a member of the class of 2010 in the House of Representatives. It was that class that moved Nancy Pelosi back to flying coach again," he said. "If we win in November, I pray we can do this same thing for Sen. Reid."

Lankford had a 57%-34% lead with 99% of the vote counted, according to numbers compiled by the AP.

Conceding the race, Shannon said: "Tonight this campaign is over but our cause remains and our cause continues."

"We must get rid of Harry Reid. That means we have to send Republicans to the Senate and that Republican is James Lankford," he added.

Other races on our radar

CNN projects that Maryland Lt. Gov. Anthony Brown will win the state's Democratic gubernatorial primary.

The two-term lieutenant governor faced off in an ugly primary battle against state Attorney General Doug Gansler and state lawmaker Heather Mizeur.

In a state dominated by Democrats, Brown will now be considered the favorite to win the general election in the race to succeed term-limited Democratic Gov. Martin O'Malley. Brown was backed by O'Malley, a potential 2016 Democratic presidential candidate, as well as former President Bill Clinton.

Brown will go on to face Republican Larry Hogan in the general election.

If he wins in November, Brown would become the third African-American elected governor in U.S. history.

In Colorado, CNN projects that former Rep. Bob Beauprez will win the GOP primary for governor, topping anti-immigration firebrand Tom Tancredo, a former congressman and presidential hopeful, and two other candidates. Beauprez will face Democratic Gov. John Hickenlooper in November.

And in Florida, Republican businessman Curt Clawson won the special general election to replace embattled former Rep. Trey Radel. Clawson easily defeated Democrat April Freeman and two other candidates in the race for the state's 19th Congressional District. The heavily Republican district runs along Florida's Gulf of Mexico coast from Cape Coral and Fort Myers south to Naples and Marco Island.

Clawson will serve out the remainder of Radel's term, which runs through the end of the year. There will be an August primary ahead of November's general election.

Radel, a fellow Republican, was arrested last year for cocaine possession, and resigned from Congress in January.

CNN's Dana Davidsen, Alexandra Field and Julian Cummings contributed to this report.

@highlight

Longtime lawmaker Charlie Rangel claims victory in tough New York primary

@highlight

Six-term incumbent Thad Cochran holds off tea party challenge

@highlight

Rep. Lankford wins GOP Senate primary in Oklahoma