(CNN) -- With their billowing sails, towering masts and long wooden hulls, 19th century clipper ships were staggering feats of design -- and Europe's lifeline to the world's most exotic goods.

Laden with spices, teas and chocolates from across the globe, the use of these wind-powered sailing vessels reached its peak during the late 1800's, a period often referred to as the "Golden Age of Sail."

Abandoned in the advent of steamboats, the centuries-old transport is now enjoying a revival among cargo traders, with a new breed of merchant ships returning to wind power in an effort to promote environmentally sustainable trade.

This week, the 32-meter brigantine Tres Hombres set sail from the Netherlands to the Caribbean in an eight-month voyage transporting ale, wine, rum and chocolate -- much the same way as merchant ships would have done 150 years ago.

Named in honor of the three friends who founded the ambitious scheme, the 35-ton carbon-neutral vessel has no motor and relies on solar-powered fridges to keep its cargo cool.

"A lot of shipping companies are going bankrupt because fuel is so expensive," said one of the ship's founders and co-captain, Arjen van der Veen.

"The model we have now of shipping is unsustainable -- both for business and the environment. We chose a traditional rig because it's a beautiful design and we wanted to show people sailing can still be effective."

From its base in Den Helder in the Netherlands, Tres Hombres will head to Brixham in England where it will pick up 100,000 bottles of ale, delivering them to Douarnenez in France.

From there it will sail to ports across Europe and the Caribbean, transporting 500 liters of wine, 50,000 chocolate bars, 4,000 bottles of rum and 5-tons of cocoa beans in a round trip.

All the cargo is organic, making it eco-friendly from the moment it is produced to the moment it lands on the supermarket shelf, Van der Veen explained.

"The whole chain of production is sustainable," he said.

"For companies, it makes their goods unique. It's a little more expensive but people are willing to pay because it has no carbon footprint."

The Sail Transport Network (STN), a green travel campaign group, is now looking to create a sustainable transport certificate, much like the "Fair Trade" and "Organic" stamps found on other foods.

STN founder Jan Lundberg predicts that wind-powered cargo ships will soon be the norm as the world's fossil fuel supplies continue to diminish.

"The accelerating rate of change in the economy and finance, the peak oil factor and the climate crisis are all tipping factors. If more people sense this soon, you could see a jump in sail transport investment," he said.

"Many smaller older cargo vessels are idle today and are also being recycled -- these are realistic candidates for conversion to sail."

Recent figures show there is much at stake when it comes to sustainable transport on the high-seas. Around 90% of world trade is currently carried by the shipping industry, according to the International Maritime Organization.

The industry contributes 4% of global carbon emissions, United Nations figures show. Indeed, it says that if shipping were a country, it would be the sixth-largest emitter of greenhouse gases in the world.

But it could be that the winds of change are on the horizon. From January next year, new International Maritime Organization regulations will require shipping companies to cut emissions by 20% over the next seven years and a further 50% by 2050.

"By 2025 all new ships have to be 20% more efficient, so shipyards will also be compelled to produce more fuel-efficient vessels," Simon Bennett of the International Chamber of Shipping said.

"What's also important is that fuel costs have risen 400% since 2000 -- the operating costs are huge. In any case, every shipping company wants to reduce its emissions."

With these environmental concerns in mind, Van der Veen and his fellow Dutch captains Andreas Lackner and Jorne Langelaan set about building the Tres Hombres in 2007, using the hull of a former passenger ferry in the Aran Islands off the coast of Ireland.

Completed in 2009, this is Tres Hombre's fourth trade trip after previous voyages across western Europe, the Caribbean and even delivering relief aid to Haiti after the 2010 earthquake.

The trio are certainly not alone in their quest to find green alternatives to the gas-guzzling cargo vessels of the 21st century.

British wind power company B9 recently tested a model of its planned 100-meter, 3,000-ton carbon-neutral freighter.

The ship would use 60% wind power, relying on three computer-operated masts rising 55-meters -- as tall as a 14-storey building.

This would be supplemented by a bio-gas engine converting food waste into methane; the food waste being anything from restaurant slops to out-of-date sandwiches.

B9 co-director Diane Gilpin said the design would best suit smaller vessels, and they are now looking for between $30 million and $45 million in funding to get it off the ground.

"In the last 100 years we've been absolutely besotted with what oil can do for us," she said.

"Now we're running out of fuel and we have to be a little bit cleverer about how we deploy our ships."

She admits it will be a challenge changing the traditionally conservative shipping industry, but added: "If we're looking at a new, green, industrial revolution, those early movers will benefit from being there at the outset."

As Van der Veen said when the Tres Hombres crew first floated the idea of a engine-less cargo ship: "Everybody thought it was crazy but we've proved them wrong.

"It's so satisfying -- it's part of our goal to make a transport revolution."

@highlight

European merchant ships of the 19th Century were a lifeline to world's exotic goods

@highlight

"Golden Age of Sai" makes a comeback with modern-day wind powered cargo ships

@highlight

Sailing ship Tres Hombres leaves from Netherlands to Caribbean on eight-month voyage

@highlight

Part of 21st Century bid for environmentally sustainable travel