Port-au-Prince, Haiti (CNN) -- Thousands of people were pushing for rescue efforts in Haiti to continue Sunday, after a 24-year-old man was pulled alive from the ruins on Saturday, 11 days after the nation's devastating earthquake.

The Haitian government says it will be switching from a search and rescue operation to a search and recovery mission.

But families of Americans who were staying at the leveled Hotel Montana are fighting that, and started an online petition Saturday in an effort to continue search efforts there "until all the survivors are accounted for." As of Sunday morning, 2,395 people had signed the petition and sent 6,216 messages to the Senate, Congress and the White House, said Sue Keller, a friend of a family whose relatives are among the missing. The families hope to have at least 5,000 signatures by Monday, she said.

The Haitian government has said more than 111,000 people died in the January 12 quake, which registered 7.0 in magnitude. But on Saturday, a French rescue team was able to save one life as they pulled Wismond Jean-Pierre from the rubble of the Hotel Napoli Inn in Port-au-Prince.

According to his brother, Jean-Pierre worked in the hotel's grocery store and survived his week and a half in the rubble by consuming cookies and beer. Dehydrated but apparently without injury, Jean-Pierre was even talkative as he was placed in an ambulance and driven to a hospital.

Lt. Col. Christophe Renou, a French rescuer briefly overcome with emotion, called the three-hour effort "a miracle." Other members of the team -- assisted by American and Greek workers -- were seen weeping after Jean-Pierre was freed.

Rescues like Jean-Pierre's, and others that have happened in the week following the disaster, sparked hope among families of the missing. But the emotional rescue came on a day when much of Haiti was mourning as operations largely shifted from rescue to recovery, and the country's president attended the funeral of an archbishop who was one of the victims.

A Mexican rescue team had pulled the body of 63-year-old Monsignor Joseph Serge Miot from ruins near the national cathedral, which he oversaw as archbishop of Port-au-Prince. The cathedral was destroyed.

At the funeral, President René Préval was asked to respond to criticism that he has not shown strong public leadership and has been largely unseen in the aftermath. "This is not about politics today," he said.

CNN iReport:  Looking for loved ones in Haiti

The most recent death toll is the worst caused by an earthquake since the 2004 Asian tsunami that resulted from a temblor, and the second-highest death toll from an earthquake in more than three decades, according to the U.S. Geological Survey.

"Rescue teams continue to work in Port-au-Prince, we continue to hope that they will be able to find people still alive, but as time passes, we must gradually shift our resources from rescue to recovery," Nick Birnback, spokesman for U.N. peacekeeping operations, said Saturday.

International search teams have rescued at least 132 people since the quake struck, the U.N. said.

Birnback said the priority now is to remove bodies and clean up affected areas to avoid health hazards and the spread of disease. He said the United Nations will start bringing in heavier equipment, which will allow teams to move concrete and damaged homes.

More than 600,000 people have also been left homeless in and around the capital of Port-au-Prince, the U.N. Office for the Coordination of Humanitarian Affairs said.

Interactive map of where to find aid, hospitals in Haiti

Meanwhile, up to 140 flights a day are regularly arriving at the single-runway Port-au-Prince airport, compared with 25 in the immediate aftermath of the January 12 quake, OCHA said Saturday. To relieve congestion at the airport, humanitarian cargo is being moved to a forward dispatch area at one end of the runway.

The Las Americas airport in Santo Domingo, in neighboring Dominican Republic, is starting to report congestion as it becomes increasingly used as an alternative airport, OCHA said. It will now be open overnight to accommodate the extra traffic.

Those managing the land transport of supplies from Santo Domingo will need fuel, and OCHA said there is enough in Haiti to last an additional 18 to 19 days. But it said it expects no shortage of fuel because supplies of fuel will be able to enter the port during that time.

One concern with cross-border traffic is the unauthorized departure of Haitian children, OCHA said.

Charities and aid groups have said in recent days that they are concerned about the danger of child trafficking after the earthquake. Groups including Save the Children and World Vision have called for a halt to adoptions, saying many children may appear to be orphaned but have simply been separated from their families.

"If children must be evacuated from Haiti because their protection needs cannot be met in country, the evacuation must be carefully documented, the children must be registered with the proper authorities and all efforts must be made to reunify them with family before any adoption proceedings are considered," the U.S.-based Women's Refugee Commission said.

The number of unaccompanied children needing support is greater than the capacity to respond, OCHA said. Authorities are working with unaccompanied children who are being released from hospitals, it said.

@highlight

24-year-old pulled from hotel ruins 11 days after quake offers hope more are alive

@highlight

More than 111,000 have died since the January 12 quake, the Haitian government says

@highlight

Families are protesting the switch from search/rescue to rescue/recovery