(CNN) -- His was a suicide with a macabre twist. In February, former Chicago Bears safety David Duerson shot himself in the chest, but not before leaving behind a note requesting that his brain be studied for evidence of a disease striking football players.

The plaintive note read, "Please, see that my brain is given to the NFL's brain bank."

Scientists announced Monday that Duerson's brain tissue showed "moderately advanced" evidence of chronic traumatic encephalopathy, a dementia-like brain disease afflicting athletes exposed to repeated brain trauma.

"Dave Duerson had classic pathology of CTE and no evidence of any other disease," said Dr. Ann McKee, a neuropathologist with the Bedford VA medical center, and co-director of the Boston University School of Medicine Center for the Study of Traumatic Encephalopathy. "He had severe involvement of areas that control judgment, inhibition, impulse control, mood and memory."

CTE has been found in the brains of 14 of 15 former NFL players thus far studied at the Boston University center. Their cases share a common thread -- repeated concussions, sub-concussive blows to the head, or both. The picture beginning to emerge from these cases is that that trauma could be causing brain damage.

A brain with CTE is riddled with dense clumps of a protein called tau. Under a microscope, tau appears as brown tangles that look similar to dementia. But the cases of CTE have shown this progressive, dementia-like array in players well in advance of a typical dementia diagnosis, which typically occurs when people are in their 70s or 80s.

Mike Webster, an offensive lineman with the Pittsburgh Steelers and also diagnosed posthumously with CTE, was 50 when he died. John Grimsley, a nine-year NFL veteran who played most of his career with the Houston Oilers was 45, and Duerson was 50. Scientists at BU have found evidence of CTE in the brain of an athlete as young as 18.

"To see the kind of changes we're seeing in 45-year-olds is basically unheard of," McKee said in an earlier interview with CNN.

Duerson suffered a minimum of 10 known concussions during the course of his career, some of them involving loss of consciousness, said Dr. Robert Stern, co-director of the Boston University center. Symptoms that nagged Duerson after he retired from the NFL in 1993 were typical of cases such as Webster and Grimsley, including problems with impulse control, an increasingly short fuse and headaches.

Duerson's ex-wife said that while playing professionally, the head trauma he bore on the field would become plain after games ended.

"Sometimes he would come home with extreme headaches," said Alicia Duerson during an interview with CNN in February. "We would meet after the game and he would want me to drive because he felt dizziness or he just didn't feel stable."

Alicia Duerson said that several years before he died, her husband had been extremely bright, articulate, gifted. But as time wore on, he began to lose those faculties. Duerson began to have trouble forming coherent sentences and spelling. Alongside cognitive and emotional problems, a business that he established after his NFL career began failing.

The tragic culmination of his problems was his suicide on February 17.

"We do seem to be seeing an increased rate in athletes who have early and moderate stage CTE," said McKee, adding the caveat that the BU sample is autopsy-based and therefore inherently biased.

Duerson's death, and specifically the decision to shoot himself in the chest, apparently to avoid damaging his brain tissue, shocked members of his family and the football community. Duerson's case is the first in the CTE narrative in which a player ostensibly took his own life to have his brain studied.

"It's important for people to understand that it does not help our research or our mission of the CSTE to take their own lives because they fear they have this disease," said Stern. "The future will lead to successful treatment of this disease."

Duerson's son Tregg said that the analysis of his father's brain -- the answers to questions about death -- has given the family a measure of closure.

"It is my greatest hope that his death will not be in vain and that through this research his legacy will live on and others won't have to suffer in this manner," Tregg Duerson said.

@highlight

David Duerson shot himself in the chest in February

@highlight

He wanted his brain tissue to be studied

@highlight

Tests reveal he was suffering from chronic traumatic encephalopathy

@highlight

The disease is known to afflict athletes exposed to repeated brain trauma