(CNN) -- The U.S. Food and Drug Administration wants tighter regulation of indoor tanning beds, citing concerns about equipment malfunctions that have resulted in consumers getting excess radiation.

"We're not trying to burden tanning salons," said Dr. Jeffrey Shuren, FDA's director for medical devices. "But there are really concerning studies of adolescents being burned from excess UV radiation from indoor tanning."

Indoor tanning beds are currently classified as low-risk medical devices -- the same as bandages -- and not subject to review by the FDA.

Under a new FDA new proposal, they would be reclassified to a midrisk category, and companies would be required to prove to the FDA that their software is up to date, their sunlamps emit the right amount of energy and all safety control measures are in place.

"This is just basic smart testing that (indoor tanning) companies should be doing already but aren't. And if they are doing it now, they are not doing it well enough," Shuren said.

The Indoor Tanning Association released a statement following the FDA's announcement on Monday.

"The ITA represents reputable small businesses throughout the U.S. that already adhere to the highest professional standards including good manufacturing practices," the group said. "We embrace any label changes that will lead to a better understanding of the potential risks of overexposure and thereby enhance our customers' safety. However we are concerned that the proposed requirements will burden our members with addition(al) unnecessary governmental costs in an already difficult economic climate."

The tanning industry often ignores safety codes and regulations, research shows.

Recommended tanning exposure times are exceeded by 95% of indoor tanners, according to a report published Tuesday in the American Journal of Preventive Medicine.

Failing to post consumer warnings and allowing underage consumers to tan without parental consent is also common, according to the paper.

"Compliance has not been enforced so I'm not surprised people don't understand the risks," said Meg Watson, study author and epidemiologist at the Centers for Disease Control and Prevention's Division of Cancer Prevention and Control. "People hear conflicting messages, and it is particularly dangerous for teens in the United States."

A 2011 CDC report found more than one-third of teen girls have used indoor tanning beds by their senior year of high school.

Using indoor tanning beds before age 35 increases risk of developing melanoma -- the most deadly form of skin cancer -- by 75%, according to the Skin Cancer Foundation.

"The ultraviolet rays from indoor tanning are generally stronger than the summer sun at noon," said Dawn Holman, a behavioral scientist who works in the CDC's Division of Cancer Prevention and Control. "This is dangerous and people need to be warned."

The FDA proposal unveiled this week is aimed at reversing the rising cases of skin cancer for young adults. Melanoma is the second most common form of cancer for 15- to 29-year-olds, and the No. 1 cancer for 25- to 29-year-olds, according to the American Academy of Dermatology.

In addition to requiring manufactures to meet safety standards, the FDA will also require tanning beds to feature warning labels prominently on the beds and brochures aimed at people under 18 that say multiple use increases the risk of cancer.

The proposal is open for public comment for 90 days before the FDA issues its final recommendations. Afterward, indoor tanning manufacturers and salons will have one year to comply with any new requirements.

@highlight

Indoor tanning beds are not currently subject to review by the FDA

@highlight

Recommended tanning exposure times are exceeded by 95% of indoor tanners, report says

@highlight

Skin Cancer Foundation: Indoor tanning bed use before 35 increases melanoma risk by 75%