Tacloban, Philippines (CNN) -- Desperate pleas for food and water forced aid organizations and nations around the world to scramble Wednesday to deliver supplies four days after Typhoon Haiyan flattened areas of the Philippines, where bodies still litter the streets in one devastated province.

Rain from a tropical depression grounded some relief flights, while blocked roads and poor conditions at some airports made delivering other aid a difficult proposition, increasing the misery of survivors and raising anxiety.

"I fear anarchy happening in Tacloban City," said CNN iReporter Maelene Alcala, who was on vacation in Tacloban where the typhoon struck and was evacuated to Manila. "It's like survival of the fittest."

Tacloban, the provincial capital of the island of Leyte, was ground zero for the typhoon that struck Friday, leaving the city in ruins and its population of more than 200,000 in desperate conditions.

"The whole scene was like something fresh out of a movie. It was like the end of the world," Alcala said. "...Survivors are walking everywhere carrying sacks of goods they were able to get."

The lack of food and water drove famished survivors to desperate measures.

They've taken food and other items from grocery and department stores in Tacloban, where shop owners have organized to defend their goods with deadly force.

Authorities have sent police and military reinforcements to try to bring the situation under control.

Still, little aid was reaching victims, especially those in remote locations.

More than 2 million people need food aid, the Philippine government said.

The initial death toll projection of 10,000 was "too much," President Benigno Aquino III told CNN's Christiane Amanpour. He estimated that the final accounting would more likely be around 2,000 to 2,500.

The toll from Typhoon Haiyan -- known in the Philippines as "Yolanda" -- grew to 1,833 dead and 2,623 injured, the National Disaster Risk Reduction and Management Council said Wednesday. At least 84 people are missing, the council said.

The number of dead and wounded will likely grow as search and rescue efforts continue.

Among the dead, the State Department said Tuesday, were two U.S. citizens. Their identities were not released pending notification of next of kin.

Bodies in the streets

Everybody in Tacloban is searching for somebody.

A dog led Yan Chow and a search crew to the body of his daughter buried underneath debris in Tacloban.

Chow has been looking for his two children and his wife since the storm hit. He was texting with his daughter when the messages suddenly stopped, about the time a massive storm surge is believed to have hit the city.

Her body was found not too far from where they found her brother, some distance from their house, Chow told CNN early Wednesday.

The children's mother is believed to be buried somewhere nearby, Chow said.

Bodies litter the roads. Some are crudely covered in plastic and sheets, others left out in the blazing sun.

Many corpses are out of view, mixed up with the rubble spread out as far as the eye can see. Some of them may be buried inside homes covered by mud and debris.

Juan Martinez sits underneath a makeshift shack where his home once stood. Nearby, the bodies of his wife and two children are covered by sacks.

"I really want someone to collect their bodies so I know where they are taken," he told CNN's Anderson Cooper. "I want to know where they are taken."

Hundreds of thousands displaced

More than 580,000 people in the Philippines have been displaced in the aftermath of the storm, disaster officials said. Of those, about 286,000 people are being housed in 993 evacuation centers, the officials said.

CNN OPEN STORY: Typhoon Haiyan's impact

Aquino defended the pace of relief to some of the hardest hit areas.

The typhoon simply overwhelmed the ability of two or three local governments to do their jobs, which include taking care of the initial response, Aquino said. For example, in Tacloban, only 20 of 290 police were available when disaster struck; many were tending to their own families, he said.

The national government "had to replace a lot of the personnel with personnel from other regions to take care of government's vital functions," Aquino said.

The Philippines Armed Forces has increased troops and military engineers in Tacloban, and the army will fly aid to survivors in remote areas around the city with 11 helicopters and as many trucks.

The exodus from the ravaged areas is adding to road congestion, further slowing help from getting in.

Help on the way

At least 29 nations or government groups have sent or pledged aid, according to the Philippines government. The aid includes $25 million from the United Nations, $4 million from the European Union, $16 million from Britain and $10 million from the United Arab Emirates, home to a large population of expatriate Filipino workers.

In Hong Kong, the U.S. Navy rounded up sailors on shore leave from the USS George Washington and ordered the aircraft carrier's strike group to make "best speed" for the Philippines. Its air wings will deliver supplies and medical care to survivors.

The Pentagon ordered more Marines from Japan to join the relief effort, and the U.S. Navy was also preparing three amphibious assault ships to head for the region, a senior Pentagon official told CNN. Among other things, such ships can turn seawater into desperately needed potable water.

Experts from Doctors Without Borders, Oxfam and other organizations, as well as U.N. and U.S. civilian disaster assessment teams, were on the scene.

Belgium and Russia sent field hospitals. The European Union sent â‚¬3 million ($4 million) and two Boeing 747 aircraft loaded with supplies. Israel loaded up two 747s with 200 medical personnel and supplies.

Difficult deliveries

But it will almost certainly continue to be difficult to get that aid to survivors.

Many roads remain blocked, and electricity is out in many areas, making it difficult to operate at night.

Complicating matters, a new tropical storm, Zoraida, blew in Tuesday delivering more rain, the Philippine national weather agency PAGASA reported.

Zoraida is not a strong storm, but it has dumped just under 4 inches of rain in some places, CNN meteorologists say.

It was holding up desperately needed aid in at least one province, Iloilo, where Gov. Arthur Defensor Sr. grounded relief flights until it passed.

Zoraida also slowed air aid in the neighboring province of Cebu, an official said, although military planes continued flying at the maximum allowed level of risk there.

INTERACTIVE: 'The one building that survived the storm'

'God, thank you for this big miracle'

Amid the despair, there were moments of joy.

In Cebu, Fritz Anosa was reunited with his parents, who live in the hard-hit city of Guiuan where the storm made its first landfall in the Philippines. They were able to make it onto a Philippines Air Force C-130 making a return flight to deliver aid to the devastated community.

"When I first saw them, I was just so happy that we all broke down in tears," he said. "When I saw them, it was like, 'God, thank you for this big miracle.'"

Late Tuesday, CNN iReporter Debra Thomas found Sebastian Makison, the young man she has raised since high school. He was in the Philippines for volunteer work. Family members worked through Facebook and Twitter to find him, and a volunteer worker saw the posts and connected them. They visited over Skype late Tuesday night, bringing tears of joy.

"I am praying for the rest of the families and I hope they are as lucky as we are," Thomas said.

CNN BELIEF BLOG: Where was God in the Philippines?

CNN's Nick Paton Walsh and Paula Hancocks reported from Tacloban; Chelsea J. Carter reported and wrote from Atlanta. CNN's Ben Brumfield, Michael Pearson, Ivan Watson, Barbara Starr, Matt Smith, Jessica King, Saad Abedine, Jethro Mullen, Catherine E. Shoichet, Neda Farshbaf, Andrew Stevens, Kristie Lu Stout, and Jessica King contributed to this report.

@highlight

"I really want someone to collect their bodies," man says of dead family members

@highlight

Tacloban "is like something fresh out of a movie. It's like survival of the fittest," one survivor says

@highlight

Bodies lay uncollected in the streets of Tacloban and still more are believed buried under buildings

@highlight

Aid groups, nations race to get aid to Philippines, but wreckage, weather slow relief