Gaza City (CNN) -- After weeks of fighting and hundreds of deaths, some semblance of peace may be coming to the Middle East -- at least temporarily.

U.N. Secretary-General Ban Ki-moon and U.S. Secretary of State John Kerry announced Thursday that an unconditional humanitarian cease-fire will begin at 8 a.m. Friday in Gaza (1 a.m. ET). It will last 72 hours -- or three days -- "unless extended," the United Nations and United States said in a joint statement.

"During this time, the forces on the ground will remain in place," the statement said.

Israel has accepted the cease-fire, officials in its prime minister's office texted CNN. So, too, has Hamas, a spokesman for the militant fundamentalist Islamic organization texted.

The cease-fire is meant to allow humanitarian aid to reach civilians in Gaza caught up in the violence, some of whom have seen their neighborhoods hit hard and loved ones killed, hurt or displaced. The aid will include food, care for the injured and burial of the dead.

As all this is going on, Israeli and Palestinian officials should be meeting in Cairo to try to reach "a durable cease-fire," the U.N. and U.S. statement said. "The parties will be able to raise issues of concern in these negotiations."

Will they be able to reach a breakthrough?

The past doesn't suggest that is likely, at least anything that will lead to a solution to issues that Israelis and Palestinians have been grappling with for decades. And the animosity between Israel and Hamas, which controls Gaza, runs especially deep, with both sides accusing each other of putting each others civilians at risk.

Kerry called the talks -- to be mediated by Egypt and to include a small American delegation -- "a lull of opportunity ... to try to find a way to ... obtain a sustainable cease-fire," while admitting there are "no guarantees."

As Kerry noted, "Everyone knows it has not been easy to get to this point, and everyone knows it will not be easy to get beyond this point."

Palestinian negotiator Saeb Erakat offered similar sentiments on the new talks, which he said will include "all Palestinian factions" -- not just Hamas.

"It's a difficult road," said the longtime Palestinian official. "I am hoping against hope that we can (make) every possible effort, with the help of everyone out there, (to) reach a permanent cease-fire."

U.N. official alludes to potential war crimes

The latest round of violence, which started earlier this summer, has been particularly bad. At least 1,452 people have been killed in Gaza, and 8,360 wounded, during the current conflict, Gaza Ministry of Health spokesman Ashraf al-Qudra said. That's more than the 1,417 Palestinians that the Palestinian Center for Human Rights said died in the 22 days of Israel's Operation Cast Lead, which spanned 2008 and 2009.

Those killed in the ongoing hostilities -- which are tied to the Israeli military's Operation Protective Edge -- include 327 children and 166 women, the Gaza health ministry reports.

The bloodshed prompted the United Nations' top human rights official to warn that war crimes may have been committed, accusing Israel of "deliberate defiance of obligations (to) international law."

U.N. High Commissioner for Human Rights Navi Pillay referred to the shelling of homes, schools, hospitals and U.N. "premises," while insisting, "We cannot allow this impunity, we cannot allow this lack of accountability to go on."

"None of this appears, to me, to be accidental," Pillay said.

The scale of the violence, as well as the international condemnation of it, could drive both sides to peace. But even if it does, some Palestinians -- like Samy Bahraqe, who is in a U.N. camp after her home was destroyed -- aren't looking forward to the future.

"Life is meaningless," Bahraqe said. "... What dreams in life can we have now that everything is ruined?"

More Israeli reservists called up

News of the cease-fire didn't stop the violence. Almost immediately afterward, warning sirens went off around Israel -- with its military announcing later it had intercepted one rocket from Gaza, while two others landed in the Mediterranean Sea.

Israel has been protected very effectively from Hamas rockets by its Iron Dome defense system, though a few have hit land. That includes a rocket that struck a neighborhood Thursday in Qiryat Gat, about 20 miles from Gaza, seriously injuring a man and setting a car afire, Israeli spokesman Mikey Rosenfeld said.

Three civilians have been killed in Israel since the conflict began, while many more have been forced to take shelter as rockets rained overhead. But the brunt of the conflict has been born by Israel's military, with 61 of its soldiers dying in recent weeks, with five of those deaths occurring Thursday evening.

They will get help soon, with Israel Defense Forces announcing the call-up of 16,000 reservists. That will bring the total number of reservists activated since the start of the operation to 86,000, a military spokeswoman said.

Israel has accused Hamas of hiding weapons, including rockets, in schools and launching attacks from near shelters -- a fact that, it says, has contributed to civilian deaths.

Many outside Israel aren't convinced.

Chile, Peru, Brazil and Ecuador have pulled their ambassadors out of Tel Aviv to protest the Israeli offensive. Even the United States -- an ally of Israel -- believes "the Israelis need to do more" to prevent civilian deaths, Pentagon spokesman Col. Steve Warren told reporters.

Still, such calls haven't stopped the United States from agreeing to Israel's request to resupply it with several types of ammunition, a U.S. defense official told CNN on condition of anonymity. It's not an emergency sale, the official said. The items being bought include tank rounds and illumination rounds, the Pentagon said.

Nor will a cease-fire stop Israel's attempts to destroy Hamas' network of tunnels that Israeli Prime Minister Benjamin Netanyahu says is the first phase of the demilitarization of Gaza.

While "neither side will advance ... Israel will be able to continue its defensive operations for those tunnels that are behind its lines," Kerry explained.

'We are tired, and we have had so much loss of life'

Meanwhile, Gaza is reeling.

More than 219,000 Palestinians are packed into 86 shelters across Gaza, the U.N. said. That works out to about 12% of all of Gaza's population.

Clean water is inaccessible for most. And some 3,600 people have lost their homes.

"We cannot supply electricity" for hospitals, sewage treatment or domestic use, said Fathi al-Sheikh Khalil, deputy chairman of the Palestinian Energy Natural Resources Authority in Gaza. "This is a disaster."

Al-Qidra, the Gaza health spokesman, said health care workers are struggling to deal with the relentless stream of dead and wounded.

"The hospitals in Gaza yesterday had a very difficult time. All the hospital morgues were flooding with dead bodies, and the injured were laying on hospital floors because of the lack of hospital beds," said al-Qidra.

Count Sakher Joham among those Palestinians hoping, praying that the misery ends.

The violence forced him to flee his home, with his five children and "just the clothes on my back."

"We are tired, and we have had so much loss of life," Joham, 32, said of himself and fellow Palestinians. "We want to live with our children a life of dignity, like the rest of the world."

Inside a Hamas tunnel

What is Hamas' endgame in Gaza?

What is Israel's endgame in Gaza?

Opinion: Gaza peace struggle drains me of hope

What You Need to Know About the Israel-Hamas Blame Game

CNN's Karl Penhaul reported from Gaza City; and Greg Botelho reported and wrote from Atlanta. CNN's Mariano Castillo, John Vause, Jethro Mullen, Steve Almasy, Tim Lister, Kareem Khadder, Samira Said, Tal Heinrich and Larry Register contributed to this report.

@highlight

NEW: Official: 1,452 killed in Gaza, which is more than a group says died in 2008, 2009

@highlight

Israel and Hamas accept the 72-hour cease-fire, officials tell CNN

@highlight

Palestinian official "hoping against hope" it will lead to a "permanent cease-fire"

@highlight

U.N. rights chief says Israeli shellings that killed civilians don't appear "to be accidental"