New York (CNN) -- Zahra Shams is a 21-year-old student of law at Ferdowsi University in Mashhad, Iran. She was arrested on May 6, 2010, and held in solitary confinement. She is not a political activist.

The reason for her arrest: Her sister Fatemeh Shams, a poet, blogger and graduate student at Oxford University, is a solid supporter of the Green Movement in Iran.

Fatemeh Shams became even more vocal since last summer's presidential election, when her husband, Mohammad Reza Jalaipour, also a graduate student at Oxford, was arrested in the airport as the couple was leaving Iran to resume their studies in the U.K. He was jailed for more than two months and subsequently released, but not permitted to leave Iran to join his wife in Oxford to resume his studies.

The authorities in Iran evidently arrested Zahra Shams to force her sister Fatemeh into silence in Oxford. She did not become silent. Last week the authorities released Zahra Shams.

Majid Tavakoli is a 24-year-old student activist from Amir Kabir Technical University in Tehran. He has been repeatedly jailed for long periods of time. Arrested on December 7, 2009, during the student protests over the disputed presidential election of 2009, Tavakoli became the subject of global solidarity when authorities in Iran sought to humiliate him by taking his picture garbed in mandatory women's veils. Almost instantly, countless Iranian men wore veils and published their pictures on the internet in solidarity with Tavakoli.

Similarly, when Tavakoli went on a dry hunger strike to protest his solitary confinement, his mother, too, initiated a hunger strike in solidarity with her son, which many young Iranians from around the globe followed. The authorities yielded and transferred Tavakoli from solitary confinement to a regular ward.

Zahra Shams, an apolitical law student, and Majid Tavakoli, a major political activist and a pain in the neck of the Islamic theocracy in Iran, are two typical examples of the two ends of the spectrum on which young Iranians are challenging the 31-year-old theocracy that has ruled their land.

The hopes and aspirations of these young women and men -- in a nation where young people make up some 70 percent of the total population -- are now branded a "fetneh/menace" by the loud propaganda machinery of the Islamic Republic.

Fortunately for Iran, and fortunately for the world, that old and noisy machinery isn't working. Zahra Shams and Majid Tavakoli, and the generation they represent, are in charge of representing themselves and telling the world what they want.

June 12, 2010, is the first anniversary of the election that sparked the Green Movement in Iran, a nonviolent civil rights uprising that caught the world by surprise. In a region infested with violence --genocidal, homicidal or suicidal -- it is impossible to exaggerate the significance of a massively popular civil rights movement that has begun and continued with the most fundamental democratic question of "Where is my vote?" It is a seminal question that had never been asked on such monumental scale in any other aspiring democracy in the region.

With the ring of that simple but resounding question, "Where is my vote?" millions of Iranians have forced the hand of the Islamic Republic, exposing its naked brutality. If the world were to listen and watch carefully, it would see that the ancient Greek theory of democracy; the French Revolution's cry for liberty, equality and fraternity; the American revolt against despotism and tyranny; and ultimately the American Civil Rights Movement of the 1950s and 1960s are today all resonating in the Iranian cry for freedom.

For daring to doubt the veracity of the official results of last year's presidential election, innocent citizens have been subject to systematic and unbridled violence by the security apparatus of a theocratic regime that seems to be, more than anyone else, cognizant of its own absence of legitimacy. Mir Hossein Mousavi and Mehdi Karroubi, the leading two opposition figures, just canceled their call for a mass silent rally on the first anniversary of the Green Movement for fear of organized state violence against peaceful demonstrators.

The Islamic Republic is of course no exception to the rule of state-sponsored violence against innocent civilians in the region. Against that backdrop, the Green Movement in Iran has opened a new and unprecedented chapter in the political culture of the region that old colonial officers branded "the Middle East." Violent coups, militant rebellions, military invasions and brute insurrectionary uprisings are the staple of the political culture in this region.

In a region where the enduring formation of democratic institutions and of nonviolent transition to democracy has always been thwarted by the rise of one charismatic tyrant or another, from Jamal Abd al-Nasser to Ayatollah Khomeini, the Green Movement boasts no such leader. And it is teaching those who care to watch an entirely new lesson in the art and craft of small steps and careful coalition-building on the long and arduous path to democracy.

By contrast, the West's claim to moral superiority has been undermined by the continued carnage in Iraq and Afghanistan, both still effectively under U.S.-led occupation, and of Israel's wanton disregard for the humanitarian crisis in Gaza. What's a little torture in Kahrizak and Evin over the last year compared to what the United States has done in Abu Ghraib, Guantanamo Bay and Bagram Airbase in the course of its "war on terror" over the last decade?

The United States has invariably supported undemocratic regimes to safeguard its immediate interests, compromising its longstanding ideals and principles. Today, Iranian demonstrators braving brutal repression in their streets and on their rooftops are truer to the ideals and aspirations of Thomas Jefferson and Martin Luther King Jr. than those in positions of power and authority in the United States.

One can scarce imagine a more urgent issue facing the United States than the possibility of an Islamic Republic achieving nuclear arms. But is President Obama a credible leader to force Iran to stop its nuclear ambition when he continues with the double standard of never bringing Israel or Pakistan, two nuclear power allies of the United States who are not even signatories to the nonproliferation treaty, to the negotiating table?

The Green Movement is providing President Obama with a historic opportunity to show the courage of his imagination and opt for regional and ultimately global disarmament, predicated on a nonviolent principle that community organizers (he must remember that term) in Iran seem to have learned from Martin Luther King more earnestly than he has.

One year later, the Green Movement is unfolding in multiple and varied ways, and nothing will stop it. It may thunder as a cascade or flow quietly on a plateau -- but like any other bountiful river it will not stop until it reaches its destined ocean.

From the gracious patience of Zahra Shams in solitary confinement in a Mashhad prison to the noble anger of Majid Tavakoli counting days to his people's freedom in a cell in Evin prison, the young Iranians are teaching nations the very alphabet of a language of liberation that the world leaders are yet to learn.

The opinions expressed in this commentary are solely those of Hamid Dabashi.

@highlight

Hamid Dabashi says young people continue the fight for freedom in Iran

@highlight

He says Green Movement is marks its anniversary as it survives repression by regime

@highlight

Green Movement embodies ideals of freedom from American revolution

@highlight

He says U.S. policy in region isn't living up to America's own ideals