This week, we mark the tenth anniversary of the day the U.S. launched the Iraq War. But when we think of how differently that war might have been fought, the most important date to remember is February 25, 2003.

That's when Army Chief of Staff Eric Shinseki told the Senate Armed Services Committee that "several hundred thousand soldiers" would be needed in Iraq when post-hostilities control was taken into consideration.

Shinseki's estimate was more than double that of the George W. Bush administration, which in March 2003 sent a ground invasion force of 145,000 troops into Iraq.

Donald Rumsfeld's Defense Department wasted no time in answering Shinseki. Two days after Shinseki's Senate testimony, Deputy Secretary of Defense Paul Wolfowitz used his appearance before the House Budget Committee to present an entirely different view of America's prospects in Iraq.

"Some of the higher-end predictions that we have been hearing recently, such as the notion that it will take several hundred thousand U.S. troops to provide stability in post-Saddam (Hussein) Iraq, are wildly off the mark," Wolfowitz declared. "It is hard to conceive that it would take more forces to provide stability in a post-Saddam Iraq than it would take to conduct the war itself."

The Department of Defense's anger with Shinseki was understandable. His troop estimate made it seem as if the Bush administration was lowballing Congress and the American public. But there was nothing out of the ordinary in Shinseki's thinking.

In Bosnia, where Shinseki had served with the United States peacekeeping mission after the ethnic warfare there was stopped, the Pentagon had used a formula of one soldier for every 50 Bosnians. In Iraq that calculation added up to 300,000 troops.

The Defense Department countered Shinseki by saying that Iraq was very different from Bosnia when it came to troop needs. "There has been none of the record in Iraq of ethnic militias fighting one another that produced so much bloodshed and permanent scars in Bosnia, along with a continuing requirement for large peacekeeping forces to separate those militias," Wolfowitz insisted.

By April 2003, one month after the Iraq invasion began, it became clear that Shinseki's troop estimate was correct. When mobs began looting government buildings and hospitals, there were not enough American soldiers to stop them. "Stuff happens!" was Rumsfeld's explanation of the chaos.

A more publicity conscious Army chief of staff than Shinseki might have used the looting to make his case before the media. Long before their disagreement over Iraq, he and Rumsfeld had clashed over Rumsfeld's belief that high-tech warfare gave the Pentagon leeway to reduce overall American troop strength.

In 2002 Rumsfeld, irritated by Shinseki's insistence that American troops were stretched too thin around the world, had made Shinseki a lame-duck Army chief of staff by announcing his successor while Shinseki had more than a year left to serve.

In the spring of 2003 Shinseki chose, however, not to engage in a protracted war of words with Rumsfeld. Instead, he stuck to his position on what was needed in Iraq and waited until his Pentagon retirement ceremony in June 2003 to make his case that in the wake of 9/11, America needed more boots on the ground to meet its global responsibilities.

"Beware the 12-division strategy for a 10-division Army," Shinseki told his Pentagon audience and then went on to compare America's war in Iraq with the war he knew as a junior officer in Vietnam.  "The lessons I learned in Vietnam are always with me," Shinseki stressed, "lessons about loyalty, about taking care of the people who sacrifice the most."

Both President Bush and Rumsfeld made a point of not attending Shinseki's retirement ceremony, and the New York Times buried its account of Shinseki's retirement speech on page 32 of the news section.

By contrast, those who came to Shinseki's retirement ceremony did so as an act of support, and they included not only Army brass who appreciated the stance he had taken on Iraq but a contingent of his West Point classmates, who, like Shinseki, had served in Vietnam during the 1960s.

In the eyes of many of his classmates, Shinseki, who lost nearly half his right foot after stepping on a Vietnam land mine, was doing for the troops in Iraq what President Lyndon Johnson and his  secretary of defense, Robert  McNamara, had failed to do for America's troops in Vietnam: he was looking out for them regardless of the political consequences.

To these classmates Shinseki's candor about Iraq made him as much a hero as his Vietnam combat record, and today, as we look back on Iraq and try to decide who the best and brightest generals of that war were, Shinseki's 2003 judgment shines through. Small wonder that, like another admired Army chief of staff, World War II hero Omar Bradley, Shinseki has had a second career as the head of the Veterans Administration.

@highlight

Nicolaus Mills: An American general took issue with Bush administration views on Iraq

@highlight

Eric Shinseki argued that the U.S. needed a much larger force to bring stability to Iraq

@highlight

Others who objected to his estimate were proved wrong, Mills says

@highlight

Mills: Shinseki, now VA chief, was penalized for showing loyalty to troops