Washington (CNN) -- The wealthy will account for more tax revenue, House Speaker John Boehner said Wednesday, while challenging President Barack Obama to sit down with him to hammer out a deal for avoiding the fiscal cliff.

"We have got to cut spending and I believe it is appropriate to put revenues on the table," Boehner told reporters on Wednesday. "Now, the revenues that we are putting on the table are going to come from guess who? The rich."

He continued, "There are ways to limit deductions, close loopholes and have the same people pay more of their money to the federal government without raising tax rates, which we believe will harm our economy."

Read more: House GOP sticks with Boehner on cliff

Obama, however, continued to insist that Republicans have to ensure no one except the highest-earning 2% of Americans will face higher taxes, before working out a broader agreement on tackling the nation's chronic federal deficits and debt.

In remarks to business leaders on Wednesday, Obama said Boehner and Republicans have to take the first step.

"I think there is recognition that maybe they can accept some rate increases as long as it is combined with serious entitlement reform and additional spending cuts," the president said. "And if we can get the leadership on the Republican side to take that framework, to acknowledge that reality, then the numbers actually aren't that far apart."

He added that "we can probably solve this in about a week -- it's not that tough."

The statements reflected how negotiations on the automatic spending cuts and tax hikes set to occur on January 1 -- the fiscal cliff -- have evolved since Obama's re-election, and Democratic gains in both houses of Congress, last month.

Treasury Secretary Timothy Geithner told CNBC Wednesday the Obama administration is "absolutely" prepared to go off the fiscal cliff "if there's no prospect to an agreement that doesn't involve those rates on the top 2%."

Republicans opposed to any new revenue in their quest to shrink government now realize Obama's victory and public support for the president's campaign theme of higher taxes on the wealthy leave them with little negotiating leverage.

Read more: The road to fiscal cliff paved with good intentions

Less than four weeks from the fiscal cliff, GOP leaders face a choice: Agreeing to Obama's demand to hold down tax rates on most Americans while allowing higher rates on top earners, or being blamed for everyone's taxes going up in 2013.

Polls show that more Americans will blame Republicans, instead of Obama and Democrats, if there is no deal and the nation goes over the fiscal cliff. A Washington Post/Pew Research Center survey released Tuesday put the margin at 53%-27% in citing Republicans or Obama. A CNN/ORC International poll released last week showed 45% would blame congressional Republicans compared to 34% who would hold Obama responsible.

Economists warn that the fiscal cliff's automatic tax hikes and spending cuts would invite recession.

Republican Sen. Tom Coburn, a leading deficit hawk, said Wednesday that to avoid the crisis, he would support higher tax rates on wealthier Americans as part of a broader deal with Obama and congressional Democrats.

Homes, cars, jobs: Americans already making big decisions over fiscal cliff

"I know we have to raise revenue," the senator from Oklahoma told MSNBC. "I don't really care which way we do it. Actually, I would rather see rates go up than do it the other way, because it gives us a greater chance to reform the tax code and broaden the base in the future."

Despite the public stance softening of some Republicans in each house, signs point to a continuing standoff. Obama and Boehner spoke on the phone Wednesday afternoon, for the first time in a week, according to a source familiar with the call. But the source said the conversation didn't lead to any breakthrough. And moving forward, no formal negotiating sessions are known to be scheduled, and congressional aides say no back-channel discussions are taking place.

The House is scheduled to adjourn for the year on December 14, but Boehner's number two, House Majority Leader Eric Cantor, said Wednesday the chamber would remain in session until a fiscal cliff deal gets reached.

Read more: Americans make big choices over fiscal cliff

And Boehner said, "I'll be here and I'll be available at any moment to sit down with the president to get serious about solving this problem."

Obama demands that the House immediately pass a measure already approved by the Senate to extend tax cuts for families making less than $250,000 a year while allowing rates to return to higher Clinton-era levels for wealthier households.

Democrats, including the president, argue that both sides agree that the 98% of Americans making less than $250,000 a year should avoid a tax hike when the tax cuts from the Bush administration expire on December 31. They call for the House to guarantee that outcome by passing the Senate measure now.

Once that happens, Obama and Democratic leaders promise, they will work out compromises on other spending cuts sought by Republicans to reduce the deficit, such as reforms to the Medicare and Medicaid entitlement programs.

The latest proposal from House Republicans could reduce the nation's chronic federal deficits by $2.2 trillion over 10 years.

The GOP proposal includes $800 billion from tax reform, $600 billion from Medicare reforms and other health savings and $600 billion in other spending cuts, House Republican leadership aides said. It also pledges $200 billion in savings by revising the consumer price index, a measure of inflation.

While the Republicans gave ground by calling for more revenue through tax reform, the plan only mentioned unspecified elimination of some deductions and loopholes.

Jason Furman, an assistant to Obama on economic policy, told reporters Wednesday that the president wants to ensure additional revenue from higher taxes on the wealthy now to help avoid the fiscal cliff. He described the Republican proposal for more revenue as lacking specifics.

"Tell us what it is. Show us a score," Furman said. "Tell us how it locks in revenue because you're trying to actually pass a bill this year, not engage in some long process around tax reform, which we don't have time to do by the end of this year."

Opinion: Millionaires' tax bracket would be a smart compromise

While some Republican senators have blasted the House proposal, others have signaled a willingness to use it as a starting point.

Sen. Charles Grassley of Iowa, a senior Republican on the Finance Committee, said he would support Boehner's plan to raise revenue, but only if there is a "willingness on the part of Democrats to accept spending cuts that are three-to-one or four-to-one."

While the White House has made clear Obama will veto any measure that fails to increase tax rates on the wealthy, aides have signaled a possible willingness to negotiate the specific rate increase.

In an interview with Bloomberg TV, Obama said lower tax rates for the wealthy could be negotiated as part of broader tax reform in 2013, but only after those rates increase now.

Obama's deficit-reduction plan would increase taxes by almost $1 trillion over 10 years, a significant portion of a $4 trillion overall deficit-reduction goal.

It also would close loopholes, limit deductions, raise the estate tax rate to 2009 levels and increases tax rates on capital gains and dividends.

The Obama plan includes $50 billion in stimulus spending for programs intended to create jobs, such as repairing roads and bridges.

Experts have said failing to reach a fiscal cliff deal and devise a framework for a broader deficit reduction package to be negotiated when the new Congress is seated in January will cause economic turmoil.

The non-partisan Tax Policy Center estimates that middle-class families would pay about $2,000 a year more in taxes without action.

Read more: Same players, same disputes in fiscal cliff debate

CNN's Ted Barrett, Kate Bolduan, Deirdre Walsh, Paul Steinhauser, Jessica Yellin, Mark Morgenstein and Greg Botelho contributed to this report.

@highlight

NEW: Obama and Boehner talk by phone but don't reach any agreement, source says

@highlight

House Republicans implore Obama to negotiate

@highlight

Obama insists on holding down tax rates for all but the wealthy

@highlight

Without a deal, everyone's taxes go up in January and spending gets cut