(CNN) -- There is a story that the first time a Persian 'Qajar dynasty' king attended a concert during a European tour, he was asked what he liked most about it. "The beginning," he answered, having assumed that the sound check was part of the performance.

A similar incident happened during the U.N. General Assembly earlier this week. It was a good opportunity to bring together the Obama and Rouhani administrations in order to tune their instruments.

While vague expressions such as "cautious optimism" were tossed around in the media, in reality some American and Iranian journalists -- and political analysts -- were waiting to hear a symphony orchestra performance. This unrealistic enthusiasm was evident in the focus and media speculation given to the story of Presidents Hassan Rouhani and Barack Obama accidentally -- but apparently on purpose -- bumping into each other.

At midnight Tehran time (the early hours of Tuesday morning in New York, the same day that world leaders were about to attend the U.N. luncheon) Shargh, an Iranian reformist newspaper, hurriedly decided to publish a second version of its front-page story reporting a meeting between the two presidents. On Wednesday, the disappointed journalists published a wishful and envious headline that read "Perhaps Another Time!"

Investing in the probability of a handshake, which would have been symbolically significant despite having little value in terms of political reality, raises a more serious concern.

Did Obama and Hugo Chavez shaking hands change U.S.-Venezuela relations? Having such expectations of diplomacy is like a Persian proverb -- blowing the horn from the bell instead of the mouthpiece.

At a time when our traditional slow and gradual courtship process has been replaced by online dating followed by an instant hook-up, it is not surprising to expect overnight miracles in diplomacy.

Read more: Iranians warm to possible thaw

Let's take a look at another example. From the day President Nixon took office in 1969, he wanted to end 23 years of U.S.-China hostility. But he did not shake hands with Mao until after planning, and two trips to China, including one secret visit by his National Security Adviser, Henry Kissinger.

Winston Lord, a member of the National Security Council's planning staff who was with Nixon on that trip says the Chinese reception was "sort of anticlimactic." He adds: "There wasn't the color and excitement that one expected."

President Obama and Rouhani did tune their instruments during their speeches at U.N. General Assembly; Obama said that his administration does not seek regime change in Iran, and Rouhani responded that managing differences is possible.

However, with these first indications of a change in Iran-U.S. relations, one should not expect to see an immediate end to chants of "Down with USA" at Friday prayers in Tehran or across Iranian cities. After Nixon's trip to China, anti-American sentiments did not completely disappear among the Chinese, but decreased gradually, over time.

That shows why, in an editorial piece in Iran's Revolutionary Guards' weekly paper on September 21, a few days before the U.N. General Assembly, Reza Garmabdary, who is the head of the IRGC political research center, wrote: "the domestic reverberation of interaction [between the U.S. and Iran] must be in a way that preserves the people's rage towards and hatred of the global arrogance."

One might find this suggestion something of a blow to the potential Iran-U.S. rapprochement. But a closer look at the editorial shows that in fact the author gives a green light to an agreement between the Rouhani administration and that of Obama.

Contrary to what has been said in the international media over the past few days, IRGC commanders are not opposed to Rouhani and Obama dancing together -- what they don't want Rouhani to do is actually enjoy the dance. They are warning Rouhani of the cunning tactics of his "expert and skilled" partner.

Read more: Amanpour on why Rouhani may be different

The IRGC weekly stresses that Rouhani's team "must not express complete satisfaction with possible agreements" and continues to demand that "strong guarantees must be obtained for every possible agreement and a major part of the guarantees must be unilaterally offered to Iran." According to the piece, the back door should always remain open and no bridges should be burnt.

Such advice could enrage those who are against negotiations with Iran. But the truth is that the IRGC is looking at the situation as cautiously and realistically as some of its die-hard enemies in the U.S.

Some analysts apologetically argue that the first part of Rouhani's speech at the U.N. General Assembly was merely targeted to his domestic audience, including the Revolutionary Guards. Undoubtedly, the prologue to the speech was filled with jargon and a combination of different theories on humanities and social science.

In other words, he was criticizing the current world order and accusing the West of considering itself as "superior" and the rest of the world (ie. Iran) as "inferior." It is possible that he intended to convey this message using complicated language not to draw too much criticism, but the fact that Rouhani and his accompanying team could truly believe in such sentiment and not only planned to appease the Iranian hardliners cannot be ruled out.

The ruling elites of Iran are not happy with the current state of world affairs; the difference, however, is that some leaders such as Rouhani want to change the situation and obtain a better position in the world via interaction, while others seek confrontation.

Let's not forget that Iran's Supreme Leader, Ayatollah Seyyed Ali Khamenei, has tested both interaction and confrontation during his 24 years in charge.

Previously, as soon as he allowed one group to try an approach, he had to face the criticism of a rival group. Today, however, all of Iran's power players are in agreement, letting Rouhani test the negotiation approach. For example, Judiciary Chief Sadeq Larijani described Rouhani's U.N. speech as reasonable and said: "Provided that the conditions are fair, honorable and [there is] mutual respect, Iran has nothing against negotiations [with the U.S.]."

This is the first time that Iran's political elites have spoken in a unified voice.

Read more: One day, U.S. and Iranian president might shake hands

The opinions expressed in this commentary are solely those of Ali Reza Eshraghi.

@highlight

Some were overly enthusiastic about meeting between Iranian, U.S. presidents, writes Eshraghi

@highlight

He asks: Did Obama and Chavez shaking hands change U.S.-Venezuela relations?

@highlight

Do not expect to see an end to "Down with USA" chants across Iran, he writes

@highlight

Eshraghi: Leaders like Rouhani want to obtain a better position in the world via interaction