Tokyo (CNN) -- While saying there are no indications yet of dangerously high radiation levels in the atmosphere, a Japanese government official said Sunday that there is a "possibility of a meltdown" at two of the country's nuclear reactors.

Chief Cabinet Secretary Yukio Edano told reporters that officials still do not know if there have been meltdowns in the No. 1 and No. 3 reactors at the Fukushima Daiichi's nuclear facility in northeast Japan. But as they attempt to cool down radioactive material and release pressure inside the reactors, he said authorities were working under the presumption that such meltdowns have taken place.

"We do believe that there is a possibility that meltdown has occurred. It is inside the reactor. We can't see. However, we are assuming that a meltdown has occurred," he said of the No. 1 reactor. "And with reactor No. 3, we are also assuming that the possibility of a meltdown as we carry out measures."

A meltdown is a catastrophic failure of the reactor core, with a potential for widespread radiation release.

Edano's comments confirmed an earlier report from an official with Japan's Nuclear and Industrial Safety Agency, who had told CNN, "we see the possibility of a meltdown."

Though Toshihiro Bannai, director of the agency's international affairs office, said engineers have been unable to get close enough to the core to know what's going on, he based his conclusion on the fact that they measured radioactive isotopes in the air Saturday night.

"What we have seen is only the slight indication from a monitoring post of cesium and iodine," he said.

But Bannai added that he didn't believe a disaster was looming.

"We actually have very good confidence that we will resolve this," he said.

Edano, too, raised few alarms during his press conference Sunday. He based his optimism in large part on measurements of radiation outside the nuclear plant, conceding fluctuations may occur while stating that levels have generally decreased.

"We are continuing to monitor the radiation, but it is (under) control," he said.

Edano said that nine people have tested positive for high radiation levels on their skin and clothing, with doctors now trying to determine if they were impacted internally. Medical care, including radiation screening, will be offered to those who are being evacuated from the nuclear zone, the secretary added.

The Japanese government was preparing to distribute iodine tablets to residents, the IAEA said. Iodine is commonly recommended to block the uptake by the thyroid gland of radioactive iodine.

The problems at the Daiichi plant began Friday, when the 8.9-magnitude quake struck off the eastern shore of Miyagi Prefecture. The quake forced the automatic shutdown of the plant's nuclear reactors and knocked out the main cooling system, according to the country's nuclear agency.

A tsunami resulting from the quake then washed over the site, knocking out backup generators that pumped water into the reactor containment unit to keep the nuclear fuel cool.

Edano said that there have not been any leaks of radioactive material at either of the affected plants. Authorities deliberately have let out radioactive steam in order to alleviate growing pressure inside both of the affected reactors.

Pressure had been mounting inside the reactors as steam built up inside, because water meant to cool the fuel rods was boiling.

As of Sunday morning, winds in northeast Japan were blowing out to sea at 5-15 mph, said CNN Meteorologist Taylor Ward. But they were expected to reverse direction by Monday night, he said. The Daiichi plant is located about 160 miles (260 kilometers) north of Tokyo.

Plant officials are also injecting sea water and boron into the plant in an effort to cool its nuclear fuel and stop any reactions.

Boron, a chemical element, was being added to the water "to sort of stymie other potential nuclear reactions," according to Robert Alvarez, senior scholar at the Institute for Policy Studies and a former senior policy adviser to the U.S. secretary of energy. He described the plan to use salt water as "an act of desparation" by Japanese authorities, who seemed unable to deliver fresh water or plain water to cool the reactor and stabilize it.

Earlier, Edano had pointed out another potential challenge -- saying, without elaboration, that "some of the readings in the measurement equipment were not accurate."

The detection of a cesium isotope -- as noted by Bannai -- indicates that the reactors' nuclear fuel cladding has failed, said Ken Bergeron, a physicist and former scientist at Sandia National Laboratories.

"Now we have to hope that the containment building will succeed in preventing major amounts of radioactivity" from escaping, he said. Fukushima Daiichi facility has such a building -- something that Chernobyl, the Soviet nuclear plant that famously melted down in 1986, did not have.

Cesium 137 can remain dangerous for 600 years and is associated with a number of cancers, said Dr. Ira Helfand, a member of the board of Physicians for Social Responsibility.

Some experts said the flow of information from the agency has not been fast enough.

But IAEA Director General Yukiya Amano defended the Japanese response. "I know the Japanese authorities are working their hardest to gather the necessary details and ensure safety under difficult and constantly evolving circumstances," he said in a statement.

If the effort to cool the nuclear fuel inside the reactor fails completely -- a scenario experts who have spoken to CNN say is unlikely -- the resulting release of radiation could cause enormous damage to the plant or release radiation into the atmosphere or water. That could lead to widespread cancer and other health problems, experts say.

Authorities have downplayerd such a scenario, insisting the situation appears under control and that radiation levels in the air are dangerous. Still, as what they described as "a precuation," more than 200,000 people who live within 20 kilometers (12 miles) of the plant have been ordered to leave the area. A similar evacuation order has been issued for those with 10 kilometers of the Fukashima Daini nuclear facility, a separate plant also in Fukashima prefecture.

Even absent this, nuclear materials expert Joseph Cirincione -- president of the U.S.-based Ploughshares Fund, a firm involved in security and peace funding -- ranks this scenario third, behind Chernobyl and the 1979 partial meltdown of a reactor core at the Three Mile Island nuclear plant in Pennsylvania, among history's worst nuclear power crises.

Japan is heavily dependent on nuclear power, with 54 plants and another eight slated for construction, said Aileen Mioko Smith of Green Action, an environmental group. All are located in "very seismic" areas, she said.

While experts acknowledged that Japan's nuclear program is very well respected, physicist Ken Bergeron saying that now "we're in uncharted territory."

"The bottom line is that we just don't know what's going to happen in the next couple of days and, frankly, neither do the people who run the system," added Dr. Ira Helfand, a member of the board of Physicians for Social Responsibility.

What we do know, he added, is that Japan's nuclear facilities are "way out of whack."

CNN's Tom Watkins and Greg Botelho contributed to this story.

@highlight

NEW: An official says there is a "possibility of a meltdown" at two nuclear reactors

@highlight

NEW: Chief Cabinet Secretary Yukio Edano says radiation levels aren't hazardous

@highlight

NEW: He says 9 people have tested positive for high radiation levels on skin and clothing

@highlight

One expert calls the effort to cool reactors, using salt water, "act of desparation"