(CNN) -- The date, in that long-gone American spring, was the same as today's: May 19.

The year was 1780.

The event is mostly forgotten, lost to the mists of history. Many people -- probably most people -- have never heard about it.

And the question, on this anniversary of that Day of Darkness, is:

In our constantly connected world, a world in which we are always in touch, always seemingly in the know, could the kind of fear that all but paralyzed the young nation that day still happen?

On that day in 1780, at around noon, much of New England -- meaning much of the new America -- went black. At midday, it was midnight.

This was not an electrical blackout, of course; homes and businesses did not have electricity in those years, and were illuminated by lanterns and candles.

Rather, the sky turned a deep, complete and unrelenting black, erasing the sun.

It was not an eclipse. It was not a thunderstorm.

Imagine, in the middle of a day in May, every bit of light suddenly and inexplicably disappearing from your world.

The citizens were terrified. They waited for the darkness to lift. It did not. Minutes began to feel like months.

One contemporaneous observer in Massachusetts, Samuel Williams, a professor at Harvard -- the "University at Cambridge," as he identified it -- wrote:

"The birds having sung their evening song disappeared and became silent. . .The fowls retired to roost. ... Objects could not be distinguished but at a very little distance; and every thing bore the appearance and gloom of night."

As the daytime hours of blackness wore on, some people, according to historical accounts, began to think that there might never be light again. There was widespread supposition that Judgment Day may have come.

In the Connecticut legislature, Abraham Davenport rose to vigorously oppose his colleagues' wish to adjourn:

"I am against adjournment. The day of judgment is either approaching, or it is not. If it is not, there is no cause for adjournment; if it is, I choose to be found doing my duty."

The blackness would last for the rest of the afternoon, past twilight and into full night. The next day, the sun would return. People hurried to churches to offer prayers of thanksgiving.

Centuries later, scientists would surmise that the Day of Darkness -- widely known as New Engand's Dark Day --- was the result of massive wildfires burning in the forests of Canada. Researchers from the University of Missouri postulated that the smoke from the fires was so thick and so deep in hue, so voluminous, that when, agonizingly slowly, it drifted over New England, it gave the illusion that the sun had died.

Today some people may scoff at what might seem like gullibility on the part of those early Americans.

But bear in mind that there were no telephones; there was no radio or television; there was no telegraph. People often lived far away from their nearest neighbor. They knew little of what, at a given moment, was happening outside the patch of land where they resided.

The one thing a person could always count on -- that the sun would come up in the morning and stay up until evening -- suddenly could not be counted on at all.

The Revolutionary War was still being fought. Those 13 British colonies on a sliver of the East Coast were the forerunners of what would become the 50 United States. So the citizens, many feeling completely isolated on the eastern edge of a continent that remained largely unexplored, might be excused for fearing the worst.

The poet John Greenleaf Whittier would write of that day:

"Over the fresh earth and the heaven of noon,

A horror of great darkness, like the night

In day of which the Norland sagas tell,

The Twilight of the Gods. The low-hung sky

Was black with ominous clouds, save where its rim

Was fringed with a dull glow, like that which climbs

The crater's sides from the red hell below.

Birds ceased to sing, and all the barn-yard fowls

Roosted; the cattle at the pasture bars

Lowed, and looked homeward; bats on leathern wings

Flitted abroad; the sounds of labor died;

Men prayed, and women wept; all ears grew sharp

To hear the doom-blast of the trumpet shatter. . . ."

So it was on May 19, 1780.

On May 19, 2013, with all of our vaunted communication abilities -- 24-hour television news, universal cellphones, Twitter, Facebook, the all-but-countless ways to stay in touch -- would such an event merit merely a shrug?

Would we figure out within minutes what was transpiring, and why, and would we wait patiently for the sun to reappear?

Perhaps.

But consider what happens when the power goes out -- when, without warning, we lose artificial light. Consider the confusion and anger and uncertainty that often commences.

Would we really be calm and unconcerned if, just as suddenly, real light -- the sun's light -- without notice went away?

Or would our cherished communications tools spread rumors of conspiracies and attacks and impending doom? Would those tools create panic instead of prevent it?

Whittier, in his poem, wrote of the cessation of the day of darkness:

"And, shore-ward, o'er the waters gleamed,

From crest to crest, a line of light,

Such as of old, with solemn awe,

The fishers by Gennesaret saw. . . ."

Fear of the dark; love of the light. Some things change as the years pass. Others, we are from time to time reminded, remain eternal.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

On May 19, 1780, the skies over New England inexplicably turned black

@highlight

The day was pitch-black; people panicked, prayed, thought it was the Day of Judgment

@highlight

Researchers believe that massive forest fires in Canada contributed

@highlight

Bob Greene asks: Would people today, knowing the cause, be as frightened?