All that glitters is not gold, they say. But all the gold in the world may come from astronomical events that send a lot of high-energy light out in space.

Researchers have new evidence that gold comes from the collision of neutron stars.

"We can account for all the gold in the universe from these collisions," said Edo Berger, astronomer at the Harvard-Smithson Center for Astrophysics. Berger spoke about these results, submitted for publication in The Astrophysical Journal Letters, at a press conference Wednesday.

Neutron stars are the dead cores of stars; in the past, they had exploded as supernovae. The neutron stars responsible for the event that Berger and colleagues studied are each thought to be about the size of Boston, but with about 1.5 times the mass of the sun.

When these two neutron stars orbiting each other collided, at high speed, they gave birth to a black hole. Because the combination of the neutron stars is too heavy, the merged object collapses into the black hole.

Neutron stars collide because gravitational radiation steals the energy from their orbit, said Stan Woosley, astronomer at the University of California, Santa Cruz, who was not involved in the study. Each of these star cores is like gigantic atomic nucleus, he said in an e-mail.

"Smash two of them together at close to the speed of light and you can expect fireworks," Woosley said.

Berger and colleagues observed a short-duration gamma-ray burst, which they believe came from such a neutron star collision. The burst is a flash of high-energy light, and this particular one lasted for less than two-tenths of a second, which is why it's considered "short duration."

The burst was 3.9 billion light-years away from Earth -- that's pretty far, but it's still one of the closest gamma-ray bursts that scientists have spotted.

The gamma-ray burst left behind a glow that included a significant amount of infrared light. According to the scientists, the radioactive elements, produced when merging neutron stars spat out material, emitted this light when they underwent radioactive decay. That's because decay heats the matter that was ejected, Woosley said.

This infrared glow was a golden opportunity for scientists. It gave them evidence that short-duration gamma-ray bursts can come from neutron star collisions.

"This is our smoking gun connecting a short gamma-ray burst with the collision of two neutron stars," Berger said.

There is still the possibility that the particular infrared light that the scientists spotted was not the result of radioactive decay, but a different light that was produced along with the gamma-ray burst, Woosley said. But the story of how gold formed from the neutron star collisions, he says, "is almost certainly true."

Although the idea has been floated that gold comes from explosions of supernovae, simulations suggest that it's hard to produce gold that way, Berger said. Supernovae may contribute some fraction of gold to the universe, he said, but it appears that neutron star collisions are the dominant mechanism of producing gold in our universe.

Scientists believe that the material that the merging neutron stars flung out included gold -- a lot of gold.

Berger estimates that the equivalent of 10 moon masses of gold are created and ejected when two neutron stars merge. At today's market rate, that would go for about 10 octillion dollars, he said. That's a 1 followed by 28 zeros.

Platinum and uranium also come from this collision process, Woosley said. All of these elements swirl around between stars, as gases, and eventually become part of subsequent generations of stars, like our sun.

"The gold and platinum in our rings as well as the uranium in our bombs and reactors are little pieces of neutron stars that merged in our galaxy long before the sun was born," Woosley said.

This same gold from space became part of the formation of Earth and the rest of the solar system, including the sun.

Gold that was present in the Earth's formation sank to its core. But we have gold that can be mined closer to the planet's surface because meteorites brought it later, according to a 2011 study in the journal Nature. More than 200 million years after the planet was formed, a shower of meteorites hit and brought with them gold, which stayed in the planet's mantle.

Think about that the next time you wear a gold wedding band or other piece of jewelry. Now there's a fascinating thing about your bling.

Follow Elizabeth Landau on Twitter at @lizlandau

@highlight

Scientists studied a gamma-ray burst associated with gold

@highlight

The burst was 3.9 billion light-years away from Earth

@highlight

This burst came from the collision of two neutron stars

@highlight

Astronomer says such a collision can produce gold equivalent to 10 moon masses