(CNN)Like anyone with an Instagram account, I've been captivated in recent weeks by the insane-and-pioneering efforts of two men attempting to free climb a vertical rock face at Yosemite National Park.

On Wednesday, the climbers, Kevin Jorgeson and Tommy Caldwell, became the first people in the world to free climb the "Dawn Wall" route of Yosemite's El Capitan face. It's a path marked by "pebble-size holds," according to the New York Times, so sharp they'll make your fingers bleed. Like, literally will make your fingers bleed. Check out this photo from Jorgeson's Instagram account. He reportedly sanded and super-glued the ends of his fingers to try to make them strong enough to grip the nearly sheer face of rock.

It's one of the hardest climbing routes in the world.

Which is why Jorgeson and Caldwell, who started the journey on December 27, and who slept in tents tacked to the vertical face, could be forgiven for thinking that they "conquered" this route, or this mountain.

But, thankfully, that's not how they see it.

Here's what Jorgeson had to say on Twitter:

It's about "realizing a dream." Competing with yourself. Achieving the impossible. Being struck by the awesomeness of nature, as it's clear the pair often were, based on their social media posts.

But certainly not about "conquering" it.

That's a refreshing opinion in the age of fracking and mountain-top removal.

We live in a culture that tends to nature as a thing to be subverted and used, not respected. Jorgeson and Caldwell's epic ascent of the Dawn Wall should be a reminder of how small we humans are in the face of the natural world -- and also of how much we tiny humans can accomplish with enough hard work.

The problem is that most of our efforts are misplaced.

Rather than seeking to understand and explore the many uncharted parts of the world -- the 95% of the ocean that is unseen by humans, for example -- we extract capital. We drill deeper wells into the ground, sucking out water at such an unsustainable rate that California's Central Valley is sinking. Elsewhere, we inject wastewater into the land as part of the process of pulling out oil and natural gas. These injections, according to the U.S. Geological Survey, contribute to earthquakes in odd places like Oklahoma.

We've turned farms into factories. Animals are bigger-fatter-tastier products, not living things. Or, worse, they're status symbols, as in illegal rhino horn or pangolin meat.

The drop in the price of oil has slowed some efforts to go after the hardest-to-get energy sources, like oil hidden below the ocean floor, and underneath more than a mile of water.

But it hasn't changed this ethic -- this core belief, which you can link back to the Bible if you wish, that humans have "dominion" over the world, that it's ours to rule and/or plunder as we choose.

There are, however, signs this mindset is changing.

New theories suggest we can and should live in partnership with the natural world -- removing dams from rivers, and letting them run free into the flood plain; harnessing energy from the wind, not from deep beneath the ocean. The Patagonia documentary "DamNation" gives a sense of this seismic shift.

The Yosemite climbers offer hope, as well.

"Free climbs are puzzles," wrote Andrew Bisharat for National Geographic. "The harder the movements get -- twisting, stretching, lunging, swinging, dangling -- the more painstaking the process of solving the puzzle becomes."

The world is a puzzle to be solved -- an adventure to be had.

The rest of us would benefit from seeing it that way, too.

@highlight

Rock climbers complete one of the world's most difficult routes

@highlight

Climber on Twitter: We didn't "conquer" the mountain

@highlight

John Sutter says that's a healthy way to look at nature