Tripoli, Libya (CNN) -- After emerging from the rubble of Moammar Gadhafi's Baba az' Azia palace late in August, Abdul Hakim Belhaj seized control as the military commander of Tripoli.

An Islamist who had taken little public part in the spring uprising against Gadhafi, he claimed his soldiers had won the symbolic battle for the palace, the heart of the Libyan strongman's regime. By taking control of Tripoli, Belhaj gained authority over a third of the country's population and a major slice of its wealth.

It was a power play that other opposition fighters bitterly resented.

Abdullah Naker, one of several rival commanders, claims his fighters endured far tougher and more significant battles than the siege of Gadhafi's palace, not least the struggle to win control of Tripoli's main international airport that lasted several days.

In an interview with CNN he downplayed Belhaj's success and threatened confrontation, as internal divisions threaten to pull apart the coalition that brought Gadhafi down.

"Who is Abdulhakim Belhaj and who appointed him?" Naker asks. "We don't know him. We are the leaders, we are the revolutionists, we know everything."

Naker echoes a much wider complaint that Belhaj is actually a stooge of the Qataris.

"We know that Abdulhakim Belhaj was in a school and Qatar sends him money to buy weapons," he said.

In Tripoli today it's a commonly held belief that Belhaj's Tripoli Military Council is getting direct funding from Qatar. These concerns come amid reports that a NATO delegation traveled to Qatar last week to raise the issue.

Qatar has been a principal player in pushing the revolution forward as part of the NATO alliance. Now there's growing unease in the Libyan capital that fractures among the groups controlling the country could have roots in divisions among the international coalition that overthrew Gadhafi.

Belhaj, also known by his nom de guerre, Abu Abdullah Assadaq, was the military leader of the Libyan Islamic Fighting Group, LIFG, and denies any nefarious ties to Qatar.

But Libya's rumor mill quickly turns suspicion into fact and he is finding it hard to shake the slur.

His LIFG began fighting Gadhafi in the 1980s. After Gadhafi successfully crushed the LIFG, the group went underground and scattered. At its peak, the LIFG had underground cells in more than 20 countries, including Afghanistan, where it shared training camps with Al Qaeda.

Belhaj had joined the new revolution with a ready-made army and a political religious ideology to boot.

I know this because in 2009 I was trying to interview him when he was an inmate inside the notorious Abu Salim jail in Tripoli. In his writings then, he was trying to lead the group away from violent jihad towards a more political ideology.

The so-called recantation theories, a 400-page manifesto he and several other fighting group leaders wrote from within the walls of the high security prison was the first ever direct jihadist challenge to Osama Bin Laden's nihilistic ideology.

Bin Laden and Belhaj had never been natural bedfellows, but now they were enemies. Still, none of this cuts the mustard in Tripoli today; he's just another leader with an agenda.

Gadhafi himself predicted his detractors had little in common and would soon fight among themselves.

Sure enough, as weeks of street uprisings dragged out into months of NATO bombing, fractures appeared.

Abdel Fattah Younis, Gadhafi's old ally and military chief who deserted him for the rebels was murdered in suspicious circumstances. Many feared it was the handiwork of the Islamists cutting down a moderate who might have made deals with some of his former boss's friends.

Today the fight is a war of words played out in the newly liberated conference halls of the capital. At the weekend, National Transitional Council (NTC) chairman Abdul Jalil tried to reconcile the growing differences. After a contentious group meeting with all the commanders, the atmosphere became so heated that he was forced to meet the next day with individual factions seperately.

On the capital's streets, the power struggle has more sinister overtones. First, Belhaj, citing the Jalil and the NTC's backing, called for all heavy weapons to be put under his command or moved out of the city.

"We call on all the revolutionary brigades and small local councils to join this framework as acknowledgment of the legitimacy of the transitional council," he said.

It is statements like this that rankle with Naker.

Naker claims it is his group, the Tripoli Revolution Council, that has the authority to have the weapons rounded up. Legitimacy in the capital, he says, is garnered from the neighborhood councils established to funnel weapons to fighters before the final push to over throw Gadhafi.

But his challenge extends beyond Belhaj to the NTC and Jalil, the man who many regard as the very glue holding the disparate groups together.

"We gave this council the legitimacy and if we want we can withdraw the legitimacy from the transitional council....then we have no problem with withdrawing its legitimacy," Naker said.

The root of the problem is that many Libyan's are loyal to family, tribe, village and town before nation. They've fought often isolated in their towns, Zintan in the western mountains, Misrata under siege on the coast for 6 months and Benghazi, its own large fiefdom in the east.

Tripoli's patchwork of neighborhood councils is but a minor mirror of that. Tajoura, Souk al Juma and Fashloom -- to name but a few -- saw many of the weapons smuggled in to the city over the summer. It's given them muscle and the power to punch above their weight, as well as some freedom to choose sides.

Belhaj claims many are loyal to him.

"We have met with all the local revolutionary councils and other small councils and we have agreed on a written statement we will show it to media soon," he claimed.

Trouble is Naker claims loyalty from some of the same councils.

Meanwhile, the overnight thump of heavy guns being fired off for fun across many of Tripoli's neighborhoods has dwindled. But no-one here is fooled that they've gone silent for good. Tensions are leading to uncertainty. No-one wants to be boxed in like they were with Gadhafi, lives bounded by parameters.

Revolution has given a taste of freedom and the capital's citizens desperately want that seductive flavor on tap for good, enshrined in a genuine democracy before Islamists or anyone else starts taking their choices away.

When the men in uniforms with guns and not the politicians in suits start to argue, people get afraid.

Both Belhaj and Naker say they want to resolve their differences by talking. But over the past few weeks since Gadhafi's family fled his Babal az Azia palace, misunderstanding and distrust have grown. Reversing it is proving to be a formidable challenge.

@highlight

Abdul Hakim Belhaj seized control as the military commander of Tripoli

@highlight

Belhaj has authority over a third of Libya's population and a large part of its wealth

@highlight

Rival commander Abdullah Naker contests Belhaj's legitimacy

@highlight

Naker has echoed a complaint that Belhaj is a stooge of the Qataris