TEHRAN, Iran (CNN) -- As street protests and voter skepticism rose over Iranian President Mahmoud Ahmadinejad's election victory, the incumbent leader hailed the vote, saying it was a "great ordeal" but one that pointed "the way to the future."

Moussavi supporters run past a burning bus in Tehran on Saturday.

"The people of Iran inspired hope for all nations and created a source of pride in the nation and disappointed all the ill wishers," Ahmadinejad said in a nationwide TV address Saturday night. "This election was held at a juncture of history."

The government said on Saturday that Ahmadinejad won Friday's presidential election with 62.63 percent of the vote and Mir Hossein Moussavi received 33.75 percent of the vote.

But while he extolled the result and the huge turnout, Moussavi and supporters in the Tehran streets are crying foul as street clashes have erupted in the aftermath of the polls. Reaction emerged across the world, as countries such as the United States and Canada voiced concern over claims of voter irregularities.

The ongoing street protests have been viewed as remarkable in a country where anti-government sentiment is not looked upon kindly by those in power. In the aftermath of the vote, street protesters and riot police engaged in running battles, with stones thrown, garbage cans set on fire and people shouting "death to the dictatorship."  Watch angry protesters take to streets »

People leaned out of windows and balconies to watch the throngs of protesters march, many of whom were Moussavi supporters and conducted largely noisy but peaceful demonstrations.

Later in the evening, an agitated and angry crowd emerged in Tehran's Moseni Square, with people breaking into shops, starting fires and tearing down signs. Two sides of people faced off against each other in the square, throwing rocks and bottles and shouting angrily.

Observers believe the two sides could be supporters of Ahmadinejad on the one, and Moussavi on the other.

Before the vote count ended, Moussavi issued a sharply worded letter urging the counting to stop because of "blatant violations" and lashed out at what he indicated was an unfair process.

Moussavi said the results from "untrustworthy monitors" reflects "the weakening of the pillars that constitute the sacred system" of Iran and "the rule of authoritarianism and tyranny." Independent vote monitors were banned from polling places.

"The results announced for the 10th presidential elections are astonishing. People who stood in long lines and knew well who they voted for were utterly surprised by the magicians working at the television and radio broadcasting," Moussavi said in his statement.

Iran, he said, "belongs to the people and not cheaters."

But Ahmadinejad said "it was clear what a majority people wanted."

"The elections in Iran are really important. Election means consensus of all people's resolve and their crystallization of their demands and their wants, and it's a leap toward high peaks of aspiration and progress. Elections in Iran are totally popular-based move that belongs to the people with a look at the future, aimed at constructing the future."

He indicated progress through consensus, saying economic and infrastructure reforms can be accomplished in Iran through a collective process.

"All of us can join forces," he said.

Analysts expected Moussavi, widely regarded as a reformist, to do well.

After a presidential debate between Moussavi and Ahmadinejad riveted the nation, Moussavi's campaign caught fire in recent days, triggering massive street rallies in Tehran.

What officials have called an unprecedented voter turnout at the polls Friday had been expected to boost Moussavi's chances of winning the presidency. But Ahmadinejad -- despite being blamed for Iran's economic turmoil over the past four years -- maintains staunch support in rural areas.  Watch as Ahmadinejad is declared the winner »

The voter turnout surpassed 80 percent, at least two officials said on Saturday.

Iran's Interior Minister Seyed Sadeq Mahsouli said 85 percent of the country's 46 million eligible voters had gone to the polls Friday. Iran's supreme leader, Ayatollah Khamenei lauded the "epic" event.

"The 12 June election was an artistic expression of the nation, which created a new advancement in the history of elections in the country," Khamenei said. "The over 80 percent participation of the people and the 24 million votes cast for the president-elect is a real celebration which with the power of almighty God can guarantee the development, progress, national security, and the joy and excitement of the nation."

Foreign Minister Manouchehr Mottaki said the level of participation of Iranians who reside abroad increased 300 percent in the election, Iranian media said.

Moussavi was the main challenger among three candidates who had been vying to replace Ahmadinejad.

The others were hard-liner Mohsen Rezaie, the former head of Iran's Revolutionary Guards and former parliament speaker and reformist Mehdi Karrubi, who called the declared results of the elections are a "joke" and "astonishing."

Technology has been a key tactic in politically mobilizing young people in Iran, but text messaging has not been working in Iran over recent days. However, Iranian protesters still arrived en masse at meeting places around Tehran on Saturday.  Watch CNN review the unprecedented online presence of candidates »

Khamenei indicated that Iranians should take a deep breath in the aftermath of the vote.

"The Saturday after the election should always be a day of affection and patience," he said.

"Both the supporters of the elected candidate and the supporters of other respectable candidates should refrain from making any provocative and doubtful behavior. The respectable president-elect is the president of all the people of Iran and everybody, including yesterday's rivals, should protect and help him."

CNN's Eve Bower, Christiane Amanpour, Samson Desta, and Shirzad Bozorgmehr contributed to this report.

@highlight

NEW: Ahmadinejad says vote was a "great ordeal" but points "to the future"

@highlight

Angry crowds in Tehran break into shops, tear down signs and start fires

@highlight

Ahmadinejad won landslide victory with 62 percent of vote, government says

@highlight

Challenger Mir Hossein Moussavi says results are due to "blatant violations"