(CNN) -- Here's a roundup of five medical studies published this week that might give you new insights into your health, mind and body. Remember, correlation is not causation -- so if a study finds a connection between two things, it doesn't mean one causes the other.

Good neighbors are good for your heart

A study published Monday in the Journal of Epidemiology & Community Health suggests your community matters in matters of the heart.

Researchers tracked the cardiovascular health of more than 5,000 seniors with no known heart problems over four years. In 2006, participants in the Health and Retirements Study were asked how much they felt a part of their neighborhood, if they had neighbors who would help them, whether they trusted people in the area and if their neighbors were friendly.

During the study period, 148 of the participants had a heart attack. Researchers found people who reported feeling more "social cohesion" were less at risk.

Tight-knit local communities may help to reinforce and encourage certain types of behaviors that protect against cardiovascular damage, the study authors say.

Fish good. Mercury, not so much.

In June, the U.S. Food and Drug Administration issued draft recommendations that encourage pregnant women, breastfeeding mothers and young children to eat two to three servings of fish per week to aid fetal and childhood development. This fish should be low in mercury, the FDA said, because mercury can harm the brain and nervous system.

This week food safety experts at Consumer Reports analyzed data from the FDA to find out what kinds of seafood are safe for these populations to eat regularly. They identified 20 types -- including salmon, shrimp, domestic crawfish and oysters -- that contain low levels of mercury and are safe to eat several times a week.

The experts said pregnant women and children should steer clear of six types of seafood: swordfish, shark, king mackerel, gulf tilefish, marlin and orange roughy. If you are a frequent fish consumer, meaning you eat 24 ounces or more every week, Consumer Reports recommends you avoid those seafood types as well.

Researchers also found that canned tuna contained particularly high levels of mercury, and recommended pregnant women avoid it altogether.

Having a baby could hurt your (mental) health

Many new mothers are made aware of their risk for post-partum depression. But having a baby can put both moms and dads at risk for mental health disorders like anxiety, post-traumatic stress disorder and psychosis, says Carrie Wendel-Hummell, who presented her study on perinatal mental health disorders at the Annual Meeting of the American Sociological Association this week.

"(Post-partum depression) has been framed so much as being a hormonal disorder, but the evidence there is actually very limited," Wendel-Hummell said. "Childbirth itself is a life change and a life stressor, so actually there's far more evidence that those risk factors are the cause."

The University of Kansas researcher conducted in-depth interviews with 17 new fathers and 30 new mothers. Many said they experienced stress related to their relationships, family-work balance issues, and struggles with poverty.

Wendel-Hummell encourages new parents to accept help from friends, family and the community during the early stages of their child's life.

Cancer screening doesn't always help

Data shows that screening people with a limited life expectancy for certain types of cancer doesn't provide any benefit to their health -- and that treating any cancer found in these patients can do more harm than good. But seniors at high risk for death are still being screened frequently, according to a study published Monday in JAMA Internal Medicine.

Researchers looked at data from the National Health Interview Survey from 2000 to 2010, on more than 27,000 participants over 64. At least a third of participants with the highest mortality risk had received a recent cancer screening, with 55% undergoing prostate cancer screening.

The analysis also showed that screening was common in participants with less than five years to live, the study authors say.

"It is the physician's responsibility to tailor treatment to the patient and his cancer," writes Dr. Otis Brawley, chief medical officer for the American Cancer Society. "Many Americans simply cannot accept that there are cancers that do not need treatment."

Violent video games may depress your fifth grader

Video games have long been a topic of intense debate. But most of these discussions have focused on how video games affect aggression or violent tendencies.

A new study published in Cyberpsychology, Behavior, and Social Networking looked instead at video games and depression. Researchers analyzed data from 5,147 fifth-grade students and their caregivers, who participated in another study.

They found students who played high-violence video games for more than two hours a day had significantly more depressive symptoms than those who played low-violence video games for less than two hours a day.

The researchers don't know if the link between the two is cause-and-effect, meaning the video games cause depression or vice versa. More studies will have to be done to see if the association would last as the students grow older.

@highlight

Study finds seniors living in a tight-knit community were less at risk for heart attacks

@highlight

Consumer Reports recommends pregnant women skip tuna

@highlight

Having a baby puts a lot of stress on moms -- and dads, study author says