(CNN) -- Tokyo faces the possibility of being hit by a massive earthquake within the next four years, according to Japanese researchers.

The University of Tokyo's Earthquake Research Institute predicts there is a 70% probability that the capital's metropolitan area will experience a magnitude-7 quake within four years and a 98% probability within the next 30 years.

Nearly one year ago, a magnitude 9.0 quake struck off Japan's central Pacific coast, triggering a devastating tsunami and aftershocks that left more than 15,700 dead, according to a government report in December on Japan's recovery from the catastrophe. About 4,500 were listed as missing.

Nearly 700 aftershocks registering magnitude 5 or greater followed last year's quake, the government report said.

The March 11 earthquake -- dubbed "Tohoku" after the region in which it occurred -- also damaged the Fukushima Dai-ichi nuclear power station, where three reactors experienced full meltdowns, creating a nuclear crisis for a country already grappling with disaster.

The research institute cited for its findings the Gutenberg Richter Law, which states that an increase in small tremors will likely increase the number of larger earthquakes. According to another paper published in September, the institute concluded that the quake ruptured a fault area nearly 500 kilometers in length and 200 kilometers wide offshore.

The fourth strongest quake recorded in history, Tohoku caused abrupt stress changes in the upper plate and triggered widespread seismic activity throughout the Japanese island. The northern part of Ibaraki Prefecture, in particular, saw a significant increase of shallow seismicity after the quake compared with the extremely low rate eight years prior, the researchers said.

Should Tokyo's inhabitants be worried?

The research institute's findings carry great consequences for the 42 million people who live in the Tokyo metropolitan area. The Central Disaster Management Council has estimated that a large-scale earthquake in the next few decades could result in 11,000 deaths and an economic loss of 112 trillion yen (US$1.5 trillion). Its goal is to halve the estimated death toll and reduce the estimated economic loss.

How precise are seismic forecasts?

Gary Gibson, a seismologist at Australia's Seismology Research Centre, called the Earthquake Research Institute's findings "not at all unexpected," given the level of seismic activity and their model.

"Seismologists cannot predict with certainty when, where and how large the next big earthquake will be," he wrote in an e-mail to CNN. "However, it is possible to forecast the probability of an earthquake in a particular time range (e.g. the next four years), location area (e.g. the Tokyo region), and magnitude range (e.g. greater than magnitude 7.0).

"Long-term forecasts use average activity levels from all known past earthquakes, geological data from fault displacements, and data about plate movement and deformation from very precise GPS measurements and other methods to determine these probabilities."

What is the government saying?

The government's Headquarters for Earthquake Research Promotion had put a 70% probability of a magnitude-7 quake in Kanto region, which encompasses Tokyo and Yokohama, within 30 years, based on long-term seismicity and hazard studies.

Scientists have already dubbed as "Tokai" an expected 8.0 quake near Suruga Bay, where large quakes have historically struck every 100-150 years, according to the Japan Meteorological Agency. The last one, a magnitude-8.4 quake, occurred in 1854 -- nearly 160 years ago.

According to Gibson, the seismologist, the enhanced seismicity in the area affected by the Tohoku quake may fall towards normal levels and could affect the research institute's findings. Results for the six-month period after the quake would become available after this coming March 11, the quake's anniversary, he noted.

Why is Japan so prone to earthquakes?

The Japanese archipelago and neighboring areas rest on or around four tectonic plates -- the Pacific, Philippine Sea, North American and Eurasian plates -- whose movements account for one of the most seismically active places on earth.

Can Tokyo withstand a 7.0 quake?

Gibson said that while the area is a very active one seismically, building standards are high, therefore reducing the damage caused by earthquakes. Buildings in Tokyo held up well in the face of the "Tohoku" quake. Reinforced concrete and anti-seismic systems in buildings are among features that have helped absorb shocks when earthquakes occur.

Watch Tokyo's quake-proof communities

"A magnitude 7.0 earthquake is very much smaller than the magnitude 9.0 Tohoku earthquake," he wrote. "It would need 1,000 magnitude-7.0 earthquakes to release as much strain energy as the magnitude 9.0. The fault rupture size is tens of kilometers, rather than hundreds of kilometers, and the fault displacement two to three meters rather than 20 to 30 meters."

Serious damage could be limited, if it occurs offshore, he added. And the shallower the quake, such as within 10 kilometers of the surface, the more localized the damage.

CNN's Junko Ogura contributed to this report.

@highlight

Forty-two million people live in Tokyo metropolitan area

@highlight

Institute: Tokyo faces 70% probability of M-7 quake within four years, 98% chance within 30 years

@highlight

Government puts 70% probability of magnitude-7 quake in region within 30 years

@highlight

March 11 quake and tsunami left more than 15,700 dead, government says