(CNN) -- November 30th marks the end of the Atlantic hurricane season, and although it was extremely active, the National Oceanic and Atmospheric Administration is calling 2010 a "gentle giant."

The season wraps up with a total of 19 named storms, 12 hurricanes, and five hurricanes that were category three or higher.  That makes 2010 the third busiest season when considering all named storms, and second busiest season on record when considering hurricanes.

"The excellent verification of the seasonal forecast points out, once again, why one cannot use this forecast as an indicator of personal risk. The good fortune of relatively minimal impact on the United States in spite of 19 storms, 12 of which were hurricane and 5 of which were category 3 or 4, will serve as yet another reminder that from a hurricane readiness viewpoint, one must prepare every season as if a major hurricane will impact them," said Bill Read, director of the National Hurricane Center.

Remarkably, there were zero U.S. hurricane landfalls in 2010.  On average, approximately two hurricanes hit the United States per year.  Less fortunate was Mexico, which was slammed with a number of storms including Hurricane Karl, which intensified into a major hurricane before hitting land -- the only hurricane to do so in the Bay of Campeche.  Central America also had a share of the tropical activity, where storms caused deadly flooding and mudslides.

Jack Hayes, director of the National Weather Service, said the season's forecast was a success. "As NOAA forecasters predicted, the Atlantic hurricane season was one of the most active on record, though fortunately most storms avoided the U.S.  For that reason, you could say the season was a gentle giant."

The final season tally coincides well with the forecast from the National Oceanic and Atmospheric Administration, which was issued on May 27th.  At that time, the organization was predicting 14 to 23 named storms, eight to 14 hurricanes, and three to seven major hurricanes of category three or higher.  A qualifier to that forecast was that it was likely the final numbers would be on the high end of the predicted ranges.

Although the National Hurricane Center knew a busy season was coming, they were careful to say that a busy season doesn't always mean extreme impacts on the United States or other countries.  "We can have quiet seasons overall that are devastating to communities, and very busy seasons like this one with hardly any U.S. impacts," said James Franklin, branch chief of the Hurricane Specialist Unit at the National Hurricane Center.  "We want folks to be prepared each and every season regardless of what kind of activity we're expecting."

Environmental factors lined up early for an intense season.  North Atlantic sea surface temperatures were at record warmth, which combined with favorable winds due to the presence of La Nina.  However, the large-scale atmospheric flow over the Atlantic and position of the jet stream over the United States also allowed the tropical cyclones to re-curve back to sea without impacting land.

Although the Southeast was lucky in landfalls in 2010, the lack of rainfall that usually accumulates during hurricane season is expected to intensify the drought situation in the region.  Tropical storms bring much-needed moisture to replenish lakes and reservoirs.  The lack of tropical rainfall combined with ongoing La Nina conditions could mean the Southeast will see a drought in 2011 much like that of 2007.

@highlight

2010 hurricane season was second busiest on record

@highlight

There were zero U.S. hurricane landfalls

@highlight

Favorable wind patterns allowed storms to re-curve to sea

@highlight

Minimal tropical rainfall will contribute to enhanced drought in 2011