It has been a rough month or so for the Affordable Care Act and the Obama administration, which has been struggling to get its signature health insurance program off the ground.

Obamacare, the effort to extend health coverage to every American, has already achieved some of its biggest goals: no more denials of coverage for pre-existing conditions, allowing parents to keep children on their policies up to age 26, the eventual phase-out of the "doughnut hole" for Medicare's prescription drug coverage.

But the big enchilada was the rollout of the online federal and state exchanges for Americans to shop for insurance coverage, and that has been plagued by delays since the October 1 launch.  Obama also was forced to admit that his longstanding reassurance that people could keep their insurance plans if they liked them wasn't holding up, as insurers began sending cancellation notices to an estimated several million people whose individual policies don't meet Obamacare requirements for comprehensive coverage.

So, here's a quick look at some of the problems the Affordable Care Act has encountered and what is being done to address them:

Issue: Enrollments

Target: 7 million by March 31

Status: More than 106,000 people had signed up by Wednesday -- but nearly 80,000 of those joined through the exchanges set up by 14 states and the District of Columbia. The buggy federal website, which handles enrollments for 36 of the 50 states, produced fewer than 27,000.

Another 396,000 people were determined to be eligible for Medicaid or the Children's Health Insurance Program, but it wasn't clear how many had joined those state-administered programs.

The reaction from Republicans, who unanimously opposed the legislation, was swift. House Speaker John Boehner called the results "a symbol of the failure of the President's health care law. It is a rolling calamity that must be scrapped."

White House spokesman Jay Carney conceded before the numbers came out that they would be lower than expected. But Jonathan Gruber, the economist who helped design the Massachusetts health care program used as the model for the Affordable Care Act, said the first month's figures are "meaningless."

"The real deadline we have to focus on is March of next year," Gruber, who also advised the Obama administration, told CNN's The Lead. "That's when the individual mandate kicks in. That's when people need to be signed up, and what we saw in Massachusetts was a large rush before the mandate kicked in."

The latest on Obamacare enrollment

Issue: HealthCare.gov

Target: A capacity of 50,000-60,000 users at any given time

Status: Currently 20,000-25,000, White House Chief Technology Officer Todd Park said Wednesday. Henry Chao, the chief information officer for the Centers for Medicare and Medicaid Services, said the site can process nearly 17,000 registrations per hour.

"We have much work still to do but are making progress at a growing rate," Park told the House Oversight and Government Reform Committee.

The administration has said it aims to get the website working for a "vast majority" of Americans looking to enroll by November 30. "The team is working really hard to hit that goal," Park said Wednesday.

But Rep. Blake Farenthold, R-Texas, expressed some skepticism about that target: "As a former web developer, that was what I was telling clients when we were gonna miss a deadline."

Official: Hackers tried repeatedly to attack Obamacare website

Issue: Retaining existing plans

Target: In touting the Affordable Care Act, Obama repeatedly said, "If you like your health insurance, you can keep it."

Status: No longer a selling point, as at least 1 million individual policy holders have been told their plans are being discontinued or changed at the end of the year. Congress is weighing different proposals to address the problem.

Obama and other administration officials say those plans offered substandard coverage, leaving people at risk of bankruptcy if they were hospitalized or developed other major medical needs, and that the 80% of Americans who are covered through their jobs or government programs such as Medicare and Medicaid won't see any changes. But they are now qualifying the pledge by saying that people who had individual plans dating back to before the 2010 passage of the Affordable Care Act can keep their plans as long as the policies hadn't been changed by the insurance companies; the ones that have been changed must now meet new minimum standards set in the law.

There are multiple proposals on Capitol Hill to allow people to keep policies that are being canceled. But there's little indication they would have any immediate effect, and industry experts say the two leading legislative plans leave many questions unanswered.

Debunking 4 Obamacare myths: Both sides get it wrong

@highlight

More than 106,000 people have signed up for Obamacare, mostly through states

@highlight

White House official says website running at about half designed capacity

@highlight

Congress weighs fixes to let people keep canceled plans