Erika Harold, a biracial, former Miss America-turned-Harvard Law School-educated attorney in her 30s, would seem to be the type of congressional candidate the Republican Party would break its neck to back in a race.

But, as she barnstormed across Illinois' 13th Congressional District in a maverick effort to defeat first-term incumbent Rep. Rodney Davis in March's primary, Harold came face-to-face with an extreme example of the types of challenges female GOP congressional hopefuls sometimes face.

In Harold's case, she was shut out and, ultimately, shut down.

Her requests for party data on voters who had previously cast ballots in Republican primaries was denied, according to media reports. She was shunned at political functions and potential donors were warned to stay away, she said.

Republican officials told Harold to consider running for another office.

"She chose to run against a sitting member of Congress," Andrea Bozek, spokeswoman for the National Republican Congressional Committee, a GOP organization which helps candidates seeking congressional office, said last week. "There were plenty of other races she was encouraged to run for. We're a member-driven organization."

Women's work: The GOP's glass ceiling

Montgomery County Republican Party chairman Jim Allen was forced to step down from his post and apologize after he called Harold a "street walker" in an email to the editor of Republican News Watch, an online newsletter, and declared "Rodney Davis will win and the love child of the D.N.C. will be back in Sh*tcago by May of 2014 working for some law firm that needs to meet their quota for minority hires," according to multiple media reports.

Party officials denounced Allen's comments.

Chicago attorney, Doug Ibendahl, who edited Republican News Watch, said the email and toxic tenor of the race is why his party is struggling to gain traction with women and minorities. Ibendahl first flagged the email which then became a national story.

Crystal Wright, an editor and blogger with ConservativeBlackChick.com, put it more bluntly.

"She was black and needed to know her place," Wright said of the attitude she felt some members of the party establishment displayed toward Harold. "We complain we don't have enough female and minority candidates. Then someone with Erika's qualifications comes along and we treat them like crap. It's very disheartening to me that the party I belong to doesn't get it and is so out of touch. You get tired of beating your head against a brick wall."

Harold, who was once a delegate who spoke at the 2004 Republican National Convention, ultimately lost the primary to Davis, 55%-41%.

She now works for an Illinois law firm.

"Women get discounted from the conversation before they have the opportunity to prove their viability," Harold said of her experience in the primary.

The GOP knows it has a problem recruiting and supporting female candidates and attracting women voters.  After a self-examination following huge losses among women, minorities and young voters in the 2012 presidential election, the party ramped up its outreach efforts and has spent millions on such initiatives as Project GROW, which seeks to beef up the number of female candidates, and "14 in 14", a program aimed at winning more women voters to the Republican cause.

5 House races to watch in 2014

Party officials point to the success of such candidates as Mia Love, the former mayor of Saratoga Springs, Utah, who spoke at the 2012 Republican National Convention.

The GOP rising star, who is Haitian American and Mormon, lost her bid against Democratic incumbent Rep. Jim Matheson to represent Utah's Republican-leaning 4th Congressional District by 768 votes in the 2012 general election.

So, when Matheson announced he was retiring in 2014, Love regrouped and strategized with party officials. The advice: announce early and run hard.

"Mia Love is a phenomenal candidate who took advantage of announcing her candidacy early this cycle," Bozek said. "This time she announced February 2013 which gave her a year and half to fund. And now she is almost assured to be a member of Congress."

If she wins the general election this fall, Love would become the first African American Republican woman in Congress.

"What I'm seeing, more than anything than in the last presidential election, the Republican Party learned many things and they reached out to women more," said Alice Stewart, a Republican strategist and radio host. "They've made tremendous strides in reaching out to women candidates and constituents."

It's not enough, said former Republican Sen. Olympia Snowe of Maine.

"The net effect of their efforts is reflected in their results. They have fewer women running than they did in 2012. They have not made up lost ground and built a strong foundation for women running on the Republican ticket," she said. "It's important to have those efforts, but frankly the overall efforts haven't produced the kinds of results that are essential to build support among women to run for office."

"Instead of leaning in to encourage more female candidates the party is standing in place," she said.

Over the past two decades, Republican women have been less likely to enter or win primaries when compared to their Democratic peers, according to a study by Rutgers University's Center for American Women and Politics.

The number of Republican women entering primaries has also decreased, the study found.

Part of the problem, some Republican women said, is the increasingly polarized nature of congressional districts and the primary battles to represent them.

Women, studies such as the one from Rutgers have found, tend to be more moderate in their views on such issues as reproductive choice and, as a result, struggle in primaries that skew conservative.

Another issue is the increasingly toxic nature of primary showdowns

"Republican primaries have become bitterly contested," Snowe said. "What's to attract anyone to want to engage in that kind of political flummox?"

The very nature of the primary system further complicates matters, Harold, Snowe and other Republican women said.

Men dominate House and Senate seats â€” especially on the Republican side. Therefore, any woman who seeks higher office would either have to wait for that member of Congress to retire and leave an open seat or challenge a sitting member of Congress in a primary.

And because state and local parties tend to support sitting members of Congress in primaries, Republican women are especially challenged when they seek those seats.

"That's why I support open primaries so that you get more independents participating in primaries and so it's not concentrated with the idealogues," said Snowe who was considered a Senate moderate. "The people who vote in the primaries are controlling what happens in an election. So just a few people determine who would be governing the state or the country. "

Even when Republican women do run for office, the Rutgers study found that they often struggle to net adequate networking and funding support â€”both within the party and from outside groups â€” needed to win their races, said Debbie Walsh, director of Rutgers University's Center for American Women and Politics.

While there are a number of well-funded groups, such as EMILY's list, supporting candidates with more liberal stances, there are fewer groups that do likewise for conservative women, the Rutgers study found.

Former Alaska governor and 2008 GOP vice presidential candidate Sarah Palin has supported a number of conservative women candidates through her political action committee SarahPAC.

Her campaigning and fundraising efforts benefited such candidates as New Hampshire Sen. Kelly Ayotte in 2010 and this year Joni Ernst, a Senate candidate from Iowa who won her primary Tuesday night, among others.

SHE PAC, a conservative women's group, is supporting Love, who won her primary, in her House bid and Monica Wehby, an Oregon doctor who also won her primary and is running for the Senate, among other candidates.

As for Harold, she said she would consider another run at public office. But she cautions that her tale highlights some of the possible pitfalls.

"Fundraising and party support are imperative if women are going to gain leadership in the Republican Party," Harold said.

Top takeaways from Tuesday's primaries

@highlight

Rutgers University study finds GOP women struggle to win primaries

@highlight

Former Miss America and Ivy Leaguer Erika Harold faced tough congressional primary

@highlight

Some Republican women the blame primary system, a lack of support as problems in GOP elections

@highlight

A more open primary system could help more Republican women run, get elected to office