(CNN) -- What if everything you thought you knew about education was wrong?

What if students learn more quickly on their own, working in teams, than in a classroom with a teacher?

What if tests and discipline get in the way of the learning process rather than accelerate it?

Those are the questions Sugata Mitra has been asking since the late 1990s, and for which he was awarded the $1 million TED Prize in February at the TED2013 conference.

Mitra, professor of educational technology at Newcastle University, won the prize for his concept of "self organized learning environments," an alternative to traditional schooling that relies on empowering students to work together on computers with broadband access to solve their own problems, with adults intervening to provide encouragement and admiration, rather than top-down instruction.

Watch Sugata Mitra's TED Prize talk

Mitra's work with students in India has gained wide attention and was the focus of a 2010 TED Talk on his "hole in the wall" experiment, showing the potential of computers to jump-start learning without any adult intervention.

Coming to education trained as a physicist, Mitra said he was encouraged by his boss to start teaching people how to write computer programs. When he bought his first personal computer, he was surprised to find that his 6-year-old son was able to tell him how to fix problems he had operating the machine. He thought his son was a genius, but then heard his friends saying the same thing about their children.

Thinking about children living in slums in New Delhi, he said, "It can't be possible that our sons are geniuses and they are not." Mitra set up a publicly accessible computer along the lines of a bank ATM, behind a glass barrier, and told children they could use it, with no further guidance.

TED.com: Sugata Mitra's five favorite TED Talks on education

They soon learned to browse the Web in English, even though they lacked facility in the language. To prove the experiment would work in an isolated environment, he set up another "hole in the wall" computer in a village 300 miles away. After a while, "one of the kids was saying we need a faster processor and a better mouse."

When the head of the World Bank came to see the experiment, Mitra said he encouraged him to go to the New Delhi slum and see for himself. After spending time with the children, bank President James Wolfensohn "came back and put his hand on my shoulder and said, 'How much?' " Mitra said he received $1.5 million, which allowed him to press on with experiments in India, Cambodia and Africa, finding self-organized learning worked to improve English-language pronunciation, reading comprehension and even the basics of DNA replication.

Mitra said the traditional system of education is largely based on the necessities created by Britain's colonial empire in which a vast amount of territory had to be governed by people writing things on paper and sending them around the world on ships. Schools turned out clerks who functioned as interchangeable parts in a vast bureaucracy where the skills of reading, writing and arithmetic were key.

He argues that today's world needs a new system in which the role of computers in aiding learning is paramount.

TED.com: A Q&A with Sugata Mitra

To help speed learning, Mitra has recruited hundreds of "grannies," volunteers from the United Kingdom, many of them retired teachers, who function more in the role of "grandparents" than teachers, skypeing into learning environments around the world, encouraging students to do their best and praising their achievements.

With the TED Prize money, Mitra intends to build a laboratory, most likely in India, where he can test his theories through experiments that supplement schoolwork. He likens it to a "safe cybercafe for children" where they can strengthen their English skills, which can be a route to economic advancement.

Mitra said he doesn't think teachers are obsolete but suggests their roles may be changing as students increasingly have access to self-learning through computers. And he argues that his self-organized teams may be an alternative to regular schools in places where teachers may not be available.

Traditional education stresses tests and punishments, two things that Mitra said causes the brain to shut down its rational processes and surrender to fear. Adopting a method closer to that of grandparents, who shower children with admiration, is "the opposite of the parent method," which relies on threats, Mitra said.

Note: A version of this article was originally published on February 27, 2013.

@highlight

Education expert Sugata Mitra received $1 million TED Prize

@highlight

Mitra says his research shows the learning power of self-organized student teams

@highlight

He says instruction need not be top down and the role of teachers is shifting

@highlight

He hopes to use prize money to build a lab to test his ideas about learning