(CNN) -- In a country as splintered as the United States has become, can there be any such thing as a national pastime?

The phrase has been associated with the game of baseball since late in the 19th century, when sportswriters began dropping it into their stories. It was a great promotional slogan for the sport; whether it ever was literally true is open to question. But it would be just about impossible to make the case that baseball is the national pastime today; in a country of 314 million people, this year's World Series drew, on average, a television audience of only 12.7 million viewers per game (football's Super Bowl this year attracted an audience of more than 111 million).

Yet the question is not which sport has become the national pastime, but whether any single activity of any kind qualifies for that title. Cohesion is not exactly the dominating quality of 21st-century life; we are endlessly being reminded of all the choices we have about how to spend our time, and the concept of the entire country gravitating toward one leisure-time activity sounds beyond archaic.

If baseball ever was, at least symbolically, the national pastime, it was supplanted in the early 1950s by the rapid growth in the number of television sets in American homes. Suddenly something was happening that had never before occurred: People all over the country were looking at the same thing at the same time. Most mornings, the main topic of conversation in offices, factories and schools across the continent was something that had been on all those television screens the night before. There were only three channels to watch in most cities, and perhaps an additional "educational" channel, the forerunner to PBS.

The nation had a new pastime, and it took place indoors.

The great majority of Americans who are alive today have no memory at all of a world before television. The median age in the United States hovers right around 37 years old; this means that half of all Americans were born in 1975 or later. The presence of television, to them, is as unremarkable as the sight of the sun in the summer sky.

And a newer pastime, as we all know, has emerged, on screens of a different sort. To take note of how free time (whatever that has come to mean) is now being spent, all you have to do is walk down any street in any city or small town, and observe your fellow pedestrians checking the screens they grasp in their palms.

But the hegemony of early television, with those three channels, is a distant memory. No one can take the public's attention for granted today; first the advent of cable television fragmented viewing patterns, and then came the boundless Internet, followed by the creative forces that provide the content for all those little personal screens. Apple offers around 700,000 separate applications, as does Google. A lot of ways to pass the time, in a nation with a twitching concentration span.

And there is always something around the next corner. The same way there are fewer and fewer Americans who can describe to you what the country was like before television, soon enough there will be few Americans who will be able to recall a world before the Internet. It is hard to conceive, but social history tells us that the seemingly limitless array of ways to spend time today will before long seem constricted and small.

There is a famous and provocative phrase, translated from the writings of Karl Marx, that has been used in various contexts over the years: "the opiate of the masses." The concept of people being susceptible to a symbolic opiate of any kind remains controversial and current. Do today's Americans simply enjoy the screens they carry with them, or are they psychologically addicted to them -- is it a pleasurable pastime, or are they hooked? It's not an unfair question.

(And as far as opiates go -- pharmacological and figurative -- the Wall Street Journal recently reported on an intriguing development at Grady Memorial Hospital in Atlanta, as explained by Rhonda Scott, Grady's chief nursing officer: "Grady agreed to double the number of TV channels in rooms and add ESPN because 'the requests for pain medication go down during the afternoon football games,' Dr. Scott said.")

Our pastimes are many, and the very idea of a national pastime goes against the contemporary aversion to doing only one thing at a time.

Although the very real possibility exists that, seemingly contradictorily, we have indeed settled on a new kind of national pastime:

Multitasking.

Baseball's starting to sound better and better.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene says it's been awhile since baseball has been the U.S. national pastime

@highlight

He says life fragmented today; few things unify Americans as a shared pastime. TV once did

@highlight

He says Internet has further splintered interests; is computer screen new opiate of masses?

@highlight

Greene: New national pastime may just be multitasking. Makes you wish for baseball