London (CNN) -- Two men who were found guilty of the racist murder of a black teenager in London were sentenced Wednesday to more than 14 years in prison each, the court said.

Gary Dobson and David Norris were convicted Tuesday in the killing of Stephen Lawrence in 1993, after a trial based on new forensic evidence.

The judge said at the sentencing that the crime was committed for no reason other than racial hatred, British media reported.

Dobson was sentenced to serve at least 15 years and two months in prison, while Norris got a minimum of 14 years and three months, the court said. Norris will be given credit for just over a year that he has already served on remand.

Both technically were given indefinite sentences -- ordered to serve "at Her Majesty's pleasure."

Dobson's father shouted "Shame on you all," to the packed courtroom as the sentence was read out, British media reported.

British law required Dobson and Norris to be sentenced as if they were minors because they were teens when they killed Lawrence.

The conviction was the culmination of a case that has gripped the British media for almost two decades and resulted in a government inquiry in 1999 that was heavily critical of the police for their handling of the case.

Changes brought about as a result of the Macpherson Report in 1999 -- which labeled the Metropolitan Police force "institutionally racist" and said its investigation of the murder was fundamentally flawed -- continue to impact how the police and legal system operate today.

Speaking outside court, Lawrence's mother, Doreen Lawrence, expressed her gratitude to those who had supported the family through their long fight for justice.

It was a "difficult day," she said, but the judge had recognized the stress and suffering the family had gone through and handed down the longest sentences he could under the law.

The judge also recognized the men for what they had done, she said, "and there's no hiding behind their ages." Dobson was 17 and Norris 16 at the time of the murder.

Stephen Lawrence's father, Neville Lawrence, told reporters he hoped to be standing outside the court in a year's time marking the sentencing of the other men allegedly involved in his son's death.

Other youths who were with Norris and Dobson on the night of the murder have long also been suspects in the case. However, extensive re-examination of material gathered at the time has not yet produced evidence for a prosecution.

Metropolitan Police Commissioner Bernard Hogan-Howe told the BBC Wednesday that "the other people involved in the murder of Stephen Lawrence should not rest easily in their beds."

Deborah Glass, deputy chair of the Independent Police Complaints Commission -- a body set up as a result of that government inquiry -- paid tribute to the efforts of the Lawrence family.

"There can be no doubt that in their struggle they were also instrumental in bringing much-needed fundamental reform to policing in this country," she said in a statement.

"It is important to acknowledge the changes that have been made over the past decade, but there is equally no doubt that much remains to be done to increase the confidence of black and minority ethnic communities in policing."

While the initial murder inquiry had been "truly shocking in its negligence," she added, the current investigation team deserved credit for its work on the case.

Speaking outside court Tuesday, Doreen Lawrence told reporters that she felt "relief that these racist men no longer feel they can murder a black man and get away with it."

But, she said, the court's decision was not a cause for celebration. "These verdicts will not bring my son back," she said. "How can I celebrate when my son lies buried, when I can't see him or speak to him?"

She had harsh words for the police involved in the original investigation, saying they had put her family through huge pain and uncertainty through their failure to investigate properly.

"This result shows that the police can do their job properly -- but only if they want to," she said. "I only hope that they have learned their lesson and don't put any other family through what we've been put through."

Lawrence, who was 18 when he was stabbed to death in southeast London in an unprovoked attack, was a good student who had applied to study architecture at university. Stephen was a son any mother would have been proud of, Doreen Lawrence said, and she missed him with a "passion."

The Macpherson Report concluded that "Stephen Lawrence's murder was simply and solely and unequivocally motivated by racism."

During the six-week trial, jurors were told of significant new forensic evidence recovered from clothing seized from the suspects' homes 18 years ago, including a very small blood stain on the collar of a jacket taken from Dobson's closet.

DNA testing indicated the blood was that of Lawrence. Evidence was also found linking Norris to Lawrence's death. The new forensic evidence was the result of "previously unavailable scientific technology and techniques," said Cressida Dick, acting deputy commissioner for the Metropolitan Police.

The defense claimed that the incriminating evidence was the result of cross-contamination after the clothing was seized by police.

Dobson had previously appeared in court in 1996 in connection with the Lawrence murder, but that case -- a private prosecution brought by the Lawrence family -- collapsed and he was acquitted.

His latest trial on the same charge was allowed thanks to a change in the centuries-old "double jeopardy" law under which a person who had been acquitted could not be tried again for the same offense. In a change that came into effect in 2005 in England and Wales, a second trial is allowed if substantial new evidence emerges.

The head of the Stephen Lawrence Charitable Trust, set up by the teenager's parents to help young people who want to study architecture, said Tuesday he welcomed the verdict "with a sense of huge relief."

"Throughout the 18-year ordeal, the Lawrence family's desire has been the pursuit of justice -- today, justice was served," chief executive Paul Anderson-Walsh said in a written statement.

@highlight

NEW: Neville Lawrence says he hopes other suspects in the case are also brought to justice

@highlight

NEW: The Lawrence family helped bring "much-needed fundamental reform to policing," a police body says

@highlight

NEW: Dobson's father shouts "Shame on you all," as his son is jailed for 15 years, a second man for 14

@highlight

NEW: Lawrence's mother says she is glad the judge did not let the men "hide behind their ages"