(CNN) -- Karen Handel, the Susan G. Komen for the Cure Foundation vice presidentâ€”and lightning rod in the group's public relations storm over Planned Parenthood funding--stepped down from her position Tuesday. For many it was almost a satisfying ending to an eye-opening incident. None of it should have come as a shock.

When the Komen foundation last week bowed to pressure from anti-abortion activists to stop most of its funding of Planned Parenthood, the furor was swift and forceful. Komen's decision was frequently described in the media and in the online outcry as a "betrayal" â€” of its mission, of the millions of Americans who run in its Race for the Cure every year, and of the women whom Komen and Planned Parenthood serve.

But to people familiar with the foundation, the decision was hardly a surprise. Under the perky pink ribbon at the center of Komen's brand lies a distinctly conservative orientation shaped over three decades by the foundation's political and corporate alliances.

Despite its carefully cultivated nonpartisan image, the foundation's connections to the Republican Party are deep and longstanding. Nancy Brinker, Komen's founder, has raised thousands of dollars for the GOP over the years and was rewarded when President George W. Bush named her ambassador to Hungary in 2001. Last year's hiring of Handel, an anti-abortion Republican, to head Komen's public policy efforts was not a sudden swing to the right, as some commentators have implied.

Beyond this, even a cursory glance at the group's corporate partners could help explain why so much of its funding goes to detection and treatment. In interviews, Komen executives have denied that their corporate funders exert any influence over their policy decisions.

But an organization that takes money from the chemical and energy industries, fast food companies, and cosmetics manufacturers is unlikely to fund research on environmental toxins or pursue other prevention-oriented concerns. And, for the most part, Komen doesn't.

Instead, the foundation focuses on early detection through mammography -- an imperfect tool -- and fundraising for treatment-oriented research, which has produced little in the way of concrete results. People with breast cancer have essentially the same options as they did half a century ago: surgery, chemotherapy and radiation. While their chances of dying from the disease have improved very slightly in recent years, breast cancer incidence rose steeply over the course of the 20th century to one in eight today.

Komen is hardly the only case of a foundation held sway by political and corporate interests. Philanthropy is political; it always has been. Like public funds raised through taxation, decisions about how to spend money generated through charitable giving are controversial and subject to partisanship. We might prefer to think of charity rising above the political fray, but in reality it is an extension of it.

Nor does charity escape the pressures of the market. It is common practice for large foundations to enter into partnerships with corporations, to spend large sums on marketing and public relations, and to tailor their brands to what consumers want rather than their official missions.

Komen has been incredibly successful in promoting its brand of breast-cancer awareness, but not without setbacks. It has had a rough two years in this respect. Its 2010 "Pink Buckets for the Cure" partnership with KFC raised concern among nutritionists and other health advocates about promoting junk food in the name of breast health. A year later, a Wall Street Journal article reported that Komen devotes considerable time and money to suing small charities who use "for the cure" -- a Komen trademark -- in their fundraising.

The small media storm had barely faded when critics began raising concerns about Komen's Promise Me perfume, which was produced in partnership with a New York company that makes a sizable donation to the foundation. The breast cancer activist group Breast Cancer Action, said a chemical study it conducted revealed that the perfume contained toxic and hazardous ingredients. The Komen foundation said it is reformulating the perfume.

Then came the news about Planned Parenthood.

Last week, many of Komen's most faithful supporters took the lessons they had learned from the foundation about self-empowerment and put them to work. The groundswell of concern about Komen's funding policies is testament not only to the strength of pro-choice sentiment but to the success of the foundation in building a movement of women who are prepared to advocate for their own and others' health.

Herein lies the promise of this moment. By harnessing the considerable financial and social loyalty it has built over the years, the Komen Foundation has an opportunity to do much more than reverse one small, but significant funding decision; they could take the lead in constructing a radically different approach to the breast cancer epidemic. This new approach would prioritize not political interests or corporate sponsors, but women's health. Along the way, it might also bring us closer to realizing the Komen Foundation's vision of a "world without breast cancer."

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Samantha King.

@highlight

Samantha King says tumult over Komen funding not a surprise: Foundations are political

@highlight

She says Komen has long been rightward leaning, focused on treatment, not causes

@highlight

She asks: Group takes funds from chemical companies; does that discourage focus on toxins?

@highlight

King: Komen should use loyalty shown in supporters' dismay over funding to redirect priorities