Anne Smedinghoff lived inside a heavily secured compound.

But the public diplomacy officer for the U.S. Embassy in Kabul was always pushing to get out.

"We thought she was relatively safe in the embassy compound, but as it turned out, Anne really wanted to do a lot more," her father, Tom Smedinghoff, told CNN.

"She was always finding projects and assignments that took her outside to the various provinces within and around Afghanistan, and that was what she wanted to do," he said. "That was what really drove her."

This past weekend, the 25-year-old was trying to do just that -- delivering books to a school in southern Afghanistan -- when a suicide bomber smashed into her convoy Saturday, killing Smedinghoff and four others. She is believed to be the first U.S. diplomat killed since the September attack in Benghazi, Libya.

Her death was a grim reminder of the risks and importance of pushing for change in "one of the toughest places on earth," U.S. Secretary of State John Kerry said Sunday.

It was an "extraordinary, harsh contradiction," Kerry said, to see an attacker kill "a young, 25-year-old woman with all of the future ahead of her, believing in the possibilities of diplomacy, of changing people's lives, of making a difference, having an impact, who was taking knowledge in books to deliver them to a school."

Officials did not say who they believe was behind the blast. But Kerry offered a sharp condemnation of the violence as he spoke to U.S. diplomats stationed in Istanbul.

"The folks who want to kill people, and that's all they want to do, are scared of knowledge. And they want to shut the doors and they don't want people to make their choices about the future. For them, it's 'You do things my way and if you don't, we'll throw acid in your face. We'll put a bullet in your face,' to a young girl trying to learn," Kerry said. "So this is a huge challenge for us. It is a confrontation with modernity, with possibilities, and everything that our country stands for, everything we stand for, is embodied in what Anne Smedinghoff stood for."

Friend: 'She pushed you to be better'

Smedinghoff graduated from Johns Hopkins University in 2009 with a degree in international relations and joined the Foreign Service soon afterward.

"I remember how excited she was when she got in and started her training. She would always talk about it, because she was one of those natural leaders," said Christopher Louie, 26, a close friend who first met Smedinghoff in college. "When she was passionate about something, she would let everyone know. ... You could just tell when she got in the Foreign Service, she saw that this was her opportunity to make a big impact on the world."

And her enthusiasm was infectious, said Louie, a medical filmmaker in Washington who recently vacationed with Smedinghoff in Jordan.

"She always got people interested in what she was involved in. ... Whenever I knew I was going to see her, I'd always make sure I was brushed up on foreign affairs. She was one of those people, you didn't want to let her down," he said. "She pushed you to be better."

Kerry laments death of U.S. civilian in Afghanistan

It was clear that "there was no better place for her" than the Foreign Service, her parents said in a written statement.

After a tour of duty in Caracas, Venezuela, Smedinghoff volunteered for an assignment at the U.S. Embassy in Kabul and had been working there since July, her parents said.

"We are consoled knowing that she was doing what she loved, and that she was serving her country by helping to make a positive difference in the world," they said.

Before she joined the State Department, Smedinghoff served on the board of directors for the Ulman Cancer Fund for Young Adults' 4K for Cancer program, spending a summer cycling across the United States to raise money and awareness.

"Anne was an incredibly optimistic, fearless, and giving person," said Ryan Hanley, the program's founder.

"We mourn a life cut short," he said Sunday, "but are blessed to have shared in it."

Mother: 'She was just so exuberant about everything'

Smedinghoff's Facebook profile gives a glimpse of her life in Afghanistan. One photo shows a group skiing in the Afghan mountains. Another shows her standing behind a lectern at the embassy, surrounded by American flags. Another, titled "Helicoptering around Helmand," shows a smiling Smedinghoff sitting beside men in camouflage, wearing a helmet and a flak jacket.

The prospect of her working in Afghanistan worried her parents at first, but her passion for the job and the good work she hoped to do won them over.

"She really thought there was a lot to be done there, and she could be part of it. ... As parents you always want to make sure no harm comes to your children, but I knew that she wanted to embrace this opportunity," her mother, Mary Beth Smedinghoff, said Monday, "so she had our full-hearted support and blessing to apply for that position."

Public outreach projects like delivering textbooks to schools, organizing educational efforts and working with women's groups to promote equality were parts of her job she particularly loved, her parents said.

They spoke to CNN Monday morning from Dover Air Force Base in Delaware, where they were awaiting the arrival of their daughter's remains just over a week after their last conversation with her.

In that Easter chat, she excitedly told her parents about Kerry's recent visit to Afghanistan. She sent them photos and a congratulatory e-mail she received from the ambassador for her work during the trip.

"She was just so exuberant about everything that had transpired during that trip and what she had done," Mary Beth Smedinghoff said. "Obviously, we were very proud of her."

Kerry was emotional Sunday as he spoke of Smedinghoff's death and described his experience meeting her during the recent Afghanistan trip.

"I remember her -- vivacious, smart, capable, chosen often by the ambassador there to be the lead person because of her capabilities," he said.

This weekend, Smedinghoff "was just trying to deliver books, bring knowledge to people -- books in their own language -- in order to help them know about the possibilities of life," Kerry said on Monday. "And some wanton terrorist, out of the blue, nameless and faceless and now lifeless, attacked this group of people and took five lives."

Neighbor: 'She had candle power'

Residents in the River Forest, Illinois, neighborhood where the Smedinghoff family lives said they were devastated by the news.

"Anne Smedinghoff was one of those rare people who, you were lucky if you were near her. She had candle power," one neighbor told CNN affiliate WGN. "She brightened everyone's life."

Katie Whiting, whose sister was Smedinghoff's best friend, told the CNN affiliate that the "beautiful and brave" diplomat was doing her dream job.

"The world has really lost somebody who was going to do a lot of good things. ... Every dangerous place she wanted to go there, because that's where the hard work was," Whiting said.

In Smedinghoff's memory, CNN affiliate WBBM reported, American flags lined the road near her family's home on Sunday.

A large photograph she posted on her Facebook profile less than three weeks ago shows another road on the other side of the world, lined with Afghan flags.

@highlight

Kerry: Anne Smedinghoff was killed by a "wanton terrorist"

@highlight

She is believed to be the first U.S. diplomat killed since last year's attack in Libya

@highlight

Mother: In a recent conversation, Anne Smedinghoff was "exuberant" about her work

@highlight

"She really thought there was a lot to be done" in Afghanistan, her mother recalls