(CNN) -- I used to chuckle at people who complained about their glasses -- their thin, wispy glasses.

It sounds snobby. But I was blind enough to be an honorary bat.

In kindergarten, I got in trouble for constantly leaving my seat to approach the blackboard, but I couldn't read it otherwise. Coke-bottle glasses quickly followed. I graduated to contacts at age 10; by 30, anything more than 3 inches past my nose was impossibly blurry without them.

As with many who can't see without corrective lenses, I always carried bottles of eyedrops and saline solution. I fumbled for my glasses even to read the bedside clock. I spent hundreds of dollars on contacts each year.

I love to travel, and I'm also a worrier (though I prefer the term "highly prepared") by nature. So I obsessed about contingencies: What if I have to sleep in the airport or I tear a contact in the dim light of a hotel bathroom? What if I get a speck of sand under a contact and have to rinse my eye out?

I began to wonder what would happen if I were in an unfamiliar place -- say, asleep in a hotel -- and needed to get out quickly but couldn't find my glasses. Could I pick the correct shapes out of the odd blobs of color that made up the world?

It looked as if that was how life would always be, after I was rejected for Lasik eye correction. My prescription was too high -- -9.5 diopters in one eye and -10 in the other, roughly equating to 20/1000 vision -- and my cornea too thin for the tissue removal required to correct my nearsightedness.

I don't mean to seem overly dramatic, as there are obviously many people who get along just fine with vision even worse than mine. But for me, it was enough of a daily interference that I wasn't ready to accept it.

I mentioned it almost offhandedly during an annual eye exam, and my ophthalmologist said he knew of something that might help.

It's a contact lens put IN your eye -- not for the squeamish, I know. But the implantable lens, made by STAAR Surgical, was approved by the FDA in 2005. It functions in a similar manner to an everyday contact lens, bending light rays so they focus correctly on the retina. But unlike a contact, this lens is inside the eyeball.

The procedure was quick and simple. After my eye was numbed and dilated, I was given a sedative and wheeled into the operating room. I was awake for the procedure, but I remember only some bright lights. The doctor created a tiny slit in the cornea, the transparent front part of the eye, and inserted the slender, flexible device to form an arch over the existing lens.

It's made of collamer, an organic material, and the eye doesn't recognize it as a foreign object.

(A similar device approved by the FDA in 2004 goes over the iris, the colored part of the eye, rather than behind it.)

"We have a great, great success rate with ICL," said Dr. Ilan Cohen of 5th Avenue Eye Center in New York, who was among the first to perform the implantation surgery in the United States. "The amazing thing about it is that it does not require any corneal removal, and it's reversible."

Since Lasik permanently alters the eye, any complications or changes in vision afterward can require even more treatment. The Visian lens can be switched out or removed at any time.

ICL has been approved to correct nearsightedness from -3 diopters (or roughly 20/300 vision) up to -16 diopters and to treat patients up to -20 diopters.

Of course, the procedure is not without its risks. The medical drawback is that it's done inside the eye, Cohen said. "We do it usually one eye at a time (with a delay of one or more days between surgeries) because the risk is slightly higher for infection inside the eye and complications that could happen inside the eye.

"Besides cataracts, other complications such as glaucoma" can occur, he said. "These are very rare complications."

About 300,000 procedures have been performed worldwide. Visian's maker, Starr Surgical, says less than 1% of patients experience complications.

Since the device has been in use for only about 10 years, little is known about long-term effects. Some patients may still need reading glasses as their eyes go through the typical aging process.

But perhaps the most daunting factor for most candidates is the cost of the procedure, which can be many times that of Lasik. It can run $10,000 or more.

"The cost of the lens is high," slightly less than $1,000 each, Cohen said. "Then you have to consider the cost of the surgical facility where you're doing the surgery. And we do it one eye at a time, whereas Lasik, we do both eyes in one sitting. So all these things add up to higher cost."

And unlike with Lasik, very rarely do insurance companies pay for this procedure.

Three years after the procedure, my vision is 20/15, better than ever. No more squinting at the bedside clock or toting contact lenses (and all the accessories) when I travel. For me, perfect vision is worth the price.

@highlight

The implantable lens, made by STAAR, was approved by the FDA in 2005

@highlight

It functions in a similar manner to an everyday contact lens

@highlight

But unlike a contact, this lens is inside the eyeball