(CNN) -- With military pomp and traditional rituals, South Africa buried Nelson Mandela on Sunday, the end of an exceptional journey for the prisoner turned president who transformed the nation.

Mandela was laid to rest in his childhood village of Qunu.

Tribal leaders clad in animal skins joined dignitaries in dark suits at the grave site overlooking the rolling green hills.

As pallbearers walked toward the site after a funeral ceremony, helicopters whizzed past dangling the national flag. Cannons fired a 21-gun salute, its echoes ringing over the quiet village.

Mandela's widow, Graca Machel, dabbed her eyes with a handkerchief as she watched the proceedings.

"Yours was truly a long walk to freedom. Now you have achieved the ultimate freedom in the bosom of God, your maker," an officiator at the grave site said.

Military pallbearers gently removed the South African flag that draped the coffin and handed it to President Jacob Zuma, who gave it to Mandela's family.

At the request of the family, the lowering of the casket was closed to the media.

A peek into Mandela's memorial garden abloom with symbolism

The funeral ceremony

Before making their way to the grave site, mourners attended a service in a tent set up at the family compound. They wept, sang and danced in what has become a familiar celebration of his life.

Mandela's coffin, draped in his country's flag, lay atop black and white cattle skins in front of a crescent of 95 candles, each marking a year of his life.

As the national anthem "Nkosi Sikelel' iAfrika" or "God Bless Africa" drifted over the village, a giant picture of Mandela looked down with a smile. Mourners placed their fists on their chests, some with tears streaming down their faces.

"Today marks the end of an extraordinary journey that began 95 years ago," Zuma said during the ceremony. "It is the end of 95 glorious years of a freedom fighter ... a beacon of hope to all those fighting for a just and equitable world order."

The president thanked Mandela's family for sharing him with the world and said his memory will live on.

"We shall not say goodbye, for you are not gone," Zuma said. "You'll live forever in our hearts and minds."

About 4,500 people gathered in the tent, including Machel, who sat next to Mandela's ex-wife, Winnie Mandela.

In other major cities including Johannesburg, crowds watched the funeral at special screenings in stadiums.

'I've lost a brother'

Mourners represented all spheres of Mandela's life. There were celebrities, presidents, relatives and former political prisoners.

"You symbolize today and always will ... qualities of forgiveness and reconciliation," said a tearful Ahmed Kathrada, a close friend who served time in prison with Mandela for defying the apartheid government. "I've lost a brother. My life is in a void, and I don't know who to turn to."

Talk show host Oprah Winfrey, Prince Charles and business mogul Richard Branson were also among the attendees.

Final chapter

The funeral and burial cap 10 days of national mourning for a man whose fame transcended borders.

"Nelson Mandela was our leader, our hero, our icon and our father as much as he was yours," Tanzanian President Jakaya Kikwete said, regaling mourners with tales of a secret visit Mandela made in 1962 to Dar es Salaam to gather support for his party, the African National Congress.

During his fight against apartheid, Mandela fled to Tanzania, which housed the headquarters of the ANC. The white minority government had banned it in South Africa.

In sharp contrast to the days of apartheid, the events honoring Mandela included a great deal of pageantry, as well as state honors.

Mandela's body arrived Saturday in the tiny village in the Eastern Cape province, where he grew up surrounded by lush, tranquil hills and velvety green grass.

Before arriving in Qunu, the body lay in state for three days in Pretoria. After an emotional service at the air base there, which included the handing over of his body to the ruling African National Congress, it was put in a military helicopter for the final leg of his journey.

Though he dined with kings and presidents in his lifetime, the international icon relished his time at the village. He herded cows and goats there as a child, and always said it's where he felt most at peace. Some of his children are also buried there.

"He really believed this is where he belonged," said his daughter, Maki Mandela.

Mandela was imprisoned for 27 years for defying the racist apartheid government that led South Africa for decades. He emerged from prison in 1990 and became South Africa's first black president four years later, all the while promoting forgiveness and reconciliation.

His defiance of white minority rule and his long incarceration for fighting segregation focused the world's attention on apartheid, the legalized racial segregation enforced by the South African government until 1994.

Years after his 1999 retirement from the presidency, Mandela was considered the ideal head of state. He became a yardstick for African leaders, who consistently fell short when measured against him.

"Thank you for being everything we wanted and needed in a leader during a difficult period in our lives," Zuma said.

In keeping with tradition, Mandela was laid to rest in the afternoon, when the sun is at its highest.

@highlight

NEW: Mandela is laid to rest in his childhood village

@highlight

NEW: "Now you have achieved the ultimate freedom in the bosom of God," officiator says

@highlight

NEW: At the request of the family, the lowering of the casket is closed to the media

@highlight

NEW: Zuma thanks Mandela's family for sharing him with the world