(CNN) -- President Barack Obama's war drums continue to beat, but an offhand comment from Secretary of State John Kerry has set in motion a diplomatic effort by Russia -- seized on at the United Nations -- to ward off a U.S. strike on Syria in favor of mediation.

What Kerry said was that Syrian President Bashar al-Assad could prevent a strike if he "could turn over every single bit of his chemical weapons to the international community in the next week." Kerry added that Syria would not be willing to do this.

Russia has latched on to the proposal, and Syria says it is taking the idea seriously.

The view is that Kerry's comment is either an accidental out for a president hemmed in by his own red line, or a momentum-sucking goof that may have erased any chance Obama had to engage in a military strike without broader international approval.

Will Russia's proposal delay an Obama strike? And how can Obama sway Americans to support military action? With his approval ratings on all fronts tanking, his prime-time televised address Tuesday night will be crucial. It'll be the administration's closing argument after a week of courting lawmakers.

Here are five things to look for today.

1. What Obama says in his speech

The president will still make the case that Congress must authorize military force in Syria, a senior administration official told CNN. This, despite the fact that Obama believes Kerry's offhand offer for Syria to turn over its chemical weapons could bear fruit now that Russia and the United Nations have jumped aboard.

The link between the two? The administration argues that the offer to turn over chemical weapons wouldn't be on the table if not for the threat of force.

A senior administration official told CNN that Kerry's not in trouble with the president for the comment, but does admit that it was off the cuff while restating administration policy. Bottom line: It wasn't inconsistent with what was happening behind the scenes, according to the official.

To make his case for a military strike, the president will lay out what happened in the chemical weapons attack in Syria on August 21, and why it's in America's interest to act. He'll argue that the United States can't let this kind of attack go unanswered, and he'll tell us how he sees it affecting the safety of U.S. troops.

And perhaps the toughest one of all, he'll tell a nation weary from more than a decade of war why Syria isn't Iraq or Afghanistan.

2. Whether Russia's diplomatic volley has knocked the steam out of a strike

The White House isn't acting like it has. If anything, the lobbying on Capitol Hill is intensifying ahead of the president's address.

It all starts with Obama, who will go to the Hill on Tuesday to make his case to Senate Democrats, a Senate leadership aide told CNN. Making sure to hit both sides of the aisle, the president also will attend the Senate GOP lunch, a Senate Republican aide said.

The House Armed Services Committee hosts three of the administration's big guns beginning Tuesday morning: Kerry, Defense Secretary Chuck Hagel and Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff. All of them will get important face time with the influential committee.

Although no longer a member of the administration, former Secretary of State Hillary Clinton will speak on Syria at the National Constitution Center in Philadelphia on Tuesday evening, just ahead of the president's national address.

3. Whether the lobbying efforts pay off in votes

For the time being, the tide is against the White House. On Monday, six senators notched their votes in the "no" column, with just one, Democrat Barbara Mikulski, saying she would favor military intervention against Syria. In the House, chalk up 13 new "no" votes.

That brings the total of "no" votes to 29 in the Senate and 161 in the House.

Still, there are a lot of undecided members -- 46 in the Senate and at least 229 in the House. The numbers could still work out for the president.

Senate Majority Leader Harry Reid postponed a procedural vote that had been scheduled for Wednesday. The Senate's in no hurry to vote on Syria.

4. If Obama fares better in the court of public opinion

The president's approval rating on foreign policy is at an all-time low of 40%, a steady slide from 54% in January, according to a CNN/ORC International survey.

Just three in 10 approve of how he's handling Syria.

The public is split right down the middle on whether Obama is a strong leader, whether he is honest and trustworthy, and whether he inspires confidence.

Then there's the whole "war weariness" issue in play. Six in 10 say the war in Iraq was a mistake, and 50% say the same thing about Afghanistan. Three-quarters say the United States doesn't need to be the "world policeman."

Also hurting the president's cause, more than seven in 10 say a strike would not achieve significant goals for the United States, and a similar amount say it's not in the national interest for the country to get involved in Syria's civil war, a separate CNN/ORC International poll shows.

The sentiments come despite survey results that show 80% of Americans believe al-Assad's regime gassed its own people.

5. How the international community reacts

The next move appears to be Russia's in this diplomatic chess match. Can Foreign Minister Sergey Lavrov deliver on the offer to have Syria hand its chemical arsenal over to international control, or is it just an effort to buy time for the Assad regime?

Lavrov said Tuesday that Russia's working on a "workable, clear, specific plan" that it'll present soon.

The White House is willing to listen and, perhaps, wait a bit -- but not too long.

"It's certainly a positive development when the Russians and Syrians both make gestures towards dealing with these chemical weapons," Obama told CNN's Wolf Blitzer on Monday. But he said the threat of American force would remain.

"We don't want just a stalling or delaying tactic to put off the pressure that we have on there right now."

U.N. Secretary-General Ban Ki-moon is listening, too. He's considering asking the U.N. Security Council to demand the Syrian government immediately hand over its chemical weapons to be destroyed.

France and Germany also say they like what they're hearing about a diplomatic solution. But, the French foreign minister said, the Security Council needs to oversee the process, which should start immediately, and the plan shouldn't let anyone off the hook for ordering a chemical attack.

French Foreign Minister Laurent Fabius said Tuesday that France is proceeding with caution.

"We take note of this new position with interest but also precaution," he said. "We do not want it to be used as a maneuver for diversion."

What the French want to see is for Syria to be transparent about its chemical weapons program and to put it under international control.

France also wants the perpetrators of the deadly chemical weapons attack tried before the international justice system, Fabius said.

Iran, a longtime Syria ally, welcomes the Russian initiative "to stop militarism in the region."

China, also an ally of Syria, says it welcomes and supports the proposal.

The opposition Free Syria Army says Russia's proposal is nothing more than a stalling tactic.

"Here we go again with the regime trying to buy more time in order to keep on the daily slaughter against our innocent civilians and to fool the world," said Louay al-Mokdad, a spokesman for the group.

CNN's Dana Bash, Steve Brusk, Dan Merica, Paul Steinhauser, Zachary Wolf, Samira Said and Karla Crosswhite contributed to this report.

@highlight

The president will still make the case that Congress must authorize military force

@highlight

The White House doesn't think Russia's diplomacy has made a strike impossible

@highlight

More "no" votes have popped up, but a lot of House and Senate members are undecided

@highlight

Obama's approval rating on foreign policy is down, and a poll shows U.S. war weariness