There are nine of us from the Centers of Disease Control and Prevention in Lagos, Nigeria.

We arrived from different U.S. states, or from the CDC's polio team already in Nigeria, and possess varying skill sets, including infection control, global migration and quarantine, data management, epidemiology and communications.

We're here to work with colleagues and partners from Nigeria's Ministry of Health, UNICEF, Doctors Without Borders and the World Health Organization to stop the largest Ebola outbreak in history -- the first in a densely populated, urban environment.

Nigeria is the latest country to become affected by the outbreak. The first person to die of Ebola here was an American named Patrick Sawyer, who arrived from Liberia. Now WHO suspects Nigeria has had 12 cases and three deaths.

Our team in Lagos is a small part of the CDC's effort to fight Ebola, with work going on in several African countries, and back in the United States at our headquarters in Atlanta. There, the CDC's Emergency Operations Center has activated its highest level to maintain 24/7 operations to coordinate the agency's efforts.

We are five hours ahead of Atlanta, a fact my family has yet to grasp as I receive texts during odd hours asking, "What's Lagos like?" and "What are you doing?"

Good questions.

A typical day for our team begins at a hotel -- one big advantage of an urban outbreak. After breakfast we move to one of several locations, including the hospital, U.S. Consulate or a training site, depending on the work to be done that day.

Team Lagos is working as part of a much larger team in Nigeria to find and isolate all possible patients, tracking down everyone who could have been exposed to Ebola, and educating the public about the risks.

A great deal has been accomplished in a short time. A Nigerian emergency operations center is up and running now, and we are about to move Ebola patients into a newly, remodeled treatment facility.

There are 60 folks on the contact tracing team, which has been tracking more than 200 people thought to have come in contact with the virus. These teams visit the contacts daily to take their temperatures and check to see if they have developed any symptoms. On Tuesday, 147 of the 152 contacts were visited and assessed. When difficulties arise locating contacts, additional teams are employed and efforts ramped up to conduct the tracing.

The Ebola response team in Nigeria recently saw 30 people finish the 21-day risk period -- the longest time period during which Ebola symptoms have been known to be present. These 30 people were able to leave the contact tracing list, which is a hopeful sign.

There is a great deal of fear in Lagos as many worry about a virus of which they know precious little. CDC communicators like myself work to provide accurate information to the public and health care workers. Health care workers are critical as they are on the front lines of this battle; WHO says 10% of the deaths during this epidemic have been health care workers.

Our infection control experts have been training workers on proper infection control and teaching them how to don Personal Protective Equipment properly, a critical task given this virus.

I was taking pictures of this training near the Ebola ward when one of the trainers came out of the "hot zone" and asked if anybody had a paperback to give one of the patients. I donated a weathered copy of Shakespeare's "Henry the IV, Part 1." (I always carry a book on deployments). So the Bard has entered the Ebola ward in Lagos.

One interesting aspect of this outbreak has been the rumors and misinformation spurred by Ebola. Last week, communicators were working quickly to respond to a rumor that bathing in or drinking salt water would prevent Ebola. I have seen local press coverage that notes two people may have died from attempting this treatment.

As I write this, we are in a temporary emergency operations center at a psychiatric hospital, waiting for remodeling to be complete on our own center. We made the change with some grumbling but did not miss a beat -- flexibility is essential in an evolving outbreak situation.

Our work is made more difficult by traffic in the city, a lack of Internet connectivity and security, which is a concern. We typically make it back to the hotel late, anywhere between 9 and 11 p.m. local time and try to eat together.

Team members who gather are tired, and the outbreak dominates the conversation. But we also try to distract ourselves: On my third night, a team member asked, "Has anyone else noticed that the background music is all Celine Dione?" It was true. Turns out she has quite a few songs, and I am pretty sure we have heard them all.

I am not afraid of catching the Ebola virus. I know how Ebola is transmitted and will not put myself in jeopardy, thinking of my wife and four children at home.

The work is long, hard, challenging but worthwhile. The CDC team in Lagos is amazing, one of the best I have been on. And the larger response team that includes all our partners and our colleagues from Nigeria is doing important work to break the Ebola infection cycle.

@highlight

The CDC has sent nine people to Lagos, Nigeria, to fight the Ebola outbreak

@highlight

The World Health Organization says Nigeria has 12 suspected cases, three deaths

@highlight

CDC team is helping with tracking the infection, training health care workers