(CNN) -- During a 1996 interview with television talk show host Charlie Rose, Apple co-founder Steve Jobs took exception to Rose's characterization of him as "a guy who founds high-tech companies and tries to make another billion."

"Yeah, well, I don't think of myself that way," Jobs said. "The things that I have done in my life, I think the things we do now at Pixar [the animation company he bought in 1986], these are team sports. They are not something one person does."

If pop culture were a team sport, Jobs would have certainly played quarterback.

From the invention of iTunes, which completely changed the business of music, to offering the world its first completely full-length computer-generated animated film with Pixar's "Toy Story" in 1995, Jobs left his indelible fingerprints on the entertainment industry.

The other "toys" he helped create like the iPod, iPhone and iPad not only changed the way the world consumed media, but also inserted both Jobs and Apple firmly into the entertainment zeitgeist. Even the commercials, from the 1984, George Orwell-inspired Super Bowl Macintosh ad to the more recent "Are you a Mac or a PC," were uber-cool.

While Jobs has been more well known and hailed for his innovation with high-tech, he also made some power moves which forever changed Hollywood. And in what sounds like a fantasy dreamed up by the geek gods, it all began with George Lucas.

As Jobs explained to the news program "60 Minutes" in 2003, when Lucas was creating "Star Wars" he reasoned that digital copy of his film would be clearer and cleaner than analog. The computer graphics division of his Lucasfilm company, which honed the technology behind the process, would go on to become Pixar Animation Studios after Jobs bought it for $10 million in 1986.

As chairman and chief executive officer of Pixar, Jobs led the way in marrying the endless possibilities of technology with the glitz and glamour of the entertainment industry.

The world hadn't even heard of computer-generated imagery (CGI) in 1991 when Pixar struck a deal with Walt Disney Studios to develop and distribute three full-length animated films. The first of these, "Toy Story," captured audience's hearts with its tale of the adventures of a group of children's toys.

"Toy Story" went on to become the top-earning film of that year, grossing $192 million in domestic box office receipts and $362 million worldwide. It spurred two sequels, theme park attractions and an extensive line of merchandise.

It was followed by films like "A Bug's Life," "Monster's Inc.," "Finding Nemo," and "The Incredibles," the last two of which won Academy Awards for best animated feature. Jobs sold Pixar to Disney in 2006.

By then he was firmly back in the driver's seat as the chief executive officer of Apple, which was setting the world afire with its inventions.

One of his biggest launches was in 2003 with the iTunes Music Store, which revolutionized the world of music downloads.

"Other companies sold digital music before Apple," said Bill Werde, editorial director of Billboard, said in a statement. "Other companies made digital music available on computers and digital phones and used it in commercials. Apple's brilliance -- and I don't think anyone doubts that this was Steve Jobs' brilliance -- was that Apple made it exciting and simple and effortless and fun."

Jobs was a major influence on portable media, which paved the way for gamers to be able to engage in their favorite past time via handheld devices and film fans to be able to stream movies almost anywhere.

The introduction of the 99-cent single meant music lovers no longer had to purchase an entire album to selectively enjoy their favorite tunes. The ability of the iPod, and later the iPhone and iPad, to hold thousands of songs also meant that fans never had to be far from their tunes.

"Thanks for allowing me to put my whole CD collection in my pocket," Sebastian Bach, ex-frontman of the heavy metal band Skid Row tweeted after news of Jobs' death was made public. "You have made air travel a lot more fun among other things."

Innovation was not without some growing pains, however.

Some industry insiders worried that digital downloads were negatively affecting sales of music and the issue of piracy became a hot one. On Tuesday, Miramax chief executive officer Mike Lang in his keynote address at MIPCOM, a TV and entertainment event held in Cannes, France, pointed to digital monopolies like the one Apple has as potentially damaging to the industry.

"Apple is the strongest company in the music industry because there was not enough competition, and still to this day there is not enough competition," Lang said. "As an industry it can't then influence packaging, merchandising -- all the things that are vital."

Billboard's Werde also noted that "Today, the music business has a complex relationship with Apple, which has become yet another entity that built an enormous business atop the rights of music companies, much like radio and MTV before it."

"But I think you'd be hard-pressed to find one music executive worth his or her salt who wouldn't agree that Jobs' vision and tenacity blazed a trail for digital music as we know it today," Werde said. "Without a doubt, when you think of the Mount Rushmore of the music business -- pioneers like Ahmet Ertegun and Jerry Wexler, Clive Davis and Jimmy Iovine - Steve Jobs has earned his prominent place."

@highlight

Steve Jobs pioneered inventions that changed the way the world consumed media

@highlight

Pixar made the first fully computer-generated animated film

@highlight

Billboard editor says Jobs brillance made buying music easy and fun