(CNN) -- The House of Representatives gave final approal late Thursday night to the $858 billion tax deal negotiated by the White House and top Senate Republicans, sending it to President Barack Obama to be signed into law.

After a day of legislative wrangling that delayed consideration of the measure for several hours, the final vote of 277-148 had almost equal numbers of Democrats and Republicans in support.

The package includes a two-year extension of the Bush-era tax cuts set to expire December 31. It also would extend unemployment benefits for 13 months, cut the payroll tax by 2 percentage points for a year, restore the estate tax at a lower level and continue a series of other tax breaks.

The bill, which cleared the Senate 81-19 on Wednesday, passed despite strong objections from both the left and the right. Among other things, House liberals were  strongly opposed to what they argued was an excessive giveaway to the rich in the form of a lower estate tax.

House Speaker Nancy Pelosi depicted the measure as a necessary step to prevent taxes of working class Americans from increasing, even though it also extended lower tax rates for the wealthiest Americans who she said don't need the benefit.

"This is very difficult," Pelosi said. "Nobody wants taxes to go up for the middle class. We just don't see why we have to give an extra tax cut to the wealthiest."

A procedural snag earlier Thursday forced House Democratic leaders to pull the bill from consideration over concerns they lacked support on how the debate would proceed under rules they had set. The House then went into indefinite recess as liberal Democrats seeking changes to the bill huddled with party leaders to work out a solution.

Eventually, debate resumed on a new set of rules that would allow the House to vote on a proposed change to the controversial estate tax provision, and then on the full bill itself.

Obama strongly praised the Senate vote earlier and urged the House of Representatives to quickly approve the bill.

The Senate vote is "a win for American families, American businesses, and our economic recovery," Obama said in a written statement. "As this bill moves to the House ... I hope that members from both parties can come together in a spirit of common purpose to protect American families and our economy as a whole by passing this essential economic package."

House Democrats, however, repeatedly warned that they may try to change the measure, particularly the estate tax provision. Currently, the estate tax is scheduled to return with an exemption on inheritances up to $1 million and tax amounts above that at a rate of 55 percent. Under the tax package, the tax rate would be reduced to 35 percent on amounts above a $5 million individual exemption.

Conservatives argue that an estate tax more stringent than set by the package would, among other things, make it nearly impossible for many family-owned small businesses to be passed down from one generation to the next. Liberals contend that a lower or nonexistent estate tax would merely benefit the wealthy while doing little to aid the economy.

A number of House Democrats wanted to change the estate tax to levels previously approved in a separate House bill that would exempt inheritances up to $3.5 million and tax amounts above that at a 45 percent rate. Pelosi said the change would bring in an additional $23 billion, and would affect only 6,600 more families than the lower rate and higher exemption in the negotiated tax deal.

However, more than two dozen moderate House Democrats submitted a letter to their House leadership calling for the tax package to be passed unchanged so it could  go directly to Obama to be signed into law.

The House Rules Committee decided Wednesday night to allow a vote on changing the estate tax provision to the levels in the previously passed House bill. If approved, the changed bill would then go back to the Senate. If rejected, the House would then hold a separate vote on the Senate version, and with approval send the bill to Obama.

However, the House Democratic leadership pulled the bill Thursday when it was unclear whether enough of their caucus would agree to the rules. Republicans traditionally oppose any rules set by Democratic leaders, even on legislation that has GOP support, arguing they want more time to debate and possibly make changes.

Pelosi was seen talking to liberal Democrats including Weiner and Rep. Peter Welch of Vermont. Later, the group grew to include House Majority Leader Steny Hoyer, D-Maryland, and others.

Rep. Rob Andrews of New Jersey said some Democrats wanted the rules to guarantee an up-or-down vote on the version of the bill passed by the Senate. As originally structured, such a vote would occur only if the House first rejected the amended version that altered the estate tax provision.

"We have one overriding goal here -- that every member of the House have a fair chance to express his or her view on final passage," Andrews said.

At the same time, liberal Democrats, including Weiner and Rep. Peter DeFazio of Oregon, want a chance to vote on further possible changes, including replacing the payroll tax deduction with an extended "make work pay" tax credit set to expire at the end of the year, DeFazio said.

The liberal Democrats also want a provision to redirect any additional revenue from their desired higher estate tax rate to pay for infrastructure investment projects, as well as a $250 payment to Social Security recipients denied a "cost of living" increase this year, according to DeFazio.

"This is the last opportunity we have," DeFazio said in explaining the last-minute push by the liberal wing. "We're on record voting on a whole bunch of things that people aren't paying attention to. People are paying attention now and we think we need to make a strong statement."

However, Democratic Rep. Jason Altmire of Pennsylvania, who supports the Senate version, called the move by liberals to demand more changes a "mistake."

"It's delaying the inevitable," Altmire told CNN. "The Senate passed this thing with 81 votes."

In the end, the new rules only added the guaranteed vote on the full bill, while denying the other amendments sought by the liberal Democrats.

Republicans involved in the negotiations with the White House on the package have warned that any changes by the House could derail the entire proposal, causing tax rates to increase in 2011.

"If the House Democratic leadership decides to make partisan changes, they will ensure that every American taxpayer will see a job-killing tax hike on January 1st," Senate Minority Leader Mitch McConnell, R-Kentucky, said in a statement Monday.

With the Bush tax cuts set to expire at the end of the year, Obama and congressional Democrats faced a fast-approaching deadline to reach a deal. Republicans won control of the House and reduced the Democratic majority in the Senate in the new Congress convening in January, which would give Democrats less leverage to negotiate after the current lame-duck session.

House liberals were not the only ones objecting to the agreement. A number of conservatives, including likely 2012 GOP presidential candidate Mitt Romney, were challenging the deal because it doesn't permanently extend the Bush tax cuts and would add to the deficit.

CNN's Dana Bash, Tom Cohen and Alan Silverleib contributed to this report.

@highlight

NEW: The House passes the tax package

@highlight

NEW: The bill now goes to President Obama to be signed into law

@highlight

The vote was delayed by liberal Democrats seeking changes

@highlight

The measure extends Bush tax cuts to all, along with jobless benefits