(CNN) -- As the forklift trucks packed up the motorhomes and emptied the garages at Interlagos in Brazil, it did not take very long for the inevitable question to be asked - just how good a driver is Sebastian Vettel?

Sunday's race confirmed Vettel as just the ninth driver in the sport's 62-year history to win three world titles, joining greats Juan Manuel Fangio and Michael Schumacher as the only racers to triumph in three consecutive seasons.

However, what is telling -- given Vettel is still only 25 -- was the somewhat circumspect response from three world champions and former McLaren race-winner John Watson when asked to assess the Red Bull driver's talents and his place in history.

"It doesn't really change how many races you have already won, getting close to the championship is a big pressure," said Schumacher, the man Vettel describes as his childhood hero.

"Even if he appears to have a car that makes it possible for him, nevertheless he has to do it. He's going for it 200% and it's a very tough job.

"He managed to pull it out and that is the extra effort that comes from him and to do this so consistently is very special."

Rearguard action

This season Vettel had to hold his nerve much more than during his previous championship campaigns.

In 2010, he had nothing to lose as he hunted down Alonso, who had a 15-point advantage, going into Abu Dhabi's finale.

The following year he wrapped up a dominant season with four races to spare and finished 122 points clear of his nearest rival Jenson Button.

This season, Vettel overcame a topsy-turvy start in which there were seven different winners in as many races.

Twice his race unravelled with reliability issues and twice -- in Abu Dhabi and Brazil -- he had to hustle through the field from the back of the grid.

The German only took the championship lead with four races to go and then had to fight a fierce rearguard action against Alonso.

"The interesting part is that this championship has been so hard-fought and it didn't really come together until the last races," said 1978 champion Mario Andretti.

"This season has been one of the best in memory. Vettel is one of the rare talents that doesn't come along very often."

Design genius

Talking of rare talents, the 2012 season demonstrated that if you want to get ahead in F1 make sure you have a good engineer in your team.

No wonder Alonso pointedly half-joked that he was not only fighting Vettel -- he was also fighting Red Bull car design guru Adrian Newey.

When asked if he agreed with Alonso, Newey's face broke into a slow, broad smile before he responded: "No. What can I say?"

Crucially when Red Bull lost some ground at the start of 2012 because of a ban on exhaust-blown diffusers, Newey found a way to recover the car's performance and get Vettel to the front of the pack.

There is no doubt that over the last three years Vettel has had the benefit of a supreme machine capable of squeezing out consistent pace and cornering speeds on a variety of circuits.

"Everyone that [wins the championship] hasn't done it alone," added Andretti, who dominated his championship-winning season thanks to the legendary Lotus 79 ground effect car.

"You can have the best driver in the world but you need the car. When Schumacher and Fangio were winning they had superior equipment as well. Vettel is making the most of the best design in F1. That's what it takes."

Peerless car

Three-time champion Niki Lauda certainly believes that when you're racing in a field thick with five other world champions having the best car is a useful weapon.

"Vettel is the top guy, [Lewis] Hamilton is the top guy, Alonso is the top guy, Schumacher is a top guy too," Lauda, who was champion in 1975, 1977 and 1984, told CNN.

"You need a car, and you need a driver. Vettel is for sure as good as Alonso is - but you need a better car."

What is open to debate is whether Red Bull's peerless car obscures Vettel's abilities behind the wheel or it hides his limitations.

Some of Vettel's F1 rivals are said to be of the opinion that he does not deserve all the accolades he receives given the car he drives.

Newey's response to that is: "I certainly don't underrate him -- if other people do that's their problem."

And former McLaren GP winner John Watson argued: "Vettel is a bright guy. Whatever the team provide him with he can capitalize upon.

"He understands what the car is designed to do and he can affect what it does on the circuit. For those reasons he is remarkable."

And anyway, Watson went on, Vettel is not the only three-time champion to benefit from superior equipment.

"Schumacher had five consecutive titles but that was in a period when Ferrari had influence on tyre development," explained Watson.

"Essentially telling the tyre company 'we want you to make tyres to suit our car and we don't give a sod about anybody else.'"

F1's dark periods

If Vettel's achievements over the last three seasons have aligned him with Fangio and Schumacher as the sport's only 'three-peat' champions, is it possible to judge these champions and their abilities side-by-side?

"You cannot compare 30 years back," reflected Lauda, who survived a near-fatal fiery crash at Germany's Nurburgring in 1976 before going on to win two more titles. "These are different times and different people.

"The danger involved is the opposite of today. [In the past] every year at least one got killed so you could work out when it was your turn.

"To drive on the limit and win races is the same challenge, but today F1 is much safer."

Watson agreed: "Fangio is my hero. Why I respect him is that he won five world championships in an era when motor racing was fundamentally a slaughter."

When Schumacher won his first world title with Benetton in 1994 it was also one of F1's darkest periods.

The German won the San Marino Grand Prix in 1994 where both Simtek racer Roland Ratzenberger and three-time world champion Ayrton Senna lost their lives.

It remains as the last race where F1 drivers were killed.

Safety improvements over the last 20 years means today's F1 drivers no longer roll the dice against their own mortality as frequently as the brave champions of the past.

But Watson argues there is still an important lesson to be learned from Fangio, who raced to five championships in the 1950s.

The Argentine won four of those titles with different teams -- Alfa Romeo, Ferrari, Mercedes and Maserati. His feat has yet to matched.

"My definition of greatness is not winning three consecutive times but it is winning in different teams," said Watson. "That is the judgement of a truly great driver.

"To move from team to team, to be able to build that team around you, to bring leadership and ability as Fangio did, that is why he is just the greatest all-time F1 driver."

As Christian Horner reeled off the names of other three-time world champions on Vettel's slow-down lap in Sao Paulo, Vettel revealed the Red Bull team boss had forgotten to mention Alain Prost.

The Frenchman stands alone in the record books as the sport's only four-time champion.

Vettel aims to join him next year -- then five-time winner Fangio and Schumacher's magnificent seven are all that are ahead of him in his quest for total greatness.

@highlight

Sebastian Vettel won his third consecutive Formula One title on Sunday at Interlagos in Brazil

@highlight

The 25-year-old becomes only third man to achieve the feat

@highlight

Red Bull driver now sits alongside legend Ayrton Senna on three title victories

@highlight

Three world champions and former McLaren race-winner John Watson assess Vettel's greatness