Madrid (CNN) -- It's an ominous number.

There could be up to 10,000 new Ebola cases per week in Guinea, Liberia and Sierra Leone by the end of this year as the outbreak spreads, the World Health Organization warned Tuesday.

And now that a nurse has become the first person to contract Ebola on American soil, the Centers for Disease Control and Prevention says it has a new plan to help hospitals handle the deadly virus.

"For any hospital anywhere in the country that has a confirmed case of Ebola, we will put a team on the ground within hours," CDC Director Dr. Tom Frieden told reporters.

The response team will include experts in infection control, protective equipment and experimental therapies. A team such as that, Frieden said, might have prevented a Dallas nurse from contracting the disease. The nurse was a member of the medical team that treated an Ebola patient who died last week.

"I wish we had put a team like this on the ground the day the first patient was diagnosed. That might have prevented this infection," Frieden said. "But we will do that from this day onward with any case anywhere in the U.S."

In addition to the many experts it sent to Dallas, Frieden said, the CDC "could have sent a more robust hospital infection control team and been more hands-on with the hospital from day one about exactly how this should be managed.

"Ebola is unfamiliar. It's scary," said Frieden. "And getting it right is really, really important, because the stakes are so high."

Speaking to reporters in Switzerland, WHO Assistant Director-General Dr. Bruce Aylward told reporters that the Ebola outbreak could get worse before it gets better. By December, he said, there could be between 5,000 and 10,000 new cases weekly in West Africa.

Compare those December projections to the latest figures. As of Tuesday morning, there were a total of 8,914 Ebola cases and 4,447 deaths reported to the WHO, Aylward said.

The outbreak's mortality rate, he said, is about 70%.

"This has been a deadly disease ever since we discovered it in 1976," said Dr. Seema Yasmin, a staff writer at the Dallas Morning News and a former CDC disease detective.

"Certainly the death rate can be lowered if we don't have any delays in diagnosis and don't have any delays in treating people," Yasmin told CNN's Wolf Blitzer.

Aylward told reporters that in 90 days, officials have a goal they're aiming for: They want to see the number of cases dropping from week to week.

To start to decrease the rate of infection, the WHO says it hopes to isolate 70% of Ebola patients and have 70% of Ebola victim burials performed safely by December 1. Getting responders, facilities and plans in place to meet the goal will be very difficult, Aylward said.

Missing the goal will mean that more people will die than should have and that even more resources will be needed because the infection rate will continue to climb, he said.

Dallas nurse speaks

Days after authorities announced that a Dallas nurse had contracted Ebola, concerns in the United States have focused on a key question: Are people who are putting themselves in harm's way to care for Ebola victims receiving the training and equipment they need?

"I've been hearing loud and clear from health care workers from around the country that they're worried, that they don't feel prepared to take care of a patient with Ebola," Frieden said.

Every hospital in the United States needs to be prepared to handle Ebola, he said, adding that the CDC will be stepping up training efforts.

The Dallas nurse, Nina Pham, had cared for Liberian national Thomas Eric Duncan, who contracted Ebola in Liberia and died of the illness at Texas Health Presbyterian Hospital.

"A single infection in a health care worker is unacceptable," Frieden said. "And what we're doing at this point is looking at everything we can do to minimize that risk so those that are caring for her do that safely and effectively."

At least 76 health care workers who may have come into contact with Duncan after he was hospitalized are now being monitored for symptoms of the disease, Frieden said.

At the Dallas hospital, teams from the CDC are taking a number of steps to improve safety in handling Ebola, Frieden said, including ensuring there's a site manager making sure protective equipment is put on and taken off correctly.

"There wasn't a single individual accountable for that," he said. "That's a critical role and that's there now."

They're also improving training at the hospital and limiting the number of staff who go into the isolation area, he said.

In a statement Tuesday, Pham thanked supporters for sending kind wishes and prayers, according to the Dallas hospital where she is being treated.

"I am blessed by the support of family and friends and am blessed to be cared for by the best team of doctors and nurses in the world," she said.

Infected nurse's assistant 'helping' as doctors treat her

Health authorities in Spain said a nurse's assistant who is the first person to contract Ebola in Europe in the current outbreak is still in serious condition but doing better.

And even as Teresa Romero Ramos lies in a hospital bed, she's doing everything she can to take care of doctors, nurses and herself, said Dr. Marta Arsuaga, who is Romero's doctor and friend.

"She is helping us to treat her. ... She was where I am now, so she knows what I have to do," Arsuaga said.

Romero's case, like Pham's, has raised serious questions about how equipped hospitals are to cope with the Ebola outbreak.

The European Centre for Disease Prevention and Control said Monday that the Madrid hospital treating Romero doesn't meet all the standards set for centers capable of Ebola care.

And in a scathing letter, Javier Limon, Romero's husband, said she received only 30 minutes of training in putting on protective gear and called for the resignation of Madrid's regional health minister over how the case has been handled.

Romero helped care for one of two Spanish missionaries who were brought back to Madrid for treatment after being infected with the virus in West Africa. Both men died of the illness.

Besides treating Romero, Spanish authorities are monitoring 81 potential Ebola cases -- 15 in hospitals and 66 at home, according to the Spanish Ministry of Health. None of them is showing symptoms of Ebola, the ministry said.

Romero is stable but remains in serious condition, Antonio Andreu, director of the Carlos III Hospital in Madrid, said at a news conference.

A spokesman for a special committee created in Spain to keep people informed about Ebola said Spain will have a contagious diseases reference center in each of its regions.

Police, firefighters and ambulance personnel, as well as hospital staff, will be trained to deal with Ebola cases.

Andreu insisted that Spain's health care professionals have the situation under control. But he said more training will be given to health care workers and new guidelines will be prepared.

"Ebola is not a problem of Spain. It is not a problem of the United States," he said. "It's a global problem."

CNN's Laura Perez Maestro reported from Madrid, while Laura Smith-Spark wrote and reported from London and Catherine E. Shoichet wrote and reported from Atlanta. CNN's Alexander Felton, Claudia Otto, Elwyn Lopez, Jason Hanna and Dana Ford contributed to this report.

@highlight

New site manager at Texas hospital is a "critical role," CDC director says

@highlight

WHO predicts 5,000-10,000 Ebola cases a week in worst-hit countries by December

@highlight

CDC director: A new team will help hospitals around the United States deal with Ebola

@highlight

Dallas nurse: "I'm doing well"; she thanks "everyone for their kind wishes and prayers"