(CNN) -- American military deaths in Iraq have dropped dramatically this year, a trend observers attribute to the lasting effects of the U.S.-led surge offensive, more robust Iraqi security performance and civilians' disgust with warfare.

An Iraqi police officer secures the scene of a car bombing Saturday in Baghdad.

A CNN count of Pentagon figures shows that 309 U.S. service members in Iraq have died this year: 222 in hostilities such as combat and attacks, and 87 in non-hostile circumstances such as traffic accidents, suicides and natural deaths.

The U.S. death toll has been much higher in past years. Last year, 906 died: 768 in combat and attacks and 138 in non-hostile circumstances. There were more than 800 deaths in 2004, 2005 and 2006 as well.

"It's no single effort. It's a combination of efforts," said Maj. Gen. Jeffery Hammond, commanding general of Multi-National Division-Baghdad. "The people of Iraq are tired of violence, and they are assisting the security forces; the government is improving its ability to govern and to apply the rule of law."

The decline in deaths coincides with a decrease in attacks. Maj. Gen. David Perkins said that last year, Iraq experienced nearly 180 attacks a day and that last week, the number dropped to an average of 10 a day.

Gen. Thomas Metz, head of a military group dedicated to defending against roadside bombs, said this month that there had been a recent decline in the number of particularly powerful roadside bombs coming into Iraq from Iran. The bombs, called explosively formed penetrators, have been blamed for numerous U.S. troop deaths.

The improvement comes as the United States prepares to withdraw its combat troops from population centers in 2009 from all of Iraq by the end of 2011.

Commanders and others say the successes of the U.S.-led surge in establishing stability last year and this year in Baghdad and nearby towns and villages have decimated militant leadership and operatives, leading to a decline in attacks.

"The Iraqi security forces have increased their capability in the last 13 months here in Baghdad," Hammond said. "The coalition forces and the Iraqi forces, in a combined effort, have pressed the insurgents and al Qaeda; more than 3,300 of them have been detained in the past year."

Michael O'Hanlon, senior fellow in foreign policy at the Brookings Institution, said the military is much better at thwarting roadside bombs, has developed a better informant network and has been dismantling the al Qaeda in Iraq movement.

Maj. Brian Tribus, chief of media relations for Multi-National Corps-Iraq, emphasized the improved security performance and growth of Iraqi forces.

U.S. deaths have dropped in part because Iraqi troops are taking more responsibility for fighting, he said. Iraqi troops often take the lead in security patrols, as 13 of 18 provinces now are under Iraqi security control.

Tribus said that more than three times as many Iraqi security forces as coalition forces were killed or wounded from June to November. In the same period last year, they sustained 1.3 times as many casualties.

Government offensives against Shiite militants in Basra, Amara and Baghdad's Sadr City and against al Qaeda in Iraq in the Mosul region illustrate Iraqi competency and resolve, Tribus said. Those operations also helped security forces develop their skills, he added.

Another possible reason for the improved security has been the growth of the "Awakening" movement, in which Sunni tribes decided to take a stand against al Qaeda in Iraq in Anbar province.

This movement's ideals spread to other regions, and from it, a U.S.- and Iraqi-backed program called the Sons of Iraq emerged. The largely Sunni militias, which include some former insurgents, have assisted in security duties.

Sunnis once played a dominant role in the insurgency. Sunnis, who had more clout under Saddam Hussein's rule, are embracing the new governmental system.

"The Sons of Iraq represent one of the many success stories in Iraqi neighborhoods and communities," said Sgt. Brooke Murphy, a Multi-National Forces-Iraq spokeswoman. "This organization began as simple groups of concerned local citizens striving to reclaim their neighborhoods from terrorists and criminals."

She said "the importance of their contribution" can be gauged by efforts of the Iraqi government and U.S. military to register members into Iraqi security forces and non-security related jobs.

Tribus said the focus on advising and partnering Iraqi security forces will contribute to lower U.S. and coalition deaths.

"We expect the trend will continue downward as the [Iraqi security forces] take more of the lead," he said.

CNN's Jill Dougherty and Jennifer Turner contributed to this report.

@highlight

Deaths drop from 906 last year to 309 this year

@highlight

Decline attributed to rise of Iraqi forces, "Awakening" movement

@highlight

Improvement in defending against roadside bombs also cited

@highlight

Count comprises both combat and non-combat deaths