Some 1,348 people have been executed by the state since 1976, when the Supreme Court allowed capital punishment to resume after a four-year moratorium. Twenty-eight were given lethal injection this year, three over the past several days.

While the annual number of executions and death sentences continue to drop nationwide, it remains a legally and socially acceptable form of justice for aggravated murder in 32 states.

But a new book reveals how the high court four decades ago was on the verge of eliminating the death penalty permanently.

Evan Mandery's "A Wild Justice: The Death and Resurrection of Capital Punishment in America" (Norton) is a stunning insider's look at the legal and social forces dividing the justices during turbulent times.

For two centuries death by hanging, firing squad, gas chamber, electrocution, and toxic chemicals (among nearly a dozen methods) was completely ingrained in the American political fabric.

But Mandery chronicles one justice's quiet, improbable crusade to change the legal landscape beginning in the early 1960s, in the process conflicting the court like few issues before or since.

Money and politics court's first big case this term

His narrative crests with Furman v. Georgia (1972), when the court struck down that state's capital laws, and effectively putting executions on hold.

The 5-4 decision produced nine separate opinions,  and no controlling precedent. It was a collection of 60,000 words (the longest in the court's history) that gave only temporary optimism to death penalty opponents.

Church and state, executive power on Supreme Court docket

States then made changes to their laws, and the court four years later (on the eve of the nation's Bicentennial), reversed itself in stunning fashion.

CNN spoke recently to Mandery, a former capital defense lawyer, and now a professor at John Jay College of Criminal Justice.

CNN:  Your story begins with Justice Arthur Goldberg, who wanted the Supreme Court to test whether capital punishment itself was fundamentally unconstitutional.

Mandery: "It just shows how utterly remarkable what Goldberg did. He said: I want to revisit this issue. In 1963, it was so widely accepted that the death penalty was unconstitutional that the defendants in other cases didn't challenge its constitutionality. He made the argument on their behalf. There are no Goldbergs anymore. It's hard to imagine a justice today saying 'I want to raise this up to national agenda.' The court is so often in the business of following change rather than leading it."

CNN:  One of the key characters in your book is the prominent criminal appellate attorney and legal scholar Alan Dershowitz. He was Goldberg's law clerk at the time and helped formulate the legal reasoning.

Mandery: "I hope people understand what an extraordinary, revolutionary, and subversive idea that Goldberg and his partner Dershowitz advanced in 1963. Whatever your views on the death penalty and the Supreme Court, everyone acknowledges as a subject of discussion that the Constitution is an evolving document and that the death penalty is constitutionally problematic, if not unconstitutional. In 1963, when they started, nobody did. It was revolutionary."

CNN:  What was the political fallout from Goldberg's prodding?

Mandery:  "After Goldberg publishes his dissent (on the court's initial refusal to hear a death penalty constitutional appeal), the legal people at the NAACP sensed something was afoot, and they begin constructing a campaign to try to bring executions in the U.S. to a halt. The NAACP legal defense team, for a 10-year period, got courts to stop executions, not by winning a broad decision at the federal level, but buy winning dozens of local cases, raising legal arguments in individual cases. It's an astonishing accomplishment, whatever your views of capital punishment."

CNN:  So by 1972, the Supreme Court was ready to fully tackle the constitutional questions. It ultimately struck down capital punishment — effectively voiding laws in 40 states -- but why were the justices unable to agree on the reasoning?

Mandery:  "There is one particular quirk about this history that acted as a barrier to a consensus view coalescing. At the beginning of the 1971 term when Furman was decided, (Chief Justice) Warren Burger said he wanted the case to be conducted in complete secrecy. And he wanted each justice to write his own opinion. And consequently the justices operated in almost complete isolation throughout the term, which had some very bizarre results. It was one of the contributing factors to the splintering of this 5-4 decision with nine opinions.

"It's almost impossible to discuss the case because there is no majority opinion. (Liberal Justices) Brennan, Marshall, and Douglas wrote opinions that really seemed to be against the death penalty in all cases. Douglas' decision was premised basically on the issue of racism, Brennan's on human dignity, Marshall on a host of consideration including inequality. (Justice's) Stewart and White's opinions are the most closely aligned. Stewart said the problem with the death penalty is its randomness among murderers, White says the problem with the death penalty is that it isn't applied frequently enough to achieve deterrence. Even the four dissenters couldn't agree."

Test your knowledge of the Supreme Court

CNN:  You write Potter Stewart (appointed by President Dwight Eisenhower) and Byron White (appointed by President John Kennedy) were the key players here.

Mandery:  "There's a lot of evidence that Stewart made a deal with White because he emerged (in June 1972) with a changed position on capital punishment. Where he had previously been against it in all cases, White was now taking the position that his problem with the death penalty was its application. He told his clerks at the beginning of the term that he wanted to write a "short snapper" saying that the death penalty treated people as a means to an end, and was therefore unconstitutional. And there are hints in some of Stewart's earlier opinions that he was, in fact, morally opposed to capital punishment. But that is not the position that he ultimately articulated in his concurrence in Furman."

CNN:  But by 1976, that all unraveled. What happened?

Mandery:  "Grand political theories of judicial behavior don't explain very much. These are socially situated actors who have different views at different times and are responding to their perceptions of their own constituencies. They're not elected but they feel that they are answering to people. It's a very messy history."

CNN:  Is there something about the death penalty itself that makes the court's jurisprudence so problematic-- the finality, the questions of life and death.

Mandery:  "There is something different about the death penalty. It's not surprising during this four-year interim period that each of these justices -- with the exception of (conservative William) Rehnquist, who doesn't seem troubled at all by this -- each has their antenna up. It's not like a tax case. But I don't think it's categorically different than Roe (abortion rights) or the civil rights cases. I just think we don't know all the behind-the-scenes stories because these are very hard to write. But I got incredibly lucky. I had a moment in history when the archives were available to me, as were many of the key players that I interviewed. All agreed there was definitely at the time tremendous frustration with how Chief Justice Burger was managing the cases. His colleagues had little respect for him.

"So by 1976, 37 states had passed new death penalty laws and they tried to remove arbitrariness in its application-- based on what the court has mandated -- or at least made a good faith effort to attempt to do this. One of the great stories in my book is that Powell, Stewart, and (Justice John Paul) Stevens met at a local restaurant called the Monocle, and there agreed that the mandatory death penalty for murder was reprehensible, but that they would also uphold the 'guided discretions' statutes (through the use of what are called 'aggravating' or 'mitigating' factors either favoring or blocking its use). That was their Solomonic compromise. The 1976 compromise was that similar capital cases should be treated alike. But also that no mandatory death penalty for certain crimes means individual cases must be treated individually. It's a fundamental contradiction that has made death penalty law in the U.S. for the past 40 years at a minimum confusing and problematic, at a maximum completely inconsistent and incomprehensible."

CNN:  Is the current court ready to tackle the issue again?

Mandery:  "It certainly seems that it merits another day in court after 40 years. There are a lot of reasons to think that (moderate-conservative) Justice Anthony Kennedy's vote is up for grabs and his mind is open on this question. So I don't think the outcome of a case would be predetermined one way or another."

CNN:  What has the court said on mandatory DNA testing and re-testing for all capital inmates?

Mandery:  "Imagine what a difference it would make if the Supreme Court said that states were required to have DNA exoneration projects as part of their death penalty systems. In other words, if they guaranteed somebody that type of post-conviction appeal. They've removed themselves utterly from the process of trying to make the system better. Everybody agrees that the conviction and execution of an innocent person is morally intolerable and yet the Supreme Court hasn't gotten involved in the business of what's required, how much due process is required, how much extra due process is required, to protect against the execution of an innocent."

@highlight

Supreme Court struck down capital punishment in 1972, but executions resumed four years later

@highlight

Evan Mandery gives insider's look at legal and social forces dividing the court in turbulent times

@highlight

Court operated in almost complete isolation, which produced some bizarre results

@highlight

Justices are actors with "different views at different times" and are part of "messy history," Mandery says