(CNN) -- Keep your head down and your mouth shut. Play the game. Smile for the camera. Collect your fat paycheck. And go home.

That has been the mantra for far too many professional athletes for as long as I can recall over my 20 years of working in sports media. Most sports stars have chosen to stand for nothing, believing instead that donning a uniform on game day and dazzling the world with their superior athletic skills somehow fulfills their contribution as American citizens. That somehow their physical gifts excuse them from being an active player in the game we call life.

Truth be told, we journalists have been willing co-conspirators -- all too happy to stick to safe X-and-O questions about the game and avoid the uncomfortable issues. In fact, there was a time not too long ago when any question to a pro athlete that carried a whiff of controversy would mean "interview over."

But that was yesterday. Today -- finally -- a few bold athletes are changing the game, finding their voices and speaking out about injustices they see -- whether fans like it, or not; whether their coaches like it, or not.

On Sunday, five St. Louis Rams players raised high their hands in a "don't shoot" stance to show their solidarity with the Ferguson, Missouri, protesters after the grand jury decision not to indict the police officer who shot an unarmed 18-year-old, Michael Brown. Some police, pundits and fans have objected, but the players aren't apologizing.

They are following in a proud tradition of agitators from the distant past who demanded the world see them not only as sports icons but as proud men and women who would use their talent to fight for equality in America.

Men such as Muhammad Ali, a conscientious objector to the Vietnam War and forceful voice for black equality in his own nation, and tennis great Arthur Ashe, who marched along with civil rights leaders in the '60s and became a leading voice in the global fight against apartheid in South Africa.

Olympians Tommie Smith and John Carlos lifted their black power salute during the medal ceremony of the 1968 Summer Games to protest racism in the United States. That day, Carlos wore a necklace of black beads on the Olympic podium to represent the thousands of African-Americans who were lynched at the hands of white racists in America. Smith carried a box containing an olive branch to call for peace. Those athletes refused to sit on the sidelines and ignore racial injustice in their lifetimes.

The goal was to inspire a nation, not just to win games.

Phenomenal women such as Althea Gibson and Billie Jean King vocally advocated across generations for gender and racial equality. Those women never let sports fans forget that they stood for something far greater than the game.

Could it be that now a new generation of athletes has at last found a renewed sense of purpose and recognized their power beyond the sports? It's about time. I'm proud of each one of these young men and women who are finding the courage to speak up and speak out -- to join their rightful place in the American conversation.

The world is often an ugly place, but this slow rebirth of activism by professional athletes is a beautiful thing to witness:

â€¢ LeBron James spoke volumes last year with his powerful #wearetrayvonmartin photo tweet featuring himself, Duane Wade and other Miami Heat players protesting with hoodies pulled tight over their famous faces in the wake of the shooting of Trayvon Martin, an unarmed African-American teen who was shot and killed by a neighborhood watch volunteer in Sanford, Florida.

â€¢ Hall of Fame player and ESPN analyst Cris Carter, among others, spoke out on-air against child abuse in the wake of the Minnesota Viking Adrian Peterson child abuse story. Carter described his own experiences as a child.

â€¢ And last fall, professional athletes around the nation joined the call to end domestic violence with the "No More" campaign. One of those players, William Gay, the 29-year-old cornerback for the Pittsburgh Steelers, lost his mother when he was 8 after she was shot by his stepfather. Today, Gay is one of the league's most ardent voices denouncing against men who commit violent crimes against women. And he's targeting his peers.

"It's telling men that this not OK. We're not going to sit back and say, 'We'll let you guys handle it.' That's not the case anymore. People die from this, and we need to do something about it, and if we see something, we need to say something," Gay told USA Today Sports.

These are the images that are beginning to compete for time with sports highlights on America's screens. They may make us feel uncomfortable. They may make it impossible for some of us to escape the problems at our own doorsteps. But this is America, where since 1791, the First Amendment has given citizens the right to freedom of speech and the right of the people to assemble peaceably, and to petition the government, among other things.

League rules do not trump this constitutional right; to try to silence players would, or course, not stand up in court. The league can and often does, however, dictate how players can appear in public when at work (games, practice, press conferences), but only when the players are at league-sanctioned events, or in uniform. The league, like other companies, cannot demand that its employees not speak out as private citizens on their personal time.

And though in the past NFL Commissioner Roger Goodell has tried to stop players from speaking out about sports-related controversies, you'll notice that the Rams players will not be sanctioned in any way for their Ferguson protest. The NBA and other sports have also declined to fine or sanction players who have recently protested in some form for Trayvon Martin.

Indeed, today anyone would be hard-pressed to justify why pro athletes -- tax-paying American citizens -- should be denied the right to speak out about any issue in the world.

Yes, it's a new day in sports. And the revolution is being televised.

@highlight

Roxanne Jones: Rams' protest over Ferguson is a sign sports figures are finding their voices

@highlight

She says recently they've been silent, but history has many examples of athletes' protests

@highlight

Jones says that Muhammad Ali, Billie Jean King, Arthur Ashe all spoke against injustice

@highlight

Jones: Athletes now weigh in on Trayvon Martin and other issues, and it's about time