ATLANTA, Georgia (CNN) -- At least 20 homes in Atlanta's historic Cabbagetown neighborhood were flattened by a tornado that ripped through downtown Atlanta on Friday night, a spokeswoman for the mayor said.

Debris from Friday night's tornado litters the street outside CNN Center.

Firefighters fear there could be people dead inside the ruins of a collapsed loft complex in the same neighborhood, the spokeswoman said.

There have been no deaths confirmed from the tornado, but at least 15 people were treated at two hospitals. Most of the injuries were minor cuts, scrapes and bruises, officials said.

The Fulton Cotton Mill Lofts, just east of downtown Atlanta, collapsed in a "pancake fashion," Atlanta Fire Chief Kelvin Cochran said early Saturday.

The tornado that ripped through the heart of the  city damaged the roof of the Georgia Dome during a college basketball game, shattered windows and ripped roofs from buildings before continuing into several residential neighborhoods.

The building that houses CNN was at the epicenter of the storm -- sitting next to the dome and hotels where thousands of basketball fans attending the Southeastern Conference tournament were at least temporarily displaced.  Watch coverage of damage to CNN Center »

"It was actually in overtime, and the game was getting exciting, and I thought people from the Alabama side were hitting the bleachers trying to get some noise going," said Lucas Shields, who was attending the game between Mississippi State and the University of Alabama.

"All of a sudden the TV went out, the overhead clock stopped working, and you hear that distinctive noise of a train."

Timothy Wood, 30, of Cumming, Georgia, took refuge from rain at Philips Arena. "First thing I saw were cups then I saw larger objects -- like parts of Philips Arena were coming off and being blown into the street," Wood said.

Police closed several streets in the vicinity of CNN Center because of glass and other debris from the storm.  Audio Slideshow: View the damage »

The storm tracked from the northwest side of the city to the southeast, demolishing buildings and downing trees that crushed cars and ripped through the roofs of homes.

At the Fulton Cotton Mill Lofts, damage was extensive.

Mahsud Olufani, an Atlanta painter and sculptor with a studio in one of the other buildings, said he rushed to his studio when he saw news of the damage.

"It looks like a bomb went off, it looks like World War III," he said. "It's a disaster area."

The converted lofts also were the site of a massive 1999 fire, during which a dramatic helicopter rescue was televised worldwide.

In the neighborhood of East Atlanta, resident Cameron Beasley said he could see four or five homes with storm damage, including trees knocked through their roofs, and several cars crushed by downed trees.

"Something really fierce came down," said Beasley, who said he and his wife ran with their two children into their basement about 15 seconds before the storm hit. "It was just crushing cars, crushing houses."

The National Weather Service had issued a tornado warning for the area, in effect until 10 p.m. The storm came through at about 9:45 p.m.

Inside CNN Center, water poured through damage in the ceiling into the building's atrium. Glass shattered, and parts of the building filled with dust.

Virtually all of the windows facing Centennial Olympic Park on the Omni Hotel, which is attached to CNN Center, were shattered, leaving curtains flapping in the darkened windows. Visitors to the hotel were evacuated to the facility's exhibition hall at street level.  Watch survey of damage to Omni Hotel »

Windows also were shattered in the CNN.com newsroom, with staffers saying that there was a computer missing -- apparently sucked through one of the windows. CNN's library was also damaged.  See photos of the damage inside »

Outside the building, debris littered the streets and billboards collapsed onto parked cars. Centennial Olympic Park was also severely damaged.

Next door at the Georgia Dome, the Alabama-Mississippi State game was halted. The storm visibly rippled the ceiling of the dome and caused some damage, video of the arena showed. Scaffolding holding the facility's scoreboard swayed 15 minutes after the storm hit.

The game resumed about an hour later, but a later game between Kentucky and Georgia was postponed.

Joe Bryson, 28, of Cumming, Georgia, was outside when the winds hit.

"When it started to drizzle a little bit, everyone got under some shelter, watching things develop. It started to pick up a bit. When the metal barriers fell over and started skidding along the ground that's when everyone started -- not panicking -- but going inside.

"I saw two fellas who were running to come to shelter and they were getting pushed from the back [by the wind]. They got knocked down but got right back up and followed everyone inside," Bryson said.

Catherine Niehaus, an iReporter, was inside the Georgia Dome when she said the roof split, scaffolding slipped and the scoreboard started to sway.

Slabs of metal and insulation material smothered the streets outside. Cars and emergency vehicles were scattered among the debris as hundreds of people, many of them attending the Southeastern Conference basketball tournament, wandered around talking on cell phones.

Heaps of bricks and sheetrock were pushed up against cars. Streets signs were bent in half.

At the neighboring Georgia World Congress Center, the storm blew down a wall, allowing water to pool ankle deep inside the building.

Further east, heavy damage was reported near Grady Memorial Hospital.

According to the National Oceanic and Atmospheric Administration, the most recent downtown tornado in the United States hit Jacksonville, Florida, August 12, 2004. There were no deaths.

According to the NOAA, the deadliest tornado to hit a downtown area in the 20th century was May 11, 1953, when 114 people were killed in Waco, Texas.

Although downtown tornadoes are rare, it's a misconception they can't happen, according to The Tornado Project, a company that gathers and compiles tornado information. "That more 'cities' aren't struck by tornadoes is probably more coincidence than anything else," according to the project's Web site.

"There are very few 'big cities' with skyscrapers in Tornado Alley. In fact, there are only a dozen, and one of them, St. Louis, Missouri, has a long history of tornadoes in its central area." E-mail to a friend

@highlight

NEW: At least 20 homes flattened by tornado in Atlanta

@highlight

Apartment building collapses as tornado hits Atlanta

@highlight

Search for survivors amid apartment debris could take days

@highlight

At least 15 people injured, hotel evacuated during storm