(CNN) -- The rollout of the Affordable Care Act has been filled with problems and controversy. Facing entrenched opposition from a Republican Party that has been determined to subvert the program from the moment it passed, President Barack Obama has frustrated supporters by continuing to offer the GOP plenty of ammunition for their attacks.

The website for purchasing health care has been an embarrassment.

The contradictions between Obama's promises about everyone being able to keep their existing coverage and the reality that millions of Americans would not be able to do so has raised memories of President George H.W. Bush's famous "Read My Lips" pledge.

Health and Human Services Secretary Kathleen Sebelius has admitted that the enrollment numbers will fall well short of what was expected.

While it is true that the challenges facing the program have received much more attention than the successes, the problems are impossible to ignore. There are many reasons for Obamacare's troubles, ranging from the failure of White House officials to adequately prepare for the launch of the website to the successful Republican efforts to undermine its operations, including the refusal of many governors to establish exchanges in their own states.

But a large part of the problem was the underlying ideological outlook that shaped the original proposal. The ACA was a product of a kind of half-baked liberalism that has been popular among many Democrats for several decades.

Since the 1990s, many Democrats have settled for jerry-built proposals that shy away from direct and aggressive federal intervention. Many Democrats have concluded that in the current era, the only domestic programs that stand a chance of passing Congress are those that rely on the participation of market-based actors, limited federal funding and heavy federal-state collaboration in the administrative process.

Conservatives have been very effective at defining the national agenda throughout these years, defending the argument that government is the problem, as Ronald Reagan famously said, and nurturing a political coalition that has continually pushed liberals into the corner.

In response, many Democrats concluded that the best strategy was to veer toward the center. They have pushed programs that create incentives for Americans to do certain things within the private market, rather than just offering those services themselves directly through the government.

While many domestic programs in the United States included this kind of mix throughout the 20th century, in recent decades Democrats have embraced this approach even more aggressively for fear that anything more sweeping would die in Congress.

While there are good political reasons behind this approach, it has also come at a huge long-term cost to the strength of the programs, and Obama is now paying the price.

Foremost, these mixed public-private programs have trouble building strong public support. Their complexity makes it difficult for politicians to excite the public and explain the benefits to constituents. Often the benefits are hard to discern for most Americans who see a patchwork of regulatory policies.

The complexity allows opponents to characterize the programs in unfavorable terms, even spreading false information without strong pushback. President Bill Clinton learned this in 1993 when his market-based proposal for health care was turned by Republicans into a state-centered monstrosity and went down to defeat.

The contrast with Social Security is striking.

Under President Franklin Roosevelt's program, created in 1935, the federal government directly sends paychecks to the elderly. Americans have always understood the benefits they receive. The clarity of the funding, with a payroll tax paying for benefits, has also been important in creating a sense of ownership among workers that has pushed them to support the program for decades.

The other problem with half-baked liberalism is that it provides many points for opponents to weaken measures after they have passed. The implementation process becomes a nightmare.

We have seen this with the Dodd-Frank legislation that established a relatively weak regulatory infrastructure filled with loopholes that has allowed the financial services sector to continue to engage in highly risky behavior.

Another example is the fact that Obama's economic stimulus program in 2009 did not include the kinds of public works jobs that defined the success of the New Deal for many Americans.

Mixed public-private programs often fail to address the underlying forces causing a problem, while giving private industry a chance to reap profits off the policy. This is what critics said of the Empowerment Zones of the 1990s, a style of urban policy that had limited effect on revitalizing impoverished urban areas.

The ACA has been no different. The legislation required states to set up federal exchanges and mandated that the federal government would create an exchange of its own for individuals living in states that lacked their own system.

This design allowed Republican governors to block the creation of state exchanges and intensify the pressure on the federal government to handle the program. Congress didn't devote to ACA the funding that was needed to handle this task.

ACA also relies on the expansion of Medicaid to provide coverage to the uninsured. But the legislation left itself open to legal challenge and the Supreme Court allowed states to opt out of this expansion. The result is that in many states, the future of the uninsured remains up for grabs.

Rather than providing insurance directly through a public option, the legislation instead relied on a mandate to force qualified individuals to purchase private coverage through exchanges. The risk is that premiums continue to stay high and that access to the programs continues to remain problematic, all of which will make ACA look like less of an improvement than many hoped for.

The design of the program will also likely strengthen the government-health care complex that has grown since the creation of Medicare. The president has been notably quiet in criticizing the insurance companies in recent weeks.

As Politico reported, one White House official said, "Their interests are aligned with our interests in terms of wanting to enroll targeted populations. It is not that we will agree with everything now either, but I would say for some time now there has been a collaboration because of that mutual interest." The government also tied its own hands in regulating costs by backing down from original proposals to regulate drug prices.

In a recent article in National Affairs, Johns Hopkins University political scientist Steven Teles writes about "Kludgeocracy in America," which he defines as the nation's tendency to offer complex and byzantine policy solutions to the most pressing policy problems. The solutions we offer are temporary and short-term fixes to long-term problems that leave no one satisfied and often intensify distrust of government.

According to Teles, if the government chose cleaner solutions to big challenges such as health care and education, "government would be bigger and more energetic where it clearly chose to act . . . but smaller and less intrusive outside of that sphere."

The stakes of fixing the health care mess are enormous for the President as well as for liberals who want to prove that government is capable of handling big problems.

But the policy problems should also be a wake up call for liberals that it might be worth fighting for something bigger next time around. It was not inevitable that Obama chose the path that he did.

Despite the conventional wisdom, there is plenty of evidence that liberalism remains quite strong in the body politic -- based on ongoing support for specific programs like Social Security, strong electoral performance of Democrats in 2008 and 2012 on campaigns that emphasized progressive themes and the miserable approval ratings of the GOP.

While it is true that the perfect should not be the enemy of the good in American politics, it is also true that sometimes a fight for the perfect is one worth having and could produce results that only strengthen the case for more.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer says rollout of Obama's health care plan has been filled with problems

@highlight

He says the Affordable Care Act was product of timid liberalism, a trend in past decades

@highlight

Zelizer: Liberals have shied away from arguing strongly for government solutions

@highlight

Programs such as Obamacare are complex, require cooperation of states, private industry, he says