(CNN) -- The entryways to some of the University of Chicago dorms near the corner of East 61st and South Cottage Grove resemble the doors of a prison. And if you look around, it's clear that instead of trying to keep trouble locked in, the 123-year-old private school is trying to keep trouble out.

The university's stone wall near that intersection appears to have had graffiti scrubbed off. And the U. of C. chose to situate its Department of Safety & Security less than a block away.

There are bright yellow signs on nearby telephone poles with the words "safe passage" on them. They arrived last year after a budget crunch caused Mayor Rahm Emmanuel to close 50 city schools, forcing displaced students to walk not only farther from home, but across warring gang territory -- some in this neighborhood -- to attend classes. These students, many of whom are black and Latino, are supposed to stay on the "safe passage" routes to avoid being accidentally shot by fighting gangs.

As if bullets can read signs.

Against this backdrop, the university is bidding for President Obama's presidential library, with a projected cost approaching half a billion dollars. (The deadline for bids is June 16; Honolulu, where Obama grew up, and New York are also expected to make pitches.) And this has presented Obama with a political -- and arguably moral -- bind that his former community-activist self might have taken on quite differently.

Some context: Emmanuel, Obama's friend and former White House chief of staff, is despised by the black community in this town. And at least six shootings happened within blocks of Obama's Hyde Park home this past weekend alone, a situation crying out for solutions and funds to pay for them.

Just to the west of East 61st and South Cottage Grove, the residents want the university to build a trauma center to help save the lives of the people living in the high crime/low income neighborhoods that surround it. Currently the university's renowned hospital is unable to treat adults injured in falls, car accidents and assaults, though it does operate a trauma center for children 16 and under. It had a trauma care unit in 1986 but closed it two years later because of annual losses of $2 million -- a combination of high volume, patients without insurance and insufficient public aid.

This mattered, for example, to an 18-year-old youth activist by the name of Damian Turner, who in 2010 was caught in the crossfire of a drive-by shooting just four blocks from the school's hospital, but had to be driven 10 miles to be treated.

He died en route.

In 2013, Northwestern University studied gunshot wounds recorded by the Illinois State Trauma Registry from 1999 to 2009 and found that living more than five miles from a trauma center decreases chances of survival. Adults living on the city's predominantly black south side do not live within five miles of such a center.

That's a problem.

Opening a $700 million "hospital for the future" -- as the university did last year with its Center for Care and Discovery, focused on cancer, neuroscience and advanced surgery -- while telling neighbors a trauma center is too expensive to run, is also a problem. And it certainly doesn't help that Emmanuel, the man responsible for closing so many schools in this black neighborhood, is lobbying state officials to pony up $100 million for the library.

No money to educate black children safely near their homes.

Too expensive to run a trauma center to help black victims of shootings.

But half a billion for a vanity project with the Obama name on it.

With the location of the library set to be named sometime next year, it would appear the President has little choice but to avoid placing the library at the university lest he run the risk of, for one thing, making his My Brother's Keeper initiative look hollow. It's either that or try to force the university's hand -- no adult trauma center, no library.

Hawaii is looking better and better, isn't it?

This week a local organization, STOP, Southside Together Organizing for Power, is holding a series of peaceful protests on and around the university campus to oppose putting the library there and to raise attention for the need for a trauma center.

Their demonstrations started with a sit-in on the construction site for a parking ramp near the school's new Discovery center. Video shows it ended with protesters being dragged off the premises by university police for trespassing, with some protesters injured in the process.

"The University of Chicago upholds the right to peaceful and safe demonstrations, but cannot allow protests that jeopardize anyone's safety," a statement read, adding it has established locations for demonstrations. "No arrests were made, and no charges have been planned."

And no resolution in the near future.

"If the University of Chicago Medical Center cared about the safety of black kids, they would provide a trauma center, because right now in Chicago black kids are the leading population that are suffering from trauma," said demonstrator Veronica Morris-Moore, while holding an icepack on a wrist she said was injured in the skirmish. Next to her was 18-year-old Victoria Crider, whose leg was elevated on a desk, her ankle in an air cast.

STOP's office is on East 61st, just a few blocks west of the school. "Barack Obama has made it a point in his administration to not only preserve the life of black people, but black men," Morris-Moore said. "And the university can play a part and they're just choosing not to."

She said "there's a lot of burden" on Obama to push for a trauma center. "Clearly they're not listening to us. Clearly they're just going to keep pushing us around ... keep harming us until we go away. And we're not going away. But we are getting tired and we do need help from people the university will listen to. And they will listen to (Obama). So in some respect he does owe us some attention."

When more than 40 people are being shot in a weekend -- some in and around that neighborhood -- as happened last month, a lot more than attention is needed. Which could make Obama's return to Chicago every bit as stressful and as political as any day in Washington.

@highlight

LZ: Violent area around Univ. of Chicago is near where pricey Obama library might go

@highlight

LZ: Area needs adult trauma center, cuts forced school closings; funding needed here

@highlight

He says Obama, the community organizer, might have pointed this out and is in tricky spot

@highlight

LZ: Obama should avoid putting library there, or push for trauma center as a condition