Tacloban, Philippines (CNN) -- Anyone who visits Tacloban would be struck by the resilience of its people, many of whom lost everything -- family, friends, homes -- when Typhoon Haiyan battered the central Philippines a year ago.

But imagine if you were them for a moment: you're told another storm, almost as powerful, is now heading for you. It's a horrifying prospect.

INTERACTIVE: See the latest satellite and path of the storm

This is a population used to frequent tropical storms and that was one of the problems in November 2013. So many people thought they could ride out the storm but didn't account for the deadly floodwaters from the storm surge that followed.

And what followed has been well documented -- entire communities flattened and decomposing bodies strewn along the side of roads. A death toll that eventually exceeded 5,000 of this country's most impoverished souls. Nearly everyone here lost someone.

Barely 12 months later and the people of Tacloban, a name that will be forever associated with this disaster, have only started to recover, with many schools and homes rebuilt, businesses reopened and the scars of lost relatives and friends beginning to heal.

The current storm in question -- Typhoon Hagupit -- may not yet hit Tacloban, such is the chilling unpredictability of these weather systems, but the prospect of another massive storm so soon after Haiyan is enough to alarm people here.

And that has spurred many to act.

"I heard about the new storm on television," Charity Hilaria, a young mother, told CNN from outside her modest home on the edge of a dirt road into Tacloban.

"It scared me, I remembered last year," she added. As she cradled her weeks-old son, she told us that her family would be evacuating and spending the next couple of nights in a hotel. "We have to hide somewhere to be safe." Last year, she said they didn't understand the dangers of a storm surge because the government hadn't warned them.

Hilaria's home was completely destroyed by Haiyan. Her new one -- little more than a rickety wooden shack -- took six months to complete, and only after they managed to get financial assistance from one of the many NGOs and foundations active in the region.

While the safety of her family was the priority, she appeared resigned to losing her second home. All they can do is tie down the corrugated iron roof. Asked whether she'd consider leaving Tacloban for good, her sister, Christina, interjected: "No, this is where we grew up. We've been living here for almost 30 years, so it's hard for us to leave somewhere and start a new life."

Unfortunately, many of the homes of Tacloban's poorest rebuilt in the wake of Haiyan are little more than shanty-like structures located in areas extremely vulnerable to flooding and storm surges. The local government initially tried to ban them from these areas, but they eventually relented, such was the pressure to build new homes in the wake of Haiyan.

At one school on the outskirts of Tacloban City, hundreds of families sought shelter in a school, setting up makeshift camps along corridors outside classrooms labeled "Science lab" or "English," and inside a massive sports hall.

This is one of more than 60 evacuation centers dotted around the area.

As we walked into the sports hall, we were greeted by hundreds of smiling faces -- mainly children, who clearly viewed this as an adventure. One middle-aged woman told us she'd brought all 13 of her children along with her.

Another young mother said her husband insisted they leave their home despite the threat of losing their possessions to opportunist looters. She said memories of the Haiyan prompted them to look for somewhere safe to shelter.

As we moved towards the San Jose neighborhood, one of the worst-hit areas of Tacloban last year, the scars of Haiyan were evident, a single palm tree stood defiantly on the beach alongside a group of wrecked wooden shacks -- once the homes of entire families.

This is a particularly poor neighborhood that sits along the water's edge. Many residents like Ramil Arania, 40, have opted to evacuate too, though the police reportedly have orders to arrest anyone who ignores compulsory evacuation orders for this area anyway.

With the incongruous sight of a young boy surfing in the background, Arania told us he and his family were inside when the waves started to lash their home during last year's storm surge. "We were lucky, because the water made a hole in our wall that created a pocket for the water to pass through and not collapse it," he said.

"We managed to get to the second floor -- if it wasn't for that hole, it would have collapsed and we'd have been swept away.

"And now we pray that this new storm just disappears."

While there's a very real fear that last year could happen again, the situation in Tacloban is calm. The police and military are deployed here alongside an impressive number of foreign NGOs and even soldiers from South Korea's military.

The feared run on supplies doesn't seem to have materialized -- yet. While some businesses have boarded up and closed, others, including gas stations, don't have long queues of people anxious to stock up.

@highlight

Year after Typhoon Haiyan, people of Tacloban are again braced for a tropical storm

@highlight

Prospect of another massive storm so soon after Haiyan is enough to alarm people

@highlight

At school near Tacloban City, hundreds of families seek shelter in a school

@highlight

Police, military deployed with large number of foreign NGOs, soldiers from South Korea's military