Syrian rebels and a Kurdish militia appear to be negotiating a cease-fire after clashes in the battle-scarred northern city of Aleppo on Saturday left at least 21 fighters dead and more than 100 people kidnapped.

According to Ahmad Afash, a commander from the rebel Free Syrian Army, or FSA, at least 16 FSA fighters were killed when they clashed with armed members of the Kurdish Democratic Union Party, or PYD, on Saturday.  He said at least five Kurdish fighters were also killed in the battle.

Read more: Kurds' ambitions add explosive element to Syria equation

The London-based Syrian Observatory for Human Rights reported that at least 30 people were killed in the battle.

There were conflicting accounts of who started the fight. But the clash raises the specter of Syria turning into an anarchic battleground for competing ethnic and sectarian militias, as the civil war grinds on.

The FSA is an armed movement fighting the Syrian government.  It is largely made up of Arabs from Syria's majority Sunni Muslim sect.

The PYD says it represents Syria's long-oppressed ethnic Kurdish minority. It is also the Syrian offshoot of the Kurdistan Workers Party, or PKK, a pan-Kurdish nationalist movement better known internationally for the guerilla war it has fought for nearly three decades against the government of neighboring Turkey.

Read more: Envoy to Syria meets with Russian minister after truce unravels

A PYD activist who asked only to be named Abu Mohammed for security reasons told CNN that "the Free Syrian Army opened fire on a demonstration by the people who were demanding that the FSA leave their Kurdish majority neighborhood."

Abu Mohammed sent CNN a link to a video distributed by "Ronahi TV," a representative of the PYD. Purportedly filmed in the Aleppo neighborhood of Ashrafiya on Saturday, it showed hundreds of Kurdish demonstrators chanting in Kurdish, "long live our fighters" and "Kurdish unity." Some of the men were armed with shotguns, and some activists also wore the red, yellow and green of the PYD and chanted "Apo," the nickname of PKK leader Abdullah Ocalan, who is imprisoned on an island in Turkey.

At one point in the video, gunfire rings out and demonstrators run for cover. The video later showed several wounded men being brought to hospital. It was not clear who injured them.

Another member of the PYD, from the Syrian town of Afrin, who asked not to be named for security reasons, also accused FSA rebels of breaking a peace agreement with the Kurdish militia.

"There was an agreement between us and the FSA not to enter the Kurdish-dominated areas with their weapons," the Kurdish activist said in a phone call with CNN.  "But then a group of FSA fighters just entered the neighborhood of Ashrafiya and set up checkpoints ... then we had to respond because it was a breach of the agreement."

Read more: Turkish government asks Kurdish prisoners to end hunger strike

But Ahmed Afash, the FSA commander based in the town of Anadan, directly north of Aleppo, said that "PYD militants attacked an FSA checkpoint, killed a number of FSA fighters and kidnapped several others."

Kurdish and FSA activists agree, however, that the initial clash triggered a round of kidnapping, during which both militias grabbed members of each others' communities.

Afash, who commands an FSA brigade that calls itself the "Free Men of Syria," claimed responsibility for the capture of "a number of civilian Kurds" on Saturday in order "to force the PYD to negotiations."

On Sunday, the Kurdish Taakhi Coordination Committee announced on its Facebook page that 120 Kurds who had been kidnapped by the FSA "were released ... and negotiations are now being held by the PYD and the FSA to find a way out of this."

That account was echoed by the PYD member in Afrin, who told CNN that "we have both released the people who got kidnapped and captured, and I think we will reach an agreement soon."

Read more: Report says Turkey's Kurdish conflict has turned more violent

The incident came as no surprise to a Syria expert.

"It was a matter of time before the PYD and opposition armed groups came to clash," Peter Harling, a Syria analyst with the nonprofit conflict mediation organization International Crisis Group, wrote in an e-mail to CNN.  He said that Kurdish militias and Syrian rebels have conflicting ideologies.

"The latter distrust the former's allegedly secessionist agenda, its secular outlook, and its relatively accommodating stance vis a vis the regime, while the PYD sees opposition armed groups as importing a hegemonic, pan-Islamic worldview," Harling added.

"For now none of these two sides has in interest in seeing this escalate, however. The armed opposition is focused on defeating the regime, and the PYD would rather stay on the sidelines as long as it can secure the areas where Kurds congregate."

Last summer, as anti-government rebels battled regime forces, PYD militants made a power grab in several Kurdish communities along Syria's northern border with Turkey.

PYD activists raised the Kurdish flag over these towns and declared them autonomous from central government rule.  But they also refused join the armed rebellion against Syrian President Bashar al-Assad, preferring to stay on the sidelines of Syria's bloody civil war.

@highlight

Clashes in Aleppo on Saturday left at least 21 fighters dead, more than 100 people kidnapped

@highlight

The Free Syrian Army, or FSA, is mostly Sunni Muslim and is fighting Syria's government

@highlight

The Kurdish Democratic Union Party, or PYD, says it represents Syria's oppressed Kurds

@highlight

Expert: FSA distrusts PYD's secular outlook; PYD is wary of FSA's "pan-Islamic worldview"