(CNN) -- The United States is likely to remain the leading world power in 2030 but won't hold the kind of sway it did in the past century, according to a new study by the U.S. intelligence community.

Washington will most likely hold its status as "first among equals" two decades from now, buoyed not only by military strength but by economic and diplomatic power. That's one of the conclusions of "Alternative Worlds," released Monday by the National Intelligence Council.

China and other rising powers may be "ambivalent and even resentful" of American leadership, but they're more interested in holding positions of influence in organizations such as the United Nations and the International Monetary Fund than assuming that role, the report found.

"Nevertheless, with the rapid rise of other countries, the 'unipolar moment' is over, and 'Pax Americana' -- the era of American ascendancy in international politics that began in 1945 -- is fast winding down," the report states.

Monday's 166-page report is the fifth in the "Global Trends 2030" series by the council, an arm of the Office of the Director of National Intelligence.

It doesn't make specific predictions, but says that the world is at a "critical juncture" in which technology is advancing, competition for resources is growing and a middle class is emerging in countries around the world.

"Our effort is to encourage decision makers -- whether in government or outside -- to think and plan for the long term so that negative futures do not occur and positive ones have a better chance of unfolding," council Chairman Christopher Kojm wrote in the report's preface.

The report lays out a series of possible futures, both optimistic and pessimistic, from a world in which globalization has stalled and the risk of war has gone up to one in which collaboration between Washington and Beijing produces a rapid increase in worldwide prosperity.

Technological advances will give individuals more freedom, but also have the potential to provide small groups with the kind of destructive capabilities now available only to nations.

"With more widespread access to lethal and destructive technologies, individuals who are experts in such key areas as cyber systems might sell their services to the highest bidder," Kojm said during a briefing on the report. "Terrorists might focus less on mass casualties and more on causing widespread economic and financial disruptions."

Economic power is likely to shift away from the United States and Europe to China, India and Southeast Asian countries, and Africa will see an urban boom as people move to cities at a faster rate, the report concludes. But those developments will add pressure to deal with environmental issues such as more frequent or severe droughts and the projected rise in sea levels due to a warming climate.

"Under most scenarios -- except the most dire -- significant strides in reducing extreme poverty will be achieved by 2030," the report notes. The numbers of people living in poverty is likely to drop sharply in East and South Asia, the Middle East and North Africa, with sub-Saharan Africa lagging behind.

Kojm said, "economic growth, the rise of the global middle class, greater educational obtainment and better health care mean -- for the first time in human history -- the majority of the world's population will no longer be impoverished."

But perhaps the biggest question mark in the report is the Middle East.

The region "will be a very different place" in 2030, the authors conclude. "But the possibilities run a wide gamut from fragile growth and development to chronic instability and potential regional conflicts."

The youth boom that has driven the Arab Spring revolts will give way to an aging population, while shifts in energy consumption may force oil-rich Middle Eastern economies to find new sources of income.

The growth of middle classes will increase demand for political and social change, but that could be a mixed blessing: "Historically, the rise of middle classes has led to populism and dictatorships as well as pressures for greater democracy," the authors noted.

Meanwhile, that global growth "disguises growing pressures on the middle class in Western economies," including international competition for higher-skilled jobs.

The growing middle class will also increase demand for water and food by more than 35% over the next couple of decades the report indicates. Advancements in key technologies such as genetically modified crops, precision agriculture and water irrigation techniques should for the most part prevent scarcity.

An increase in the earning power, education and political clout of women "will be a key driver of success for many countries," with gender gaps closing fastest in East Asia and Latin America, the report found.

And India is likely to be in the same position in 2030 that China is today, it concludes.

"India's rate of economic growth is likely to rise while China's slows," the authors found. China's 8%-10% growth "will probably be a distant memory by 2030," it notes. And India's economic advantage over regional nuclear rival Pakistan is likely to grow, roughly doubling the comparative size of its economy.

CNN's Pam Benson contributed to this report.

@highlight

The U.S. will remain the top global power, but no more "Pax Americana," a new report finds

@highlight

The report projects various "Alternative Worlds" based on current trends

@highlight

The world will be richer, more technologically advanced; but that has risks, report says

@highlight

NEW: Terrorists might focus more on economic and financial disruption, expert says