Beijing, China (CNN) -- Misery hates company.

Following the nuclear power plant crisis in Japan, China has ordered safety inspections of its existing nuclear plants and suspension of new plant approvals.

The decision was made on March 16 during a meeting of Premier Wen Jiabao with the State Council, China's cabinet. "Development of nuclear power must put safety the top priority," the government said on its website. Beijing's top nuclear power regulatory body quickly unveiled a series of guidelines advising nuclear power plants to take disaster stress tests on planned and existing projects.

Changhua Wu, the Greater China director of The Climate Group, a non-profit group advocating environmental protection, applauded the decision. "They are reviewing and reassessing nuclear power plants," she says. "I believe they are going to find a lot of issues there."

Read whether the fear for nuclear disasters is realistic

China operates 13 nuclear reactors, a small number compared to the 104 in the United States, but China is poised to catch up. It's building more than two dozen others -- roughly 40 percent of all the reactors under construction worldwide -- and 50 more are being proposed.

Read more special coverage on China

Such an aggressive nuclear power program is understandable. In the last two decades, China's energy needs have grown exponentially due to its rapid economic boom and urbanization.

China last year overtook the United States as the world's largest consumer of energy. It depends on fossil fuel for 91% of its needs.

China has turned to alternative sources of energy -- wind, solar and nuclear power -- to improve air quality and curb global warming. "Nuclear power is seen as cost-effective, low carbon, and more reliable than renewable energy such as solar and wind power, which can only provide power some of the time," noted Century Weekly, a Chinese-language magazine popular among intellectuals.

In light of the human and environmental disaster looming in Japan, however, many Chinese are asking: How safe are China's nuclear plants?

Japan's nuclear crisis has served as a wake-up call, said Wu. "As in Europe and other countries, people here are saying, 'Wait a second, let's really think about it,'" she said.

Experts say China is now reviewing the risks associated with earthquakes and tsunamis. It has had its share of major earthquakes, like the 7.9-magnitude quake in 2008, which killed over 80,000 in Wenzhou, Sichuan province. Its existing and planned nuclear plants are all located along its eastern and southern coastlines -- prompting questions of whether they are vulnerable to a tsunami.

Another concern is lack of transparency. Although China has signed and ratified the International Atomic Energy Agency's Convention on Nuclear Safety, critics say China is slow in providing public information on safety and waste-management.

Corruption is another worry. Kang Rixin, a senior Communist Party member and head of China's nuclear power program, was convicted last November in a $260 million corruption case in which he was accused of rigging bids connected to nuclear power plant construction. He was sentenced to life imprisonment, but his case raised concerns about lack of supervision.

"Do we have enough manpower to manage and monitor so many nuclear plants?" Wu of The Climate Group asked. "If accidents happen, do we have emergency response in place? Are we ready? I am not so sure."

These questions are causing public concerns, Wu said. "Already we have started to see the 'not in my backyard' mentality," she noted. "Before the Japan disaster, most people do not necessarily understand the risks they are facing, but now people are actually more alert."

There is little public debate, except in cyberspace, where some netizens anonymously resort to sarcasm. Some expressed surprise to find themselves living in close proximity to nuclear plants. Other blogs listed locations of plants, with maps attached as well. One posting suggested that "China should put all government officials' homes next to the plants."

Experts say there are robust debates among Chinese policy-makers, too. "Some are quite convinced that the third generation technology in China's nuclear plants currently under construction is superior than Japan's," said Wenran Jiang, a political science professor at the University of Alberta. "Others are more cautious, calling for more reviews and more safety measures."

Still, China is not about to abandon its nuclear power ambitions. "The construction of nuclear plants will continue, but it will be a more cautious process," he said. "Call it lessons learned from Japan."

Advocates of clean energy hope those lessons will inspire China to switch to renewable energy sources. "Hopefully we need not panic and kill nuclear energy altogether," said Wu of The Climate Group. "In the long run, we hope wind, solar and other safer renewable sources of energy will grow really fast to replace high-risk energy sources like nuclear and large-sized hydropower projects."

@highlight

Top nuclear power regulatory body unveils guidelines on nuclear power plant stress tests

@highlight

China operates 13 nuclear reactors and is building more than two dozen others

@highlight

China last year overtook the United States as world's largest consumer of energy

@highlight

Many Chinese are asking how safe are nation's nuclear plants in light of Japan disaster