Editor's note: Jim Rogers is chief executive officer of Charlotte, North Carolina-based Duke Energy, which generates much of its power from coal-burning plants and is making investments in clean energy technology in China. Jonathan Lash is the president of the World Resources Institute. Ming Sung is Asia Pacific representative of the Clean Air Task Force.

Jim Rogers, CEO of coal-burning Duke Energy, wants the U.S. to join with China against greenhouse gases.

(CNN) -- There is a lot of rhetoric on Main Street and in our nation's Capitol these days portraying China as a job-stealing polluter whose economy is growing at the expense of the United States.

But business leaders and policy advocates who work in China see a different picture: a China that is investing heavily in innovation and determined to win the global race to supply its citizens and the world with clean energy technologies.

China is the largest producer of solar water heaters, with 50 percent of the world's production and 65 percent of all installations.

It produces 30 percent of the world's photovoltaic sets and is installing wind turbines faster than any other nation.

China's expanding middle class is increasingly mobile, with more than 50 million electric bicycles, and China is developing the first mass-produced plug-in hybrid electric car.

The country has 14 nuclear power plants under construction and plans to start 10 more next year.

Although there has been much talk about creating "green jobs" in the United States, China leads the world with its massive investment in energy efficiency and renewable power.

China's growth has come with a heavy price: pollution.

China produces 80 percent of its electricity from coal and now leads the world in greenhouse gas emissions and other pollutants.

Dirty air and contaminated water affect many millions of Chinese and are two of the nation's most serious problems.

Although the United States has made great strides in reducing pollution in recent decades, we are still the world's second largest source of greenhouse gas emissions, with emissions per capita four times higher than China's.

Our nation is also heavily dependent on coal and imported oil. We are moving ahead in solar energy, wind and efficiency, but we are doing so in a fragmented, state-by-state approach that reflects our democracy and regulatory structures.

By forging relationships with leading Chinese state-owned and private energy and technology companies, U.S. companies -- at times working with the federal government -- can create a "ladder of cooperation" with the Chinese to lead the world forward on climate change.

We will not climb this ladder overnight but one rung at a time.

With the United Nations' climate change conference in Copenhagen, Denmark, just two months away, it is imperative that our two nations establish a more trusting, give-and-take relationship upon which good business partnerships are built.

The World Resources Institute, the Clean Air Task Force and Duke Energy have started this work, with great prospects for results.

WRI, an independent, non-partisan environmental research organization, is working with China to calculate its greenhouse emissions as a key part of its next national Five-Year Plan to advance its economy.

The intent is to develop reportable and verifiable measures in the plan that could facilitate China's participation in an international climate agreement.

Duke Energy recently announced a memorandum of understanding with the China Huaneng Group, China's largest power generator, and the ENN Group, one of the nation's largest private energy companies.

The focus of these efforts is to cooperatively develop and commercialize an array of clean energy technologies.

The Clean Air Task Force -- an environmental organization advancing clean technology in the United States and China -- is pivotal to Duke Energy efforts.

It has created a network of a dozen Chinese and U.S. companies to develop joint business ventures to build advanced, low-carbon coal technology in China and around the world.

This network is expanding to include an array of other renewable and clean energy technologies.

Historically, Americans have known little about China and, at times, are justifiably concerned about its growing power and influence.

This is changing as our trading and financial interdependencies grow.

Today, China is the largest exporter to the United States and the largest holder of U.S. debt. It is clearly not beneficial to either country to turn back the clock.

There always will be healthy competition between China and the United States in developing and marketing technologies, but we must work closely together to scale up and commercialize the best ideas, regardless of whether it comes from our two nations or other countries in Europe or Asia or North America.

China and the United States bring extraordinary and complementary skills to the table.

China's 1.3 billion people and unmatched economies of scale can bring new technologies to market fast -- in "China time" -- at a speed that is virtually impossible anywhere else in the world.

The United States is the world's largest economy, with an educational and technological infrastructure that is unmatched in the world, and stable energy regulation and investment policies.

The sooner we get to work on achieving proposed congressional targets to reduce greenhouse gas emissions by 80 percent by 2050, the less expensive addressing climate change will ultimately be.

We need to build on the emerging cooperation that exists between our two nations on energy and climate. We need to take responsibility for the fact that we are the world's two largest emitters of greenhouse gases.

If the United States and China can come together to lead on addressing climate change, the rest of world will follow.

To make this relationship work, each country should leave fear and timidity at the door, put economic self-interest to work and forge the strategic partnerships necessary to get the job done.

The opinions expressed in this commentary are solely those of Jim Rogers, Jonathan Lash and Ming Sung.

@highlight

Authors urge 80 percent less greenhouse gas by 2050

@highlight

They want big polluters U.S., China to cooperate

@highlight

Goal: Create path for Chinese participation in climate agreement, authors say

@highlight

They say Clean Air Task Force to build low-carbon coal technology in China