(CNN) -- Marina Abramovic is fixing her deep brown eyes on me.

She gently takes my hand and leads me across London's Serpentine Gallery's marble floor, to a window whose white blinds are obscuring the greenery of Hyde Park beyond. She places her hand reassuringly on my back and whispers: "Ten minutes like this." Frankly, if she had asked me to stay there forever, I would have probably agreed.

I have been charmed by the self-styled grandmother of performance art.

The legendary Serbian-born New York-based artist is in London for the biggest show of her career, and she is revealing a small glimpse of it to a room full of enchanted international journalists.

Entitled 512 Hours, the exhibition will see Abramovic in residence at the Serpentine Gallery for 64 days, spending eight hours a day with no breaks trying to create art out of nothing.

The museum walls have been stripped, and there are some folding chairs and beds which she may or may not use in storage, but essentially, Abramovic is relying purely on an exchange of energy with her audience.

"It took me 25 years to gather courage, concentration and knowledge to come to this" the formidable artist says, clad in an almost monastic outfit of black high-neck shirt, long overcoat and dark trousers. "It's difficult to say what I'm going to do because I don't know. What I do know is that in this piece I have to give not 100, but 120 per cent of myself, because only then I can create energy out of empty space."

If this seems like an audacious proposal, Abramovic has managed to do something similar with aplomb before. For her 2010 retrospective at the Museum of Modern Art in New York, over 850,000 people queued day and night just to sit opposite her, many breaking down in tears when finally faced with her.

Mesmerizing appeal

It's hard to think of another artist who can draw monumental crowds with such an airy concept, but after spending half an hour with Abramovic, you start to see the pull. 


Strikingly beautiful in the flesh and looking two decades younger than her 67 years, she exudes a mesmerizing mix of hypnotic energy, reassuring warmth and sharp wit. Even so, what makes people from all walks of life, as seen in New York, wait for hours just to be in her presence?

"Connection," says Julia Peyton-Jones, co-director of the Serpentine Gallery, who first invited Abramovic to stage a show after she won the Golden Lion at the Venice Biennale in 1997. "When we grow older we lose that connection with other people, and Marina helps us regain it through her."

In a career spanning over 40 years, Abramovic has constantly challenged the notions of what art should be, using her body as an instrument, and sometimes risking her life in the process. She has lain inside a burning star of sawdust, had a crossbow pointed to her heart, and even allowed the audience to prod and cut her naked body as she lay motionless.

"Every performance has a concept, and when I set out the rules I stick to them no matter what, "the artist told me over the phone when I interviewed her about the Marina Abramovic Institute, a space she is creating in Hudson, New York, for development and study of performance art.

"Even if in the end I don't survive, I don't care," she says.

Iron willpower

This steely resolve could be attributed to her upbringing in post-World War II Belgrade, as the daughter of two national heroes ordained for bravery. Her family valued achievement above all, and household rules were strict: "Until I was 29 years old and left home I had a curfew of 10 pm, so all my performances had to be done by that time.

"I think I inherited self-control and discipline from my parents, and the idea that your personal life isn't important, but that what you achieve matters," she explained in her thick Slavic accent, only slightly softened by the years she has spent abroad.

However, her ascetic approach to her craft has not stopped her from being the darling of the celebrity art circuit. She has danced with Jay Z in his music video, counts James Franco and Lady Gaga as loyal fans and friends, and was named as one of Time Magazine's most influential people of 2014. 


These mainstream accolades have led some critics to accuse Abramovic of losing her avant-garde edge, a judgment that doesn't seem to faze her: "I stepped out of an art context into a much larger context, but if anything, I have become more radical. At my age I should be having a nice retrospective, go on holidays, but instead, I decided to push myself like never before and create art out of nothing, it's not easy you know," she says laughing.

It takes less than 10 minutes in her company to see that for Abramovic, art and life are one thing. Even the act of breaking up with her lover and collaborator of many years Ulay was a performance -- they both walked the Great Wall of China from opposite directions, meeting for one final embrace in the middle.

Her unconventional lifestyle has left little place for other people in her world, but you get the sense that the way she lives is less of a choice and more of a necessity: "I wake up every day with so many ideas, and the desire to create is as strong as the need to breathe. For me, art is my cause," the formidable artist tells me.

For those who have hoped to snap a selfie with the grand dame at her Serpentine show, bitter disappointment awaits -- Abramovic is asking her audience to leave their gadgets at home: "I don't want people to blog or Tweet it without experiencing it. The now is the only reality we have in our lives," she says.

It seems that at a time when the pace of life threatens to engulf us, Marina Abramovic wants us to slow down and live in the present.

Read more: Gerda Taro: The forgotten war photographer you should know

Read more: The evolution of Mariah Carey: From wide-eyed teen to songbird supreme

Read more: If the shoe fits...Sarah Jessica Parker teams up with Manolo Blahnik CEO

@highlight

Performance artist Marina Abramovic is staging her most controversial show yet

@highlight

She will spend 64 days trying to create art out of empty space at London's Serpentine Gallery

@highlight

The Serbian born New York artist was named one of Time's most influential people of 2014

@highlight

She counts James Franco and Lady Gaga as loyal fans and friends