LOS ANGELES, California (CNN) -- A magnitude-5.4 earthquake shook the Los Angeles metropolitan area Tuesday, leaving residents rattled but causing no serious damage or injuries.

Bricks and other debris clutter an alleyway in Pomona, near Los Angeles Tuesday afternoon.

However, the temblor served as a warning to southern Californians who had not experienced an earthquake in some time: the "Big One" remains a possibility.

"This is a sample, a small sample," said Kate Hutton, a seismologist at the California Institute of Technology.

"This is somewhere between small and moderate." She said there is a 5 percent chance the quake could be a precursor to a larger earthquake. After 24 hours, she said, that chance will drop to 1 percent.

"Every earthquake relieves some stress," Hutton said. "It's usually only a drop in the ocean. In other words, the amount of stress released by this earthquake is minuscule compared to the amount that's built up and is building up for the Big One when it happens some day in the future."  Watch Hutton say Tuesday's quake was a sign of bigger ones to come »

And when will that be?

"From a geologist's point of view, the answer has to be soon," she said. "But geologists are used to thinking on millions of years and thousands of years time scale, so I don't think that gives any useful information for people, except be prepared at any time because it could happen at any time."

A 5.4 magnitude quake is considered by the USGS to be "moderate," which can cause slight damage to buildings and others structures. So far this year, 39 "moderate" earthquakes of between magnitude 5.0 and 5.9 have occurred in the United States, and 790 globally.

The last moderate quake to strike California was a magnitude 5.4 in April in the northern part of the state. A magnitude 4.4 struck the greater Los Angeles area in August 2007.

There is a 99 percent chance of California experiencing a quake of magnitude 6.7 or larger within the next 30 years, according to the Uniform California Earthquake Rupture Forecast, sponsored by the U.S. Geological Survey, the California Geological Survey and the Southern California Earthquake Center and published in Science Daily in April.

"This earthquake reminds us to be prepared," said California Gov. Arnold Schwarzenegger. "We were very fortunate that there were no serious injuries or property damage."

He said he believes the state is "as prepared as anyone can be. We have continuous discussions about that. We are fanatics about emergencies and to be ready."

The largest earthquake in recent years in California was a magnitude 7.1 in 1999, Hutton said. But it was centered in the desert, near Twentynine Palms, in a sparsely populated area.

Tuesday's quake struck about 11:42 a.m., according to the USGS. Its epicenter was about 2 miles southwest of Chino Hills and about 5 miles southeast of Diamond Bar.

The epicenter was about 7.6 miles deep, making it a fairly shallow quake, according to CNN meteorologist Chad Meyers. In general, earthquakes centered closer to the surface produce stronger shaking and can cause more damage than those further underground. But most Southern California earthquakes tend to be fairly shallow, officials said.

More than 30 aftershocks were recorded. Hutton said the largest was a magnitude 3.6.

Los Angeles police said a downtown hotel sustained some structural damage, but no one was injured and the building was not evacuated. There were some unconfirmed reports of minor injuries. The White House was also monitoring the situation, said spokeswoman Dana Perino.

Despite the absence of serious damage or injuries, some Los Angeles-area residents were left rattled. The quake was felt as far south as San Diego, California, and the USGS said it received reports of light shaking as far north as Rosamond, California, about 55 miles north-northeast of Los Angeles.

Reports from those who felt the quake poured into CNN. Did you feel the quake?

"My house was like a fun house. Everything was moving," said Danny Casler, 28, of Huntington Beach. He said he was sleeping when his house began shaking, and some things fell in the living room. He said he ran out of the house in his boxer shorts.

Attorney Kevin Crisp said he was on the phone with his law partner in Riverside, 65 miles away, who burst out, "Big quake!" Crisp said he felt it about five seconds later. "This was very impressive. Long and very uniform. Really had the building going." He said doors were swinging on the hinges and bottles of wine were rolling back and forth on his shelf.

"It just started with a really strong jolt," said Wendy Criner. "I ran and got my daughters from different rooms, and we squatted in the living room. I did have stuff fall off the shelf, some books in my daughters' room and some things in the kitchen."

The quake knocked out a ground radar system at Los Angeles International Airport, but that has not interfered with operations, according to the Federal Aviation Administration. Technicians were working to restore the system, which helps controllers monitor traffic on the ground. Also, tiles fell from the ceiling in one terminal as water flowed from a burst pipe.

The calculation of the quake's magnitude fluctuated as seismologists reviewed the data. Initially classified as a magnitude 5.8, the quake's intensity was reduced to a 5.6 and then to a 5.4. Because the earthquake magnitude scale is exponential, a 5.8 magnitude quake is four to five times more intense than a 5.4.

Two nuclear plants are in the vicinity of the quake's epicenter near Chino Hills, according to the Nuclear Regulatory Commission. The closest to the epicenter is in San Onofre, 50 miles south, but an NRC spokesman said, "this is well below the threshold for any conceivable damage to the plants."

"In the U.S. particularly in California, buildings are generally built well enough that it takes about a 5.5 for there to be some damage, so we do have the potential for damage," said Don Blakeman, an analyst for the USGS. "It depends on the structures [and] the ground the building is built on."

He said he would expect objects to be knocked from shelves and some windows broken. "It's kind of on the margin where you'll get some structural damage from these. We may find that some of the older homes and buildings that weren't retrofitted suffer more damage than the newer structures.

"I would expect some cracked buildings," he said. "There is the potential for injuries, but hopefully we won't have too much of that."

Blakeman's comments came before the quake's magnitude was dropped to a 5.4. However, he said afterward that the change does not affect his expectations, although obviously there is less potential for damage.

Still, the quake jolted the nerves of many Californians.

"I've lived in California, I've lived through several of them," Margot Wagner of Santa Barbara told CNN. "It's always a little unnerving."

Copyright 2008 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

NEW: Few reports of damage or injury from "moderate" earthquake

@highlight

NEW: Experts, officials say earthquake is a reminder to be prepared

@highlight

11:42 a.m. PT quake's epicenter was about 32 miles east of Los Angeles

@highlight

More than 30 aftershocks were recorded, largest was 3.6