Washington (CNN) -- In another dramatic victory for firearm owners, the Supreme Court has ruled unconstitutional Chicago, Illinois', 28-year-old strict ban on handgun ownership, a potentially far-reaching case over the ability of state and local governments to enforce limits on weapons.

A 5-4 conservative majority of justices on Monday reiterated its 2-year-old conclusion that the Constitution gives individuals equal or greater power than states on the issue of possession of certain firearms for self-protection.

"It cannot be doubted that the right to bear arms was regarded as a substantive guarantee, not a prohibition that could be ignored so long as states legislated in an evenhanded manner," wrote Justice Samuel Alito.

The court grounded that right in the due process section of the 14th Amendment. The justices, however, said local jurisdictions still retain the flexibility to preserve some "reasonable" gun-control measures currently in place nationwide.

In dissent, Justice Stephen Breyer predicated far-reaching implications. "Incorporating the right," he wrote, "may change the law in many of the 50 states. Read in the majority's favor, the historical evidence" for the decision "is at most ambiguous."

He was supported by Justices John Paul Stevens, Ruth Bader Ginsburg and Sonia Sotomayor.

At issue was whether the constitutional "right of the people to keep and bear arms" applies to local gun control ordinances, or only to federal restrictions. The basic question had remained unanswered for decades, and gave the conservative majority on the high court another chance to allow Americans expanded weapon ownership rights.

A key question was how far the court would apply competing parts of the 14th Amendment to preserve some "reasonable" gun control measures currently in place nationwide.

The appeal was filed by a community activist in Chicago who sought a handgun for protection from gangs. Otis McDonald told CNN outside his South Side home that he wants a handgun to protect himself and his family from the violence in his neighborhood. "That's all I want, is just a fighting chance," he said. "Give me the opportunity to at least make somebody think about something before they come in my house on me."

His application for a handgun permit was denied in a city with perhaps the toughest private weapons restrictions in the nation.

The justices two years ago affirmed an individual's right to possess such weapons, tossing out restrictive laws in the federal enclave of the District of Columbia.

The larger issue is one that has polarized judges, politicians and the public for decades: Do the Second Amendment's 27 words bestow gun ownership as an individual right or as a collective one -- aimed at the civic responsibilities of state militias and therefore subject, perhaps, to strict government regulation? And is that regulation limited to federal laws, or can it be applied to local communities?

The amendment states: "A well-regulated militia being necessary to the security of a free state, the right of the people to keep and bear arms shall not be infringed."

Gun rights groups applauded the decision.

"Today marks a great moment in American history," said Wayne LaPierre of the National Rifle Association. "It is a vindication for the great majority of American citizens who have always believed the Second Amendment was an individual right and freedom worth defending."

Some gun control advocates tried to put a positive spin on the opinion.

"There is nothing in today's decision that should prevent any state or local government from successfully defending, maintaining, or passing, sensible, strong gun laws," said Paul Helmke, of the Brady Campaign to Prevent Gun Violence.

The court majority refused to limit its 2008 District of Columbia ruling. That decision offered at least partial constitutional validation to citizens seeking the right to possess one of the most common types of firearms in their homes. The Chicago ruling now extends that right significantly.

The Justice Department estimates that as many as 275 million guns are in the United States. In 2005, three-quarters of the 10,100 homicides by firearms nationwide were committed with handguns.

Underpinning the legal basis for the court's jurisdiction in this appeal is a complex reading of the 14th Amendment, passed after the Civil War to ensure that all citizens -- including newly freed slaves -- were protected from state laws that might restrict their fundamental rights.

One part ensures that states cannot deprive people of "life, liberty, or property, without due process of law." That has been commonly applied by federal courts when it comes to disputes over basic rights, so-called "ordered liberty" cases. Such cases include affirming the right to abortion, and to homosexual sex.

But another rarely used provision also prevents states from depriving the "privileges or immunities" of all citizens. The specific question for the high court in the Chicago case was whether the "immunities and privileges" clause should be used to overturn the handgun ban. An 1873 ruling limited use of that provision when considering a variety of state laws.

McDonald's lawyer, Alan Gura, promoted a new reading of the clause, in his lead role representing gun owners.

The constitutional theories are dense, but some legal scholars had said that if the high court embraced this "privileges and immunities" clause, it could open up to fresh review a huge range of issues, like property rights and gay marriage.

Courts have generally upheld other cities' restrictions on semiautomatic weapons and sawed-off shotguns. The conservative high court majority has in recent years upheld a California ban on assault rifles, similar to a federal ban that expired in 2004.

Forty-four state constitutions protect their residents' right to keep weapons, according to a brief filed by 32 state attorneys general in support of the individual weapons owners in the current appeals.

Some constitutional experts have noted the Bill of Rights had traditionally been applied by courts only to the federal government, not to local entities. It was not until the past half-century that the justices have viewed free speech, assembly, and the press -- among other rights -- as individual in nature, and fundamental to liberty, superseding in many cases the power of states.

There have been limits. The high court has repeatedly refused to extend to states the 5th Amendment requirement that persons can be charged with serious crimes only by "indictment of a grand jury."

The current case was McDonald v. Chicago (08-1521).

@highlight

5-4 decision reiterates and expands conclusion in 2008 D.C. decision

@highlight

Due process section of 14th Amendment used in decision

@highlight

"A great moment in American history," NRA's Wayne LaPierre says

@highlight

Handgun control advocate says decision does not prohibit "sensible, strong gun laws"