Princeton, New Jersey (CNN) -- President Obama's 2012 campaign is gradually starting to take shape. Rather than focusing on the record from his first term and his competence as the commander in chief, the president is promoting himself as a revived populist, anti-establishment Democrat fighting for the unfulfilled goals of his 2008 campaign.

Referring to the announcement that Bank of America would charge a debit card fee, the president argued that this justified the need for a consumer bureau. "You can stop it," he said. "You don't have some inherent right just to, you know, get a certain amount of profit, if your customers are being mistreated."

During a press conference, Obama expressed some support for the protests taking place on Wall Street. The protest "expresses frustrations American people feel," he said. Through statements such as these, the president hopes to recapture some of the energy that fueled his dramatic run for the White House.

In some ways, Obama is looking back to President Harry Truman's 1948 campaign against Republican Thomas Dewey. In a stunning come-from-behind campaign, where most of the pollsters were wrong in their predictions, Truman railed against the "Do-Nothing Congress" and appealed to core Democratic constituencies such as organized labor to win re-election.

But this style of campaign poses many risks to the president in 2012. Obama does not have the same kind of huge foreign policy record that helped Truman neutralize the GOP in 1948, a campaign that came one year after the Truman Doctrine and the same year as the Marshall Plan.

Yes, Osama bin Laden was killed and Moammar Gadhafi was ousted during Obama's presidency. But Truman presided over the end of World War II and was the president who oversaw the shaping of America's containment policies to combat international communism. Foreign policy also loomed much larger in the minds of voters as the Cold War was taking shape; today the war on unemployment has overtaken the war on terrorism in the public mind. Rather than repeating the election of 1948, Obama could end up facing some of the problems encountered by President Jimmy Carter in 1980 or, in a different context, Vice President Al Gore in 2000.

A populist, anti-Washington campaign is at odds with the Obama whom the nation has seen up close since January 2009. While the president clearly shares many concerns with the left wing of the party, it's also clear that he is much more comfortable staying close to the center. He governs much more like President Bill Clinton than one might have expected from his 2008 primary campaign. Obama is a pragmatist and a politician, less concerned about ideological purity than about political outcomes.

The president's relationship with the left has been extremely tense. During a series of legislative battles, including the one over health care reform, Obama kept his distance from the base of his party in an effort to find legislation that could win over the handful of centrists in his own party and the GOP. Some members of his administration, including former press secretary Robert Gibbs, have made tough statements about the need for liberals to be more realistic about their goals.

Unlike Truman, who had his own problems with the left, Obama cannot point to a huge record from his party of successful policies that have bolstered the security of America's middle class. When Truman ran in 1948, FDR and the New Deal were still fresh on the minds of most voters.

The danger with running too strongly as a populist is that it can quickly appear disingenuous. If Obama pushes too hard on the populist theme, he could sound a bit like Gore in 2000, who fell flat -- after years of standing as a voice of centrism -- when he railed against the wealthy.

In certain respects, Obama's efforts to win over the left could backfire, causing activists to feel that they are being used rather than being given an honest choice about whom they would rather have in office -- a Democrat who compromises or a Republican who will be under immense pressure from the tea party. To be sure, the liberal base won't vote for Mitt Romney or Rick Perry. But many could decide not to vote at all.

Another problem with Obama's emerging strategy is that the anti-Congress campaign would be hard to pull off. When Truman turned to this theme in 1948, Congress was under Republican control. The nation had divided government, not a divided Congress, which is currently the case with a Democratic-controlled Senate and a Republican House.

When Obama lashes out against Congress he is taking shots at his fellow Democrat, Senate Majority Leader Harry Reid, not just at House Speaker John Boehner. Voters will have trouble seeing how one party is to blame for the performance of Congress when neither party controls everything.

Moreover, it is harder to run an anti-establishment campaign when you are the face of Washington. Carter learned this in 1980. The heart of Carter's campaign in 1976 had been to clean up government and regain the trust of voters who were disillusioned with Washington as a result of Watergate. When Carter ran in 1980, he couldn't pull off the anti-Washington stance. Like Obama, Carter was no longer a fresh voice and he was deeply tied to events in Washington.

If Obama is too tough on the political establishment, it is possible that some moderate and independent voters might very well agree with his analysis of the problem, but then decide to vote for the Republican nominee who does not carry the same kind of baggage from the capital.

The final challenge for Obama is that the focus on anti-government populism will prevent him, or dissuade him, from talking about his legislative accomplishments. In the end, most of the presidents who have successfully run for re-election have defended and championed what they accomplished in Washington. They explained to the voters how they improved the nation.

Until now, Republicans have been able to control the narrative of Obama's presidency. They have depicted everything he has done -- from the stimulus to financial regulation -- as ineffective, and they are now developing an argument that he is not only failing to fix the economy but responsible for the worsening of the situation.

At some level, Obama needs to explain to voters what he has done and how he has strengthened the nation -- even in difficult economic times. If he simply ignores his own record and allows Republicans to define what happened in his first four years, he risks leaving himself open to a tough attack from his opponents.

President Obama must be true to the kind of Democrat he has been -- not trying to reinvent himself in a media culture that constantly reminds voters of who he really is -- and he must define and champion the record that he has accomplished.

If the president wants to persuade voters to support him, he has to convince them that his style of politics and his legislative record are the basis for four better years ahead.

The opinions expressed in this commentary are solely those of Julian E. Zelizer.

@highlight

Julian Zelizer: President Obama lately is sounding a populist message

@highlight

He says the populism clashes with what we have seen in Obama's term

@highlight

Voters aren't likely to support Obama as an anti-Washington force, Zelizer says

@highlight

Zelizer: Most presidents who have been re-elected have run on their records