(CNN) -- On the eve of the anniversary of the tragic massacre at Sandy Hook Elementary School in Connecticut, yet another shooting broke out Friday -- this time in a high school in the suburbs of Denver. A few people were reported injured, so far, while the gunman took his own life, police said. And once again, an American community reels -- bewildered that such violence could occur among its young people.

While the vast majority of youth murdered in the U.S. are gunned down in the street, school shootings that are rare in other countries occur far too frequently in America.

The U.S. does not have unusually high rates of crime, violent behavior or mental illness compared with other high-income countries; but our rate of homicide with firearms is nearly 20 times higher. Lax gun laws that allow dangerous people easy access to guns plays an important role in this disparity.

There was reason to believe that Congress would be forced to put public safety interests ahead of the special interests of the gun lobby after 20 young children and six adults were gunned down at Sandy Hook Elementary School a year ago.

Public opinion surveys showed near unanimous support for expanding background checks and broad support for other measures to keep guns out of the wrong hands. Grass roots movements including parents and faith-based groups mobilized to advocate for stronger gun laws.

For the most part, Congress once again caved to the gun lobby.

However, 15 states plus the District of Columbia, accounting for roughly 44% of the U.S. population, strengthened their gun laws in 2013. Eight of these states, including Colorado, Delaware and Illinois, made fairly substantial changes by enacting background-check requirements for all handgun sales. Maryland adopted a licensing system for handgun purchasers and stronger regulation of gun dealers. California, Connecticut and Maryland expanded firearm prohibitions for high-risk individuals.

Moreover, the Obama administration took action on many relevant executive orders. A director for the Bureau of Alcohol, Tobacco and Firearms has finally been confirmed by the Senate. Federal agencies are funding research on gun violence.

But widespread gun trafficking from states with weak gun laws to states with stronger laws underscores the need for better federal laws. Congress will likely act only when more gun owners who support policies to keep guns from dangerous people become engaged on the issue.

In a large national survey my colleagues and I conducted in January 2013, 84% of gun owners and 74% of National Rifle Association members supported background checks for all gun sales. Other surveys show similar findings.

What is keeping so many gun owners on the sidelines? One likely impediment is the way the issue has been cast as a cultural battle as opposed to a public safety problem. Another may be gun owners' susceptibility to the gun lobby's bogus talking points.

The frame for this cultural battle is not accidental. Pushed by the gun lobby and fanned by news media's tendency to highlight conflict, widely favored, commonsense safety measures such as background checks are portrayed as attacks on gun owners' way of life. The gun lobby's claims that background checks restrict gun ownership and lead to gun registries and confiscations are repeated and often left unchallenged.

When you hear something enough times, you begin to think it's true. And that's exactly the intent of the NRA and other groups.

Here's the reality check: Background checks pose no threat to lawful gun ownership.

Federal law forbids the federal government from maintaining anything resembling a registry of gun owners. Federal law has mandated background checks for guns sold by licensed gun dealers since 1994 without creating a registry. Exempting private gun transactions from background check requirements facilitates gun trafficking. Fixing this fatal flaw in the system would curtail the diversion of guns to criminals.

In the year since the tragedy in Newtown, it is likely that more than 12,000 Americans have died of gun violence and countless others live in fear of being shot. We should stick to facts, dispel myths, and call a truce to cultural battles.

Current federal gun laws aid criminals and the gun industry at the expense of public safety. Requiring background checks for all gun sales would give the vast majority of gun owners what they want while keeping guns from those who shouldn't have them.

The opinions expressed in this commentary are solely those of Daniel Webster.

@highlight

On the eve of Newtown massacre anniversary, there's a school shooting in Colorado

@highlight

Daniel Webster: Lax gun laws allow dangerous people easy access to guns

@highlight

He says we must stop treating this as a cultural battle; it is a public safety problem

@highlight

Webster: Even gun owners and NRA members support background checks