WAXAHATCHIE, Texas (CNN) -- Julie Quiroz clutches her teddy bear crying. "Mommy," she says softly, as her mother wraps her arms around her and rubs her back. One of her brothers tries to console her. "You're going to come back," he says.

Julie Quiroz, a 13-year-old U.S. citizen, went back to Mexico when her mom was deported.

The 13-year-old Quiroz begins to walk away to catch an airplane from Mexico to the United States. Within moments, she rushes back to her mother's arms. "Mommy," she says again, tears streaming down her face.

Quiroz is one of an estimated 3 million American children who have at least one parent who entered the United States illegally, according to the Urban Institute, which researches and evaluates U.S. social and economic issues.

In Quiroz's case, she was born in Washington state, lived there her entire life and went to school there. But her mother, Ana Reyes, entered the United States illegally before Quiroz was born and U.S. immigration officials caught up with her last year on her birthday.  Watch how deportation separates family »

"I was there when they handcuffed her," Quiroz says. "I was there when they took her down."

Two of her brothers, who had come with their mother to the United States when they were young children, also were taken into custody.

It was the start of a downward spiral for Quiroz. When her mother and brothers were deported, Quiroz and her 6-year-old, American-born sister had no choice but to return to Mexico City with them.

Her seventh-grade year was spent in a classroom where she didn't understand the language.

"I never belonged there," she says. "I'd just come home, sit down, cry. I'd say, 'Mom, I can't do it.' ... I can't read or write Spanish."

She adds, "I felt like there were no dreams for me."

Stories like these are becoming more common, immigration analysts say, with American children caught in the middle of their mother or father's illegal status. A report last month in the Journal of the American Medical Association said these children face "increasing risk of family separation, economic hardship and psychological trauma."

"It's really hard to imagine something that can be more traumatic than to be forcibly separated from their caregiver. That's the enforcement climate that we're operating in now," says Miriam Calderon, the associate director for education and children's policy at the National Council of La Raza, the largest Hispanic advocacy group in the United States.

Calderon says the nation needs to enforce immigration laws, but currently there is a lack of a "consistent and comprehensive standard to ensure that children will be protected" when undocumented parents are taken into custody.

"Until a major immigration reform is enacted, the country will continue to cope with challenges resulting from the presence of roughly 12 million undocumented immigrants in our workforce and in our communities," said Janet Murguia, the president of NCLR, before Congress in May.

U.S. Immigration and Customs Enforcement says it's simply enforcing the laws on the books.

"ICE agents and officers are sworn to uphold all of our nation's immigration and customs laws," ICE press secretary Kelly Nantel said in a written statement. "We cannot pick and choose the laws we enforce. Parents make decisions that affect their families everyday.

"There are known consequences for violating our nation's immigration laws. It's unfortunate that parents choose to place their children in these difficult situations."

For Quiroz, her journey from America to Mexico City took an unexpected turn when her plight caught the attention of Joe Kennard, a land developer and Christian philanthropist. Kennard reached out to Quiroz's mother and told her the teen could live with his family in Texas and enroll in school there.

"You can make all the arguments that [the mother] deserved what she got because she was an adult, she made the choice, she was here illegally," Kennard says. "But why [punish] the children? They're innocent and they're born here and they're U.S. citizens."

His group, Organization to Help Citizen Children, works with churches along the U.S.-Mexico border to provide support for children whose mother or father is deported to Mexico.

Kennard hired a private tutor to get Quiroz up to speed for missing a year of schooling. "She's conflicted because she knows that she's got to get an education and this is the only way to do it. But she also feels the love for her mother and that's the torture."

Quiroz's mother then made the incredibly painful decision to implore her daughter to go to Texas, an unbearable decision for the teen to leave her family for her country and her future.

Her older brother, Carlos Quiroz, was about 3 years old when his mom took him to the United States last decade. He misses his sister, but knows he can't return. "I have to accept that ... and try to make it work," he says.  Watch why Carlos Quiroz feels like an American »

He's working to get a job and hopes to enter college in Mexico. But his mind is still in the land he grew up in. "I don't feel like I belong here. I feel like I was taken out of somewhere where I belonged," he says. "My whole life is over there."

His sister is now living in Texas, adjusting to eighth grade and all the changes around her. When she's alone, she says it still hurts.

"I want to be in my mom's arms," she says, choking back tears.

The dream that keeps her going?

She's determined to become a lawyer to fight for kids who are forced to endure painful separations.

"My mom only came here to make a better life," she says. "I want to be a lawyer to help people in the same situation as me."

CNN's Gregg Canes and Traci Tamura contributed to this report.

@highlight

3 million U.S. citizen children are believed to have one undocumented parent

@highlight

Julie Quiroz, 13, was born in the U.S. but had to return to Mexico with her mom

@highlight

"I never belonged there ... I'd just come home, sit down, cry," she says

@highlight

Thanks to a philanthropist, Quiroz was able to come back to study; but without mother