(CNN) -- Earlier this week, Dr. Mehmet Oz, host of the popular "The Dr. Oz Show," conceded that there's no long-term miracle weight loss pill. This is despite his previous use of the word "miracle" to describe the weight loss effects of forskolin, raspberry ketones, sea buckthorn, garcinia cambogia, African mango seed and green coffee bean extract. Dr. Oz said his job on the show "is to be a cheerleader for the audience (when) they don't think they have hope"

But hope is not the same as good advice, and, as Dr. Oz noted, none of these recommendations have proven miraculous.

"Cheerleading" as described by Dr. Oz has contributed to the creation of a weight loss market that is overwhelmingly ineffective yet highly profitable, with sales at $60 billion per year. The demand is there. Among U.S. adults, 68% are overweight or obese and as many as 100 million are trying to lose weight at any given time.

Annually, obesity accounts for about $200 billion, or about 20%, of our health care costs. It costs billions more in worker absenteeism and lost productivity. Over 80% of people who lose 10% or more of their weight will regain it, and for all the new treatments, that number hasn't really improved in a generation.

This is not to say that we shouldn't join Dr. Oz in offering hope. We should seek hope by investing in new ideas and more personalized approaches to combating the obesity epidemic rather than by embracing anecdotal "miracles."

One way is to focus on obesity prevention, which starts in the home, school and community. Numerous studies suggest that the behaviors we learn early in life influence our behavior as adults. (I know that my parents always told me to eat a vegetable with lunch and dinner. To this day, if I am running late for work and just have time to grab a hot dog, I feel a scowling avatar of my mother pop up on my left shoulder). We can potentially delay or even prevent adult diseases by fostering better health habits in our children.

Schools are an excellent venue in which to orient families toward healthy behavior. Teachers, in addition to providing health and physical education, can serve as role models and engage parents about good health practices for their children.

Unfortunately, most public schools, including those in New York, do not meet their mandates for providing minimal physical education. And in general, there isn't enough focus on good dietary and exercise habits in school-based health initiatives.

The need for a multipronged approach utilizing actions in communities, schools, businesses, families and health care providers to prevent obesity has been recognized by many federal programs (such as Michelle Obama's Let's Move campaign), state programs (such as New York's), and local programs (such as in Chicago or Los Angeles).

Obesity prevention proposals have raised important questions regarding costs and long-term efficacy. It should be noted that some studies have shown that cost-effective, school-based interventions can be implemented, slow weight gain and yield other health benefits such as improved insulin sensitivity or cholesterol level in children. While it has not been determined whether these benefits persist after the program is stopped, the potential financial and health gains as a result of delaying the onset of obesity by even a few years would be huge.

We need to start early at home, in classrooms, neighborhoods and even in the pediatrician's office. The risk of a fat child becoming a fat adult is doubled at age 2-3 but over 20-fold after age 9. Behavioral interventions appear more effective if started in early childhood. Exploration of new preventive measures should require detailed assessment of their short- and long-term efficacy so they are adequately vetted before they become policy.

We should demand that our schools emphasize life-prep as well as test-prep and that failure of schools to fulfill their physical education obligations is treated with the same severity as failing to meet academic obligations. School lunches should be a part of school education and we must actively oppose efforts to undermine them, such as recent Republican efforts to allow schools to opt out of requirements for more fruits and vegetables in meals -- an improvement that arose from the 2010 Healthy Hunger-Free Kids Act.

Health education is a learning process, and like any academic area, it needs to be developed over time. Good nutrition and exercise habits are good for all of us -- fat or thin -- and most of us could use a refresher course.

There is hope, but we have to use common sense and good science to make sure we're on the right path. As Charles Darwin put it, "the more we know of the fixed laws of nature the more incredible do miracles become."

@highlight

Michael Rosenbaum: Dr. Mehmet Oz says there's no long-term miracle weight loss pill

@highlight

Rosenbaum: 68% of adults are overweight or obese; Americans want to lose weight

@highlight

He says obesity prevention starts in the home, school, community, and at early age

@highlight

Rosenbaum: Schools should provide strong health and physical education to students