(CNN) -- Chinese human rights activist Chen Guangcheng arrived Saturday evening in the United States, bringing an end to a diplomatic firestorm that erupted after he escaped from house arrest and took to YouTube to complain about abuse he said his family suffered at the hands of authorities.

United Airlines Flight 88 landed at New York/Newark Liberty International Airport to little fanfare after the U.S. State Department prohibited public and media access. Traveling with Chen were his wife and two children.

Less than two hours later, Chen, 40, spoke from New York University, where he will participate in a fellowship.

"I am very grateful to the assistance of the American Embassy and the promise of the Chinese government for protection of my rights as a citizen over the long term," Chen said to a mob of reporters and onlookers. "I am very gratified to see the Chinese government has been dealing with the situation with restraint and calm."

The activist indicated through a translator that the U.S. government granted him partial citizenship rights. He asked people to work with him to "promote justice and fairness in China." And Chen said he was looking forward to recuperating in "body and spirit."

Reporters traveling with him were denied access to Chen for much of the 13-hour flight from Beijing until he agreed to talk to one member of the media.

Chen expressed mixed feelings about arriving in the United States, saying he has unfinished business at home, according to CNN's Steven Jiang, who was on board the flight.

Chen's 'concrete' steps to leaving China

Chinese-speaking diplomats from the U.S. Embassy in Beijing traveled with the family, according to two senior State Department officials.

Chen had neither passport nor visa in hand when he was abruptly shuttled to the Beijing airport for the flight. At the airport, Chen waited with his wife and two children in a secure location. He was in a wheelchair, dark glasses over his eyes -- Chen is blind.

Chen had been in a Chinese hospital for the past few weeks, awaiting the documents to travel to the United States.

The self-taught legal activist angered Chinese officials with his fight against alleged forced abortions under China's one-child policy.

Chen spent four years in prison, and was then held under constant lockdown in his village.

In his April video after his escape, Chen addressed the Chinese premier, Wen Jiabao, detailing alleged abuses during the family's 18 months of heavily guarded detention at home.

"They broke into my house and more than a dozen men assaulted my wife," he said. "They pinned her down and wrapped her in a comforter, beating and kicking her for hours. They also similarly violently assaulted me."

On Saturday, Chen said he was confident officials will conduct a thorough investigation of the abuse and treatment toward him.

"I don't believe the central government will lie to me," he said.

Journalists and supporters were prevented from visiting Chen during his house arrest. One of those supporters is Hollywood actor Christian Bale, who was roughed up by security guards while attempting a visit in December. Chen indicated Saturday he would like to meet Bale.

Bale, in an e-mail Saturday to CNN, said, "Please shake Chen's hand, and give him and his family a hug from me upon their arrival in the U.S. They must be overwhelmed with relief at being together, and finally, safe; but also worried about their family who remain in Shandong. I would love to meet with Chen when he has the time."

Chinese activists family suffers reprisals, he tells U.S. lawmakers

Bob Fu, president of ChinaAid, a Texas-based Christian human rights organization that has been campaigning for Chen's freedom, said the activist was deeply grateful to the international community's efforts to secure his freedom -- efforts that tested U.S. relations with the Communist giant.

Chen spent six days in the U.S. Embassy after he escaped house arrest ahead of a visit to Beijing by U.S. Secretary of State Hillary Clinton. The move infuriated Chinese authorities.

The one thing Chen could not leave behind was fear of reprisals for the rest of his extended family at the hands of the authorities in Shandong Province in eastern China.

"My elder brother was taken away by these thugs without any reasoning and then they came back and started beating up my nephew, and they used stakes and violently beat him up," Chen told the House Foreign Affairs Committee in a telephone call from his hospital room earlier this week.

Chen added that his relatives' homes had been broken into and they had been beaten by people working for the government.

Chen said his nephew Chen Kegui tried to defend himself and now faces a "totally trumped-up" charge of attempted homicide. "After my nephew was beaten up, he actually was waiting to surrender himself and the police come back again and violently beat up my sister-in-law," Chen said.

Hillary Clinton talks China, Chen in wide-ranging interview

The authorities in Linyi, the city that oversees Chen's village, had issued a statement accusing Chen Kegui of injuring government officials with a knife and saying he would be dealt with according to the law. They have declined to comment on the matter since.

ChinaAid urged the international community to continue to monitor the situation for Chen's extended family in China, amid concerns over possible reprisals by the authorities.

Amnesty International echoed that concern.

"Chen's journey to the United States would not have been possible without his own valiant character, the courageous support of his family and friends and the robust voice of the international community that never stopped working on his behalf," said Frank Jannuzi, head of Amnesty International's Washington office.

"But while Chen and his immediate family are safe, Amnesty International continues to be concerned about those in China who share his quest for justice, for they remain in serious jeopardy," he said. "Countless people, known and unknown, are subject to arbitrary detention, beatings and other forms of repression.

For Chen, whose escape from authorities in Shandong played out like a Hollywood thriller -- a persecuted blind man who climbed over a high wall and hid in a pig sty -- Saturday's sudden journey over an ocean and a continent was perhaps a fitting chapter in his story.

Sunday morning, Chen will begin a new life in America, calm and resolute as always.

New York University law professor Jerome Cohen first met Chen when the activist traveled to the United States as part of a State Department program in 2004.

"You got the feeling you were in the presence of some Chinese equivalent of Gandhi or something," Cohen said. "He had this gentle but steely moral force."

Chen never sought out to be a rabble-rouser, Cohen said, though he will always be thought of as one.

CNN's Steven Jiang contributed to this report.

@highlight

Chen expresses gratitude, asks for justice in China

@highlight

Actor Christian Bale, who tried to visit Chen in China, wants to meet him in U.S.

@highlight

Chen will be able to pursue his studies in the U.S.

@highlight

Chen's escape from house arrest and refuge in the U.S. Embassy caused diplomatic tensions