(CNN)Being a parent has suddenly become a lot more stressful. At least it has if you live in Taiwan.

Lawmakers in the island have outlawed iPads and other electronic gadgets for children under the age of two, and demanded that those under the age of 18 do not use digital media for "a period of time that is not reasonable."

Parents who fail to comply with the new "Child and Youth Welfare Protection Act" -- or rather, fail to enforce it upon their children -- may be fined 50,000 Taiwan dollars ($1,576).

Now, as much as I dislike the excesses of bloated, interfering governments, I couldn't help but emit a yelp of joy when I read of these developments in Taiwan (which follow similar measures in China and South Korea).

Of course, there are obvious difficulties with the legislation. For a start, it fails to define a "reasonable" length of time, leaving its application open to interpretation and abuse.

Moreover, how can the law possibly be enforced? The government can hardly install some sort of spyware on every tablet and games console sold in the country.

Most irritatingly of all, the measures also seem to ride roughshod over personal privacy. Dealing with the mother-in-law was bad enough. Now politicians are telling us how to parent our kids? (Talk about the "nanny state").

Nevertheless, I couldn't help but feel that as a symbolic gesture, the new Taiwanese legislation is important.

The fact is that doctors' advice on screen-time has been clear for years -- and for years, it has been comprehensively ignored by most parents.

The American Academy of Pediatrics (AAP), the most influential body to have released such guidelines, recommends that "television and other entertainment media should be avoided for infants and children under age two."

"A child's brain develops rapidly during these first years, and young children learn best by interacting with people, not screens," it says. For older children, screen-time should be limited to two hours per day.

The National Library of Medicine, part of the U.S. Department of Health and Human Services, points out that "despite what ads may say, videos that are aimed at very young children do not improve their development."

Depressingly, however, the vast majority of parents are either unaware of the guidelines and dangers, or they simply disregard them.

Research has shown that in the United States, children have between five and seven hours a day of screen-time, roughly triple the AAP's maximum. And British psychologist Aric Sigman says that the average seven-year-old will have spent the equivalent of an entire year in front of a screen.

In Australia, a study called Virtually Impossible found that 45% of eight-year-olds and 80% of 16-year-olds exceed the recommended screen-time allowance.

Let us be clear: the AAP guidelines might be rather black and white, but they are vitally important.

Dismissing them, researchers believe, can cause children to have impaired brain development; an increased risk of attention problems, anxiety and depression; behavioral difficulties; obesity; sleep loss; poor academic performance; and physical complaints.

Yet many parents continue to put their heads in the sand. Partly, the option of a digital babysitter is simply too tempting. In addition, there is a perception that electronic media can be beneficial or educational for children.

As one study put it, "the immediate practical advantages and believed educational benefits of entertaining children with screen media often override the long-term harm that many [parents] feel does not apply."

That's not to say that parents are devoid of good reasons to be skeptical. Every new medium, from novels to radio, has been accused of corrupting the young, and there could be something rather shrill in the medical establishment's opposition to digital media.

It is indisputable that technology is increasingly dominating our lives; children who are able to write code or use Photoshop will have a significant advantage as adults.

Furthermore, a number of academics have drawn a distinction between harmful and beneficial screen-time.

Zero to Three, a nonprofit early childhood organization, argues that harm could be reduced if parents made screen-time "a shared experience," and if children still had lots of time to play in the "real, 3-D world."

Similarly, the Harvard Family Research Project has argued that "young children may benefit from computer use" if the software is sufficiently interactive and "empowering."

But such studies can be exaggerated. It is worth noting, for instance, that even the Harvard study emphasizes that "excessive screen time harms healthy growth and development, regardless of content". And the AAP, which reviewed its guidelines in 2011, has not seen fit to significantly alter them.

The fact remains that as a benchmark, the AAP guidelines deserve to be taken seriously. The alternative is to play Russian roulette with your child's wellbeing.

Moreover -- and this is the important point -- the extent to which the guidelines are being smashed is massive.

Most children in developed countries are consuming double, triple, or even quadruple the accepted healthy level of screen-time. Even the most educational app is unlikely to make a meaningful difference to that.

There's no point in sugaring the pill. If kids aren't encouraged to unplug, they are likely to turn into some rather unhappy adults.

This isn't something I say very often, but hurrah for the Taiwanese nanny state.

@highlight

Lawmakers in Taiwan have outlawed iPads and other electronic gadgets for children under the age of two

@highlight

They have also demanded that those under the age of 18 do not use digital media for "a period of time that is not reasonable"

@highlight

The new Taiwanese legislation is important, writes Jake Wallis Simons