Leh, India (CNN) -- It's always tricky being a tourist alongside foreigners in your homeland. That may be especially true in India, a country so vastly different in every respect from the United States.

But when the call came from my husband's niece and nephew, Larkin and Nelson, to accompany them and their father, Raymond Broussard, on a trip to the Himalayan region of Ladakh, I couldn't say no.

Part of it was purely selfish.

I'd never been to Ladakh, a region off India's northern Jammu and Kashmir state that borders Tibet. It's fairly accessible these days by plane -- at least in the summer -- but during my childhood in India, Ladakh was not a destination. Back then, most Indians visited picturesque Srinagar, the summer capital of Jammu and Kashmir. That was long before a violent insurgency, aimed at wresting part of Kashmir from Indian control, ravaged the area.

I'd heard from friends who'd been to Ladakh in recent years about how glorious a place it was, surrounded by towering, snow-capped peaks and Buddhist monasteries. I'd yearned to go for a very long time, so the invitation was instantly appealing.

But there was a deeper reason.

Raymond is a pediatric dentist in Albuquerque, New Mexico. He told me that when he was young, his father, also a dentist, had taken him on a goodwill mission to Haiti.

It was a trip that became indelibly etched in his mind. What American kid wouldn't learn from helping others so much less fortunate?

Raymond told me he wanted his own children to experience something similar. He'd been thinking about it for a long time and then suddenly, just like that, Larkin was entering her senior year in high school. This was Raymond's last window of opportunity.

He signed on with a group called Global Dental Relief, a Colorado-based charitable organization that provides dental care for poor kids in India, Nepal, Vietnam, Cambodia, Kenya and Guatemala. He was going as one of six volunteer dentists. But the group needed nondental volunteers as well.

Larkin and Nelson were going -- it was their first trip to India -- and they inspired me to sign up as a nondental assistant. If they could do it, why not me?

I wasn't so sure about how much help I'd be. I couldn't tell you what "scaler" or "explorer" tools looked like, but it wouldn't hurt, I thought, to learn new skills.

I rescheduled my previously planned trip to India. I almost always visit home in the winter when the humidity and sizzling temperatures subside in Delhi and in my hometown, Kolkata. But there is no easy way to reach Leh, the Ladakhi capital, in the winter. The city is snowbound.

So on a late August evening, I boarded a flight in Atlanta bound for Delhi. After a day getting over jet lag and visiting family, I joined the Global Dental Relief group and was immediately relieved to know that few of the nondental volunteers had any experience with cavities or extractions.

But we all had two things in common: We wanted to do something good, and we wanted to see one of the most breathtaking places in the world.

Less than an hour after the Indigo jet left smoggy Delhi behind, passengers strained to see out the windows. The view was nothing short of magnificent.

The rising sun kissed the tall, stark peaks of the Himalayas. Some of them looked like they were on fire, the orange hues so startlingly bright.

After we settled into the Snow View Guest House, we ventured out into town -- even though it had been strongly suggested that we take it easy in our rooms. Leh is about 12,000 feet above sea level and many a visitor has fallen prey to altitude sickness.

We filled up on Tibetan momos (dumplings filled with lamb, chicken or vegetables) and got up early the next morning to begin setting up the dental clinic.

David Sonam, the owner of the guesthouse, helps set up the clinic every year. He's a businessman and a former dean at a school who wants to do something for the kids in Ladakh, many of whom hail from impoverished homes and lack the services they need.

"Dental care," Sonam told me, "is not so good here."

The kids don't get check-ups. Many don't even have toothbrushes or paste at home. The only care, Sonam said, is for emergencies -- bad infections and painful teeth extractions.

Downstairs from our makeshift clinic is a permanent center that Sonam set up for kids with special needs. There's a room painted with stars where children with autism can relax. There's also a physiotherapy center for children who've had corrective surgery so they can walk again. A wheelchair can be a curse in a place like Leh. It's hilly and hardly anywhere is handicapped accessible.

Sonam said the biggest problem here is lack of water and hygiene. Most children grow up with a mouthful of rotting teeth, which can lead to other problems later in life. And that's what we begin to see the next day when the long lines begin to form at our humble dental clinic.

One day, we encountered about 250 students from Siddhartha School who traveled for hours from mountain villages.

"They are kids who only go to see a dentist when they are in a lot of pain," said their teacher Tanzin Dolma, 38.

That includes Tesering Chonzom, 14. She's already had to have two fillings; now she's in for a third. She cowered from Raymond's anesthesia needle. Her friend Stanzin Anmol tried to calm her down. I wiped the tears flowing down her cheeks.

But within an hour, she was out the door, her cavity filled.

Over six days, the Global Dental Relief volunteers saw 715 patients -- fillings, extractions, cleanings, sealants. In all, the group estimated the value of the service at about $170,000. But we felt like a million.

The clinic, I think, was especially meaningful for the Indians among the volunteers -- there were three Indian dentists and one other Indian dental assistant.

I'd covered international aid organizations in my homeland -- in conflict and the aftermath of natural disaster -- but I'd never been a participant in anything like this.

My crash course in dentistry probably won't take me very far though the next time I am sitting in a chair (take note, Dr. Elise Ashpole), I will know what you mean when you say: "18 occlusal." I will also know when you pick up the dread extraction tool.

Eventually, the names of the children I met will fade in my mind. What I will remember are the expressions of awe and astonishment on the faces of Larkin and Nelson, who, as teenagers, discovered a slice of a strange new land. They, like their father, Raymond, who never forgot his trip to Haiti, will hopefully look back on India in 2013 as a necessary stepping stone in the path of life.

What I will also remember are certain moments -- Angmo Rigzin's hand clutching mine so tightly that I thought the bones in my fingers might break.

She was 11, suffered from anxiety and deathly afraid of Raymond's needle. When her ordeal was over and she finally was able to smile again, I handed her a toothbrush to take home. She ran out, down the stairs and out into the afternoon light. Two minutes later, she returned with an older student who spoke a smattering of English.

"Thank you," the older girl told me. "She would not have been able to bear this without you."

I watched Angmo return to her schoolmates playing on a swing set in the shadows of a 17th century Tibetan-style palace. Every visitor to Leh makes the trek up to that palace. From up there, tourists gasp at the scenery before them, the majesty of the Himalayas ahead and all of the city below.

But most tourists will never see what I did in Leh. I saw a part of my homeland through a new lens. For that, I am grateful.

Follow Moni Basu on Twitter

@highlight

Family members asked CNN's Moni Basu to accompany them on a trip to her native India

@highlight

She volunteered to work at a dental clinic for poor kids in the Himalayan city of Leh

@highlight

She went with her husband's niece and nephew and their father, a pediatric dentist

@highlight

Basu saw her homeland through an entirely new lens