Tacloban City, The Philippines (CNN) -- The day after the typhoon, Father Edwin Bacaltos stepped out of the compound of the Church of Our Mother of Perpetual Help in central Tacloban and began his work.

The scene was one of unspeakable horror. Dead bodies were strewn all over the place. The debris of shattered buildings and their contents filled the street.

Father Bacaltos' self-appointed task that day was to bless the bodies that lay scattered around his parish.

He crossed the road to the hospital opposite the church compound, tending to each of the corpses in its grounds. He then moved onto other areas that weren't blocked off by walls of wreckage.

His day of work took a heavy mental toll.

"It was difficult for me," he said. "It was a really emotional experience."

The next day, he said, "When I celebrated the Eucharist, I broke down because of all the suffering I had seen."

Hundreds of survivors were taking refuge in the church compound, much of which withstood Super Typhoon Haiyan's ferocious winds and destructive storm surge.

Many of them asked the pastor how God could let such a calamity befall this predominantly Catholic city.

His response, he said, was to tell them that "God is not the cause of the suffering. God cannot prevent this. This is the work of nature."

But why it had to happen to Tacloban and its more than 200,000 residents, Father Bacaltos acknowledged, is "difficult to explain."

As the people who remain in this broken city attempt to come to terms with the catastrophe that engulfed them a week ago, religion is offering a degree of solace for some of those who have suffered incalculable losses.

It's also providing basic elements of community and support to residents of an area where local government ceased to fully function for several days and is still only slowly sputtering back into action.

In Santo Nino Church -- situated a few blocks north of Father Bacaltos' compound -- Joan Norcio, 26, sat on one of the wooden pews near the back, waiting for Mass to begin.

Her home has been destroyed, she said, and three members of her family are still missing. She's received no food from authorities, relying on the charity of her neighbors instead.

Attending Mass at Santo Nino has been "a big help" during this time, she said, sitting solemnly next to a motherly neighbor and the neighbor's young son.

The storm ripped off most of the roof of the church. A large pool of dirty water sits in the center of the floor. And the adoration chapel is filled with brown sludge and broken chairs.

But the altar is still largely intact. Masses resumed the day after the typhoon and are now being held two or three times a day, said Father Isagani Petilos, one of the two senior pastors at the church.

Father Petilos, who also blessed the bodies in the area surrounding his church soon after the storm, said he didn't know if religion was helping the survivors endure the aftermath.

"Only God knows," he said. "Only these people know. We are all victims. There are whole families lost."

He and his colleagues have encouraged people to write the names of those killed in the storm on a board, so that they can be included in the congregation's prayers.

Norcio said she has made use of another board at the back of the church where people can put details about missing loved ones in the hope that others who might know of their whereabouts can alert them.

Sitting a few rows farther forward, Arsenia Orioque, 74, had come to the church to pray and to take advantage of the medical services being offered there each afternoon.

Since the storm washed out her home and mini-grocery store, she has developed a bad cough, she said. All her clothes were ruined, leaving her to wear a red t-shirt that a neighbor took for her from a nearby shopping mall during the looting in the typhoon's aftermath.

She seldom came to church before the storm struck, but now she says she can find peace there.

"In my prayers, I give thanks that I survived the typhoon," she said.

In the Philippines, more than 80% of the population describes itself as Roman Catholic, and only a tiny fraction of those surveyed in the national census say they have no religion at all.

Many of Tacloban residents feel close to the nation's Catholic history. In 1521, the Portuguese explorer Ferdinand Magellan landed on Honmonhon Island, which sits on the Gulf of Leyte not far from Tacloban. Though he was eventually killed in a fight on another Philippine island, his arrival marked the beginning of the conversion of most of the archipelago to Catholicism.

The missionary spirit is alive and well in Father Bacaltos' chuch. It has provided food and shelter to more than 300 families since the storm, he said.

Inside the church, children played in the aisle and pieces of meat were cooking in a pan on a small fire.

Sitting shirtless on one pew with a cigarette in his mouth, Eddie Cinco disagreed with the pastor's view of the cause of the storm.

"It was an act of God," he said, a silver crucifix hanging from his neck and a wound gradually healing on his right arm. "Only God is strong enough to do this."

Rubbing one of his bare feet, he said that God had perhaps decided to punish Tacloban, but he couldn't think why.

Cinco said that he was thankful that he and his six family members staying in the church had been spared, even if their home had been flattened.

In his prayers, he said, he asks for no more calamities.

The churches are doing their best to help the living, but the dead are not being afforded a great deal of dignity - despite the pastors' initial efforts.

Corpses have lined the streets here for days, festering in plain view. Many of them are now encased in body bags, and workers are gradually collecting them and moving them to an outdoor morgue.

In front of the Church of Our Mother of Perpetual Help on Friday, a row of body bags was being hauled onto the back of a truck. Last in line was a rudimentary coffin with a wooden cross leaning against it.

Determining that the coffin wouldn't fit on the truck, the workers picked up the wooden cross and used it to smash open the lid. They pulled out the decaying bodies of a young woman and an older man, loosely wrapped in plastic, and deposited them on the road.

In front of a growing crowd, many of whom covered their noses with their hands or shirts, the workers placed the corpses in body bags and added them to the pile on the truck.

On the outskirts of town, bodies that hadn't been claimed by relatives who had to examine corpse after corpse at the morgue near the city hall were being lumped into mass graves.

There was no sign of religious rites at the proceedings. But Mayor Alfred Romualdez said a priest would conduct a ceremony at the mass graves, once the national authorities had given their approval.

Such grim scenes remain harrowingly abundant in and around Tacloban. But Father Petilos urged people not to focus only on the misery.

"Even if we have this kind of situation, there is still hope," he said, noting that some families in the city had begun the long, slow process of rebuilding their lives.

"Yes, we may have been damaged," he said. "Devastated. But we're not dead."

BELIEF BLOG: Jesus statue unscathed by Typhoon Haiyan

Are you there? Share your stories

@highlight

The day after the typhoon, Father Edwin Bacaltos' task was to bless the dead

@highlight

Religion is offering some solace for those who have suffered losses

@highlight

The missionary has provided food and shelter to more than 300 families

@highlight

God had perhaps decided to punish Tacloban, says Father Bacaltos