LONDON, England (CNN) -- A man using a metal detector in a rural English field has uncovered the largest Anglo-Saxon gold hoard ever found -- an "unprecedented" treasure that sheds new light on history, archaeologists said Thursday.

A gold strip with a Biblical inscription was among the 1,500 pieces unearthed in an English field.

The hoard includes 5 kilograms (11 pounds) of gold and 2.5 kilograms (5.5 pounds) of silver. That is more than three times the amount of gold found at Sutton Hoo, one of Britain's most important Anglo-Saxon sites, said the local council in Staffordshire where the latest haul was found.

It's an "incredible collection of material -- absolutely unprecedented," said Kevin Leahy, an archaeologist with the Portable Antiquities Scheme, a voluntary group that records finds made by members of the public. "We've moved into new ground with this material."

Because the find is so large and important, experts haven't been able to say yet how much it is worth. They hope to make a valuation within 13 months, Staffordshire Council said. Watch report on discovered treasure »

The hoard was discovered in July by Englishman Terry Herbert, who was using a metal detector he bought more than a decade ago in a jumble sale for only a few pounds (dollars). He belongs to a local metal detecting club in Staffordshire and was just out enjoying his hobby when he made the find.

There was so much gold at the site that Herbert said he was soon seeing it in his sleep.

"Imagine you're at home and somebody just keeps putting money through your letterbox. That's what it was like," Herbert told Britain's Press Association. "As soon as I closed my eyes I saw gold patterns. I didn't think it was ever going to end."

Herbert found 500 items before he called in experts, who then found a further 800 articles in the soil. Officials aren't saying exactly where the gold was found, other than to say it was in Staffordshire, in north-central England.

"Pieces were just literally sat at the top of the soil, at the grass," said Ian Wykes, of the county council. He said the hoard had been unearthed by recent plowing.

Most of the pieces appear to date from the 7th century, though experts can't agree on when the hoard first entered the ground, Staffordshire Council said.

The pieces are almost all war gear, Leahy said. There are very few dress fittings and no feminine dress fittings; there are only two gold buckles, and they were probably used for harness armor, he said.

Sword hilt fittings and pieces of helmets, all elaborately decorated, are among the more remarkable finds.

"The quantity of gold is amazing but, more importantly, the craftsmanship is consummate," Leahy said. "This was the very best that the Anglo-Saxon metalworkers could do, and they were very good. Tiny garnets were cut to shape and set in a mass of cells to give a rich, glowing effect; it is stunning."

The items belonged to the elite -- aristocracy or royalty, he said, though it's not clear who the original or final owners were, why they buried it, or when.

"It looks like a collection of trophies, but it is impossible to say if the hoard was the spoils from a single battle or a long and highly successful military career," he said.

More work will help determine how the hoard came to be buried in the field, Leahy said.

Many of the objects are inlaid with garnets, which Leahy called "stunning" and "as good as it gets." The filigree on the items is "incredible," he said.

Some are decorated in an Anglo-Saxon style consisting of strange animals intertwined with each other. That decoration appears on what is believed to be the cheek-piece of a helmet, decorated with a frieze of running, interlaced animals.

A strip of gold bearing a Biblical inscription in Latin is one of the most significant and controversial finds, Staffordshire Council said. One expert believes the lettering dates from the 7th or early 8th centuries, but another is sure it dates from the 8th or 9th centuries.

The inscription, misspelled in places, is probably from the Book of Numbers and reads: "Surge domine et dissipentur inimici tui et fugiant qui oderunt te a facie tua," or "Rise up, o Lord, and may thy enemies be dispersed, and let them that hate thee, flee from before thy face."

Regardless of the exact date, the hoard is certainly from a period of great turmoil, when kingdoms with tribal loyalties battled each other in a state of perpetual warfare, experts say.

The land was also split along religious lines. Christianity was the principal religion, having gained ground at the expense of local pagan forms of worship, experts said.

At least two crosses are among the items in the hoard. The largest is intact, though it has been folded, possibly to make it fit into a small space prior to burial, Staffordshire Council said.

The folding may mean it was buried by pagans who had little respect for the Christian symbol, but it may have also been done by Christians who had taken it from someone else's shrine, experts said.

The hoard will likely help rewrite history, experts said.

"Earlier finds will be looked at in the context of what we find amongst this mass of material," Leahy said.

Said Leslie Webster, the former keeper of the Department of Prehistory and Europe at the British Museum, "This is going to alter our perceptions of Anglo-Saxon England."

Excavation of the field where the hoard was found is now complete, and all items that were found are being held at the Birmingham Museum and Art Gallery. The most important objects will go on exhibit from Friday until October 13, after which they will go to the British Museum in London for valuation.

Once the items have been valued, Staffordshire Council said it hopes a selection of the pieces can go on temporary display at the Potteries Museum and Art Gallery in Stoke-on-Trent.

Once the hoard is sold, the market value of the find will go to Herbert and the owner of the field where the hoard was discovered. The pair have agreed to split the amount.

@highlight

Amateur metal detectorist found treasure in a field in Staffordshire, England

@highlight

Hoard described as the largest ever found, including more than 1,500 pieces

@highlight

Value of find said to be "priceless," team to assess collection over next year

@highlight

Hoard includes five kilograms of gold, 2.5 kilograms of silver, jeweled items