President Barack Obama's historic move to loosen the U.S. embargo on Cuba set off an immediate clash with Republicans keen to use the dramatic foreign policy shift to further their own White House aspirations.

The announcement immediately threw two Florida politicians -- Sen. Marco Rubio and former Governor Jeb Bush -- into the spotlight and served as another reminder of the state's enduring importance in presidential politics.

Rubio, the son of Cuban immigrants, quickly took a hardline position, vowing to block any nominee the administration might put forward to be an ambassador to Cuba. He called Obama's announcement "truly outrageous and counterproductive" because there has been no "democratic opening" in Cuba.

"It is a lifeline for the Castro regime that will allow them to become more profitable ... and allow them to become a more permanent fixture," he said on CNN. "The embargo is leverage, these sanctions are leverage."

Rubio continued: "We have just lost a significant part of our leverage ... not a single democratic concession."

In a subsequent press conference, Rubio expanded his critique into a direct attack on Obama's foreign policy, previewing the assault Republican hawks could adopt in the presidential race.

"This president has proven today that his foreign policy is more than just naive," Rubio said. "It is willfully ignorant of the way the world truly works."

Rubio called Obama "the single worst negotiator we have had in the White House in my lifetime."

Bush, who shocked the political world on Tuesday by announcing he would explore a White House bid, welcomed the release of US contractor Alan Gross but said it was too early to transform Cuba policy.

"He shouldn't have been in prison to start with.  He didn't do anything to deserve it. But the fact that he's coming home is spectacular news for himself and his family — on the first day of Hanukkah," Bush said when asked about the Cuba news at a holiday event with Florida Governor Rick Scott.

In his first major foreign policy comments of the nascent 2016 campaign, Bush then warned in a statement that only Fidel and Raul Castro, who between them have ruled Cuba for over half a century, would benefit from Obama's "ill-advised move."

"Cuba is a dictatorship with a disastrous human rights record, and now President Obama has rewarded those dictators. We should instead be fostering efforts that will truly lead to the fair, legitimate democracy that will ultimately prevail in Cuba," Bush said in a statement posted on his Facebook page.

Bush's consistent hard line towards Havana could be appealing to thousands of Cuban Americans in Florida. But there's also the question of whether the issue will be as potent in 2016 as it has been in previous election cycles, as the younger generation of Cuban-Americans, many of them born in the U.S., are not as steeped in the Cold War-era struggle as their parents.

Bush has been a strong supporter of the trade embargo and believes it should only be lifted once political prisoners are freed, Cuba fully embraces democracy and a market economy is established.

"Instead of lifting the embargo, we should consider strengthening it again to put pressure on the Cuba regime," Bush said at a meeting of the US-Cuba Democracy PAC earlier this month.

Meanwhile, Texas GOP Sen. Ted Cruz, whose father fled Cuba, expressed "rejoice" that Gross is back in the U.S. But he slammed Obama for easing restrictions on Cuba.

"Make no mistake, although we are glad Alan is now free, the agreement the Obama Administration has entered into with the Castro regime has done nothing to resolve the underlying problem," he said in a statement. "Indeed, it has made it worse."

Republican Sen. Lindsey Graham, who is also considering a presidential run, tweeted "this is an incredibly bad idea."

The GOP positions set up a clear contrast with a possible 2016 Democratic election rival Hillary Clinton, who expressed support for Obama's moves in a statement released Wednesday night.

"I support President Obama's decision to change course on Cuba policy, while keeping the focus on our principal objective -- supporting the aspirations of the Cuban people for freedom," she said. "It is great news that Alan is finally home with his family, where he belongs."

The former secretary of state ran for the White House in 2008 opposing calls to lift the embargo, but she has since shifted her stance.

In an interview with Fusion television network earlier this year, Clinton argued that the embargo had "propped up" the Castro regime.

"I would like to see us move toward normalizing relations eventually and therefore more Americans (allowed to move) back and forth," she said. "That's something President Obama did and I supported in the first term."

Clinton wrote in her book "Hard Choices" that towards the end of her time in the Obama administration, she "recommended to President Obama that he take another look at our embargo."

"It wasn't achieving its goals and it was holding back our broader agenda across Latin America," she wrote

Meanwhile, Obama's announcement surprised many on Capitol Hill. Outgoing Senate Foreign Relations Committee chairman Robert Menendez, who has often crossed swords with Obama on Iran and Cuba policy, issued a statement that hinted at the tough fight to come over the embargo in Congress.

WATCH: Castro thanks Obama, pope

While hailing a "moment of profound relief" for Gross, Menendez blasted Obama, who he said had "vindicated the brutal behavior of the Cuban government."

"Trading Mr Gross for three convicted criminals sets and extremely dangerous precedent," said Menendez.

"It invites dictatorial and rogue regimes to use Americans serving overseas as bargaining chips," he said and argued that the"asymmetrical trade" will invite further belligerence from the government towards the Cuban opposition.

House Speaker John Boehner also hammered Obama's foreign policy, rebuking the President for "another in a long line of mindless concessions to a dictatorship that brutalizes its people and schemes with our enemies."

Tennessee GOP Sen. Bob Corker, who will take control of the foreign relations panel next year, said lawmakers "will be closely examining the implications of these major policy changes in the next Congress."

@highlight

Obama move opens 2016 row over Cuba

@highlight

Bush, Rubio strongly oppose Cuba easing

@highlight

Clinton changed position and now opposes embargo