Carmel Church, Virginia (CNN) -- At the Flying J truck stop in rural Virginia, truck drivers can taste the coffee, smell the diesel and see the future.

The future lies in a remote corner of the parking lot, where workers recently planted two rows of gleaming new fuel pumps. They are labeled LNG -- liquefied natural gas.

Though little noticed by the four-wheel public, there is a revolution taking place in the world of long-haul 18-wheelers. Next year, truck manufacturers will begin churning out trucks with new 11.9-liter engines fueled by LNG -- a fuel that is significantly cheaper than diesel, is abundant in the United States and Canada, and is, arguably, clean.

But there's a problem.

Currently, there are only about 30 open LNG fueling stations in the country -- many of them clustered in energy-conscious southern California. So if you were to try to drive from Washington to Los Angeles, you'd run out of fuel near Nashville, far from the nearest open station.

In an odd twist on the old trucker's joke -- "You can't get there from here" -- you really can't get there from here on LNG.

Historian says U.S. set for 'fracking' bonanza

The trucking industry calls this the "chicken and egg" problem: which will come first -- LNG trucks or LNG refueling stations? Trucking companies need assurances there will be fuel before committing to new fleets; fuel companies need assurances there will be a stream of LNG trucks.

"I would say that, hold your breath, because any time now, that won't be a problem," said Bill Graves, head of the American Trucking Associations. "There's going to be a deployment of fueling stations all across the nation and it's going to make movement of freight by truck -- by natural gas powered truck -- a reality."

By next spring, some 120 new LNG stations will have been completed, popping up like crocuses from coast to coast, although many are being immediately mothballed until LNG trucks become more plentiful. When they will open is "anyone's guess," one industry representative said.

History is replete with examples of people hyping new, cheap, plentiful and clean alternative fuels. But the current interest in LNG for large trucks is undeniable. When the ATA early this year planned a "Natural Gas in Trucking" summit, it anticipated some 200 people would attend. When the summit convened last week, its venue -- expanded to 500 seats -- was sold out.

Oil man turned natural gas evangelist and investor T. Boone Pickens said the reason is simple: money.

"I mean, you are talking about saving a dollar and a half, two dollars a gallon and that's unheard of," said Pickens, who, as an investor in Clean Energy, has a stake in the success of natural gas.

"If I'm trucking against you and my fuel bill is $2 a gallon cheaper than yours, I can tell you, you've got a problem. I will take a lot of your business away from you," Pickens told CNN.

The 11.9-liter engine is a game changer, industry officials say, because it occupies a "sweet spot" in the market. The bulk of long-haul trucks use 11.9-liter engines. The engine will open up the world of long-distance natural gas trucking.

At today's prices, the added cost of an LNG-powered truck can be recaptured in a year or two, industry officials say.

Ironically, one of the few voices of trepidation at the ATA natural gas summit was from an environmentalist.

"It's a mistake to rush headlong into this," said Fred Krupp, president of the Environmental Defense Fund.

Krupp said that despite diesel's dirty image, diesel technology has grown much cleaner in the past decade. Today's diesel and natural gas engines emit similar amounts of sulfur, nitrogen and particulates, he said.

The problem with LNG, Krupp told the trucking summit, is not the gas that is burned, but the gas that escapes as it is transported through the supply chain from the well to the fuel tank. The un-burned, leaked gas is 72 times more potent than carbon dioxide -- a greenhouse gas -- making it more damaging to the environment, Krupp said.

Will public chargers mean more electric vehicles?

For Krupp, the issue comes down to a simple calculation.

Currently, the government estimates 2.8% of natural gas used in trucks leaks somewhere in the supply chain, he said.

"If we can get the leak rate at 1% or less, then it's an OK thing for the atmosphere to make the switch (from diesel)," he said.

"Unless we take the necessary steps to measure and reduce the amount of methane escaping from the entire supply chain, natural gas engines could very well be worse for our climate than diesel," Krupp told the truck industry summit.

Trucking and gas industry officials at the summit were bullish about the prospects for natural gas, and confident that the environmental issues could be addressed.

"Virtually every trucking company that we've talked to has understood that the savings involved with natural gas vehicles will be significant over what their fuel costs will be with diesel," said Tom Kiley, an alternative fuel specialist for Freightliner Arizona. "The only hesitation that we see is what's the fueling infrastructure -- Where can I get my fuel?"

Pickens, a member of Clean Energy's board, doesn't flinch at that question. The country faced the same question a century ago, in the beginning of the automobile age, he said.

"If somebody said, 'Henry (Ford), have you thought about it? You don't have any filling stations!' He'd say "Gosh, I haven't thought about that. Well I'll forget this idea.'"

"That's not what he said. He said, 'Don't worry about it. You will get filling stations. If the car shows up, filling stations will come.'"

@highlight

Next year, truck manufacturers will start making new vehicles that use LNG

@highlight

But fueling up could be a problem - there aren't many stations with Liquefied Natural Gas

@highlight

Some enviromentalists warn the new, cheaper fuel could harm the atmosphere