London, England (CNN) -- On June 21, 1930, a Frenchman boarded the SS Conte Verde at Villefranche-sur-Mer, carrying in his baggage a small winged statuette representing Nike, the Greek goddess of victory.

Also aboard the South America-bound liner were footballers from France, Belgium and Romania. The Frenchman was Jules Rimet and the golden trophy was the World Cup.

Rimet's vision, conceived in the aftermath of World War One, was of a global tournament which reflected football's growing international popularity. But as the vessel set sail for Montevideo, the competition's prospects did not look particularly good.

Uruguay had been awarded the event following gold medals at the 1924 and 1928 Olympics, and because the competition coincided with the South American country's centenary celebrations.

But, with the world's economy reeling from the Great Depression, just 12 other teams took part. England, claiming de facto supremacy in a sport they had invented and exported, were among those to snub the tournament. Unsurprisingly, the first final would prove a local affair, with the hosts beating neighboring Argentina 4-2.

Two more World Cups would be played before World War Two -- both won by Italy -- but the competition remained an event finding its feet as sporting issues were overshadowed by the darkening mood in Europe. Rimet's trophy spent the war hidden in a shoe box under the bed of an Italian football official.

A new era began in 1950 as hosts Brazil built the world's biggest football stadium, Rio de Janeiro's Maracana, to showcase a competition which they were also expected to dominate.

England, finally sending a team, suffered an ignominious 1-0 defeat against the U.S. but it was the final match that delivered the greatest shock as Uruguay, in front of an expectant crowd of almost 200,000, stunned the hosts 2-1.

In Brazil the match became known as the "fateful final." Yet it was also the trauma of the defeat which would fuel Brazil's obsession with winning the tournament, paving the way for the country's later dominance.

2010 World Cup: A catalyst for a new South Africa?

The World Cup returned to Europe in 1954 with Switzerland playing hosts and Hungary, led by "Galloping Major" Ferenc Puskas, arriving as favorites. The Hungarians thrashed in 17 goals in their opening two games, including an 8-3 win over West Germany, their eventual opponents in the final. But in a match known in Germany as the "Miracle of Berne," it was Fritz Walter's side who emerged as 3-2 winners.

The 1958 World Cup in Sweden marked the arrival of a 17-year-old superstar called Edison Arantes do Nascimento, better known as Pele, as Brazil were crowned champions at last. Pele didn't appear until the quarterfinals, but followed the winning goal against Wales with a hat-trick against France and two more in a 5-2 win over the hosts in the final.

Brazil were winners again in 1962 in Chile, this time inspired by Garrincha's trickery. The winger scored four times in wins over England and Chile before Brazil completed the defense of their crown with a 3-1 win over Czechoslovakia.

1966 was the year when England finally embraced the World Cup, with home advantage proving enough to carry Alf Ramsey's side all the way to the title, capped by Geoff Hurst's hat-trick in a 4-2 final win over West Germany. But the victory also marked the beginning of the country's still unfulfilled obsession with repeating the feat.

The 1970 World Cup in Mexico was a technicolored spectacle, brought live to millions of television screens by satellite technology and featuring a virtuoso performance by a Brazilian team considered the greatest in football history.

Pele produced the tournament's most memorable cameos, including his famous near-miss from the halfway line against Czechoslovakia and an astonishing dummy that sent the ball past a bewildered Uruguayan keeper -- though neither moment led to a goal. The save from his downward header by England goalkeeper Gordon Banks is rated by many as the best of all time.

Jairzinho achieved the unique feat of scoring in every match while captain Carlos Alberto capped his side's 4-1 win over Italy in the final with an emphatic finish that summed up the Brazilians' supremacy.

By 1974, the World Cup was starting to resemble its modern incarnation, with teams such as Zaire -- the first from sub-Saharan Africa -- and Australia extending the competition's reach beyond its roots in Europe and South America.

Johan Cruyff's brilliant Dutch side took the tournament by storm with their revolutionary "total football" but it was hosts West Germany who came out on top 2-1 in the final.

Who will be the World Cup's best player?

Home advantage also proved decisive in 1978 as Argentina ended their long wait for World Cup success with Mario Kempes scoring twice in a 3-1 win over the Netherlands in the final. For some however, the tournament was tainted, offering apparent legitimacy to the country's oppressive military regime.

Italy ended their long wait for a third title in 1982 in Spain, recovering from a slow start to beat favorites Brazil in a thrilling second-round match in which striker Paolo Rossi scored a hat-trick on his way to winning the top scorer's Golden Boot.

West Germany were the Italians' opponents in the final, though their passage was marred by a semifinal penalties victory over France principally remembered for a horrendous challenge by West German goalkeeper Harald Schumacher which left Frenchman Patrick Battiston unconscious. Rossi opened the scoring in Italy's 3-1 win.

The 1986 tournament in Mexico belonged to Diego Maradona, whose individual brilliance carried Argentina to victory virtually single-handedly -- literally in the case of his notorious "Hand of God" goal against England.

Maradona's second goal of that match, a waltzing solo from inside his own half, confirmed him as football's greatest talent since Pele, and not even a West German fightback from two goals down in the final could prevent Argentina being crowned champions as 3-2 winners.

The 1990 tournament in Italy opened with a stunning upset as Cameroon beat Argentina 1-0 in a brutal performance which saw them end the game with nine men. Argentina regrouped to advance to the final, setting up a rematch of the 1986 final against West Germany. This time the West Germans, the tournament's most impressive side, came out on top, winning 1-0.

Maradona's last World Cup, in the U.S. in 1994, ended in disgrace as he failed a drugs test. Colombia went into the competition as favorites but their participation ended tragically with early elimination and the murder on their return home of defender Andres Escobar, the scorer of a critical own-goal.

That left Brazil, led by Romario, carrying the South American challenge, while Italian Roberto Baggio hauled his team through the knockout stages in a trio of match-winning performances against Nigeria, Spain and Bulgaria.

But Baggio's fate was to be remembered as the man who missed in the first final to be settled on penalties, shooting over the crossbar to send the World Cup back to Brazil for the first time since 1970.

World Cup predictions

Brazil reached the final once again in 1998, but the buildup to their clash with hosts France would prove more dramatic than the match itself as the world's most feared striker, Ronaldo, was first omitted from the Brazilians' team sheet and then reinstated at the last minute.

Later reports suggested Ronaldo had suffered a pre-match fit, and the incident seemed to be playing on his teammates' minds as Zinedine Zidane struck twice for France in a 3-0 win, triggering wild celebrations on the Champs Elysees.

In 2002 the World Cup visited Asia for the first time, co-hosted by Japan and South Korea. It was a tournament of upsets with Senegal humbling France in the opening game and South Korea riding their luck and some generous refereeing to oust Spain and Italy on their way to the last four.

Turkey were also surprise semifinalists, but the final brought together two heavyweights in Brazil and Germany. Making up for the disappointment of 1998, Ronaldo scored both goals in a 2-0 win as Brazil became five-time winners.

Both Zidane and Marco Materazzi found the net in the 2006 final in Germany between France and Italy, but it was the pair's off-the-ball clash deep into extra time that became the tournament's defining moment.

Zidane had emerged from international retirement to lead his country to the final, a fitting stage for the greatest player of his generation's final game.

Instead, Zidane was dismissed from the field for headbutting Materazzi, apparently in retaliation to some verbal insult offered by the Italian defender. France's 10 men held out for a 1-1 draw but without their talisman the fates had swung decisively against them.

Having defied the distraction of a match-fixing scandal at home and beaten hosts Germany in a tense semifinal, the Italians held their nerve once again to convert five perfect penalties and win the World Cup for the fourth time.

@highlight

Only 12 teams traveled to Uruguay for the first World Cup ever held in 1930

@highlight

Twenty years later, the tournament entered a new era when it was staged in Brazil

@highlight

The 1970 event in Mexico featured technicolor coverage via satellite television broadcasts

@highlight

Italy go into the the 2010 tournament in South Africa as the defending champions