(CNN) -- Aung San Suu Kyi, the Myanmar democratic freedom activist who spent 15 years under house arrest, accepted the U.S. Congressional Gold Medal on Wednesday.

Suu Kyi called the ceremony one of the most moving days of her life.

"From the depths of my heart, I thank you, the people of America and you, their representatives," she said to the gathered members of Congress, "for keeping us in your hearts and minds during the dark years when freedom and justice seemed beyond our reach."

Sen. John McCain was overcome with emotion when he, among other political heavyweights in Washington, praised Suu Kyi.

McCain called Suu Kyi "his personal hero."

"They did all they could to break her," the Arizona Republican said of the military junta that detained her. McCain, who was a POW in Vietnam, choked up, his voice breaking.

"Aung San Suu Kyi didn't scare a damn," he told the crowd.

McCain's comments were met with wild applause.

Suu Kyi was kept for the better part of two decades under house arrest for advocating for democracy in Myanmar, also known as Burma. The country's former military rulers ordered her detention, and in recent years her case has received an international spotlight. She paid a hefty personal price for standing up for freedom in Myanmar, which suffered under 50 years of autocratic, repressive rule.

Suu Kyi, who was awarded the medal in 2008, was freed two years later and elected to the Myanmar parliament this year, a historic moment in the country.

"As I go forward with my countrymen and -women along the difficult path of building a truly democratic society where all our people can live together in peace -- remembering always that Burma is a nation of many ethnic nationalities and peoples -- we believe that we can go forward in unity and in peace, and give our friends the satisfaction of helping us get to ... a place where dreams are realized," she said in her acceptance speech.

The 67-year-old activist-turned-politician is on a 17-day tour of the United States. Suu Kyi met with President Barack Obama later Wednesday.

Obama "expressed his admiration for her courage, determination and personal sacrifice in championing democracy and human rights over the years," the White House said in a statement following the meeting.

He told Suu Kyi that the United States will continue to support the efforts of her and her party, in conjunction with the reformist Myanmar president, Thein Sein, to push for political and economic changes and "to ensure full protection of the fundamental rights of the Burmese people," according to the statement.

Over the next two weeks, Suu Kyi is scheduled to meet with other high-level American officials, as well as democratic activists. Also Wednesday, she met with U.S. Sens. Harry Reid, D-Nevada, and John Kerry, D-Massachusetts, among others.

At the start of her visit Tuesday, she met with Secretary of State Hillary Clinton and made an address at the U.S. Institute of Peace in Washington, during which she said she supported the further easing of U.S. economic sanctions on Myanmar.

"I do not think we should depend on U.S. sanctions to keep up the momentum of our movement for democracy," she said. "We have got to work at it ourselves."

The U.S. Treasury Department, meanwhile, lifted sanctions Wednesday on Thein Sein and parliament member Thura Shwe Mann, allowing them do do business with Americans again.

Also Wednesday, Clinton compared Suu Kyi with another famous political prisoner.

She said she was reminded when she visited Suu Kyi during her house arrest that she saw similarities to Nelson Mandela.

"These two political prisoners were separated by great distances, but they were both marked by uncommon grace, generosity of spirit and unshakable will," Clinton said Wednesday. "And they both understood something we all have to grasp. The day they walked out of prison, the day the house arrest was ended, was not the end of the struggle. It was the beginning of a new phase."

Under Thein Sein, the Myanmar government has released hundreds of political prisoners in the past year, part of a series of reforms that have followed decades of repressive military rule. Western governments have responded to the efforts by starting to ease sanctions put in place to pressure the military regime.

Myanmar authorities have also engaged in peace talks with rebel ethnic groups and allowed Suu Kyi's party, the National League for Democracy, to successfully participate in special elections for the national parliament in April.

Suu Kyi and others have nonetheless cautioned that progress toward greater freedoms in Myanmar remains embryonic and fragile.

"I think one of the important reasons for her visit at this time is to remind us of how much more still lies ahead, from strengthening the rule of law in democratic institutions to addressing the challenges in many of the ethnic conflicts and in Rakhine state," Clinton said Tuesday in an introduction to Suu Kyi's address.

Communal violence between Buddhists and Muslims in the western Myanmar state of Rakhine this summer killed scores of people and displaced thousands of others. Human rights advocates have accused the authorities of cracking down particularly harshly on the Rohingya, a stateless ethnic Muslim minority, during the unrest.

Suu Kyi's U.S. trip coincides with a visit to New York by Thein Sein to attend the U.N. General Assembly, where he will meet with Clinton.

On Monday, the Myanmar government announced that it was releasing more than 500 prisoners as part of an amnesty. Suu Kyi said Tuesday that her party calculates that there were about 90 political prisoners among those released.

Between 200 and 400 political prisoners remain behind bars in Myanmar, according to different estimates.

Earlier this year, Suu Kyi visited Thailand, her first trip abroad since her release from house arrest, and then traveled to Europe, where she finally collected the Nobel Peace Prize she was awarded in 1991.

As part of her U.S. tour, she will visit Fort Wayne, Indiana, home to one of the United States' largest populations of Burmese expatriates. Since the early 1990s, about 5,000 Burmese have carved out a life there.

CNN's Ashley Fantz in Atlanta; and Jethro Mullen and Paul Armstrong in Hong Kong contributed to this report.

@highlight

NEW: Obama praises Suu Kyi's "courage, determination and personal sacrifice"

@highlight

Aung San Suu Kyi thanks U.S. for support

@highlight

She expressed support Tuesday for easing U.S. sanctions on Myanmar

@highlight

Suu Kyi is on her first visit to the United States since being freed in 2010