(CNN) -- The Supreme Court has just agreed to take on the case of Fisher v. University of Texas. Abigail Fisher, a white woman, argues that she has been a victim of the university's race-conscious admission policies; the university contends that its drive for racial and ethnic diversity is educationally enriching -- a benefit to all students.

Will the ugly discourse that generally characterizes debate over racially preferential policies disappear with the wave of a magic Supreme Court wand? It seems unlikely. The issue is a cat with many more than nine lives. It arrived in the early 1970s and, despite many attacks, some of which have taken the form of amendments to state constitutions, it has survived in pretty fine fettle.

The court will have only eight justices to hear the arguments. Elena Kagan, having been involved in the case as solicitor general in the Obama administration, has bowed out of participation. Her absence, however, leaves five justices likely to express at least some degree of skepticism about the racial preferences given to non-Asian minorities in the admissions process.

Has the University of Texas been enriched by academic diversity? Maybe. But equally likely is the possibility that racial double standards reinforce stereotypes about smart whites and even smarter Asians. There are certainly wide gaps in the average SAT scores between blacks and Hispanics, on the one hand, and whites and Asians, on the other hand.

Among freshmen entering the University of Texas in 2009 who did not fall into the top 10% of their high school class (automatic admission at the university), Asians scored at the 93rd percentile of 2009 SAT takers nationwide, whites at the 89th percentile, Hispanics at the 80th percentile and blacks at the 52nd percentile. Startling? No. This picture has been well known for a long time. Heartbreaking, yes, because the numbers mean the underperforming minority students are being woefully ill served by the K-12 school system. Moreover, arriving at institutions of higher education with an academic disadvantage, they do not catch up, as it has become clear.

Justice Sandra Day O'Connor (now retired) wrote the majority opinion in a University of Michigan law school affirmative action case decided by the high court in 2003. The life of that decision is now on the line in Fisher. O'Connor should not be proud of her work in that decision.

It was -- not to put too fine a point on it -- dishonest. She claimed that the law school engaged "in a highly individualized, holistic review of each applicant's file." Race was considered as simply one factor among many. Did she actually believe her own argument? The law school's own expert provided data clearly showing racial double standards in admissions -- contradicting her "holistic" claim. The University of Michigan's undergraduate college mechanically awarded substantial points to an applicant from an "underrepresented" minority group, and O'Connor pretended the law school's process was very different. In fact, as Justice David Souter pointed out, the law school simply concealed a race-driven admissions process that involved preferences actually greater than those given to undergraduate applicants. Taunting his colleagues, he called it an exercise in "hide the ball."

O'Connor's whole decision rested on the assumption that preferences were temporary medicine for a problem already fixing itself. There was every reason to "expect," she wrote, that in another quarter of a century, the pool of academically high-performing black and Hispanic applicants would have so grown as to make race-conscious admissions the strategy of a bygone era.

The credulous reader might believe this confident optimism. The knowledgeable reader will know that she was either scandalously ignorant of the real record or deliberately and irresponsibly deceptive. In the dozen years preceding her opinion, the black-white gap in mean SAT scores had actually widened, and continues to do so.

Hopes are running high among opponents of racial preferences that a majority of five on the court will declare affirmative action policy unconstitutional in public colleges and universities. (Private schools would not be affected by a reversal of the policy.) No fancy constitutional footwork -- just a clean execution. That will surprise me. For that to happen, five justices would have to be comfortable with the idea of screaming media headlines and much blog chatter about a court hostile to racial equality and indifferent to the gaps in opportunity that have for so long characterized American society.

Will one of the men running for president raise his hand and say loudly and clearly, I oppose racial preferences in admissions to institutions of higher education? Don't hold your breath, unless you are willing to keel over from lack of oxygen.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Abigail Thernstrom.

@highlight

The Supreme Court has agreed to take on a case about race-conscious admission policies

@highlight

Abigail Thernstrom: If the court declares affirmative action unconstitutional, it'll be surprising

@highlight

She says that the life of a 2003 decision by Justice Sandra Day O'Connor is now on the line

@highlight

Thernstrom: The gap in mean SAT scores between blacks and whites persists