(CNN) -- Egypt's tumultuous political process took another dramatic turn Thursday when its Supreme Constitutional Court effectively dissolved parliament, ruling that the election of one-third of its members last year was unconstitutional. The court also ruled that former Prime Minister Ahmed Shafiq can remain a presidential candidate in this weekend's runoff election, despite his close association with the former regime.

These back-to-back rulings have immediately strengthened the hand of the "old guard" at the expense of the Islamists, who held more than 70% of the seats in parliament before it was dissolved.

While some Muslim Brotherhood leaders are referring to the court's decisions as a "full-fledged coup," it is more accurate to see recent events as an energetic "counter-revolution."

Egypt's presidential runoff to go ahead despite concerns

The remnants of the establishment, including the economically privileged military and the Mubarak-appointed judiciary, are flexing the powers they never gave up to make sure they remain in control. The now dissolved parliament was supposed to establish a 100-member Constituent Assembly to draft a new constitution; instead, the military has announced that it will determine the composition of the committee.

The constitution will determine such critical issues as how much power the president will wield, the role of Islam in society, and what oversight a civilian government will have over the military. In a sign of the military's intentions, it proposed in November that its budget be outside civilian scrutiny, sparking outrage and denunciations from opposition leaders who vowed to reign in military power. Now, the transition from military to civilian rule is back to square one.

On Wednesday, the ruling Supreme Council of the Armed Forces also issued a decree giving the military police and intelligence service the right to detain civilians and send them to military tribunals. Essentially, the decree replicates the dreaded State of Emergency law that was in effect for most of the past 30 years under Mubarak until it was overturned on May 31. The security forces are clearly girding for another round of massive street protests by Egypt's revolutionaries when they rally to resist the counter-revolution.

Some Egyptians pin the blame for the current setback on the Muslim Brotherhood's political overreach. In the parliamentary elections last December, it ran candidates affiliated with its Freedom and Justice Party for seats reserved for independents, helping it win a larger share of seats. This was one of the explanations for the Supreme Constitutional Court's ruling invalidating those seats and dissolving parliament. Also, after insisting it would not run a presidential candidate, the Muslim Brotherhood did join the presidential race. Its candidate, Mohammed Morsi, led the field in the general election last month and will compete against Ahmed Shafiq in the runoff election, which starts tomorrow.

However, while the Muslim Brotherhood's growing political influence certainly disquieted the establishment, the reality is that the powerful military, which has run Egypt for decades, was never going to simply hand over power to a civilian government and fade into the background. This showdown was inevitable.

Analysts: 'Soft coup' court ruling could reignite Egyptian revolution

For now, the Muslim Brotherhood has not called for protests, and Egypt's cities on Friday were relatively calm. The Brotherhood and various leaders of the youth movement have vowed to fight the counter-revolution, and they have the power to bring millions of people back into the streets to do so.

Undoubtedly, there are behind-the-scenes negotiations occurring as Brotherhood leaders meet with the SCAF to figure out what influence they can now expect. Egypt's stability now rests on whether they can come to some accommodation that will lead to a gradual transition acceptable to the major players. The military must recognize that its attempts to reverse the democratic transition will eventually fail.

The opinions expressed in this commentary are solely those of Isobel Coleman.

@highlight

Isobel Coleman: Old guard in Egypt has reasserted control with ruling dissolving parliament

@highlight

She says Muslim Brotherhood held most seats, now military will oversee constitutional committee

@highlight

She says military was never really going to hand over power; this showdown was inevitable

@highlight

Coleman: Millions could return to streets; military must know it will fail to stop democracy