(CNN) -- A widely anticipated meeting of North Korean ruling party members went off anticlimactically Tuesday, with only the announcement that leader Kim Jong Il was reappointed general-secretary of the party.

The Korean Workers' Party last convened its delegates more than four decades ago.

On Monday, Kim's youngest son, Kim Jong Un, was promoted to the rank of general, a sign of the transitioning of power to the next generation that was nevertheless buried in the last paragraph of an article by state-run media.

Opinion: Change in the wind?

That kind of mystery surrounds the man who is widely expected to become the secretive communist nation's next leader.

"They don't release the information, so no one can know," said Kang Cheol-hwan, a North Korea defector and activist. "When he was little, he studied in Bern (Switzerland), in a school for the elite. He got an international education."

Vice guide to North Korea

Little else is known about Kim Jong Un. Two photos of him consistently circulate in news reports outside of North Korea. That's because he's been kept off the radar by the North.

Before Kim's promotion to general on Monday, North Korea's state-run media didn't mention him -- there were no family photos showing him as a youngster and no images of him by his father's side, learning to lead.

He is Kim's third and youngest son. He's 27 or 28 years old.

His grandfather, Kim Il Sung, ruled for nearly 50 years, and a mythic cult of personality was woven around him. His son, Kim Jong Il, took over after Kim Il Sung died of a heart attack in 1994.

Kim Il Sung called himself the "Great Leader," and Kim Jong Il calls himself the "Dear Leader."

Kim Jong Il served a 20-year apprenticeship at his father's side. But with Kim Jong Il, now 68, and in poor health after suffering a stroke, analysts think succession plans have accelerated.

In January 2009, South Korean intelligence reportedly intercepted a message circulated around North Korean embassies globally, stating that Kim Jong Un was being prepared for succession. Since then, there has been no further confirmation from any North Korean official source.

Recent foreign visitors to Pyongyang, however, say ordinary North Koreans know his name. Schoolchildren are being taught a song called "Footsteps," praising Kim Jong Un, though not by name.

What is life like inside North Korea?

He was also rumored to have been elevated to the powerful National Defense Committee ahead of Tuesday's party meeting. State media had said the party would assemble to discuss policies, strategies, and tactics.

"North Korea is not a country where Kim Il Sung to Kim Jong Il or from Kim Jong Il to Kim Jong Un pass power from one person to another person. The succession goes from one power collective to another collective," said Lee Woo-young, a professor at the University of North Korean Studies in Seoul, South Korea. "I see little possibility for clash domestically between different groups."

One key question if Kim Jong Un does inherit leadership: Can he sustain his grandfather's and father's legacy, even as North Koreans go hungry while the country pours money into its nuclear program and military?

Kim Jong Il prioritized the military and bypassed the party. He might now be preparing a more dovish course, given the catastrophic economic conditions his country faces after a decade and a half of military confrontation, said Suh Jae-jean, president of Seoul's Korea Institute of National Unification.

Kim Jong Il introduced his "Red Banner" policy in 1996, a more militant tack than his father's blend of Stalinism and Korean self-reliance.

North Korea has acknowledged producing roughly 40 kilograms of enriched plutonium -- enough for about seven nuclear bombs, according to the U.S. State Department.

The U.N. Security Council last year condemned North Korea's launch of a long-range rocket, saying it violated a resolution banning ballistic missile testing. The North expelled U.S. nuclear experts and U.N. nuclear inspectors after the rebuke.

Journalists Andrew Salmon and Tomas Etzler contributed to this report.

@highlight

Kim Jong Un is widely expected to inherit power from his father

@highlight

The younger Kim has been kept off the radar by the secretive North

@highlight

Before Kim's promotion to general on Monday, state-run media didn't mention him

@highlight

Analysts think his father's health has sped up succession plans