LONDON, England (CNN) -- As the first splinters of sunlight spread their warmth on the south bank of the River Thames on Thursday, it became clear that after more than a century, the vision of Victorian engineer Alexander Stanhope St. George had finally been realized.

The Telectroscope lets Londoners and New Yorkers see each other in real time.

In all its optical brilliance and brass and wood, there stood the Telectroscope: an 11.2-meter-(37 feet) long by 3.3-meter-(11 feet) tall dream of a device allowing people on one side of the Atlantic to look into its person-size lens and, in real time, see those on the other side via a recently completed tunnel running under the ocean. (Think 19th-century Webcam. Or maybe Victorian-age video phone.)

And all the credit goes to British artist Paul St. George. If he had not been rummaging through great-grandpa Alexander's personal effects a few years ago, the Telectroscope might still exist only on paper, hidden away deep inside some old box.

But fortunately, St. George could not bear that thought and thus decided he should be the one to finish what his great-grandfather had started. It was quite simply the right thing to do. Plus, it would make a pretty cool public art exhibit. Send us your videos, images or stories

During the twilight hours Tuesday, massive dirt-covered metal drill bits miraculously emerged -- one by the Thames near the Tower Bridge and the other on Fulton Ferry Landing by the Brooklyn Bridge in New York -- completing the final sections of great-grandfather Alexander's transatlantic tunnel.

The drills were removed Wednesday night and replaced with identical Telectroscopes at both ends, allowing Londoners and New Yorkers to wake up Thursday, look over to the far and distant shore and stare at each other for a while (the telescope-like contraption permits visual but not vocal communication).

Of course, only part of this story is true.

St. George is an artist in Britain who does have a grandfather -- minus the great prefix -- named Alexander.

And the trans-Atlantic tunnel is really a trans-Atlantic broadband network rounded off on each end with HD cameras, according to Tiscali, an Italian Internet provider handling the technical side of the project.

As for the Telectroscope, well, it was a fanciful idea that, according to St. George, came about from a typo made by a 19th-century reporter who misspelled Electroscope, a device used to measure electrostatic charges - as Telectroscope.

"The journalist also misunderstood what it was about and wrote in the article that it was a device for the suppression of absence," St. George said. "The accidental hope captured their imagination, and lots of people at the end of the 19th century thought it was a great idea."

The Telectroscope captured St. George's imagination five years ago, when he began pondering how to do a project on the childhood fantasy of digging a hole to the opposite side of the Earth. And because the artist also happens to have an expertise in Victorian chronophotography -- a precursor to cinematography -- he had a slight idea of where to look for the proper equipment.

"We all have that idea in our head if we could make a tunnel to the other side of the Earth," St. George said."But we are not all crazy enough to actually try and do it."

St. George was crazy enough to actually try and do it, but he realized he could not do the digging alone. So about two years ago, he pitched the idea to Artichoke, the British arts group responsible for taking the Sultan's Elephant -- a 42-ton mechanical creature -- for a stroll through central London in 2006. The company was immediately taken by St. George's idea.

"The whole thing is about seeing what is real and what isn't real and how the world is," said Nicki Webb, a co-founder of Artichoke. "Is it nighttime when we are in daytime, and does it look familiar to us or not?"

When the sun illuminated the lens of the Telectroscope next to the Thames, it was, of course, still nighttime in New York. So the screen inside the scope broadcast back only an empty sidewalk silently framed by the Brooklyn Bridge and the Manhattan skyline.

But then something miraculous occurred.

A police officer and a street cleaner walked into the frame. Stopped. And waved.

The Telectroscope will be on display and open to the public 24 hours a day in London and New York until June 15. Artichoke is arranging requests to synchronize special reunions between friends and family or, the company hopes, maybe even a marriage proposal.

@highlight

Telectroscope allows Londoners, New Yorkers to see each other in real time

@highlight

Giant scope was Victorian age idea, came about when reporter made typo

@highlight

Artist St. George inspired by childhood notion of digging to other side of Earth