(CNN) -- We've seen deaths, weddings, dramatic costume changes, surprise hookups and more deaths. And that's just in the past five years or so.

The world of superhero comics has seen a lot of changes recently, with the demise -- and in some cases, resurrection - of Robin, Captain America, Peter Parker, Professor Charles Xavier and the Human Torch. Clark Kent walked out on his job and dated Wonder Woman. There have been revelations that multiple characters were gay, along with a same-sex wedding or two. (There also was a complete reboot in 2011 for DC Comics, which like CNN is owned by Time Warner, and a relaunch of many of Marvel Comics' books in 2012.)

So, what's behind all these headline-grabbing plot twists in comic books these days?

We have asked some of the creators over the years. Scott Snyder, who writes "Batman," including the most recent "Death of the Family" story arc, said he writes stories as if this was his one chance to write about a certain character: "It's not so much to make the books as dramatic as possible or to be shocking, but to try to tell the best story you can that feels organic. It's not been a marching order (from editors)."

When the Human Torch died in a 2010 issue of "Fantastic Four" (only to return a year later), Marvel editor Tom Brevoort spoke to CNN about deaths in comics, "It's very easy to develop cynicism about the stories we tell. The only way to combat and conquer it is to have a story that touches on the humanness of people that has emotional resonance and truth to it. The fact of death is something every human being can relate to. I would argue that a well-told story of a character's demise is not necessarily undone by them coming back later."

We recently spoke with three comic book experts, who gave us their thoughts on this phenomenon:

CNN: Why do you think we seem to see more and more of these kinds of stories and changes in comics?

Alan Kistler, author/actor/comics historian: The industry's not doing so hot. Books are in danger of cancellation before the second issue even hits the stands. Sales are determined by how many books retailers order rather than how many actually sell.

For some reason, we don't advertise comic books outside of comic books themselves. The TV commercial for "The New 52" didn't really tell people why they might want to check it out if they'd never read comics before, it just expected you to be excited and already know the gist of what was happening.

So these headline-grabbing stories are understandable, because you want to get people talking and you want to enhance curiosity for new consumers. But I think it's a wrong approach. Does spoiling the ending of a comic in the New York Post two days before it's available for purchase really ensure higher sales than if you released that story on the same day or a day after it hits the stands? I doubt it. And it doesn't affect retailer sales because they've already ordered the books at that point. We need to advertise good stories and new-reader-friendly stories.

Travis Langley, psychology professor/expert in the comic arts: Declining sales have been scaring publishers for a long time. Not just comic book publishers. Almost 30 years have passed since Egon Spengler told us, "Print is dead." These publishers have to do something to keep this medium alive, and we want them to survive. We want them to thrive!

Andrea Letamendi, clinical psychologist, scientist, comic convention speaker: I don't necessarily see an increase in incidence with regards to these comic book events in recent years, but perhaps we're more likely to notice them now. These events have been going on for as long as I've been reading comics. And that's been a long time. The comic book industry shouldn't be faulted for having an equivalent to television's "sweeps week." When you need a hit, you create an event that will bring in the readers.

CNN: Which recent big change or story do you think had the best payoff?

Kistler: "The Death of Captain America." That story actually had people mourn and move on from the event; there was no rush to bring Steve (Rogers) back. For a few years, we really got to explore what a new Captain America would be and how the world would be different. When Steve did come back, surprise, he needed to process the whole experience rather than rush into his old role.

On the flip side, we were told that Batman's "death" wasn't real, then saw a former partner questing to prove he wasn't dead, followed by advanced art for a miniseries called the "Return of Bruce Wayne." They were good stories, but the marketing approach and early advertising made Dick Grayson seem like a stand-in rather than "the new Batman."

Letamendi: I strongly believe that The New 52's "Batgirl" can be seen as a great example of a major plot shift or re-imagining of a story that required readers to let go of a long-loved character (Oracle) and begin to believe in Batgirl as a new character, one who's recovered from a life-threatening attack. The character essentially presented the determination, resilience and psychological strength that she needed to put the cape back on after a severe injury, just as readers were challenging her ability to represent a strong rebooted character. It's as if we could relate to the weight on her shoulders, because we were a part of that process.

Langley: The same-sex weddings. Northstar's wedding (in"Astonishing X-Men") made sense. These characters, in their fictional worlds, are celebrities. Given how many celebrities made news by marrying their same-sex partners in our world once they legally could, it would have been weird for Marvel's Earth-616 not to have had a same-sex superhero wedding. Kevin Keller's wedding in "Life with Archie" is important for the opposite reason, because it's a down-to-earth relationship. Both of those weddings reflect our times and say these characters live in worlds that remain relevant to us.

CNN: Do you see even more of these plot twists on the horizon, or the possibility of comic companies trying to top each other?

Langley: Competition has value, of course. DC and Marvel are working really hard to find creative new ways to outdo each other, and it's interesting to watch. Marvel's growth in the 1960s challenged DC and inspired them to tell new kinds of stories. It's an exciting time, really. The comic book industry will change, but I'm actually a lot more optimistic about its future now than I was at the start of this millennium. Everything feels so much more alive.

Kistler: I see a rising impatience with this kind of headline grabbing and spoilers in the news. People are wondering why comics feel so insecure that they need to advertise the endings of major stories whereas everyone was happy to buy a "Harry Potter" and "Hunger Games" book without knowing the ending.

Letamendi: I think risk-taking comes with a price, and readers of comics are particularly savvy when it comes to storytelling. But competition makes us stronger. These companies--and not just the big ones, but smaller publishers, as well-- want to be known as the best. And that's in the storytelling. So with amazing arcs and events, inevitably come happy readers.

@highlight

From the deaths of Robin and Peter Parker to major reboots, comics see a lot of change

@highlight

Comics creators say that the most important element is a well-told story

@highlight

Three comic book experts share their views of this phenomenon