If it had happened anywhere else, this would be the world's biggest story.

More than 230 girls disappeared, captured by members of a brutal terrorist group in the dead of night. Their parents are desperate and anguished, angry that their government is not doing enough. The rest of the world is paying little attention.

The tragedy is unfolding in Nigeria, where members of the ultra-radical Islamist group Boko Haram grabbed the girls, most believed to be between 16 and 18, from their dormitories in the middle of the night in mid-April and took them deep into the jungle. A few dozen of the students managed to escape and tell their story. The others have vanished. (Roughly 200 girls remain missing.)

The latest reports from people living in the forest say Boko Haram fighters are sharing the girls, conducting mass marriages, selling them each for $12. One community elder explained the practice as "a medieval kind of slavery."

While much of the world has been consumed with other stories, notably the missing Malaysian plane, the relatives of the kidnapped girls in the small town of Chibok in northeastern Nigeria have struggled for weeks with no resources to help them. The Nigerian government allayed international concerns when it reported -- incorrectly  -- that it had rescued most of the girls. But the girls were still in captivity. Their parents raised money to arrange private expeditions into the jungle. They found villagers who had seen the hostages with heavily armed men.

Relatives are holding street protests to demand more help from the government. With a social media push, including a Twitter #BringBackOurGirls campaign, they are seeking help anywhere they can find it.

Nigerians demand government do more to save abducted girls

It's hard to imagine a more compelling, dramatic, heartbreaking story. And this is not a one-off event. This tragedy is driven by forces that will grow stronger and deadlier if the captors manage to succeed.

I think of these girls as trapped in the rubble of a collapsed building. Their mothers and fathers try to dig them out with their bare hands, while the men who brought down the building vow to blow up others. Everyone else walks by, with barely a second glance.

Perhaps this story sounds remote. But at its heart it is a version of the same conflict that drives the fighting in other parts of the world. These young girls, eager for an education, are caught in the crossfire of the war between Islamic radicalism and modernity. It's the Nigerian version of the same dispute that brought 9/11 to the United States; that brought killings to European, Asian and Middle Eastern cities; the same ideological battle that destroyed the lives of millions of people in Afghanistan; that drives many of the fighters in Syria and elsewhere.

In Nigeria, the dispute includes uniquely local factors, but the objectives of Boko Haram sound eerily familiar.

Boko Haram wants to impose its strict interpretation of Sharia -- Islamic law. It operates mostly in the northern part of Nigeria, a country divided between a Muslim-majority north and a Christian-majority south. Islamic rule is its larger objective, but its top priority, judging from the group's name, explains why it has gone after girls going to school.

Boko Haram, in the local Hausa language, means roughly "Western education is sin."

But women are just the beginning, and Boko Haram goes about its goals not only by kidnapping, but also by slaughtering men and women of all ages and of any religion.

These militants view a modern education as an affront, no matter who receives it. In February, they burst into a student dormitory in the northern state of Yobe, where teenage boys were sleeping after a day of classes. They killed about 30 boys, shooting some, hacking others in their beds, slitting the throats of the ones trying to flee. In July, also in Yobe state, they shot  20 students and their teacher.

The gruesome attacks are not restricted to remote areas. A few weeks ago, a bus bombing in the capital of Abuja killed more than 75 people. Boko Haram took responsibility. It was the deadliest terrorist act in the city's history.

Boko Haram has killed thousands of people since 2009 and has caused a humanitarian crisis with a "devastating impact," causing nearly 300,000 to flee their homes, according to Human Rights Watch.

Nigeria is a resource-rich nation whose people live in grinding poverty. It is also plagued with endemic corruption. That triple combination -- poverty, corruption and resource-wealth -- creates fertile ground for strife and extremism. And the instability in Nigeria sends tremors through a fragile region. Boko Haram keeps hideouts and bases along the border with neighboring countries Cameroon and Chad.

This is an international crisis that requires international help. Is there anything anyone can do? Most definitely.

First, it is urgent that the plight of these girls and their families gain the prominence it so clearly deserves.

Global attention will lead to offers for help, to press for action. Just as the intense focus on the missing Malaysian plane and the lost South Korean ferry prompted other nations to extend a hand, a focus on this ongoing tragedy would have the same effect.

Nigeria's government, with a decidedly mixed record on its response to Boko Haram, will find it difficult to look away if world leaders offer assistance in finding and rescuing the kidnapped girls from Chibok, and another 25 girls also kidnapped by Boko Haram in the town of Konduga a few weeks earlier.

This is an important story, a wrenching human drama, even if it happened in a part of the world where news coverage is very difficult compared with places such as Malaysia, South Korea or Australia. The plight of the Nigerian girls should remain in our thoughts, at the forefront of news coverage and on the agenda of world leaders.

@highlight

Frida Ghitis: If more than 200 girls were kidnapped elsewhere, it would be world's biggest story

@highlight

Ghitis: Parents desperate, anguished with no resources to help, while world turns away

@highlight

Ghitis: Boko Haram slaughtered thousands of people, many in schools, to stamp out education

@highlight

Coverage led to international effort for Flight 370, she says, and we need effort to save girls