(CNN) -- Watch Amanpour's interview with Iranian President Hassan Rouhani on CNN International on Wednesday at 14:00 ET / 20:00 CET

For the first time in its 34-year history, the Islamic Republic of Iran is approaching the West with a unified voice to save its sanction-afflicted economy. President Hassan Rouhani made a series of overtures ahead of his trip to New York this week in an effort to end Iran's nuclear row with the West.

Rouhani and his foreign minister, Javad Zarif, sent Rosh Hashanah greetings to Jews worldwide to take the edge off the comments made by former President Mahmoud Ahmadinejad, who had repeatedly called the Holocaust a myth.

In an interview with NBC news last week, Rouhani stressed that Iran would never "build weapons of mass destruction, including nuclear weapons" and announced that he had "complete authority" to make a deal with the West.

And finally last week, he wrote a piece in the Washington Post, calling directly for "constructive engagement."

His conciliatory gestures are meaningful only in light of Supreme Leader Ayatollah Ali Khamenei's statement last week, declaring that it was time to end the country's diplomatic dispute. Khamenei has the final word on state matters and had blocked previous governments from engagement with the West. For over two decades, he labeled "compromise" as a sign of weakness. But in a clear policy shift, he backed Rouhani's efforts and called for "heroic leniency," suggesting that a series of internal and external challenges have brought the change.

Rouhani was elected in July on a mandate to save the country's dying economy and increase social and political liberties. The country's crude oil revenue has dropped more than 50% since 2011 under U.S.-led sanctions aimed at pressuring Iran over its controversial nuclear program.

Devaluation of the Rial, Iran's currency, has quadrupled since 2009 and inflation soured this month to more than 39%, according to Iranian Central Bank. Iran has no access to its assets in foreign accounts because of the sanctions and the country's gas and oil infrastructure have suffered under the restrictions.

Iranian leaders are aware that economic pressure is increasing the public anger and fear that it could lead to a repeat of the massive demonstrations of 2009, when millions of people protested what they believed was a fraudulent re-election of Mahmoud Ahmadinejad. The regime used violence to crush those protests but watched warily as political upheavals unfolded in Egypt, Tunisia and Bahrain.

Now Iran is losing its only political ally in the region -- President Bashar al-Assad of Syria. For years, Syria has been Iran's crucial link to Hezbollah, Iran's feared arm in the Middle East that brought significant regional power for Iran. Assad's demise, would dash Iran's hopes of becoming a major regional player.

Iranians are reasonably optimistic this time that President Rouhani can ease the sanctions and lift some of political pressures at home. The Rial, the local currency, strengthened by 25% against the U.S. dollar this week, indicating high levels of hope before Rouhani's trip. The regime also released 80 activists who had been jailed since the protests in 2009. Prominent political leaders still remain behind bars, which reminded people not to have high expectations.

Rouhani was elected in a semi-democratic election to restore some of the regime's lost legitimacy while posing no serious threat to Khamenei's leadership. The regime barred liberal candidates with large support base from entering the race but unlike 2009, it went ahead and counted the votes cast for Rouhani.

Rouhani had sided with Khamenei during the country's first pro-democracy uprising in 1999 that led to brutal repression of the student movement. He emerged in the presidential race this year as a moderate, indicating the depth of change within the regime. Rouhani had served as Iran's first nuclear negotiator and in 2003 signed the Additional Protocol that allowed the United Nations' nuclear inspectors visit Iran's nuclear sites.

As Iranian analyst Nasser Hadian argued this month, Rouhani "knows how to navigate the corridors of power in Iran" and formulate a strategy out of the current diplomatic impasse. He is a trusted politician who has known Khamenei for 40 years and served as his representative on the Supreme National Security Council for 25 years. "His insider status is an asset rather than a liability," Hadian wrote.

Khamenei backed Rouhani's diplomatic efforts this month during a meeting with members of the Revolutionary Guards Corps -- a hard-line military force that has historically opposed engagement with the West

Khamenei also urged the force not to interfere in politics, a shift from previous years that would be crucial to avoid derailing Rouhani's efforts.

@highlight

Rouhani was elected on a mandate to save Iran's dying economy and increase political liberties, writes Fathi

@highlight

Iranian leaders are aware that economic pressure is increasing the public anger, she says

@highlight

Rouhani served as Iran's first nuclear negotiator... allowing U.N. inspectors to visit Iran's nuclear sites

@highlight

Fathi says Rouhani's relationship with the Supreme Leader Ayatollah Ali Khamenei is an asset