PYONGYANG, North Korea (CNN) -- North Korea handed over its long-awaited nuclear program declaration to officials from China on Thursday.

Workers remove fuel rods on the reactor floor at North Korea's Yongbyon nuclear facility this year.

President Bush, who once branded North Korea as part of an "axis of evil," welcomed the move and said he intends to remove the communist nation from the U.S. list of states that sponsor terrorism.

"The declaration says: 'We are not now engaged in any [uranium] enrichment activities or [nuclear] proliferation activities and will not engage in them in the future,'" U.S. National Security Adviser Stephen Hadley said in Washington.

"It is a good first step in getting the kind of disclosure and transparency into North Korea's nuclear activities as part of and a step toward their disablement, dismantlement and termination of those activities," Hadley said.

North Korea handed over the declaration to officials from China, which led the six-nation talks that hammered out the conditions of the agreement. In addition to China and the United States, the talks included South Korea, Japan and Russia.  Watch what's still unknown after Pyongyang's declaration »

Bush said he will call for the lifting of sanctions against North Korea under the Trading With the Enemy Act and notify Congress that he intends to take Pyongyang off the terror list. That move will take 45 days.

But North Korea will have to end its nuclear activities in a "verifiable" way, Bush said in the White House Rose Garden.

"The United States has no illusions about the regime in Pyongyang," he said. "We remain deeply concerned about North Korea's human rights abuses, uranium enrichment activities, nuclear testing and proliferation, ballistic missile programs and the threat it continues to pose to South Korea and its neighbors.

"Yet we welcome today's development as one step of a multistep process."

According to a senior U.S. State Department official, the 60-page declaration, written in English, details several rounds of plutonium production at Yongbyon, North Korea dating back to 1986.

North Korea acknowledges producing roughly 40 kilograms of enriched plutonium -- enough for about seven nuclear bombs, the official said. The nation already has tested one nuclear bomb, which would have used about 6 kilograms of plutonium.

After the declaration's submission, representatives from the United States and other members of the six-party talks will begin a process of verifying whether Pyongyang's declarations are true.

Analyst John Wolfsthal of the Center for Strategic and International Studies said experts needed to be on the ground, taking samples and analyzing data. "We don't trust North Korea; we don't take them at their word," said Wolfsthal, who has followed the secretive country for about two decades.

"We need to put together basically a jigsaw puzzle from pieces of data without really seeing the cover of the box," he said of North Korea's nuclear program.

Hadley said the declaration also should provide details on how much plutonium North Korea says it has produced, which will allow the U.S. to calculate the size of Pyongyang's nuclear arsenal. Hadley said that information is not included in the declaration.  Watch why the plutonium question is so important »

The United States also needs to learn more about Pyongyang's previous nuclear activities, including the spread of nuclear technology and information to other countries, Hadley added.

"We have concerns about their past activities," Hadley said. "We have made those concerns clear. The North Koreans acknowledge those concerns. That is what is ahead of us.

"In order for this process to go forward ... we are going to need to be able to get to the bottom of these issues, with respect to plutonium, enrichment, proliferation," he said.

The easing of U.S. sanctions on North Korea will have little practical effect. "North Korea will remain one of the most heavily sanctioned nations in the world," Bush said.

The agreement includes additional monitoring to assure that Pyongyang receives promised economic and energy assistance in exchange for dismantling its nuclear program.

Under the agreement, leaders in Pyongyang agreed to provide a full accounting of the plutonium, "acknowledge" concerns about its nuclear proliferation and uranium enrichment activities, and continue to cooperate with a process to ensure that no further activities are taking place.

During negotiations, the United States ultimately softened demands that North Korea admit to having a highly enriched uranium program and supplying Syria with nuclear technology, sticking points that had stalled the talks for months.

U.S. officials said the final deal wasn't perfect but offered Washington its best chance to learn about North Korea's nuclear activities.

"Multilateral diplomacy is the best way to peacefully resolve the nuclear issue," White House spokeswoman Dana Perino said. "North Korea should seize this moment of opportunity to restore its relationship with the international community."

On Friday, North Korea is set to implode a cooling tower at its Yongbyon nuclear reactor. Nuclear experts have begun dismantling the plant's main reactor, but the destruction of the cooling tower is expected to be a powerful public symbol. And it is a step that would take North Korea more than a year to reverse, according to U.S. State Department officials.

In a rare move, North Korea has invited international news organizations, including CNN, to witness the tower's destruction.

The United States put North Korea on its state-sponsored terror list in January 1988 after its alleged involvement with the 1987 bombing of a South Korean airliner. The Korean Air Lines flight crashed into the Indian Ocean, killing all 115 people on board.

CNN's Zain Verjee, John Vause and Christiane Amanpour contributed to this report.

@highlight

North Korea gives documents on nuclear activities to Chinese officials

@highlight

President Bush welcomes decision, warns North Korea still has work to do

@highlight

North Korea expected to continue preparations to dismantle a nuclear reactor

@highlight

Bush says he'll remove North Korea from list of state sponsors of terrorism