Beijing (CNN) -- With a few masterful strokes, Remon Wang turns the cuddly panda into a menacing state security agent, creating another wildly popular cartoon image across Chinese cyberspace.

Donning an olive-green military coat and shooting red flames out of his eyes, Wang's character delivers a powerful kick to a subdued American superhero, who hopelessly lies on the ground with his camcorder knocked over. The headline screams above: "Pandaman vs. Batman premiere in China; cast: Christian Bale, National Security."

The 38-year-old Chinese political cartoonist first drew the creature in December after learning of the "Batman" movie star's failed attempt to visit a prominent blind Chinese activist whose nearly 15-months of house arrest has drawn international criticism.

A CNN camera captured the scene of guards roughing up Bale and stopping him from entering the activist's village.

"It just came naturally to me when I saw footage of those guards in military coats," Wang said, explaining the birth of Pandaman to CNN over the phone from his home in central Hunan Province. "Panda is a national treasure, and 'national treasure' and 'state security' sound the same in Mandarin."

An instant hit with Chinese netizens, Pandaman went viral online within a few hours, generating countless comments and inspiring colorful imitations. Before long, however, censors -- who act on orders from government propaganda officials -- removed the image from the public feed of Sina Weibo, China's equivalent of Twitter.

For Wang, who signs his work as "Rebel Pepper," such a fate for his drawing is hardly unexpected. The advertising illustrator-turned-political cartoonist switched careers only two years ago but already knows well the daily battle faced by what he says is a "rare breed" in China.

"I'm a news junkie who loves drawing, and my advertising background trained me well to work under tight deadlines," he said.

"I do this out of passion -- and I don't think you'll see many people join the few of us anytime soon because of all the limits and risks."

Wang jokingly labels himself a "hardcore reincarnationist" on Sina Weibo, which he says has deleted his account for more than 180 times thanks to the sensitive nature of his posts. Although his pseudonym on the site was not accessible for a while, he managed to keep signing up with different names.

Despite the censors' best effort, Rebel Pepper continues to thrive in cyberspace, lampooning everything ranging from Beijing's pollution, what he sees as China's limits on religious freedom to North Korean leader Kim Jong Il's untimely death.

Calling any Internet restrictions doomed to fail, Wang especially enjoys interacting with like-minded peers online. When someone commented on the Bale story by tweeting, "now that Batman has been beaten up, the only way forward is to organize Shrek, Wolverine, Iron Man and the Green Hornet for a group visit," Wang quickly drew a second Pandaman cartoon.

Titled "Pandaman 2: Superhero All-Star Contest," the evil bear character -- still sporting his signature military coat -- strikes a classic kung fu pose while facing off against a slew of fighters for justice, including Batman, Superman and V from "V for Vendetta."

"People do feel more comfortable commenting using humor rather than direct criticism," said Jeremy Goldkorn, founder of Chinese media-monitoring website danwei.org and a leading commentator on China's social media.

"I think it's also an expression of many absurd things that happen in China -- in some way, the only rational reaction is to laugh."

With more than 130,000 followers on just one of his several websites, Wang's rising fame online has opened doors for him to traditional media. A newspaper in Taiwan has hired him as a cartoonist and several liberal Chinese publications also print his regular contributions.

Ultimately, though, he aspires to become not just a satirist but also an iconoclast.

"Sometimes my cartoons give me a sense of accomplishment," he said. "But what I really want is to wake up my fellow countrymen by injecting a sense of civil society in their minds. China will change one day and I hope my work will help reduce the number of brainwashed citizens in the meantime."

This kind of lofty goal has already brought Wang a harsh reality check. After he created cartoons last year for a group of independent candidates who defied government warnings to run for seats in local legislatures, he says state security agents showed up at his door -- twice.

"I know their bottom line," he said. "If you draw mostly as a hobby, they leave you alone. But if you draw to rally people around a political cause, you're crossing the line."

Recounting his initial fear of official reprisals, Wang says he's since moved on and now feels undeterred by the potential consequences of his work -- and Pandaman hasn't prompted another "Pandamen" visit, yet.

"Getting such visits -- it's like how a virgin feels about having sex," he deadpanned. "You're scared before the first time, but after that you're just not nervous anymore."

@highlight

Wang first drew Pandaman on learning of Christian Bale's attempt to visit an activist

@highlight

An instant hit with Chinese netizens, Pandaman went viral online within a few hours

@highlight

Cartoons lampoon everything from Beijing's pollution to China's limits on religious freedom

@highlight

Wang says he feels undeterred by the potential consequences of his work