Namib Desert, Namibia (CNN) -- It's thought to be the world's oldest desert. The sun has been beating down on it for at least 55 million years and it covers an area of around around 31,200 square miles. The Namib Desert is an unforgiving landscape but it's where Rob Johnstone chooses to spend his spare time.

As the sun begins to set, the astronomer drives out to an abandoned airstrip in the middle of the desert and sets up his complicated telescope as the remnants of the day's light disappears.

"This landscape is ideal for stargazing," says Johnstone, "because if you look around you, you can see a 360-degree panorama of the horizon."

"We really have an unobstructed view of the night sky. There's literally no light pollution whatsoever. It's completely dark. That is what we're looking for and that is what makes this area so incredibly special."

The Namib Desert is largely unpopulated, extremely calm and, therefore, incredibly dark. This makes it one of the best places in the world to stargaze.

Read more: Ghost towns and wild horses in the desert

"This is where the stars shine - they don't twinkle, they shine," Johnstone says. He spends as much time as possible gazing at the skies: "I haven't discovered anything of importance yet, like maybe a comet or dwarf planet, but I'm still young -- I've got plenty of time left."

Last year, the International Dark Sky Association selected this area as an international dark sky reserve, which means it has one of the darkest skies measured on Earth. It is the first place in Africa to be given the title and one of only four other places in the world.

Johnstone first decided to pursue astronomy when he saw Halley's comet in 1986. Now he travels around Namibia, providing stargazing and astronomy education through his company, Space Observation Learning Namibia. His goal is to have more young heads in the clouds.

"Nobody looks up anymore," Johnstone laments. "When you look up into the night sky through a telescope like this, it makes you feel very small, especially when you find out how big some of the stars are. Antares, which is a red supergiant star, is 550 times bigger than our own sun."

Namibia's night sky is one of its greatest tourist attractions, but with the country's increasing development comes the threat of light pollution. Introducing too much light to the area will damage ecosystems as well as stargazing opportunities. Night-time lighting can disturb the sleep patterns of animals, which can alter feeding and mating behavior.

Absalom Vilho is an environmental educator at Nadeet, the Namib Desert Environmental Education Trust. He lectures visiting students about how to lessen light pollution and has made it his mission to teach fellow Namibians about sustainable lifestyles that will keep the sky pristine.

He feels a very personal attachment to the Namibian sky. "If I think back to when I was young, I was always told stories by my grannies associated with something to do with the stars up there," he says.

"It's something I grew up with from a young age. I don't want to wake up one day and find it gone."

Though funding is a challenge, along with keeping up with the latest equipment, Johnstone is also determined to enlighten more people about Namibia as an ideal location for stargazing. For him, one glimpse into deep space makes it all worth the effort.

"I think the one big question everybody asks is 'are we alone?' -- Is there other life out there?

"You know, given the size of our milky way galaxy, which is 100,000 light years in diameter, and the fact that almost every single star we see is a double star -- in other words it's two stars orbiting each other -- and there are planets orbiting around those, it suddenly makes you feel not alone anymore."

@highlight

Namib Desert is one of the best places in the world to stargaze

@highlight

Pitch black at night, its has been named an International Dark Sky Reserve

@highlight

Environmental groups are keeping the desert free from light pollution