Atlanta, Georgia (CNN) -- The discovery of the exact location of a stockade and dozens of personal artifacts belonging to its Union prisoners is one of the biggest archaeological Civil War finds in decades, federal and Georgia officials said Monday.

Outside of scholars and Civil War buffs, few people have heard of the Confederacy's Camp Lawton, which replaced the infamous and overcrowded Andersonville prison in fall 1864.

For nearly 150 years, its exact location was not known, the U.S. Fish and Wildlife Service, the Georgia Department of Natural Resources and Georgia Southern University said.

Georgia Southern students earlier this year began their search at a state park and federal fish hatchery for evidence of the wall timbers and interior buildings.

"Archaeologists call it one of the most significant Civil War discoveries in decades," a joint statement read.

Officials would provide no details until the formal announcement Wednesday morning at Magnolia Springs State Park, five miles north of Millen in southeast Georgia. An open house for the public will follow from 1 p.m. to 5 p.m.

Life at Lawton, described as "foul and fetid," wasn't much better than at Andersonville, with the exception of plentiful water from Magnolia Springs.

In its six weeks' existence, between 725 and 1,330 men died at the prison camp. The 42-acre stockade held about 10,000 men before it was hastily closed when Union forces approached.

Monday's announcement follows weeks of speculation that began after a locked chain-linked fence went up around the hatchery adjoining the state park.

Townspeople in nearby Millen made the secrecy part of their water cooler discussions.

"It's created a lot of buzz, what's going on out there," said Connie Lee, owner of Cindy's Cafe, a popular meeting place in the town of about 3,500.

Rumors have included the discovery of a chest with important papers, gold, a burial trench and, yes, even Union Gen. William Sherman's horse.

There are no photos of Lawton and few visual stockade details, although a Union mapmaker painted some important watercolors of the prison. He also kept a 5,000-page journal that detailed the misery at Camp Lawton, which was built to hold up to 40,000 prisoners.

"The weather has been rainy and cold at nights," Pvt. Robert Knox Sneden, who was previously imprisoned at Andersonville, wrote in his diary on Nov. 1, 1864. "Many prisoners have died from exposure, as not more than half of us have any shelter but a blanket propped upon sticks. . . . Our rations have grown smaller in bulk too, and we have the same hunger as of old."

The impending arrival of Federal forces during Sherman's March to the Sea soon forced the Confederates to move the prisoners elsewhere, including Florence, South Carolina, and Savannah, Georgia.

In early December 1864, Union cavalry found the empty prison, a freshly dug area and a board reading "650 buried here."

Outraged, troops apparently burned much of the stockade and the camp buildings, and a depot and a hotel in Millen, which was a transportation hub.

Many of the state park facilities -- including a pool, houses and the main office -- sit atop the prison site. Some earthworks, long known to visitors and historians, survived.

The artifacts will deepen the knowledge of the tough daily life of prisoners and guards alike, said a historian who has completed a manuscript on the camp.

"[Lawton] illustrates almost every Civil War POW issue," said John K. Derden, professor emeritus at East Georgia College which has campuses in nearby Statesboro and Swainsboro.

Derden cited health conditions, death rates, prisoner exchanges and the South's dwindling ability to manage a population where disease and poor sanitation were in abundance.

Until now, Andersonville was the sole POW camp in the South to capture the public's attention and imagination.

Besides the camp's own horrors, Clara Barton made Andersonville famous through her extensive campaign to have POW graves found and soldiers reinterred at a national cemetery. The prison's commandant, Henry H. Wirz, was hanged in 1865, the only man to be hanged for war crimes during the Civil War.

Monuments dot Andersonville National Historic Site, which drew 136,000 visitors last year. A 1996 movie tells its story.

None of that happened at Camp Lawton, where time and its remote location put it on the road to obscurity, fortunately for archaeologists.

That promises to change beginning Wednesday, when the public will get its first glimpse of what life might have been like for prisoners, many of whom had been moved to Lawton from Andersonville.

Lee and Walter Bragg, owner of Millen Auto Parts, hope anything associated with the discovery will boost the depressed area, where a 10.7 percent unemployment rate exceeds the state average.

"Our county [Jenkins] needs something to revitalize Millen," Lee said.

@highlight

NEW: Research will expand knowledge of prisoners' daily life

@highlight

Open house will follow Wednesday's formal announcement

@highlight

Major archaeological find at site of Civil War prison camp

@highlight

Learn more from the Virginia Historical Society