(CNN) -- Conditions favorable to life may once have existed all over Mars, the European Space Agency said Friday.

Two spacecraft have found evidence that liquid water was widespread over the red planet.

The ESA's Mars Express and NASA's Mars Reconnaissance Orbiter have discovered hydrated silicate minerals in the northern lowlands of Mars, a clear indication that water once flowed there, the ESA said.

The two spacecraft had previously found thousands of small outcrops in the planet's southern hemisphere where rock minerals had been altered by water, it said. Many of these outcrops are in the form of hydrated clay minerals known as phyllosilicates. They indicate the planet's southern hemisphere was once much warmer and wetter than it is today.

No such sites had been found in the northern lowlands until this week, the ESA said. The northern lowlands are covered in thick blankets of lava and sediments up to several kilometers thick and that had hampered efforts to probe what lay beneath.

The ESA's Mars Express found the first hints of water in the northern plains, but the outcrops were small and more detailed observations were needed to confirm the evidence, the ESA said.

NASA's Orbiter provided higher resolution data that showed at least nine northern craters with phyllosilicates or other hydrated silicates, the ESA said. The finding was reported this week in the journal Science.

Those minerals formed in wet environments and were identical to those found in the southern hemisphere.

"We can now say that the planet was altered on a global scale by liquid water more than 4 billion years ago," said the report's lead author, John Carter of the University of Paris.

Scientists said it's difficult to draw conclusions about the type of environment that existed on Mars when it had water, but they do have some clues.

The sites "are rich in iron and magnesium, but less in aluminum. Together with the close proximity of olivine, which is easily modified by water, this indicates that the exposure to water lasted only tens to hundreds of millions of years," said Jean-Pierre Bibring, the OMEGA principal investigator from the University of Paris.

The scientists' search concentrated on 91 sizeable craters where incoming asteroids have punched down the planet's surface by several kilometers, exposing "ancient crustal material," the ESA said.

The results could also suggest sites for future Mars landers, because evidence of water during the planet's early history suggests conditions in those spots may have been favorable to the evolution of primitive life, the ESA said.

@highlight

Liquid water was once widespread over Mars, scientists say

@highlight

Evidence was discovered by NASA and the European Space Agency

@highlight

It shows water once existed in the northern hemisphere

@highlight

Evidence of water previously had been found only in southern areas