ESTERO, Florida (CNN)   -- Alana and Joe Consolo should have had the excitement of a young couple enjoying their first house, but the South Florida pair was walking through it recently with a healthy dose of fear.

Alana and Joe Consolo tour their Florida house after it was gutted because of concerns about the drywall.

They've been caught in a maelstrom of headline news events that would make your head spin. Both were laid off as the economy soured. The nation's housing crisis cut their Florida house's value in half.

And now their home's interior is being rebuilt because it contained Chinese-made drywall that they say has made them sick.

The Consolos are among homeowners in several states who allege Chinese drywall has emitted corrosive gases they believe have given them headaches and upper respiratory problems and caused household systems such as air-conditioning units to fail.

"I'm holding back tears," Alana Consolo said as she walked through the house, which is in the middle of the reconstruction project. "I have chills and I'm angry -- really, really angry -- and really sad, too."

The Consolos moved into the home in Estero, near Fort Myers, less than three years ago. But they moved out six weeks ago, and even though it's being rebuilt, they doubt they'll return there to live because they've yet to be convinced they'd be healthy.

"The last time that we saw the house in this condition," Alana said, looking at the gutted interior, "we came in excited, holding our hands, planning on where we were going to put our [baby] room for our new family."  Watch the Consolos tour the gutted home »

Concerns about Chinese-made drywall emerged in Florida last year but by now have spread to other states. The U.S. Consumer Product Safety Commission said it's investigating complaints in Florida, Virginia, Alabama, Louisiana, Washington and North Carolina. And class-action lawsuits are lining up against Chinese manufacturers as well as suppliers and builders.

The Florida Department of Health said complaints it received -- more than 180 as of Thursday -- generally involve homes built between 2004 and 2007, around the time that a building boom and post-hurricane reconstruction caused a U.S. drywall shortage and spurred imports from China.

A study done for the Florida department by private laboratory Unified Engineering Inc. found that samples of certain Chinese drywall gave off a sulfurous odor from "volatile sulfur compounds" when exposed to extreme heat and moisture. It also found that vapors "in the residential atmosphere created a corrosive environment in the presence of moisture," according to Unified's report.

But state and federal officials said they're still testing to determine whether the drywall poses health risks.

The Consolos, who now have a 4-month-old daughter, said they first noticed a problem in December when their smoke detectors kept going off inexplicably. An inspection revealed that copper wiring inside the house had turned black.

And the couple said they suffered from headaches and upper respiratory problems while living in the house. So they moved out.

Now the house, which had Chinese-made drywall, has been stripped. The builder, Lennar Homes, is footing the bill for the reconstruction and a nearby rental house for the Consolos.

Moving out came at a trying time for the family.

Both were laid off about a year ago by Countrywide Bank, where they were mortgage loan originators. Joe Consolo is now a restaurant manager.

Also, the nation's housing crisis hit their home. Purchased for $528,000, it has recently been appraised for $280,000. Trying to get out from under a bad investment, they went to their bank to do a short sale.

"The value had decreased so much, we were throwing money out the window," Alana Consolo said.

Two offers for $250,000 and $255,000 were rejected. So, they made a business decision: They stopped paying their mortgage and declared bankruptcy.

The Consolos are now three months behind in their payments. They're not sure yet if foreclosure is in their future, but they don't think it will be easy to sell a house that's had drywall issues.

The Gypsum Association said that enough drywall was imported from China since 2006 to build 30,000 complete homes. Most of the Chinese drywall, it said, ended up in southwest Florida during the housing boom.

As for the Consolos' health problems, Alana said her headaches stopped after they moved out of the house. Joe said he's been hospitalized twice for pneumonia, and he's been diagnosed with lupus, an autoimmune disease of the blood. The Consolos said they believe drywall was the cause.

Lennar Homes, the Consolos' builder, said it has identified at least 80 homes it built with Chinese drywall. It is offering to gut and rebuild those homes for free.

"They're doing what's responsible, we believe," Alana Consolo said.

"We're repairing the homes by removing every piece of drywall from the home and replacing all affected copper," said Chris Marlin, a vice president for Lennar Homes.

Lennar also is suing Chinese manufacturers and their U.S. suppliers.

But while the Consolos' home is being rebuilt, their lives still are filled with stress and unanswered questions. They said they think foreclosure may be the best way to get away from a house that they think has made them sick and that they don't believe they could sell because of the housing crisis and drywall issues.

"There's the fear, 'Are they taking everything out?' " Alana Consolo said. "We want to have more children, and Joe has an autoimmune disorder. [Going back is] just a risk I'm not willing to take."

She added, "The economy started it. The Chinese drywall cemented it for us."

@highlight

Florida couple's house being revamped; they say Chinese drywall made them sick

@highlight

Drywall concerns came after layoffs, home devaluation

@highlight

Family living in different home at builder's expense while theirs is fixed

@highlight

Homeowner says she's "really, really angry"