As the crisis in Syria enters its third year and the death toll exceeds 70,000, America's values and interests are increasingly at risk as others fill the void left by our inaction.  I saw this firsthand during a recent trip to the Middle East during which I met with Jordanians, Syrians and Israelis concerned about the fallout of a brutal civil war.

In Jordan, the government and international aid agencies are scrambling to deal with more than 400,000 refugees fleeing the fighting, many of whom are women and children. Meanwhile, our allies in Israel are increasingly concerned about the nightmare scenario of chemical and advanced anti-aircraft weapons falling into the hands of terrorist groups such as Hezbollah or Islamist groups linked to al Qaeda.

In April 2011, when the death toll stood in the low hundreds, I called on President Barack Obama to support the Syrian people's desires for freedom and an end to Syrian President Bashar al-Assad's regime. I proposed a series of measures to immediately isolate al-Assad, including tough economic sanctions and severance of diplomatic ties.  Unfortunately, this and similar calls by Democrats and Republicans went unheeded at the time, only to be implemented by this administration months later -- slowly, hesitantly and ineffectually.

There are now two conflicts underway in Syria.

One is the battle to oust al-Assad.  The second is the emerging fight for control of a post-Assad Syria.  This latter fight will pit more moderate groups within the armed opposition against Sunni Islamists.  We need to ensure that the responsible actors win this battle and that Syria is no longer an ally of Iran and a staging point for destabilizing terror.

America must not turn its back on the Syrian people.  Our interests are still served by the rapid resolution of the conflict and the removal of al-Assad from power.

What might a successful Syria strategy look like?

First, we cannot expect Syria's post-Assad rulers to respect our interests and wishes if we are not willing to support them in their fight.  While recent reports indicate that the rebels are increasingly in possession of much of the weaponry they have long sought, what they need now is ammunition.  We should do everything possible to get moderate elements within the opposition the ammunition, intelligence support, training and other equipment they need to help hasten al-Assad's fall.

Ghitis: Syrian war is everybody's problem

While some worry that the Syrian opposition is entirely anti-American and made up of radicals, the reality is that Islamist forces remain in the minority.  Continued inaction, however, will only empower these anti-American elements of the opposition.

We thus need to work more closely with groups such as the Syrian Opposition Council. The SOC has made great strides in unifying the more reasonable elements of the opposition and attempting to be inclusive of Syria's minorities, but it has suffered from slow and lukewarm support from Washington.

The Obama administration should back their efforts to form a transitional government that can begin to govern rebel-controlled areas of Syria as soon as possible and put to rest any doubts about our support.  The additional nonlethal assistance to the SOC and to armed opposition groups announced by Secretary of State John Kerry in Rome on Thursday is a positive step, but much more needs to be done.

Just as the Berlin airlift in the late '40s created a generation of Germans who remembered American support in their hour of need, Syrian children suffering today in refugee camps should understand that the U.S. government and American people care about their plight and are taking action to assist them.

Although most of it cannot be traced back to us, the U.S. has actually provided hundreds of millions of dollars in humanitarian aid and nonlethal assistance since the conflict began.   However, in the camps outside of Syria, international aid agencies, often supported primarily by U.S. funds, have not made the source of their funding apparent to the refugees they are hosting.  Similarly, citing security concerns, the administration has been slow to brand U.S. assistance inside of Syria and make its origins clear to the populace.

Even if these concerns are justified, there are ways to work with aid groups to utilize social media and with local leaders to highlight America's humanitarian assistance at work.  We should also be more willing to rely not just on international nongovernmental organizations and aid agencies, but also use the moderate groups we wish to strengthen as conduits for aid, helping them legitimize themselves with the Syrian people.

We need decisive American leadership to avoid the worst outcomes in Syria.

As one Syrian opposition figure recently told me, as long as "the United States remains not present," the crisis is likely to only be prolonged. This may result in a post-Assad Syria that is a failed state in which Islamic radicals and Iranian agents with little interest in a liberal order flourish.

For the sake of our security interests and the safety of our allies, we can and must do more to prevent such an outcome.

@highlight

Marco Rubio: U.S. must step in with more assistance or other actors will fill void

@highlight

He says Obama's slowness to act to end bloodshed risks increasing instability in region

@highlight

He says U.S. should help moderates get ammunition and training to oust al-Assad

@highlight

Rubio: U.S. should back opposition; the Syrian people will remember U.S. help