(CNN) -- Dallas Cowboys tight end Jason Witten is the 2012 Walter Payton NFL Man of the Year. Why? In large part because of Witten's tireless commitment to ending domestic violence. As a former professional football player and longtime domestic violence prevention advocate, I understand how gratifying it is to receive this honor from the NFL. For the men engaged in this critical issue, it can be a lonely road.

But now Witten has company in Dallas. Moved to action by a series of recent slayings, Mayor Mike Rawlings announced the launch of a citywide awareness campaign to show that domestic violence — and the culture that ignores or perpetuates it — has no home in his city. He's hoping at least 10,000 men show up to rally with that message on Dallas' City Hall Plaza later this month.

A drive to end domestic violence, led by men. It's an idea whose time has come, again and again; some men have been pushing it for decades. But now many are hearing the call.

Related: Beyond vomiting, how to prevent rape

As Rawlings said in a recent press conference: "In the past this has been viewed as a women's issue, but it ain't. It's our problem." The problem is not confined to a shocking spate of killings in Dallas, or to one major U.S. city. The New York Police Department reportedly receives 700 domestic violence calls every day. Domestic violence costs the United States more than $9 billion a year. More than 603 million women live in countries where domestic violence is not a crime. Globally, at least one in three women and girls are beaten or sexually abused in their lifetimes, usually at the hands of men.

What can men do?

Men do not just need to stop being violent. The vast majority of men are not violent. But men do need to stop being silent. Calling violence against women, whether street harassment or sexual harassment or rape or murder, a "women's issue" allows men to ignore it as if we have no responsibility for it or stake in ending it. We all have grandmothers, mothers, sisters, daughters and female friends and colleagues. Our lives are inextricably interwoven; women's issues of safety and equality directly affect our lives as men.

Beyond that, women are humans, with the same rights to safety and freedom as men. It is therefore our moral responsibility to not remain silent or passively on the sidelines, but to be actively engaged in confronting this problem in every corner of homes, communities and societies.

Many men have already taken action. Men marched with women protesting December's notorious gang rape and murder in Delhi. Men worked with women to stop sexual abuse of women in Egypt's Tahrir Square. Men joined women in pushing for a serious response to allegations of gang rape in Steubenville, Ohio (and the social media vileness that followed). Here in New York, men have produced excellent videos calling on other men to stop street harassment.

I've been working since 1994 to bring men in as leaders and partners in stopping violence against women. Today, I believe we stand on the brink of a global tipping point. From Dallas to Delhi, the world is paying attention. Now is the time to stand up. That's why I'm joining Breakthrough, the global human rights group, in its "One million men. One million promises campaign." Starting March 8, over one year we will secure promises from men around the world to take concrete action toward stopping violence against women.

What can you do?

You don't have to be a mayor or an NFL player to have a major impact. You don't have to be like the New York City firefighters who recently tackled the guy attacking his wife with a meat cleaver in broad daylight. Small — even non-"heroic" — actions add up. Challenge norms. Change culture. Make violence against women unacceptable.

You can start with the discrimination and inequality that create the conditions in which violence happens. You can call out a friend who makes a comment that disrespects women. You can treat women well in front of boys and men who look up to you.

We all, men and women, can reject the script that gets played out in media every day that tells our boys to be unemotional and violent while objectifying girls at increasingly younger ages. The profound presence of media in our lives has only led to young people being exposed earlier and more often to salacious and sexual content. This media bombardment desensitizes our boys and girls to the reality of violence that is anything but the subtext of a life. Our silence only validates that script. We can speak out against it.

You can make sure your workplace's sexual harassment prevention polices are up to date. If you hear things getting violent next door, you can ring the bell or call the doorman or the cops. You can show that giving a damn about equality makes you a better man.

You can do this. We can do this. Together, men and women can build a safer world for all.

The opinions expressed in this commentary are solely those of Don McPherson.

@highlight

Don McPherson: Not enough men speak out against domestic violence against women

@highlight

He says violence toward women affects men, too. Yet culture ignores, propagates it

@highlight

He says campaign "One million men. One million promises," to draw attention to it

@highlight

McPherson: Men can help in many small ways. Set example in treatment of women