Rome (CNN)A crewless, powerless ship that drifted in the Mediterranean with hundreds of migrants aboard has been towed to an Italian port.

Francesco Perrotti, the harbormaster in Corigliano Calabro, said 360 migrants were found on the cargo ship Ezadeen -- 74 under 18 years of age and four pregnant.

The Red Cross arrived to greet the migrants leaving the ship. All of them appeared to be in good health and nobody was hospitalized or quarantined, he said.

The migrants were being sent to reception facilities.

Authorities responded late Thursday to a distress call from the Ezadeen, Italy's coast guard said.

It's the second rescue of a crewless vessel off Italy's coast, in what appears to be a worrying new tactic by people traffickers who either abandon the ship or mix with the passengers.

Overnight, the Ezadeen was at a standstill 58 miles (93 kilometers) off the city of Crotone in the Ionian Sea, the coast guard said, where rescuers were trying to restart the boat's engines.

The Icelandic coast guard said its vessel Tyr towed the stranded ship to shore.

The Tyr was unable to dock at a nearer port because of the ship's limited maneuverability, the coast guard said.

The Tyr was doing surveillance for Frontex, the European Union border management agency, when it was called in to help.

Six Italian and four Icelandic coast guard crew members boarded the Ezadee, the Italian coast guard said. As well as taking control of the ship, they brought food and water for its passengers

UN: 3,000 died in 2014 trying to get to Europe

The Italian air force and coast guard said that weather conditions had made the rescue operation very challenging, with coast guard crew members having to be taken by helicopter to the ship, which is flying the flag of Sierra Leone.

The alarm was raised when migrants launched an SOS, said Floriana Segreto, a spokeswoman for the Italian coast guard.

Since last September, she told CNN, there have been 15 similar cargo ships carrying mainly migrants from Syria who are wealthier and can pay more than others who are forced to travel on smaller, rickety boats.

She cited the International Organization for Migration as saying the price for each passenger was about 6,000 euros ($7,260), with a reduction if there are more than 250 passengers on board.

Such cargo ships leave from a Greek or Turkish port with the migrants already on board, she said. They are old merchant ships that "should not be navigating in the Mediterranean Sea," she said, and still have a flag, as in the case of the Ezadeen, or carry a fake flag.

They sail in Turkish or Greek waters without rousing suspicion and appear to be normal merchant ships, Segreto said.

However, once in Italian "save and rescue" operational waters, they launch a mayday via satellite phone to a humanitarian association or directly to the Italian coast guard, she said.

The smugglers then either abandon ship or mix in with the migrants. Only when all passengers are questioned on shore do investigators have a chance to identify the smugglers, Segreto said.

'Multimillion-dollar business'

Frontex spokeswoman Ewa Moncure drew a parallel between what happened on the Ezadeen and on the Blue Sky M, a freighter that was also apparently abandoned this week by its crew with almost 800 people aboard, most believed to be migrants from war-torn Syria. It docked safely in the southern port of Gallipoli on Wednesday after the Italian coast guard seized control.

In each case, human traffickers appear to have employed the same method of using large, decommissioned cargo ships that have been "brought back from the dead," Moncure said.

It's a "multimillion-dollar business" for those operating such ships, she said. Moncure estimates that each passenger paid $3,000 to travel on the Ezadeen.

While their work is focused on border control, Frontex vessels -- provided by EU member states -- are obliged to help in search-and-rescue situations, Moncure said.

With ever-increasing numbers of migrants from such countries as Syria and Eritrea putting their lives in the hands of unscrupulous traffickers, their efforts are sorely needed.

Faced with a crisis off its shores, Italy launched Operation Mare Nostrum ("Our Sea") to try to find and rescue stranded migrants. It has now scaled back the project, which cost Italians 9 million euros ($10.9 million) a month from November 2013 to the end of 2014.

In October, the European Union announced that Frontex would launch its own operation, dubbed Triton, in the central Mediterranean to help fill the gap.

EU Commissioner Cecilia Malmstrom, said the new Frontex operation would "show concrete solidarity to Italy, by reinforcing its border surveillance and supporting its humanitarian efforts."

But, she said, "It is clear that the Triton operation cannot and will not replace Mare Nostrum."

Ships equipped with cells, quarantine areas

While Operation Mare Nostrum is over in name, Italian naval assets are still carrying out rescues in cooperation with Frontex vessels, which call them in to help.

The San Giorgio, a navy ship that was converted to rescue migrants under Mare Nostrum and which was the primary rescue vehicle, is still active in such missions and was used last week to rescue those on board the burning Greek ferry, Norman Atlantic.

It is equipped with an infirmary, jail cells for smugglers, quarantine sections for potential Ebola patients, and sleeping quarters for the migrants.

CNN went out last month on a Frontex patrol on the San Mino, a Japanese fishing vessel converted into a Spanish coast guard ship.

Jose Maria Duenas, commander of the San Mino, said that the crew do see themselves as search and rescue. "We are not turning migrants back, we are rescuing them," he said.

Report: 40,000 migrant deaths since 2000

Dangerous sea routes

Amid continued migrant deaths at sea, rights group Amnesty International warned last month that Triton was "vastly reduced in scale and area covered" compared with Mare Nostrum and called on EU nations to step up their efforts.

"People are still taking these dangerous sea routes to get to Europe. If the EU is serious about preventing the Mediterranean from becoming a cemetery, it must be prepared to deploy search-and-rescue operations all along the routes that desperate refugees and migrants are taking," said John Dalhuisen, Amnesty International's director for Europe and Central Asia.

A spokeswoman for the EU Commission said Friday that it was closely following the Ezadeen situation.

"The rescues of the Blue Sky M two days ago and of the Ezadeen show that smugglers are finding new ways to enter EU territory," she said.

"To prevent such events and to protect the lives of migrants, fighting smuggling will continue to be a priority under the Commission's agenda for comprehensive migration in 2015."

More than 207,000 people crossed the Mediterranean for Europe illegally in 2014, the High Commissioner for Refugees, the U.N. refugee agency, said last month -- almost three times the previous high of about 70,000 in 2011. That's 60% of roughly 348,000 boat migrants worldwide last year.

"Europe, facing conflicts to its south (Libya), east (Ukraine) and south-east (Syria/Iraq) is seeing the largest number of sea arrivals," the UNHCR said.

More than 3,400 of those seeking to reach Europe last year died, many of them drowning after being trafficked in unseaworthy vessels from the shores of the Middle East and North Africa across the Mediterranean.

Journalists Barbie Latza Nadeau and Livia Borghese reported from Rome and Laura Smith-Spark wrote and reported from London. CNN's Sweelin Ong and Sara Delgrossi contributed to this report.

@highlight

About 360 migrants were found on the crewless ship, the harbormaster says

@highlight

Ships are being "brought back from the dead" to carry migrants, official says

@highlight

An Icelandic coast guard vessel is towed the crewless, stranded Ezadeen to shore