When I started my initiative that led to the creation of Grameen Bank, my ambition was small and simple -- to help the poor people in Jobra, a village in Bangladesh. I thought if I could give them access to a small amount of money, maybe their lives could change for the better. I never imagined the scale of impact that idea would have today.

Watch video: Yunus on how we can create social fiction

I began my work in the 1970s when I was teaching at a university in Bangladesh. The economic theories that I had learned stopped ringing true for me when I saw the misery of people all around me. I decided that I would drop the theories and go out to see if I could help just one person a day in the village outside of the university.

After talking with some women, I found out how they became victims of money lenders in carrying out their livelihood pursuits. They were forced to pay exorbitant interest rates and subjected to other oppressive terms on the tiny loans they were given.

I thought I can protect them by offering the loans myself. I gave 42 people a total of $27 of my own money as loan to solve their problems. They used that to free themselves from the loan sharks and were able to pay me back later.

From this tiny experience, Grameen Bank was born. Over the course of three decades, through this bank, we lent to more than 8.4 million borrowers in Bangladesh, giving them fair loans and a fair chance to climb out of poverty.

Unlike banks in the traditional system, Grameen works on the assumption that even the poorest of the poor can manage their own financial affairs given the right conditions.

Starting loans are about $40. Today, the average loan is just about $200 and our repayment rates are at 97%. Our borrowers are mainly women (97%). They own this bank by buying shares of the bank with funds from their savings accounts in the bank. This system was designed to ensure that the bank focus on alleviating poverty as well as its commitment to addressing the needs of its clients.

Microfinance is now a well-known term. It has evolved on a much larger global scale with microfinance institutions to extend loans to more than 160 million people. It has affected the lives of about 1 billion people in developing countries.

During my journey to build up Grameen Bank, I also created many other self-sustaining enterprises to address the problems faced by the people we worked with -- the rural poor. That was the start of social business -- a new type of business that focuses on solving social problems, rather than just making money, which I later elaborated in my book, "Creating a World without Poverty and Building Social Business."

A social business offers an alternative to the capitalist model.

The essence of social business is to create a business that is focused on solving human problems rather than making a personal profit. It is a nondividend company designed to address a social objective within the framework of existing marketplace. It is different from a nonprofit because the business should seek to generate a modest profit, which would be used to expand the company's reach and improve the product or service. Social business has to be sustainable and is able to return the amount invested. But investors do not receive any further dividend after that point.

I have created many such enterprises. In recent years, many international businesses became interested in collaborating with us -- including Danone, Veolia, BASF, Uniqlo, McCain, BR Foods and Intel. We set up joint ventures with them, making use of their technological expertise to solve problems such as malnutrition, unclean drinking water, mosquito-borne diseases, unemployment and maternal health issues.

We also created some successful standalone social businesses such as Grameen Shakti, which supplies solar energy to off-grid villages, and Grameen Eye Care Hospital, which provides affordable cataract surgeries and other eye care treatments in rural areas. Glasgow Caledonian University has teamed up with us to establish a nursing college, offering tertiary education to rural village girls.

In 2010, I met Saskia Bruysten who, coming from a management consulting background, shared in the belief of bringing a business approach to solving social issues. Together we created Yunus Social Business, an incubator fund that lends to social business entrepreneurs around the world.

YSB's concept is simple. We select the most promising business plans created by local people that are designed to solve local problems in a sustainable way. After recouping the initial investment, all profits will be reinvested into the business or used in some way to benefit the customers.

YSB makes investments in such businesses through its fund and takes no profits. Everything goes back to the community.

Since 2011, YSB has grown rapidly and is operating in eight countries (Haiti, Albania, Brazil, Costa Rica, Colombia, India, Tunisia and Uganda).

With the world population crossing 7 billion people, it is more crucial than ever that we re-evaluate the concept of capitalism. Will we continue to sacrifice the environment, our health and our children's future in the relentless pursuit of personal profit and power? Or will we take the destiny of the planet into our hands by reimagining a world where we put the needs of all people at the center? Will our sustainable business model without seeking personal profit become a means to achieving those needs?

I have come far on my journey from lending $27 to 42 people in Jobra. But my ambition remains the same: Can I empower the poor to change their circumstances and bring the power of business to solve problems by reorienting people from profit-seeking to enjoying the pleasure of being a creator of a better world?  This is the mission of Yunus Social Business and the journey I continue.

@highlight

Muhammad Yunus: I started Grameen Bank with the simple idea of helping the poor

@highlight

Yunus: Today, microfinance has affected the lives of about 1 billion people worldwide

@highlight

He says social business focuses more on solving social problems and less on profit

@highlight

Yunus: We need to re-evaluate capitalism, empower the poor and build a better world