(CNN) -- It used to be called "fringe" or "unconventional" medicine -- or simply quackery. Today, it's called "alternative," "complementary," "holistic" or "integrative."

And it has moved into the mainstream. Hospitals now have dietary supplements on their formularies (list of stocked medications); offer reiki masters to cancer patients; or teach medical students how to manipulate healing energies.

Forty-two percent of hospitals offered some form of alternative therapies to their patients, according to a 2010 survey of 5,800 facilities. When asked why, almost all responded "patient demand."

Further, private practitioners encourage megavitamins, dietary supplements, acupuncture, chiropractic, homeopathy and naturopathy.

Although nontraditional therapies can be valuable, sometimes a line is crossed. So how can you tell if your alternative healer is a quack? Here are a few red flags:

The therapist offers medicines that don't work instead of those that do

Steve Jobs, for example, suffered from a neuroendocrine tumor of the pancreas. With early surgery, Jobs had a 95% chance of recovery. But Jobs chose acupuncture, herbal remedies, and bowel cleansings instead, and died as a consequence.

Homeopaths have recommended their products (which are diluted to the point that active ingredients aren't there anymore) for treatable diseases such as cancer, malaria, cholera and AIDS.

In 2006, a 6-year-old boy with severe asthma was treated with a homeopathic remedy instead of the bronchodilator that would have saved his life. In Canada, homeopathic vaccines, which have no chance of preventing illness, are worrisomely popular.

Also, naturopaths' objections to the contrary, many studies have shown that garlic doesn't lower low-density-lipoprotein cholesterol (bad cholesterol), chondroitin sulfate and glucosamine don't treat arthritis, and saw palmetto doesn't treat prostatic enlargement; in each of these cases, conventional treatments are available that actually do work.

Warning: Men's natural sex supplements may not be

The therapist doesn't tell you about the dangers of alternative therapies

Alternative medicine is perceived as more natural and less harmful than conventional medicine. But medicine is medicine, and any drug or therapy that has a positive effect can have a negative effect.

For example, at least 86 people have died when acupuncture needles have lodged in hearts, lungs or livers or inadvertently transmitted viruses like hepatitis A, hepatitis B, or HIV. Chiropractic manipulations have killed at least 26 people, virtually all by ripping the vertebral artery in the neck.

Dietary supplements also have unseen harms. For example, kava can cause severe and occasionally fatal liver damage; blue cohosh can cause heart failure; nutmeg can cause hallucinations; comfrey can cause hepatitis; monkshood can cause heart arrythmias; wormwood can cause seizures; stevia leaves can decrease fertility, concentrated green tea extracts can damage the liver, bitter orange can cause heart damage, and Aristolochia, found in Chinese herbs, can cause kidney failure and bladder cancer.

Because dietary supplements and herbs aren't regulated by the Food and Drug Administration, most people don't know about these problems.

The therapist makes a fortune off your misfortune

Perhaps no one is more susceptible to quackery than parents of children with autism: a disorder without a clear cause or cure.

Bogus treatments have included ion-exchange machines, lymphatic drainage massage, electrical or magnetic stimulation, Rife machines, hyperbaric oxygen chambers, intravenous immunoglobulins, and stem-cell transplantation. Some of these same therapies are offered for "chronic" Lyme disease and cancer.

Dramatically different disorders, identical cures. All quite expensive and all without any chance of actually working.

Docs should know about kids and alternative medicine

The therapist promotes 'magical thinking'

Reiki masters who claim they can manipulate healing energies; chiropractors who claim that all diseases are caused by misaligned spines; homeopaths who claim that their highly diluted potions contain even a single molecule of an active ingredient; acupuncturists who claim that healing can only be achieved by balancing yin and yang; or naturopaths who claim that a drug found in nature is different from a drug synthesized by a pharmaceutical company (when they have the exact same molecular structure) are appealing to our sense of magic.

And although the notion of something beyond our level of understanding is attractive, current gaps in medical knowledge aren't going to be filled by energy fields, acupuncture meridians, or the notion that all things natural must be good for you.

"Isn't it enough to see that a garden is beautiful," wrote Douglas Adams in "The Hitchhiker's Guide to the Galaxy," "without having to believe that there are fairies at the bottom of it, too."

Like conventional therapies, alternative remedies shouldn't be given a free pass. They should be held to the same high standards of safety and efficacy. And where scientific studies don't exist, we should insist that they be performed. Otherwise, we'll continue to be susceptible to the worst kinds of quackery.

Complementary and alternative medicine: Evaluate treatment claims

The opinions expressed in this commentary are solely those of Dr. Paul Offit.

@highlight

Nontraditional therapies can be valuable, but sometimes cross a line

@highlight

Dr. Paul Offit says some alternative therapists promote "magical thinking"

@highlight

Any drug or therapy that has a positive effect can have a negative effect