Princeton, New Jersey (CNN) -- Newt Gingrich's candidacy received an unexpected boost when New Hampshire's Union Leader endorsed him this weekend.

The publisher wrote: "We are in critical need of the innovative, forward-looking strategy and positive leadership that Gingrich has shown he is capable of providing. He did so with the Contract with America. He did it in bringing in the first Republican House in 40 years and by forging balanced budgets and even a surplus despite the political challenge of dealing with a Democratic President."

Say what you will about Gingrich, but he thrives when it comes to the politics of ideas. Gingrich, a former history professor, is extraordinarily comfortable when it comes to vigorous and open debates about the ideas of conservatism.

Rarely satisfied with the status quo, Gingrich likes to try pushing the boundaries of what his party stands for. "People overvalue money and undervalue ideas," Gingrich recently told one newspaper. "That's part of the core gamble of this campaign. I actually think ideas matter."

His candidacy comes at a time when Republicans have not devoted much time to intellectual introspection. For decades, the party became comfortable with the privileges of power.

Republicans spent more time focusing on how they wanted to use their power and protect their political position than on talking about the ideas that the party stood for.

The Republican loss of control of Congress in 2006 and horrendous approval ratings of President George W. Bush in 2008 led many conservatives to demand that the party reinvent itself from the grass roots up. Yet the tea party movement has had trouble finding national politicians who were interested, or capable of doing the intellectual legwork that revitalization would require.

In certain respects, Gingrich fits the bill. The Georgian entered the national scene in the 1970s, an era when Republicans had no other choice but to pay attention to their core principles. Democrats had controlled Congress since 1952 and liberal ideas dominated the worlds of think tanks, academia and journalism. From the perspective of conservatives, the only modern Republicans who had been elected to the White House before 1980 -- Dwight Eisenhower and Richard Nixon -- were essentially Democrats-Lite. Gerald Ford, also far too moderate in their view, was an accidental president.

So Gingrich and other Republicans set out to remake the Republican Party. Attracted by the vibrant conservative movement, Gingrich tapped into the ideas put forth by conservative intellectuals about supply-side economics, deregulation, and anti-communism.

Although President Ronald Reagan was mocked by some as an actor in the White House who followed his script, Reagan was like Gingrich in that he spent much of his early adulthood deeply immersed in journals such as Human Events and in reading some of the prominent thinkers of the time.

Throughout the 1970s, this generation of conservatives took ideas seriously. They established think tanks such as CATO Institute and financed academic scholarship about conservatism.

Elected to the House in 1978, Gingrich adopted an unusual political style that mixed the promotion of conservative ideas with hard-nosed political tactics. He used his positions in the House opposition to champion the ideas of the conservative movement, while employing aggressive tactics to challenge Democrats.

Gingrich went on C-SPAN and accused Democrats of being weak against communism. He used the new ethics rules instituted in the 1970s to bring down Speaker James Wright in 1989.

In 1994, Gingrich was the key person behind the Contract with America, a 10-point platform for what the GOP would do if it retook control of Congress. While simplistic and a public relations gimmick, it did send the message to voters in 1994 that the GOP would be about more than power and patronage. Rather, its candidates would come to Washington seeking to pursue a series of ideas about government.

Gingrich never had much luck in leadership positions. Once he was speaker of the House, his career took a downward turn. He had trouble adjusting to the position of being a leader. Colleagues joked that 70% of Gingrich could be president, while the other 30% explained why he was not.

Gingrich proved unable to tame members of his own party and to bring about a deal. His difficulty controlling what he said in front of the media led to embarrassing moments, such as when he was mocked as a "cry baby" for having complained that President Bill Clinton didn't speak to him on Air Force One on the trip to Israel for the funeral of Yitzhak Rabin (though the White House released pictures showing that he did) and that he had to exit the rear of the plane.

In the end, as the partisan wars led to the House decision to impeach Clinton, Gingrich was forced to step aside as a result of his own affair, his ethics violations, and the poor results of the 1998 midterms.

While it is unlikely that Gingrich, with his personal baggage and lack of discipline, will survive the caucuses and primaries, he could offer Republicans a useful boost in the coming months.

Thus far much of the competition among the Republican candidates has been remarkably stale, revolving around the rise and fall of quirky personalities or around debates about who is most likely to beat President Obama.

While all of these are valid and predictable issues for this stage of the campaign, they don't offer much to inspire.

As was evident in Tuesday's debate on national security, Gingrich doesn't mind shaking things up. He'll challenge the Republican orthodoxy on immigration and raise questions about how the party should handle challenges such as health care.

He will stimulate other candidates to join in these kinds of debates, thinking through what the party should stand for. This would help them make a more compelling case to voters for their candidacy -- beyond simply not being Obama. This is especially important amid the dysfunction in government that keeps Washington from doing much about anything.

The idea man has an important role in American politics, even if he himself is unable to win office.

Gingrich fills that role, giving Republicans a candidate who is thinking more seriously about what the party is trying to accomplish and how to command the loyalty of voters for years to come.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Newt Gingrich got the endorsement of the New Hampshire Union Leader

@highlight

Julian Zelizer says Gingrich aids GOP by putting focus on what it should stand for

@highlight

Gingrich has been more successful at promoting ideas than in leadership roles, he says

@highlight

Zelizer: Gingrich unlikely to win, but his impact will be felt