(CNN) -- Teenagers exchange text messages while driving because, well, they're teenagers and teenagers sometimes do dumb things. But suit-wearing adults who should know better are texting behind the wheel too, driven by grown-up motivations.

A sign in San Francisco warns drivers late last year of a new California law prohibiting texting while driving.

"My job has me out on the road for four to five days out of the week," Anthony Perry, a director of business development for a Washington-based health care research firm, told CNN in an e-mail sent from his BlackBerry. "I don't particularly think I am that good at texting while driving but I do it anyway, recognizing the risks."

Those risks are significant. A Virginia Tech Transportation Institute study released this week showed truck drivers are 23 times more likely to be in a crash if they're texting, and several fatal accidents have been blamed on drivers or train operators who were distracted by texting.

Nevertheless, for many in business, it seems to be a matter of competitive survival.

"Now with e-mail and with the advent of the BlackBerries and hyper-accessibility, there's this sense that if you don't show that you're always prepared and ready to respond and address an issue, then somehow you're going to be perceived as not being conscientious or not keeping up on things," said Tom Britt, a professor of social psychology at Clemson University in South Carolina.  Watch someone attempt to text and drive »

"I could not imagine doing my job, or living my life, without the aid of a bberry," Perry wrote. "I don't know many who could who are in my line of work."

Entrepreneurs and people in service industries, such as lawyers, may feel the heat more than others, said Dr. Debra Condren, a business psychologist and executive coach with offices in New York and San Francisco, California.

"The constant pressure to be on the grid, especially in this economy -- 'Oh my gosh, has a client called? Has a potential client called? Am I going to lose the job? Am I going to miss an opportunity? -- makes us kind of revert to almost an adolescent mentality in terms of thinking that we're invulnerable [vis a vis] texting and driving," she said.

But those fears are overblown for most people, she said.

"There's this sense that we're so important that every single moment has to be filled; we can't even pull over or we're going to miss five minutes' driving time or 10 minutes' driving time. The pace is at this breakneck speed," said Condren, author of "Ambition Is Not a Dirty Word," a career guide for women.

"The truth is nobody is that important or that in demand that they can't practice safety and good common-sense behaviors."

Condren recently scolded a cabdriver who was trying to program her hotel's address into his GPS device while driving 60 mph. He got a little "snippy" with her but put the device down, she said, and she gave him directions to the hotel.  Watch how high the risk really is »

The subject is personal for Condren, whose son Edward was struck four years ago by an SUV whose driver was fishing around on the floor for a dropped cell phone. Edward suffered a broken pelvis and a concussion, but has fully recovered and now is a college student.

It's going to take something that drastic to get Mei Lin Walker to quit texting while driving.

"I think the thing that would happen -- this sounds horrible -- that would make me stop texting is if I actually had a wreck or I did run off onto the curb or something crazy like that," the Delta Air Lines flight attendant said.

"I try not to do it while I'm driving, but if I'm sitting in traffic and there are a lot of lights I will," said Walker, of Decatur, Georgia. "I do think it is dangerous, and I consciously try not to do it, but then sometimes there's just a text that can't wait."

Walker has never had an accident or even a close call while texting, she said, even though she drives a stick-shift car. Texting is easier than talking on a cell phone, she said, because she can set the device down in mid-text without disrupting the conversation if she needs both hands free for driving.

Nevertheless, Walker probably isn't driving as well as she believes she is, Britt said.

"In general, people are overconfident and have a sense that they're capable of doing much more than they really are," he said. "People, especially adults, feel like driving is such an automated skill that basically they could do multiple things in addition to it without performance suffering."

Many drivers do understand the danger and act accordingly.

"It's nearly impossible to text in California while driving," said Los Angeles County resident Karen North. "I can see why they make it a law here for no texting while driving."  See where laws limit texting while driving »

North said she sends her messages right before heading out. If messages need to be sent en route, she hands her iPhone over to one of her teenage children, who are almost always with her.

Both Britt and Condren advocate awareness campaigns based on the Virginia Tech study's findings. It's up to corporate executives to lead the way, Condren said.

"Leaders at the top have to walk their talk and really make it a priority," with companywide meetings and periodic reminders, she said.

"It's difficult to change the culture of a particular corporation," Britt said. "That has to start at the top. ... At least have the corporate leadership indicate that if you're actually at the wheel, that responding isn't as important as safety."

@highlight

Business people exchange messages while driving despite risk of crashing

@highlight

Competitive, economic pressures drive risky behavior, experts say

@highlight

Georgia woman sends texts in traffic while driving stick-shift car

@highlight

People aren't as good at multitasking as they think they are, psychologist says