(CNN) -- Presidential debates haven't been around forever. A woman hasn't moderated a presidential debate in 20 years. A German immigrant is to thank for election season's October verbal battles. And Abraham Lincoln might have pioneered debate zingers. Don't believe us? Read on.

Fast facts

• Howard K. Smith of CBS News moderated the first modern presidential debate in 1960.

• In 1992, Carole Simpson of ABC became the first woman to moderate a debate. She was also the first African-American to do so.

• Jim Lehrer of PBS moderated his 11th presidential debate on October 3, 2012. Those and the one vice presidential debate he moderated earns him the nod for the most debates moderated.

• The Commission on Presidential Debates, founded in 1987, is a nonprofit organization that produces the presidential and vice presidential debates. It is funded by private donations from foundations and corporations, but is controlled by the Republican and Democratic parties.

Gloves off at second presidential debate

The first modern presidential debate

• The first televised debate was in October 1960 when then-Sen. John F. Kennedy and then-Vice President Richard Nixon went head to head in the debate watched by 66.4 million people. Sixty-one percent of voters watched it on television. Those who listened on radio thought the debate was a tie or that Nixon won. But for the 61%, Kennedy's charismatic performance in contrast to Nixon's sallow appearance handed him the debate. Three more debates were televised in the 1960 contest and aired on all three networks: ABC, NBC and CBS. It wasn't until the 1976 election that another general presidential debate was held.

• The 1960 debate is also the first presidential debate -- all debates before then were in primaries or in congressional races. In 1940, Republican presidential nominee Wendell Willkie challenged President Franklin D. Roosevelt to a debate but the incumbent dismissed it as a publicity stunt. Willkie later refused a debate challenge by Socialist party candidate Norman Thomas.

Where they stand: The candidates and issues

• An attempt by Friedrich Kahn, a University of Maryland student, in 1956 could have displaced the 1960 debate's place in history. Kahn, an enterprising German immigrant, wanted presidential candidates to answer student questions in a debate format. To set it up, he reached out to national media outlets and to the former first lady Eleanor Roosevelt to set up a presidential debate between Dwight D. Eisenhower and Adlai Stevenson. Roosevelt said the debate could energize the student population and threw her clout behind Kahn's initiative.

Not wanting to serve as a political platform shortly after its university president used his position as a jumping off point for his gubernatorial run, the school banned political speeches on campus before the debate. The decision forced Kahn to cancel.

• Some precursors to the modern presidential debate exist. The earliest of note was between then-Illinois congressmen Abraham Lincoln and Stephen Douglas in 1858, who debated seven times in their run for the state's U.S. Senate seat.

Transcript: Second presidential debate

What moments made history?

• Homeopathic soup: Lincoln might have pioneered debate zingers. In the 1858 debates, Lincoln famously called a Douglas policy on slavery in the territories, "as thin as the homeopathic soup that was made by boiling the shadow of a pigeon that had starved to death." Zing.

• "Are you better off now...?": President Reagan first posed the question to the American public at the end of a presidential debate in 1980. It was a gamble, but it paid off, his Democratic opponent, President Jimmy Carter, served for one term. Republicans co-opted the phrase at the 2012 Republican National Convention, as they tried to paint President Barack Obama as a Carter-like president.

America's voters: CNN Poll of polls

• The sighs have it: In the 2000 election, then-Vice President Al Gore unloaded several heavy sighs while opponent then-Texas Gov. George W. Bush was answering questions. While focus groups thought Gore had performed better, the sigh heard round the world, parodied over and over, enforced the perception of Gore as a know-it-all. Not to blame Gore's heavy breathing, but he later lost the election.

Will 2012 debates make history? Yes, TBD and not sure yet.

• Yes: This year's debate marks the first time in 20 years that a woman has moderated a presidential debate: CNN's Candy Crowley. Including Crowley, there have been eight female moderators since 1960.

Another nugget about women and the debates? Only two female candidates have ever taken part in a general election debate. Both Geraldine Ferraro in 1984 and Sarah Palin in 2008 were candidates for vice president.

• TBD: There have been no defining zingers and gaffes thus far, although Joe Biden tried to recycle Lloyd Bentsen's "You, sir, are no Jack Kennedy," delivered to Dan Quayle in the 1988 vice presidential debate. As Paul Ryan was talking about Kennedy cutting taxes, Biden retorted, "So now you're Jack Kennedy?"

• Not sure yet: Only two debates -- 1960 and 2000 -- were game-changers, a Gallup Survey found. But a CNN poll immediately after President Barack Obama and Mitt Romney's first debate earlier this month showed that 67% of debate watchers said Romney won -- the first time any presidential candidate has topped 60% since the question was first asked in 1984.

A snapshot of the nation: CNN Electoral Map

CNN's Amy Roberts, Keating Holland, Alan Silverleib and Robert Yoon contributed to this report

@highlight

Republicans and Democrats work together on one thing: presidential debates

@highlight

Danke schoen to a German University of Maryland student for presidential debates

@highlight

Abraham Lincoln, zingers and pigeon soup have something in common

@highlight

Only two debates have impacted the outcome of an election