A well-known medical marijuana researcher at the University of Arizona says a study she's been planning for four years has cost her her job.

Dr. Sue Sisley, a clinical assistant professor in the college of medicine, has been with the university for nearly eight years in several capacities. She has been planning a pioneering study on marijuana's effect on veterans with chronic post-traumatic stress disorder, or PTSD.

"I was on the forefront of the most controversial research happening at the university," said Sisley, the study's principal investigator, said. "And they did not like the optics of veterans smoking and vaporizing marijuana on their campus, even in the context of a rigorous, FDA-approved, randomized controlled trial."

That trial was designed to look at the safety and efficacy of using marijuana to treat veterans who suffer from PTSD and aren't responding to other approved treatments. Seventy veterans were to participate in the randomized, triple-blind study, in which five different potencies would be used; some would be placebos and others would contain doses of up to 12% tetrahydrocannabinol, or THC, the psychoactive ingredient in pot.

For decades, studies to determine the medical benefits of cannabis have been few and far between because the Drug Enforcement Agency classifies it as a Schedule I drug -- the most dangerous class of drugs. That puts it in the same category as heroin, LSD and ecstasy. Schedule I drugs are defined by the agency as "drugs with no currently accepted medical use and a high potential for abuse."

Last year, a search of the U.S. National Library of Medicine revealed 2,000 recent papers on marijuana. But the majority explored the harm of marijuana; only 6% investigated the benefits. It's yet another reason, Sisley says, that this research is important for veterans all over the world.

"All the countries that have vets suffering with PTSD are looking for new treatment options, so the eyes of the world have been on this study for years now and have propelled it forward."

Sisley, a psychiatrist, has been working with vets with PTSD for 15 years. She claims that even with the various government approvals of the study, dating back three years, it was all contingent on the university providing a study location -- something she says they failed to do.

Then last month Sisley says she received notice that her three contracts would not be renewed and she feels politics is behind the move.

Sisley said: "They won't give us a reason and they certainly don't want to admit it's political." She also said her job evaluations and performance have been excellent, adding: "Job performance is not the issue here. It's about the university being fearful of the word 'marijuana' and not wanting their brand aligned with this research."

But now the university is talking about it. While they will not discuss Sisley specifically, Chris Sigurdson, a university spokesman, told CNN Thursday that several employees, who were not involved in marijuana research, also received non-renewal notices.

In a statement they say, "The University of Arizona does not comment on personnel issues. In regard to marijuana research, in general, in 2013, the UA championed state legislation to ensure that universities could perform medical marijuana research on campus ... The UA has not received political pressure to terminate any employee as has been suggested in some media and other reports."

In fact, Sigurdson says, the university is committed to the study and has reached out to the Multidisciplinary Association for Psychedelic Studies (MAPS), which is funding the study. "We have been in contact with MAPS, assured them that we want to continue the research and will forward the candidate for the principal investigator."

But MAPS is standing by Sisley:

"We told them that we are glad they are interested in the research, but we haven't agreed to do it with them," said Rick Doblin, founder and executive director of MAPS. "Our goal is still to get Dr. Sisley back her job and we will continue to support her in that. That's our preference."

Right now, they are still working with her.

"We'll be supporting her and her lawyers' efforts to submit an appeal for her reinstatement at the university," Brad Burge, MAPS' communications and marketing director, added. "We expect to receive that proposal for the principal investigator candidate from the University of Arizona, but we are going to continue focusing on Dr. Sisley's appeal to the university."

In the meantime, Sisley, who hopes to get her job back, has hired a lawyer.

Politics dealt the research a blow in April. State Sen. Kimberly Yee, who chairs the Senate Education Committee, singlehandedly blocked a bill that would allow the use of surplus state funds toward the study -- and others on the beneficial effects of medical marijuana -- by refusing to allow a hearing for the House-passed bill.

Yee would not discuss Sisley's dismissal but said in a statement to CNN: "This $9 million of state money could otherwise be used for much needed K-12 education programs and drug abuse prevention. There was significant opposition from the Arizona county prosecutors and veteran-led drug prevention groups. I could not in good faith hear the bill in committee when it came to the Senate."

Sisley says veterans deserve this research and she will not give up.

"We will somehow persevere and find a home for this work. So if it's not at U of A it will be somewhere. We are negotiating with several other universities."

On Wednesday, Will Humble, the director of Arizona's Department of Health Services,  wrote on his official "director's blog" that he authorized "the use of marijuana (under AMMA) for patients that are currently undergoing conventional treatment for a diagnosis of PTSD." However, he says, marijuana could only be used for palliative care of PTSD symptoms, not for the treatment of the disorder.

Frieling: Pot is legal and sky hasn't fallen

Sabet: Colorado's troubles with pot

Is marijuana as safe as--or safer than--alcohol?

@highlight

Dr. Sue Sisley was planning to study marijuana's effect on veterans with PTSD

@highlight

Studies on the medical benefits of cannabis have been few and far between

@highlight

Sisley's contracts at University of Arizona were not renewed

@highlight

University says it has championed medical marijuana research on campus