Washington (CNN) -- It was a mystery for nearly 70 years: What happened to Nazi Party leader Alfred Rosenberg's diary, a valuable document with insights into the Third Reich?

Rosenberg was the party's chief ideologue and became a confidante of Adolf Hitler after meeting him in 1921. He joined the party before Hitler and gained fame writing anti-Semitic tracts and editing the Nazi newspaper. He eventually became head of the foreign policy office and was one of the chief architects of the plan to systematically exterminate Jews.

The influential Nazi intellectual was convicted of war crimes at the Nuremberg International Military Tribunal and hanged in October 1946. Parts of his diary -- a loose-leaf collection of notes he kept from 1934-1944 were used by the tribunal, but the bulk of the diary, dating from 1936-1944, went missing after the trial.

The U.S. Immigration and Customs Enforcement Agency, working with the U.S. Holocaust Memorial Museum and investigators in Delaware, finally solved the case, tracking down 400 missing pages of the diary. Scholars hope it will help them learn more about how the Nazis operated in the years before and during World War II.

"This is one of the great detective stories of our time. The diary was known at the time of the military tribunal in Nuremberg when the leadership of the Nazi Party was tried and it then disappeared for nearly 70 years," ICE Director John Morton told CNN. "It was in fact smuggled out of Nuremberg into the United States, probably by Robert Kempner, who was one of the prosecutors for the United States in Nuremberg."

Investigators from the Department of Homeland Security and the Delaware United States Attorney's office received a tip in November 2012 from an unnamed "source" -- an art security specialist working with the Holocaust Museum -- and were able to locate and seize the diary, according to a Wednesday news release from Charles M. Oberly III, the U.S. attorney for the district of Delaware, announcing the seizure, which took place in April.

A criminal investigation is now under way to determine how the papers ended up in the possession of Herbert Richardson, an academic in Buffalo, New York, according to a government official. A CNN reporter's calls to Richardson seeking comment on the case were not returned.

The yellowed pages of the diary -- some written on Nazi Party stationery -- cover the lead-up to World War II and party activities during the war. Containing frequent mentions of "Der Fuhrer," referring to Hitler, they describe conflicts between Nazi leaders like Heinrich Himmler and Joseph Goebbels -- the chief propagandist -- who battled over who was closest to Hitler.

See pages of Rosenberg's diary (in German)

Kempner, a German-Jewish lawyer who fled to the U.S. during the war and later returned to serve as the deputy chief counsel at Nuremberg, removed the Rosenberg diary from U.S. government facilities and kept them until his death in 1993, according to the release from the Delaware U.S. attorney's office.

According to a memo the Holocaust Museum found among Kempner's documents, Kempner received permission from the Office of the Chief of Counsel of War Crimes to keep unclassified documents "for purposes of writing, lecturing and study" as the trials drew to an end and he returned home with an unknown number of documents in his possession that were kept out of reach of other scholars.

The press release from Oberly's office stated the documents were removed "contrary to law and proper procedure." David L. Hall, an assistant U.S. attorney who investigated the case, said Kempner was not given title to the documents.

"There would not have been any authority to do that because they were U.S. government property," Hall told CNN. "The bottom line is they were improperly removed from government custody and retained by Kempner.

Now that the diary has been recovered, it will eventually be given to the Holocaust Museum, where it will be accessible to scholars and the public.

Rosenberg also wrote in the diary about his plan to steal art and cultural treasures from all over Europe. By the end of war, the task force he established had shipped almost 1.5 million rail car-loads of artwork and artifacts from German-controlled Europe to the Reich, according to the Holocaust Museum.

Henry Mayer, who worked as chief archivist at the Holocaust Museum for 16 years and now serves as a senior adviser there, spent 17 years looking for the diary and helped authenticate the papers after they were seized. Experts have not yet been able to review all 400 pages, which were written in German. In examining the papers, Mayer and other researchers hope to learn more details about how Rosenberg carried out his role as head of the German-controlled territories in Eastern Europe, including Latvia, Lithuania, Estonia, Ukraine and parts of Belarus, where a large number of war crimes were committed.

Mayer said the diary provides insight into the mind of "another perpetrator who has given, so to speak, testimony or witness in his own hand about what was going on -- how he was administering the territory, how he felt about Jews and how he dealt with the Jews under his control."

Mayer himself played an important role in finding the papers. He finally got a break during a visit to a storage locker where some of Kempner's papers were being kept. While there he spoke with the sister of one of Kempner's legal secretaries.

"The person that I was with in the storage locker was the sister of one of the legal secretaries who since that time had passed away and she recalled that her sister was interviewed by a reporter from the German news magazine Der Spiegel and she told this reporter that she remembers that she gave the diary to somebody, a former academic who lived in both the Buffalo area and Canada, that she had given this diary to him -- quote-unquote -- for safekeeping," he said, describing the "eureka" moment he experienced during that conversation.

"At that moment we said 'OK now we know pretty much where this thing ended up and therefore we had a reason to go and pursue it, OK? Before then we only had surmised that it might have gone to him."

Now that the long search is finally over, researchers like Mayer will be able to delve deeper into the mind of a man who shared responsibility for murdering millions.

See also: Alleged Nazi war criminal found in Hungary

@highlight

Diary of Nazi Party's chief ideologue discovered after missing for 70 years

@highlight

Finding the missing diary is "one of great detective stories of our time," ICE director says

@highlight

The diary was used against Rosenberg in Nuremberg trials -- he was hanged in 1946

@highlight

Diary was likely smuggled out of Germany by one of the Nuremberg prosecutors