North Miami Beach, Florida (CNN) -- Criminals across the country are raking in billions of dollars in tax refunds through a new and brazen form of fraud that takes advantage of the IRS's fast online returns, law enforcement officials say.

Using laptops and free Wi-Fi connections, criminals are stealing identities and using the names of legitimate taxpayers to file fraudulent online tax returns. They've raked in billions, buying luxury cars, expensive jewelry and plastic surgery, police said.

"It's like the federal government is putting crack cocaine in candy machines," said Detective Craig Catlin of the North Miami Beach, Florida, Police Department. "It's that easy."

First, thieves obtain Social Security numbers and other personal information from insiders at hospitals, doctor's offices, car dealerships or anywhere the information is stored. Then, they file an online tax return using the real taxpayer's name and a fictitious income. In most cases, the criminals buy a debit card so the IRS can issue the refund on that card, although some thieves have also gotten their returns on actual Treasury checks.

The thieves know that the IRS does not verify the employer W-2s sent with the return until after the refund is issued.

It is a particular problem in the state of Florida, according to law enforcement officials.

"We can't go ... two days in a row without making a traffic stop, and there's going to be tax return fraud in the car," Catlin said. "We could stop an 18-year-old kid who's got five (debit) cards. The average is $5,000 per card. So they'll have $25,000, which is really cash, even though it's on debit cards."

And it's not just small-time criminals, he said.

"We have other cases that range up to $100 million where subjects have opened up corporations and bank accounts and business accounts," Catlin said. "And they're receiving millions of dollars from the IRS that are all fraudulent."

Prisoners' tax refund scam nets millions from IRS

Last year, North Miami Beach police arrested the leader of the "Money Avenue" gang that they say specializes in tax return fraud. When police searched his home, they found about $250,000 in debit cards "just sitting on the dining room table for that week's worth of work," Catlin said.

"And inside his closet, there were nine to 10 spiral notebooks, ledgers of names, Social Security numbers, and dates of birth and the dollar amounts of returns that they've done on 3,000 victims," he added.

It's a crime that has replaced drug dealing in many neighborhoods.

"They're sitting on a computer or iPad; they're doing a return with a stolen identity where they don't have to rob anybody or stick a gun in anybody's face or run through the streets from police," Catlin said.

Although tax refund fraud has been around for decades, North Miami's interim police Chief Larry Gomer said the speedy returns and the option of having your refund issued on a debit card are making it easier for criminals to pull off the fraud.

"I think (the IRS's) intentions might have been good in trying to speed returns to members of the community, but I think the problem is, they have set up a system that is too easy to abuse," Gomer said.

He suggested that the IRS slow its processing of tax returns.

"Right now, when someone becomes a victim of income tax fraud and they catch it, it could take up to a year for them to get their return," Gomer said. "But the way that the IRS is running the system right now, somebody can make a fraudulent return, (and) they are mailing out a check to them in two weeks without checking the information on the return."

In Florida, where identity theft is rampant, the cities of North Miami Beach and Tampa have been particularly hard hit by the fraud. Police estimate that in the past two years, criminals in Tampa have cashed in on $450 million in fraudulent tax return money.

Even police who are fully aware of the scam have become targets themselves, including four North Miami Beach Police Department detectives who specialize in combating tax refund fraud and officers in other South Florida police departments.

Police in Tampa discovered "a written tutorial that tells you step by step how to commit this type of crime," according to the city's police chief, Jane Castor.

"Throughout those written pages, it says how simple it is to do it," she said. "We've also heard from people on the street that it's about a five-minute street-corner lesson."

In fact, a police informant who teaches friends how to commit the fraud said anyone could learn it.

"It's like friends get together, and everybody brings their laptops, and we all work together," the informant said. "Some people I know get up at like 8 in the morning and don't finish until 8 at night."

Law enforcement officials said that if the IRS stopped allowing the use of debit cards, that would curtail a majority of the fraud.

"The debit cards are a huge problem," Castor said. "Plus ... the (IRS's) focus, from my understanding, is getting these tax returns out quickly ... so instead of focusing on getting those out quickly, (the IRS should) put more of a focus on the fraudulent aspect of it."

Deputy IRS Commissioner Beth Tucker pointed out that the debit cards are widely used by legitimate taxpayers who may not have a bank account.

"One hundred and forty million folks are filing their returns every year. Not every taxpayer has a bank account, and so the debit cards that are issued by a third-party provider are a legitimate way for taxpayers to get their refund," she said.

Last year, the IRS reported 938,664 fraudulent returns related to identity theft, totaling $6.5 billion, Treasury Inspector General for Tax Administration J. Russell George told a House subcommittee this month.

Treasury officials say that was money identified by the IRS as fraudulent but not actually issued. The IRS could not provide an estimate of how much fraudulent refund money it has issued.

"Any dollar that goes out of our tax system related to refund fraud is a dollar too much," Tucker said. "We have noticed that there are more folks attempting identity theft. We're in the middle of filing season, and we should be able to have a better assessment of exactly what the dollar amount could potentially be."

Last year, the IRS identified at least 582,000 taxpayers who were the victims of identity theft, which is more than double the amount from only three years prior.

In testimony before Congress last year, National Taxpayer Advocate Nina Olson said the IRS has implemented a number of filters to catch the fraud, including an electronic marker to mark accounts of verified identity theft victims, an IRS identity theft affidavit form and a standardized list of acceptable documents to substantiate identity theft.

Tucker said the IRS filters are "in place from the start of the filing season" and are "part of our prevention and detection." She also said the IRS has trained 40,000 employees across the country in the past three months to deal with identity theft.

Also, the IRS last year began issuing an Identity Protection Personal Identification Number to victims of identity theft when filing their future returns.

But the filters, according to Olson's annual report to Congress, "inevitably block large numbers of proper refund claims" since there "is no easy way to distinguish proper claims from improper ones."

Tax refund fraud by identity theft will be the subject of Tuesday's hearing before the Senate Subcommittee on Fiscal Responsibility and Economic Growth. It is the third hearing on the issue since last year.

Tampa officials have expressed concern that the IRS is not doing enough to combat the situation, which Castor said is one of the worst cases of fraud she has seen in her career.

"In my 28 years of law enforcement, I don't think that I have ever seen this magnitude of fraud that is just wide open," the police chief said. "It's wide open and there just doesn't seem to be much being done about it."

Tampa Mayor Bob Buckhorn said he's angry that the IRS has not done more to help the city combat the fraud.

"As far as I'm concerned, they're missing in action," Buckhorn said. "They have not been helpful; they have not been a player; they have not taken responsibility for their side of the enforcement. If anything, you know, we've been banging our heads against their door asking for help and getting nothing in response. The silence has been deafening."

Tucker disagreed with the mayor, noting that the IRS has "significantly increased the amount of resources we've devoted to identity theft, a heinous crime."

A week after CNN's March 6 interview with Tucker, the IRS sent a team of officials to meet with police officials in North Miami Beach and Tampa.

Buckhorn said the problem in Tampa is "just the tip of the iceberg" and offered this warning to the mayors of other U.S. cities:

"Go back and ask the IRS in (your) jurisdiction, 'What are you doing? Is this a problem in my jurisdiction?' Because I guarantee you it is," Buckhorn said. "You may not know it, but it is."

CNN's Marcus Hooper contributed to this report.

Watch Anderson Cooper
360° weeknights 8pm ET. For the latest from AC360° click here.

@highlight

Thieves are stealing identities to get fast online refunds

@highlight

In Tampa, criminals have netted $450 million in fraudulent tax return money, police say

@highlight

The IRS says it has trained 40,000 employees on identity theft to deal with the problem