LONDON, England (CNN) -- Can this G-20 summit prove to be anything more than group therapy for a bunch of fingernail-gnawing, troubled individuals?

U.S. President Barack Obama and British PM Gordon Brown want financial stimulus assurances from the G-20.

The prospects are not good.

The men and women called together in London by UK Prime Minister Gordon Brown to counter an economic slump are politicians -- just at a time when the world's electorates are demonstrating their lack of faith in governments and in their ability to understand, let alone sort out, the economic mess.

Thirty, 20, even 10 years back there used to be some belief that getting the power-players together could solve problems, or at least give others a push in doing so.

But it was once said of a former U.S. Secretary of State, "There was never any world situation so bad that a few well-chosen words from John Foster Dulles couldn't make it a hundred times worse."

The main task of this London summit may be simply to avoid doing that.

The British talking down of expectations over the past few days has been significant.  Up front, on camera, ministers make optimistic noises.  Behind the scenes diplomats warn of a potential lose-lose scenario.

If the summit fails to agree, it will destroy what is left of any confidence in the world's trading centers.  Who's who at the G-20 »

But if the G-20 leaders do sign up to an agreement, it is likely to be so anodyne that it won't make any difference, other than boosting a few participants' opinion poll ratings at home a notch or two for being seen to try.

It was always unreal to imagine that the economic ministers of the G-20 nations were going to re-write their budgets in 24 hours in London.

And since the G-20 doesn't have a permanent secretariat, who is going to enforce anything they do agree?

The run-up to the summit has revealed essential differences in approach between the principals.

U.S. President Barack Obama and Brown both favor driving on fiscal stimulus, even if the governor of the Bank of England is cautioning his prime minister he can't afford to throw any more money at the problem.  Obama, Brown together before the G-20 summit »

Brown and Obama have limited room for maneuver since both their countries have such hefty current account and budget deficits.

They just don't have the money to do it themselves, and they may have trouble persuading those who do have the cash to use it.

In an uncomfortable reminder of serious divisions over the Iraq war, Germany's Chancellor Angela Merkel and France's President Nicolas Sarkozy, each with more national traditions than Obama and Brown, and with their welfare states already pumping money into their economies as unemployment increases, are pursuing a different agenda.

Blaming "Anglo-Saxon economics" and dodgy banking practices for the mess, they don't want more funds injected.  Watch the view from France »

They want to focus on tougher regulation of the financial community. They want the summit to start re-writing the global rulebook on capitalism.

Sarkozy, a man constitutionally uncomfortable unless the spotlight is shining on him, has even threatened to walk out of the G-20 proceedings rather than sign up to anything he doesn't consider tough enough on reining back tax havens, policing hedge funds and restricting the bonus culture.

Facing growing unpopularity at home, he is back on the "moral capitalism" kick he evidenced when holding the EU presidency.

The intriguing thing is that the economic crisis and Brown's lining up with Obama, who has proclaimed his belief in the enduring "special relationship" with Britain, has revived the Franco-German alliance which used to dominate EU affairs and which had seemed to wither under Merkel and Sarkozy.

She doesn't like his touchy-feely ways, he finds her incremental style of politics frustrating. They had drifted apart, but they are back sharing a political tent.

Their agreement does not just make life uncomfortable for Brown.

It means that on his first trip outside the U.S., Obama is facing unexpected tensions with instinctive allies and the possibility of being associated with discord and failure.

He must be disappointed too at the overall contribution from the EU, which sees many of its newer members to the east struggling for survival in the economic slowdown.

The EU response has been insignificant, poorly co-coordinated, and divided.

Jose Manuel Barroso, the president of the European Commission, has outlined six areas on which the Europeans hope the summit will focus.

They include, tactfully, both Brown's fiscal stimulus and Sarkozy/Merkel's tougher regulation of markets.

The big question on the fiscal stimulus front is: What will China do?  The Chinese perspective »

Brown's hope is that China, worried about the safety of its money invested in the U.S., will be ready to commit extra funds to fighting the world recession.

But if he agrees to do so, President Hu Jintao will surely exact a price.

Already the G-8 countries have seemingly conceded that the world's current problems are too big for them to solve and that G-20 is a more appropriate forum.

If China comes up with the money to help, it will need assurances that it will in the future enjoy greater power within such multilateral institutions as the IMF and the World Bank.

The U.S. and Europe, who have dominated the G-8, now have little option too but to accept a new world order.

The G-20 meetings -- remember that chap George Bush who called one in Washington last November? -- have given Asia, India, China and Latin America a much-needed voice at the top table.

Whatever the outcome in London it is unlikely now that the G-8 alone will ever carry the same sway.

And not surprisingly, Italian Prime Minister Silvio Berlusconi, who hosts this summer's G-8 in Sardinia, has proposed that its gathering should be immediately followed by one of the G-20.

@highlight

First challenge for G-20 is to not make things worse

@highlight

U.S.,UK looking for financial stimulus to boost economies

@highlight

France, Germany want more regulation; big question is what will China do?

@highlight

Asian, Latin American nations' involvement at G-20 may reduce G-8 influence