Jules Verne understood it best: you can fly around the world in 80 days and dive 20,000 leagues under the sea, but you can also find awesome otherworldly adventures right beneath your feet.

Just ask the Mexican miners who discovered a sweltering cavern filled with crystals as tall as apartment buildings, or the Brazilians who first gazed into Poço Encantado, a cave with a lake so clear you lose all sense of perspective looking into its depths. Mother Nature knows what she's doing when it comes to creating cool underground attractions.

Mankind isn't so bad at it either. Turkey's ancient city of Derinkuyu is thought to have housed 20,000 people 18 stories inside a mountain. And in Luxor's Valley of the Kings, the Tomb of Seti I's sheer size and extensive Book of the Dead bas-reliefs would make any aspiring Egyptologist cry mummy.

Ready to discover some of the earth's coolest underground sights? Here's where to start digging.

Travel + Leisure: World's coolest new tourist attractions

Puerto Princesa Underground River, Philippines

A UNESCO World Heritage site, this five-mile-long underground river lies beneath a limestone karst mountain on the island of Palawa, connecting the Cabayugan River's flow to the South China Sea. The surrounding national park protects eight different forest systems, from mountains to beaches, and is a naturalist's dream with a multitude of plant species (800 and counting) and vibrant animal life. While underground on guided rafting trips, visitors enter several large chambers, some as wide as 390 feet and almost 200 feet high, as well as passageways with a more claustrophobic fit. puerto-undergroundriver.com

Turda Salt Mines, Romania

Excavated by hand since the 13th century -- although perhaps as early at 1075 -- the massive Turda Salt Mines in Transylvania is now a subterranean museum and recreation center with basketball hoops, a mini-golf course, Ferris wheel, and even an underground lake you can go boating on. From mine mouth to dome's floor is a staggering 368 feet underground. Those with allergies and asthma will be especially interested in the mine's halotherapy spa facilities, which use ionized air, pressure, and humidity in the salt-lined caves to treat persistent respiratory problems. salinaturda.eu

Magma Chamber of Thrihnukagigur Volcano, Iceland

Joe Versus the Volcano this is not -- no need for human sacrifice to see the inner chamber of Thrihnukagigur Volcano, which has been dormant for 4,000 years. Instead of erupting, the magma mysteriously drained away, leaving behind psychedelic mineral colorations geological geeks can gawk at today. After a hike across lava fields, visitors are whisked 390 feet into the volcano's maw by a cable car. Tours usually occur between June and July, but can be extended beyond that period. insidethevolcano.com

Travel + Leisure: Coolest underwater attractions

Poço Encantado, Brazil

Set along the eastern border of the Chapada Diamantina range near Andaraí in northeast Brazil, the Poço Encantado (Enchanted Well) is an underground lake with a natural window out to the Bahian jungle above. Between April and September, when the sun is at just the right spot in the sky, the light hitting the water in the cave turns it a deep, mysterious blue. The water is so clear that one can see more than 200 feet to the bottom, where ancient tree trunks and rock formations appear disorientingly close.

Cave of the Crystals, Mexico

La Cueva de los Cristales was discovered in the Naica Mine near Chihuahua in 2000 after water was pumped out of the 30-by-90-foot chamber, and there's nothing else like it on -- or under -- earth. The crisscrossing gypsum columns are some of the world's largest natural crystals. Despite its grandeur, visits are nearly impossible to come by due to dangerous conditions: near 100-percent humidity and temperatures as high as 136 degrees, warmed by a pool of magma sitting below the cave. There's even been talk of refilling it with water. naica.com.mx

Waitomo Glowworm Caves, New Zealand

The real-life setting for a glow-in-the-dark sci-fi spectacular is two hours south of Auckland and the same distance west of Rotorua under Waitomo's rolling green hills. Here caves are filled with arachnocampa luminosa (that's New Zealand's indigenous glowworms to you) that give off a subtle blue glow due to a chemical reaction occurring in their abdomen. Enjoy a boat ride that will take you through this galaxy of living lights, strong on sticky webs above. waitomo.com

Travel + Leisure: World's coolest tree house hotels

Greenbrier Bunker, White Sulphur Springs, WV

Indulge in a little espionage while visiting the Allegheny Mountain's posh Greenbrier resort, where a bunker was secretly built in 1956 to house members of Congress should nuclear war break out. Now declassified, the fallout shelter could have accommodated more than 1,100 people behind 25-ton blast doors; today, it's a time capsule of Cold War hubris. The unused bunker came equipped with a power plant, decontamination chambers, communications equipment, meeting rooms, and a great hall for joint sessions -- all over two football-field-size levels.

San Clemente Basilica and Santa Maria della Concezione dei Cappuccini, Rome

Uncover eons of religious belief at San Clemente Basilica, a 12th-century basilica built on top of a many-frescoed fourth-century church -- itself built over a secular first-century home that stands next to a second-century temple used by an all-male fertility cult worshiping the sun god Mithras. Those with darker leanings can explore the Capuchin ossuary underneath the church of Santa Maria della Concezione, a 10-minute walk away, where the bones of 4,000 monks were used to artistically decorate the crypt in the form of chandeliers, coats of arms, and archways. Keep a lookout for a toddler's skeleton turned flying grim reaper. basilicasanclemente.com

Forestiere Underground Gardens, Fresno, CA

From 1906 to 1946, Sicilian immigrant Baldassare Forestiere built himself a subterranean home and garden modeled after the ancient catacombs of his homeland. The intrepid builder and gardener dug some 10,000 square feet of rooms, a chapel, and even an underground fishing pond using just farming tools. Forestiere's 10-acre creation provides a cool respite from the scorching California sun, with blooming fruit trees reaching to skylights above.

Cabinet War Rooms, London

Across the Atlantic, another secret underground bunker got a lot of use as the nerve center of the British war effort in World War II. Occupied by ministers, military personnel, and Prime Minister Winston Churchill from 1939 to 1945, the Cabinet War Rooms -- part of the Churchill War Rooms museum -- preserves many of the day-to-day artifacts used in that period, from large maps full of pinpricks indicating changing front lines down to the swivel chair Churchill used while presiding over the War Cabinet.

See all of the world's coolest underground wonders

@highlight

Explore the inner chamber of Iceland's Thrihnukagigur Volcano

@highlight

Visitors to Brazil's Poço Encantado lake can see more than 200 feet to the bottom

@highlight

Some of the world's largest natural crystals can be found in Mexico