(CNN) -- Seventy-nine years ago this week, as he signed the Social Security Act into law, my grandfather, President Franklin D. Roosevelt, observed, "The civilization of the past hundred years, with its startling industrial changes, has tended more and more to make life insecure. Young people have come to wonder what would be their lot when they came to old age."

The first half of that sentiment carries even more weight today than it did then. Recent decades have witnessed changes in technology, in the workplace, and in the work force, that would have been difficult to imagine in 1935.

As our economy continues to recover from the worst economic crisis since the Great Depression, we're finding it necessary to adapt to a new economy that bears little resemblance to that of previous generations.

But as for the latter half of that sentiment, it is astonishing is how untrue it rings today. Even without the assurance of walking out the door 40 years down the line with a gold watch and a pension, younger Americans today have far less reason to fear living out their final years in abject poverty.

The reason, quite simply, is that Social Security has been one of the most successful programs in our nation's history. According to the Census Bureau, more than 35% of Americans age 65 and older were below the poverty line in 1959. Today, that number is below 10%. Take into consideration the families who receive Social Security benefits on account of the premature death of a parent or disability, and in 2012 Social Security lifted more than 22 million Americans out of poverty.

I'll admit that contributing to my appreciation of the Social Security program is that it is one of my grandfather's proudest legacies.

The Social Security Act fundamentally transformed America by putting in place a commitment to the most vulnerable members of our society; that commitment has been expanded with the additions of Medicare and Medicaid and strengthened by the reforms put in place by the Affordable Care Act

I also had the opportunity to work in the Social Security Administration, which has helped bring to light just how disingenuous are the attacks lobbed against the program's long-term viability.

Despite Social Security's extraordinary success, and the program's deep popularity with the American people, it has been targeted with lies and distortions by those who would seek to end the program as we know it based on rigid ideology.

We have been repeatedly told that the program is bankrupting our country or is insolvent. Critics who point to the glut of Baby Boomers entering retirement seem to forget that their generation has paid into the system since they started working about 50 years ago. Their Social Security benefits have been earned, not handed to them.

In truth, as laid out in the Trustees' annual report, Social Security is still projected to be able to pay out full benefits for nearly another two decades. Even without any action by lawmakers, the program would still be able to pay out about 75% of scheduled benefits after that point.

The American people should be skeptical of Republican leaders who suggest that the only way to save the program for future generations is to gut it.

In 2006, opposition to President George W. Bush's plan to privatize Social Security was part of the platform that contributed to Democrats winning control of the House and Senate. In 2016, Republicans could nominate a candidate like Rand Paul, who just last week suggested that we increase the retirement age for Social Security by five years.

Social Security has afforded millions of Americans the opportunity to retire with dignity after a lifetime of hard work. Raising the retirement age would severely threaten to take that away from people who've done the best they can day in and day out, but for whom the demands of their job make working into their 70s unrealistic. And it is frightening to think what would have happened to the earliest Baby Boomers, who reached retirement in the aftermath of the economic crisis, had they been totally subject to the whims of Wall Street where they may have lost everything.

Because of my grandfather's polio, he relied on my grandmother who shared with him accounts of the poverty she observed around the country. Those stories fortified his resolve to enact a program that would address the extreme hardship of struggling Americans.

The paucity of such stories in America today should not be misinterpreted as a sign that we no longer need Social Security but instead taken as proof of the program's success, and evidence of the importance of its continued existence for future generations.

Join us on Facebook.com/CNNOpinion.

@highlight

Jim Roosevelt, grandson of FDR, wants Social Security to thrive well into the future

@highlight

He says Americans today have far less reason to fear living out their final years in poverty

@highlight

This week marks the program's 79th anniversary