(CNN) -- The deal struck at the weekend between Iran and world powers over its nuclear program is not just a triumph of Western diplomacy, but a step forward in the budding rapprochement between Iran and the U.S. that had been long in the making.

Every U.S. administration from Reagan to Obama has tried to reach out to Iran. Unfortunately, these efforts all failed because the circumstances for rapprochement were not quite right -- unlike today, where Iran's new president, Hassan Rouhani, has been determined to outflank his ideological opponents in Tehran and reach a deal with the West.

The Obama administration seems equally determined -- despite opposition from Saudi Arabia and Israel, as well as an obstructive Congress -- to welcome the Iranians back into the international community, so long as they agree to play by the rules.

This is Obama's "opening to China" moment and he must seize it.

Ever since Iranian students stormed the U.S. Embassy in Tehran on November 4, 1979 and initiated the 444-day Iran-hostage crisis, the United States and Iran have been regional arch-nemeses. Even so, in the thirty years since this traumatic event, there have been periodic efforts to improve relations.

The first episode occurred in 1985 when Israeli officials helped facilitate a back-channel approach to so-called Iranian "moderates", represented by Akbar Hashemi Rafsanjani. This led to the infamous "Mission to Tehran", where senior U.S. officials traveled to Tehran to trade weapons and spare parts in exchange for the release of American hostages held in Lebanon. This mission failed spectacularly. Details were leaked to the press, leading to the Iran-Contra scandal, which nearly brought the Reagan administration down.

After George H.W. Bush's election in 1988, the U.S. reached out to Iran once again, saying in his inaugural address, "Goodwill begets goodwill". Bush implied that if the Iranian regime helped the U.S. obtain the release of the hostages, he would respond with gestures of goodwill.

Upon Rafsanjani's election as president in June 1989, he announced that he would help the U.S. obtain the release of the hostages, which was done in late 1991. But goodwill did not beget goodwill. When the hostages were released, the U.S. did not do anything.

During Clinton's first term, U.S.-Iranian relations first underwent a deep chill. Following the Gulf War, the U.S. sought to "contain" Iran and Iraq, even though Iran had disarmed itself following the Iran-Iraq War. The policy, known as "Dual Containment", was confusing. It advocated America playing a costly balancing role, when in fact the U.S. needed Iran to balance Iraq and vice versa. But the landslide election of Mohammad Khatami in 1997 led to a major thaw in U.S.-Iranian relations.

Like Rouhani today, Khatami sought to open up to the U.S., telling CNN that "all doors should now be open for such dialogue and understanding and the possibility for contact between Iranian and American citizens." Clinton seized this opportunity and exchanged letters with the Iranians in 1999, but regime hardliners undercut Khatami and rejected the American overture.

After the terrorist attacks on September 11, 2001, the Iranian people -- much to the surprise of U.S. officials -- poured into the streets in solidarity with the American people. As U.S. officials prepared for war they were shocked to find Iran ready to help. According to Bruce Reidel, a former U.S. official, the U.S. and Iran worked closely together after the toppling of the Taliban to establish the post-war Afghan government. Unfortunately, George W. Bush squandered whatever goodwill had been achieved by including Iran as part of the so-called "Axis of Evil. Â»

Even so, the U.S. still made progress on the nuclear issue. In May 2003, Iran sought to trade Western acceptance of its right to a peaceful nuclear program in exchange for sanctions relief, assistance in stabilizing Iraq, and cooperation against al-Qaeda. But the U.S. rejected Iran's proposal, undermined the Khatami government, and ruined any chance of achieving a lasting deal.

When Barack Obama came to office in 2009 there was great optimism that he could achieve a major breakthrough. This was because Obama had indicated during his election campaign that he was willing to talk directly with Iran. In March 2009, Obama sought to bolster moderates inside Iran in the lead up to the June 2009 election by speaking directly to the Iranian people.

Unfortunately, the regime's hardliners had no interest in seeing another reformist return to power and rigged the election, crushed the civic-minded protests against the regime, and ushered in another four year term for Mahmoud Ahmadinejad.

The election of Rouhani in June 2013 has turned U.S.-Iranian relations on its head. Like Khatami in 1997, Rouhani stunned the West with a charm offensive, condemning Syria's use of chemical weapons, wishing Jews a happy Rosh Hashana, and releasing political prisoners. Rouhani's objective was clear: he wanted sanctions relief in exchange for a compromise over his country's nuclear program.

To this end, he found a willing partner in Obama. This remarkable opening culminated in Obama's famous telephone call to Rouhani at the end of the UN General Assembly in late-September, the first direct communication between American and Iranian leaders since 1979.

These exchanges set the stage for the nuclear deal reached over the weekend. After decades of intense hostility between the U.S. and Iran, calmer heads have finally prevailed.

Only time will tell if the U.S. and Iran can build upon this interim agreement and establish a working relationship, which is in the best interests of the region. More importantly, this deal stands as a lesson to the war hawks that diplomacy actually works.

INTERACTIVE: Nuclear weapons: Who has what?

The opinions expressed in this commentary are solely those of Bryan R. Gibson.

@highlight

The Iran deal is progress in the reconciliation between Iran and the U.S, writes Bryan R. Gibson

@highlight

This is Obama's "opening to China" moment and he must seize it, he writes

@highlight

He says: When Barack Obama came to office there was hope he could achieve a breakthrough

@highlight

The election of Rouhani in June 2013 has turned U.S.-Iranian relations on its head, he writes