(Travel + Leisure) -- China can seem as impenetrable as it is imposing. Consider the numbers: it's the world's most populous nation (1.3 billion), where more than 100 cities have populations over a million. Fifty-six ethnic groups are spread across 22 wildly distinct provinces and five autonomous regions, in a landmass slightly larger than the U.S.

The Tiananmen Gate at the entrance to the Forbidden City in Beijing

Its history seems limitless and its traditions just as deep. But here and now, change is the only real constant -- and it is accelerating at a dizzying pace. (One thousand new cars hit the streets of Beijing every day.)

How do you begin to fathom a country of such extremes? The futuristic cities glittering above timeworn villages; the great rivers and vast empty deserts; the radical new architecture juxtaposed with millennia-old monuments; the ceaseless push-and-pull between Confucianism, Communism, and commerce. Where do you even begin? Have no fear. Start here with Travel + Leisure's suggestions for where to go and what to see.

Beijing: 2--3 days

China's political, historical and cultural capital demands at least three days -- for the familiar landmarks of Tiananmen Square and the Forbidden City, and also for Beijing's 21st-century architecture, such as the "Bird's Nest" Olympic National Stadium by Herzog & de Meuron and the glass-and-titanium dome that is the National Grand Theater. China's contemporary art scene finds its nexus in the galleries and cafés of the Dashanzi Art District, home to the new Ullens Center for Contemporary Art. Travel+Leisure.com: Tips for flying to China

Beijing's atmospheric hutong, or traditional alleyways, are fast disappearing; explore the bustling ones off Nanluoguxiang, near the 13th-century Drum and Bell towers. Then check out the Legation Quarter, a high-end restaurant, entertainment and cultural development set within the former American Embassy compound. And save a morning to stroll the manicured, 660-acre grounds of the Temple of Heaven, site of the circular Hall of Prayer for Good Harvests, the 15th-century apogee of Chinese ritual architecture. Travel+Leisure.com: Chinese taxi trips

The Great Wall

Numerous stretches of the Great Wall are easily accessible from Beijing (ask your hotel to arrange a car or bus tour). But avoid the tourist trap of Badaling and head to the slightly less trammeled Mutianyu section, a 90-minute drive northeast of the Forbidden City. Early morning is best; try Asia 1 on 1 for day trips. Travel+Leisure.com: Where to stay in China

Shanghai: 2--3 days

First stop: the riverfront promenade known as the Bund, with its Art Deco, Neoclassical, and Beaux-Arts façades, bars and shops, and views of the space-age towers of Pudong. In People's Park you'll find the Shanghai Museum and the Museum of Contemporary Art. Weekdays are the best time to wander among the pine trees and ponds of the 16th-century Yuyuan Gardens.

Xintiandi was the birthplace of the Chinese Communist Party; now this restored two-block district is defined by upscale shops and restaurants. The leafy, rustic French Concession is the favored destination for cutting-edge fashion and designs for the home. Shanghai's latest secret? Lane 248, a gritty, narrow street now inhabited by artsy cafés and intimate boutiques, hidden behind Taikang Road. Travel+Leisure.com: China shopping tips and strategies

Guilin: 2 days

(Two hours by air from Shanghai.) With its sheer limestone peaks jutting up from the Li River, Guilin is straight out of a traditional Chinese landscape painting, and remains one of China's most breathtaking sights. Take in the view from Solitary Beauty Peak and marvel at the formations of the Reed Flute Cave. Spring and fall are best; avoid the heat of July and the crowds of the holiday seasons.

Xi'an: 2 days

(Two hours by air from Beijing.) China's ancestral capital is renowned for its "terra-cotta army," created during the Qin dynasty (221--207 B.C.): thousands of life-size clay warriors stand in formation as part of the funerary complex of China's first emperor, with much more yet to be excavated. You'll need at least two days here to take in the warriors, see the Shang dynasty bronze relics at the Shaanxi History Museum, walk along the Old City walls, and visit the Da Mai market.

Datong: 2 days

(One hour by air or six hours by scenic train ride from Beijing.) Majestic Qing dynasty frescoes are the standout in the celebrated temple district. Nearby excursions include the awesome Buddhist sculptures in the Yungang Grottoes and the Hanging Temple of Mount Hengshan, which clings precipitously to the side of a cliff. Not far away are some especially beautiful eroded mud-brick ruins of the Great Wall.

Hangzhou: 2 days

(Two hours by bullet train from Shanghai.) Fabled West Lake is the major draw here, with its elegant causeways, pavilions, gardens, and arched bridges. Hangzhou is also renowned as a culinary capital: local specialties include stuffed-beggar's chicken and fatty dongpo pork; sample both at the great Louwailou restaurant. Travel+Leisure.com: Must-try Chinese food

Suzhou: 1 day

(45 minutes by train from Shanghai.) Famous for its Ming- and Qing-dynasty gardens (don't miss the Garden of the Master of the Nets and the Humble Administrator's Garden), Suzhou was once called the Venice of the East for its canals. But smart travelers know the most picturesque waterways -- fringed by whitewashed houses and 1,000-year-old humpbacked bridges -- are in the village of Tongli, a 50-minute drive away.

Kunming: 1 day

(Three hours by air from Shanghai.) This city is one of China's most pleasant, in climate-blessed Yunnan province. Visit the 15th-century Bamboo Temple and the 17th-century Golden Temple, stroll the pavilions and bridges of Green Lake, and savor the raucous energy of the Kundu Night Market.

Dali: 1 day

(45 minutes by air from Kunming.) Like nearby Lijiang, Dali has a strong ethnic-minority flavor, a walled Old City with cobblestoned streets, and striking mountain scenery -- but without the same tourist mobs. Explore on foot, peek at the Three Pagodas, or go for a boat ride on Erhai Lake.

Taiyuan: 1 day

(One hour by air from Beijing.) The capital of Shanxi province, Taiyuan is home to the Shanxi Provincial Museum, offering a superb survey of the region's 5,000-year history, and the Jinci Temple weaves a thread between Taoism, Confucianism, and Buddhism. And 90 minutes southwest by car is Pingyao, a stunningly preserved walled city and veritable time machine that carries you back to the Ming and Qing dynasties.

Planning a beach getaway? Don't miss Travel + Leisure's guide to Affordable Beach Resorts.

Copyright 2008 American Express Publishing Corporation. All rights reserved.

@highlight

Explore the traditional alleyways off Nanluoguxiang in Beijing

@highlight

From Beijing, visit the slightly less trammeled Mutianyu section of the Great Wall

@highlight

Take in the view from Solitary Beauty Peak in Guilin