(CNN) -- After a year of tumultuous weather and global change, it should not be surprising that 2012 proved to be a transformative period for public opinion on energy.

Changing attitudes on the most hotly debated topics matter a great deal because they set the course for future policy decisions. Taking a closer look at trends over the past 12 months hints at what to expect in several key areas of the U.S. energy landscape in 2013.

Natural gas boom -- and controversy

Hydraulic fracturing, also known as "fracking," has been around for more than half a century, but recently expanded rapidly because of advances in horizontal drilling deep underground.

Despite this proliferation of new wells, 59% of Americans say they are unfamiliar with the term, down from 63% in March, according to the latest findings from the University of Texas at Austin's Energy Poll.

Although the majority still does not seem to know much about fracking, a deluge of media attention to this controversial extraction technology has likely raised its profile significantly since last year.

However, increased awareness is not synonymous with public approval. Among those familiar with hydraulic fracturing, support decreased from 48% to 41% over six months. Similarly, a December poll by Bloomberg reported that 66% of Americans would like greater government oversight of the process, up from 56% in September.

When Matt Damon's new film "Promised Land" debuts in January, expect public recognition and heated debate over hydraulic fracturing to rise further.

Climate change gets real

When Gov. Mitt Romney quipped, "President Obama promised to begin to slow the rise of the oceans" at the 2012 Republican National Convention, his audience burst into laughter. During the debates that followed, neither party's nominee mentioned climate change once as a policy priority.

Weeks later, Superstorm Sandy ravaged the Northeastern United States, flooding many parts of New York City, New Jersey and other regions along the Atlantic Coast. Both candidates immediately canceled campaign events in the wake of the storm and Mayor Michael Bloomberg endorsed President Obama, citing his commitment to tackling climate change. After a summer of record-breaking drought followed by this single powerful hurricane in a major metropolitan area, attitudes shifted.

In March, 65% of Americans surveyed said they thought that climate change was occurring. By September, after the summer drought, that number reached 73%, with the greatest gains among Republicans and independent voters. Earlier this month, The Associated Press-GfK poll followed up, reporting that after Sandy, 78% of Americans now say global temperatures are rising.

Because weather can influence opinions on climate change, it's possible that a wet and stormy winter -- ironically, also exacerbated by climate change -- could push attitudes in the other direction. Regardless, in 2013 expect to hear less argument about whether the Earth is warming and a more serious policy discussion by elected officials across levels of government about how we might mitigate the effects of rising seas, changing ocean acidity, agricultural uncertainty and extreme weather events.

Renewables gain ground

Renewable energy technologies have been available for decades, but 2012 may have been the tipping point for their wider adoption. There has been a significant increase in the percentage of Americans who say they are likely to buy hybrid or electric vehicles or use "smart" electric meters within the next five years. Most notably, between September 2011 and September 2012, the percentage of Americans who say they are likely to install solar panels at home increased from 21% to 28%.

These trends may reflect changing attitudes on climate, media attention to energy during the election cycle, rising gas prices or cheaper, widely advertised new alternatives. Most likely, it's a combination of all these.

What's clear is that we are now on the cusp of a renewables revolution with greater options and cost-saving technologies than ever. They are finally becoming more affordable, reliable and practical, with solar power at the helm. Still, it's important to note that as we ring in 2013, China, not the United States, has taken the lead on renewables.

The big picture

Polls tell the story of how attitudes are shifting, but short of having a crystal ball, there is no way to unequivocally predict what major world events will influence our nation's energy future. For example, another nuclear disaster or offshore oil spill could play an enormous role in shaping the next generation of energy priorities.

What can we count on in 2013?

In the past year, the percentage of Americans saying they consider themselves knowledgeable on how energy is produced, delivered and used has increased from 24% to 33%. More are likely to seek added information about reducing their own energy use and a higher percentage rate energy issues as important to them.

Amid economic uncertainty, volatile prices and global unrest, Americans are paying closer attention to the energy decisions that affect us all.

The opinions expressed in this commentary are solely those of Sheril Kirshenbaum.

@highlight

Public attitudes shifted on key energy issues in 2012

@highlight

Sheril Kirshenbaum says controversy has grown over natural gas fracking boom

@highlight

She says climate change, renewable energy are likely to be on agenda for 2013

@highlight

Kirshenbaum: A turbulent year has increased public interest in energy issues