(AOL Autos) -- With car companies going in into bankruptcy and shedding famous names left and right, it's important to remember that today's automotive titans started out as tiny startups, not unlike Silicon Valley entrepreneurs.

General Motors was almost called International Motors Co.

Names like Ford, General Motors, Chrysler, Toyota and Porsche call to mind the huge corporate successes of the past and the great automotive families that survive today.

But behind every brand name, there is a flesh-and-blood inventor, entrepreneur or industrialist. Most of the time, they gave their name to the companies. And that fame was often about all they ended up with.

David Buick, who invented the overhead valve engine, founded the Buick Motor Car Co. in 1903. William C. Durant, the industrialist who would eventually found GM, took over the company in 1904, when it ran into financial trouble.

Buick stayed on as a director, but left in 1908, never making much money from the enterprise. He reportedly died in 1929, unable to afford one of his cars.

Durant kept the name for one of his company divisions and for the car, even though he worried that people might pronounce it "Boo-ick," according to one author. Strangely enough, the man who practically created General Motors single-handedly never really liked the idea of a 'Durant' car.

In another example, Robert Hupp invented the Hupmobile,'a two-seat runabout, in 1908. But he sold his stock in his Hupp Motor Car Company in 1911. He turned around and founded the Hupp Corp. that same year. Investors in his first firm took him to court to make him drop the "Hupp" from his new company's name and they won. His own automotive glory quickly faded, although the Hupmobile survived until the 1940s.

Swiss-born Louis Chevrolet's experience was similar. Durant brought him into a new car-building venture in 1911, hoping to trade on his fame as an absolutely fearless race car driver. Chevrolet left the company in 1913, apparently unable to make the adjustment from racing to building production vehicles. But its name stuck to the new Chevrolet vehicles; Durant reportedly liked its musical lilt.

It could also work the other way around. In 1925, Walter P. Chrysler got the naming rights to the Maxwell Motor Co. after he and another industrialist steadily bought up shares in the firm over a two-year period.

Things turned out a little differently for Henry Ford. He suffered the ignominy of being booted from an early auto company that bore his own name. But his revenge was sweet.

The Henry Ford Company, which traded freely on Ford's early fame as an inventor, fired him in 1902 "because he was spending all his time developing a race car, not a passenger car," according to the Encyclopedia of American Business and Biography. AOL Autos: Ford's 'Wonder Woman' engineers most important new car

After Ford was gone, the company was renamed Cadillac, after Antoine Laumet de la Mothe Cadillac, the French nobleman who founded Detroit in 1703; his heraldry became the model's badge and the company became a part of General Motors in 1909.

After his firing, Ford quickly found investors to help him found his own firm, the Ford Motor Co., in 1903. He introduced the company's first new vehicle, the Model and followed it up with other low-cost vehicles, including his greatest achievement, the Model T, in 1908. Its price tag started at $850 and fell steadily as Ford introduced more production innovations. The young firm became phenomenally successful. AOL Autos: 10 classic American rides

In the 1920s, he got the chance to buy the five-year-old Lincoln Motor Co. out of bankruptcy. It was then owned by one of the very people, Henry Leland, who fired him in 1902. Then he used the former aircraft company to launch his own line of luxury cars bearing the Lincoln name.

For its part, General Motors almost didn't get the name it bears today. Durant actually incorporated his company under the name "International Motors Co.", in New Jersey in 1908. But his attorney advised him that it would be easier to raise capital under a new name.

"We might use 'United Motors Company' were it not for the fact that there is already a United Motor Car Company in that state," the attorney wrote. "We suggest the name General Motors Company, as we have ascertained it can be used."

A newly coined French word, auto-mobile, inspired many vehicle names of the early years. Inventor Ransom E. Olds filed a patent for an "auto-mobile" during the mid-1890s. Names like Bugmobile, Locomobile, Hupmobile, and of course, the Oldsmobile, could not have come along without it.

The origins of some names can be tricky to trace. The first use of Jeep, for instance. is shrouded in mist. Jim Allen, the author of a book called "Jeep," concludes that it's based on early World War II slang for "a new, unproven recruit or a new unproven vehicle."

It wasn't until 1950 that Toledo-based Willys-Overland, Inc., one of the producers of the early four-wheel-drive vehicle, trademarked the term.

Many of the names were not originally associated with the auto industry. The Toyota name came from the Toyoda loom works in Kariya, Japan; When it turned to car production, the Toyoda family changed the 'd' to a 't' to make it simpler and more elegant in Japanese script. AOL Autos: Top 10 best car names

There's little doubt about other brand names. Pontiac was an offshoot of the Pontiac Buggy Co., a horseless carriage manufacturer named after a renowned Indian chief. Mechanic Soichiro Honda started producing motorized bicycles after the devastation of World War II and eventually graduated to cars. AOL Autos: Pontiacs we'll never forget

Volkswagen, a response to Adolf Hitler's call for a car for the common folk, means 'people's car' in German, evidently beating out the prototype's name, 'Strength through Joy,' for the honors.

In 1917, the Rapp Engine Works became known as the Bayerische Motoren Werke GmbH, or Bavarian Motor Works (BMW) as the four-year-old airplane engine firm diversified into motorcycle engines, with a stylized white propeller against a blue sky as its logo, according to some authorities. The first BMW cars were produced 11 years later.

The legendary Jaguar name is considered one of the best sports car names of all time. It beat out a long list of lackluster animal names compiled by a British ad agency in 1935. In 1939, Ford struck gold with Mercury, the fleet-footed messenger of the gods. It tapped into Greek and Roman mythology for the name, just as it did for the similarly styled Lincoln Zephyr, the god of the wind, three years earlier.

Some other storied automotive brands are based on acronyms. Fiat stands for Fabbrica Italiani Automobili Torino, or Italian Automotive Works Turin. Similarly, Saab stands for Svenska Aeroplanaktiebolaget, or Swedish Aeroplane Ltd., hearkening back to the automaker's origins as an aircraft company.

Ford might have done better with an acronym in 1958. The Edsel was conceived as a new, distinct Ford Motor Co. brand, with its own models, badge and division. The mission was to take on GM's Oldsmobile.

After considering thousands of suggestions, Ford named the new brand after Edsel Ford, Henry Ford's only child. He had been a major styling influence within the company and was its president at his fathers death in 1943.

The name Edsel was an immediate letdown. Ford stock fell 10 points on the day it was announced. One disenchanted executive predicted that the name alone would cost the new vehicle 200,000 units in sales. AOL Autos: Best and worst automotive designs of all time

Its name wasn't the sole reason for its failure. It didn't help that the country was in recession or that the new car seemed based on Ford and Mercury models. But all that didn't stop Edsel from entering the vocabulary as an idea or project fated to failure.

@highlight

David Buick invented the overhead valve engine, founded Buick Motor Car Co.

@highlight

Fearless race car driver Louis Chevrolet's name stuck for its musical lilt

@highlight

The Henry Ford Company fired its namesake who later started Ford Motor Co.

@highlight

Toyota name came from the Toyoda loom works in Kariya, Japan