Atlanta (CNN) -- A patient admitted to a New York City hospital with a high fever and gastrointestinal symptoms Monday is being tested for Ebola.

He recently traveled to a country in West Africa where Ebola has been reported, Mount Sinai Hospital said in a statement.

The patient was placed in strict isolation, and doctors are working to determine the cause of his symptoms. They expect to get test results back in a day or two.

"Odds are this is not Ebola. It's much more likely that it's a much more common condition," said Dr. Jeremy Boal, chief medical officer of the Mount Sinai Health System.

CNN's Dr. Sanjay Gupta agrees.

About half a dozen people have recently returned from West Africa and gotten tested because of symptoms consistent with the disease. None of those cases has been confirmed as Ebola, Gupta said.

Meanwhile, an American suffering from Ebola is expected to arrive in Atlanta on Tuesday from Liberia, where she contracted the deadly virus. Her plane departed early Tuesday morning, a source said.

Missionary Nancy Writebol was set to travel aboard an air ambulance equipped with an isolation unit. It will land at Dobbins Air Reserve Base, and from there she'll be rushed to Atlanta's Emory University Hospital about 20 miles away.

"The reports from our medical doctors there on site caring for her is that she's in a more weakened condition; however, today has been a good day," said Bruce Johnson, president of SIM USA, where Writebol was working in Liberia.

He told CNN's "Erin Burnett OutFront" that her husband had told him Writebol's appetite was returning and that she had asked for potato soup.

"We're just grateful and very cautiously optimistic about how she's doing right now," Johnson said.

Writebol is one of two Americans stricken with the disease while aiding Ebola victims in the latest outbreak in West Africa. Ebola has killed more than 700 people in three nations: Guinea, Liberia and Sierra Leone.

Their evacuation to Atlanta marks the first time anyone infected with the virus has been known to get treatment in the United States.

Both patients will be treated at an isolation unit where precautions are in place to prevent it from spreading, unit supervisor Dr. Bruce Ribner said.

The first American evacuee, Dr. Kent Brantly, was making progress since he arrived in Atlanta from Liberia on Saturday, a U.S. official said.

"It's encouraging that he seems to be improving," Thomas Frieden, director of the Centers for Disease Control and Prevention, told CBS' "Face the Nation."

"That is really important, and we are hoping he will continue to improve."

Brantly, 33, is the first known patient with the deadly virus to be treated on U.S. soil. He landed at Dobbins and was quickly rushed to Atlanta's Emory University Hospital.

A prayer service was held for Brantly on Sunday night at the Southern Hills Church of Christ in Abilene, Texas. A family friend reportedly read a statement from his family.

"We cannot share any news of Kent's condition but please know that we believe Kent will be healed and that healing will come from the hand of God. To say thank you is SO inadequate for what we're feeling! We are humbled & simply, blown away by the response," it read, CNN affiliate KTXS reported.

Ebola doesn't spread through airborne or waterborne methods. It spreads through contact with organs and bodily fluids such as blood, saliva, urine and other secretions of infected people.

There is no FDA-approved treatment for Ebola, and Emory will use what Ribner calls "supportive care." That means carefully tracking a patient's symptoms, vital signs and organ function ad taking measures, such as blood transfusions and dialysis, to keep patients stable.

The Ebola virus causes viral hemorrhagic fever, which refers to a group of viruses that affect multiple organ systems in the body and are often accompanied by bleeding.

Early symptoms include sudden onset of fever, weakness, muscle pain, headaches and a sore throat. They later progress to vomiting, diarrhea, impaired kidney and liver function -- and sometimes internal and external bleeding.

Emory's isolation unit aims to optimize care for those with highly infectious diseases and is one of four U.S. institutions capable of providing such treatment.

American Ebola patient 'seems to be improving,' CDC chief says

CNN's Jason Carroll contributed to this report.

@highlight

"Odds are this is not Ebola," a hospital official in New York City says

@highlight

Doctors expect to get test results back in a day or two

@highlight

The patient recently traveled to a country in West Africa

@highlight

American battling Ebola virus to arrive in Atlanta for treatment