When Melissa Stegner thinks about the days after Christmas in 2007, it's mostly a blur with a few focused, unavoidable truths.

Her dad, Scott, and big brother, Sean, had dropped her grandmother at home. As father and son headed back to Virginia, a Cadillac Escalade crossed into the southbound lane and struck the Stegners' Chrysler minivan head-on.

The SUV driver was drunk, a repeat offender.

Her dad and brother died before rescue workers arrived.

"I was totally naive to drunk driving and the dangers of alcohol," said Melissa, now 17. "I didn't know how to deal with it. Nobody knew how to deal with it."

Years later, her story precedes her in the high school hallways. She thinks she'll always be known as the girl whose family was killed by a drunken driver.

She'd always thought of herself as shy, but the worst moments of her life have become a reason to speak up.

She's talked about her father and brother in courtrooms, and to convicted drunken drivers. She spoke this year at the national conference of Mothers Against Drunk Driving. Perhaps most importantly, she's talks about it at school, to teens, to anybody her age who will listen. She believes talking about it prevents more accidents and helps her heal.

"I remind my friends that no matter what, drinking and driving is not OK. There's no dumber decision you can make," she said.

Even in high school, where everybody feels invincible, where she knows people party with beer, "I've had people come up to me and thank me," she said.

They're exactly the conversations advocates against underage drinking and drunken driving want to happen more. After all the laws, stats and warnings, they're learning that peers and parents are among the most powerful influences on whether teens drink alcohol.

A report released last week by the Centers for Disease Control and Prevention showed the number of teens who drink and drive dropped by 54% in the last 20 years. Ninety percent of high school students surveyed said they don't drink and drive at all.

For all the improvement, the CDC estimated that high school teens still drank alcohol and drove 2.4 million times every month in 2011. And young drivers are 17 times more likely to die in a crash when there's alcohol involved.

"Because of that heightened risk, we can never be complacent," said Ralph Hingson, a director at the National Institute on Alcohol Abuse and Alcoholism.

Putting a face on the warnings and statistics can help, he said.

"I testified probably 50 times to state legislatures about different interventions you could do to reduce the problems," Hingson said. "I'm not nearly as effective with the data alone as when people come and tell stories. It's people, not just numbers."

In 2008, Mothers Against Drunken Driving members began to take a closer look at the research about what would really stop kids from drinking, and from driving afterward. They'd successfully advocated for graduated licenses for new drivers and zero-tolerance laws for drivers younger than 21 with alcohol in their systems and needed a next step.

"Over many years, we were doing what sounded like it would work. Some of it did work," MADD National President Jan Withers said.

But not everything. Research helped them realize schools assemblies didn't sway teens as much as a conversation with their parents, or an exchange with a classmate. They're trying to get kids and parents to rethink how they talk to each other about alcohol, no matter how awkward it might feel.

"Parents believe the peer pressure is so great that they don't have as much influence on their teens as they actually do," Withers said. Empower them, and "it moves into the power of community -- students and adults work together."

Others around the country are coming to the same conclusion. In Montana, Mariah's Challenge asks people younger than 21 to promise publicly they won't drink or get in a car with someone who has.

The program was was founded by Jimm Kilmer, Chad Okrusch and Leo McCarthy, a 2012 Top 10 CNN Hero. McCarthy's 14-year-old daughter, Mariah, was killed in 2007 when an underage drunken driver ran into her as she walked along the sidewalk a block from her house. Kilmer's and Okrusch's daughters were injured, too.

"If you stick with me for four years," McCarthy told the crowd during Mariah's eulogy, "don't use alcohol, don't use illicit drugs but give back to your community, work with your parents and talk to your parents, I'll be there with a bunch of other people to give you money."

Since then, more than 140 high school graduates in different communities around the country have gotten $1,000 scholarships from the program.

At Melissa Stegner's high school in Virginia, she launched a chapter of Students Against Destructive Decisions that now boasts about 30 members. She was also among the first to join MADD and State Farm's Power of You(th) National Teen Influencer Group this year.

The whole idea: No matter the stats, keep talking about drunken driving.

Later this month, during MADD's annual high school Red Ribbon Week, the group will distribute a new guide for teens, written with guidance from Melissa and other young people. It reminds students that the majority of teens don't drink, and even fewer binge drink; that teens react differently to alcohol than adults; that there could be major legal consequences to drinking. It offers ideas about talking to parents, and resources to call if a family member has a drinking problem.

"We're doing everything we can to empower youth to make sure they know they have influence over their own lives," Withers said. "We still want to be constantly talking about the issue."

Withers, after all, has her own story.

When her kids were growing up in Maryland, they were never allowed to drink at home or to join their friends for Ocean City getaways some saw as a rite of passage. They'd all signed contracts that said they wouldn't drink and drive and promised to call if they needed a ride.

One night in 1992, her 15-year-old daughter, Alisa, spent the night at a friend's house.

The girls went out with another group of friends. The driver had been drinking. Alisa was killed.

Looking back, Withers said, she thought she'd talked to her kids about drinking and driving. Now she knows it wasn't often enough.

"I had the attitude that 'They know how I feel about it,' " Withers said. "I believe she had some of the tools -- she certainly didn't drink that night.

"But still Alisa got in the car."

@highlight

CDC: The number of teens who drink and drive has plummeted 54% in 20 years

@highlight

But every month, millions of them still do it -- and the results are often tragic

@highlight

MADD leaders say it's parents, peers that resonate with teens, not statistics

@highlight

Top 10 CNN Hero Leo McCarthy gives scholarships to students who pledge not to drink