(CNN) -- North Korea kept the world on tenterhooks Wednesday, when the funeral of leader Kim Jong Il was expected to take place in Pyongyang.

On Wednesday morning, state television began broadcasting previously aired video of Kim Jong Il's son Kim Jong Un and other mourners paying respects in front of the late dictator as his corpse lay in state.

The secretive nation had revealed no details about the funeral, where thousands of North Koreans were expected to file past a glass case housing the body of the elder Kim, revered as a godlike "dear leader" by his people.

State television on Wednesday morning also showed historical footage recounting the life of Kim Jong Il, from the legend of his birth on a sacred mountain to his years as leader of the communist state.

Kim's funeral likely will be modeled after that of his father, Kim Il Sung, in 1994, said Han Park, a professor at the University of Georgia's School of Public and International Affairs who is also director of the Globis Center for the Study of Global Issues.

However, the funeral is expected to spotlight his son Kim Jong Un, the man designated the "great successor" by the nation's Worker's Party.

Questions have been raised about Kim Jong Un's ability to take the reins of the reclusive communist nation, given his young age -- he is thought to be in his late 20s -- and relative inexperience.

"The system will try to make sure that Kim Jong Un, this young man, is a legitimate leader, so probably he will be spotlighted in the funeral procession," said Park.

While there is no official religion in North Korea, the funeral will probably touch on the Confucian tradition of ancestor worship, Park said.

Denny Roy, a North Korea analyst at the East-West Center in Honolulu, said observers outside North Korea will be performing "the usual Kremlinology -- except in this case it's Pyongyangology." They will be watching the ceremonies for clues as to where leading figures stand in the new hierarchy, comparing the event to the 1994 funeral of North Korea's founder, Kim Il Sung.

"What I expect to see is no sign that there's any hiccup or difficulty in Kim Jong Il's plan to have his son Kim Jong Un succeed him," Roy said.

Among those expected to be at the side of the "great successor" are his aunt and uncle. The late ruler's sister, Kim Kyong Hui, and her husband, Jang Sung Taek, are expected to serve as regents for the young Kim as he builds leadership experience, Roy said.

"They will be very prominently featured in all of the public ceremonies," he said. "They'll have places that are very close to Kim Jong Un. If it was otherwise, it would be a dramatic new development, but I don't expect that."

The ceremony is to be followed by a memorial on Thursday. The state-run Korean Central News Agency said when the national memorial service is held Thursday, gun volleys will be fired in the capital, Pyongyang, as well as provincial seats.

"All the people will observe three minutes' silence and all locomotives and ships (those on voyage included) will blow whistles and those units with sirens will sound them all at once," KCNA said.

While the public "outpouring of grief" will be present at the funeral, it may not be as overwhelming as it was following the death of Kim Il Sung, said Park, who has visited North Korea frequently and is in close contact with high-ranking officials there. As loved as he might be among the North Korean people, he said, "Kim Jong Il is no Kim Il Sung."

Kim Il Sung was much more charismatic, and his death was much more unexpected, he said. While Kim Il Sung was 83 to Kim Jong Il's 69, the elder Kim was thought to be in excellent health.

"Two weeks before his death, (Kim Il Sung) received Jimmy Carter," Park said, referring to the former American president. "In North Korea, no one actually anticipated or suspected the coming of his death ... Kim Jong Il, his health was failing. Everyone knew that."

The glass case to house Kim Jong Il's body was ready upon his death, he said. In Kim Il Sung's case, "it took days ... to make that arrangement preparation."

And John Park, research fellow at Harvard University's Belfer Center for Science and International Affairs, said Kim Jong Un is "following a script laid out by his father," who had a major stroke in 2008.

"Basically, we are seeing a man who planned his own funeral," he said.

North Korea has said the funeral will be a "low-key" affair, with no foreign heads of state invited, John Park said. That's "the one factor that Kim Jong Il couldn't control" -- the possible embarrassment, if invitations were issued, that heads of state might not accept.

One point of interest will be who is going to be in the Chinese delegation, John Park said. "That will be done through party-to-party connection," with those attending likely to be a senior representative of the Communist Party of China.

There have been rumors that Chinese President Hu Jintao may attend, he said. John Park believes if Hu shows up, he will use the title of party general secretary, not president.

And one notable omission from the guest list is Kim Jong Il's oldest son, Kim Jong Nam, who fell from favor after being caught trying to sneak a visit to Tokyo Disneyland using a forged passport. He told Japan's TV Asahi in 2010 that he opposed having his family hold power for another generation, but had "no objection nor interest" in the matter.

Roy said Kim now lives in the Chinese casino haven of Macau and is "more or less exiled."

"It's rather significant that in a Confucian society, the oldest son won't play a significant role in the funeral," he said. "That speaks to a very strained relationship between him and the current leadership."

Han Park referred to "government by legacy" in North Korea. When Kim Jong Il succeeded his father, he also inherited much of Kim Il Sung's policies and philosophies, which have been "the backbone of policy-making," he said. Because of that, neither he nor Roy said they expect to see drastic policy changes under Kim Jong Un.
Observers say upcoming events will also provide North Korea with opportunities to reinforce the succession and provide a window on how smoothly that process is going.

Scott Snyder, senior fellow for Korea studies and director of the program on U.S.-Korea policy for the Council on Foreign Relations, wrote Tuesday that the leader's upcoming New Year's address may already have been written, "but can be scoured for deviations from the past and for evidence of possible rewriting post-Kim Jong Il's death."

Kim Jong Un's first birthday as leader, on January 8, may also provide some clues. So could Kim Jong Il's 70th birthday on February 16 -- still within the mourning period -- or the 100th birthday of Kim Il Sung on April 15.

CNN's Matt Smith contributed to this report.

@highlight

Observers will be watching the funeral for succession clues, analyst says

@highlight

Kim Jong Il's eldest son is a notable omission from the guest list, he says

@highlight

Kim's funeral is expected to follow the template of his father's in 1994

@highlight

Experts say no dramatic policy changes are likely in the short term