With Greece probably heading for an exit from the euro, the European and global economies may be facing disaster. However, there is still time for European leaders to reverse this destructive dynamic with one simple, outside-the-box solution: Instead of pushing Greece out of the eurozone, Germany should voluntarily withdraw and reissue its beloved deutsche mark.

The analysis of the problems of the euro and the European Union has long been upside down, focused on the debt and competitive weaknesses of the so-called peripheral countries (Greece, Italy, Spain, Portugal and Ireland) and especially of Greece. But issues of debt and competitiveness existed and were dealt with rather easily long before the euro arrived, through periodic devaluation of the currencies of the less-competitive countries against those of the more competitive countries, and especially against the deutsche mark.

The problem now is not the weaknesses of the periphery, it's the excessive competitive strength of Germany. Not only is the German economy inherently strong as a result of the high productivity of its workforce, its exports have added competitiveness because the euro is undervalued as far as Germany is concerned. Because it is the common currency of the eurozone countries, the value of the euro reflects the average of their combined competitiveness. But Germany's competitiveness is far above the average. So, for Germany, the euro is too weak. This is why Germany has been accumulating chronic trade surpluses on the scale of the Chinese.

As long as the rest of the eurozone countries are locked in the euro with Germany, the only way for them to become more competitive is to become, well, more Germanic, through austerity measures that cut government spending, reduce welfare budgets, cut wages and raise unemployment. This is, of course, what they have been doing for the past two years.

The aim has been to achieve export-led growth. But because Germany is so hypercompetitive and has been unwilling to stimulate its own economy to achieve higher consumption, its eurozone partners have not been able to increase exports to it and have had thus to compete with it in exporting to the likes of China and the United States.

That hasn't been working very well, and now the consequences of grinding austerity are beginning to tear the political and social fabric even of countries like the Netherlands, which until quite recently were enthusiastically echoing the German call for austerity and growth led by trade with countries outside the EU.

But it is not clear that the eurozone can sustain the social and political pain of austerity long enough and on the scale necessary to eventually achieve competitive parity with Germany.

The alternative is for Germany to revert to the deutsche mark. That would immediately result in appreciation of the German currency and competitive devaluation of the euro for the remaining eurozone countries. Germany would tend to buy more while selling less, and vice versa for the rest of the eurozone. The extra consumption that Germany will not deliver via stimulus policies would be automatically delivered by currency revaluation.

The single most essential element of a euro rescue has always been one form or another of a euro bond guaranteed jointly by all eurozone member countries. What the U.S. Treasury bond is to the U.S. economy, the euro bond would be to the EU. The main obstacle has been Germany's insistence that it would not guarantee payments on bonds for the benefit of other European countries.

German reversion to the deutsche mark would remove this obstacle, and with no further German opposition, the remainder of the eurozone could move ahead to establish a true euro bond, along with a unified treasury function to match the unified banking function of the European Central Bank.

Some may object that German backing would still be required for the eurozone and a euro bond to be viable. That is correct, and Germany would indeed remain committed to the eurozone for a number of reasons. It would need the eurozone more than ever to buy its increasingly expensive exports. The Bundesbank (Germany's central bank) would undoubtedly sell deutsche marks against euros to mitigate appreciation, and the resulting accumulation of euros would be invested in the new euro bonds. This in turn might inspire the European Central Bank to initiate quantitative easing programs that would stimulate the entire EU economy.

The cost to Germany of saving Europe will be a hit to exports and perhaps a temporary rise in unemployment, but a return to the deutsche mark would attract a flood of capital to Germany and thereby spur investment while holding interest rates and inflation down.

The real question is whether the cost of slower export growth and increased unemployment is less than that of paying for Greece, then Spain, etc.  Somehow, the "unknown" risks of a German exit from the euro appear more manageable, more quantifiable and in some ways more familiar a challenge than endless austerity, social unrest and political polarization.

@highlight

Writers: To salvage eurozone, Germany, not Greece, should withdraw

@highlight

They say Germany is very competitive; eurozone countries unable to catch up

@highlight

They say Germany could improve its currency valuation, stop preventing euro bonds

@highlight

Writers: Euro bonds could help with euro rescue; pain for Germany would be temporary