Nicosia, Cyprus (CNN) -- In the old town of Cyprus's capital Nicosia, something subtle and unexpected is happening.

In the wake of the economic crisis, the historic center -- an attractive old town ringed by vast 16th century Venetian walls -- is gradually coming back to life with new cafes, shops, and art galleries emerging from the labyrinthine streets.

Ledra Street, at the heart of town, has been a symbol for the island's division since 1974, when, in July of that year, a Greek military junta backed a coup d'etat in Cyprus. In response Turkey launched military intervention and by August it had landed thousands of troops and successfully partitioned the island. Around 180,000 Greek Cypriots were forced south and some 50,000 Turkish Cypriots moved into vacant properties in the northern Turkish occupied zone.

Since 2008, Ledra Street has reopened with a checkpoint that can now be crossed. But between the ubiquitous Kentucky Fried Chicken and Starbucks outlets, and the local restaurants selling frozen yoghurt, coffee, and souvlaki by the pita-load, U.N. soldiers still patrol.

Gradually however, through the frustrations of separation and the strain of the economic crisis, a new generation of poets, directors and entrepreneurs are reclaiming the area.

Band aid

The band Monsieur Doumani have been playing in and around Ledra Street for several years. Many of their songs have a distinctly political edge.

The band's lead singer, Antonis Antoniou, says that in his view music and art can help to heal old wounds:

"We strongly believe that art and music can reconcile and reunite people ... especially in parts of the world where problems are between neighboring countries. For instance, here in Cyprus, the two communities share the same culture, and people used to live happily together listening to the same songs -- in many cases sung in both Greek and Turkish. This should be used as an example to bring people of the communities together."

The Green Line -- the buffer zone between the north and south Cyprus-- stretches almost across the length of the country (interrupted by the British Overseas Territory of Dhekelia), but nowhere is it more visible than in Nicosia.

"The Green Line gives the city a strange energy ... in a good way," says Eleni Xenou, a writer who lives in city. "There is a silence here; an absence. A feeling of the past with the U.N. in the middle. It is very edgy and it gives the city a very interesting charm. You need to get over yourself to get over the line."

Cafe culture

Even though the checkpoints are now open, barricades still snake through the middle of town. On the corner of one inauspicious street, is the popular Xaratsi Cafe, which owner Stavros Lambrakis has managed since before the checkpoints opened up. The cafe attracts all kinds of people, and welcomes anyone from either side of town.

"The vibe of the place is what I believe attracts (my customers)," Lambrakis says. "Xaratsi is like no other place. It is on the Green Line, sitting on the 'no man's land.' It carries the energy and history of the city. It is untouched and one can see how the time has stopped."

Retail therapy

Alongside the arts scene are the shops, many of which celebrate their location with an unmistakable irony. A kebab shop called Berlin 2 sits right by a street blockade; a little further down the road you can buy lingerie from No Border Underwear.

On Kleanthi Christophides Street Anastasios Gkekas runs a shop called the Office -- a high end men's fashion boutique and art gallery space. The shop has no mirrors, but asks its customers go outside and down the street to look at themselves in the mirrors inside the nearby U.N. guard station.

"I find it necessary to expose my clients to this reality," Gkekas says. "To make them see their reflection among the ruins, (and) get them to think about where it is they are standing, at a very particular level of history."

As there is a high turnover of guards, Gkekas regularly has to explain what he is doing:

"Officially the access to the guard station 103 is not permitted to anyone. In addition, the guards often change so I do not know several of them and anyway I always have to ask permission, explaining the nature of my request ... I do not know why they let me enter," he says.

Many younger people in Nicosia see hope for the city and believe that reconciliation, while difficult, is certainly possible.

Antoniou believes that opening up the crossings and allowing the two communities to get to know one another has been key to the city's healing.

"For the first time in our lives (especially for us who were born after 1974) we came to have first-hand experiences with the so-called 'other' and create friendships," he says.

"Both the propaganda that spread amongst people all these years in both sides and the fact that we had no direct contact with this 'other', helped towards demonizing it. But now, people who manage to get rid of these prejudices are able to construct relationships and have built trust, so the future could be optimistic."

CNN On the Road series often carry sponsorship originating from the countries and regions we profile. However, CNN retains full editorial control over all of its reports. Read the policy.

@highlight

The U.N.-patrolled Green Line divides Cyprus

@highlight

Artists, poets and musicians are returning to the divided Cypriot capital, Nicosia

@highlight

New cafes and galleries are bringing life to the city, and with it hope of reconciliation