Norman, Oklahoma (CNN) -- On Tuesday morning, the residents of Moore, Oklahoma, woke again to another nightmare.

In the past 14 years, Moore and its nearby neighbors have been subjected to devastation from three major tornado events.

The latest chapter in this nearly unimaginable history was the EF5 tornado that claimed the lives of 24 people and injured hundreds. But how unusual is this tornado in context?

While the frequency is unusual, especially over such a short period, the actual tornado is less of an anomaly. Over the same 14 years, there were a number of similar events.

The Joplin, Missouri, tornado of May 22, 2011, destroyed 25% of the town and killed 158 people. The path length for the Joplin tornado was similar in length and width, about 20 miles long and 1.5 miles wide.

The "original" Moore tornado on May 3,1999, was rated F5 (NOAA now uses the enhanced Fujita scale, called the "EF" scale). It killed 36 people in Moore and had a similar path length.

On April 27, 2011, fifteen EF4 and EF5 tornadoes tracked across Mississippi and Alabama -- many having damage tracks that extended for dozens of miles.

So while horrible and sad, this extreme class of tornado occurs regularly in the United States. And when these tornadoes travel across populated areas, we see their awesome power at its worst.

So what do we know about the conditions that cause these violent storms?

First, the atmosphere must be what is called potentially unstable. Potentially means the atmosphere must first build up heat and moisture near the ground, like fueling the gas tank of your car for a long trip.

Unstable means that if an imaginary balloon filled with air from near the ground were to be lifted upward, colliding with some weather feature such as a cold front, the "balloon" would become warmer than the surrounding air at that level. The initial "push" upward by the cold front on that balloon filled with surface air is like a child letting a helium-filled balloon go -- it just keeps rising.

The difference is that on these violent tornado days, the balloon does not just rise in a leisurely way. It slingshots upward, especially when the air inside cools enough to condense all the water vapor it carries.

It's the extra heat released when the water vapor condenses that is like a driver flooring a car's accelerator. The balloon of surface air quickly reaches speeds of 100 to 150 mph going straight up!

Our "balloons" -- meteorologists call them "updrafts" -- are the engines of the storm. The energy released in the updrafts then interacts with our second ingredient needed for violent tornadoes, the change of the wind direction and speed at you go upward from the ground.

Anyone who has flown knows that the wind speed increases with height. These violent storms almost always require that the wind speeds increase from 20 mph on the ground to more than 100 mph (horizontally) aloft.

Spin in the storm's updraft is enhanced when the air entering the base of the updraft is from the south, while the winds further aloft are flowing from west to east. This is the so-called jet stream, the fast river of air that helps drive our weather, which interacts with the storm's updrafts to create a spinning column of air.

It is this updraft spin, or mesocyclone, that creates the tornado.

When the updrafts are strong and the wind shear large, the spin inside the mesocyclone becomes very fast. And in the most extreme cases, a violent tornado is born beneath that spinning white cloud of updraft that meteorologists call the supercell thunderstorm.

So how well can we predict these storms?

Tornado deaths during the past 50 years have declined considerably, indicating our forecasting and warning skill has improved considerably.

The deployment of the Doppler radar system in the early 1990s by the National Oceanic and Atmospheric Administration extended tornado warning lead times from five minutes to their now-annual average of 12 to 14 minutes. But other factors have improved warnings as well since then.

During the past 20 years, supercell thunderstorms have been the focus of intense academic and government research to understand how they work and how they produce tornadoes.

Two major field programs have studied these storms using dozens of mobile weather stations, aircraft and Doppler radars. The result from all these years of research and training was displayed Monday. Forecasters from the National Weather Service Office in Norman, Oklahoma, were very aware that the atmosphere in and around central Oklahoma had all the ingredients for significant tornadoes.

Knowing that the atmosphere could produce a strong tornado, they immediately issued the tornado warning as soon as the Doppler radar started to show low-level rotation within the storm.

This warning was 16 minutes before the touchdown of the Moore tornado outside of Newcastle, Oklahoma, and nearly an hour before the end of the tornado some 20 miles away.

Undoubtedly, the long lead time saved countless lives. I'm one of a number of researchers at NOAA who are working on ways to combine all of the environmental, radar and other weather data into a computer model that will attempt to predict when the tornado will develop and how strong it will be as much as an hour in advance.

This "Warn on Forecast" concept, while showing promise, is still years away from being a reality.

So until then, when you hear the tornado sirens or tornado warning, take cover immediately. Like the people in Moore, your life may depend on it.

The opinions expressed in this commentary are solely those of Louis Wicker.

@highlight

Author: Hard to fathom three major tornado events have hit Moore, Oklahoma, in 14 years

@highlight

He says it's not unusual for an extreme tornado to strike the Midwest

@highlight

A tornado can form when a sharp updraft meets faster winds of the jet stream

@highlight

Predictions have improved, but research may yield further advances, he says