(CNN) -- A new battle has erupted on the global stage over the future of free speech. Its epicenter moved to the U.N. General Assembly, where world leaders expounded on the great issues of the day.

The annual U.N. gathering came just days after a chain reaction of ferocious protests in Muslim countries against a video on YouTube insulting Islam. Reaction to the video led to the deaths, at last count, of more than 50 people, including the U.S. ambassador to Libya, Christopher Stevens.

So, the hateful video and the mass violence became an inescapable topic at the United Nations. And yet there was intense disagreement about what exactly was troubling about the events of the last few weeks and what action they demand.

In the view of some Arab and Muslim leaders, the time has come to draft new international rules limiting free expression for the sake of preventing insults to religions. The head of the Arab League, Nabil Elaraby, called for "criminaliz(ing) acts that insult or cause offense to religions."

This move to impose anti-blasphemy laws should come as a call to action for democracy advocates everywhere: Freedom of speech, a most fundamental of human rights, a cornerstone of democracy, has come under international attack.

Certainly, non-Muslims living in some of those countries have had nightmarish experiences with them as the bans are used to target minorities and government critics. Among political leaders, however, the idea appears popular.

The anti-Islam video itself has apparently caused more anguish than the ensuing killings. Or at least it has seemed politically expedient to create that impression.

Afghan President Hamid Karzai, for example, declared, "The world is shaken by the depravity of fanatics who have committed acts of insult against the faith of over 1.5 billion Muslims. We strongly condemn these offensive acts, whether it involves the production of a film, the publication of cartoons, or indeed any other acts of insult and provocation. Such acts can never be justified as freedom of speech or expression."

The emir of Qatar, Sheikh Hamad bin Khalifa al-Thani, noted he "firmly" believes in free expression, explaining, "freedom should not cross reasonable limits and become a tool to hurt and insult the dignity of others and of religions and faiths and sacred beliefs as we have seen lately, which regrettably led to the killing of innocent people who have not committed any crime." He thus blamed the film, rather than those who committed the killings.

During a time such as this -- when new democracies are taking shape in the Middle East, and people everywhere are giving serious thought to what kind of system, what kind of laws and what kind of societies they want to live in -- the debate could hardly matter more. That's why it was heartening to hear President Barack Obama mount a spirited defense of free expression.

Obama staked out a position that is generally accepted in Western democracies, and enshrined in the Universal Declaration of Human Rights. "I accept that people are going to call me awful things every day," he said, "and I will always defend their right to do so." He added, "Americans have fought and died around the globe to protect the right of all people to express their views -- even views that we profoundly disagree with." And he made the fundamental argument that "the strongest weapon against hateful speech is not repression, it is more speech."

The U.S. president's professorial defense of the admittedly complex case for allowing people to say offensive things came as a refreshing change from America's international campaign of contrition for the offending video, which seems less than consistent with its belief in free speech.

It is appropriate for American leaders to explain they found the anti-Islam film reprehensible. But additional steps, including the spending of $70,000 in U.S. taxpayers' money for an ad campaign in Pakistan rejecting the video, is a step too far, especially considering that the riots that followed were to a large degree a result of political manipulation.

Washington's campaign blurred the basic point and confused America's position. More than anyone, that hurts the efforts of the brave advocates for human rights in Arab and Muslim countries, who have been badly outnumbered and outmaneuvered in the aftermath of the Arab uprisings.

Obama's U.N. speech should mark the start of a push for more, not less free speech throughout the world. And every effort to limit it under the guise of defending the feelings of followers of any religion must be met with the strongest possible resistance.

It is not coincidental that many of the same countries where large demonstrations erupted in recent weeks are places where religious freedoms do not exist, where Christians have come under attack and Jews are insulted and threatened routinely and without consequence.

Muslim states have tried before to push a "Defamation of Religion" resolution at the United Nations, just as religious and political leaders, seeking to bolster their popularity, issued fatwas calling for the religiously sanctioned assassination of artists whose work they deemed offensive.

Just as the fury over the anti-Islam film raged, the bounty for killing Salman Rushdie, the Indian-born British writer, was boosted to more than $3 million. Rushdie was sentenced to death by Iran's Ayatollah Khomeini in 1989 because the imam deemed one of Rushdie's novels, which surely the ayatollah never read, offensive enough to merit death to the writer.

Blasphemy laws exist in a number of countries. One can argue it's their right to enact the laws they see fit -- even though they violate international agreements. But they most decidedly should not be allowed to alter international agreements establishing the right of free expression for all human beings.

If Muslims are offended by distorted perceptions of their religion, by all means they should fight back. They should launch a campaign to educate the world about Islam. I believe their campaign would prove greatly successful.

The right response to stupidity, prejudice and hatred is shining a light on the truth. That has a way of highlighting the stupidity of the bigots. It may not end all dumb and offensive films, but it will ensure that the people who espouse offensive ideas remain a despised, marginalized and powerless minority.

In this new battle on the global stage over the future of free expression, the bigots will only lose if free speech wins.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: A recent anti-Islam video became an inescapable topic at the United Nations

@highlight

Ghitis: Some leaders say we should limit free speech to prevent insults to religions

@highlight

She says calls for anti-blasphemy laws should alarm democracy advocates

@highlight

Ghitis: President Barack Obama is right to defend free speech and U.S. should push for it