The massive hurricane barreling toward the East Coast has both presidential campaigns throwing out their fourth-quarter playbooks, canceling events in the storm's track and attempting to balance last-minute intensity with a show of compassion for people whose lives could be upended.

On Sunday, politicos from both sides said it was still too early to tell how the storm would affect the race, but that access to voting centers would be a concern if effects from the storm persist until Election Day.

"I don't think anybody really knows," top Obama adviser David Axelrod said on CNN's "State of the Union" about the potential political impact of Hurricane Sandy. "Obviously, we want unfettered access to the polls because we believe that the more people come out, the better we're going to do, and so to the extent that it makes it harder, you know, that's a source of concern. But I don't know how all the politics will sort out."

Live blog: Hurricane Sandy

Virginia's Republican governor said Sunday his state would take measures to ensure residents are able to vote, despite potential obstacles brought on by the storm.

"We'll be ready, but we're planning for contingencies if there's still a problem," Bob McDonnell said on "State of the Union." He said his state would "absolutely" make polling centers such as schools and fire stations a top priority for restoring power should widespread outages occur.

Another Virginian, Democratic Sen. Mark Warner, predicted on Fox News the "storm will throw havoc into the race."

Obama, Romney campaigns cancel events ahead of hurricane

In Virginia, the effects of a major storm could linger until Election Day. Hundreds of thousands of customers in Northern Virginia lost power for more than week after Hurricane Irene in August 2011 and again in June after a powerful complex of thunderstorms called a derecho moved through. Residents' priorities might still be dealing with the storm's aftermath rather than a trip to the polls.

Virginia offers early absentee voting only with an excuse, unlike other states that offer less restrictive ways to cast ballots before November 6. That means the race in the commonwealth will be won or lost on Election Day.

North Carolina and Maryland, two other states in the storm's projected path, offer in-person early voting, which has benefited Democrats in the past. Martin O'Malley, Maryland's Democratic governor, canceled early voting on Monday in his state.

In Delaware, New York, Massachusetts, Connecticut and Rhode Island, residents only have the option of voting early by mail.

Hurricane Sandy: 5 things to know

Sen. John McCain, R-Arizona, predicted Sunday the storm could help boost Obama in the eyes of voters, but said he doubted the image of a strong leader would sway voters after months of campaigning.

"I think that the president of the United States is the commander in chief," McCain said on CBS. "The American people look to him, and I'm sure he will conduct himself and play his leadership role in a fine fashion. So I would imagine that might help him a little bit. But I'm not sure it will affect votes.  People have been exposed to this very long campaign."

Obama is being briefed regularly on the storm's path, White House officials say, and he will balance his campaign with his responsibilities as president.

"This is an example yet again of the president having to put his responsibilities as commander in chief and as leader of the country first while at the same time he pursues his responsibilities as candidate for election," White House spokesman Josh Earnest said Friday.

In a statement Sunday at the headquarters of the Federal Emergency Management Agency, Obama warned Americans in the storm's path to prepare.

"This is a serious and big storm," Obama said at FEMA, adding "you need to take this seriously and take guidance from state and local officials."

Obama advises preparedness ahead of storm

While Obama will balance governing and campaigning this week, Romney will also face the task of adopting the right tone during a time of crisis for a large chunk of the East Coast.

A top Republican conceded even "weather-safe" swing states such as Colorado and Ohio might be difficult campaign stops for Romney if Hurricane Sandy devastates the Eastern Seaboard with widespread injuries, deaths or life-threatening situations. Disasters, natural and otherwise, are always a difficult balancing act for politicians of all stripes who don't want to be seen as uncaring, even if there is little for them to do.

"It gets tricky," the source conceded. "Optics are important."

That source said the Romney campaign will "play it by ear" as the storm unfolds.

Romney campaign spokesman Kevin Madden said Sunday afternoon that campaign workers in Virginia "are doing as much as they can to help with relief efforts."

The former Massachusetts governor and the president have already canceled stops in Virginia, a pivotal swing state expected to be hard hit. Vice President Joe Biden canceled a Saturday event in Virginia and one scheduled for Monday in New Hampshire. Both campaigns cited a desire not to use resources better targeted toward pre-storm preparations.

Crowley: Sandy introduces big unknown into campaign

Ann Romney, who was slated to campaign in New Hampshire on Monday, canceled her events, and the Romney campaign said the bus that was to be used for her visit would instead be deployed for "relief efforts throughout the East Coast." Both campaigns said they were suspending fundraising e-mails to supporters in Virginia, Pennsylvania, North Carolina, New Jersey and the District of Columbia.

Obama canceled trips to the battlegrounds of Ohio and Colorado to stay in Washington and monitor the oncoming storm, though a campaign trip to Florida remained on the president's schedule for Monday.

Romney is scheduled to campaign in Ohio, Iowa and Wisconsin on Monday, then in Ohio on Tuesday. A Romney campaign stop scheduled for Tuesday in New Hampshire was canceled late Sunday afternoon, the campaign announced in an e-mai.

Opinion: How Sandy will test Obama, Romney

Madden said the campaign would continue to update Romney's calendar, based on where the storm goes.

"The schedule we have locked down for now are in states that are not directly impacted by the storm," he said. "But, again, we're going to continue to update it. We're going to continue to monitor the situation and stay in close contact with folks that are in the states that have the best information."

This is the second time the campaign has been affected by a major weather event. Hurricane Isaac forced the cancellation of the first day of the Republican National Convention in Tampa, Florida, in August.

Asked whether the Romney campaign felt snake-bitten by Mother Nature, Madden said, "Well, there's certain things we can't control and nature's one of them. So we just try to have focus on what we can control and part of what we can control is making sure that safety is a priority for the people that are in harm's way in some of these states that are going to be directly impacted and so that's a top concern and it'll remain a top concern."

While the political experts navigated the ramifications of the storm, at least one campaign had more practical matters in mind. Tim Kaine, the Democratic Senate candidate in Virginia, e-mailed supporters to ask them to take their yard signs down during the storm, lest they become projectiles.

@highlight

Romney and Obama campaigns cancel events because of hurricane

@highlight

Access to voting centers is a concern if storm's effects linger until Election Day

@highlight

Virginia governor: Measures will be taken to ensure residents are able to vote

@highlight

McCain: Obama's commander in chief role could help him, but only a little