WASHINGTON (CNN)  -- President Obama on Tuesday vowed to invest the resources needed to address the threat posed by drug traffickers in Mexico.

A police convoy moves in Ciudad Juarez, Mexico, last month, across the U.S. border from El Paso, Texas.

"We are going to continue to monitor the situation, and if the steps we have taken do not get the job done, then we will do more," he told reporters Tuesday night.

He praised the efforts of Mexican President Felipe Calderon to counter drug cartels, which "have gotten completely out of hand," but said the United States must take further steps, such as ensuring that illegal guns and cash do not flow from north of the Rio Grande to the cartels in Mexico.

"That's what makes them so dangerous," he said.

Obama's remarks came hours after Homeland Security Secretary Janet Napolitano announced that the United States is sending hundreds of federal agents and crime-fighting equipment to the border.

The renewed push for stronger law-enforcement presence along the border comes as the administration tries to help the Mexican government break up drug cartels blamed for killing some 6,500 people in Mexico last year, Napolitano said.

"Our role is to assist in this battle because we have our own security interests in its success," Napolitano said at the White House.

In an interview with CNN later Tuesday, she said, "It's all about border safety and security and making sure that spillover violence does not erupt in our own country."

The new federal plan, developed by the departments of Justice and Homeland Security, calls for doubling the number of border security task force teams and moving a significant number of other federal agents, equipment and resources to the border. It also involves greater intelligence sharing aimed at cracking down on the flow of money and weapons into Mexico that helps fuel the drug trade, senior administration officials said.

The plan commits $700 million to bolster Mexican law enforcement and crime prevention efforts. The funds will provide, among other things, five new helicopters to increase mobility for the Mexican army and air force as well as new surveillance aircraft for the Mexican navy.

The funds also will support enhanced communications technology for Mexican prosecutors, law enforcement and immigration officials.

The $700 million allocation, meant to assist what administration officials described as an "anti-smuggling effort," will complement ongoing U.S. aid to Mexico under the Merida initiative: a three-year, $1.4 billion package aimed at helping Mexico fight the drug cartels with law enforcement training, military equipment and improved intelligence cooperation.

The money was allocated last year, but Tuesday's announcement brought the first details of how some of that money will be spent.

On the U.S. side of the border, more funding will support "prosecutor-led, intelligence-based task forces" that bring together the Department of Justice, the Department of Homeland Security and other agencies to dismantle drug cartels through investigation and extradition and the seizure and forfeiture of assets, Deputy Attorney General David Ogden said.

"As we've found with other large criminal groups, if you take their money and lock up their leaders, you can loosen their grip on the vast organizations that are used to carry out their criminal activities."

To help strengthen the U.S. side of the border further, the administration also plans to triple the number of Department of Homeland Security intelligence analysts dedicated to stopping Mexican-related violence.

It also will increase the number of immigration officials working in Mexico, double the number of "violent criminal alien" teams on the border, strengthen the presence of border canine units and quadruple the number of border liaison officers working with Mexican law enforcement.

It also will make an additional $59 million in federal funds available to support state, local and tribal border law enforcement operations.

At the same time, more agents from the FBI, Drug Enforcement Administration and Bureau of Alcohol, Tobacco and Firearms and Explosives will be deployed to the border region. The agents will be given updated equipment and surveillance technology to help track the movement of cash, drugs and weapons.

At a congressional hearing in Washington on Tuesday, Phoenix, Arizona, Mayor Phil Gordon called the administration's initiative "a great first step," but added, "it's a drop in the bucket in terms of what is needed."

Phoenix finds itself at the center of a "perfect storm" of drug runners and human smugglers, he said. While most traditional crimes are down, crimes such as drug-related kidnappings and torturing are overwhelming Gordon's police department.

"Most nights we have over 60 Phoenix police officers (and) some federal agents rushing to rescue those on a reactive basis," Gordon said.

Texas Gov. Rick Perry has also sought additional help for his state.

Last month, Perry said he asked Napolitano for aviation assistance and "1,000 more troops that we can commit to different parts of the border."

Perry said it didn't matter to him what kind of troops came.

"As long as they are boots on the ground that are properly trained to deal with the border region, I don't care whether they are military troops, or National Guard troops or whether they are customs agents."

Last week, a Perry spokeswoman said that federal border protection had been underfunded for some time and that the 1,000 extra troops Perry requested would fill in gaps that state and local agencies have been covering.

The announcement comes shortly ahead of planned trips by three Cabinet secretaries to Mexico before Obama visits there next month. Secretary of State Hillary Clinton goes to Mexico City this week, to be followed next week by Napolitano and Attorney General Eric Holder.  Watch as the plan is unveiled ahead of Clinton's visit to Mexico »

Napolitano and Deputy Secretary of State Jim Steinberg both emphasized the cooperation and "courage" of Calderon during the news conference announcing the policy changes. Calderon has been pushing back against U.S. criticism of drug cartel-related violence lately, arguing that the U.S. needs to take more responsibility for the outbreaks.

In his speeches and other public remarks, Calderon repeatedly has pointed out that much of the demand for drugs and most of the weapons used by narco-traffickers comes from the United States.

A prominent Washington-based gun control advocacy group released a report Tuesday backing Calderon's assertions regarding weapons trafficking.

The report from the Brady Center to Prevent Gun Violence asserts that Mexican drug gangs have exploited weak American gun laws and corrupt gun dealers "to amass arsenals of high-powered guns that have killed thousands and pose an increasingly grave security threat to Mexico and the U.S.," according to a statement from the organization.

CNN's Elise Labott contributed to this report.

@highlight

NEW: Obama says plan seeks to halt weapons from entering Mexico from U.S.

@highlight

Homeland security chief says plan tries to prevent "spillover violence" in U.S.

@highlight

More federal agents, equipment and resources to be moved to Mexican border

@highlight

Gun control advocacy group says Mexican drug gangs exploit weak U.S. gun laws