(CNN) -- When the news came, Darrell Griffin hurled the phone.

Darrell Griffin captured a moment with his son three years before Skip's death in March 2007.

Then he got in his car and navigated the madness of Los Angeles highways, thankful only for the time it gave him to think about what he would say to his family. Later, consumed with the grief of losing a son, Griffin drew the drapes in his bedroom and made his world mimic the darkness in his heart.

After he buried Darrell "Skip" Griffin Jr. and after the sympathy calls faded, the elder Griffin, like every American who has ever lost a beloved soldier, struggled to resume life's normal rhythms.

But this is where Griffin's journey veered from others and took a twist so unique that it made the U.S. Army bend its rock-hard rules. The 55-year-old accounting consultant, who opposed Vietnam and had never served in combat, traveled to the epicenter of the Iraq war. There, he would trace his son's last days.

The result, "Last Journey: A Father and Son in Wartime," is a common story about a father-son relationship, told in an uncommon way.  Listen to Darrell Griffin read excerpts from his son's journal »

The education of a warrior

Griffin's eldest son joined the Army for all the reasons listed on recruitment posters. He wanted to serve his nation and straighten himself out in the process.

He became a soldier's soldier: never disobeyed an order and went beyond the call of duty. He served two tours in Iraq and was awarded a Bronze Star with Valor for dragging a fellow soldier to safety through a hail of enemy gunfire.

The father who had avoided the draft during Vietnam by joining the National Guard understood that the Army was his son's way of helping others.

He had been a rebellious child and often spent long hours in detention, where he read voraciously: Nietzsche, Descartes, Herodotus, Plato. In Iraq, he would rely on intellectual writings to ponder lofty concepts like what constitutes a just war.

Both Griffin men had misgivings about Iraq and whether it was the right place to battle radical Islam.

Skip began a conversation with his father.

What would it feel like to kill?

"The whole thing about philosophy is that it leads to more questions," Griffin recalled. So it was OK for his son, the tough staff sergeant who had the words "Malleus Dei" ("God's hammer") stenciled on his equipment, to question the war.

At his father's urging, Skip began to record his experience. He started a blog.

He snapped a photo of the first man he shot: 12:33 p.m. April 21, 2006, according to the time stamp on his camera. The man wore a blue sweater and a white jacket that turned crimson.

Skip spoke to his father, often in e-mails, about that kill, about every subsequent one and about all the ugliness he witnessed in a faraway land.

December 9, 2006: "This is no way for a human being to live; living with violence and intrigue on every street corner, where you can't even trust your own neighbors for fear that they might be someone on the opposing side. Once again I had to push this heartbreaking thought deep into my heart because I was a Squad Leader leading nine heavily armed young men and trying to bring them home alive."

Several weeks later, Skip's unit was in the thick of battle in the Shiite heartlands of Najaf and Karbala. He wrote home about "apocalyptic" battles in which he saw "hundreds of blown apart bodies."

January 30, 2007: "Dad, I have seen what hell must be like when we assaulted this compound. ... There were fathers bringing up their dead babies to me and shoving them into my arms for help."

When Skip came home on leave, father and son talked over a bottle of Merlot. Griffin noticed what so many other parents do about their war-weary children. Skip was as loving as ever, but the killing had changed him.

"He seemed to have a need to constantly play certain scenes over again in our conversations," Griffin would later write. "As we dissected these scenes into smaller and smaller pieces, his feelings of guilt began to percolate to the surface. Still, he always ended every talk with: 'Dad, I love you.' "

Skip wanted to pen a book of his musings on war. But his work was left unfinished when he was felled by a sniper's bullet March 21, 2007.

Embedding with his son's unit

After the funeral, Griffin knew that he had to finish the book as a final gift to his son. He also knew that it would have to be radically different than the philosophical essays Skip had envisioned. It would have to focus on Skip's death.

From the military, Griffin had received skimpy incident reports and the results of an autopsy. The only way he could fully tell his son's story would be to travel to Iraq and spend time with Skip's unit.

"I had to do it," Griffin said. "My life was incomplete. My son's life was incomplete."

Griffin wrote to everyone he could think of to enlist help, including Gen. David Petraeus, then the commander of U.S. forces in Iraq. Petraeus told Griffin that he was asking for the near-impossible, especially since military operations in Iraq were in high gear.

Amazingly, a few weeks later, Griffin found himself on a C-130 transport plane from Kuwait to Baghdad. He would join Skip's unit in the 2-3 Stryker Brigade, at a base near the Baghdad airport.

"I was very impressed by Mr. Griffin's determination and commitment to finish what his son had begun and to spend time with his son's former unit to do it," Petraeus told CNN. "In my view, his situation was truly unique, and thus it was one in which we decided to make an exception to normal practice."

Griffin landed in Baghdad with a fear that transcended roadside bombs and mortar rounds. How would his son's unit treat him? What would he say? What would he ask?

He took care to refer to his son as "Griff." That's how his Army buddies knew him. He slept on a cot in a metal containerized housing unit just as his son had. He heard the gravel crunch under his boots as he walked through the base, following his son's footsteps.

Despite the awkwardness, the soldiers opened up. Griffin could tell they were hurting, too. "It was bound up in them," Griffin said. "They wanted to talk about it and get it out." Sometimes, they shut the video camera off and just cried together.

Griffin's commitment to the book helped shield him from the painful details he was about to learn, the story of his son's last day.

Skip was standing in the hatch of a Stryker armored vehicle, just 15 minutes outside the gates of the base. The familiar rat-a-tat of small arms fire filled the air. Confusion reigned. Sgt. Christopher Pacheco noticed that Skip's legs were limp.

The soldiers pulled his body back into the vehicle and desperately wrapped his head with gauze to stop the blood. Skip's breathing was labored, erratic.

He was transported to a combat hospital but died before he could be airlifted to Balad Air Base, where a specialist in head trauma waited.

"Last Journey: A Father and Son in Wartime" has received warm reviews. In the seventh year of the war, myriad books on Iraq have sprouted on store shelves. But this has been lauded for its unique voice.

These days, Griffin attends events celebrating his work and regularly visits Skip's grave at Los Angeles National Cemetery, where a headstone reads:

"Darrell Ray Griffin Jr

S Sgt

U.S. Army. Iraqi Freedom

Mar 13 1971 - Mar 21 2007

BSM w V PH KIA

Beloved husband son and brother"

The elder Griffin is glad he fulfilled his promise and was able to tell his son's story beyond the facts spelled out on a cold grave. He looks to the heavens and knows his son is smiling down at him, saying "Dad, we did it."

@highlight

Soldier's book was left unfinished when he was killed in Iraq

@highlight

His father was determined to complete the project

@highlight

He knew he had to journey to Iraq to tell his son's story

@highlight

Book published this year is a father's final gift to his son