Washington (CNN) -- "When Dr. Johnson defined patriotism as the last refuge of a scoundrel, he was unconscious of the then undeveloped capabilities of the word 'reform.'"

So quipped U.S. Sen. Roscoe Conkling of New York 130 years ago. The particular reform that irked Conkling was the then-novel proposal to eliminate patronage in federal civil service hiring.

Conkling lost his argument and lost his battle, but his quip endures -- and applies much more aptly to today's most discussed "reform": immigration reform.

"Immigration reform" is a deliberately ambiguous phrase, a phrase used equally by opposite sides in the immigration debate. Those who want amnesty for illegal immigrants call themselves "reformers." So do those who want stricter enforcement of the laws against illegal immigration.

But there's a third group to be heard, and these are the people who validate Conkling's cynical remark: the group of "reformers" who want to expand and enlarge guest worker programs.

The United States is entering its sixth year of extraordinarily high unemployment. Twelve million Americans who want work cannot find it. Millions more have quit searching. Slack labor markets have depressed wages throughout the economy.

Here's the picture that's worth a thousand words, from an economic commentary by Margaret Jacobson and Filippo Occhino for the Federal Reserve Bank of Cleveland.

Whichever of the two competing data series you use, wages account for a substantially lower share of national income today than at any point since World War II, when record-keeping began.

Yet even these dismal findings understate the problem. Remember, "labor income" includes all salary income, including the salaries of the most highly paid, the famous 1%, who have enjoyed the benefit of almost all productivity gains since the 1990s. The wage situation of the typical worker looks even worse than the chart implies.

Whatever else you say about the U.S. economy of the 21st century, it cannot be described as suffering from labor shortages.

Yet however little workers earn, there is always somebody who wishes they earned even less. And for those somebodies, the solution is: Import more cheap labor. But not just any cheap labor -- cheap labor that cannot quit, that cannot accept a better offer, that cannot complain.

Bonded labor is the oldest idea in American labor markets. In the 17th and 18th centuries, about half the British migrants to the United States arrived as indentured servants, people who agreed to work for a term of years in exchange for food, lodging, and the cost of their passage. Perhaps you assumed that such arrangements had expired centuries ago? Think again.

The March 8 Wall Street Journal tells the story of 14 foreign students who entered the United States on "J" class visas, which allow three months of work to support student study and travel.

"'Since I got to the States, I have been working just to pay to live in a basement,' says Mr. Rios, who arrived in mid-December and shares the one-room space with five other foreigners who work at the same outlet. He said he worked about 25 hours a week earning $7.25 an hour and Mr. Cheung, his boss, deducted weekly rent of $75 from his pay. ... Kah Inn Lee, a 23-year-old student from Malaysia, said a curtain separated the men's and women's beds in the tiny basement she shared with seven other students in a house owned by Mr. Cheung's son. Earning about $250 a week, she calculates she is in the red after paying for housing and food. To travel after completing her assignment at McDonald's, which ends this weekend, she has asked relatives to wire her money."

Stories like this are often told about the J-1 visa program, which brought about 109,000 students to the United States in 2011.

The Associated Press reported on the program last year: "In August 2011, dozens of workers protested conditions at a candy factory that contracts to pack Hershey chocolates in Hershey, Pa., complaining of hard physical labor and pay deductions for rent that often left them with little money. Then in December, a federal indictment accused the mafia of using the cultural exchange program to bring Eastern European women to work in New York strip clubs."

J-1 visa workers have told investigators that deductions for rent and food reduce their earnings to zero. They have described sexual abuse and exploitation. The State Department has proposed some changes to the program, but -- well, let Alaska's KTVA Channel 11 tell the rest of the story.

"Many seafood processors in Alaska rely on foreign students to fill their seasonal employment needs. Now there is uncertainty in the industry because of proposed changes to the foreign worker visa program. These changes could take effect as soon as this spring.

"The federal government wants to remove some jobs offered to foreign students who want to work in the U.S. on a J-1 visa. They include jobs in factories and manufacturing, a potential change that could hit Alaska's seafood processors hard.

"In a letter Senator Mark Begich wrote to Secretary of State Hillary Clinton last month, he says 'such an abrupt change in the available labor pool just before the start of the salmon season would have immediate negative consequences for the companies, and the fishermen and communities, which depend on their operations,'" KTVA reported.

You might wonder: Are there really no Americans who could do these jobs? The unemployment rate for Alaskans 16-24 years old was over 15% in 2011. Mightn't they want the work? Yes, they might. But the wage for lawful American labor in the seafood-processing industry averages over $10 an hour. Employers can cut their wage costs by almost 25% by using J-1 labor instead, according to one union-backed think tank.

And J-1 labor is not only cheaper, but also often more motivated.

"The J-1 student workers have been a godsend for Nancy Blakey, co-owner of Sno-Pac," reported PRI's "The World." "'They're educated, they're bright, and they're working really hard, long hours,' Blakey said. Alaska fish processors started hiring J-1 students in the 1990s when unemployment was low and they couldn't find American workers. The J-1â€²s are not just hard workers, Blakey said; they're also really interesting.

"'We had a young man come through who was studying nuclear physics. And we were talking, and he loved the beauty of nuclear physics. He was passionate and he was explaining it to me, in his limited English and doing very well. And he was going to be going out to gut fish. I think that's pretty fantastic!'"

The immigration debate is often premised on the assumption that high wages for American workers are a problem to be overcome. If you'll look again at the Cleveland Fed chart above, you'll notice that the collapse in labor's share of national income coincides with the start of the mass immigration influx after 1970. Since then 40 million people have migrated to the United States, most of them very low-skilled. About one-third that number arrived illegally.

Immigration advocates insist that this huge surge of cheap labor has nothing to do with the persistent decline in wages that began about the same time. If so, that's one hell of a coincidence. With President Obama proposing accelerated flows of immigration in future, American workers should ready themselves for more coincidences ahead.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Immigration "reform" is a deliberately ambiguous phrase

@highlight

For some employers, immigrants represent a source of cheap labor, he says

@highlight

Frum: Big wave of immigration coincides with decline in labor's share of economy

@highlight

America doesn't have a labor shortage, but wages may be too low, he says