(CNN) -- It's hard to believe it's been 30 years since E.T. and Elliott took a ride across the moon.

As Henry Thomas, who played Elliott in the movie "E.T.," said, "ironically enough, even with today's technology and knowledge of movie magic, people still ask me how they made the bike fly. They used a blue screen and rear projection. It's an old trick."

Steven Spielberg's "E.T. The Extra-Terrestrial" was the biggest blockbuster of 1982, winning four Academy Awards. It remains the fourth most-successful movie of all time in the U.S.

"E.T." even surpassed "Star Wars" as the highest-grossing film of all time and wasn't beat until another Spielberg film came along: 1993's "Jurassic Park."

One of the reasons "E.T." remains timeless is because it wasn't supposed to be an effects-heavy film. Memorable visuals, like the bicycle scene, were seamlessly woven in. Spielberg didn't want audiences "ooohing" and "aaahing" over special effects. He simply wanted it to look like he'd shot a perfect night moon, because he did just that. That was the real moon. The visual effects team spent several nights charting the moon and scouting locations for the perfect spot in the forest at the perfect time.

Thomas, who was 10 years old when he made "E.T.," said he'll never forget the distinct smell of the Culver City soundstage.

"Soundstages have a very particular smell," he explained, "and to this day whenever I have that, it takes me back to those days, because those are pretty much the first memories I have of working on a set."

Thomas, now 41, described the smell as "a combination of new lumber, cigarette smoke and fog machines. They used a lot of atmospheric fog."

He also recalled eating Reese's Pieces by the fistful. In the film, Elliott lures E.T. into his house by leaving a trail of the candy.

"I made myself sick from eating them because we always had those 2-pound bags lying around," Thomas said. "They were set dressing in Elliott's room, so in between takes, I was constantly eating those things. In fact, when I saw Steven -- we did an interview together earlier this year -- and when I saw him, I said something about how I ate too many of those things, and he said, 'Oh, yeah, I know you did. You were eating those way too much.' "

Producers originally wanted to use M&Ms, but parent company Mars Inc. passed.

On a more sentimental note, Thomas believes that the reason "E.T." still resonates with audiences today is because "people respond to the message of compassion and friendship. It's a simple, very human thing."

Actress Dee Wallace, who played Elliott's mother, Mary, said, "it's our 'Wizard of Oz,' and it's something that every generation wants to pass down to the next generation and share with it and tell the stories about."

Wallace said she believes "E.T." remains a global cultural phenomenon because "it's all about love and keeping your heart open. And when you do that, even the little alien from outer space can be your best friend."

In a recent interview featured on the new 30th anniversary "E.T." Blu-ray/DVD, Spielberg said that the idea for "E.T." came to him when he was directing 1977's "Close Encounters of the Third Kind." He thought of doing a scenario where the alien didn't return to the mothership. He'd also wanted to make a film exploring how divorce impacts pre-teens. (The director himself endured his own parents' divorce when he was 15.)

So in collaboration with screenwriter Melissa Mathison, Spielberg combined those two ideas to create "E.T.'s" sweet story about a lonesome boy rescued -- by an alien -- from the sadness of his parents' divorce.

Referring to "E.T." as "the most personal thing I'd done as a director," Spielberg stated that his intention all along was to tell the tale from the kids' points of view. Except for Wallace's character, "all the other adults are either silhouetted, shot at a long distance or from the waist down," said Spielberg, "until the critical moment where E.T. is dying, and then for the first time, we see the character of Keys."

Spielberg also noted that working with Thomas, a then-6-year-old Drew Barrymore (Gertie) and 15-year-old Robert McNaughton (Michael) made him want to be a father.

The director recalled viewing a number of early concept sketches before committing to E.T.'s look. He was adamant that the little alien not resemble a monster. Interestingly enough, the director envisioned a combination of Albert Einstein, Ernest Hemingway and Carl Sandberg, because he wanted E.T.'s oversized eyes to look "as wizened and as sad as those icons."

E.T. began shooting in September 1981 and wrapped that December. It was filmed under the code name "A Boy's Life" because Spielberg feared plagiarism of the plot. Actors were instructed to read the script behind closed doors; everyone on-set had to wear an ID card.

Most of E.T.'s voice work was performed by an elderly woman named Pat Welsh, whose two-pack a day smoking habit gave her voice the deep quality Spielberg had envisioned. However, there were 18 contributors to E.T.'s voice in total.

To create sounds ranging from E.T. talking and breathing to snorting and drunkenly burping, the contributors included Spielberg himself, sound effects creator Ben Burtt's sleeping wife who had a cold, a burp from a University of Southern California film professor, raccoons, sea otters, horses and actress Debra Winger's signature husky voice. (You can't make this stuff up.)

Winger also has a cameo in "E.T." during the trick-or-treating scene. She's dressed as a doctor wearing a monster mask carrying a poodle in a clown costume. (You really can't make this stuff up.) Spielberg gave Winger the "E.T." script and had her record every single one of E.T.'s lines into a tape recorder.

In the scene where government agents have taken over Elliott's home, real doctors from USC Medical Center were recruited to play the doctors who try to save E.T., because Spielberg felt that actors talking about technical medical matters didn't seem natural.

In addition, Spielberg cut a scene featuring Harrison Ford as the headmaster at Elliott's school.

Spielberg recalled receiving "stacks" of congratulatory telegrams upon "E.T.'s" premiere during the Cannes Film Festival in June 1982, but the most treasured one came from Francois Truffaut, who said, "You belong here more than me."

At a White House screening, Spielberg sat next to President Reagan and noted that "the president's face became very childlike. His mouth was open, his eyes were wide, and I suddenly saw a 10-year-old boy."

Thomas added that he is "pleasantly surprised" by the film's resonating success.

"I never really thought when we were filming that it would ever be a success. It literally took until about 10 years ago for me to realize, 'Wow! This "E.T." thing isn't going away.' "

@highlight

Steven Spielberg's "E.T." is celebrating its 30th anniversary this year

@highlight

It remains the fourth most-successful movie of all time in the U.S.

@highlight

The 30th anniversary DVD/Blu-ray includes an interview with Spielberg

@highlight

Henry Thomas: I just realized 10 years ago, "Wow! This "E.T." thing isn't going away."