(CNN) -- It was big news in the tech world -- or at least it would have been if it had been true.

Google, so the story went, had purchased ICOA, a Wi-Fi provider, for $400 million. Some news organizations pounced, with everyone from long-established outlets like The Associated Press to new-media tech blogs like TechCrunch reporting the news Monday.

But hours later, both companies would deny the story, which PR Web, a site that distributes press releases for a fee, says was planted by someone falsely claiming to represent ICOA.

Hoaxes have slipped their way into the public eye for as long as journalism has existed. But media experts say the way bad information spread so quickly casts a light on how reporting can go wrong in the fast-paced world of Web journalism.

Long gone are the days when newspapers and the evening TV news were the only game in town -- when reporters had hours, if not days, to sift through a report before sharing it with the masses. In their place is an info-hungry Web that wants news now and rewards the quick with a currency of page views, Twitter links and Facebook "likes."

"With something like this, there are a lot of blogs and websites that build their reputation on the tech world," said Kelly McBride, a senior faculty member at the Poynter Institute, a nonprofit devoted to the study and teaching of journalism.

"If Google is spending $400 million to buy something, there are people who are expected to have something to say about that and they want to be in that mix."

The Onion: We just fooled the Chinese government!

While a rush to get into that mix as quickly as possible probably played a role, McBride said there were multiple breakdowns in the Google-ICOA nonstory.

The first, obviously, was the person who -- according to PR Web owners Vocus -- impersonated an ICOA representative.

"Vocus reviews all press releases and follows an internal process designed to maintain the integrity of the releases we send out every day," the company said in a written statement. "Even with reasonable safeguards identity theft occurs, on occasion, across all of the major wire services. We have removed the fraudulent release and turned the matter over to the proper authorities for further investigation."

On Thursday, Vocus CEO Rick Rudman published a letter apologizing for the gaffe and promising that the company had improved it's process.

"It's clear that we have to hold our service to an ever-higher standard, so PRWeb will continue to evolve," Rudman wrote. " We will continue to deliver a service that's valuable to our customers, valuable to our readers and valuable to our distribution and media partners -- and we'll work tirelessly to deliver on these promises."

Financial experts say the hoax looks like an illegal effort to inflate ICOA's meager stock. Shares, which trade for a fraction of a penny, jumped in price dramatically Monday and hundreds of millions of shares changed hands before the stock was frozen.

ICOA CEO George Strouthopoulos told Mashable, a CNN content partner, that the release apparently originated in Aruba and was sent from an e-mail account designed to look like an official ICOA address.

But the most damning gaffe may have been PR Web's, McBride said.

Acquired by Vocus in 2006, PR Web aims to compete with the decades-old PR Newswire and other press-release outlets.

"Their quality-control process in printing out press releases obviously has some problems," McBride said. "It's not just that they got 'hacked' -- but that it was a pretty crappy press release."

The release had several grammatical errors, included no contact information for representatives of Google or ICOA, and didn't include biographical information about the companies that is typical in releases from major corporations.

In a post titled "How PRWeb Helps Distribute Crap Into Google & News Sites," Danny Sullivan of Search Engine Land searched PR Web and found one of the Internet's ubiquitous "how to buy cheap Viagra" posts and other content that would seem more at home in a spam e-mail than on a news site.

The final error, McBride said, was on the part of reporters. Whether racing to publish fast or working on analysis of the supposed purchase, news outlets missed what should have been red flags.

"Journalists who were looking at it should have spotted those same weak spots in the press release and questioned whether it was real or not," she said. "Those journalists were relying on PR Web to do that and they shouldn't have.

"It would be easy to conclude that we're all going too fast. But it could be that we placed way too much trust in PR Web ... and assuming it had the same checks and balances and safety nets that other PR wires have."

(Full disclosure: Last year, this reporter, like others at numerous news outlets, was duped by pranksters who created an entire website for a fictional consulting firm to release a phony survey comparing the IQs of users of various Web browsers.)

Perhaps helping push the fake ICOA story, McBride said, was the Web's ability to share news stories in real time.

"Once one organization does it, other organizations tend to place even more blind faith," she said. "Once the AP (for example) does it, then everyone does it."

The Associated Press retracted and issued a correction for the story. When contacted, an AP spokeswoman referred CNN to the wire service's retraction, which cited ICOA and "a person close to Google" as saying the original report was untrue.

TechCrunch apologized to its readers, both owning up to the error and appearing to take a shot at PR Web in the process.

"We were wrong on this post, for not following up with Google and the other company involved but posting rather than ... waiting on a solid confirmation beforehand from either source," read an editor's note atop the original post. "We apologize to our readers, to the companies involved, and we'll be sure to act in a more responsible manner for future stories, rather than trusting the word of a website that doesn't necessarily hold itself up to any journalistic standards."

Forbes and Reuters were among the other news outlets that reported the fake purchase, as were popular tech sites PC Magazine, The Next Web, Business Insider, Engadget, VentureBeat, The Verge and GigaOM. Other outlets, like MSNBC and USA Today, ran the Associated Press account.

@highlight

Fake news report about Google sheds light on Web news pitfalls

@highlight

Press release saying Web giant bought Wi-Fi company was a hoax

@highlight

In rush to publish, many online outlets failed to double-check accuracy

@highlight

NEW: CEO apologizes, promises changes