Washington (CNN) -- Congress will miss President Obama's deadline to enact health care reform by the end of the year, a key Democratic senator said Tuesday.

Illinois' Dick Durbin, the second-highest ranking Democrat in the Senate, said he hopes, at best, to pass the Senate's version of a health care bill by that time.

If the Senate manages to pass a bill, a congressional conference committee would need to merge the House and Senate proposals into a consensus version requiring final approval from each chamber before moving to Obama's desk to be signed into law.

Durbin's assessment came as former President Clinton made a rare visit to Capitol Hill to discuss the health care issue with Senate Democrats.

Clinton tried but ultimately failed to pass a health care overhaul in the early 1990s. The failure is considered one of the reasons for the GOP takeover of Congress in the 1994 midterm elections.

"Whatever their differences are, I just urged them to resolve their differences and pass a bill," Clinton said on Capitol Hill. "I also believe, you know, people hired us to come to work in places like this to solve problems and stand up and do it."

Clinton told the senators that they had a once-in-a-lifetime opportunity to push through a reform package that is crucial to the country's long-term economic health.

"He made a strong case for getting it done this year," said Sen. Ron Wyden of Oregon.

"He is brilliant," said Sen. Kent Conrad of North Dakota. "He is able to penetrate through the fog of policy and politics better than any person I've heard."

Durbin blamed the shifting timeline on a slower-than-expected cost analysis from the nonpartisan Congressional Budget Office on legislation being crafted under Reid's direction. He also cited an uncertain schedule for floor debate.

Durbin said he hopes debate in the full Senate will begin before Thanksgiving.

Senate Majority Leader Harry Reid himself has signaled uncertainty over whether the fractious Senate could meet Obama's goal of passing a bill this year.

Among the many obstacles Reid is facing is whether to include a government-run public option. The majority leader has proposed including an option that would give states until 2014 to decide whether to opt out. But several Democratic moderates -- as well as Sen. Olympia Snowe of Maine, the lone Senate Republican to vote for reform -- have expressed deep reservations over the idea.

Reid has little room to compromise and maneuver. He would need the support of every Senate Democrat and Connecticut independent Joe Lieberman -- an opponent of the public option -- to get the 60 votes necessary to cut off a likely GOP filibuster.

Lieberman has faced a backlash from Democrats and liberal protesters over his threat to filibuster any bill that included a public option.

On Tuesday, police arrested six demonstrators in Lieberman's Capitol Hill office after a group protesting his views on health care legislation refused to leave. Lieberman was not there at the time.

A group calling itself the Mobilization for Health Care for All littered the floor and hallway with symbolic "money" and said that campaign donations to Lieberman by the insurance industry have affected his judgment of health care legislation.

The group is upset that Lieberman refuses to support the public option, which they believe would reduce the number of people without health care insurance.

Democrats. meanwhile, could resort to reconciliation -- a budgetary maneuver that would require only a simple majority in the 100-vote chamber -- but such a move would add complications to the legislative process and further erode what is already a poisonous political atmosphere.

Democratic leaders in the House and the Senate, however, have reached agreement on a broad range of changes that could affect every American's coverage.

Among other things, they have agreed to subsidize insurance for a family of four making up to roughly $88,000 annually, or 400 percent of the federal poverty level.

They've also agreed to expand Medicaid and create health insurance exchanges to make it easier for small businesses, the self-employed and the unemployed to pool resources and purchase less expensive coverage.

They'd also limit total out-of-pocket expenses and prevent insurance companies from denying coverage for pre-existing conditions. Insurers would also be barred from charging higher premiums based on a person's gender or medical history.

CNN's Ted Barrett, Dana Bash, Paul Courson, Jill Dougherty, Brianna Keilar and Deirdre Walsh contributed to this report.

@highlight

Dick Durbin hopes to have Senate version of bill passed by end of year

@highlight

President Clinton makes Capitol Hill visit to talk about health care reform

@highlight

Senate majority leader has expressed doubts about passing legislation

@highlight

Public option remains major obstacle to reform measure