(CNN) -- Garrick Utley, who worked as a globetrotting foreign correspondent during the flush decades of network news, has died at age 74 of prostate cancer, his wife of 40 years said Friday.

"He has been fighting -- as you always call it -- prostate cancer for two years," Gertje Utley said. "He had a very, very rare, very aggressive kind."

He died Thursday night at his home in New York overlooking Central Park, she said.

"He was really the old kind of journalist," she said of her husband, who reported from more than 75 countries. "He was the old kind of trenchcoat-clad journalist who wrote his own copy -- always wrote his own copy."

During his early years at NBC, the network did not scrimp on devoting resources to newsgathering, she said. "That's what he always talked about: The early days were the lucky days."

Born in Chicago in 1939 to a radio and television news couple, Clifton and Frayn Utley, Garrick graduated from Carleton College and studied at the Army Language School in Monterey, California, before winning a Fulbright Scholarship and moving to Berlin to study East-West relations, she said.

In 1963, NBC's John Chancellor -- who had worked for Utley's father -- hired him as an office assistant in the network's bureau in Brussels, Belgium, she said.

After NBC News's "Huntley-Brinkley Report" expanded that year from 15 minutes to half an hour, the network was looking for more material, and Utley caught the eye of the brass. "He covered a couple of stories for the Common Market, as it was called then," she said of what is now the European Economic Community, and did some work in London.

"But mainly, within the year, there was this little war going on, and they didn't have a journalist there. So Garrick started the NBC office in Vietnam."

When he arrived in Saigon, the newsman was the bureau's sole occupant. By the time he left a few years later to report from capitals around the world, 20 people were staffing it, Gertje Utley said.

He went on to serve as bureau chief in Berlin from 1966-68 and then in Paris, where he met his wife in 1971. From 1973-79, he was chief foreign correspondent for Europe and the British Isles.

But he returned several times to Vietnam for such key events as the 1968 Tet Offensive and the pullout of U.S. troops in 1973.

They were heady days for foreign correspondents. It was not unusual for NBC to send Utley for three weeks to report a story in China or for two weeks to cover a story in Zimbabwe, his wife said. "It was still the journalism where you actually had to have the knowledge and explain a situation."

Utley prepared to be a man of the world, becoming fluent in German and French and developing a working knowledge of Russian and Spanish, she said.

He was a ubiquitous presence on the network, serving as a weekend anchor of "NBC Nightly News" and a moderator of "Meet the Press," in addition to his work as a correspondent.

But over the years, the network cut its newsgathering resources, she said. "Today, journalism is somebody telling you what you see behind them," she said. "Garrick still gave the background of the political situation and why it is that way. I'm sorry, this is a proud widow talking."

After GE bought NBC in 1986, "he really witnessed the decline," and Utley went briefly to ABC as its chief foreign correspondent, but left after it was bought by Disney in 1996, when its news division endured similar cuts. In 1997, he moved to CNN as a contributor.

"And what a presence he was," CNN Editorial Director Richard T. Griffiths said in an e-mail to colleagues on Friday. "In his calm, measured, voice anchoring on 9/11 and in countless pieces, Garrick delivered thoughtful analysis that always raised the bar.

"Garrick was the consummate gentleman in every encounter. He was relentlessly curious, passionate about storytelling, and unafraid to take on the controversial topics.

"Those here in those days learned so much from Garrick. ... He left a mark. We can all hope to do the same."

But the network did not embrace Utley's tone, his widow said. "He actually was reprimanded for it: 'Garrick, why do you have to be so serious?' "

He carried a serious demeanor throughout his life, said his sister-in-law Carol Marin, a Chicago journalist who is married to Utley's brother Jonathan.

"He was always kind of the grownup in the room, even when he as much younger," she said. "I really think he had a kind of dignity. We saw it in his death, and we knew it in his life."

When he left CNN in 2002, Utley's farewell note cited advice he had received more than four decades before from Chancellor. "Keep your voice low and your sentences short."

"I am not sure how much of a place there is for low, quiet voices in our chosen field today, but brevity is still a virtue," Utley wrote.

"For a journalist, there are few joys greater than the opportunity to craft and contribute reports on subjects ranging from the weighty, to the ephemera of a changing culture. CNN has offered me the opportunity to do so, and for that I am grateful. I will continue in various guises.

"I could go on, but I won't."

Utley's producer at CNN recalled him as a mentor. "He was a journalistic giant, who took me under his wing as a researcher and producer when I first started with CNN," Alex Walker said in a Facebook posting. "Garrick taught me how to write for television and helped me develop an eye for pictures ... My fondest memories are chats we had in his office late in the day. I would pick his brain about his long, storied career."

Walker noted Utley's love for his wife, who called him "Big Man," and for the opera broadcasts he hosted for PBS, but he said it was something else that most impressed him. "Garrick loved to laugh, and that's what I will miss most. Sometimes he would laugh so long and hard and start shaking. It was just the funniest thing in the world. I will miss that man. Such a tremendous loss today for journalism and for me personally. Rest in peace, Big Man."

After departing CNN, Utley went into academia, helping create the Levin Institute for International Relations and Commerce at the State University of New York and serving as professor of broadcasting and journalism at SUNY Oswego.

During his career, he received a number of honors, including an Edward R. Murrow Award and a George Foster Peabody Award.

He also served on the boards of the Council on Foreign Relations, Carleton College and Public Radio International, the board of advisers of Medecins Sans Frontieres and as chairman of the American Council on Germany.

The couple had no children. "I always thought it was because Garrick traveled so much," Gertje Utley said. But they were "blessed with" several godchildren and found happiness in other ways, she said. "If you never become parents, you remain lovers," she said.

Utley's 2000 memoir, "You Should Have Been Here Yesterday: A Life Story in Television News," was described by the New York Times as "a moving account of Utley's experiences in the business" and a history of television news.

"He openly acknowledges his frustrations at both the limitations of reporting and television's corporate parents' squeezing of foreign news in the name of profits," it says. "Still, he chooses to see the positive. And while he regrets the decline of traditional foreign news reporting, he remains optimistic about new media taking up the slack, writing that all the new sources will offer 'more in both breadth and depth. That is what makes the future in electronic and digital journalism so exciting.'"

"He was a big, big guy," NBC's Matt Lauer said on Friday's "Today" of the 6-foot-6-inch man. "He was an imposing figure physically, but also intellectually. He was a smart man."

During a 2012 reunion of NBC hosts, Utley said of his work as a foreign correspondent, "It was wonderful to have this platform and the wherewithal and the budgets to go out into the world."

NBC meteorologist Al Roker said Utley had always wanted to be a country singer. "He had a great voice," Roker said.

His widow said she had not heard that, but "I know that he loved country music when he was young."

Utley's other brother, David, lives in Madison, Wisconsin.

People we've lost in 2014

@highlight

"He was the old kind of trenchcoat-clad journalist," his widow says

@highlight

Utley reported from more than 75 countries during a career spent mostly at NBC News

@highlight

He opened NBC's bureau in Vietnam in 1964