Des Moines, Iowa (CNN)Sen. Rand Paul embraced his libertarian roots in Iowa this weekend, speaking unapologetically about his apprehension about foreign intervention and stoking the fire in one of the libertarian movement's biggest crusades: auditing the Federal Reserve.

In his first trip to Iowa this year, just under a year before the caucuses, the Kentucky Republican and potential presidential candidate ventured into familiar territory, rallying young voters and libertarian-minded supporters who turned out big for his father's presidential campaigns.

Paul found friendly audiences at the end of a stormy week filled with negative headlines over comments he made about vaccinations and swirling controversy involving one of his advisers in Iowa.

The crowds this weekend were a marked contrast to the social conservative audience that packed a Des Moines theater two weeks ago to hear 10 hours of speeches from a hoard of other potential candidates at the Iowa Freedom Summit.

The Federal Reserve was hardly mentioned at that event, and the rhetoric on war and the fight against ISIS was more forceful and hawkish that the positions Paul took this weekend.

'One loud voice'

Last fall, the senator struggled to communicate his stance on the war against terror. At first he urged restraint against ISIS, but after American journalists were beheaded by the group, Paul began supporting limited action.

He eventually, in a committee vote, voted "no" to authorizing war against ISIS, saying he felt the bill was too open-ended, and it was a vote he stood proudly by this weekend as he used it to separate himself from his potential competitors.

"You're going to get a choice on who the nominee is for the Republican Party. You're going to have nine, 10, 15, 20 who are eager to go and want troops on the ground," he said at the "Audit the Fed" rally Friday, which took place at a winery in Des Moines. "They want 100,000 troops on the ground. Right now. In all the countries."

"I can tell you there will be one loud voice in our party saying, think of the unintended consequence. Think about what we're going to accomplish and whether it will work before we go to war.' I promise you that will always be something I take very, very seriously."

The theme of "acting before thinking" was the way he described the Obama administration's foreign policy, for which he squarely placed blame on Hillary Clinton, hammering her for supporting military action in Libya and calling for the arming of Syrian rebels.

At a Saturday morning event, held at a bar and grill in Marshalltown, Paul acknowledged that he "begrudgingly" thinks the United States should intervene in the Middle East to protect American interests, such as the embassy in Baghdad and consulate in Erbil. "But I don't want to send 100,000 GIs in."

That should be left to regional fighters, he said, before launching into a fiery diatribe. "And don't get me started about Saudi Arabia. There need to be 20,000 Saudi Arabians fighting that war because they've been a problem."

Building a brand

With so many Republican candidates likely to echo each other's talking points in the next year, Paul has tried to run in his own lane by shaping his libertarian foundation into a selling point that says he's best poised to expand the Republican base.

To stop the "dismantling of the country," Paul said it's going to take someone with a nontraditional approach.

"It's not going to take a ho-hum, same-old, same-old, we'll-get-a-Republican-that's-a-little-bit-different-than-the-Democrats. It's going to take someone who can unite the country. Republican. Democrat. Working class. Business class. Rich. Poor. Black. White. You name it. When our party looks like the rest of America, we're going to win."

Rep. Rod Blum, a Republican success story in Iowa who won a largely Democratic district in November, introduced Paul at the Saturday morning event and said he was attracted to Paul's efforts to broaden the GOP tent, though he stressed in an interview with CNN he wouldn't be endorsing anyone this early on, if at all.

Margaret Meade of Marshalltown, who identifies as a Democrat, said Paul "might have some success" attracting voters like her but argued he needs to "stop saying mean things about Hillary Clinton," saying it only turns off those same voters.

Courting the youth

Later Saturday, Paul popped by by the Iowa State University men's basketball game in Ames before dropping in at a watch party hosted by College Republicans and Young Americans for Liberty, a group founded by his father, ex-Rep. Ron Paul.

"I think the energy in any political movement is the youth," Paul told CNN, explaining why he wanted to kick off his year in Iowa with a libertarian-leaning focus.

The senator, however, was dressed in blue -- staying true, he said, to the University of Kentucky, where two of his sons go to school. "I do have an Iowa State pen on my jacket, but I'd get in too much trouble if I had an Iowa State shirt on," he told the students.

Staff from his political committee were at the ready at the watch party, providing students with smartphone covers emblazoned with the logo "RAND" and collecting names and contact information.

Standing at a podium with a minibar close by, Paul spoke freely about what he considers the dangers of civil forfeiture and the malpractice of the National Security Agency. "The Bill of Rights is not for the prom queen. The Bill of Rights isn't for the high school quarterback," he said. "The Bill of Rights is for those who are unpopular, for those who want to speak their mind."

Young people also were prevalent at the "Audit the Fed" rally. The Federal Reserve is already audited by a third-party accounting firm arranged through the inspector general and partially by the Government Accountability Office. But Paul reintroduced legislation that would give full auditing power to the GAO and would require regular reports to Congress.

Paul was noticeably more comfortable shaking hands and taking pictures with voters than he has been in the past. The first-term senator and ophthalmologist is known for his no-frills, less-than-warm style. But while meeting with students on Saturday, Paul frequently smiled and avoided looking down at his shoes in between photos, as he's been known to do.

At the restaurant earlier Saturday, he occasionally would ask questions and engage in small talk. Anthony Neutout, who went to both the Marshalltown event and the "Audit the Fed" rally, said he liked Paul's unusual style.

"He's not a brass polished politician, not a walking mannequin... A lot of candidates, it's like they have multiple personality disorder," Neutout said. "Rand is very consistent."

Still, Paul was more celebrity than Average Joe to some voters. He was asked to sign five baseballs at the Marshalltown event and a copy of Time magazine from when he appeared on the cover back in October.

Others were more ardent supporters of Paul. One pair of friends drove from Lake County, Indiana -- a five-hour drive.

A week of headaches

Paul was courting the very same base this weekend that became the focal point for a damaging story this week by National Journal, which profiled the negative reputation of A.J. Spiker, a Paul adviser who was at the helm when activists in Iowa's liberty movement took over the state party in 2012.

The report quotes party officials who had strong misgivings about what they described as Spiker's divisiveness. But Paul defended his adviser and expressed confidence in Spiker's connections with the liberty movement and Christian conservatives.

"There are always going to be people who have chosen other candidates or who for one reason or another hold a grudge. But I think really with both A.J. and (Paul's other Iowa adviser, Steve Grubbs) there's a broad reach to a broad swath to the party," Paul told the Des Moines Register on Thursday.

Paul spent several days trying to clear up comments he made that lent credibility to theoriesâ€‹ that vaccinations cause mental disorders. That, combined with negative attention over how he shushed a female interviewer, sparked a wave of criticism from pundits over whether the senator is ready for prime time.

"Rand Paul is not inspiring a lot of confidence that he his ready for a national campaign," said Iowa GOP strategist Tim Albrecht, who works for Dave Kochel, a consultant recently hired by Jeb Bush. "You can coach a candidate on messaging and how to give a speech but what you cannot coach is thick skin. He needs to toughen up and that starts by not talking down to people interviewing him. We've already got that in the White House."

Rand Paul defends shushing interview

But the supporters who showed up at his events this weekend appeared unconcerned with the senator's recent dust-ups.

"I don't take one week at a time," said Dave McCluskey of West Des Moines. "I look at the big picture."

@highlight

Rand Paul kicks off his first event in Iowa this year with events that appeal to libertarian-minded voters

@highlight

Effort builds on the foundation that his father established in the state during his 2008 and 2012 presidential campaigns