(CNN) -- Some in the pro-immigrant left are confused. They can't make up their minds about U.S. citizenship. Is it a necessity or a luxury?

Is it vitally important to living a full life or something one can live without? Should it be respected and treasured or rejected and trivialized?

Don't expect California to be of much help in sorting this out. In making public policy, especially on the tough issues, my home state can often be emotional, egotistical and erratic.

Just last week, the state Assembly approved AB 1401, a bill that would allow noncitizens to serve on juries if they are in the country legally. The vote, 45 to 26, wasn't even close.

All the "yes" votes came from Democrats. No surprise there. Getting noncitizens on juries is the first step toward what Democrats are really after -- getting more of them to vote, at least in non-federal elections. In November 2010, voters in San Francisco weighed in on a proposition that would have allowed all parents of children in the city's schools to vote in school board elections whether they were citizens or not; they voted it down but the shocking part is that it was even proposed.

Still, if the bill is approved by the state Senate and signed by Gov. Jerry Brown, California would become the first state in the nation to dispense with the citizenship requirement to sit on a jury.

What's wrong with this picture? What happened to all the rhetoric we've heard in the debate over comprehensive immigration reform, about how advocates won't settle for the undocumented getting only legal status because "citizenship" is so wonderful and valuable? Just not essential to acts of civic participation like sitting on juries.

Supporters say they want to increase the size of the available jury pool while helping immigrants integrate into U.S. society. They also claim that juries should reflect their communities as they exist, and this means including noncitizens in the mix.

Those are lovely sentiments. But if people want to help immigrants "integrate," they should help them become U.S. citizens. It's not that difficult. The hard part is going from "illegal immigrant" to "legal resident"; by comparison, transitioning from "legal resident" to "U.S. citizen" is a walk in the park.

In fact, often times, according to immigration attorneys and other experts in the field, the only reason that more people don't complete the process and become citizens is because they're reluctant to let go of their romantic attachment to their homeland.

Immigration is a complicated issue that has baffled the Golden State for more than 25 years. In effect, there are two signs on the California-Mexico border, about 10 miles south of San Diego: "No Trespassing" and "Help Wanted." Half the time, we're trying to get rid of immigrants; the other half, we're trying to get our hands on more.

Our elected officials only add to the confusion. With one hand, Brown signed legislation letting undocumented college students apply for state-sponsored financial aid. With the other, he vetoed a bill that would have scaled back the cooperation that local police give to U.S. immigration officials in rounding up immigrants who are here illegally.

So, in Brown's California, local cops can help hunt you down if you lack legal status. But, if you get by them, you can go to college on the taxpayer's dime?

We've seen this kind of inconsistency before. In 1986, U.S. Sen. Pete Wilson helped push the Immigration Reform and Control Act, which legalized more than 3 million illegal immigrants.

The Republican did it to please his benefactors in agriculture, who understand that they would be out of business without the undocumented. In 1994, Wilson -- who was by then California governor, and fighting for re-election -- turned himself inside out and hitched his wagon to Proposition 187, an insanely cruel ballot initiative that intended to deny illegal immigrants and their children access to public schools, welfare benefits and nonemergency health care.

It was that Republican-backed initiative, which was later struck down by the federal courts as unconstitutional, that sent California into a political tailspin.

In a state that is more than 38% Latino, and where Latinos account for more than one in five voters, the GOP's war on immigrants turned out to be a suicide mission. Thanks in large part to support from Latino voters, Democrats now have "supermajorities" in both chambers of the state legislature. This means they get bills passed without a single Republican vote. Think about the consequences.

Noncitizens serving on juries. Who could have imagined?

Welcome to life on the Left Coast. This is how California rolls. It acts on impulse and out of a misplaced sense of social justice. It makes mistakes that take years to rectify. Its "can-do" spirit convinces it that it can do great things. But it never stops to ask whether it might instead do great harm.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

A bill passed by Calif. assembly would let noncitizens serve on juries

@highlight

Ruben Navarrette says it's a mistake to weaken the meaning of citizenship

@highlight

If people want to integrate immigrants into community, help them become citizens, he says

@highlight

Navarrette: California helps hunt down undocumented while also extending benefits