LONDON, England (CNN) -- As the defenders of a besieged Bosnian town prepared to retreat, the prisoners of war held captive in the local jail feared the worst.

An ICRC aid vehicle in Colombia in 1998. The ICRC says the conventions make its work in war zones possible.

"The prisoners were saying, 'If the town falls they will shoot us before they leave,'" recalls Charlotte Lindsey, a Red Cross field worker in the Balkans during the break-up of the former Yugoslavia. "We went to the prison authorities and we said, "Look, you cannot let this happen. You are responsible for these prisoners."

Forty-eight hours later, after the town had been captured, Lindsey and her Red Cross colleagues returned to find the prison empty. But the prisoners had all been found alive and liberated by the incoming army.

"We interviewed some of the prisoners and they said the director of the prison and his deputy had stood in front of them to protect them," says Lindsey, now deputy director of communication for the International Committee of the Red Cross (ICRC). "They told us: 'They wanted to kill us but they wouldn't let it happen.'"

Even 15 years later, Lindsey is unable to reveal specific details about where the 1994 incident took place or the identities of the protagonists because of the ICRC's strict policy of confidentiality and neutrality.

But for her the story serves to illustrate the lasting impact of the Geneva Conventions -- the set of universally ratified "rules of war" governing the conduct of armed forces and protecting non-combatants -- even in the heat of one of the most brutal and ethnically charged conflicts of recent decades.

"On a daily basis, living in a war zone, you see examples of the conventions being applied. Every time a soldier is captured and moved to a prison, or a wounded soldier is collected by an ambulance, that is an application of the Geneva Conventions," Lindsey told CNN ahead of Wednesday's 60th anniversary of the signing of the conventions.

"People forget that they are rooted in the law because they seem such evident needs and evident rights that people have."  See photos of the ICRC's work in the 60-year history of the modern Geneva Conventions »

Shaped in the aftermath of World War II, the 1949 conventions were drafted in an effort to prevent a repeat of the mass destruction of the era of "total war" in which entire nations and civilian populations had become targets for indiscriminate slaughter.

In particular, the Fourth Convention established rules, adopted for the first time, protecting civilians in occupied territory. The conventions also formalized and enhanced the ICRC's role as a neutral presence in conflict zones, allowing the organization access to assess and monitor the treatment of captured and wounded combatants and civilians on both sides of front lines.

But in an age when conflicts are more likely to be sprawling, chaotic civil wars involving disparate armed groups -- not to mention nebulous and shifting terror networks such as al Qaeda -- some have questioned whether the 60-year old conventions still hold relevance. Are the Geneva Conventions still relevant? Sound Off below

In particular, the legal ambiguity of the conventions on the status of detainees captured and incarcerated at facilities such as Guantanamo Bay as part of the so-called "War on Terror" -- and allegations of their mistreatment -- has prompted legal wrangling between Pentagon officials and human rights groups in the U.S.

Philip Spoerri, the ICRC's Director of International Law, admits that international humanitarian law -- a legal field with the 1949 agreement at its core -- remains an "embryonic" endeavor and concedes that violations of the Geneva Conventions, such as the mass displacement or indiscriminate targeting of civilians, remain all too commonplace.

He adds that the rules governing the conduct and status of armed groups engaged in non-international conflicts could be honed and expanded to reflect the 21st century realities of warfare.

But he told CNN that the conventions, which have been ratified by 194 states, remained emphatically relevant -- and that enforcing compliance, rather than recodifying their core principles, was where progress was needed.

"Compliance, or better implementation, has always been the Achilles' heel of the conventions," Spoerri said. "Even with the rudimentary rules on non-international conflict that we have today, if you had a very effective implementing mechanism for them that would be a huge step."

Richard Goldstone, formerly the chief U.N. prosecutor for war crimes in Yugoslavia and Rwanda, agrees that greater international compliance with the conventions is key but argues that important progress has already been made through both those tribunals and the establishment in 2002 of the International Criminal Court.

"The tribunals for Rwanda and the former Yugoslavia recognized that all serious violations of the Geneva Conventions are criminal offences and that is a huge advance," Goldstone told CNN.

He added that the vast majority of provisions in the conventions had become customary international law -- and therefore binding on nations and non-state actors whether they had ratified the conventions or not.

"It's a question of implementing the law, not of any weakness of the law itself," said Goldstone. "It's the practical nitty-gritty things of getting arrests and getting the cooperation of governments, because without that neither the Geneva Conventions, the ICC nor any international tribunal can succeed."

In the meantime, Spoerri, like Lindsey, takes heart from concrete examples of how the conventions make the work of the ICRC possible in war zones which would otherwise be deprived of humanitarian aid.

He cites the efforts of the organization in persuading Taliban and other militant groups in Afghanistan's volatile south to allow U.N. aid workers to conduct a polio immunization throughout the region in 2007.

"If we did not have these conventions and also the principles embodied in them, our work would be a lot more difficult," Spoerri said. "They are the backbone of our operation."

@highlight

August 12 marks 60th anniversary of the signing of the 1949 Geneva Conventions

@highlight

Conventions govern conduct of armed forces, protect non-combatants in war zones

@highlight

Some question relevance of conventions for "asymmetric" 21st century warfare

@highlight

Legal experts say conventions still relevant, but better compliance necessary