(CNN) -- Pelting rains, whipping winds, mass evacuations: There is no doubt that Hurricane Sandy, by Sunday, had already made a mammoth impact on the U.S. East Coast.

And it should only get worse.

That's the consensus view, among forecasters and officials, as the Category 1 storm continued to chug northeastward parallel to the shore. Even with its eye still hundreds of miles away, those on the North Carolina, Virginia and Maryland coasts felt its wrath Sunday.

But if, as expected, it turns toward the United States early Monday morning, Sandy will have an even more direct -- and potentially calamitous -- effect on millions. Forecasters warn it will likely collide with a cold front from the West to spawn a "superstorm" that could slog along the Eastern Seaboard for days -- meaning even more wind, flooding, power outages and, with that all, potential danger.

"I'm expecting it to be really bad," Paul DiCristina Jr. told CNN affiliate NY1, after prepping his Coney Island restaurant ahead of Sandy. "We're evacuating, we know that for sure, but I'm just hoping there's a restaurant here Wednesday or Thursday."

He's not alone in his fears. The National Hurricane Center is warning of no less than a "life-threatening storm surge flooding the Mid-Atlantic coast, including Long Island and New York Harbor," all in addition to sustained winds in excess of 70 mph and even stronger gusts -- conditions that will affect millions of people.

A state-by-state breakdown of hurricane preparation efforts, impacts

"Sandy has a tremendous amount of energy," U.S. Coast Guard Rear Adm. Steven Ratti told CNN. "It could be bad, or it could be devastation."

On Sunday alone, power was knocked out in places such as Hampton Roads, Virginia, as rough waves crashed along the coast, said Penelope Penn. Another CNN iReporter, Elizabeth Switzer, reported waves topping 12 feet further south along Carolina Beach outside Wilmington, North Carolina. And by late afternoon, floodwaters washed over roads between Dewey and Bethany beaches in Delaware, said Gov. Jack Markell, adding even more urgency for people to get out before they get trapped.

"We're seeing more flooding than you normally do, and particularly since the storm's not here," Markell said around 5 p.m.

Sandy took a toll well before its U.S. arrival, causing at least 67 deaths -- including 51 in Haiti -- as it rumbled through the Caribbean.

As of 11 p.m. Sunday, Sandy still hadn't veered toward the United States, though the National Hurricane Center said that should happen "during the next several hours." Centered 470 miles south-southeast of New York, the hurricane should make landfall late Monday in southern New Jersey and the Delmarva Peninsula, which includes Delaware and parts of Maryland and Virginia, according to the CNN Weather Unit.

One thing that makes this storm unique is not so much its 75 mph sustained winds, but the fact such hurricane-force winds extend 175 miles out from its eye. That portends to affect hundreds of miles of territory, on both sides of Sandy's eye, hit hard by destructive winds, with an even bigger swath getting tropical force-level gusts and drenching rains.

'Superstorm' meets barnstorm as weather and politics collide

Sandy prompted evacuation orders on New Jersey's barrier islands, in downtown Ocean City, Maryland, and in flood-prone coastal communities in southern Delaware. Low-lying areas of New York City, including Coney Island and parts of Manhattan, are being cleared out as well.

Jim Brady was among those who heeded the call, leaving his Cape May home about three blocks from the Atlantic and heading 85 miles north to his sister-in-law's house in Toms River. Packing what they can and stashing bigger valuables as high as possible, what happens next is now out of their hands as it may take days before they find out if they've skirted disaster.

"We'll just hunker down and wait for it to pass," Brady said.

Many other communities, big and small, also are bracing for the worst. The process of halting subway service in New York, the city that never sleeps, began Sunday evening. Other mass transit systems are doing the same by suspending their services Monday, including Washington's Metro service and Southeastern Pennsylvania Transportation Authority trains and buses in and around Philadelphia.

Across the bay from Brooklyn in Sea Bright, New Jersey, Yvette Cafaro pleaded on the plywood that covered up her burger restaurant, "Be kind to us Sandy." The seaside area largely dodged last year's Hurricane Irene, and Cafaro is hoping for -- but not expecting -- any more reprieves.

Keep a hurricane preparation checklist

"Everything that we've been watching on the news looks like this one will really get us," she said. "We're definitely worried about it ... Hopefully, she'll spare us."

After filling his trunk with sandbags Sunday in Cranston, Rhode Island, resident Steve Pacheco said he has done what he can by clearing Halloween decorations and other items from his yard. Still, for all his preparation, he admits Sandy makes him nervous.

"I don't want to go through this again," Pacheco told CNN affiliate WPRI.

Officials from North Carolina to Maine have been raising alarms, and taking preventive steps like the subway shut-downs, for days.

By Sunday evening, officials already had canceled classes Monday for well over 2 million public school students in districts such as New York, Philadelphia, Boston and Baltimore, while numerous universities as well as federal government offices in Washington and government offices in states like New Jersey were preemptively closed. Sandy has even managed to put the presidential election on the back burner, turning campaign plans upside down.

Then there are the travel nightmares that the storm has already, and will continue, to cause with thousands of flights called off, Amtrak train runs scuttled, and hundreds of roads and highways expected to flood.

A full moon, which always brings out higher than normal tides, should exacerbate storm surge problems on Monday in coastal areas. In addition to one 12 hours earlier, high tide is scheduled for around 8:30 p.m. -- meaning parts of Delaware and New Jersey, for instance, could see significant flooding then even if Sandy has come ashore by then. Irrespective of the tides, the National Weather Service is forecasting potentially harmful storm surges of between 6 to 11 feet in New York Harbor and Long Island Sound.

"This is not a typical storm. It could very well be historic in nature and in scope and in magnitude because of the widespread anticipated power outages, flooding and potential major wind damage," Pennsylvania Gov. Tom Corbett said, speaking of his state but just as well about many others in the Mid-Atlantic and Northeast.

"Essentially, this is a hurricane wrapped in a nor'easter."

Hurricane safety: When the lights go out

CNN's Jareen Iman, Chelsea J. Carter, Alison Kosik, Sarah Dillingham, Brandon Miller, Catherine Shoichet, George Howell, Athena Jones, Shawn Nottingham, Alden Mahler Levine, Joe Sutton and Devon Sayers contributed to this report.

@highlight

NEW: Centered 470 miles from New York, Sandy's hurricane force winds extend 175 miles

@highlight

Millions of people could face flooding and power outages due to the storm

@highlight

Washington's Metro joins New York and Philadelphia in suspending subway runs

@highlight

"It could be bad, or it could be devastation," a Coast Guard official says