Washington (CNN) -- Military officials from NATO and its 28 member states descended on Washington last week for a series of discussions about rethinking how the alliance should transform itself in an era when its scope has expanded beyond traditional Cold War boundaries.

The seminar was hosted by former Secretary of State Madeleine Albright, who is chairing a group of experts appointed by the NATO secretary-general to recommend a new "Strategic Concept" for the alliance, governing how it perceives and responds to threats.

The group heard from some pretty heavy hitters: U.S. Secretary of Defense Robert Gates and Secretary of State Hillary Clinton, and NATO Secretary-General Anders Fogh Rasmussen, all of whom aptly acknowledged the alliance is facing a new strategic landscape with new enemies, ideologies and battle tactics that threaten its collective security.

Transnational terrorism. Proliferation. Cybersecurity. Climate change. None of these threats were on the table 61 years ago when the NATO Charter was founded. "Security" no longer means merely fighting the enemy on a European battlefield. Today it also means fighting the Taliban in Afghanistan, battling pirates off the coast of Somalia, and combating cybersoldiers seeking to wreak havoc on world economies.

Afghanistan is the largest example of NATO undertaking such an "out of area" mission, an operation beyond the borders of its member states. Here the track record is mixed: Although NATO did assume control of the International Security Assistance Force in 2003, the U.S. has continued to complain that some European members are not pulling their weight by providing enough military support for the mission.

The recent fall of the Dutch government over its NATO troop commitments shows what a tough sell this is. Many Europeans are war-weary after suffering casualties and in some cases are more concerned about homegrown terrorism than about the war in Afghanistan.

The U.S. has argued that a failure by NATO to provide enough troops for the mission in Afghanistan would call into question the alliance's ability to tackle post-Cold War security challenges.

Yet this soul-searching comes in a time of financial and budget constraints for all member countries. And the widening of NATO's scope to respond to challenges like terrorism, nuclear proliferation, piracy and cyberwarfare requires new capabilities, which means even more resources.

Since the end of the Cold War, NATO has forged new partnerships which can help it share this new burden. In addition to the 50-nation Euro-Atlantic Partnership Council and the Partnership for Peace, where the alliance cooperates with countries in its own neighborhood, NATO is developing relationships with countries in the Mediterranean and broader Middle East. And it is also strengthening ties with countries in Asia, like Japan and South Korea. The rise of India and China also has NATO thinking about partnerships with those countries.

NATO's growing, though often uneasy, relationship with Russia could benefit its widening worldview. Although the original tenets of NATO's mission -- defending member nations, strengthening trans-Atlantic ties, and fostering European integration -- still apply, Clinton said, shared threats such as terrorism and proliferation could foster even greater cooperation with Russia.

As NATO seeks to combat threats beyond its borders, the hope is that Russian concerns about a missile defense shield could be eased within this new framework of "shared security" against countries like Iran and North Korea.

This re-examination will call into question the invoking of Article 5 of the NATO Charter, which states that an attack on one member is an attack on all members. The alliance invoked it for the first and only time after 9/11 -- declaring the attacks on New York and Washington an attack against the entire alliance -- and all NATO countries contributed in some way to the initial U.S. invasion of Afghanistan.

And as the alliance redefines the nature of security, it is also redefining the nature of an attack.

A few years ago Estonia, a NATO ally, suffered a sustained cyberattack that shut down many of the country's essential services. NATO was called upon to help, and now has a cyberteam that can deploy to support any NATO ally engaged in cyberwarfare.

But despite the importance -- and even the necessity -- of NATO's "Strategic Concept," its immediate future will be determined by the outcome of the war in Afghanistan. Failure could cause NATO members to be skittish about these new "out-of-area" missions, which will more and more mean confronting the enemy on its own turf.

@highlight

NATO officials rethink the alliance's role in a world of terrorists and cyberwarfare

@highlight

Founded 61 years ago, NATO dealt with Cold War era threats for most of those years

@highlight

Afghanistan war is NATO's largest "out of area" mission to date

@highlight

NATO could benefit from its growing, but still uneasy, relationship with Russia