(CNN) -- Europe's financial crisis claimed its second scalp in three days when Italy's Silvio Berlusconi announced he will step down after parliament approves new austerity measures in an effort to stave off economic collapse.

The scandal-plagued prime minister will follow his Greek counterpart George Papandreou into early retirement as fears grow that Italy, the eurozone's third largest economy, may default on its debt.

Italy has failed to implement austerity measures designed to reduce its mammoth â‚¬1.9 trillion debt load -- nearly six times that of Greece -- and the cost to the country of borrowing more money to pay off that debt is spiraling out of control.

While no one knows yet whether Italy will default, analysts say that the country is vastly too big to bail out -- and that the consequences for the world economy of a default would be a disaster.

What happens next?

Much like Greek premier Papandreou, Berlusconi said he will not resign until the government passes harsh austerity measures recommended by eurozone leaders aimed at trimming Italy's debt.

The next step is for the Italian parliament to consider and vote on the measures -- which include tax rises and an increase in the retirement age -- within the next several weeks.

After the parliamentary votes Berlusconi will tender his resignation to President Giorgio Napolitano, who will then begin consultations with lawmakers to decide whether to form a government or call for elections.

Berlusconi and members of the Northern League party want elections as soon as possible, but other lawmakers and European leaders would like to see an interim government composed of non-partisan technocrats that could quickly implement austerity measures in order to reassure global markets and restore confidence in the country.

Business figures tapped to lead a potential technocratic interim government include Luca Cordero di Montezemolo, chairman of Ferrari, and Alessandro Profumo, former CEO of Italy's largest bank UniCredit.

Political options that have been floated include Angelino Alfano, known to be Berlusconi's hand-picked successor, Gianni Letta, Berlusconi's chief of staff, or Mario Monti, a former commissioner with the European Union.

No one is a fan of uncertainty, and no one is going to invest in a debt-ridden country without a plan for recovery -- much less one without a functioning government -- so Italy's short-term plan will be to get these austerity measures passed, see Berlusconi off, and hold new elections so at least international lenders will know who they're dealing with.

Check out CNN's interactive map of European debt at a glance

What's wrong with Italy?

The basic problem is that it's becoming prohibitively expensive for Italy to borrow money to finance its debt -- a problem rooted in investor confidence in the debt-laden country.

With a defunct government and a shrinking economy, Italy is finding it increasingly difficult to find people willing to lend it money in order to reduce its mammoth â‚¬1.9 trillion debt load, which is nearly six times that of Greece.

The less confidence there is in a country, the higher the bond yields, or rate, that country will have to pay in order to secure more money. Right now confidence in Italy is at a euro-era low, which means Italy is paying more than ever to finance its debt.

Business 360 blog on Italy: Too big to fail, too big to bail

What is a bond yield?

A bond yield is basically another term for the rate Italy has to pay to lenders who buy its government bonds. The 10-year government bond is the standard bond used to measure the relative interest rates from country to country.

A government raises money to pay its bills by selling these bonds -- so the higher the yield or rate, the more it costs Italy to borrow money in order to pay its debts.

Italy's 10-year bond yield hit a staggering record high of 7.3% on Wednesday morning; by contrast, the bond yield for Germany -- a relatively healthy economy -- closed at 1.8% on Tuesday night.

Italy will already have to borrow at least â‚¬300 billion -- nearly the total Greece owes to lenders -- next year alone to pay off maturing debts, and the worry is that the skyrocketing interest rates on Italian bonds may soon make it too expensive for the country to continue borrowing money.

Why are Italy's bond yields so high?

Bond yields are driven by confidence and based on supply and demand.

The more confident investors are in the health of the Italian economy, the more government bonds, or sovereign debt, the investors will buy.

The more bonds that are being bought, the lower the rates will be on the bonds -- meaning Italy can borrow money to pay its bills at relatively cheap rates.

When confidence in an economy drops, however, fewer investors are willing to invest money in that country's bonds, which is precisely what has happened in Italy.

Italy's bonds are unattractive to investors because there are fears about the country's ability to pay off long-term debt based on current economic projections.

Why is a 7% yield considered the point of no return?

Greece, Ireland and Portugal were all forced to seek bailouts once their bond yields surpassed and remained above the 7% mark for an extended period of time.

While there is nothing about the 7% figure that automatically triggers a bailout -- something that would be impossible in Italy's case anyway, as Europe simply cannot afford to bail out the country -- experts do see the rate as difficult to overcome.

Greece, Ireland and Portugal all needed bailouts within two months of their bond yields breaching and then remaining above 7%.

The recent high yields are particularly concerning because the European Central Bank has been buying Italian bonds since the start of August in an effort to create a sort of false demand, which would then drive the rate down to a manageable level. That has not worked, but it could be a lot worse had the ECB not taken the action at all.

How can Italy get out of this mess?

Italy will default on its debt if it doesn't figure out a way to get its bond yields down to a manageable level.

The yields won't budge until Italian lawmakers take concrete steps to reassure international lenders that the country is a safe bet.

"Italy will not be out of the heat of bond markets until a solid and stable government actually implements austerity and undertakes reforms with strong credible leadership," said Jan Randolph, head of sovereign risk at IHS Global Insight.

Even if they pass these the austerity proposals, some economists fear Italy will still drown in debt if it doesn't develop more drastic measures.

The ECB should also increase its purchasing of Italian bonds in order to make it cheaper for Italy to raise money, according to Barry Eichengreen, an economist at the University of California, Berkeley.

"Unless yields on those bonds fall to German levels, there is no way that Italy's debt arithmetic can be made to add up," he wrote.

How would an Italian default affect the world?

A default by Italy, the world's eight-largest economy with the world's fourth-largest stock of outstanding government bonds, could have a disastrous effect on many European banks and global markets, experts say.

European banks, particularly those in Germany and France, are the largest holders of Italian debt and would be hit the hardest by a default.

A default would also wreak havoc on already-shaky global markets and could dash any hopes of economic growth in Europe for the foreseeable future.

As concerns continue to grow around Italy, the head of the International Monetary Fund painted a stark picture of the challenges facing the world's economic stability.

"The global economy has entered a dangerous and uncertain phase," Christine Lagarde said in remarks prepared for a speech at the International Finance Forum in Beijing.

"If we do not act, and act together, we could enter a downward spiral of uncertainty, financial instability and a collapse in global demand."

"Ultimately, we could face a lost decade of low growth and high unemployment," she said.

CNN's Joshua Levs, Hada Messia and Nina dos Santos contributed to this report.

@highlight

Italy's bond yields have passed the dangerous 7% threshold

@highlight

Bond yields represent investor confidence in a country's ability to repay its debt

@highlight

Prime Minister Silvio Berlusconi announced he will resign following the passage of austerity measures

@highlight

With a debt pile of nearly 2 trillion euros, Italy is seen as too big for Europe to bail out