Mauritius (CNN) -- For an island country that spans less than 800 square miles, and hosts a little over one million inhabitants, Mauritius is surprisingly multicultural.

Though 80% of the populace are descendants from the country's early settlers, they are made of a mix of Indian, African, French and Chinese heritage. The nation's diversity makes for a rich, cultural smorgasbord whose presence is felt in the local food, music and architecture.

History

Part of the tiny country's worldliness is due to the fact that it was occupied by an array of nations. The Dutch took control in 1638, only to be followed by the French and ultimately the British before the island's independence in 1968.

Under the Dutch and the French, slaves brought over from other African nations drove a large part of the economy. Many of the island's remote regions -- particularly Le Morne Mountain -- became refuges for escaped slaves.

"During the French period, 5% of slaves left their property and went to settle in natural places in a quest for independence -- 10% during the British period," says Breejan Burran, a local historian.

"[On Le Morne Mountain], they lived in such an isolated place that they were not even aware when slavery had been abolished. When people were coming around, [many former slaves] thought they were slave hunters and they just threw themselves down the mountain and killed themselves in this way," he adds.

Though slavery on the island was abolished in 1835, the British introduced indentured laborers from India onto the island to work in the sugar industry. Around 450,000 were brought to live on the island. Many of their descendants still live there today, lending Asian influences to the African nation.

Food

Nothing illustrates the melting-pot nature of Mauritius quite as succinctly as the cuisine. At the bustling Central Market in the capital Port Louis, thousands of people come daily to search out a global array of produce, from cassava to soy sauce, and dahl to roti.

"You can get all things here. There's a Chinese section, you can get Creole fruits and vegetables over there. We use some roots, some local things, European things and we mix it and create one plate here," says Vijay Purlackee, a chef at one of the island's five-star hotels.

Music

It should probably come as no surprise that the local music also incorporates a range of styles. Sega -- the traditional music of the island -- has recently given way to a whole new style that borrows heavily from reggae.

The result? Seggae.

"We started to think, 'how are we going to start a new style of music to express the real problems of Mauritius?' So we started to set about a fusion with reggae music, because in this time reggae was started to be listened to in Mauritius," explains Ras Natty Baby, a local musician who has championed the new style.

"This music has become like a liberation, you know? Music has no border, even when the authorities want to border in the music, it's like the wind, it's like water. You can't block music; there's a lot of ways to express music," he says.

@highlight

Mauritius hosts a population of about 1m people, but is surprisingly multicultural

@highlight

About 80% of the population descend from the country's early settlers

@highlight

They are a mix of Indian, African, French and Chinese heritage

@highlight

Many of the island's more remote regions became refuges for escaped slaves