Washington (CNN) -- Today is a good day for liberty. By striking down the unprecedented requirement that Americans buy health insurance -- the "individual mandate" -- Judge Henry Hudson vindicated the idea that ours is a government of delegated and enumerated, and thus limited, powers.

But this should not be surprising, for the Constitution does not grant the federal government the power to force private commercial transactions.

Even if the Supreme Court has broadened the scope of Congress' authority under the Commerce Clause -- it can now reach local activities that have a substantial effect on interstate commerce -- never before has it allowed people to face a civil penalty for declining to buy a particular product. Hudson found therefore that the individual mandate "is neither within the letter nor the spirit of the Constitution."

Stated another way, every exercise of Congress' power to regulate interstate commerce has involved some form of action or transaction engaged in by an individual or legal entity. The government's theory -- that the decision not to buy insurance is an economic one that affects interstate commerce in various ways -- would, for the first time ever, permit laws commanding people to engage in economic activity.

Under such a reading, which judges in two other cases have unfortunately adopted, nobody would ever be able to plausibly claim that the Constitution limits congressional power. The federal government would then have wide authority to require that Americans engage in activities ranging from eating spinach and joining gyms (in the health care realm) to buying GM cars. Congress could tell people what to study or what job to take: We need fewer lawyers and more engineers, right?

As Hudson put it, "This broad definition of the economic activity subject to congressional regulation lacks logical limitation and is unsupported by Commerce Clause jurisprudence."

Indeed, not even in the infamous 1942 case of Wickard v. Filburn -- when the Supreme Court ratified Congress' regulation of what farmers grew in their backyards on the theory that such local activity, in the aggregate, affects national wheat prices -- have courts faced such a breathtaking assertion of raw federal power. Even at the height of the New Deal, Congress did not attempt to force people to buy wheat to support the new national agricultural policy.

So too now, when there is a stark difference between Congress' power to regulate the health insurance industry and a purported power to require someone to buy health insurance. It's the same difference as between the power to regulate the auto industry and -- under some scheme to bail out companies that are "too big to fail" -- to require everyone to buy a Chevy.

To be sure, there are situations in which the government may force individuals to engage in business. Most notably, it can require hotels and restaurants to serve all patrons. But nobody has to become a hotelier or restaurateur, or purchase lodging or food -- and individuals are not commercial enterprises.

As for the oft-invoked car insurance analogy, being required to buy insurance if you choose to drive is different from having to buy it because you are alive. And it is states that impose car insurance mandates, under their general police powers -- which the federal government lacks.

And so today was a bad day for those who say that Congress is the arbiter of its own powers and that the only checks on federal power in the regulation of commerce are political. We have come far from the time when pundits dismissed the lawsuits challenging the new health care law as frivolous political gimmicks.

This is still the beginning of a long legal journey -- there's a hearing this Thursday in the Florida-led 20-state lawsuit, then appeals in all the various cases, and none of this will be over till the Supreme Court has its say -- but we can now see the day where this unprecedented claim of federal power is definitively rejected as fundamentally contrary to our constitutional order.

As Hudson said, "Despite the laudable intentions of Congress in enacting a comprehensive and transformative health care regime, the legislative process must still operate within constitutional bounds. Salutatory [sic] goals and creative drafting have never been sufficient to offset an absence of enumerated powers."

It is perhaps most appropriate that this ruling happened during the Christmas season, for now we can all see that yes, Virginia, there are limits on government.

The opinions expressed in this commentary are solely those of Ilya Shapiro.

@highlight

Ilya Shapiro: Federal judge in Va. says government can't mandate health insurance purchase

@highlight

He says this is a correct reading of the Constitution's "Commerce Clause"

@highlight

Mandating health insurance is akin to forcing people to buy a consumer product, he says

@highlight

Shapiro: Case is far from settled and will probably go to the U.S. Supreme Court