(CNN) -- A twisted boardwalk, a glowing carousel flooded with water and a cresting river breaching its banks.

These are among the memorable images from Superstorm Sandy, but they weren't taken with fancy cameras -- they were shot with smartphones and immediately seen around the world via photography app Instagram.

On the day the storm came ashore, users shared 800,000 images tagged #Sandy on Instagram. At one point, Instagram reported people were posting 10 Sandy photos per second on October 29, 2012.

"During Hurricane Sandy, we saw people along the Atlantic Coast using Instagram to document how the storm was affecting their communities, and to let loved ones know they were OK," Instagram founder Kevin Systrom told CNN this week.

"As Sandy made landfall, we saw photojournalists like Ben Lowy documenting in real time the storm's path of destruction. In the immediate aftermath, we saw local residents like Steph Goralnick sharing images that humanized the relief efforts in some of the hardest-hit communities like Rockaway Beach."

Goralnick: Let's not forget Superstorm Sandy's victims

Instagram reached a saturation point as Sandy hit, and the platform became a storytelling medium for the storm. After that watershed moment a year ago, it seemed apropos to do an Instagram-only project for CNN's anniversary coverage.

Instagram friends Tim Lampe and Keith Weaver visited families in some of the hardest-hit areas, photographed intimate portraits of people and their new homes and highlighted the rebuilding efforts along the coast. Lampe is the manager of CNN's Instagram account, and Weaver is an Atlanta photographer.

CNN sent Lampe back to New York, armed with an iPhone, and the full experience was only for the Instagram audience. He has 28,000 followers on his personal account and is one of CNN's in-house experts on the platform.

Here's what Lampe had to say about this storytelling experiment. The interview has been edited for clarity and brevity.

CNN has never done an original photo and video series housed on Instagram. Why did you choose the Sandy anniversary to embark on this Instagram-only project?

Lampe: Sandy itself was the biggest event Instagram had ever seen. Everything unfolded there. My personal experience was that I grew up in the area, and I knew a lot of people who were documenting it on Instagram.

The mentality of a big organization like this is that these stories and these photos need to be in a lot of places. We put these stories together exclusively for Instagram, just for that platform, because we saw a lot of value in it.

Time magazine photographers ditched their professional cameras for mobile phones to tell the story of Sandy last year. What is your take on news outlets using the storytelling medium of the average person? And, who's doing it well?

Lampe: Instagram is a great spot for everyday stories. It started with just seeing what our own people were doing in the field. We have correspondents and producers out in really cool places across the world documenting everyday stories. For example, Patrick Oppmann, our correspondent in Cuba, is documenting stories in Cuba that nobody else is doing. It's not always something that fits in broadcast, but there's a lot of value in seeing that continuing story in Instagram.

I like The New Yorker. Almost every week, they let someone take over their Instagram and document where they are, whether they're documenting something as simple as a small town in the U.S. or a war zone in a different country, where life is very different.

Looking back at the Instagram images from Superstorm Sandy, there were compelling, verified ones but also false ones. How can we tease out the real from the fake?

Lampe: The way that we currently feature images on the CNN account, we're only featuring stuff from CNN folks across the world and featuring images from CNN iReporters. If we're featuring citizen photos, we're going to the team behind CNN iReport and trusting how they verify photographs and stories. Location is one thing to help us verify photos. You can't falsely tag something that's geotagged on Instagram.

Seeing the people who it's from is also helpful. If you look at their account if there's a genuine love for storytelling, you can see it in the everyday stories they tell. There's a consistency in how they shoot and tell stories. But with a suspicious account, you can tell because they're posting photos of various quality. Their feed isn't consistent.

Some journalism experts say it's not the camera you have, but how you use it that's important. How do you use the phone's camera to your advantage?

Lampe: For me, what I love about the mobile phone camera is this fixed-lens mentality. It has its own set of challenges. One of the best things about Instagram is that because of the challenges of shooting on mobile, people look to tell stories differently than they would with a traditional photo outlet. With this project, we did some things that have become popular on the platform. For example, the "dear portrait" is when you hold up a physical photo from the past in a current location. You try to line it up with what's there.

You only get one photo or video to tell a story per Instagram post. What are some of the ways to tell long-form stories in this format?

Lampe: It seems like because Instagram allows you to post as much as you want that you should post everything that you have. What works best is the idea of restraint: Which photos tell or continue your story the best way. I think portraits tell a story really well even if people don't read the caption below. For example, with the stories from Sandy, I was amazed that when I took peoples' portraits, you could see almost the whole experience of the year in their eyes. I didn't see that until I went back and reviewed the photos.

This is the first of many long-form stories we're going to tell on Instagram. It's a huge success on the Instagram platform. We've got a lot of great engagement and would love to be able to tell another set of stories like this again.

What are the limitations of working with such a small photo as a storytelling format?

Lampe: It's probably the detail because with Instagram, when you're going to take portraits, you want to get close. With the square format, what is in the center is the focus, so you center the persons' eyes and face in the photo. There's no ability to zoom in and out on a photo, so you're presenting what you can in the space give to you.

On social media, the tendency is to keep things short, yet you often write long captions on your Instagram posts. What's your rationale for long captions?

Lampe: I start long and I reduce, reduce, reduce until I get to the story that needs to be told. From my previous experience in telling long stories on Instagram, I realized people read through the long captions based on the comments they left. The people who follow the CNN account are trained to read the caption, whereas on personal accounts, people see the long caption and are turned away.

Fill in the blank: Storytelling magic happens when _______.

Lampe: Storytelling magic happens when the subject is at its most comfortable, and you get their best story. The reason why some of these stories were so honest and so true was because they didn't feel like this huge media outlet was on them. They had the freedom to tell their whole story. We did our best to stay true to the stories.

@highlight

For Sandy's anniversary, CNN tried an Instagram-only project

@highlight

Users shared 800,000 Instagram images of the storm as it hit

@highlight

Photographers visited families in hard-hit areas, captured intimate portraits