(CNN)  -- Retired Lt. Gen. Russel Honoré was highly praised for his leadership of recovery efforts in New Orleans after Hurricane Katrina hit in 2005, so he's well-versed in what works and what doesn't in disaster management.

The general told CNN last week that the U.S. military should have responded sooner to the earthquake in Haiti because "time is of the essence" in helping quake survivors.

CNN's Nicole Dow talked to Gen. Honoré Wednesday about his assessment of the situation in Haiti since he made those remarks.

CNN: There are reports of looting in Haiti. Is it looting, or an attempt at survival?

Gen. Russel Honoré: In the first days after a disaster, people are generally scavenging for food. They are trying to find food where they can. People are going into survival mode.

Due to challenges and logistical issues, they use the food they have and what they can get their hands on. I would use the word "looting" lightly -- these people are surviving. It's reminiscent of what was seen during Katrina in the convention center. They survived because they found food in the surrounding areas.

CNN: With the potential for violence running high, how can civilians protect themselves?

Honoré: People should stay in their family groups and be with people they trust. During a disaster, in the case of not having enough communication, some of the information coming out is speculation and rumor.

The role of the military is to provide a sense of order and try to keep people from becoming too excited when food and water are distributed. They also assure that help is on the way.

What people are missing is information. You have someone sitting on a sidewalk with a baby, someone who is elderly, disabled, or pregnant, probably wondering what to do. Their house is in rubble, they have members of their family who need to go to the hospital or special care.

Where can they go to be cared for? Or to help care for themselves in a humane manner? This is a humanitarian matter of global proportions.

CNN: Previously, you've mentioned "adapt and overcome." How difficult is it to achieve this in Haiti?

Honoré: You need the U.S. military. One airfield? Let's build two more. We adapt and overcome. USAID said, we have one airfield, how are we going to use it? They don't look at possibilities of building another one.

Building another airfield is something that should have been considered the first day. You can take a road and create another airfield. We have a capability to airdrop teams in with equipment to create airfields.

USAID said airdrops are unsafe, and it's disorderly to do airdrops. They were concerned that some would get food and others wouldn't. They started to drop five days after event -- the first drop of MREs (meals ready to eat).

CNN: So why did the U.S. wait before starting to drop supplies?

Honoré: If you don't have enough trucks, the optimal system is to use helicopters. But we don't have enough on the ground to get the job done. Ospreys, Marine planes, we have not seen them in use. There are some in Afghanistan, but not many there.

They fly like a plane, land like a helicopter and can also carry a lot of cargo. They can lift things and set them down. We spent 20 years developing that aircraft.

We don't have enough helicopters -- between the Coast Guard and the military, there are 60 helicopters in use now. Four days after Katrina, there were 200 helicopters flying in.

I don't know if the flow of supplies can keep up with demand, unless we evacuate the injured, elderly, pregnant women, babies, and the disabled. Hospitals will be overflowing with people who have injuries, there will be infections that will need treatment.

It is wishful thinking to add more hospitals. We need to think how these airplanes can leave with patients to the U.S. and other countries to be distributed to hospitals to stabilize them.

I am hoping that the State Department and the White House will start pushing for a U.N. resolution to start an evacuation plan for Haiti. It will need billions of dollars to sustain its people and to start its recovery.

CNN: How did the Israelis immediately set up a working hospital?

Honoré: Our military is fully deployed in Iraq and Afghanistan. The president didn't sign mobilization of reserves until Sunday. We are making right decisions, but making them too slowly to have an immediate impact on the ground. We decided [Tuesday] to open another airfield, they should have done that days ago.

CNN: You led the Joint Task Force for Hurricane Katrina. Can you draw some parallels between Katrina and the earthquake in Haiti?

Honoré: In my book, "Survival," there's a chapter that talks about dealing with the poor. I think sometimes we talk security, because as a culture, we are afraid of poor people in large groups. In Haiti, right after the earthquake, there were doctors who left. One said, "We don't have any security so we left."

That, in and of itself, is indicative of my Katrina experience. People start talking security.

And the slower we go, the more there's the possibility of that happening. We have to work on establishing the community government officials in Haiti so they can start communicating with their people.

We have to get food and water there to local government officials to distribute it. The local government officials should be authorized to hire young men. The local economy will crank up if we pay people in Haiti to do the cleanup and to run the distribution centers. There's no need to send Americans there to distribute food and water when you have able-bodied people there who can do that.

CNN: What are the top five points to keep in mind in the aftermath of natural disaster?

Honoré: 1) Improve communications. 2) Get food and water in. 3) Take care of the health and needs of people. 4) Evacuate people, particularly those who are pregnant, disabled, injured, babies, those who cannot take care of themselves. 5) Establish who's in charge. The president of Haiti [Rene Preval] is in charge.

It's different when the president and his government are victims. They are going to need help. Someone needs to be the face of the operation to help the president keep people alive.

You must have communication to establish a way of giving information to the people in their communities.

You have to be your own first responder in a disaster like Haiti, and the Haitian people did that. These situations have a tendency to get worse before getting better unless you start evacuating vulnerable people.

Also, you have to take a risk [about security] during the search-and-rescue phase. In that phase of the operation, search-and-rescue takes priority over security.

@highlight

Gen. Russel Honoré says Haitians should be paid to clean up, do distribution

@highlight

Says our culture is afraid of poor people in large groups so we focus on security

@highlight

Honoré says supplies can't meet demand; U.N. should start an evacuation plan for Haiti

@highlight

General: They should have started to build second airfield the first day