Washington (CNN) -- When Air Force One lands in Estonia's capital Wednesday, the U.S. message to Vladimir Putin -- only 500 miles away in Moscow -- will be clear: Stay put.

President Barack Obama's trip to the former Soviet state, ahead of this week's NATO summit in Wales, is meant to reassure nervous Eastern Europe that Putin's support for separatists in Ukraine doesn't mean he has a free pass for territorial gains elsewhere.

The warning to Russia was summed up by a top Obama foreign policy adviser last week: "Don't even think about messing around in Estonia or in any of the Baltic areas in the same way that you have been messing around in Ukraine."

Added to the schedule only last month, the stop in Estonia will supplement the message coming from NATO leaders gathering in Cardiff, Wales, who are set to announce the positioning of troops and equipment closer to Russia in Eastern Europe.

NATO needs to create 'high-readiness force,' secretary general says

Those leaders also must confront the separate threat of militant Islamists making gains in Syria and Iraq, prompting more worries for NATO states on the eastern edge of the military alliance.

That's not to mention the very reason for the summit -- to determine how NATO's mission will proceed in Afghanistan when combat troops depart at the end of the year.

The global unrest, causing political strife for Obama in the United States, could provide a new purpose for the 65-year-old NATO alliance, which is suffering an "identity crisis," according to one analyst.

Russian official: Russia is emotionally in Ukraine, its troops are not

Putin's actions in Russia have "required NATO to really adapt and change fairly dramatically," said Heather Conley, who directs the Europe program at the Center for Strategic and International Studies in Washington.

"In some ways, NATO should thank Vladimir Putin because it was really searching for its purpose," Conley said.

Warning Putin

NATO members that border Russia, watching the once-unthinkable breach of Ukraine's borders, are looking to the military alliance to affirm its commitment to Article 5, which provides for collective defense of states under attack.

Ukraine isn't a NATO member, though leaders did invite the country's new president Petro Poroshenko to Wales this week. Other former Soviet states, like Estonia, Latvia, and Lithuania, joined NATO in the last decade, hoping to bolster ties to the West while increasing their own security frameworks.

As reassurance to those countries, NATO leaders plan to approve the creation of a "high-readiness" force that places new equipment and thousands of troops in Eastern Europe.

Ukraine warns of return to 'full-scale war'

White House officials say the move is meant to be defensive rather than a provocation for Russia, though initial reaction from the Kremlin -- which called the move an "external threat" -- foreshadowed a potential escalation in the crisis.

NATO and Russia have agreed since 1997 that no permanent NATO troops will be positioned in Eastern Europe, meaning member states will rotate forces through bases closest to Russia.

Charles Kupchan, Obama's top adviser for European affairs, said leaders will describe the new effort as a "persistent" force in the easternmost countries, rather than "permanent."

"We will see persistent rotation, persistent exercises to ensure that Estonia and that other countries in Central and Eastern Europe are provided the reassurance from NATO and the presence of NATO needed to meet their security needs," he said.

Opinion: What is Russia doing in Ukraine and what can the West do?

Battling ISIS

Not on the official agenda in Wales, the ongoing spread of ISIS fighters in Iraq and Syria will nonetheless play a major role in Obama's discussions in Wales.

The President has said he wants to form a coalition of governments willing to take on the group, which has taken over huge swaths of territory and terrorized ethnic minorities. Officials say that could include a role for NATO, though in what capacity is so far unclear -- after all, Obama himself hasn't yet decided whether to undertake airstrikes against ISIS in Syria.

Western European leaders must also confront the growing threat of "homegrown terrorism" -- citizens leaving to fight with militant groups in Syria and Iraq, and potentially returning to stage a terror attack at home.

The host of the NATO summit, British Prime Minister David Cameron, already announced new measures to combat that threat after a London-accented militant was filmed beheading journalist James Foley.

ISIS video shows beheading of second journalist

"There will have to be an acknowledgment that individual European countries, and certainly the United States, are taking action, actively working militarily on issues relating to Iraq and then potentially Syria," said Kathleen Hicks, the director of the international security program at CSIS.

Cameron lays out plans to counter U.K. jihadi threat

Afghanistan's future

Just as the United States is watching anxiously the final outcome of Afghanistan's recent election, NATO member states are wondering what their role will be there after this year ends.

Both candidates in the contested vote have said they'll sign an agreement allowing U.S. troops to remain there past 2014. But without a winner, the Bilateral Security Agreement remains unsigned.

Hanging over the decision is the security situation in Iraq, which has completely unraveled following U.S. troops' withdrawal. Neither Obama nor his NATO counterparts want the same thing to happen in Afghanistan.

Gunmen target spy agency in Afghanistan

"We're moving into a world in which NATO will be less salient in Afghanistan, but in which we want to capitalize on the lessons that we've learned, the partnerships that we've built," Kupchan said.

No expansion

NATO last admitted new members in 2009, but leaders are quick to note this year's summit isn't about expansion.

The appetite for letting countries like Bosnia and Macedonia -- labeled "aspirant countries" -- into the club has waned. It's hard enough to get the 28 current members to agree on things, officials say.

Case in point: NATO is having a tough time convincing its members to spend more on their militaries, a requirement for membership. The United States spends about 4.4% of its gross domestic produce on defense, according to NATO figures; the European average is 1.6%.

NATO's guidelines encourage countries to spend at least 2% of their GDP on defense.

"Part of the reason I think this NATO meeting is going to be so important is to refocus attention on the critical function that NATO plays to make sure that every country is contributing in order to deliver on the promise of our Article 5 assurances," Obama said at a news conference last week.

But analysts say as long as economic conditions in Europe remain bleak, countries will remain hesitant to ramp up their military spending, even as external threats grow.

"The Ukraine crisis has been a wake-up call," Conley of CSIS said. "Now, whether the Europeans will hit the snooze button or not, again, I don't know, but it has certainly shaken them, that they have allowed their military defense spending to atrophy to a point where they are now vulnerable."

@highlight

Obama's trip is meant to reassure Eastern Europe that Putin doesn't have free pass

@highlight

Militant Islamists' gains in Iraq and Syria also cause for concern for NATO members

@highlight

Summit was originally scheduled to address Afghanistan's future when troops leave