Four months ago Narendra Modi emerged as the runaway winner of the world's biggest election in history. It was a surprising, overwhelming mandate for his Bharatiya Janata Party: no other Indian party had won a clear majority in parliament in three decades. Modi was the clear face of the party, the man millions of Indians believed could better their lives.

But who is Narendra Modi? What makes him tick? How has he evolved in his first role on the national stage? And what is his vision for India's foreign policy?

Modi has has not done any media interviews since becoming PM. Until now. CNN's Fareed Zakaria conducted the network's exclusive interview. As part of the CNN team that was there at the PM's residence at 7 Race Course Road, I got to spend a bit of time observing India's new, enigmatic, all-powerful leader.

A lot has been written about Modi in the last year. What hasn't gotten enough press -- a result of the lack of access -- is what PM Modi is like up close. Here are some thoughts about what I found interesting.

Modi's lighter side

Modi has a reputation -- at least in the press -- of being a serious man, an intimidating presence. Having never met him before, I was struck by his lighter side. Modi had a natural, easy sense of humor, the likes of which I've rarely seen when producing interviews with world leaders. When we were setting up for the interview, I asked him to do an audio test for us.

"What should I say?"

I asked him to count to ten.

"You're testing my primary education as well today?"

The tension broke; both sides were laughing.

Twenty minutes through the interview, we realized Modi's forehead had gotten shiny, perhaps because of the intense lighting. I stopped the interview, and asked our makeup artist to touch him up. "My sweat is the product of sixty years of toil, my friends," Modi announced to the room. "Sixty seconds of makeup isn't going to help me!" Again, laughter all round. Modi was playing to the gallery.

OPINION: Memo to Modi: How to reboot India

On foreign policy

There were serious moments as well. One of the things India-watchers asked when Modi was elected was how quickly he would adapt to the global stage. Modi, after all, had little experience in international diplomacy.

I've previously written about how Modi has been quick off the block in engaging leaders of other countries. What struck me about Modi in person was how his foreign policy is rooted not in international relations theory, but in history.

On China, Modi repeatedly referred to India's historical ties with China, and how the two countries had for centuries risen and fallen in sync.

When asked if he was worried about China's growing assertiveness in territorial disputes in the East China and South China Seas, Modi said: "India is different. It is a country of 1.25 billion people. We can't run our country if we get worried about every small thing."

"At the same time we can't close our eyes to problems. We're not living in the 18th century. This is an era of partnership. Everyone will have to seek and extend help mutually. China is also a country with an ancient cultural heritage," he added.

Modi pointed out how the world had changed since the 18th century. Back then, countries thought horizontally: they wanted to expand. Today, they think vertically, about building up their economies.

Certainly, the suggestion Modi made was that he was thinking vertically -- and he was expecting his neighbors to do the same.

OPINION: What India can learn from China

Right or left?

Journalists often describe Modi as a politician of the right. He's pro-business, nationalist, talks about a leaner, smaller government, doesn't want to raise taxes. Indeed, he may be all of those things. But perhaps the left-or-right prism is a Western one, best applied to developed economies.

Modi struck me as a populist. He candidly talked about growing up poor, about traveling around the country and learning about life from conversations with regular people. He defended India's policy on subsidies.

For rich countries, subsidies are a political agenda, he said. "For poor countries, subsidies are a matter of life or death." Modi explained he was not going to budge on bringing in FDI (Foreign Direct Investment) in retail (a change many economists have called for) because he believed in a different kind of FDI -- First Develop India.

Work

At the start of our interview, Modi told us about his working life. He said he wakes up at 5 a.m. every morning -- a childhood routine --and often stays up working and reading until anywhere from 10pm to two in the morning.

So, how does he unwind, asked Fareed. The answer surprised me. Modi used an analogy of a scientist obsessed with his laboratory; his passion keeps him in the lab all day and all night. That, Modi said, was how he felt about governance. "Work gives me relaxation too ... I draw pleasure in governance, in doing new things and bringing people together. That pleasure is all I need from life."

Rhetoric

One thing I wasn't surprised by was Modi's rhetoric. Up close, his speech and rhetoric are as impressive as it had seemed to be on the campaign trail and on TV.

He had clearly prepared thoroughly for questions he thought an international broadcaster might ask. He knew the right things to say--even off camera.

But great rhetoric also means great expectations. It's too soon to judge Modi on results. For sure, CNN will be back later to ask and check if he has delivered.

@highlight

CNN granted first interview with Narendra Modi since he became Indian PM

@highlight

Modi has a reputation for being an intimidating presence but showed a lighter side

@highlight

Foreign policy seemed to be rooted in history, not international relations theory

@highlight

He candidly talked about growing up poor and defended Indian subsidies