Seeking a middle ground between calls for tough military action and none at all, President Barack Obama said Thursday he was sending up to 300 military advisers to Iraq to help the embattled government hold off a lightning advance from the north by Sunni militants.

Obama told White House reporters the goal was to prevent a civil war in Iraq that could destabilize the region, and also prevent creation of a terrorist safe haven in northern Iraq and neighboring Syria from which U.S. enemies could plan and launch attacks against American interests.

At the same time, Obama sought to allay fears of a military escalation that could relaunch the eight-year war he halted by withdrawing U.S. troops in 2011.

"We have had advisers in Iraq through our embassy and we are prepared to send a small number of additional American military advisers -- up to 300 -- to assess how we can best train, advise and support Iraqi security forces going forward," the President said.

"American forces will not be returning to combat in Iraq but we will help Iraqis as they take the fight to terrorists who threaten the Iraqi people, the region and American interests as well," he added.

Obama also said his strategy meant that "going forward, we will be prepared to take targeted and precise military action if and when we determine that the situation on the ground requires it."

Possible airstrikes

The language signaled possible airstrikes against the Islamic State in Iraq and Syria (ISIS)  fighters who have swept toward Baghdad in recent weeks.

Senior administration officials told reporters after Obama's statement that the United States will be sending the advisers to multiple joint command locations in Baghdad and elsewhere in Iraq.

Several initial teams of about a dozen special forces members from units in the region would begin arriving in Iraq soon, said one of the officials on a White House phone conference conducted on condition of anonymity.

Earlier, several U.S. officials told CNN that the Pentagon proposed sending Green Berets, Army Rangers and Navy SEALs to Iraq  as military advisers and to collect intelligence.

The term military adviser evokes memories of the Vietnam War, when the U.S. government used that label for initial American forces sent over in what ended up as a long and costly engagement. U.S. officials acknowledged the American military advisers would likely face danger based on their location.

Boots on the ground

CNN military analyst Rick Francona said the decision amounts to U.S "boots on the ground" in Iraq, no matter how the administration characterizes it.

"This is the first step. This is how you get drawn into these situations," said Francona, adding that the mission must be clearly defined to avoid greater military involvement.

In response to questions from reporters after his statement, Obama rejected criticism that bringing home troops from Iraq three years ago contributed to the current crisis, saying it was Iraqi Prime Minister Nuri al-Maliki who rejected a residual force agreement over the need for a core requirement that would immunize U .S. troops from local prosecution.

Obama also made clear that he blamed al-Maliki for worsening Iraq's deep sectarian divide by failing to include Sunni and Kurdish interests in his policies.

He called on a new Iraqi government recently elected to adopt more inclusive policies, and said he was sending Secretary of State John Kerry to the region to promote such an approach. U.S. sources say Kerry is expected to travel to Iraq soon.

"Unless there is a coming together and elimination of the mistrust and addressing of the sense of isolation of different segments of Iraqi society -- unless people are brought together in order to try to bring the country together it's going to be -- there is no single military solution," Kerry told reporters on Thursday.

New government

On the White House call, a senior administration official said a main goal of the moves announced by Obama was to allow the constitutional process of setting up a new Iraqi government to occur within the legally required time frame.

The freshly elected Parliament will choose a new prime minister and president, and the Obama administration has signaled the need for a different approach than the sectarian polices of al-Maliki.

To conservative hawks in Congress, Obama's moves didn't go far enough.

"We are deeply concerned that the President continues to make political change in Iraq the prerequisite for greater U.S. military and other actions that could begin reversing the momentum of ISIS and improving the security situation in the country," said a statement by Republican Sens. John McCain of Arizona and Lindsey Graham of South Carolina, two leading critics of what they consider to be the President's soft foreign policy.

U.S. officials familiar with the Pentagon plan, who spoke to CNN on condition of not being identified, said the teams of military advisers would be placed around Iraq in the headquarters of Iraqi military brigades and tasked with gathering intelligence on ISIS forces, such as their location, numbers and weaponry.

Such information could provide needed intelligence if Obama decides to proceed with airstrikes on ISIS fighters, as requested by Iraq.

Baghdad tense as military seeks to halt ISIS militants' advance

Airstrikes an option

For days, military sources have said ISIS fighters are dispersed and mixed in with local populations, making them difficult to target precisely with airstrikes.

Francona noted that the U.S. special forces would be "in a great position to call in any air strikes" if Obama decided to use that option, too.

On Wednesday, the President met with congressional leaders and later with Kerry on the Iraq crisis, which has prompted GOP criticism of U.S. foreign policy in the hyper- partisan environment of an election year in Washington.

According to a White House statement, Obama went over efforts to "strengthen the capacity of Iraq's security forces to confront the threat" from ISIS fighters, "including options for increased security assistance."

Earlier, spokesman Jay Carney spelled out one limit to any help, saying: "The President hasn't ruled out anything except sending U.S. combat troops into Iraq."

Congressional authorization

While the White House statement emphasized Obama would continue to consult with Congress, Senate Republican leader Mitch McConnell of Kentucky said the President "basically just briefed us on the situation in Iraq and indicated he didn't feel he had any need for authority from us for the steps that he might take."

House Democratic leader Nancy Pelosi of California agreed with McConnell's assessment, adding she believed congressional authorization for military force in Iraq back in 2001 and 2003 still applied.

A few hours earlier, Defense Secretary Chuck Hagel and Joint Chiefs Chairman Gen. Martin Dempsey said they were working out details on possible U.S. steps that could include airstrikes on ISIS fighters.

The two leaders agreed with senators on a budget subcommittee that the Iraq crisis amounted to a threat to U.S. interests in the region and, down the road, a possible threat to the homeland if northern Iraq and neighboring Syria become a safe haven for al Qaeda-affiliated Islamists.

Kerry: U.S. would communicate with Iran, not work with it, against ISIS

Washington politics

Obama has advocated less unilateral U.S. intervention abroad than his predecessor, GOP President George W. Bush, who led America into wars in Iraq and Afghanistan following the September 11, 2001, terrorist attacks.

Republicans hoping to win control of the Senate and maintain their House majority in the November election have sought to depict Obama's foreign policy as weak and ineffective. They claim that a U.S. failure to intervene more forcefully on behalf of Syrian opposition forces created an opening for the Sunni militant movement now marching toward Baghdad.

House Speaker John Boehner, who attended the White House meeting with Obama a day earlier, told reporters on Thursday that the Iraq crisis amounted to a broader foreign policy failure by the  administration.

"When you look it is not just Iraq," the Ohio Republican said. "It is Libya, it's Egypt, it's Syria. The spread of terrorism has increased exponentially under this President's leadership."

Administration officials blame Iraq's crisis on the failure of Prime Minister Nuri al-Maliki to govern more inclusively over a nation with major sectarian divisions, especially between the Sunni-dominated north and Shia-dominated south.

Democratic Sen. Dianne Feinstein of California, the head of the Senate Intelligence Committee, said al-Maliki needs to be convinced that his retirement would be in his country's best interest.

"I think that most of us that have followed this are really convinced that the Maliki government, candidly, has got to go if you want any reconciliation," she said this week.

Other Democrats grudgingly supported Obama's announcement.

"To help Iraqis contain the current violence and protect our national security interests, I support President Obama's decision to deploy a very limited number of advisers to Iraq for a non-combat training mission," said a statement Thursday by Senate Majority Leader Harry Reid of Nevada.

He said that "any U.S. role in Iraq must remain sharply limited in scope," arguing that government funds should be for rebuilding infrastructure at home instead of more war in Iraq.

Opinion: Cheney's amazing chutzpah on Iraq

Transcript: Obama's remarks on U.S. response to Iraq crisis

Current fighting pushes Iraqi refugee population past 1 million

@highlight

Conservative hawks says Obama didn't go far enough

@highlight

President Obama outlines steps to bolster Iraq against ISIS fighters

@highlight

CNN military analyst: "It is boots on the ground"

@highlight

U.S. forces will advise Iraq's military, collect intelligence