(CNN)The Rev. Fred Craddock, the pulpit giant who was "like no other preacher you have ever heard," has died, his church announced.

Craddock, who redefined the art of preaching, died Friday in Blue Ridge, Georgia. The cause has not been disclosed. The 86-year-old had been in declining health due to Parkinson's disease in recent years, according to the United Methodist Reporter.

"Fred Craddock was a national treasure and a devoted servant of the church and Jesus Christ. His impact on preaching -- in terms both of scholarship and practice -- is incalculable," said the Rev. Thomas Long, a friend and a pastor at Emory University's Candler School of Theology.

Craddock faces his toughest convert

Preachers studied classic Craddock sermons such as "Have You Heard John Preach?" and "Grace and Disgrace," much like aspiring jazz musicians listened to saxophonist John Coltrane and amateur boxers studied tapes of Sugar Ray Robinson -- for clues to greatness and inspiration.

Craddock elevated preaching to an art. He was often called a preaching genius. Rather than deliver a sermon like a lecture -- an intro, three main points and a conclusion -- he developed an "inductive" conversational style of preaching.

His sermons unfolded like a short story -- there was foreshadowing, plot twists, dialogue; language of startling beauty and surprise endings.

The way he ended his sermons was as memorable as what he said. He would abruptly stop, turn from the pulpit, and quietly sit as the audience sat in silence. People didn't applaud or shout hallelujah after his sermons. They were too busy absorbing what he had just said.

The Rev. Barbara Brown Taylor, an author and world-renowned preacher, once said of Craddock: "He spoke of Kierkegaard as easily as he spoke of the Indianapolis 500. He quoted Kafka as helpfully as Corinthians... but he was also someone who noticed a lot about ordinary human life on earth."

Craddock, who taught preaching at  the Candler School of Theology until his retirement, was selected as one of the 12 most effective preachers in the English-speaking world in a poll of 341 seminary professors and editors of religious periodicals in 1996.

I had a chance to meet Craddock, as well as hear him. I spent several weeks with him in the autumn of 2011 to write a profile about his relationship with his father. He was just as impressive outside the pulpit.

He would ease his rotund little body in a wooden chair and share touching stories about growing up poor in the small town of Humboldt, Tennessee, during the Depression with an alcoholic father.

He'd talk about the infirmities of old age -- I remember saying with a chuckle that "I should have something" when referring to his bout with Parkinson's because he was getting old. He was funny, folksy, witty and his eyes danced with glee when he told a story.

Sitting in Craddock's presence was like listening to a wise uncle or grandmother. He had courtly, Southern manners, and he gave the impression that he had all the time in the world for you. I never once heard him criticize anyone.

It's not uncommon to meet great people who, to borrow a phrase that Craddock used, have "domestic wreckage" at home. But the Craddock family was among his biggest fans. He was married to his high school sweetheart, Nettie, for more than 50 years, and they had two children, Laura and John.

Laura named her son after her father. And John, who became a CEO instead of a pastor, said his father was the most remarkable man he knew.

"I don't care if it's a guy on the street asking for a dollar or the president of the United States, he makes you feel as if you're the most important person in the world when he's talking to you," said John Craddock. "I won the lottery as far as great fathers go."

Over the years, I kept in contact with him. I'd go to preaching workshops at his beloved Craddock Center, a non-profit ministry that served needy children in North Georgia, Tennessee and North Carolina. The center provides books, hot meals, storytelling and music. Perhaps Craddock saw something of himself in the kids he helped.

One thing is certain: He wasn't content to preach compassion. He lived that message.

Craddock's funeral will be held at 2 p.m. Monday at Cherry Log Christian Church in Blue Ridge, Georgia.

People we've lost in 2015

@highlight

Fred Craddock revolutionized art of preaching

@highlight

Craddock was selected as one of the world's best preachers

@highlight

He died Friday at 86 in Georgia