They call themselves "the resistance."

Israel and the United States call them terrorists.

What's unclear is who's calling the shots within the Palestinian militant group Hamas.

The political and the military arms of the group appear to have contrasting mission statements, and analysts say it's hard to pin down precisely who has the final word on making decisions and guiding strategy.

Here's an introduction to Hamas' key players:

THE POLITICAL WING

KHALED MESHAAL

He's Hamas' top political leader and often its public face. He's had the role since 2004 after Hamas' then-leader, Abdel Aziz al-Rantissi, was killed in an Israeli airstrike.

A former teacher, Meshaal operates mostly from Qatar and is known as Hamas' external deal-maker, raising money from supporters in the region.

"Despite his George Clooney-type looks, he's very much a dangerous man because he aids and abets Hamas' very destructive policies and strategy," said Neri Zilber of the Washington Institute for Near East Policy.

While it's not clear how much control Meshaal has over the military wing of the group, one Israeli official calls the 58-year-old "the Osama bin Laden of Hamas."

A bizarre assassination plot: In 1997, Meshaal was the target of a bizarre assassination attempt by the Mossad, Israel's intelligence service.

Mossad agents confronted Meshaal in Jordan and injected or sprayed poison into his ear.

It might have ended right there. But Jordan's King Hussein, who had a peace treaty with Israel, threatened to break off relations unless Mossad delivered the antidote to the poison. And they did.

"Allah saved me. Then King Hussein," Meshaal told CNN in 2002.

A $70 million budget: In 2012, Meshaal left his previous base of operations in Syria as the country's civil war deepened. That decision is believed to have led to a breakdown in his relationship with Iran, Hamas' key backer, said Firas Abi Ali, head of Middle East and North Africa Country Risk and Forecasting at IHS.

"The Qataris, who are backing him now, are not able to provide the military expertise and training on rockets and drones that the military wing needs to fight Israel," he said. "These are things that only the Iranians can provide."

But there are other members who still enjoy the support of Iran. And, as Meshaal told CNN's Christiane Amanpour, Hamas enjoys the support of expatriate Palestinians, private donors in the Middle East and Muslim charities -- enough to bankroll its $70 million annual budget.

"Hamas -- as a movement of resistance, with a cause, for a people living under occupation --  we seek, not just wait, to get support, financial support, military support, political support from all over the world, from all the states in the world," he said. "Everyone giving us support, whether it's from Iran or Europe, from anywhere."

ISMAIL HANIYEH AND MOUSA ABU MARZOUK

Hamas formed in 1987 at the start of the first Palestinian intifada, or uprising, as an Islamic resistance movement against Israel. In 2006, Hamas won a majority in Palestinian legislative elections and formed a unity government with its rival Fatah. But the coalition collapsed into deadly violence in 2007, leaving Hamas in control of Gaza and the Fatah-dominated Palestinian Authority in power in the West Bank.

During Hamas' short-lived coalition with Fatah, Haniyeh became Prime Minister of the Palestinian Authority. After their 2007 split, he retained the role for Hamas in Gaza.

The group's second political leader is Mousa Abu Marzouk.

In Iran's good books: Haniyeh is a former leader of Hamas' student movement. He was considered to be a close associate of the group's founder and spiritual leader, Sheikh Ahmed Yassin, according to the Council on Foreign Relations. Yassin was assassinated by an Israeli airstrike as he was leaving a Gaza City mosque in 2004.

"The faction in Gaza led by Ismail Haniyeh and Mousa Abu Marzouk appears to still be in Iran's good books," said Abi Ali. "It still has good relations with Iran, given the increased sophistication of rockets used by Hamas and Islamic Jihad."

Haniyeh and Abu Marzouk are believed to operate between Egypt and Gaza.

But the Egyptian government has made movement between Egypt and Gaza a lot harder for Hamas leaders.

"The siege has led the Gaza-based factions to band together," Abi Ali said. "They're more coherent and cohesive."

Goodwill among the people: Part of the pair's job is to ensure that Hamas continues to enjoy widespread backing from the general population in Gaza. The group does it through its many social welfare programs.

According to the Council on Foreign Relations, "(its) efforts in this area -- as well as a reputation for honesty, in contrast to the many Fatah officials accused of corruption -- help to explain its broad popularity."

THE MILITARY WING

MOHAMMED DEIF

Since Hamas took over Gaza, the armed wing, Qassam Brigades, has morphed into a military force aimed at protecting the territory. Its fighters have also continued to periodically fire rockets into Israel. The Israeli military estimated this month that Hamas and other militant groups in Gaza have between them roughly 10,000 rockets of varying ranges.

The military wing is led by Mohammed Deif, a shadowy, savvy figure who analysts say has survived multiple Israeli assassination attempts.

Always on the move: The Qassam Brigades' website says that Deif's real name is "Mohammed Diab."  It says he took the name "Deif," which means "guest," because under the pursuit of Israeli security forces, "he kept moving from village to village and from place to place."

Deif was wounded years ago and is believed to have handed some operational parts of his role to other top Hamas military leaders like Marwan Issa.

"Over the years, it's lost a lot of military commanders during assassinations and military conflicts," said Abi Ali. "It's proven that it's robust enough to take this kind of event and keep improving its capability."

MARWAN ISSA

Marwan Issa's forte is believed to be unconventional attacks on Israel.

"It could be these kidnapping or offensive-type operations through attack tunnels underneath the Gaza border inside Israel," Zilber said.

The Qassam Brigades also said it has sent several drones on missions inside Israel. The Israel Defense Forces said it shot down a drone off the country's coast on Monday.

"What we are seeing in this conflict is the military wing asserting itself as the one in control," said Abi Ali.

Always a target: And it's that kind of tactic that may, according to analysts, have made Issa one of Israel's chief targets in its offensive. In 2006, he survived an Israeli military assassination attempt. This month, his house was targeted in Israeli airstrikes. He's believed to be in hiding elsewhere.

SALEH AL AROURI

Al Arouri is the head of the Qassam Brigades in the West Bank, and he is accused of catalyzing this latest conflict. Israeli officials say he's the person who ordered the abduction of the three Israeli teens, whose bodies were later found in a field in the West Bank. "Al Arouri, who used to live in a village north of Ramallah, has urged West Bank operatives incessantly to set up terror cells and perpetrate kidnappings," The Times of Israel reported last month, quoting an Israeli security official.

Sitting safe in Turkey: Last month, Israeli military demolished what is believed to be Al Arouri's home in the West Bank. But he wasn't there. His base of operation is Turkey, where he's safe from the reaches of the Israeli forces. Turkey cut all diplomatic relations with Israel after commandos boarded a boat carrying supplies to Gaza and killed nine people in 2010.

Act of desperation: So, who exactly is in charge?

"None of these movements are monoliths,"  said Abi Ali.

Still, he said, "what we are seeing in this conflict is the military wing asserting itself as the one in control."

Khaled Elgindy, who was a former adviser to the Palestinian Authority, said Hamas is in one of the weakest positions it's been in in several years.

"The changes that have happened in the region and especially in Egypt; their closure of the tunnels and its access to finances and weapons have been severely diminished over the last year in particular. So they're in a much weaker position," he said.

And that weakened position, he says, is fueling the military wing's belligerence.

"I think part of the motivation for sort of, you know, taking the Israeli bait, if you will, in this latest round of violence has been, I think, the fact that they're in a state of disarray and, you know, in a way I think it's an act of desperation by a very weak Hamas."

@highlight

Amid the Gaza conflict, experts try to figure out who's in charge

@highlight

Movements like Hamas aren't "monoliths," one analyst says

@highlight

The military wing in Gaza appears to be asserting its control

@highlight

The group's political leader in Qatar may have lost favor with Iran