SHANGHAI, China (CNN) -- In between selling tickets and greeting customers, Min Min turned his curvy 6-feet-tall frame to survey the spacious dance hall and revealed he is no ordinary doorman at this extraordinary place.

Min Min hosts a drag show in Shanghai while not manning a ballroom dance hall for older gay men.

"When I first started this, it was only a dozen or so of us," reminisced the former factory worker-turned-drag queen.

"Now 300 people or more come each night."

Welcome to Lai Lai Dance Hall, arguably the only entertainment venue for older gay men in Shanghai, if not the whole of China. Tucked away in a rundown neighborhood in the city's northeast, Lai Lai sits atop a public bathhouse, and features cracked wooden floors and a primitive sound system.

Its location and facilities, however, belie its prominence in a community that thrives almost entirely underground.

Every weekend, men flock here to unleash their ballroom dancing skill as well as their true identities for three treasured hours. Lai Lai's "gay nights" are only on Fridays, Saturdays and Sundays.

Casually dressed in jeans and sneakers, men of various ages -- but mostly in their 40's and upwards -- and shapes filled the dimly lit dance floor one recent evening. They waltzed, jitterbugged and rumbaed in pairs to the nostalgic Mandarin tunes churned out by a live band on the small stage.

"You won't see this anywhere else," said Min, organizer of this regular gathering, himself a middle-aged gay man whose dual passions lie in ballroom dancing and performing in drag.

On this Sunday night, however, he was out of drag, donning a sweater and cargo pants. "I don't really do this for the money -- it's just great fun."

Patrons pay a mere 5 yuan (70 U.S. cents) to enter and enjoy cheap drinks -- a bottle of beer costs just 3 yuan.

Observing from the sidelines, one of Min's fellow drag queens -- known as Teacher Zhang -- noted most older gay men don't feel comfortable going to the more expensive bars or clubs frequented by the younger generation.

"It's a totally different culture and environment in those places, while everyone fits right in here," said the 58-year-old former soldier and retired school administrator.

"It's a rare outlet for people to relax, to find friends or sex."

Zhang's personal story mirrors those of many patrons at Lai Lai. Realizing he was gay at an early age, Zhang -- like many gay men in China -- married a woman because of family and social pressure. He is expecting to become a grandfather this autumn.

"My wife and my son have suspicions about me, but it's always going to be a question mark in their minds," Zhang said.

"They have seen me perform folk dance in drag, but I will never let them see me in an intimate situation with another man."

Unlike many among Lai Lai's largely blue-collar clientele, Zhang said success in running his own catering business has injected freedom and flexibility into his closeted life.

"I bought a big duplex for my wife, and I told her I would stay in the old apartment to concentrate on work," Zhang said.

"Chinese women at her age are very pragmatic -- they are satisfied as long as you take good care of the family."

Taking precautions

Family issues aside, activists have pointed to inconsistencies in government policy to explain older gay men's reluctance to come out.

Although homosexuality is not illegal in China and has been removed from the country's list of officially recognized mental disorders since 2001, it remains a taboo topic in the state-run media.

Gay venues have popped up in major cities across China in recent years, but the authorities sometimes shut them down during politically sensitive times.

The upcoming Olympics appears to be one such occasion, amid reports of a series of recent police raids on gay clubs, saunas and cruising spots in Beijing and Shanghai.

Activists have voiced their worries about a new crackdown aimed at "cleaning up" the country ahead of the Summer Games in August.

Both Zhang and Min said they will keep a low profile and be even more cautious about staging drag shows in the next few months. As an extra precaution, they requested their real names not published and Min also insisted no pictures be taken at Lai Lai.

For now the dance routines continue and have attracted new fans like Ray Mahoney, an American volunteer with a local AIDS-prevention organization. Mahoney, 50, has been visiting Lai Lai with fellow volunteers to hand out free condoms and safe-sex literature.

While he loves the uniquely romantic dance scene, Mahoney emphasized that he has an urgent message for Chinese gay men of his age group. He said many people in this generation, because of their educational and social background, have never used a condom before -- either with their wives or with their male sex partners.

"I had three friends in the U.S. die in the 1980's of AIDS," Mahoney said. "The people at Lai Lai don't realize AIDS is really close to them and it's spreading quickly in the gay community here."

Acknowledging the rising HIV-infection rate among gay men, Chinese health officials have quietly started their own outreach program, which calls for sending trained staff to gay venues nationwide to promote AIDS awareness and encourage voluntary testing.

Although he has welcomed the volunteers and admires Mahoney's dedication, Min still focuses his attention on dancing.

He is even prepared to set his sights on an alternative "Olympic" event that includes ballroom dancing as a competitive sport.

"In the future we might," Min responded when asked if he and other Lai Lai regulars would join the Gay Games -- the gay answer to the Olympics -- next to be held in 2010 in Cologne, Germany.

"We probably won't win," he said with a laugh. "But I bet we could finish in 6th place!"

Steven Jiang is a Beijing-based freelance writer and former CNN producer.

@highlight

Old dance hall one of few underground gay clubs in Shanghai for older generation

@highlight

Caters for a different generation who enjoy ballroom dancing and drag acts

@highlight

Homosexuality is not illegal in China, but culturally difficult for older men to come out

@highlight

Many fear a crackdown on gay clubs in the lead up to the Olympics