(CNN) -- My father was murdered. Shot down on the street in Philadelphia in the 70s.

I never had a chance to know him. His name was Edgar Leonard, and he was in his 20s when he was killed. My grandmother, his mother, fell apart after he died. He was her only child.

But kids are curious, regardless of the pain their questions may cause grown-ups. I always wanted to know more about my father. My mother wasn't talking. So at 9 years old, I asked my grandmother to tell me about my dad. The first thing she did was show me photos of her son stretched out in his coffin with bullet holes in his head.

House Speaker John Boehner and those who support unrestricted gun rights should take a long look at photos like this -- or talk, just once, to mothers who've lost loved ones to gun violence -- before they utter one word about gun control laws. The experience doesn't have to change their position, but I guarantee it will help shape their perspectives and permit more intelligent conversations on the issue.

Staring at those photographs, I was horrified. I had nightmares for years about getting shot in the head myself, or what my father thought about as he was dying. My grandmother only saw the handsome, charismatic young man her son once was. Fortunately for me, I have since seen photos of him in happier times: as a chubby baby boy; smiling with his prom date. Who knew why my grandmother showed me. Maybe she wanted me to see the violence that took his life. Or what guns do when not used responsibly. I know she wanted the person who killed her son caught and punished. That didn't happen.

Coming from this tragic place has given me an awesome respect and healthy fear of guns. I know how one shot can change lives forever. In my 40-plus years, hardly a day has gone by that I haven't thought about my father and missed the man I never knew.

Opinion: Gun control is on all of us

I have lived in a city for the past 25 years, where always I assume anyone can be armed at any time in any place. And I grew up in Connecticut, where is it common to hear gunshots echoing through the woods and see a gutted deer carcass hanging from a tree draining blood.

Despite my father's violent death, I vigorously support our right to bear arms. Honestly, I've seen collector guns that are beautiful pieces of craftsmanship. And I'm quite convinced that if I ever felt my or my son's life was in danger, I'd use a gun to protect us both from harm. I pray that I will never have to make that decision.

Guns are a part of my world. And it was the unanswered questions about my father's murder, in part, that drove me to become a journalist. I was determined to write about people like my father whose stories would never be told.

I've spoken to neighbors, athletes and colleagues, those who own guns and those who never have, about the gun issue, and all seem to fall in the middle. So, I don't quite buy the hard line we're told exists between those Americans for and against gun control. We are not as far apart as Congress or lobbyists would have us believe. None of the people I've spoken to think like gun-crazed NRA lobbyists or gun-hating liberals. Real life is never black and white.

The time has come for Americans to take over this conversation and demand sensible solutions that help keep us safe while protecting our Constitutional rights. We are smart enough to do both: to understand that gun ownership comes with huge responsibility. Not everyone is qualified to own or have access to guns, just as not all of us are qualified to drive a car, without some regulation. As President Obama said earlier this week in his news conference: "with rights comes responsibility." It's common sense, he said.

As predicted, the backlash has begun over the president's executive orders, which call for strengthening current gun laws and taking related steps on mental health and school safety. He also called on Congress to reinstate an assault weapons ban that expired in 2004, to restrict ammunition magazines to no more than 10 rounds and to expand background checks to anyone buying a gun, whether at a store or in a private sale at an auction or convention.

The president has begun a much-needed, difficult conversation. Congress should come up with its own common-sense solutions to curb gun violence if it doesn't like what's on the table. To do nothing would be a national disgrace. Do we really want to live in fear of one another, praying our gun is bigger than the next person's, or that we are quick enough to shoot first? There is no common sense in those gun-happy solutions.

Time has come for us all to stop politicians and lobbyists from turning our great democracy into a nation where it is easier to buy a gun than to exercise our right to vote. Somehow, I think our forefathers had something greater in mind for us when they wrote the Constitution.

We owe it to them, our children, our mothers and our fathers to try and live up to those great expectations.

The opinions expressed in this commentary are solely those of Roxanne Jones.

@highlight

Roxanne Jones says her father was shot to death in the 1970s

@highlight

She says if leaders opposed to gun control saw victims, their perspective might change

@highlight

She says she backs right to bear arms; Americans not so far apart on issue

@highlight

Jones: Obama has started needed conversation; leaders must offer sensible solutions