LONDON, England (CNN) -- Over the past 20 years, robotics have revolutionized surgery, and new innovations are continuing to push the boundaries of medicine.

The "da Vinci" system revolutionized keyhole surgery.

Mike Rustic, senior lecturer at the mechanical engineering department at Imperial College, London, says machines such as the "da Vinci" system have had a huge impact on surgery.

The "da Vinci" first appeared in 1991 and lets surgeons carry out keyhole surgery remotely, allowing them to control robot arms from a console that also provides a three-dimensional image of the proceedings.

While the "da Vinci" system is the most widespread robotic surgery tool, Rustic says the "Sensei Robotic Catheter System" is also starting to be used for electrophysiology procedures on the heart.  Take a look at the past, present and future of surgery »

A new exhibition at London's Royal College of Surgeons called "Sci-Fi Surgery: Medical Robots" has displays ranging from the "da Vinci" system to prototype microbots designed to be swallowed and self-assembled in the human body.

Rustic says there is much ongoing research into micro machines -- miniaturized robots that could be placed in a patient's body to gather information or carry out medical procedures.

But he says that although pill cameras -- cameras that are swallowed by a patient to provide images of their digestive system -- are already in common use, micro machines remain some way off.

"Micro machines are basically one of the holy grails, but it will take a while before we see something," he told CNN.

"The difficulty is that even if you can make little motors you need to power them up and you have to be able to communicate with them and direct them."

Rustic says one innovation on the horizon is a device being developed by Imperial College that would allow a surgeon to remotely control an endoscope while a patient is inside a Magnetic Resonance Imaging (MRI) machine, which would give real-time image feedback during gastric procedures and prostate biopsies.

But he adds that currently, robotic surgery devices are often prohibitively expensive and tend to be used for a narrow range of procedures. He told CNN that he would like to see an economical robot that can be reconfigured to perform a wide range of procedures in a standardized way, so that training can be simplified.

"There is currently a gap. We are trying to produce complex machines to replace surgical tools, which are hand tools. It's like when industry moved from a chisel and hammer to machine tools."

Pier Cristoforo Giulianotti is a professor at the University of Illinois department of surgery. He told CNN that as more manufacturers join the medical robotics marketplace, innovation will speed up and prices will come down.

He sees the future as bringing extreme miniaturization of tools, as well as developments in augmented reality, where visual displays show computer-generated images and information overlaid onto images of the real world.

Giulianotti cannot foresee a time when robots replace surgeons, but he has no doubts over the importance of robotics. "Robot surgery is the future of medicine," he said.

@highlight

A new exhibition is demonstrating how robotics have revolutionized surgery

@highlight

The "da Vinci" system became the first widespread robotic surgery tool

@highlight

"Micro machines are basically one of the holy grails," says Mike Rustic