Austin, Texas (CNN) -- An Internet that gives people the information they want virtually as soon as it's created is getting closer, according to Internet professionals.

But before real-time Web becomes a reality, developers say they need to figure out how to protect people's privacy while blasting out as much information as they can, as fast as they can.

"A lot of this data that people would like to make available, they wouldn't necessarily want to make available to everyone," said Jack Moffitt, chief technical officer for Collecta, a search engine that aims to give real-time results. "I think we'll be wrestling with privacy issues around real-time data for a long time."

The idea behind a real-time Web is to create technology that doesn't require an Internet user to actively seek out something they're interested in. That could mean anything from getting pinged when an article about your favorite sports team is posted to an alert when you're mentioned in someone's blog.

Moffitt and others speaking at the South By Southwest Interactive Festival on Saturday said there's not yet fully developed technology that would both give people all the real-time info they want and let people who put their information on the Internet select who sees it -- or even take it back.

"It's kind of in our best interest, being selfish, if everyone was completely open with their data," said Scott Raymond, founder of Austin-based Gowalla, a location-based mobile app. "From the user's perspective, it's kind of the opposite -- it's probably better to just stay selfish with your own data but consume everyone else's.

"There's a whole lot of work that needs to be done on this and it hasn't been solved yet."

For example, if people on Twitter all set their feed to private, the popular trending-topics feature wouldn't work. Recently, Twitter, on which most users make their information open to everyone, hit a major milestone -- its 10 billionth tweet. Unfortunately, that tweet was by a user whose settings are private, so the curious will never know what the landmark message was.

Brett Slatkin, a software developer with Google, said a real-time Web would create numerous new opportunities -- among them, giving small, local retailers a chance to catch up with major online stores that capitalize on convenience.

"If my corner store can say [to a customer online], 'Yes, I just got five rickshaw bags in stock and you wanted one -- you can just walk down here and get it,' it's a chance to change competition and commerce," he said.

On sites like Twitter, Gowalla and Foursquare, Google Buzz and Facebook, status updates already exist as elements of a real-time Web.

Developers note that the speed with which information travels on the Internet is already dramatically faster than it was just a couple of years ago -- before Twitter and location-based apps existed and before Facebook became a worldwide phenomenon.

"This creates lots of interesting social scenarios," said Dare Obasanjo, of Microsoft. "In the 'old days,' you would have written a blog post about something you did and I'd be like, 'Crap, I was in the next room.' "

Multiple players, at both major Internet companies and new startups, are working on an Internet platform to "real time" the rest of the Web. That starts with faster searching.

Current search engines "crawl" around the Internet -- adding the material they find to their databases. But that can sometimes take awhile, particularly on smaller Web sites.

Then, there needs to be a universal system for pushing that information to the right people.

Obasanjo suggested there may eventually be a way for every new page of data on the Internet to have hashtags (#) similar to the ones used on Twitter to denote that a post is about a particular topic.

On the issue of privacy, Slatkin said developers could roll out a way for a person to set their online privacy settings in one place then have those settings apply on every Web site.

"We're going to see a definition, at the technical level, of what sharing means," Slatkin said. "I think we're going to solve it on the technical level first. Once we solve it technically, it'll be about how to actually implement it for users."

@highlight

Idea behind real-time Web is to create technology that doesn't require user to seek out info

@highlight

Developers say they need to figure out how to protect privacy first

@highlight

Real-time Web could help local retailers catch up with major online stores, developer says