Tokyo (CNN) -- The detection of high levels of radioactivity in certain Japanese foods -- and the nation's subsequent clampdown on their sales -- signals the food safety situation is "more serious" than originally thought, a World Health Organization official said Monday.

Peter Cordingley, the Manila-based spokesman for the WHO's regional office for the Western Pacific, said his organization believes people in Japan "have to be cautious" about what they eat and drink.

Besides causing devastation throughout northeast Japan, the 9.0-magnitude earthquake and subsequent tsunami on March 11 seriously damaged several reactors at the Fukushima Daiichi nuclear plant, leading to the release of an unspecified amount of radioactive material into the atmosphere.

On Sunday, the sale of raw milk from Fukushima Prefecture and spinach from  neighboring Ibaraki Prefecture were banned due to detected levels of radioactive iodine and cesium that surpassed  government limits, Japan's health ministry reported. And officials in  Fukushima halted the distribution of locally grown vegetables outside  the prefecture.

Cordingley noted that, whereas fears initially were for produce within 30 kilometers (18 miles) of the plant, cows (and the milk they produce) outside that radius and spinach from as far as 120 kilometers was being affected.

"Quite clearly, it is not what we thought in the early stages. It is more serious," he said. "We have seen Japanese people in grocery stores paying close attention to where their produce is coming from, and we think this is a wise practice."

Cordingley's assessment -- and the Japanese health ministry's move -- suggests that top world and national health agencies are definitely taking the issue seriously. And so are people in Japan.

"It doesn't look like a short-term issue," said Phil Knall, who lives in Tokyo. "I'm definitely concerned about the food that is going to be shipped out from now. I'm definitely thinking about it."

Japanese officials reported levels of radioactive iodine in milk from  four locations in Fukushima that ranged from about 20% over the  acceptable limit to more than 17 times that limit. Testing at one  location also found levels of cesium about 5% over the acceptable limit,  the health ministry reported Sunday.

And in Ibaraki, a  major center of vegetable production, tests at 10 locations found  iodine levels in spinach that ranged from 5% over acceptable limits to  more than 27 times that ceiling. At seven sites, levels of cesium grew  from just above 4% to nearly four times the limit.

Iodine and cesium isotopes are byproducts of nuclear reactors like  the ones that were damaged in the March 11 earthquake and tsunami that  devastated the northern Japanese island of Honshu. While Iodine-131 has a  radioactive half-life of eight days, cesium-137's half-life is about 30  years.

A  few water samples taken in the area tested positive for iodine --  although far below levels of concern under Japanese law, according to  the International Atomic Energy Agency website. The agency said it  received reports from Japan's government that six out of 46 samples  tested positive for the iodine-131 radioactive isotope.

The decision to prohibit food produce sales is another potentially devastating blow to a part of northeast Japan hit by the earthquake, tsunami and other potential fall-out from the Fukushima  plant.

Fukushima,  northeast of Tokyo, has Japan's fourth-largest  amount of farmland and  ranks among its top producer of fruits,  vegetables and rice.  Ibaraki, south of Fukushima, supplies Tokyo with a  significant amount of  fruits and vegetables and is Japan's  third-largest pork producer.

After the 1986 nuclear plant disaster in Chernobyl  -- then a part of the Soviet Union --  tons of food had to be destroyed when  radioactive debris fell on crops in large swaths of Eastern Europe and  Scandinavia.

Hygiene expert Satoshi Takaya, who helped  Japanese scientists prevent contaminated food from entering the country  at that time, said the current situation is no Chernobyl -- but he said  the current crisis is sure to affect Japanese farmers.

That means threatening the livelihood of people like Ukia Uchida, an 82-year-old woman whose family has farmed a plot in Shibayama for generations.

"Up until now, I thought everything was fine here," said Uchida. "But to hear that some radiation has been found here is pretty upsetting."

CNN's Jo Kent, Catherine E. Shoichet, Steven Jiang, Martin Savidge, Paul Ferguson, Thom Patterson and Matt Smith contributed to this report

@highlight

A WHO official calls the food safety situation "more serious" than first thought

@highlight

"I'm definitely thinking about" possible radiation in food, a Tokyo says

@highlight

High levels of radioactive iodine and cesium have been found in milk and spinach

@highlight

The two prefectures affected include some of Japan's most productive farmland