More American women have had medical help to have their babies than ever, according to the latest annual report from the Society for Assisted Reproductive Technology.

The group represents the greater majority of in vitro fertilization clinics in the United States.

Their report showed that doctors at these clinics performed 165,172 procedures, including IVF, with 61,740 babies born as a result of those efforts in 2012.

That's about 2,000 more babies born using treatments from IVF clinics than in 2011. That also makes 2012 the year with the highest percentage of babies born through IVF than ever reported previously, according to the society.

That upward trend is the opposite of American birth rates overall. Since 2007, the American birth rate has been declining steadily. In 2012, more than 3.95 million babies were born, the Centers for Disease Control reports (PDF). That's below what demographers call the "replacement level," the level at which the generation can replace itself. Of those births, IVF treatments account for about 1.5% of all babies born in the United States that year.

This growing trend doesn't necessarily mean Americans are having more trouble having children. It may point to the fact that couples are having babies later. American women are having babies a lot later in life than they used to: In 1980, the average age of a new mom was about 22. Now, the average age of a new mom is closer to 26, according to the CDC (PDF).

Although women today are generally healthier, fertility does decline as people age.  A woman's body produces fewer viable eggs when she gets older, and men's sperm doesn't swim as well as they age.

Women can't wait too long to seek out treatment, though. That is also clear from the annual report.

The IVF success rate was significantly higher for women under the age of 35 compared with those who were older.

Looking only at the IVF treatments that used fresh embryos from non-donor eggs, the number of women under the age of 35 who gave birth using IVF was about 40%, compared with only 31% for women between the ages of 35 and 37. Only 3.9% of 42-year-olds got pregnant as a result of IVF treatment.

IVF treatment has become more medically successful over the years and is gaining acceptance.

It is still, however, cost-prohibitive for a lot of couples. Most assisted reproductive technologies are not covered by insurance, or the reimbursements are capped, according the National Infertility Association.

The average cost of one IVF treatment in the United States is $12,400, and that's without the extra medicines the couple may need, according to the American Society of Reproductive Medicine. Often, couples will need more than one treatment to conceive.

The number of multiple embryos being transferred in IVF treatments has also declined, according to the report.

Doctors prefer that women give birth to a single baby or "singleton," as they are called in medical lingo. That's because even with medical advances, multiple births are still considered risky for mothers and babies.

The real reason behind the multiples baby boom

@highlight

About 2,000 more in vitro fertilization babies were born in 2012 than 2011

@highlight

Since 2007, the U.S. birth rate has been declining steadily

@highlight

IVF treatment success rates decline as women age