Bath, Maine (CNN)Joe Leask spends most of his workday much like he starts it: swallowed in darkness. First by the morning, and later by the sea.

Awake at 3:30 a.m., Leask heads first to the Bath, Maine, outpost of Frosty's Donuts for a Boston creme, small-town pleasantries and precisely the amount of coffee you would expect for a witching hour wake-up call. Then, it's an hour drive to the coastal community of Rockland and his floating "office," the November Gale.

"You're going to want to sit down," Leask says when a wave swallows the vessel's bow as it makes its way well into Maine's Penobscot Bay. The November Gale tows a rickety 20-foot fishing boat close behind. The sun starts to tease its light over the horizon, but on a merciless December morning, its warm rays are an empty promise.

As a sea urchin diver, this is Leask's version of a nine-to-five for the 38-day winter diving season. Equipped with a refashioned gardening tool and a mesh catch bag, he descends into the icy depths to rake for the area's prized green urchin.

"My job is sometimes the easiest job in the world and sometimes my job is the most difficult job in the world," Leask says.

The day's end goal is the urchin's inner roe, commonly referred to as uni. More technically speaking, the yellow-orange delicacy is the animal's gonads, but the marketing choice is clear. Uni is buttery and briny, with a custard-like texture. It's often described as "an acquired taste," flavored distinctively of the sea, which is perhaps one of its most desirable traits; there's nothing else quite like it.

Above water, Leask's right-hand man, Clint Richardson, navigates the smaller boat with precision as a cigarette dangles from his mouth. His job is to look for bubbles or flippers as a sign of Leask; once spotted, he tosses a second bag in Leask's general direction and hoists up the first. Soon, he's methodically measuring each urchin from the first net and throwing back any animals that are less than 2 1/16-inch wide for a good yield of roe (measured by a ratio of gonad to whole urchin weight).

The domestic urchin industry has seen a steady uptick in the past few years as the American palate wants new, now, next. Recently, it has become a darling of the growing gastronomy scene, often cited with the same reverence as hot ticket (and high-priced) items like foie gras, truffles and monkfish liver. But the industry has reached a crossroads as conservation efforts have kept the delicacy virtually off limits to new divers.

"Most Americans get bored with food real easily, so this is a new and hot item that is unique in taste and texture," Leask says.

The industry, however, wasn't initially fueled by stateside demand, but rather by the Japanese.

"When I was a kid we had a cereal made of uni," Leask jokes. "No, I never saw an urchin until I was two years out of high school."

Japanese-born Atchan Tamaki, who is now based in Portland, Maine, was one of the first to crack the potential of the eerie-looking echinoderms.

He moved to Portland shortly after graduating from the University of Montana -- "no urchin there," he jokes -- to help a friend open the town's first Japanese restaurant.

By 1989, he had established ISF Trading Inc., and started shipping Maine's best known seafood, the lobster, to his home country.

"The lobster fishermen kept asking me if there was a market for sea urchin because they were getting a lot of them in the traps," Tamaki said.

Growing up, he knew the sweet roe was a hot commodity in his community. He also knew that around Christmas, when urchins were not in season for Japan, they were in Maine.

When Leask started diving in 1992, 100% of the fished urchins were exported to Japan. Now, only 20% are shipped abroad while the other 80% are shipped domestically, Tamaki says.

"We started out diving for 25 cents an urchin. When I got 35 cents a pound, I thought I was going to get rich. Then, it hit a dollar a pound and we all celebrated -- and then it hit $2 a pound," Leask says, adding that in recent years, the price has gone as high as $7.60 a pound.

But with added demand comes the glut of potential harvesters. By 1994, there were 1,700 urchin diving licenses (plus 1,000 dragger licenses) issued in the state, according to Maggie Hunter, a biologist at the Maine Department of Marine Resources.

Hunter, along with Leask and Tamaki, serves on the Maine Sea Urchin Zone Council, which was created to address concerns of depletion at the height of the urchin explosion in the early 1990s.

The council ultimately divided the region into two zones, with a 15-day season for Zone 1 divers and a 38-day season for Zone 2. In Zone 2, Leask is permitted to fill up only seven bins weighing 600 pounds total per day, and dive Monday through Wednesday.

The council also imposed a moratorium on licenses. As of 2013, there were 37 active divers in Zone 1 and 77 active divers in Zone 2; with the average ages at 49 and 46 years old, respectively.

"And that's pretty old for a diver," Hunter says.

Those divers, like Leask, are at a delicate crossroads where they're going to need new people to start learning the ropes without compromising their conservation efforts.

Hunter says the department does a survey dive every spring to inform their evaluation on licensing.

As Leask's head surfaces above the water back in the bay, he doesn't betray any inner turmoil about his profession's sink or swim moment.

He's at peace.

"There's nowhere else that I can think of that you're going to escape cell phones and noise," Leask says.

@highlight

The domestic popularity of sea urchins has grown considerably in recent years

@highlight

Maine is grappling with the demand and conservation efforts

@highlight

Urchins are wanted at restaurants for their prized roe, called uni