(CNN) -- To the outside world, the crisis in Ukraine seemed to come out of nowhere.

Cast your mind back to the days before everything changed. Before the revolution; before the downing of MH17; before the Russian tanks rolled into Crimea. Who could have possibly foretold how events would unravel?

But for a group of Ukrainian artists, the violence of 2014 was no surprise. They had been warning of the impending unrest for years -- through the medium of visual art.

"It really is uncanny," says Nigel Hurst, the CEO of the Saatchi Gallery in London, which is hosting a new exhibition of Ukrainian artworks.

"If you look at the art created in the years before the crisis, it is hard not to come to the conclusion that these artists had a sort of weird foresight. It's as if they had a crystal ball."

Predicting the future

The exhibition, titled Premonition: Ukrainian Art Now, is the biggest of its kind in the world, and will run until 3 November.

Some of the artworks will make the hair on the back of the neck of even the most cynical observer stand on end.

Maxim Mamzikov's 2012 painting, "Beach," shows people relaxing by the sea -- while behind them a paratrooper is landing in the surf.

A series of photographs called "Mother of Cities" by the artist known as Napsprom, which was created in 2005, envisages the burnt-out shell of the national museum in Kiev. Only the faÃ§ade is left; the rest of the building is a charred, overgrown ruin.

A spine-chilling 2012 painting by Vasily Tsagolov depicts a crowd of protesters with pitchforks, running side-by-side with skeletons. It is titled "Ghost of Revolution."

Last but not least, Victor Sydorenko's 1996 painting envisages a scenario that is eerily similar to the events of 2014, with a group of people watching an explosion. Its name? "Invasion".

Prophetic images

Other artworks seem to prognosticate the unrest in a more metaphorical way, conveying a palpable sense of unease, concern about the fragility of the country, and fear for the future.

The centerpiece of Sergey Bratkov's series of photographs called "Ukraine", for example, is a picture of a foreboding, dark cloud hanging over the landscape. It was created in 2013, a year before the unrest.

Pavlo Kerestey's "Kids Fighting Friend," painted in 2007, depicts one teenager stoning another while a gang of onlookers cheers him on.

And Mariia Kulikovska's installation "Untitled," from 2012, is comprised of a fractured section of road with smoke seeping ominously through the cracks.

Hope for Ukraine

Yet despite these macabre images, Hurst says that the exhibition is underpinned by optimism.

"A good number of the works are uplifting, using bright colors and witty references to Western pop culture and Soviet iconography," he says.

"Overall, the exhibition teaches us a lot about warmth, openness, and resilience of the Ukrainian people, and expresses a huge hope and aspiration for their country."

It can only be hoped that the artists are as justified in their optimism as they were in their fears.

The extraordinary art of autistic 'five-year-old Monet'

Eye-popping street art and how it broke free of the banks

The moon's power over our imagination

@highlight

The biggest-ever exhibition of Ukrainian art has opened in London

@highlight

Many of the artworks seem to predict the unrest of 2014

@highlight

Some artworks even include scenes of invasion