(CNN) -- It's a beautiful fall morning looking out over the Avenue KlÃ©ber, just a few blocks from the Arc de Triomphe.

I've checked into Room 309, a Grand Deluxe guestroom at The Peninsula Paris, on a brisk, blue-sky day that makes you want to stroll the streets with a stop at the boulangerie for a pain au chocolat, or two.

But that might prove difficult.

I'm not in Paris. I'm in Hong Kong, in an identical mock-up of the hotel's Paris rooms.

The room's large, with three-meter ceilings you might find inside a century-old Beaux Arts building.

There's a dressing room that's as big as the oval-shaped white marble bathroom next door, where the clock above the vanity is set to Paris time.

In the bedroom, there's a stack of French magazines in a rack next to the sofa.

It does feel like I'm in the French capital, even down to the exact street views you get from the real property.

Peninsula's Paris hotel doesn't open until August, but the project team at The Hongkong and Shanghai Hotels (HSH), Peninsula's parent company, designed and built this fully functioning model room back in 2011.

Test before release

This is where Peninsula tries out new ideas and technology for a full year, before releasing its designs into the world.

I'm the first journalist allowed access to see how the concept works. Such is the confidentiality surrounding these unseen rooms, I'm sworn to secrecy as a condition of my visit.

The Paris property's pictures aren't even made available to me.

This is basically a place to make mistakes, so they don't get made in the real world.

"What happens if you wake up in the middle of the night? Do you bump your knee on anything? If you're in the bathroom, does it all work?" asks Clement Kwok, CEO of HSH.

For example, the "Dior grey" carpet originally laid will never see action. When the housekeepers came in to vacuum, it grew bald patches.

The built-in television cabinet flanked by a hidden mini-bar and built-in espresso machine (with bilingual instructions) replaces a design that featured a fireplace and an in-mirror hidden TV.

The team learned that watching TV during daylight hours was impossible, due to the glare from the mirror, which stretched up to the ceiling.

Eventually the fireplace was cut too, and the single-panel door design was revised because it was too heavy to lift.

What I see, and what will appear in Paris, are two ivory-colored panels that split and slide up and down.

Peninsula has been building these rooms at a location in Hong Kong with every new property or major renovation since the 1990s, including the construction of its tower rooms in Hong Kong (1994), and its hotels in Tokyo (2007) and Shanghai (2009).

To visit Shanghai, I just have to go next door, where the colors are richer and bolder, and the accents Art Deco, in keeping with the hotel's location on the Bund.

Tokyo's modern lines and Zen touches must be around here somewhere, though my hosts remain tight-lipped.

Rooms full of secrets

I later learn the Tokyo tester room has been demolished.

With construction in its final stages in Paris, and the Shanghai hotel open for more than three years, these rooms haven't seen as many visitors lately.

But in 2011 and 2012, the Paris mock-up would have been busy with members of management teams and special guests staying one or two nights.

Chairman Sir Michael Kadoorie, whose family opened the first Peninsula in Hong Kong 85 years ago, has stayed overnight in the Paris, Shanghai and Tokyo models.

Even couples have shared the king-sized bed.

At the end of their stay, guests are asked to fill out a questionnaire that can take hours to complete.

Executives give their suggestions directly to the project team, or, in the case of COO Peter Borer, experiment with changes themselves onsite.

Peninsula says Borer moved around and angled different sofas, armchairs, and coffee tables until he was satisfied with the setup.

There was also debate over the look and feel of the curved bathroom in Paris and whether it was worth the wasted space (its predecessors in Shanghai and Tokyo are rectangular, though the guestrooms have a similar overall layout).

Other changes were initiated from feedback that the room didn't feel "Parisian" enough.

The color scheme was changed from beige and bronze, to grey and chrome, and the wall coverings, carpet, and some of the furniture was adjusted.

And there were lots of other small tweaks, including the addition of a built-in reading light in a floor lamp.

A world of mock-ups

Peninsula isn't the only hotel company to build and test model rooms.

Starwood Hotels & Resorts which owns St. Regis, Westin, Sheraton, and others brands, has a design lab at its U.S. headquarters that features test rooms for some of its hotel lines, though not for each new property.

And while Peninsula won't disclose how much it costs to build, test, and maintain the model rooms, its CEO says they are an investment worth making.

"The purpose of doing all of this is not to add more gold and silver into the design," Kwok explains. "It is very focused on ergonomics, which is the sheer convenience of staying in that room and whether everything works."

My Paris stroll and fresh croissants will have to wait. I head down a short hallway past some Eiffel Tower-inspired art, open a mirrored door, and step back into the Hong Kong sunshine.

The Peninsula Paris, the luxury hotel group's 10th hotel, is set to open on August 1. Peninsula is also planning properties in London and Yangon, Myanmar.

@highlight

Peninsula Paris rooms "tested" in Hong Kong before release

@highlight

Mock-ups are identical to real rooms, and tested for a year

@highlight

Location is a secret, CNN's David Molko first journalist given access