Bamako, Mali (CNN) -- A rapid deployment of an international military force is essential to solving Mali's security crisis, regional and international leaders said after a meeting Friday in the nation's capital.

"Mali needs a political transition through transparent elections within 12 months, functioning institutions and an immediate deployment of international troops," said Daniel Kablan, chairman of the Economic Community of West African States (ECOWAS).

U.N. Deputy Secretary-General Jan Eliasson said his organization is ready to provide immediate support to aid national dialogue and assist in political negotiations.

"We will immediately bring military planners and security sector advisers" to Bamako, the Malian capital, the secretary said.

ECOWAS can provide military training, logistics and reinforcement of Mali's own forces, Kablan said.

Leaders from the European Union, United Nations and Western African states met as al Qaeda-linked rebels tighten their grip in the north of the country.

Malians for and against military intervention have protested on the streets of the capital in recent days, highlighting a divide in citizens' opinion.

Last week, the U.N. Security Council approved a resolution that gives regional leaders 45 days to provide detailed plans for an international military intervention. Friday's meeting was a follow-up to the resolution.

"Beyond this sad situation, there is the serious threat that the entrenchment of terrorist and criminal network poses to Mali, the region and beyond. This is a threat we cannot afford to take lightly, and the danger extends far beyond Africa. The sooner we deal with it, the better," said Nkosazana Dlamini-Zuma, chief of the African Union Commission.

Mali was plunged into chaos in March after a military ruler overthrew the president, shaking one of West Africa's most stable democracies.

The coup leader stepped down in May and transferred power to a civilian transitional government. However, uncertainty looms as Islamist militants roaming the north wage a campaign of destruction.

Soon after the coup, ethnic Tuareg rebels and Islamist militants took advantage of the power vacuum to seize the northern part of the country.

Two groups with ties to al Qaeda later toppled the Tuareg movement, and now control two-thirds of northern Mali, an area the size of France.

"The crisis is Malian, but the development affects the neighboring countries, our partners. And we need international help to fight the Islamists, to organize free and fair elections, and to help restore our country," interim Malian President Dioncounda Traore said.

West African leaders and the transitional government have asked the United Nations Security Council to authorize military intervention to oust the rebels.

The resolution approved last week tasked U.N. Secretary-General Ban Ki-moon with working with African leaders to submit to the Security Council within 45 days "detailed and actionable recommendations" in preparation for the deployment of an international military force in Mali.

As leaders work to find a solution, grim reports of human rights violations are emerging in the north.

Radical Islamists are compiling a list of unmarried mothers, raising fears of cruel punishments such as stoning, amputations and executions, a senior United Nations official said this month.

The list will include women who have had children out of wedlock and those who are unmarried and pregnant, according to Ivan Simonovic, the U.N. assistant secretary-general for human rights.

The Islamists have vowed to impose a stricter form of Islamic law, or Sharia. They say the law condemns relations outside marriage.

Extremists have conducted public executions, amputations, floggings and other punishments.

In addition to human rights violations, Islamists razed tombs near the desert city of Timbuktu on Thursday -- the latest attacks targeting cultural heritage sites in the north.

The rebels have destroyed tombs and shrines in the city, which features various ancient and prominent burial sites.

They regard such shrines as idolatrous and thus prohibited by their religion. Sufi shrines, which they consider sacrilegious, have been subjected to the most attacks. Sufism is a mystical dimension of Islam considered offbeat by Islamic hardliners.

Journalist Katarina Hoije reported from Bamako, Mali. CNN's Faith Karimi reported from Atlanta.

@highlight

ECOWAS chairman calls for "immediate deployment of international troops"

@highlight

The meeting included officials from the EU, U.N. and West African states

@highlight

Mali was plunged into chaos in March after a military ruler overthrew the president