(CNN) -- The Chinese dissident Chen Guangcheng's daring and extraordinary escape to the U.S. embassy in Beijing has captivated the world. At first, it appeared that U.S. diplomats and the Chinese government brokered a deal that satisfied Chen and everyone involved. But now Chen says he wants to leave China, and that he feels unsafe.

Has the Obama administration bungled his case? Did President Barack Obama use people who were capable of correctly interpreting the signals in China? Or was there a gap in translation?

Possible breakthrough for blind activist

We learned earlier this week that Chen was released from the U.S. Embassy with the Chinese government's assurance of his "safety" and a promise to facilitate his study of law in an unspecified place outside his home province of Shandong. It sounded like a win-win solution. But those who have intimate knowledge of China and its political system had reasons to worry.

In many ways, the deal was almost made to be broken, because it was based on three erroneous assumptions on the part of American officials.

The first false assumption is that the Chinese government's assurances are ironclad. To be sure, there has to be some trust among negotiators. But the Chinese government has meted out overly harsh treatment to dissidents in recent years. What confidence do we have that it will make an exception in Chen's case? The American trust that the Chinese government will honor its promises was misplaced, if not outright naÃ¯ve.

Behind the scenes of the Chen drama

Second, U.S. officials assumed the word "safety" means the same thing for both sides. The Chinese negotiators may have had a totally different arrangement in mind when they spoke of safety. For them, Chen was "safe" when he was confined in his home in Shandong, surrounded by armies of security guards.

Third, the United States should not have thought of the case as just zealous local Shandong officials abusing their power when they confined Chen. It is hard to believe that Shandong officials did what they did to Chen, a high profile activist, without consent from above. That local officials from elsewhere will not abuse their power is hard to believe. Would Chen not be viewed as a threat to "stability" by his handlers once he enters a Chinese university?

Some China observers have pointed out that Chen can only blame himself for insisting to stay in China as a cornerstone of the deal. They are disappointed by his change of mind. Chen certainly knows the Chinese political system the best among those involved in the negotiation. So he should have expected the threats he may face if he stays in China.

But, for a blind and ill person who had just escaped from a long detention with little contact with the outside world, isn't it too much to ask that he make the most rational decision? And how could he opt to leave China when his family was in the hands of Chinese officials who could have caused them harm?

There is no easy fix to the predicament. Taking Chen out of China would have been a good solution, but that possibility may be receding.

The U.S. officials who were involved with the negotiations should have recognized the potential problems in the deal and expected the treatment that Chen would encounter after leaving the U.S. Embassy. If they are not well equipped to do so (despite the fact that some of them are ethnically Asian), then where are their China hands?

While we don't know how the Chen case will ultimately turn out, for the United States, it's time to think strategically of enlisting more advisers from a new generation of China scholars. There are political scientists teaching at elite universities in the United States who are more than qualified to advise the State Department on sensitive diplomatic issues. These scholars were born and grew up in China and may have worked in the Chinese government before coming to the United States. They have expertise on Chinese politics and society that is hard to come by, because they can see things from the perspective of the Chinese.

In the coming years, the United States will have more success in dealing or negotiating with China if it recruits more experts who really understand how China works.

The opinions expressed in this commentary are solely those of Yang Su.

@highlight

The deal the U.S. and China made over Chen Guangcheng appears to be unraveling

@highlight

Yang Su: Has the Obama administration bungled his case?

@highlight

He says the deal was almost made to be broken because the U.S. made false assumptions

@highlight

Su: U.S. will have more success in negotiating with China if it recruits more Chinese experts