From around Aleppo in western Syria to small areas of Falluja in central Iraq, al Qaeda now controls territory that stretches more than 400 miles across the heart of the Middle East, according to English and Arab language news accounts as well as accounts on jihadist websites.

Indeed, al Qaeda appears to control  more territory in the Arab world than it has done at any time in its history.

The focus of al Qaeda's leaders has always been regime change in the Arab world in order to install Taliban-style regimes. Al Qaeda's leader Ayman al-Zawahiri acknowledged as much in his 2001 autobiography, "Knights Under the Banner of the Prophet," when he explained that the most important strategic goal of al Qaeda was to seize control of a state, or part of a state, somewhere in the Muslim world, explaining that, "without achieving this goal our actions will mean nothing."

Now al-Zawahiri is closer to his goal than he has ever been. On Friday al-Qaeda's affiliate in Iraq seized control of parts of the city of Falluja and parts of the city of Ramadi, both of which are located in Iraq's restive Anbar Province.

Anbar is home to predominantly Sunni Muslims, who feel that that the Shiite-dominated Iraqi government of Prime Minister Nuri al-Maliki treats the Sunnis as second-class citizens.

Sectarian tensions in Anbar recently burst into several all-out revolts against the government, and the Islamic State of Iraq and Syria (ISIS), as the al-Qaeda affiliate there is known, quickly seized the opportunity to notch some battlefield victories.

Government forces increased their presence around Falluja in response and on Tuesday tribal leaders issued a statement urging people who had fled the city or stopped reporting to work to return.

ISIS is also operating in Syria, where it has established a presence in many areas of the Aleppo and Idlib Governorates in the northwest. In August, ISIS launched a propaganda series on video highlighting their activities in Syria, which includes interviews with fighters; the "graduation" of a group of mujahedin "cubs" (aged about 7 to 10 years old) from training, and sermons at local mosques preaching al Qaeda's interpretation of Islam.

The al-Nusra front has claimed to control parts of at least a dozen Syrian towns. Those include sections of the ancient city of the Aleppo in the northwest, where fighters have been filmed running a community fair and preaching al Qaeda's values to crowds of children.

The group has also released videos on jihadist websites claiming that it is providing services to the people of several towns in the governorate of Idlib, which borders the Aleppo Governorate to the west. Al Nusra claims that it is a quasi-government and service-provider in the towns of Binnish, Taum, and Saraqib.

Al-Nusra fighters allied to al Qaeda function like a government in areas they control in Syria. The group provides daily deliveries of bread, free running water and electricity, a health clinic, and a strict justice system based on Sharia law in the eastern Syrian city of Ash Shaddadi, where it also took control of the city's wheat silos and oil wells.

In September a CNN reporting team concluded, "Al Qaeda has swept to power with the aim of imposing a strict Islamist ideology on Syrians across large swathes of Syria's rebel-held north."

In sum, al Qaeda affiliates now control much of northern and northwestern Syria as well as some parts of eastern Syria, as well as much of Anbar province, which is around a third of Iraqi territory.

Al-Nusra is engaged in a protracted fight to maintain a foothold in the eastern city of Dayr al-Zur, where, as in Ash Shaddadi, the militants have their hands on an energy source, this time in the form of natural gas.

On Friday the group released a video on a jihadist website claiming it was grinding some 10 tons of wheat each day to provide bread for the residents of Dayr al-Zur.  In the video, a bearded man who identifies himself as part of al-Nusra gives a National Geographic-esque tour of a wheat silo where bags of wheat are filled, weighed, and transported to a bread-making facility, where industrial mixers churn dough.

Similar videos released throughout the second half of 2013 depict al-Nusra fighters providing health care, legal services, electricity and food to civilians in the cities of Daraa, Homs, Hama, and even the suburbs of the capital Damascus, where the government still enjoys fairly secure authority.

Al Qaeda's expansion in Syria will not continue unchecked, though. Many Syrians are unhappy about being ruled by the strict jihadist militants. Over the past several days fighting has broken out between ISIS and an alliance of various rebel factions in Syria, including al-Qaeda's other affiliate in the country, the al-Nusra Front. This fighting has taken a toll on ISIS, which has been forced to withdraw from a number of key Syrian towns as a result of attacks by the other rebel groups.

The infighting amongst Syrian rebels is not good news for the fate of the uprising against Syrian President Bashar al-Assad, but it could prompt the United States to increase its shipments of arms and supplies to "moderate" Syrian rebels in the FSA. However, even an increase in U.S. aid to the rebels would be unlikely to sway the conflict significantly, which means al-Assad will remain in power and the war will continue as it has over the past three years.

Secretary of State John Kerry said on Sunday that the United States will "do everything that is possible to help" the Iraqi government control al Qaeda's expansion in Anbar, but stressed that no American troops would be sent back to the Middle Eastern nation .

Last month, the United States quietly sent Hellfire missiles and surveillance drones to the Iraqi government to support their fight against increasing al Qaeda-related violence.

This weaponry is unlikely to make a substantial difference to the mounting violence in Iraq where violence has returned to the levels it was in 2008, near the height of the Iraq war. Indeed, by any reasonable standard Iraq is now mired back in a civil war. Last year almost 8,000 Iraqi civilians were killed in the conflict, according to the UN.

For the United States the widening reach of al Qaeda in the Middle East doesn't necessarily translate into an immediate threat at home. So far only a handful of Americans have fought in the Syrian conflict alongside al Qaeda's affiliates there so concerns about some kind of "blowback" from the Syrian war in the U.S. are, at this point, unfounded,

European countries are rightly concerned, however. Many European countries have seen their citizens drawn to the Syrian war; more than a hundred from Britain and many dozens from countries like Norway, Denmark and the Netherlands, according to multiple European officials we have spoken to. These countries are concerned that the retuning veterans of the Syrian conflict might launch terrorist attacks in Europe.

In October for instance, British authorities arrested militants who were allegedly planning a terrorist attack. Two British officials who work on counterterrorism issues told us that that the militants had recently traveled to Syria.

The United States and its allies should therefore make a careful effort to track the foreign fighters who have joined jihadist groups fighting in Syria.

@highlight

Al Qaeda affiliates made gains in Syria and Iraq in recent months

@highlight

Peter Bergen says al Qaeda appears to control more territory in Arab world than ever before

@highlight

He says the focus of al Qaeda leaders has always been regime change in Middle East

@highlight

Bergen: There is push back against al Qaeda from Maliki regime in Iraq and from Syrians