(CNN) -- Syria has destroyed all its declared chemical weapons mixing, filling and production facilities, and all of the chemical weapons at inspected sites have been placed under seal, the Organisation for the Prohibition of Chemical Weapons said Thursday.

"So far we have good, measurable and demonstrative progress and we have constructive collaboration," Head of the U.N./OPCW mission Sigrid Kaag told CNN.

The watchdog body's announcement of the facilities' destruction means that the first deadline has been met in an ambitious program to eliminate the country's entire chemical weapons stockpile by the middle of next year.

The joint United Nations-OPCW mission visited 21 out of 23 sites, the OPCW statement said, and 39 of the 41 facilities at those sites.

The remaining two sites were too dangerous for the inspectors to go to, it said, but Syria had declared those sites as abandoned. The chemical weapons equipment there was moved to other sites, which were inspected.

The OPCW said it was "now satisfied that it has verified -- and seen destroyed -- all of Syria's declared critical production and mixing/filling equipment."

Additionally, the OPCW says all of the chemical weapons at the inspected sites were placed under seal during the inspectors' visits and Kaag is confident that they are now tamper-proof.

However, some observers say questions remain. Because OPCW inspectors were unable to visit two of the sites, the watchdog "is only certifying functional destruction of Syrian self-declared equipment from self-declared sites," David Reeths, director of aerospace and defense consulting for IHS Jane's, said.

The OPCW announcement is "a significant milestone" -- and it's "remarkable" that the OPCW was able to destroy the equipment in a conflict zone -- but Syria still has its stockpile of functioning chemical weapons, "so destruction of the production equipment has little to no impact on their immediate capabilities. Only after those weapons have been destroyed or removed from Syrian control will the state be demilitarized," said Reeths, a former treaty compliance officer for the U.S. military.

Other concerns are that the OPCW didn't have enough time after the declaration to "look for inconsistencies with their own intelligence" and whether the Syrian regime can be trusted to disclose all of its capabilities, he said.

"Syria likely assesses there is little chance that lack of candor in their declaration will be discovered in the short-term," Reeths said.

Likewise, a senior official with access to the latest intelligence said the United States continues to watch closely behind the scenes for any indication of undeclared material moving to either Alawite enclaves, or across the border to Iran.

Syria's government is led by President Bashar al-Assad, a member of the Shiite offshoot Alawite sect.

"Our assessment is it is unlikely Syria will declare and/or destroy all of their chemical weapons," the official said.

Meanwhile, Foreign Policy's The Cable, reported that Syrian Foreign Minister Walid al-Moallem has asked international inspectors to spare 12 of its chemical weapons factories so that they can be converted into civilian chemical facilities.

The request was made in a confidential letter to Ahmet Uzumcu, director general of the OPCW, according to The Cable.

"There's a real concern that the Syrians might be trying to preserve some of their chemical weapons capabilities," said a U.S. official in response to the story. The official declined to be named because of the sensitivity of the situation.

'Most challenging mission ever'

Eight inspectors who have been in Syria as part of an advance team that arrived on October 1 have now returned to the Netherlands, where the OPCW is based, said Uzumcu, the director general.

He praised the "fortitude and courage" they had shown in "fulfilling the most challenging mission ever undertaken by this organization."

No further inspections are currently planned, given the progress made, the statement said.

The next milestone for the mission will be November 15, it said, when the body's executive council must approve a detailed plan submitted by Syria for the destruction of its chemical weapons stockpile.

There was no let-up Thursday in the violence that has raged for more than 2Â½ years in Syria.

The opposition Local Coordination Committees of Syria reported shelling in the Yarmouk and Tishreen areas of Damascus and intermittent clashes between the Free Syrian Army and government forces in the Damascus suburbs.

Talks with al-Assad

Diplomatic moves toward ending the conflict -- in which more than 100,000 people have died, according to U.N. estimates -- continued this week.

U.N. envoy to Syria Lakhdar Brahimi talked with Syrian President Bashar al-Assad in Damascus on Wednesday in their first meeting since December.

Brahimi spoke to al-Assad about the framework for holding a planned conference involving all parties in the conflict in Geneva, Switzerland.

Al-Assad told Brahimi that any political solution to the crisis in Syria hinges on outside countries cutting off support to the rebels, according to state-run media.

"Any success for any political solution must be linked to the end of any military support to military groups and to pressure the countries that are supporting these groups and are facilitating the entry of the terrorists and mercenaries into Syria by providing money and military support," al-Assad said during the meeting, according to Syrian state television.

He added, "This is an important step to prepare the framework to allow a national dialogue and put clear mechanisms to reach the desired objectives at the upcoming peace talks."

The Syrian conflict began in March 2011 after government forces cracked down on peaceful protesters during the Arab Spring movement and is now a full-blown civil war.

CNN's Frederik Pleitgen, Claudia Rebaza, Khushbu Shah, Barbara Starr, Jim Sciutto and Holly Yan contributed to this report.

@highlight

NEW: Syrian minister has reportedly asked inspectors spare 12 factories

@highlight

Defense consultant skeptical, says only "self-declared equipment" destroyed

@highlight

OPCW: Syria has destroyed all its declared chemical weapons mixing, production facilities

@highlight

Next step will be approval of a plan to destroy Syria's chemical weapons stockpile, OPCW says