Oslo, Norway (CNN)  -- To escape Iran, Mohammad Mostafaei traveled for more then 10 hours on foot and on horseback over the mountains, crossing the border illegally into Turkey.

Soon afterwards, he ended up in a detention center for illegal immigrants in Istanbul, where he was incarcerated for nearly a week.

After several surreal and sometimes dangerous weeks, Mostafaei's journey appears to finally be over. He now strolls the tidy, rain-soaked streets of Norway's capital, safe from the Iranian security forces who he claims targeted him. But Mostafaei is far from at ease.

"I don't like to be a refugee, nor do I like to work abroad," he says. "My love is to remain in Iran and help people who somehow have been oppressed whether by society or by the law or by the judicial system. But regrettably, I became a victim."

Mostafaei is a human rights lawyer. He specializes in defending Iranians under the age of 18, who have been sentenced to death for crimes ranging from murder to sodomy.

Iran ranks second in the world after China for annual executions of prisoners. But according to Amnesty International and Human Rights Watch, Iran leads the world for the number of death sentences carried out against juvenile defendants. Human Rights Watch reports that since 2005, the Iranian judiciary has executed dozens of Iranians who were convicted of crimes committed below the age of 18.

"I have worked and handled 40 cases so far and out of these, thank God, 18 were saved," Mostafaei says. "Regrettably four were hanged. The rest need help."

In 2008 and 2009, four of Mostafaei's juvenile clients were executed. They include Delara Darabi, who was hung on May 1st 2009 for a murder allegedly committed when she was 17 years old and Behnoud Shojai, executed on October 11th, 2009 for stabbing another teenager to death when he was 17 years old.

Human rights groups point out that Iran is a signatory to the UN's International Covenant on Civil and Political Rights and the Convention on the Rights of the Child, both of which prohibit executions for crimes committed under the age of 18.

"These are arbitrary executions," argues Mostafaei.

For his criticism of this policy, the lawyer says authorities prevented him from traveling outside of Iran for a seven-month period.

"I was contacted several times and warned to watch out. Sometimes I saw that I was being followed," he adds. "My home phones and my offices phones were monitored."

The defense attorney appeared to have finally crossed a red line due to his outspoken defense of Sakine Mohammadi Ashtiani, the 43-year-old mother of two who was sentenced to death by stoning after being convicted of committing adultery. International uproar over the case has been a source of embarrassment for the Islamic Republic.

Activists around the world have staged protests demanding Iranian authorities commute the sentence. More recently, the president of Brazil, whose government recently broke with Western countries and voted in the United Nations Security Council against imposing a fresh round of sanctions against Iran over its nuclear program, made a public offer of asylum to help Ashtiani escape the death sentence. Tehran rejected that offer.

On July 24th, Mostafaei says he was brought into Tehran's Evin prison for hours of interrogation. He was later released, only to discover that, in his absence, security forces had raided his office and detained his wife and brother-in-law.

"The hostage-taking led me to leave the country," Mostafaei says.

When Mostafaei was later detained after smuggling himself into Turkey, the Norwegian government intervened at the highest level to have him released.

"There is a courageous man who raises cases-- difficult cases-- which the authorities don't like and he sees himself in a position where he has to flee across a mountain. He sees his wife imprisoned. Well, I think we should wake up and speak out," said Jonas Gahr Støre, the Foreign Minister of Norway, in an interview with CNN.

Norway's top diplomat says, on principle, his government opposes the death penalty.

"The death penalty against juvenile people is an especially bad thing," says Støre. "Iran being among the countries with the most such cases."

Barely a week after arriving in Oslo under Norwegian government protection, Mostafaei appears to be very much on an emotional roller coaster, swinging rapidly from elation to despair.

He relishes the chance to focus attention on Iran's human rights record, which he argues is often over-shadowed by international concern over Iran's nuclear program.

"What matters more inside Iran are human rights issues," Mostafaei says. "Lack of freedom of speech, lack of freedom of thought, the newspapers are not free, the students are not free, the [political] parties are not free...human rights issues in the prosecutors' offices are far more important than issues of world nuclear energy."

But Mostafaei's new international platform for publicity has come at considerable personal cost.

On August 7th, Mostafaei's wife Fereshteh Halimi was released on bail after spending 13 days in solitary confinement.

"When they found that my husband was out of Iran and they couldn't reach him and I wouldn't be a good hostage any more, that's when they released me," Halimi said in a phone interview with CNN last week. Halimi's father and brother were also briefly detained, but later released after posting bail for the equivalent of tens of thousands of dollars. All three now await trial in Tehran.

"I can imagine that with him being here and the family being there he [Mostafei] feels concerned," says Norwegian foreign minister Støre. "And knowing the track record of the Iranian regime when it comes to people like that I don't question his concern."

"I hope Iran will get better in the future," Mostafaei said, during a rainy walk along a waterfront boardwalk in Oslo. "But I don't know when. Maybe five years, ten years, I don't know."

Then, his mood momentarily brightened as he pointed across Oslo's harbor, exclaiming "very beautiful."

A rainbow had appeared over the water... a much-needed sign of hope, perhaps, for a man who has lost his job, his country, and now faces prolonged separation from his wife and daughter.

@highlight

Mostafaei defended juveniles facing death penalty in Iran

@highlight

Fled the country after being interrogated for hours in Iran's Evin prison

@highlight

Angered Iran officials by speaking out in defense of mother sentenced to stoning

@highlight

Currently in Oslo after being released under Norwegian government protection