Washington (CNN) -- A State Department employee who resigned last month in protest over America's war in Afghanistan said Friday he has received an outpouring of support from Afghan-Americans and U.S. active-duty military.

"I've had a lot of Afghan-Americans contact me and say, 'Matt, you get it,' " Matthew Hoh told CNN. "You understand -- yes, there is a civil war going on. You understand how Afghan society works. You understand this split within the Pashtuns. You understand valley-ism, or whatever you want to call it."

The 36-year-old former Marine Corps captain resigned on September 10 over what he termed a "cavalier, politically expedient and Pollyannaish misadventure." Since then, even active-duty military have supported his decision, he said on CNN's "Fareed Zakaria GPS," scheduled to air at 1 p.m. ET Sunday on CNN.

"I have received many many e-mails from active-duty military and some guys who just separated from the service," Hoh said. "Some guys are here in the States. I've gotten many e-mails from guys in Afghanistan. Some are people I know. But a lot are people I do not know. Men and women who are saying, 'Thanks for doing this. Keep it up. We don't know why we're here. We're not sure why we're taking these casualties. We don't know what it's accomplishing.'"

In his letter, the senior civilian representative in Zabul Province, Afghanistan, said he was resigning because "I fail to see the value or worth in continued U.S. casualties or expenditures of resources in support of the Afghan government in what is, truly, a 35-year-old civil war." He concluded the letter by saying that he had "lost confidence" that the "dead have sacrificed for a purpose worthy of futures lost, love vanished and promised dreams unkept."

"I believe that the people we are fighting there are fighting us because we are occupying them," Hoh told CNN earlier this week. "Not for any ideological reasons, not because of any links to al Qaeda, not because of any fundamental hatred towards the West. The only reason they're fighting us is because we're occupying them."

After Hoh submitted his resignation, Richard Holbrooke, the Obama administration's special representative in Afghanistan and neighboring Pakistan, made a plea for Hoh to change his mind. Hoh refused.

"The offer was to join his staff and be put in a position where I could continue to write and try to influence policymakers from within the administration," Hoh said Friday. "Two things: One, if I believed in the mission, if I believed it was worth our guys dying for, if I believed that 60,000 troops in Afghanistan would defeat al Qaeda somehow -- which it won't -- I would have stayed in Zabul Province," he said.

"However, the other part of it, too, was that I realized that the administration was going to make its decision shortly and then I would be stuck. And if I don't believe in it, if I don't believe this cause is right, if I don't believe it's justified, then there's no reason to take that position."

CNN terrorism analyst Peter Bergen disagreed with Hoh's assessment of Afghanistan.

"It's not that our presence there is causing the problem," he said. "Quite the reverse: It is that we are not doing what we said were going to do, which is bringing a measure of security and a measure of prosperity."

But Afghanistan's lack of infrastructure and "human capital" make it an especially difficult mission, said Hoh, who served two tours in Iraq as a Marine.

"In Iraq, even though it was stuck in the '80s, it had infrastructure, it had human capital," he said. "It had doctors and lawyers and educators. And they had an established system of government, they had an infrastructure we could build on. Afghanistan has none of that."

In his letter, Hoh -- who signed on in March for a yearlong, noncareer position with the State Department -- said the cost of a war with no end in sight and no clear mission was too much to bear.

"I do not believe any military force has ever been tasked with such a complex, opaque and Sisyphean mission as the U.S. military has received in Afghanistan," Hoh wrote.

News of Hoh's resignation came as the administration continues to deliberate whether to change course in an eight-year conflict once dubbed a "war of necessity" by President Obama.

Gen. Stanley McChrystal, the top U.S. commander in Afghanistan, reportedly has submitted a request for as many as 40,000 additional troops.

McChrystal's request is being weighed against a backdrop of spiraling U.S. military fatalities. There have been 58 American military fatalities in October, making it the deadliest month for U.S. armed forces in Afghanistan since the war began in October 2001.

More troops is not the way to go, Hoh said Friday.

"Increasing troops is only going to fuel insurgency. We need to stop our combat operations in areas where we are fighting people only because they are fighting us. Otherwise, it's going to be 2013, we're going to look back four years and we're going to say, "What did we accomplish? What did we get? What was this worth? What did we get out of this?"

State Department spokesman Ian Kelly said the administration respects Hoh's decision.

"We take his opinions very seriously," Kelly said. "Senior officials on the ground in Afghanistan and here in Washington have talked to him, have heard him out. We respect ... his right to dissent."

@highlight

Matthew Hoh says Afghan-Americans, active-duty military members have shown support

@highlight

Hoh resigned after saying he didn't believe in the war, which was essentially a civil war

@highlight

Hoh believes increasing troops is only going to fuel insurgency, not help the problems

@highlight

Hoh says he believes insurgents are fighting U.S. because we are occupying their land