(CNN) -- Weeks after Lance Armstrong's startling admission that he used performance-enhancing drugs throughout his cycling career, the world of sport has been rocked by explosive new allegations about cheating in sports-mad Australia.

On Thursday, the Australian Crime Commission (ACC) published the findings of a year-long investigation that claimed the use of banned substances such as growth stimulants was "widespread" among professional athletes across a range of sports there. In many instances, the report said, the substances are not yet approved for human use.

In its conclusion, the ACC said there are clear parallels between what has been discovered in Australia and the US Anti-Doping Agency investigation into Armstrong -- who was recently stripped of his seven Tour de France titles -- underlining the transnational threat posed by doping to professional sport.

The report stressed that it is not just athletes that are involved, but their support staff, doctors and organized criminal elements.

What is doping?

It involves an athlete taking drugs or blood products to artificially boost their performance during training and competition.

What substances are we talking about here?

The ACC report identified an evolving market in a new generation of Performance and Image Enhancing Drugs (PIEDs) -- known as peptides and hormones.

According to the ACC, some of these substances are perceived by athletes to be undetectable, making them attractive to those seeking to gain an unfair advantage.

-- Growth Hormone Releasing Peptides

"Peptides" stimulate the release of an increased level of human growth hormone (hGh), making them popular among athletes and body builders to promote muscle growth. They are also used in combination with anabolic steroids -- which also promote size and strength -- to maintain muscle gain. They are sold as a cream or in a solution for injection.

While some peptide supplements are perfectly legal as a recovery aid after exercise, growth-stimulating peptides are classified as a prohibited substance on the World Anti-Doping Agency (WADA) Prohibited List and therefore are banned for use by professional athletes in and out of competition.

-- Growth Hormone Variants

The report also identified the use of AOD-9604, a variant of growth hormone with fat-burning properties often taken by athletes to increase their power. Clinical trials suggest it may even help to repair and enhance muscle formation, according to the ACC report and WADA.

AOD-9604 is not prohibited by WADA.

-- Selective Androgen Receptor Modulators (SARMs)

Like anabolic steroids, SARMs build strength, bone density and muscle mass by stimulating the body's androgen receptor, which itself boosts the uptake of testosterone -- the main male hormone -- into cells.

SARMs have a lower risk of side effects normally associated with the prolonged use of anabolic steroids, such as high blood pressure, liver damage, depression, baldness, the development of male characteristics in females and the development of breast tissue in males.

According to ACC report, SARMs are often used in combination with other PIEDs, including hGh. SARMs are a prohibited substance for elite athletes both in and out of competition under WADA rules.

-- InsulIn-lIke growth factors (IGF-1)

IGF-1 is one of the primary hormones necessary for cell growth in the body.

Many athletes use IGF-1 for its anabolic effect in muscle and to facilitate the development of cartilage and bone. In many cases, athletes will use hGh and IGF-1 in small doses to reduce the chances of returning a positive anti-doping sample, the ACC report says.

IGF-1 is also banned by WADA.

-- Mechano growth factor (MGF)

A variant of IGF-1, MGF leads to an increase in the muscle cells necessary for adult muscles to continue growth beyond their genetic limit. It is often used by bodybuilders due to its role in muscle repair following exercise.

Banned under WADA rules, MGF is also illegal to possess in many countries without a prescription.

-- Other substances

The ACC report also identified a number of other performance-enhancing substances -- some being prescription only medicines:

Ipamorelin and Sermorelin -- both peptides with anabolic effects, which are both prohibited by WADA.

Follistatin -- Promotes muscle growth. Banned by WADA, with its possession without legal authority is illegal.

Thymosin -- Used to speed up recovery from injury, it is an unregulated substance banned by WADA.

@highlight

Australian Crime Commission finds evidence of "widespread use" of doping in sports

@highlight

ACC: Clear parallels with the U.S. Anti-Doping Agency investigation into Lance Armstrong

@highlight

Identifies new generation of Performance and Image Enhancing Drugs (PIEDs)

@highlight

Some substances perceived as undetectable, making them attractive in sport