KABUL, Afghanistan (CNN)  -- Welcome to democracy, Afghan-style.

An Afghan woman in a burqa veil holds up a photograph of President Hamid Karzai.

An incumbent president and 38 challengers, including two women, are vying for the votes of 17 million registered Afghans against a backdrop of war, graft, poverty and illiteracy.

More than 3,000 donkeys, 3,000 cars and three helicopters will traverse harsh terrain to carry voting materials to remote polling stations. And 30 observer groups, domestic and international, will be on hand to help guard against fraud.

This Thursday, Afghanistan holds its second-ever popular election, the results of which will put into office a new president and 420 provincial council winners. Preliminary results are scheduled September 3, with final results expected two weeks later.

At the heart of every vote will be the two biggest impediments to progress for one of the poorest nations in the world: stifling corruption and an increasingly bloody Taliban resurgence.

The number of Afghan civilians killed increased 24 percent in the first six months of this year compared with the same period last year, according to the United Nations. NATO and U.S. forces have suffered record losses this summer, with 75 troops killed in the month of July alone.

Amid the violence, the candidates continued their last-minute campaigning, with the hope that the elections can showcase Afghanistan's fledgling democracy.

"We hope that this election will go ahead in accordance with the constitution of this country and the rightful freedoms of our people, in the best manner possible, so that the Afghan nation can determine its future," said historian Omar Khan Massoudi, director of the National Museum in Kabul.  Watch young Afghans talk about their hopes »

International donors are helping pay for the $223 million undertaking, and hundreds of U.S. Marines and Afghan soldiers have moved into southern Afghanistan to protect voters against possible Taliban attacks.

The top U.S. envoy to the region, Richard Holbrooke, expressed optimism that Thursday's vote would be Afghanistan's moment to shine. It's tough to organize elections during a war, he said, but the reality is that violence during elections is common place in many parts of the world.

"Afghanistan has never had a contested election," Holbrooke said. "So this is a remarkable experiment in democracy and something that Afghanistan needs to give legitimacy to the new government."

That legitimacy has become a key issue in the campaign. Frontrunner President Hamid Karzai's chief challengers -- former finance minister Ashraf Ghani and former foreign minister Abdullah Abdullah -- have both lashed out at the incumbent for failing to rein in corruption. In its annual global corruption perception index in 2008, Transparency International ranked Afghanistan 176 out of 180 countries and said graft was "a major factor impeding the country's stability and future growth."

Ghani told CNN the most significant challenge Afghanistan's next president faces is earning back the trust of the people.

"This government has lost it," he said in a recent interview. "There is no sense of trust, not only in the current leadership, but in the political class as such. And in the capacity of the state or the international community to improve the lot of our people."

Ghani characterized Karzai as a "very poor manager" who failed to deal with pressing issues and create any sense of momentum for the nation moving forward. As a guest on CNN's Fareed Zakaria GPS earlier this month, Ghani said Afghanistan's corruption had become a cancer that was "eating through the society."

Babrak Babarkhale, a former journalist and Mujahadeen fighter in the war to end Soviet occupation in the 1980s, said he planned to vote for Abdullah because he was fed up with corruption.

"We want to support Dr. Abdullah Abdullah to be our future president, to take all Afghans out of this corruption, away from this weak government," he said.

Abdullah argued that people's dissatisfaction with the Karzai government has helped strengthen the insurgency.

"There is no doubt there is a hardcore element in it," he told CNN. "But there are thousands of people under the same brand, Taliban, [who] have joined the insurgency because of other reasons."

The insurgents are filling a vacuum left by Afghanistan's Western-backed government, which foreign diplomats and military commanders concede now suffers from nepotism, corruption and predatory practices.

During a political debate Sunday, Karzai admitted that corruption was a problem but offered no specific cures.

He also has been blamed for what has become the bloodiest summer since the fall of the Taliban regime in 2001.

Abdullah said last week that Karzai's government had failed to capitalize on the opportunities presented by international aid and troops. The government, Abdullah said, had failed to "stabilize Afghanistan to the extent that eight years down the road, we would have been able to say less troops rather than more."

Most polls, however, show Karzai with a commanding lead.

Latifa, a Kabul housewife, said she was pleased with Karzai's stewardship and would vote for him.

"Like raising a child for seven years, in seven years he has helped our Kabul, our Afghanistan, stand on its own two feet," she said. "We didn't know an election before, we hadn't seen a parliament."

But can a nation as troubled as Afghanistan carry out fair and free elections? Some observers of Afghanistan and human rights activists have voiced their doubts.

Kai Eide, the United Nations special representative in Afghanistan, said Thursday's election will be the most difficult he has encountered in his life. Besides the violence and corruption, weak infrastructure and a high illiteracy rate will add to election woes, he said.

A new Gallup Poll found that fewer than one in four voting-age Afghans are confident the election will be fair and transparent.

Voting in Afghanistan, Eide said, is not yet the kind of democratic expression understood in the West.

"If you look at the well-established democracies in the West, for instance, that's not possible under these circumstances," he said. "But ... my objective is that we have credible, inclusive elections where the result will be accepted by the people. That is our level of ambition, and I think we will achieve that."

Eide said a significant number of polling stations in strife-torn Helmand, Kandahar, Ghazni and Wardak provinces will not be able to open due to security reasons. He said ballots ought to be counted at the polling center itself instead of transporting them elsewhere and increasing the possibility of fraud, encountered in the last election in 2004.

Eide said 3,000 donkeys were "mobilized" to carry ballots to remote mountainous regions.

Of the 4.6 million new registered voters, 39 percent are women. So thousands of women had to be employed to search burqa-clad female voters.

Human Rights Watch, however, said Tuesday that the recruitment drive for women began too late, and as a result, not enough women will be available for security checks.

"Women voters have been badly let down by their government and its international backers," said Brad Adams, the organization's Asia director.

Women's votes are key in Afghanistan, where the Taliban stripped women of equal rights and education.

Human Rights Watch also said Tuesday that election-related violence was a serious impediment. Between April 25 and August 1, the rights group documented at least 13 political killings and at least 10 abductions of electoral commission officials, candidates and campaign workers. It said provincial council candidates had withdrawn after receiving death threats.

The overall security situation is "considerably worse than during the last elections," Human Rights Watch concluded.

But despite the violence, despite the threats from the Taliban to disrupt the voting, enthusiasm filled the air Monday as the presidential candidates wrapped up their campaigns.

A campaign rally resembled more a rock concert than a political event in Afghanistan, as Kabul stadium transformed into a sea of blue, Abdullah's campaign color. Supporters hoisted banners and sported T-shirts emblazoned with Abdullah's face.

"I believe there is a dire need for a change of course in Afghanistan, irrespective of who becomes the president," said Rauf Roashan of the Institute for Afghan Studies, a scholarly center founded by Afghans living abroad.

Not yet old enough to vote, Ferishta, 15, a beauty school student, echoed Roashan's sentiments. If she could, she'd cast a ballot for Ghani.

"We want a president who is peaceful and caring," she said. "We don't want any more bombs. In these bombs, so many Afghans have died, one person's son, one person's child."

No one can say with any certainty whether abounding energy will translate into high turnout. Not in a war-ravaged nation.

As though to serve reminder of the high stakes, Kabul came under attack again on Tuesday -- just two days before the polls open.

CNN's Ivan Watson, Kevin Flower and Moni Basu contributed to this report.

@highlight

More than 17 million Afghans are registered to vote

@highlight

Elections are scheduled amid increasing violence

@highlight

A key issue for voters is government corruption

@highlight

Some observers concerned elections will be neither fair nor free