(CNN) -- ISIS demanded 100 million euros ($132.5 million) in ransom for the release of James Foley, the American journalist kidnapped and killed by the terrorist group in Syria, according to a spokesman for GlobalPost, the news website for which Foley freelanced.

It was never a serious demand, far exceeding the amounts of money paid for hostages held by jihadist militant groups in the past, which typically ranged up to several million dollars.

But the demand does shine a light on two uncomfortable facts about "Kidnap & Ransom," or K&R, the dark netherworld of professionals who work to negotiate between murderous groups like ISIS and the terrified families whose loved ones have been kidnapped. It also includes their worried employers and Western governments such as France that will pay ransoms, and other governments, notably the United States and the United Kingdom, that will not.

The first uncomfortable fact is that if you pay a ransom a hostage is more likely to be released. The other is that every time a ransom is paid it increases the chance that other hostages will be taken to help fill the coffers of a terrorist group.

According to an investigation by The New York Times, al Qaeda and its affiliates have netted at least $125 million in ransoms since 2008. That finding is similar to a 2012 U.S. Treasury estimate that $120 million had been paid to terrorist organizations during the previous eight years.

Much of this revenue reportedly comes from France. French media reported that the government had paid 20 million euros (about $28 million) for the release of four employees of a French nuclear firm. They were held by an al Qaeda affiliate for three years in northern Niger and were released last year.

The French government denied paying a ransom, but The New York Times indicated -- based on reports from Le Monde and Agence France-Presse -- that France did pay in that case and has paid out a total of some $58 million to al Qaeda or related groups.

Not surprisingly, the Times also found that of the 53 hostages known to have been taken by al Qaeda and its affiliates during the past five years, a third were French.

The French government's purported policy of negotiating with militant groups for the release of kidnapped citizens does appear to work. Four French journalists -- Nicolas Henin, Pierre Torres, Edouard Elias and Didier FranÃ§ois, who were kidnapped in Syria last year by ISIS -- were released near the Turkish border in April, blindfolded and with their hands bound.

One of those hostages, Henin, had been held by ISIS alongside Foley. Henin is free, and Foley is dead.

These are the facts that policymakers must confront as they consider what to do about the other Western hostages still held by ISIS.

Who is ISIS currently holding?

ISIS holds three Americans, including Steven Sotloff, a freelance journalist who was kidnapped last August and who the terrorist group threatened to kill in the video it released showing Foley's beheading.

The names of the other two Americans being held by ISIS have not been publicly disclosed; CNN is withholding their names and occupations.

Two Italian women are reported to be among the militant group's newest captives. A Dane and a Japanese national were seized along with the two Italians. The group of four was recently moved to Raqqa, an ISIS stronghold in northern Syria.

For these hostages, there is always the chance that their governments will mount a rescue operation as the United States did in Syria in July to try and rescue Foley and the other Americans. That mission failed because the hostages had been moved from a location they had been kept in for some months.

There is also the possibility that hostages could escape, as American photographer Matthew Schrier did last year when he managed to crawl out of a window of the prison where he was being held in in the Syrian city of Aleppo by an Islamist militant group.

But such escapes are rare, and while successful rescue efforts do happen, they are fraught with risks for the hostages.

Linda Norgrove, for instance, a British aid worker held by the Taliban in Afghanistan in 2010, was killed in a U.S. rescue operation, likely by a grenade that exploded near her.

If there's not an escape or a successful rescue effort, Western governments whose citizens are held by ISIS have only the options of either a negotiation involving ransom or the real possibility that their hostages may be executed.

This is the sobering choice that faces President Barack Obama and his national security advisers. It's not much of a choice at all.

@highlight

Peter Bergen, Emily Schneider: ISIS wanted $132.5 million in ransom for James Foley

@highlight

Sometimes ransom works, but it can lead to more kidnapping, the writers say

@highlight

Minus a rescue or escape, options grim for nations -- ransom or execution, they say