Washington (CNN) -- Republicans led by presidential challenger Mitt Romney served up a heaping helping of political red meat on Friday, launching a salvo of attacks on President Barack Obama that called him a liar and a failed leader.

Romney told an interview broadcast on ABC that his biggest concern about the three upcoming presidential debates is that Obama will be untruthful.

"The president tends to, how shall I say it, to say things that aren't true," Romney said, contemplating whether he would spend debate time "correcting things that aren't quite accurate" or "talking about the things I want to talk about."

In an already nasty and bitter campaign, Romney's pre-emptive strike less than three weeks before the first debate on Oct. 3 signaled more personal attacks to come as the election campaign gallops toward the November vote.

Obama appears to have maintained a narrow edge in most polls, with a new CBS News/New York Times survey released Friday giving him a slight 49%-46% advantage over the former Massachusetts governor.

While the president's margin was within the survey's sampling error, making the result statistically even, the new survey continued a trend reflected in other polls of Romney failing to gain ground on the president after the recent political conventions.

With less than eight weeks until the election, the Romney campaign and GOP political machine have raised the urgency of their efforts.

This week, Romney took on one of Obama's perceived strengths -- his foreign policy record after ending the war in Iraq and ordering the mission that killed al Qaeda leader Osama bin Laden -- by saying a lack of U.S. leadership has weakened the nation's influence throughout the world.

In particular, Republican politicians and conservative commentators have cited the killing of U.S. Ambassador Chris Stevens and three other Americans amid anti-American protests in Libya this week as an example of the nation's weakened stature around the world.

At a ceremony Friday to bring home the remains of the slain Americans, Obama acknowledged the unrest in Libya and other Arab Spring nations, saying "these are difficult days."

"The United States of America will never retreat from the world," Obama declared, vowing that the killers will face justice.

Secretary of State Hillary Clinton also sought to project American strength and determination, labeling as "senseless" and totally unacceptable" the anti-American unrest she blamed on an "awful" anti-Islam video on the Internet.

"The people of Egypt, Libya, Yemen and Tunisia did not trade the tyranny of a dictator for the tyranny of a mob," Clinton told the somber ceremony. "Reasonable people and responsible leaders in these countries need to do everything they can to restore security and hold accountable those behind these violent acts. And we will, under the president's leadership, keep taking steps to protect our personnel around the world."

Both Romney and his running mate -- Rep. Paul Ryan -- mentioned the four slain Americans at separate campaign events later Friday, asking for a moment of silence after reciting the names of the dead.

Earlier, Ryan kept up the attacks on Obama's foreign policy at a Values Voters summit in Washington hosted by social conservative groups.

Referring to the anti-American protests in the Arab world, Ryan complained that Obama has failed to assert U.S. influence and values that could have brought a different result.

"The slaughter of brave dissidents in Syria. Mobs storming American embassies and consulates. Iran four years closer to gaining a nuclear weapon. Israel, our best ally in the region, treated with indifference bordering on contempt by the Obama administration," Ryan said. "Amid all these threats and dangers, what we do not see is steady, consistent American leadership."

Calling for "moral clarity and firmness of purpose" in U.S. foreign policy, he added that "only by the confident exercise of American influence are evil and violence overcome."

As he spoke, three protesters shouting about HIV/AIDS funding and corporate money were escorted out as the crowd chanted "USA." The protesters were from the "Take the Money Out Of Politics Campaign" group opposed to the Supreme Court's Citizens United ruling that permitted unlimited private funding of election campaigns.

The Obama campaign responded to Ryan's speech with a statement that called it "a series of over-the-top, dishonest attacks" that showed the 42-year-old congressman was "just not ready for prime time."

Meanwhile, an array of other speakers at the conservative summit accused Obama of weakening the country.

"It is my belief and my opinion that Barack Obama has been the most dangerous president we have ever had on American foreign policy," said GOP Rep. Michele Bachmann of Minnesota, a tea party favorite who ran unsuccessfully for the party's presidential nomination.

House Majority Leader Eric Cantor, R-Virginia, told the gathering that the upcoming election "is going to determine whether or not the very moral fabric of our country will be upheld or whether it will be torn apart."

Also Friday, a top foreign policy adviser to Romney's campaign stood by his argument that this week's attacks on U.S. diplomatic posts in Libya and Egypt could have been averted if Romney were president.

Richard Williamson, a former assistant secretary of state in the Ronald Reagan administration, said Romney's policies would have led to a better standing for the United States in the Arab Spring countries of recent years.

"A Romney administration would be there, would be more active trying to work with civil society, with reformer movements, so we would be partners in this evolution, not running behind," Williamson said on CNN's "Starting Point."

Regarding Egypt, Williamson cited what he called a lack of U.S. involvement after the Egyptian protests of 2011, which ultimately led to the resignation of President Hosni Mubarak. In Libya, Williamson argued, the United States should have been more active in "reconciliation and reconstruction" after a multi-country coalition took military action against Libyan forces with American help.

Romney drew criticism for blasting the Obama administration on Tuesday night -- the 11th anniversary of the September 11, 2001, terrorist attacks on the United States -- for a statement by the U.S. Embassy in Cairo that condemned the anti-Islam video.

However, Romney's statement inaccurately said the embassy statement -- which came out before protesters invaded the compound -- was in response to the demonstration.

Romney has since toned down his sharpest rhetoric on the matter but kept up the main theme, telling a New York fundraiser on Friday that "there have been, over the years, confusing messages sent by the president of the United States to the world."

In particular, Romney argued that Obama "had nothing to say that sent a message to the world" during the 2009 anti-government protests in Iran, adding the president should have given direct assistance to the demonstrators. At the time, several months into his presidency, Obama condemned violence against the Iranian protesters but not did lead or call for U.S. involvement in Iran's post-election unrest.

Foreign policy was not the only GOP focus on Friday. Ryan maintained the Romney campaign's criticism of Obama's record on economic issues as part of an effort to frame the November vote as a referendum on the president's performance.

"After four years of economic stewardship under these self-proclaimed advocates of the poor, and what do they have to show for it? More people in poverty, and less upward mobility wherever you look," said the conservative House Budget Committee chairman from Wisconsin. "After four years of dividing people up with the bogus rhetoric of class warfare, just about every segment of society is worse off."

In the ABC interview, Romney conceded a rare shared stance with Obama, saying the two would draw the same "red line" on nuclear weapons in Iran.

"My red line is Iran may not have a nuclear weapon. It is inappropriate for them to have the capacity to terrorize the world," Romney said. "Iran as a nuclear nation is unacceptable to the United States of America."

Obama has used almost identical language to describe the situation in Iran, and Romney said "yes" when asked in the interview if the two candidates would have the same "red line" going forward.

CNN's Peter Hamby, Ashley Killough, Rachel Streitfeld and Paul Steinhauser contributed to this report.

@highlight

NEW: "These are difficult days," President Obama says of anti-American unrest

@highlight

Mitt Romney says Obama will be untruthful in the debates

@highlight

Paul Ryan blames Obama for anti-American unrest in Arab nations

@highlight

The Obama campaign calls Ryan's criticism "over-the-top" and dishonest