Irbil, Iraq (CNN) -- Turkish soldiers and tanks took up position along the border with Syria on Tuesday as its government debated whether to deploy troops to battle the Islamic State terror group, a move that comes as tens of thousands pour into the country to escape ISIS fighters.

The flood of refugees from Syria has escalated -- with 150,000 people fleeing to Turkey in recent days -- as ISIS fighters armed with tanks and heavy weapons advance on the predominantly Kurdish town of Kobani, known in Arabic as Ayn al Arab, destroying villages in their path.

ISIS fighters were just three kilometers (nearly two miles) east of the northern Syria town late Monday, a civilian in Kobani told CNN on condition of anonymity. CNN cannot independently confirm the claim, though it matches reports released by the Syrian Observatory for Human Rights, a monitoring group.

U.S. airstrikes overnight targeted ISIS positions near Kobani, said Rear Adm. John Kirby, spokesman for the Pentagon.

It was unclear whether the strikes stopped the ISIS advance, and Kirby provided only cursory details about what they targeted and what damage may have resulted.

When asked why airstrikes in the Kobani area appear to be limited, a senior U.S. official, speaking on condition of anonymity, said a lack of direct, reliable intelligence on the ground and the need to be precise to avoid civilian casualties were among the factors.

Poll: Americans back airstrikes, but oppose use of U.S. troops

Turkey considers going after ISIS

If ISIS takes Kobani, it would control a complete swath of land from its self-declared capital of Raqqa to the Turkish border, more than 100 kilometers (60 miles) away. It has been fighting for months, capturing portions of northern and eastern Syria and western and northern Iraq for what it says is its new Islamic state -- or caliphate.

The Turkish Parliament on Tuesday took up the issue whether to send troops into Iraq and Syria to fight ISIS. The debate was expected to continue into the latter part of the week before lawmakers voted, according to Anadolu, Turkey's semi-official news agency.

Turkey has said it is offering support to a U.S.-led coalition targeting ISIS, but has stopped short of joining the 40-some countries who make up the coalition.

But with more than 150,000 refugees pouring into the country since last week, adding to the hundreds of thousands who have already fled the Syrian civil war, and concerns about ISIS controlling border points, Turkish lawmakers are taking up the issue.

Obama assesses ISIS strategy

At the same time, U.S. President Barack Obama met with his National Security Council to discuss what White House officials described as a comprehensive strategy to counter the threat posed by ISIS, also known as ISIL.

The meeting follows Obama's admission on CBS' "60 Minutes" that the United States underestimated the strength of ISIS and overestimated the ability of the Iraqi security forces to fight the group.

Nowhere was that assessment more evident than in reports ISIS had seized another Iraqi military base about 80 kilometers (50 miles) west of Baghdad over the weekend.

Dozens of ISIS fighters attacked the Albu Aytha military base, north of Ramadi, where 180 Iraqi soldiers were stationed, according to Faleh al-Essawi, deputy head of the Anbar provincial council.

ISIS has been fanning out across the Sunni-dominated Anbar region in recent months, targeting bases one by one across the vast area.

Syrian town fears massacre; Obama admits underestimating rise of ISIS

About a week ago, details emerged regarding the massacre of more than 100 Iraqi soldiers at bases in Saqlawiyah and Sejar, also near Ramadi.

A handful of survivors accused the Iraqi government of failing to respond to pleas for help ahead of the final ISIS assault on the base, after a dayslong siege.

ISIS overruns military base

While the majority of soldiers withdrew from the Albu Aytha base prior to it being overrun Sunday by ISIS fighters, a number of soldiers appear to have been killed.

Images posted online by ISIS purport to show the takeover of the base in question, and include images of men dressed in uniform who appear to be dead Iraqi soldiers.

While CNN cannot independently verify the authenticity of the ISIS images, giveaway features on the base and in the landscape do appear to show western Iraq, specifically, and very likely the base in question.

ISIS also seized a large weapons cache left behind at the base, al-Essawi said.

Amid the continuing violence, a string of car bombs and mortar attacks hit Iraqi cities, leaving dozens dead.

In Baghdad, two car bombs and seven mortar attacks struck primarily Shiite neighborhoods, killing at least nine people and wounding 40, police officials said. Car bombs also exploded in the predominantly Shiite cities of Hilla, Karbala and Basra, Iraqiya state TV reported. All three are south of the Iraqi capital.

UK carries out first airstrikes

The attacks came the same day that the United Kingdom said it conducted its first airstrikes against ISIS in Iraq, striking targets four days after Parliament voted to approve the country's involvement.

British planes helped Kurdish troops who were fighting ISIS in northwestern Iraq, dropping a bomb on an ISIS heavy weapon position and shooting a missile at an armed pickup truck, the UK's defense ministry said.

An initial assessment indicates both strikes were successful, according to the ministry.

British planes had been involved in reconnaissance missions over Iraq in the days since lawmakers approved UK airstrikes against ISIS in Iraq on Friday, but Tuesday's strikes were a first.

Britain joins the United States and France as countries that have hit ISIS in Iraq with airstrikes, while Belgium and Denmark have also said they also will provide planes. Of those nations, only the United States -- in partnership with some Arab countries -- have struck ISIS positions in neighboring Syria.

Australia police arrest man accused of funding U.S. fighter in Syria

Peshmerga 'need more support'

In northern Iraq, Kurdish fighters known as Pershmerga, went after ISIS fighters in Rabia, a major border crossing between Syrian and Iraq that has been under the control of the militants since late June, Brig. Gen. Hazhar Ismail at the Peshmerga Ministry in Irbil told CNN.

ISIS has been collecting money from people who use the border crossing, he said. The operation was preceded by coalition airstrikes.

In Iraq, airstrikes overnight destroyed more ISIS transport and armored vehicles. There were also strikes near Mosul Dam, one of the country's largest hydroelectric dams, the U.S. military also said. The dam provides water to most of northern Iraq.

There were also strikes northwest of Baghdad and one that hit west Fallujah, according to the military.

On the ground, Hazhar said, the Kurdish forces needed closer air support in the form of helicopter cover during operations.

He complained that the Peshmerga's budget, weapons and training must go through the central government in Baghdad and claimed that the Peshmerga "have not received one dollar from Iraq, even though Parliament has approved funds."

Opinion: To beat ISIS, focus on young people

CNN's Ben Wedeman reported from Irbil and Gul Tuysuz from near the Turkey/Syria border, while Chelsea J. Carter reported and wrote from Atlanta. CNN's Hamdi Alkhshali, Laura Smith-Spark, Mohammed Tawfeeqm, Barbara Starr and Jason Hanna contributed to this report.

@highlight

NEW: President Obama meets with National Security Council over ISIS strategy

@highlight

Turkey deploys troops along its border with Syria as lawmakers debate intervention

@highlight

British planes strike two ISIS targets in northwestern Iraq

@highlight

ISIS closing in on the Kobani area of Syria