(CNN) -- As explosions and gunfire continued to ripple in Syria, the United Nations high commissioner for human rights on Monday raised the death toll from the Damascus government's crackdown on anti-regime activists to close to 5,000 people.

"This situation is intolerable," Navi Pillay said in a briefing for the U.N. Security Council.

The same day that Pillay spoke, the London-based Syrian Observatory for Human Rights and a resident of Homs -- an opposition hotbed and frequent site of violence in recent months -- reported that a gas pipeline exploded near the city, followed by gunfire and circulating military airplanes.

The state-run Syrian Arab News Agency, or SANA, played up local elections Monday as an expression of "democracy and free will." Yet the Homs resident said there was no evidence of voting in that city. Instead, this witness reported nonstop shooting and bombardments.

Such violence is nothing new in Syria, with Pillay reporting more than 200 people have died in the last 10 days, and "the Syrian population continues to live in fear of further violent repression."

The Syrian government, meanwhile, has consistently blamed the violence on "armed terrorist" gang members and denied any efforts to target peaceful civilians.

CNN cannot independently confirm events because the Syrian government restricts access of international media to the country.

Pillay said Monday that "the nature and scale of abuses" indicate that Syrian forces likely committed "crimes against humanity." Citing reliable sources, she said more than 300 of the dead have been children "killed by state forces."

Several defectors from military and security forces said they got orders "to shoot unarmed protesters without warning," according to Pillay.

"Independent, credible and corroborated accounts demonstrate that these abuses have taken place as part of a widespread and systematic attack on civilians," she said.

Homs has been a regular flash point. As nightfall arrived Monday, many city residents went to bed afraid the steady waves of violence could soon give way to a historic siege.

Opposition figures said the Syrian government had warned people in Homs to stop anti-government protests, hand in weapons and surrender defecting military members by Monday night -- or face attack by government forces.

Syrian forces gave a 72-hour warning, said Lt. Col. Mohamed Hamdo of the Free Syrian Army, an opposition group of defected Syrian military personnel. Activists on the ground said the ultimatum was issued Friday for Homs.

The government has not acknowledged any deadline for Homs in state-run media.

Hamdo said there are concerns about a repeat of what happened in 1982, when Syria's military -- acting under orders from then-President Hafez al-Assad, father of current Syrian leader Bashar al-Assad -- launched an assault on the city of Hama, killing thousands.

"People are very afraid," said Wissam Tarif, a human rights activist in Beirut, Lebanon, with the organization Avaaz, who is in touch with people in Syria.

There are enough troops around Homs "to take over the city," he said, and casualties have been increasing "in very big numbers" over the past couple of days. Hamdo said the military has dug trenches around Homs and largely cut it off.

"There is no electricity, water, and the communication lines are much worse. The food supply is also decreasing, mainly because little food is going in," he said.

The Syrian government denied reports of water and electricity being out in the city, according to a SANA report.

In fact, besides a story about seven "army, security and police martyrs" being buried Monday, state-run media did not report much on such dire conditions or violence.

Rather, state TV painted a picture of normalcy, with reports of local elections under way across the country.

SANA noted that more than 3,000 candidates are vying for seats in the Homs region alone. It billed the elections as part of the "process of building institutions, promoting democracy and achieving the comprehensive reform process led by President Bashar al-Assad."

Activist groups, though, offered a different story.

The Local Coordination Committees of Syria, a network of opposition activists in the country, said Monday the Syrian army and security forces killed 21 people, including four women and three children. Thirteen of the deaths were in Homs, three were in Hama, three in Damascus suburbs and two in Idlib.

And fierce clashes broke out between security forces and defectors in the cities of Daraa and Idlib, according to the Syrian Observatory for Human Rights, which collects information from people in different parts of the country.

Hamdo, from the Free Syrian Army said, "We conducted an operation late last night against the Syrian forces in Idlib and killed eight of them and injured 22. Two of our men are critically injured."

He also said Syrian forces were conducting mass arrests of shop owners who shut their stores Sunday as part of a nationwide anti-government strike.

The Syrian government, via SANA, on Sunday quoted people saying there was no strike and no sign of a strike.

The last nine months has seen a steady stream of clashes, amid reported government push-back against activists demanding democratic elections and the end of al-Assad's regime. Al-Assad has been in power since 2000; his father ruled Syria for three decades.

World leaders and diplomats have widely condemned Syria's crackdown and called on it to halt violence against the opposition.

The Arab League announced it will hold emergency meetings this week in Cairo. In a statement on Egypt's state-run MENA news agency, an Arab League official said leaders will "discuss the Arab response to a message from Syrian Foreign Minister Walid Moallem to approve the signing of an agreement on an Arab League observing mission to Syria with conditions."

Pillay's report especially drew strong responses from representative countries' ambassadors to the United Nations.

Britain's ambassador, Mark Lyall Grant, called it "the most horrifying briefing that we've had in the Security Council over the last two years," citing the thousands of deaths and "tens of thousands of detentions, rapes, torture (and) violations of abuses right across the system by the Syrian regime.

German Ambassador Peter Wittig said his country is "shocked and appalled" by the U.N. human rights branch's view of the situation, calling it "unbearable" that the Security Council appears "condemned to remain silent on Syria."

"We share the assessment that the Syrian security forces have committed crimes against humanity this year," he said. "And we believe that the Syrian authorities have failed their international obligations of human rights law."

CNN's Yousuf Basil, Hamdi Alkhshali, Amir Ahmed, Josh Levs and Richard Quest and journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: Activists and a resident report a pipeline explosion and gunfire in Homs

@highlight

NEW: Ambassadors at the U.N. call a briefing "horrifying' and "unbearable"

@highlight

The U.N. high commissioner says "this situation is intolerable"

@highlight

She alleges Syrian forces likely committed crimes against humanity