(CNN) -- Rape has turned into a weapon of war in the Democratic Republic of Congo, with the number of attacks on women having grown threefold over the past few years, human rights activists said Friday.

A Congolese rape victim, left, at the Heal Africa clinic in Goma on August 8, 2009.

Anneke van Woudenberg, senior researcher with Human Rights Watch, told Christiane Amanpour that 200,000 women and girls have been raped in Eastern Congo since 1998, and the condition of women has become more dire as the Congolese army has pressed a military campaign against armed groups in the countryside.

"Rape is being used as a weapon of war in eastern Congo. So we notice and we have documented that when armed groups walk into town, they will rape the women and girls, sometimes publicly, sometimes privately, in order to punish the local population," she said. "It's the easiest way to terrorize a community."

Congo has witnessed one of the worst humanitarian crises since World War II, with a death toll estimated at more than 5 million. Most of the dead have come not from direct violence, but the consequences of the fighting: disease and starvation. While the war formally ended six years ago, fighting persists in eastern Congo, and women are paying a high price.  CNN visits a devastated community »

"One of the other sad realities is that the majority of those who are raped are adolescent girls, 12-year-olds, 13-year-olds, 14-year-olds. Their lives are often ruined by this. And I think we've got to take more seriously -- protection of civilians is not just protecting them from death. It's protecting them from rape," van Woudenberg said. Listen to more from van Woudenberg

There have also been reports of members of the Congolese army, particularly high ranking officers, attacking women. In May, the United Nations handed over the names of five top military officers accused of rape. Two of the senior officers are being detained in the capital of Kinshasa and the three others must report to authorities under close observation. They are awaiting trial.

Still more must be done, aid groups say, starting with the establishment of a special court made up of Congolese and international judges and prosecutors to investigate rape allegations.

"I think they've got to start holding to account the generals and colonels who are either themselves responsible or who allow their troops to rape. And so far, those are the guys that have been untouchable," said van Woudenberg. "No general has yet been held to account in Congo for rape, and it's high time that that changes."

Congo has taken some measures to try to curb the sexual violence. In 2006, its parliament passed a law criminalizing rape, with penalties ranging from five to 20 years. Penalties are doubled under certain circumstances, including gang-rape and if the perpetrator is a public official.

Kabila's wife, Olive Lemba Kabila, has launched a public campaign speaking out against rapes of the nation's women and girls.

The army has also started a zero-tolerance campaign in which commanders have emphasized to troops that they must respect human rights and protect civilians from harm, according to the U.N.

The United Nations maintains in Congo its largest peacekeeping force anywhere in the world. But the forces have been ineffective at stopping rape.

Jean-Marie Guehenno, the former head of U.N. peacekeeping, told Amanpour that the international forces face a serious problem: Too few troops assigned to the vast inaccessible reaches of eastern Congo.

"In the Kivu provinces, there are 10 million people," Guehenno said. "If one applied the counterinsurgency ratios that the U.S. Army thinks of -- say, 20 per 1,000 -- that would mean 200,000 troops in Congo -- 200,000 accountable troops."

"The U.N. is in a tough spot, to be frank, because if it did not give any support to the Congolese army, probably the Congolese army might prey even more on the population," Guehenno said.

Part of the problem stems from the tactic applied by the Congolese government to quell previous armed rebellions against Kinshasa by incorporating insurgents into the ranks of the national army, leading to a military that paid scant attention to human rights, and the rights of women in particular.

"What needs to be done is to have a state in Congo that can control its territory and that has the confidence of the people," Guehenno said. "The violence in the Kivu, the violence in Ituri, it is the result of a vacuum, the fact that there is no administration, there is no credible state, there is no justice. And so that vacuum is being occupied by various militias.

"And, unfortunately, when the Congolese army integrates a militia without sorting between the killers and those who could be integrated, it just adds to the problem."

Van Woudenberg called for international pressure to force the Congolese army to bring abusers to justice.

"My worst fear is that we're going to continue to see those individuals responsible for rape being promoted. My hope is that the women and girls of -- of eastern Congo in particular -- will continue to speak out. I think we've seen immense courage from those women and girls to say, 'No, we've had enough.'"

@highlight

Human Rights Watch: 200,000 women, girls raped in Eastern Congo since 1998

@highlight

Condition of women more dire as the army fights armed groups in the country

@highlight

More than 5 million die in Congo from disease, hunger resulting from fighting

@highlight

Congo has taken some measures to try to curb the sexual violence