Afghanistan's presidential election season is underway.  In a sign of genuine political progress, the government has begun accepting nominations for candidates to succeed President Hamid Karzai. This process started just weeks after the nation's Assembly passed legislation providing a legal framework for the presidential, provincial council and parliamentary elections.

Nothing is more important for Afghanistan than building on the liberalizing achievements of the past decade and preventing a slide back toward repression.

This is why it is crucial to retain and expand the hard-won rights of Afghan women. Gender equality isn't just a matter of moral fairness -- it's essential to the country's economic and political health and to ensuring that the nation has a secure, peaceful and stable future.

Since the fall of the Taliban, Afghan women's rights have expanded significantly. The country's current constitution affords equal protection to men and women, guaranteeing women the right to education, political participation and economic opportunity.  Afghan women are now employed at jobs ranging from doctor to police officer -- unthinkable under the Taliban.  An Oxfam report found that school enrollment among girls has increased from roughly 5,000 to 2.4 million.

These are encouraging developments. But there is so much more progress to be made. Afghan women are still the targets of institutional discrimination and gender-based violence.

Here in the last half of 2013, two consecutive Ministry of Women's Affairs chiefs were assassinated. In August, female parliamentarian Fariba Ahmadi Kakar was kidnapped by Taliban militants.   A few days later, the vehicle envoy of female Sen. Roh Gul Khairzad was ambushed, leading to the death of her 8-year-old daughter.

And in mid-September, Afghanistan's top female police officer was shot as she left her home.

This violence is organized. Sima Samar, head of the Independent Human Rights Commission of Afghanistan, has noted that by targeting high-profile women, the Taliban seeks to "limit the active presence and activities of women in their society."

Indeed, a new United Nations report finds that in the first six months of 2013, the deaths of women and children jumped 38 compared to the same period last year.

American forces will be drawn down next year. It's absolutely imperative that their exit not bring on a backslide. The country's government must be expected to keep its commitments to women and girls.

Gender equality is about affirming human dignity, and it starts with improving access to education.

The statistics tell the story. Mortality rates for children younger than 5 are 50% lower for mothers who have attended primary school.  Educated women are less likely to die during childbirth and more likely to send their own children to school. These children then grow up to be the educated young citizens essential to sustained economic growth.

These facts shouldn't be surprising. Education is a basic human right and its impact is transformative in any society. Educated women are major contributors to Afghanistan's economy. Each additional year of primary school improves a woman's earning potential by 10% to 20%.

Women also provide an indispensable voice in political institutions. Here in the United States, after gaining the right to vote, women drew attention to underappreciated issues such as maternal health and child care, resulting in policy shifts that significantly reduced child mortality rates.

Given the enormous challenges that Afghanistan faces, the country cannot afford to regress back to a system in which some of its brightest minds are left out of the political process or any part of society.

Afghanistan's elections and the impending drawdown of American troops mark a new era in the country's development.

The international community must work to ensure that women's gains in recent years are protected and that Afghan women continue to make political and economic progress. Any future support for the country's government must be explicitly tied to continued defense of equal rights and continued progress of female citizens.

For peace and prosperity, we must not abandon the women of Afghanistan.

@highlight

Paula Dobriansky, Melanne Verveer:  Afghanistan vote must preserve gains by women

@highlight

They say post-Taliban women's rights have grown, but recent violence has targeted them

@highlight

They say gender equality and education for women is crucial to nation's economic growth

@highlight

Writers: Future support for country's government must be tied to defense of equal rights