The cosmetics section of any department store anywhere in the world might usually be the first thing you encounter when you walk through the door, but in China it's often a mirror maze on a vast and dazzling scale.

There are serried ranks of demonstrations as shop assistants jostle for attention armed with French moisturizers, South Korean all-in-one BB creams and Japanese lip glosses and violet eye shadows.

If department stores in Asia are the battle ground for its emerging middle classes, then the cosmetics counter is its front line.

Big demand

In China, cosmetics now outstrips groceries as the biggest selling item in its department stores, according to a report from Fung Business Intelligence Center.

In 2013, Chinese women, and increasingly men, spent 162.5 billion yuan ($26 billion) on cosmetics in an industry that showed 13.3% growth year-on-year, according to the same report citing figures from Euromonitor International.

Japan's annual beauty and personal care market is still the largest in the region at about $50 billion, second in the world only to the United States (which is about $70 billion), according to Euromonitor International.

But China's 150 million-strong middle class is closing the gap fast.

For them, however, ground zero in terms of models of beauty is increasingly South Korea.

While South Korea's domestic market is only a third the size of China, in terms of soft power the country punches well above its weight thanks to Asia's insatiable appetite for Korean drama series and their stars.

China's middle class is expected to grow to 500 million within a decade. By 2030 around one billion people in China could be middle class -- as much as 70% of its projected population, according to a report from EY.

In terms of brands, according to Euromonitor, L'Oréal China continued to hold the leading position in the Chinese cosmetics market in 2013 with a value share of 34%.

And while South Korean brands might be little known outside the region, thanks to the popularity of K-pop and Korean soap operas -- whose stars such as Song Hye-kyo and Kim Hyun-joong and Yoona of Girls' Generation are household names in the Asia-Pacific region -- Korean beauty brands are now the hottest ticket item in China.

Star power

One Korean brand in particular, Laneige (meaning the "the snow" in French) and made by South Korea's AmorePacific Corp, is popular among China's middle classes. With its blue and white design and French cachet, the skincare product benefits from the soft power of being South Korean and, more importantly, cheaper.

Vivienne Rudd, director of global innovation at market researcher Mintel, said South Korean beauty and personal care retail market posted 5.8% growth year-on-year to 2013 compared with just 2.1% for the UK and 3.9% for the US.

"The success of South Korean brands has a lot to do with Chinese consumers copying the style of South Korean soap opera and music stars," Rudd told CNN. "They'll even go so far as to get the particular products being used by these stars. The stores will try to get in the exact shades that South Korean actresses are using."

She said the same way that H&M and Zara will get catwalk styles in quickly, South Korean retailers will do the same with cosmetics.

"This is particularly true with lip color," Rudd said.

Hot market

Increasingly, however, South Korea is setting the standard for the growing market in skincare products, creating the all-in-one BB creams -- which contain tints, moisturizer and even sunblock -- that have become so popular in Asia.

"South Korea is really the hot market for innovation and it's even overtaken markets like Japan as the place where everyone looks for the experts in skincare. The Chinese are fascinated by facial skincare and by face color cosmetics," Rudd said.

"South Korean women are very much held up as the standard of beauty across Asia."

Despite the coverage that South Korean brands have received recently, it is still brands from Europe and the U.S. that rule the roost in China.

Beauty expertise

"Western brands such as L'Oreal still have the brand recognition in China," Rudd said, adding that because South Korean brands have been slowing recently, they have been marketing more aggressively in the Chinese market with products aimed directly at Chinese consumers.

Apart from creating brands that build on the idea that South Korea has a special expertise in terms of Asia beauty, South Korean cosmetics are seen as lighter and more fun than their Western counterparts.

"They are very quick to use catchy new ingredients, thick textures and they're very careful with their pricing," she said.

In the meantime, however, Chinese brands have not been slow to sell in their own markets with brands such as Shanghai Jahwa emerging as a major competitor to Western brands, especially third and fourth-tier cities in China.

"There's a certain cachet with French brands, however, and it's amusing to see Chinese brands creating names in Chinese that, when pronounced phonetically, sound very much like French names," Rudd said.

Read this: Battle for middle class is only gearing up

Read this: The social apps taking China by storm

More from Virtual Think Tank

@highlight

In China, cosmetics now outstrips groceries as the biggest selling item in its department stores

@highlight

In 2013, Chinese women, and increasingly men, spent 162.5 billion yuan ($26 billion) on cosmetics

@highlight

Japan's annual beauty and personal care market is still the largest in the region at about $50bn

@highlight

But China's 150 million-strong middle class is closing the gap fast and its focus is increasingly South Korea