Hong Kong (CNN) -- Beijing has clamped down on information once publicly available on listed and state-owned companies, hurting the effort of Western investors and companies to gauge whether to invest in -- or short-sell -- Chinese firms.

First reported by the International Financial Law Review, the State Administration of Industry and Commerce now requires company permission before accessing records such as financial reports and shareholder information.

Companies that sell credit reports -- which give companies a quick read on the background of the firm they are considering doing business with -- have been hindered, said Peter Humphrey, managing director of ChinaWhys, an international business risk advisory firm in Beijing.

"They are restricted now. They cannot include personal identity information about individual shareholders or financial data from the last three years," he said. "There is a major impact as many companies consume thousands of these reports every year, and that kind of information is no longer there, and it is not possible to get a reliable credit rating on this or that business partner without knowing how it's performing financially and who owns it."

Many believe the move may be in part a backlash against hedge funds like Muddy Waters Research, which prominently took down Chinese timber company Sino-Forest. The hedge fund has led similar short-selling crusade against other North American-listed Chinese firms such as including Focus Media, Rino International, China MediaExpress and Duoyuan Global Water, as CNNMoney reported. All were delisted after Muddy Waters' withering reports, with the exception of Focus Media.

But the information clampdown also comes at a sensitive time for Chinese leadership as it readies for its once-a-decade transfer of leadership at the top as President Hu Jintao and Premier Wen Jiabao, who are both in their final year of office. Also in the backdrop is the public rise and fall of Bo Xilai, a rising star who was dismissed as Communist Party chief of Chongqing, the biggest metropolis in China. His right-hand man and former top cop Wang Lijun spectacularly sought refuge in an American consulate apparently fearing for his life and allegedly holding incriminating information on his old boss. His wife, Gu Kailai, is also being investigated on suspicion of murdering British businessman Neil Heywood in a "conflict over economic interests," according to state media.

Subsequent reports suggest Bo's family was worth millions of dollars through business dealings and powerful political connections.

Difficulties getting access to information on companies "began at the beginning of this year, and it became a lot worse after the Bo Xilai scandal," said Humphrey, who is founding president of the Association of Certified Fraud Examiners in Mainland China.

"The people offering due diligence services to multi-nationals considering relationships with Chinese companies are finding certain information to complete the picture is now missing when they are assessing a company for investment purposes," he said.

"This is a handicap to people investing in China right now. It is linked to the political atmosphere of this year's leadership transition period, which has made China more tense, and the gathering of legitimate business information more sensitive."

The move to limit public information on companies comes after the April arrest of 1,700 suspects in a widespread crackdown on the illegal selling of personal information, the Shanghai Daily reported, including an official in Baoding who sold large amounts registered company information.

Dun & Bradstreet Corp., which provides commercial information on businesses for credit checks, suspended its Shanghai-based market research company, Shanghai Roadway D&B Services Co., earlier this year after allegations after a Chinese report it illegally collected information on 150 million people, the Wall Street Journal reported.

@highlight

China now requires company permission before accessing detailed records

@highlight

Background checks on potential Chinese investments have been hindered

@highlight

Some say move is in response to hedge funds who are shorting Chinese companies