Sydney (CNN) -- It might be surprising that in a country as wealthy, multicultural and big as Australia, one of the key election battles is about asylum seekers and refugees. Both major parties are engaged in a race to the bottom about how best to shut down Australia as a place of refuge for people who take to the sea.

Asylum seekers are an easy target for anxieties about national security, unemployment and demographic composition. Politicians have fueled fears that asylum seekers present a threat not only to the integrity of our borders, but to the national fabric as a whole.

Their policies rely on a spurious dichotomy between the "good refugee" (who waits patiently in a camp to be resettled in a faraway land) and the "bad refugee" (who "jumps the queue" by engaging people smugglers to come by boat). International law makes no such distinction because a person either has a well-founded fear of persecution and is in need of protection, or does not.

Australia's bid to stop 'queue jumpers'

The "queue jumper" narrative has permeated so deeply that it has enabled both political parties to construct extraordinary legislative and policy interventions: Mandatory detention for all unlawful arrivals; the excision of the whole Australian mainland from Australia's "migration zone;" the removal of boat arrivals to offshore processing centers in small Pacific island countries, with no prospect for resettlement in Australia; and the creation of temporary protection visas, barring "genuine" refugees from family reunion and permanent residence.

Despite originally decrying such draconian measures as inhuman and illegal, the Labor government, led by Prime Minister Kevin Rudd, has built upon many of them and increased their severity. For a time, it explained that its deterrence measures had an underlying humanitarian objective -- to "save lives at sea." But the latest iterations of its policy reveal a strong message of punitive deterrence.

OPINION: Why Australia's asylum plan won't work

In 2012, the Labor government reopened offshore processing centers in Nauru and Papua New Guinea, despite vowing it would never do so. The idea was that the inferior conditions there, lack of legal advice and review mechanisms, and delayed resettlement (around five years) would deter asylum seekers from getting on boats. But it didn't work, largely because it ignores the reasons why people seek protection in the first place.

So the government took it a step further, declaring in July 2013 that asylum seekers arriving by boat would now be sent to PNG for processing and resettlement. As full-page newspaper advertisements explained: "If you come here by boat without a visa you won't be settled in Australia."

The Opposition's political plan

The opposition Coalition, led by Tony Abbott, countered with disincentives of its own. First, if elected in a federal vote on September 7, it will expand offshore processing and actively seek other resettlement countries for boat arrivals found to be refugees.

READ MORE: Riots as Australia shuts door on asylum

Though it will be possible for them to be resettled in Australia, it will be a "last resort" -- and temporary. Refugee status will be reassessed every three years, family reunion will be banned, and only work for the dole will be allowed. The deleterious psychological effects of this "limbo" protection have been well documented. Furthermore, the last time the policy was used, more women and children got on to boats because of the bar on family reunions. Many died in the process.

Secondly, the Coalition would appoint a three-star commander to protect Australia's borders. This is because it views the continued arrival of boat people as a national emergency requiring a military-led response. But according to a former chief of Australia's defense force, this is a misguided policy that would change nothing. Asylum seekers are not a defense issue.

Thirdly, the Coalition also promises to "turn back the boats" when it is safe to do so. But it rarely will be because it is illegal to expose people to a risk of persecution or turn back an unseaworthy vessel and place the lives of passengers at risk. It also suggested it would buy up Indonesian fishing vessels to stop those boats being used by people smugglers, a suggestion that was dismissed by the Indonesian government as unworkable and derogatory.

Fourthly, the Coalition has threatened to abolish the Refugee Review Tribunal (RRT), the independent body that reviews decisions made by government officials about whether or not people are refugees. This is because the RRT has found that many governmental decisions are flawed. But rather than probing the quality of government decision making, the Coalition has decided to get rid of the reviewer. This undermines a central tenet of a functioning administrative law system. Life or death decisions cannot be reviewed. Further, the Coalition's weekend announcement that it will strip legal aid from asylum seekers increases this risk of poor initial decision making and heightens the chance of refoulement -- or the expulsion of people with the right to be recognized as refugees.

A 'breach of international human rights'

Both Labor and Coalition policies breach Australia's international human rights obligations in various ways. At the very least, they undermine the humanitarian purpose of the Refugee Convention. More significantly, they violate concrete legal obligations -- such as the individual right to seek asylum (and the right not to be subjected to penalties for arriving without a visa in such cases), the right to be free from cruel, inhuman or degrading treatment, the right not to be arbitrarily detained, and the right to non-discrimination. A recent report by the U.N. Human Rights Committee underscored this. But because Australia has no bill of rights, it is very difficult to challenge such policies in domestic courts.

Experience tells us that these policies do not "stop the boats." As former Australian Prime Minister Malcolm Fraser recently observed, "No amount of deterrence can match the terror from which those who are genuine refugees are fleeing." Instead, they lead to increased levels of trauma and mental illness among refugee communities, exorbitant financial costs, and desperate family members undertaking dangerous boat voyages to try to join their loved ones.

Moreover, asylum seekers get on boats because Australia tries to prevent their arrival by other means. There is no such thing as a "refugee visa" to apply for before departure, and it is highly unlikely that refugees would be able to get a tourist or work visa because of the presumption that they would apply for asylum on arrival. It is a Catch-22. Australia is one of the few countries in the Asia-Pacific region that could offer durable protection to refugees, since most of its neighbors have not ratified the Refugee Convention and do not have the legal, financial or technical capacity to offer real protection.

How many asylum seekers are there?

To put all of this into context, in 2012 Australia received 17,202 asylum seekers by boat, its highest annual number, but only 1.47% of the world's asylum seekers. In the same period, it accepted 190,000 people through its skilled and family migration scheme.

On a positive note, both parties will continue to resettle refugees directly from camps and urban settlements in other countries, as well as asylum seekers who come by plane who are found to be refugees. The total number of refugees accepted by Australia -- whether by overseas resettlement, plane arrivals or boat arrivals -- will be capped at 13,750 by the Coalition. Labor will increase that number to 20,000, and possibly up to 27,000 if there is a significant decline in the number of asylum seekers arriving by boat.

Public perception at fault?

The public perception is that asylum numbers are much higher than this, and many people do not understand why people flee in the first place. Given Australia's relative affluence and political stability, most voters have no conception of what it means to fear persecution or other forms of serious harm.

In fact, perhaps the saddest irony of all is that precisely because the asylum issue has such a negligible impact on most Australians' everyday lives, they can choose to remain ignorant about the issue. Yet it still drives votes.

Finally, the more that asylum seekers are made to disappear from our community, the less chance there is for Australians to get to know them as neighbors, colleagues or friends. As this happens, the chance for greater empathy and understanding also disappears.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Jane McAdam.

@highlight

Labor government sending people who arrive by boat to offshore processing centers

@highlight

Opposition Coalition says thousands already in Australia won't be allowed to stay

@highlight

McAdam: "Queue jumper" narrative has permeated Australian society

@highlight

Public perception is that asylum numbers are much higher than reality