(CNN) -- He was an outspoken critic of one war, but a hero in another. He was a leading Democrat who came from Republican roots. He was a politician who cared more about being on the right side of an issue than on the popular side.

George Stanley McGovern -- a staunch liberal who served South Dakota in the U.S. Senate and House for more than two decades and who ran unsuccessfully as the Democratic Party nominee for president in 1972 -- died Sunday at the age of 90, his family said.

"Our wonderful father, George McGovern, passed away peacefully at the Dougherty Hospice House in Sioux Falls, SD, surrounded by our family and life-long friends," his family said in a statement.

Highlights of George McGovern's life

"We are blessed to know that our father lived a long, successful and productive life advocating for the hungry, being a progressive voice for millions and fighting for peace."

President Barack Obama praised McGovern as someone who showed a lifelong love of country.

"When the people of South Dakota sent him to Washington, this hero of war became a champion for peace," the president said in a written statement. "And after his career in Congress, he became a leading voice in the fight against hunger. George was a statesman of great conscience and conviction."

Others remembered him for the changes he brought to politics.

"I think he'll be remembered, obviously, for his stance on the war in Vietnam," said Bill Richardson, the former governor of New Mexico, "but also for his contributions on agriculture, on hunger.

"And then the Democratic Party. He transformed the party, the primary system, getting minorities involved. He was a gigantic figure and a classy, good, good guy."

Politicians pay tribute

Funeral services are scheduled to take place in Sioux Falls on Friday, one day after a public viewing in the same city.

Bill and Hillary Clinton said they first met McGovern while campaigning for him in 1972. The former president and current secretary of state said McGovern never stopped speaking out for the causes he believed in.

"We must continue to draw inspiration from his example and build the world he fought for," the Clintons said in a written statement. "The world has lost a tireless advocate for human rights and dignity."

The son of a Methodist minister who was a Republican, McGovern was born in Avon, South Dakota, on July 19, 1922. Six years later, his family moved an hour north to Mitchell, where McGovern graduated from Mitchell High School in 1940.

His debating skills won him a scholarship to Dakota Wesleyan University in Mitchell, where he met fellow student Eleanor Stegeberg. Three years later, they married. All five of their children were born in Mitchell.

McGovern's political skills came to the fore in college, where he was twice elected class president and won the state oratorical contest on the topic "My Brother's Keeper," which laid out his liberal beliefs.

In 1942, he enlisted in the U.S. Army Air Forces and went on to fly 35 combat missions as a B-24 bomber pilot in Europe. He was awarded the Distinguished Flying Cross.

After the war, he returned to college, graduating in 1946. McGovern attended Garrett Seminary for a year before entering Northwestern University in Chicago, where he got his master's and doctoral degrees in American history and government.

He returned to Dakota Wesleyan University in 1950 as a professor of history and political science, leaving in 1955 to help the South Dakota Democratic Party and launch his political career.

In 1956, he won a seat in Congress. He was re-elected two years later.

After losing a bid for the U.S. Senate in 1960, McGovern was named special assistant to the president and director of the Food for Peace Program by President John F. Kennedy.

Opinion: McGovern, a strong man who overcame defeat

Two years later, he was elected to the Senate. He was re-elected in 1968 and 1974. He served on Senate committees on agriculture, nutrition, forestry and foreign relations, and the Joint Economic Committee. He also served three years on the Commission on Party Structure and Delegate Selection, which changed the way states picked their delegates, before leaving it in 1971 to run for president.

In 1972, McGovern was selected as the Democratic Party nominee for president on a platform that included ending the war in Vietnam at a time when the country was torn over U.S. involvement there.

"Let us resolve that never again will we send the precious young blood of this country to die trying to prop up a corrupt military dictatorship abroad," he said, to applause, at the Democratic convention in Miami Beach, Florida.

He called the unemployment of more than 5 million Americans "the most false and wasteful economics of all" and said his highest domestic priority would be "to ensure that every American able to work has a job to do." He called for an end to a system of economic controls "in which labor is depressed but prices and corporate profits run sky high," and he called for national health insurance and "a fair and just tax system."

But the campaign started out poorly. He selected as running mate Sen. Thomas Eagleton of Missouri, after a background check that did not turn up the fact that Eagleton had been treated for mental illness, which was revealed soon after. Eagleton withdrew and McGovern then tapped Sargent Shriver, a brother-in-law of John F. Kennedy and U.S. ambassador to France.

The pair ended up losing in a lopsided vote for incumbent Richard Nixon, with the McGovern ticket earning only 17 electoral votes -- from Massachusetts and the District of Columbia -- to Nixon's 520.

McGovern reflected on that defeat in a September piece in The Washington Post, calling it "a significant personal setback" that left him "genuinely stunned."

Opinion: McGovern was ahead of his time

"The loss is there, an old wound never fully healed. My disappointment was certainly personal, made deeper by the awareness that many thousands of young Americans, and far more Vietnamese and other Asian citizens, were going to and did lose their lives with the Nixon administration's continuation of the war," he wrote. "And I was upset that my supporters would carry the burden of the loss, too -- something that has weighed on me all these years."

But he added, "I am optimistic about the country, and I am convinced that McGovern for President 1972 helped put those ideals within sight and completion today."

Sen. John Kerry said Sunday that McGovern never let the political popularity of a subject determine whether he supported a cause.

"George McGovern was a voice of clarity and conviction at a time when America needed it most," Kerry said. "He spoke to many of us who opposed the war but loved our country, because he was the genuine article, a soft-spoken, decent and gentle man who lived a remarkable life with humility."

After his presidential loss, McGovern returned to the Senate, where he was re-elected in 1974. But he was beaten when he sought a fourth term in 1980, a victim of what became known as the Reagan Revolution that swept conservatives into power and their views into vogue.

Four years later, he tried again to win the Democratic presidential nomination, but dropped out. Former Vice President Walter Mondale became the nominee -- only to lose to Reagan in another lopsided race.

Former Speaker of the House Newt Gingrich said Sunday that McGovern was more than a very down-to-earth man.

"George was actually a very complicated person," Gingrich said. "He was not a pacifist. His argument over Vietnam was about that particular war. He was a citizen."

After leaving the Senate, McGovern taught at a number of schools, including Columbia University, Northwestern University, Cornell University, American University and the University of Berlin. He served as the president of the Middle East Policy Council from 1991 to 1998. President Clinton appointed him ambassador to the United Nations Food and Agriculture Organization in Rome and, in 2000, awarded him the Presidential Medal of Freedom.

In 2001, McGovern was named the first United Nations global ambassador on hunger.

In the 2008 presidential campaign, McGovern switched his allegiance from Hillary Clinton to Barack Obama. But in a 2009 commentary in the Post, he lashed out at the Obama administration over its policies in Afghanistan and reflected on one of the hallmarks of his political life.

"As a U.S. senator during the 1960s, I agonized over the badly mistaken war in Vietnam," McGovern wrote. "After doing all I could to save our troops and the Vietnamese people from a senseless conflict, I finally took my case to the public in my presidential campaign in 1972. Speaking across the nation, I told audiences that the only upside of the tragedy in Vietnam was that its enormous cost in lives and dollars would keep any future administration from going down that road again.

"I was wrong."

In lieu of flowers, the family is requesting donations to Feeding South Dakota.

Obituaries 2012: The lives they've lived

@highlight

NEW: Funeral services are set for Friday in Sioux Falls, South Dakota

@highlight

President Obama says George McGovern fought for country, then for peace

@highlight

McGovern may be most remembered for losing to Richard Nixon in 1972 landslide

@highlight

He served South Dakota in the Senate for three terms, also served in House