(CNN) -- "The future as a Rolling Stone is very uncertain. My ultimate aim in life was never to be a pop star. I enjoy it with reservations, but I'm not really, sort of, satisfied either artistically or personally with it."

Brian Jones' candid words in the first Rolling Stones documentary, 1965's "Charlie is My Darling," are all the more poignant because the guitarist did, in fact, part ways with the band in 1969. He drowned later that year.

The Rolling Stones played four gigs over two days in Ireland in September of '65. On the heels of the success of The Beatles' "A Hard Days Night," the Stones' then-manager, Andrew Loog Oldham, asked director Peter Whitehead to film the band. The result was "Charlie is my Darling," a film that was never officially released -- until now.

Rumors of the film's existence was the stuff of Stones' fan folklore as the film reels sat untouched, gathering moss for four decades.

At a pivotal point in their careers

The Stones are celebrating their 50th anniversary, and "Charlie is My Darling" captures the band at that pivotal point in their careers where they were right on the cusp of superstardom. "(I Can't Get No) Satisfaction" had just reached No. 1 on the charts. Lead singer Mick Jagger, guitarist and vocalist Keith Richards, drummer Charlie Watts, Jones and bass guitarist Bill Wyman were famous, but had yet to become rock superstars.

The original film was only shown in a few theaters in 1966 before being shelved, but ABKCO Music & Records uncovered unused footage and teamed up with filmmakers Mick Gochanour and Robin Klein to restore and re-edit "Charlie is My Darling" as a new film. The DVD/Blu-ray was released earlier this month.

The Rolling Stones play impromptu gig

Gochanour and Klein had been aware of the project since 1965. They had tried to bring it to life in the 1990s, but the technology wasn't quite there yet. With miles of material to sift through and footage in tatters, the project was put on an indefinite hiatus until last year, when Gochanour and Klein stumbled upon footage of The Rolling Stones on stage that they didn't even know existed.

A meticulous process unfolds

The painstaking restoration process was both time- and labor-intensive. It wasn't uncommon to have to stop everything to mend the film by hand because of a splice or torn sprocket breaking in the film scanner. It took two days to scan one reel of film, which contained 30,000 to 40,000 frames per reel. With 35 cans to be scanned, they spent several months matching sources and repairing tears, scratches and chemical blotches by hand.

After that initial frame-by-frame scanning, there was a grading process that brought the various disparate elements a little closer to being in balance, matching grain and tone. When all was said and done, over 90,000 individual frames were restored by hand. In addition, the many separate parts they were working with had to be balanced -- grain and tone had to be matched to convey the uniformity of being part of the same work.

And that was just the picture portion of the film -- synching audio and video was a whole other beast of burden.

"There were many issues and challenges we were dealing with," Gochanour told CNN, "not the least of which was the audio. Since it was not shot as a concert film, there were no logs or documentation."

Gochanour and Klein spent eight months on the performances alone.

"It was a meticulous, painstaking process of looking for clues," said Klein. "An on-camera word, a gesture, the tempo, guitar chords. The amazing thing is -- and every fan should appreciate this -- we sometimes had three versions of a song and every version would drop in against picture and could be matched up. That is a testament to the lockstep nature of Charlie and Bill. And also Mick, particularly the spoken word sections. The cadence is nearly always the same. He breaks the line up in the same way every time; he breathes at the same place. Many of his gestures remain to this day. He still hits his knee when he sings 'Time Is on My Side' and slaps the air during 'Satisfaction'."

Gochanour recalled finding the earliest existing footage of a live performance of "(I Can't Get No) Satisfaction."

"I get chills to this day remembering what it was like to see 'Satisfaction' with sound and picture for the first time," he said. "It was like finding a Picasso in grandma's attic. It was a revelation. I had no idea how raw and visceral they were; how incredibly tight and controlled at the same time. There was a punk attitude -- a direct communication."

A young Mick Jagger's swagger

In the film, a then 22-year-old Mick Jagger was interviewed. Still in his formative stages as a performer -- he hadn't quite perfected the moves like Jagger -- the rock legend did exude a keen sense of self-awareness.

"Most successful entertainers have always been the most egotistical ones -- on stage," he said. "They might not be as egotistical as that offstage, but all that ego is got rid of onstage."

When asked what sort of person he was offstage, Jagger remarked, "about half as egotistical."

Dispersed throughout the interviews are concert footage of entire performances of other early Stones hits such as "Time Is on My Side" and "The Last Time."

"I don't really know what I am on stage," Jagger continued. "It's very different because you have to treat everybody differently. You have to be very, very, very egotistical because that's -- I mean, you're acting. You're doing an act for them. It's not really you."

Jagger also said that when the band's first record hit the charts, he was convinced that The Rolling Stones would "probably be around for a year or maybe a year and a half, and then it's all going to be over."

Rocking the Irish countryside

The band can also be seen traveling through the Irish countryside in a train car ordering tea with "lots of sugar," being mobbed by fans, hanging out backstage and tinkering with songs in shabby hotel rooms. Jagger and Richards were in the midst of writing "Sittin' on a Fence" in one scene. That song wasn't formally recorded for another three months.

Although the band was still finding its musical footing at the time, Jagger's disdain for the pop music of his own youth provides a glimpse into what was to become of the band.

"Popular music wasn't a real thing at all," said Jagger. "It was very, very romantic" with lyrics "about things that don't really happen ... very few of them actually mean anything or have any relation to what people are doing. ... They were just about being unhappy because your girl had left you, or being happy because you just met somebody. That's all they were about about. The moon in June and the sky is blue, I love you."

Jagger also talked about 1960s society and how the times, they were a-changin'.

"In the last two or three years," he said, "young people have been -- this especially applies to America -- instead of just carrying on the way their parents told them to, they've started a big thing where they're anti-war and they love everybody and their sexual lives have become freer. The kids are looking for something else, some different moral value because they know they're gonna get all the things that were thought impossible 50 years ago. A whole sort of basis of society and values which were accepted could be changed, but it's up to them to carry on those ideals that they have instead of just falling into the same old routine that their parents have fallen into. So it's not until the people of 21 now reach the age of 75 -- those kids actually have to be grandfathers before the whole thing is changed."

In one of the most entertaining parts of the film, Jagger and Richards sing the tunes of their rivals -- The Beatles' "Eight Days a Week" and "I've Just Seen a Face." Jagger also does an impressive Elvis Presley impersonation.

What they wanted to be when they grew up

Toward the end of the film, some of the band mates talked about their post-rock 'n roll life plans. Jones said he always wanted to be a filmmaker, Jagger considered going back to college, and Watts planned to go back to his former career as a graphic designer. But as it turned out, the Stones did not fade away.

Incidentally, the film's title is a reference to Watts.

"His was the personality that everyone felt was the most endearing -- and cinematic," said Gochanour.

Gochanour also explained the differences between the 1965 and 2012 versions of "Charlie is My Darling." He said he tried to "give the audience a sense of what it was like to be at one of the shows when the band was just coming into their own. I was also trying to show the early effects of fame and notoriety -- and foreshadow the future."

Peter Whitehead's 35-minute 1965 version, on the other hand, is more of an exploration of the band mates' differing personalities.

Gochanour, however, retained the original title because of the film's cult status among Stones fans. He and Klein distinguished this new, 67-minute version by version by adding "Ireland 1965" to the name; thus the new release is formally titled "Charlie is My Darling: Ireland 1965."

As The Rolling Stones celebrate the half-century mark as a band, a rare look at its members when they hadn't yet hit the quarter-century mark as people really puts their resonating success in perspective.

At one point, the interviewer asked Jagger what the secret to his success was.

"There isn't any secret," he said. "It's all very obvious."

Rolling Stones: Never-before-seen photos

@highlight

The first Rolling Stones documentary, 1965's "Charlie is My Darling," has been released

@highlight

The film captures the band mates, all in their 20s, on the edge of super stardom

@highlight

Filmmaker Mick Gochanour uncovered the earliest footage of "(I Can't Get No) Satisfaction"

@highlight

Gochanour: "It was like finding a Picasso in Grandma's attic"