(CNN) -- Nearly 150 years after it was left behind at a Civil War prison camp, the 3-inch clay pipestem still shows a Union soldier's teeth marks.

The pipe, whose stem features the name of its manufacturer, proves the resourcefulness of a prisoner who really wanted his tobacco. He fashioned the bowl from lead, possibly by melting rifle bullets.

No one knows what became of the unknown soldier at Camp Lawton, which during its short existence in south Georgia was the Confederacy's largest prison camp.

"His name his been lost to history but his story has not," said Kevin Chapman, who led a group of college students that found the exact location of the camp's slave-built stockade and, in the soil beneath tall pine trees, nearly 200 artifacts.

Those are the first of what is expected to be a treasure of artifacts that will bear witness to the lives of prisoners and the horrors they endured.

The find was detailed Wednesday by the U.S. Fish and Wildlife Service, the Georgia Department of Natural Resources and Georgia Southern University.

The artifacts were found this spring on federal property, the currently closed Bo Ginn National Fish Hatchery. The camp's location also extends into state property, the adjoining Magnolia Springs State Park.

Visitors got a chance to learn more about the dig in Wednesday's open house at the state park. Only archaeologists and other officials are allowed on the actual dig site.

This discovery of so many Civil War-era items -- including the smoking pipe, uniform buttons, a picture frame, coins, utensils, bullets and objects fashioned by Union prisoners -- is unparalleled for many reasons, archaeologists said.

And the prisoner belongings from little-known Camp Lawton are believed to represent just a fraction of what will be uncovered, cleaned and analyzed for up to 30 years.

With the exception of a farmer's plow 100 years ago, the 42 acres near Millen, Georgia, have been largely free of human touch.

That includes being missed by relic hunters and looters who, said Rick Kanaski, regional archaeologist and historic preservation officer for the U.S. Fish and Wildlife Service, "are both thieves of time."

Over the years, people have picked clean known Civil War sites, including the notorious Andersonville prison in west-central Georgia, about 120 miles away. Camp Lawton was built to help ease Andersonville's overcrowding.

"This site is unusually undisturbed," said Kanaski. "For Civil War sites, this is an amazing thing."

The site's remote location and maps describing it as brushy and overgrown likely saved it from relic hunters, archaeologists said.

Still, that hasn't stopped some relic hunters from trying to reach the fenced-in site. About a half dozen have been stopped by state park officials, said Natural Resources Commissioner Chris Clark, who said they were released with a warning. Prosecutions may follow for violators now that the dig is public knowledge, he said.

Some of the artifacts will go on display starting October 10 at the Georgia Southern University Museum in Statesboro, about 40 miles south of the camp site. Officials said the public eventually will be able to watch excavations at Camp Lawton, which was described after the war as "foul and fetid."

Using modern technology along with shovels, prisoner drawings and topographic maps, the Georgia Southern archaeology students found the stockade site at one of four investigative sites they studied at the federal hatchery and state park.

They believe excavations will produce finds that will surpass their initial modest expectations of finding the rectangular stockade's perimeter.

"Even in the short term, the site will provide a glimpse into the trials and tribulations of Civil War soldiers," said Kanaski.

Early this spring, team leader Chapman found a U.S. cent of a type that was last manufactured in 1858, six years before Camp Lawton opened for its brief but deadly six-week existence.

Students then began finding other precious objects.

"When I picked up things, literally the hair stood up on my neck," said Sue Moore, an anthropology professor in the School of Anthropology at Georgia Southern. She served as adviser to the dig crews.

Nails and other items showed that the sloped camp was the living area for nearly 10,000 men who built shelters and lean-tos near Magnolia Springs. Having just survived the scorching 1864 summer, they dug into the earth to shelter them from a cold winter, which included a November snowfall.

Then, suddenly, in late November 1864, the camp was abandoned. The prisoners were taken to other camps as the Yankees approached during the famous March to the Sea.

Archaeologists think that prisoners may have been taken to the depot in Millen in the middle of the night, and were forced to leave behind their camp belongings and keepsakes from their homes up north. The items, possibly numbering in the thousands, were eventually swallowed up by the earth.

"It's been a series of 'Oh my God this is huge' moments," Chapman, 36, said of the archaeological dig.

Between 725 and 1,330 men died at the prison camp in its six weeks. Officials said they know the "general vicinity" of soldier graves, but have no plans to disturb them.

Conditions in Northern POW camps often weren't much better. About 3,000 imprisoned Confederates, for example, died in Elmira, New York.

"Some of the saddest part of our history was the handling of prisoners on both sides," said John Derden, professor emeritus of history at East Georgia College in Swainsboro.

Wednesday's announcement couldn't come at a better time for Millen and Jenkins County, where unemployment hovers near a staggering 20 percent. Most of the town's manufacturing jobs are gone.

"We have an incredible opportunity for heritage tourism in this community," said Clark.

"I've never lost hope" about bringing in jobs, said Mabel Jenkins, chairwoman of the county's development authority. She said she hopes a museum related to the archaeology and perhaps a re-creation of a section of the prison stockade will be erected.

Once the digs resume, Magnolia Springs State Park, which had 114,000 visitors in 2009, also could get a needed boost. "We see the park as growing," said Becky Kelley, Georgia parks director.

There are no known photos of Camp Lawton and few details of the stockade, but a Union mapmaker painted watercolors of the prison. He also kept a 5,000-page journal that included descriptions of the misery at the camp.

"The weather has been rainy and cold at nights," Pvt. Robert Knox Sneden, who was previously imprisoned at Andersonville, wrote in his diary on November 1. "Many prisoners have died from exposure, as not more than half of us have any shelter but a blanket propped upon sticks. ... Our rations have grown smaller in bulk too, and we have the same hunger as of old."

Among Sneden's watercolors from Lawton are two depicting the stockade wall and a brick oven with a tall chimney.

Chapman and about eight other Georgia Southern graduate students used the painting to help locate the dig site. They found bricks that may be remains of one of the camp's ovens depicted by Sneden, Moore said.

The land slipped into obscurity for about 70 years, when some of it became part of Magnolia Springs State Park. Until this spring, a few entrenchments were the only signs of Camp Lawton.

That began to change in late June, when federal officials erected a locked and guarded fence to safeguard the artifacts found at its hatchery, which will reopen in spring 2011. They will work with their Georgia counterparts to ensure the site is not touch by unauthorized individuals.

"The illegal antiquity marketplace is a global marketplace," Kanaski said.

Although the public is mesmerized by artifacts, historians and archaeologists consider them mainly as tools to understand the past.

"What's important is not just the artifacts but the context," said Kanaski.

What, they wonder, were these soldiers like? How did they adapt to their harsh environment, where disease was a deadly companion? How did they organize camp life?

Some coins, tokens and other objects that have been found were made in Europe, and indicate Union regiments made up of soldiers with Irish and German ancestry, Chapman said.

One of the dig sites was open to the public over several weekends during the spring. Chapman recalls one "magical day' when a descendant of a Union prisoner and a descendant of a Confederate guard stopped by to observe.

The government and Georgia Southern are not currently digging the site. They are devising a comprehensive plan of research, excavation and conservation. The next dig is expected to begin this fall on the state park side of Camp Lawton. Students will try to find the stockade's corners and evidence of the camp commandant's headquarters and other buildings.

"We found more than we ever dreamed of," said Kanaski. "This is truly a unique site, one that belongs to all Americans."

Like other speakers Wednesday, U.S. Rep. John Barrow of Georgia talked about Camp Lawton's legacy.

"It's one of those places where triumph and tragedy are mixed," he said.

@highlight

About 200 artifacts were found in early archaeological investigations

@highlight

The site is unusual in that it has not been picked over by relic hunters

@highlight

Some of the items will go on display in October at Georgia Southern University