London (CNN) -- The euro club has suffered major shockwaves but its newest member has emerged as a shining economic light.

Estonia, which joined the euro in January 2011, has shaken off its painful Soviet Union history and a credit-fed boom and bust to rebuild itself as an economy with shrinking unemployment numbers and growth far exceeding its peers.

The fortunes of the small Baltic country, perched on the edge of northern Europe, run in stark contrast to the eurozone's troubled south, where unemployment has soared to record levels and recessions are becoming entrenched.

But Estonia's finance minister, Jurgen Ligi, told CNN Greece -- the eurozone's most troubled nation -- was "paradise" compared to what his country had suffered after the USSR fell.

Estonia, vice-chair of last week's Organisation for Economic Development and Cooperation Ministerial Council Meeting in Paris, joined the euro seven months after Greece had taken its first bailout and as the common currency slid into crisis.

Ligi told CNN joining the euro was a "natural choice" for a "small open economy." The country, which has just 1.3 million people, had always been "very much dependent on the eurozone, and now we are participating and influencing the decisions," he said.

WATCH MORE: Post-Soviet winners and losers

Accession to the eurozone, despite its problems, ensured the country offered a more stable currency, which gave confidence to investors, Ligi said, as well as showing "solidarity and political cooperation.

"Sometimes you have obligations that you don't like but [do them] for general stability."

Ligi said the austerity drive being pushed through Europe barely justified the label. "I would not use the word austerity in Europe, where the size of the social system is half of that of the world and consumption level among the highest."

Estonia went through its own harsh program of cuts in 2009, slicing back state salaries and freezing pensions, after its real estate bubble went bust. The program helped ensure Estonia stayed inside the rules of entry to the eurozone.

The country's growth rate averaged 8% between 2003 and 2007, before crashing into recession in 2008: its GDP shrank 14.3% in 2009 but has since rebounded.

According to Ligi, real GDP will recover to pre-crisis levels next year. Ligi said the contraction was based on a "credit, real estate and consumption bubble" while today's economy "is on a much stronger basis."

Estonia's debt to GDP ratio remains markedly lower than that of its European peers, sitting at 10.1% compared to Greece at a heady 156.9% and Italy at a painful 127%.

WATCH MORE: Doing business in Estonia

Estonia's export economy is also supported by its strong links with Scandinavian countries, including Finland and Sweden. Its unemployment, at 10%, remains high but lower than the eurozone as whole, which now sits at 12.2%. The OECD has predicted this will rise to 12.3% in 2014. Estonia's youth unemployment sits at 23%, again lower than the eurozone's 24.4%.

The former Soviet nation has built itself into a free market, highly educated country with a strong telecommunications industry. The birthplace of Skype become known as E-Stonia following the USSR's collapse in 1991.

It drove through an ambitious program of connectivity credited to Toomas Hendrik Ilves, the bow-tie wearing former ambassador to the United States who is now the country's president.

Ligi said the country did not forget the crisis which followed its independence, when inflation reached 1000% and it underwent rapid monetary reform.

"We have been making right and sustainable decisions," Ligi said. "There are lots of countries with similar history and situation than Estonia are not taking advantage.

He added: "This is no miracle that Estonia is developing quicker than the others."

Estonians bore with structural changes with the culture of practicality, Ligi said. "[Estonians] are very rational ...we have a lot of common sense," he said. "We appreciate solidarity but we do not forget personal responsibility."

The country's leaders -- including Ilves -- have also proved feisty defenders of their economic reforms.

In an infamous Twitter battle with Nobel economics prize winner and New York Times columnist Paul Krugman, who questioned whether Estonia's GDP recovery could be classed as an "economic triumph," Ilves slapped down the "smug, overbearing & patronizing" report.

@highlight

The euro club has suffered major shockwaves but its newest member has emerged as a shining economic light.

@highlight

Estonia, which joined the euro in January 2011, has rising employment and growth exceeding its peers

@highlight

Its economy has been through financial restructuring and a credit-fed boom and bust

@highlight

Joining the bloc has helped buoy its economy due to increased confidence from investors