Washington (CNN) -- New York Mayor Michael Bloomberg, an Independent, joins several leading Democrats, Republicans and other Independent political leaders in the launch of a new group that hopes to find non-partisan solutions to some of the nation's problems and to impact the next Congressional session.

The organization, known as No Labels, kicked off Monday in New York with a series of panels discussing some key political problems in America, such as hyper-partisanship and electoral reform. During the day the group's leaders and speakers explore how it can help find common ground to help solve those and other issues.

Besides Bloomberg, among those participating in the kick-off: Sens. Evan Bayh, D-Indiana; Kirsten Gillibrand, D-New York; Joe Manchin, D-West Virginia; Joe Lieberman, I-Connecticut; Reps. Mike Castle, R-Delaware and Bob Inglis, R-South Carolina; former Republican congressman Tom Davis and Republican Florida Governor Charlie Crist, who ran for Senate this year as an Independent.

Later in the day during the kick-off event Bloomberg is expected to speak about non-partisan redistricting.

"Parties have a place, but party loyalty, I don't think, should get in the way of doing what you as an elected official believes what's right. I think that's what most of the public wants," Bloomberg told NBC's Meet the Press Sunday.

Led by columnist and CNN contributor John Avlon, Republican political consultant Mark McKinnon, Democratic consultant Kiki McLean, and veteran Democratic fundraiser Nancy Jacobson who conceived the idea, the No Labels group aims to look at politics through a new prism and wants to urge political leaders not to abandon their political labels but set them aside in order help find solutions.

"No Labels will create a space where ideas can be judged on the merits, not their conformity to pre-fabricated stereotypes. The point is not whether America moves left or right; it's whether we move forward. And that's what the majority of Americans are yearning for," the group described as its mission.

Veteran political analyst Thomas Mann of the Brookings Institution said it will be difficult for this type of group to change the political dynamics.

"They are obviously confronting very strong head winds," he told CNN but added "why not throw something into the mix."

Bloomberg grabbed national headlines and renewed talk he might mount an independent run for the presidency in 2012  with a high profile speech last week saying government needs to chart "a middle way" to help fix the economy and criticized the partisanship in today's government.

"The country is growing more and more frustrated with government's inability to keep America prosperous and fair and more skeptical that the jobs we need are coming soon. As families struggle to get by, they have seen little but partisan gridlock, political pandering and legislative influence-peddling," Bloomberg said as he outlined steps to tackle unemployment, spur job creation and push growth.

"Both parties follow the mood of the moment -- instead of leading from the front. They incite anger instead of addressing it -- for their own partisan interests."

Bloomberg's participation in the No Labels group is helping to stoke the speculation.

"You can see why Bloomberg is involved," Mann told CNN. It helps "to create a market for an independent candidacy."

"We have seen these efforts before to explore some alternative, a third party candidacy ...they haven't gone anywhere," Mann added.

On Sunday Bloomberg denied any intentions of seeking the presidency.

"I'm not going to run for president, the job.  I have a great job. I'm going to finish my 1,100 whatever number of days it is left go to, and I'll leave the politics to the experts," he told NBC's Meet the Press.

When pressed he repeated his stance. "I'm not looking at the possibility of running. I've got a great job.  And I'm going to stay with this."

Recently there have been some bipartisan initiatives in Washington to try to come up with solutions particularly regarding the nation's growing debt, including the presidentially appointed commission. However, political experts are doubtful those initiatives will result in any concrete action in the near future.

"I am skeptical of any short-term agreement between the two parties on the big fiscal questions confronting the country. There are real differences" that will have to be argued out in the political process, Mann said.

With the Republicans taking control of the House next month, it is unclear whether Washington's partisan atmosphere will improve because of necessity or get worse.

Princeton University political science professor Fred Greenstein pointed to the compromise for the temporary extension of the Bush-era tax cuts reached by the White House and congressional Republicans as a sign compromise is possible.

As for the new No Labels group, Greenstein for one said it could help. "If they are trying to join the crowd let's work together rather than sink together, I think they will be widely perceived as doing something useful," he told CNN. "I think they add to kind of a groundswell of recognition" that government officials should strive for that type of cooperation.

Both Mann and Greenstein said any effort that could help bring some honesty and clarity to the political debate will help the process.

Group officials say they expect more than 1,000 ordinary citizens from all 50 states to participate in the launch event Monday. They are aiming to build chapters in all 435 congressional districts.

Polls after the mid-term election show Americans want political leaders to reach across the political aisle to get things done. Forty-seven percent said it is more important to compromise to get things done than to stick to their beliefs, according to a USA Today-Gallup poll last month.

According to state registration statistics, about a quarter of Americans on average consider themselves as independent. In several states the number of people registered as independents tops those affiliated with either political party: Alaska, Connecticut, Iowa, Massachusetts, New Jersey and Rhode Island

@highlight

The group kicks off Monday with a series of panels

@highlight

Lieberman, Bayh and Crist will also take part

@highlight

The group wants leaders to set aside political labels to fix problems

@highlight

Group expects participation from all 50 states