(CNN) -- If you discovered water that could be millions or billions of years old, would you taste it?

Barbara Sherwood Lollar does it all the time. She's a geologist in the department of Earth Sciences at the University of Toronto, and collaborated with other researchers on analyzing water found in a Canadian mine in Timmins, Ontario. They published the findings in the journal Nature in May, showing that the water is between 1.5 and 2.6 billion years old -- meaning it has been totally isolated for that long.

Lollar dipped the tip of her finger in this water and tested it with her tongue. She found the ancient sample "very salty and bitter -- much saltier than seawater."

But while this may sound horrifying, geologists often use their own senses in sampling, she said. It's not just for fun: They're working in dark environments with multiple fractures of water, and they know the waters they want to analyze further are the saltiest, as they're likely to be the oldest.

"If you're a geologist who works with rocks, you've probably licked a lot of rocks," she said.

Ancient water found in Canadian mine

It takes more than a taste test to figure out how old water is, however.

"We can get a sense of antiquity by looking at things like salinity of the water, and more particularly, looking at oxygen and hydrogen in the water molecule itself," she said.

Scientists looked at the amounts of noble gases in the water -- helium is one, for example -- and which isotopes were present. These are signatures of the approximate age of water.

This research has implications for what life may exist on other planets.

"Equally on somewhere like Mars, any life that formed could have found its way into similar pockets of water in the Martian crust, and our work shows that these pockets of water can survive and provide a place for the life to have survived long after the surface of Mars lost its water and became sterile," said Chris Ballentine, professor of geochemistry at the University of Manchester in the United Kingdom and senior author on the study, said in an e-mail.

Miners have known about the presence of deep salty waters for some time in Canada, Finland and South Africa. Mining literature even mentions it in the 1880s -- but it flew under the radar of scientists until recently.

At a different Canadian mine, Lollar and colleagues went to investigate these waters. They discovered that the chemistry was similar to the kinds of waters found in hydrothermal vents at the bottom of the ocean. They also saw that the high salinity of these waters was a result of the chemical reactions going on between the rocks and the water.

"This results in water that's full of the kind of energy that can support life," she said.

In a South African gold mine, Lollar and colleagues found microbial communities at 1.7 miles deep, living off of dissolved hydrogen in these waters. The waters themselves on the order of tens of millions of years old.

That work inspired them to return to Canada, to the Timmins mine, because they theorized that even older waters might flow there, based on the age and geology of the rocks.

Down in the mine, it's "dark, dusty, very noisy and hot," Ballentine said.

The ancient water found there is a natural phenomenon; it's not there because of the mines.

"It's just that the mines allow us to get down there and get at them," Lollar said. "They're our equivalent of the deep sea submarines."

The waters themselves are flowing, bubbling out of fractures in the rock, or boreholes that intersect with the fractures.

The next step is to estimate the age of other deep waters all over the planet, so that they can compare and contrast what they may find in terms of life that lives far underground in these packets of water. They are still in the process of looking for life in the samples from the Timmins mine; working up this data is "painstaking work," she said.

Ballentine said the water is not drinkable, but admitted, "the water is crystal clear when it first comes out of the rock and looks very tempting."

Lollar is quick to deny full-on drinking these ancient waters -- she's literally just talking about putting the tip of her finger to the tip of her tongue.

"It's scientifically too valuable to waste like that," she said.

See also: Ancient Tennessee cave paintings show deep thinking by Natives

Follow Elizabeth Landau on Twitter at @lizlandau and for more science news follow @CNNLightYears

@highlight

Barbara Sherwood Lollar is a geologist studying ancient water in mines

@highlight

Water that she and her colleagues analyzed may be 2.6 billion years old

@highlight

They are investigating the possibility that the water hosts microbial life