(CNN) -- Although many people think of a heart attack as a painful, sometimes fatal event, there are some heart attacks that go entirely unnoticed.

Some people may have had heart attacks without knowing it, studies show.

Undiagnosed, or "silent," heart attacks affect nearly 200,000 people in the United States annually. As many as 40 to 60 percent of all heart attacks are unrecognized, studies show.

By definition, a heart attack usually happens when a clot gets in the way of blood flow from a coronary artery to the heart. This may cause symptoms such as severe chest pain, shortness of breath, fainting and nausea. Anyone who believes that he or she is having a heart attack should seek emergency medical attention.

But sometimes a heart attack is not painful, or the person experiencing it does not recognize the symptoms as heart-related, so he or she does not go to a hospital for treatment.

Cardiologists have only recently become attuned to the prevalence of these silent heart attacks, and research on treatment is limited. The risk factors for silent heart attacks are the same as for regular heart attacks, experts say, and include smoking, diabetes, stress and family history.  Watch CNN Health Files: Heart attacks »

A new study from Duke University Medical Center shows that these silent heart attacks may occur more frequently than physicians thought.

Even if a heart attack occurred in the distant past, it may still leave a signature called a Q-wave on an electrocardiogram. But there are silent heart attacks that do not have associated Q-waves.

Researchers used a relatively new technique called delayed-enhancement cardiovascular magnetic resonance and then followed up with patients after about two years. The study was done on 185 patients who had never had a diagnosed heart attack but were suspected of having coronary artery disease.

The researchers found that 35 percent of patients had evidence of a heart attack and that silent heart attacks without Q-waves were three times more common than those that had Q-waves.

Patients with non-Q-wave silent heart attacks also had 11 times higher risk of death from any cause and a 17-fold risk of death from heart problems compared with patients without any heart damage.

But experts do not recommend that people generally be screened for silent heart attacks unless they have other heart-related problems.

"Currently, there has not been a study that has demonstrated that early identification and therapy changes how patients with unrecognized heart attacks do in the future," said Dr. Han Kim, a cardiologist at Duke University and lead author of the study. "If you don't know when an actual event occurred, it becomes difficult to prescribe therapy."

Although the study was done on a relatively small sample of people at risk of coronary artery disease, meaning the results may not apply to the general population, other cardiologists say the study has merit in adding to the knowledge of silent heart attacks.

"Ultimately, we're going to need trials to really establish what treatment works and what doesn't," said Dr. Eric Schelbert, a cardiologist at the University of Pittsburgh School of Medicine who was not involved in the study.

Treatment for someone who has had a silent heart attack is usually the same for someone who came to the hospital immediately after a heart attack, Kim said.

This may include beta blockers, statin drugs, aspirin or other medications, Schelbert said.

Schelbert said he has seen plenty of patients who have had silent heart attacks; in fact, he has treated some of his own colleagues who have experienced them.

"It's an incredibly important thing that the physician scientist community needs to explore further," he said.

Researchers noted that patients with non-Q-wave silent heart attacks were also generally older and were more likely to have diabetes. There needs to be more of a focus on prevention among these risk groups, said Dr. David Wiener, a cardiologist at the Thomas Jefferson University Hospital in Philadelphia, Pennsylvania, who was not involved in the study.

@highlight

Silent heart attacks affect nearly 200,000 people in the United States annually

@highlight

Researchers studied 185 people at risk of coronary artery disease

@highlight

Treatment for "silent" heart attacks is similar to that for regular attacks

@highlight

More research is necessary to determine whether screening is useful