(CNN) -- Hillary Clinton's book tour resembled the roll out of a new brand, and from my standpoint as a marketer, it looked like a big one handled badly. If, as many suspect, she is running for president in 2016, she blew the perfect opportunity to present herself as the new Hillary Clinton.

In her launch moment, she proved to be so inwardly focused on herself, she missed giving people the emotional release they've been waiting for: to see what's new with her and to be excited about the possibility of her being in the field again as a candidate.

Two cases in point; her statement to Diane Sawyer that the Clintons were "dead broke" upon leaving the White House and her interview with The Guardian suggesting that voters won't see her as part of the inequality problem and will gladly accept the Clintons' net worth of $100M+ because they pay "ordinary income taxes." This may just be too tone deaf and move her dangerously close to the edge of voter exasperation.

Clinton's big miss is that what could have been a moon shot moment for her brand (that's why they're called "launches" and why advertisers spend millions on the Super Bowl) may fizzle into HRC fatigue. She is amazingly qualified but risks being a brand failure.

There are several other indicators of a launch gone awry. Book sales in the first week were only one sixth of what they were for her earlier, and very successful, memoir.

Commentators from across the spectrum have criticized her public appearances.

A Quinnipiac poll released Monday seems to show Clinton's lead over Christie drooping in Iowa. Today, her husband Bill Clinton even had to step in on her behalf, defending his wife's response to a query about their wealth. But he had to acknowledge the missteps, noting hers was "not the most adept answer to a question."

Evidence that this book tour needed to relaunch Clinton can be found in a recent WSJ/NBC survey: 55% people rate her as competent, but 60% don't see her as likable and 62% don't regard her as trustworthy. That's a perceptual trend among voters that hasn't changed much since 2008. The book tour should have been planned to replace the old news about Hillary, with new, inspiring ways to imagine she could lead.

By contrast, one of the most successful impresarios of product launches, Steve Jobs, built them into spectacles. He protected the run-up to an announcement like a classified national security secret and then unleashed the event with maximum impact to create brand momentum for Apple over time. Every launch was a new reason to be loyal to Apple, an even better argument for me to be in love.

She, instead, leaves us frustrated with important questions unanswered: Will she or won't she run? Does she have the fire? Does she have a vision for her candidacy? Why is she doing the tour now, so far ahead of 2016? How has she changed? Does she know that people often can't get underneath her thick crust? Who is she, anyway?

We watch her still back on her heels after all these years. It's not just the trust and likability issues. It's also calling out the woman-under-scrutiny card with Diane Sawyer: "You know you're being judged," she said. Well, some say, of course you're being judged, that's the point of all this!

It is Clinton's inward focus that keeps her from connecting and understanding the world in terms other than hers: Clinton has always been about her. Her accomplishments, her slights, her victories. She has always had a hard time connecting her "her-ness" to us. That makes it very hard for her to establish why she's relevant to our lives. She seems to refuse to deal with what voters most want to know: What's in it for me?

Maybe voters today like more the idea of what Clinton represents, the first women presidential contender, than who she actually is. And her inability to connect with people could create an opening for someone else to come in and steal her thunder as the first woman presidential contender. Elizabeth Warren, anyone?

Harvard professor and researcher Amy J.C. Cuddy finds that leaders influence and persuade best when they connect to people first with warmth, followed with competency. Clinton doesn't fit into this paradigm at all: She leads with competency and, according to polls like the WSJ/NBC survey, displays little apparent warmth.

Successful launches are all about timing and sustained impact. Clinton should have kept the book tour bottled up until she was ready to declare for president because, down the road, we won't believe again that she's coming out to us as new.

Consumers -- and competitors -- stick to this pattern and rarely give a brand in business a second chance to be new. A notable exception is Apple, which was veering dangerously close to bankruptcy in 1997, its stock at a low of $6. In 2012, Apple's stock price was over $700 (before a recent 7-for-1 stock split) and the company was stronger than ever, standing on the shoulders of many successful launches for the brand over the course of 15 years.

There are examples of companies that have made old brands successful after numerous attempts that didn't succeed (Old Spice, J. Crew, Burberry, Harley-Davidson, Walmart, UPS). But it's hard to find a successful brand that came back after a really bad roll out, proving the point that if you blow it as a brand in a big product launch, you're really at risk.

As a brand, Clinton will always be a rational purchase for voters, not an emotional one. Like a functional Buick that gets you through the snow, is good on gas and always runs, Clinton's brand has real value. But as she learned in 2008, you have to explain to your friends why a functional Buick is better than a glamorous Porsche.

The good news for Clinton is that politics, unlike business, can be forgiving. After all, she is married to The Comeback Kid. Even so, she has paid a price for the roll out: She seems less inevitable than two weeks ago.

@highlight

Martha Pease: Hillary Clinton's book rollout has been criticized

@highlight

She says it was an opportunity for her to redefine her image, connect with people

@highlight

Pease says Clinton's comments on wealth came across as tone deaf

@highlight

She says Hillary has to show that it's not about her but about what she could offer voters