Dozens of people have been killed and thousands of homes burned to the ground in Myanmar's volatile Rakhine state in recent days, amid an upsurge in violence between Buddhists and Rohingya Muslims that prompted the government to declare a state of emergency.

CNN looks at the background to the ongoing communal violence in the Southeast Asian country.

What's behind the unrest?

Overnight curfews in several towns and villages across the region have been in place since May, when the arrest of three Muslim men suspected of raping and killing a Buddhist woman sparked deadly clashes between the Rohingya and Rakhine Buddhists. Two of the men have since been sentenced to death, while the third hanged himself while in detention, the government-run newspaper New Light of Myanmar reported on its website.

The following month, 10 Muslims were killed when several hundred people attacked a bus in the state's Taungup district, reportedly believing some of the passengers were involved in the murder.

The violence then spread across the northern part of the state, resulting in the destruction of thousands of homes and the deaths of almost 100 people, according to the government. A state of emergency in Rakhine was declared, with the military deployed to help restore order.

The United Nations Office for the Coordination of Humanitarian Affairs (OCHA) in Myanmar estimates that around 75,000 Rohingya have been displaced by the unrest.

The simmering tensions between the two ethnic groups erupted again this week in several towns across the state, despite the curfew, with reports that at least 50 people had died and hundreds of homes burned to the ground, according to state officials.

Opinion: Aung San Suu Kyi and the power of unity

Who are the Rohingya?

The Rohingya are a stateless Muslim minority living in Rakhine -- thought to number between 800,000 and one million -- who claim they were persecuted by Myanmar's military during its decades of authoritarian rule.

Myanmar does not recognize them as citizens or one of the 135 recognized ethnic groups living in the country.

Much of this is rooted in their heritage in East Bengal, now called Bangladesh. Though many Rohingya have only known life in Myanmar, they are viewed by Rakhine's estimated three million Buddhists as intruders from across the border.

According to Human Rights Watch, the country's laws discriminate against the Rohingya, infringing on their rights to freedom of movement, education, and employment. They are denied land and property rights and ownership. The land on which they live can be taken away at any given time.

HRW has also accused security forces of opening fire on the Rohingya population during the recent wave of violence -- an accusation denied by the government.

What are the authorities doing?

In August, Myanmar's president, Thein Sein, announced that an internal commission, including representatives from different political parties and religious organizations, had been formed to investigate the recent sectarian violence -- a move welcomed by United Nations Secretary-General Ban Ki-moon.

"This commission is comprised of a representative cross-section of national figures in the country," Ban said in a statement. "It could make important contributions to restoring peace and harmony in the state and in creating a conducive environment for a more inclusive way forward to tackle the underlying causes of the violence, including the condition of the Muslim communities in Rakhine."

President Sein discussed the situation with Ban during the U.N. General Assembly in New York in September, pledging to "address the root causes of the tensions," according to a U.N. spokesman.

The move followed Sein's warning in June that the ongoing ethnic strife could harm Myanmar's development and stability as it continues its rehabilitation as a fledgling democracy.

What is the world saying?

Tomas Quintana, the U.N.'s human rights rapporteur for Myanmar, in August called for an independent investigation into allegations that authorities are using excessive force and committing other human rights violations while trying to restore order in Rakhine state.

Quintana said such an investigation was needed to guarantee accountability.

"Reconciliation will not be possible without this, and exaggerations and distortions will fill the vacuum to further fuel distrust and tensions between communities," he said.

Thousands of Rohingya have attempted to flee the unrest, with neighboring Bangladesh the main destination. But many have been turned away by the authorities.

Bangladesh has reinforced its border, amassing troops and security officials along the River Naf, which provides a natural boundary between the two countries, where rickety fishing boats filled with refugees attempt to cross over.

In June, Bangladeshi Foreign Minister Dipu Moni said her country was not willing to give shelter to anymore refugees, despite international calls to open its borders. "We're already burdened with thousands of Rohingya refugees staying in Bangladesh and we don't want anymore," she said.

Human Rights Watch says tens of thousands of Rohingya refugees are currently staying in makeshift camps in Bangladesh, with many living in conditions that seasoned aid workers have described as "the worst they have ever seen."

According to the rights group, the inhabitants face overcrowding, shortages of food leading to widespread malnourishment among the children, a lack of clean water and sanitation resulting in disease, and restrictions on movement coupled with extortion and human rights abuses.

@highlight

Rohingya are a stateless Muslim minority living in Myanmar's Rakhine state

@highlight

They have clashed frequently with the western state's Buddhist population

@highlight

Dozens killed and thousands of homes burned down in recent violence

@highlight

Myanmar's president pledged to address the issue during recent U.N. visit