(CNN) -- For a recovering addict, reveling at a party or having pills in your room can be seen as a sign you are in control, having successfully defeated your demons -- or just as likely, experts say, a sign of weakness that could lead to a dangerous, if not deadly, outcome.

On any given day, an estimated 23.5 million Americans need help to overcome chronic substance abuse, according to the Substance Abuse and Mental Health Administration.

By her own admission, Whitney Houston once was one of them -- until her still unexplained death last Saturday in her Beverly Hills, California, hotel room.

Funeral for Whitney Houston set for Saturday

She had admitted in the past having done marijuana and cocaine, spoke about her mother staging an intervention for her and made several trips to rehab. Yet more recently, many of her friends contended that Houston's spirits, and her health, seemed good.

Authorities have not yet ruled on why the iconic singer died. The Los Angeles County coroner's office has downplayed the suspicion that drugs played a major role.

Assistant Chief Coroner Ed Winter said Monday that "not many prescription bottles" were found in the singer's Beverly Hilton hotel room after her death. The amount of medications recovered by investigators was less than usually present in deaths attributed to overdoses, Winter said.

Singer Kelly Price told CNN that "Whitney was partying, she was happy ... maybe a little tipsy because she had champagne" at an event two nights before she died.

Mixing pills and drinking can be a "bad, bad combo," former musician, admitted junkie and now addiction specialist Bob Forrest said.

Whether or not substance abuse had anything to do with the songstress's death, her well-chronicled struggles with drugs are a part of her story, just as they were a part of her life.

LZ Granderson: Death sad, but no shock

What is addiction, what it can do to people, and what can be done about it?

The good news, say experts, is that addicts can get better.

To do so, one critical element is having self-awareness -- understanding the roots of one's problems, and often pain, plus knowing what environmental or personal triggers might set off a relapse. Another is control, by being strong enough to resist temptations and to accept one's vulnerabilities. And a third factor is vigilance, given that addiction is a relentless and unforgiving condition, for which any slip-up can be potentially fatal.

"It is incurable, but it's treatable," said William Cope Moyers, a vice president of the Minnesota-based Hazelden treatment center. "(But) recovery is only possible if the addict or alcoholic is part of the solution."

Having himself gone to rehab four times in one five-year stretch, Moyers -- a former journalist who worked at CNN in the early 1990s -- stressed that for a Whitney Houston or other recovering addict, willpower alone does not work. Nor is recovery as simple as deciding, from here on out, to say no to drugs or alcohol. He also disputes the notion that addiction "is a reflection of a bad upbringing ... or a lack of faith."

Reverend: The Whitney I knew

Yet an addict must believe he has a problem. While it is more straightforward to tell a patient that a tumor is malignant, a doctor is often more hard-pressed to tell someone they have a serious addiction -- even though it can be deadly, like cancer -- said Dr. Morteza Khaleghi, founder of the Creative Care Malibu center.

And rarely is that first step the last one, addiction-recovery experts say. Relapses, and repeated visits to rehab centers and treatment programs, are common for addicts before it sinks in how grave their problems are and what they can do about them -- unless the addiction kills them first.

Houston herself admitted in a 2009 interview with Oprah Winfrey that she once "did (her) 30 days" in one rehab facility, got out, and yet her drug use continued.

She said she was finally convinced to get serious about her recovery when her mother, renowned gospel singer Cissy Houston, came to her door with a sheriff and a "court injunction," saying, "You do it my way or we're not going to do this at all."

Whitney Houston: A mother, a daughter, a friend

Aside from any physical challenges, overcoming addiction is hard work mentally and emotionally. And if you let down your guard, warns interventionist and "How to Help the One You Love" author Brad Lamm, it can come back with a vengeance -- as bad, if not worse, than before.

That's why specialists say it is so imperative that an addict know what places, situations, smells are more likely to set him or her back.

They generally recommend that those who have been hooked before -- on whatever substance -- avoid situations like a raging party or raucous club scene, as well as that they take pains to limit their exposure to prescription drugs or alcohol.

"Relapse is just around the corner, but it's your responsibility as a recovering person to know all your trigger points," said Khaleghi.

The Creative Care executive director, for one, says that relinquishing some control and admitting your limitations -- including what you can handle and cannot, at least without help -- is critical to success.

Singer Kim Burrell said about her good friend that Houston was "strong" and "smart as a whip," yet hesitant to let anyone else make decisions for her.

"She was her own woman, she made her own choices, and she was adamant about that," said Burrell.

It is inevitable, and in many ways essential, that addicts at some point draw up their own boundaries. Experts say it is not necessary or logical for them to carry on feeling like they are trapped in a bubble, adding it is important that they eventually take ownership of their lives and their problems.

Still, for those with an addictive history, making those decisions comes with great risk.

"Each person gets to decide what their own baseline is," said Lamm. "And it changes for different people, at different times. But it's really a slippery slope, especially if you start taking any drug (including alcohol) again."

@highlight

Before her death, Whitney Houston had a history of substance abuse issues

@highlight

An interventionist calls her partying and pills found in her room "a bad, bad combo"

@highlight

One expert calls drug and alcohol addiction "incurable, but ... treatable"

@highlight

Recognizing, and avoiding, situations that might trigger a relapse is important