Tokyo (CNN) -- Japan's prime minister vowed to wind down the month-long crisis at the Fukushima Daiichi power plant "at all costs" Tuesday after his government officially designated the situation there a Chernobyl-level nuclear accident.

Prime Minister Naoto Kan said he wants the plant's owner, the Tokyo Electric Power Company, to produce a timetable for bringing the disaster to an end, "and they will be doing that soon." And a day after his government warned that thousands more people would need to be evacuated from the surrounding region, he pledged to provide jobs, housing and education for those uprooted by the accident.

Japanese leader invokes WWII to urge quake recovery

"The government will not forsake the people who are suffering because of the nuclear accident," Kan told reporters in a Tuesday evening news conference.

Japan declared the Fukushima Daiichi crisis a Level 7 event on the international system for rating nuclear accidents Tuesday, putting it on par with the 1986 Chernobyl disaster in the former Soviet Union. The top-scale designation was based on the massive release of radioactivity since the accident began, particularly in its early days, and classifies Fukushima Daiichi a "major accident" requiring long-term countermeasures.

"At all costs, all the reactors and the spent nuclear fuel pools must be brought under control so that we can prevent a further expansion of the damage," Kan said.

Tetsunari Iida, a former nuclear engineer-turned-industry critic, told CNN the declaration has no immediate practical impact on the crisis. But it's a sign that Japanese regulators have rethought their earlier assessments of the disaster, said Iida, who now runs an alternative energy think-tank in Tokyo.

Analysis: Fukushima and the 'nuclear renaissance' that wasn't

Tokyo Electric's president, Masataka Shimizu, issued a new apology for the disaster and the "enormous anxiety" it has caused after the Level 7 designation Tuesday.

"We would like to stabilize the situation as soon as possible, and we are working on the measures and steps to cool the reactors and prevent the spread of nuclear substances," he said. "While continuing to ask for the support and cooperation of the government, the ministries, and the municipalities, we would like to maintain close communication with them, and we will make the utmost effort to bring the situation to an end."

Scientists believe the amount of radiation released is only a tenth of what was released at Chernobyl, said Hidehiko Nishiyama, the chief spokesman for Japan's Nuclear and Industrial Safety Agency. But the levels for radioactive iodine and cesium that have been spewed into the air, water and soil around the plant are in the thousands of trillions of bequerels -- 15 times higher than the threshold for a top-scale event, according to figures released by the safety agency Tuesday morning.

The crisis began with the March 11 earthquake and tsunami that devastated northern Japan. The tsunami knocked out the plant's cooling systems, leaving operators with no way to keep the three operational reactors from overheating after they shut down.

Interactive explainer: Japan's nuclear concerns

Engineers are now pumping hundreds of tons of water a day into the damaged reactors to keep them cool, but Tokyo Electric said long-term solutions must wait until it can get the highly contaminated water out of the basements of the units' turbine plants. In addition, more water is being poured into pools housing spent but still-potent fuel rods in units 1-3 as well as unit 4, which had no fuel in the reactor at the time of the quake.

The work has been complicated over the past five days by a series of powerful aftershocks that have forced workers to clear out of the units and seek shelter.

Monday, Japan ordered new evacuations for towns around the plant, including some outside the 20- and 30-km danger zones drawn in the early days of the accident, and warned others to stand by. But after Tuesday's declaration, both Nishiyama and Chief Cabinet Secretary Yukio Edano tried to draw distinctions between their crisis and Chernobyl.

"What's different here from the Chernobyl accident is that we have not yet seen a direct impact on the health of the people as a result of the nuclear accident," said Edano, the Japanese government's leading spokesman on the crisis. "The accident itself is big, but we will make, as our first priority, our utmost effort to avoid any health impact on the people."

And Nishiyama said that unlike the Chernobyl disaster, the reactors inside the badly damaged buildings at Fukushima Daiichi remain largely intact, "although there are some leaks being seen."

"In the case of Chernobyl, the radioactive material release made it very difficult to enter the facility itself," he said. "It had to be left alone for a very long time by itself. But it in the Fukushima Daiichi case, day and night, workers are there trying to salvage the situation."

Thomas Breuer, a researcher for the anti-nuclear group Greenpeace, told CNN that Japanese authorities were "too slow" to respond to the crisis at first -- but they have stepped up their efforts in recent days due to pressure from local officials, outside critics and their own people. Now, he said, they have to step up their plans to evacuate towns that have been dusted with large quantities of longer-lived radioactive particles.

Japan marks 1 month since deadly quake, tsunami

"There are still a lot of measures to be done, but they have to do it now," said Breuer, who has studied the aftereffects of Chernobyl.

Breuer said Greenpeace, which called for evacuations in towns outside the 30-km radius in late March, believes the accident will end up being "worse than Chernobyl" because it has occurred in a more densely populated area.

Evacuation orders have so far covered about 85,000 people inside the 20-kilometer (12.4-mile) zone, while another 62,000 within 30 kilometers have been told to stay inside, Fukushima prefecture officials told CNN. Japan's government said it had no estimate of the number of people who would be covered by the new directives.

Nishiyama said Tuesday's designation was made "provisionally," and that a final level won't be set until the disaster is over and a more detailed investigation has been conducted. The previous event level of 5, equal to the 1979 accident at Three Mile Island in Pennsylvania, was also a provisional designation.

Three Mile Island involved a partial meltdown of the radioactive core of one reactor, with only a limited release of radioactivity, according to the U.S. Nuclear Regulatory Commission.

At Chernobyl, an explosion and fire at a nuclear power plant resulted in the permanent evacuation of a 30-km radius around the plant. There were 32 deaths among plant workers and firefighters, mostly due to radiation exposure, and the International Atomic Energy Agency estimates another 4,000 will or have died of related cancers.

CNN's Kyung Lah, Whitney Hurst and Junko Ogura contributed to this report.

@highlight

NEW: Japan's prime minister vows to end the crisis "at all costs"

@highlight

NEW: Tokyo Electric's president issues a new apology for the disaster

@highlight

The government needs to start evacuations now, a Greenpeace researcher says

@highlight

The Level 7 designation puts Fukushima Daiichi on par with Chernobyl