(CNN)Several terror attacks. Deadly counterterrorism raids. And a wave of suspected jihadist arrests from France to Greece to Belgium.

European Union officials are scrambling to stop the spread of terrorism and threats, with foreign ministers meeting Monday in Brussels, Belgium, to tackle the issue.

"We start with obviously a discussion on how to counter terrorism, not only in Europe but also in other parts of the world," said Federica Mogherini, EU high representative for foreign affairs.

She said she had just met with Arab League Secretary-General Nabil el-Araby "as the threat is not only the one we faced in Paris, but also spreading in many other parts of the world starting from Muslim countries.

"And we need to strengthen our way of cooperating together, first of all with Arab countries, and then internally."

With new developments sprouting up across Europe, here are the latest:

• The hunt is still on for the ringleader behind a terrorist cell targeted in raids last week, Belgium's justice minister said. The suspected leader and key link between senior ISIS operatives in Syria and the Belgian terrorist cell, Belgian-Moroccan ISIS fighter Abelhamid Abaaoud, is still at large, a senior Belgian counterterrorism official said. Abaaoud's last known location was believed to be Greece, the official said.

• An Algerian national who may have links to Abaaoud was arrested over the weekend in Greece and is being extradited to Belgium.

• The man detained by Belgian police after last week's raid has been identified. His attorney says he isn't a terrorist; he was just delivering shoes to a friend when he was caught in the wrong place at the wrong time. But investigators believe the man played a key role in the terrorist cell's plot, the Belgian counterterrorism official said.

• Investigators are looking for a man whose DNA was found on a gun magazine used by Amedy Coulibaly, who killed four hostages at a kosher supermarket in Paris.

• Sales of counterfeit goods by Charlie Hebdo attacker Cherif Kouachi helped fund the purchase of weapons, a source familiar with the ongoing investigation in France told CNN.

Five Belgian nationals have been charged with participation in a terrorist organization in connection with last week's raid in Verviers, federal prosecutor Eric Van Der Sypt said. The terror cell planned to target police officers, he said.

Belgian counterterrorism agencies think the suspected ringleader of the cell is likely Abaaoud, the senior Belgian counterterrorism official said.

According to Guy Van Vlierden, a reporter at the Belgian newspaper HLN who tracks Belgian foreign fighters in Syria for the blog "emmejihad," Abaaoud is a 27-year-old from the Molenbeek district of Brussels who traveled to Syria in January 2014 and joined ISIS soon afterward.

The two gunmen killed in the Verviers raid, Belgians of North African descent from the same Brussels district, were in phone contact with an ISIS ringleader in Greece, who Belgian authorities believe was likely Abaaoud.

But Belgian authorities have not ruled out the possibility that an Algerian suspect arrested in Greece over the weekend was the key link between the terror cell and ISIS.

That 33-year-old suspect was wanted in Belgium on charges of terrorist activity, Greek police said Monday. Belgium is requesting an extradition.

And Greece isn't done yet; police there say they have made multiple arrests and are looking for more suspects.

Other countries are also helping Belgium nab suspected jihadists.

French authorities captured two suspects as they were trying to cross from France into Italy, Van Der Sypt said.

Four days after police raided a suspected terror cell in Verviers, Belgium, killing two people who authorities said were part of a terrorist cell on the brink of a major attack, we now know the name of the surviving suspect.

Marouane El Bali was taken into custody and faces charges of participation in a terrorist organization and possession of explosives with intent to commit a criminal attack, among other charges, said his attorney, Didier De Quévy.

But De Quévy said his client was not involved in any terrorism.

"He went to Verviers to see his fiancée and was dropping off a pair of sneakers,"  De Quévy said. "He did not know that these guys were connected to international terrorism. He arrived, he sat down and, the moment he sat down, the policemen starting shooting. He managed to escape by jumping out the window. The other two, however, took their guns and responded and got killed."

Authorities say it wasn't just a case of being in the wrong place at the wrong time.

Investigators believe El Bali played a key role in the terrorist cell's plot and was a key intermediary between two dead gunmen and a wider network in Brussels, the senior Belgian counterterrorism official said. El Bali is also believed to have fought with ISIS in Syria at some point.

There are still concerns that part of the terror cell remains  at large in Belgium, and could take revenge for the death of their comrades, the senior counterterrorism official said.

Belgian security services suspect around 10 people were involved in the cell, but they don't know the number for sure and that worries them.

Belgian counterterrorism officials believe the cell had ambitious attack plans beyond attacking police, given bomb-making chemicals found in their safe house in Verviers and police uniforms. They also suspect terrorists were plotting multiple attacks. The belief is that the cell has now been disrupted and will take some time to get back on its feet.

The wider cell was being monitored for less than two months. Over the last several weeks, Belgian security services started monitoring the Verviers group 24/7.

Why did police move in last week? One reason, the official said, is that the cell obtained weapons and Belgian police could not continue round-the-clock surveillance indefinitely.

Investigators say DNA found in a car used to transport Jewish market attack gunman Coulibaly has been traced to a man who is already in custody in connection with the attacks, according to a source familiar with the ongoing investigation.

Investigators are still looking for a person whose DNA was found on a magazine for Coulibaly's gun.

Coulibaly is the gunman who killed four hostages on January 9 at a kosher grocery store in Paris before police killed him. Before the siege, he had proclaimed his allegiance to the Islamic State in Iraq and Syria, or ISIS.

The assault happened during three days of terror in France that began with the attack on offices of the Charlie Hebdo satirical newspaper in Paris. In all, 12 people died in the Charlie Hebdo attack on January 7.

Al Qaeda in the Arabian Peninsula, al Qaeda's Yemen affiliate, claimed responsibility for the Charlie Hebdo shootings.

On Monday, CNN affiliate BFMTV reported Charlie Hebdo cartoonist Laurent Sourisseau will succeed editor Stephane Charbonnier, who died in the attack.

Although French officials said they thought Cherif Kouachi had given up terror-related activities and moved to end surveillance on him after he began selling counterfeit goods, it turns out the proceeds from those sales were being used to buy weapons, a source familiar with the ongoing investigation in France told CNN.

That's just one of several missteps by intelligence agencies in France being revealed by the investigation into the attacks, the source said.

Other failings include a lack of communication and delays in circulating information, according to the source.

In one case, a French surveillance agency received an alert about one of the Kouachi brothers' phones in February 2014, but it took four months for information to be passed on to the country's main domestic spy agency, the source said. By then, neither brother was under surveillance, the source said.

The surveillance on Cherif Kouachi ended in November 2013; the surveillance on Said Kouachi, the older brother, ended in June, sources have told CNN.

Also, authorities now say they think both Said and Cherif Kouachi traveled to Yemen in 2011 via Oman, even though Cherif's passport had been confiscated in 2010. However, investigators have been unable to find either brother's name in travel databases, according to the source.

CNN's Phil Black, Ivan Watson and Catherine E. Shoichet contributed to this report.

@highlight

Official: The suspected ringleader behind the Belgian terror cell remains at large

@highlight

Source: Charlie Hebdo attacker sold counterfeit goods; proceeds were used for weapons

@highlight

Source: DNA found in car used to transport market gunman traced to a man in custody