(CNN) -- Friday's verdict came swiftly, the evidence robust, the policing stellar. But the legacy of the young woman who was killed can't just be five convictions and laws improved on paper -- it must be to end the violent culture of sexual entitlement that led to her death.

The death penalty will not stop assaults on women. Only two things can bring that change: certain justice, brought by nuts and bolts improvements to the criminal justice system, and mass public education.

A U.N. study this week uncovered this difficult truth -- one in four men surveyed in the Asia Pacific region admitted to raping a woman. Almost three-quarters of these men did it because they believed the woman didn't have the right to say no.

Unless this attitude of sexual entitlement is dissolved, the violence will go on, the police will continue to register a fraction of sexual assault complaints (encouraged by police commissioners who blamed increased rape on "promiscuity"), marital rape will continue to be legal, doctors will see no reason to stop using the "two finger test" (to show a woman is used to having sex -- a practice linked to lower convictions, easy sentences).

So, the good news is there is a way to do it, and we know it can work. Public education has proven to be effective when it is evidence-based, well-targeted and resourced. Success stories show that education campaigns can limit the misogyny and patriarchy that fuel attacks.

Huge education and awareness drives have slashed HIV infection rates in this country and across the world. Here in India, the "Bell Bajao" campaign reached more than 240 million people in five years -- its spread made possible by funding and support from the central government. Evaluations of the campaign found a three-fold jump in awareness of the law against domestic violence, the willingness to discuss domestic violence jumped by 70%, and the campaign helped stop domestic violence in many homes.

And India has shown it can conquer seemingly insurmountable problems -- take polio, for example. In 2009, this country still accounted for over half the world's polio cases, but after two years of intensified public education to overcome fear and perform widespread vaccinations, only one single case was reported in 2011.

Only the central government has the reach and resources to lead such a campaign. It needs to commit serious money to end this epidemic of violence. That means an investment of at least 50 rupees a year for every Indian citizen in a mass public education campaign -- to reach every corner of our country. Although this seems a lot, it's small when you consider the rewards, and much of this cost could be covered via partnerships with private media.

Second, the government must show that this campaign is here to stay: a full-scale media and outreach barrage should last at least four years, while education programs in schools and other grassroots education efforts should be permanently instituted. India's done it before, we are a country free from the scourge of polio and HIV was beaten back not only through drugs, but largely through mass awareness. Then, it was supported by the Ministry of Information and Broadcasting -- now it should be done for women's equality.

Third, the prime minister must establish a responsible body with the best brains and the power to oversee this project -- drawing from the advertising industry, the most powerful ambassadors from our film industries and cricket, and the most committed campaigners in government, the women's movement and other non-profits. To state the obvious, there is no dearth of talent in India to do this brilliantly, and such a high profile will make the campaign popular and visible, as well as accountable.

And finally, the government must establish goals and targets for the reduction of sexual harassment and assault, so that progress is carefully monitored and policies are adapted and improved based on results.

Only the government has the power to lead something this ambitious, because of the funding and scale such a project requires. In the past few months, thousands have been on the streets across the country and more than a million people have backed Avaaz's call for the Indian government to launch this public education campaign. Just this week, thousands have written directly to Minister of Communications Shri Milind Deora calling for fast action. There is a huge mandate for action.

The good news is that Shri Deora has already promised publicly -- in response to a question I put to him on a TV panel -- that he would back a public education campaign to help realize women's freedoms. It is time for him to put forward a timetable and a fully costed plan.

The trial that ended Friday brought some justice. But more than 24,000 women and children raped last year are struggling through a slow, often misogynist criminal justice system. Real justice will only be served though, when millions of women like that young therapist are able to work, play, loiter or go out for a walk alone in the middle of the night if they like, their freedoms intact.

The opinions expressed in this commentary are solely those of Karuna Nundy.

@highlight

The sentencing of the New Delhi gang rapists won't stop sexual violence, writes Karuna Nundy

@highlight

She says challenging attitudes of sexual entitlement among men will be key

@highlight

She is calling for a massive public education campaign to address the problem

@highlight

Mass public campaigns have had success in India tackling polio and HIV