(CNN)  -- My journey of faith began at age 11 when I began to study the Bible, inspired by Audrey Hepburn in "The Nun's Story" and enamored of Jeffrey Hunter in "King of Kings."

I yearned for the passion and devotion of faith, as expressed Hollywood-style, to deal with my isolation as a child of mixed ethnicity in a black and white world. I did not fit anywhere, and the path of faith seemed to offer the greatest sense of belonging.

My African-American father, a lifelong Methodist, and my Japanese mother, without a particular faith, insisted that my siblings and I attend church regularly -- even if they didn't. Because we were in the military, we were exposed to various religions: I explored Catholic and Protestant traditions, as well as Judaism. I had many questions and could not accept faith without understanding. Then, when I was 13, my mother's friend invited me to a Buddhist meeting.

My mother warned me not to join anything, but I was moved by the beauty of the chanting of "Namu Myoho Renge Kyo," known as the Odaimoku or sacred title of the Lotus Sutra. Naturally, because I was told not to, I joined. It was the beginning of a journey culminating in my ordination as a priest in the Nichiren Shu tradition.

Within the Nichiren Order, I am the first woman of Japanese and African descent, the only ordained Western woman and the first female priest in the Nichiren Order of North America.

Buddhism has been the mainstay of my life, enabling me to understand life's reality and providing a practice of faith to deal with that reality. I have learned to release the past and not give in to imagination or the future. Buddhism taught me that there is only now, the present moment.

Most people understand the law of cause and effect, or very simply "What goes around, comes around." When I asked the question "Why is this happening to me?" as I explored various faiths, I never received an answer that made sense. Buddhism taught me that my life is the result of causes made in the past and my future would be the result of causes made in the present.

The Lotus Sutra, which outlines the path of the bodhisattvas, or those who forgo their own enlightenment to assist others on the path, helped me see that I made the cause to come into this life to fulfill a mission. My personal struggles in life provided me the experience and knowledge to be a bridge for others to find liberation.

Buddhist practice around basic concepts has meant liberation from suffering discrimination, racism and even the loneliness of being the only one. Once I applied the concepts, I gained greater understanding that my suffering had purpose, and I could use that suffering to help others.

I understood the impermanence of suffering and that being attached to my suffering only created more.

My work within the prison system is a direct result of being able to see the Buddha nature within each person.

Five years ago, sangha members and I (three women of color) encountered a group of white male inmates, some of whom were white supremacists. All of us were quite surprised, but slowly we developed loving, compassionate relationships through which all of us were able to abandon our preconceptions about each other.

Today, our prison group contains people from African, Latino, Asian and European backgrounds, and our conversations touch on the issues of racism and prejudice as well as the development of faith. Society holds some people I've met in contempt and hatred; I have seen them grow and find value in themselves even as I grew to love each one of them.

Of the seven released since 2005, three are known to have continued in practice, and only one has re-offended.

The practice of Buddhism has much to offer communities of color; however, it may be difficult to find teachers and practitioners with the necessary experience. There is no national directory. We exist in myriad traditions and cities throughout the U.S. Ordination in many traditions is often difficult and expensive, and finding teachers willing and able to address issues relative to being African-American is sometimes impossible.

Yet, progress is being made as we create sanghas within communities of color and assume the roles of clergy and lay teachers. It is definitely time for practitioners of color to step up and make ourselves known. Our communities need us to be present now.

The opinions expressed in this commentary are solely those of Myokei Caine-Barrett.

@highlight

Lynda Caine-Barrett, of African and Japanese descent, was a spiritual seeker

@highlight

Caine-Barrett found Buddhism at 13 and is now priest in the Nichiren Shu tradition

@highlight

Buddhism is her mainstay, helping her understand the nature of reality and how to live

@highlight

People of color who are practitioners need to make themselves known, she writes