(CNN) -- Pollsters in Peru said Sunday that left-leaning Ollanta Humala looks poised to win the presidency, defeating rival Keiko Fujimori in a polarizing runoff election that pits the county's left and right against each other.

Early exit polls released as voting closed at 5 p.m. ET gave Humala as much as a 5-percentage-point lead over Fujimori, the daughter of a former president who's serving a 25-year sentence for human rights abuses.

Pollster CPI showed Humala with 52.5% of the vote and Fujimori with 47.5%. Ipsos Apoyo said Humala would win 52.6% of the ballots cast, while Fujimori would trail with 47.4%.

A watchdog election group later released a quick count of ballots, showing Humala would win with 51.5% of the vote, vs. Fujimori's 48.5%.

Official results are not expected until later Sunday.

Still, supporters of Humala celebrated in downtown Lima, cheering the early results, waving flags and hoisting banners. One read: "Ollanta, Presidente."

Peruvians went to the polls Sunday to pick their next president in a runoff election between two candidates with little in common.

Humala, 48, narrowly lost a 2006 election bid, in part because many saw him as a close ally of Venezuelan President Hugo Chavez, intent on turning the country to the left. That's a point his rival, 36-year-old Fujimori, a right-wing lawmaker, hammered on throughout her campaign.

At a closing rally last week in Paseo Colon, a historic avenue in the capital of Lima, Fujimori went on the offensive as she addressed a crowd of thousands.

"There are recordings and witnesses that prove that this gentleman is a good soldier of Chavez," she said to cheering crowds. "I am not going to allow other countries to interfere in the sovereignty of our country. I'm going to defend it!"

Humala, a former army officer linked to a 2000 military uprising, has tried to distance himself from such perceptions, swapping his trademark red T-shirts for suits this time around.

In a recent interview with CNN en Espanol, he denied his goal is a Chavez-style social revolution in Peru.

"When we speak about revolution, we're speaking about a revolution in education, which is something fundamental," Humala said. "We have to build our own future. We believe that the Venezuelan model doesn't apply in Peru."

Like her opponent, Fujimori was forced to answer uncomfortable questions about her past during this year's election. She is the daughter of former Peruvian President Alberto Fujimori, who is currently in prison on a 25-year sentence for human rights crimes.

Many Peruvians credit the elder Fujimori with defeating insurgencies that ravaged the South American nation for years and for enacting economic reforms that stabilized the Peruvian economy. However, he is also criticized for corruption, having an authoritarian streak and the widespread rights abuses that were committed under his watch.

During the campaign, protesters accused his daughter of planning to grant the former president amnesty if she wins, as she said she might do in a 2008 interview.

She has since backed away from those remarks.

Centrist candidates, including former President Alejandro Toledo, former Lima Mayor Luis Castaneda and former Finance Minister Pedro Pablo Kuczynski, cannibalized each others' votes during the first round of voting in April.

In that round, Humala garnered more than 30% of the vote, while Fujimori ended slightly above 23%. Under Peruvian law, only the top two contenders advance to a second round.

Peruvians are required by law to vote and some 20 million people were thought to have cast their ballots in Sunday's election.

After the elimination of the more centrist candidates in April, Peru's 2010 Nobel literary laureate Mario Vargas Llosa, a former presidential candidate himself, described the race as a choice between "terminal cancer and AIDS."

Andrea Stiglich, a member of the Economist Intelligence Unit team of Latin American analysts, said the election was a triumph of extremes.

"This election was meant to be the election of a centrist policy continuity candidate, and what we have is a first round that has yielded a result between two extremes in the left and the right," she said before the second-round vote.

Current Peruvian President Alan Garcia is not permitted to run for a consecutive term.

"I will get behind whoever wins," he said on Sunday, before voting closed. "The task (of running the country) is not easy and they (will) need everyone's support."

The new president will face many of the same challenges Garcia did: Persistent poverty, protests around the rights to natural resources and violence from remnants of a leftist insurgency that helped to make Peru the world's largest producer of coca, the raw ingredient of cocaine.

On the eve of the election, five soldiers were killed in an attack in the country's southern province of Cusco, state news said. They were reportedly on their way to provide local police with additional security for the election when they were ambushed.

CNN's Dana Ford contributed to this report.

@highlight

NEW: A quick count of ballots and exit polls put Ollanta Humala ahead

@highlight

NEW: Supporters of the former army officer rally in downtown Lima

@highlight

Centrist candidates cannibalized each other during the first round of voting