The debate about inequality just keeps heating up. At the end of the year, President Barack Obama called it "the defining challenge of our time." New York Mayor Bill de Blasio just promised a war for equality. Democrats across the country are thrilled at the prospect of raising  the minimum wage. The 50th anniversary of President Lyndon Johnson's Great Society speech seems to have riled everybody up. And on Tuesday, Democrats won a small potential victory on behalf of the jobless, squeaking past a procedural hurdle so the Senate can proceed with debate on a bill that would extend emergency unemployment benefits for three months.

But behind the headlines, the story is more complex. For one thing, we need to be clear what kind of inequality we care about. Do we want to close the gap between low and high earners, in which case a higher  minimum wage would help? Or is it between the employed and unemployed, where a higher minimum wage is irrelevant or possibly slight harmful -- but where unemployment benefits help a lot?

Or is the income inequality we are worried about the one between the poor and the middle class, or the one between the affluent and the really, really affluent -- that is, the top 1%

Most important of all, we need to be clearer about whether we are seeking greater equality of outcomes,  or greater equality of opportunity.

Obama reminded us that America has long stood as a nation that promotes equality of rights and opportunities, rather than outcomes. There are big gaps in the United States between rich and poor, mostly because the state is a much less enthusiastic redistributor of income than in other nations.

Inequality is a political choice, rather than an economic fact. Taking money from the successful to help the struggling is close to an un-American idea.

But as Obama noted, American tolerance of inequality has historically rested upon an assumption of shared opportunity. The trouble is, America is now not very equal in terms of opportunity, either.

Scholars are wrestling with the question of how income inequality and intergenerational mobility are related to each other. Intuitively, it seems harder to climb a ladder when the rungs are farther apart. So inequality may cause immobility, in a relationship popularized by the economist Alan Krueger as a "Great Gatsby Curve." But it is not a straightforward relationship. For one thing,  there are some nations with similar rates of inequality to the United States, but much higher rates of mobility, such as Canada and Australia.

Meanwhile, in other nations with low rates of social mobility, such as Italy, greater government redistribution softens the blow. The children of the poor may end up poor, but their poverty is less biting than in the United States. And of course there are some countries that are both equal and enjoy mobility, such as those in Scandinavia.

Inequality and immobility are a toxic combination regardless. An unequal, immobile society will mutate into a stratified one with sharply separated classes, generation after generation.

In his speech, Obama stirred low mobility, low wages and high inequality together into a political goulash of "an economy that works for all Americans." That's fine for political positioning. But when it comes to policy, choices have to be made.

A higher minimum wage will raise incomes among low-income workers but will do little to reduce inequality, since the poorest don't work -- and the incomes of the top 1%, where the real inequality action is, will be unaffected.

If the goal is to address income inequality seriously, the solution is to tax the richest more and put that revenue into tax credits and welfare benefits. Doing so will even out incomes but will likely do little to alter the distribution of opportunities.

If we want to tackle intergenerational mobility, that money would be far better spent on parenting programs, pre-K schemes, higher salaries to lure talented teachers to tough schools, greater subsidies for smart, poor children going to college and tighter regulation of internships. None of which will influence short-run income inequality one jot.

Obama's rhetoric leaned more toward boosting social mobility. But his policy prescriptions tilted more toward addressing inequality and wage levels. Which does he really want? He might of course say both. But it's not realistic to imagine we can become Denmark. The real choice is to try and recover the notion of an open society in the American Dream, currently flourishing in Canada, or accept the slow ossification of the class divide and do a better job of compensating the poor for their increasingly inherited poverty.

If we give up on the hope of improving social mobility, the moral claims of European-style egalitarianism will become harder to resist. A large gap between rich and poor is one thing when there's plenty of movement between the two, but quite another when affluence and poverty are inherited.

There is a moral justification for a society with high inequality offset by high mobility, grounded in liberal ideas of freedom and fairness. And there is a moral justification for a society with low mobility, softened by low inequality, based on left-of-center egalitarian ideals. But there is no moral justification for a society with a large gap between rich and poor, and little movement between the two. That's the toxic combination we're suffering from right now.

@highlight

Richard V. Reeves: Inequality debate masks complex issue of inequality vs. social mobility

@highlight

Obama says Americans tolerated inequality as long as there was equal opportunity

@highlight

But Reeves says fixing social mobility involves different strategy than fixing inequality

@highlight

Reeves: Gap between rich and poor and little movement between the two is toxic