(CNN) -- She had many plans for the future: to go to college, start a career, meet the man of her dreams, raise a family -- when the time was right.

Expert: "There's a big disconnect between pregnancy rates and what Latina families want and value."

It was all cut off by an unexpected pregnancy. The baby became her life, consuming her energy and forcing her dreams to the back burner of her life.

She is 19 or younger and Latina, and has had her first baby.

It's not what she wanted. Nor did her parents, who are the greatest influence on her decisions about sex, according to a wide-ranging survey released Tuesday by experts on the Hispanic community in the United States.

The survey also found that 84 percent of Latino teens and 91 percent of Latino parents believe that graduating from college or university or having a promising career is the most important goal for a teen's future.

Somewhere along the way, the aspirations fail to match up to reality. The survey attempts to examine some of the reasons for the disparity and why Latinas now have the highest teen birth rate among all ethnic and racial groups in the United States.

"There's a big disconnect between pregnancy rates and what Latina families want and value," said Ruthie Flores, senior manager of the National Campaign's Latino Initiative.

According to the National Campaign to Prevent Teen and Unplanned Pregnancy, 53 percent of Latinas get pregnant in their teens, about twice the national average.

After a period of decline, the birth rate for U.S. teenagers 15 to 19 years rose in 2007 by about 1 percent, to 42.5 births per 1,000, according to preliminary data in a March 2009 report by the Centers for Disease Control and Prevention's National Center for Health Statistics.

In 2007, the birth rate among non-Hispanic whites ages 15 to 19 was 27.2 per 1,000, and 64.3 per 1,000 for non-Hispanic black teens in the same age range. The teen birth rate among Hispanic teens ages 15 to 19 was 81.7 per 1,000.

Of the 759 Latino teens surveyed, 49 percent said their parents most influenced their decisions about sex, compared with 14 percent who cited friends. Three percent cited religious leaders, 2 percent teachers and 2 percent the media.  Watch more on the survey results »

Three-quarters of Latino teens said their parents have talked to them about sex and relationships, but only half said their parents discussed contraception.

The survey also found that:

• 74 percent of Latino teens believe that parents send one message about sex to their sons and a different message altogether to their daughters, possibly related to the Latino value of machismo.

• Latino teens believe that the most common reason teens do not use contraception is that they are afraid their parents might find out.

• 72 percent of sexually experienced teens say they wish they had waited.

• 34 percent of Latino teens believe that being a teen parent would prevent them from reaching their goals, but 47 percent say being a teen parent would simply delay them from reaching their goals.

• 76 percent said it is important to be married before starting a family.

Flores said it is crucial to understand the beliefs and attitudes that influence teen behavior in order to reduce the high rates of Hispanic teen pregnancy. The survey, co-sponsored by the Hispanic advocacy group National Council of La Raza, was an attempt to to do just that.

She said that despite a rich culture and the growing influence of Hispanics in America, the Latino community disproportionately suffers from troubling social indicators.

Consider that fewer than six in 10 Latino adults in the United States have a high school diploma. Latino teens are more likely to drop out than their non-Hispanic counterparts, and of all the children living in poverty, 30 percent are Latino.

"Teen pregnancy is not an isolated issue," Flores said. "It's related to poverty, to dropout rates. That's going to have an impact on our national as a whole."

Flores said 69 percent of Latino teen moms drop out of high school, and the children of teen mothers are less likely to do well in school themselves and often repeat grades.

"That has a big economic impact," Flores said.

It's an impact that is sure to be noticed. The nation's 45 million Latinos constitute the largest minority group in the United States with a growth rate twice that of the general population.

That means by 2025, one-quarter of all American teens will be Latinos.

@highlight

53 percent of Latinas are pregnant by their 20th birthday, survey finds

@highlight

Survey: Most feel that college, career are key to their future

@highlight

Most teens in study believe that parents give conflicting messages