WASHINGTON (CNN)  -- Iran halted work toward a nuclear weapon under international scrutiny in 2003 and is unlikely to be able to produce enough enriched uranium for a bomb until 2010 to 2015, a U.S. intelligence report says.

A file satellite image shows Iranian nuclear facilities.

A declassified summary of the latest National Intelligence Estimate found with "high confidence" that the Islamic republic stopped an effort to develop nuclear weapons in the fall of 2003.

The estimate is less severe than a 2005 report that judged the Iranian leadership was "determined to develop nuclear weapons despite its international obligations and international pressure."

But the latest report says Iran -- which declared its ability to produce enriched uranium for a civilian energy program in 2006 -- could reverse that decision and eventually produce a nuclear weapon if it wanted to do so.

Enriched uranium at low concentrations can be used to fuel nuclear power plants, but much higher concentrations are needed to yield a nuclear explosion.

"We judge with moderate confidence that the earliest possible date Iran would be technically capable of producing enough highly enriched uranium for a weapon is late 2009, but that this is very unlikely," the report says. A more likely time frame for that production is between 2010 and 2015, it concludes.  Watch what new report says about Iran's nuclear ambitions »

Iran has insisted its nuclear program is strictly aimed at producing electricity, and the country has refused the U.N. Security Council's demand to halt its enrichment program.

Monday's report represents the consensus of U.S. intelligence agencies. It suggests that a combination of "threats of intensified international scrutiny and pressures, along with opportunities for Iran to achieve its security, prestige and goals for regional influence in other ways," could persuade the Iranian leadership to continue its suspension of nuclear weapons research.

Available intelligence suggests the Iranian leadership is guided "by a cost-benefit approach," not a headlong rush to develop a bomb, the report concludes.

U.S. National Security adviser Stephen Hadley expressed hope after Monday's announcement, but he said Iran remains a serious threat.

"We have good reason to continue to be concerned about Iran developing a nuclear weapon even after this most recent National Intelligence Estimate," he told reporters at the White House. "In the words of the NIE, quote, Iranian entities are continuing to develop a range of technical capabilities that could be applied to producing nuclear weapons if a decision is made to do so."

He said technology being developed for Iran's civilian nuclear power program could be used to enrich uranium for use in weapons, and that Iran is continuing to develop ballistic missiles.

Hadley said the intelligence community came to the new conclusions on Tuesday, based on information gathered over the past few months, and President Bush was briefed about them on Wednesday.

He said U.S. policy toward Iran has not changed because of the new report.

"If we want to avoid a situation where we either have to accept Iran ... with a path to a nuclear weapon, or the possibility of having to use force to stop it, with all the connotations of World War III -- then we need to step up the diplomacy, step up the pressure, to get Iran to stop their so-called civilian uranium enrichment program," he said. "That's our policy going forward -- no change."

Sen. John D. Rockefeller IV, chairman of the Senate Intelligence Committee, welcomed the news.

"The key judgments show that the intelligence community has learned its lessons from the Iraq debacle," the West Virginia Democrat said in a statement.  "It has issued judgments that break sharply with its own previous assessments, and they reflect a real difference from the views espoused by top administration officials.

"This demonstrates a new willingness to question assumptions internally, and a level of independence from political leadership that was lacking in the recent past."

Sen. Joe Biden, chairman of the Senate Foreign Relations Committee, said the fact that Iran was several years away from nuclear weapons capability meant "the international community has a significant window of opportunity in which to act to avoid the stark choice between going to war or accepting a nuclear Iran."

"But the Bush administration has long lacked a comprehensive strategy to take advantage of this window," the Delaware Democrat and Democratic presidential hopeful said in a statement.  "Instead of continuing its obsession with regime change and irresponsible talk of 'World War III,' we need a policy that focuses on conduct change."

The International Atomic Energy Agency, the U.N. nuclear watchdog, has reported that Iran is cooperating with inspectors by providing access to declared nuclear material, documents and facilities. However, the agency also said Iran is withholding information in other areas, and as a result, the IAEA's knowledge about the status of the program is "diminishing."

Iran says its uranium enrichment work is allowed under the 1968 Non-Proliferation Treaty. The U.N. Security Council has passed two rounds of sanctions against Tehran, but Washington missed its goal of reaching consensus on tighter restrictions by the end of November, the State Department said last week.

The report comes amid widespread accusations that the Bush administration is attempting to maneuver the United States into a conflict with Iran, which it accuses of meddling in the war in Iraq. In October, the United States designated elements of Iran's Revolutionary Guard Corps as supporters of terrorism.

NIEs examine current capabilities and vulnerabilities and, perhaps more importantly, consider future developments. Policymakers usually request the estimates, but the intelligence community also can initiate them. E-mail to a friend

@highlight

White House says new report doesn't change U.S. policy toward Iran

@highlight

Declassified summary of intelligence estimate on Iran's nuclear work released

@highlight

Estimate says Tehran is "less determined to develop nuclear weapons"

@highlight

Report: Iran unlikely to have enough material for nuclear bomb until 2010-2015