Copenhagen, Denmark (CNN) -- Imagine being a CEO of ideas, heading up a process in which you generate, process and test out new ideas -- for a living.

Welcome to a day in the life of Pernille Aalund, CEO of Innovations at one of the biggest media houses in Scandinavia, Aller Media A/S.

Her mandate is to generate 250 new ideas annually, out of which 50 have to settle into a new activity -- and income stream -- for the company.

It sounds ambitious, because it is.

"It takes a real shift in a company's traditional way of thinking, to open itself to an innovations department. It has to move out of the usual way of working in silos, and be able to work all the way across."

Aalund is likely the right person for the job. She is not your usual business leader, and there is no doubt this 50-year-old high school graduate, is doing things her own way.

"I know where I am going, that's about it," says Aalund, who doesn't like to operate by rules, and runs her business by what she calls the cigar box principle. "I am quite practical and simple in my approach. If I take out one krone, I know I need to put back two."

Don't let her simple approach fool you. Making it to the top of a media conglomerate takes something more, which she says comes in part from her wide background of experience.

A single mother with virtually no education, Aalund worked as a record sorter, radio host, casting assistant, advertising representative, TV producer, and much more -- before founding her own production company, hosting her own TV show, launching her own magazine, and authoring several books.

Read related: $800 million biotech business started in a garage

Her corporate career took off when Aller Media hired her as chief editor of one of their magazines. Separately, they bought some of her business ventures, including the web portal she founded for women. After a successful stint as chief editor, Aalund was asked to run about 20 of Aller's magazines, and last year they asked her to head up a new innovations department.

"I do have a very different approach to things," she says. "I work differently than they do, and I question everything."

She has had to learn a few things along the way. Among other things, her male colleagues taught her how to leave her emotions behind, when entering a decision-making process. "As women we have a tendency to make things personal. We are more holistic, which can be a great strength but it can also be very limiting. As a leader you have to be able to say, this will hurt, but we need to get it over with."

Aalund says she has never really taken on anything she knew how to do. But, that she always knew how to align herself with the best.

"When I started a new magazine and a TV show, I had no idea how to do it. But I knew how to find the best people to help me. For leaders today, it is not enough just to know how to be the CEO of a bank. You have to be able to do so much more. And that is not possible for any one person. So, I hire only the best. People who know more than I do."

Read related: Why women will impact global economy as much as China

That is what she has done in her ideas factory of sorts. They have more than a hundred ideas on the table since June, and she is confident they will hit their business and financial targets.

Aalund says change is happening and so must we. "Technology has outpaced tradition. Media habits are changing radically. So, we must think differently. And for us, it is really about putting old content into new bottles," she says.

The process works with her team generating ideas from inside and out, filtering them, exploring their potential, refining them, creating a business case for them, and moving forward with worthwhile ventures for the company.

It sounds like a creative process, but to Aalund, it is more than that.

"Innovation is defined as new ways of thinking that generate growth. It is the idea that gets put into action. Anyone can be creative, but creativity doesn't necessarily lead to growth," she says.

Read related: CNN Money's 50 Most Powerful Women in Business

For Aller Media, whose products encompass everything from magazines to television, radio and web-based media, it means taking current competencies and strengths, and lifting them onto new platforms and into new times.

"As a 140 year old company, we do not need to be thinking out of the box. We need to be thinking at the edge of the box," she says.

Perhaps not unlike herself, as she continues to move down new and innovative pathways. Alongside her job as head of innovations, this seemingly unstoppable entrepreneur has just launched a new online talk show, is writing books, and working on various TV shows.

"I think I have been blessed with a good mix of creativity, strategy, and a sense of business," she says.

@highlight

Pernille Aalund is CEO of Innovations at Aller Media A/S

@highlight

Her job is to generate 250 new ideas each year, of which 50 must be put into action

@highlight

A single mother with little education, she has held jobs including radio host and TV producer

@highlight

Attributes her success to a mix of "creativity, strategy, and a sense of business"