(CNN) -- South African newspaper columnist Jani Allan accused Oscar Pistorius of taking "acting lessons" before his testimony at his murder trial. Pistorius has claimed that he accidentally killed his girlfriend, Reeva Steenkamp after mistaking her for an intruder to his home in Pretoria.

I have to admit, as a criminal defense attorney, I found his testimony unusually well-focused and on-point as he attempted to accomplish what he needed to. It was this: to convince the judge (there is no jury in this case) that he was acting out of instinct and fear--rather than anger and hatred--when he fired four fatal shots through a locked bathroom door.

Is it not Pistorius' right to figure out how to best present that position to the judge? Is it somehow wrong for a defendant to craft or polish his presentation to positively affect the judge's (or jury's) decision? Yes, it is his right, and no it's not wrong; welcome to the underbelly of litigation. However, it's the same underbelly that exists in business and even in social interactions.

We all learn even as children to speak properly, to "mind our manners" and to "put our best foot forward." Suggesting that people don't prepare for or rehearse important interactions is not just folly; it goes against what we've been taught since we've learned to listen. On that first date, we try to look as good as we can, be as funny as we can, appear as insightful as we can. Before a job interview we study the employer and the industry. Before asking for a raise, we present our value in the warmest light possible.

Good lawyers have spent their careers learning how to present their clients in the most favorable light possible during litigation. It's our responsibility. Criminal defense lawyers learn how to be persuasive and genuine when presenting their side of the story. We are trained to represent clients, any clients, as best we can and to seek the proper result for that client. Prosecutors know how to polish their presentations as well.

In civil law, when many millions of dollars are on the line, corporate representatives plan for hours, days, weeks, months--even years--to properly present their side of the case. They take part in mock trial, the sole purpose of which is to identify and correct weaknesses in their presentation, to gain insight from how that presentation worked with mock jurors.

Back to the question at hand: Did Pistorius have acting lessons? This will now sound insincere, but I have never, not in 30 years of practice, had a client take "acting lessons" or any other lessons regarding how to testify. But I have spent hours with witnesses and clients reviewing with them how to present themselves and their story in the most compelling and believable way.

But remember this: Law enforcement officers also go through extensive training in how to present themselves in a courtroom, from subtleties as simple as turning toward the jury when answering a question to presenting their testimony in simple, easy-to-understand phrases, to raising and lowering their voices at just the right time. Expert witnesses are paid well for their ability to communicate their testimony effectively and believably to a jury.

So is it any less appropriate for Pistorius to have reviewed his testimony with his lawyers? Would it be wrong if Pistorius had the benefit of a "testimony presentation expert"? The answer is no, it is not inappropriate, as long as Pistorius was telling the truth.

The important question is: Did he present his testimony in a way in which the judge believed he was sincere? Or will the judge believe he was coached and acting? Judges and jurors alike are not easily fooled, and they bring to the courtroom life experiences that prepare them to detect deception and insincerity.

It is also the duty of the advocates on both sides of the story to advise or remind the fact finders that testimony is what it is: prepared, coached, rehearsed and presented as well as possible.

My belief is that Pistorius was absolutely coached. I also believe the judge thinks so, too, and when she weighs Pistorius' testimony, she will take into consideration that it was perhaps too well polished and that it was too well rehearsed. That was, after all, a significant goal of the blistering cross examination, to show that coaching.

I say we trust in fact finders -- in this case the judge, and, in the United States, the jurors -- and understand that they know how to balance the content of a testimony with the sincerity, or lack of sincerity, with which it was delivered.

@highlight

Mark O'Mara: Writer charged murder defendant Pistorius took "acting lessons" for court

@highlight

O'Mara: True, he seemed on-point, but why shouldn't he be? He's trying to show innocence

@highlight

He says in litigation, as in life, we show ourselves in best light. Lawyers indeed coach clients

@highlight

O'Mara: Police, prosecutors, witnesses do it, too. Welcome to litigation. Pistorius is entitled