(CNN) -- The recent discoveries of a stunning trove of new vertebrate species from the Cape Melville area of northeast Queensland, Australia, show that we still have a lot to learn about life on this planet.

Even though no place on Earth can be described as "pristine" any longer, these creatures live in habitats that have been relatively little disturbed. They include a spectacular gecko and a frog whose eggs develop without a tadpole stage.

New frogs from heavily explored Australia are somewhat surprising (there are now 239 species, with 25 added in the last 10 years). New species are more likely to turn up in less-explored and more humid lands such as New Guinea. Papua New Guinea, 6% the size of Australia, has 349 species of amphibians, 123 described in the last 10 years.

But even with these discoveries, amphibians as a group are widely recognized to be in deep trouble. In a 2004 assessment, scientists sought to evaluate as many of the 5,743 known amphibian species as possible. (About 23% of them, likely to be among the most threatened, were not evaluated because of lack of accurate information.) Of those evaluated, 43% were declining and 33% were globally threatened with extinction. The situation has only worsened since.

Habitat destruction, new infectious diseases, introduced species (such as the cane toad in Australia), and climate change, among many other factors, all have been implicated.

Even so, more than 1,600 new species of amphibians have been discovered and described since 2005, including 125 in 2013 so far.

How can this paradox be explained?

The reports of amphibian declines, starting about 1990, stimulated many young biologists to pursue careers in biodiversity research. A new wave of field biologists spread out over the globe to many of the last wild places on Earth.

At the same time, increased sophistication in species detection developed in laboratories -- involving analysis of DNA, tadpole and larvae anatomy and mating calls recorded in the field -- have enabled scientists to determine that superficially similar creatures should be named as new species. New journals and online publications, like Zootaxa and ZooKeys, enable rapid publication of results and formal descriptions of new species, once a long and tedious process.

The latest discoveries should not make us complacent. In no way do they replace or make up for those lost. Among the recently extinct species are such unusual species as the stomach-brooding frogs of eastern Australia and the golden toad of Costa Rica, with their unique life histories. And most, but not all, of the new discoveries are members of taxa with large numbers of similar species, and few novel lineages are being found.

Most of the newly discovered species are also known from single places or from small geographic ranges and often in habitats that are at great risk of being changed or destroyed. These "lost worlds" are still in danger of being lost. The biodiversity crisis is very real, and many of the new species of all taxa are themselves at risk.

Nevertheless, the discoveries remind us of the richness of biodiversity on this planet and just how far we have to go in our race to catalog life on Earth before it is too late.

The opinions expressed in this commentary are solely those of David Wake.

@highlight

David Wake: Discovery of trove of new species in Australia exciting, unexpected, instructive

@highlight

He says at same time, species being rapidly lost across globe due to human depredations

@highlight

He says this has led scientists to search for new species, but this can't replace ones lost

@highlight

Wake: The biodiversity crisis is very real, many newly discovered species are at risk