Australia has been revealed as the world's happiest industrialized nation, taking the title for the fourth year running.

The so-called "lucky country" beat Norway and Sweden to take the top spot in the Organisation for Economic Cooperation and Development's (OECD) Better Life Index.

The OECD, an international organization uniting high-income developed countries, ranks its members according to 11 different criteria, which it views as essential to a happy life.

Its happiness index -- one of many such indexes published each year -- is the product of ten years' research, Romina Boarini, head of OECD's monitoring  well-being and progress unit, said. It differs from other indexes due to its high quality of data and interactivity with users, she added.

The OECD began investigating contributors to happiness and well-being in the early 2000s, looking at  straight-forward indicators such income and wealth alongside others which are more difficult to quantify, such as civic engagement.

Other indicators used are health and education, the quality of local environment, personal security and overall satisfaction with life. The data is then analyzed to ensure it can translate across the OECD countries.

Australians enjoy above average quality of life in nearly all of them, according to the report published on Monday.

The country "down under" ranks at the top in civic engagement, which looks at voters' participation, among other criteria. It also comes out above average, in the list of  36 countries, in environmental quality, health status, housing, personal security, jobs and earnings, education and skills, subjective well-being, social connections, and income and wealth.

The survey uses scientific research to find out what makes people happy by letting them decide which criteria are the most important to them and place bigger or smaller value on each category.

Those who see the environment or work-life balance as key to their happiness can boost the value of those qualities in their own ranking and see how they compare to people who place more importance on things like education or income.

According to the 60,000 people who have shared their views so far, the most important factor for being happy is life satisfaction, with health and education close behind.

"There are differences depending on where you come from, how old you are, and sometimes whether you are a man or a woman," the OECD researchers explain in their report.

People in Japan think personal security is the top priority for well-being, and those in Latin America value education the most, the OECD says.

Australians say the most valuable is having a good balance between work and personal life, which is also the only category in which they lag behind the average.

Two countries, the UK and Iceland, dropped from last year's top 10 and were replaced by Finland at number nine, and New Zealand at number 10.

At the bottom of the ranking of the 36 industrialized nations are Greeks (34), who the OECD says suffer from the lowest life satisfaction, Mexico (35), where the biggest problem is safety, measured by murder and assault rates, and Turkey (36) which ranks poorly in the income and housing categories as well as life satisfaction and work-life balance.

But even the countries at the bottom of the chart have reasons to be happy. The OECD highlights Greece's above the average health and quality of environment and Mexico's high levels of life satisfaction.

Turkey, although still trailing behind the rest of the industrialized country, is praised for the progress in improving the quality of life of its citizens over the last two decades.

Read more: How does your salary compare?Read more: Why happiness is healthy

@highlight

Australia named the world's happiest industrialized nation, according to the OECD

@highlight

Survey takes into account satisfaction, work-life balance, income and housing