Washington (CNN) -- A dispute over abortion between the only remaining Kennedy in Congress and his Roman Catholic bishop has highlighted the political volatility of the issue and the challenge it presents to the nation's Catholics.

"How can you claim to be a Catholic and also support abortion?" Bishop Thomas Tobin of Providence, Rhode Island, asked Monday, discussing his request that Rep. Patrick Kennedy, a Rhode Island Democrat, stop receiving Holy Communion because of his pro-choice politics.

Kennedy went public Sunday about Tobin's request, originally made in a private letter to Kennedy in 2007. Tobin responded with a statement Sunday followed by his television appearance Monday, in which he acknowledged holding Kennedy to a higher standard than an ordinary parishioner because of the congressman's position as a legislator who can shape abortion laws and policy.

The issue is considered much broader than a public rift between the two men. A sweeping health care bill in Congress could get derailed by conflicts over abortion language, with the U.S. Conference of Catholic Bishops last week criticizing a Senate version of the measure for lacking the tougher language adopted earlier by the House.

Kennedy, a member of the most influential Catholic family in U.S. history, is the son of the late Sen. Edward Kennedy and nephew of the late John F. Kennedy, the nation's first Catholic president. When running for president in 1960, John Kennedy famously said he was "not the Catholic candidate for president," but "the Democratic Party's candidate for president who also happens to be be a Catholic."

Edward Kennedy was known for his liberal policies, including support for a woman's right to choose an abortion. When he died earlier this year, a Roman Catholic funeral Mass was held in Boston's Our Lady of Perpetual Help Basilica.

Patrick Kennedy holds similar views to his late father, and the dispute with Tobin festered anew when Kennedy publicly criticized the Catholic Church for opposing health care reform that lacked stringent anti-abortion language.

Requests to Kennedy's offices in Washington and Rhode Island for comment Monday went unanswered. Tobin, appearing on CNN, called Kennedy's support of abortion "a scandal."

Asked why he was singling out Kennedy, Tobin said the congressman started the dispute by attacking the church's opposition to a health care bill that lacks tough abortion restrictions. He acknowledged "a difference between someone who is the average Catholic in the pew ... and someone like the congressman who is in a high-profile position and is in a position to affect legislation on allowing access to abortion."

Other Catholics questioned Tobin's stance.

"The simple fact is that most bishops don't want to deny communion to politicians, and we know for a fact that Pope John Paul II gave communion to pro-choice Italian politicians," said the Rev. Thomas Reese, a senior fellow at the Woodstock Theological Center at Georgetown University. "So the question is, is Bishop Tobin more Catholic than the pope on this?"

Politicians have previously run afoul of Catholic bishops on the abortion issue. Kansas City Archbishop Joseph Naumann asked Health and Human Services Secretary Kathleen Sebelius to stop receiving communion when she was a pro-choice governor of Kansas, and former St. Louis Archbishop Raymond Burke said in 2004 he would deny communion to Democratic presidential candidate John Kerry for being pro-choice.

Brian McLaren, a longtime Christian pastor who has written a book coming out next year called "A New Kind of Christianity," said politicizing religious views limits the perception and, eventually, the impact of a church's teachings.

"Both Catholics and Protestants have allowed themselves to be pushed into this kind of binary, either-or thinking" on abortion and homosexuality, McLaren said. "It's disturbing for me as a non-Catholic to see the Catholic Church possibly risking its moral authority on a number of other issues by only focusing on abortion."

The Roman Catholic church strongly opposes abortion, which has been legal across the United States since 1973. The U.S. Conference of Catholic Bishops lobbied for tight restrictions on federal funding of abortion in the health care bill the House passed earlier this month.

In an October interview, Kennedy criticized the bishops for threatening to oppose the health care bill if it lacked the tough restrictions. In the House debate on the measure, Kennedy opposed a provision with the church-backed restrictions on federal money for abortions, but voted in favor of final passage of the bill that included that language.

He repeated that criticism and revealed Tobin's earlier admonition in an interview published Sunday, the 46th anniversary of the assassination of John F. Kennedy. Tobin responded by calling Kennedy's position "unacceptable to the church and scandalous to many of our members."

Most bishops and priests oppose using communion as a "political weapon," and Kennedy's disclosure of Tobin's admonition may be an attempt to push back against the bishops' support for the abortion restrictions in the House bill, CNN senior Vatican analyst John Allen said.

"The Catholic bishops have been fairly successful, at least to date, at putting abortion at the center of the debate over health care reform, and that obviously has generated some resentment from people who don't share their views," Allen said. Kennedy's decision to come forward "in effect puts the Catholic  bishops in a negative light, because it ends up making them look intolerant."

To McLaren, the admonishment by Tobin displays an inconsistency.

"The bishops have taken I think a wise stand against the proliferation of nuclear weapons," he said. "Would they apply withholding of the Eucharist to someone who supports increasing nuclear stockpiles?"

The health care debate reveals the depth of division on the issue, according to McLaren. Both sides apparently believe they are advocating language that makes the legislation effectively "abortion neutral," meaning it doesn't change existing abortion law.

"What we discovered is 'abortion neutral' is a matter of interpretation," McLaren said, adding: "This is what happens in the politics of polarization. Each side plays to its more extreme base. It makes common ground and respectful dialogue harder to achieve. The idea that we're playing a win-lose game, that you're saying if you don't agree with us, we're not even going to have a conversation with you, that attitude chills civil discourse."

@highlight

Rep. Patrick Kennedy's support for abortion rights brings criticism from church

@highlight

Bishop tells Kennedy not to take communion

@highlight

The issue is considered much broader than a public rift between the two men