(CNN) -- Hanny van Arkel was poring over photos of galaxies on the Internet in August 2007 when she stumbled across a strange object in the night sky: a bright, gaseous mass with a gaping hole in its middle.

Hanny van Arkel made her discovery by poring over images of galaxies on an astronomy Web site.

"It looked a bit like an irregular galaxy, but I wasn't sure what it was," Van Arkel said. So she posted a query on the Web site of the Galaxy Zoo project, which encourages members of the public to join in astronomy research online.

Van Arkel is a 25-year-old schoolteacher in Heerlen, The Netherlands, not an astrophysicist. But her startling find -- a mysterious and unique object some observers are calling a "cosmic ghost" -- has captivated astronomers and even caught the attention of the people who run the Hubble Space Telescope, who have agreed to take a closer look next year.

"This discovery really shows how citizen science has come of age in the Internet world," said Bill Keel, professor of physics and astronomy at the University of Alabama and a Galaxy Zoo team member. "There was a time when I spoke pejoratively of armchair astronomers. And I've gotten up at a star party and publicly apologized for that."

Not so long ago, the term "amateur astronomer" conjured images of stargazers peering through backyard telescopes. But today's are as likely to be analyzing reams of sophisticated data collected by observatories and posted on space-related Web sites.

Armchair observers like van Arkel increasingly are making significant contributions to science, said Steve Maran, spokesman for the American Astronomical Society, a group of 6,500 professionals. Amateurs have been invited to present papers at recent AAS conferences, "which wouldn't have happened years ago," he said.

A successful example of amateur-professional collaboration, the Galaxy Zoo project was launched last year by Yale University astrophysicist Kevin Schawinski and Chris Lintott at the University of Oxford in England.

The pair were looking for help in cataloging archived photographs of galaxies -- one million images -- taken by the robotic Sloan Digital Sky Survey telescope in remote southern New Mexico.

Knowing that the human eye is sometimes more sensitive than a computer at picking out unusual patterns -- and that they didn't have time to do all the work themselves -- Schawinski and Lintott posted the images on the Galaxy Zoo Web site last summer.

The professors then invited amateur astronomers, with the help of a brief online tutorial, to classify the galaxies as spiral, elliptical or something else. Online galaxy-sorting might not sound as fun as, say, surfing YouTube, but it was an immediate hit.

"We were overwhelmed by the response. It completely melted the server," Schawinski said. "People tell us it's addictive. Some of [the volunteers] are professional astronomers, but most of them are not. They're just regular people who got excited about the project."

During the past year, more than 150,000 armchair astronomers from all over the world volunteered their time, submitting more than 50 million classifications.

The public's collective wisdom -- the same principle that guides jury trials or Wikipedia -- proved remarkably astute, Schawinski said. For example, if 33 of 36 volunteers thought a galaxy appeared elliptical, then astronomers could be confident the classification was correct, he said.

Van Arkel had been classifying photos on Galaxy Zoo for about a week when she came across the image that quickly became known as "Hanny's Voorwerp," Dutch for "object." The primary school teacher does not own a telescope -- "my [astronomy] background doesn't really go further than looking at the stars when walking outside in the evening," she said -- but when she posted her finding August 13 on the Galaxy Zoo forum, the astronomers who run the site began to investigate.

They soon realized van Arkel might have found a new class of astronomical object. The Galaxy Zoo team asked scientists working at telescopes around the world to take a look at the mysterious Voorwerp.

Their best guess: The Voorwerp is probably a cloud of hot gas punctured by a central hole 16,000 light years across and illuminated by the "dying embers" of a nearby quasar, Schawinski said. Quasars are distant, highly luminous astronomical objects powered by black holes; scientists suspect that light from the quasar still illuminates the Voorwerp even though the quasar itself burned out in the past 100,000 years.

"It's this light echo that has been frozen in time for us to observe," said Lintott, the Oxford scientist. "It's rather like examining the scene of a crime where, although we can't see them, we know the culprit must be lurking somewhere nearby in the shadows."

Galaxy Zoo leaders are eagerly awaiting images from NASA's orbiting Hubble, which is scheduled to train its powerful instruments on the Voorwerp in 2009. In the meantime, van Arkel is enjoying the fuss over her contribution to astronomy.

"It's amazing to think that ... amateur volunteers can help by spotting things like this online," she said. "What excites me the most is that all of this leads to more interest in science."

@highlight

Using the Web, a Dutch schoolteacher has discovered a strange astronomical object

@highlight

The find illustrates how more amateur astronomers are contributing to science

@highlight

The Galaxy Zoo project encourages the public to join in astronomy research online

@highlight

Hubble Space Telescope has agreed to take a closer look at the object next year