(CNN) -- It's an illuminating idea which its creators hope will help drive up energy efficiency and bring down buildings' carbon emissions.

Mixing the idea of Google's Street View with multi-spectral thermal camera technology, Massachusetts-based startup Essess is building a giant database mapping residential and commercial properties in the U.S.

The project is the idea of Sanjay Sarma, professor of mechanical engineering at Massachusetts Institute of Technology (MIT) who wanted to create a way of identifying and remedying inefficiencies in buildings.

Essess currently has a fleet of five cars mounted with thermal cameras that take a matter of seconds to assess an individual building. The brighter the colors, the greater the "heat leak."

Company CEO, Storm Duncan says they are capturing around two to three million buildings per month at the moment.

"The purpose of the approach is to provide a snapshot of the energy efficiency. It answers about 20-30% of the problems of your home." Duncan said.

"I consider it a fabulous way to start a broader dialogue about the more comprehensive (energy) profile," he added.

Essess have also developed computer programs that generate energy reports highlighting specific areas of concern and calculating their cost -- financially and environmentally.

The beauty of the reporting system (see gallery) is its simplicity, says Duncan, with consumers immediately getting a sense of how efficient their homes really are.

The database will also create what he calls "an eco-system around building efficiency" becoming the cornerstone of a competitive hub where homeowners can link up with specialists who can remedy problems.

Buildings consume around 40% of the U.S.'s total energy requirements annually, according to the Department of Energy, with over one third of that power going to waste.

The company is evolving a business model which Duncan hopes will mean customers won't pay a cent to view information about their home.

Instead, audits will potentially become part of the service provided by real estate databases like Zillow and Trulia, Duncan says.

Essess hope to have covered 10% of the U.S.'s 125 million properties by the end of the year.

Thermal imaging surveys are nothing new, but widespread access to them is says Stewart Little, CEO of British thermal imaging company, IRT.

"Back in the 1980s the cameras cost about Â£250,000 ($400,000). Now they cost around Â£5,000 ($8,000). So the technology's moved on lots and lowered the barrier to entry for companies to go and do it."

IRT have surveyed around 200,000 UK homes since they were founded in 2002, and also offer customers quantified thermal images showing the financial and carbon costs of energy leaks.

It's a strategy that's proved highly successful in motivating people to insulate their homes, Little says.

The UK's Energy Saving Trust says online surveys and energy monitors can also help homeowners track their energy usage.

They estimate that savings could save up to $380 a year by improving insulation.

"The challenge is to do something about it," says Rob Bell, a energy consultant and former business development with the Energy Saving Trust.

"With gas and electricity prices only looking like they are going in one direction, the amount you can save is also upwards as well," he added.

"The headline figures around how much you can save could be the catalyst to get you from being aware to doing something about it."

@highlight

U.S. startup hoping to improve energy efficiency by capturing thermal images of millions of homes

@highlight

Drive-by thermal imaging provides a snapshot of a building's energy weak spots

@highlight

Essess has imaged three million out of 125 million properties in the U.S. so far