(CNN) -- A map of significant climate events for the United States in June looks almost apocalyptic: hellish heat, ferocious fires and severe storms leaving people injured, homeless and even dead.

Why to expect more weather disasters

That followed a warm winter and early season droughts. News came Monday that the mainland United States experienced its warmest 12 months since the dawn of record-keeping in 1895.

And on Tuesday, the National Oceanic and Atmospheric Administration (NOAA) released a report calling 2011 a year of extreme weather.

Wildfire victims face second tragedy

Remember Hurricane Irene? Or the floods in Thailand and southern China and the deadly drought in the Horn of Africa? Heavy rains in Brazil caused massive landslides and much of Europe suffered through a sweltering heatwave.

It's tempting to simplify things and blame it all on global warming.

After all, nine of the top 10 warmest years globally have occurred since 2000, according to NOAA.

But weather can be complicated.

The real challenge is figuring out whether a particular storm or flood was due to climate change or natural variables, said Chris Field, founding director of the Carnegie Institution's Department of Global Ecology.

The NOAA report, for instance, noted some events that were exacerbated by other factors. However, climate change increases global risks, Field said.

"As we change the climate, we're shifting the odds for extreme weather," he said.

Photos: Extreme heat strikes U.S.

It's sort of like upping your chances of a car accident if you're speeding.

The four classes of extremes -- high heat, heavy precipitation and floods, duration and intensity of droughts and extremes related to higher sea levels -- have changed in the last 50 years, Field said.

"Increasingly, we are loading the dice towards these very damaging kinds of extremes," he said.

But that's not to say every weather event is related to warming temperatures.

Southern Greenland, northern Russia, and the eastern two-thirds of North America have felt the greatest warmth in 2012, but many places -- Alaska, Mongolia and most of Australia -- have been cool anomalies.

Russia declares day of mourning for flood victims

The men's final at the Wimbledon tennis tournament Sunday was stopped briefly for rain. Rain, in Britain? Although it has a reputation for sogginess, it's been cooler and wetter than normal for the last few months in the British isles.

America's northwest has also escaped the heat. The state of Washington just marked its seventh coolest June ever.

"When you've got a planet that's nearest warmest levels on record, that doesn't mean every part of the world is going to be the warmest ever," said Jeff Masters, director of meteorology for Weather Underground.

"The U.S. has been unlucky enough to be in that sort of pattern," he said.

Jake Crouch, a climate scientist at the National Climatic Data Center, said weather patterns -- including the jet stream or the ocean-atmosphere systems in the Pacific known as El Niño and La Niña -- have a great effect on weather.

In 2011, two back-to-back La Niñas, each characterized by cooler-than-average water temperatures in the eastern Pacific, affected significant weather events -- including droughts in the southern United States and northern Mexico and in east Africa.

There is debate over how climate change affects such weather patterns but the NOAA-led "state of the climate" report said La Niña-related heat waves are now 20 times more likely to occur than 50 years ago.

Scientists also analyzed the United Kingdom's very warm November 2011 and a very cold December 2010. They said that cold Decembers are now half as likely to occur versus 50 years ago, whereas warm Novembers are now 62 times more likely.

The report pointed out that some weather events, like the Thailand flooding, are influenced by humans in other ways.

Photos: Finding beauty in violent storms

"Although the flooding was unprecedented, the amount of rain that fell in the river 'catchment' area was not very unusual," the report said. "Other factors, such as changes in reservoir policies and increased construction on the flood plain, were found most relevant in setting the scale of the disaster."

The 2012 hurricane season has gotten off to a robust start, though meteorologist Thomas Downs of Expert Weather Investigations attributed that to a cyclical warming of Atlantic waters.

"We've had a tremendous start to the system. We are in the middle of a warm phase," he said.

Hurricane Andrew in 1992 was devastating, but it was also the first named storm of that year -- in August.

By contrast, this year, the United States has already lived through four named storms -- two in May and two in June. The last was Tropical Storm Debby, which flooded Florida.

The warmer waters can lead to warmer temperatures on land, Downs said. So can extended drought.

"The biggest thing of this year is the cumulative effect of the last two seasons. Some parts of the United States have been under drought conditions for the past two years," he said, and did not have much rain in April and May. Less solar energy is absorbed by hot, parched land.

"The drought amplifies temperatures -- 90 becomes 100. 100 becomes 105."

"The reality is when you do have extreme weather, it is highlighted," Downs said. "People want to attribute it to one factor or another."

The other reality is that Americans and others will likely be paying a lot more for cereal, sweeteners and meat as the price of corn goes up because of failed crops.

"The crops are hurting," said Chad Hart, a grain market specialist at Iowa State University.

The eastern part of the Corn Belt is especially hard-hit. In states like Iowa, farmers are in the critical stage of corn pollination.

"We need a good inch of moisture this week," Hart said. "And there's no rain in the forecast.

"That means we are looking for a much lower yield for crops we produce in the Midwest."

Northwest heat endangers crops

That means farmers will be devastated and consumers could see higher prices at the grocery store for corn, soy and wheat products, as well as meat from animals raised on corn feed.

They will also be paying more to utility companies for running air-conditioners as the sizzling summer continues.

"In July, August and September, there's an above-average chance of warmer-than-average temperatures," Crouch said.

The hottest year on record for the United States is 1998. Crouch said 2012 is on track to beat it.

Perhaps people should get used to hotter temperatures, experts say, because the trends point that way.

A heatwave that occurred every 20 years will, by the year 2080, occur every one to two years, Field said.

Think it's hot? Imagine living here

The extreme weather the world is seeing now is a precursor to more, he said. And it paints a picture of what global warming looks like.

"There are a lot of steps that can be taken to prepare people for climate extremes," he said. "It's kind of a situation that warrants very serious thought."

In releasing the state of the climate report Tuesday, Deputy NOAA Administrator Kathryn Sullivan said 2011 will be remembered for extreme weather. This year seems to be on the same track.

From now on, she said, every weather event takes place in the context of a changing global environment.

Heat affecting your area? Share your photos and videos with us on CNN iReport.

Past 12 months warmest ever recorded in U.S.

Photos: Storm chasers

Opinion: Heat wave lesson -- We take comfort for granted

@highlight

The United States experienced its warmest 12 months on record

@highlight

A new report Tuesday says 2011 will be remembered as the year of extreme weather

@highlight

One scientist says climate change increases the chances of more such weather

@highlight

There's debate over how climate change affects weather patterns