(CNN) -- President Obama and Mitt Romney are set to make appearances beginning Thursday at a major gathering of Latino officials and activists in Florida, a moment that campaign-weary Democrats have awaited for weeks.

Obama's strategists relish any chance to drive a wedge between Romney and Hispanic voters, and at the annual conference of the National Association of Latino Elected and Appointed Officials, or NALEO, the president is all-but-certain to paint Romney as beholden to anti-immigrant elements of his party's conservative base.

It's an article of faith inside the Obama campaign's Chicago headquarters that the country's shifting demographics -- particularly growing Hispanic communities that lean Democratic in several swing states -- might be enough to put the election out of reach for Romney, no matter how sluggish the economy is.

Few locales will test that theory in November better than the host city for the NALEO conference: Orlando, ground zero for Florida's rapidly expanding Latino population.

How can Republicans attract voters other than old white men

"The combination of demographics and the issue narrative in Orlando could be the difference between 29 electoral votes or not," said Steve Schale, who managed Obama's winning 2008 campaign in Florida. "It's one of the areas where President Obama could grow from 2008."

Until Obama's victory, Orange County, home to Orlando and Disney World, had developed a well-earned reputation as one of Florida's premier battlegrounds.

The county was decided by fewer than 6,000 votes in every presidential election going back to 1996.

That all changed in 2008, when Obama carried the county by 85,000 votes against John McCain.

In April, Schale, who maintains a blog devoted to Sunshine State political math that's closely followed by operatives in both parties, began combing through Census data and voter registration numbers in an effort to gauge whether Obama's Orlando blowout in 2008 was an aberration or the new normal in Florida campaigns.

His findings, outlined in a post titled "Orlando Rising," underscore the Obama campaign's demographics-as-destiny argument.

Defining the Orlando metro area as Orange, Seminole and Osceola counties, Shale mapped out several unmistakably positive trends for Democrats:

â€¢ The Orlando area's population jumped by 436,000 people between 2000 and 2010, from 1.4 million residents to 1.85 million. African-Americans and Puerto Ricans, who tend to vote Democratic, accounted for more than half of that growth.

â€¢ Between October 2006 and January 2012, the region added about 84,000 new voters and three quarters of those were African-American or Hispanic. The vast majority of new voters registered as Democrats. Over the same period, the share of the white vote in Orlando increased by only 7%.

â€¢ In 1994, Republicans accounted for 50% of registered voters in the three sprawling counties surrounding Orlando. That number has now dropped to 33%. At the same time, 41% of Orlando voters are now Democrats, with the remainder not registering in either party.

Will Obama's immigration initiative sway Latinos?

Similar population changes are happening across Florida.

"The Democrats' lead among Hispanic voters has grown just in the last four years," said Mark Hugo Lopez, associate director of the Pew Hispanic Center.

Latinos now comprise 13% of the Florida electorate, up from 11% in 2008. More Latinos are now registered as Democrats than as Republicans, a reversal from previous election cycles.

At first glance, those shifts may seem modest. But in a huge state where the race may come down to a few thousand votes, any mathematical edge matters greatly.

The fluid nature of the state's electorate is driven in large part by an influx of Puerto Ricans -- who are eligible vote the moment they arrive because of Puerto Rico's status as a U.S. territory -- along with growing Dominican, Colombian, Mexican and Venezuelan populations.

Puerto Ricans are now the second largest Hispanic group in the state after Cuban-Americans, a Republican-leaning bloc that has seen its share of the statewide vote decline as other Latino communities grow at a faster clip.

Strategists in both parties say Florida's decade-long Hispanic boom is most visible around Orlando, now the second-largest hub of Puerto Ricans in the country outside of New York.

Neighborhoods like Kissimmee, Buenaventura Lakes and Meadow Woods, which hugs Orlando International Airport, have become hot spots for Obama campaign organizers.

Among Florida's largest counties, Orange County's Hispanic population grew by 83% between 2000 and 2010, according to the Pew Hispanic Center.

Navarette: Avoid assumptions about Latinos immigration status

That's faster than in Miami-Dade, Broward or Palm Beach County --- three huge and reliably Democratic counties in south Florida.

Courting the Puerto Rican vote in Orlando is now an essential part of any Florida campaign itinerary, as vital as throwing back a shot of sugar-packed coffee in front of reporters at Versailles Restaurant in Miami's Little Havana.

"There is not a political visit in Orlando that doesn't include a stop at a Puerto Rican community center or gathering place," said Ana Navarro, a Republican fundraiser and strategist from Miami.

The changing face of Orlando has profound implications for the state's political geography.

In the modern era, Democrats have won statewide races with robust turnout in South Florida.

Republicans usually rely on northern part of the state --- from Pensacola in the Panhandle to Jacksonville in the east -- and on places like Sarasota and Naples along the Gulf coast.

And slicing through the central part of the state is Interstate 4, the highway connecting Tampa to Orlando. The "I-4 Corridor" has become a byword for the suburban midsection of the state where swing voters and transplants from the Midwest often decide elections.

Opinion: What Latinos want from candidates? Respect

Tampa, the state's largest media market, continues to grow but retains much of its essential political character.

Meanwhile, the ballooning Puerto Rican population just 80 miles up the road has Orlando looking, politically speaking, more and more like South Florida -- a potential Democratic stronghold in the heart of central Florida's political battlefield.

Both campaigns know what's at stake. The Obama campaign and the Republican National Committee have opened multiple offices in Orlando and are engaged in Hispanic voter contact efforts.

Underscoring the metro area's importance, the Orlando media market currently ranks second nationally in television ad spending from the campaigns and outside groups.

Roughly $10 million worth of ads have aired in Orlando, including several Spanish-language ads from the Obama campaign.

Obama campaign hands in Chicago and Florida are confident that the GOP's tough talk on immigration policy -- Romney has embraced elements of Arizona's tough immigration law and said he would veto the DREAM Act, for instance -- will push Florida's various Hispanic communities into the Democratic fold in November.

Why older Latinos matter in election

Gabriela Domenzain, a spokeswoman for the Obama campaign, also said Romney's opposition to the Supreme Court confirmation of Sonia Sotomayor, a Puerto Rican, will hurt him in Orlando.

"Mitt Romney is on the wrong side of every issue important to Puerto Ricans," Domenzain said. "The community cannot afford his insistence on repeating the failed economic policies that brought our economy to the brink of collapse, his belief that we should let foreclosures 'hit the bottom' or his commitment to slashing our health care and education."

Because of their citizenship status, Puerto Ricans are not directly affected by the president's decision last week to halt the deportation of young people who were brought to the country illegally.

But Lynette Acosta, an Obama campaign co-chair and organizer in Orlando, said her fellow Puerto Ricans feel a kinship with other Hispanics affected by the law.

"We do gravitate to each other," Acosta told CNN. "There's a sense a loyalty we feel to other Hispanics. At the same time, the campaign is doing well because that they haven't taken for granted that the Hispanic community is monolithic."

Republicans accuse the Obama campaign of playing identity politics. They point to the sputtering economy as the primary issue for voters, regardless of ethnicity.

'Sleeping giant' Latino vote yet to awaken

Issues like homelessness and foreclosures continue to be pressing matters in central Florida.

"Like in every other state, and like every other American, Hispanics in Florida are laser focused on the economy," said Bettina Inclan, the Republican National Committee's director of Hispanic outreach. "This administration tries to do a lot of things so they don't have to talk about Obama's economic record."

GOP strategists also note that Puerto Ricans are more independent than most political observers give them credit for. Two Orlando-area Puerto Rican leaders, for instance, are running in the Republican primary in the state's newly drawn 9th Congressional District.

Navarro, the Miami GOP fundraiser, said Jeb Bush, the state's former Republican governor, won successive statewide races with an aggressive Puerto Rican outreach effort in central Florida.

"The Puerto Ricans in Orlando tend to lean Democrat," Navarro said. "But they can definitely swing Republican with the right candidate and the right message."

To this day, Bush consistently calls on the GOP to temper its harsh tone on immigration reform, often to little effect.

One leading GOP strategist who has worked on several recent high-profile races in the state said Republicans have failed to grasp the political significance of the Florida's growing Hispanic population.

"If you tried to take this current Republican brand onward for a generation, we would suffer greatly in Hispanic communities and we would face serious problems across the state," said the strategist, who did not want to be identified criticizing his party.

By the numbers: Latino voters

@highlight

Both Obama and Romney to speak to Latino officials and activists in Florida

@highlight

Hispanic vote in Florida could tip balance in key battleground state

@highlight

Democrats' lead among Florida Hispanics is growing, according to research center

@highlight

Republicans counter that Latinos will vote on Obama's economic record