(CNN) -- Hong Kong is like no other place I've been.

The city's character is influenced by former British colonial rule, by its deep natural harbor, and its rapid growth and culture of consumerism as one of Asia's major financial hubs. Its 7 million inhabitants literally live on top of one another in high-rise apartments that stretch as far as the eye can see. That part you probably know.

What you may not have heard is how green and stunningly beautiful this metropolis -- which sits perched along lush mountainous islands that jut out of the South China Sea -- really is.

If you're sitting on the fence about whether to travel to Hong Kong, trust me, it's worth it. And when you get here, follow these tips:

Viewing party

There's no shortage of epic views of Hong Kong's expansive skyline. After a day of shopping and exploring the architecture in Central, head to Hong Kong Park in Midlevels for something more affordable. The park's conservatory, fountains, aviary and modern art exhibition are all free to the public.

First-time visitors won't want to miss taking the tram to The Peak for the quintessential Hong Kong experience, but keep in mind that it's a tourist trap, full of kitschy shops and a Madame Tussaud's wax museum. Avoid the weekend crowds if you can, but most importantly, pick a clear day or risk disappointment in not capturing one of Hong Kong's most spectacular views.

Once the sun goes down, find a comfy spot on one of the dozens of trendy rooftop bars -- like Wooloomooloo in Wan Chai or Aqua Bar in Tsim Sha Tsui -- for stunning views of Hong Kong at night.

Get high

Despite Hong Kong's reputation as an urban jungle, you're never more than 20 minutes away from nature. Nearly two-thirds of Hong Kong is green space, and parks and hiking trails line the rolling hills and mountains that surround the city.

Fair warning: Many of the trails are steep, and some have stairs that go on forever.

One of my favorite places to hike is Hong Kong Island's south side. Dragon's Back, a gorgeous ridge trail, is a great place to catch stunning views and a nice sea breeze, and ends near the charming beach village of Shek O. If you're up for a real challenge, start at Tai Tam dam and hike to "The Twins" for a double dip of very steep climbing that leads to unforgettable views of the south side's beaches. Hike down the slopes to Stanley, shop at the weekend market and grab dinner at one of the restaurants along the French Riviera-styled waterfront for a relaxing end to the day.

Experience Kowloon

For a true Hong Kong experience, cross Victoria Harbour by taking the Star Ferry from Central to Kowloon and some of the world's most densely populated neighborhoods. Walk the streets and crowded markets of Mong Kok and Sham Shui Po to get a sense of old Hong Kong. Here, you can still see factories and low-rise walkups full of local merchants, but you'd better act quickly. Much of Hong Kong's older buildings are being torn down and replaced by mammoth skyscrapers.

Head to the Temple Street night market for a unique adventure in haggling. Hundreds of street stalls sell cheap goods and knockoff merchandise. Rows of fortune tellers and palm readers wait to read your future. Hungry? You've got to try the Cantonese-style rice pots from one of the many curbside restaurants that line the street, or venture into one the massive dining halls for traditional hot pot.

Where's your favorite spot to eat in Hong Kong? Share your tips with CNN iReport.

Island hop

Hong Kong's outlying islands are the perfect escape from the crowded streets and just a quick ferry ride away from Central Ferry Pier.

Lamma is a charming, laid-back island dotted with fishing villages, incredible seafood, coffee shops, hiking trails and hidden beaches. Cars aren't allowed, so expect to see lots of bikes and dog-friendly families.

A little farther out is Cheung Chau, where you can leisurely explore the Pak Tai Temple and sample dried fish at one of the many butcher shops and fish vendors in the central district of this mostly quiet residential island.

Finally, head to Lantau Island and take a glass-bottom cable car to "The Big Buddha," a massive bronze statue that offers stunning views of Lantau Peak.

Note: The summers in Hong Kong are hot and humid and prone to the occasional typhoon. July and August are particularly swampy.

@highlight

Hong Kong is a former British colony that is now one of Asia's major financial hubs

@highlight

It boasts parks, markets and hiking trails galore

@highlight

Hong Kong's outlying Lamma, Cheung Chau and Lantau islands offer a change of pace

@highlight

Have you ever been there? Share your photos, videos and tips with CNN iReport.