Da Nang, Vietnam (CNN) -- As far as symbols of a resurgent country -- and city -- go, there can be few as bullish as a 666-meter-long (2,185 feet) dragon-shaped bridge that breathes fire and spouts plumes of water.

Opened last year in Vietnam's central coast city of Da Nang, the Rong Cao (Dragon Bridge) is an award-winning, U.S.-designed marvel of engineering that's become a favorite of residents and visitors, and an icon of the prosperous future this once sleepy town has its eye set on.

Each weekend, after sunset, residents and visitors are treated to a pyrotechnic show that adds flair to what could have easily been a routine civil engineering project.

The road is closed just before 9 p.m., with crowds thronging the six-lane bridge.

An expectant hush descends, and then, with a roar, the dragon's head spits fearsome plumes of fire, followed by hissing clouds of water vapor.

Spectators love it.

Long a symbol of Asian prosperity, the dragon is an ideal image for a city on the rise, and has been taken to heart by the people who live here.

Dragon-themed trinkets can be bought along the banks of the Han River, which the bridge spans, and nearby hotels take their name from the structure.

Boat tours make the most of it -- prows are painted with the dragon's likeness.

Tourism opportunities

The Da Nang Department of Sports, Culture and Tourism expects the bridge to draw 3 million visitors to the city this year.

As the de facto capital of Vietnam's central coast and one of the country's rising economic success stories, Da Nang is spending big on infrastructure to bring in tourism dollars.

It's positioning itself as a MICE (meetings, incentives, conventions and exhibitions) hub and as the gateway to the historically rich and scenic central coast region, which includes the tourist town of Hoi An to the south.

As the city has developed, its interconnectedness has improved and the two banks of the Han are increasingly linked by a network of bridges.

All are impressive structures, but none match the Dragon Bridge's inventiveness.

"The Dragon Bridge has been the crowning achievement in the city's bridge program," Nick Ivanoff, president of Ammann & Whitney, one of the key companies involved in the bridge's creation, tells CNN. "City officials have said it will likely become the new symbol of Da Nang."

Ancient history

The dragon itself is modeled after one of the symbols of the Ly Dynasty, which ruled Vietnam a thousand years ago.

"In the year 1010, King Ly Thai To moved Vietnam's capital to Hanoi," says Nick Masucci, CEO of Louis Berger, a partner in the bridge's design and construction.

"According to legend, upon arriving in Hanoi by boat, he saw a golden dragon rise into the sky from the Red River. Seeing this as a good omen, he named the city Thang Long (soaring dragon).

"The dragon is one of the most important symbols in Vietnamese culture. It symbolizes power, nobility and good fortune.

"We believe the Dragon Bridge can be a symbol for Da Nang's growth and development as an important transportation, educational and cultural center in central Vietnam."

Light spectacle

In addition to the weekend shows of fire breathing, which take place at 9 p.m. every Saturday and Sunday, the bridge is illuminated each night with thousands of LED lights, which flow through the color spectrum, giving dynamic, dazzling views that reflect off the surface of the river.

The bridge was inaugurated on March 29, 2013, to commemorate the country's rich history -- both ancient and recent.

The date was chosen to mark the 38th anniversary of the liberation of the city, and the end of the Vietnam War.

Its creators, the firms Louis Berger and Ammann & Whitney, were recipients of the 2014 American Council of Engineering Companies (ACEC) National Engineering Excellence Award.

Development centerpiece

The opening of the bridge not only gives Da Nang an instantly recognizable landmark, it's done much for the city's development in a remarkably short time.

"Before the bridge opened, the other side (of the river) was very poor. The government has supported the people with these developments," says Ngyuen Nan Dong, a restaurateur whose cafe sits near the western side of the bridge.

"Da Nang is a nice place, and the bridge adds identity to the city. It's also developed the economy and cut down the time it takes to get to the airport."

But what does this matter, when you have a real, fire-breathing dragon on your doorstep?

"Its exciting," says Ngyuen. "I like to take my (20-month-old) daughter to see the show."

@highlight

Fire-breathing dragon a new symbol of Da Nang, Vietnam's fifth-largest city

@highlight

Award-winning bridge central to city's development

@highlight

Instantly recognizable landmark fast becoming symbol of Da Nang