(CNN) -- At the start of the 1980s there were more than a million elephants in Africa. During that decade, 600,000 were destroyed for ivory products. Today perhaps no more than 400,000 remain across the continent, according to Samuel Wasser of the University of Washington, who is widely recognized as an authority on the subject.

It is a tragedy beyond reckoning and humanity needs to pay attention to the plight of the elephants before it is too late.

In the past few years an epic surge in poaching has resumed the killing, thanks to the penchant for ivory in the Asian market -- especially in China, where ivory is now selling for over $1500 a kilo.

Recently, Julius Kipng'etich, the head of the Kenya Wildlife Service, made a plea at the Library of Congress in Washington in an unprecedented appeal for the world to save Kenya's and Africa's elephants from the plague of poaching that has in recent years seen the decimation of tens of thousands of them.

Interactive: Top 10 conservation hits and misses

It is an appeal that follows from Kenya's determination to torch about 10 tons of ivory last July near Tsavo National Park in a show of disdain for the destroyers of elephants and disgust at the resumption of poaching. If this level of killing continues, if elephants continue to be slaughtered for trinkets and statuettes, in 10 years' time most of Africa's elephants will be gone and an ineffable symbol of majesty and wonder -- and the linchpin in the ecology of an entire continent -- will have been consigned to oblivion.

A recent Senate hearing in Washington called "Ivory and Insecurity -- The Global Implications of Poaching in Africa." underscores the significance of this issue.

Iain Douglas-Hamilton, founder of Save the Elephants, John Scanlon, the secretary general of the Convention on International Trade in Endangered Species of Wild Fauna and Flora (CITES), and Sen. John Kerry underscored not only the implications of elephant and wildlife poaching, but also the criminal syndicates who make billions on the illegal wildlife trade, as well as its impact on local populations in Africa, global security and even terrorism.

An urgent and concerted international will is needed to fund law enforcement to protect what remains of the elephant population of the world.

Read more: Kenya finds illegal ivory in boxes disguised as diplomatic baggage

Growth in human population is a major concern. Millennia-old elephant migration paths have been disrupted. Climate change is a menace to the elephant and all life.

But the wanton shooting of the innocents to satisfy vanity has reached a level of madness no one can ignore. This is perhaps made most clear in the recent destruction of 400 elephants in the Central African Republic by armed militia from Sudan.

The killing of elephants is not just a wildlife issue. The world now understands that it is a global issue. Not long ago the United Kingdom's Independent newspaper proclaimed that the loss of biodiversity was the greatest threat to humanity.

How, amidst NATO's missile-defense problems in Europe, a possible nuclear Iran and the economic failings of modern nations, unemployment and inflation, can the future of the elephant be so urgent?

It is not on the radar of the media nor is it a priority for most people. The answer comes from our ability to affirm life in its moral, ethical and, I would urge humanity to consider, in its spiritual dimensions.

The elephant helped us walk out of Africa perhaps 60,000 years ago. We learned from tribal elders in east Africa that elephants, because they knew where to find water, helped humanity survive. It was alongside them that we populated the New World.

They are central to our evolution. Elie Wiesel of the Foundation for Humanity has even said that to save the elephant is "an urgent moral imperative."

Read more: Beauty trumps beast in conservation efforts

In Nagoya Japan, in 2010, world environmental ministers agreed on a global strategy to combat the loss of biodiversity. Those countries in Asia that are the driving force behind the mutilation of the greatest land mammal on Earth must join the battle to save the elephant in Africa and the elephant in Asia and the planet's other endangered fauna, such as the rhino and tiger and all the other species that are being so ruthlessly ransacked. In so doing they will save face.

In a society fixated on growth and money, TEEB, (The Economics of Ecosystems and Biodiversity) has plainly demonstrated the irreplaceable value of biodiversity, which yearly provides trillions of dollars of value. The forests, oceans, whales and elephants of the world must now enter the balance sheet of ultimate consideration.

We have reached the point as a global civilization where we must fight for life and the meaning of life, and much of that stands in the body of the elephant and other fellow species, as well as the forests and the oceans of the world. This battle must not be lost.

Elephants are one of the pillars of existence. We must never tell nor have to tell the children -- "This is where the wild things were."

The opinions expressed in this article are solely those of Cyril Christo.

@highlight

Elephant figures are dramatically decreasing due to poaching and black market ivory trade

@highlight

Christo says in 10 years time, if slaughter continues most of Africa's elephants will be gone

@highlight

The world faces losing the "linchpin of ecology of an entire continent"