(CNN) -- Fashion is about making a statement.

Designer Nili Lotan has been culling imagery from socio-political issues like the fall of the Berlin Wall and the West Bank's "separation barrier" to create high fashion for nearly a decade.

"The fabric becomes a canvas, and you're basically saying something," Lotan told CNN in her lower Manhattan showroom. "The idea is not to express my own opinion, but rather to provoke a thought or an opinion of whoever is wearing it or whoever is watching it."

Next month, the Israeli-born designer will display a retrospective of her "Fashion Meets Photojournalism" series at her New York store.

She'll recut her signature silk cami dresses from past collections for the project, as well as debut a new dress featuring politically-charged photography by Allan Tannenbaum. Proceeds will be donated to help both sides of the recent Israel-Hamas hostilities that killed more than 2,000 people and severely damaged Gaza's infrastructure.

Lotan, who moved to New York from Israel in 1980, said like most creatives, she draws on what she knows -- her upbringing and subsequent life experiences -- to find inspiration.

As a child of parents who met in a World War II refugee camp in Austria, her interest in global affairs started at a young age.

"We are very much tuned into the news, into current events, into social justice," she said. "From the day I remember sound, I remember every day my dad listened to the radio news."

Interactive: War & Fashion

Her love of clothes and art, though, came solely from her mother, who had studied textile design before the war and never really got to use it on a larger scale after she emigrated to Israel.

"One of the mediums she expressed her creativity was clothes, and back in those days, it sounds strange, but we really didn't have too many stores to go and buy clothes," Lotan said, so her mother made them for the family.

A resident of Israel, Lotan served the mandatory two years of military service for women, as social services chair of the air force. After her service, she enrolled in Shenkar College of Engineering and Design, with her mother's urging, after an academic degree opened up specifically for textile and fashion design.

That sewed up her fate.

Before starting her eponymous line in 2003, Lotan worked for apparel companies like Ralph Lauren, Adrienne Vittadini, Liz Claiborne and Nautica.

After a trip to Israel during the 2006 Lebanon War with her husband, musician David Broza, Lotan decided to combine her interests in fashion and current affairs.

"When we came back, I had an urge and a need to scream and say something about the situation," Lotan said. "I was certainly not-pro gun or promoting the use of guns, but just protesting against the war."

While the rest of her collections tend to focus on a classic, modern and minimal aesthetic, Lotan debuted a gun-print, silk charmeuse dress, blouse and scarf.

Retailer pulls shirts reminiscent of Holocaust

The mechanics of her textile printing are a sartorial choice, first and foremost, Lotan said.

"When I place it on the fabric, I don't just post it," Lotan said. "There is a play between the fabric and the picture."

Seven years after the debut of Lotan's first politically inspired piece, supermodel Karolina Kurkova garnered headlines for wearing one of her gun print dresses in 2013. Critics called Kurkova insensitive as she was photographed in the dress amid Congress' failure to pass an assault weapons ban and as the nation was still mourning the Newtown shootings and Boston Marathon bombings.

Lotan said she now focuses on acts of protest -- cultural change imagery from Woodstock, the Paris protests of 1968 and anti-Vietnam street art of "Peace gotta come now" -- so that her prints are not misconstrued and taken out of context.

Still, the designer doesn't plan to stop blurring the lines between style and social issues anytime soon.

@highlight

Nili Lotan is a fashion designer known for combining photojournalism and textiles

@highlight

Lotan moved from Israel in 1980, but still draws upon her upbringing in her designs

@highlight

She has placed images of the fall of the Berlin Wall and Woodstock on her dresses