Hong Kong (CNN) -- Two years ago, the sight of pristine-looking peas that had arrived all the way from Kenya to London made an impression on a would-be entrepreneur, Jenny Dawson. The peas had been tossed aside at a wholesale food market, getting ready to be sent to the landfill.

Soon after that, on a friend's farm, crates of apples, deemed too small for their buyer, were left out to rot.

Seeing all this waste pushed Dawson, 27, who formerly worked for a hedge fund, to start a business using surplus produce. The model for Rubies in the Rubble, her jam and chutney business, was born, with the goal using food that would otherwise get tossed to create foods that people would buy.

"Preserves seemed almost a natural thing to be doing with a glut of fruit and veg, because it then lasts up to 10 months," Dawson said.

Infographic: Food waste; From farm to fork and landfill

The massive global problem of food waste has received more attention in recent years, and the figures are staggering. A U.N. report estimated last year that around the world, one-third of all food produced for human consumption is wasted.

Many food banks now collect leftover foods from hotels and restaurants and redistribute them to those in need. Composting has become a common method of recycling food as fertilizer or soil amendment.

Interactive: Businesses making the most of our food waste

But businesses like Dawson's have also cropped up to make use of food items that would otherwise end up in landfills. Awareness campaigns have helped the cause, she said, and change can be felt in the initiatives taken by supermarkets and restaurants.

Waitrose, the U.K.-based supermarket chain, in October achieved its goal of sending zero food waste to landfills. Instead, unwanted food is donated or sent to anaerobic digestion plants to convert the material into biogas. Other major U.K. retailers are following suit, with Marks & Spencer announcing similar plans.

And Dawson says consumers' attitudes have changed too.

"Two years ago, people didn't like the word 'food waste,' because people wanted to be seen as having the best, having the perfect thing," she said.

"Then as organic and being homegrown started to creep in, people actually liked the strange-shaped carrots or the small, different apples because it felt more organic and homegrown."

In California, two entrepreneurs saw an opportunity in the mounds of coffee grounds thrown out each day by cafes in their own neighborhood. They now run a thriving business based on reusing waste.

Interactive: Human misery behind high food prices

Nikhil Arora and Alejandro Velez were business students at the University of California, Berkeley, when they first heard in class that mushrooms could be grown entirely on discarded coffee grounds.

The concept piqued their interest and led to the formation of Back to the Roots, a business that has gone from farming mushrooms to selling mushroom-growing kits, all relying on used coffee that gets thrown out by 35 cafes in and around Berkeley.

Read: How severe weather impacts the global food supply

"Since day one, our first vision for this company, why we fell in love with it, was this idea of 'waste to food' and 'waste to wages,' â€” that you could create a really cool company in an urban setting, create really good jobs out of what was waste, and something about that was so powerful to us," Arora said.

The company's main product, a mushroom-growing kit, is a cardboard box that houses a plastic bag filled with coffee grounds and mushroom spawn. Slit open the bag and mist the contents with water, and pearl oyster mushrooms will begin to grow, until they are spilling out the side of the box, reaching their full-grown size in about 10 days.

Quiz: Test your knowledge of Xmas excess

Back to the Roots has sold 300,000 of the kits in the U.S. at outlets like Whole Foods, Nordstrom, and Bed Bath and Beyond stores. Arora said they use "a massive stack" of coffee grounds per day, and it comes to about 18,000 kilograms of reused grounds per week. However he realizes it is still but a tiny contribution to relieving the amount of food products that go to waste.

"We know our mushroom kit's not going to solve world hunger, it's not going to themselves reduce the entire issue."

Arora hopes that growing one's own food could bring to individuals, especially children, a greater awareness of where food comes from.

And he says that the idea easily engages a wide spectrum of the public, from foodies to children to environmentally-conscious people.

"We like to say if you're sitting on a flight, no matter who you're sitting next to, you could talk to them about this mushroom kit," he said.

@highlight

Annually around one third of all food produced is wasted, according to U.N.

@highlight

Entrepreneurs are starting businesses to turn food waste into something wanted

@highlight

Used coffee grounds provide basis for Back to the Roots business