(CNN) -- The temptation to eat a lot during Ramadan, the Muslim holy month of fasting, is great, but Saiful Khandker makes a conscious effort to not overdo it.

It is traditional to eat dates on Eid al Fitr, the breaking of the month-long fast of Ramadan.

"You just kind of have to be mindful of, OK, if I weren't fasting and starving, what kind of meal would I have? And then kind of limit yourself based on that," said Khandker, technology systems director for a hedge fund in New York.

Around the world, many observant Muslims like Khandker who've been fasting all day during Ramadan are thinking about the feast they'll have on Eid al Fitr, the holiday that ends the holy month, next weekend. Khandker describes this day as the Muslim equivalent of Christmas, complete with gift exchanges for children and a lot of food -- everyone can "pig out for the whole day."

Food experts agree that the fast, during which observant Muslims refrain from eating during the day, can actually cause people to overeat. Some people actually take in more calories in one evening meal than they normally would over the course of a normal day during Ramadan, said Joe Regenstein, professor of food science at Cornell University in Ithaca, New York.

"Ironically, there are table manner rules in Islam, and they actually normally encourage you to leave the table partly hungry, which is consistent with modern health guidelines," he said.

This is one of many quirks about religious dietary practices. While no specific regimen of the major religions is better or worse than any other, it is important to keep certain health issues in mind when following those rituals, experts say.

"My general take is that you can have good diets and bad diets in any of the religious systems," Regenstein said.

Here is a sampling of dietary practices carried out in major religions today, and what you should know about them:

Fasting

Religious eating habits are especially relevant this month with Muslims observing Ramadan and Jews about to undertake an approximately 24-hour fast on Yom Kippur, which begins at sundown on September 27.

Overeating can harm the body and cause heartburn, cautioned Keri Gans, a registered dietitian in private practice in New York. If you are fasting, you should eat normal sized, well-balanced meals with plenty of liquids to avoid dehydration before a day without eating, she said.

Some people should generally not undertake fasts for health reasons, including pregnant or breastfeeding women and small children, Gans said. If you have an underlying condition such as diabetes, you should talk to your physician about whether you should fast.

As a part of a religion, fasting teaches discipline, Regenstein said.

"The discipline, at least in principle, should help a person eat better," he said.

Meat laws

Kosher meat in Judaism is slaughtered in a specific way by a religious butcher known as a "shochet." The animal is drained of blood and broiled or heavily salted to help remove the blood. Both Judaism and Islam, whose dietary laws fall under "halal," mandate that the animal be ritually slaughtered with specific prayers.

The practice salting of meat helps fight bacteria, but probably not more than other modern antimicrobial techniques, Regenstein said.

"We're talking about 4,000 years of salting having benefit, and the rest of the science, in a sense, has caught up in the last 10 years," he said.

If sodium is a concern because of high blood pressure, there are butcher shops that sell meat with different kinds of salt, or unsalted meat for broiling.

The Jewish custom of separating milk and meat -- not eating the two at the same meal and, for the most strict adherents, having separate plates and utensils for each -- does not appear to have dietary advantages or disadvantages, experts say.

In a practical sense, this tradition forces people to make their meals more diverse and plan them out more carefully, Regenstein said. Usually, people will not eat as much meat overall when they practice this kosher separation, he said.

Hold the ham, shellfish

Judaism and Islam share a restriction against eating pork. Some say this helps stave off trichinosis, a parasitic disease that humans can get from eating undercooked or raw pork, Regenstein said. However, there is some question about whether pigs in the Middle East would have had trichinosis ages ago when these traditions were developed, he said.

In addition, Jews traditionally do not eat shellfish, such as shrimp. Again, there is some association with certain diseases, as well as pollution, but it's not clear that this tradition leads to better health. Moreover, one of the staples of Jewish ritual meals such as Passover is gefilte fish, made from carp, which eats shrimp anyway, he said.

Attitudes to alcohol

The Muslim prohibition of alcohol is not necessarily good or bad, Gans said. There is some research to suggest that alcohol in moderation improves good cholesterol, but it is not definitive, she said. Red wine is associated with positive effects such as cancer prevention, but grape juice may offer the same benefits, Regenstein said. Moreover, avoiding alcohol also skirts the negative social implications associated with the substance.

In Judaism, however, wine is woven into ceremonies such as those for Passover and the Sabbath service. In fact, some synagogues give small portions of wine to children.

Vegetarianism

People who practice religions such as Buddhism are vegetarians to varying degrees, with some members electing to cut out dairy and eggs in addition to animals and fish. Some Hindus are also vegetarian, and generally consider cows to be sacred.

As long as vegetarians get an adequate supply of vitamins and protein, this can be a healthy lifestyle, Gans said. Some do need an extra boost iron or other nutrient, however, and should meet with a dietitian to figure out what's best for them individually, Gans said.

A matter of taste?

This is just a smattering of traditions practiced by various groups today, and subgroups of the religions mentioned here may have specific additional restrictions on certain animals.

In the end, many religious dietary practices do not have any more impact on healthy eating than other habits that arise from personal preference, Gans said. Some people avoid shellfish because they simply do not like the taste, and do not get a determinant or benefit as a result.

But, said Regenstein, kosher and halal are not fundamentally sets of health laws. Though he follows kosher rules himself, as a teenager in a Jewish community in Newark, New Jersey, he was suspicious of the common wisdom that the milk and meat separation was healthier "because you don't mix the bacteria."

"When I got more formally involved, it was actually sort of nice to realize that in fact these are not health laws. They are in the official category of 'God said, you do,' and I don't have to go back and try to chase this down."

@highlight

If you are going to fast, have normal sized, well-balanced meals

@highlight

The practice of salting kosher meat does kill bacteria, but so do other techniques

@highlight

Judaism and Islam share a restriction against eating pork

@highlight

Some say avoiding pork helps stave off trichinosis, a parasitic disease