(CNN) -- Stephan Mace of the Army's 61st Cavalry Regiment knew the Taliban would be waiting for him when he returned to eastern Afghanistan in September.

Stephan Mace, second from left, with his brothers and father.

During a two-week leave in early September, the 21-year-old specialist sat on his father's couch in Winchester, Virginia, and discussed his concerns over Forward Operating Base Keating in Kamdesh District, a region known as a Taliban stronghold.

"He talked about the village next to the base, that it had 300 Taliban, and they couldn't do anything about it because they were in mosques hiding or with other civilians," says his father, Larry Mace.

"They knew they were there and they couldn't do anything about it and they killed them."

Mace was one of eight American soldiers killed in a 12-hour standoff on Saturday. That was the most Americans killed by hostile action in Afghanistan in a single day since last July, when nine soldiers died in Wanat, just 20 miles away.  See where soldiers were killed »

Some military analysts say the attacks underscore how outnumbered troops are in that region. The United States believes that about 200 insurgents had been planning Saturday's attack for days, hiding mortars, rockets and heavy machine guns in the mountains, sources have told CNN.

"What were the lessons learned?"

Peter Bergen, a CNN terrorism analyst, said Saturday's attack shows the extent to which lessons from last year's attack have been implemented.

"It is supposed to be a lessons-learned exercise," Bergen said. "And then, exactly 20 miles away from the event about a year ago, exactly the same kind of attack happened."

In the Wanat fight, 49 U.S. troops were attacked by nearly 200 Taliban fighters, and the base was later abandoned.

"So, you have to ask yourself, what were the lessons learned? Or were the lessons not implemented? And these remote combat outposts, you know, are obviously sitting ducks," Bergen said.  See photos from Afghanistan »

Mace was aware of the dangers he faced, but he still felt a duty to return, his father said.

"He wanted to make a difference, he wasn't afraid. He felt it was something he had to do," he said.

Like many who died with him, Mace was drawn to the service by a sense of duty, be it to country or family. But he didn't see himself in the military forever.

An avid athlete and outdoorsman with a passion for exploration, Mace talked about helping a friend operate a tour company in South Africa, where he had spent three summers.

The idea started in his hometown of Purcellville, Virginia, where he worked in a vet clinic with a woman who was married to a South African.

"As he always did, Stephan became good friends with this man, and he invited him out there as a guest. He was just a great kid. You met him, and you immediately liked him," his father said.

"The guy he befriended would say, 'Africa wasn't big enough to keep Stephan down. He needed the world,' " he said.

As a child, Mace jumped from one sport to the next, competing nationally in Motocross at 9 before deciding to leave it so he could take up basketball, then later, football in high school.

"He excelled in everything he did. He loved to shoot, which is why I think he joined the military, so he could make a difference doing something he loved," his father said. "I'm sure that's how he died."

Devotion to duty, devotion to family

Others who died alongside Mace on Saturday joined the Army so they could support their families.

Staff Sgt. Vernon Martin was devoted to his wife and three children, his mother-in-law said.

When he was in the United States, Staff Sgt. Vernon W. Martin of Savannah, Georgia, devoted nearly all his time to his three children, his mother-in-law said.

"He always put them kids before my daughter, a hard-working man who did what he could to provide for those babies. He did what it took to make ends meet," Sonja Manior said.

Martin and his three children "pretty much lived" in Chuck E. Cheese, their favorite place to play and spend time together, Manior said.

"He loved playing around with his kids and seeing them smile. He had a beautiful smile. I loved that smile, my grandson got that smile about him," Manior said.

Originally from New York, Martin's family moved to Savannah when he was a child. He married his high school sweetheart, Brittany, and enlisted after the couple had their first child.

The family lived near the Army base in Fort Carson, Colorado, for a few years, and they planned on moving back to Savannah permanently after Martin returned home next year.

Martin, 25, called home frequently, making his last call the night before he was killed.

"They always got their 15 minutes in to talk about what the kids was doing, what they were doing. He was supposed to call the next day before his son's soccer game," Manior recalled.

"But he never called. We thought he must be working or something. Never thought something like this would have happened," she said.

"The harsh reality of kids going into the military"

The small community in Michigan's Upper Peninsula where Specialist Christopher T. Griffin is from is still reeling from the news of his death, his high school principal said.

"You see on [the] news all the time that people [in the military] lose their lives, but in a school our size, you never think it could be one of yours," said Mark Pavloski, principal of Rudyard High School, where Griffin graduated from in 2004.

Christopher Griffin's hometown is still shocked by the news of his death, his former high school principal says.

"You see it as an opportunity to find a career or go into college. But that's the harsh reality of kids going into the military, that this could happen."

Griffin, 24, of Kincheloe, attended Rudyard High for his freshman, junior and senior years, the principal said.

People who knew Griffin in high school said he spoke of going into the military, but he never made a show of it, Pavloski said.

"He was a very hard-working young man, very conscientious, very unassuming. He wasn't one of those kids who needed to be the center of attention, but he wanted to be successful and he wanted to be in the military."

He had a competitive streak that showed through in turns on the junior varsity football team and varsity wrestling team, the principal said.

"He worked extremely hard in weight room to be successful," he said. "He was quiet and very soft-spoken, but attentive. He wanted to succeed."

Remembering other soldiers

A math teacher who knew Sgt. Michael P. Scusa, 22, of Villas, New Jersey, also described him as an unassuming young man who knew he wanted to join the military.

"He had a buddy, and they always talked about going into the service. He was very passionate about it," said Valerie Davis, who taught Scusa 11th- and 12th-grade math at Lower Cape May Regional High School. "He was a quiet kid in [the] classroom, but he didn't follow the other students. He did what he felt was the right thing."

Scusa lived in Fort Carson with his wife and 1-year-old son, Connor Allen, whom he had named after another fallen soldier, according to CNN affiliate WPVI.

Other soldiers who died in Saturday's firefight were remembered for their zeal for life.

The girlfriend of Pfc. Kevin Thomson of Reno, Nevada, described him as a lively person who was friends with everyone, according to the Colorado Springs Gazette.

"Everyone loved him," Jessica Seltzer said of Thomson, 22. "He could make anyone smile, no matter how bad their day was."

Relatives described Sgt. Joshua M. Hardt, 24, of Applegate, California, as an outgoing athlete who followed his older brother into the Army, his former stepfather told the Gazette.

"He was a typical, all-around good kid," James Bell Sr. said of Hardt, who lived at Fort Carson with his wife, according to the Gazette.

The family of Sgt. Justin T. Gallegos, 27, learned he had already received two Purple Hearts for being wounded only after his death Saturday, a family friend told news station KVOA.

"He was an unsung hero. He was not the type of a man who touted his accolades. That's Justin," Bessie Guadiana-Hoffman told KVOA.

The father of a 5-year-old son, Gallegos was on his third deployment to the Middle East after two tours in Iraq, Guadiana-Hoffman told KVOA.

"He would get really upset when people would put down the United States for being at war. He said we don't choose to be at war. We choose to help end the war. Unfortunately the war ended his life," she said.

Sgt. Joshua J. Kirk, 30, of South Portland, Maine, left behind a wife and 2-year-old daughter, according to CNN affiliates. His wife declined to comment when reached by phone Tuesday night.

CNN's Jason Hanna contributed to this report.

@highlight

Stephan Mace told his father he knew the Taliban were near his base

@highlight

"They knew they were there and they couldn't do anything about it," father says

@highlight

Staff Sgt. Vernon W. Martin, 25, loved spending time with his kids at Chuck E. Cheese

@highlight

Mace, Martin among 8 Americans who died Saturday in attack in eastern Afghanistan