Chuck Hagel was doomed even before he walked into the Pentagon.

The Vietnam veteran with deep relationships on Capitol Hill shocked Washington by appearing unprepared and inarticulate before his former colleagues during a Senate confirmation hearing to become defense secretary. He never really recovered and, nearly two years later, seemed increasingly out of step with an administration facing new national security challenges everywhere from the Middle East to Ukraine.

Hagel announced his intent to resign on Monday. He was pushed out by President Barack Obama, sources told CNN, but will stay in the job until a successor is named.

His departure reflects Hagel's inability to adapt to rapidly changing developments around the world or master the politics of Washington. Hagel joined the administration at a time when Obama insisted that the nation was moving beyond a decade of war only to find himself grappling with the threat from ISIS, turmoil in Iraq and aggressive moves from Russia.

In fact, there were signs that Hagel was becoming increasingly critical in private of Obama's Syria strategy, which is constrained by the President's insistence that U.S. ground troops must not be dragged into a vicious civil war.

"I have heard he has been a dead man walking for a while. He just didn't prove effective" said a former Pentagon official familiar with the personal dynamics of the Obama administration's foreign policy team.

Some Hagel defenders say he never really had a chance.

"He came into an almost impossible situation," said Lawrence Korb, a former senior defense official now with the Center for American Progress. "He had a confirmation hearing that really weakened him and he inherited a budget that was impacted by a sequester."

Several former officials said Hagel was undermined by an assumption that his Pentagon tenure would happen during a time of peace that would allow him to focus on streamlining the defense budget and ending combat in Afghanistan.

"What you saw instead were rolling problems with Syrian chemical weapons, the rise of ISIS, and troops returning to Iraq," said another former administration official.

Meanwhile, The New York Times reported over the weekend that Obama authorized a more expansive mission for the military in Afghanistan in 2015.

A third former senior administration official said that although Obama genuinely liked Hagel, with whom he toured Iraq and Afghanistan before becoming president, an impression took hold in the White House that the defense Secretary had not mastered his job.

"He was effective (at) dealing with management and budget issues, but not as a public face for policies and not as a forceful presence in internal policy debates," the official said.

Former Col. Peter Mansoor, a CNN defense analyst, said Hagel was "a loyal team player whose skill sets as a senator never fully translated into being Secretary of Defense.

He added: "Both sides came to that conclusion."

Obama and Hagel put on a united front at a White House resignation announcement on Monday, with Obama pouring praise on his defense secretary, apparently to neuter speculation about a political split.

A Pentagon spokesman insisted that Hagel wasn't fired.

"Both men agree that this is the right course of action," Rear Admiral John Kirby told Jake Tapper on CNN's The Lead. "And the Secretary said it clearly today, he not only supports it but he's the one who initiated the conversation with the President."

But in Obama's orbit, it was accepted a long time ago that the choice of Hagel -- based on his friendship with Obama, criticism of the Iraq war surge and his standing as a former GOP senator -- never clicked.

Hagel also appears to have been the latest outsider who struggled to penetrate the national security clique around Obama, which, if anything, has further narrowed during the president's second term. Those closest to the president have embraced a foreign policy philosophy nourished by a belief in ending foreign wars, not starting new ones.

National security intimates include adviser Susan Rice, Chief of Staff Denis McDonough and deputy national security adviser Ben Rhodes.

Last month, it emerged that Hagel wrote a blunt memo to Rice criticizing the administration's approach to Syria as insufficient, warning, "we need to have a sharper view of what to do about the Assad regime," a senior defense official told CNN.

He appeared to be tackling the paradoxes of U.S. strategy in Syria, where Washington is fighting to eliminate ISIS, a scenario which could benefit President Bashar Al-Assad, to whom the administration is implacably opposed.

Hagel also found himself stuck in the middle of the tussle between the White House and top generals, not just on Syria, but over post war Iraq and Afghanistan, with top brass pushing for a more direct U.S. military role than the White House envisions.

In Washington's foreign policy community, there are also whispers that Obama forged a closer professional relationship with Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff, than Hagel.

His experience contrasts with Secretary of State John Kerry, who is also not a member of the White House's inner circle. But he commandeered initiatives on Russia, the Middle East and Iran. And though Kerry's success has been limited, there aren't any suggests that he's lost the confidence of aides within his department or in the administration.

Hagel's appointment was partly intended to build on close relationships he maintained on Capitol Hill after leaving the Senate in 2009. But even those ties failed to help bolster Hagel.

Arizona GOP Sen. John McCain repeatedly challenged Hagel in the tense confirmation hearing over whether he still believed his 2007 statement that the Iraq war surge was the "most dangerous foreign policy blunder" since the Vietnam War. Before voting against his confirmation, McCain warned "nothing in Senator Hagel's background indicates that he would effectively manage the Department of Defense."

Opinion: Pushing out Hagel not shake-up Obama needs

Ironically, now that he has quit, some of his prime antagonists have his back.

McCain told News Talk 550 radio in Arizona Monday that Hagel was "up to the job" but was in his office last week and was "very frustrated."

He later suggested in a statement that Hagel's departure was because of internal administration disagreements over ISIS strategy.

"I know Chuck was frustrated with aspects of the administration's national security policy and decision making process," said McCain. "His predecessors have spoken about the excessive micro-management they faced from the White House and how that made it more difficult to do their jobs successfully.

McCain added: "Chuck's situation was no different."

South Carolina Sen. Lindsey Graham, a Republican, said his confidence in Hagel had grown over the past year.

"To his credit, he was really willing to consider a more robust response (than the president) and he started saying that Syria had become a direct threat to the homeland," he said.

Hagel had also shown signs of being increasingly out of sync with White House messaging. This summer, he called ISIS an "imminent threat to every interest we have."  But the White House insisted there was no sign that ISIS could harm the homeland and that the point of Obama's decision to engage the radical Sunni group was to ensure that it would not pose a danger in the future.

Hagel's comments also contrasted with Obama's aside to the New Yorker in January that current militant groups were like a junior varsity team compared to Al-Qaeda - a quote widely seen as referring to ISIS.

His departure may be one of several signs that the White House has no intention of changing its approach to national security in Obama's final two years in the White House.

In a recent episode, deputy national security advisor Tony Blinken was nominated for the number two job in the State Department, over Wendy Sherman, who sources said Kerry wanted for the job.

While there have been whispers around Hagel for months, the sudden nature of Monday's announcement sparked surprise on Capitol Hill, where speculation is already turning to his replacement.

Graham said two of the most talked about candidates — Michèle Flournoy, the former Under Secretary of Defense for policy, and Democratic Senator Jack Reed, who served in the Army's 82nd Airborne — would both be "excellent." Reed took his name out of consideration on Monday.

One former official suggested that Sen. Carl Levin, the retiring head of the Senate Armed Services Committee, would also be a safe pair of hands for Obama's last two years in office.

Meanwhile, there are questions about whether the management change at the Pentagon will reshape U.S. policy toward ISIS much as Donald Rumsfeld's departure as defense secretary at a similar point during George W. Bush's second term, opened the way for the Iraq surge.

"Is this new pick going to double down on an insufficient response and a flawed strategy?" Graham said in a telephone interview, "or will this new pick signal a willingness by Obama to accept a more robust response?"

"It's an opportunity surrounded by danger," Graham said.

Pushing out Hagel not shake-up Obama needs

@highlight

Hagel never recovered from struggle at Senate confirmation hearing

@highlight

He went to Pentagon to cut budgets but instead faced new wars

@highlight

Sources question whether he ever mastered job