(CNN) -- The forthcoming trial in Germany of John Demjanjuk could be the last occasion on which a Nazi war crimes suspect faces prosecution.

German officials claim John Demjanjuk was an accessory to 29,000 murders in a Nazi death camp.

But the legacy of decades-old efforts to bring the perpetrators of World War II atrocities to justice means that those who commit similar offences in the 21st century will not be able to hide from their past so easily, according to a leading war crimes prosecutor.

Many leading Nazis such as Hermann Goering, Rudolf Hess and Albert Speer were prosecuted by the main allies -- the U.S., the Soviet Union and the UK -- shortly after the end of the war at the Nuremberg Trials.

South African judge Richard Goldstone, formerly the chief U.N. prosecutor for war crimes in Yugoslavia and Rwanda, told CNN that Nuremberg had been the "first attempt of any importance to hold war criminals accountable" and had laid the foundations for the development of modern humanitarian law.

Yet many lower-ranking servants of the Nazi regime and its allies were able to escape punishment for their crimes, assuming new identities, fleeing Europe or even finding employment with Soviet or western security agencies as determination to bring them to justice waned with the advent of the Cold War, according to Rabbi Marvin Hier of the Simon Wiesenthal Center.

"These murderers walked into small cities and killed men, women and children and walked away without a trace," Hier told CNN.

"The sad thing is that had the world wanted to prosecute Nazi war criminals after Nuremberg, and had (countries) put up the budget and the resources then every one of these elusive criminals would have been brought to justice."

But Goldstone said that the creation in 2002 of the International Criminal Court marked a "very important step forward" to ensure that future atrocities would not be so quickly forgotten.

While previous tribunals investigating crimes in Rwanda and Yugoslavia were ad hoc creations set up by the U.N. Security Council, the ICC is a permanent institution with a specific remit to investigate and prosecute cases of genocide, crimes against humanity and war crimes.

Goldstone said that developments in humanitarian law and the evolution of international justice meant that modern institutions were more sophisticated and fairer than Nuremberg had been, recognizing the rights of victims to representation but also ensuring a fair trial for defendants.

"Modern international law requires trials that are a lot fairer than the trials that were put on at Nuremberg," he said.

The jurisdiction of the ICC is currently recognized by 108 countries -- though not by the U.S., Russia or China. But Goldstone said the court was "moving quickly" towards universal ratification and said U.S. President Barack Obama's new administration was likely to be more cooperative and friendlier to the ICC than predecessor George W. Bush had been in office.

"I'd love to see the day when there is universal ratification because when that happens there will be nowhere for war criminals to run to," he said.

Demjanjuk, an 89-year-old native Ukrainian deported from the U.S. this week, is alleged to have been a guard at the Sobibor death camp in Nazi-occupied Poland and is accused of being an accessory to the murder of more than 29,000 people.

Hier said Demjanjuk's extradition marked the culmination of greater efforts in the U.S. since the late 1970s to send suspected war criminals to face trial.

An Office of Special Investigations was established in 1979 to hunt for war criminals on U.S. soil, while legislation allowed even suspects who had acquired U.S. citizenship to be extradited for lying on their naturalization papers about their Nazi pasts.

But he said Demjanjuk's trial could be the last of its kind -- and not just because of the age of suspected war criminals still at large.

"You can't just have a trial with documents. You have to have living witnesses," Hier said. "Most of those witnesses are very old, most of them are well into their 80s and beyond and they have to be in sufficient good health that they can be questioned and travel to take part in the trial."

But Hier said it was very important that former Nazis were pursued to the grave, living out their final years with the fear that their past crimes could still catch up with them.

"(Nazi hunter) Simon Wiesenthal talked about two kinds of justice. There is the justice of handcuffs and putting someone on trial. But there is also a psychological fear of a knock on the door," he said.

"Every Nazi war criminal should live every night of his life with the possibility that in his case there will yet be a knock on the door."

@highlight

Expert: Trial of Nazi war crimes suspect John Demjanjuk could be last of its kind

@highlight

Leading Nazis prosecuted at Nuremberg but many lesser Nazis escaped justice

@highlight

Struggle to prosecute Nazis influenced creation of International Criminal Court

@highlight

ICC has remit to probe war crimes, genocide, crimes against humanity