(CNN) -- When I was 8, I joined the Boy Scouts. I lasted three weeks--couldn't get the hang of all that knot tying, and no one was interested in singing show tunes around the campfire. I was gay and I knew it. At that time, revealing my sexual identity would have resulted in my exclusion from Scouting. Until the Boy Scouts of America's historic May 23 vote -- which allows gay youth to join the scouts, but upholds the ban on gay adult leaders -- thousands of boys across the country faced similar discrimination from the Scouts, who actively and vocally banned gays.

The Scouts' decision to include gay youth is part of the sea change sweeping across the United States on the issue of gay equality, an issue that has long centered on equal rights for all. But discrimination, in the Boy Scouts as in every walk of life, brings with it another effect that is left out of the conversation on rights: poorer health.

Hiding one's sexual identity and being excluded from activities and social groups causes stress, and research shows this can have a significant impact on health. In her review of the health of gay youth, Tumaini Coker notes that gay youth are three times more likely to partake in substance abuse, and that adolescents who said they felt stigmatized -- for example, in the form of family rejection -- are five times more likely to experience depression.

Still, this is an area that, unfortunately, has not been well studied. On the rare occasions that this link is discussed, the academic community has tended to focus on adults. But the health effects on young people who are stigmatized is surely as significant.

My own recent research, published in the American Journal of Men's Health, drew on a sample of 1,000 gay men from Atlanta, and showed that gay men who reported that they heard statements such as "being gay is not normal" in their youth were more likely as adults to have unprotected sex and to have sex while intoxicated or high. The study is among the first to demonstrate associations between stigma induced stress in childhood and negative health behaviors as adults that put them at risk for HIV infection.

There is already ample evidence to suggest that adult gay men and women experience poorer health relative to straight people.

Opinion: Boy Scouts' decision makes no sense

For one thing, gay men have been more heavily affected by the AIDS epidemic than the general population. According to the Centers for Disease Control and Prevention, between 2006 and 2009, gay men -- and other men who have sex with men -- were the only risk group to experience an increase in HIV incidence. There also is a wealth of data showing that gay men and women are more likely to engage in smoking, alcohol and drug use, and experience poorer mental health.

A study of 577 gay adults by Sean McCabe and colleagues at the University of Michigan showed that gay adults who experience discrimination are nearly four times more likely to experience substance abuse disorders, while Diana Burgess and colleagues at the University of Minnesota noted that compared with heterosexuals, gay adults are 68% more likely to experience depression and 56% more likely to experience anxiety.

Ilan Meyer, a senior scholar at UCLA's School of Law, offers an explanation for these disparities through the "Theory of Minority Stress," which suggests that these health inequities may be rooted in discrimination, with negative health behaviors acting as coping mechanisms for repeated exposure to stigma-related stress.

Opinion: My take: Why my family is quitting the Boy Scouts

As impressionable children we internalize messages we receive about what is right, what is normal, what we are allowed to be -- each shaping our views about our sexual identity and whether we "belong." Being exposed to messages that same-sex relationships are not "normal" is damaging. These messages set scripts for youth to follow, divide them into normal and abnormal, and arm bullies with justification to harm them. As my own research shows, these messages have lasting impacts â€” sometimes fatal -- on health behaviors as adults.

The consequences for youth are painfully illustrated by the It Gets Better Project, created by writer Dan Savage in 2010 to give gay youth hope that life will be easier as a gay adult. Savage developed the project in response to the high rates of suicide among gay youth. Research indeed shows that gays are significantly more likely to attempt suicide compared with heterosexual youth (21.5% vs 4.2%), and that among gay youth, the risk of attempting suicide is 20% greater in unsupportive environments compared with supportive environments.

Being told we are different at an age when we are trying to establish who we are can be devastating. But what if it didn't have to get better? What if it could be better from the start?

Last week the Boy Scouts sent an important signal to gay youth: You are not different. But it is not quite enough. The ban on gay Scout leaders remains. Last week, Senate Judiciary Committee Chairman Patrick Leahy, D-Vermont, withdrew his proposed amendment to provide U.S. citizens the right to sponsor their same-sex partners for green cards.

And in June the Supreme Court will vote on the Defense of Marriage Act. Each inequity sends a message to young people that they can expect not to be treated equally when they grow up, setting them on the pathway to lowered self-esteem and poorer health. Perhaps it is time to examine how we are treating America's gay youth through that lens. By creating equality, we can create better health â€” right from the start.

The opinions expressed in this commentary are solely those of Rob Stephenson.

@highlight

Rob Stephenson: Boy Scouts allowing gay members a good step for health of gay youth

@highlight

He says studies show stigma drives gay youth to unhealthy behaviors with bad outcomes

@highlight

He says discrimination can cause depression, drug and alcohol use, risky sex

@highlight

Writer: Kids internalize harmful messages; gay youths receive many. We must make it better