(CNN) -- If there's a blessing in the current swine flu epidemic, it's how benign the illness seems to be outside the central disease cluster in Mexico. But history offers a dark warning to anyone ready to write off the 2009 H1N1 virus.

The Spanish flu epidemic of 1918 sickened an estimated third of the world's population.

In each of the four major pandemics since 1889, a spring wave of relatively mild illness was followed by a second wave, a few months later, of a much more virulent disease. This was true in 1889, 1957, 1968 and in the catastrophic flu outbreak of 1918, which sickened an estimated third of the world's population and killed, conservatively, 50 million people.

Lone Simonsen, an epidemiologist at George Washington University, who has studied the course of prior pandemics in both the United States and her native Denmark, says, "The good news from past pandemics, in several experiences, is that the majority of deaths have happened not in the first wave, but later." Based on this, Simonsen suggests there may be time to develop an effective vaccine before a second, more virulent strain, begins to circulate.

As swine flu -- also known as the 2009 version of the H1N1 flu strain -- spreads, Simonsen and other health experts are diving into the history books for clues about how the outbreak might unfold -- and, more importantly, how it might be contained. In fact, the official Pandemic Influenza Operation Plan, or O-Plan, of the U.S. Centers for Disease Control and Prevention, is based in large part on a history lesson -- research organized by pediatrician and medical historian Dr. Howard Markel of the University of Michigan.

Markel was tapped by the CDC to study what worked and what didn't during the 1918 flu disaster. Markel and colleagues examined 43 cities and found that so-called nonpharmaceutical interventions -- steps such as isolating patients and school closings -- were remarkably successful in tamping down the outbreak. "They don't make the population immune, but they buy you time, either by preventing influenza from getting into the community or slowing down the spread," Markel said.  Explainer: Flu facts »

Markel describes a dramatic example in the mining town of Gunnison, Colorado. In 1918, town leaders built a veritable barricade, closing down the railroad station and blocking all roads into town. Four thousand townspeople lived on stockpiled supplies and food from hunting or fishing. For 3½ months, while influenza raged in nearly every city in America, Gunnison saw not a single case of flu -- not until the spring, when roads were reopened and a handful of residents fell sick.  Visit LIFE.com for photographs of the lethal flu pandemic of 1918

Nonpharmaceutical interventions, or NPIs, also proved effective in big cities such as New York, according to Markel. In fact, the sooner cities moved to limit public gatherings or isolate patients, the less severe their experience tended to be -- as much as an eight- or ninefold difference in case and death rates, he says. Based on this guidance, the CDC preparedness plan devotes dozens of pages to potential NPIs, from voluntary isolation to reorganizing company work schedules to reduce the density of people sitting next to each other in the office or while riding trains and buses.

If it seems odd to base medical strategy on 90-year-old newspapers, the approach is increasingly popular. "There's a big case for looking at history," says Simonsen. "We call it archaeo-epidemiology. You go to libraries and places like that, dig around, collaborate with people like John Barry and try to quantify what really worked."  Map: where the flu is today »

Barry is the author of "The Great Influenza," perhaps the signature history of the devastating 1918 pandemic. He says the historical record shows that isolating patients worked to slow the spread of flu in 1918, but that attempted quarantines -- preventing movement in and out of cities -- was "worthless."

While Barry supports the CDC's general containment strategy, in the past he has publicly criticized Markel's work. After Markel's findings were published in the Journal of the American Medical Association, Barry wrote a letter in response, saying it wasn't swift action but rather an earlier wave of mild flu, acting like a vaccination, that was probably responsible for New York's relatively low caseload. In the letter, he noted, "New York City Health Commissioner Royal Copeland did tell reporters ... that he would isolate and quarantine cases," but based on his own articles in the New York Medical Journal, he "apparently never imposed those measures." In response, Markel and CDC officials pointed to a decision by the New York Board of Health making influenza a reportable disease, and a 1918 JAMA article describing strict quarantine efforts in New York. Barry says both those sources rely on Copeland's assertions, which he considers unreliable.

It looks superficially like an academic feud, but in this field, different conclusions can suggest radically different approaches to quashing a pandemic. Nowhere is this more true than in research that builds computer models to predict the spread of outbreaks, based on previous ones. Markel, along with most analysts, says that in prior pandemics, the so-called R-naught number -- the number of new infections caused by each infected person -- has been approximately 2.0. The current U.S. pandemic control strategy is based on computer simulations that assume a flu virus with an R-naught between 1.6 and 2.4.

Last year, however, Simonsen and Viggo Andreasen concluded that the true R-naught of the 1918 flu virus was probably somewhere between 3 and 4. Since an epidemic grows exponentially -- each person sickens three others, each of whom infects three more, and so on -- this is a tremendous difference. "It says it's going to be harder than we thought" to control a pandemic, Simonsen says.

Barry agrees. "I do think that some of these things, like isolating [sick people], will take off some of the edge. We hope they'll do more than that. But to think they'll stop a pandemic, that is just not going to happen."

Simonsen says control measures such as the steps taken by Mexico in recent days -- closing schools and restaurants, for example -- are still worth the effort. "It doesn't mean we should give up, because we don't know the R-naught [for swine flu]. We don't know how easily this spreads." But she adds, NPIs are at best a way to buy time. "We just badly need a vaccine. That's the most important thing."

To date, the CDC has emphasized personal protective steps such as washing hands and using hand gels, as opposed to tightening border controls or issuing formal directives to close schools or limit public gatherings. Such steps have been left to state and local officials, who have responded in a variety of ways.

One reason for the delay in stronger guidelines is that swine flu caught planners off guard; they had anticipated being able to recognize a pandemic overseas, weeks or at least days before it hit the United States. At the same time, CDC acting director Dr. Richard Besser said Thursday that it's important to let officials tailor their response to local conditions. "They can take the recommendations we're providing and apply them locally. [By doing that] we hope to learn and see what are the most effective control strategies."

Markel agrees that the best response depends on the particular situation. "History is not predictive science. And the powers of public health officials [in 1918] were much greater. Another difference is that people's trust of doctors and government in 1918 was probably remarkably different.... But what I have found, studying epidemics, is that good planning and good relationships between local state and federal authorities, goes a long way."

@highlight

CDC's national pandemic strategy rooted in lessons of past epidemics

@highlight

In four past pandemics, mild spring outbreak was followed by virulent fall sickness

@highlight

Expert: If its true this time, could allow time to develop effective vaccine