Editor's note: Democratic Rep. Jared Polis of Colorado, the first openly gay man elected to the House as a freshman, is one of the subjects of the CNN.com series "Freshman Year," in which Polis and new Rep. Jason Chaffetz, R-Utah, provide firsthand reports of political life. Here, Polis' partner, Marlon Reis, talks about the challenges and coping strategies of his own freshman year as a "congressional spouse" not usually encountered in Washington.

Marlon Reis, left, and Rep. Jared Polis talk. Reis says he has had difficulties as a "congressional spouse."

WASHINGTON (CNN) -- One of my heroes growing up was Jackie Robinson. My mom, an ardent baseball fan from whom I got my love of the game, had an old baseball card of his from the 1950s and told us his amazing story of courage in integrating baseball.

Years later, I read of the difficulty he faced as the first African-American major league baseball player -- people sliding in with their spikes up, pitchers beaning him, teammates shunning him.

Fortunately, the rapid pace of social progress has made it easier to break barriers than ever before, and although Congress is still far from representative of the population as a whole, the 111th Congress has record numbers of gay members, members of ethnic minorities and women.

My partner, Marlon Reis, and I have been together for more than six years. We never saw ourselves or our relationship as anything different from those of other members of Congress, and while notable, the gender of my spouse has little to do with the overall experience of the congressional life and our "freshman year."

The life of a congressional spouse is harder than the life of the member. They do all the work and get none of the recognition. Fortunately, Marlon's passion for writing fiction is consistent with the necessary mobility of the congressional lifestyle and being able to work out of two homes. I am proud that Marlon has chosen to tell his tale.

Marlon Reis: To be a congressional spouse, one must be, above all else, flexible. So I was told when I arrived in D.C. 10 months ago. At the time of my introduction, I was something of a novelty among the spouses. At 28 years old, I was one of the youngest spouses in the U.S. Congress. Jared is the second-youngest congressman. Almost immediately, I was mistaken for a staff aide; then again, for a son designated to attend in place of a spouse. More times than I care to remember, I was told, "But you're so young!"

Rarely has anyone seen me for what I actually am. I don my "Congressional Spouse" lapel pin proudly and hope each time not to be questioned, yet I still receive sideways glances and orders to produce an official ID. It is as if my story is too unbelievable to be true, that I am an interloper, someone in a place I do not belong.

Perhaps this has to do with my being the partner of the first openly gay man to win a seat as a nonincumbent. I have noticed among those I meet a tincture of incredulity; a reluctance to accept that which has not been seen before.

Washington is a place steeped in traditions, some fine, others deplorable. Both my partner and I, in many ways, are a challenge to the outdated notions that have reigned for so long. And just like those who arrive uninvited, from time to time, our experiences highlight differences rather than similarities.

Sometimes we are welcome; other times, our presence seems to inspire resentment and tension. Even among a group that is known for the unusual lifestyle of its members, ours seems to stand out. And yet, we are very much the same as any congressional family.

We take time, when we have it, to enjoy dinners together, to play video games, to walk our new puppy and to celebrate life's happy moments. Like any couple working to make things right, we check in with each other to be sure it all hasn't gotten to be too much.

Always on planes back and forth, contending often with feelings of displacement, we have our challenges. But still, there is a great deal to love in being an elected family. It is true that flexibility is the main ingredient in a successful congressional life.

In many ways, we sacrifice what was once private for that which is, at times, painfully public. As much as we speak on behalf of our constituents, we are also a voice for the concerns of our LGBT [lesbian, gay, bisexual and transgender] community and democracy and freedom.

I am excited to be here with Jared on the front lines, making history and fighting the good fight. It fills me again with hope when I remember that we are only the first in what will be a long line of openly LGBT legislators; people who come to serve our country rightfully and with the respect they deserve.

Each time we encounter injustice is an opportunity to be uncompromising, to prove a point, to not back down, but to pave the way. When, on the basis of our same-sex relationship, the military attempted to bar me from accompanying Jared on a congressional delegation to Seattle, we fought and I triumphantly took my seat alongside the other spouses.

When I was told by Member Services that my lost ID should never have read "spouse," that the government recognizes me only as a "designee," I prepared to fight -- but then found the original card. Doubtless, these are but the opening acts of a years-long play about justice and the steady march of progress. For this, and for all we have to look forward to, I thank our constituents for the chance to change the world.

The opinions expressed in this commentary are solely those of Jared Polis and Marlon Reis.

@highlight

Lawmaker's partner talks about challenge of being accepted as a spouse in D.C.

@highlight

Marlon Reis: "We sacrifice what was once private" for what is "painfully public"

@highlight

Sometimes, there's "a reluctance to accept that which has not been seen before"

@highlight

"Each time we encounter injustice is an opportunity to ... pave the way," he writes