(CNN) -- This morning, around 10 a.m., I was 10 years old again.

At that hour, the space shuttle Discovery, mounted atop a NASA jetliner, soared over Washington and the Capitol Mall on the way to its permanent home at the National Air and Space Museum's Steven F. Udvar-Hazy Center at Dulles International Airport.

I had walked over from my apartment complex toward Southwest Waterfront Park along the Potomac River to see this double-decker aircraft flying over my head, and stared agog at it like the goofy space-age nerd boy of 50 years ago, face pressed against a black-and-white television screen, listening, back then, to the voice of NASA media spokesman John "Shorty" Powers count backward to zero before a ballistic missile boosted a Project Mercury astronaut into low Earth orbit.

Read more about the shuttle's destination

Back then, it was hard not to imagine that by 2012 we would have a permanent multinational lunar base from which ships with people would be traveling every other month to Mars -- and from there, maybe, to one of Jupiter's potentially habitable moons. We can see those things better than we once did, thanks to things like the Hubble Space Telescope, which wouldn't be working now unless people went up in shuttles for repairs and maintenance. But we're nowhere near being ready or, worse, willing to go there ourselves.

Spot the shuttle, share a photo with CNN iReport

I have many friends who think that's just fine. They're a lot like the friends I had back in the '60s who believed I was a ninny for gaping at space walks and rendezvousing spaceships, while billions of those dollars were more urgently needed on the ground for such things as education. Maybe they're right, I sometimes thought.

I don't think that anymore, having read in "Space Chronicles" (Norton), a recently published collection of articles by astrophysicist and Hayden Planetarium director Neil deGrasse Tyson, that only 4% of the U.S. budget during the 1960s went toward meeting President John F. Kennedy's goal of landing men on the moon before 1970. He also writes that even with the shuttle program in place, along with all those satellite repair missions, the $100 million operating budget for NASA represents six years of the agency's total funding and that said funding amounts to "one half of one percent of [a U.S. citizen's] tax bill."

Which still sounds like too much to some. But think of what, ultimately, we're buying with that money. I'm not just talking about all that ancillary technology generated by space travel that eventually improves people's lives. I'm talking about something more intangible and, yet, more vital to our basic needs. Bear with me.

I believe it wasn't just coincidence that both the space race and the civil rights movement reached their respective apogees at roughly the same time: the late 1950s and early 1960s. Think about the integration of Little Rock High School starting barely a month before the Russian launch of Sputnik, which galvanized the United States, pushing it toward not just sending its own satellites, but also getting busy with improving and funding math and science education.

I also think about the morning of May 5, 1961, the day that Alan Shepard was scheduled to become the first American to fly into space, an act that would help commit his country to a full-fledged moon race. That same morning, newspapers all over the country showed a picture of a bus set ablaze by white racists wishing to quell a movement by black and white civil rights activists to ensure racially integrated travel on interstate bus lines in the South.

At the time, the tendency was to think of such events as being at best mutually exclusive. I think they are now both logical and synchronous outgrowths of the human impulse to break down barriers and move ahead. The less afraid we are to think outside the box scientifically, the less afraid we are of other barriers, other things that constrict our natures. This week, Major League Baseball celebrated the 65th anniversary of Jackie Robinson breaking the color barrier on April 15, 1947. Seven months later, almost to the day, Chuck Yeager poked a hole in the sky with a rocket plane and broke the sound barrier.

I do not say one event led directly to the other (not necessarily, anyway). But I do think both were driven by the same insistent energy to fly higher, push harder, maybe even make ourselves better people in the very long run.

I will try very hard not to consider Discovery's last touchdown as the end of something, though I still fear it may signify the beginning of the end -- not just of a dream, but of our very capacity to dream.

The opinions expressed in this commentary are solely those of Gene Seymour.

@highlight

Gene Seymour: He'll watch as space shuttle is flown above Capitol

@highlight

He says as a boy he was entranced with promise of space travel

@highlight

He says U.S. early space progress tracked with civil rights movement

@highlight

Seymour: Discovery's exit may signal end of America's capacity to dream