London (CNN) -- The UK government Tuesday blocked the extradition of computer hacker Gary McKinnon to the United States to face trial for what the U.S. government says is the biggest military computer hacking of all time.

Home Secretary Theresa May said McKinnon was accused of serious crimes -- but that "there is also no doubt that he is seriously ill."

The extradition order against McKinnon should be withdrawn because his Asperger syndrome and depressive illness meant "there is such a high risk of him ending his own life that a decision to extradite would be incompatible with his human rights," she said.

McKinnon has admitted to breaking into computers at NASA and the Pentagon but says he did so to find out if the U.S. government was covering up the existence of UFOs. The 46-year-old has fought a decade-long battle against extradition.

The UK director of public prosecutions will now look at whether McKinnon should face trial in a UK court, May said.

McKinnon's mother, Janis Sharp, who has campaigned for years on his behalf, told a news conference it had been "an emotional roller coaster" but that she was incredibly happy at the result.

The decision to block extradition saved her son's life, she said. He cried when he first heard the ruling but she had now seen him smile "for the first time in years."

Sharp also praised May for "an incredibly brave decision -- to stand up to another nation as strong and powerful as America is rare."

McKinnon's lawyer, Karen Todner, said it was "a great day for British justice" and that she hoped UK prosecutors "might consider that Gary has suffered enough." She also suggested he might be considered unfit to plead in a UK court given his mental health issues.

Rights group Liberty also welcomed what it said was a "long-overdue" decision involving a vulnerable man.

"It's a great day for compassion and common sense," said Liberty director Shami Chakrabarti.

The U.S. State Department is examining the decision.

"The United States is disappointed by the decision to deny Gary McKinnon's extradition to face long overdue justice in the United States," spokeswoman Victoria Nuland told reporters Tuesday.

The U.S. government says McKinnon accessed 97 computers from his home in London for a year starting in March 2001, costing the government about $1 million.

He is accused of breaking into military, NASA and civilian networks, and accessing computers at the Pentagon; Fort Benning, Georgia; Fort Meade, Maryland; the Earle Naval Weapons Station in Colts Neck, New Jersey; and the Johnson Space Center in Houston, among others.

In one case, McKinnon allegedly crashed computers belonging to the Military District of Washington.

But McKinnon's family and Todner had argued against the extradition on human rights grounds because he has Asperger syndrome.

People with the syndrome suffer difficulty in social relationships, communication and social imagination, according to The National Autistic Society in Britain. Asperger syndrome may often include having special interests and becoming anxious if a routine is broken.

Psychiatrists who examined McKinnon said there was a risk of suicide if he was sent to the United States.

Sharp reiterated that point Tuesday, saying her son told her he "felt like a dead person," and that he would have preferred suicide to being taken thousands of miles away from his family and everything he knew.

As well as Asperger syndrome, McKinnon has other mental health issues, including lifelong schizophrenia, she added.

Todner has also complained that the United States has never provided evidence to prosecutors or McKinnon's legal team to support its extradition request. However, under Britain's Extradition Act of 2003, U.S. prosecutors are not required to provide such evidence.

Critics have long argued that Britain's extradition treaties unfairly deny its citizens the chance to have the evidence against them considered by a British court before they are extradited.

In response to such concerns, May outlined Tuesday a series of proposals intended to make the extradition process both with the United States and within the European Union, under the European Arrest Warrant, quicker and more transparent.

The proposals include the introduction of a so-called "forum bar," she said. "This will mean that where prosecution is possible in both the UK and in another state, the British courts will be able to bar prosecution overseas, if they believe it is in the interests of justice to do so."

Her remarks follow a two-year review of Britain's extradition arrangements.

Chakrabarti pointed out that May's decision to block McKinnon's extradition was only possible because of a provision in the Human Rights Act, controversial legislation which the Liberty director described as "much maligned" in Britain.

McKinnon was on the brink of extradition in August 2008, when the European Court of Human Rights in Strasbourg, France, refused to reconsider the decision to send him to the United States, effectively clearing the way for his transfer.

He has been free on bail in England while the extradition process has been going on.

A U.S. federal grand jury indicted McKinnon on seven counts of computer fraud and related activity. If convicted, he would have faced a maximum of 10 years in prison on each count and a $250,000 fine.

@highlight

NEW: The U.S. State Department is "disappointed" by the decision

@highlight

Lawyer for McKinnon says it is "a great day for British justice"

@highlight

UK home secretary blocks extradition of Gary McKinnon to the United States

@highlight

U.S. prosecutors accuse him of breaking into military, NASA and civilian networks