Once a year, if you drive just several hours north of Cape Town into South Africa's arid Karoo semi-desert, you'll come across a tented town in the middle of a vast expanse of nothing, like a surreal mirage.

Here, huge sculptures punctuate the sky and the desert floor is dotted with art works, from multi-story creations to a field of tiny mushrooms that light up at night.

Thousands of people, looking like extras from a hundred different movie sets, wear elaborate costumes and body paint and wander around, giving out hot dogs, popcorn, drinks, ice creams and yoga lessons.

There's a circus, a post office, a gingerbread house filled with sweets, a Swiss alpine chalet, a saloon straight out of the Wild West and nearly a hundred other themed camps including dance floors, bars and coffee stations.

This is AfrikaBurn, Africa's most unique, unusual, exhilarating and mind-blowing festival.

Based on Burning Man, which draws 70,000 participants to Nevada's Black Rock Desert each year, AfrikaBurn is not just a music or arts festival.

The event, held at the end of April, is a chance to experience a different (albeit temporary) world where creativity, self-reliance, self-expression and communal effort are championed.

Other than ice there's nothing to buy, and each participant has to bring everything they need to survive, including shelter, water and food.

Fiery spectacles

It's run on a gifting -- rather than bartering -- economy, where each person is supposed to contribute something as a gift, and all the entertainment (ranging from circus shows to DJ performances) and art is conceived of, created and produced by the participants themselves.

Over the last three nights of the week-long event, the art works burn in mesmerizing fiery spectacles.

When it's all over, everything is packed up, leaving no trace that this parallel universe ever existed.

AfrikaBurn has been running for nine years, increasing in size each year -- 9,000 people attended the 2014 event.

Out of 130 regional events scattered across the globe affiliated with Burning Man, it's the largest.

Its worldwide fame is growing too -- each year more international participants travel to this remote corner of South Africa just to attend the festival, including Americans, many of whom declare that AfrikaBurn is how Burning Man was two decades ago, before it became so big.

For many participants, attending AfrikaBurn is a life-changing experience -- it's hard to come out of a week in the desert without looking at the world in a different way.

One thing's for sure: it's definitely worth traveling to South Africa for.

Here are 12 reasons why you should attend the next AfrikaBurn, which takes place in April 2015.

1. The art installations

The creativity and effort that goes into the art works (95 of which were set up at the 2014 event) of AfrikaBurn, is simply astounding.

Some, like "Subterrafuge," made up of six timber cones rising up as high as 100 feet -- a statement against fracking in the Karoo -- have a political stance.

Others, such as "Reflection" -- a giant wooden construction of a man's torso, arms and face rising out of the ground, which became the backdrop of a laser and projection mapping show -- are just incredibly beautiful structures.

Smaller art works are also created to inspire a childlike sense of delight -- think a telephone booth where you can "call God" and a wigwam made of wigs.

2. To participate

AfrikaBurn is run on 11 guiding principles, which act like a manifesto and a kind of constitutional self-governing law.

One of these principles is participation -- everyone who attends AfrikaBurn is expected to get involved in some way.

Most people take part by dressing in elaborate costumes, others run a bar or a dance floor, others create art or help build something, and around 1,000 each year sign up as volunteers.

By participating in AfrikaBurn, everyone becomes part of the event, and it's a lot more fun than just being a spectator.

3. The burnings

For many, watching the spectacle of giant art works burning with a crowd of thousands gasping in awe in union is a major highlight of AfrikaBurn.

There's something inherently primal about being close to a huge blaze and something deeply profound in the fiery destruction of art that took months to create.

The burnings are beautiful and spectacular, but on a deeper level they speak to ideas of transience and presence.

4. To experience a gifting economy

It's extremely liberating to spend a week without taking out your wallet, but what's even more amazing is experiencing the generosity of strangers at AfrikaBurn.

The idea is that everyone gives out unconditional gifts -- it's heartwarming to receive unexpected treats (especially things like handmade jewelry or uplifting messages baked into cookies).

Even more so to give out the gifts that you've brought.

5. To experience survival mode

Those attending AfrikaBurn get a taste of what it's like to survive in an inhospitable environment of heat, cold, wind and dust storms that leave a layer of sand over everything.

They need to bring a tent, cook food over a gas stove (or eat crackers and tinned sardines) and ration water use.

There are toilets but no showers and nowhere to buy water.

Going into survival mode is part of the fun of AfrikaBurn -- and it also means that when participants get back into "civilization" they'll hopefully learn to look at the simplest things -- like running water out of a tap -- with new found appreciation.

6. Theme camps

Set around a big circle known as the Binnekring are over 100 theme camps -- public spaces that all offer something different and form the key components of the festival.

There are massage parlors, chill spaces, photo booths, cocktail bars, a general store, post office and even a swimming pool.

Each year they're different, so you never know what to expect.

7. Music

At night, AfrikaBurn turns into one giant party, as music blasts from dozens of small, big and almost hidden dance floors.

Expect to hear an eclectic range of genres -- everything from hip hop and blues to trance and deep house -- and catch some of South Africa's best DJs playing sets.

8. Mutant vehicles

Most people bring bicycles to AfrikaBurn to get around -- the event is spread over a large area.

But the best methods of transportation are the many mutant vehicles, or art cars, that traverse the desert town with no set route or direction.

Visitors can jump onto the back of a big purple snail, a porcupine or a rhino, or sail across the horizon in a pirate ship.

9. The location

Not many tourists venture into the Northern Cape, South Africa's largest and most sparsely populated province, but they're missing out on the starkly beautiful desert landscapes of the Karoo.

AfrikaBurn is set on a farm alongside the Tanka Karoo National Park -- an underrated reserve that's well worth a visit on the way back to Cape Town.

10. The sky

With its huge horizons and cotton wool clouds, the Karoo has some of South Africa's best sunsets -- each afternoon's sky becomes a painting of pink, apricot and dusky purple, an exquisite backdrop of art works punctuating the sky.

It looks more like a movie set on another planet than a festival.

At night the sky explodes into a thick blanket of stars -- for those who can tear themselves away from the dance floors, there's some epic stargazing to be had.

AfrikaBurn essentials

AfrikaBurn takes place on April 27 to May 3, 2015. Tickets are $95.

The first round of 9,800 tickets goes on sale December 19, 2014 at 10:00 GMT (5 a.m. E.T.), and the second round goes on sale on January 30, 2015 at the same time.

Cape Town is the closest city to AfrikaBurn, a four-hour drive away on a highway and then a rough dirt road (driving a 4x4 is recommended).

Participants will need to bring all their own supplies to the event. AfrikaBurn's Survival Guide at afrikaburn.com details what to bring and how to prepare.

@highlight

AfrikaBurn takes place every April in the semi-desert Karoo north of Cape Town, South Africa

@highlight

The week-long event is Africa's most successful answer to the U.S. Burning Man festival

@highlight

The event culminates in fiery spectacles as giant sculptures built for the event are torched