London (CNN) -- The British Supreme Court on Wednesday denied Julian Assange's appeal against extradition to Sweden over sexual abuse allegations, but the judges left open a surprise avenue for the WikiLeaks founder to fight on.

Assange will take it, his legal team said, arguing that the judges made their decision based on issues that were not argued in court.

Assange has been fighting for a year and a half against being sent to Sweden for questioning about accusations of sexual abuse.

Two women in Sweden accused Assange in August 2010 of sexually assaulting them during a visit to the country in connection with a WikiLeaks release of internal U.S. military documents.

The Supreme Court appeared Wednesday to clear the way for him to be sent to Sweden for questioning, then unexpectedly gave his legal team two weeks to file an appeal.

Assange lawyer Gareth Pierce said after the hearing that he would request a new hearing.

"The majority of the judges decided that custom and practice of the European community in effect trumped the law," she said. That "was not argued in court and that in itself would be a breach of the (European Convention on Human Rights) Article 6 guarantee to a fair hearing."

It is very unusual for the court to grant permission to appeal its rulings, which are supposed to be final in Britain.

WikiLeaks' work is not at issue in the extradition hearing or the Swedish allegations against Assange.

Assange has not been charged with a crime, but Swedish prosecutors want to question him in connection with allegations of "unlawful coercion and sexual misconduct including rape," according to a Supreme Court document.

Assange, who has been under house arrest in Britain since December 2010, maintains he is innocent and claims that the allegations are politically motivated. He fears that if he is extradited to Sweden, authorities there could hand him over to the United States, where he then could be prosecuted for his leaking of classified documents.

In a tweet Tuesday, WikiLeaks connected Wednesday's judgment with the arrival of U.S. Secretary of State Hillary Clinton in Sweden, which is scheduled a few days later.

"Hiliary Clinton and State Dept team arrive Stockhom June 3-4; 4 days after Assange extradition decision. Fanciful to think no discussion," the tweet read, misspelling both the first name of the cabinet official and of the Swedish capital.

Clinton is due to make a stop in Stockholm, according to a statement on the State Department website, on a swing through six countries. Discussions about Internet freedom are included on the agenda.

Assange's lawyers fought the extradition on appeal via a legal technicality involving the arrest warrant.

They argued that the "European Arrest Warrant" issued for Assange is invalid because it was issued by a Swedish prosecutor, whom they say is not an independent and impartial judicial authority.

His lawyers earlier vowed to take their fight all the way to the European Court of Human Rights if the Supreme Court denies the appeal.

Two women Assange had sexual relations with in Sweden in August 2010 subsequently went to police, who took down their complaints, according the Britain's Supreme Court. Police then interviewed Assange.

The WikiLeaks founder left Sweden "in ignorance of the fact that a domestic arrest warrant had been issued for him," according to the U.K. high court. A Swedish court granted a warrant for his "detention for interrogation," and Swedish prosecutors issued a European Arrest Warrant for his detention in the U.K.

WikiLeaks, which facilitates the anonymous leaking of secret information, has published some 250,000 confidential U.S. diplomatic cables, causing embarrassment to the government and others.

It has also published hundreds of thousands of classified U.S. documents relating to the conflicts in Iraq and Afghanistan.

But the organization has come under financial pressure, leading Assange to announce that WikiLeaks was temporarily stopping publication to "aggressively fund raise" in order to stay afloat.

An announcement at the top of WikiLeaks' home page reads: "We are forced to put all our efforts into raising funds to ensure our economic survival."

During his wait for the Supreme Court to rule on his extradition, Assange has hosted a talk show on Russian TV. "The World Tomorrow" appears on the Kremlin-funded, pro-Russian network Russia Today. He hosts it from the Suffolk mansion where he is under house arrest, with an electronic bracelet monitoring his movements.

He has interviewed controversial figures at odds with the U.S. government including Hassan Nasrallah, the leader of Hezbollah, which the United States considers a terrorist organization, and Ecuador's president Rafael Correa, who railed against the United States in his interview with Assange.

@highlight

NEW: Assange will appeal, his legal team says

@highlight

In a surprise move, the Supreme Court leaves open a possible avenue of appeal

@highlight

Two women in Sweden accuse Assange of sexual assault

@highlight

The case is not connected to his work at WikiLeaks