(CNN) -- It may not be scenic and showy like Sydney, Australia's biggest city, but Melbourne is arguably the most rewarding of all Down Under urban destinations. The Lucky Country's second city is home to the buzziest bars, quirkiest cafes, best restaurants and most eclectic shopping, not to mention a stunning riverscape.

Here are seven compelling reasons to visit Melbourne, as rich an Australian treasure, in its own edgy way, as Ayers Rock and the Great Barrier Reef.

Wining and dining

Even Sydneysiders, as those residents call themselves, don't disagree that Melbourne boasts Australia's most happening restaurant scene. A huge melting pot of Italian, Greek, Vietnamese and other Asian immigrants has made fusion cooking an authentic local cuisine, and there is a plethora of affordable dining as well as fancier restaurants.

As the food will never disappoint, head for one of the most hopping neighborhoods on any given night and hit the bistros du jour. There are great eats to be had in Fitzroy, notably Cutler and Co.; St. Kilda; Prahran; Carlton and South Yarra as well as in the little "laneways" of the Central Business District. Here, the Press Club and Vue de Monde in the iconic Rialto building represent the top-end aristocracy, and MoVida is a rising star.

Picnickers, self-caterers and those who just want to ogle the world's most beautiful food should not miss a trip to Prahran market, also good for otherwise hard-to-find Asian ingredients.

Retail therapy

Retail therapy is where Melbourne's neighborhoods come into their own. Sure, there's good fashion shopping in the city center -- notably Bourke Street, Collins Place and Swanston Street -- but much more eclectic offerings are just a tram-ride away.

Check out Fitzroy's Gertrude Street and Brunswick Street and South Yarra's Chapel Street and Greville Street for cool, kooky, elegant and vintage finds, respectively. Expect to be waylaid by stylish housewares as well as locally designed garments and great accessories. A couple of names to look out for are Dinosaur Designs in South Yarra, where they make fabulous resin and glass earrings, and Market Import in Armadale for highly original decorative items for the home.

Hit the Queen Victoria Market or smaller South Melbourne Market if you prefer to pick through stalls piled high with junk and treasures rather than browse shop windows.

If the choice seems too overwhelming, narrow them down with the help of one of several savvy shoppers offering guided tours to small groups of fashionistas looking for the inside track.

Art to admire and to buy

Art is everywhere in Melbourne, on the street as well as in slick galleries selling everything from newly fashionable aboriginal art to contemporary Western-style paintings, sculptures and installations. Don't miss the Blender Studios, a gallery and studio space dedicated to nurturing up-and-coming art.

The National Gallery of Victoria in the heart of downtown is a great place to get an overview of Australia's fabulous landscape tradition, but you'll want to hit the sidewalks to see what the cutting edge is up to. The "laneways" of the CBD are the place to gallery-browse -- head for Flinders Lane and Little Collins Street, then just follow your nose -- and eyes.

Gallery tours are offered by Jane O'Neill, whose Art Series hotels -- the Cullen, Olsen and Blackman -- are aimed at the arty set. But there are street art tours, too. Whether their schtick is old-school graffiti, stencil art or "paste-ups," Melbourne's street artists are pioneers, and you may need a guide to help discover their best work.

Getting caffeinated

The whole sophisticated Italian-Australian coffee movement started in Melbourne, which has so many iconic cafes, there's even a tour devoted to them. It starts at coffee-break time, natch, and guests move from one temple of caffeine to another with a reusable cup, tasting as they go. Food always comes into the mix in Melbourne, where most cafes have some little gourmet goody for a crowd drawn initially by the best beans and baristas but often lured to stay on by a little bit more.

For those planning their own discovery tour, award-winners include Proud Mary in Collingwood (duck ravioli), Dukes in Windsor (ham and cheese toasties), Auction Rooms in North Melbourne, the Final Step in South Yarra and Seven Seeds in Carlton.

Take in the water

The Yarra cuts its way through Melbourne and has thrown up a fabulous area for both nightlife and daytime strolling and grazing along its south bank. The new South Wharf Promenade has become the city's hottest drinking and dining destination, where hot names include the Sharing House, Meat Market and the Common Man.

Although Melbourne feels like an urban, land-locked city, it actually has seaside life, notably in the delightful old suburb of St. Kilda, an easy tram ride from the city center. There's an interesting juxtaposition between the old-fashioned kibitzing cafes of Acland Street, where European retirees chew the fat every morning, and seafront joints like the Stokehouse, packed to the gills after sundown with the young downing pizzas and homemade cakes with a few frosties.

Enjoy the architecture

Who needs an opera house that looks like a sailboat when your cityscape is punctuated by the best of 19th- and 20th-century architecture? The charm of Melbourne lies in a profusion of wonderful old buildings, including Victorian and Edwardian bungalows with porches and parapets edged in lacy wrought iron. There are also magnificent art deco edifices, like the Manchester Unity building on Collins Street and the nearby T&G building at the junction with Russell Street.

Melbourne's art deco glory days center around the city's 1934 centenary, which generated a building boom cut short by World War II. When peace came, many iconic Victorian buildings were demolished in the rush for the new, but important relics of the old glory days include the Olderfleet and Rialto buildings, Block Arcade, the Gothic Bank, Hotel Windsor and a whole slew of government buildings. Stroll the streets on your own or enjoy an art deco heritage tour.

Enjoy the great outdoors

Melbourne is surrounded by beautiful countryside, from the vineyards of the Yarra Valley to the laid-back beach towns of the Mornington Peninsula. Popular excursions include the resorts along the Great Ocean Road and Phillip Island, home to thousands of tiny penguins that waddle out of the sea to parade to their homes in the dunes as dusk descends.

There are also koalas on Phillip Island, but these shy little creatures can be seen much closer to town at the Healesville Sanctuary, where they live in beautiful, natural bush alongside other iconic Australian creatures including wombats, kangaroos, Tasmanian Devils and the amazing duck-billed platypus.

@highlight

Melbourne is defined by a melting pot of immigrants

@highlight

Check out the national museum and galleries dedicated to emerging artists

@highlight

Coffee fans can enjoy a tour of the Italian-Australian coffee scene