(CNN) -- Richard Turere, 13, doesn't like lions. In fact, he hates them. Yet this bright Maasai boy has devised an innovative solution that's helping the survival of these magnificent beasts -- by keeping them away from humans.

Living on the edge of Nairobi National Park, in Kenya, Turere first became responsible for herding and safeguarding his family's cattle when he was just nine. But often, his valuable livestock would be raided by the lions roaming the park's sweet savannah grasses, leaving him to count the losses.

"I grew up hating lions very much," says Turere, who is from Kitengela, just south of the capital Nairobi. "They used to come at night and feed on our cattle when we were sleeping."

Read this: Boy's website tracks big beasts

So, at the age of 11, Turere decided it was time to find a way of protecting his family's cows, goats and sheep from falling prey to hungry lions.

His light bulb moment came with one small observation.

"One day, when I was walking around," he says, "I discovered that the lions were scared of the moving light."

Turere realized that lions were afraid of venturing near the farm's stockade when someone was walking around with a flashlight. He put his young mind to work and a few weeks later he'd come up with an innovative, simple and low-cost system to scare the predators away.

He fitted a series of flashing LED bulbs onto poles around the livestock enclosure, facing outward. The lights were wired to a box with switches and to an old car battery powered by a solar panel. They were designed to flicker on and off intermittently, thus tricking the lions into believing that someone was moving around carrying a flashlight.

And it worked. Since Turere rigged up his "Lion Lights," his family has not lost any livestock to the wild beasts, to the great delight of his father and astonishment of his neighbors.

Read this: Teaching lions and humans to get along

What's even more impressive is that Turere devised and installed the whole system by himself, without ever receiving any training in electronics or engineering.

The 13-year-old's remarkable ingenuity has been recognized with an invitation to the TED 2013 conference, being held this week in California, where he'll share the stage with some of the world's greatest thinkers, innovators and scientists.

"I did it myself, no one taught me, I just came up with it," says Turere. "I had to look after my dad's cows and make sure that they were safe."

Human-wildlife conflict

Nairobi is the world's only capital with a national park, where wild lions, rhinos and other beasts roam free against the urban backdrop of skyscrapers rising from the nearby bustling city center.

Each year, thousands of camera-toting tourists visit the park -- which is fenced along its northern boundary but open in the south -- hoping to catch a glimpse of the lions inhabiting its rolling plains and valleys.

Read this: Orphaned girl starts university at 14

But for the pastoralists and Maasai tribes around the park, a lion sighting is usually bad news; valuable livestock are often lost to lions looking for easy prey, prompting rural communities to take matters into their own hands.

In some cases they've killed whole prides that they perceived as threat, or as retaliation for lost livestock. The use of pesticides such as Furadan -- a tablespoon of which costs less than a dollar and is enough to kill a lion -- has become a particularly ruthless way of doing so.

The rising human-wildlife conflict, coupled with a fast-growing urban encroachment, means that Kenya is now home to less than 2,000 lions, a massive drop compared to the 15,000 that lived there just a decade ago.

Large sums have been spent in recent years by officials in a bid to protect the lions and strengthen Kenya's tourism industry. Yet conservationists say that many of these top-down initiatives fail to gain traction with local populations. And this is why inventions like Turere's -- home grown, simple, affordable and effective -- can make a big difference.

Indeed, several neighbors of the Turere family in Kitengela have sought Turere's help, asking him to install the system in their enclosures. In total, around 75 "Lion Light" systems have so far been rigged up around Kenya.

"This is a solution that was invented by somebody in the community," explains Paula Kahumbu, executive director of the Kenya Land Conservation Trust and chairman of the Friends of Nairobi National Park. "Therefore the support for it is very high."

Bright ideas, bright future

Kahumbu and her colleagues first came across Turere's innovation some two years ago in the course of their fieldwork. Stunned by the boy's achievements, they helped him get a scholarship at Brookhouse International School, one of Kenya's top educational institutions, where he started last April.

"Richard is quite an extraordinary boy," says Kahumbu. She describes him as a "very smart, curious and surprisingly confident [boy] for his age and background," who's integrated smoothly among his new classmates, most of whom are from wealthy families.

"One thing that's unique about Richard is that if you give him a problem, he'll keep working at it until he can fix it," she adds. "He doesn't give up; he doesn't find things too difficult; he's not afraid of being unable to do something and I think this is why he is such a good innovator -- because he's not worried that it might not work, he's going to try and do it anyway."

Turere says his dream is to work in aviation when he grows up.

"Three years ago when I was in the savannah herding my father's cattle I used to see the planes flying over and landing at the airport and I was like, one day I'll be a pilot and an aircraft engineer," he says.

For this remarkable boy, it's clear that the sky is the limit.

@highlight

Richard Turere, 13, has found an innovative way to protect his family's cattle from lions

@highlight

He created "Lion Lights," which keeps the predators away from the family's enclosure

@highlight

The Kenyan boy will speak about his invention at the TED 2013 conference