(CNN) -- Since President Xi Jinping assumed power, he's reshaped China's foreign policy by recalibrating its stresses on sovereignty and stability, what the Chinese call wei quan and wei wen.

On the one hand, China has stepped up its emphasis on sovereignty, especially concerning its territorial dispute with Japan over the Diaoyu Islands (or the Senkakus, as they're known in Japan). 

Beijing has streamlined its various maritime agencies to make them more efficient and better coordinated, and it keeps sending government vessels to the area to demonstrate its jurisdiction over this region. 

More recently, it announced a new Air Defense Identification Zone (ADIZ) in the East China Sea to assure its sovereign security over territory, territorial water and space in the ADIZ.

On the other hand, China has attached more importance to its peripheral stability.  Despite its earlier skirmish over Ladakh with India in May, it cut a border defense co-operation agreement with New Delhi, to avoid mutual tailing between their patrols in border areas where there is no common understanding of the line of actual control.

And recently, President Xi and Premier Li Keqiang visited five out of 10 ASEAN countries, and wrapped up a cooperative deal with Vietnam to jointly develop an oil well in the mouth of the Gulf of Tonkin.  China has also furthered its relations with major powers -- Xi visited Russia and the U.S. within the first three months of coming to power, promoting a "new type of major country relationship."

However, the quest for sovereignty and stability at the same time could prove challenging.  China's ADIZ announcement is turning into such a case.

Origins of the ADIZ

The concept and practice of ADIZ are not China's invention. Rather, it was invented by the U.S. in 1951, with a purpose of identifying, through various means, incoming aircraft toward North America.  An ADIZ would usually be much bigger than one's territorial space, to allow sufficient time for such identification. 

Last weekend, the Chinese government announced its East China Sea ADIZ, asking foreign military planes flying over this area to identify themselves or, if necessary, the government would take defensive military action to enforce their identification. 

It is noted that the ADIZ is a national mandate, rather than demanded by any international law.  Therefore, any other country has to make its own sovereign choice to follow or not.

The establishment of the East China Sea ADIZ looks to be China's latest attempt to stress sovereignty and stability. The purpose of such identification is to assure China's sovereignty over its airspace without disrupting the international law of freedom of flight through international airspace. 

Obviously, China is able to identify those foreign civilian airlines which routinely fly to and from China. China will also be able to monitor and identify some foreign military aircraft flying over this zone. Establishing such a zone would allow China, ideally, additional time to predict if some of the flights over the area would be harmful and, consequently, if its defense establishment should take precautionary measures.

Challenge to status quo?

As establishing an ADIZ is a national endeavor rather than one mandated by international law, it is predictable other stakeholders could view it a challenge to the status quo, which suits their national interests.

Soon after China's ADIZ was announced, the U.S. sent two B-52 bombers into the new air zone on what the U.S. says was a pre-planned trip. It is understood that the U.S. strategic bombers neither loaded bombs nor were escorted by jet fighters, and didn't go too close to China's territorial space, signaling that the mission was not intended as a military threat. 

Such a restrained challenge seems to have led China to properly balance its quest for sovereignty and stability.

If and when China's newly declared ADIZ is truly challenged, as long as China could identify the incoming foreign aircraft and manage the challenge to a certain degree, China would not send aircraft to "greet" them.  But certainly, if the incoming foreign aircraft did not respond to China's query of identity, and if China detected a threatening posture, its air force would act in a defensive way.

Though the U.S. has presented its challenge to China establishing such a zone, the country's ADIZ may have more to do with Japan.

Japan's own ADIZ has been as close as to 130 kilometers from China, and includes the Diaoyu, or Senkaku, Islands.  If China's inclusion of Diaoyu Islands is intolerable to Japan due to their dispute over this area, Japan's inclusion of the same islands, some four decades ago, has much earlier provoked a similar degree of irritation.

Japan's establishment of its ADIZ was a breach of the status quo at that time. Japan further pushed the envelope last year by "nationalizing" the main islands, representing another effort to break the existing status quo.  Its persistent changing of the status quo cannot go unchallenged.

China's efforts to strike a balance between sovereignty and stability are destined to be difficult. However, facing increasing security challenges, Beijing is likely to respond in kind, while abiding by international law.

The opinions in this article are solely those of Shen Dingli, a professor and associate dean of the Institute of International Studies at Fudan University in Shanghai.

@highlight

President Xi has reshaped China's foreign policy, stressing sovereignty and stability

@highlight

Shen Dingli: East China Sea ADIZ looks to be China's latest attempt to stress this approach

@highlight

Facing increasing security challenges, Beijing is likely to respond in kind, Shen Dingli says