(CNN) -- It takes a disaster to remind us how much we depend on our local and state governments. In the middle of a presidential campaign, Hurricane Sandy has put Barack Obama and Mitt Romney on the sidelines, reminding us how much we count on mayors and governors to protect us, to rescue us and to keep our streets, buses, subways, airports and commuter rails running.

After a season of debates about the deficit, taxes and health care, Americans have discovered that they cannot survive without government: to provide clean water, reliable transportation systems, and emergency services when floods, fires and power outages force them to abandon their homes. Hurricane Sandy even demonstrated that sometimes politicians should do more than what we want, especially when they are trying to save us from ourselves.

When New Jersey Gov. Chris Christie ordered everyone out of Atlantic City, most residents ignored his request. And when New York Mayor Michael Bloomberg, three days before Hurricane Sandy landed, activated the city's storm plan and issued an evacuation order for the city's high-risk Zone A floodplain, many observers thought he was over-preparing, like a grandmother urging you to wear galoshes in the rain.

Opinion: Don't let superstorm sway your vote

Next time, evacuation orders will not be dismissed as examples of the "nanny state."

Hurricane Sandy did not just erode beachfronts; it also eroded partisan political differences. How else can one explain Gov. Christie's warm and gracious comments about Obama after the president did far more than what was required when he suggested that the New Jersey Republican personally call him if he needed any help with federal agencies.

Disasters never go away. They become part of our culture, providing stories of danger and heroism that we share with our children and their children. Disasters take neighbors and make them friends.

New Yorkers, widely considered to be tough and selfish, are suddenly eager to share cellphones, drink beer with strangers at their local bars, and to cook meals at home -- since without subways there is no way to go out for dinner and get home easily.

There is one simple lesson we can learn from Hurricane Sandy: We cannot ignore the essential infrastructure that moves people, information and goods.

How you can help

These systems are under the control of mayors and governors -- not presidents, senators or members of Congress. More than two-thirds of the funds spent on transportation come from states and localities, not from the federal government. And with today's current emphasis on cutting the federal deficit, states will need to do more since the federal government is clearly in retreat, at home and overseas.

It is not sufficient to have a smartphone or an iPad if we do not have resilient, robust networks that can function when we need them most, like in a disaster. It is not sufficient to have a home, if there is no power to run appliances and water to drink and cook with. And, what good is a job if you cannot get to work -- whether by car, train, bus or plane?

New York has a subway system that is more than a century old. Our nation's airports control our airspace with obsolete technologies, needlessly adding to delays and pollution. And our commuter railroads rely on railroad bridges that are well beyond their shelf life.

Disaster relief: Obama, Romney differ on federal role

Hurricane Sandy is not over. The damage is still being assessed. The recovery is going to be slower than we anticipate. And the losses are beyond measurement. Homes destroyed, beaches reconfigured, boardwalks that cannot be replaced, and memories that cannot be renewed.

But we can recognize the vital need to invest in the future: to take steps now to minimize similar disasters. We cannot eliminate the power of ocean currents and wind and storms, but we can do more to invest in stronger, safer transportation systems that can diminish the disruptions caused by the next hurricane. Sandy certainly won't be the last of the destructive storms we encounter.

The opinions expressed in this commentary are solely those of Mitchell L. Moss.

@highlight

Mitchell Moss: Disaster reminds us how much we rely on our local governments

@highlight

Moss: Hurricane Sandy has put President Obama and Mitt Romney on the sidelines

@highlight

He says the storm also teaches us that we can't ignore essential infrastructures

@highlight

Moss: We have to invest in the future by taking steps now to minimize similar disasters