(CNN) -- "I love Merion, and I don't even know her last name," legendary golfer Lee Trevino was once memorably quoted when asked about the venue for this week's U.S. Open.

"Supermex" had good cause for his admiration of the famous inland links near Philadelphia, having won the 1971 edition of the tournament after a playoff with Jack Nicklaus, no less.

Nicklaus, who went on to win a record 18 major titles, described Merion's championship East Course as "Acre for acre, maybe the best test of golf in the world."

Current No. 1 Tiger Woods is another big fan. "You have to be so disciplined to play that course," he said after a recent practice round.

So what is it about the Merion which evokes such praise -- and what will await Woods and his rivals when they bid for major glory this week? Thursday's opening round was disrupted by the arrival of predicted bad weather, but there is much more at the Pennsylvania venue to challenge the world's top golfers.

CNN's Living Golf has gone behind the scenes at the iconic venue to provide the definitive guide to the magic of Merion and all its charms.

Wicker wonders

Foremost among them are the famous red wicker baskets which are positioned above the pin sticks in place of conventional flags -- a peculiarity these days, though more common earlier in the history of golf.

They first appeared at Merion in 1915, three years after the course opened in September 1912.

The historical origins of the baskets and indeed the reason for them remain unclear, but by the time the 1916 U.S. Amateur Championship was hosted -- the first major event on the course -- they were still in place and have remained ever since.

The green staff even have a special machine into which each individual wicker basket flag can be gathered up each night in the "wicker cart."

When a move to replace "the wickers" with standardized flags was mooted, the outcry was loud and clear.

But, according to Trevino, they add to the challenge facing the golfers, particularly in breezy conditions.

"Generally when we stand out in the middle of the fairway we can see which way the flag is blowing so we have some idea of how to play the wind," he told CNN.

"But with the wicker baskets, no!"

Whoever emerges the winner this Sunday evening will be presented with a wicker basket to commemorate their win along with the championship trophy.

One-iron wonder

In 1950, the legendary American golfer Ben Hogan won the U.S. Open at Merion -- just 16 months after suffering terrible injuries in an automobile crash which nearly claimed his life.

By a curious twist, and for the only time, the wicker baskets were not used that year.

Perhaps they did not want to upset Hogan -- who had the unfair reputation of being a ruthless and aloof winning machine -- on his courageous comeback trail.

So when he came to play his second shot to the testing par-four 18th in the final round, he would have seen a flag blowing in the far distance over 200 yards away.

Struggling with pain from his still-healing injuries and knowing he needed to find the small green with his shot to have any real chance of joining two other golfers in a playoff, Hogan selected a one-iron club -- which hits the ball far and low if hit correctly.

Ever the perfectionist, Hogan's strike was pure perfection and brought gasps from the galleries as it arrowed its way to the heart of the green.

Two putts for a par were enough and he won the next day's 18-hole playoff against Lloyd Mangrum and George Fazio.

The drama of the moment was captured for posterity by famous Sports Illustrated and Life Magazine photographer Hy Peskin. It is rated one of the best sports photos of the 20th century.

That club used by Hogan now resides in the U.S. Golf Association Museum as one of its prized exhibits.

Iconic winners

Hogan would be near the top of any list of all-time great golfers, but call it coincidence, the best of the best have filled the honors board at Merion.

The 1916 U.S. Amateur was the first tournament for a 14-year-old Bobby Jones. He returned in 1924 to win the event, but his victory in 1930 is best remembered.

In the days before the U.S. Masters and PGA Championship, the majors were considered to be the U.S. and British Opens and the British and U.S. Amateur Championships.

Jones, the dominant golfer of his era, amateur or professional, arrived at Merion in September 1930 needing to win the U.S. Amateur to complete the set in the same calendar year.

In the 36-hole final, played to a matchplay format, he thrashed his unfortunate opponent Eugene Homans, watched by a massive crowd. A reporter labeled the feat as the "Grand Slam" -- a term which has stuck. It was to prove Jones' final tournament as he retired from competition aged just 28 to practice law, although he was the driving force behind founding the Masters at Augusta.

Olin Dutra won the first U.S. Open to be staged at Merion in 1934, Hogan's 1950 heroics have gone down in golfing folklore, while Nicklaus famously led the United States to victory there in the Eisenhower Trophy (the World Amateur Team Championship) in 1960.

His four-round total of 269 is considered one of the greatest displays in the history of the game, but when Nicklaus returned to Merion for the U.S. Open at the peak of his powers in 1971 he found Trevino barring his way to victory.

They both tied in 280 level par after four rounds on a course Trevino described as holding "a lot of trouble and with a lot of tall grass."

Few gave him much chance in the playoff, but with a round of 68 to Nicklaus' 71 he claimed his second U.S. Open and his words "had beaten the best" giving him the belief he "really belonged" in very elite of golf.

David Graham claimed the fourth staging of U.S Open at Merion in 1980 and was in awe of his place in golfing history, becoming the first Australian to win the tournament.

"Bobby Jones won there, Trevino, Hogan won there and then this little kid from Australia comes along and wins," he told CNN.

Hogan phoned him after his victory and they had lunch. "He liked international players, he congratulated me on winning. It was cool," Graham said.

Anyone for cricket

Coming from Australia, Graham would acknowledge that while golf is a popular sport, cricket is a national obsession as it is in England -- the two battling for supremacy for the famous Ashes.

When the original Merion club was founded in 1865 -- a playground for the rich society elite of Philadelphia -- the British influence was still strong, so cricket was the chosen sport for the country club setting, while tennis also became popular.

In 1896, a golf club was formed from the membership and a course built on existing grounds.

The Merion East Course came later -- completed in 1912 and built on land acquired near Ardmore.

It was designed by one of the club's members, Scotsman Hugh Wilson -- who had never done such a job before.

Scottish roots

He went back home to find inspiration from Scotland's famous coastal links courses, and it was he who introduced the wicker baskets.

North Berwick Golf Course, near the border of England, has a strong resemblance to Merion, particularly the 15th and 17th holes.

The style of the bunkers is also different from that commonly found in the United States and according to Trevino are devilishly difficult. They are nicknamed the "white faces of Merion" and with good reason.

"The Scottish-type bunkers are unbelievable because you think you might be in the bunker, then all of a sudden you're in the lip of it and you can't find your ball, I mean it's hiding in there!" Trevino told CNN.

Trevino believes that despite its short length by modern standards, the combination of the bunkers, small greens and forbidding rough will leave Tiger and co. with a very real test.

"That'll be the toughest little 7,000-yard golf course you'll ever see."

Lunch tee

One of other challenges facing the players will be the unusually close proximity of the dining patio to the first tee.

Nerves jangling at the start of an important round, the players can almost hear the tinkle of cutlery and glasses as the members tuck in to some fine cuisine.

"It almost feels like you're teeing off in a carport because the first tee is just outside the door there," Trevino said.

"That's the way all the courses used to be. If you go over to Scotland and if you shank a ball out of a bunker, then you'll break the biggest window in the world in a dining room.

"That's the way they built it -- they had a lot of property, they didn't waste it. Now you're building golf courses on 500 acres and nine holes covers five miles!"

Merion, hosting the U.S. Open for the fifth time, takes up a mere 120 acres.

All about tradition

As Trevino and others have suggested, it is a course absolutely dripping with traditional influence and none more so than the clubhouse, which was once a farmhouse.

Players will use a changing room full of big metal lockers and period features.

Photos and old scorecards adorn the walls and there is a massive trophy case -- appropriate for a club which has hosted more USGA events, 18 in all, than any other in the United States.

The last was the 2009 Walker Cup amateur competition, where the likes of Rickie Fowler helped the United States to victory over Great Britain and Ireland.

Once on the course, players and caddies will have to do without yardage markers, while golf carts are prohibited even for members.

Graham has nothing but praise for the work of the club in preserving its culture and heritage.

"They've done such a superb job with their museum, they're very cognizant of the club's tradition and they do what Augusta National does. At all costs they protect the integrity of the club," the 67-year-old said.

"Certain (U.S.) Opens, like the one at Pebble Beach, is a little special and certainly the Open at Merion was special, especially for me."

Doubtless, whoever writes their name into the roll of honor under 2012 U.S. Open champion Webb Simpson will take away similar thoughts and join a list of special greats.

@highlight

Merion is renowned as one of the finest golf courses in the world

@highlight

Legendary players have won important tournaments on the inland links

@highlight

U.S. Open venue is famous for its wicker basket flags

@highlight

Strong Scottish influence in the design of the East Course