ATLANTA, Georgia (CNN)  -- Chicken nuggets. Sandwiches. Pizza. Baseball games. Play-Doh. These are some of the basics of childhood that could prove deadly to my 4-year-old son, Teddy.

Teddy took his first sip of milk in 2005, triggering a strong allergic reaction as seen in this family photo.

Teddy has food allergies that can cause anaphylaxis, a deadly condition that can cut off his breathing.

He has to steer clear of milk, eggs, wheat, peanuts and tree nuts -- even places like baseball stadiums where peanut exposure can't be avoided.

We found out about Teddy's allergies partially through trial and error and then through allergy testing when he was 18 months old, and we didn't want any more missteps.

Now our job is to try to prevent contact with those foods until he either outgrows them or he becomes old enough to police himself.  Watch what we go through to protect Teddy »

Our vigilance starts before food even enters the house. When we are in the grocery store, we have to read every label to see if the food contains something harmful.  See tips about living with food allergies »

We'll get all the way through one of these and be thinking, "hurray!" and then see "caramel coloring" and have to put it back. There's still enough wiggle room in food labeling, apparently, to not have to list what's in that -- often milk -- or what's in "natural flavoring."

Devil in the details

And just because a food item was OK last week doesn't mean the recipe hasn't changed. And just because the package looks right doesn't mean you've picked up the right package.

I was in a hurry when I picked up rice cheese in December, so I didn't carefully read the label. Teddy saw the cheese when I was unloading the groceries and asked for a slice -- and then another.

Although the cheese looked like our regular vegan cheese without milk, it was an almost identical package that contained milk protein.

Teddy ended up in a hospital emergency room with hives all over his arms, legs, tummy and back. His nose was running and he was drooly. He got a shot of epinephrine before he could develop breathing problems.

It's a harsh reminder that we can never let down our guard.

Once we get food into the house, we try to label it. We have stickers, or we use markers to warn away from giving a particular product to Teddy. Labels aren't enough for baby sitters. We set out a bin of "Teddy safe" snacks.

School: Lots of cupcakes, no Play-Doh

School is tough, too. The macaroni necklaces my 8-year-old daughter Catie once made for me in pre-K were charming. Who would think that something so simple could make another kid very sick?

There's no Play-Doh. It can have wheat in it. Same for papier-mache. Teddy's pre-K teachers are great -- they contact us for alternative suggestions when their lesson plans include food products. But it can be exhausting.

Every month, it seems, there is another "holiday" at school. And all seem to be connected to food celebrations.

Every time other parents send food in, we have to worry about whether Teddy will be safe. I try to always be the "cupcake mom," because I can make cupcakes without milk, eggs or wheat that still taste good. (Even the teachers fight to get them.) When someone else brings cakes, I try to find out in advance so I can make a Teddy-safe alternative. If there is no warning, the school has a bin of Teddy-safe snacks.

Challenges in the kitchen

I try to cook mostly Teddy-safe food at home. The first reaction many people have to hearing of Teddy's allergies is a dumbfounded, "What does he eat?"

There are actually many foods that are OK for him: meats, vegetables, fruits and most grains. We just don't often get the chance to use convenience foods.

I have alternatives for meatloaf and tacos that work OK. But sometimes I just want to make pasta for the family. I know that I could just make rice pasta for everyone. But, frankly, it's about three times the price and doesn't taste as good.

So I have to be careful. I can't use the same spoon to stir both.

And even when I'm draining the pasta, I have to remember that if I don't drain the rice pasta first, I have to use two colanders. So I try to keep that straight.

This is why it's nearly impossible for us to get Teddy food at a restaurant. It's very easy for a contaminated utensil to be used in the kitchen without us knowing. And that would be after getting the restaurant staff to show us labels from all food items.

This month, we will be meeting with some staff members at Teddy's new elementary school, where he'll be entering kindergarten in August. When we start a new school or new situation, it's always an anxious time. We're going to talk with the school nurse and cafeteria manager about strategies to keep Teddy safe.

Teddy will need a classroom as free from danger as possible, and that can be an issue.

As soon as we talk about not having peanut products in his classroom, some people think we don't want their kids to have peanut butter sandwiches for lunch. No, we just want peanut products eaten only in the cafeteria.

In the lunchroom, Teddy can be watched so that if peanut butter touches him or milk is spilled on him, he will be decontaminated as quickly as possible.

(If milk touches Teddy, he gets hives -- he doesn't even have to ingest it. This is a lot different from "lactose intolerance," which some people confuse with a milk allergy. Lactose intolerance produces gastric distress for someone. A milk allergy can be life-threatening.)

We'll probably post signs the way we've done at his day cares and preschool, showing him in reaction to an allergen and listing what action to take.

Fears of budget cuts

We're hoping that the school nurse doesn't fall victim to budget cuts, because that is our emotional safety net right now. We're comforted by the thought of someone with anaphylaxis experience being close to Teddy.

It's all part of the constant vigilance, doing our best to keep him safe.

If we'd been handed a list of Teddy's allergies when he was freshly born at the hospital, I think we'd have been overwhelmed.

But we found out a bit at a time, and we've been dealing with it now for more than three years. Despite some bumps, Teddy's been able to survive our stumbles and thrive.

@highlight

Teddy, age 4, has food allergies that, left untreated, can cut off his breathing

@highlight

1 to 2 percent of children suffer from food allergies, according to experts

@highlight

Eating chicken, pizza, peanuts -- even going to baseball games -- can be deadly

@highlight

Teddy's mom describes how this affects his lifestyle, at school and home