(CNN) -- In D-Town on business and looking for the best places to eat, drink, sleep and squeeze in a bit of play?

This mini-guide highlights the best of the best.

Tackle them all and they might just make you an honorary Texan.

Fastest, most comfortable airport transport

Whether you're headed uptown or downtown, Premier Transportation gets you there in style.

The city's largest car service, it handles an average of 250 airport drop-offs and pick-ups a day.

Its fleet of 70-plus late-model sedans, vans and more is always stocked with a newspaper, bottled water and a professional driver.

Premier has its own smartphone app, which not only lets you make and manage reservations, but also texts you a few minutes prior to your pick-up time with a picture of your driver, the vehicle's license plate, and the car's GPS coordinates so you can see in real time exactly how far away it is.

Premier Transportation, +1 214 351 7000

Rooms with views

One of the hippest hotels in town is The Joule, located in a landmark 1920s building refashioned by award-winning designer Adam D. Tihany.

The hotel opened six years ago, but it's already undergone a $78 million expansion that's helping breathe new life into the central business district.

The view from the rooftop pool -- part of which hangs out over the street below -- is grand, but the telescope in Room 2001 allows guests a picture-perfect perspective as well.

The gift shop, TENOVERSIX, is a great place to pick up a gift for loved ones back home.

Elsewhere, a Lone Star state-size makeover has reinvigorated the W Dallas-Victory, infusing it with cowboy chic decor and amenities like gadget docking stations and rainforest showers.

Its 33 stories overlook the American Airlines Center and other Victory Park hotspots, which can best be seen from the six Cool Corner rooms, the five Wow Terrace Suites and the Extreme Wow Suite (which even has a foosball table).

On the burgeoning South Side, the NYLO Dallas South Side is set in a former Sears warehouse dating to 1911.

All guestrooms feature artistic details like exposed brick walls, high ceilings and concrete floors.

For unobstructed views of the Dallas skyline, from the Trinity River to the Texas Star Ferris wheel, you should ask for a Deluxe Double Queen on the north side of the hotel, or any of the 12 suites, particularly the top-floor Lifestyle Suite.

The Joule, 1530 Main St.; +1 214 748 1300; from $299 per night

W Dallas-Victory, 2440 Victory Park Lane; +1 214 397 4100; from $288 per night

NYLO Dallas South Side, 1325 S. Lamar St.; +1 214 421 1080; from $140 per night

Best meals

When thinking of fine dining in Dallas, it's impossible not to think of Abacus.

Helmed by four-time James Beard nominee and "Iron Chef America" winner Kent Rathbun, the five-star dining room showcases a melding of Southwestern, Mediterranean and other cuisines in meticulously prepared dishes that are difficult to choose between.

A "hands-down" favorite, says Rathbun, is the Comanche Buffalo Tenderloin.

"People eat it and say to me, 'I'll never eat beef tenderloin again.' They absolutely love it. We also use a lot of Texas quail, which is so plump and delicious and doesn't taste gamey at all."

Of course, you can't go to Texas without scarfin' some barbecue.

One of the top places in town to get your fill is Pecan Lodge, which got its start as a modest stand at the Dallas Farmers Market but has since grown so popular it recently moved to a much larger space in Deep Ellum.

Co-owner Justin Fourton recommends bringing friends along and ordering the Trough -- a gut-busting smoked-meat sampler that serves four to five people.

Other favorites are the fried chicken (a recipe from Fourton's wife's grandmother) and the Hot Mess, which he describes as a "giant sweet potato stuffed with barbacoa, chipotle cream, cheese, green onions and crumbled bacon."

Abacus, 4511 McKinney Ave.; +1 214 559 3111

Pecan Lodge, Deep Ellum, 2702 Main St.; +1 214 748 8900

Unique clothes

Dallas is to shopping what Vegas is to gambling.

The mecca of merchandise is definitely the flagship Neiman Marcus store, which opened in downtown Dallas more than 100 years ago.

Neiman's famed personal shoppers are on hand to help you sift through the nine stories' worth of stuff in search of that perfect purse or pocket square to fill out your closet.

Highland Park Village is another must-stop spot for savvy shoppers.

The quaint, tree-lined complex has been catering to well-heeled consumers since 1931 and has more than 60 boutiques -- from Anthropologie to Alexander McQueen.

It also has personal shoppers who can help harried travelers in need a quick wardrobe fix (airline lost your luggage?) and even has on-site tailoring.

Neiman Marcus; 1618 Main St., +1 214 741 6911

Highland Park Village, 47 Highland Park Village, +1 214 443 9898

Best photo ops

Want to nab a "Like"-worthy Dallas pic that will make your Instagram followers -- and your boss who sent you there in the first place -- wish they'd come along on the trip?

The newly opened pedestrian-only Continental Avenue Bridge offers a panoramic view across the Trinity River, past the spectacular Margaret Hunt Hill Bridge, and into downtown, with its stunning skyline.

Another great place to focus your lens is White Rock Lake.

Less than 15 minutes from downtown, this pretty reservoir, with nine miles of paved trails, is popular among runners, bikers, sailors and the like, and the sunsets here are perfect.

Plus it's proof positive to naysayers that there's more to Dallas than skyscrapers and malls.

Dallas Continental Bridge, 109 Continental Ave.; +1 214 671 9500

White Rock Lake, +1 214 670 8740

Where to experience the heart of the city

Dallas isn't exactly known as a walking city, but there's at least one area where a leisurely stroll will deliver you to a host of delicious dining options, exciting galleries and museums, indoor and outdoor music venues, family-friendly play areas and more.

Spanning 19 contiguous blocks, the Dallas Arts District is the largest urban art district in the country.

Here you'll find everything from the Nasher Sculpture Center, housing one of the most prominent collections of 20th-century contemporary sculptures in the world, to the Perot Museum of Nature and Science, with 180,000 square feet of interactive exhibits.

Dallas Arts District, between Woodall Rogers Freeway and Ross Avenue; +1 214 744 6642

Buying souvenirs

Want to avoid making that cheesy, last-ditch airport purchase of a T-shirt or snow globe to signify your stay?

The Gypsy Wagon is an adorable Henderson Avenue shop full of clothing, accessories and housewares with a Southern twist.

The quirky inventory includes everything from Mason jar shot glasses to gold necklaces in the shape of Texas. The Pony Booties ($228) draw raves for their fashionable twist on the traditional cowboy boot.

Inside the Omni Dallas Hotel, The Collections gift shop stocks items by Dallas artisans, including scented candles and bath salts, sterling silver tableware, original artworks and custom-made bicycles.

The pewter salt and pepper shakers ($165) in the shape of longhorn steers are a fun keepsake.

The Gypsy Wagon, 2928 N. Henderson Ave.; +1 214 370 8010

Omni Dallas Hotel, 555 S. Lamar St.; +1 214 744 6664

Former longtime Dallas resident Jill Becker is a travel writer now based in the Atlanta area.

@highlight

The rooftop pool at The Joule juts out over the street below

@highlight

The NYLO Dallas South Side hotel is set in a former Sears warehouse dating to 1911

@highlight

White Rock Lake has nine miles of paved trails for joggers and bikers

@highlight

Dallas' art district, spanning several blocks, is the largest art district in the United States