(CNN) -- As the family of a late Kansas City Chiefs linebacker pursues a lawsuit against his former employer, claiming that effects of multiple concussions caused Jovan Belcher to kill his girlfriend and himself, we are left to consider a larger legal question: How liable can a negligent employer be for a suicide?

Emile Durkheim, the French social psychologist of the early 20th century, observed:

"Each victim of suicide gives his act a personal stamp which expresses his temperament, the special conditions in which he is involved, and which, consequently, cannot be explained by the social and general causes of the phenomenon."

Culturally, we have long-viewed suicide as the most personal of decisions. The law has mostly followed suit.

Legally, suicide is like murder in that it's a specific-intent killing. There are many degrees of intent in criminal law, and specific intent is the highest level. It means the killer acted intending the specific outcome -- the death of the victim.

The only practical difference is the inherent complication in prosecuting the completed suicide. Your defendant is also your victim, and in any event, he is no longer subject to the state's jurisdiction. So then how can we suggest that Belcher's employer negligently caused him to do the most independent, intentional act of all?

The legal question is better framed like this: Negligent parties are generally liable for all the harm that is foreseeably caused by their negligence. When a person is negligent, it means they undertook some activity, and their conduct fell below a standard of care in performing that activity. Sometimes, however, a defendant can act negligently, but the subsequent harm to another person is caused by a completely independent intervening cause. This will break the original chain of causation, absolving the defendant of liability.

Suppose, for example, the Chiefs were found to be negligent as to Belcher. (The team hasn't commented on the lawsuit.)

Belcher's body exhumed for brain study

Suppose the plaintiff proves all their allegations and then some: Imagine an e-mail surfacing where the team president knowingly and mockingly writes after reviewing medical evidence of concussions: "Time for some concussions in Kansas City!" To which another executive, aware of the potential harm to players, writes: "Is it wrong that I'm smiling?" Of course, no such evidence is known to exist.

But suppose Belcher's family can also show that he suffered concussions and emotional problems as a direct result of the (fictional) team officials' negligence. But then imagine that Belcher's death was actually caused by an errant bolt of lightning in the parking lot. That bolt of lightning -- an "act of God" -- would be considered something unexpected that was wholly unrelated to his employer's negligence. None of us would expect the Chiefs to be liable for Belcher's death by electrocution in this hypothetical.

So what about the alleged murder committed by Belcher? Could the Chiefs be liable? Traditionally, an unforeseeable, willful criminal act that intervenes between the negligent act and an intentional killing breaks the causal connection.

Similarly, courts traditionally held that suicide was an "independent intervening cause," so that there was no liability for negligence that resulted in a suicide. But the times are changing. The recent trend is to permit these cases if the plaintiff can "prove" that the negligence caused the suicide.

This development appears completely inconsistent with centuries of jurisprudence. But it may be very consistent with the current direction of our culture: holding others responsible for our own behavior.

In Missouri, a wrongful death plaintiff has the burden to show that the decedent's death was "a direct result" of a defendant's negligence. More specifically, if the plaintiff can show that the death was the "natural and probable consequence" of the injury that the defendant caused by his negligence, then the plaintiff can win.

Now, this is no easy case to make and likely would require expert medical evidence to draw a scientific relationship between one man's carelessness and another's suicide. Fortunately for the Belcher family and plaintiffs at large, Missouri courts acknowledge that the science, like the law, is increasingly on their team.

According to Missouri courts, modern psychiatry supports the idea that suicide sometimes is a foreseeable result of traumatic injuries. And if a qualified expert takes the stand and tells a jury that, to a reasonable degree of medical certainty, a concussion directly caused a suicide, well that jury has something on which to hang a verdict.

We shouldn't be shocked. After all, as a society we've been tinkering with holding people responsible for another's suicide for some time now.

In New Jersey in 2012, Rutgers student Dharun Ravi was convicted of invasion of privacy and more than a dozen other charges by using a webcam to peek (into his own room, that he would have had an absolute right to walk into at any time) at his roommate Tyler Clementi.

When Clementi learned of the immature and cruel prank, he was upset. In gauging Ravi's responsibility, we should have considered the "natural and probable consequence" of Ravi's juvenile acts on Clementi. We should have asked: what would we have expected Clementi to do in this instance? Perhaps we'd expect him to sucker-punch Ravi. Maybe we'd expect Clementi to fling Ravi's laptop out of their dorm window.

But can any of us say the "natural and probable" consequence of Ravi's stunt was Clementi's suicide?

The clever reader will point out that Ravi was not prosecuted for the death of Clementi, and that is true. But let's face it: The main reason Ravi was in criminal court was because Clementi committed suicide. Ravi was prosecuted because of the independent act of a very upset young man. (Clementi's family decided not to file a lawsuit and instead to focus on working with The Tyler Clementi Foundation to support gay and lesbian youths.)

We're entering a new cultural era. Now, when a tragedy occurs, heads must roll, no matter what. Now that appears to include suicide, that most personal, independent decision to end one's own life. Our mind may tell us that the deceased is the only party liable for his suicide. Our grief, however, speaks louder, and it calls out for retribution.

Modern jurisprudence appears to join in the public sentiment; we are moving toward the idea that for every tragedy, every social wrong, every inequity, that someone must be held responsible. Perhaps it's socially cathartic, or perhaps we are devolving to our bloodier Coliseum days, where we are sated as long as a lion eats someone. Even though it goes against centuries of legal precedent, cases such as Ravi's and other civil cases are suggesting a cultural sea change.

When someone commits suicide, it's someone else's fault.

The opinions expressed in this commentary are solely those of Danny Cevallos.

@highlight

Family of Jovan Belcher sues team, says concussions led him to kill girlfriend and himself

@highlight

Danny Cevallos: Traditionally, law has declined to hold others responsible for a suicide

@highlight

Suicide and murder are acts that might be caused by many different things, he says

@highlight

Cevallos: Society and the law are beginning to accept others can be blamed for suicide