(CNN) -- He's perhaps the most powerful and popular politician Turkey has seen in generations. But Prime Minister Recep Tayyip Erdogan may also be the most polarizing.

And now, the man who boasts economic and political accomplishments during 10 years in office is fending off complaints from large crowds of protesters that he's turning into a "dictator."

"The only thing that we want," said one of the thousands packed into anti-government demonstrations in Istanbul, "... we want him to resign."

The editorial board of The Washington Post said Erdogan "is offering unfortunate proof that it is possible to be both elected and authoritarian."

His accomplishments in office include unprecedented economic growth in Turkey.

"Erdogan has been a key part of that success. He has vision, drive, and his supporters united around him and push for the agenda he is building," said Tim Ash, head of emerging markets for Standard Bank.

The prime minister has also spearheaded political reforms that brought Turkey more in line with the European Union -- and closer to the West.

Despite economic boom, Erdogan targeted by protests

Under Erdogan and his ruling AKP party, Turkey lifted curbs on public expression of religion, including strict limits on women wearing Islamic-style headscarves. And he's made significant progress in ending the 30 years of guerrilla war with Kurdish separatists.

Erdogan is an important ally of the United States and President Barack Obama, and a key political player in efforts to resolve the crisis in Syria.

But along the way, critics say, he has steadily accumulated more and more power and shown growing intolerance of dissent.

With his term set to end next year, Erdogan has repeatedly announced plans to transform the country's political system from a prime ministerial form of government to a more powerful presidential system, with himself as head of state.

Many journalists say press freedoms in Turkey have declined under his rule. Reporters Without Borders says Turkey "is currently the world's biggest prison for journalists, especially those who express views critical of the authorities on the Kurdish issue."

Erdogan rejects the accusations against him.

"I have nothing to say if they call the person who has committed himself to serving his nation a dictator," Erdogan said in a televised address.

Opinion: Is Turkey on the verge of a meltdown?

Demonstrators say otherwise. "He has a big ego; he has this Napoleon syndrome. He takes himself as a sultan," said Yakup Efe Tuncay, a 28-year-old demonstrator who carried a Turkish flag in Gezi Park, ground zero for the protest movement.

"He needs to stop doing that. He's just a prime minister."

Others have different complaints about Erdogan.

Many secular Turks complain that the Islamist-rooted government is intolerant of criticism and diverse lifestyles, as evidenced by the recent enactment of tight restrictions on the sale of alcohol, Fadi Hakura, manager of the Turkey Project at the London-based think tank Chatham House, said in a CNN.com column.

Critics also complain about rapid urbanization and its effects on the environment, an issue that helped spark the initial protests in Gezi Park.

Erdogan has made clear he expects to hold on to power. The protests, he says, will not prove to be a "Turkish Spring," a reference to the Arab Spring that brought regime changes in several nations.

Staunch supporters continue to stand by him.

"He's a man's man," said Cengizhan Safi, a resident of Kasimpasa, the Istanbul neighborhood that Erdogan grew up in. "We love him a lot because he's a Muslim Turk and because he's from Kasimpasa."

Safi added that he and others don't take the protesters seriously. "Because they are the minority. We are already the owners of this country."

Erdogan has said that if he wanted to mobilize his supporters on the streets, he could bring out huge crowds. But many in the region speculate that he's losing support.

As such suggestions have surfaced on social media, Erdogan slammed Twitter for helping people spread "lies." Social media, he said, "is the worst menace to society.''

While it's unclear how the protests will affect his future, he's not new to being the subject of controversy.

In a 2011 online poll fueled by Turkish social media sites, more people picked Erdogan to be Time's Person of the Year than any other candidate. But at the same time, more people voted against the idea than for it.

As Time put it, Erdogan was simultaneously the poll's "most- and least-favored Person of the Year."

CNN's Gul Tuysuz and John Defterios contributed to this report.

@highlight

NEW: PM Recep Tayyip Erdogan is "a man's man," and protesters "the minority," a supporter says

@highlight

Erdogan is powerful and polarizing

@highlight

Critics say he has accumulated more and more power and shown intolerance of dissent

@highlight

His accomplishments include unprecedented economic growth