Maharashtra, India (CNN) -- Sister Shakila Shaikh works round the clock. Twenty-four hours a day, seven days a week.

She says she only takes one day off each year during the Muslim festival of Ramzan. "I have to be here," she says, showing us her modest two-room health clinic in India. "The women of this village need me."

Nurse Shaikh is part of a community of health workers leading the battle against malnutrition in Ahmednagar, a poor district in the western state of Maharashtra.

Back in 2006, Maharashtra fared poorly in the Indian government's National Family Health Survey. The India-wide report showed that 40% of Maharashtra's children were underweight, an indication of general malnutrition.

"Data speaks," says Rajalakshmi Nair, Health and Nutrition specialist at UNICEF. She says it's a shame that a country that has grown economically has made very little progress when it comes to looking after its children.

Despite two decades of robust economic growth, levels of malnutrition in India remain alarmingly high. According to the 2011 Hunger and Malnutrition survey conducted by the Nandi foundation, 42% of Indian children under the age of five are underweight. That's more than Sub-Saharan Africa. The Indian Prime Minister Manmohan Singh says it is a "matter of national shame."

Vandana Krishna heads the Nutrition Mission of Maharashtra. She agrees that levels of malnutrition across India are very worrying but firmly believes the small steps being taken in the region will make a big difference.

Following the 2006 report, the Maharashtra state government teamed up with UNICEF to launch a new initiative that focuses on the first 1,000 days of a child's life -- starting in the womb. Krishna says this is the period when children are most vulnerable. But she adds, "It's also the window of opportunity. If you catch them at that age and address malnutrition and give them the right nutrition, the right childcare, some love and attention, then we can tackle this issue."

That's exactly what a team of health workers is trying to do across Maharashtra. Nurses like Sister Shaikh handle the early days. At her clinic, Sister Shaikh regularly holds counseling sessions during which she tells pregnant women what to eat and how to experience a healthy pregnancy.

Many of the women who come to her clinic are poor and illiterate. They used to have lots of misconceptions about pregnancy, says Sister Shaikh. For example, they would not take any vitamins because they would worry that pills would make the baby too big, leading to a difficult childbirth. "I started telling them, take your vitamins and folic acid tablets. Don't worry. Your body knows its limit. The baby will grow accordingly."

She tells us she's delivered 96 babies since April this year. All of them were above 2.5 kilograms. Not a single one was underweight.

Sister Shaikh continues counseling women for a few months after they give birth -- then, a team of anganwadi workers takes over. Anganwadi means courtyard in Hindi. Typically, a government-run anganwadi will provide children with a range of facilities -- pre-school, counseling, basic health care and meals -- around a central courtyard.

The anganwadis are playing a crucial role in fighting malnutrition in Maharashtra. At the center we visit, anganwadi workers check the height and weight of children twice a week and are constantly on the lookout for children who are stunted or underweight.

"My main goal is to keep the children healthy, both mentally and physically," says Hemlata Babasaheb Bagul who has been an anganwadi worker for 10 years.

One of the 24 children she looks after is moderately underweight. At two years and 11 months, Bagul tells us Sai should weigh 12 kilograms. She weighs 10.3 kilograms. So Bagul has got Sai's mother involved. She's told her what to feed the child and when to give her meals. She's also advised her to stock a low shelf with nutritious snacks such as peanut balls to that Sai can help herself whenever she's hungry.

Timely intervention likes this appears to be making a difference in Maharashtra.

Krishna says she's awaiting results of a state-wide survey on nutrition levels but tells CNN that early data shows malnutrition in children has halved in Maharashtra since 2006.

The key, she says is to focus on the first 1,000 days of a child's life -- and to find a few local heroes like Sister Shaikh.

@highlight

2006 report showed that 40% of Maharashtra state's children were underweight

@highlight

Despite India's two decades of economic growth, malnutrition remains alarmingly high

@highlight

Maharashtra working with UNICEF on program that focuses on first 1,000 days of child's life

@highlight

Government-run anganwadi provide schooling, counseling and basic health care