(CNN) -- U.S. Secretary of State Hillary Clinton and foreign ministers from more than a dozen countries met Monday to discuss how to rebuild Haiti after the devastating January 12 earthquake.

Haitian Prime Minister Jean-Max Bellerive also attended the one-day meeting of the Friends of Haiti group of nations in Montreal, Quebec. The United Nations, International Monetary Fund, World Bank and European Union also sent representatives, according to Canada's Foreign Ministry.

In Haiti, desperate residents of Port-au-Prince, the capital, waited for two hours in lines around the heavily damaged Presidential Palace to get their first relief supplies, bags of rice or beans. U.N. troops brandishing automatic weapons kept order.

Any spilled food prompted fast scavenging by those hanging around the distribution point. One woman, Via Maria Rosile, took off her shirt to collect a small pile of dropped beans.

Watch images of a shattered palace

"I am very unhappy," Rosile said. "So far, until now we have received nothing."

The aim of the Montreal meeting is to develop a strategy for early recovery and longer-term reconstruction of Haiti. Once the strategy is set, a donors' conference to secure funding would take place.

Clinton told reporters traveling with her to the meeting that the donors' conference would take place in "the next 30 to 60 days."

"There's a tremendous desire to help, but we've got to create the mechanisms so that it can be done effectively, and we've got to get the Haitian government's capacity to lead put together," she said.

Canadian Prime Minister Stephen Harper told the meeting's attendees that the challenge is enormous.

Interactive map:  Where to find aid

"It is not an exaggeration to say that 10 years of hard work awaits the world in Haiti," he said, according to CNN affiliate CTV, a Canadian television network.  He noted the initial outpouring of money and relief aid for Haiti, which he called generous in the face of human catastrophe.

"The difficulty we face, then, is not one of concern but rather one of coordination," Harper said. "We must ensure that every resource committed -- every relief worker, every vehicle, every dollar -- is used as effectively as possible."

The United States has committed $100 million in emergency aid to Haiti, and Clinton said Monday "there will be more to come."

At the same time, Clinton noted to reporters that even before the quake, Haiti had an economic development plan worked out with the United Nations and others that was intended to modernize the economy after decades of political and social instability. The earthquake required a revision of the plan, rather than scrapping it entirely, she said.

"It was a legitimate plan. It was done in conjunction with other international donors, with the United Nations," Clinton said. "And I don't want to start from scratch, but we have to recognize the changed challenges we are now confronting."

Bellerive, in comments at the meeting reported by CTV, also said Haiti must achieve a new development path rather than simply returning to the same situation that existed before the earthquake.

"What we are speaking about is relaunching our country on a path of development. It is not a question of going back to the status quo," he said, according to CTV.

Port-au-Prince will have to be rebuilt and public institutions decentralized to meet the needs of the hundreds of thousands of Haitians expected to relocate to rural areas, CTV reported Bellerive as saying.

In addition, Monday's meeting provided an opportunity for the donor community, the Haitian government and the United Nations to review progress so far in the delivery of humanitarian assistance to Haiti.

A senior European diplomat, speaking on condition of anonymity to reporters in Washington, said the countries attending the Montreal meeting want to avoid pouring money into Haiti in ways that previously have yielded little result.

Priorities might include agriculture, reforestation and building new roads, with projects carried out in coordination with the Haitian government, according to the diplomat.

The diplomat also said France is ready to host a donors' conference on the Caribbean island of Martinique.

A spokesman for the Saudi Arabian Foreign Ministry said Monday that the nation donated $50 million to Haiti for relief aid. The spokesman, Usama al-Nugali, said the money has already been received by the United Nations.

Monday's meeting came as Haitians reacted with anger and frustration to news that efforts to rescue possible survivors had been called off.

Looking for loved ones in Haiti

Thousands of people pushed Sunday for rescue efforts to continue after a 24-year-old man was pulled alive from rubble Saturday, 11 days after the earthquake. He had no injuries, but was dehydrated. His brother said he had survived on cookies and beer from the store of the Hotel Napoli Inn, where he worked. He is recovering in a hospital.

Families of Americans who were staying at the Hotel Montana started an online petition Saturday in an effort to get search efforts to continue "until all the survivors are accounted for."

As of Sunday morning, 2,395 people had signed the petition and sent 6,216 messages to the Senate, Congress and the White House, said Sue Keller, a friend of a family whose relatives are among the missing.

So far, 59 Americans, including three children, are confirmed dead in the magnitude-7.0 earthquake, the U.S. State Department said Monday.

The deaths include one U.S. embassy employee, previously identified as Victoria DeLong, and three children of embassy employees, according to Assistant Secretary of State P.J. Crowley.

Another 37 Americans are presumed dead, Crowley said.

About 11,500 Americans and some of their Haitian family members, who had medical emergencies or other circumstances, have been evacuated from Haiti, according to Crowley.

The Haitian government has said the earthquake is believed to have killed at least 150,000 people.

Tired of stench, Haitians torch bodies in plaza

The rescues that occurred over the past week sparked hope among families of the missing. International search teams have rescued at least 132 people, the United Nations said.

More than 600,000 people have been left homeless in and around the capital, Port-au-Prince, the U.N. Office for the Coordination of Humanitarian Affairs said.

CNN's Jill Dougherty, Mohammed Jamjoom, Elise Labott and Lisa Desjardins contributed to this report.

@highlight

U.S. has committed $100 million in aid to Haiti, with more to come, Clinton says

@highlight

Ten years of hard work needed to rebuild Haiti, Canadian PM tells meeting

@highlight

Top officials from more than a dozen countries meet in Montreal on Monday

@highlight

Families of the missing fight Haiti's effort to shift from rescue to recovery mode