(CNN) -- The first time I met Nelson Mandela was almost exactly 20 years ago. It was my first week in the Clinton administration and I had joined a trip to South Africa with my boss, Commerce Secretary Ron Brown. South Africa had yet to complete its transition to representative democracy, yet to put the stain of apartheid behind it. But the transformation had started.

A reception was held for our delegation and Mandela was present. Charismatic, preternaturally graceful and dignified, he quietly chatted with each member of the group, posing for photos, smiling. One can only imagine how discordant his new role as hero and dignitary and certain future president was with his fairly recent past as a prisoner. But on a rolling green lawn in an elegant setting, he was the still center of the universe for all present. This father of change seemed to embody the unchanging, the enduring.

I stood to the side, not wanting to get between him and the visiting CEOs and dignitaries. After a while, he and Brown seemed to notice that I was at the edge of the gathering, clearly shy. They exchanged a word or two and then Ron beckoned me over. He introduced me to Mandela and for just a few minutes the three of us spoke. This would be a better story if I remembered a word of what was said. But I don't. I just remember that Mandela took the time, made the connection, seemed to listen to what I was saying and that at the end of it all, he said, "Thank you for coming to South Africa."

The notion of him thanking me for anything, even as a polite gesture, was absurd. Of all the leaders I have known in my life, and it has been my good fortune to meet quite a few, none conveyed leadership as effortlessly.

While he had yet to achieve his apotheosis -- the moment when the old South African regime ended and he, its onetime victim, was elevated to preside over a new, hopeful, incomparably more equitable era -- even by the time I met him, he had achieved a unique status on the world stage. He had made his remarkable journey and achieved victory in his nonviolent way. He had entered history and hearts worldwide. He didn't need an election to lead his people. He simply led. He inspired.

But there was something more. Mandela was a great symbol, but he was elevated further still by a particular moment in the history of the planet.

Seven years earlier, in the Philippines, Corazon Aquino had led the People Power Revolution that ousted the Marcos regime. Three years after that, people crowded Tiananmen Square and sent the unmistakable message that China must change. They were put down, but their spirit so endures that the memory of their uprising still galvanizes the Chinese people and puts fear in the heart of many in the Chinese leadership.

And just a few months after that the Velvet Revolution toppled the Communist regime in Czechoslovakia. Elsewhere throughout the former Soviet Union, pillars of its strength were crumbling and by 1991, that onetime superpower had fallen.

Mandela had been released from prison in February 1990. Imagine the upheaval in those years. The unshakable had been shaken. The unbreakable had been broken. Those whose power seemed unassailable had been deposed by those who had moments earlier seemed powerless.

Mandela was the avatar of an era that reminded us that history is made by men and women of courage and that it can dismiss in the blinking of an eye all that seems unchanging.

Mandela is a symbol of resistance to apartheid. He is a father to his country. But he was also a powerful symbol of the times in which he lived. He was hope incarnate. He was a message to all those brought down by injustice that no matter what the odds, no matter how impossible ultimate victory may seem, not to give up.

Today, many lament the injustices and grave errors of these times. Growing inequality. Enduring racism. Insensitivity to the frailties of our planet. Oppression of countless groups, simply because of ethnic origin or religious beliefs or because they are women. We are frustrated that our governments seem to have lost their ability to govern. We worry that we are unable to rise to the challenges of our moment.

And so in the death of Mandela comes yet another of his gifts to the world: a reminder not only of what he did but of the stunning changes that swept the world in the time of his triumph. It is a coda to a great life, a reminder to cast aside resignation and defeatism and know that great hearts do exist. And they sometimes do make the impossible happen.

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

David Rothkopf met Mandela after he was freed from prison

@highlight

He says Mandela was unique in achieving victory in a nonviolent way.

@highlight

But he also was symbol for a time of challenges to power

@highlight

Rothkopf: Mandela was the avatar of an era in which the 'unchangeable' could change