(CNN) -- In accepting the Nobel Peace Prize last year, Yemeni activist Tawakkol Karman thanked women of the Arab world for her medal. Without their struggle to win equal rights, she would not be there, she said.

The greatest challenge in that quest is not religion but the lack of economic and social development and a dearth of perceived security, said a Gallup Poll released Monday.

"The idea that coming in with a secular liberal social program as the solution to fixing how societies view women isn't supported by the evidence," said Dalia Mogahed, executive director of the Gallup Center for Muslim Studies.

She said the women in the Middle East have very much the same priorities as women in America. They want to lead prosperous lives.

"The research shows that human development and overall education and economic empowerment are the most important interventions we can make to help women's rights," Mogahed said.

Mideast women beat men in education, lose out at work

The Gallup report urged policymakers to allow Arab women's own priorities to guide efforts at gender equality.

Gallup conducted multiple surveys of 1,000 people each time in Egypt, Bahrain, Syria, Tunisia, Yemen and Libya.

The data was collected between 2009 and 2011, before the the escalation of violence in Syria this year. In Libya, the surveys began in February 2010 and were restricted to eastern cities and did not include Tripoli.

The survey found that both women and men rate their lives worse now than it was before the Arab Spring but believe they will be better in five years. The exception was in Egypt, where women and men rated their futures higher now than under Hosni Mubarak.

A majority of women in Arab nations said they should have equal legal rights and equal access to education and employment. A majority of men, though smaller, agree, Gallup found.

The biggest divide was in Tunisia, where 87% of women and 59% of men say women and men should have the same legal rights, "which is surprising because it is often hailed as the most progressive Arab state on gender issues," Gallup said.

Also surprising, perhaps, was that Arab women were as likely as their male counterparts to favor sharia or Islamic law as a source of new legislation.

In Egypt, where the once-banned Muslim Brotherhood dominated parliament before it was dissolved, women and men expressed similar support for Islamist parties and movements.

"The current fear of the rise of Islamists is important and we need to address that," Mogahed said. "So we attempted to look at how women feel about religion. There isn't a gender divide."

The Gallup report said male employment and education are linked to more progressive views of women's rights and how men view the role of religion in society had no correlation to their views on gender equality.

Among Arabs who said religion is important, 69% supported divorce initiated by a wife. Among those who did not consider religion important, only 49% supported such divorce.

However, Arab women differ on religion depending on where they are, Gallup found. In Egypt, women are more likely to support an Islamist candidate, for instance, than women in Tunisia, which for years has been a secular state.

Dalia Ziada, who heads a policy research center in Cairo, believes gender equality has to come from political leadership.

What's next for women in the Middle East?

"Women's rights will change from the top down. It will not change from grassroots up," said Ziada, executive director of the Ibn Khaldun Center for Development Studies.

"It's a grassroots movement that has been calling for freedom an economic rights but it did not call for women's rights," she said of the revolutionary movement in Egypt.

She agreed that economic prosperity and education are top priorities for Egyptian woman but the main challenge for women is to become an essential part of the decision-making process.

Ziada spoke from experience.

The 30-year-old activist and blogger marched in the Tahrir Square protests that ousted Hosni Mubarak, but when she ran for parliament last fall on the liberal Justice Party ticket, her male colleagues refused to let her head the ticket, which meant her chances of winning votes were lower.

They told her a woman could not win many votes, she said. She lost the election.

"Men don't envision democracy with women in it," said Ziada. "They say, go back home. It's not your time yet."

Gallup said a third of the protesters in the Egyptian revolution were women but many, like Ziada, feel left out of the nation's transition to democracy.

But Ziada, an observant Muslim, said she remains optimistic that the new president of Egypt will enact policies that empower women.

"That is the only way out," she said.

Some of the transitional Arab governments have recognized women's participation in fomenting change.

The Gallup survey said Tunisia required half of each party's electoral list to be made up of women in last fall's constituent assembly election. Women hold nearly 25% of the seats.

The poll also raised another troubling issue for Arab women: safety.

Women in all the countries surveyed said they feel less safe to walk alone at night after the revolution. The most significant drop was in Tunisia where 78% of women said they felt safe before the overthrow of Zine El Abidine Ben Ali and only 30% said they were safe last fall.

Women in Egypt have reported being sexually assaulted while protesting on the streets and there were accusations of rape and sexual violence used by Libyan dictator Moammar Gadhafi's forces during that country's rebellion.

"The greatest barrier to women's participation in public life may be their perception of lack of safety and respect," Gallup said.

Ziada said she feels scared to be in crowds in Cairo.

"Sexual harassment is real problem that has been happening in Egypt for so long," she said.

The Gallup report urged national leaders to address the perceived lack of safety "to help increase women's confidence to participate in all aspects of life, including politics."

In her Nobel speech, Karman, had addressed many of the issues raised in Gallup's survey.

"The solution to women's issues can only be achieved in a free and democratic society in which human energy is liberated, the energy of both women and men together," she said.

"Our civilization is called human civilization," she said, "and is not attributed only to men or women."

Who are Middle East's most influential women?

@highlight

A new Gallup poll finds Arab women have the same priorities as women in America

@highlight

Economic and social development are key to gender equality

@highlight

A perceived lack of safety is also a stumbling block for women's participation

@highlight

Women are just as likely as men to favor legislation based on sharia or Islamic law