(CNN)For years, Warren Weinstein's family frantically searched for details about his whereabouts and pushed for his release.

His wife said she was still searching for answers Thursday after U.S. officials revealed the 73-year-old American aid worker had been accidentally killed in a U.S. drone strike targeting al Qaeda.

"We were so hopeful that those in the U.S. and Pakistani governments with the power to take action and secure his release would have done everything possible to do so, and there are no words to do justice to the disappointment and heartbreak we are going through," Elaine Weinstein said in a statement. "We do not yet fully understand all of the facts surrounding Warren's death, but we do understand that the U.S. government will be conducting an independent investigation of the circumstances."

Gunmen abducted Weinstein in 2011 from his home in Lahore, Parkistan. They posed as neighbors, offered food and then pistol-whipped the American aid worker and tied up his guards, his family said.

Just a few months after Weinstein's capture, al Qaeda leader Ayman al-Zawahiri released a recording claiming the terror group was holding Weinstein -- and demanding, among other things, that the United States end airstrikes in Pakistan.

U.S. officials called for his release but repeatedly said Washington wouldn't bargain with al Qaeda.

Weinstein -- a husband, father and grandfather from Rockville, Maryland -- was 73 years old when he was killed, according to a family website detailing information about his case.

He worked in Pakistan as a contractor for the U.S. Agency for International Development from 2004 to 2011, the website says. His employer, Virginia-based consulting firm J.E. Austin Associates Inc., described him as a world-renowned development expert.

"Warren spent his entire life working to benefit people across the globe and loved the work that he did to make people's lives better," his wife said Thursday.

He loved the Pakistani people and their culture, she said, learning to speak Urdu and doing "everything he could to show his utmost and profound respect for the region."

As he announced Weinstein's death Thursday, U.S. President Barack Obama praised what he said was Weinstein's lifelong dedication to service, first as a Peace Corps volunteer and later as a USAID contractor. Weinstein, Obama said, was someone who "willingly left the comforts of home to help the people of Pakistan," focusing his work on helping families escape poverty to give their children a better life.

"This was a man who basically dedicated his life to service, to people in general, but especially to people in a country where the standard of living was low and difficult. ... It's tragic that he was killed the way he was," former U.S. Ambassador Dan Simpson said.

Simpson met Weinstein in 1968 when they were both working in Burundi -- Simpson as a diplomat and Weinstein as a scholar researching several books.

Weinstein "was a very kind person," Simpson said, "and someone who was very sensitive to the needs of the people who he worked with."

Another hostage was also killed in the January operation, Italian aid worker Giovanni Lo Porto. U.S. officials knew they were targeting an al Qaeda compound in the Afghanistan-Pakistan border region in the January counterterrorism operation, Obama said, but they didn't know that the hostages were also there.

Both Lo Porto and Weinstein were people who "believed passionately" that they could make a difference, Obama said.

"There could be no starker contrast between these two selfless men and their al Qaeda captors," Obama said Thursday. "Warren's work benefited people across faiths. Meanwhile, al Qaeda boasted to the world that it held Warren citing his Jewish faith."

Weinstein's health had been deteriorating, Obama said. Last year daughter Alisa Weinstein told CNN her father suffered from a heart condition and severe asthma. But it was still an optimistic time for the family.

That month captors released U.S. Army Sgt. Bowe Bergdahl, and that buoyed hopes from Weinstein's family that he could also be freed.

"They have shown with this exchange that they can get this done. If they want to, they can do this," Alisa Weinstein said at the time. "So I know that they can do it for us and they can do it for others."

But a prisoner swap never happened for Weinstein, even though his family pushed for one.

Al Qaeda released a video of Weinstein on Christmas 2013. He appeared gaunt and said he was suffering.

"Needless to say, I've been suffering deep anxiety every part of every day, not knowing what is happening to my family and not knowing how they are and because I am not with them," Weinstein said in the video.

At the time, a former colleague and friend said his appearance in the video was jarring.

"Quite honestly, I didn't recognize him in the picture," Laurie Wiseberg told CNN. "He has changed so dramatically from the person he used to be in terms of appearance and I would hope something could be done so he has a chance to be reunited with his family, his wife, his children and grandchildren, and not have to die in a foreign country far away from those he loves."

At the time, The Washington Post also reported that it had received a letter from Weinstein. The letter, which was also posted on the website of the SITE Intelligence group, described his background doing human rights work.

The letter said that before becoming a consultant in 2003, Weinstein had worked as a college professor at the State University of New York - Oswego, as a Peace Corps country director in Togo and Ivory Coast and for USAID and the World Bank.

"I hope that the media can mount a campaign to get the American government to actively pursue my release and to make sure that I am not forgotten and just become another statistic," the letter said. "Given my age and my health I don't have time on my side."

Weinstein's wife's statement on Thursday thanked some but also blasted the governments of the United States and Pakistan for not doing more to help her husband.

While Maryland members of Congress -- Rep. John Delaney, Sen. Barbara Mikulski and Sen. Ben Cardin -- and members of the FBI were "relentless" in efforts to free her husband, she said others in the U.S. government were "inconsistent and disappointing over the course of 3½ years."

"We hope that my husband's death and the others who have faced similar tragedies in recent months will finally prompt the U.S. government to take its responsibilities seriously and establish a coordinated and consistent approach to supporting hostages and their families," she said.

Pakistani government and military officials also should have done more, she said.

"Warren's safe return should have been a priority for them based on his contributions to their country, but they failed to take action earlier in his captivity when opportunity presented itself, instead treating Warren's captivity as more of an annoyance than a priority," she said. "I hope the nature of our future relationship with Pakistan is reflective of how they prioritize situations such as these."

But ultimately, she said her husband's captors are the ones responsible for his death.

"I can assure you that he would still be alive and well if they had allowed him to return home after his time abroad working to help the people of Pakistan," she said. "The cowardly actions of those who took Warren captive and ultimately to the place and time of his death are not in keeping with Islam and they will have to face their God to answer for their actions."

Opinion: Could Weinstein have been saved?

CNN's Elise Labott, Jim Sciutto and Pamela Brown contributed to this report.

@highlight

Warren Weinstein's wife says the family is still searching for answers

@highlight

Officials say Weinstein and another al Qaeda hostage were accidentally killed in a U.S. drone strike

@highlight

Gunmen abducted the USAID contractor from his home in Pakistan in 2011