Guatemala City, Guatemala (CNN) -- The two top candidates in Guatemala's presidential race are headed for a runoff after tallies Monday revealed neither had secured enough votes to win the election.

Otto Perez Molina, a retired army general who pledged to take a tough stand on crime, garnered the most votes in Sunday's elections.

With almost all of the ballots counted Monday night, Perez Molina had 36% of votes -- far short of the more than 50% needed to win outright. His closest competitor, businessman Manuel Baldizon, had 23% of votes, said Guatemala's election authority.

Observers from the Organization of American States criticized Guatemalan election officials' apparent disorganization and slow vote-counting after Sunday's election, the state-run AGN news agency reported. The watchdogs said they hoped the process would improve in the second round of voting, scheduled for November 6.

Dealing with widespread violence and the growing threat of organized crime figured heavily in the campaigns of all 10 candidates vying for the presidency.

Baldizon championed a crime-fighting plan called "Security Now!"

Campaign posters for Perez Molina, who led in polls before Sunday's election, featured a clenched fist.  The 60-year-old retired general pledged to bring a "mano dura" -- firm hand -- to Guatemala's highest office.

In a debate co-hosted by CNN en Español last month, Perez Molina called for "elite units of the army" to play a larger role in the nation's battle against gangs and drug cartels.

But that proposed approach -- and Perez Molina's high rank in the military during Guatemala's decades-long civil war -- worries human rights groups both in Guatemala and abroad.

"These groups have begun questioning his military past and his participation in the war against the insurgents during the armed conflict. Undoubtedly, this issue will be present during his presidency if he wins the elections," said Miguel Castillo, a political analyst at Guatemala's Francisco Marroquin University.

Concerns stem from the fact that the Guatemalan military committed multiple atrocities during the civil war, though Perez Molina has never been directly implicated in any of them, Castillo said.

Perez Molina is campaigning for president for a second time. He was defeated in 2007 by incumbent President Alvaro Colom.

"We would have liked to win in the first round, but we are prepared with a revision of plans and strategy to face the second phase of this electoral process," he said early Monday, according to AGN.

First-time candidate Baldizon, 41, also said he was ready for the next round, AGN reported. The businessman and attorney, who is running under the banner of the Leader Party, has energized young people.

His campaign slogan was "Only the people can save the people."

The youngest of all the candidates, Baldizon espouses a concept he calls "renewed democratic liberty" in which all members of society have a role to play in seeking solutions to common problems.

"In order to change Guatemala, we need a president who's really committed to our nation, with a calling for service, and who truly wants to change Guatemala," Baldizon said.

Poverty is endemic in Guatemala, and the country has one of the worst crime rates in Latin America. Forty-three percent of children under 5 are chronically malnourished. And the murder rate last year was 42 per 100,000 people -- one of the highest in the world.

In a Vox Latina national survey in July, more than two-thirds of Guatemalans said violence was the issue that concerned them most, far outpacing the combined totals for the economy, unemployment, poverty and lack of education.

This is only the fourth time that Guatemala has held presidential elections since peace accords were signed in 1996, officially ending a civil war that devastated the Central American country for 36 years. The conflict left more than 100,000 people dead and a million refugees.

The new president will take office in January.

CNN's Fernando del Rincon, Rafael Romo and Arthur Brice, and journalist Patzy Vasquez contributed to this report.

@highlight

Retired Gen. Otto Perez Molina gets the most votes, but must face a runoff

@highlight

Businessman Manuel Baldizon is poised for a second-place finish

@highlight

The Organization of American States criticizes slow vote-counting

@highlight

Dealing with widespread violence has figured heavily in the campaign