(CNN) -- New Jersey, one of the bluest states and where President Barack Obama won 58.3% of the vote in November's presidential election, is poised to re-elect Chris Christie, the state's incumbent Republican governor, this fall.

Having been deeply engaged in New Jersey politics since his youth, Christie seems to relish his role as one of the nation's most powerful and prominent governors. Yet many are wondering whether Christie's popularity in the Garden State has come at the expense of his presidential prospects.

Mitt Romney, for example, decided not to run for re-election as governor of Massachusetts in the 2006 race, sensing that the steps he'd need to take to achieve political success in his left-leaning state might doom his prospects with the more conservative national Republican primary electorate in 2008.

Christie, in contrast, has spent a great deal of time and energy winning over New Jersey voters who had once dismissed him as a loudmouth ideologue. Has Christie made a serious miscalculation that could doom his prospects for national office? Or is he savvier than his critics understand?

A year ago, conservative activists were enthralled with Christie, who had gained a national following for his quick wit and his combativeness in taking on his state's powerful public employee unions. Even after the Republican primaries were underway, a number of GOP stalwarts hoped that Christie would jump into the presidential race, despite that he was still in his first term as governor.

Part of Christie's appeal was that as the hard-charging Republican chief executive of an overwhelmingly Democratic Northeastern state, he had the potential to scramble the electoral map.

While the GOP fares well in rural areas and in the suburbs of the South and the Mountain West, the party has taken a beating in the big cities and suburbs of the coasts ever since the rise of Bill Clinton. Christie's common-sense conservatism, however, had managed to win over skeptical voters in one of the country's densest and most diverse states.

But in recent months, Christie has lost some of his luster on the right.

His keynote address at the Republican National Convention was widely viewed as a disappointment, with many suggesting that it had focused too much on Christie's biography and accomplishments rather than the virtues of the Romney-Ryan ticket. And in the wake of Superstorm Sandy, which devastated large stretches of New Jersey's coastline, the governor was fulsome in his praise of Obama's response, giving the embattled incumbent a crucial boost in the days before the election.

Most recently, Christie excoriated House Speaker John Boehner and congressional Republicans for having failed to vote on a Sandy relief bill that promised tens of billions of dollars in aid to his beleaguered constituents. Christie's crossing of party lines has struck at least some of his erstwhile conservative admirers as disloyal in the extreme.

Avlon: Chris Christie drops bomb on GOP leaders

At the same time, Christie's decisions to distance himself from the House GOP and to stand shoulder-to-shoulder with Obama have greatly strengthened his reputation in New Jersey, where his approval rating hit 77% late last year according to a Fairleigh Dickinson University PublicMind survey.

After having been one of the state's most polarizing political figures, Christie has been embraced by a growing number of Democrats, many of whom have come to see him as a bipartisan problem-solver. Indeed, Christie's political standing reportedly helped convince Cory Booker, the popular mayor of Newark, New Jersey's most populous city, to abandon his plans of running for governor in 2013.

Louis: GOP civil war over Sandy disaster relief

Assuming Christie wins re-election this year, which is far from a foregone conclusion, he has one powerful asset going forward in national politics: The Republican brand has suffered a great deal in recent years.

In a survey conducted by the firm Edelman Berland, voters were asked to compare Democrats and Republicans across a number of brand attributes.

An overwhelming majority of respondents chose the Democrats as the party that "cares about people like me," "offers a hopeful vision" and "focuses on issues that matter to me." If a Republican presidential candidate is going to win in 2016, she or he will have to overcome this deficit. Leading Republicans such as Sen. Marco Rubio of Florida and Gov. Bobby Jindal of Louisiana have made an effort to talk about issues of interest to middle-income voters, an area in which Republicans have been sorely lacking.

Yet Christie's willingness to distance himself from congressional Republicans gives him added credibility in selling himself as "a different kind of Republican," and it is reminiscent of the strategy pursued by then-Texas Gov. George W. Bush, who was sharply critical of congressional Republicans for their willingness to cut anti-poverty programs.

It is not obvious that a "kinder, gentler" Republicanism will fare well in the primary process come 2016, but it is a shrewd way to differentiate oneself from a primary field in which most challengers will be competing to demonstrate their conservative bona fides. And more to the point, a Republican nominee who manages to convey a softer, most centrist image will have a much easier time winning the next general election. That could be Christie's long game.

The opinions expressed in this commentary are solely those of Reihan Salam.

@highlight

Chris Christie has been taking steps that could offend conservatives in GOP

@highlight

Reihan Salam: The governor's actions strengthen his popularity in blue-state Jersey

@highlight

On the surface, he says, Christie's moves would seem to harm his presidential chances

@highlight

Salam: Christie's moves may be shrewd since GOP brand is tarnished