(CNN) -- Col. Kevin Brown stood tall and proud and often ventured "outside the wire" with his soldiers in Baghdad. Under the sizzle of the Iraqi sun, I watched him meticulously pin medals on their uniforms.

When he retired in 2011, he walked the Appalachian Trail to clear his head and began a tough Ph.D. program in security studies at Kansas State University. A stellar military career in hand, Brown had his life on track. Except for one thing.

He harbored an emptiness within, the kind that rushes in after a hard-fought, 15-month combat tour ends. He felt responsible, still, for the lives he touched at war.

One of them was a girl named Noor al-Zahra Haider.

He'd wondered all these years what had happened to the child his soldiers helped save. He sought out people who might have an answer -- Army buddies, journalists and an Iraqi sheikh he'd befriended in the neighborhood where Noor used to live. But no one knew.

He finally connected with her Wednesday through a package from America. The goods were donated, but they were delivered to Noor's home in Baghdad largely because of Brown's efforts.

Viewers write in to help Iraq's 'miracle baby'

For Noor, crippled by spina bifida, it's a gift that is sure to bring relief. She received a new wheelchair and other things to help her cope with her disability.

For Brown, it means fulfillment, closure -- if there is such a thing -- to one part of his life at war.

Since his encounter with Noor almost seven years ago, Brown's uneasiness had festered. Then in March, on the 10th anniversary of the start of the Iraq War, Brown saw a CNN story about Noor. I had journeyed back to Baghdad to find her.

He watched the accompanying video, incredulous that the 3-month-old baby he knew was now 7 years old. He was relieved, excited even, that she was alive. He cried. He laughed.

He could not get the headline -- "The Unfinished Miracle of Baby Noor" -- out of his head. The word "unfinished" gnawed at his soul; that sense of responsibility hung heavy.

"I hope that you might consider keeping me informed of anything you learn from here forward," Brown told me in a message after finding me on Facebook. "It would help me help my soldiers keep knowing that if they did any one thing right in Iraq, it was saving a little girl's life.

"I personally struggle with what I can do as an individual and will offer my services -- as a champion, with money, as a connector -- in any way within my means."

I was embedded with Brown's soldiers when they discovered Noor, then only 3 months old, during a raid on her family's house in the city of Abu Ghraib a few days before Christmas 2005. She'd been born with a severe form of spina bifida, a spinal cord defect that was certain to kill her. The medical treatment she needed was not available in war-ravaged Iraq.

The soldiers wanted to shuttle her out of Baghdad for the critical care she needed. When I spoke with Brown a few days ago, he recalled how he had stood at brigade headquarters at Camp Liberty and made his case for why the U.S. Army should help send an Iraqi baby to America.

Iraq, 10 years later: A people in need

One child matters, he said.

He spoke on behalf of his soldiers. They saw Noor as a tangible act of goodness amid the chaos of Iraq.

Brown was persuasive. Noor boarded a C-130 transport plane with her grandmother and father and came to Atlanta, where doctors successfully operated on her.

She became known to the world as Baby Noor. Her smile enthralled everyone who saw her on television screens and newspaper pages. She was labeled Iraq's miracle baby.

After six months, in June 2006, she was returned to Baghdad, where life is not easy for anyone and even less so for a poor family caring for a child with special needs. Surgery saved her life, but Noor was paralyzed from the waist down. She couldn't walk or go to the bathroom by herself. Doctors said it would always be that way.

Her family also paid a price for their association with Americans -- Noor's father says he was abducted by men linked to al Qaeda. They accused him of spying and demanded a stiff ransom.

I'd not seen Noor since 2008. In February, I returned to Baghdad to find her. She was no longer the smiling, chubby baby I remembered. She'd grown into a frail girl who rarely smiled. Sadness blanketed her face.

Her family feared for her future. They did not have the means to have her examined by specialists. They were running out of medical supplies such as catheters. Noor was susceptible to urinary tract infections and often complained of headaches -- doctors had inserted a shunt to drain the fluid that collected in her brain.

What would happen to her as she grew older? No one would marry a disabled woman in Iraq, her aunts said. Noor's grandfather begged for help.

She might have had a semblance of a normal life here in the United States, where she could have had access to advanced urological care and the comforts of life. But in Baghdad, long after the Americans left Iraq, Noor was struggling to survive, to even feel joy.

Readers responded to Noor's story and sent in donations to Childspring International, an Atlanta-based Christian charity that sponsored Noor's stay in the United States in 2006.

With some of the money, Childspring purchased a two-year supply of catheters, laxatives, books, crayons, pencils, teddy bears, toothpaste and a pediatric wheelchair with gel pads, foot rests and adjustable handles. For Noor, it would be like upgrading to a BMW after years of driving a rundown Chevy.

Iraq newsmakers: Where are they now?

But the organization had no contacts in Baghdad. How would it get all the stuff there?

That's when Brown stepped in. As a retired Army officer, he had connections with people in the U.S. Embassy. Within days USAID's Iraq Access to Justice Program and the Iraqi Alliance of Disabilities Organizations were involved. CNN staffers, who knew where Noor lived, helped take the shipment Wednesday to the family home in southwest Baghdad.

Noor's grandfather, Khalaf Abbas, was thankful for the wheelchair and supplies. Among those he named was "Mr. Brown."

In the context of Iraq, the gift for Noor is not big. It is but a blip in a story of war that is overflowing with sorrow and loss.

But for Noor's family, it was a sign that those who had given her a chance at life had not forgotten her.

"We know now that you are not going to leave us," Abbas said.

No one ever doubted that saving Noor's life was a good thing. But was there any thought put into what would happen afterward to her and the family? Should she have been brought to America and then returned to a place like Iraq, where medical care was next to nothing and where her family paid a price for accepting help from Americans?

I asked Brown the same question I had asked his soldiers who were involved with Noor's journey to America.

"Was it the right thing to do?"

"Unequivocally, yes," he replied.

He and his soldiers didn't just save a life that day. They'd saved a life that continued.

"You know that scene in 'Saving Private Ryan' that is cut across the beginning and the end of the movie?" Brown asked me a few days ago on the phone.

I know the one, I tell him. It's the scene when an aging Ryan kneels down at the grave of his captain, who he'd served alongside in the thick of battle. Before he died, the captain had said to Ryan: "Earn this."

Reflecting on those words and the price that was paid for having saved his life, Ryan turns to his wife of many decades and asks: "Am I a good man?"

It's a scene that gets Brown every time.

"I think we all want to be told that we were 'good men,' despite our personal flaws, foibles, failures, missteps and the overall funk of what that conflict in Iraq felt like, looked like and came across like to both us and the citizens back home," Brown told me.

"Perhaps the Noor story shines that light on a time when we were good men and earned our nation's respect whether they were looking or not ... whether they knew it or not, and it gives us some comfort amongst the shades of gray we experienced there."

For Brown and his soldiers who plucked Noor from her home all those years ago, the gift delivered this week represented a lingering desire to do something right in the end. So that the story of Iraq's miracle baby did not remain "unfinished."

Follow CNN's Moni Basu on Twitter

@highlight

Col. Kevin Brown had wondered about Noor, the Iraqi baby his soldiers helped save

@highlight

A CNN story about Baby Noor struck a chord with him

@highlight

Brown helped deliver donations from America for the disabled girl

@highlight

He did not want the "miracle" of Baby Noor left unfinished