Siem Reap, Cambodia (CNN) -- Maneuvering slowly through grassy Cambodian terrain, a caravan of 20 men and women is on a search-and-rescue mission. Dressed in military fatigues, they are guided by a fearless leader who calculates every step and ensures the safest path for his comrades.

It takes just minutes for the unit to confront the first of many hidden targets: a muddied 20-year-old land mine buried a few inches beneath the ground.

"This is an active land mine made from Russia. [If] we step on [it] ... it explodes and cuts the leg off," says Aki Ra, leader of the Cambodian Self Help Demining team. He and his group are working to make their country safer by clearing land mines -- many of which Aki Ra planted himself years ago.

Aki Ra, a Cambodian native who does not recall his birth year, was a child soldier during the communist Khmer Rouge regime, a genocidal crusade responsible for the deaths of an estimated 1.5 million Cambodians during the 1970s. He was raised by the army after being separated from his family during the internal conflict.

Around age 10, Aki Ra estimates, he was given a rifle that measured his own height. Soon after, he was taught to lay land mines.

For three years, Aki Ra worked as a mine layer for the Khmer Rouge. He then did the same job for the Vietnamese army that overthrew his village.

"I maybe planted 4,000 to 5,000 land mines in a [single] month," said Aki Ra, who says he's about 40 years old now. "We planted them all over the place."

Watch a slideshow of some young land-mine victims Aki Ra has helped

According to the Cambodian Mine Action and Victim Assistance Authority, an estimated 4 million to 6 million land mines were laid in Cambodia during three decades of conflict. The mines were planted to defend strategic military locations, target warring opponents and deny the use of roads.

"I had [bad] feelings, because sometimes we were fighting against our friends and relatives," Aki Ra said. "I felt sad when I saw a lot of people were killed. A lot of people were suffering from land mines. [But] I did not know what to do, [because] we were under orders."

Approximately 63,000 civilians and soldiers have been in accidents involving land mines and other explosive weapons, according to the Cambodian Mine Victim Information System. Nearly 19,000 of them were killed. Today, Cambodia reportedly has one amputee for every 290 people, one of the highest ratios in the world.

When the United Nations came in the early 1990s to help restore peace to Cambodia, Aki Ra saw an opportunity to begin undoing the damage he and others had done. He started training with the U.N. and helping them clear mines.

It was around this time he got the name he goes by today. He was born Eoun Yeak, but he was so skilled at clearing mines that his supervisors began comparing him to AKIRA, a heavy-duty appliance company in Japan. One reportedly commented, "He works just like an AKIRA." The name stuck.

Do you know a hero? Nominations are open for 2010 CNN Heroes

In 1993, one year after working with the U.N., Aki Ra decided to begin clearing mines alone.

"Some of the areas I was clearing were places where I used to plant mines before," he said. "I didn't have any equipment. ... I clear by knife, by stick."

For Aki Ra, this bare-hands technique "wasn't dangerous. It was easy."

But easy didn't mean legal. The method was not in accordance with international standards, which requires protective gear and other professional equipment. So in 2005, he went to the United Kingdom to receive formal training and accreditation.

In 2008, Aki Ra formed his nonprofit demining organization. Comprised of native Cambodians, it includes former soldiers and war crime victims. One of the workers is an amputee who lost a leg to a land mine.

"[Our] goal is to clear land mines in rural villages for the people who need the land for building houses or farming or building schools," Aki Ra said.

Aki Ra and his organization devote all of their donated funds to clearing Cambodia's rural "low-priority" villages. These villages, populated primarily by poor farmers, do not always receive first dibs for minefield clearance projects because of their remoteness and limited traffic. At times, they're completely overlooked.

"Villagers report land mines every day, and they ask us to destroy [them]," Aki Ra said. "The people are afraid of mines. Whether there are a lot of land mines or only a few, [we] still have to clear the area so that the people in the village can be safe."

Kuot Visoth, chief of Prey Thom village, was relieved when the team arrived in early July to clear his village.

"I know the area around the school has a lot of land mines, and I am afraid that when the children come to school and play, they will step on them, or the villagers' buffaloes grazing in the area would be killed," Visoth said.

Aki Ra estimates that he and his group have cleared more than 50,000 land mines and unexploded war weapons such as bombs and grenades. The Cambodian government says there are 3 million to 5 million mines still undiscovered.

Many of Aki Ra's recovered land mines and unexploded weapons are on display at a museum in Siem Reap. For $2, visitors can touch defused mines and bombs as well as AK-47 rifles and war uniforms.

"I had an idea to open a land mine museum to teach people to understand about war, land mines," he said. "Even though the war [is] finished, [these explosives] still kill people, and the land cannot be used."

Also at the museum is an orphanage that Aki Ra and his wife, Hourt, opened about a decade ago. Roughly 100 children, some injured by land mines, have been cared for over the years. The orphanage provides food and shelter for the children and sends them to public school.

"I brought them to the museum because I could provide them with [a] better situation," Aki Ra said. "If I didn't help them, they would have a very difficult life."

The orphanage's first resident, Sot "Tol" Visay, lost a leg to a mine. He was living on the street when Aki Ra was demining in his province. Aki Ra offered Visay a home, and Visay has spent the past seven years living there.

"This place has been very good to me," said Visay, now 21. "Mr. Aki Ra does not want anything from me. Instead, he encourages all people here to study, to gain knowledge."

Hourt died last year from a stroke, leaving Aki Ra to care for his three biological children and 27 orphans ages 10 to 20. Aki Ra is thankful to have caretakers, teachers, a chef and a driver who help look after the children during his demining missions, which can last up to 25 consecutive days every month.

"All the children living in my center I consider as my own children. They call me father," said Aki Ra, whose efforts in Cambodia will be highlighted in an upcoming documentary, "A Perfect Soldier." "I have told them about my personal life. They understand all about my history. I tell the children that they should study hard, do good acts and love each other."

Want to get involved? Check out the Cambodian Self Help Demining website at www.cambodianselfhelpdemining.org and see how to help. You can nominate a 2010 CNN Hero at cnnheroes.com.

CNN's Miranda Leitsinger and Tim Schwarz contributed to this report.

@highlight

As a child soldier for the Khmer Rouge, Aki Ra planted up to 5,000 land mines a month

@highlight

Now he goes into rural villages to find remaining mines and defuse them

@highlight

Aki Ra has also taken in about 100 orphans, some injured by land mines

@highlight

Do you know a hero? Nominations are open for 2010 CNN Heroes