Diane Butrym doesn't fit the stereotype of an eating disorder patient. She's a 51-year-old microbiologist and mother of two, not a troubled teen or 20-something, yet for the past decade she has struggled with bulimia.

Butrym's problem began in 2002, which was an eventful year for her.

That March she was diagnosed with breast cancer, and in October, after a successful course of treatment, she was struck by a car in a crosswalk on her way home from work, sustaining multiple ankle and knee injuries that required surgery.

She had always been slim and athletic, and exercise was her outlet for stress.

Sidelined with her injuries, Butrym began sharply restricting her calorie intake so she wouldn't gain weight, and before long she was binging and purging. The cycle started to feel addictive; it gave her much-needed pleasure and also eased her stress.

"I was really angry about what was happening, and I didn't know any other way of getting rid of my anger," says Butrym, who lives in Schenectady, New York.

Butrym's case is hardly textbook. Bulimia and anorexia tend to emerge during adolescence, not middle age, and the disorders are more prevalent among young people. Butrym may not be as exceptional as she seems, however.

In recent years, doctors and researchers have begun to look more closely at disordered eating in mid-life.

Despite the growing attention, experts say the problem is likely underreported, partly because adult women disguise behaviors such as purging, and partly because eating disorders typically aren't on the radar screen of doctors who care for this age group.

"Eating disorders are still in the closet to a large extent, especially for adult women," says Margo Maine, Ph.D., a clinical psychologist in private practice in West Hartford, Connecticut, who specializes in treating the disorders. "Adult women have such shame about admitting it."

Health.com: Are eating disorders a form of substance abuse?

How eating disorders differ in mid-life

Full-fledged eating disorders are rare at any age, affecting fewer than 3% of teenagers and 1% of adults at any given time, according to government estimates. (An overwhelming majority of cases occur in women.)

However, a smattering of data from around the world suggests the behaviors associated with bulimia and anorexia may be more common in mid-life than previously believed.

The most recent evidence comes from a survey of 1,849 women age 50 and up, the results of which were published last week in the International Journal of Eating Disorders.

Eight percent of the respondents reported purging in the previous five years, and 7% said their efforts to control their weight led them to exercise so much that it had begun to interfere with their daily functioning.

The survey, which was conducted online, isn't a reliable gauge of how common these behaviors are among adult women in the general population.

But the results do provide a glimpse into disordered eating in middle age that rings true with the growing anecdotal evidence, the researchers say.

"My gut says this is pretty on-target," says Cynthia Bulik, Ph.D., the lead researcher of the survey and the director of the eating disorders program at the University of North Carolina at Chapel Hill.

What's driving these women to purge or work out excessively? Although the survey didn't examine this question in detail, a majority of the survey respondents said they felt dissatisfied with their bodies -- a hallmark of eating disorders across all age groups.

Indeed, previous research suggests that many of the factors that underlie eating disorders in young people may contribute to similar problems in older populations.

According to a 2008 study in the Journal of General Psychology, the most common drivers include stress, depression, perfectionism, and social pressure to be thin, in addition to body dissatisfaction.

Health.com: How to help someone who's depressed

Butrym's story is unusual in that most middle-aged women with eating disorders do not become ill for the first time as adults, Mainesays.

But there is some evidence that certain stressful experiences that are more common in middle age -- such as divorce, the death of a spouse, or medical scares like Butrym's -- may help trigger, or reawaken, an eating disorder.

Weight gain and body changes related to aging likely play a role as well.

As menopause approaches, metabolism slows and estrogen production drops, causing shifts in fat distribution that can lead to a thicker middle, even for women who are eating healthy and exercising regularly. Most women gain eight to 10 pounds during the transition through menopause, which could aggravate any predispositions for disordered eating, Maine says.

An epidemic of body dissatisfaction

Women like Butrym who develop full-blown eating disorders may simply be the most extreme examples of a widespread fixation on body size among middle-aged women, Bulik's survey suggests.

More than 70% of the women in the survey said they were currently trying to lose weight, and 62% said they felt concerns about weight, shape, or eating had a negative impact on their life "occasionally" or "often." Forty-one percent said they scrutinized their body at least once a day -- by pinching their waist, for example.

Frustration with menopause-related weight gain, in particular, shone through in the answers to the survey's open-ended questions, Bulik says. "A lot of the women said, 'Who stole my waist? Where did my waist go?"

Health.com: Tips for eating healthy during menopause

Maine and Bulik agree that the pressures adult women face at home, in the workplace, and in society are probably making matters worse. The changes associated with menopause are perfectly natural, but they aren't always easy to reconcile with catchphrases like "30 is the new 50" or the day-to-day demands of modern life.

Many middle-aged women are juggling child rearing and work responsibilities, or caring for aging patients. That can leave little time for planning healthy meals or exercising, at a stage of life when the amount ofexercise needed to maintain one's weight -- let alone drop a few pounds -- goes up.

"As a culture, we live in a very, very stressful time, and for women this is even more so, because our roles have changed so dramatically," says Maine, coauthor of "The Body Myth: Adult Women and the Pressure to be Perfect."

"We have little time [and] few avenues with which to cope with the stress, and dieting and exercise abuse and weight loss are ritualistic ways for us to manage our stress."

The preoccupation with body size seen in the new survey can take a psychological toll even when it doesn't develop into an eating disorder.

Many women who took the survey reported feeling distracted and preoccupied by their weight and shape as they went about their everyday tasks, Bulik says.

An often-overlooked problem

Eating disorders are hard on the body, especially over a long period of time. They can be fatal, and even in less dire cases they can lead to serious heart problems, digestive problems, tooth decay, and osteoporosis, which is already a major concern for postmenopausal women.

"We're actually more concerned about the physical consequences for women as they get older, because their bodies just don't bounce back as well," Bulik says. "All of those systems start not being as robust as we get older. ... Add an eating disorder and the risk goes up."

Health.com: When eating healthy turns obsessive

The standard treatment for disordered eating typically includes psychotherapy, as well as counseling about nutrition and eating habits.

Women need to be proactive about seeking care, Maine says, since doctors -- and especially primary care physicians -- often overlook problematic eating behaviors in older women.

"There's really a lot of help available, but women have to find it," Maine says. "It's not going to come to them, unfortunately." A good place to start, she adds, is the National Eating Disorders Association.

Butrym sought treatment in 2003. She recovered, but her life stresses snowballed: She failed to receive workers' compensation for her accident injuries, and she wound up losing her job in a hospital lab.

She started purging again, and she has cycled out of inpatient and outpatient treatment since then.

Butrym is currently in recovery, and going back to school to study public health. "I'm excited about having a new career and having a new life," she says. "That's what recovery and therapy is all about, ... realizing and seeing that you're more important than that number on the scale, or the number of wrinkles you have. You have more to give people than that superficial life."

@highlight

Diane Butrym's eating disorder developed after she was diagnosed with cancer

@highlight

Butrym may not fit the stereotype of an eating disorder patient, but she's not exceptional

@highlight

Eating disorders still "in the closet" for adult women

@highlight

These women have said they feel dissatisfied with their bodies