New York (CNN) -- Last night, police raided and evicted protesters from the Occupy Wall Street site. This comes on the heels of recent police crackdowns on Occupy encampments all across the country. But if you think that's the end of the 99% movement, guess again. It's still just getting started.

To be clear, the Occupy camps are for the most part rigorously and passionately nonviolent and, incidentally, much cleaner than most would expect. But there are a few punks in the crowds, mixed in with some who have sought shelter in the camps who bring along struggles with mental illness or drug addiction. In other words, the 99% movement isn't violent; sadly, our society in general can be violent, and that violence seeps into even the most well-meaning spaces. And enemies of the middle class would use any ammunition they could find to attack the 99% movement and evict the protesters.

Nonetheless, the Occupy camps gave urgent birth to a movement that was long-gestating in the anger and frustration of ordinary Americans. Now that it's been kicked out of the house, it's time for the 99% movement to grow up.

Movements are, of course, always moving -- and so it's impossible to predict where they will go. But I expect a couple of key shifts in the coming weeks.

Judge orders New York to allow protesters, tents, in park

First, look for the 99% movement to move away from the "occupy" tactic. Holding public ground for public protests has captured the attention of the nation in a way few other protests ever have. But behind the scenes, protesters were increasingly worried that the problems associated with the camps are starting to outweigh the benefits. Plus it's getting damn cold out and, even in nice weather, the Occupy sites take a lot of energy to maintain.

No movement should be beholden to a limited set of tactics. The colonial Americans didn't just keep throwing boxes of tea into bodies of water.

The civil rights protesters didn't stop at sit-ins and bus boycotts. Similar to the "Move Your Money" campaign calling on the 99% to divest their checking and savings accounts from the top job-killing banks on Wall Street, I think we'll start to see more experimental tactics that draw on mass action and public engagement without necessarily being rooted in outdoor sleepovers. This will be messy at first, with many misses and few hits, but is an essential next step if the 99% movement is to continue.

Second, look for leaders to emerge. The Occupy camps have been fervent in their supposedly leaderless structures, frustrating critics and media observers alike. But, as keen analysts have observed, the 99% movement is, in fact, leader-full -- creating opportunities for everyday Americans who've felt cast out of the political process to find their voice and vision and work with others to achieve their goals.

The movement isn't anti-leadership but rather pro-leadership to the point where it's investing in building the power and skills of thousands of new leaders. Yet given the practical limitations to an entirely decentralized, consensus-based decision-making process (which, among other things, allows a few vocal yahoos in favor of property destruction to have too much sway), clusters of leaders will start to emerge in the struggle to define the movement's next phase.

But don't expect them to look anything like the "leaders" we're used to. Instead, they'll include single moms and construction workers and recent college graduates and homeless people. Because of who they are and the way they lead in the context of the larger movement, they will redefine our understanding of leadership.

Third, wait for factions to splinter. While we'd all love to keep holding hands and singing "Kumbaya," the reality is that as the 99% movement gets bigger, so do the stakes and various differences and divisions that once seemed trivial become impossible to ignore. The small minority within the protests who are eager to vandalize property and confront police will, let's hope, be sidelined and that their reckless acts will be seen as doing violence to the larger mission of the movement.

Of course, it would be great if these small factions could be educated and transformed, but the reality is that in every movement, left and right, there's a fringe and, ultimately, a moment where that fringe is no longer accommodated but rejected. The raids and evictions may be the impetus for this shift in the 99% movement.

Whatever happens next, it's clear that the movement to make our economy and political system work for the 99% has barely completed the first 1% of its long and vital journey. You can evict protesters, but you can never evict a growing idea.

The opinions in this commentary are solely those of Sally Kohn.

@highlight

Despite crackdowns, the Occupy movement is just getting started, says Sally Kohn

@highlight

Look for the movement to shift away from the "occupy" tactic, Kohn predicts

@highlight

Kohn: Watch for leaders to emerge, despite the movement being "leaderless"

@highlight

The movement's violent fringes will probably soon be sidelined, says Kohn