London, England (CNN) -- With only days to go before the U.N. High Level Panel puts forward its recommendations on development goals beyond 2015, after the current Millennium Development Goals expire, progress towards gender equality and increased empowerment of women hangs in the balance. It is vital that this issue does not slip down the global agenda but retains its rightful position as one of the key, stand-alone development goals.

The current goals contain a specific commitment to women's equality and empowerment, which has -- while not perfect -- succeeded in putting the subject firmly on the global map, giving impetus and strength to organizations working in this field, in their relations with governments, their ability to push against cultural barriers, and their capacity to raise funds for their work.

That's why we've seen some progress in recent years. More girls are going to school, and the gender gap in formal education is closing in the majority of countries. In some areas such as North Africa and the Middle East, more women than men are enrolled in tertiary education, but women have yet to catch up in political representation, technology, access to capital and management skills, to name but a few examples.

In the discussions that are taking place about what will replace the Millennium Development Goals post-2015, there are voices arguing for abandonment of this stand-alone commitment to women's equality, in favor of a more generalized commitment to tackle 'inequality.' Were these voices to carry the day, the negative effect on progress towards gender equality would be substantial, but crucially it would also undermine the cause of reducing 'inequality.'

This is because improving the status of women is crucial to tackling the very inequalities that it is suggested the new goals should focus on. Whether it's making sure that children have access to education or health care, or bringing in more income for the family, so many of these core development goals are primarily delivered by women. Women are on the road to becoming drivers of their economies, running businesses, and creating jobs and opportunities within their communities and beyond.

According to the World Bank, we need to create 600 million jobs globally by 2020, mainly in developing countries, just to keep up with population growth. But we will inevitably fail to achieve employment targets unless many more women have economic opportunities. The more power they have, the more they can deliver.

I have seen for myself how women's financial independence delivers benefits to their families and to wider society. On a recent trip to Israel and Palestine, I spoke with some women entrepreneurs and asked them what they spent their money on and they said their families. On educating their children and taking care of their health.

On investing back into their businesses and hiring additional employees. Not one had spent the income on themselves.Families, communities and economies suffer when women are treated as unequal to men. Furthermore, without female role models for future generations of women, progress will not just stall -- it will reverse.

Leveling the playing field -- where women and men have equal chances to become economically, socially and politically active, make decisions, and shape policies -- is likely to lead over time to more representative, and more inclusive, institutions and policy choices and thus to a better development path. In order for us to achieve real progress in development, gender equality must be a standalone goal.

I am not alone in this view. There are many others who have been calling for the same for months. The OECD has called for women and girls to be front and center in the post-2015 framework.

The Gender and Development Network has convened 85 of the UK's leading development NGOs and gender experts to ensure women's empowerment is promoted in the next framework.

Their most recent report argues that the next framework must tackle the underlying causes of gender inequality to achieve sustainable change. U.N. Women have called for a goal that includes issues specifically about women, such as eliminating violence against women and girls, expanding women's choices and opportunities, ensuring their full participation in decision-making at all levels, and including targets and indicators that specifically relate to women.

As the High-Level Panel on Post-2015 Development issue their recommendations, we must keep up the pressure. Women are at the heart of every family. They are the mothers, the carers, the managers, the peacemakers. But they can deliver so much more. As we look ahead to a new framework, we cannot afford to let gender equality slip off the world agenda. Our future depends on it. Give women equality of opportunity and the rest will follow.

@highlight

With Millennium Development Goals to expire, U.N. High Level Panel will meet to discuss post-2015 goals

@highlight

Cherie Blair wants gender equality to remain on U.N. global development goals

@highlight

She argues progress has been made, but more must be done to combat inequality