Vancouver, British Columbia (CNN) -- Heroin, cocaine and amphetamines are the kind of street drugs you expect to find in the shady corners of any city, hiding away from the glare of law enforcement.

But in one small space in downtown Vancouver addicts openly inject their fixes -- as medics watch on.

This is InSite, North America's only legal safe drug injection center. A banner outside reads "InSite saves lives."

It's a facility where drug addicts can bring and use their drugs and not risk arrest.

Some of the addicts line up two or three times a day to use one of the 12 injection booths.

One of the first users of the day is Steve. The center opens at 10 a.m. and then runs steadily for 18 hours until 4 a.m. Approximately 800 people use the booths every day.

Steve gives his alias to the receptionist -- all InSite users have an official alias to protect their identity -- and moves into the injection room.

He takes a seat and calmly begins to prepare his hit of heroin. He uses the clean needle and sterile equipment provided by InSite.

The white powder is mixed with water in a spoon, gently heated with a candle, before being drawn into the syringe, and injected into the inside of Steve's elbow. It's not for the squeamish. There's quite a lot of blood.

With fluorescent lighting and lots of mirrors, the atmosphere is clinical, even as the room fills with drug addicts focused on one task only -- feeding their addiction.

Medical staff are on hand and watching closely. If needed they can help addicts find the right vein to shoot up into -- something which can be tricky for long-term users. But their main job is to step in when a user overdoses.

Steve has overdosed here three times.

"I'm glad it was here [where I overdosed]. It's still in my hope that maybe I can get clean. I'm only 48. And that's why these places ... it's just, it's common sense! When you have a problem that's grown for whatever reason to the epic proportions that it has in this city, it's time to come up with a really good solution, and this is it."

Vancouver is regularly lauded as one of the best places in the world to live. It's famously the city where you can ski in the morning, and swim in the afternoon. But the quality of life in the alleyways behind InSite is something altogether different.

The Downtown East side is often labeled as the poorest postal code in Canada, which stands in stark contrast to the rest of the city's red hot real estate market.

The alleyways are full of thousands of drug addicts, prostitutes and dealers. Vancouver Police Department estimates that these few blocks are home to more than 5,000 intravenous drug users.

In the alleys we meet Liane -- another long-term user - who has used InSite since it opened in 2003. She is articulate, educated, and angry.

She says that without InSite addicts would be still be getting high but without any of the medical oversight.

To many around the world it may seem astonishing that a place like InSite exists. But for the people in the nearby streets who use it, it's a lifeline.

Clean needles stop the spread of infections like HIV and Hepatitis C, and daily access to medical staff is all the more important for people living in harsh, exposed conditions.

In 1997, Vancouver had the highest rate of HIV in the developed world.

Using InSite makes sense, says Liane. It relieves the pressure of shooting up behind rubbish bins, or using dirty puddle water, or relying on a shared needle.

"We have to stop making it a moral issue and realise that this is a medical problem. Remember us addicts, we're somebody's mothers, we're somebody's sister, we're somebody's daughter -- we're not just a number -- the next time you pass me on the street and shake your head."

Of course not everyone agrees with safe injection sites.

Author, actor, and addiction counselor, David Berner, opened Canada's first ever residential treatment center for addicts back in 1967. He firmly believes that the best harm reduction strategies are centered on abstinence.

"There's only one problem with this place [InSite]. It ignores completely the mechanics of addiction. What are the mechanics of addiction? The mechanics of addiction are I want more.

"I understand reaching out and saying, 'Betty, Jack, you want to get clean? Let's go do some work. Let's get clean. It can happen, you can do it.' I don't understand, 'here's a needle, go shoot some more.'"

InSite is funded by taxpayers, at a cost of $3 million Canadian per year. It says for every tax dollar spent, four are saved, by preventing expensive medical treatments for addicts further down the line.

The center has some support from the mayor, local government and some residents. The opening of InSite was a major campaign issue in Vancouver's 2002 civic elections.

Supervised injection sites are not supported, however, by the Canadian federal government. Prime Minister Stephen Harper's opposition to InSite is well-documented. Speaking in 2005, he said: "We as a government will not fund drug use."

His then health minister, Tony Clement, went further in a 2008 letter to Canada's "Globe and Mail" newspaper: "A more apt analogy of what InSite does ... would be a doctor holding a cigarette to make sure a smoker doesn't burn his lips, or watching a woman with cardiac problems eat fatty French fries to ensure she swallows them properly."

The site is allowed to stay open only with a special license -- the result of a bitter battle with the Canadian government that went to the Canadian Supreme Court.

In September 2011 judges ruled in favor of keeping InSite open against the wishes of Prime Minister Harper. The court said InSite allows drug addicts access to the same healthcare as other Canadian citizens.

The dramatic Supreme Court ruling set a precedent and other cities in Canada, including Toronto and Montreal, had been watching closely.

Councilor Gord Perks is chairman of the Toronto Drug Strategy. "The Supreme Court ruling is a game changer. Now actually it's the law of the land that we have to provide equal access to medical services, including to people with drug addiction. So we've made progress."

A four-year study into the viability of injection rooms in Ontario province recommended three sites in Toronto, and two more in Ottawa - the nation's capital.

But the findings of the Toronto and Ottawa Supervised Consumption Assessment Study (TOSCA), published in 2012, were swiftly rejected by the Toronto city administration.

Toronto's drug problem is not as visible as Vancouver's but it's still there, with about 9,000 people in the city shooting up daily.

As TOSCA revealed, more than 50 percent of the public supported the opening of an injection room in Ontario.

Perks thinks it's only a matter of time. "We've started to get people to face the very difficult fact that if you do not provide this medical service you are killing people. And I think it's only a few years away until we have a supervised injection site here in Toronto."

Injection rooms exist in a number of countries. The first opened in Switzerland in 1986, and since then Australia, Norway, Spain, Germany and others have followed suit.

Accepting injection rooms as a legitimate part of drug strategy is hard for Berner to comprehend.

"It's more humane to help a person stay stupid? To help a person stay enslaved? You don't need to have heroin or needles or crack pipe kits to entice people to health. You could approach people and say, "let me look at that sore. I'm a nurse. Let's clean you up a bit.""

But for people like Liane, it's a harsh reality that she may never get off drugs. She has been using for 20 years and InSite is her best hope of staying connected with medical and welfare services.

"I'm entitled to healthcare, and being treated like a human being, and not being looked at as somebody that isn't, somebody you don't want to talk about, like a dirty little secret.

"InSite in general, it's saved my life once, and it saved my husband's life on three different occasions."

She has a swift retort when asked whether other cities should open injection rooms. "Do they have drug users? And if the answer is yes, then the answer is embrace it."

Todd Schwarzchild contributed to this report

@highlight

Safe haven in Vancouver allows drug addicts to shoot up safely and without fear of arrest

@highlight

Controversially, InSite does not require addicts to try to kick their habits

@highlight

Supreme Court ruled it should stay open as it was giving access to medical care

@highlight

InSite is the only legal safe haven facility in North America