(Tribune Media Services) -- A century and a half ago, Athens was a humble, forgotten city of about 8,000 people. Today, one out of every three Greeks packs into this city of about 4 million.

To avoid the Parthenon crowds, go in the early evening when the marble turns golden as the sun sets.

Athens has been famous for its sprawl, noise and pollution. My advice has long been to see the big sights, then get out. But visiting it recently to research a new guidebook, I've seen a dramatic change. The city has made a concerted effort to curb pollution, clean up and pedestrianize the streets, spiff up the museums, build a new airport and invest in one of Europe's better public-transit systems.

Even with its new look, the Greek capital still has its "big three" sights: the stunning Acropolis, the Ancient Agora just below and the remarkable National Archaeological Museum. But coming in June is the opening of a fourth big sight -- one that will stoke a battle over Greece losing her marbles more than 200 years ago (more on that later).

To many, the most important ancient site in the Western world is the Acropolis, rising gleaming like a beacon above the gray concrete drudgery of modern Athens. This is where the Greeks built the mighty Parthenon -- the most famous temple on the planet, and an enduring symbol of ancient Athens' glorious Golden Age from nearly 2,500 years ago.

The major monuments of the Acropolis survive in remarkably good condition. While the Persians, Ottomans, and British were cruel to the site in the past, the greatest dangers it faces now are acid rain and pollution. Ongoing restoration means that you might see some scaffolding -- but even that can't take away from its greatness. I like to come late in the day, as the sun goes down, when the white Parthenon stone gleams a creamy golden brown.

While the Acropolis was the city's ceremonial showpiece, it was the Ancient Agora that was the real heart of classical Athens. For some 800 years, it was the hub of all commercial, political, and social life and home to many of the city's religious rites.

Little survives in the Agora from the classical period. Other than one very well-preserved temple and a rebuilt portico, it's a field of humble ruins nestled in the shadow of the Acropolis. But that makes it a quiet, uncrowded spot to wander and get a feel for the ancients. Romantics can't help but get goose bumps as they kick around the same pebbles that once stuck in Socrates' sandals, with the floodlit Parthenon forever floating ethereally overhead.

North of the city center is the world's best collection of ancient Greek art, the National Archaeological Museum. It takes you from 7000 B.C. to A.D. 500 on a beautifully displayed and well-described sweep through Greek history, from prehistoric and Mycenaean artifacts through the evolution of classical Greek statuary.

This museum now has a worthy competitor -- the New Acropolis Museum, slated to open in June. It's a world-class space, custom-built to showcase the Parthenon sculptures, along with truckloads of other artifacts, all complemented by modern exhibits. And the state-of-the-art building itself is worth a look, as the boldest symbol yet of the post-Olympics vision for Athens.

The new museum also serves as a sort of 21st-century Trojan horse, intended to lure the famous Elgin Marbles (the Parthenon sculptures) away from London's British Museum. In the early 19th century, the British ambassador to the Ottomans, Lord Elgin, got permission to strip marble panels from the Parthenon and take them to England.

For years, the Greeks have asked for the marbles back, and for years, the Brits have responded with claims that Greece can't give them a suitable home. And yet, now that this state-of-the-art facility is ready and waiting, it still seems unlikely that the marbles will be returned anytime soon.

Britain is reluctant to give in, for fear of setting a precedent ... and getting "me, too" notices from Italy, Egypt, Iran, Iraq and all the other nations who'd like the missing pieces of their cultural heritage back. But even without the Elgin Marbles, this new museum will be worth the wait, capturing the timeless splendor of ancient Athens in an ultra-modern building.

Athens is more than a showcase for its past. Take some time to smell the souvlaki, whether by wandering through the touristy Plaka district, browsing through the Monastiraki flea market, or exploring the Psyrri neighborhood, the cutting-edge place to go for nightlife and dining. The narrow winding streets can be confusing, but you can't get too lost with a monument the size of the Acropolis looming overhead to keep you oriented.

And after you visit Athens, get out -- to the wild, mountainous landscape of Greece's Peloponnese, covered in my next column.

Rick Steves writes European travel guidebooks and hosts travel shows on public television and public radio. E-mail him at rick@ricksteves.com, or write to him c/o P.O. Box 2009, Edmonds, Wash. 98020.

Copyright 2009 RICK STEVES, DISTRIBUTED BY TRIBUNE MEDIA SERVICES, INC.

@highlight

Rick Steves writes European travel guidebooks and hosts travel shows

@highlight

His TV series, "Rick Steves' Europe," airs on PBS stations

@highlight

Steves' company, Europe Through the Back Door, conducts European tours