Nicosia, Cyprus (CNN) -- "It is a jungle," the taxi driver told me. "It is a jungle and we are the rabbit surrounded by lions." It's a dramatic analogy, but one that accurately sums up Cypriots' disgust and helplessness at what they perceive to be the ultimate betrayal by the European Union.

The last two weeks have been the most dramatic in decades for Greek Cyprus, still reeling from the harsh terms of a â‚¬10 billion bailout from international lenders to save the island nation's banking sector. Large bank deposit holders are being forced to take huge losses, and unprecedented limits on the movement of cash have been imposed here.

LATEST: Cyprus' banks reopen for first time in two weeks

The prevailing mood is one of utter helplessness. Greek Cypriots are used to fighting. They fought Turkey for the very land they live on. But today there is no battle to fight against the nameless, faceless group of EU and International Monetary Fund bureaucrats and officials who have now become deeply involved in the future of their country.

"We wanted to be Europe's friend," continues the driver, "but now it is turning on us."

It's difficult not to sympathize. Groups of locals sit in pavement cafes in the capital city of Nicosia, anxiously watching state television, waiting for the next move, waiting for the next development in a seismic event which has rocked the Cyprus economy to its very core. Every interview, every comment is being dissected assiduously.

The biggest question this week was whether money would really be there when Cyprus' banks finally reopened Thursday. It is, but it can only be withdrawn â‚¬300 at a time. But Cypriots are also discussing and arguing about the long-term effects of the bailout. What does austerity mean? How come the Irish and the Spanish didn't lose their savings? Why us?

Walking down Nicosia's main shopping streets, there is little sign of an economic crisis. No queues at the ATMs. Restaurants are busy. Tourists are browsing through the many local stores. Heated discussions over Cypriot coffee can be heard everywhere, and although I can't understand the words, I can sense the frustration.

These people are stuck in a state of limbo. Journalists bandy the term "an uneasy calm" around quite a lot, but it seems a perfect fit to describe the mood here. What's the point in getting angry if you don't know what you're getting angry about? What can you say to the government when their hands are being forced by Europe? What does it all mean for Cyprus?

Ironically, it is Cyprus' youth who seem to have foreseen the long term effect of the bailout. Hundreds of high school students have taken to the streets to voice their dismay over what they see as a threat to their future, though they weren't blaming the government for everything. Placards bearing unflattering comments about the German Chancellor Angela Merkel peppered their morning marches, orchestrated to pass under the gaze of the cameras of hundreds of journalists who set up camp in one of Nicosia's main squares and at the parliament building.

The feeling of worry was palpable. The Russians might lose their money, the young protesters seemed to be saying, but what about us? We could have just lost our future.

I reached the end of the street and at the border crossing stumbled across a completely different, more Turkish side of Cyprus. I walked about 100 meters and spotted the bank. The bank's doors were open, its Turkish flag blowing in the wind. Here people are pleased with the weather. Summer is coming. It's the high season for tourists and hopefully this year will be fruitful. Spare a thought for your Greek counterparts? A shop assistant shrugged.

What the long term effect of this bailout will be is anybody's guess. The rules change every day and while the government insists that the bailout -- and all that comes with it -- is the lesser of two evils, the people sitting in the cafes, those trying to run a business, and the shoe shiner trying to eek out a living remain unconvinced.

The last two weeks have shattered Cypriots' confidence in their country, and the people are fully aware that like a rabbit in the jungle, Cyprus has been well and truly cornered.

@highlight

Cyprus' banks reopen for first time in nearly two weeks

@highlight

Cyprus agreed to allow big losses for large deposit holders in exchange for â‚¬10 billion bailout

@highlight

Young Cypriots see the bailout and its harsh terms as a threat to their future