Athens, Greece (CNN) -- Greek politicians have been unable to form a new government in their economically embattled land late Friday, and the president might have to step in to breach the impasse.

Socialist PASOK leader Evangelos Venizelos met with Antonis Samaras, head of the center-right New Democracy party, and Alexis Tsipras of the leftist Syriza party and failed to forge a deal, the parties reported.

Venizelos was the third Greek politician since Sunday tasked with forming a new government. Samaras and Tsipras had tried and already failed to organize a government.

Venizelos is to meet with President Karolos Papoulias and tell him he can't form a coalition, government officials said. Papoulias will call the party leaders and ask them to try and form a national unity government.

If a unity government can't be formed by Thursday, Greece must call new elections.

The political wrangling comes after Sunday's national elections in which seven parties won seats in parliament, but none captured more than 19% of the vote.

Greece has been forced to impose punishing austerity measures to get international loans that have kept it from defaulting on debts. But this week's election results were widely seen as a message to politicians to back away from the harsh economic austerity measures, policies of cutting spending and raising taxes to reduce public debts.

Voters backed parties on the far left and right, withholding support from PASOK and New Democracy, the more moderate parties that made up the coalition that enacted austerity measures.

The stakes are potentially huge for the rest of the eurozone, the group of 17 European countries that use a common currency.

There is concern that the lack of leadership could jeopardize Greece's bailout agreement with the European Union and International Monetary Fund. That could lead to a disorderly default by Greece, which would force the nation out of the eurozone.

A default by Greece also could drag down other troubled governments such as Spain and Portugal. The eurozone economy is fragile, and any financial shock could plunge the region into a deep recession, a development that would ripple across the globe.

German Chancellor Angela Merkel is the most outspoken supporter of fiscal discipline in the eurozone. Other leaders have been ousted by voters frustrated with austerity. France's President-elect, FranÃ§ois Hollande, campaigned against austerity and has promised to push through measures to boost economic growth.

Venizelos said Sunday's fragmented results in the Greek election show voters don't trust "any party on its own." But he has said he wants Greece to stay in the eurozone.

Samaras said his New Democracy party would be willing to participate in a national unity government "provided it ensures Greece's stay in the euro" and a revision of the bailout agreements with the country's foreign lenders. Earlier, Samaras said it will be tough to form a "viable government," but he said, "There is still hope."

Speaking to other members of parliament earlier, Samaras accused the leftist Syriza party, which placed second in the elections, of "populism" and a desire to take the country to new elections. Samaras said any new elections would mark a battle "between the pro-European parties and the anti-European left."

Tsipras said Greece is no longer bound by austerity promises made in return for rescue loans. Tsipras has also demanded an examination of Greece's massive debt and a moratorium on part of its repayment.

Tsipras said Venizelos wants a government participating in the policy of the bailout. But Tsipras said "the refusal to take part is not given by Syriza but by the Greek people."

"Venizelos and Samaras are sticking to the points that they signed in the bailout," Tsipras said after meeting with Venizelos. "They want a pro-bailout government with a left alibi."

"No government has the right to stick to the measures of the bailout," Tsipras said.

An opinion poll Thursday shows that Syriza would come in first if fresh elections were held, with nearly 28% of the vote, much higher than the 16.8% that landed the party into second place during this week's elections.

PASOK and New Democracy, the two parties that have been dominating political life in Greece for decades, have seen their popularity plummet as a result of the two bailouts and the austerity measures dictated in the programs. The poll shows that if elections were held New Democracy would slightly increase its position to 20.3%, while Pasok's popularity would suffer an even steeper decline to 12.6%.

Last year, Greece's debt threatened to force it to drop Europe's common currency, the euro, prompting the European Central Bank and other lenders to swoop in with emergency funding. In exchange, they demanded that the government slash spending.

The resulting measures have led to tax increases and cuts in jobs, wages, pensions and benefits -- and significant public outcry.

The national unemployment rate for January, the latest month for which figures are available, was nearly 22%, prompting widespread protests and leading some young people to leave the country in search of work.

Youth unemployment is even higher than the national average of one in five out of work.

For two years, the country's massive amount of debt has threatened the stability of the eurozone.

Greece pushed through a huge debt swap in March to save it from disorderly default and clear the way for it to receive a second bailout from the European Union, the European Central Bank and the International Monetary Fund, worth â‚¬130 billion ($171.5 billion).

The debt restructuring deal gave some breathing space to the eurozone bloc, where fears that Greece might collapse had increased pressure on other debt-laden nations such as Spain and Italy.

@highlight

NEW: Politicians in Greece hold unsuccessful talks to form a government

@highlight

NEW: Socialist PASOK leader to meet with Greek president

@highlight

A poll find leftist Syriza party growing in popularity

@highlight

New elections must be called if a new government isn't formed by Thursday