WASHINGTON (CNN) -- President Obama said Wednesday he told government lawyers to object to a court-ordered release of additional images showing alleged abuse of detainees because the release could affect the safety of U.S. troops and "inflame anti-American opinion."

President Obama discusses the alleged prisoner abuse photos at the White House on Wednesday.

Releasing the photos could have a "chilling effect" on further investigations of detainee abuse without adding to the understanding of past abuses, he said.

The Pentagon was set to release hundreds of photographs of prisoners in detention facilities in Afghanistan and Iraq.

The photos "are not particularly sensational, especially when compared with the painful images that we remember from Abu Ghraib," Obama said, referring to the Iraqi military prison where photographs released in 2004 of detainees being abused and humiliated sparked widespread outrage.

"But they do represent conduct that didn't conform with the Army manual."

Obama reiterated that any future abuse of detainees is "unacceptable" and "will not be tolerated."

The publication of the photos would not add any additional benefit to investigations being carried out into detainee abuse -- and could put future inquires at risk.  Watch the president discuss his detainee photo decision »

"The publication of these photos would not add any additional benefit to our understanding of what was carried out in the past by a small number of individuals," Obama said.

"In fact, the most direct consequence of releasing them would be to further inflame anti-American opinion, and to put our troops in greater danger."

The announcement Wednesday was a reversal of what White House press secretary Robert Gibbs said last month, when he told reporters the White House had no problem releasing the photos.

Before Obama spoke to reporters, Gibbs said Wednesday afternoon that there was "a lot of back and forth in [Obama's] mind over the course of several weeks about ensuring that this protected those that keep us safe, that it protected our national security." iReport.com: Should photos be released?

The release was ordered in response to a Freedom of Information Act request filed by the American Civil Liberties Union. It followed Obama's decision to release Bush-era CIA documents showing the United States used techniques like waterboarding, considered torture by the current administration.  Waterboarding 'a mistake' »

Obama's decision "makes a mockery" of his promise of greater transparency and accountability, ACLU attorney Amrit Singh said.

"Essentially, by withholding these photographs from public view, the Obama administration is making itself complicit in the Bush administration's torture policies," Singh said.

"The release of these photos is absolutely essential for ensuring that justice [is] done, for ensuring that the public [can] hold its government accountable, and for ensuring that torture is not conducted in the future in the name of the American people."

Singh said his organization is prepared to "do whatever it takes" to have the photos released.

Defense Secretary Robert Gates said Wednesday that grave concerns coming from top military brass may have influenced the president's decision.

"What's motivated my own change of heart on this and perhaps influenced the president is that our commanders ... have expressed very serious reservations about this ... and that the release of these photographs will cost American lives," Gates said.

"That's all it took for me," he added.

Democrats in the Senate were mostly quiet on Obama's reversal on Wednesday. But Sen. Russ Feingold, of Wisconsin, said he at least initially disagrees with it.

"I am generally opposed to keeping the American people in the dark for no other reason than to shield misconduct, avoid embarrassment or other reasons not pertaining to national security," Feingold said in a written statement. "From what I've heard so far, I'm not convinced there is a compelling reason these photos shouldn't be released."

Two Democratic congressmen had different reactions to Obama's decision.

Rep. Jerry Nadler of New York said he thinks "the administration may be very well justified in withholding the pictures."

Nadler, who said he agrees with the ACLU "98 percent of the time -- but not here," said he had not seen the photos but he doubted they provided any more information than was in Bush-era memos recently released.

"Get all the memos out, get everything out ... but with these pictures it may be that they're dangerous, and that's a legitimate concern," he said.

But Rep Lynn Woolsey of California said, "I would have preferred that they were out there."

"We have so much to do. It's such a distraction," Woolsey added. "Get these pictures out there and get it behind us."

The ACLU said the Pentagon had agreed to release a "substantial" number of photographs by May 28. Officials at the Pentagon said the photographs are from more than 60 criminal investigations between 2001 and 2006 and show military personnel allegedly abusing detainees.

"The disclosure of these photographs serves as a further reminder that abuse of prisoners in U.S.-administered detention centers was systemic," ACLU National Security Project Director Jameel Jaffer said before Obama's decision.

"Some of the abuse occurred because senior civilian and military officials created a culture of impunity in which abuse was tolerated, and some of the abuse was expressly authorized."

Singh added that the photographs "provide visual proof that prisoner abuse by U.S. personnel was not aberrational but widespread, reaching far beyond the walls of Abu Ghraib."

But Pentagon officials reject ACLU allegations that the photos show a systemic pattern of abuse by the military.

Pentagon spokesman Bryan Whitman said the Defense Department has "always been serious about investigating credible allegations of abuse."

"The policy of the Department of Defense is to treat all prisoners humanely, and those who have violated that policy have been investigated and disciplined," he added.

More than 400 people, Whitman said, have been disciplined based on investigations involving alleged detainee abuse. The discipline ranged from prison sentences to demotions and letters of reprimand.

The Pentagon initially wanted to prevent the images from being made public, but decided to release them after losing two court cases, according to Whitman.

"We felt this case had pretty much run its course," he said prior to Obama's decision. "Legal options at this point had become pretty limited."

CNN's Alan Silverleib, Deirdre Walsh, Ed Hornick and Mike Mount contributed to this report.

@highlight

NEW: Democratic congressmen offer mixed reactions to Obama's decision

@highlight

NEW: Senate Dems mostly quiet, but Russ Feingold says he opposes move

@highlight

Obama says releasing photos would "further flame anti-American opinion"

@highlight

Photos show detainees in Iraq and Afghanistan between 2001 and 2006