(CNN) -- As we begin our initial descent into JFK, I lightly press the tip of my index finger to the iPad screen. A brief jostle from a bout of turbulence results in the display of the wrong page. I grumble in silence but grin because I no longer have to wrestle through pages of paper charts and manuals. Instead, my office -- the cockpit of a 777 -- is mostly void of paper. Cool stuff.

My airline was the first to have the iPad approved for all phases of flight, takeoff and landing included. Almost a year has passed since that approval, a process that required six months of trials and training on each airplane type. And now the FAA is relaxing its rules on the use of personal electronic devices for passengers.  It was inevitable.  But is the new policy safe?

Most safety concerns focus on the effect of electronic interference to navigation systems. But in most of today's airliners, those concerns are minimal.

Navigation is no longer wholly dependent on signals sent from the ground from one of the VOR (Very High Omni Bearing Range) stations that dot the landscape around the world. Now GPS and sophisticated internal navigation systems integrate VOR signals into the calculations from onboard computers.

The design of aircraft prevents electronic signals from interfering -- not only signals from outside sources but ones generated from inside the airplane, such as engines and generators. In short, the chance of a passenger's Kindle interfering with an automated landing in low visibility conditions is minimal if not nonexistent.

Calls from cell phones are a separate story.

I'm gratified that the FAA acknowledges that usage as potential interference. For one thing, in some circumstances, cell phone frequencies are close to those of VOR stations. The FCC prohibits their usage for calls because of the risk of overloading cellular systems from airborne phones traveling at the Mach speeds of jets. If you want a dead phone for your business meeting after a three-hour flight, be certain to leave it on for the entire trip. The phone will attempt to lock on to almost every cell tower signal available en route.

So where is the potential safety threat?

It comes mostly from electronic devices creating a distraction. How so?

Takeoffs and landings are the most critical phases of any flight. In an abnormal situation, such as an aborted takeoff or an emergency landing that dictates a ground evacuation, time is of the essence. If you are focused on Angry Birds, will you have situational awareness? Will you understand the emergency instructions of the flight attendants in a highly stressful situation?

And for that matter, if your concentration is on composing an e-mail to the manager of your biggest account, are you really paying attention to the location of the emergency exits during the departure briefing?

You may say: How does the distraction of electronics differ from the distraction of The New York Times or People magazine? To which I would answer: They don't come with headphones. In any case, as it has never been done in the past, it would be an absurdity to regulate ink-on-paper reading now.

Although the FAA has granted approval for the use of your iPad during takeoff and landing, each airline must incorporate the policy into its own operations. Assuming airlines will relax their policies just for the sake of competing with their counterparts, I would advocate that they hold the line on electronic devices being used with headphones or anything else that could potentially block passengers from hearing and understanding emergency instructions from crew members.

One perk of this new electronic regulation? Some of the burden will be lifted from flight attendant duties. Although they still have to scold you about the seat back and tray table, the electronic device admonishment will be diminished.

But don't be having a phone conversation with the spouse or be texting a buddy. Cell phone calls are still prohibited when that entry door closes.

From my perspective as a flight crew member, I am pleased that our customers will have the opportunity to enjoy their electronic devices. But as cliched as it may sound, we are there for your safety. Regulation aside, I ask that you exercise discretion.

There is a method to our madness, even for Alec Baldwin.

The opinions expressed in this commentary are solely those of Les Abend.

@highlight

Les Abend: FAA relaxing rules on electronics in flight; is it safe?

@highlight

He says electronic device signals don't interfere with flight navigation much anymore

@highlight

He says FAA still bans cell phone calls; they risk overload of cellular systems on ground

@highlight

During emergency instructions, airlines should ban use of earphones, Abend says