Washington (CNN) -- The Supreme Court has rejected an appeal over a federal law banning felons from having bulletproof vests or body armor.

The 7-2 decision on Monday not to intervene was a reaffirmation of congressional authority over a wide range of commerce.

The order was one of several hundred pending appeals the court summarily disposed of by the court.

By refusing to accept the case for review, the justices let stand the conviction of Cedrick Alderman, a Washington state man who was stopped by police in 2005 on suspicion of selling cocaine. Officers then discovered he was wearing a bulletproof vest. That in itself did not violate state law, but because Alderman was an ex-felon -- convicted of armed robbery in 1999 -- and the vest was manufactured in California, he was convicted under federal law. He was sentenced to 18 months in federal prison.

Congress had passed the law in 2002 in response to a series of high-profile shootings involving police, including bank robbers wearing body armor.

Alderman's lawyers argued owning such equipment had nothing to do with interstate commerce, and that Congress had no power to intervene.

"The federal power claimed is the authority to regulate anything -- from possession of french fries to the local theft of a Hershey's kiss," his lawyers told the high court.

Opponents of the sweeping health care reform law promoted by President Obama have made similar arguments, saying constitutional authority by the government has been improperly exceeded. In particular, nearly a dozen states and private groups have challenged a provision of the law requiring Americans to have some form of health insurance by 2014 or pay a tax penalty.

Justices Clarence Thomas and Antonin Scalia strongly dissented from the court's refusal to intervene in the Alderman case.

"Today, the court tacitly accepts the nullification of our recent Commerce Clause jurisprudence," wrote Thomas in a seven-page dissent. The court's failure to step in "threatens the proper limits on Congress's commerce power and may allow Congress to exercise police powers that our Constitution reserves to the states," he said.

The case is Alderman v. U.S. (09-1555).

In other pending cases:

The justices let stand the criminal conviction of an Oregon man who was found guilty despite votes from two jurors to acquit him.

At issue was whether the Constitution requires a unanimous jury verdict to convict a person of a felony. Oregon and Louisiana alone among states allow criminal convictions by non-unanimous verdicts in some crimes.

Alonso Herrera was convicted by a 10-2 jury vote in 2008 for unauthorized use of a vehicle -- borrowing a friend's car and not bringing it back. He served 13 months behind bars.

The case is Herrera v. Oregon (10-344).

The justices rejected for a second time the appeal of an outspoken figure in the "birther" movement involving whether President Obama is in fact a U.S. citizen.

Attorney Orly Taitz has been challenging a $20,000 fine imposed by a federal judge who determined the California attorney had filed a frivolous lawsuit.

Taitz had represented Capt. Connie Rhodes, an Army physician from Columbus, Georgia, who protested her pending deployment to Iraq. Taitz had argued in court the deployment was illegal because Obama had no authority to act as commander in chief because he was unconstitutionally serving as president.

A motion for a restraining order was ultimately rejected by Judge Clay Land of the Middle District of Georgia. According to court records, Taitz then filed for a rehearing, and publicly labeled the ruling an "act of treason."

Rhodes later said that second motion, which also was rejected, was filed without her consent. Land then ruled the lawyer had filed "frivolous" litigation, had abused the civil judicial process, and fined her.

The high court in August had rejected a similar motion for relief from Taitz. The justices had also dismissed earlier, unrelated lawsuits from individuals questioning Obama's citizenship. State birth certificate records show he was born August 4, 1961, in Honolulu, Hawaii. His mother is a native of Kansas; his father was born in Kenya.

Among the claims of various "birther" movement organizers are that the president was born in Kenya or Indonesia; that his birth certificate is a forgery; and that he had dual American-British citizenship at birth because of his father's Kenyan heritage and therefore is not a "natural born" citizen, as is required to be eligible for president under the U.S. Constitution.

The case is Taitz v. MacDonald (10-541).

And the high court said no to the claims of a Native American inmate who wanted to grow his hair long behind bars, for what he said were a necessary part of his religious rights.

Iron Thunderhorse, a 66-year-old practitioner of Native American shaminism, also claimed Texas corrections officials denied him the right to wear a colored headband and to use a pipe in his cell as part of his tribal ceremonies.

At issue was whether a prison grooming rule violated a federal law protecting the rights of prisoners to religious practice.

The inmate claims corrections staff has harassed him about his religion, confiscating his medicine bag, religious medallion, and quartz crystal. According to Thunderhorse, an altercation with a guard four years ago resulted him being denied the right to conduct pipe ceremonies in his cell, or being allowed to have musical instruments. The opinion says it does allow the man to wear a plain white headband.

Thunderhorse is serving a 99-year prison term for robbery, rape, kidnapping and attempted escape.

The Connecticut native says in his legal filings he is "Hereditary Grand Sachem and Powwamanitomp (shaman) of the Quinnipiac Thunder Clan."

Lower federal courts have had differing views over the level of deference owed by prison officials to inmate religious practices that conflict with grooming rules.

The Obama administration had recommend the court turn aside the appeal, which it did without comment.

The case is Iron Thunderhorse v. Pierce (09-1353.)

@highlight

Thomas and Scalia dissent from rejection of appeal on felons owning body armor

@highlight

The Supreme Court turns aside a challenge to a law allowing less-than-unanimous guilty verdicts

@highlight

Another appeal from a "birther" also is rejected