(CNN) -- Facebook seems to be taking a beating these days. But guess what? That's actually good news.

The world's most famous social media company's plummeting share price (from $38 on its first trading day to $19 today) is an indicator that we are not in a bubble, as investors refuse to buy into the temptation to blow tech offerings out of proportion.

You know you are in a bubble when stocks soar regardless of intrinsic quality. Far from it, the current market is one of Dickensian realism: the best of times and the worst of times. Apple's value has soared because it has a clear and wildly profitable strategy. Facebook, Groupon and Zynga sank because their strategies are unconvincing. Put another way, companies with solid revenue models are richly rewarded while companies foolish enough to go public before proving their model are punished.

It's worth noting the companies that have not gone public. Unlike Facebook, Twitter remains private while it continues to refine its business model. Enterprise social network company Yammer sold itself to Microsoft because its founders realized that a sale was the only way to get the resources needed for growth without the risks and distractions inherent in going public.

Facebook's wounds are self-inflicted. The company did a poor job of managing its investor growth and was forced to go public because of Securities and Exchange Commission rules governing companies with assets of more than $1 billion and more than 500 shareholders.

Facebook compounded its misery by setting its IPO price too high and offering too many shares. Imagine telling Facebook underwriters and founder Mark Zuckerberg: "You can either sell a lot of shares at a lower price or fewer shares at a higher price. Make a choice." Apparently the answer was: "We'll take both." The consequence was more shares, and more expensive shares, than the market could absorb.

Facebook thought that user popularity would translate to investor appeal and counted on its members to buy shares in the IPO. This is what is known as the "Disneyland effect:" A family visits Disneyland, has a wonderful time and in the glow of memory when they return home, the parents purchase a few shares, which they then hold forever.

The Disneyland effect didn't work for Facebook for two reasons. First, ordinary investors are still gun-shy after the 2008 market crash and not yet comfortable buying stocks in any volume. This left only professional investors whose purchase decision was unlikely to be swayed by how much they like using Facebook to keep up with friends and family.

Worse yet, I think Facebook has overestimated its own popularity. There is a difference between using Facebook and loving Facebook. The company has repeatedly annoyed its users with everything from privacy policy waffles to aggressive ad placements. Facebook is the Microsoft of social media; used by everyone but truly loved by few.

Facebook resembles Microsoft in other ways as well. Facebook's interface is nearly as clunky and inelegant as Windows, and like Microsoft, Facebook is struggling to migrate off the desktop and follow its users onto mobile platforms like smartphones and tablets. Unfortunately, Facebook's revenue model depends on ample screen real estate in order to please advertisers without annoying users. Ads that can be tolerated on a laptop become a major annoyance when hogging scarce and valuable space on a smartphone.

Of course Facebook can get its groove back and it must start with leadership. Calls for Zuckerberg to resign as CEO are premature and pointless, given his iron grip on voting power. But Zuck must match Facebook's growth with his own personal growth as a leader and strategist and must do it quickly.

Facebook also needs more talent. When I visited Facebook's campus two days before its May IPO, the company had 1.5 billion users, $3.7 billion 2011 revenues, and less than 3,000 employees. That isn't lean; it's anorexic. I believe that many of Facebook's stumbles, including its smartphone failure, are due to the simple fact that it has too few people to implement its current strategies. In this respect, Facebook's weak stock value is an advantage as it can offer new hires options at prices comparable to pre-IPO rates.

Facebook's stumble is not evidence of a bursting bubble. The market may be punishing the company today, but if Facebook can refocus and deliver, investors will be more than willing to reward it down the road.

The opinions expressed in this commentary are solely those of Paul Saffo.

@highlight

Paul Saffo: Facebook's plummeting share price indicates that we are not in a bubble

@highlight

Saffo: The current market is one of Dickensian realism, the best and worst of times

@highlight

He says Facebook confused user popularity with market appeal

@highlight

Saffo: While Facebook's wounds are self-inflicted, it can get back on track