With much of the business and financial world waiting nervously for the results of new elections in Greece, young people on the streets of Athens on Thursday sounded more concerned about the hardships the Greek people are facing than the international consequences of their upcoming vote.

Clara Kalemi, 18, said her father had been unemployed for two years.

"Finally he got a job but with a very low salary. We can't afford this," she said.

University student Romans Eksarhos said he and his classmates have little to look forward to.

"We can't do anything; we don't have any hope for our lives," he said. "We know that we are going to finish university, get our degree, maybe our Ph.D., and we are going to work for 300 euros" a month.

That's about $380.

A temporary Greek government took office Thursday as the country wrestles with a political crisis that sprang from the country's inability to pay its debts.

Greece is heading toward new elections next month, with polls suggesting a narrow victory for a radical leftist party that wants to tear up an international loan agreement which forced the government to make deep budget cuts.

That possibility has sent ripples of fear through markets in Europe, Asia and the United States as analysts worry that it could ultimately lead to the collapse of the European Union's currency -- an event an expert predicted Thursday could cost up to $1 trillion.

Ratings agency Fitch cut Greece's long-term credit rating from B- to CCC Thursday, only one notch above default level, reflecting worries over its ability to remain in the euro currency zone.

"The downgrade of Greece's sovereign ratings reflects the heightened risk that Greece may not be able to sustain its membership of  Economic and Monetary Union," Fitch said.

"In the event that the new general elections scheduled for 17 June fail to produce a government with a mandate to continue with the EU-IMF programme of fiscal austerity and structural reform, an exit of Greece from EMU would be probable." IMF is the International Monetary Fund

Alexis Tsipras, the leader of the Syriza party, leads in polls ahead of the June 17 election. On Thursday he urged the public to support him.

Read Tsipras equate austerity with 'hell'

"People will conquer fear. They will not succumb; they will not be blackmailed," he said, accusing the parties that made the international loan agreement of "irresponsible scare-mongering."

The Centre for Economics Business and Research in London, meanwhile, issued a stark warning Thursday.

"The end of the euro in its current form is certain but will be traumatic," predicted the CEBR's Douglas McWilliams.

He estimated that the "immensely painful" breakdown of the currency used by 17 countries would cost a minimum of $300 million.

The European Central Bank said Wednesday it had stopped providing cheap money to some Greek banks after Greeks pulled about 800 million euros ($1 billion) in savings out of the banking system on Monday.

It would not say which banks it had cut off, forcing them to turn to the Greek Central Bank for more expensive loans.

The Hellenic Hotel Federation, meanwhile, said tourism revenue was plummeting.

Hotel reservations have dropped 30% to 50% in different parts of the country, the trade group said.

Greek voters punished the major parties at the polls earlier this month for the harsh budget cuts imposed by the country's international lenders.

The election left no party able to form a government, creating deep uncertainty about Greece's ability to continue to meet the terms of its bailout package and therefore its debt obligations.

The political deadlock is leading to concerns that Greece will not have a functioning government in place when it needs to make critical debt payments next month, which could in turn jeopardize its place in the eurozone, the group of 17 European Union countries that use the euro currency.

And a crisis could quickly spread beyond Greece, one analyst warned.

"If Greece exits the euro it won't be alone. Others will exit," said Paul Donovan, a global economist with UBS bank.

"There would be bank runs across multiple countries," he predicted. "Citigroup, for example, may not be exposed to Greece, but it may be exposed to Portugal, Spain, France. ... It may be exposed to a company that's exposed to France or exposed to exports to EU."

In a worst-case scenario, he said, "you're talking about widespread defaults in the corporate sector as well as the sovereign sector. It becomes very problematic."

European leaders were united Wednesday in saying they want to help Greece stay in the euro.

German Chancellor Angela Merkel said she is working to keep Greece in the eurozone

"Europe needs to show solidarity and help, particularly with growth, unemployment and development," she said.

Merkel, a champion of forcing governments to balance their budgets in order to promote stable economic growth in Europe, said she regrets the suffering of the Greek people in the face of harsh government budget cuts.

"It's very bitter, obviously," she said of the austerity measures that have left some Greeks struggling to pay for food or utilities.

But, she said, "Sacrifices had to be made. ... I think these are necessary measures that had to be taken."

The European Central Bank and International Monetary Fund have been pumping money into Greece to keep the country in the euro and able to pay its debts, but they have demanded that the Greek government slash spending to get the funds.

@highlight

Ratings agency Fitch downgrades Greece's long-term credit rating

@highlight

"We don't have any hope for our lives," a university student says

@highlight

The European Central Bank stops providing cheap loans to some Greek banks

@highlight

Greece's political instability raises doubt about whether it will stay in the eurozone