François Hollande did not thank his opponent, Nicolas Sarkozy, during his acceptance speech, after defeating the incumbent with 51.6% of the vote in the French presidential runoff. But he should have, as he ran an anti-Sarkozy campaign, promising to behave like a "normal president" in contrast to the impulsive, unpredictable and sometimes ostentatious Sarkozy. And it worked: Fifty-five percent of the voters who cast a ballot for him did it to defeat Sarkozy rather than to elect Hollande.

This victory comes after an odd campaign on both sides. Sarkozy started off courting the center by emphasizing his record of reforms and his role in solving the eurozone crisis with German Chancellor Angela Merkel. But in March, he decided to take a page from his own 2007 campaign and raid the extreme-right electorate of Marine Le Pen instead. He emphasized themes like immigration, Islam and the necessity for a more protective, even protectionist, Europe. This time, however, the strategy backfired. Le Pen got a historic score in the first round, while Sarkozy sowed confusion in his own camp -- and lost.

Hollande, betting on the anti-Sarkozy mood, refrained from making big promises, and even his signature reforms had a lot of fine print. For example, he announced that he would recruit 60,000 more teachers -- but by shifting existing civil service jobs from other ministries to education. He promised to roll back Sarkozy's pension reform -- but for only a tiny fraction of workers. He pledged to renegotiate the European Fiscal Compact Treaty that Sarkozy negotiated with Merkel -- but only to add a growth stimulus, not to alter the new disciplines it imposes.

His prudence is easy enough to explain: French debt is close to 90% of GDP, the 2011 deficit was 5.2%, and Hollande has promised to rein it in to 3% in 2013 and zero in 2017 (Sarkozy was promising 2016). He will be closely monitored by the bond markets and the rating agencies, one of which stripped France of its triple-A in January.

That is precisely one of the three big challenges Hollande will face -- to convince markets he can chart a fiscally responsible course and restore the competitiveness of France's economy while its southern neighbors are reforming fast and Germany is already very competitive. This in turn partly depends on a second challenge he faces, fashioning a new Franco-German, and then pan-European, consensus on the eurozone crisis.

Merkel was furious when Hollande announced in December that if elected, he will renegotiate the Fiscal Compact Treaty. She went as far as to refuse to receive him in Berlin, as is traditional for French presidential candidates, and to announce that she would campaign for Sarkozy -- which in the end she didn't, given Sarkozy's own U-turn on Europe.

But in recent weeks, the landscape has changed profoundly. Twelve European countries are now in recession, and the leaders of Italy and Spain have asked for balancing fiscal consolidation with growth measures, lest their drastic reforms be altogether rejected by populations suffering from austerity measures. This new "growth consensus" even includes Mario Draghi, president of the European Central Bank, who insists, however, on structural reforms rather than a stimulus with public money.

For the difficult question facing European leaders is how to stimulate the economy without deepening the deficit. Hollande has put forward suggestions (pumping up the European Investment Bank, reallocating structural funds, issuing eurobonds for infrastructure projects, creating a financial transactions tax), and there is room for a compromise with Merkel, who cannot afford to be isolated. This could take the form of an additional protocol to the Fiscal Compact to make it more acceptable, including to the German opposition Social Democratic Party, whose votes are needed for ratification.

For Hollande, this negotiation will be particularly difficult during his first month in office, because he will face a third challenge -- to win the legislative elections June 10 and 17. If he loses, the resulting situation of cohabitation (divided government) would be a disaster for France and the eurozone, as Paris would be largely paralyzed. This is why Hollande will be very careful not to antagonize French voters before the crucial votes. Fortunately for him, the pressure from the extreme left, which had a disappointing showing in the first round, is low.

In the longer term, especially after the September 2013 German elections, much will depend on Hollande's vision for France and Europe.

An interesting hint of what's in store might come from a man named Jacques Delors. In 1983, as minister of economy and finance, Delors successfully lobbied socialist President François Mitterrand to stay in the European Monetary System at the price of steep austerity. And between 1985 and 1995, as president of the European Commission, he became one of the founding fathers of the European Union, introducing the single market.

One of his protégés was none other than François Hollande.

@highlight

Justin Vaïsse: French president Francois Hollande avoided making big promises

@highlight

France's debt is near 90% of GDP, and the 2011 deficit was 5.2%, says Vaïsse

@highlight

Hollande has to be fiscally responsible yet restore France's competitiveness, Vaïsse says

@highlight

Vaïsse: Europe must find a way to stimulate the economy without deepening the deficit