(CNN)Income inequality is like the weather: Everyone talks about it, but no one does much about it. Now comes President Obama in his State of the Union Address, hoping to do more than just talk about it.

The President tackles this perennial conundrum by proposing that the tax code be changed in two very distinct directions: 1) Provide extra money to low- and middle-income families in the form of tax credits for children and working couples. 2) raise taxes on upper-income taxpayers, especially the fabled "one percent" through various cutbacks and increased restrictions on savings.

It is certainly easy to dismiss his suggestions given the makeup of the new Congress, which is controlled by Republicans, but stranger concoctions have been enacted when major tax overhauls are undertaken. So what does the President suggest?

First, he wants to triple child care tax credits for children under age 5, thereby supercharging an existing provision that Republicans and conservatives have generally championed to make the tax system more "family-friendly." Second, he proposes a $500 tax credit for married couples when both spouses are employed, an idea that essentially replicates a provision that was enacted during President Ronald Reagan's first year.

The majority party in Congress may not be particularly enthralled with President Obama's caveat that this credit phase out when a family's annual income reaches $120,000, but such parameters can be negotiated as legislation gets developed.

The tax changes on upper-income taxpayers are more likely to generate partisan resistance. As a general matter, Republicans want to lower or even eliminate taxes on capital gains, and this position has been party dogma since the first Bush administration.

In contrast, President Obama proposes to raise taxes on capital gains received by married couples with incomes exceeding $500,000 per year. That income level may be above most people's conception of "middle class," but it is far below what it takes to be a "one-percenter." Nevertheless, if one wants to address anomalies like Warren Buffett and Mitt Romney paying lower effective tax rates than their employees, then raising tax rates on capital gains is a necessity.

But President Obama goes much further and attacks the so-called "step-up in basis" rule -- which the White House calls the "trust fund loophole" -- that allows gains on inherited property to go untaxed, regardless of amount. Targeting this longstanding tax rule takes aim not at those who have worked hard to create businesses and build wealth, but at those whose pathway to riches was having the right relatives.

Obama's proposal, in other words, seeks to reduce wealth disparities without disincentivizing the job creators among us. Along these lines, he also proposes that no tax be due on inherited family-operated businesses until they are sold.

That said, this proposal is no slam dunk. As recent battles over the estate tax have demonstrated, Americans do not particularly like the federal government claiming to level the proverbial playing field by confiscating family wealth. Surveys repeatedly show that resentment of the rich is simply not as strong as some politicians seem to believe.

In any case, the "step-up in basis" rule was effectively repealed in 1976, but Congress then responded to the ensuing backlash by reversing this repeal retroactively.  Nearly two decades later, an effort very similar to President Obama's proposal was put forth during President Clinton's first few months in office, but the response then was also swift and negative.

Will this time be different? Perhaps the sense among some citizens that the system is "rigged" will produce a different result this year, but income inequality is fundamentally not a problem that is exclusively or even primarily about taxation. Causes range from globalization and unfair trade agreements to falling educational achievement and the decline of private sector labor unions, among others.

Tweaking the tax code, even in the substantial and perhaps radical ways that President Obama is due to propose on Tuesday, can go only so far in addressing this issue. On the other hand, the U.S. tax code is one part of the puzzle that the federal government can control and do something about in fairly short order.

Tackling tax reform more broadly could be a pathway to bipartisan cooperation that creates a genuine achievement for both President Obama and the new Congress. In that context, repealing the "step-up in basis" rule and perhaps equalizing tax rates on capital gains and regular income would go a long way to simplifying tax planning and return preparation while allowing the market to allocate capital without the often nonsensical preferences embedded in the current tax code. That is certainly a worthy project. But it is a very different focus than trying to ameliorate income inequality.

Regarding the latter, even if President Obama's tax proposals are enacted exactly as he set out, they may not do much about income inequality in the United States, but they at least do more than just talk about it.

@highlight

Richard Kaplan says tax law changes can reduce inequality to a degree

@highlight

He says Obama's effort to end "trust-fund loophole" is a tough sell

@highlight

Tax reform could be path to bipartisan cooperation, genuine achievement for President and Congress