(CareerBuilder.com) -- Just as the riskiest financial investment strategy is to have all of your money in one place, the riskiest career management strategy is to have all of your income from one organization unless you are in a critical role and have skills that are difficult to find in the labor market.

To enjoy job security and professional fulfillment in this new employment reality, you should have a "portfolio career" that includes multiple and simultaneous income streams or "career acts."

Career acts can include an eBay business, part-time job, profitable hobby, nonexecutive board seat, franchise, authored book, affiliate links on your blog, weekend jazz trio, etc.

Here are 10 tips for managing career acts in a portfolio career:

Diversify

Start maximizing your talents to generate broad-based income streams. Some career acts can be slow and steady sources of income, while others can be higher-risk with higher potential reward. Professions such as nursing or teaching science are low-risk sources of guaranteed income, whereas starting a small business has a higher risk, with potential for a much higher reward.

Invest intelligently

To build income-generating career acts, you will need to invest in yourself, your business, your network and the like. You may need, for example, to return to school for a degree or training program, to invest in equipment or supplies, or to attend a conference or some other networking event. Manage the financial risk incurred by being realistic about your talents and abilities and making sure you have the tenacity and effectiveness to take full advantage of your investments.

Actively manage your portfolio

Your career acts will need different investments and have different trajectories for growth. Today's careers are actively self-managed.

Invest prudently

Start protecting your time and your discretionary spending, as you may need both to start a new career act.

Maintain high ethical standards

Do not add career acts that a reasonable supervisor wouldn't consider or that would use company time or resources for your private gain. At the same time, remember that you did not take a vow of poverty when you became employed.

Sell high

Many people actively manage how they enter an organization but passively manage their exit, often waiting for a layoff, reorganization or something else to force their departure.

If you work for an unsupportive supervisor, have no opportunities for growth or dislike what you are doing, start planning your exit while you still have an income stream.

Know your tolerance for risk

Entrepreneurship is not right for everyone. Find a mix of career acts that do not add anxiety to your life and that align with your talents.

Trust your hunches

Do not let anyone tell you that you lack focus or should get serious about one career. Careers today are moving further away from the traditional 40-hour-per-week employer to more self-directed opportunities for generating income.

Understand the data

Speak with multiple people who occupy any career act you would like to have. There are often different ways to achieve the same career goal. Some ways may take less time and less money but produce the same result.

Seek advice

Often people have a hard time understanding ways they can use their talents and abilities. Speak to trusted friends or advisers who know you well and want to see you succeed about what they see you doing. You will be surprised at how well others can spotlight your talents and give you ideas.

A well-managed portfolio career can provide greater income, personal fulfillment and professional security. What income-generating opportunity can you create for yourself that would use your talents and skills, in a way you would like to work? Make a plan and start growing your amazing portfolio career.

Paula Caligiuri, Ph.D. is the author of "Get a Life, Not a Job: Do What You Love and Let Your Talents Work for You" (FT Press). She is a work psychologist and Professor at Rutgers University.

&copy CareerBuilder.com 2011. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority.

@highlight

Expert: Don't bet your financial future on one income from one company

@highlight

Career acts: An eBay business,  profitable hobby, nonexecutive board seat, franchise

@highlight

Invest in yourself by returning to school, your network by attending a conference

@highlight

Plan your exit if you work for an unsupportive supervisor or hate your job