(CNN) -- Zora O'Neill is heading to the Middle East next week.

O'Neill, a longtime traveler and author of an upcoming Lonely Planet book on Egypt, is not dissuaded by the evacuation of the U.S. and British embassies in Syria, rumblings of possible Israeli airstrikes against Iran or rioting in Cairo.

And it's not because she's reckless. She's heading to the United Arab Emirates and Oman for a month's stay to report on a book about Arab language and culture in the Middle East. After her work there, she'll head to Lebanon for more reporting.

"They're totally out of the fray," O'Neill says. "Americans tend to think about the Middle East as all one big country, but each place is distinct and has its own issues."

With violence in Syria and Egypt escalating and a new travel warning for Syria issued Tuesday, nervous American travelers will likely choose to avoid the entire Middle East right now.

However, Middle East travel experts say that plenty of the region's diverse destinations are still open for business and welcoming foreign visitors.

Know your tolerance level

Don't go if you're a worrywart and can't enjoy your trip. Knowing there are no guarantees, travelers who get nervous when a car backfires may not enjoy the Middle East. "If you want to live life at the fullest, you have to take chances," says Worldview Travel founder Ricci Zukerman, whether it's traveling to Israel or Bali or the Philippines. "Those who are afraid have to stay home and hope a plane doesn't fall on their house."

Consider a country that's calm, such as the United Arab Emirates or Oman, where travel agent Lindsey Wallace continues to send clients. "We're sending lots of clients who switched their plans from Egypt and still want to go to the desert and have fun," says Wallace, president of Linara Travel in Eagle, Idaho. "Those two destinations are largely unaffected (from the recent unrest) or have even benefited from it."

In addition to Oman, the United Arab Emirates and Lebanon, countries such as Jordan and Israel are relatively safe right now. (Morocco, though not part of the Middle East, is an Arabic-speaking nation and suffers from reduced tourism when there are difficulties in the Middle East. It is also considered safe for travel.)

Israel is famous for not being loved by its neighbors, which means travelers there can expect a heightened state of security at all times, Zukerman says. From the time your bags are checked at the airport to guards checking your car at your hotel, everyone's senses are heightened. That can make travel there safer because everyone knows to call police when he sees a suspicious package or unusual gathering of people.

"If your guide says don't go to Bethlehem today, don't be a smart guy and go anyway," Zukerman says. "Don't go. Most of the time it's a false alarm and that's OK."

The payoff of visiting one of the world's holiest places is worth the heightened security, she says. "Jews come to see where it all started and Christians to feel holy," she says. "I hear the same thing over and over when people come home. 'I'm not the same person. It was a life-changing experience.' It's worth the little bit of insecurity."

Safe doesn't mean easy

Whether you're going to Egypt to explore the pyramids without competition from other tourists or prefer to talk to locals about the emergence of democracy, O'Neill says it's possible to avoid that country's trouble spots.

Traveling there last fall during the uprisings, she found herself sharing the pyramids with a scattering of Chinese and Egyptian tourists instead of the usual overwhelming crowds. "If you want to check out some serious archaeological, ancient stuff, it's a great opportunity to be in the middle of history," she says.

Though violent protests continue in Egypt, O'Neill says most of Cairo is safe, as long as you don't get near the demonstrations. That means people wanting to travel to Cairo right now need to know the layout of the city more than those flying directly to Luxor to see King Tut's tomb. Or they need to hire a reputable tour operator who knows where to take them.

Even without unrest, independent travel is a constant negotiation. Gone are the days when you could walk the streets of Cairo without concern for your wallet. Pickpockets are out and about, and O'Neill had a hard time avoiding vendors trying to sell her mini-replicas of alabaster pyramids and books about Nefertiti. "People are always wanting to sell you stuff, and that's true no matter when you go," she says.

That's why travel agent Malaka Hilton prefers to have control of her guests' entire travel package from start to finish, knowing they'll be with guides and drivers she trusts. Hilton, an Egypt specialist who owns Admiral Travel International in Sarasota, Florida, is still booking clients to the Middle East, alerting them that they'll see bomb-sniffing dogs at hotels, armed guards and other security measures.

If you are visiting a conservative religious country or section of the country, be aware of cultural norms and dress modestly. Don't be fooled by locals wearing Western-style clothing. It may be Western design but still modest in its coverage. Ask your travel agent about exceptions to the rule for beach resorts.

"I do tell people from a dress code standard to be respectful of the religion," Hilton says. "Don't show shoulders and don't wear short shorts. You don't want the men or women to stare at you."

Government travel warnings

Make sure you review and discuss relevant safety warnings with travel providers as you're booking a trip to the Middle East. The U.S. State Department lists its travel warnings online. The British Foreign and Commonwealth Office offers detailed information and advice about threats to traveler safety in the region on its website.

@highlight

Clashes in Syria and Egypt have some travelers worried about the entire region

@highlight

Countries such as Oman and the United Arab Emirates are safe and calm, experts say

@highlight

Some agents set clients up with trusted guides and drivers for extra security

@highlight

The Mideast region may not be a good fit for nervous travelers, travel agents say