The world is expected to get a look at the findings of U.N. weapons inspectors Monday as Security Council powers work to turn a U.S.-Russian framework on Syria's chemical weapons into a concrete plan.

U.N. Secretary-General Ban Ki-moon received the inspectors' report on the August poison gas attack outside Damascus on Sunday, the United Nations announced. Ban is scheduled to brief the Security Council on the report in a closed-door session Monday morning -- and two diplomats told CNN the report is likely to be released publicly at that time.

The attack led to U.S. threats of military action in Syria, where a civil war has left more than 100,000 dead since 2011, and Syria's stated decision to hand its chemical weapons arsenal over to international control. Saturday, U.S. Secretary of State John Kerry and Russian Foreign Minister Sergey Lavrov laid out a series of steps the Syrians must take to eliminate its stockpile.

The plan now goes to the Security Council, where members are working to craft a resolution that will keep the process under review and allow the world body to consider the use of force if Syria fails to comply.

That effort will start at U.N. headquarters in New York and in Paris, where French President Francois Hollande told the television network TF1 talks would start "as soon as tomorrow" among Kerry, French Foreign Minister Laurent Fabius and British Foreign Secretary William Hague.

"Then Laurent Fabius will go to Russia to meet with his Russian counterpart to end this process, and we could vote on this resolution before the end of the week," Hollande said. But he added, "This does not mean that we would be done with the case. The violence is still ongoing, the war in Syria is still ongoing, so the next step will be to find a political solution."

Under the plan, Damascus must submit a comprehensive list of its chemical arsenal within one week, and international inspectors must be on the ground no later than November. Senior U.S. State Department officials said that according to the timeline, initial inspections of declared chemical weapons sites must be completed by November; all production and mixing and filling equipment must be destroyed by November; and all chemical weapons material must be eliminated by mid-2014.

Framework for eliminating chemical weapons

Russia is Syria's leading ally and has vetoed Security Council resolutions on the conflict in the past. China, the fifth of the veto-wielding Security Council members, said Sunday it welcomed the deal.

"We believe this framework agreement has cooled the tense situation in Syria and has opened a new opportunity to use a peaceful means to resolve the chemical weapons issue,"  Foreign Minister Wang Yi said after a meeting with Fabius in Beijing.

The verification and destruction process will be carried out by personnel from both the United Nations and the Organisation for the Prohibition of Chemical Weapons, the body that implements the international ban on chemical weapons use, according to the framework agreement. A diplomatic source said the OPCW will assess the timeline Kerry and Lavrov laid out in Geneva to assist negotiations at the United Nations.

Syria confirmed it had chemical weapons in 2012. U.S. intelligence estimates it possesses about 1,000 tons of ordnance -- mostly the nerve gases sarin and VX, which cause convulsions, paralysis, respiratory failure, and death, but also mustard gas, which inflicted horrific casualties on the battlefields of World War I.

Syrian official hails 'victory' in Geneva

A Syrian official, National Reconciliation Minister Ali Haidar, called the framework a "victory" and thanked Russia for orchestrating a chemical weapons deal to avert U.S. military action, Russia's state-run news agency RIA Novosti reported.

"On the one hand, they will help Syrians come out of the crisis, and on the other hand, they prevented the war against Syria by having removed a pretext for those who wanted to unleash it," RIA Novosti quoted Haidar. He called the deal an achievement of Russian diplomacy, and "a victory for Syria won thanks to our Russian friends."

U.S., Russia agree to framework

But in Israel, where he met Sunday with Prime Minister Benjamin Netanyahu, Kerry told reporters that "the threat of force remains" to make sure Syria follows through with the agreement.

"I want people to understand the key elements of what we agreed to in Geneva. It is a framework, not a final agreement," he said. "It is a framework that must be put into effect by the United Nations now."

And Hollande told TF1 that "the military option must remain."

"One must take into account the threat of sanctions, if the agreement and the results of the Security Council U.N. resolution were not carried out," he said. "Therefore, we must ensure that there is some kind of sanction if it is not applied."

A U.N. diplomat, speaking on condition of anonymity, told CNN that the technical timeline agreed to in Geneva would not be revisited this week in New York. The thornier question of whether a resolution should be under Chapter 7 of the U.N. Charter -- which potentially authorizes the use of force if Syria is in violation -- remains to be worked out.

"You cannot just copy and paste what's in Geneva into the resolution," the diplomat said.

Also remaining to be discussed is whether any resolution would condemn al-Assad's government for the August 21 attack and whether it would call for those accused of ordering the strike to face trial before the International Criminal Court.

Both the U.N. diplomat and a Western diplomat said a vote isn't likely before mid-week, perhaps Wednesday.

The Western powers have blamed government troops for the poison gas attack, which Washington says may have killed more than 1,400 people.

Syria's government denies using chemical weapons and has said rebel forces used poison gas on its forces. But in a report issued last week, Human Rights Watch said al-Assad's forces "were almost certainly responsible," citing photos of and videos from the attack scene that pointed to weapons not known to be in rebel hands.

Opposition group wants Syrian air power restricted

A leading Syrian opposition group said Sunday that a ban on chemical weapons isn't enough, and called for the Syrian regime to end the use of air power over populated areas.

"The Syrian National Coalition insists that the ban of use of chemical weapons, which led to the loss of lives of more than 1,400 Syrian civilians, must be extended to ban the use of the regime air power and ballistic weapons against population centers, in addition to the redeployment of heavy weapons away from population centers, and the prohibition of use of these weapons to bomb Syrian cities and villages," the group said in a statement.

"The world must not allow the Assad regime to take advantage of the Russian initiative and their joining the treaty on the prohibition of the use of chemical weapons as an excuse to continue the daily slaughter of the Syrian people with impunity," it added.

The group expressed skepticism about the chemical weapons deal.

"The Assad regime has a long track record of deceit when it comes to dealing with the treaties and empty promises in the regime attempt to buy more time," the coalition statement said. It called on its supporters in the region and in the West to strengthen its military capabilities.

"The coalition calls upon the Arab brothers and Friends of Syria military to strengthen the arm capability of the military opposition to be able to neutralize the Assad air force and his tanks to force the regime to end its military campaign and accept a political solution that will lead to a democratic transition in Syria," it said.

Last week, Gen. Salim Idriss, head of the rebel Free Syrian Army, said he has information that Syria has already started to move chemical materials and weapons out of the country, into Lebanon and Iraq. Iraq denied the allegation, calling it "cheap propaganda."

"We confirm that Iraq is against possessing such weapons and other weapons of mass destruction anywhere in the world and under any excuse," said a statement Sunday from the Iraqi prime minister's office.

@highlight

U.N. inspectors deliver their report to Secretary-General Ban Ki-moon

@highlight

"The military option must remain," French president says

@highlight

A Syrian official calls the Geneva framework announced Saturday a "victory"

@highlight

Syria's opposition says the deal doesn't go far enough