(Health.com) -- People who consistently consume more calories than they burn each day will lose lean muscle and accumulate body fat more easily if their diets contain too little protein and too much fat and carbohydrates, suggests a study published this week in the Journal of the American Medical Association.

The study included 25 people who lived in a carefully controlled research facility for up to three months, exercising very little. For two of those months, all of the men and women intentionally ate about 1,000 calories per day more than they needed to maintain their weight, but they consumed different amounts of protein.

People assigned to a low-protein diet gained roughly half as much weight during the experiment as those assigned to a standard or high-protein diet, but body fat—rather than lean body mass, which includes muscle—accounted for a much higher percentage of their weight gain.

Health.com: How to boost your metabolism

In the low-protein group, approximately 90% of the extra daily calories were stored as body fat, but in the other groups just 50% of the added calories became fat and most of the remainder were burned off. People on the low-protein diet lost an average of 1.5 pounds of lean body mass, while those in the normal- and high-protein diets gained about 6 and 7 pounds, respectively.

The findings debunk a decades-old theory, supported by more recent research, that low- or high-protein diets can fight weight gain by tricking the body into shedding excess calories without storing them, says study author Dr. George A. Bray, M.D., chief of clinical obesity and metabolism at the Pennington Biomedical Research Center, in Baton Rouge, Louisiana.

"You don't fool nature by adding more or less protein," he says. "You may fool the scale, but you don't fool the metabolic processes which store excess calories as fat."

Health.com: 25 ways to cut 500 calories a day

The results suggest also that the minimum protein intake federal health officials currently recommend—46 grams per day for women and 56 grams per day for men—may not be enough to maintain muscle mass in some people. The study participants needed to consume at least 78 grams of protein per day to avoid losing muscle, Bray and his team found.

David Heber, M.D., director of the UCLA Center for Human Nutrition, in Los Angeles, says most people should get about 20% of their total calories from protein. (By comparison, the three groups in the study got roughly 5%, 15%, and 25% of their calories from protein; people on the low-protein diet ate just 47 grams of protein per day.)

Hitting the 20% target doesn't require eating a high-fat, high-protein Atkins-style diet, however. By relying on low-fat, high-protein foods such as white meat, ocean-caught fish, Greek yogurt, and nonfat cottage cheese, people can ensure they get enough protein while staying within their calorie budget, says Heber, who coauthored an editorial accompanying the study.

"Protein both helps control your appetite and maintain your lean body mass," he says.

Though extremely small, the study is actually relatively large for its type. Finding large numbers of people who are willing to move into a research facility for three months is difficult, and the staff and technology needed to closely monitor their diets and body fat is very expensive, Bray says.

Health.com: The top fat-burning foods

The study participants were healthy and relatively young (age 18 to 35), and although some were overweight, none were obese. Before the protein experiment began, they each spent about two to three weeks working with researchers to identify the daily calorie intake that would maintain their current weight. And the researchers discouraged the participants from exercising.

"They were basically young couch potatoes," Bray says.

In the second phase of the study, when the participants were randomly assigned to one of the three protein levels and began overeating, the researchers tracked their body weight and the number of calories each participant burned while at rest. Every two weeks, the researchers also measured their body fat and lean body mass using a type of X-ray.

People in the low-protein group gained about 7 pounds, on average, compared to 13 pounds for the normal-protein group and 14 pounds for the high-protein group. All three groups gained roughly the same amount of body fat, but only the low-protein group actually lost muscle mass.

Health.com: Little ways to lose big pounds

At the end of the study, moreover, people who had been on normal- or high-protein diets were burning more calories while their bodies were at rest, whereas resting calorie expenditure stayed the same for the low-protein group.

"A lot of the extra energy expenditure that we found probably reflects the increased requirements for protein storage," Bray says, explaining that the body uses up more calories when it builds muscle than when it stores fat.

People in the United States and other industrialized countries tend to eat a high-fat, high-carb, low-protein diet, and the findings show that overeating on this type of diet causes people to pack on fat, even if they're not necessarily packing on pounds, Heber and his coauthor note in their editorial.

In addition to losing weight, people who are overweight or obese should consume adequate protein and focus on improving their ratio of body fat to lean muscle, Heber says. Adequate protein is increasingly important as we age, he adds, because people tend to lose muscle mass as they get older.

Copyright Health Magazine 2011

@highlight

On low-protein diet, 90% of calories are stored as body fat vs. 50% on high-protein

@highlight

Federal recommendations for protein may not be enough to maintain muscle mass

@highlight

Rely on white meat, ocean-caught fish, Greek yogurt, and nonfat cottage cheese