(CNN)If you were the member of a minority group and tried to create a system to control and oppress the majority, you could not have done a better job than the white leaders of Ferguson, Missouri.

Let's start with the demographics. Ferguson is small -- roughly 20,000 residents -- and is 67% black and 29% white. Over the past decade, Ferguson's population has changed from majority white to majority black. Its elected officials did not. Five of six City Council members are white, as is the city's mayor.

How does this happen in a city two-thirds black?

Two answers: timing of elections and type of elections. Ferguson, like most municipalities, holds elections in April of odd-numbered years. However research shows that such "off-cycle" elections reduces voter turnout. Ferguson also holds nonpartisan elections, which means that there are no party labels on the ballot. This not only reduces the likelihood that people will vote, it also has been shown to reduce what voters know about the candidates.

Although Missouri does not track the race of its voters, according to an article in The Washington Post, Catalist, a private voter data firm, performed a study and found that the voting rules operating in Ferguson effectively suppress the black vote. In the national election in November 2012, the study found, voter turnout between blacks (54%) and whites (55%) was virtually identical. But because of the vast racial differences in the city's population, it resulted in an electorate that was 71% black and 28% white.

Fast-forward five months later in April, when whites were three times (17%) more likely to vote than blacks (6%). That resulted in an electorate that was majority white: 52% versus 47%. That is how a majority-black population winds up with almost all-white elected representatives.

Ferguson's law enforcement officers are also not representative, with roughly 94% of its police force being white. Similarly Ferguson's local judges are nonrepresentative. I'm sensing a pattern here.

Local judges are appointed by the Ferguson City Council upon nomination by the mayor for a two-year term. The Ferguson Municipal Court is also all-white. But the black citizens of Ferguson apparently keep the police and local judges very busy.

In 2013, Ferguson had the highest number of warrants issued in the state, when you control for size: 3.6 pending arrest warrants per household and 2.2 arrest warrants on average per person. And 95% of people arrested for jaywalking in Ferguson are black. While 67% of the population is black, 86% of vehicle stops involve a black driver.

While 29% of the population is white, 12.9% of vehicle stops involve a white driver. Blacks were almost twice as likely to be searched as whites, even though searches of blacks were less likely than whites to result in contraband being found (21% vs. 34%).

Nobody said racism made sense. But for Ferguson, it has made money.

In prior years Ferguson tried to raise sales tax but learned the hard way that it did not result in increased revenue because people voted with their feet and took their wealth with them. Ferguson turned to a different revenue source: collecting traffic fines and penalties from the largely black population.

Those revenues constitute Ferguson's second-highest revenue source. Once a resident gets a ticket and does not appear in court with an explanation, an arrest warrant is likely issued. Once arrested, the resident may sit in jail for a very long time, while the fees and fines continue to accrue. A class-action lawsuit filed this month against the city of Ferguson has challenged this funding system, calling it a "modern debtors' prison scheme."

The remarkable part of this story is how patient the black residents of Ferguson have been. It took the death of a teenager to get them mad enough to protest and the nation got mad with them. Between the class-action lawsuit and the Department of Justice's involvement, blacks in Ferguson should know the world is watching.

The arc of history is long and bends towards justice -- and help is finally on the way.

@highlight

Dorothy Brown: Ferguson political system has been effective at oppressing majority

@highlight

It has done so with the timing and type of elections, Brown says

@highlight

Brown: Fines filled city coffers; black citizens have been remarkably patient, but no more