Beijing, China (CNN) -- As the Communist Party of China (CPC) celebrates the 90th anniversary of its founding, party officials are pledging to continue the fight against corruption.

"Anyone who is corrupt, no matter who is involved, will be resolutely investigated to the very end," said Wu Yuliang, deputy secretary of the CPC Central Commission for Discipline Inspection, the party's anti-corruption body.

As the CPC enters the 21st century, it will "comprehensively tackle corruption from both its roots and symptoms, combining punishment with prevention," Wu added.

It's a daunting task.

Despite repeated campaigns to stamp out corruption, it remains rife and is one of the most incendiary sources of public anger.

"(Corruption) is so entrenched that honest officials are now part of a minority that risks being left behind," wrote the Economic Observer, a Chinese-language paper. "It is a system where corruption is the rule rather than the exception."

Rampant corruption, officials say, is an unintended consequence of change. "We're in the midst of major socioeconomic transformation," said Wu, the anti-corruption official. "We are at a stage where corruption is frequent and prone to happen."

"In the centrally planned economy," retired official Tang Wenjun said, "there was no market and the government officials could not sell or buy much of anything." Now, it's different. Corruption thrives, he says, in part because opportunities have expanded.

China's GDP per capita, adjusted by purchasing power parity, reached $7,517 in 2010, according to the International Monetary Fund. That's up from $250 in 1980.

The economic boom and the general rise in prosperity have made bureaucrats increasingly greedy.

The result is corruption on a scale more pervasive than the founders of the Communist Party could ever have imagined.

Graft and corruption includes nepotism, accepting bribes and kickbacks, lavish spending of public funds, and laundering of profits and public money overseas.

Official abuse extends to all levels of officialdom, in and outside the party.

A sampling of recent scandals:

• Liu Zhijun, sacked last February as China's railways minister, is now under investigation for corruption, according to Xinhua, the official news agency.

• Huang Guangyu, the founder of home appliance retailer GOME, remains detained on charges of insider trading and stock manipulation.

• Huang Songyou, former vice president of China's Supreme People's Court, was jailed for life, convicted of taking bribes totaling over $500,000.

• Chen Tonghai, the former head of oil giant Sinopec, was given a death sentence, later converted to life in prison, in 2009 after being convicted of taking nearly 200 million yuan (nearly $30 million) in bribes.

• Li Peiying, former president of the Capital Airports Holding Company, was executed in August 2009 after he was convicted of receiving 26.61 million yuan ($4.1 million) in bribes.

• Kang Rixin, former head of the China National Nuclear Corporation, was sentenced to life last year for taking almost $1 million in bribes between 2004 and 2009 when he was general manager of the huge state-owned company.

Kang, a former member of the policy-making CPC central committee, is thought to be the most senior CPC official to be investigated and punished since a former Shanghai mayor and party chief, Chen Liangyu, was sentenced to 18 years for bribery.

With most of the populace suffering from rising inflation, complaining of the gap between the rich and the poor and worrying about their economic future, resentment of corruption is high.

One popular saying in Beijing puts it bluntly: "If the Party executes every official for corruption, it will overdo a little; but if the Party executes every other official for corruption, it cannot go wrong."

A public opinion survey conducted by Horizon Research Consultancy last year cites corruption as the worst problem tarnishing China's image.

In response to the public outcry, the CPC is vowing to sniff out corrupt officials. Wu says his anti-graft group last year investigated 139,621 cases of malfeasance and punished 146,517 people. Of those cases, 5,373 have been referred to the courts for criminal persecution.

Chinese Premier Wen Jiabao, speaking this week to a group of party members, pledged to give top priority to the anti-corruption drive. "Each party member and cadre must abide by the law, be cautious and prudent and practice self-discipline."

The press, aided by netizens, has been working zealously to expose the corruption cases. Internet users have set up websites designed to help blow the whistle.

Public relations consultant Chen Hong started a website -- www.ibribery.com -- allowing visitors to anonymously post their experiences of bribing officials. Some netizens exposed officials who demanded cars and villas, police officers who asked for cash incentives to not issue traffic tickets and doctors who wanted money to ensure safe surgical procedures.

His site drew 200,000 unique visitors in two weeks, but censors have started to block access to his site. Worried that he was courting trouble, Chen closed it down last week, hoping to apply for a license and restart his site.

Meantime, other netizens have set up copycat sites like www.522phone.com and www.wohuixingle.info vowing to out corrupt officials.

Anti-corruption official Wu Yuliang acknowledges the role of the netizens and general public -- with a caveat.

"We hope the authorities will supervise the internet," he says. "We hope they can guide the netizens, so they will air opinion through legal means, and the information they reveal are accurate and reliable."

@highlight

Corruption remains rife and is among one of most incendiary sources of public anger

@highlight

Officials say rampant corruption is unintended consequence of change

@highlight

Official abuse extends to all levels of officialdom

@highlight

Former head of China National Nuclear Corporation sentenced to life last year