(CNN) -- It's football season: From Pop Warner, Young American Football League and other children's football leagues; from high school to college and the pros, football is the name of the game.

Unfortunately, it's also a time when we see sports-related concussions, particularly among children.

This year, there will be millions of sports-related concussions and many of them will go undiagnosed. Around 300,000 will result in a player losing consciousness. Research indicates that multiple concussions may lead to dementia and lasting brain damage, and more concussions happen in football than in other sport. The result is a brain injury epidemic that affects 4.5 million players who are still too young to play in the NFL.

Football is a tough sport, but the concussion epidemic is a problem we can work to fix.

Part of the issue is the culture of the game. Retired NFL great Nick "the Kick" Lowery, the all-time leading scorer for the Kansas City Chiefs and one of the greatest kickers to play the game, wrote to me about his experiences.

"When I played football, suffering a concussion was often shrugged off as merely having your 'bell rung,'" Lowery wrote. "My teammates had no shortage of toughness and wanted to build the mentality to out-tough our opponents. We now know that multiple concussions can lead to lasting brain damage and should be treated as a serious matter."

The good news is that concussions are being treated as a serious matter, more and more. New Mexico is one of several states with a sports concussion law. It requires that coaches be trained about concussions and brain injuries, and that students who suffer concussions must stay on the sidelines for at least a week, and until a medical professional approves his or her return to play.

But coaching is not the only way to approach the problem. When kids step onto the field, they need to be confident that their safety equipment will provide adequate protection. Far too often it doesn't keep the young athlete as safe as it should.

Although football helmet safety has improved since the days of leather helmets, today's voluntary football helmet safety standards don't take our modern understanding of concussion risks into account. For example, the industry standard primarily protects against serious injury from a severe, direct blow â€” but it does not address the risk of a concussion caused by less severe impacts, or by hits that spin the head and brain.

The standard for reconditioning used football helmets also does not specify how often these old helmets must be recertified.

One young student-athlete, Max Conradt, returned to play too soon after suffering a concussion. Max was wearing a 20-year-old helmet when he suffered another concussion that led to brain damage. His parents wrote me asking, "How is it possible that our son was issued a helmet three years older than he was?"

Unfortunately, about 100,000 helmets out there are more than a decade old. These helmets are on the heads of high school and younger football players across the country this season.

As knowledge of head injuries improves, some companies advertise newer helmets with sweeping safety claims. Young athletes could put themselves at greater risk if they think a new "anti-concussion" helmet, headband, or mouth guard makes them invulnerable to brain injury.

We can do better than this. Parents should be able to let their kids play football confident that the equipment they're using has been created with the best science and technology for protection of injury.

That's why I introduced the Children's Sports Athletic Equipment Safety Act. This bipartisan legislation, which has been endorsed by the National Football League Players Association, would help ensure that new and reconditioned football helmets for high school and younger players meet safety standards that specifically address concussion risk and the needs of young athletes. The bill also increases potential penalties for using false injury prevention claims to sell helmets or any other children's sports equipment.

There will always be some risk of injury in football â€” it's inevitably part of the game. But, we must make sure that athletes, coaches and parents know about the dangers and signs of concussion; we must make sure that they are using safe equipment; and we must take any false advertising out of the game.

The opinions expressed in this commentary are solely those of Sen. Tom Udall.

@highlight

Tom Udall: Millions of sports-related concussions a year; most happen in football

@highlight

Concussions are a serious matter, Uall writes; 4.5 milion young players are affected

@highlight

Udall: Younger players need football helmets with up-to-date safety standards

@highlight

Udall's legislation would set standards for new and reconditioned football helmets