New York (CNN) -- USS Cole Cmdr. Dennis Farrell keeps in his cabin a memento of the last time the storied Navy destroyer cruised into New York Harbor.

It was Fleet Week 2000. Sailors stood at the rails under a fluttering American flag. In the background, the Twin Towers soared over a shimmering skyline.

"It reminds me of why we go to sea," Farrell says of the keepsake photo.

A few months later, on October 12, 2000, a pair of suicide bombers associated with al Qaeda nearly sank the Cole as it refueled in Aden harbor in Yemen. The attackers waved at the sailors.

"It was presumed to be a trash boat," Farrell says. "It wasn't."

Resilient and strong

The bombers sidled their explosives-laden fishing boat alongside the $1 billion warship and ripped a 40-by-60-foot hole into its side, killing 17 sailors and wounding 37 more.

Heralded by al Qaeda as one of its greatest military strikes, the attack foreshadowed the terror network's destruction of the World Trade Center in Manhattan less than a year later.

"We took a hit 11 months before 9/11, and we came back resilient, a strong force," Farrell says, "like the men and women of New York."

The destroyer -- also known as DDG 67 -- left New York on Tuesday at the close of Fleet Week 2014.

The World Trade Center site, with its hulking Freedom Tower, once again houses the nation's tallest building. On Wednesday, the same day the Cole headed the Fleet Week procession along the harbor, the long-awaited September 11 Memorial Museum opened to the public.

A flotilla of smaller vessels, including New York Police and Fire Department boats, welcomed the ships.

"We're so closely connected to the men and women of New York," says Farrell, a native of Boca Raton, Florida. "You see the outpouring of the emergency service members, the firefighters and the New York City Police Department."

In recent days, hundreds of schoolchildren and adults toured the Cole to learn about its history, weapons systems and return to duty two years and $250 million in repairs and upgrades after the attack.

"Right here is where the gash was," says U.S. Navy Ensign Hannah Taylor of Mount Pleasant, Iowa, standing near where 17 sailors having an early lunch were killed.

Victims remembered

Nearby, in the ship's Hall of Heroes, 17 gold stars are inlaid on the mess deck to commemorate each victim.

"The sailors, you watch them when they're getting their chow, they don't step on those stars," Farrell says. "They walk around them. And sailors are assigned to clean those stars every day. They take that very seriously."

Each victim is remembered on a plaque:

-- Hull Maintenance Technician 2nd Class Kenneth Eugene Clodfelter, 21.
-- Electronics Technician Chief Petty Officer Richard Costelow, 35.
-- Mess Management Specialist Seaman Lakeina Monique Francis, 19.
-- Information Systems Technician Timothy Lee Gauna, 21.
-- Signalman Seaman Cherone Louis Gunn, 22.
-- Seaman James Rodrick McDaniels, 19.
-- Engineman 2nd Class Marc Ian Nieto, 24.
-- Electronics Warfare Technician 2nd Class Ronald Scott Owens, 24.
-- Seaman Lakiba Nicole Palmer, 22.
-- Engineman Fireman Joshua Langdon Parlett, 19.
-- Fireman Patrick Howard Roy, 19.
-- Electronics Warfare Technician 1st Class Kevin Shawn Rux, 30.
-- Mess Management Specialist 3rd Class Ronchester Manangan Santiago, 22.
-- Operations Specialist 2nd Class Timothy Lamont Saunders, 32.
-- Fireman Gary Graham Swenchonis Jr., 26.
-- Ensign Andrew Triplett, 31.
-- Seaman Craig Bryan Wibberley, 19.

In addition, placards with photos and short biographies about the victims are displayed near their workstations.

"Every single day you remember what those sailors died for," Taylor says.

In the dining hall, the attack is commemorated with three glass cases. One has the still blackened flag that flew the day of the attack. Another, the flag that draped the coffins of the fallen crew members. A third holds the flag flown when the ship first returned to the Gulf of Aden.

Courage and Heroism

In 2001, the Department of Defense issued a report on the USS Cole attack that cited significant shortcomings in security against terrorist attacks.

"The investigation clearly shows that the commanding officer of Cole did not have the specific intelligence, focused training, appropriate equipment or on-scene security support to effectively prevent or deter such a determined, preplanned assault," the Chief of Naval Operations, Adm. Vern Clark, said at the time. "In short, the system -- all of us -- did not equip this Skipper for success in the environment he encountered in Aden harbor that fateful day."

The terror organization's success against the Cole "galvanized al Qaeda's recruitment efforts," while the failure of the United States to retaliate against group leaders in Afghanistan motivated Osama bin Laden to "launch something bigger," said the 9/11 Commission Report.

Still, those stationed on the Cole speak of the heroism of members of the former crew, who worked for days to save the ship and care for the injured. In intense heat, they toiled without electrical power and no shipboard communication.

"On two occasions, it was very, very close to sinking," Farrell says. "The ship had to pull together everybody regardless of what their specialty was ... for damage control."

He added, "There is no question that this ship was saved by the men and women who were serving on the Cole in October 2000. That's not lost on me or any of my crew members. We stand on the shoulders of those who came before us."

All Navy recruits now undergo drills on the same type of ship as the Cole, putting out fires, dealing with flooding and tending to the wounded. Exercises occur in a structural model of the damaged Cole mess deck.

"We have a totally different mindset of how we do business, a totally different focus," Farrell says.

Said Taylor, "There's not really a drill that you can do for something that massive. Even when you have an actual fire or flooding, it's not nearly that bad. It would have taken a lot of courage and heroism to do what they did."

@highlight

Storied Navy destroyer visits New York for first time since 2000 suicide bombing

@highlight

Al Qaeda operation killed 17 sailors and wounded 37 more in Yemeni port

@highlight

Eleven months later, al Qaeda destroys New York's World Trade Center

@highlight

Commander Dennis Farrell: "We stand on the shoulders of those who came before us"