(CNN) -- A growing number of women in business are flocking to Twitter for real-time advice, support and networking.

Twitter chats are allowing women in the world of work -- from young business owners to females in the C-suite to mompreneurs and more -- to gather together online and talk like never before.

Here is Leading Women's guide to Twitter chats -- the benefits, the pitfalls, some contacts and how to get involved.

What is a Twitter chat?

When it comes to Twitter chats there are as many topics as groups, from customer service to tech enthusiasts to business start-ups, and although women are using them a lot, it's not gender specific.

A chat happens when a group of Twitter users gathers together at a scheduled time, and send tweets to each other using an agreed hashtag that allows anyone who's interested to follow the conversation.

They tend to happen regularly, for example monthly, and a community will of like-minded people often grows up around them.

An organizer will tweet the date, time and topic of the chat to the community using the hashtag. The organizer will often use a social media dashboard like Tweetdeck or Hootsuite to schedule questions that will be tweeted out at intervals during the chat to give the conversation structure.

Tinu Abayomi-Paul, editor of of the #WgBiz (Women Grow Business) chat describes a successful chat as "a lively community around the chat's topic, consistent promotion, well-timed, scheduled chats, and discussion around a topic that the community cares about."

Why are they popular?

Twitter chats have become a practical communicative tool for a number of reasons, according to Abayomi-Paul.

"First, there's the chance to receive expert or peer knowledge in a format that's more dynamic than a webinar," she said.

"Second, there's an avenue for continuing to maintain contact with those participating via Twitter, without anyone exposing their private information before they're ready.

"Third, being able to participate live, in real time, in such a (simple) format eliminates some of the barriers that keep us from attending teleconferences, webinars, video meeting or in-person events."

Twitter chats are also a flexible way to communicate, according to Young Female Entrepeneur chat organizer Jennifer Donogh.

"You can join in whenever you can, wherever you are, which is very important for young women especially those with varied responsibilities," she said.

Some chats also provide the opportunity to meet and talk directly with industry experts. Avid chat participant Ify Ofulue uses chats to brainstorm with guest speakers and says it is an immeasurable source of knowledge.

"The caliber of guests is a huge draw," she said. "I knew straight away I wouldn't have had the opportunity to connect with them as easily as through Twitter chat. So, I threw caution to the wind and dove in. It quickly became a monthly routine."

Connecting with like-minded individuals within your industry has always been important in business. Viveka von Rosen is the founder of Linked Into Business. She highlights how tweet chats have created a new avenue for networking professionals.

"The business and relationship development opportunities for participants are incredible," she said.

"The fact that people get to hang out with influencers that the moderators bring on and for these major influencers to be able share their words with people so directly, I think that kind of access is unparalleled."

What are the disadvantages?

While chats are growing in popularity, von Rosen is quick to point out Twitter could be doing more to help.

"It can be difficult to find tweet chats, it's like a secret club or something," she said. "There is an excel list that gets passed around (but) I think Twitter is missing out on an incredible opportunity when it comes to tweet chats."

Another disadvantage, according to chat enthusiast and marketing professional Shannon Renee, is when people hijack an event to promote their own products and services and thus devaluing the conversation.

How to get involved

Both moderators and participants describe Twitter chats as friendly and welcoming experiences. If you'd like to get involved, here are a few hints to help you on your way:

1. Search your favorite blog or website and see what Twitter activity they have or if they use a certain hashtag to generate conversation between members. 
2. Ask your followers and friends if they participate in any chats that may be of interest to you. 
3. Once started Twitter chats gain momentum and it can be difficult to keep up with the conversation. Using a tool like Tweetdeck or Tweetchat to follow the hashtag can help. 
4. There is nothing wrong with sitting on the sidelines and watching the discussion as it happens. 
5. If you want to speak up, moderators suggest sending an introductory tweet to the group mentioning that it's your first chat.

@highlight

Twitter chats have gained momentous popularity over the last few years

@highlight

Participants join via a bespoke hashtag at a predesignated time on a particular topic

@highlight

Chat's allow networking, support and access to experts otherwise impossible

@highlight

CNN will co-host a chat on Sept 28 8p/11e on the subject of women at work