Editor's note: Julian E. Zelizer is a professor of history and public affairs at Princeton University's Woodrow Wilson School. His new book, "Arsenal of Democracy: The Politics of National Security -- From World War II to the War on Terrorism," will be published in December by Basic Books. Zelizer writes widely about current events.

Julian Zelizer says Woodrow Wilson got his Nobel Peace Prize at the end of a presidency marked by failure.

PRINCETON, New Jersey (CNN) -- Did President Obama deserve the Nobel Peace Prize? That debate will likely continue for weeks to come. But the more interesting question may be about what impact the prize will have on President Obama himself and the key decisions he must make about national security.

The case of Woodrow Wilson, the last sitting president to be awarded the prize, offers some useful lessons.

On December 10, 1920, Albert Schmedeman, the American Minister to Norway, accepted the Nobel Prize on behalf of President Wilson, who was being honored for his work in creating the League of Nations. The president had first been nominated in 1918, but strong internal disagreement within the committee delayed his receiving the prize. It was his actual campaign to gain ratification for the League of Nations agreement in 1919 that persuaded the committee he had earned the recognition.

Schmedeman read a statement from Wilson, who was in poor health after suffering a stroke, that said: "In accepting the honor of your award, I am moved by the recognition of my sincere and earnest efforts in the cause of peace, but also by the very poignant humility before the vastness of the work still called for by this cause."

Wilson realized that the award came toward the end of a presidency where he had failed to achieve many of his goals. There was a certain irony that the prize was awarded right at the time that President Wilson had failed to persuade the U.S. Senate to ratify the Treaty of Versailles, the agreement signed at the end of World War I.

One of the Norwegian newspapers, the Aftenposten, ran an editorial that stated: "After disappointment in Versailles he returned home a beaten man, ridiculed by his adversaries and fellow-citizens. By circumstances out of his control he was restrained from promoting his international peace work. As President of the United States he was unable to do anything more, but history will keep memory of him as creator of the League of Nations.

"To Europe and to great parts of America President Wilson looms as the man of peace who broke with the old doctrines and showed the way toward new ideas. He is, first and last, the great peace promoter -- popular among the victorious and among those beaten."

When Wilson received the Nobel Prize, his presidency was one of dashed expectations. In addition to the fact that the U.S. Senate had refused to ratify the Treaty of Versailles -- despite a massive campaign by the president to pressure them into doing so -- many other things had been difficult in Wilson's second term. Though he had run for reelection in 1916 as a president who would keep the nation out of war, Wilson led American troops into a bloody battle.

Although Wilson had promised fellow progressives that he would not abandon the domestic principles he had embraced in his first term, once the nation was at war, his administration violated civil liberties, imprisoned wartime opponents, and abandoned much of an interest in creating domestic programs that were unrelated to the war.

And while many peoples of the world had been deeply inspired by President Wilson's calls for self-determination, he backed off from pursuing those principles in exchange for international support for the League of Nations. Without American participation, the League of Nations ultimately proved ineffective in preventing war.

Obama is fortunate that his Nobel Prize comes much earlier in his presidency. The Nobel Prize Committee granted the award to President Obama for "his extraordinary efforts to strengthen international diplomacy and cooperation between peoples."

The secretary of the Nobel Prize Committee stated that Obama's achievement has been to shift the international climate toward issues such as diplomacy and negotiation, arms control and disarmament, multilateral institutions, as well as democracy and human rights.

The good news for President Obama is that while he has had a tough few months in office, he still enjoys strong approval ratings in the U.S. and, as the award indicates, has significant prestige abroad. In other words, even after all the town hall meetings and the challenges with his agenda, expectations remain high about what this president can do.

The president enters a period when he will be making critical decisions that will help shape the "international climate." He will need to decide how strongly to push for climate control legislation, what to do about the requests for more troops in Afghanistan, how to handle counterterrorism policy with regard to issues such as the closure of Guantanamo, and how to respond to Iran's nuclear program.

As he makes these decisions, this award can serve as a powerful reminder about what his supporters were hoping he could achieve, and as a source of energy to pursue those goals. In his speech on Friday, Obama indicated that he was thinking in these terms. He said: "I will accept this award as a call to action -- a call for all nations to confront the challenges of the 21st century."

When Woodrow Wilson died in 1924, he understood all too well how devastating dashed expectations could be for a presidency. "I am a broken piece of machinery," he said on his deathbed. In Wilson's case, the Nobel Prize only amplified the limits of what he had been able to accomplish in the White House and the promises he had broken along the way.

In President Obama's case, the award comes much earlier in his tenure and can serve a very different function, offering a compass to guide him as he makes critical decisions about national security in the weeks ahead.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: The last sitting president to receive Nobel was Woodrow Wilson

@highlight

He says Wilson's prize came at end of a very troubled presidency

@highlight

He says Obama is being honored at beginning of presidency

@highlight

Zelizer: Prize can serve as a moral compass to guide Obama's actions