(CNN) -- As Japan's disaster evolves, so too are the measures taken to mitigate the chaos.

One such initiative comes from U.S. military contractor iRobot, which will help Japan's army incorporate robots into their recovery efforts. The company joins at least two Japanese robotics teams on the ground in the quake- and tsunami-ravaged country, one of which operates an 8-meter-long, snakelike robot with a camera.

iRobot, based in Bedford, Massachusetts, is donating four ground-based models to the Japan relief effort: two PackBots and two Warriors.

The PackBot is an agile, battle-tested unit that's been used for bomb dispersal, recon and other tactical operations. Depending on its configuration, it weighs 45 to 60 pounds and is known for being highly customizable.

"Not every robot works in every situation," says iRobot Vice President Tim Trainer, "so they have to be configured appropriately."

In Japan, the PackBot will be outfitted with HazMat sensors and deployed in areas of nuclear uncertainty, such as the damaged Fukushima Daiichi nuclear power plant, to search for chemical, biological or radiological anomalies.

The larger Warrior model is a 347-pound robot that can traverse rubble or wreckage and carry up to 200 pounds. For this mission, it will be configured with firefighting capabilities that allow it to deploy fire hoses or clear away rubble. It complements the PackBots' agility and scanning capabilities with the muscle to physically neutralize hot zones.

Both the PackBot and the Warrior are remote-controlled from a distance of 800 meters (about half a mile). The PackBot transmits data about hazardous conditions to an operator in real time.

Because Japan's relief workers face massive piles of impenetrable rubble, the robots might also play a key role in general search-and-recovery efforts, as the PackBot did at New York City's ground zero in the aftermath of 9/11. A dual track system on both units enhances mobility and makes it possible for them to navigate areas humans can't safely reach.

The Packbots and Warriors are accompanied by six iRobot employees who will train Japan's Ground Self-Defense Force in their use. The units can be operated with an Xbox or PlayStation controller in a straightforward plug-and-play fashion.

Once in the field, robots that enter nuclear hot zones aren't necessarily expected to make it back out, as contamination could render them unsafe for later. But by going where relief teams shouldn't, they might prevent additional, unnecessary human casualties.

"This is why we got into robotics," said iRobot's Trainer. "To keep people out of harm's way."

Katie Linendoll is a technology expert, a TV personality and a CNN contributor. Follow her on Twitter @KatieLinendoll.

@highlight

U.S. company iRobot has donated four ground-based robots to help with recovery efforts

@highlight

The PackBot is an agile, battle-tested unit used for bomb dispersal

@highlight

The Warrior is a larger, heavy-load bearing, 347-pound robot