(CNN)Ten years ago, a prosecutor in Centre County, Pennsylvania, took a day off work and vanished.

Since then, the case of Ray Gricar has become one of the most intriguing and talked about missing persons stories in the country.

Investigators have taken dives to the bottom of lakes, dug up a grave, chased more than 300 reported sightings from Arizona to North Carolina, dropped fliers over Slovenia, consulted a psychic, interviewed a member of the Hell's Angels and enlisted NASA technology.

But no one has been able to find the veteran district attorney, who was 59 when he disappeared.

When he went missing that Friday morning on April 15, 2005, he left behind a live-in girlfriend, a beautiful and successful daughter and a bank account that was supposed to fund a fast-approaching retirement.

His red Mini Cooper was found abandoned near a bridge on the Susquehanna River about 55 miles away from his home. Months later his county-issued laptop and hard drive were found -- separately -- on the banks of the river, too damaged to read.

As far as hard evidence goes, that's about all police have. The best lead they got was the sighting of a woman who has not been identified, and information that he had searched online for ways to destroy a hard drive.

What's left is theory, speculation and a case that's been cold almost from the beginning.

"When a district attorney goes missing, you know, it's pretty big. It's going to catch people's attention. A lot of people don't have a large footprint. This guy had influential friends, he was well known," said Todd Matthews, director of communications and case management for the National Missing and Unidentified Person System, or NamUs.

From the start, investigators have considered three possibilities: Gricar committed suicide, fell victim to foul play or deliberately walked away.

The prevailing theories have been suicide or walk-away, especially since 2009, when a search of his Google history on his home computer found that someone had been searching "how to fry a hard drive" and "water damage to a notebook computer."

Gricar, a private and quiet man, was spotted with a woman who was not his girlfriend the day he went missing, and cigarette ash was found near his car, even though he was not a smoker.

Friends and colleagues recalled him being distant in the weeks that led up to his disappearance, and recounted his fascination with another law enforcement official from Ohio who vanished in 1985.

Matthews said that NamUs has compared Gricar's DNA to unidentified bodies nine times since the database became available in 2009, but so far, none has been a match.

"Even if he chose to make himself go missing, it sounds like something was terribly wrong that caused a drastic change in his life. There's something wrong if he's Googled how to fry a hard drive. Did he Google it? Did someone else Google it? Was he threatened? Did he do something and is trying to cover it up? It's not a normal thing to Google that."

Matt Rickard, the former investigator who had been in charge of the investigation for several years, thinks that hard drive is the key to cracking the case. He said he's still holding out hope that someday technology will allow investigators to recover the damaged data.

"I think there is something out there. Whether it's evidence or a person, there's something that could lead us to something," he said. "In all honesty, somebody destroyed the hard drive and there was a reason. We have very few solid leads and the biggest one could be contained on that hard drive."

In 2011, when former Penn State defensive coordinator Jerry Sandusky was arrested and charged with sexually abusing boys, it was revealed that it was Gricar who decided not to charge Sandusky when the first victim came forward in 1998. Gricar cited a lack of evidence.

The intrigue already simmering in Gricar's case exploded. Sleuths desperately tried to find a link between the two cases, but investigators said there was no evidence that Gricar's disappearance had anything to do with Sandusky's crimes.

But some have stuck to the homicide theory, suggesting that Gricar was an enemy of mob-like gangs in central Pennsylvania who were upset at his drug and corruption prosecutions.

Cyril Wecht, a forensic pathologist, said he considered writing a book about Gricar, his ties to the Sandusky case, and whether it led to suicide. But, Wecht said, he abandoned the book idea when it became clear there was not enough evidence.

"I don't think it's a great stretch," Wecht said. "He was one of those guys with a very strong sense of justice and professional discipline and in light of what evolved and came to be disclosed -- I speak as a forensic pathologist who's done so many suicides over the years and what can bring someone to that point. It's pure conjecture, not based on any factual knowledge."

Plus, Wecht said, if it was a suicide, "I don't understand how they never recovered the body."

Bob Buehner, a former district attorney in Montour County, Pennsylvania, who was Gricar's friend, has never accepted a suicide or walk-away theory. He believes his colleague was killed.

Buehner has doubts that, 10 years later, state police can recover from what he considers a bungled start to the case.

"It didn't seem like there was any overall game plan that made sense in terms of a systematic investigation," Buehner said. "One of the things I'd asked them to do from the first couple weeks is now impossible to do -- to do a hotel-motel canvas looking for the mystery woman seen with Ray and then match the names with photo IDs which police have access to."

Buehner said those records are now gone and his faith in finding Gricar is dwindling.

"I give it a 50-50 at best and only because I'm an optimist and I hope that's what will happen," he said. "As a pessimist, maybe 1 in 10 that we'll find him."

Despite fresh eyes on the investigation when it was handed over to state authorities last year, the mystery woman has not been found.

"Pennsylvania State Police continue to chase down new leads and take a fresh look at old leads and we continue to hold out hope that something will break out in this case," said Centre County's District Attorney Stacy Parks Miller. "Everybody, regardless of what position they held, deserves this kind of attention. In any missing persons case, he's not the only one, we feel discouraged when we can't answer the questions for the family, but it doesn't change our dedication to the case."

The case has gotten significant attention on the national level, appearing on several true-crime television shows, including HLN's "Nancy Grace." So it was strange to many in Pennsylvania that for years a case with such a high profile would be handled by the tiny Bellefonte Police Department, where one investigator was assigned to juggle Gricar's case along with several more.

In 2014, the state police took over, but that was nine years after Gricar went missing and two years after he had been declared legally dead.

Sources close to the investigation told CNN the case, as state police received it, was disorganized and porous. Evidence had been compromised in storage. Reports were missing. Evidence had been collecting dust in file cabinets. There was never a forensic audit of his finances.

Today, some of Gricar's friends believe the case is damaged beyond repair. They have lost faith that there will ever be any answers.

When asked if she thought things might change when state police got the case, Barbara Gray, his ex-wife and the mother of his daughter Lara, said no. "The evidence is the same," she said.

Lara declined to comment, and investigators said they've had trouble reaching her.

"There is always a remote possibility that we might never have an answer," said Lt. James Emigh, who leads the investigation for the Pennsylvania State Police after inheriting it last year. "We still hold out hope, and the state police will however continue to diligently follow up every possible lead and attempt to bring closure to the family and friends of Ray."

@highlight

Prosecutor Ray Gricar has been missing for 10 years

@highlight

His laptop and hard drive were found too damaged to read

@highlight

Gricar has been declared legally dead