London, England (CNN) -- A young boy sits in his bedroom staring up at the poster of Bruce Lee hanging on the wall. Like most kids in Kafanchan, a small town in the heart of Nigeria, he is a big fan of the martial arts supremo, frequenting the local cinema which almost exclusively shows Hong Kong karate movies or Bollywood films.

Other times the young boy immerses himself in a world of literature reading work from acclaimed writers like Chinua Achebe, Wole Soyinka and Charles Dickens. And while outwardly he may still appear to be a child, the die has been cast.

"I knew I wanted to be a writer from when I was six," Biyi Bandele tells CNN. "My dad took me to the local library, I was five or six and I just fell in love with the books."

Some three decades later and Bandele has become a celebrated novelist and playwright who most recently moved behind the camera to try his hand at directing.

A task he seems well suited for after receiving critical acclaim for his directorial feature film debut, "Half of a Yellow Sun," based on Chimamanda Ngozi Adichie's much-loved novel of the same name and starring Hollywood stars Chiwetel Ejiofor and Thandie Newton.

"What really particularly attracted me to 'Half of a Yellow Sun' was that ... there were these characters -- middle, upper-middle-class characters, educated characters, Nigerian characters -- who I suppose had been seen in quite a few novels set in Africa, written by Africans, but they had never been seen in any movie set in Africa," says Bandele. "I felt it was a great opportunity to bring these people to the big screen," he adds.

"I was really fed up of going to the cinema and watching a movie about Africa and all you saw were them as victims without any say over their own destiny," explains Bandele. "They just seemed to live this passive existence but that was redeemed only by gifts from NGOs.

"I felt like I could do a better job than [others] had and so I decided that I had to take the plunge and direct."

From writer to director

Talented and ambitious, Bandele left Nigeria at 22 after studying drama at Obafemi Awolowo University with two novels he'd written in his luggage.

"I actually came [to London] because I'd been invited to a theater festival ... within weeks, I had a publisher, not just in the UK but in Italy and in France and in Germany," he recalls. "Then I got offered a job to be the literary editor of a weekly Nigerian newspaper in London so I had actually come with absolutely no intention of staying."

Shortly after his arrival to the UK, his work was published and he received his first commission from the Royal Court Theatre where he was catapulted into arts.

Just three years later -- his career flourishing in playhouses up and down the country -- Bandele wrote a screenplay which was picked up by the BBC, who attached a young up and coming director to it. His name was Danny Boyle.

"Working with Danny was a game changer," recalls Bandele. "I wasn't that interested at the time in actually directing anything but I watched Danny ... it was a joy working with him," he adds.

"I then started directing theater because I think, subconsciously, I was preparing to get into film ... I kept thinking I can do this, I can do this better."

Behind the camera

It was Bandele's empathy for storytelling -- a trait he has held all his life -- that spurred him to take "Half of a Yellow Sun" and begin a six-year production process from adaptation to the big screen.

Upon completion of his debut film, Bandele was approached by MTV's Staying Alive Foundation to direct "Shuga," a popular TV series aimed at educating viewers on HIV/AIDS.

Set in Lagos, the eight-part series follows a group of young people trying to live normal lives as HIV/AIDS becomes more prevalent in their world. Bandele says this was a project he simply couldn't say no to.

"Nigeria has, depending on which authorities you listen to, between 3.4 million and 4.3 million people suffering from HIV/AIDS," says the director. "But when you go to Nigeria and talk to anyone about this epidemic, people will tell you, 'We don't have a problem' -- there's a culture of complete denial and I felt it was important for us to do the series to get people talking," he adds.

"We also knew from the TV-watching habits of Nigerians, the likelihood was that this 15-year-old kid was watching it and so was their parent and probably their grandparents ... you'd have several generations actually having this conversation and that's exactly what happened."

For Bandele, this is what it all comes down to -- telling stories that matter whether it is on stage or screen.

"I like telling stories but if telling stories actually has a positive effect on how people live their lives, the better."

READ THIS: How Mariah Carey transformed this woman's life

READ THIS: 'Come back to Africa!' says tech innovator

@highlight

Biyi Bandele is a celebrated Nigerian playwright-turned-filmmaker

@highlight

Recently directed Oscar nominated Chiwetel Ejiofor in "Half of a Yellow Sun"

@highlight

He sits down with CNN to discuss his remarkable journey from Nigeria to the UK