(CNN) -- Dressed modestly, with a red headscarf loosely draped over her head and shoulders, she steps onto the stage and nervously paces back and forth. Waiting for the music to begin and break the silence, she almost misses her first note before quietly singing into the microphone.

Her voice chokes when one of four judges turns his chair to face her; she awkwardly bows her head and smiles. But she sings more confidently when the sole female judge turns around a few minutes later. The singer is through to the next stage.

In a country ranked by a Thomson Reuters Foundation poll as the most dangerous place in the world for women in 2011, what Shabana Faryad did was brave. Very brave. Faryad was the only female contestant to have auditioned for the first series of "The Voice of Afghanistan" last year. And the claps and cheers that loudly resounded throughout the studio came from an audience of men.

Aryana Sayeed -- a popular Afghan singer who was a judge on the show -- said she turned her chair around purely because the contestant was a woman. "I had to do it," she said. "She at least had the courage to come along, to step onto the stage."

But Sayeed says her own appearance on the show put her life at risk. Dressed in fashionable, figure-hugging attire, certain religious hard liners were angered by the fact that her wardrobe lacked one item: a headscarf. In the view of her critics, women should be covered and compliant. As a result, Sayeed says mullahs threatened her with death.

"They said that whoever kills this singer would go to heaven," she recalls. "It was getting really difficult, I couldn't go anywhere. I was basically a prisoner in my hotel room, I had bodyguards with me all the time."

Sayeed, 28, was born and raised in Kabul and left at the age of eight with her parents and five sisters for Pakistan, where she lived for a few years before heading to Switzerland. She eventually settled in London in 2000.

War and violence forced her family to flee Afghanistan. "All I have seen and have grown up with is war, guns and problems," she says, recalling an incident when a rocket hit a tree in her garden in the early hours of the morning while she and her family were sleeping.

"We used to hear the gunshots all the time, it had become so normal," Sayeed says. "You heard them while you were just sitting there talking and it didn't even scare you. I remember all that when I was a child."

At the age of 24, after convincing her family to allow her to pursue a career as a singer -- a profession which she says is looked down upon for Afghan women -- Sayeed rose to fame in her homeland and travelled back and forth for television appearances and concerts.

She released 'Lady of the Land of Fire,' her first female-empowerment song, last year. It opens with provocative scenes of the violence and oppression experienced by Afghan women. "Who says I am a mother to this world?" Sayeed sings. "I am nothing but a burden on the son's shoulders, I am a slave because I am a wife, I am a headache when I am a sister." The video, shot on the streets of Kabul, was released during the time when the singer was receiving death threats.

Softly spoken yet self-assured, Sayeed says she is targeted because of her openness about women's rights and not just because of how she dresses. "If I just did my concerts and my music, most of these extremists would not have cared so much as they are caring right now."

She also feels her aims are misinterpreted and that women should have the freedom to choose how they dress. "When I talk about freedom and women's rights, it's not that you have to take your scarves off. I never say that. My mum wears a scarf and I respect that."

The gallery at the top of this page shows the contrast between Afghanistan, past and present: during the 1950s to 1970s, women could walk the streets in skirts and high heels -- a far cry from the usual burqa-clad images which circulate today.

"My mum was somebody who had chosen to wear a scarf, whereas my auntie would wear short skirts," recalls Sayeed. "They were free to do whatever they wanted... My aunt is now having to cover up. She even has to cover up the new generation, her children, even more than her. It's unbelievable."

Sayeed is reminded of a story another aunt told her, about how she was walking down the street wearing a burqa and white slippers. Members of the Taliban, in power from 1994 to 2001, saw her and beat her -- for wearing the color of their flag on her feet. "This was a 60-year-old woman who had the freedom, when she was young, to go to school, work, have a normal life. And now, even though she was wearing a burqa, they picked on her because of her shoes."

Sayeed says she regularly receives a barrage of abusive messages on her Facebook page, criticizing her for dressing liberally. But she is driven by those who value her work, especially girls and women who write appreciative letters and embrace her after concerts.

However, there are some fans she is particularly concerned about: after holding a ladies-only concert a couple of months ago, she received messages pleading for help. She says mullahs had seen clips of a group of females attending the show -- and labelled them as whores.

"They were so scared; they only came out [to the concert] because of me," Sayeed says. Despite the singer's efforts to reply and offer help, she has not heard back from them. "It's something that's stuck in my mind." She pauses, her voice slightly breaking. "I'm thinking about it all the time."

But Afghanistan has seen some advances. Women appearing on TV were forbidden under Taliban rule: times have changed with shows like "The Voice." Women also have a say in the current presidential elections. Their right to vote was reinstated after U.S. and allied military toppled the Taliban in 2001.

"To other people it's just an election, but it's such an emotional time for me," says Sayeed, "looking at these women voting with ink on their fingers and so much passion and hope. They have a choice to choose a leader now, before it was never the case."

Personal reasons may stop her from participating as a judge on season two of "The Voice," set to run soon, she explains. But she asserts that the threats have not disheartened her. Her next single, "Champion," will be released this year and bears another powerful message on women's rights. "Champion is about, no matter what you say to me, no matter what you do to me, I'm not going to give up."

Fact is, there isn't much that can stop Sayeed from carrying out her advocacy, which she feels is her duty to her fellow Afghan women.

"For me, since I've been travelling to Afghanistan, seen the women, heard the stories, seen the country from close, it has affected me so much. It has become my number one priority, more than anything else, even my music. And I'm going to carry on doing it."

@highlight

Popular Afghan singer Aryana Sayeed has received death threats for dressing liberally

@highlight

Sayeed says she's targeted for advocating women's rights

@highlight

A poll ranked Afghanistan as the most dangerous place in the world for women in 2011

@highlight

In the 1950s to 1970s, however, Afghan women could walk the streets in skirts and heels