Washington (CNN) -- Budget cuts from sequestration or overall austerity measures had nothing to do with the Navy using an outside company to screen contractors for access to bases, the Navy chief of operations said Wednesday in response to a scathing federal audit of the Rapidgate program.

The audit, made public Tuesday, cited security problems it said were so severe that it recommended immediately closing the Navy Commercial Access Control System -- NCACS -- for security reasons.

In particular, the audit said dozens of convicted felons got unescorted access to Navy installations for weeks and even years because the outside company issued temporary credentials to contractors before completing proper background checks.

The Pentagon inspector general's audit also found the program, intended to save money, probably wound up costing tax dollars instead.

Coming a day after a contractor opened fire at the Washington Navy Yard, killing 12 people and dying himself, the audit amounted to a powerful indictment of security measures at Navy facilities. It also came as Defense Secretary Chuck Hagel ordered a worldwide review of security at military bases.

There is no connection between the NCACS and Aaron Alexis, 34, the IT contractor and former veteran who carried out the attack at the historic naval facility 2.5 miles from the White House. Alexis had a different kind of pass that was not issued through the NCACS, the Navy said.

However, the audit revealed security loopholes that potentially put personnel at risk at 10 Navy installations around the country that were studied as a sample of the more than 60 located in the continental United States.

Navy Yard: storied past, home today to high-ranking personnel

Wasted money

At a House Armed Services Committee hearing on Wednesday, Adm. Jonathan Greenert told legislators that the Navy would work with the inspector general's office to reconcile the recommendations in the audit, though he stopped short of accepting all of them.

Greenert also declared that the decision to use the outside company to screen Navy contractors, while a "cost-control measure," had "nothing to do with budget shortfalls or sequestration itself."

"We don't cut budgetary corners for security," Greenert said. "The two are unrelated."

Sequestration comprises mandatory government budget cuts that took effect earlier this year.

In response to the audit, legislators said Tuesday that the NCACS should be discontinued.

"This program wasted money, allowed dozens of felons access to installations they should never have had, and utterly lacked competent oversight," said Democratic Sen. Claire McCaskill of Missouri, who requested that the inspector general review the contract after receiving a tip from a whistle-blower in June 2012. "It's clear that its existence constitutes an unnecessary danger to the Navy and its personnel and it should be discontinued immediately."

Republican Rep. Mike Turner of Ohio, who sits on the House Armed Services Committee, told CNN that the audit caused "great concern" because "the report itself specifically says that people at these facilities remain at risk as long as this system is in place."

In its formal response to the audit, the Navy accepted some recommendations for further review and analysis of the NCACS but it rejected the call to end the program, saying it meets all federal requirements for background checks.

Discontinuing the program that handled more than 14 million safe visits would result in "unnecessarily long lines" at access points to Navy installations, the Navy response said.

Called Rapidgate by its operating company, Eid Passport, the NCACS began screening and credentialing for most contractors and other commercial workers at Navy bases more than two years ago.

While the military issues credentials to its personnel, NCACS handles workers from government contractors who choose to pay a fee for credentials in a process that includes a background check. Contractors unwilling to pay the fee can apply for day passes, while the Rapidgate system offers up to a year of unfettered access.

Audit reports Navy risked security to cut costs, says source

Almost 300,000 contractors enrolled

According to the audit, there were 9,657 companies and 64,924 individuals enrolled in Rapidgate near the end of 2011. As of March 1 of this year, the numbers had grown to 30,702 companies enrolled with 298,204 individual participants, it said.

Many of the contractors got interim passes while Eid Passport was still conducting a background check required by military regulations, and others got full credentials without having been fully vetted as required through the National Crime Information Center database and the Terrorist Screening Database, the audit said.

In addition, seven of the 10 bases visited by auditors lacked sufficient resources to conduct the required background checks for contractors seeking day passes instead of paying to take part in the NCACS, it said.

"As a result, 52 convicted felons received routine, unauthorized access to Navy installations for 62 to 1,035 days," the audit said, adding that "this placed military personnel, dependents, civilians, and installations at an increased security risk."

Vetting military contractors: How did the Navy Yard gunman get in?

Felony crimes by those who received improper access included intent to distribute cocaine, assault, theft and throwing a missile at an occupied vehicle, according to the audit.

It also challenged the contention by Navy officials that the Rapidgate program amounted to a money saving move because of the fees paid by contractors for credentials.

"The cost reportedly absorbed by contractors to obtain Rapidgate credentials are transferred back to the Navy in the form of higher contract overhead costs and other contract fees," the audit said, adding that the lack of transparent accounting meant that the Navy "is unable to account for actual NCACS-related charges from contractor companies."

For example, it said, the Navy incurred NCACS-related charges of at least $1.28 million for 17 of the more than 30,000 contractor companies enrolled in the program.

In a statement Wednesday, Eid Passport CEO Steve Larson said the company welcomed audits and "looks forward to working with the Department of Defense to further refine and advance the world's best high-assurance identity management solution."

The statement contained no direct response to specific findings of the audit.

What is security like at the Navy Yard?

Hagel ordered a worldwide review of physical security measures at all U.S. military installations following Monday's shooting.

The Pentagon also is expected to review security clearances and access standards for contractors and other employees, according to a Defense Department official.

At the White House on Tuesday, spokesman Jay Carney told reporters that the Director of National Intelligence "is currently undertaking a review of the security clearance policy for certain contractors."

In addition, he said, President Barack Obama directed the Office of Management and Budget was "examining standards for contractors and employees across federal agencies."

Did Obama strike the wrong tone after the Navy Yard shootings?

CNN's Peter Hamby and Dana Bash contributed to this report.

@highlight

NEW: The Navy chief says sequestration played no role in privatizing access control

@highlight

A federal audit says 52 convicted felons got improper access to Navy installations

@highlight

It calls for ending the program by an outside company that screens contractors

@highlight

The program cited by the audit has no connection to Navy Yard shooter Aaron Alexis