(CNN) -- Days after Russia and the United States reached a deal on getting Syria to give up its chemical weapons, world powers are quarreling over the details.

The agreement, reached by Russian Foreign Minister Sergey Lavrov and U.S. Secretary of State John Kerry over the weekend, calls for a U.N. resolution demanding that Syria turn over its chemical weapons to international control in a specific time frame.

Russia won't support any resolution that would authorize the use of force against Syria if it doesn't comply, Lavrov said Tuesday.

But the United States and France want to keep the threat of force on the table if Syria doesn't comply. Those allies say they are convinced that Syrian President Bashar al-Assad's regime was behind a chemical weapons attack in opposition areas that, according to U.S. estimates, killed more than 1,400 people.

Representatives of those three powers and the two other veto-wielding permanent Security Council members met behind closed doors at the United Nations on Tuesday to hammer out a draft resolution, a meeting a U.N. diplomat called "constructive."

"For the first time there was a discussion of the actual text," said the diplomat, who didn't want to be named discussing ongoing private negotiations. "There are well-known different views on some of the elements, but we are trying to resolve those issues."

The meetings were likely to resume Wednesday, the diplomat said.

U.N. weapons inspectors reported Monday that an August 21 attack outside Damascus had been carried out using the nerve gas sarin. Tuesday, Secretary-General Ban Ki-moon said the findings should spur member states to bring the bloodshed in Syria to a halt, urging both Washington and Moscow to "demonstrate their leadership."

"Let us be clear: the use of chemical weapons in Syria is only the tip of the iceberg," he said. "The suffering in Syria must end."

Though the inspectors did not assign blame for the attack, a U.S. analysis of their report shows the Syrian regime was responsible for the August 21 massacre outside Damascus, State Department spokeswoman Jen Psaki told reporters in Washington.

"Based on our preliminary review of information contained in the report, several crucial details confirm the Assad regime's guilt in carrying out this attack," she said.

One of the munitions identified in the report, a 120-millimeter improvised rocket, has been linked to previous attacks by the al-Assad regime, and "we have no indications that the opposition has manufactured or used this style rocket."

In addition, the environmental, chemical, and medical samples collected by U.N. investigators "provide clear and compelling evidence" that the rockets used in the attack contained sarin gas, a nerve agent, she said. "We know the regime possesses sarin; we have no evidence, however, that the opposition possesses sarin."

She added that the United States reserves the right to take military action. Though diplomacy is the preferred option, "I don't want to predict what the end result will be," she said.

Still, she was willing to predict that that end result would not include the status quo in Damascus. "We don't see a future for Assad, a future in Syria that includes Assad," she said.

International inspections of Syria's declared chemical weapons storage sites are to begin next month and all chemical weapons are to be eliminated by June 30, 2014, she said.

French Foreign Minister Laurent Fabius shared Psaki's view that the Syrian regime was responsible for the massacre.

But, at the same news conference, Lavrov brushed aside a question about blame. He noted that the U.N. inspectors in Syria were not tasked with figuring out who was responsible and that that was not the point of the U.N. report.

Russia has suggested Syrian rebels may have been behind the attack, though critics have said rebels did not have the means to unleash chemical weapons.

A scathing report

Inspectors found "clear and convincing evidence" that the nerve agent sarin was delivered by surface-to-surface rockets "on a relatively large scale" in the August 21 attack on a Damascus suburb, Ban said Monday.

"It is the most significant confirmed use of chemical weapons against civilians since Saddam Hussein used them in Halabja in 1988," Ban said, referring to the chemical attack against Kurds in northern Iraq that killed thousands, mostly civilians, "and the worst use of weapons of mass destruction in the 21st century," Ban said. "The international community has a responsibility to ensure that chemical weapons never re-emerge as an instrument of warfare."

But on Tuesday, Ban said it was "for others to decide whether to pursue this matter further to determine responsibility and accountability."

The diplomatic quarrel over just who may have been responsible for the chemical weapons attack came as the toll from conventional weapons continued to mount. The opposition Local Coordination Committees of Syria reported that 70 people -- including four children and seven women -- were killed Tuesday nationwide.

Syrian-Turkish border tension

A blast rocked the Syrian side of the Turkish-Syrian border Tuesday, Turkey's semiofficial Anatolian news agency reported.

Video shot by activists showed torrents of black smoke emerging from blazing vehicles at the crossing as survivors tried to help victims.

The LCC said the attack wounded many people.

The explosion, which happened near a border gate, comes a day after Turkish planes shot down a Syrian helicopter crossing into Turkey. It came down on Syrian territory, Turkish Deputy Prime Minister Bulent Arinc said.

Syria's state news agency SANA said the helicopter was watching for "terrorists" crossing the border and erroneously strayed into Turkish airspace, but was on its way back across the border when shot down.

CNN's Nick Paton Walsh, Richard Allen Greene, Josh Levs, Aliza Kassim, Joe Sterling and Jennifer Deaton contributed to this report.

@highlight

NEW: 70 die in latest violence, opposition says

@highlight

U.N.'s Ban prods Washington and Moscow to "demonstrate their leadership"

@highlight

The United States and France want to keep the threat of force on the table

@highlight

Russia says it wouldn't support any resolution authorizing force against the Syrian regime