(CNN) -- Once marred by conflict, Mozambique is slowly emerging as a popular tourist destination as people are drawn in by the tropical weather, beautiful beaches and rich culture.

Mozambique's capital, Maputo is a vibrant and cosmopolitan city bursting with lively sidewalk cafes and jazz venues.

One of Maputo's landmark buildings is the train station designed by an associate of the famous French engineer Alexandre Gustave Eiffel.

Today the train station he inspired rarely sees trains, instead its jazz cafe is among the city's best night spots.

The music likely to be performed there is marrabenta, a mix of traditional and urban dance music that was born in the capital.

"It's really become a national genre," said Joao Carlos Schwalba, a musician with the band Ghorwane.

"It was created in the south but slowly it has such a strong rhythm, it really became a national rhythm you can hear it in the south, the center and the north," he continued.

The official language is Portuguese, after settlers first arrived in Mozambique in the 15th century.

Colonial era architecture and relics can be found across the country but the nation has also preserved much of its African cultural heritage, making for an interesting and diverse mix of old and new.

The city has undergone major redevelopment since the end of the civil war and any reminders of the country's brutal past are being carefully transformed in to points of interest. And it is proving a draw with tourists; government figures show that four times as many tourists visited the country in 2010 compared to 2004.

Investment in tourism began in 1992, following a peace agreement, which brought an end to 16 years of civil war in the country.

The old fort in the capital, built by the Portuguese nearly 200 years ago, is a symbol of the country's, sometimes violent, colonial past.

But a group of Mozambique artists are working in the building to transform reminders of Mozambique's more recent civil war into pieces of art.

Nucleo de arte or Arms to Art is a creative form of demobilization. The group have collected some 800,000 guns spanning two wars and four decades and are working on transforming them into works of art.

The machine guns, landmines and hand weapons that the artists use are collected and deactivated by the Christian Council of Mozambique.

"We want to give our opinion, we want to show the world the good way for these bad materials and make some beautiful," said artist Goncalo Mabunda.

Outside of the capital, the country has a number of beautiful islands to visit. Inhaca Island is the closet to Maputo and has a quaint village and Biology Museum.

But depending on what you are looking for the islands range in size. Some are practically deserted while others, like the island of Mozambique, have a population of 14,000.

With 2,500km of coastline along the warm Indian Ocean it is no surprise that fishing is one of Mozambique's most important industries.

For generations, fishermen outside of the capital have been bringing in their catch using the same process and methods.

One of Mozambique's most important exports are prawns and they are available to buy fresh in nearby markets.

Prawns are still something of a delicacy to the average Mozambican so they can be quite expensive. About a kilo of king-sized prawns will cost around $10.

The long stretches of coastline also means there are plenty of sea-based activities from snorkeling to scuba diving.

Joseph Mayers, who lives in Canada, visited the country and told CNN that he can see it becoming a more desirable place in the coming years.

"Mozambique is a truly beautiful country with breathtaking scenery and sunsets. It has vast amounts of potential and it was an unforgettable experience, to say the least."

@highlight

It has been nearly 20 years since Mozambique's civil war ended

@highlight

The capital Maputo has a number of lively cafes and Jazz venues

@highlight

With 2,500km of coastline there are a number of unspoilt beaches

@highlight

The markets are bursting with fresh fish caught by local fishermen