In our Behind the Scenes series, CNN correspondents share their experiences in covering news and analyze the stories behind the events. CNN's Soledad O'Brien and her producers spent several weeks in New Orleans shadowing the foot soldiers charged with battling the violence and corruption that mars the city and keeps many residents from returning home three years after Hurricane Katrina. She reveals what they found in "One Crime at a Time" airing Saturday and Sunday, 8 and 11 p.m. ET.

Ryan McClure, 23, loved the outdoors. His mother is waiting for his killer or killers to be brought to justice.

NEW ORLEANS, Louisiana (CNN) -- "It's not a success story," Rhonda McClure Collins told us.

Her face is pale and worn, and she's clearly working hard to contain her emotions. The 46-year-old was married this summer, following a long courtship, and this should be a joyous time for her.

Instead, she is sitting in the shadows of a northwestern Louisiana hotel room, clutching a tissue and talking about the failure of the New Orleans District Attorney's Office to prosecute the two men who, she believes, murdered her son.

Collins told me that her son, Ryan McClure, was a very sociable young man with a big smile and a lot of friends. She said that he loved fishing and hunting and anything else to do with the outdoors.

"He lived on a four-wheeler, and the wetter and muddier it was, the more he liked it," she said, her face shining with memories of her only child.

McClure was 23 when New Orleans police found his body in January, slumped behind a brick wall at a high school that had been abandoned since Hurricane Katrina. For four months, Collins waited. She spoke regularly with New Orleans Homicide Det. Anthony Pardo, who leads the search for her son's killer, or killers.  Detectives often work 24-hour shifts to solve murders »

Collins told me that this April, she awoke to her phone ringing. It was Pardo. He apologized for waking her and explained that earlier in the day, he had made an arrest in her son's case.

Pardo had discovered some car wheels that he believed belonged to McClure and that, along with some cell phone records and other evidence he won't discuss, led him to apply for a warrant to arrest 20-year-old John Broyard.  See photos on the frontlines of New Orleans crime fight »

CNN cameras captured Pardo and the officers that very day in April as they rushed toward a car wash on Robert E. Lee Boulevard, where Broyard was cuffed and stuffed into a police car. He was later booked in connection with McClure's death.

"What's your confidence level that your case will end in conviction of that guy?" I asked Pardo while standing outside the car wash.

"I'm always confident, always confident. You can't not be confident. You've got to believe in what you do," Pardo said.

Three days later, the veteran homicide detective watched with his partner, Det. Harold Wischan, as a heavily armed SWAT team rushed through a high gate and into a worn-down home to arrest 55-year-old Maxie Jones, Broyard's uncle.

"Everyone thinks the arrest is the end," Pardo told me. "Actually it's the beginning. That's when you start putting the case together ... and making an airtight case."

It turns out it was the end. Broyard and Jones sat in jail for nearly 120 days, the maximum amount of time that murder suspects can be held before the New Orleans District Attorneys Office must charge or release them. A grand jury reviewed Pardo's evidence and chose not to indict either man.

Why this happened exactly is a mystery. The grand jury deliberations are behind closed doors, and the D.A.'s office won't comment on cases they might represent for charges.

"He's a free man," Broyard's attorney, Price Quentin told CNN. The lawyer hasn't heard from his client and said, "He's under no obligation to contact us."

Jones' attorneys haven't heard from their client either. Paul Fleming Jr. and Lee Faulkner Jr. told CNN that Jones wasn't involved in McClure's killing. Both attorneys claim he has an alibi for the night of January 5, the night police believe McClure was murdered outside John F. Kennedy High School.

Pardo said he "absolutely" believes he arrested the right men, and can't explain why the grand jury didn't indict them.

"It's a question I can't answer. We present the cases and it goes from there," Pardo said.

According to the district attorney's figures, four out of every 10 suspects arrested for homicide in New Orleans walk free without ever being charged. Of those cases that do go forward to prosecution, a significant portion are dismissed before ever going to trial. All of this happens in a city with the highest per capita murder rate in the country.

"All hope is not lost," Pardo said confidently, a few weeks after both Broyard and Jones were freed from the Orleans Parish Jail. Pardo and Wischan said they will continue to push on the McClure case.

Hope and resilience is nearly everywhere you look here. We find it inside the temporary district attorney offices on Poydras Street -- the flood-damaged D.A.'s office still hasn't been repaired.  Assistant D.A.s hoping to repair tattered image »

"I wouldn't give up being a happy homemaker, which is what I did for the last seven years, if I didn't believe in what I was doing," said Mary Glass, assistant district attorney.

Glass has been prosecuting the city's highest priority cases since returning to the office in July 2007, and has won or gotten guilty pleas on every murder case she's tried. Her partner Tanya Faia believes, "If you love to prosecute, you want to prosecute for people who care. And people care right now."

Faia believes that's because people want to be in New Orleans enough to return despite the crime, the slow rebuilding and limited services.

We first met Anthony Pardo, Harold Wischan, Mary Glass and Tanya Faia, along with their bosses, Police Chief Warren Riley and Interim District Attorney Keva Landrum Johnson, in April, when we traveled to New Orleans to see how crime and corruption might be slowing the city's post-Katrina recovery effort.

We found that around 30 percent of the population had yet to return, and the residents' fear of crime and loathing of the city's long history of corruption, were reasons why many had not moved back.

After Katrina hit in August 2005, thousands of accused felons in New Orleans walked out of jail because the D.A.'s office failed to charge them before their legally mandated release dates. This helped to make many witnesses to crimes in the city extremely hesitant to cooperate with the judicial process.

"For a time, some people felt that there was not justice in the criminal justice system and you know the D.A.'s office was not convicting people but I'm here to tell you that that day is passed," Landrum Johnson told us in May.

Indeed, when we arrived in the spring, there appeared to be a concentrated effort to focus on the violent crime and corruption that many believe fuel the city's street crime.

The local-boy-turned-U.S. attorney, Jim Letten, assured me that, "this city is going to survive. But I will tell you right now, though, the struggle for this city's recovery, its long-term survival as the New Orleans that we know, is being decided every day."

"Can you win?" I asked Letten.

"Yes. Yes," he answered, with no hesitation.

Additionally, the city's new Inspector General Bob Cerasoli, like Letten, passionately believes there is a link between white collar crime and street crime.

Cerasoli came to the city from Boston to uncover fraud, corruption and misappropriations. Every day, he runs into roadblocks like missing computers, a lack of supplies and non-working phone lines that keep him from quickly forming his office and doing his job.

"When I wake up in the morning, I like to say that Jesus puts my clothes on, because some mornings I don't know how I get up," Cerasoli told me in a thick Boston accent. "As long as we achieve something, I think there's hope."

But it's slow going for everyone, despite the hope. Hope can't make people admit to witnessing a crime; hope can't get them to testify in court. Hope can't take the guns out of the hands of young, unsupervised, adults. And hope can't get Rhonda McClure Collins, and other mothers like her whom we meet during the course of our documentary, the justice she desires.

But even Rhonda McClure Collins can't let go of all of her hope. We ask her, "Do you have faith in the New Orleans justice system?" She told us she doesn't, but said, "I have faith in Detective Pardo."

And that's something.

@highlight

CNN's Soledad O'Brien shadowed New Orleans crime fighters in April 2008

@highlight

Distraught mother waits for nearly a year for suspects in son's death to be arrested

@highlight

DA: Four of every 10 arrested for homicide in New Orleans walk free, uncharged

@highlight

Authorities struggle with the corruption fueling the city's street crime