At the former headquarters of the East German secret police, cheerful American and British tourists scan maps and chatter as they file into the blocky concrete building once known as "the House of One Thousand Eyes."

In its heyday, the Ministry of State Security, or Stasi, was the all-powerful shadow government of the communist German Democratic Republic (GDR).

Behind a grim concrete screen molded into eye-shaped portholes, true believer Erich Mielke created the world's first surveillance state -- operating a network of agents and informers so vast it encompassed every school, factory, apartment block and bar in the country, according to Anna Funder, the author of "Stasiland: Stories from Behind the Berlin Wall."

Mielke's grim bureaucracy wasn't the only game in town, I discovered on a do-it-yourself tour of "the spy's Berlin."

Before the Berlin Wall came down in 1989, the unique position of West Berlin -- a walled outpost of freedom behind the Iron Curtain -- made the divided city the focus of Western and Soviet "tradecraft" for nearly 50 years, says Bernd Kostka, author of "Berlin: Capital of Spies."

"Only here in Berlin were the main protagonists of the Cold War living door to door," Kostka says.

Along with the House of One Thousand Eyes, now home to the Stasi Museum (Ruschestrasse 103, Haus 1, Berlin; +49 30 553 68 54), various sites around the city commemorate the capital's clandestine history -- even as revelations that the U.S. National Security Agency was until recently tapping Chancellor Angela Merkel's mobile phone prove that the tradition lives on.

iReport: Tell us your favorite thing about Berlin

Noir intrigue

There's a wealth of experiences here for the espionage buff.

On a rainy night at Checkpoint Charlie (Friedrichstrasse 43-45, Kreuzberg, Berlin), the most famous crossing point between East and West Berlin, it's just possible to imagine the noir intrigue of John Le Carre's "The Spy who Came in from the Cold" -- however much a tourist destination it becomes on a sunny afternoon.

Watching the incomparable movie version starring Richard Burton helps.

Featured in that masterpiece as well as countless other films, the crossing's main historical importance stems from the infamous "Checkpoint Charlie standoff," when a 1961 confrontation between Soviet and American tanks nearly sparked World War III.

Outside the Friedrichstrasse S-Bahnhof (Reichstagufer 17, Berlin-Mitte; +49 30 46777790) -- another Le Carre locale -- the Tranenpalast, or Palace of Tears, captures the atmosphere of paranoia more vividly.

Named for the tearful goodbyes of separated families, this station was once the official crossing point for West Germans visiting relatives in the GDR. (Le Carre's "Sasha" recounts the story of a surrender to border guards here in "Absolute Friends.")

Along with smuggled contraband and artifacts from "behind the Wall," the museum showcases an incredible exhibition of video interviews and documentary footage -- as well as the original signs and apparatus for the checkpoint searches and interviews.

On the outskirts of town, the American side of the spy story is on display at the Allied Museum (Clayallee 135, Berlin; +49 30 8181990) in Zehlendorf -- which houses seven meters of a 420-meter-long Allied forces spy tunnel dug under the Wall to tap East German telephone lines in 1953. (A story fictionalized in Ian McEwan's "The Innocent" and the later movie starring Anthony Hopkins.)

One of the most celebrated missions of the early Cold War, the tunnel was the largest and most expensive intelligence operation in Europe in the 1950s.

But it's hard to say who benefited from it most, says "Capital of Spies" author Kostka.

Though the tunnel allowed the Allies to intercept some 400,000 Soviet army telephone calls and countless telegraph messages before it was discovered in 1956, the Russians knew about it from the beginning, Kostka explains.

They kept that knowledge hidden from Berlin to protect their own man in the British government, MI6 case officer and double agent George Blake.

The eastern portion of the tunnel, long thought to be lost, was discovered by a man chopping wood in 2012.

'Bridge of spies'

Near the tunnel's original location, the Glienicke Brucke, or Bridge of Spies, (Bundestrasse 1, Berlin) between Wannsee in the West and Potsdam in the East, is perhaps the most famous espionage landmark in the city.

The border crossing designated for the exchange of captured spies, it was here that a KGB agent caught spying for the Russians in New York was traded for downed U-2 spy plane pilot Francis Gary Powers.

It's an attractive spot on the Havel River, but there's little more than a plaque to mark its significance, so it's best viewed today as a quick stop on a larger tour of Potsdam or other nearby sites.

At the Teufelsberg, or Devil's Mountain, a similar listening post -- this one an abandoned U.S. radar station and observation tower -- has been taken over by Berlin's ubiquitous graffiti artists.

A silent tour around the strange, white radomes -- weatherproof microwave antennae cases reminiscent of Disney's Epcot Center -- gives an eerie feeling in the age of the recent NSA disclosures from Edward Snowden.

Once a secretive military enclave, the full history of the complex won't be revealed until documents are declassified in 2022, but it's estimated more than 1,000 spies worked here throughout the Cold War, 24 hours a day, 365 days a year, as part of a surveillance network known as ECHELON.

For me, though, nothing captures the Cold War spy's world better than the hot and stuffy Stasi Museum, where the GDR spymaster's suite of offices and conference rooms have been preserved unchanged.

In these spartan chambers, banks of Bakelite telephones, steel desks and chunky typewriters evoke what renowned Nazi trial chronicler Hannah Arendt might have called "the bureaucracy of evil," had she written about East Germany rather than the Third Reich.

As the milky light reflects off the wood paneling, a shudder runs down my spine.

@highlight

Berlin's past as an espionage hotspot has left the city with numerous spying-linked attractions

@highlight

The Stasi Museum features relics of East Berlin's obsession with monitoring its own people

@highlight

Other destinations include a tunnel dug to tap into communication lines, and an antenna tower