Sydney, Australia (CNN) -- Australia's most senior Catholic has urged the government of Victoria not to change the state's laws to allow the victims of sex abuse at the hands of clergy to seek higher compensation than currently available.

Cardinal George Pell said this would amount to discrimination against the Australian Catholic Church.

This comes after a tumultuous week in which the victims of church sex abuse heard Cardinal Pell acknowledge the church had covered up the abuse of minors, out of fear the scandal would envelope the faith.

Pell was this week, the final witness in a state government enquiry into the responses to the allegations of child sex abuse by religious and non-government institutions in the state of Victoria. The cardinal also apologized for the abuse.

While denying he had personally covered up offenses committed by priests within the large Melbourne archdiocese over which he presided from 1996 to 2011, Pell said his predecessor, Archbishop Frank Little, now deceased, had destroyed documents to protect priests.

"The primary motivation would have been to respect the reputation of the church. There was a fear of scandal," Cardinal Pell told the enquiry, which is expected to deliver its report to the Victorian government at the end of September.

Cardinal Pell also admitted that the cover-ups had allowed pedophile priests to continue to prey on young children.

''I would have to say there is significant truth in that,'' Pell said, while also admitting the Australian church had been slow to understand and deal with the damage, and oftentimes the destruction of the lives of the victims.

''Many in the church did not understand just what damage was being done to the victims. We understand that better now,'' he said. ''If we'd been gossips, which we weren't, we would have realized earlier just how widespread this business was.''

The Australian premier, Julia Gillard, last year called a wide-ranging, nationwide enquiry into child sex abuse, though it is not confined to the Catholic Church. The investigation found that, in Victoria alone, there have been 600 cases of child sex abuse at the hands of Catholic clergy since the 1930s.

"There have been too many revelations of adults who have averted their eyes from this evil," said Gillard when she announced the Royal Commission.

Among the many cases reported by CNN when the Royal Commission was announced was that of Melbourne sisters Emma and Katie Foster who were assaulted by their local parish priest, Kevin O'Donnell, now deceased. Emma was just five years old when the rapes began. Katie was younger, her parents believe probably around four.

O'Donnell was convicted of the sexual assault of 12 victims, according to the victims lobby group Broken Rites. The court was told he had offended consistently from 1946 until he was brought before the courts in 1995. When Emma heard news of his conviction, she was 14 and began self-harming.

"We saw her with blood pouring out of her wrists taking heroin to dull the pain."

the girls' father, Anthony Foster told CNN last year.

Emma took her own life when she was 26.

When her sister Katie turned 14, she became cognizant of the sexual abuse she had suffered and told her parents. She began binge drinking.

"She was at a friend's house," Foster said. "She was drunk, crossed the road and was hit by car.

"She has severe brain injuries. She has pre-accident memory. But she can't run her life," he explained.

Kevin O'Donnell was never charged with the sex abuse of the Foster sisters. Foster said he died before charges could be laid.

He and his wife Chrissy sat at the Victorian Inquiry this week to hear Pell's evidence.

"It comes down to a question of restitution of lives," Foster told CNN. "And this doesn't just happen with an apology. It requires much, much more than that. It requires whatever victims need to improve the quality of their lives and there should be no limitations on compensation."

The Victoria Archdiocese, under Pell's leadership, capped compensation at A$75,000 (U.S.$72,000) per victim, along with ongoing counseling and treatment. During his evidence to the Victorian enquiry, Pell admitted the compensation cap was low compared to that offered to victims of Catholic clergy abuse in the United States. At the same time, he acknowledged the enormous wealth of the Australian church and added it would "pay whatever the law recommends is appropriate compensation."

For Foster, this reflects poorly on the Australian church.

"He was basically saying the church will change if the government tells it to," he said. "A lot of what's been done is driven by the business side of the church and the Catholic Church is a large business."

Nor does Pell's admission that the church had covered up the abuse bring solace or closure.

"No, there is no closure," he told CNN.

"We knew there'd been a cover-up. All of Australia knew that. We had a feeling of disappointment because we expected more, but all that happened was he said the things we already knew. He offered no more."

And Foster fears the church's response to child sex abuse is still driven by fear of reputational damage.

"I think the avoidance of scandal is still what drives it along with the minimization of the financial effect," he said. He says the Australian Catholic Church is a fractured organization able to deflect responsibility to individual dioceses and orders. The Australian church is comprised of 33 diocese, 7 archdiocese and 175 religious orders.

"It would be useful if there was some reform of the church to the point that there is someone or somebody responsible for all branches of the church," he said.

"It is almost a state of anarchy in the church; no one is responsible for anything other than in their sector. We have the Australian Bishops Council, which is close and they can agree to common forms of process. But there is very much a reliance on individual orders and diocese doing the right thing," said Foster.

Nor, says Foster, has the church been pro-active is investigating those priests against whom allegations have been made, and sometimes proven.

"The church could have at least started to investigate backwards from the claims they received. They only ever reacted to a claim. The church has never proactively looked at what the (reported) priests were doing and what access the pedophile priests had to kids. Every one of the victims had gone to the church for help. None were the church going out to look for them."

In his evidence to the enquiry, Pell said the church's organizational structure was such that, indeed, no single individual could be held accountable.

"I'm not the Catholic Prime Minister of Australia. I am not the general manager Australia. The Catholic Church is. . . a very interesting example of a flat organization," he said.

He admitted that, in some cases, the Catholic Church had placed priests above the law, but he denied the church had ignored claims brought before it, despite evidence that concerns about O'Donnell had been raised as far back as 1946.

"I think many persons in the leadership of the Church, I don't think they knew what a horrendous widespread [issue] we were sitting on," he said.

For the Fosters, Pell's apology and admissions are too little, too late. His surviving daughter Katie remains highly dependent on care to live.

"Katie is a shell of what she should be" Foster said.

"She has 24-hour care and always needs someone looking after her. She can't remember anything. She has no idea what she is doing in ten minutes time. She can't work."

But recently, the family has had good news. Katie Foster is engaged to be married and recently has begun the slow process of learning how to walk again, 15 years after the accident that followed her realization of the abuse she suffered.

"We are incredibly pleased and fortunate that through the care teams she has had, she has met someone and is engaged. But it's not like it should have been," Foster said.

However, the damage to Katie's life and that of her parents, will linger.

"The question of children has been a major one because it is not fair on the child," said her father.

"The child would be cared for by her carer. But it is her decision."

@highlight

Top Australian Catholic spoke at inquiry into allegations of institutional child sex abuse

@highlight

Cardinal George Pell acknowledged church covered up abuse of minors over several decades

@highlight

Australian Premier Julia Gillard last year called for a wide-ranging, nationwide inquiry