(CNN) -- Can I level with you? The guy made me nervous. All those flashy jump cuts and strobe-like visual progressions from one scene to another! I don't go to movies to make myself more nervous. I go to movies to slow time down or make it vanish altogether.

The movies of Tony Scott, who jumped to his death Sunday from a bridge in Los Angeles, were high, hard adrenaline shots injected into the audience's collective nervous system to make time (and your head) explode. His name on the credits virtually assured the moviegoer of a ride that rivaled Disney World's Space Mountain for gut-wrenching, head-spinning thrills that would leave you wobbly at the end.

British director Tony Scott dead after jumping from California bridge

They weren't to everyone's taste -- and not always to mine. And yet, I am altogether certain that over the next several decades, Scott's movies will be among the very first pored over by cinema scholars tracing the development of the action-movie genre, cultural historians seeking clues as to the jittery mood swings of the American mindset at the turn of the 21st century and aspiring filmmakers who simply want to know how the hell he mesmerized people in the first place. Establishing Tom Cruise and Denzel Washington as action movie icons, however considerable (or unlikely) that achievement, isn't even half of Scott's legacy.

Unlike his older brother Ridley, whose credits roamed the categorical countryside from science fiction ("Blade Runner," "Alien") to period adventure ("Gladiator," "Kingdom of Heaven") to contemporary bloodbaths ("American Gangster," "Black Hawk Down"), Tony Scott maintained a signature style throughout his career that arguably yielded a steadier rate of success.

His first feature, the 1983 erotic vampire mood piece "The Hunger," ended up a relative anomaly (except in sheer style) to such high-octane thrill machines as "Top Gun" (1986), "Revenge" (1990), "The Last Boy Scout" (1991), "True Romance" (1993), "Crimson Tide" (1995), "Enemy of the State" (1998), "Man on Fire" (2004), "Domino" (2005), "The Taking of Pelham 1 2 3" (2009) and "Unstoppable" (2010).

"Top Gun" director left notes before jump

Most of these movies -- and their protagonists -- were governed by seemingly impossible deadlines. To watch "Last Boy Scout," "Crimson Tide," "Enemy of the State," "Pelham" and "Unstoppable" is to feel pressed for time. Their heroes had no time to think, and neither did you. Propulsion, urgency, energy-for-the-sake-of-its-expenditure were the only guiding principles of Scott's movies, and yet as you were pressed against your seat by their momentum, you somehow couldn't help being transfixed by the images.

The change of each frame from oily to sooty, from sleek to parched, from cramped to wide-open, seemed at once abrupt and flowing. Maybe the din and distortions weren't your flagon of grog. But few filmmakers before or since have been able to consistently orchestrate such maddening elements into a metal rock flow.

Having a good script always helps -- and Quentin Tarantino's contributions to both "True Romance" and "Crimson Tide" make those the Tony Scott movies that the smarty-pants critics like to single out. "Top Gun" will remain the first thing people mention when they mention his name, and there's a lot to be said for the charm and efficiency of the relatively laid-back but no less riveting "Unstoppable." (It's almost as if he was starting to calm down at last.)

But grump that I am, the Scott movie I'm going to single out for special scrutiny is one of his least successful -- at least, financially.

"Domino," whose story was inspired by the real-life adventures of a movie star's daughter turned bounty hunter (played by Keira Knightley) is one of the more subversive action epics ever made, precisely because of the things that drive you crazy about it: set pieces that make you dizzy and giddy at the same time, patchwork plot devices that literally veer all over the map, lighting and scenery oozing raw menace and hyperbolic performances that somehow stay fixed on the narrative core.

I didn't always enjoy it as I was watching it. But parts of it stuck with me long afterward. I could say the same for most of Tony Scott's films -- and, for that matter, his entire career.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Gene Seymour.

@highlight

Gene Seymour says Tony Scott films were adrenaline shots injected into the audience

@highlight

He says scholars will see them as emblematic of jittery U.S. mindset at dawn of 21st century

@highlight

He says films' protagonists -- Washington, Cruise among them -- faced impossible deadlines

@highlight

Seymour: Few could orchestrate maddening elements into metal rock flow like Scott