(CNN)On the surface, the mix-up seems incomprehensible: How can a volunteer sheriff's deputy accidentally fire a handgun instead of a Taser, killing a man?

That's apparently what happened in Tulsa, Oklahoma, when a 73-year-old reserve deputy, Robert Bates, killed Eric Harris. Bates said he meant to use his stun gun but ended up firing his handgun instead.

"Oh! I shot him. I'm sorry," Bates said in a video of the shooting.

But it's happened before. In a well-publicized 2009 case, a Bay Area Rapid Transit police officer fired his gun instead of his Taser, killing 22-year-old Oscar Grant in Oakland, California.

The former officer, Johannes Mehserle, testified that he had meant to use his Taser but drew his gun instead. Mehserle was sentenced to two years in prison for involuntary manslaughter but was released early due to good conduct.

So how easy -- or hard -- is it to draw and fire a handgun mistakenly instead of a Taser? Here are some factors to consider:

Law enforcement experts say the gun should be holstered on the officer's dominant side of the body, and the Taser should be placed on the nondominant side. So if an officer is left-handed, the gun should be on the left side.

Bates' attorney said his client is left-handed. But the reserve deputy said his gun was holstered on his right side -- his nondominanant side.

"I shoot long guns left handed and handguns right handed," Bates said in a written statement to investigators.

After Bates announced at the scene he was going to use his Taser, he "used his nondominant hand, and it was the gun," said Clark Brewster, Bates' attorney.

"He said that he saw the laser sight on the shoulder, assumed it was the Taser," Brewster said. "Both the gun and the Taser have a laser sight, and he just made a mistake."

Brewster also said his client's left hand was holding a pepper gun.

In his statement to investigators, Bates said he had grabbed a "pepper ball launcher" to try to slow or stop Harris, who was running away.

Bates did not say explicitly where the Taser was on his body. But he admitted to grabbing the wrong device and said he was "startled" by the recoil of the gun.

"After realizing what had happened I was in a state of shock and disbelief," he told investigators.

Bates is now charged with second-degree manslaughter. If convicted, he faces up to four years in prison.

Deputy who shot Eric Harris turns himself in

Bates was carrying his personal gun, a Smith & Wesson .357 five-shot revolver, and a Model X26 Taser, he said in his statement to investigators.

Attorneys representing the Harris family said there are stark differences between the two devices.

One held up a small black .357 revolver, followed by a mostly bright yellow Taser that was noticeably larger than the gun.

"There's no way an officer can get this confused with this," said one of the attorneys from the law firm of Smolen, Smolen & Roytman.

Taser's X26 model comes in different designs. Some are mostly yellow, while others are mostly black with a yellow panel in the middle. But all appear to be larger than Smith & Wesson .357 five-shot revolvers.

Sgt. Jim Clark of the Tulsa Police Department -- which is separate from the county sheriff's office for which Bates volunteered -- said Bates was the "victim" of something called "slip and capture." That's when a person intends to do one thing but instead does another in a high-stress situation.

But a criminal justice expert told CNN the claim amounts to "junk science."

"There's no peer-reviewed articles that would support this. ... It's not generally accepted by the scientific community," said Phil Stinson, an assistant professor of criminal justice at Bowling Green State University. "So it's something that in most courts would not be admissible as evidence."

An attorney for the Harris family said the "slip and capture" theory hasn't held up in court.

"The only time slip and capture has ever been used as a defense was in the shooting in Oakland (of Oscar Grant)," the attorney said. And that defense failed.

Tasers are built to feel and look different than guns, according to Taser International.

Steve Tuttle, vice president for strategic communications at Taser, noted some of those differences to CNN: A gun is heavier. A Taser has a different grip and feel. When you take the safety off on a Taser, an LED control panel lights up.

There's more: Tasers can be different colors (yellow or black), and the holster is different from a gun's.

But in the field, where an officer reacts on instinct, there are other distinctions outside of the product itself that are important, Tuttle said.

Taser's training calls for the stun gun to be placed on an officer's nondominant side, as law enforcement experts say. And its training suggests that officers shout aloud, "Taser! Taser! Taser!" as they prepare to deploy it.

These guidelines are designed so that in the moment -- when an officer's muscle memory kicks in -- the body reflexively knows which weapon it is reaching for.

It is up to each law enforcement department, however, in how it trains personnel and what regulations it requires as far as placement on the body.

The company declined to comment on the Tulsa shooting in particular.

The stun guns, or conducted electrical weapons, manufactured by Taser have been used more than 2.7 million times, Tuttle said, and are designed to be used in situations that are not considered life or death.

CNN's Catherine E. Shoichet, Brooke Baldwin, Ed Lavandera and Mariano Castillo contributed to this report.

@highlight

Attorney: Robert Bates assumed the gun was a Taser because he saw a laser sight on it

@highlight

Harris family lawyers say there are stark differences between the gun and Taser used

@highlight

In 2009, an officer in California also said he mistakenly used his gun instead of a Taser