(CNN)Night had just fallen when heavily armed Belgian commandos approached a residence on the Rue des Collines in Verviers, a sleepy town in eastern Belgium.

They knew the three men inside -- all suspected to be hardened Belgian ISIS veterans who had returned from fighting in Syria -- were likely to be armed and dangerous because they had put them under 24-hour surveillance for several weeks, according to a senior Belgian counterterrorism official.

Wiretaps of phone conversations and listening devices indicated the cell members -- who had been under observation for just under two months and were all from in and around the Molenbeek district of Brussels -- were in the final stages of preparing a major terrorist attack in Belgium, the official told CNN.

Two suspected members of the cell had taken up lodging in the residence. Belgian security services had learned they were using the building as a safe house to store automatic weapons and chemicals to make explosives.

The trigger for the arrests was the arrival at the safe house of a third ISIS veteran suspected of being the quartermaster of the plot, tasked with providing the cell logistical support and providing it with equipment and supplies. Belgian security services wanted to arrest all three together, according to the official, and simultaneously make other arrests of suspects across Belgium.

They believed the cell had as many as 10 members.

What happened next around 5:45 p.m. January 15 was the biggest firefight Belgian commandos have faced since World War II, captured for the world to see on a home movie shot by one of the town's residents.

Toxic mix that makes Belgium fertile ground for terrorism

After the commandos broke into the safe house, the two ISIS fighters who had taken up lodging in the building grabbed Kalashnikovs, returned automatic fire and lobbed grenades, using urban warfare skills honed in Syria, according to the official. But Belgian commandos soon shot them both dead and took the suspected quartermaster of the plot into custody after he jumped out of a window.

Inside, Belgian police discovered automatic weapons and chemicals necessary to make the high explosive TATP, an explosive many times more powerful than that used by the Boston bombers. They also discovered police uniforms, suggesting the plotters hoped to gain access to sensitive sites in Belgium, according to the senior Belgian counterterrorism official. A GoPro camera was also recovered, suggesting the cell might have been planning to film the attacks for propaganda.  Belgian police made 13 arrests that night.

Within hours, Belgian officials announced they had thwarted a major imminent terrorist attack by fighters who had returned from Syria. Belgian authorities publicly stated the cell's target was believed to be police officers and police stations.

Belgian security services had listened to conversations in which the cell members discussed killing police, according to the senior Belgian counterterrorism official. But the official told CNN investigators believe the group planned a much more ambitious and spectacular attack with police just being a "bonus target." The official said that investigators do not yet know the cell's main target or targets but are hopeful they will find out. Brussels houses the headquarters of the European Union's institutions and NATO.

Belgian authorities later identified the two dead gunmen as Sofiane Amghar and Khalid Ben Larbi and the alleged quartermaster of the plot as Marouane El Bali.

El Bali was charged with "participation in a terrorist organization, possession of explosives with intent to commit a criminal attack and prohibited possession of weapons." The senior Belgian counterterrorism official said El Bali was "like a machine" in furnishing the cell with the supplies they needed to carry out the attack. When Belgian commandos moved in, he was still searching for an ice machine so the TATP the group was poised to make could be cooled and transported, according to the official. "TATP is very unstable and would explode otherwise," they said.

El Bali's lawyer, Didier De Quévy, told CNN his client denied having anything to do with terrorism and that El Bali was in the apartment in Verviers to bring a pair of shoes to his friend. He said El Bali jumped out of the window because the apartment was on fire. The Belgian official told CNN El Bali has refused to talk to investigators.

El Bali and two others charged with terrorist offenses in the plot remain in custody.

A 33-year-old Algerian extradited to Belgium after being arrested in Greece was also charged with terrorism offenses in relation to the plot. The senior counterterrorism official told CNN the Algerian had connections to the cell in Belgium.

The two dead gunmen and El Bali were all in communication by phone with a suspected Belgian ISIS operative named Abelhamid Abaaoud, a 27-year-old Belgian-Moroccan from Molenbeek. Belgian investigators believed he was the ringleader of the cell and the "link person" to the senior leadership of ISIS in Syria, according to the senior Belgian counterterrorism official.  For security reasons, the cell members had an elaborate system to make the phone calls and used coded language. The Algerian extradited to Belgium also had links to Abaaoud according to the official.

In the weeks before the plot was thwarted, Belgian counterterrorism agencies traced the calls to a cell phone in Greece that they believed was being used by Abaaoud, according to the official. Other intelligence gathering indicated Abaaoud was linked to several senior ISIS operatives in Syria. Belgian investigators believe ISIS senior leadership directed the cell to launch the attack in Belgium, according to the official.

The Belgians brought in U.S. intelligence agencies, including the CIA, to try to locate the cell phone in Greece, but neither the Americans nor Greek police were able to locate Abaaoud, according to the official.

On Thursday, ISIS claimed in a new issue of its English online language magazine Dabiq that Abaaoud had safely returned to Syria and posted several pictures of him. One picture taken at some point in 2014 in Syria featured Abaaoud standing next to what ISIS claimed were the two gunmen killed in the Verviers siege. They identified them as "Abuz-Zubayr al-Baljīkī (Khālid), and Abū Khālid al-Baljīkī (Sufyān)."

The Belgian counterterrorism official confirmed to CNN the photograph did indeed feature the men killed in the raid last month: Khalid Ben Larbi and Sofiane Amghar.

In a purported Q&A with Dabiq magazine, Abaaoud claimed he had traveled to Belgium with the two gunmen. Belgian investigators are skeptical of that claim and have no evidence to suggest he was able to reach Belgium.

But the senior Belgian counterterrorism official said the trail for Abaaoud has gone cold, and it is possible he was able to return to Syria from Greece.

"I was able to leave and come to Shām despite being chased after by so many intelligence agencies. My name and picture were all over the news yet I was able to stay in their homeland, plan operations against them, and leave safely when doing so became necessary," Abaaoud claimed in the Q&A according to ISIS.

Abaaoud is believed to have joined ISIS in Syria in early 2014 after traveling from Belgium, according to Guy Van Vlierden, the editor of "emmejihad," a blog on Belgian foreign fighters. At some point, his younger 13-year-old brother joined him there becoming the youngest Belgian jihadi in Syria. According to Vlierden, Abaaoud developed ties to a Libyan ISIS brigade called Al-Battar. In Syria, Abaaoud became known by the fighting names Abou Omar al Soussi and Abu Omar al Belgiki.

After joining ISIS, Abaaoud posted several videos of himself on the front lines. In one of them, he can be heard saying "it's not fun seeing blood spilled, but it gives me pleasure from time to time to see blood of the disbelievers run because we grew up watching the blood of Muslims being spilled in the whole world on TV."

In March 2014, the video and photo files on one of Abaaoud's cell phones was obtained by the journalist Etienne Huver from sources in a Syrian refugee camp on the Turkish border. In a report Huver filed for the Belgian news channel RTBF,  Abaaoud is seen driving a car dragging the corpses of Free Syria army fighters.

In Dabiq magazine, Abaaoud acknowledged that "a brother had taken video footage of some of us before a battle, but his camera got lost and was later sold by a murtadd (a lapsed Muslim) to a Western journalist."

Abaaoud's family in Belgium, after hearing nothing from Abaaoud after he traveled to Syria, received word in October he had been killed in fighting, they revealed in interviews with the Belgian media. Belgian counterterrorism officials believe he faked his own death so he could travel more easily to Europe to coordinate the plot.

Western intelligence agencies believe the Belgium plot indicates ISIS is pivoting toward attacking the West, according to a senior European counterterrorism official.

Intelligence suggests the group is seeking to send back European recruits to target the European countries involved in airstrikes against it, according to the official. The UK, France, Holland, Denmark and Belgium are carrying out strikes against ISIS positions in Iraq. More than 750 European extremists have returned to Europe after joining jihadist groups in Syria and Iraq, according to official estimates. The Belgian official said Belgium was facing an unprecedented terrorist threat with significant concern returning fighters from Syria or ISIS-inspired lone wolves could be plotting attacks.

Last week, Sen. James Risch, a Republican from Idaho and a member of the Senate Select Committee on Intelligence, told CNN's Wolf Blitzer that intelligence suggested ISIS was "moving beyond the aspirational" when it came to plotting attacks against Europe and the U.S. homeland.

@highlight

Belgian counterterrorism official tells CNN how they thwarted an ISIS cell

@highlight

January 15 was the biggest firefight Belgian commandos have faced since World War II

@highlight

The trail goes from Belgium to Greece and Syria