Washington (CNN) -- It might not have had the drama of a Sen. Ted Cruz overnight talk-a-thon, but some Senate Democrats hope their all-night effort draws similar attention to their issue that has been stalled in Congress: climate change.

Mirroring a tactic employed by Cruz during his marathon effort aimed at derailing Obamacare, Sen. Ed Markey of Massachusetts read from Dr. Seuss during his turn speaking just before midnight Tuesday.

He chose the children's book "The Lorax," which touches on the environment.

"But now says the Once-ler, now that you're here, the word of the Lorax seems perfectly clear. Unless someone like you cares a whole awful lot, nothing is going to get better," Markey read, then added his own thoughts: "So to my colleagues here in the Senate and everyone watching and following tonight thank you for caring a whole awful lot."

Twenty-eight Dems participate

The effort by 28 Democratic senators was launched in part by Rhode Island's Sheldon Whitehouse, who credits warming oceans for the state's disappearing idyllic and populated coastline.

Whitehouse has spoken about the issue every week the Senate has been in session for the past two years, culminating in 60 speeches that have gone largely unnoticed by the public.

He and fellow Democratic members of the climate change caucus hope their all-night session propels the issue back into the spotlight since it has been on the back burner for several years.

"There's a group of senators who have not given up on getting something done on climate change and aren't willing to just sit quietly through the current status quo," Whitehouse told CNN in a phone interview on Monday.

After climate change legislation, one of President Barack Obama's top three priorities entering office, failed in 2010, the issue fell off the radar. The President rarely talked about it. Congress did little to address it.

"If you were looking for reassurance that somebody took this seriously in Washington, you weren't finding much," Whitehouse said.

Why the renewed focus on climate change?

The third rail

Climate change turned into an issue that few wanted to touch, especially those facing difficult reelection campaigns.

When Democrats tried to pass legislation that would have capped carbon emissions, skepticism around climate change reached an all-time high.

According to Gallup, 48% of respondents said the issue on its face is exaggerated.

Opponents, led by organizations and businesses involved in the fossil fuel industry, successfully turned public opinion and stopped any efforts in its tracks.

The death of climate change

Opponents successfully renamed cap and trade, which referred to legislation that placed limits on carbon emissions by power plants and other major polluters, to "cap and tax."

Amid recession, they argued the proposal would kill jobs and raise energy prices.

Key players in changing the dynamic of the debate were the Koch Brothers, billionaire businessmen who made their fortune in the oil and gas industry and have also spent hundreds of millions of dollars trying to defeat Democrats.

Cap and trade would have cut into Koch industries' revenue, which is estimated to hover around $100 billion per year.

Tim Phillips, the President of Americans for Prosperity, the political organization backed by the Kochs, said that killing climate change legislation in a Democratic-controlled Washington was his organization's major accomplishment.

"Stopping cap and trade was a crucial policy victory that most folks would have thought impossible at the time," he said during a recent interview. "Defeating that was an enormous policy victory that has lasting policy repercussions in a good way."

Not only did they kill the legislation, they successfully helped to elect a crop of new lawmakers who don't believe that human activity is the cause of global warming.

According to the League of Conservation Voters, 100 lawmakers currently fall into their ranks.

Whitehouse had this response: It's "something that his grandchildren will be very ashamed of."

Opinion: Why are we still debating climate change?

The top Republican in the Senate, Sen. Mitch McConnell, took to the floor Monday afternoon to deride the climate change talkers as "cruel."

"Families are losing work because of government attacks on the coal industry," McConnell said, referring to his home state of Kentucky. "And tonight you're going to hear 30 hours of excuses from a group of people who think that's OK. Well it's not OK. It's cruel."

A revival?

The death of cap and trade triggered new fears among environmentally friendly legislators.

"It is unfortunate," Whitehouse said. "History will look back at the propaganda effort of the carbon polluters as one of the most sophisticated and complex propaganda efforts that human kind had to withstand."

But since then, the public has started to shift its opinion.

According to Gallup, 41% now say that climate change is exaggerated -- 7 points lower than its high in 2010. And the number of those who say the seriousness of the issue is underestimated is on the rise.

Now Whitehouse thinks it's his side's turn to make a move. He has buy in from the Senate Majority Leader Harry Reid who told reporters last week that it is "the worst problem" the world faces.

But they have to start at Square One by working to convince the public that climate change is real.

The Senate's all-night session is well-timed.

Wealthy former hedge fund manager Tom Steyer is willing to spend Koch-like money to push the issue of climate change and defeat skeptics in the 2014 midterms.

Whitehouse, who has known Steyer since college, said if he can make good on his pledge to infuse the effort with $100 million, he would "help to neutralize an incredibly one-sided spending."

"We can change the conversation very quickly."

The absentees

But not all Democrats - and no Republicans - are on board. Notable senators were absent from the overnight session Monday into Tuesday.

They include those who have difficult election campaigns, including Sens. Mary Landrieu of Louisiana, Kay Hagan of North Carolina, Mark Pryor of Arkansas and Mark Begich of Alaska.

Republicans aren't letting Landrieu's absence go unnoticed.

The National Republican Senatorial Committee, which aims to get Republicans elected to the Senate, put out a web video Tuesday, criticizing Landrieu for allowing the talk-a-thon to take place. The video also argues she doesn't stand up enough for American energy.

Tiernan Sittenfeld, a senior vice president of the League of Conservation Voters, said the fact that just over half of the Democratic caucus is willing to speak in the wee hours of the night about climate change is "incredibly exciting" and "good politics."

In fact, Whitehouse is working to ensure that climate change is a topic in the 2016 presidential race by traveling to Iowa next week to talk to voters and activists.

He insists he is not running for President but wants to make sure those who do talk about the impact of climate change.

Obama's engagement

After a hiatus post 2010, the Obama administration is also back in the climate change game.

President Barack Obama proposed his Climate Action Plan this past summer that would create carbon pollution standards for power plants and expand renewable energy production. And in his new budget plan, the President proposed funding to study the impacts of climate change.

Secretary of State John Kerry said last month that climate change is the "greatest challenge of our generation."

Whitehouse is optimistic that the tide is turning. So much so that he traveled to Sea Island, Georgia, this past weekend to speak at the conservative American Enterprise Institute conference.

"I think it went pretty well," he said.

Is it time to agree on climate change?

CNN's Ted Barrett, Ashley Killough and Jonathan Helman contributed to this story.

@highlight

Senate Democrats held all-night session to draw attention to climate change

@highlight

The issue has fallen off the radar with the help of wealthy opponents

@highlight

Wealthy environmentalist Tom Steyer has put it back in the spotlight