Washington (CNN) -- A series of blog posts on Monday purportedly by Edward Snowden said he leaked classified details about U.S. surveillance programs because President Barack Obama worsened "abusive" practices instead of curtailing them as he promised as a candidate.

In 90 minutes of live online chatting, the person identified as Snowden by Britain's Guardian newspaper and website insisted that U.S. authorities have access to phone calls, e-mails and other communications far beyond constitutional bounds.

While he said legal restrictions can be easily skirted by analysts at the National Security Agency, FBI and CIA, Snowden stopped short of accusing authorities of violating specific laws. Instead, he said toothless regulations and policies were to blame for what he called "suspicionless surveillance," and he warned that policies can be changed to allow further abuses.

"This disclosure provides Obama an opportunity to appeal for a return to sanity, constitutional policy, and the rule of law rather than men," he posted. "He still has plenty of time to go down in history as the president who looked into the abyss and stepped back, rather than leaping forward into it."

Obama bristles at suggestion he's shifted on snooping

Asked Monday if the NSA was following the online chat, the agency's press office had no immediate comment.

Obama, top legislators and national security officials defend the surveillance programs as necessary to combat terrorism, arguing that some privacy must be sacrificed in a balanced approach.

They say the law allows collection of metadata, such as the time and numbers of phone calls, and that a special federal court must approve accessing the content -- listening to the call itself.

In the blog posts on Monday, the writer identified as Snowden contended the government's overbroad collection of information violated rights of innocent Americans who have no links to suspicious activity.

Referring to a program that permits broader access to foreign communications than is allowed for domestic monitoring, the writer said authorities sidestep regulations. For example, a phone call from overseas can mean automatic inclusion of a U.S. number in the record-keeping, according to the writer.

"The reality is that ... Americans' communications are collected and viewed on a daily basis on the certification of an analyst rather than a warrant," one Snowden post said. "They excuse this as 'incidental' collection, but at the end of the day, someone at NSA still has the content of your communications."

Another post warned that restrictions against unauthorized access to the content of communications -- such as listening to phone calls or reading e-mails -- were based on policy rather than technology and therefore "can change at any time."

CNN poll: Obama numbers plunge into generation gap

Snowden said he leaked details of the surveillance programs because Obama campaigned for the presidency on a platform of ending abuses.

However, Obama "closed the door on investigating systemic violations of law, deepened and expanded several abusive programs, and refused to spend the political capital to end the kind of human rights violations like we see in Guantanamo, where men still sit without charge," a blog post said.

Snowden also said that he had to get out of the United States before the leaks were published by the Guardian and Washington Post to avoid being targeted by the government.

The U.S. government "predictably destroyed any possibility of a fair trial at home" by "openly declaring me guilty of treason," Snowden said.

Snowden, who is believed to be in Hong Kong, also wrote that the truth about surveillance programs he disclosed will come out, and "the U.S. government is not going to be able to cover this up by jailing or murdering me."

Details on NSA-thwarted plots coming, lawmaker says

The blog post rejected accusations that he had or might provide classified information to China, saying he only leaked to journalists and calling such a charge a smear tactic intended to turn public opinion against his effort to provide Americans with full information about how their government monitors them.

A CNN/ORC International poll released Monday showed 54% of respondents didn't approve of Snowden's admitted actions, while 44% backed the leaks.

Snowden's father told Fox News that he hoped and prayed his son "will not release any secrets that could constitute treason."

The father, Lon Snowden, also said he wanted his son to return to the United States "and face this," adding "I love my son."

Snowden, 29, worked for the NSA through a private contractor firm until May, when he decamped to Hong Kong. He went public earlier this month as the source of articles by the newspapers, saying the agency's efforts pose "an existential threat to democracy."

The revelations about the NSA's collection of millions of records from U.S. telecommunications and technology firms have led to a furious debate within the United States about the scale and scope of surveillance programs that date from the days after the 2001 al Qaeda attacks on New York and Washington.

Opinion: Did NSA snooping stop 'dozens' of terrorist attacks?

Defenders say the programs -- approved by Congress after a warrantless surveillance effort under the Bush administration was revealed in 2005 -- have protected American lives by helping agents break up terrorism plots. And they argue that the program is under close oversight by all three branches of government, including the congressional intelligence committees and a court set up under the Foreign Intelligence Surveillance Act that hears cases in secret.

But Glenn Greenwald, the Guardian columnist who broke Snowden's story and moderated the chat, said the safeguards placed on the program is "a very symbolic and empty oversight that really ought not to give the assurances to anybody that these powers aren't being abused."

"They go once every six months to the FISA court," he said. "The FISA court rubber-stamps these vague guidelines that the NSA says they're using to make sure they're complying with the law. And once that happens, the NSA can force telecoms and Internet companies to give them whatever they demand under the guise that the FISA court has blessed their guidelines."

Bigger threat: Snowden or NSA?

Critics call the programs an unconstitutional overreach of authority under the Patriot Act, the law that authorized increased government surveillance in the aftermath of the 9/11 attacks.

In a new development, the Guardian reported Sunday that Britain's electronic intelligence agency monitored delegates' phones and tried to capture their passwords during an economic summit held there in 2009.

Targets included British allies such as Turkey and South Africa, the newspaper reported. The Guardian cited documents provided by Snowden.

According to the newspaper, the documents show that the British "signals intelligence" agency GCHQ used "ground-breaking intelligence capabilities" to intercept calls made by members of the G-20 conference delegations at meetings in London.

Facebook, Microsoft disclose information on user data requests

Analysts received round-the-clock summaries of calls that were being made, and GCHQ set up Internet cafes for delegates in hopes of intercepting e-mails and capturing keystrokes, the Guardian reported.

One briefing slide explained the intercepts would give intelligence agencies the ability to read delegates' e-mails "before/as they do," providing "sustained intelligence options against them even after (the) conference has finished."

GCHQ is Britain's equivalent of the secretive NSA in the United States.

The Guardian reported that the NSA had attempted to eavesdrop on then-Russian President Dmitry Medvedev during the conference as his phone calls passed through satellite links to Moscow and briefed its British counterparts on the effects.

The latest report was published on the eve of a smaller economic summit hosted by the British government -- the Group of Eight gathering in Northern Ireland.

Shawn Turner, a spokesman for the U.S. Office of the Director of National Intelligence, said Sunday he was aware of the Guardian's latest report but declined to comment on it.

"What we should be focused on is how irresponsible and egregious these recent leaks are," he told CNN. "It's impossible to know exactly how much damage is being done by these disclosures, but they will have an effect on our counterterrorism efforts."

Cheney defends NSA, calls Obama's credibility 'nonexistent'

Retired Gen. Michael Hayden, a former NSA director, said on CNN's "Fareed Zakaria GPS" that what the agency collects are "essentially billing records" that detail the time, duration and phone numbers involved in a call.

The records are added to a database that agents can query in cases involving a terror investigation overseas, and agents can't eavesdrop on Americans' calls without an order from a secret court that handles intelligence matters, he said.

If a phone number related to an investigation has links to a domestic phone number, "We've got to go back to the court," he said.

GOP tries to keep focus on IRS targeting scandal

However, critics such as Sen. Mark Udall, a member of the Senate Intelligence Committee, had raised questions about the scale of the program even before Snowden's leak.

Udall said on NBC's "Meet the Press" on Sunday that he doesn't believe the program is making Americans any safer, "and I think it's ultimately, perhaps, a violation of the Fourth Amendment."

"I think we owe it to the American people to have a fulsome debate in the open about the extent of these programs," said Udall, a Colorado Democrat. "You have a law that's been interpreted secretly by a secret court that then issues secret orders to generate a secret program. I just don't think this is an American approach to a world in which we have great threats."

Obama does not feel that he has violated the privacy of any American, his chief of staff, Denis McDonough, said on the CBS program "Face the Nation."

McDonough said the president will be discussing the need to "find the right balance, especially in this new situation where we find ourselves with all of us reliant on Internet, on e-mail, on texting."

Hong Kong rallies in the rain for Edward Snowden

CNN's Paul Steinhauser, Matt Smith and Jessica Yellin contributed to this report.

@highlight

NEW: Man said to be Edward Snowden claims Obama has a chance to "return to sanity"

@highlight

NEW: NSA programs face only "symbolic" oversight, columnist says

@highlight

Purported Snowden blog post says any possibility of a fair trial has been destroyed

@highlight

Another post says Obama "deepened and expanded" abusive security programs