(CNN) -- Today they are lawmakers, professors and grandparents. But 50 years ago, they were the young faces of the civil rights movement, who headed to the nation's capital -- even if it meant hitchhiking -- to be a part of history.

These men and women joined nearly a quarter of a million others from across the country to take part in the March on Washington on August 28, 1963, a pivotal moment in the civil rights movement. Some even had chance encounters with civil rights leader Martin Luther King Jr.

The most famous moment of the march was King's "I Have a Dream" speech, which he delivered from a podium at the Lincoln Memorial to a crowd of an estimated 210,000 people.

Photographer captures faces of the march

Many thought the event would descend into violence, but it did not. There were 5,000 police officers, National Guardsmen and Army Reservists present, but no marchers were arrested, and no incidents concerning marchers were reported.

The march was the culmination of the civil rights movement, and it is credited for helping spur lawmakers to pass the Civil Rights Act in 1964 and the Voting Rights Act in 1965.

There were civil rights leaders, Hollywood celebrities and thousands of ordinary people who knew it was time for the United States to give the same rights to everyone, regardless of race.

CNN caught up with a few of those marchers today.

Bernice King's difficult journey

Patricia Worthy

Patricia Worthy was a college student just looking for a summer job when she got hired as the receptionist at the March on Washington planning office.

"I don't think I had a title," Worthy recalled. "I answered the phones."

She had 10 phone lines to answer, and they rang from the time she walked in until she left for the day.

"I recall one day I'll never forget, I heard someone say, 'Where is this young lady who handles the phone?' And finally I looked up, and there he was -- Dr. King -- and he said, 'I want to meet this young lady. She has put me on the hold twice, and hung up on me once, and I want to know who she is.' "

Worthy said she was "so embarrassed," but then the civil rights icon gave her a hug.

By the day of the march, she was so tired, she dozed off and accidentally slept through the historic march and the "I Have a Dream" speech.

After a career practicing law -- including a case involving the government's wiretapping of King -- Worthy has been a law professor at Howard University since 2004.

Lessons from successful movements

John Lewis

At 23 years old, John Lewis was the youngest speaker at the March on Washington and probably the most controversial. He had just been elected to lead the Student Nonviolent Coordinating Committee.

Lewis' father was a sharecropper in rural Alabama, where he grew up and went to segregated schools. According to his biography, Lewis "was inspired by the activism surrounding the Montgomery Bus Boycott and the words of the Rev. Martin Luther King Jr., which he heard on radio broadcasts."

His prepared text for the March on Washington included a threat to march through the South like Gen. William Sherman during the Civil War unless there was progress on civil rights.

That didn't sit well with his fellow civil rights leaders.

"On the night of August 27, 1963, I received a note under my door from (march organizer) Bayard Rustin saying, in effect, that there was some concern about my speech," Lewis said. "My speech was pretty strong."

Another march organizer, A. Philip Randolph, also asked Lewis to edit his speech.

"And Mr. Randolph came and said, 'John, we come this far together. Can you change this? Can you delete that? Let's stay together,' " Lewis recalled.

So he did.

Today, Lewis, 73, is the only surviving speaker. He has represented Georgia in the U.S. Congress for 14 consecutive terms.

Some days, he still walks down to the Lincoln Memorial to stand where they all once stood.

MLK memorial ready for anniversary

Robert Avery

Robert Avery knew the dark side of the civil rights movement. A month after the student protests in Birmingham, Alabama, turned violent, Avery -- 15 years old at the time -- joined anti-segregation demonstrations in Gadsden, Alabama. Police responded with force, cracking down with batons and prods, and arresting more than 460.

Avery still lives with burn scars from a cattle prod.

Months later, Avery and two of his friends were determined to get to Washington for the March on Washington. They couldn't afford to make the trip via traditional means, so they decided to hitchhike the 700 miles between Gadsden and the nation's capital.

They walked at least a dozen miles up a dark highway before they got their first ride. After three days of hitchhiking, they arrived in Washington a week before the march.

The three youths were put to work making signs for the march at the local headquarters.

That weekend, a civil rights leader walked in and asked for them. He had been in Gadsden the night before, and their parents wanted him to check on them.

King sat down with the three and talked to them for perhaps 20 minutes, asking them about their dreams.

Today, Avery continues to serve as a city councilman in Gadsden, a position he has held since 1986.

The only class MLK taught

Harry Belafonte

Harry Belafonte, a popular actor and Grammy Award-winning singer in the 1960s, used his star power to help bring other celebrities to the March on Washington.

"For myself personally -- beyond raising money, beyond speaking at events that helped to raise money to bring citizens to the Mall -- my task, my larger task, was to organize a cultural contingency to come to the March on Washington," Belafonte reflected.

Besides reaching out to the stars themselves, Belafonte went to many of the studio heads in Hollywood to get prominent actors and actresses temporarily released from their duties so they could participate.

He was successful. The Hollywood list of attendees that day read like a who's who of A-listers: Marlon Brando, Sidney Poitier, Lena Horne, Sammy Davis Jr., Charlton Heston and Burt Lancaster, who also gave a speech.

But having the Hollywood stars there wasn't just for show or for increased media attention. It also helped calm President John F. Kennedy's nerves about the march.

"I believe that their presence did a lot to assuage people who are preoccupied with the fact there could be violence," Belafonte said.

"One of the things that I said in my conversations with the Kennedys in discussing why they should be more yielding in their support of our demonstration was the fact that there would be such a presence of highly profiled artists -- that that alone would put anxiety to rest," he added.

"People would be looking at the occasion in a far more festive way."

Belafonte continued his acting and singing career, and today, at 86, he is still an activist for human rights causes.

At the March on Washington: The anger, fear, love and hope

Rachelle Horowitz

Rachelle Horowitz took a break from her job at the Worker's Defense League in 1963 to be in charge of March on Washington transportation -- despite the fact she couldn't even drive.

"And I was totally horrified and frightened about this notion," she said. "And I said something that also in retrospect seems fairly silly. 'How can I be the transportation director? I can't drive,' which I couldn't. I was a New Yorker. And also I had lost my bus on every previous march."

But with the encouragement of her mentor and future lifelong colleague, march organizer Bayard Rustin, Horowitz proceeded to organize all the buses, trains and planes for the more than 200,000 people who attended the march that day.

In a time long before e-mail and Facebook, this was no easy task. Horowitz used a system of 5x3 index cards and massive lists attached to the office walls to keep track of all the various travel options.

After her months of tedious work came to fruition with a well-attended and successful march, Horowitz reveled in the moment at the end of the day.

"All of us who had worked on the march," continued Horowitz, "were just incredibly happy and pleased with what had happened. And we all linked hands and sang 'We Shall Overcome.' "

Horowitz went on to be Rustin's assistant and eventually served as the political director for the American Federation of Teachers.

@highlight

Wednesday marks 50 years since the March on Washington

@highlight

CNN is showcasing firsthand accounts in "We Were There: The March on Washington"