(CNN) -- Bodies in the streets. Bloody faces pleading for help. Bandaged children in hospitals.

The horrific scenes and pleas coming out of Syria mount as activists claim President Bashar al-Assad's regime has been ratcheting up attacks, which the government denies.

What's behind the increase in violence, what effect did the Arab League monitors have and what may the future bring?

CNN's Nic Robertson returned a few weeks ago from a rare look inside Syria, where the government has been placing restrictions on international journalists and refusing many of them entry at all. He explains what's happening in this Q&A transcript, edited for length and clarity.

Q: What is happening in Syria and why is it seemingly getting worse?

Robertson: (The violence) is significantly worse. It's become quantifiably worse since Bashar al-Assad unleashed the full force of his military army on Homs, on places like Zabadani that we visited with the Arab League monitors. When the monitors were there, the army wasn't shelling these towns. They weren't using tanks this way. They weren't firing mortars into these civilian areas. That's begun in the last week or so, all these injuries. And when we were there, there were perhaps 20 or 30 people being killed a day. Now the numbers are up in the hundreds. So it's quantifiably worse.

Assad has decided to ratchet up the firepower, to crush this uprising once and for all to break their spirit, to seal these areas off so they can't get in, so that they can't get medical supplies in, so that they can't bring weapons in to support themselves.

Q: Are these reports from people and what you saw on the ground about hundreds of people being killed, are they accurate?

Robertson: We're not there and we can't verify the number of people that are being killed. What we see on the video that's sent out from there, that seems to be shot on cell phones, is maimed people. ... I've been in this business for a long time, and it's some of the worst I've seen.

There was a young child with everything below his nose missing, caught by a shell, children that are killed. There's no doubt that there is shelling that is causing civilian casualties, that is damaging houses, that appears to be damaging hospitals, and we also understand, targeting the places where this video is being fed out of Homs. It is a siege in the medieval sense of the word.

Q: Has it come to a crisis point, or are they close to a crisis point where all hell breaks loose?

Robertson: Again, not being there, it's very hard to gauge. But when you listen to the desperation in people's voices, and you see the way that they're talking and the terms they're characterizing it in, yes, the situation is desperate. They say they're running out of medical supplies. Doctors are using secondhand sutures to stitch people up. They don't have anesthetics to give to people. When you have these kind of wounds coming in -- the survival rate is negligible. The young man who lost his face, he died for lack of treatment, nothing else -- for lack of treatment.

Bread is in short supply. Basic food things are in short supply. What al-Assad is trying to do is crush the will of the rebels, of the opposition here, so that they will give up, so that they have no other option. He's also sort of trying to put the international community in a position whereby whatever the international community does through its desire to stop this (crisis), it will perhaps play into his hands, the idea of humanitarian envoys.

Q: What about this notion that perhaps monitors on the ground or other people helping them out really plays into al-Assad's hands -- how so?

Robertson: We've already seen it. The monitors were on the ground before, monitoring what was supposedly al-Assad pulling his troops and his heavy armor back. Their report at the end of a month said that he hadn't complied.

These monitors don't have weapons. They have flak jackets, helmets and armored cars, some of them. They have no way of imposing their will, if you like, on Assad's forces. They can't stop them shooting.

The notion that they could sort of get in between the opposition, these enclaves, and save them from the tank fire is a preposterous proposition. The only reason it would stop would be because Assad decided to tell his army to stop firing and stop shooting. And he appears to be nowhere near that kind of decision. ...

If anyone thinks that Arab League monitors backed with some semblance of United Nations training can go in and stop the kind of artillery fire and gunfire that's going on, then think again. Because there were monitors there who wouldn't even cross police road checkpoints, never mind go into contested areas.

There were some monitors who were willing to do that, but they're not set up and protected and equipped to go in and stop tanks firing and stop two forces shooting at each other.

Q: So why are we even talking about this then?

Robertson: One of the reasons we're talking about this is because al-Assad, backed by Russia, created a scenario on the ground where the West is watching huge, horrible humanitarian suffering. We're the ones that are saying: What can we do to help? How can we stop this?

Russia and al-Assad would like nothing better than to see us divided, see the international community brought to a position where they will compromise for something less, i.e., not a removal of al-Assad, i.e., not going in with a military intervention. Maybe just protecting the people, saving the people. That's what they're aiming for in the short term right now.

Q: You were recently in Damascus. How strong of support does the regime have in the capital city?

Robertson: About 20 to 30% of the population supports al-Assad. There's 10% Alawite -- this is the sect that al-Assad is from -- (and) about 10% Christian. And the message that Assad sells his people is that, You're only going to be safe under me. The Sunni majority, if they get power, you will be forced out of your homes and businesses.

Q: We saw what happened in Libya. Do you think that's ultimately going to happen in Syria?

Robertson: We're a long way from that. Al-Assad still has 20 to 30% support of the population. They still buy his message that he is fighting terrorist groups who are backed by an international media conspiracy. He has the support of Russia right behind him. There's no strong U.N. resolution against him.

And he is a smarter guy with a stronger army that hasn't given up on him yet. And the rebels there, the opposition, don't have what the Benghazi, the east of the country, a huge base where they can operate from. They have tiny little enclaves that we're seeing being shelled right now. Baba Amr and places like that.

It's not that we haven't seen this type of thing before. If you think back to Bosnia, when Russia was supporting the Serbs there, politically, not militarily on the ground, there were tiny little enclaves, the infamous Srebrenica. The Serbs, after three years of standing back and shelling it, after the U.N. -- we're talking here about Arab League monitors, where the U.N. provided safety and security in Srebrenica -- the Serbs still went in and massacred 7,000 people.

So what al-Assad and Russia are looking at here is a scenario where the international community could settle for something less, i.e., trying to protect these areas. And that will be no protection.

@highlight

CNN's Nic Robertson recently returned from a rare look inside Syria

@highlight

He says violence in Syria is significantly worse since full force of army unleashed

@highlight

President Bashar al-Assad has decided to crush uprising once and for all, Robertson says

@highlight

He says outside monitors can't stop violence; their presence could play into al-Assad's hands