Andre Spicer is Professor of Organizational Behavior, Cass Business School at City University London. The views expressed in this commentary are solely those of the writer. CNN is showcasing the work of The Conversation, a collaboration between journalists and academics to provide news analysis and commentary. The content is produced solely by The Conversation.

LondonApple CEO Tim Cook has released the much-anticipated Apple watch -- his company's first new product since the iPad. Cook said the new watch, in addition to telling the time, was a "comprehensive health and fitness companion." But we're unlikely to hear much about how people will actually use this new product for some time.

Our research has found that smartwatches certainly do have some benefits for users. But they also have a hidden, darker side which the companies selling them are unlikely to talk about.

As part of a research project with Alberto Rizzoli, we have tried to understand what drives people to invest in smartwatches. One participant, a judge, hoped he could keep track of the deluge of emails during long hours in the courtroom when he had to pay attention -- and be seen to pay attention.

The dilemma is familiar to many of us. We spend our days engaged in social interaction. Huge proportions of our time are taken up with meetings or impromptu encounters with colleagues. However when we are in these meetings, our smartphone is buzzing away reminding us that our inbox is filling up. We may want to check these incoming messages, but know it would be rude to glance at our phone. When one of the first smartwatches came to market, the judge thought he had found the solution to this problem.

We found that heavy smartwatch users valued how the devices helped them track information as it arrived while still appearing socially attentive. It also saved users the hassle of having to dig through their pockets or handbags to find a buzzing phone. Surprisingly only about half the people we spoke with actually used all the health tracking technology built in to the watches. They were more interested in keeping abreast of their inbox than their calorie count.

We also noticed a worrying side to these new devices as heavy users of the watches incorporate them into their daily routines -- we call it the "phantom device effect." They would compulsive check their watch not just for the time, but for a wide range of information. In some cases their new gizmo would become such an instinctive part of their life that even when not wearing one they would check their bare wrist. Some would feel a phantom buzz, notifying them of an imaginary incoming email.

The phantom device effect leads us to ask about just how ingrained in our daily habits these devices might become. Recent research has suggested that average smartphone users check their phone 150 times a day, starting just minutes after waking up.

We also know this has the effect of extending work into all areas of our lives -- monitoring work emails late into the night or during social or family events. We used to worry that the average American watched television for six hours a day. Now we accept as a matter of course the fact that we tied to our devices for most of the time we're awake. Indeed many of us go to bed with our smart devices quietly monitoring our rhythms as we sleep.

This raises the question of what impact it will have on our lives. In the work Carl Cederström and I have done on the hidden dangers of wearables, a big big concern is privacy.

The Apple Watch, like most wearables, is essentially a tracking device, recording heart rate, sleep patterns, movement, whereabouts, and much more depending on the apps installed. All this is packaged and transmitted to datacentres for analysis. The result? A database of personal information of which the Stasi could only have dreamed.

As well as sucking up personal information, wearables could fuel an unhealthy obsession with personal wellness. By pumping health and wellbeing information at us non-stop, we start to become a little too focused on our bio-rhythms. Data which would have been generated only in the most unusual situations now becomes commonplace, making people not just health conscious, but also self-obsessed.

Instead of checking in with social networks, we spend more time checking in with our own bodily rhythms. As a result other people start to become more interested in what is going on inside themselves rather than what is happening in the world.

As we pay more attention to our feed of personal biodata we're likely to become more anxious about things that we may never have given a second thought to in the past. Not walking your allotted steps in a day or finding you had a poor sleeping pattern at night can become a source of significant personal guilt or worry. As a result, we pour more attention into monitoring and controlling ourselves, giving us less time to do the things which actually make us happy.

If Apple's projections are indeed correct and tens of millions of people purchase smartwatches, it's likely to create a step change in our lives. We already see people routinely posting on social media information they would have only shared with their doctor a few years ago.

Widespread use of smartwatches could mean that instead of relieving our boredom by answering emails, people will spend their time sifting through their biodata stream, planning ways to maximize their personal wellness ratings. Rather than talking about what was on television last night, people will start comparing charts of their sleeping patterns. When this happens we will know that the internet of me has arrived.

READ: Will your Apple Watch program YOU?

Copyright 2015 The Conversation. Some rights reserved.

@highlight

Smartwatches have hidden, darker side the companies selling them are unlikely to talk about, says Andre Spicer

@highlight

Spicer: Average smartphone users check phone 150 times a day, starting just minutes after waking up

@highlight

We're also likely to become more anxious about things we may never have given second thought to, he adds