Youth unemployment is not a new subject to make the headlines (see Spain and Greece) but it is has become a particularly acute problem for Jordan.

Those aged between 15 and 24 make up a large percentage of the working age population in the Middle East nation of nearly 8 million people and have been particularly hard hit in recent years.

According to April figures from Jordan's Department of Statistics, 36.6% of 15-19 year olds and 27.9% of 20-24 years olds in the country are out of work.

Events in the surrounding region have hardly helped in this regard.

First, the Arab Spring hit investment. Then, the Syrian civil war sparked a refugee crisis.

The Jordanian government says approximately 1.2 million Syrians have fled the country and entered into Jordan, many of whom are looking to work and provide for their families.

A further 29,000 Iraqi refugees have registered in Jordan, according to the UNHCR, and this number could rise if the ongoing destabilization and march of ISIS continues.

CNN's John Defterios sat down with Jordan's labor minister, Nidal Katamine, to discuss the scale of these issues and what measures need to be put in place to tackle them.

He began by asking whether the current conditions make it nigh on impossible to decrease unemployment in the medium term.

Nidal Katamine (NK): The problem is when you have a sudden increase in population into the country vis-a-vis the refugees we are receiving from Syria and prior to that the economic situation going on via the Arab Spring ... that has increased the foreign labor force in the country.

Hence your strategies have to be all the time readjusted. It's very tough to keep or maintain a strategy that would reduce figures in view of this very unusual phenomenon.

John Defterios (JD): Is the west or industrialized world not doing enough to assist in this transition because of the Syrian crisis and again the bubbling of the Iraqi crisis?

NK: To be frank with you the west is looking into it and trying to do something but in effect they're not really doing enough to support Jordan in this disaster as it were.

This is a disaster that is happening in the region and Jordan is taking the thrust of it.

We've been trying to reach out to donors and to the rest of the world. We've received a lot of promises and pats on the back but unfortunately we have not really received real support. We're very, very disappointed at this stage.

As a minister of labor I made this clear last year to the ILO, the International Labour Organization, and I plead for assistance. Ultimately, you need to help the people on the ground here who require training or who requires to be adjusted within a new society and also not to influence the existing labor society that they are hosted in.

JD: If you have nearly one out of four youth unemployed and you have a Syrian refugee or an Iraqi coming in what happens? Do they undercut the existing wages that are there and is this the tension that is on the street.

NK: Let me give you an idea of the scale of the problem. Imagine if the whole of Canada just visited the USA. This is how it is now for us vis-a-vis the Syrian refugees alone, let alone the neighboring countries like Egypt ... it is very tough for us. It is affecting our labor force.

Unfortunately, those who are living in Jordan as refugees, they are looking for any work that could cover their expenses. Therefore their reduced wages is attracting the labor market and obviously that is definitely influencing the figures in Jordan.

JD: The private sector has been complaining for years that they don't like what comes out of the education system, that they have to retrain the workers. Should they stop complaining and be more active at the front line of the challenge?

NK: I think in Jordan we have not succeeded in the past to do the proper match.

Even the developed world is facing problems. I feel that for example the body that is responsible for unemployment in the rest of the world is always the ministries of labor which should not be the case.

Each ministry in relation to its own specific task should be responsible for that particular sector of unemployment. For example, the ministry of health should be responsible for the unemployment figures and they should be doing the mismatch or the match between the graduates of the sector and how could they actually fill into the jobs of the market.

So, I think there is an overall comprehensive picture that should be looked into rather than just looking it from an aggregate point of view.

JD: I'd like to talk to you on a personal level. You are a father of three, two of (your children) are training to be solicitors or attorneys in the UK. Would you welcome them back and say there is enough opportunity in your own market?

NK: I would definitely like them to carry on working in Jordan. Wherever you go there is a challenge for every individual. Even if you want to go and find a job in the UK you still have to compete with a lot of challenges and compete with a lot of those who probably have better qualifications than yourself.

Therefore, even in Jordan you still have to compete and I think it's only making Jordan stronger to try to present themselves to the labor market to represent themselves with more communication skills and more experiences. I don't think I should worry about them finding a job in Jordan if they are qualified.

@highlight

Jordan has high rates of youth unemployment

@highlight

Arab Spring and conflict in Syria have exacerbated situation

@highlight

Jordan looking to work with partners and introduce programs get more into work