(CNN) -- As we learned in past battles with polio and AIDS, the key to solving a massive health crisis is to move public sentiment away from fear and stigmatization toward action and acceptance. That is why a recent ad campaign about Ebola from Medicins Du Monde -- MDM or Doctors of the World -- is so encouraging

An international humanitarian and medical organization with a long history of advocating for vulnerable populations, MDM joined in the United States with ad agency Publicis Kaplan Thaler to turn public fear of Ebola on its head by asking people to donate a hazmat suit to workers in Africa. The symbol of the fearful hazmat suit is reintroduced as a crucial piece of the solution: "Here it's a costume. There it saves lives."

With a message of hope that asks us to get beyond our irrational fears of exposure to Ebola here in the United States, MDM focuses on our enormous power as individuals to participate in solving the global crisis that is unfolding.

Perhaps more important is this suggestion in the ad from MDM: Medical workers are also at risk of becoming vulnerable, to stigmatization and marginalization, as a result of their direct contact with Ebola at its source. This threat to their status comes at a time when we most urgently need doctors and caretakers on the ground in Africa.

Miranda Sissons, executive director of Doctors of the World USA, told me, "Ebola may be the largest humanitarian crisis of the century," adding that the current challenge "is driving the system beyond its capability." History shows us that the world's response at the moment when effectiveness could be at its highest can in fact be slowed if public perceptions and government actions penalize or stigmatize doctors, health workers and caretakers working on the front line of a crisis.

AIDS, for example, still stands as one of the most politicized, feared and controversial diseases in modern history and its spread in the early 1980s is partially attributed to the marginalization of its victims and caretakers by the press, government and traditional health care institutions. The media defined AIDS originally, as a "gay man's" illness, and then a disease of "The Four H Club": homosexuals, heroin addicts, hemophiliacs and Haitians.

Each group was, for different reasons, already on the outside of mainstream U.S. social norms -- feared and often ignored by many Americans -- and AIDS pushed them further outside the circle of public empathy and institutional help.

Early attempts by advocacy groups to turn around negative public perception failed because there was little objective information about what caused the disease, and so fear and ignorance prevailed in the public consciousness. Health care workers stayed away from treating AIDS patients, leaving communities on their own to deal with the growing crisis. Local groups, like New York City's Gay Men's Health Crisis, were virtually the only place for dying victims to turn to for help in the early 1980s.

To make matters worse, the U.S. government did not jump in to guide the public narrative on AIDS, and the vacuum was filled with inaction, for the most part, on treatment and cures. It was clear by the end of 1981 that AIDS was a national threat, but President Reagan didn't publicly mention the disease until late 1985, by which time acknowledging the epidemic was unavoidable: AIDS had become the leading cause of death among all Americans age 25 to 44.

In the era of polio, starting in the United States in the early 20th century through the 1950s, a similar pattern of stigmatization and lack of leadership emerged. The healthy pushed away the diseased in fear, locking away the afflicted in attics, hiding them in institutions and exiling them to the sidelines of life, long after they had passed the contagious stage.

Forty years passed with no overarching government strategy to find a cure or ensure victims' basic rights, until Jonas Salk accidentally discovered the polio vaccine and victims' advocacy groups took up the charge by starting the disability rights movement.

Franklin D. Roosevelt, who contracted polio in 1921 at age 39, was paralyzed from the waist down and used a wheelchair. FDR understood the power of the public's fear of polio to stigmatize him in the minds of voters.

Like the hazmat suit that symbolizes Ebola and elicits fear today, FDR's wheelchair would have been a powerful symbol of polio in the American mind in the 1930s if he had let people see it: FDR scrupulously hid it from public view to avoid any association with the disease. There are only three known photographs of FDR sitting in a wheelchair.

Only in recent years has FDR been viewed by many as a hero for how he doggedly overcame the stigma of the disease in the face of widespread public discrimination against polio victims.

It is possible we can chart a better course in the future on Ebola by learning from the mistakes of the past in our response to AIDS and polio.

First, there needs to be a U.S. government-led public health strategy to deal with the Ebola crisis here, and across the ocean at its source. No other country, or single international organization, has the credibility to lead on this issue.

The White House, along with the Centers for Disease Control and Prevention and other key government agencies, is crucial to establishing the policies, action agenda and outlining the priorities to beat this disease, and to focus and coordinate all the international players who need to be involved.

Second, everyone involved in the public dialogue needs to come together to address and manage the ongoing fears of an epidemic in the United States. While experts may believe they're relieving our fears when they tell us we're safe, it is difficult to feel safe with the frequent reports of another individual suspected of being infected on our shores.

In reality, an Ebola epidemic is not a threat to Americans at home: The U.S. health system is the best prepared on the planet to treat and cure Ebola patients. But ongoing fear distracts us from focusing on the urgency of treating Ebola at the source in Africa.

Third, stigmatization slowed the cures for polio and AIDS and, without any legitimate reason, marginalized people for being victims of a disease they had no control over. Key to the conversation at this moment is that our response to the Ebola crisis can be dangerously slowed if we repeat those mistakes of stigmatization.

We are at risk of rejecting the wrong people in this war -- not only the victims, but the doctors and health workers who are courageously caring and fighting the scourge. If we allow the very workers we need on the ground in Africa to be stigmatized when they come home, this will take longer to solve. This is exactly the moment when health workers need to be encouraged to be on the front line, and recognized as heroes for doing so when they return.

Finally, Ebola needs an official face, a spokesperson high up in the U.S. government who is the credible, expert public voice of the disease both here and abroad. The White House seems to have missed the opportunity to connect the power of its pulpit with an official posture that can help stem fear and stigmatization, and bring a coherent message to the effort. They see Ebola as an administrative challenge and appointed Ron Klain as Ebola czar, because "the job is regarded as a managerial challenge" and Klain is seen "at the White House as a good manager with excellent relationships".

Leading the Ebola conversation is not an administrative task; it's an important way to connect government policy to people's concerns and emotions, to move opinion away from fear toward information and hope. Which is why the ad campaign for Doctors of the World is meaningful: a credible voice that starts to fill the vacuum and pushes us to shift our perceptions of Ebola toward hope and life.

@highlight

Martha Pease: We need to avoid stigmatizing Ebola as we did AIDS, polio

@highlight

She applauds recent ad campaign seeking to make hazmat suit a positive symbol

@highlight

Pease: Fear distracts us from focusing on treating Ebola at the source in Africa