The United States and its allies are working to stop what they regard as an ominous trend: attacks against NATO-led troops by Afghan security forces or others clad in military or police uniforms.

The assaults, called green-on-blue or insider attacks, have spiked this year, causing the deaths of 39 International Security Assistance Force troops -- including two in Farah province Friday.

An estimated 101 NATO troops have been killed in green-on-blue attacks since May 2007 across Afghanistan, military analyst Bill Roggio said Friday.

Roggio, managing editor of the Long War Journal blog, which reports and analyzes terror issues, said green-on-blue attacks have caused around 13% of coalition deaths this year.

Of the green-on-blue attacks since 2007, about 40% of the deaths have occurred this year and 35% occurred last year, Roggio said.

More U.S. soldiers killed amid Taliban claim of infiltrating Afghan forces

U.S. Defense Secretary Leon Panetta said he is concerned that the attacks will damage coalition and Afghan partnership efforts.  Speaking at a Defense Department news conference Tuesday, he discussed measures to stop the acts by improving intelligence and vetting of security force recruits.

"Our enemies have attempted to undermine the trust between the coalition and Afghan forces, and in particular they have tried to take credit for a number of so-called green-on-blue or insider attacks that have taken place this fighting season," he said. "Make no mistake about it. I'm very concerned about these incidents."

One measure to combat the attackers is a "guardian angel program," Panetta said.

That "involves identifying one individual who stands to the side so that he can watch people's backs and hopefully identify people that would be involved in those attacks," he said.

Pentagon changing lingo to 'green-on-blue' in growing threat

Panetta cited increasing "the intelligence presence" to obtain "better information with regards to these kinds of potential attacks." He also mentioned increasing the counterintelligence presence to "identify those threats."

For example, a NATO official quoted in a column co-authored by CNN National Security Analyst Peter Bergen said that the increase of counterintelligence officers is designed to "ferret out Taliban double agents."

Panetta also said the military is using and reviewing a "thorough" and "eight-step" vetting process.

"We're doing forensics on the particular instances that occur in order to make sure, you know, how that process -- that vetting process operated and what we can do to improve it," he said.

Another measure to fight the attacks is "implementing a notification process" for alerting people to threats. And another is that all troops at NATO headquarters in Kabul now must carry loaded weapons around the clock, CNN has learned.

Panetta said Gen John Allen, the chief NATO commander in Afghanistan, is meeting with village elders to discuss the issue.

Village elders "are the people who usually vouch for individuals.  They have to sign something that vouches for the character of individuals, and he's going back to them to ensure that that's being done properly."

"All of this requires action both by the United States and coalition forces and by our Afghan partners who also face this insider threat. We shouldn't forget that the Afghans themselves are targets of these kinds of attacks, as well," he said.

Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff, appeared at the news conference with Panetta. Allen is convening a conference of senior coalition commanders, and Afghan security ministers are having a summit on the issue, Dempsey said.

He stressed that Afghan security forces are also suffering from the same trend and noted that President Hamid Karzai has condemned the attacks. He cited an instance where Afghan soldiers who were killed when they came to the aid of their American counterparts in one of the attacks.

Official: Man in Afghan security uniform kills 3 U.S. troops

"There's far more stories about the positive relationship than there is about this particular insider attack trend, but it is one that we have to remain seized with and focused on," he said.

"Unknown but important, they've discharged hundreds of soldiers who did indicate ... that some of these young men had the capability to be radicalized, either by virtue of travel back and forth to Pakistan, by literature, by language, by music."

Nevertheless, Taliban leader Mullah Mohammed Omar has claimed that fighters are infiltrating Afghan security forces to attack NATO-led forces on their bases.

"Many Afghans in the rank and files of the enemy have shown a willingness to help the (Taliban) in a shrewd manner," said a statement posted on militant websites Thursday and obtained by SITE Intelligence Group, which monitors the activities of militant groups on the Web.

"As a result, the foreign invaders and their allies at their military centers and bases are suffering crushing blows by these heroic soldiers."

Panetta said that "one of the reasons the Taliban is targeting in this manner, we believe, is the success that our Afghan partners are having on the battlefield.  The reality is, the Taliban has not been able to regain any territory lost, and so they're resorting to these kinds of attacks to create havoc."

And, Panetta said, there's "no one source" for the attacks.

Some are people "who, for one reason or another, are upset and suddenly take it out. We've seen that here in the United States oftentimes." Sometimes, they are people who aren't Taliban but become radicalized, he said.

"They use cell phones to tune into various, you know, stations that provide incentives for that type of thing.  And so we've seen some of that take place in some of these attacks.  And then others, you know, have some Taliban ties," Panetta said.

"It's difficult to kind of draw any kind of firm conclusion as to just exactly, you know, whether this is kind of a pattern, a broad pattern.  As a matter of fact, at least from everybody I've talked to at this point, you know, these seem to be incidents that are taking place and oftentimes caused by different backgrounds of the individuals involved."

Bergen, who wrote the column for CNN and the New America Foundation with Jennifer Rowland, said the "motivations of about half the attackers are difficult to classify because the perpetrator is either dead or has fled.

Citing media accounts, Bergen and Rowland say many of the "green-on-blue" attacks appear to have occurred after quarrels between Afghan and international troops, or because the Afghan soldier has "personal grievances."

They cite a Department of Defense report in April that said "investigations have determined that a large majority of green-on-blue attacks are not attributable to insurgent infiltration of the ANSF [Afghan National Security Forces,] but are due to isolated personal grievances against coalition personnel."

They said one military behavioral scientist who interviewed more than 600 Afghan soldiers and policemen last year "found they held overwhelmingly negative perceptions of Western soldiers."

"The Afghan security forces aired grievances ranging from NATO soldiers' supposedly indiscriminate fire that killed civilians to the public searching of Afghan soldiers outside NATO bases, as well as U.S. soldiers urinating in public or cursing at their Afghan counterparts," according to the authors.

Another cause of the increase in the attacks over the past two years is the growth of the Afghan army and police force, Bergen and Rowland say.

Afghan police officer fires on NATO troops

@highlight

The coalition has formed a "guardian angel" program

@highlight

Counterintelligence has been bolstered to finger Taliban double agents

@highlight

The forces are working to improve their recruit vetting process

@highlight

Analysts say "personal grievances" have caused many of the attacks