(CNN) -- A toy helicopter controlled by nothing but brainwaves could be available to the public just in time to hover under this year's Christmas tree.

Currently touted on crowd-funding website Kickstarter -- where it has already exceeded its pledge goal twice over -- the Orbit comes equipped with an electroencephalography (EEG) headset, capable of reading electrical activity along the scalp.

"As you focus your mind on something -- whether it be a math equation or the lyrics of a song -- your brain produces electric signals," explains Steve Castellotti, CEO and co-founder of Puzzlebox, the San Francisco-based company behind the project.

"The headset monitors those signals and converts them into flight commands," he says.

There are future plans to enable multi-directional control, but in its present incarnation signals sent from the brain can only be used to lift the helicopter off the ground.

"When you concentrate, up it goes; when you mentally relax, it comes back down again," explains Castellotti.

Aside from its obvious entertainment value, Puzzlebox are pitching the Orbit as an educational toy that will help improve concentration and relaxation skills.

According to Castellotti, the art of keeping mentally focused is inherently difficult to master.

"If you're learning how to ride a bike, there's a very obvious, physical indication when you improve -- you stop falling off," says the 34-year-old computer science graduate. "It's much harder to know when you're concentrating properly and, to a lesser extent, relaxing, because there is little scope for accurate, real-time feedback."

Castellotti believes that by providing powerful visual reinforcement in the shape of his telekinesis-powered floating sphere, users will become better able to channel their attentions in other tasks.

When it goes into mass production at the end of this month, the Orbit will be available in two models. The first is designed to be used with mobile devices such as tablets and smartphones, which connect via Bluetooth to the accompanying EEG headset, and communicate with sensors on board the helicopter.

The second model, available later in the year, comes with a Puzzlebox Pyramid. The Pyramid acts as a home base and remote control unit for the Orbit and features a custom-designed, reprogrammable micro-controller.

Infrared LEDs lining the rim of the Pyramid send signals to the helicopter. These can also be reprogrammed to control other infrared gadgets.

"So instead of controlling the helicopter, you could modify the programming of the Pyramid to turn the volume up or down on your television," Castellotti says.

The idea behind the Pyramid is to encourage users to make the transition from a simple consumer to an active participant in the products they buy.

"We want to stimulate curiosity about how it all works, and actively invite anyone who buys the Orbit to take it apart, modify it and reprogram it as they see fit," he says.

As such, Puzzlebox will also freely distribute all material in relation to the project, from the source code to the hardware schematics to how-to guides for dismantling and reassembling the whole thing.

"Sure, it's a fun toy first and foremost, but once the initial novelty wears off it doesn't have to end up at the bottom of the toy box ... it's yours to reinvent," he says.

@highlight

The Orbit uses electrical brainwave signals to issue flight commands

@highlight

San Francisco-based makers Puzzlebox say the toy enhances ability to concentrate

@highlight

To encourage future adaptations, all software and schematics for the Orbit are open source