Anyone who imagines U.S. President Barack Obama and Japanese Prime Minister Shinzo Abe discussed territorial disputes with China or the U.S.'s "pivot to Asia" foreign policy during their private dinner in Tokyo on Wednesday likely isn't familiar with the restaurant where the two leaders dined.

Ahead of a protocol-bound formal state visit that officially begins on Thursday, Abe took Obama to Sukiyabashi Jiro, the fabled restaurant in Tokyo's fashionable Ginza district widely regarded as the best sushi restaurant in the world.

Diners approach Sukiyabashi Jiro with a sense of reverence.

The Japanese food provided by head chef and proprietor Jiro Ono leaves little time for small talk, much less big talk.

The focus is on the fish.

Heralded as a Japanese national treasure, Ono, who turns 90 next year, is the first sushi chef in the world to receive three Michelin stars.

With hundreds of onlookers behind police barriers lining the streets near the restaurant, Obama and Abe, neither wearing neckties, shook hands and entered the basement restaurant. New U.S. ambassador to Japan, Caroline Kennedy, also attended the dinner, which lasted about an hour and a half.

Like those who have gone before him into this shrine of sushi, Obama did not leave disappointed.

"President Obama told me that, 'I was born in Hawaii and ate a lot of sushi, but this was the best sushi I've ever had in my life,'" Abe told Japan's NHK network after the meal.

So what did Obama and Abe experience once the doors closed on their private dinner?

The following review of Sukiyabashi Jiro, originally published by CNN in 2012, might give a small taste.

World's best sushi at Sukiyabashi Jiro

Hidden in a basement attached to the Ginza Metro Station, Sukiyabashi Jiro has vaulted into the worldwide cultural milieu thanks to the 2012 release of the David Gelb feature-length documentary "Jiro Dreams of Sushi."

Rather than simply watch the spectacular food porn that is Gelb's doc, I went a step further, traveling directly to the source to offer the following account of chef Jiro's legendary soft-handed, two-fingered technique that pairs fresh nigiri cuts from the Tsukiji fish market with warm and delicate rice.

Here's how the evening went.

Spoiler: I wasn't disappointed.

6:58 p.m.

Walking through the entrance of Sukiyabashi Jiro, I take a deep breath, slowing my heart rate to match the tranquil environment inside.

Minutes earlier, while lost on the streets of Ginza, I was worried about missing the seating on a three-month-old reservation and the resulting 15,000 yen ($146) cancellation penalty.

But I've arrived on time, prepared to eat some sushi.

Online clamor has it that the folks at Jiro are wary of non-Japanese, some people even going so far as to assert the restaurant's service is rude; so I'm extra cautious, but encounter no such attitude.

I'm escorted to one of 10 seats at this shrine to Japanese sushi, offered a warm towel to clean my hands and face, a cup of tea and even a small rubber pad so that my camera doesn't make direct contact with the altar-like counter top.

7 p.m.

The staff wastes no time, quickly asking if I have any dietary restrictions.

When I answer no, chef Jiro and his son Yoshikazu immediately present a menu detailing the 19-piece "Chef's Recommended Special Course," followed by the first dish, karei, or sole.

A light, flat fish, the sole is expertly glazed with soy sauce and placed atop a two-inch bed of rice.

With a bit of hesitation, I forgo chopsticks, soy sauce and wasabi altogether for the traditional fingers-only approach and prepare to enjoy that first taste of perfection.

7:01 p.m.

The karei cleanses my palate, offering a dose of fishiness without overpowering the taste buds.

It's the perfect appetizer, and there's no doubt that chef Jiro has designed tonight's custom menu to lead my sense of taste through a special gastronomic journey.

7:02 p.m.

Next up, sumi-ika, or squid.

Its slightly rubbery texture engages my teeth to chew a bit more and spread the flavor around my mouth.

The quality of the fish is already apparent in these first two pieces, but what's also clear is that Jiro's special grade of rice, made available only to him, is the unsung hero of this sushi combination.

Served at body temperature, the rice is slightly acidic, carrying a distinct flavor of vinegar, and subdues the palate to complement the explosive flavors of the fish.

7:04 p.m.

A naturally slow eater, I'm already having trouble keeping up with Jiro's pace, but I have faith that his speed is designed to enhance the culinary experience, and I quickly engulf his next cut, inada, or young yellowtail.

Rich in flavor and lightly glazed with soy sauce, the inada is the first real "fishy fish" in the sequence.

7:05-7:09 p.m.

The holy trinity of sushi has arrived: Akami, Chu-toro and Oo-toro; a progression of tuna nigiri, aged up to 10 days, that transitions from the leanest to the fattiest, and ensures that I'll never again be able to enjoy another restaurant's raw fish in my mouth quite this much.

While the Akami sets the tone, and the Oo-toro rounds out the movement, it's the Chu-Toro, the lightly marbleized, medium fatty tuna from the upper belly, paired with a hint of wasabi between the fish and the rice, that melts on my tongue, evaporating into a sublime and heavenly flavor as I swallow.

7:11 p.m.

Kohada, or gizzard shad, is next, and while I've never heard of this fish, it's a member of the herring family and its shiny sliver and blue-spotted skin are so picturesque that I momentarily pause in awe before popping this bite in my mouth.

7:13 p.m.

The marathon continues with akagai, or ark shell clam.

The first shellfish on the menu, the akagai carries an interesting slimy texture that's balanced by an engaging chewiness.

7:15 p.m.

Piece number nine is the tako, or octopus.

Supposedly massaged by Jiro's apprentices for 50 minutes prior to serving, the tako is chewy, crunchy and refreshing, and served with a light salt rub.

But please, "no soy sauce," explain the master chef and his son, the first words they've uttered during this entire experience.

7:16 p.m.

Aji, or horse mackerel, is served.

I quickly take the aji down, followed by a small bite of pickled ginger.

7:18 p.m.

Next up is kuruma-ebi, or tiger shrimp.

A two-piece serving -- one head, one tail -- kuruma-ebi is a hearty and meaty prawn, with vibrant coloring, expertly cut to incorporate the flavor of the head, and a complete work of art.

7:19 p.m.

Sayori, or springtime halfbeak, arrives.

While not a popular nigiri cut outside of Japan, it's a beautiful specimen, a long sparkly strip of fish wrapped like a ribbon atop the rice, full of rounded ridges on one side.

A species apparently fed upon by predatory fishes, this sayori has just become the victim of a red-blooded carnivore.

7:20 p.m.

Never before have I ever seen such a magnificent clam; the hamaguri, topped with a touch of sweet glaze, is both chewy and satisfying.

It carries the distinct flavor of clam, but with none of the regular crunchiness found in shellfish mantle.

7:22 p.m.

Piece number 14, saba, or skinless mackerel.

Fresh, fishy, moist and succulent, the saba is another nigiri slice that melts upon consumption.

Jiro may not say much, and while many previous customers have mistaken his silence as contempt, the truth is that he speaks with his palms and fingers, which create a combination of fish and rice unmatched by any other.

7:23-7:26 p.m.

Yoshikazu prepares the soft-yet-crunchy seaweed outer layer for another trio of rich flavor: uni, or sea urchin, kobashira, or small scallop abductor muscle and ikura, or salmon roe.

A bottom feeder, uni is generally something I avoid, but from the hands of chef Jiro it becomes a creamy, rich morsel of the ocean floor.

Kobashira and ikura are equally good, the small scallops glazed and tender, the roe larger than normal, a quick shot of salmon juice squirting out as each individual egg is popped with every chew.

7:28 p.m.

Anago, or saltwater eel, is the final fish in the omakase set.

Unlike any other eel I've ever eaten, it carries a sweet kabayaki taste -- Yoshikazu himself once again suggests "no soy sauce."

7:29 p.m.

The "Chef's Special Course" comes to a close with tamago, a sweet egg that tastes a bit like sponge cake.

One of Sukiyabashi Jiro's many specialties, tamago is a perfect dessert, fluffy and moist, a satisfying end to an intense 30 minutes.

7:31 p.m.

I bow slightly toward Jiro, acknowledging his skills, and he bows back.

All at once, I'm whisked away to a booth behind the main sushi bar for a slice of juicy honeydew melon, served for its digestive benefits, and another cup of tea.

7:37 p.m.

While the whole experience is priceless, it's time to put a figure on this sushi dream.

One of Jiro's shokunin, or "craftsmen," then presents me with a bill for 30,000 yen ($292), plus tax, and kindly reminds that it's cash only.

Significantly lighter in the wallet, I surrender.

Jiro has lived up to its reputation as the world's greatest sushi restaurant, and although the price was hefty, the food was certainly worthy.

Getting there: Sukiyabashi Jiro, Tsukamoto Sogyo Building, B1/F, 2-15, Ginza 4-chome, Chuo-ku, Tokyo, Japan (Ginza Metro Station Exit C6) +81 (0) 3 3535 3600 (reservations must be made from a Japanese telephone number).

Hours of operation: 11:30 a.m.-2 p.m., 5:30 p.m.-8:30 p.m. Closed on Sundays, public holidays, Saturday evenings, mid-August and year-end holidays.

@highlight

On Wednesday night, U.S. President Obama dined at what many consider the world's best sushi restaurant

@highlight

Chef Jiro Ono is the first sushi chef in the world to receive three Michelin stars

@highlight

The 19-piece "Chef's Recommended Special Course" costs 30,000 yen (about $292)