(CNN) -- Could sewage be recycled to provide water that's cleaner than what comes out of your tap? The place to find out is the small yet highly urbanized city-state of Singapore.

The South-east Asian island country has a population of 5 million residing on less than 750 square kilometers of land. Whilst known for its strong economy, Singapore is lacking one essential asset -- water.

Water security has long been a national priority in Singapore as half of its current water supplies are imported from neighboring Malaysia. "We are preparing for the day that should the water agreement expire, we should be ready to fulfill our own needs," says Chew Men Leong, Chief Executive of the Public Utilities Board.

The agreement with Malaysia is due to expire in 2061, so the country has time to be ready.

Singapore's strategy for a hydrated nation is four-fold: as well as importation, it includes desalinization plants, efficient catchment of rainwater and recycling of sewage.

Rainwater is collected through a network of drains, canals, rivers, storm water, collection ponds and reservoirs with the aim to catch water across two-thirds of the country. But the real hope lies in the membrane technology to treat wastewater known as 'NEWater', created by the country's public utilities board.

Through a four-step series of barriers and membranes, wastewater is made free of solids, microorganisms, and contaminants resulting in potable water supplies for use by humans and industry.

After one decade, the technology meets 30 percent of Singapore's water needs, with plans to triple volumes by 2060.

"The level of quality we receive from the Public Utility Board meets and exceeds the expectation," explains Jagadish CV, CEO of Systems on Silicon Manufacturing, where the water is used in their processing of silicon wafers. "We are using the water three times before we let it into the drain," he says.

The demand by industry is being further met by a new collaboration with Japanese firm Meiden that will supply factories with recycled industrial water. One and a half Olympic-sized swimming pools of water are currently filtered and treated every day.

The goal is to more cost-effectively treat industrial waste streams in the long run.

Professor Asit Biswas from the Lee Kuan School of Public Policy feels other countries should follow the example set by Singapore and even the current standards can be improved to eventually re-use every last drop of water.

"There are two major future challenges," he says. "First is how to make the water system less energy intensive and the second one is consumer behavior with respect to water."

If these challenges can be overcome, this small country will continue to flourish, long into the future.

Read more from Future Cities:

Shared space, where the streets have no rules

Invisible solar panels hidden in your windows? They're coming

Brazil's idea for future mobility? The good old bus

@highlight

Singapore currently imports 50 percent of its water from Malaysia.

@highlight

With 5 million people living in the country new options for water supplies are needed.

@highlight

NEWater technologies are transforming wastewater to qualities better than that in your tap.

@highlight

30 percent of Singapore's water supply is currently met by recycled water.