Washington (CNN)President Barack Obama will unveil his long-awaited immigration plan Thursday evening, changing rules governing deportations that could affect millions of undocumented immigrants and setting off an explosive battle with Republicans.

Obama's prime-time address will be followed Friday by an event in Las Vegas, sources tell CNN. While exact details of his announcement aren't yet public, the basic outline of the plan, as relayed by people familiar with its planning, includes deferring deportation for the parents of U.S. citizens, a move that would affect up to 3.5 million people.

"Everybody agrees that our immigration system is broken. Unfortunately, Washington has allowed the problem to fester for far too long," Obama said in a video posted on his Facebook page Wednesday. "And so what I'm going to be laying out is the things that I can do with my lawful authority as President to make the system work better, even as I continue to work with Congress to encourage them to get a bipartisan, comprehensive bill that can solve the entire problem."

Obama invited congressional Democratic leaders to the White House for a dinner Wednesday night to discuss his plans for an executive order, a source told CNN.

RELATED: 5 questions you should be asking about Obama and immigration

The President declared in June he wouldn't wait for Congress to pass a comprehensive overhaul of the immigration system, initially saying he would announce changes by the end the summer. The decision was delayed until after the midterm elections, when the White House believed it wouldn't be caught up in campaign politics.

But Republicans are expressing deep anger at the anticipated move, saying unilateral action on immigration would forestall any legislative action.

Two House Republicans who would play a key role in crafting immigration legislation made a fresh call for Obama to hold off on his plans Wednesday -- and warned that if he goes ahead, they'll try to stop the White House from implementing his executive order.

"Instead of proceeding with ill-advised executive action, we implore you to work with Congress to enact legislation to address our broken immigration system," Homeland Security Chairman Michael McCaul (R-Texas) and Judiciary Chairman Bob Goodlatte (R-Va.) said in a letter to Obama.

Related: 'Orange is the New Black' actress pushes Obama for immigration overhaul

"We strongly urge you to respect the Constitution and abandon any unconstitutional, unilateral executive actions on immigration. Let's secure the border, enforce our immigration laws in the interior of the United States, and build a broad consensus for immigration reform," they wrote. "Otherwise, as the chairmen of the committees with oversight over border security and our nation's immigration laws, we will be forced to use the tools afforded to Congress by the Constitution to stop your administration from successfully carrying out your plan."

White House Press Secretary Josh Earnest chided the GOP during his briefing Wednesday, saying concerns about how Obama's immigration move could affect the government funding debate and presidential nominations in the weeks ahead are "predicated on at least the premise that Republicans have been exceedingly cooperative with the president."

Senate Majority Leader Harry Reid -- the Nevada Democrat who will lose his post once Republicans take control of the chamber in January -- lauded Obama's move, saying the GOP forced his hand.

"Comprehensive immigration reform brings relief to families being torn apart by our broken system," he said. "Comprehensive immigration reform is an economic issue and one we must address. That's why I have been so disappointed that Republicans have ducked, dodged and skirted taking up legislation this Congress forcing President Obama to act administratively."

The contours of Obama's announcement have been the subject of speculation among immigration activists for months, though the White House has yet to officially relay what Obama will announce when he speaks to the American people on Thursday night.

Administration officials say a key part of the announcement will be allowing the parents of American citizens, who are undocumented immigrants themselves, to remain in the United States without the threat of deportation. That would include the parents of legal residents, but not the parents of children eligible for delayed deportation under a rule Obama enacted in 2012.

Up to 3.6 million people would be affected by that change, according to an estimate from the Migration Policy Institute, though the figures are smaller if Obama's announcement includes a minimum number of years spent in the country.

Mandating parents live in the U.S. for at least 5 years before becoming eligible would bring the number affected to 3.3 million; a 10-year minimum would bring it down further to an estimated 2.5 million people.

Other potential areas of reform include extending the deportation deferment for immigrants who were brought to the United States as children. Altering the age restrictions on that action could allow hundreds of thousands more people to remain in the United States.

Officials also said the plan could include a stronger focus on deporting criminals who are undocumented immigrants and an expansion of worker visas in areas like technology.

Lastly, the plan could include new resources to bolster security on the border. Homeland Security Secretary Jeh Johnson said the "reforms will be comprehensive," and that border security measures will be included.

Obama's position on immigration could be a popular one. Despite an overall wave of support for GOP candidates, 57% of this year's midterm election voters believe undocumented immigrants should have a chance to apply for legal status, while just 39% want them deported to the country they came from, CNN's exit polls found.

Those exit polls found that 71% of U.S. midterm voters believe undocumented immigrants should be allowed to stay in the country legally if they meet certain requirements -- while 25% said those immigrants shouldn't be allowed to stay.

A September CBS/New York Times poll found 51% saying Obama should use his executive powers to address immigration if Congress fails to act while 43% said he should not. A similar ABC/Washington Post survey earlier that month found 52% support for Obama acting on his own.

Dana Bash and Eric Bradner contributed to this report.

@highlight

President Obama will announce an overhaul of immigration rules during a Thursday night address

@highlight

Obama will follow the announcement with a speech detailing his plan Friday in Las Vegas

@highlight

Obama invited top Democratic lawmakers to the White House for a Wednesday night dinner

@highlight

Republicans have warned that Obama's executive order could stall all legislative work