(CNN) -- Air guitar players, bus stop drummers and office desk virtuosos, rejoice: being a slave to the rhythm has just become a lot more fun. Mogees is a new technology that turns any object into a musical instrument, by converting the vibrations you make when you touch it into sound.

Here's how it works: you stick a small sensor to the surface you want to play with, be it a tree or a fruit bowl or your bathtub, and then connect it to your smartphone. An app running on it detects and analyzes the vibrations, transforming them into musical notes. The sound can then be amplified by hooking up the smartphone to headphones or speakers.

"The sound you hear is really coming from the object, it's not a virtual reconstruction," says Bruno Zamborlin, the 30-year-old music technology researcher who invented the device. "It's a principle called physically inspired sound system. When you play a real instrument, like a guitar, the sound is created by the combination of an exciter and a resonator. The exciter is the plectrum in your hand that hits the strings, and the resonator is the combination of the strings and the body of the guitar. Mogees works in a similar way: everything that is picked up by the sensor -- your gestures, the object itself -- is the exciter, and the resonator is emulated through the software. We just modify the signal to respect musical rules. We augment it."

The name of the device is a geeky reference to its functionality: it stands for "Modal Gestural Surface." Nothing is random: if you make the same gesture twice, you get the same sound. Through the app, you can select the musical notes and timbres that you want it to associate to your gestures. Sounds complicated? "Mogees is designed to be immediately pleasant and fun to play for anyone," Zamborlin told CNN, "but at the same time it leaves room for improvement and virtuosity."

The default setting for the system is the "Free mode": you select a musical scale and the frequency of the vibrations that you create is mapped to one specific note on that scale. Alternatively, you can use "Song mode", which entails uploading a song in the form of a MIDI file onto your phone: each time you touch your designated object, you play a note from your song.

Mogees had a successful Kickstarter earlier this year, and subsequently secured additional private funding to the tune of Â£1 million. The first units have already been delivered to backers. And Zamborlin has racked up some field tests with pre-production prototypes:

"In New Delhi I met a sword swallower who stuck it on top of his sword and proceeded to play it with the piercing on his tongue: it produced a really high frequency, eerie sound. A French researcher emailed me saying he was going to the Amazon forest for a month and wanted a couple of Mogees to show to the local tribes. Dancers play it with their feet. And I've seen people just attach it to a ping pong table to 'sonify' their game. I like being surprised."

A musical enthusiast himself -- he pauses mid-sentence to marvel at the sound of a nearby Mogees playing a song by Kraftwerk, the German pioneers of electronic music -- Zamborlin has performed publicly several times with the device, most recently playing alongside British electronic duo Plaid at London's Roundhouse, a venue that has hosted the likes of The Doors and Jimi Hendrix.

On stage, he had surrounded himself with items reminiscent of a playground: a slide, a tree, a metal fence, and some scaffolding arranged to spell the word "play". At one point he used a wooden chair, gently caressing it as if trying to convince it to produce the perfect note.

"I'm trying to add some visual and performative aspect to electronic music. I want it to go back to the real world and be physically performed, with the advantages of digital technology coupled with the gestures of acoustic instruments. We're witnessing a spring of augmented reality and embedded technology, and this concept can be applied to music as well: I wish to inspire people to see objects in a novel way."

Other musicians are using or plan to use the device. Among them, French electronic composer Jean Michel Jarre, the Mexican acoustic duo Rodrigo y Gabriela, and English songwriter Imogen Heap.

But Zamborlin is also eager to see how regular users will employ it, and he plans to update the software accordingly, while keeping an open stance:

"This project is about not telling people what to do," he says, "There are no rules with this technology. I want people to just look around and find their own inspiration. All I'm going to do is try to make their experience better."

Read more from Make, Create, Innovate:

Can levitating appliances take off?

The Chairless Chair, an invisible chair that you can wear

Music 'hackers' unleash new generation of cool and bizarre instruments

@highlight

Mogees is a new technology that turns any object into a musical instrument

@highlight

It works by picking up vibrations and transforming them into notes

@highlight

It was funded through Kickstarter and the first production units have been delivered