(CNN) -- Barbecued zebra anyone?

How about warthog with peri-peri sauce?

Along with more traditional fare, these are the kinds of things you might find on a "braai," a specialized barbecue born of South Africa and over the last couple years seen around the world, thanks to a TV series.

South Africa's braai (barbecue) culture is one of the few things that truly cuts across racial and economic lines -- just about every circle of friends here has its own "braai master."

In much the way cupcakes went from being a humble, if beloved, food item to the focus of TV shows, blogs and books, so too the braai has escalated in prominence and caught the imagination of the country in a new way.

"The Ultimate Braai Master" -- a reality/game show that's an African mash-up of "MasterChef" and "The Amazing Race" -- is gearing up for its third season in September.

The Travel Channel broadcast the first season to more than 100 million people around the world, including in the UK, Australia, India and China.

It's slated to be part of Vibrant TV's lineup in the United States in 2014.

All you need to make your own braai is a 40-gallon steel oil drum cut in half lengthwise to hold firewood, with a piece of tight cross-mesh burglar bar to support your meat and veggies.

Commercial kettle grills, gas grills and instant charcoal are often used these days, as well.

Chill, braai

Like all good barbecues, a braai in South Africa is a leisurely affair.

Nobody braais on time; drinks and snacks are taken for a few hours while the fire is assembled.

Since 2005, Heritage Day, a national South African holiday, has been dubbed National Braai Day by Jan Scannell, aka "Jan Braai," whose braai cookbooks are domestic bestsellers.

Archbishop Doctor Desmond Tutu supports the initiative.

Elaine Ensor-Smith, a contestant on the first season of the TV show, says the show "heightened people's perceptions of what you can do" at a braai.

"Fire is a leveler," says the show's host, Justin Bonello. "It's not like you can turn it on to 180 [350 F] and walk away."

What can't you cook?

In one challenge featured on the program, teams had to use every part of a sheep to prepare a tasty dish, including brains, snout and offal.

"It was a really interesting challenge. I would probably do it again," says Ensor-Smith, adding that she "almost dry heaved when cracking the brains."

Traditionally, all parts of animals are eaten on a braai, but modern urban life has had its impact on the food chain here.

Chops, chicken and boerewors (literally "farmer's sausage," an incredibly long coiled sausage made of beef, lamb or pork mixed with herbs) are ubiquitous.

Different regions have their own spice mixes and specialties: peanut butter and apricot jam on chicken wings; peri-peri sauce on just about anything; springbok loin with anchovy butter; and "walkie talkies," or chicken feet.

Non-meat staples are common -- corn on the cob, cheese-and-tomato sandwiches and homemade bread along with cold salads -- though it's generally tough going for vegetarians in this part of the world.

Depending on region and culture, different meats predominate.

Sheep, goat and pork are popular in some cultures but not others.

Black South Africans will tell you that goat is preferable to lamb, says Bonello.

What's considered a choice cut differs as well: sheep's head and tail are delicacies to some, and repugnant to others.

"A Karoo farmer will eat a tail and testicle potjie, which you can't find in the city," says Bonello.

Potjiekos is a small pot of stew cooked over an open fire.

Ostrich farms along stretches of highway are about as common as cattle farms in Kansas.

Wild game such as springbok, kudu, eland and warthog are favored specialties more likely to be eaten by hunters than city dwellers.

Zebra is less often seen or eaten.

"The taste is amazing," says Bonello. "It has a low fat content, and it's completely organic."

Seafood is popular in coastal areas.

Snoek is a cheap, popular source of protein in and around Cape Town.

Restaurant braais

Restaurant-style braais are most popular in townships, places for those who have little chance to attend an authentic braai.

Mzoli's, a butcher/braai restaurant in Gugulethu, one of Cape Town's largest townships, is phenomenally popular with local township residents as well as overseas tourists.

On Sunday mornings, the line at Mzoli's starts at 9 a.m.

People head into the butcher section to place their order -- usually a mixed platter of meat, such as chops, pork and boerewors, perhaps with some pap (a stiff cornmeal mash) on the side -- then pass through a narrow corridor to drop off their pile of meat in the kitchen.

Mzoli's kitchen looks like something out of the belly of an ancient castle, with staff stoking several enormous fireplaces.

Outside, in a covered area with live drummers and a cool misting spray, long picnic tables sit end-to-end, packed with what may be the most diverse crowd in Cape Town.

Two-liter bottles of Twist lemon drink, potato chips and hooka pipes keep several hundred people occupied while they wait for their food.

Mzoli's seasonings recipe, the secrets of which owner Mzoli Ncgawuzele won't divulge, is a spicy marinade that sits well with palates from different communities.

Mzoli's also makes its own beef boerewors on site.

Where to go for braai in South Africa

If you're pressed for time, don't go to a braai.

Waiting for the food is part of the experience.

Many people say that the best place to braai is their own backyard.

As a visitor to South Africa, accepting an invitation to a braai is one of the best ways to experience a laid-back meal.

Mzoli's Place, 150 NY111, Gugulethu, Cape Town; by far the most popular place of its type in Cape Town, Mzoli's is located in a township but has a regular influx of foreign visitors. About $5 per person.

Blue Lagoon, 130 Lower Marine Parade, Durban; known by locals as "Lugs," this DIY destination is especially popular with the local Indian community for braaiing and partying.

Die Strandloper, Off Club Mykonos Road, Langebaan; seafood braai on a West Coast beach, north of Cape Town. About $25 per person.

@highlight

South Africa's braai (barbecue) culture is one of the few things that unifies the country

@highlight

Reality show "The Ultimate Braai Master" -- African "MasterChef" meets "The Amazing Race" -- is in its second season

@highlight

Restaurant-style braais are popular in townships