Doha, Qatar (CNN) -- Delegates representing Arab and African nations and NATO coalesced behind the Libyan rebels at a summit in Qatar on Wednesday, promising more humanitarian aid and money channeled through a temporary trust fund of sorts.

Members of what is called the Libya Contact Group agreed that a temporary financial mechanism could provide a way to get money to the Libyan opposition.

German Foreign Minister Guido Westerwelle said participants in the Qatari capital, Doha, were discussing the possibility of using frozen Libyan assets for the fund.

"I think this discussion about the trust fund is very interesting," he told reporters. "And we will look into it because the frozen international money belongs, if it's government money, to the people of Libya."

Abdel Hafiz Ghoga, deputy chairman of Libya's National Transitional Council, the country's opposition body, said Wednesday night that international delegates had agreed to make the funds available.

Ghoga said more than $100 billion in regime funds would be unfrozen and made available to the opposition, though he did not say which country or countries would release the funds, or when.

He also said rebels requested that NATO intensify its airstrikes and protection of the civilian population.

The funding decision came amid a grim assessment of the humanitarian fallout from the Libyan conflict and reports of mounting civilian casualties.

United Nations Secretary-General Ban Ki-moon told the delegates that in a worst-case scenario, as many as 3.6 million strife-affected people could eventually require help, and that the money to provide that help has been slow in coming.

So far the United Nations has seen only 39% of the $310 million it requested in emergency funding, "clearly insufficient given the prospective need," Ban said.

"It is critical that the international community act in concert, that we speak with one voice, and that we continue to work in common cause on behalf of the Libyan people," he said.

The international delegates were meeting with Libyan opposition leaders in an attempt to work out a peaceful end to the deadly impasse in the North African nation. Despite a NATO-led aerial campaign and rebels fighting on the ground, leader Moammar Gadhafi has shown no signs of acquiescing.

Among the high-profile attendees in Doha is Gadhafi's former intelligence chief and foreign minister, Moussa Koussa, who fled to Britain last month.

Ghoga said Koussa was not invited to any of the meetings, however.

"Nobody from the National Transitional Council even considered meeting up with him," Ghoga said. "It is our belief that Moussa Koussa was seeking to get residency in Doha, or future residency."

Rebel spokesman Shamsiddin Abdulmolah had said the opposition was open to meeting with Koussa if he first made clear, in writing, what he has to offer.

The Libyan Contact Group was formed after a London conference on Libya last month. The first meeting in Doha comes as civilian casualties continued to mount.

The besieged western city of Misrata has been especially vulnerable. Gadhafi's tanks have been pounding the city, where several more people were killed Wednesday, Abdulmolah said.

Tuesday, a doctor told CNN, at least 10 people were killed and 30 were wounded.

U.S. Secretary of State Hillary Clinton said Wednesday that Gadhafi's forces have reportedly destroyed crucial food supply warehouses in Misrata and cut off water and power to the city "in an apparent attempt to starve (residents) into submission."

Snipers have targeted Misrata residents seeking medical attention, she said.

A military official said on state-run television that NATO "airstrikes hit Misrata's main road of Tripoli Street, resulting in civilian casualties."

The official said the towns of al-Sbai'ah, Aziziyah and Sirte were also hit by "the colonial crusader enemy."

U.S. fighter jets have continued to fly bombing missions in the NATO-led campaign, Pentagon spokesman Col. David Lapan said Wednesday, although U.S. officials had previously indicated in public comments that the U.S. mission had become limited to providing support, including refueling and electronic jamming.

Lapan said the U.S. aircraft assigned to NATO are ordered to defend the pilots who are enforcing the no-fly zone, and nothing more. NATO, he said, must still request U.S. strike aircraft should they want them for offensive operations.

British Foreign Secretary William Hague and French Foreign Minister Alain Juppe both called Tuesday for NATO to get more aggressive with the airstrikes in Libya, and opposition members urged the international community to implement the U.N. Security Council resolution that calls for "all necessary measures to protect civilians under threat of attack."

Libyan National Transitional Council member Ali Issawi said the rebels should be supported with military supplies. He said the Libyan people ought to have the right to defend themselves.

Ghoga said the opposition has submitted a wish list of military equipment to Qatar and France. He said the list was compiled by rebel military leaders, but he didn't know exactly what was being requested.

"I don't think there's going to be a problem in getting military equipment in," Ghoga said.

Qatari Prime Minister Hamad bin Jassim bin Jaber Al Thani, a co-chair of Wednesday's meeting, said the opposition's international allies will consider the needs.

"Of course we will look at it and make things available for the Libyan people to defend themselves," he said.

Libyan Deputy Foreign Minister Khaled Kaim accused Qatar late Wednesday of providing rebels in eastern Libya with Milan anti-tank warheads, but he did not say when. There was no immediate response from the Qatari government.

A week ago, a CNN team in eastern Libya saw the rebels with Milan anti-tank missiles, which they didn't have before. Fighters said they obtained the missiles from the transitional government in Benghazi but didn't know where they came from.

MBDA, the multinational missile manufacturer that makes the Milan missile, says it is in service in 43 countries around the world. It does not list those countries, but the military analysis site GlobalSecurity.org says the Milan missiles are used by the Qatari armed forces.

"The message to Gadhafi is clear," the Qatari prime minister said. "He should use his head and those who are around him should advise him that it is in the interest of Libya, and if he is interested in Libya, then he should relinquish power and leave the Libyan people to decide their own destiny."

Hague said arming the rebels would not necessarily mean violating an arms embargo imposed on Libya.

"We understand the resolutions to mean the arms embargo applies to the whole of Libya, but that in certain circumstances it is possible, consistent with those resolutions, to provide people with the means to defend the civilian population," he said.

The Doha meeting follows an effort earlier this week by the African Union to forge a peace plan that had been accepted in principle by Gadhafi. Ghoga and fellow rebel leader Mustafa Abdul Jalil rejected it on grounds that it did not provide any solutions to violence against the Libyan people.

Meanwhile in Germany, the foreign ministry said it had summoned the Libyan ambassador to inform him of the expulsion of five Libyan diplomats. They will have to leave Germany within seven days because of accusations that they intimidated Libyan citizens in Germany.

CNN's Mohammed Jamjoom, Reza Sayah and Frederik Pleitgen contributed to this report

@highlight

Delegates agree to set up a funding mechanism for the opposition

@highlight

The Doha meeting convenes as civilian casualties mount

@highlight

Ban Ki-moon: As many as 3.6 million people could need help in the Libya conflict

@highlight

The rebels have asked for arms