Washington (CNN) -- Mitt Romney worshiped his father. Barack Obama barely knew his.

In the nature-versus-nurture debate, psychologists say fathers play an important role in the men their sons become. And the two presidential candidates' relationships with their fathers offer insight into the men they are today.

"It's called the cloth of individuality," said Dr. Ditta M. Oliker, a clinical psychologist whose research has focused on the lasting effects of childhood in adulthood.

Rather than an either/or, she said, psychologists now recognize the cloth that results from the interweaving of a person's DNA and experience dictates both personality and character.

In President Obama's and Romney's cases, fathers -- present or absent -- are a large part of that cloth. And in both cases, psychologists say their fathers' presented different obstacles and opportunities.

Obama was raised largely by his maternal grandparents and spent much of his childhood and adulthood decoding stories he heard about Barack Obama Sr.'s life. He writes in his book "Dreams of My Father" about piecing together newspaper clippings, photographs and his family's stories in building a portrait of his father.

"My father became a prop in someone else's narrative," Obama wrote, "An attractive prop -- the alien figure with the heart of gold, the mysterious stranger who saves the town and wins the girl -- but a prop nonetheless."

But depending on a child's support system, Oliker doesn't think an absent father is necessarily an obstacle. It leaves room for "imagination, wishful thinking and dreams," she says. "Depending on how the family talked about it will make a difference in how the person emerges from the myth of the father."

Romney, on the other hand, followed closely in his father's footsteps. Both were successful businessmen, then governors and finally presidential candidates (although George Romney ended his run before the first Republican primary in 1968).

"My dad is Mitt's hero," G. Scott Romney, Mitt's older brother, told New York Magazine. "And, look, I think my brother's an exceptional person. But Mitt has said he's a shadow of his father."

Romneys share looks but not traits, colleagues say

It could have been difficult for Romney to come out of his father's shadow.

"I would raise the question whether Romney doesn't struggle a bit with meeting the high expectations that were put on him because... you are your father's son," Oliker said. She says studies of sons of successful men show that their children often falter because they cannot live up to the aura.

Both doctors say how the candidates' developed out of their relationships with their fathers can say a lot about the way they approach their candidacies, and in Obama's case, his time in office.

"You see a path in [Romney's] maturing over the years, in what some people might call 'flip-flopping' could be explained as a maturing path into finding his own stance," Dr. Henry Cloud, a clinical psychologist and author of "The One Life Solution: Reclaim Your Personal Life While Achieving Greater Professional Success," explained of Romney. "Sometimes it takes a boy with that kind of power figure over him time to declare [who he is]."

Cloud added that Romney lately seems to be more comfortable in his skin, perhaps a sign that he is assuming the alpha position once occupied by his father.

Obama's father's absence, on the other hand, could be credited in part for his sky's-the-limit style that helped him win the 2008 election.

"He didn't grow up with the father over him, which is where the boy gets the sense of limits," Cloud said referring to the president as a visionary. "He doesn't govern [the executive branch] in thinking what they can't do, but rather what they can do."

Romney, Obama: Why they have trouble connecting

But for both candidates, Oliker says, much of the credit for who the men are today rests on their own shoulders.

"Both men had to have strong character and had to have strong drive to reach what they have reached, in both cases perhaps in spite of their fathers," she said.

For Romney, Cloud says it would be possible for a strong father figure to push his child down a lesser path. Instead, he says warmth present in the Romney home could have curbed negative impacts of his powerful father.

For Obama, too, it was also the sum of the people around him that may have made up for his absent father.

"It takes a village," Oliker said.

Regardless of their circumstances, both doctors agree that the mixture of the two men's personalities and the circumstances that helped them develop into adulthood were the right fit.

"There were obviously things that went well with both of them. Both the hero father and the absent father, the message in this is that somebody did something right," Cloud said.

@highlight

Obama's, Romney's relationships with their fathers shaped the men they became

@highlight

Obama relied on photos, clippings and family stories to learn more about his father

@highlight

"My dad is Mitt's hero," G. Scott Romney, Mitt's older brother, said

@highlight

For both candidates, "the message is that somebody did something right"