(CNN) -- Librarians across the United States are making noise about new federal restrictions on lead that could take books out of the hands of children.

Children's books are covered by federal regulations on lead in items made for children.

The Consumer Product Safety Commission Improvement Act requires all products, including books intended for children younger than 12, to meet new standards calling for lower lead content.

Commission regulations, written in response to the law, take effect February 10. Even stricter limits will become effective in August.

Paper, ink, covers and glues would need to pass lead content standards.

"While we understand the process the CPSC must carry out in order to ensure this law is properly enforced and that the safety of our nation's children is protected, we believe the commission is wasting time and resources by zeroing in on book publishers and libraries," said Emily Sheketoff, executive director of the American Library Association Washington office.

"It is our hope that this matter will be resolved soon, so that libraries can continue their efforts to serve children without the threat of closing their doors."

The CPSC is expected to issue guidance early next week, said Lisa Ackerman, spokeswoman for Sen. Mark Pryor, D-Arkansas, who sponsored the legislation in the Senate last year.

The bill, sponsored in the House by Rep. Bobby L. Rush, D-Illinois, was prompted by a rash of recalls of lead- and phthalate-tainted products, many of which were manufactured in China.

Long-term exposure to lead can cause nervous system and kidney damage; speech, language, hearing and behavioral problems; and learning difficulties, according to the Mayo Clinic's Web site.

Pryor is frustrated with the product safety commission.

"The new law is not and was not intended to be a one-size-fits-all mandate," he said in an earlier statement. "There is simply no excuse for the CPSC's slow action on these rulemakings."

A consumer advocate concurred with Pryor.

"I don't think the law needs to be adjusted," said David Arkush, director of Public Citizen's Congress Watch division. "The law provides means for the CPSC to evaluate and decide whether exemptions should be granted for certain types of products."

CPSC spokeswoman Arlene Flecha said the agency would comment on the issue later Friday.

Ordinary books that aren't made to be playthings (such as vinyl bathtub books) and that don't have baubles or other materials on their covers have always been exempt from regulations on lead in paint.

But the new regulations on lead in children's products do cover all kinds of books, according to a December 23 letter from the CPSC's office of general counsel to the Association of American Publishers.

Librarians say there's no way they can verify the lead content of all the books on their children's department shelves.

"The cost would be unbelievably high for them to test all these books so we could keep them in the library, and how long would we go without them if every library in New England sends them to the same lab," Donna Rasche, librarian at the Brewer, Maine, Public Library, told CNN affiliate WCSH-TV .

Arkush is unmoved by such arguments.

"If libraries can provide evidence that broad classes of books don't pose a risk of harm to the public health, then they can be granted an exemption from the testing requirements," he said. "If they can't prove that and if the books actually do pose a safety problem, then they shouldn't be sent home with kids."

Publishers -- which will have to prove the safety of new books anyway -- and groups such as the American Library Association could foot the bill for testing older books, he said.

"They don't have to test every book, obviously," Arkush said. "They don't even have to test anywhere near every title. I think they really have to test a reasonable sample size of different classes of books -- different types of binding, different types of materials used."

A coalition of consumer advocacy groups continues to support the law but issued a statement Friday that criticized the CPSC's implementation of it.

"While we have urged the Consumer Product Safety Commission to promptly address reasonable concerns that have been raised regarding compliance, and provide better information about the new law, our organizations all agree that the law is fundamentally sound and essential to ensuring a safer marketplace," the statement read.

It was signed by Consumers Union, Consumer Federation of America, Union of Concerned Scientists, Kids in Danger, U.S. Public Interest Research Group and Public Citizen.

The commission earlier this month clarified the regulations to let resale and thrift shops off the hook for testing the used clothing and other items they sell. Those outlets still are expected to watch out for items that have been recalled or banned, the CPSC said.

@highlight

NEW: Consumer advocate says law is needed to protect public health

@highlight

Law may require pulling children's books until lead content is determined

@highlight

Librarians worry about cost, practicality of testing all books

@highlight

Bill's sponsor criticizes CPSC for failure to give clear guidance