(CNN) -- With the advent of "cyberwar," a poorly defined term that seems to be used as a catch-all phrase for all manners of computer-related attacks, it's natural to ask about cyber arms control. Richard Clarke, former cybersecurity adviser to President Obama, has advocated along with others for cyber arms control or new legal rules for war in cyberspace.

If governments have the ability to build the tools of cyberwarfare, then presumably, they can regulate and control them. But realistically, it's unlikely that cyber arms control will happen anytime soon.

When we think of arms control, we consider the efforts of the Cold War, which dramatically cut the number of nuclear weapons and other strategic armaments, from the period of detente to the eventual collapse of the Soviet Union. Arms control works fairly well for managing the arsenals of weapons that are large and complex.

However, cyberweapons are of a different league. All you need is training in computer software engineering and some talent. On the Internet, there is readily available literature on coding and hacking, and of course, a plethora of open source tools. Just as easy as it is to be an effective cyberdefender, you can learn to be an effective offensive cyber-operator.

Cyber attacks can be crafted and used by individuals or groups. Importantly, they can make impact even without significant involvement from a nation.

For example, the Anonymous hacker group is able to disrupt major corporations and even countries with its campaigns for transparency. Furthermore, when Anonymous is unable to disrupt a target, it typically resorts to overtaking websites with massive denial of service attacks.

Despite the role of nonstate players, it is the brinkmanship between countries in cyberspace that make the big headlines.

Mandiant, a cybersecurity company, reported a series of cyber attacks on U.S. companies that was traced to China's People's Liberation Army unit 61398 based in Shanghai. One of the lessons in the analysis is how remarkably effective the Chinese attackers were despite a stunning lack of sophistication and sloppiness in their tradecraft.

In contrast, our biggest and most innovative corporations have developed and deployed sophisticated defense systems that still seem to be regularly breached, despite the efforts of their comically inept adversaries. If the Chinese PLA ever gets its act together, we're in real trouble.

How might this get worse? We already know that cyber-espionage can harm companies. The risks of cybersabotage can be worse.

For example, industrial control systems are largely computer controlled and they can be reached in some cases from the Internet. Future terrorist organizations could cause spectacular physical and economic damage to our refineries, power plants, water systems, pipelines and other important systems without leaving a marked trail or suffering significant personal risk.

In the wake of the Stuxnet attacks on Iran's uranium-refinement centrifuges or the Shamoon attack on Saudi Aramco's computers, cybersabotage can no longer be considered theoretical. It is happening now.

It's not difficult to imagine a future in which cyber attacks become more frequent or serious. In such a world, there will be a need for diplomacy and norm-setting among the international community.

But if we ever wanted to consider treaties on cyber disarmament, or regulations on the use of hacking tools by those wishing to do more than simply spy or steal, we would become immediately stymied by how to enforce the rules.

Barring a radical change in the technological playing field, there will never be an effective cyber equivalent of the International Atomic Energy Agency despite all the aspirations of organizations like the International Telecommunications Union to serve such a function. The very idea that an international organization could enforce rules on the misuse of computers is ludicrous.

The problem of cyber arms control is akin to the greatest arms control failure of the Cold War, which still persists: the mass distribution of the most produced firearm in human history, the Kalashnikov AK-47.

According to the World Bank, as many as 100 million of these brutally simple weapons are scattered across the globe (roughly one for every 70 people on the planet, and that excludes the millions of Western military rifles out there, too). From every major trouble spot, we see footage of Kalashnikov-wielding soldiers, terrorists and rebels.

Global attempts to sweep up such weapons, as well as their bigger and more volatile relatives -- rocket-propelled grenades -- have been mostly ineffective. The U.N. has worked for more than a decade on an Arms Trade Treaty designed to limit the illicit trade of such weapons, but a final draft of the treaty is stalled.

For better or for worse, the Internet has become one more field upon which the game of nations is played.

Just as the Internet can be used for sharing information and enabling commerce, it can also be used to steal secrets and to cause damage. In the short term, we might see private industry adopt defensive practices. In the long term, while we may never be able to eliminate electronic espionage, we may be able to reduce its reach through vigilance and diplomacy. As for cyber arms control, forget about it.

The opinions expressed in this commentary are solely those of Christopher Bronk and Dan Wallach.

@highlight

Christopher Bronk, Dan Wallach: Cyber arms control is unlikely to happen soon

@highlight

Bronk, Wallach: Cyberattacks can be crafted and launched by individuals, groups

@highlight

They say nations don't even have to be involved for an attack to have impact

@highlight

Bronk, Wallach: It's hard to get rid of cyberattacks, but they can be curbed with diplomacy