(CNN) -- "He who has not climbed the Great Wall is not a real man," the Chinese like to say.

I've taken up that challenge many times over.

I first climbed the Great Wall in August 1971, soon after I arrived in China as a tourist. I still remember my excitement and awe when I scaled its Badaling section, 85 km northwest of Beijing.

It is, after all, the longest man-made structure in the world, stretching 8,851 km (5,500 miles) long. It is said to be one of the Seven Wonders of the World.

I've lost count now but in the 40 years that I've lived in China, I must have climbed it about 80 times.

That includes a trip onto the Shanhaiguan section, where the wall starts near the seaside resort of Beidaihe in the east and a trek to the Jiayuguan Pass in Gansu Province, where the wall ends in the west.

In Beijing and its surroundings, the Great Wall is 629 km (391 miles) long with five sections, including the Badaling, the first one opened to tourists in 1957.

I've climbed the major sections but one thing remained on my wish list: to sleep overnight on the Great Wall.

It's one of those rites of passage, especially for adventure enthusiasts, history buffs and adrenaline seekers.

One sultry summer day recently, I joined members of the Philippine Overseas Photographers (POP), a group of professional and amateur camera buffs, and embarked to realize my wish.

We rented a mini-bus that took us at the foot of Jinshanling section, located in the mountainous areas in Luanping County, Hebei province, 125 kms (78 miles) northeast of Beijing.

The Jinshanling section was first built in 1368 during the Ming dynasty and was rebuilt and restored over the centuries.

Now it is 10.5 km (6.5 miles) long with five passes, 67 towers and two beacon towers.

I traveled light, with one backpack (spare clothes, boiled eggs, fruit, chocolate bars, and bottled water) and a sling bag (cameras, a whistle, small flashlight, knife, wipes, pen and notebook, and a photocopy of my passport.)

Of course, I lugged a sleeping bag.

We were lucky to have several trained mountaineers among us who gently reminded us of their maxim, "take nothing but picture, leave nothing but footprint, kill nothing but time."

It turned out to be a moderate trek, although some sections were steep and treacherous. Bricks and rubbles in some parts were loose due to wear and tear.

Some 4,632 steps later (according to my mini-pedometer), we reached the Flowers Tower, a two-storey watch tower built in 1579. We chose as our camp site.

On top of the tower, half as big as a tennis court, we staked our sleeping areas.

We caught our breath and took pictures to catch the spectacular scenery as the light fades.

Gazing at the panoramic view atop the rampart, I was reminded of an ancient phrase, "land is under my feet; the world is mine." I felt like a real man.

Come nightfall, we looked up the sky dotted by stars and listened to the silence of the night.

We took a lot of pictures. Combining long-exposure and light-painting techniques, our intrepid POP photographers took stunning souvenir photos, including a few frames featuring our favorite acronyms, CNN and POP, in the background.

As we all tried to sleep, someone suggested that I recount to the group how I came to China 40 years ago and what I've been doing since then. It turned out to be a good way to put some members to sleep.

We all woke up to an overcast day, but still one with unique hues. As we walked home, Jinshanling beckoned like a dragon snaking along the lush and rugged hills.

All these years, the Chinese government has used the Great Wall as an iconic symbol of national pride and unity.

Still, China struggles with how to manage and protect the Wall as it promotes mass-market tourism.

During the climb, we encountered several workers who were repairing the steps of one steep section of Jinshanling.

"We are doing this to make it safe for hikers," one worker told me. I pointed at a half-collapsed rampart nearby and asked if they planned to restore it too. "No," he said, "we will keep its original state." I felt relieved.

What makes climbing the Great Wall, specially the unrestored sections, so special?

"Appreciating history and escaping the hustle and bustle of the city and the pollution," POP stalwart Owen Tiam tells me. A professional photographer, Tiam has climbed the wall more than a dozen times and has camped on it three times.

What advice can we offer to people who wish to follow our steps?

"Three tips," says Tiam. "Food and water (to share); a sleeping bag or a warm hug (to share) and friends and stories (to share)."

@highlight

The Great Wall of China is symbol of national pride and unity

@highlight

China struggles with how to manage and protect it as it promotes mass market tourism

@highlight

There are rites of passage attached to the Great Wall; one is to sleep  on it

@highlight

Those who do should bring food and water to share, a sleeping bag and stories