(CNN) -- What did you do this weekend?

This seemingly innocuous question from a co-worker makes Sam uncomfortable and anxious. He lies or avoids answering the question altogether.

Sam is gay, and in the closet. He has worked at the same place for 27 years, specializing in highway construction, and while he knows that some of his colleagues suspect he is gay, he has never revealed his sexuality at the office.

"I couldn't come out in the '80s because it was openly hostile," he said. "I've thought about coming out. The environment has changed, but my decision hasn't. If I came out, I would be the only one."

Though he knows of other homosexuals in his 4,000-employee work force, he says no one is openly gay.

"It's a problem. I'm somewhat used to it," said the civil engineer, 53, explaining he "filters" what he tells people about his personal life.

"When people ask about who I went on vacation with, I tell them, 'A friend.'"

Safe to come out?

Fear is also what drove Jason, a 25-year-old information technology professional, into the closet. Jason works at a major corporation in one of the 29 states where private companies can legally fire, or not hire, someone because she or he is gay.

"There is no protection," said the gay rights activist, conceding that there is some hypocrisy in campaigning for gay rights while concealing his homosexuality.

He refrains from answering his partner's telephone calls or talking about him at the office, he said, even going through the trouble of creating two albums of vacation photos, one with his partner and one that excludes his partner to show people at work.

"You're at-will employment. So they could point blank say I don't want a gay person working under me. I'm going to let you go. I'm not saying that my managers would do that, but you never know."

Such fears appear to be echoed by others in the LGBT community, where according to a recent study by the Human Rights Campaign, an LGBT advocacy group, 53% of LGBT workers in the country hide their sexual identity at work and 35% feel compelled to lie about their personal lives while at the office.

Another joint study by Deloitte, a consulting and financial services firm, and New York University, found that 83% of lesbian, gay and bisexual workers reported "covering" a part of their sexual identity at work.

"It's really downplaying the parts of ourselves that are either our identity or our experiences," said Christie Smith, managing principal of the Deloitte University Leadership Center for Inclusion and one of the authors of the study. "The LGBT community is the population that is most impacted by this concept of covering, hiding their identity when they come to work. They're completely denying, if you will, their sexual identity in order to conform."

Of course, there are also LGBT individuals who are not out of the closet because they feel their sexuality is private and doesn't need to be discussed at work.

Apple CEO Tim Cook publicly acknowledged Thursday that he is gay, becoming the only CEO of a Fortune 500 company to announce his homosexuality while at the helm of a major company.

"I don't consider myself an activist, but I realize how much I've benefited from the sacrifice of others," Cook wrote in a Bloomberg Businessweek column. "So if hearing that the CEO of Apple is gay can help someone struggling to come to terms with who he or she is, or bring comfort to anyone who feels alone, or inspire people to insist on their equality, then it's worth the trade-off with my own privacy."

Cook's announcement triggered Twitter users to make #proudtobegay a trending topic for several hours. Many people used their 140 characters to celebrate the news, and some saw it as an important moment.

"Proud of Tim Cook for using his voice and his influence to help others," tennis legend and openly gay athlete Billie Jean King wrote.

"So proud of tim cook. knowing the apple CEO is gay will comfort and inspire so many young people who are afraid. maybe it already has," tweeted Tech Crunch reporter Jordan Crook.

The news comes a month after President Barack Obama's executive order banning federal contractors from discriminating against employees on the basis of sexual orientation, which was welcomed by the LGBT community.

The presidential initiative helps to reinforce a changing social and legal landscape where, according to the Human Rights Campaign, 91% of Fortune 500 companies have policies that promote diversity and protect employees against discrimination.

Inclusion good for business

Making policy translate to culture is an evolving challenge, says Todd Sears, a former investment banker who founded Out Leadership, a strategic advising company geared toward helping companies focus on LGBT inclusion.

"We have become so politically correct that a number of senior leaders are afraid to say anything because they don't want to say the wrong thing," Sears said. "But, point in fact, that is the exact wrong thing to do. What I encourage senior leaders to do is say, 'I am learning. Can you help me? I am going to make a mistake; I want you to help me figure out that I should say sexual orientation not sexual preference.'"

Sears says he is encouraged by the strides he sees companies taking.

"I actually think corporate America is faster than the federal government, than any state governments, because corporate America sees the business bottom line impact of this," he said, noting that the LGBT market represents about $800 billion in spending power.

"It's not just the LGBT market; it is the ally market. It's the people who care about LGBT people," said Sears. "There are economic consequences to discrimination, and you see that play out in the marketplace."

Key to increasing inclusion at the office, Sears says, is retaining talent.

"It definitely is a deciding factor where I go next. It definitely weighs in on my decision to stay. I mean, just knowing that you have the security and those protections built in is really important," Jason said. "Regardless of who I am outside of work or who I identify as sexually, I've worked to always prove myself as a valuable employee and member of the team."

Inclusive policies are not enough to persuade Brandon to come out at his job, where he is a project manager for a medical research firm.

"Policy doesn't necessarily create safety," said Brandon, a transgender man.

The 33-year-old leads a team of 10 associates and recently opted to work from home, in part because he found it too stressful to go to an office for fear that he would be outed.

"The main reason is I don't know whether there would be a negative effect," he reasoned. "I can't risk that. It feels too much like a roll of the dice."

'I'm not ashamed of who I am'

Brandon's employment came after an exhaustive nine-month search that included interviews with 20 different companies. In every interview except with his current company he was open about his transition from female to male.

"It's better to not be out," said Brandon, who is convinced that being open about his transgender identity and activism may have turned off potential employers.

Brandon's concern was backed by a 2011 Harvard study that found in some states, there was significant discrimination against openly gay applicants, with gay job applicants approximately 40% less likely to be offered a job interview than their heterosexual counterparts.

Brandon has been with his company for six years, and at this point he's not ready to tell his co-workers that he is transgender. That often leaves him feeling lonely and isolated at work.

"I may be perceived as a strange 'other.' That's sad and hurtful," he said. "It's such a huge risk. If I come out, I can't go back. It's a one-way door."

Still, it's a door that Brandon may soon walk through, as his yearning to become a parent is greater than his fear of being outed.

Brandon, who was born a woman, is considering having a child. A pregnancy would force Brandon out of the closet, as he still routinely meets with his team.

"It's not about shame. I'm not ashamed of who I am. It's more about logistically navigating a world that I know to be untrustworthy, and even with policy in place, it's fickle."

Life decisions like marriage could prompt Jason to come out, too, but until then he hopes that policy at work will change to reflect the growing social culture of acceptance.

"Maybe I'll be the first. We'll see if the time is right and the venue is right. I mean someone has to step up eventually. ... The tides are slowly turning in our favor."

CNN's Poppy Harlow, Vivian Kuo and Dorrine Mendoza contributed to this story.

@highlight

"Jason" says he keeps 2 photo albums; work album excludes photos of him and boyfriend

@highlight

In 29 states, private companies can legally fire or not hire someone because he/she is gay

@highlight

Study: 53% of LGBT community conceal sexuality at work and 35% lie about personal lives

@highlight

Transgender "Brandon" wants to have a child but worries it would force him out of closet