Federal prosecutors can no longer obtain search warrants for information obtained by journalists unless a reporter is the subject of a criminal investigation for conduct unrelated to news gathering, the Justice Department announced Friday.

It is one key change in guidelines stemming from controversial federal investigations over leaks of classified information that resulted in efforts by prosecutors to obtain journalist records about reporting on national security issues.

In response to the uproar, Attorney General Eric Holder conducted a review of agency policy and briefed President Barack Obama on his plans for changes earlier in the day.

Obama had previously ordered him to address the matter and report back.

White House spokesman Jay Carney said the president accepted Holder's report that changed 30-year-old guidelines, which also had followed numerous meetings with members of the news media and members of Congress.

Holder says he did not mislead Congress over reporter leak probe

The revised guidelines used by prosecutors nationwide will be implemented quickly. No congressional action is necessary.

Revelations that the Justice Department subpoenaed AP phone records and obtained a search warrant for e-mail correspondence involving a Fox News reporter as part of separate national security leak investigations provoked outrage among media.

There was also concern from civil libertarians, privacy advocates and some members of Congress that prosecutors had gone too far. Obama said he was troubled at the possibility the leak investigations might chill the work of journalists aiming to hold government accountable.

"Journalists should not be at legal risk for doing their jobs. Our focus must be on those who break the law," Obama said in May.

Opinion: Obama won't let media do their job

The Justice Department defended the scrutiny and Holder subsequently said he would never prosecute reporters for doing their job.

In addition to the change on search warrants, prosecutors now have to give news organizations advance notice of subpoenas unless notification would "pose a clear and substantial threat to the integrity of the investigation, risk grave harm to national security, or present an imminent risk of death or serious bodily harm."

That is a switch from current rules, which presumes prior notification would not occur unless an assistant attorney general finds there would be no harm.

The attorney general now must make the decision about whether prior notification of a search warrant would harm an investigation.

If the attorney general determines a delay is necessary to protect an investigation, it can last no longer than 90 days. But under the new rules the working presumption is that news organizations will be notified in advance and would have the opportunity to challenge subpoenas for material.

"While these reforms will make a meaningful difference, there are additional protections that only Congress can provide," said Holder.  "For that reason, we continue to support the passage of media shield legislation."

In the case involving the AP, the Justice Department last year obtained two months of phone records for reporters and editors at the news service as part of a probe that AP said was focused on its account of a foiled plot in Yemen to bomb a U.S. airliner in May 2012. AP was not informed until a year later.

Justice says it followed rules in leak probe, but key question unanswered

In the second probe, the department obtained a search warrant in 2010 for e-mail correspondence between Fox reporter James Rosen and a former State Department contractor accused of leaking Rosen classified material on North Korea.

Rosen was not charged in the investigation although a government affidavit referred to him as a possible co-conspirator. Holder said it was never the intent to prosecute a reporter.

The changes announced by the Justice Department include a requirement that the intelligence community certify a leak has caused harm before the attorney general would allow prosecutors to seek media-related records.

The department also will provide yearly reports on the number of requests made for information from reporters.

The Justice Department also will create a News Media Review Committee. That panel will include the department's chief privacy and civil liberties officer as well as the director of public affairs, two officials who might take a hard look at requests to interview reporters or obtain their records.

The department will launch a separate group called the News Media Dialogue Group which will meet in six months to review whether the changes in guidelines have been effective. That panel will include representatives from news organizations.

Opinion: Obama leak 'scandal' wildly overblown

@highlight

New limits on when prosecutors can seek information from journalists in classified leak probes

@highlight

Changes stem from national security controversies involving AP, Fox News reports

@highlight

Attorney General Eric Holder briefed President Barack Obama on new policy

@highlight

Holder says media shield law needed to give press additional protection