(CNN) -- Concerns about the Ebola virus were heightened Sunday when a health care worker in Texas had a positive preliminary test for the disease. If confirmed by the Centers for Disease Control and Prevention, the worker's case would mark the first known transmission of Ebola in the United States and the second-ever diagnosis in the country.

With developments pouring in from all corners of the world, here's what you need to know to quickly get caught up:

WEST AFRICA

No relief in sight:

The number of deaths attributed to the current Ebola outbreak has climbed to 4,033, the World Health Organization reported Friday. The tally brings the total number of confirmed, probable and suspected cases of Ebola to 8,399. The numbers were reported from Guinea, Liberia, Nigeria, Senegal, Sierra Leone, Spain and the United States.

A possible $32 billion hit:

The outbreak could cost the African economy $32 billion over the next two years if it spreads to its larger neighbors, the World Bank estimates.

The steps some countries have taken to prevent the spread of the Ebola virus amount to "putting a towel under the door of a building on fire," World Bank president Jim Kim told CNN's Richard Quest on Thursday.

Complete coverage on Ebola

Liberia postpones election:

Liberia's President on Thursday postponed a senatorial election that had been set for this week, citing the Ebola outbreak in the country.

The nation's election commission had recommended the delay, saying the prevalence of the virus, authorities' efforts to combat it and citizens' efforts to isolate themselves weren't conducive to a free and open election.

Officials have not yet revealed any new date for the election, which had been set for Tuesday.

U.S. troops arrive in Liberia:

A group of 90 U.S. Marines and airmen arrived in Liberia on Thursday to help Ebola response efforts, along with four V-22 Osprey aircraft and two C-130 transport planes.

Their arrival brings the total number of U.S. troops deployed in Liberia to 334, military spokesman Lt. Col. Dave Doherty said. There are more coming. In late October, 700 troops from the 101st Airborne Division are scheduled to deploy to Liberia.

U.S. troops battle invisible enemy in Liberia

U.S. CASES

New case in Texas:

A person who helped to treat Thomas Eric Duncan may be the first person to contract the disease while in the United States. The health care worker from Texas Health Presbyterian Hospital tested positive in a preliminary test Saturday after reporting a low-grade fever Friday. The CDC is working to confirm the diagnosis.

'Modest improvement' for NBC cameraman:

The family of NBC cameraman Ashoka Mukpo, who contracted Ebola while working in Liberia, is cautiously optimistic after doctors said his condition at a Nebraska hospital has improved slightly.

Mukpo, an American citizen, has shown "very modest improvement," according to The Nebraska Medical Center, where he is being treated.

Mukpo is receiving an experimental drug called brincidofovir, or CMX001.

"Mr. Mukpo's condition is slightly improved," medical director Dr. Phil Smith said. "He's been taking in some fluids and drinking Gatorade. But everyone needs to be reminded that this is still a very serious illness we're dealing with and no one has a lot of experience treating it."

Thomas Duncan dies:

Thomas Eric Duncan, the first person diagnosed with Ebola in the United States, died Wednesday, 10 days after he was admitted to Dallas' Texas Health Presbyterian Hospital. His family wonders whether the outcome would have been different if doctors had admitted him to a hospital on September 25, the first time he showed up with a fever and stomach pain.

Duncan's family has criticized the care he received. The Dallas hospital that treated him says staff members did everything they could.

Ebola test negative for Dallas deputy:

An Ebola test was negative for a Dallas deputy who was hospitalized with possible symptoms of the deadly virus, officials said. The deputy, Sgt. Michael Monnig, didn't have any direct contact with Duncan but had reported contact with Duncan's family.

Physicians at Texas Health Presbyterian discharged him Thursday, soon after the negative test came back, hospital spokeswoman Candace White said.

New travel screening:

Five of America's biggest, busiest airports are beefing up measures. On Saturday, people arriving from the three nations hardest hit by Ebola started getting special screening, including having their temperature taken, at New York's JFK airport. Washington's Dulles, Newark, Chicago's O'Hare and Atlanta international airports will begin screening Thursday.

Ebola worries spread:

In New York, fire officials said a patient in Brooklyn with Ebola-like symptoms had recently returned from the North African country of Sudan, the New York Daily News reported.

The patient was undergoing tests, but the New York Health Department said there were no patients in the city suspected of having Ebola. The patient was "never at risk for Ebola and never met the definition of an Ebola suspect," the Health Department said.

Sudan is far removed from the West African center of the outbreak -- as far away from it as Atlanta is from Los Angeles. Still, fear of the often deadly disease has bred much caution.

"I have seen several people who had acute illnesses worried that they may have Ebola," said Dr. Mark Reiter, an emergency room physician in Tennessee and president of the American Academy of Emergency Medicine.

Reiter said many patients in his state are unlikely candidates, not having been to West Africa, nor having had any contact with a symptomatic Ebola patient.

"But it has gotten a tremendous amount of media coverage and some people are especially concerned about it, even if it is highly unlikely," Reiter said.

In Los Angeles, a patient who was isolated at Centinela Hospital's emergency room after being transported from Los Angeles International Airport earlier this week has undergone all necessary tests required by the CDC and Los Angeles County Department of Public Health. The patient was approved for discharge.

Linda Bradley, hospital CEO, said the patient, who had traveled recently from Liberia, underwent numerous tests, which came back negative.

Cuban doctors train, then fight Ebola in Africa

IN OTHER COUNTRIES

Spain Ebola patient has no significant change in condition:

Teresa Romero Ramos, a nurse's assistant in Spain who is the first person to contract Ebola outside Africa, "is conscious and talking" but was in "stable but serious" condition Saturday after taking a turn for the worse earlier in the week.

She has been treated with the anti-influenza drug Avigan, hospital sources with knowledge of the case said.

Spain ramps up response:

After Romero became the first person to contract Ebola outside Africa, 16 people related to the case were being monitored in a Madrid hospital, including an emergency room doctor, the neighborhood doctor who saw her before the case was confirmed, and the nurse's husband, according to a government source.

A special committee created by the Spanish government to tackle the Ebola crisis reported no significant changes in her condition. The committee, which will include representatives from government and health care, will coordinate national efforts to control the virus and establish protocols to deal with it, the source said.

A nurse under observation at the hospital tested negative for the Ebola virus, the committee said. The nurse has been discharged but will remain under observation outside the hospital until her quarantine ends on October 16, the committee said.

Sporadic infections unavoidable, the WHO says:

Sporadic Ebola infections will be unavoidable in some European countries because of direct travel from their hubs to hotspot areas in West Africa, the World Health Organization said Wednesday. But the risk of spread, it said, is avoidable and extremely low.

Australia scare:

A 57-year-old woman who returned to Australia after treating Ebola patients in Sierra Leone has been isolated at a hospital and is undergoing tests, including one for the deadly virus, authorities said. She had isolated herself at home and checked her temperature twice daily since her return, as recommended by national guidelines.

The Queensland Department of Health announced early Friday that initial tests on the woman came back negative for Ebola.

United Kingdom:

The UK's Heathrow and Gatwick airports and Eurostar railway terminals will begin screening passengers arriving from Ebola-affected Liberia, Sierra Leone and Guinea, a government spokesman said. Screening will involve assessing passengers' recent travel history, who they have been in contact with and future travel arrangements, as well as a possible assessment performed by medical personnel.

CNN's Steve Almasy, Joe Sutton, Ray Sanchez, Greg Botelho, Alexander Felton, Khushbu Shah, Saskya Vandoorne, Richard Quest, Brent Swails and Nima Elbagir contributed to this report.

@highlight

NEW: Texas health worker reports fever Friday, preliminary positive test for Ebola on Saturday

@highlight

Airport screenings started Saturday at JFK airport in New York

@highlight

Spokesman: US Airways followed CDC guidelines after health scare on Dominican flight

@highlight

Hotel closed in Macedonia after sudden death, ministry says