Washington (CNN)They weren't exactly James Bond but the three alleged Russian spies exposed by the FBI are part of the most intense effort by Russia to infiltrate agents onto American soil since the Cold War.

In an affidavit unsealed in federal court on Monday, the Justice Department accused Evgeny Buryakov, also known as "Zhenya," of posing as a Russian banker in Manhattan to funnel economic intelligence to the SVR, Russia's foreign intelligence agency.

Two other Russians, Igor Sporyshev and Victor Podobnyy, were ostensibly diplomats in Russia's UN mission in New York but are accused of being Buryakov's SVR handlers. While Buryakov was operating deep undercover and therefore had no diplomatic protection, the other two have immunity and have already left the the United States.

Anecdotes in the affidavit portray the accused spies as bumbling and hapless compared to the stereotype of hard-eyed Soviet-era KGB professionals. Still, news of their existences comes at the most perilous moment in U.S.-Russia relations in decades, with Barack Obama and Vladimir Putin at a standoff over issues ranging from Ukraine to Moscow's claims it has a right to a "sphere of influence" in its backyard.

A spy operation will only serve to deepen the hostilities.

Professor Mark Galeotti, a specialist in transnational organized crime, security affairs and Russia at New York University, said that Russian operations are cranking up against the U.S. and its European allies.

"It is clear that this is a process that has been taking place over time," he said. "It is not just about throwing money and people into it. It is the tempo and the aggressiveness that is at the height of Cold War levels."

FBI: Russian spies used tickets and hats to try to hide New York activities

Edward Lucas, author of "Deception: The Untold Story of East-West Espionage Today," said "Russian espionage in the West is on a bigger scale than it was during the Soviet period."

"We are an open society so we are very easy to spy on and we are in competition with a very closed society, which is Russia. They use intelligence as one of the most important tools in the Kremlin tool kit."

U.S. authorities agree.

"More than two decades after the presumptive end of the Cold War, Russian spies continue to seek to operate in our midst under cover of secrecy," U.S. Attorney Preet Bharara said in a statement.

Assistant FBI Director Randall Coleman warned that despite the collapse of the Soviet Union, "espionage is as pervasive today as it has ever been."

"This case is especially egregious as it demonstrates the actions of a foreign intelligence service to integrate a covert intelligence agent into American society under the cover of an employee in the financial sector," he said.

The affidavit contains details of alleged -- and apparently fumbling -- attempts by the accused SVR agents to recruit female students at a New York University and a boastful American businessman dreaming of riches in the Russian energy industry.

Those tid bits have sparked derisive assessments of Moscow's espionage prowess, echoing the ridicule drummed up by the outing of Anna Chapman in 2010. She was exposed in an FBI probe into 10 Russian deep cover "sleeper agents" and was later exchanged with Moscow in a spy swap.

According to the unclassified affidavit, the 2015 spies, like the 2010 brigade, appeared to extract little useful intelligence and appeared not to penetrate deeply into the U.S. financial industry.

In fact, the two alleged handlers, were caught on an FBI surveillance tape complaining that life as a spy in the United States wasn't like it was in the movies.

Podobnyy is quoted in the affidavit as saying that he didn't expect to be "James Bond" but had expected a little more excitement.

"Of course, I wouldn't fly helicopters," he said, but confessed he had expected to "pretend to be someone else" under an assumed identity.

The pair apparently communicated with Buryakov using covert and coded methods and conducted 48 clandestine meetings, unaware they were under surveillance by the FBI.

Lucas said that in retrospect their missions might look amateurish, but "all espionage operations look brilliant if they succeed and blundering if they fail."

Close observers of the spy trade argue that media mockery over Chapman, now a TV star and model in Russia, and her apparently unsuccessful comrades in New York, detracts from a long-term, well-financed and painstaking effort by Moscow -- and Putin, a former KGB agent  -- to insert "illegals" deep into Western society.

Peter Earnest, a former CIA case officer who now heads the International Spy Museum in Washington, said that a perception had grown that those swept up in the 2010 operation were part of a hapless "Keystone Cops" operation.

"The  Russians under Putin have chosen to invest a lot of money into placing people like that overseas," he said. "It wasn't clear to the public what these people were doing."

"They were meant to be sleepers," Earnest said. "Typically an illegal sent to another country is a sleeper. He or she is available to handle a very sensitive asset, or in the case of wartime, or some sort of confrontation, be available."

While the agents exposed in New York this week were not "sleepers", they were also evidence of a comprehensive Russian espionage program.

The latest National Threat Assessment by Director of National Intelligence James Clapper warned last year that Russia, in addition to challenging U.S. cyber security, was also seeking to target U.S. personnel with access to sensitive computer network information.

He named Russia and China as the biggest threats to U.S. state security and said they were seeking data on advanced weapons systems and information on U.S. firms and research institutions that deal with energy, finance, the media, defense and dual use technologies.

John Schindler, who spent a decade with the National Security Agency working as an intelligence analyst and counterintelligence officer on Eastern Europe and the Middle East, believes the U.S.-Russia spy wars are as vibrant as ever.

"This is the tip of an iceberg," he said. "The 2010 illegals program that was rolled up by the FBI was a big success but this was not the end of it."

Schindler said that since the demise of the Soviet Union, Russian intelligence services have rebuilt overseas networks, partly to wage "economic war" against the West.

Such an emphasis is increasingly important at a time when the United States and its allies are imposing economic sanctions on powerful figures and top firms over Russia's annexation of Crimea and alleged infiltration into eastern Ukraine.

The new Russian intelligence offensive has a world of opportunity. Russian businesses and capital are increasingly important to and invested in the global economy.

And the nexus between vast Russian commercial and energy interests, and organized crime offers a shady world where spies can prosper.

The affidavit in the Buryakov case alleges that the SVR sought to use an official Russian news organization in the United States to get information about high-frequency automated trading systems used on Wall Street and to gauge interest among brokers about Russian products.

While it lays out a comprehensive legal case against the three alleged Russian spies, the document also includes several intriguing story lines and leaves key questions unanswered in the fog of the espionage wars.

The document includes transcripts of conversations between Podobnyy, Sporyshev and Buryakov -- not just from phone taps, but from what it says are discussions "inside the SVR NY office."

That leaves open the possibility that the FBI managed to get some kind of bug into the super secure premises. Lucas said its mention may be intended to induce paranoia among Russian intelligence chiefs who may wonder what other sensitive conversations were swept up.

The document also says that in the summer of 2014, Buryakov "met numerous times with a confidential source working for the FBI." That revelation may also lead SVR bosses to question the extent of FBI knowledge about their operations.

Another question is why did the FBI move now?

"Arresting a foreign spy is the last option, you would rather turn them or watch who they are taking to," said Galeotti.

"Why did they decide to arrest this guy? Did they think they would be about to return to Russia? Was it because there was a risk that he was going to stumble across something important? "Was it time to put a shot across the Russian bows?"

The idea that the United States wanted to make a political point about its intelligence operations at a time of rising tensions appears supported by the robust language of the Department of Justice Press release.

"We will use every tool at our disposal to identify and hold accountable foreign agents operating inside this country -- no matter how deep their cover," said Attorney General Eric Holder.

Bharara added: "New York City may be more hospitable to Russian businessmen than during the Cold War, but my office and the FBI remain vigilant to the illegal intelligence-gathering activities of other nations."

@highlight

Alleged Russian spies seem hapless but may hint at wider operation

@highlight

Arrest comes at time of sharp U.S.-Russia tensions