Cleveland, Ohio (CNN) -- The startling discovery that three women had been held captive for a decade inside a Cleveland home has answered key questions from their families and raised a slew of others.

Here are some of the most pressing:

What was life like for the victims?

Ropes and chains taken as evidence from the modest, two-story home on Seymour Avenue where the women were held were used to restrain the women, Police Chief Michael McGrath told NBC's "Today." "We have confirmation that they were bound," he said.

But Public Safety Director Martin Flask said it was not clear what they were used for.

Victor Perez, chief assistant prosecutor for Cleveland, announced Wednesday that charges against Ariel Castro include four counts of kidnapping -- one each for Georgina "Gina" DeJesus, Michelle Knight, Amanda Berry and a 6-year-old girl who was born to Berry in captivity.

Those charges also address the question of whether the women were sexually abused. Castro, 52, faces three counts of rape, Perez said, adding that a grand jury could later indict him on additional charges.

Two of Castro's brothers who also were arrested after the women's escape Monday evening will not be charged, according to the prosecutor. Perez said "there is no evidence these two individuals had any involvement."

As to the victims, two of them returned home Wednesday. But they have not made public statements as they seek to be reacquainted with family and friends.

The interior of their prison was unremarkable, according to Tito DeJesus. The sometime bandmate of the homeowner, suspect Ariel Castro, said he entered the house about two years ago to to help deliver a washer and dryer and saw "a normal environment."

"It didn't seem to be a place where women were being held against their will," he said. "Of course, mind you, I didn't go throughout the entire house. I was just at the beginning of the house, in the living room, but it seemed normal."

The one-bathroom house has a living area of 1,436 square feet, with a living room inside the front door, a dining room and a kitchen on the ground floor, according to Cuyahoga County records.

The four bedrooms are all on the second floor. Because the ground is sandy and loose in the area, basements in the area tend to be smaller than the footprints of the houses above, which are usually damp and cold in the winter.

The basement of the house, which was built in 1890 and renovated in 1956, is not finished.

Timeline: From missing to liberated

How did their years of captivity go unnoticed?

Looking back on it, would police or neighbors done anything differently to increase the chances of discovering the imprisoned women?

And was Monday's escape by Berry the first time in a decade that any of the women had been able to signal anyone in the neighborhood about their plight?

Some neighbors of Ariel Castro have second-guessed themselves, asking if they could have prevented the horrors had they noticed details that now seem out of place.

For example, neighbor Daniel Marti -- who has described Castro as an "outgoing person, very nice guy" -- asked why he didn't question why the single man frequently carried bags full of McDonald's food into the house where he appeared to live alone, or why he frequently steered conversation away from it.

"Now that I think of it, he didn't want nobody back there," said Marti, who said he has known Ariel Castro since junior high school and lived near him for some 22 years.

Neighbors Israel Lugo and Nina Samoylicz told CNN that they had called police in recent years to report separate incidents at the home.

Samoylicz said she and others saw a naked woman in the home and called police.

Faliceonna Lopez, Samoylicz's sister, told a different version Tuesday night on CNN's "Piers Morgan Live." She said after seeing the woman, they told their mother, not police.

The mother, Annita Lugo, told Morgan that she didn't call police, either.

Another neighbor, Israel Lugo -- Annita Lugo's brother -- says he called police in 2011 when he heard yelling in the Castro home. Officers left when no one answered the door, Lugo says.

If neighbors' accounts were true and the police really heard screaming and simply knocked on the door and left when no one answered, then "law enforcement clearly dropped the ball," attorney Lisa Bloom told CNN.

"It was almost like a Keystone Cops situation," prominent attorney Mark Geragos added. "There's got to be much more to this story."

Cleveland officials denied claims that they had called police to report suspicious activity at the home.

"Media reports of multiple calls to the Cleveland Police reporting suspicious activity and the mistreatment of women at 2207 Seymour are false," spokeswoman Maureen Harper said in an e-mailed statement.

Other officials said call records contained no evidence that neighbors had called police to report unusual activity at the home.

Police say they went to the address once in 2000, before the abductions, when Castro reported a fight outside his home, and in 2004, after two of the three women had disappeared.

The latter visit was to investigate a complaint that Castro had left a child alone on the bus he was to have been driving. No one answered the door at the home, and investigators later interviewed him elsewhere, police say.

Are there more victims?

Police have used at least one cadaver dog to search for human remains; they said they have so far found none. They also have said they want to know whether there could be any additional victims in the case.

Investigators had speculated that the disappearances of Berry, DeJesus and another girl, Ashley Summers, may have been connected. Summers' family last saw her in July 2007, when she was 14.

Now the Summers family is hoping that the Cleveland investigation will yield information about Ashley, her aunt, Debra Summers, said.

"We're hoping for a miracle," she said.

An FBI spokeswoman said investigators will question the women found Monday in hopes of learning something about Summers' disappearance.

Tonia Adkins said she was hoping that her sister Christina was among the women who were freed Monday. Then 18 and five months pregnant, Christina Adkins disappeared in 1995 while walking toward her boyfriend's house on the same block where one of the Castro brothers lived and a few streets away from where the other women were last seen, she said.

"She was going home for the night and she disappeared," she said. "We just really want to find out where she is and is she OK."

Most missing person cases of such duration end badly, according to authorities.

According to court documents, Ariel Castro's former wife accused him of repeatedly abusing her, including breaking her nose twice, breaking two ribs, dislocating her shoulder twice and knocking out a tooth.

Grimilda Figueroa also accused Castro of causing a blood clot on her brain, according to the 2005 documents.

A judge granted a protection order but lifted it three months later after court delays and hearings Castro did not attend, according to the documents.

Ishmael Figueroa, Grimilda's father, told CNN that when Ariel Castro and his daughter moved into the house on Seymour Avenue, Ariel Castro would not let let any other family members enter the home.

After the couple broke up, his daughter moved back with her parents and said she never wanted to talk about Castro, Figueroa said. She died last year at age 48, according to Social Security records.

Ariel Castro's uncle Julio also recalled his nephew's messy breakup.

Castro seemed to live alone after that, except for occasional visits by, among others, his two brothers.

He also had grandchildren -- at least five, he'd recently noted on Facebook.

Some news outlets have reported that at least one of the three women gave birth more than once during their years in captivity. Those news outlets cited unnamed sources. Investigators have not publicly confirmed or denied those assertions, saying it will take time to piece together a complete picture of what happened inside the house.

@highlight

NEW: Ariel Castro is charged with kidnapping, rape; his brothers are not

@highlight

Ropes, chains removed from Cleveland house, but the women have not commented

@highlight

Neighbors say they reported suspicious activity, but police deny those calls were made