(WIRED) -- What's hot off the presses this week?

Want an out-of-print book? With the help of Google, a machine may be able to print one for you.

Any one of the more than 2 million books old enough to fall out of copyright into the public domain.

Over the last seven years, Google has scanned millions of dusty tomes from deep in the stacks of the nation's leading university libraries and turned them into searchable documents available anywhere in the world through its search box.

And now Google Book Search, in partnership with On Demand Books, is letting readers turn those digital copies back into paper copies, individually printed by bookstores around the world.

Or at least by those booksellers that have ordered its $100,000 Espresso Book Machine, which cranks out a 300 page gray-scale book with a color cover in about 4 minutes, at a cost to the bookstore of about $3 for materials. The machine prints the pages, binds them together perfectly, and then cuts the book to size and then dumps a book out, literally hot off the press, with a satisfying clunk. (The company says a machine can print about 60,000 books a year.)

That means you can stop into the Northshire Bookstore in Manchester, Vermont, and for less than $10, custom-order your own copy of Dame Curtsey's Book of Candy Making, the third edition of which was published in 1920 and which can only be found online for $47.00 used.

Dane Neller, On Demand Books CEO, says the announcement flips book distribution on its head.

"We believe this is a revolution," Neller said. "Content retrieval is now centralized and production is decentralized."

Neller said the deal was clearly about the long tail of books, a reference to Wired magazine's Editor-in-Chief Chris Anderson's theory that hits become less important when distribution costs drop. One of the main benefits, according to Neller, is letting local book stores compete with Amazon.com by reducing their need to have expensive inventory.

Other current retailers include the University of Michigan Shapiro Library Building in Ann Arbor; the Blackwell Bookshop in London; the Bibliotheca Alexandrina in Alexandria, Egypt; the University of Alberta Bookstore in Edmonton, Canada; and Angus & Robertson Bookstore in Melbourne, Australia. The company hopes to sell 60 more printers in the next year, bringing the number of machines globally to about 90.

On Demand Books suggests that book stores price the books at about $8, leaving retailers with a $3 profit after both Google and On Demand Books collect a buck-a-book fee. Google plans to donate its share to a yet-unspecified charity, which might be a reaction to its messy legal and public policy fight over a copyright settlement that covers books that are still in copyright. (All the books that are being added to On Demand Books repertoire in this agreement are out of copyright in the country where it will be printed.)

Starting Sept. 29, Bostonians can stop in the privately owned Harvard Bookstore in Cambridge, Massachusetts, and have their books printed in front of them. Or they can order it over the phone and have the store deliver it -- by bicycle.

There's a certain irony to that, too, according to Google spokeswoman Jennie Johnson, since the bookstore is right next to Harvard's library, one of the libraries that partnered with Google to turn its millions of books into an online library of the future.

"Most people can't get into the Harvard Library, but you can print their books next door," Johnson said.

Or put another way, On Demand Books is betting that in the future, every old book will have 15 readers.

What's of interest in these old books?

Plenty, according to Google.

One knitter discovered a long-lost book about knitting, and recreated the heirloom pieces and even built a loom from a long-lost design. Another reader, who works with subsistence farmers in Africa, currently uses PDFs of old farming techniques to teach still-relevant skills.

Google already uses the public-domain books in search results, and users can read those books in full online and even download them as PDFs for free.

Neither Neller or Johnson cared to speculate on how many of these books they expect to sell, but Johnson says some 80 percent of the public-domain books are looked at in a given month.

Unfortunately, it's unlikely that the number of public domain books will grow larger anytime soon, since Congress added two decades to existing copyright protection in 1999. Copyright, which originally lasts about 14 years, now extends to the life of an author plus 70 years for newly created works.

As for their quality?

They feel like a typical paperback, and are printed using typical 20- or 24-pound paper, with heavier stock for the inkjet-printed cover, which currently all share one design.

While turning bits back into paper seems a bit of a stretch for Google, Johnson said it fits with the company's goal of organizing the world's information.

"We think people should be able to find and read these books," Johnson said. "We don't care how people end up reading them."

Neller said he'd love to see the day when Google Book Searchers can press a button next to a search result and find the closest local printer, but Google says that's a long way off.

So for now, book buyers of the future who want to buy books from the past will need to walk to a bookstore -- or get Harvard Bookstore to use the bicycle, a 19th-century invention, to bring them a book printed with 21st-century technology.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2009 Wired.com.

@highlight

Google Book Search is letting readers turn digitized texts back into paper copies

@highlight

Google scans millions of books and turns them into searchable documents

@highlight

Books can be printed on demand by a special machine in about 4 minutes

@highlight

The machine is only in a few dozen bookstores so far