(CNN) -- Tourists become volunteer rescue workers. The connected provide power outlets and Wi-Fi. Performers lift spirits. Photographers preserve images. Doctors work overtime to keep hospitals running and patients alive.

In the wake of Superstorm Sandy, which ripped so much apart, people have come together. For every story of devastation we've seen in the month since Sandy hit, there have been dozens of untold stories of good Samaritans, quietly helping get things back to normal in whatever way they can.

Many offered their services in traditional ways -- donating money to relief efforts or helping to rebuild homes on the weekend. Others, though, found unorthodox but equally beneficial ways to help.

Here are just a few of those stories:

Going on with the show

The day after Sandy hit, New York actor Jacob Brent thought about what he and his fellow performers could do for the city. Broadway shows had been canceled, but Brent, who played Mr. Mistoffelees in "Cats," had the idea to do a little singing and dancing anyway. So he got a message out to the theater community via Twitter:

"There is a lot of devastation in our beloved city and for some reason we here in Midtown have been spared," it read. "I just walked over to Times Square and people are looking for something to do. I think we should all get together and sing some songs for these people. ...It's not much but its a little something we can do for the city."

Dozens of Broadway performers, along with residents and tourists, gathered at the heart of Times Square for the event. The impromptu concert included classic show tunes such as "There's No Business Like Show Business," "My Favorite Things" and "New York, New York," and collected donations for the Red Cross.

Among the attendees was theater critic and student Sarah Taylor Ellis, who called it "a total delight" and shared several photos on CNN iReport.

"Everyone was so glad to get out of their apartments and gather for a communal activity," she said. "The tourists and residents alike were enjoying the unexpected musical entertainment, especially since Broadway shows have been canceled the past three days."

Afterward, Brent shared his feelings about the performance on Twitter: "We lifted our voices and lifted the spirit of New York," he wrote. "I am overwhelmed."

Hey New York, what's up with the niceness?

Salvaging a lifetime of memories

Photographer Limor Garfinkle walked through the hard-hit coastal Staten Island neighborhood of South Beach the weekend after Sandy made landfall, wondering how she could help.

Everywhere she looked, she saw photo albums in the debris. She knew she couldn't replace the moments on film now sitting in piles of garbage, corroded with seawater. But perhaps she could help them make new memories. She gave her card to several families and offered them free photo sessions when they were ready.

Then she found Victoria Beckman, a Russian immigrant laying out family photographs and documents in the cold air along the two stone railings leading from her front door to the sidewalk. Inside, she had thousands more damaged photos to go through.

Her home had flooded with 6 feet of water.

It was the perfect opportunity to help. Beckman and Garfinkle, who is from Israel, spoke easily in Hebrew.

"She told me they were all ruined, they were all gone, and I said to her, 'Let me try to save them,' " Garfinkle recalled. "It's almost a guilt you feel -- I have a warm home and somebody else doesn't, and you just have to help. I knew it wasn't going to be easy ... And it wasn't."

Finding joy among the wreckage

Garfinkle, a family photographer and an art director for a Midtown advertising agency, took garbage bags stuffed with a lifetime of memories, including pictures from her childhood, professional photos a relative had taken and expensive albums from her son's wedding in Israel last year.

She researched photo restoration techniques on the Internet and spent weeks rinsing the muck-covered images and album pages under cold water and laying them to dry on paper towels.

Beckman, who is living without heat in her gutted home, asked Garfinkle to keep the photos until she has a spot to put them.

"These are pictures from all my life, my children, and I am very appreciative of her help," Beckman said.

And Garfinkle's offer of free photo sessions to families affected by Sandy still stands. She can be reached through her website, 4mothersphoto.com.

Putting life's problems in perspective

For weeks, advertising photographer Carlos Chiossone sought out personal stories among the devastation left by Superstorm Sandy.

"There are plenty of volunteers, so as a photographer I decided to simply get their stories out to try to get more help for them," he explained.

Chiossone said the conversations helped put his life into perspective.

"As I interviewed some of the people affected and companies trying to come back to life, I realized how each individual makes their own problem the biggest one of the moment. Part of my motivation was to show how easy we had it," he said. "Four days without power or showering is not a big deal. Losing your house is another story."

He spoke to several residents of Staten Island, New York, including Janice Kennedy, whose house at New Dorp Beach was leveled by the storm even she was one of the few people on her street to board up her home.

Kennedy told her story on camera and showed Chiossone what little remained of her property. Kennedy's emotions were raw as she described what it's like to face starting your life over.

"My husband died three years ago, we were hit with Irene last year, and now this. I've gotta leave. I'm done," she said, her voice shaking. "We've lost everything. I got married in this house. My son grew up in this house. There's nothing left."

Weeks later, Chiossone has been unable to reach Kennedy but is eager to follow up with her. In the meantime, he continues to document life in New Dorp Beach, and sees hope.

"What was chaos almost a month ago here in New Dorp Beach now has gained a little sense of normalcy." he said.

Trying to keep the family business afloat after Sandy

'Spitting rhymes' for Sandy relief

The storm flooded Eduardo Ramos' apartment on Avenue C in Manhattan, but he feels lucky. He and his roommates had time to save all their belongings as the water was coming in, and his roommate's family welcomed him to stay in their home on the Upper East Side.

It only felt right to do what he could to help others not so fortunate.

In the weeks after Sandy, he and his friend CJ Richards -- both professional models, actors and rappers -- joined the Rockaway Beach Surf Club's relief efforts in the Queens beach community. In between jobs and castings they went to Queens to knock on doors, assess needs and help families remove moldy furniture.

They wanted to find a way to help on the days they couldn't physically be in Queens, which led them to rapping for victims. The friends, who had recently begun performing freestyle hip-hop on the streets for fun, set up their amp and microphone and performed raps on demand for $1, with the money going to Sandy relief efforts.

"One time a girl said 'rap about my friend's jeans,' we just started going off on that. At Astor Place, a couple was from York in the UK, and we started rapping about London ... You just kind of let your mind go," Ramos explained.

So far they've rapped in Times Square, the Meatpacking District and Astor Place in Lower Manhattan, where iReporter and friend Chris Luna found them and recorded a video.

In three stints, the friends have raised $200 for the victims, including one generous $100 donation from a hip-hop fan who was impressed with their rhyming skills and asked to join in. They plan to hit the streets again this weekend and will give the money to the surf club to buy socks, blankets and other needed supplies.

"I feel like they're going to need more help as people start to forget and life continues as usual," Ramos said.

'Hard-wired to tell stories'

Arriving by bus, train and plane, thousands of Mormons from across the country canceled their church plans one Sunday to help with Sandy relief. One of those volunteers, Joshua Brown, documented the day on video.

The Manhattan wedding photographer heard stories of loss, devastation and even some of hope from the people of Rockaway, New York.

"We lost everything, but with people like you, we know everything's going to be alright and we have faith in God," said one woman who choked back tears as he interviewed her.

Days earlier, Brown joined Mormons Helping Hands. His job was ripping out dry wall from waterlogged homes. As he worked, he saw a "huge need" for more volunteers to help the community rebuild.

The next time he went back to Rockaway -- that Sunday -- he brought his camera along to help get the word out.

"The day I was shooting the video, I felt a little guilty being there. Some of my friends were there doing really intense, back-breaking work," he said. "But by making the video, I felt I could persuade more people to get out there, which was the best thing I could do with my talents."

He accomplished his goal. Between Vimeo and CNN iReport, his video received about 270,000 views.

"I'm hard-wired to tell stories," he said. "I thought that this was the best tool to get more people."

Although he got his message across, Brown still worries.

"People were already putting this in the rear view, and that was just two weeks after (the storm)," he said. "Now it's been a month ... and there's still so much more to be done out there, so I'm hoping that it won't fade away."

CNN's Daphne Sashin, Rachel Rodriguez, Henry Hanks, Christina Zdanowicz and Katie Hawkins-Gaar contributed to this story.

@highlight

One month after Superstorm Sandy's landfall, stories of good Samaritans emerge

@highlight

Creative aid: Impromptu Broadway performance, restoring cherished photos

@highlight

You can see more iReport stories of devastation and hope in our interactive Open Story