(CNN) -- When Ukrainian President Petro Poroshenko visits Washington on Thursday, he will almost certainly again ask for U.S. military assistance, including defensive weapons. President Barack Obama should say yes. Arming Kiev can deter Russian Vladimir Putin from further aggression and support the fragile Ukraine ceasefire and settlement process. Doing so would also bolster U.S. efforts to prevent nuclear proliferation.

Russia illegally occupied and annexed Crimea in March. Just weeks later, armed separatists -- assisted and, in some cases, led by Russian intelligence officers -- began seizing government buildings in the eastern Ukrainian regions of Donetsk and Luhansk.

Ukrainian counterattacks started making headway in the summer. Russia responded by supplying heavy weapons to the separatists -- including, it is widely believed, the Buk anti-aircraft system believed to have shot down Malaysia Airlines flight 17 in mid-July.

Despite the influx of arms, Ukrainian forces continued to make progress. By early August, the separatists looked on the verge of defeat. That would have stopped Putin's strategy in its tracks. So, as NATO noted, elite Russian military units invaded and occupied Ukrainian territory, hitting Ukrainian forces hard.

Vastly outgunned, Poroshenko had little choice but to accept a ceasefire on September 5. The truce is shaky, but the Ukrainian president seems intent on pursuing a peaceful settlement. Whether common ground can be found among Kiev, the separatists and Moscow is unclear. At best, the negotiation will be long and arduous.

The Ukrainian government has for some time sought lethal military assistance, such as anti-armor weapons, as well as secure communications equipment and reconnaissance drones. When he hosts Poroshenko in the Oval Office, Obama should agree to provide defensive arms on an expedited basis. Such assistance would enhance Kiev's ability to deter further Russian aggression, aggression that would threaten, perhaps fatally, the possibility of a negotiated settlement.

A better-armed Ukrainian military would give Putin pause, because it could impose greater costs on the Russian army if the Russians break the ceasefire and renew the fighting. Reports detail the extraordinary lengths, such as nighttime burials, to which the Kremlin has gone to hide from its public the fact that Russian soldiers have fought and died in Ukraine. The more costly the Ukrainians can make any fighting for the Russians, the less Moscow's interest in resuming the conflict.

Some may argue that providing lethal military assistance would provoke Putin to escalate. But he has already escalated the situation -- from instigating separatist actions to providing heavy weapons to sending in the Russian army. This suggests the opposite may well prove true: Arming Ukraine will raise the costs of escalation to Russia and thus make it less likely.

Putin has made clear his contempt for the Western response to date. Inaction could embolden him to escalate in Ukraine and test the waters elsewhere, perhaps in a NATO member state such as Estonia.

Moreover, the Ukrainians will bear the risks and brunt of any escalation. If they are willing to accept those risks, we should give them the tools to defend themselves.

And there is an additional important reason to respond favorably to Ukraine's request for defensive arms: to restore credibility to the notion of security assurances.

In December 1994, the leaders of the United States, Britain and Russia signed the Budapest memorandum on security assurances, which committed those countries to respect Ukraine's sovereignty and territorial integrity and not use force against Ukraine. Those commitments paved the way for Kiev's decision to give up about 1,900 strategic nuclear warheads, at the time the world's third-largest nuclear arsenal.

Moscow has grossly violated the Budapest memorandum by its seizure of Crimea and assaults on Ukraine. The United States and Britain have an obligation to respond. Washington has imposed economic sanctions on Russia and provided Ukraine a modest amount of nonlethal military aid. Those are appropriate steps, but they do not suffice.

Last Friday, former President Leonid Kuchma, who signed the Budapest memorandum for Ukraine, suggested his country had been cheated. That reflects general sentiment in Kiev.

The widely held impression that Moscow has violated its Budapest commitments at low cost badly weakens the value of security assurances in the future. That is unfortunate, as security assurances could play a role as part of the package to resolve the Iran and North Korea nuclear issues. But how much value will security assurances have if Tehran and Pyongyang see that they can be violated with relative impunity?

Washington can change that impression.

Providing lethal military assistance to Ukraine could not only deter Putin from further war against Ukraine, but could help to reestablish security assurances as part of the solution to critical nuclear proliferation challenges.

@highlight

Ukrainian President Petro Poroshenko visits Washington on Thursday

@highlight

He seems intent on a peaceful settlement, write Strobe Talbott and Steven Pifer

@highlight

Obama should agree to provide defensive arms on an expedited basis, authors say

@highlight

Talbott and Pifer: Moscow has grossly violated the Budapest memorandum