NEW YORK (CNN) -- The murder of 8-year-old Sandra Cantu in Tracy, California, has brought America's Amber Alert program under the microscope. Sandra vanished in broad daylight on March 27.

Surveillance video from that afternoon showed her happily skipping to go play at her friend's house. After she failed to return home, her family alerted the authorities, but an Amber Alert was not issued.

Ten days later, Sandra's body was found stuffed inside a piece of luggage in an irrigation ditch near her home. The frantic search for the killer may be over, as police arrested Melissa Huckaby on April 10 and charged her with murder.

This horrifying case raises the question -- why didn't police issue an Amber Alert when Sandra vanished? Tracy Police have done an excellent job in this case, but could that have made a difference in saving this girl's life?

First, we must examine what an Amber Alert does. According to amberalert.gov, the program is a "partnership between law-enforcement agencies, broadcasters, transportation agencies, and the wireless industry, to activate an urgent bulletin" and is saved for "the most serious child abduction cases."

The goal is to blitz the area with information to spark a community-wide search. Secondarily, the alerts serve as deterrents. Some abductors have actually freed the kidnapped child after hearing or seeing the alert. This happened in California in January when a man abducted an 8-year-old girl. After observing a highway sign broadcasting an Amber Alert for the girl, the suspect dropped the girl off in San Jose before turning himself in to police.

In California, where Sandra was murdered, 141 children have been safely recovered as a result of Amber Alerts since 2002, according to the California Highway Patrol. The Amber Alert Web site claims the program has saved more than 430 children nationwide and that in 2007, 80 percent of kids alerted were recovered safely within three days. That is incredibly fast and effective -- two words that aren't often used to describe a government program.

With such a high success rate, some may wonder why the program isn't used more frequently. A grisly case like the Sandra Cantu murder only intensifies this debate.

The main reason for the limited use of the program is that Amber Alert cases must meet very specific criteria. Otherwise, the alerts will be issued too often, creating a "boy who cried wolf" scenario. People will become desensitized and stop taking the alerts seriously. After all, Department of Justice reports about 800,000 missing child cases any given year. Very few of those -- slightly more than 100 -- are stereotypical "kidnappings." Over half of the 800,000 are kids who ran away, or simply lost track of time, or are part of custody disputes.

But the DOJ's Amber Alert guidelines are designed to focus on those rare abductions by strangers or slight acquaintances. To maintain this focus, the department recommends that Amber Alerts only be issued when the child is at risk of serious injury or death and law enforcement has sufficient descriptive information about the child, abductor or abductor's vehicle.

Some argue that Sandra's case met those criteria. But it's easy to Monday-morning quarterback. The fact is, Tracy Police made a swift arrest and should be applauded. They used the full extent of their resources to try to safely recover Sandra, including dispensing an electronic alert to West Coast law enforcement agencies, heading a massive search effort and speaking to the media.

We'll never know for sure if an Amber Alert would have saved Sandra's life. Police now say it appears she died before the search even began. Nevertheless, this case does suggest the Amber Alert system can be improved by refining some of the gray areas.

For instance, the DOJ has guidelines, but states are free to tweak them. That's why you'll often hear law enforcement in some states say they can't issue an Amber Alert without a vehicle description, while others don't follow that rule.

All state law enforcement agencies should have to adhere exactly to one set of rules. The guidelines are supposedly in place to minimize delays and confusion between jurisdictions. Well, you know what would really minimize delays and confusion? A single, uniform system.

Secondly, with today's technology, the Amber Alert program must be expanded. We're no longer just talking about highway signs and C.B. radio. Agencies should harness GPS and wireless technology, to the point that everyone with a cell phone or BlackBerry will receive a notification when there is an Amber Alert in the area.

Lastly, the program is a voluntary partnership. Why not make it mandatory for all agencies that have the capability to use the system? There is no denying the Amber Alert program is a shining example of how a government initiative is supposed to work. Let's just make sure we harness its full capabilities. Our children deserve nothing less.

The opinions expressed in this commentary are solely those of Jane Velez-Mitchell.

@highlight

Jane Velez-Mitchell: Some ask why no Amber Alert issued for missing Sandra Cantu

@highlight

She says alerts are only issued in certain clearly defined circumstances

@highlight

Velez-Mitchell: Amber Alerts have saved many children's lives

@highlight

She says the program should be refined to make it even better