Washington (CNN) -- Dozens of lawmakers support legislation that would set up a more streamlined system for matching Haitian orphans with families in the United States, a U.S. senator said Tuesday.

Sen. Mary Landrieu, D-Louisiana, said that the initial focus of the legislation would be on children orphaned by the January 12 earthquake in Haiti but that in the long term, it also would address other adoption efforts.

She and other senators will press this week to get the Families for Orphans Act out of a Senate committee so it can go to the floor for a vote, she said at a news conference.

The bill would set up a separate office in the State Department to handle adoption issues, similar to the office that handles human trafficking, Landrieu said. The office would focus on the issues of orphans and adoptions.

"The old regular process, the old regular bureaucracy, is not going to work," she said.

Find loved ones in Haiti | Share your story

Gordon Duguid, deputy spokesman for the State Department, said there are about 1,200 pending adoption cases.

The department says that 497 orphans have come to the United States since the January 12 earthquake and have been united with their adoptive parents. That number includes 100 orphans who arrived Tuesday, Duguid said.

"We will continue to work until we get through all pending cases," he said. "But we will send no child out of Haiti who does not have cleared, vetted and accepted parents waiting for him or her in the U.S."

An exception will be made if a child needs urgent medical attention or has some other dire problem, he said.

"We are determined to thwart traffickers and are not processing new applications for adoptions," he added.

Last week, the State Department said it was working with the Department of Homeland Security and the Haitian government to process nearly 300 cases of Americans who were waiting to adopt Haitian children. Of those, 200 cases were being accelerated, the agency said.

The department said that some of those orphans are eligible to come to the United States under a humanitarian waiver, unless they can be issued permanent papers.

Before the quake, 380,000 children in Haiti were classified as orphans, Landrieu said, quoting figures from the United Nations, which defines an orphan as someone who has lost one parent.

The first priority, she said, is to reunite a child with its family, or to find other relatives or a family in Haiti willing to adopt the child.

On Tuesday, the State Department said 497 Haitian orphans had been evacuated to the United States since the quake.

Sen. Kit Bond, R-Missouri said the red tape in Washington shouldn't slow down the adoption process for Haitian children.

Sen. Amy Klobuchar, D-Minnesota, agreed.

"We have to have a better process here. These are extraordinary circumstances," she said.

Last week, 14 orphans heading to Pennsylvania weren't allowed to leave Haiti because they had no papers, said Rep. Jason Altmire, D-Pennsylvania, who had gone to Haiti to accompany the group to the United States. The paperwork was lost in the quake, he added.

Finally, with intervention from several agencies and the White House, the U.S. Embassy approved humanitarian waivers, or paroles, for the children.

Several senators at the briefing mentioned the need to keep children safe from human trafficking while they are awaiting travel or in transit.

Their concerns echoed those expressed by charities, aid groups and Haitian officials in recent days.

"We know there have been reports that children left the country without going through the authorization of the prime minister or other authorities," Julie Bergeron, chief of child protection for the United Nations Children's Fund, said Sunday. "We have such reports. We are trying to discuss with different authorities to find a solution to prevent trafficking of children. ...

"But it's very difficult to have the overall picture at the moment. It's overwhelming particularly because there is no registration system. So now that is what we are trying to do: have registration of children so that we have a better idea," Bergeron said.

According to Haiti's minister of communication, Marie-Laurence Jocelyn Lessgue, "The Haitian government is very clear on this. We are facilitating all of the adoption applications already submitted. Other than those, no child will be leaving the country for adoption, only those whose applications are already on file."

Cinzia Angotti, a child protection officer for the U.N. Peacekeeping Mission to Haiti, said workers are trying to identify the children at risk, "the ones who are along without family, and to respond as quickly as possible to the lack of protection of children during this disaster."

Groups including Save the Children and World Vision have called for a halt to adoptions, saying that many children who may appear to be orphaned have simply been separated from their families.

@highlight

Lawmaker says new system would ease adoptions by U.S. families

@highlight

Focus would be on children orphaned in quake, Sen. Mary Landrieu says

@highlight

Bill would set up State Department office on adoption issues

@highlight

"The old regular bureaucracy is not going to work," Landrieu says