In designating the al-Nusra Front as a foreign terrorist organization and an offshoot of al Qaeda in Iraq, the U.S. State Department has put flesh on the bones of its policy of discriminating between the "bad" Syrian rebels and the "good" ones. But the decision is getting mixed reviews in Syria.

Rebels in brigades fighting around Aleppo have told CNN that the move is a miscalculation. Their argument goes something like this: "The U.S. and the West in general have given us next to no help while we've witnessed thousands die at the hands of Bashar al-Assad's heavy weaponry and dominance of the skies.

Read more: New head of Syrian opposition briefs European foreign ministers

"To add insult to injury, Washington has now proscribed one of the most effective fighting forces among rebel groups. We may not share al-Nusra's worldview, but we need their organizational and battlefield experience."

This has translated into resentment and anger toward the United States on the ground, as people ask: "Al-Nusra are terrorists, but Bashar is not?"

For the United States, the decision is part of a broader effort to support a moderate political opposition in Syria -- one that can be part of an eventual transition to a post-Assad Syria.

Read more: Syrian rebels move toward unified command

Without such a presence -- one that can begin to function as a government in waiting -- U.S. policy-makers fear a prolonged war of attrition that will play into the hands of more radical factions while Syria's humanitarian crisis turns into catastrophe.

Additionally there is concern among U.S. officials that groups like al-Nusra will make common cause with Sunni militants in Iraq, who would like nothing better than a sympathetic rear base across the Euphrates River.

U.S. officials are making the argument that the overall affect of the designation of al-Nusra will be to minimize the group's role in the Syrian opposition while not reducing the fighting capabilities of the rebel groups.

"Al-Nusra Front is one of many groups that are fighting the Syrian regime now, it is not the only one," a senior administration official told reporters Tuesday in explaining the designation. "In fact it is a minority. Its influence has grown in recent months, but it still represents the minority element within the broader armed opposition."

By the estimates of rebel commanders in Syria, al-Nusra (also known as Jabhat al-Nusra) makes up less than 10% of the brigades fighting the regime. Most of its fighters are Syrian. Some waged jihad in Iraq before returning home, though several also spent time in the Bucca prison camp in Iraq, where hundreds of insurgents were held.

There is also more than a smattering of foreign fighters in al-Nusra's ranks -- Jordanian, Iraqi, Libyan, a few from Central Asia.

U.S. officials also point out that the State Department has designated Syrian groups known as the Shabiha -- paramilitary militias controlled by the government of Syrian President Bashar al-Assad that have attacked and killed opponents of the al-Assad regime.

"Whether the American steps today will immediately curtail al-Nusra's capabilities, I don't think they know," the senior administration official said. "But I think that other nations that are involved in helping the armed opposition will now take more seriously our concerns about the Nusra front."

State Department spokeswoman Victoria Nuland said Monday: "We've had concerns that al-Nusra is little more than a front for al Qaeda in Iraq who has moved some of its operations into Syria. ... We do see al Qaeda in Iraq trying to make these inroads."

Some tribal leaders in Iraqi provinces like Anbar are already thought to be funneling money and weapons to Islamist factions across the long border, and al-Nusra has been strong in areas near the Iraqi border.

Read more: Syria's chemical weapon potential: What are the health risks?

The West appears ready to accept that Islamists loyal to organizations such as the Muslim Brotherhood will be part of the post-Assad scenery. They are well represented in the new Military Council established this week, from which al-Nusra was excluded. Al-Nusra had already boycotted the new political opposition, making common cause with other militant factions.

Some analysts believe that al-Nusra is too important on the battlefield, especially in attacking military bases in the Northwest, for other rebel commanders to ostracize it.

In the year since al-Nusra emerged, it has carried out a number of complex and coordinated suicide bombings against high-profile regime targets and built a coherent fighting force through a thorough vetting process. By the admission of Free Syrian Army commanders on the ground, al-Nusra was instrumental in the seizure of the Sheikh Suleiman Military Academy near Aleppo this week. A reporter for Agence France-Presse in the area said many of the fighters "were from other Arab countries and Central Asia."

At another military base, rebel commander Ali Jadlan told CNN that fighters with al-Nusra were among the three brigades laying siege to the military academy. He said they were responsible for the most dangerous area.

The group has continued its offensive against the regime with a devastating series of suicide bombings -- most recently claiming responsibility for blowing up a government checkpoint in al Qusayr, and posting before and after photographs on jihadist online forums.

The analysts say that only if U.S. designation of al-Nusra were followed by serious weapons supplies to the "good" rebels might those rebels change their stance toward the group.

While President Barack Obama has not ruled out the option of supplying weapons, officials say there first must be more clarity on the ground.

"For us, providing arms has to be done in a way that helps promote a political solution," the senior administration official said. "Until we understand how these arms promote a political solution, we do not see how provision of arms is a good idea."

Not much is known about al-Nusra's structure or leadership, but its emir, who goes by the nom de guerre of of Abu Muhammad al-Golani, said in an audio message at the beginning of the year that its goal was to make Syria an Islamic state. The group's propaganda frequently tells Syrians that they have been "abandoned" by the West.

The lesson of history is that revolutions tend to be won by the best organized and most ruthless, rather than the best intentioned and most reasonable. For Vladimir Lenin and the Bolsheviks, organization was as important as ideology. The Taliban swept across Afghanistan as the only coherent force in a country craving order and stability. Egypt's revolution ended up favoring the Muslim Brotherhood as the only political organization tried and tested by decades of repression. Similarly, al-Nusra stands out among Syrian rebel groups as the most effective and disciplined.

Al-Nusra has also learned from history, according to other Islamists among Syrian rebel ranks. Many of its more experienced fighters saw al Qaeda in Iraq alienate the Sunni tribes there with its vicious sectarian bloodletting. As Aaron Zelin of the Washington Institute for Near East Policy wrote in Foreign Policy last week, "Jabhat al-Nusra seems to have learned from the mistakes of al Qaeda in Iraq: It has not attacked civilians randomly, nor has it shown wanton disregard for human life by publicizing videos showing the beheading of its enemies."

Instead, Islamist leaders in Aleppo say, it is looking to broaden its appeal and spread its fundamentalist message.

Ordinary people in Aleppo complain that some FSA units mishandle or misappropriate bread distribution, and they have begun to look to Islamist groups for greater honesty in managing local affairs. One chant recently heard in Aleppo, revealingly, was this: "We don't want a thieving free army, we want an Islamic army."

The United States would rather see that role in the hands of the Local Coordination Committees, present in many Syrian cities since early in the uprising.

Such is the undercurrent of resentment toward the United States among Syrians pummeled by nearly two years of regime attacks that designating al-Nusra may have the unintended consequence of making it more popular. Designation may also make it more attractive to foreign jihadists. According to the SITE Intelligence Group, another jihadist group, the al-Sahaba Army, has already congratulated al-Nusra for its designation, describing it as a "great honor" and calling on other groups to rally to al-Nusra.

For now, the group has no formal affiliation with al Qaeda, and according to other Islamist fighters it is probably wary of being pigeonholed as part of the group, for fear of causing a backlash among a population that historically is among the less conservative in the Arab world.

One leading Islamist in Aleppo described al-Nusra as similar to jihadist groups in Iraq before they morphed into al Qaeda. So far, he said, al-Nusra has yet to receive al Qaeda's seal of approval.

The U.S. State Department thinks otherwise.

@highlight

U.S. State Department has added al-Nusra Front in Syria to its list of terrorist organizations

@highlight

Some Syrian rebels object, saying al-Nusra's expertise is needed in fight against regime

@highlight

The U.S. wants to build up a moderate political opposition for a future post-Assad Syria

@highlight

Al-Nusra says it wants Syria to be an Islamic state, but it's not formally linked to al Qaeda