San Francisco (CNN) -- More than 20,000 current and aspiring game makers have converged in San Francisco for the annual Game Developers Conference, where the next wave of gaming trends is on display: next-generation consoles, the growth of free-to-play and independent games, and the explosion of mobile gaming.

Game publishers take advantage of the conference spotlight to showcase new games for the first time. Electronic Arts went big at the show by renting out a movie theater to debut a live gameplay demo of the upcoming military shooter "Battlefield 4" on a giant screen.

Other game companies rented luxury hotel rooms to offer hands-on previews of new titles across a variety of platforms. Here are five games that stood out:

'LEGO Marvel Super Heroes' (Warner Bros. Interactive Entertainment/TT Games, fall 2013)

While Netdevil's massively multiplayer online game "LEGO Universe" failed to capture an audience, every LEGO game developed by TT Games has been a huge hit. After having success with DC comic book characters (a result of being owned by Warner Bros.), TT Games has partnered with its archrival, Marvel Entertainment, to give more than 100 superheroes such as Spider-Man, Hulk, Iron Man, Thor, Wolverine and Captain America the brick treatment.

"LEGO Marvel Super Heroes" offers the patented co-op gameplay and tongue-in-cheek humor that gamers have come to expect from TT Games. The original story will have players taking control of assorted superheroes as they explore a virtual New York, battling enemies such as Loki, Galactus and Sandman.

'Daylight' (Zombie Studios, fall 2013)

With a name like Zombie Studios, you'd assume that "Daylight" isn't the first horror game from the independent game developer. But it is. It's also the first horror game for Sony's new PlayStation 4.

"Daylight," which runs on Epic Games' new Unreal Engine 4 game engine, traps players inside a haunted insane asylum. Armed only with the light and apps from your in-game smartphone, you must try to get out alive. There are no weapons other than your feet -- which are best used to run.

Every time you play this game, the horrors that await -- much like the rooms and hallways -- will be different. The developer has written a lot of back story about centuries of souls who were mistreated within the asylum's walls. And in another twist, the game's female protagonist is mysteriously suffering from amnesia.

One of the most impressive things about this macabre-looking adventure is that a team of six people conjured it up and are self-publishing on PlayStation 4.

'Infinite Crisis' (Warner Bros Interactive Entertainment/Turbine, fall 2013)

Warner Bros. Interactive Entertainment (part of Time Warner, CNN's parent company) is showing its commitment to the popular free-to-play multiplayer online battle arena game genre with its second licensed game in as many years.

With "Guardians of Middle-earth" already a hit, the publisher just unveiled the DC Comics-based "Infinite Crisis." This game allows five players to choose a superhero or supervillain and team up to battle against another team in unique environments based on six alternate universes.

Inspired by the "Infinite Crisis" comic books, this game's original story has the barriers between the different dimensions of the DC Multiverse being torn apart. That opens up six variations of each character -- such as a steampunk-themed Gaslight Catwoman and a bloodsucking Nightmare Batman.

Each character will have unique combat abilities and weapons. The game will launch with a dozen characters, including Flash, Gaslight Joker, Green Lantern, Poison Ivy, Wonder Woman and Doomsday, and three maps. Turbine, the developer, says it will regularly expand the universe with new maps and characters.

'Battlefield 4' (Electronic Arts/DICE, fall 2013)

While Electronic Arts' "Medal of Honor Warfighter" failed to connect with the first-person shooter fan base last fall, the publisher's "Battlefield" franchise remains one of its strongest. "Battlefield 4" is taking advantage of the new Frostbite 3 engine to bring what the developer promises is the next generation of shooter games this fall.

The Swedish developer isn't talking about the game's new multiplayer options, but it offered a live demo of the game's single-player campaign on a movie theater screen. The game's action will send a team of U.S. soldiers, called the Tombstone Squad, to photorealistic locales such as Azerbaijan, Russia and China as they battle a new global threat.

The gameplay features a more Hollywood style of action, upping the ante with heavily armed (Russian and Chinese) enemies and tense life-or-death scenarios. This franchise has succeeded on the strength of its wide-open multiplayer battlefields, and this version appears to offer even more open environments and freedom of exploration.

'Thief' (Square Enix/Eidos Montreal, 2014)

Developer Eidos Montreal is bringing back a classic first-person action game with "Thief."

After successfully moving the futuristic sci-fi "Deus Ex" action franchise forward with "Human Revolution" last year, the studio is going back in time with the fourth installment of "Thief." The game is a reimagining of the stealth gaming franchise rather than merely a sequel.

Players will once again take on the role of Garrett, a master thief, and explore a fantasy steampunk world brought to life for next-generation consoles. This story-driven game isn't about shooting, or even killing. In fact, like Arkane Studios' "Dishonored" last year, the entire game can be played without killing anyone.

Garrett uses his stealth and cunning to traverse the city's shadows and achieve various objectives, which, of course, include stealing priceless items. He also has an assortment of weapons, such as specialized arrows and swords.

The developer, which most recently worked on the multiplayer gameplay for "Tomb Raider," promises this game will have mainstream appeal while offering new challenges for hard-core fans of the franchise.

@highlight

Game makers converge on San Francisco for the Game Developers Conference

@highlight

Show offers sneak peeks at upcoming video games

@highlight

Highlights include action game "LEGO Marvel Super Heroes," horror title "Daylight"