(CNN) -- Jen Wang of Short Hills, New Jersey, took her first SAT when she was in sixth grade, long before she would start filling out college applications.

Wake Forest University recently announced it would no longer require the SAT for admissions.

"My family thought it was very important for me to do well on this test, and I basically obtained nearly every SAT study guide out there by the time I was a junior in high school," she said. "For Christmas one year, I received an electronic device that allowed me to practice the SAT's 'on-the-go.' "

After all that preparation, she ended up attending a school that has made the SAT Reasoning Test, generally known as the SAT, the most widely used college admissions exam in the United States, optional.

Her school, Connecticut College, is one of a growing number of colleges and universities that are making the SAT optional in the admissions process. In May, two highly selective schools -- Smith College in Massachusetts and Wake Forest University in North Carolina -- decided to drop the SAT and ACT, which some students take as an alternative to the SAT, as requirements for admission.

Wake Forest made the move as part of its efforts to increase socioeconomic, racial and ethnic diversity in the student body, said Martha Allman, director of admissions. Research has shown that SAT performance is linked with family income, and that the test by itself does not accurately predict success in college, she said.

Making the test optional "removes the barrier for those students who had everything else," like scholastic achievement and extracurricular activities, but who "maybe didn't do as well on a specific test," she said.  Smith College also cited the correlation between test scores and income as a motivation for making the exam optional, as well as a desire to take a more well-rounded view of applications. The changes at Smith and Wake Forest take effect for applicants seeking to enroll in the fall of 2009.

Several colleges and universities went test-optional in the 1990s amid concern that the test was a barrier to equal opportunity for minorities, women and low-income students, said Robert Schaeffer, public education director for FairTest. Some schools also dropped the test as a requirement with the explosion of test coaching, which gave upper-income kids an advantage.

Today, about 30 percent, or nearly 760 colleges and universities out of the approximately 2,500 accredited four-year institutions across America have made at least some standardized tests optional for some applicants, according to the nonprofit advocacy group FairTest.

Some of those schools, such as George Mason University in Virginia, still require the tests for prospective students who do not meet a particular GPA requirement in high school.  But Alana Klein, spokesperson for the College Board, which owns the SAT, said this is not a trend. While the news media have focused on recent moves to make the test optional, schools have been doing this for decades, and SAT test volumes are up 2 percent from last year, she said.   The poor performance of some low-income and minority students has to do with their lack of access to quality education, which is a national problem, but does not relate to the test itself, Klein said. The SAT is a fair test for all students, she said, and any test question that shows bias is removed.

"Not only is the SAT a critical tool for success in college, but also in the workforce and in life," she said.

At Bowdoin College, which hasn't required the SAT since 1969, the biggest benefit of the test-optional policy is the school's "unusually supportive community" where students don't compare scores, said William Shain, dean of admissions and financial aid.

But at this small liberal arts college in Maine, which admitted about 18 percent of applicants this year, more than 80 percent of applicants submit scores anyway, he said.

One of the downsides of keeping standardized tests optional is that it's harder to evaluate a large pool of candidates who all have high GPAs, he said.

Richard Atkinson, former president of the University of California, recommended in 2001 that the school system no longer require the SAT Reasoning Test for admission. He cited the concerns of African-Americans and Hispanics that these groups tend to perform worse on the exam than students of other ethnicities.

"The real basis of their concern, however, is that they have no way of knowing what the SAT measures and, therefore, have no basis for assessing its fairness or helping their children acquire the skills to do better," Atkinson said in 2001. The University of California system still requires the test today.  Several other schools dropped the test requirement for admissions after the revised SAT came out in 2005, after seeing that the new version did not address concerns about access and poor predictive value, FairTest's Schaeffer said.

Since spring 2005, 34 colleges and universities have made standardized testing optional for all applicants, according to FairTest. Four others made the requirement optional for students with a lower GPA, FairTest's data showed.  About 25 percent of liberal arts colleges have made a move in the test-optional direction, said Jack Maguire, chairman and founder of Maguire Associates. His consulting firm has advised certain colleges to become test-optional.  "I do think it improves a school's image," he said. "It shows what's important to schools, if they're really interested in increasing diversity."

Wang, who just finished her freshman year at Connecticut College, said she is torn on the SAT debate -- the test sharpened her vocabulary and test-taking skills, but preparation took up a lot of time that could have been spent doing other things.

"Applicants may take too much time on prepping for this test and their time can be better spent dedicating themselves to other activities that could show colleges what the applicants really find meaningful in their lives," she said.

@highlight

Smith College and Wake Forest University no longer require the SAT for admissions

@highlight

Nearly 760 institutions have made a step in this direction, advocacy group says

@highlight

Schools say SAT is biased against students who can't afford preparation

@highlight

The College Board, which owns the SAT, says test is a good predictor of success