(CNN) -- Researchers around the world are being asked to help stop the largest known Ebola outbreak in history.

An emergency research "all call" was issued Thursday by Wellcome Trust and the United Kingdom's Department for International Development amid rising cases of Ebola Hemorrhagic Fever in the west African countries of Guinea, Liberia, Nigeria and Sierra Leone.

Money for Ebola research will be made available from a $10.8 million initiative funded by the trust and the government department. Wellcome Trust is also making an additional five-year commitment for $66.5 million to "develop the next generation of African health researchers," it said in a statement.

This money will go toward sub-Saharan scientists who are studying neglected tropical diseases, HIV, tuberculosis and other diseases, according to a press release.

Experts are being asked to submit their proposals for treatments, details on Ebola and how it spreads, along with strategies on how to prevent its transmission. These proposals will be reviewed immediately, the statement said, so that research can start as soon as possible.

"We are launching an emergency call for research to strengthen what we know about Ebola and how it spreads," International Development Secretary Justine Greening said in a statement. "This will help us better equip those working on the ground so they can tackle the outbreak as effectively as possible and prevent more people contracting this terrible disease."

Wellcome Trust Director Dr Jeremy Farrar says the gravity of the Ebola epidemic demands an "urgent response."

"We believe rapid research into humanitarian interventions and therapeutics can have an impact on treatment and containment during the present outbreak. What we learn could also change the way we approach future outbreaks, providing us with tested tools and techniques that were not available to public health authorities this time," he said.

In an opinion piece published in the journal Nature on Wednesday, Oxford University epidemiologist Oliver Brady said "tens of thousands of doses of experimental drugs are needed to fight" the deadly Ebola outbreak happening in the West African countries of Guinea, Liberia, Nigeria and Sierra Leone.

As of Wednesday, the number of deaths from Ebola had reached 1,350, according to the World Health Organization.

Brady and two of his colleagues pooled available data to estimate how many doses would be required to fight the epidemic, identifying key risk groups that require help and looking at probable levels of exposure. They found "up to 30,000 people so far would have required experimental drugs and vaccines" in the current outbreak.

They concluded that the demand for medicine to treat people with Ebola and prevent further transmission is likely to be higher than most experts realize. Brady warned that both production and distribution must be scaled up to allow for equitable roll-out of any experimental drugs.

Currently there is no approved or scientifically proven drugs to treat Ebola, and no vaccine. Treatment consists of giving fluids, monitoring vital signs and responding to acute medical crisis. Finding that treatment is key in preventing future outbreaks and the spread of the disease, experts say.

Already several experimental drugs are in development. One, ZMapp was given to Americans Nancy Writebol and Dr. Kent Brantly when they were seriously ill. Both seem to be doing well in a hospital in Atlanta. More recently, the drug was given to three health care workers in Liberia who are also recovering.

But researchers say there still isn't enough evidence to say whether the drug will be effective in other patients.

There is continuing pressure on drug companies and researchers to produce a treatment that could work for the masses. The immediate need has put the U.S. Food and Drug Administration drug approval process to the test and challenged them to be more lenient.

The Ebola therapy drug TKM-Ebola has already been tested for safety in small clinical trials, but until now wasn't approved by the FDA for use in patients.

A shipment of 800 to 1,000 doses of the vaccine, known as VSV-EBOV, were delivered to health officials in Liberia, as a donation from the Public Health Agency of Canada last week. It's unclear if anyone in West Africa has received the vaccine.

The Canadian agency said its stockpile is gone. Mapp Biopharmaceuticals,which produces ZMapp, said it has also sent its entire stock of the experimental drug overseas.

Only the facts: Ebola experimental drugs

@highlight

NEW: Global initiative against outbreak, disease announced in UK

@highlight

Epidemiologist says 30,00 people would require experimental drugs, vaccines

@highlight

WHO: Number of deaths in Ebola outbreak has reached 1,350

@highlight

Right now there is no proven treatment or vaccine for Ebola