(Health.com) -- Low levels of vitamin D have been linked to an array of health problems, including bone fractures, heart disease, and depression. Efforts to prevent these and other ills by prescribing vitamin D supplements haven't always panned out, however.

Now vitamin D seems to have struck out against the common cold.

Although the nutrient is thought to play a key role in immune function, a new clinical trial suggests that even high doses of supplements are powerless to ward off upper respiratory tract infection -- an umbrella diagnosis that covers colds and flu, as well as sinus infections and other related problems.

The study, which was published this week in the Journal of the American Medical Association, included 322 healthy adults in New Zealand and found that those who took large monthly doses of vitamin D developed just as many infections over an 18-month period as their counterparts who took a placebo.

The people in the vitamin D group came down with an average of 3.7 bouts of cold or flu, compared to 3.8 in the placebo group -- a statistically negligible difference. Nor did vitamin D have any measurable impact on the severity of symptoms, their duration (about 12 days per episode in each group), or the number of workdays missed.

Health.com: Superfoods that fight colds

The findings reinforce the uncertainty surrounding vitamin D and cold prevention. At least two previous clinical trials have produced similarly disappointing results, although some research has been more promising. A placebo-controlled study published in August, for instance, found that supplements halved the incidence of colds in vitamin-D deficient schoolchildren.

But the new study is the first to examine the real-world effects of supplements in adults with healthy vitamin D levels.

And the results suggest that raising vitamin D levels above average doesn't provide additional protection against colds, says Dr. Jeffrey Linder, an associate physician at Brigham and Women's Hospital in Boston.

Vitamin D, he adds, should probably be placed alongside the many other popular cold-and-flu remedies -- such as vitamin C, zinc, echinacea, and garlic -- whose supposed benefits have not stood up to clinical trials.

"Colds are inevitable. We all get them, and they make us all miserable, and I don't think we're going to come up with a way around that," says Lister, who wrote an editorial accompanying the study.

"Besides eating a balanced diet with lots of vitamins and minerals, and exercising, and generally living a healthy life, it's unlikely that we're going to find one single pill or cure that's going to prevent them or lessen their severity."

Health.com: How to stop a cold in its tracks

Dr. David Murdoch, the lead author of the study and a pathologist at the University of Otago, in New Zealand, says it's too soon to rule out vitamin D for cold prevention altogether.

More research will be needed to confirm that supplements lack cold-fighting properties, he says, and to determine whether certain types of infections or certain populations respond to the added nutrient better than others.

"This study highlights the need for good quality studies to look at each potential health benefit before making broad recommendations," Murdoch says. "The beneficial evidence for immunity (is) still being sorted out, so we still need to focus on the evidence."

Health.com: 12 ways to get your daily vitamin D

Vitamin D is not found naturally in most foods, but some products, like milk, are fortified to include it. Our bodies also make the vitamin when our skin is exposed to sunlight.

Spending a few minutes outside each day is typically enough to maintain healthy vitamin D levels, but many people fall short -- especially in the wintertime -- and may want to ask their doctor about supplements.

Supplements for run-of-the-mill vitamin-D deficiency are different from those used in the study.

In order to ensure that everyone received a full dose, the researchers gave the participants 200,000 international units (IU) once a month for the first two months, and then 100,000 IU a month after that. That works out to about 3,300 IU per dayâ€”more than five times the recommended daily intake (600 IU) for most adults.

Copyright Health Magazine 2011

@highlight

Vitamin D is thought to play a key role in immune function

@highlight

But a new study shows it's ineffective in warding off colds, flu and sinus infections

@highlight

The study is the first to measure effects of supplements in adults with healthy vitamin D levels