St. Petersburg, Russia (CNN) -- Vladimir Putin was out on a mission here in his hometown to re-boot his languishing economy after political moves involving Ukraine scared off investors in the past half year.

While voters were readying for an election this weekend in Ukraine, the Russian president spent 48 hours at the St. Petersburg International Economic Forum to convey a message to those in attendance, his domestic constituency and investors watching our coverage from abroad.

The images showed an engaged leader in constant dialogue with corporate titans and one helping to support dealmaking.

Putin stood proudly behind Igor Sechin, the CEO of his energy giant Rosneft, as he finalized a recent agreement with his counterpart Marco Tronchetti Provera of Italian tire manufacturer Pirelli.

The signing of seven agreements on Saturday capped off a week where Putin orchestrated a $400bn, 30-year agreement with China to export natural gas.

To underscore that moment, he invited a Chinese vice-premier to his annual roundtable. Bringing him here reinforced the new partnership and illustrates to the world Russia is moving east to Asia to capture business.

Alexey Ulyukaev, Russia Economic Development Minister and a member of "Team Putin" told a CNN emerging markets roundtable here at SPIEF. "This is our message: nothing personal, nothing political, just business."

Impact of Crimea

But politics and business have clashed over Ukraine.

President Putin's move to annex Crimea may have boosted his poll ratings at home, but it certainly has not helped his standing in global business. U.S. and EU sanctions prompted capital flight of $60bn in the first quarter. More worrying, cabinet ministers and business leaders told me, it's holding back decision making.

"This problem is not the sanctions themselves which are in place at the moment," said Dmitry Konov, CEO of the Russian natural gas and petro-chemical group Sibur, "but rather that most of our partners don't know what to expect if anything."

That uncertainty is hitting an economy already in decline. Russia was growing 4% back in 2010, but it has taken a staircase lower to just over 1% last year. It is projected to barely expand this year, according to the International Monetary Fund.

There is also the potential danger of global contagion by trying to isolate a near $2 trillion economy like Russia.

"It's very difficult to solve the problem without engagement, "said Mustafa Abdel-Wadood, Chairman of the Executive Committee at private equity firm Abraaj Group.

"I don't think we'll find solution without engagement. And I would apply it to both: commercial and political decisions," he added.

After the final event of the forum, Sechin of Rosneft told me constant questions on sanctions don't help matters.

He has been the target of U.S. sanctions limiting his ability to travel there for business with partners such as Exxon-Mobil.

"I suggest we don't discuss the sanctions anymore because it is counterproductive," he said, adding, "The increased attention to sanctions and discussion of sanctions significantly increase their importance."

Corporate leaders understand that Putin and his team want to turn the page on Ukraine, but there is another reality. Beyond all the efforts to convey a message of "business as usual," investors who attended the forum said they want to see how the Kremlin responds to events after the Ukraine election.

Read more: Russia's Davos: Where Vladimir Putin has gone from powerhouse to pariah

@highlight

Russia has been hosting the May 22-24 St. Petersburg International Economic Forum

@highlight

Russian President Vladimir Putin spent 48 hours at the business gathering

@highlight

He gave the impression of an engaged leader aiding dealmaking, John Defterios says

@highlight

But Defterios says the annexing of Crimea has not helped Putin's standing in global business