Porto Santo Stefano, Italy (CNN) -- On board the Costa Concordia, thousands of passengers were dining, drinking, attending a magic show, perhaps trying their luck in the casino.

It was Friday night on the luxury cruise liner, sailing in the Mediterranean off the Italian coast with about 3,200 passengers and 1,000 crew members -- a night of entertainment and relaxation.

There was annoyance, but no real alarm, when the lights went out -- not at first. Passenger Vivian Shafer said she thought it was part of the magic show.

But those on board then heard an ominous scraping sound, and the 951-foot vessel gave a shudder. The ship began to list to one side.

Still, many passengers were not panicked. Shafer said they were told the problem was electrical and would be fixed soon. Her cabin steward told her there was nothing to worry about.

But there was plenty to worry about: the Concordia had struck rocks off Italy's Giglio Island and was taking on water.

As it dawned on them that something was wrong, passengers headed toward the lifeboats -- accessible only on one side of the leaning ship.

According to passengers' accounts, chaos ensued as guests rushed to fill the lifeboats and escape the ship. Some crew members helped passengers and then jumped overboard, passengers said; remaining crew members seemed helpless to handle the melee.

"Women and children first," a lifeboat crew member announced -- meaning families who were clinging to one another had to be separated. Passenger Benji Smith, who was on his honeymoon, made a rope ladder to climb down from the outer fourth deck to the third deck. He and his wife Emily clung to the ladder for more than three hours before they were picked up by a lifeboat.

"You were going higher and higher, and you were on a vertical position," said Rosalyn Rincon, a dancer aboard the ship. "I was holding on to the railing." Noise and creaks could be heard, she said. "It was very, very scary."

Amanda Warrick, on the cruise with her brothers, said she thought several times that she might die. She and her siblings waited for at least an hour and a half for help after all the lifeboats had departed.

"Waiting was definitely the worst," she said. "Because we didn't know who was going to be coming, how much longer we would have to wait."

Crew members were hard to find in the confusion, and little to no information was available about what to do or what was happening, passengers have said. Shafer said she wished the crew had directed passengers to grab warm clothes, coats or shoes, as there was time for them to do so. Authorities said no mayday distress signal was issued by the ship and are investigating.

"The crew tried hard but they kept telling us they had no information," said American Nancy Lofaro. "It wasn't until an hour into this situation that we got into a lifeboat and were lowered."

In the haste, some lifeboats malfunctioned or were not operated properly, some said.

"At one point we were being lowered, and we were sliding off to one side," Lofaro said. "Everyone fell into one side of the boat and were slamming into the ship. This happened a few times over 30 seconds. And finally we were lowered into the water level. It took 30 minutes to get to shore ... the lifeboats were slamming into each other. It was chaos."

Lifeboats on the ship's higher side became stuck, leaving people suspended in mid-air amid the screams and cries of children, said passenger Laurie Willits.

Some passengers braved the water, with a temperature of about 57 degrees, and swam to safety. Others had no choice, as they fell into the chilly water. Nighttime temperatures on Giglio have recently dipped below freezing.

On shore, sirens blared as some of the 20 injured were taken to hospitals. Helicopters plucked some passengers off the ship's decks.

Many of those rescued were taken to churches and other buildings for shelter, some of them wearing the pajamas and slippers they had on when they left the ship.

Cruise passengers are required by law to attend a safety briefing within 24 hours of embarkation. But passenger Benji Smith said the briefing was more of a "sales pitch" for shore excursions. Others, who embarked at Civitavecchia, about an hour's train ride from Rome, had yet to have the briefing.

As the Concordia came to rest on its side, a huge gash in its hull, rescue efforts were launched to locate those left unaccounted for, with rescuers working underwater in near-total darkness to scour the ship -- which has 17 decks and some 1,500 cabins, eight bars, five restaurants, four swimming pools and a casino.

Three survivors were found -- an Italian purser and two South Korean honeymooners. However, others were not so lucky. The bodies of two elderly people, both wearing life jackets, were found near one of the ship's restaurants. And a 65-year-old woman died after suffering a heart attack, authorities said.

Another body was found Monday, bringing the death toll to six. That toll could rise, especially in light of Italian coast guard chief Marco Brusco's revelation in a television interview, as reported by the state ANSA news agency, that 29 people are unaccounted for. That figure includes two of the 120 Americans who were aboard the ship, the U.S. Embassy in Italy said.

Rescue efforts were suspended for a few hours Monday after the vessel began to shift and move, Giglio Mayor Sergio Ortelli said. They resumed later in the day, although the Italian coast guard said it was concerned about increasing winds in the forecast. Rough seas were also forecast for the area on Monday.

Pier Luigi Foschi, Costa Cruises chairman and chief executive, told reporters he holds out hope others may still be alive.

The ship has about 2,300 tons of fuel on board, Foschi said, adding that so far there is "absolutely no evidence of fuel leaking into the sea."

As rescuers worked to find survivors and recover bodies, the Italian Coast Guard -- as well as Carnival Corporation, the parent company of Costa Cruises -- launched investigations into what went wrong.

On Saturday, the ship's captain, Francesco Schettino, was detained and faces possible charges of manslaughter, causing a shipwreck and abandoning ship while passengers were still on board, authorities said. The ship's data recorders were seized and were being analyzed by prosecutors.

Schettino has denied abandoning ship, saying he and his crew were the last to leave the Concordia. Speaking on Italian television, he insisted the rocks were not marked on his map.

However, the coast guard maintained the waters are well-mapped, and local fishermen say Giglio's coast is known for its rocky sea floor. The Concordia was too close to the island, authorities have said, and was investigating why.

One potential theory: Apparently the Concordia had a tradition of "a kind of fly-by" with Giglio island, where it would approach the island, those on board would wave and the ship would sound its horn, said CNN's Dan Rivers. It was unclear whether such a maneuver was being attempted and the ship got too close.

On Sunday, Costa Cruises said in a statement there may have been "significant human error" on Schettino's part.

"The route of the vessel appears to have been too close to the shore, and the captain's judgment in handling the emergency appears to have not followed standard Costa procedures," the statement said.

However, Costa also defended its crew, saying crew members "acted bravely and swiftly to help evacuate more than 4,000 individuals during a very challenging situation."

Schettino's attorney, Bruno Leporatti, said in a statement Monday the captain was "shattered, dismayed, saddened for the loss of lives and strongly disturbed" over the incident.

But, he said, Schettino was "comforted by the fact that he maintained during those moments the necessary lucidity to put in place a difficult emergency maneuver" -- steering the boat into shallow water, which saved lives.

Schettino is set to appear in court Tuesday, where he will be questioned in a closed hearing.

CNN's Mari Ramos and Ashley Hayes contributed to this report from Atlanta, along with CNN's Greg Botelho and Josh Levs. CNN's Dan Rivers and journalist Barbie Nadeau contributed from Porto Santo Stefano, Italy.

@highlight

NEW: 29 are unaccounted for from the ship, Italy's coast guard chief says

@highlight

The Costa Concordia struck rocks and began taking on water Friday night

@highlight

Passengers recount a chaotic scene as thousands rushed for lifeboats

@highlight

The cruise line says there may have been "significant human error"