(CNN) -- In case you've avoided reading what may be the more depressing reports in the history of the natural world, the awful take-away is basically this: Half the animals of planet Earth have disappeared since 1970, and much of it is the fault of humans.

Yep, you read that right.

Half of the world's vertebrate animal populations are gone.

And it happened in only the span of two generations, according the Living Planet Report, which was published on Tuesday by the environmental group WWF, in collaboration with the Global Footprint Network, Water Footprint Network and the Zoological Society of London. "In other words," the report says, "vertebrate species populations across the globe are, on average, about half the size they were 40 years ago."

^%&*!

That's mind-blowingly infuriating.

And it's worse for some species and regions, in particular.

The report overall considers 10,380 populations of 3,038 species of mammals, birds, reptiles, amphibians and fish, and says populations have declined by 52% between 1970 and 2010.

But for freshwater fish and other species, the drop is 76%. And for for species in the Neotropics, which includes Central and South America, the decline is 83%.

Just wow.

Marco Lambertini, director general of WWF, writes that, "This has to make us stop and think." He's correct, of course. But we can't stop at the thinking. We need prompt, dramatic action.

The report says that we need 1Â½ Earths in order to "meet the demands humanity currently makes on nature." That means we need to consume less, waste less, farm more efficiently, use water in a much smarter way and reduce our overall footprint. We need to stop chopping down forests and work to repair those that are gone. The majority of people now lives in cities (54%, according to the World Health Organization), which is a fine enough trend, but those cities need to become drastically smarter. Sprawl must be left in the rear-view mirror of our former SUVs.

All that, and we must take swift action to curb carbon pollution.

The massive rallies around the recent UN climate summit should make that clear.

"Climate change has already been linked to the population decline and possible extinction of a number of amphibian species in the Neotropics and in Australia," the Living Planet Report says. "In the Arctic, the effects of a rapidly warming climate have been suggested as likely causes of decline in body condition and numbers in many polar bear and caribou populations."

This stuff is depressing, but the report does offer signs of hope.

It relays a case study from Belize, for example, which started estimating the financial value of protecting ecological resources, particularly those along the coast. "Belize's coastal and ocean ecosystems provide services worth up to $559 million per year -- equivalent to 43% of GDP," the report says. Facts like that make it clear why there's a financial as well as moral incentive to protect our remaining natural resources.

The authors cite wind farms in Denmark as another success.

"December 2013 marked a significant milestone, when wind power provided an equivalent of 57.4% of Denmark's electricity consumption -- the first time ever that wind power supplied more than half of a country's electricity needs for a whole month. December 21 set another record, with wind turbines generating the equivalent of 102% of Danish electricity consumption," the authors write.

I'm glad those positive notes are included -- because there's a real risk of reading too much doom and gloom into this report. I called up Stuart Pimm, Doris Duke professor of conservation ecology at Duke University, and found he shares that point of view.

Pimm is an author of a study, published earlier this year, that found species are disappearing at a rate "1,000 times faster than they should be," as he put it.

But things aren't as bad as the WWF report makes it sound, he said.

"Overall, there is no question that the status of biodiversity is going down -- that things are not improving," he told me. "That said, I'm not a fan of this Living Planet Index. The reason is it sort of mixes up apples and oranges and lots of other fruit, too, for that manner. It's a little difficult to unpack exactly what it means. There are many people in the media who assumed it means 50% of species have gone extinct in the last 40 years -- and that's not true." Instead, the report claims 50% of some vertebrate populations have disappeared. But a single species could still exist with a smaller population size.

Assessing individual ecosystems and species is more useful, he said.

The risk of considering so many species -- and so many types of data -- in a single report, Pimm said, is that it can make action seem impossible.

And, for him and others, that's not the case.

There's much to be done.

We can set aside protected habitats, put firm caps on carbon emissions, break up gangs that trade in illegal wildlife parts and continue to fund scientific exploration to ensure their safety and continued viability.

Pimm highlighted a number of conservation success stories, including the fact that Brazil has reduced deforestation drastically in recent years -- and that the world has made strides in protecting ecosystems. The world has set targets to protect 17% for "terrestrial and inland water" ecosystems, and 10% for "coastal and marine areas."

We should move urgently in that direction.

The point is that we know which direction to move in.

It's bad out there, but it's sure not hopeless.

We need to celebrate the species that remain -- from the penguin to the pangolin (especially the pangolin) -- and commit to a path of global economic development that embraces the intrinsic and economic value of the natural world.

This report -- and a host of others -- shouldn't be a total downer. They should be read as a clarion call for action.

@highlight

WWF report: Vertebrate populations decline by 52% since 1970

@highlight

John Sutter writes urgent action is needed to save the natural world

@highlight

Sutter: "It's bad out there, but it's sure not hopeless"