(CNN) -- Some 10,000 demonstrators against the Ukraine's decision to not sign a landmark trade deal with the European Union descended on a square outside a monastery early Saturday in response to a police crackdown on the earlier protests.

The emboldened demonstrators waved Ukrainian and EU flags and sang the national anthem outside the St. Michael's Golden-Domed Monastery, where groups of protesters retreated earlier after a sweep by riot police left seven people hospitalized and dozens under arrest at Independence Square.

Three top opposition leaders called for resignation of President Viktor Yanukovych as well as new presidential and parliamentary elections, according to a statement released by Vitaliy Klitchko, Arseniy Yatsenyuk and Oleg Tyagnybok.

"We have to unite in order to punch," said Klitschko, a Ukrainian boxer and opposition leader. "We have to unite all together. I alone will not be able to do it...We will not be able to do anything without the support of the people. We have to unite."

Chants of "Knockout the criminal!" rose from the square.

Yatsenyuk said the president has "the blood of our children, the blood of students, the blood of youth on his hands."

Yanukovich, in a statement posted on his website, condemned the violence and said he supported "peaceful civil protest." He vowed to punish those responsible.

Separately, in a post on his Facebook page, Prime Minister Mykola Azaroz said he was "outraged" by events at Independence Square but said it was too early to make "firm conclusions." He said an investigation was under way.

"Now one thing is clear: the one who is not interested in such a scenario ... is the government," said the statement, according to a translation by the national news agency. "On the contrary, our task is to maintain peace and stability in the country."

Earlier Saturday, riot police detained at least 35 people after peaceful protesters thronged the main square in the capital, Kiev, to voice displeasure with the decision of Yanukovych's government to suspend the EU talks last week.

But riot police stepped in early Saturday and "brutally dispersed" several hundred people who were demonstrating peacefully in support of Ukraine's European integration, according to a statement from Poland's Ministry of Foreign Affairs.

"Forceful dispersion of peaceful demonstrations does not help the cause of Ukraine's integration with Europe," ministry spokesman Marcin Wojciechowski said. "We caution Ukrainian authorities against using force as it may carry unpredictable and irrevocable consequences."

The United States condemned what it called "violence against protesters" in a statement posted online by the U.S. Embassy in Kiev.

A statement released Saturday by the U.S. State Department said, "We urge Ukraine's leaders to respect their people's right to freedom of expression and assembly... We call on the Government of Ukraine to foster a positive environment for civil society and to protect the rights of all Ukrainians to express their views on their country's future in a constructive and peaceful manner in [Kiev] and in other parts of the country. Violence and intimidation should have no place in today's Ukraine."

State news agency Ukrinform cited the Ukrainian Interior Ministry as saying the use of force by riot police was prompted by "provocations" by protesters.

The protesters "started throwing garbage, glasses, water bottles and burning sticks onto the law enforcers. Thereafter, the police pushed protesters from the Independence Square," the ministry is quoted as saying.

Police detained 35 demonstrators early Saturday for hooliganism and resistance to law enforcement officials, Ukrinform cited police as saying. They have since been released, the news agency said.

Ukrinform quoted Kiev police as saying that riot police were called in after protesters began throwing objects at law enforcement officers who were moving equipment into independence Square ahead of New Year holidays.

Some 35 people sought medical help in the wake of the clashes, the news agency quoted the head of Kiev's ambulance service as saying.

Tear gas and batons were also used against demonstrators earlier in the week as they clashed with police.

'Extreme danger for Ukraine'

European lawmakers and diplomats reacted with alarm to news of Saturday's crackdown on protesters.

Stefan Fule, the EU commissioner responsible for enlargement of the bloc, said via Twitter that he was "following events with great concern;" he urged authorities "to refrain from use of force against those peacefully expressing their views."

The authorities in Ukraine may have refrained from signing the agreement, he said, "but they should not refrain from respecting freedom of assembly & expression."

Swedish Foreign Minister Carl Bildt tweeted: "I fear that Yanukovich has decided on a policy of repression. But still hope that other voices will speak up. Extreme danger for Ukraine."

He added, "Authorities in Kiev must fully respect the freedom of expression and the right to peaceful manifestations. These are core European values."

Britain's envoy to Ukraine, Simon Smith, tweeted that he was "hugely disturbed this morning to see pictures of deplorable intimidatory violence" against a peaceful protest in Kiev.

The proposed landmark deal, the EU's "Eastern Partnership," was aimed at creating closer political and economic ties and fostering economic growth among the nations of Eastern Europe and the Caucasus, including Ukraine, Moldova, Georgia, Armenia, Azerbaijan and Belarus.

Georgia, Moldova and Azerbaijan all took steps toward closer EU integration at a summit in Vilnius, Lithuania, on Friday, but Ukraine did not sign an association agreement as expected.

Speaking in Vilnius, Yanukovych indicated the door wasn't shut to closer EU integration in the future, but said further negotiations were needed to protect Ukrainians from economic harm.

"I reaffirm the intentions of Ukraine to sign the association agreement in the nearest future," he said.

Economic pressure

Independence Square was the scene of huge popular protests in 2004, when the so-called "Orange Revolution" resulted in a new presidential vote after a rigged election was annulled.

The response to the thwarted EU deal has put scenes of protest there back on TV screens around the world.

But Ukraine's president is in a tight spot. Under severe economic pressure from his country's giant neighbor, Russia, not to join the EU, he also was facing a key EU demand that he was unwilling to meet: free former Prime Minister Yulia Tymoshenko, his political opponent.

Two years ago, in a case widely seen as politically motivated, she was found guilty of abuse of office in a Russian gas deal and sentenced to seven years in prison. Her supporters say she needs to travel abroad for medical treatment.

Yanukovych will discuss with German Chancellor Angela Merkel plans to hold trilateral talks among Ukraine, Russia and the European Union on trade and economic cooperation, Ukrinform quoted Ukraine's deputy prime minister as saying Saturday.

Russia wants Ukraine to join its Customs Union trade bloc, which also includes Kazakhstan and Belarus.

Yanukovych 'unmasked'

Tymoshenko's daughter, Eugenia Tymoshenko, told CNN on Friday that Yanukovych's decision not to go ahead with the EU agreement revealed his true motivations.

"After Yanukovych rejected the signature, he took off his mask," she said. "Now we can see his real, true authoritarian face and that he never really intended to go towards Europe or, moreover, fulfill the criteria for the democratization of Ukraine."

David Kramer of Freedom House, a U.S.-based nongovernmental organization, said: "Yanukovych has decided it's more important to keep Tymoshenko in prison than to integrate Ukraine closer toward Europe. He has left his country vulnerable to Vladimir Putin's threats and pressure. That will be Yanukovych's legacy if he doesn't reverse course."

CNN's Boriana Milanova and Jill Dougherty contributed to this report.

@highlight

New: 10,000 demonstrators gather after violent police crackdown; opposition leaders call for president's resignation

@highlight

Riot police detain dozens of protesters in Kiev's main square -- state media

@highlight

United States condemns "violence against protesters" in Independence Square

@highlight

Interior Ministry says riot police responded to "provocations by protesters" -- state media