Leicester, England (CNN)"God save King Richard!" A cry rings out in the bright spring air as the simple oak coffin of Richard III is carried away from the tower block-filled campus of the University of Leicester for the final time.

The medieval monarch's skeleton has been kept at the university since its discovery beneath a council car parking lot in the city sparked excitement around the world in August 2012.

But on Sunday the bones -- which have been studied by archaeologists and experts from all fields in the years since -- ended their tenure as scientific specimens and became, once more, the mortal remains of a king.

Some 35,000 people lined the streets of Leicester and the surrounding towns and villages as the cortege wound its way through the countryside to the site of Richard's final battle, Bosworth, where he died in 1485, before returning to the city for a commemoration at Leicester Cathedral.

The day began on the freshly-mown lawns in front of the university's Fielding Johnson Building, where a crowd gathered for a solemn service of farewell, dignitaries dressed in their Sunday best alongside students and local families clad in jeans and waterproof jackets in case of a March shower.

Leicester University student Anna Boyer, from North Carolina, said she and her classmates had come to watch the ceremony "so I can say I was here," adding: "It's an important historical event -- we don't have things like this in the States."

Leicester alumni Sara and Leeroy Paskell brought their daughters Saoirse, 6, and Orlaith, 9, to watch the cortege pass by. "We thought it would be nice for the children to see it," said Sara Paskell. "It is amazing to be part of history, it makes me really proud of the university and of Leicester."

That pride is something which those who helped in the search for Richard III share.

Leicester University's president and vice-chancellor Paul Boyle said the discovery of the bones had been a "defining moment" which "reshaped history," and pointed out that the university had been custodian of Richard III's remains for longer than he ruled England.

Genetics expert Turi King, who proved the identity of the bones by matching their DNA to a living relative of the monarch, Michael Ibsen, said: "It has been an amazing project to be part of -- we all feel very privileged to be involved."

King, who read Robert Frost's poem "The Road Not Taken" at the university service and laid a white rose -- a reminder of Richard's heritage as a member of the House of York -- on the coffin, said she considered the commemorations the end of a chapter in his story, but not the end of the story itself; she is still working to sequence his entire genome.

Michael Ibsen and another living relative of Richard III, Wendy Duldig, were there as the hearse carrying the coffin pulled away from the somber grey-brown bricks of the Fielding Johnson Building; accompanied by archaeologist Richard Buckley, who led the dig which uncovered the King's bones, they walked silently behind as the cortege's journey began.

Thousands of people lined the route of the procession, out through the Leicestershire villages visited by Richard III on his way to the Battle of Bosworth.

Perched on fold-up picnic chairs they gathered on roadside verges, along pavements decorated with bunting, flags and paper chains of white Yorkist roses, and in pub car parks to be entertained by folk dancers as they waited for the coffin to pass by.

At Fenn Lane Farm, thought to be the closest location to the spot where Richard III died, earth from three key points in his life was placed in a casket carved with his symbol, a boar.

The casket, and the procession, then made their way to Bosworth, where they were greeted by men dressed in medieval armor. Here, Richard's role as a "warrior king" was commemorated and tributes were paid to the others who died fighting alongside him. A beacon, which will burn until he is laid to rest on Thursday, was lit on the battlefield.

Back in Leicester, thousands more gathered around the cathedral and in nearby Jubilee Square.

Waiting to go in to the service, Judy Ellis, from the nearby town of Hinckley, said there was a "real buzz" around the city. "It's quite exciting, coming over on the train I met people who'd come from all over the world to be in Leicester today."

Ellis, who named her son Richard, said she had used the parking lot where the king's remains were found.

"Four days before the dig started I parked my car over that grave!" she said.

Adults -- some carrying single white roses and others wearing boar badges -- in village churches along the route watched the services play out on a big screen as children ran around in the late afternoon sunshine while they waited for Richard's return.

In 1485, the defeated king's body was treated with little sense of occasion. It is said to have been slung naked over a horse and taken to Leicester, where it was put on display for three days before being hurriedly crammed into a too-small plot in the Grey Friars Church.

More than five centuries on, those who sparked the search for Richard III's remains were determined to put right that ancient wrong by giving him a more fitting farewell.

Philippa Langley, who led the "Looking for Richard" project, said its aim was "to give Richard what he didn't get in 1485 ... to recognize what went on in the past, but not repeat it, to make peace with the past."

To that end, the king's skeleton is to be given two things it did not have before: a coffin and proper burial rites.

The coffin is a simple affair: English oak and yew, made by Richard's relative Michael Ibsen who, as chance would have it, is a cabinet maker by trade; it is carved with the king's name and a white rose.

The burial rites are somewhat more complicated: they have entailed the rebuilding of parts of Leicester's cathedral, a guest list numbering into the thousands and delicate questions of location and religion.

But with those puzzles overcome, the first of several high profile pre-reinterment services was held Sunday evening: The coffin was carried through the city on a gun carriage, accompanied by two "knights" in full suits of armor, riding on horseback, to the cathedral.

Those who had gathered to pay tribute to Richard III threw roses into the procession's path as it passed the new visitor center which has been built over his original resting place.

As the city's church bells tolled and dusk began to fall, the coffin was lifted onto the shoulders of the pallbearers and taken into the cathedral, accompanied by four official "mourners" -- descendants of some of those who fought with Richard at Bosworth.

Once inside, it was covered with a heavily-embroidered cloth, and a Bible and specially-commissioned crown were laid atop the casket, the latter by a local Brownie, 9-year-old Emma Chamberlain, whose height meant a step had to be placed next to the coffin to allow her to reach it.

In his sermon, the Archbishop of Westminster, Cardinal Vincent Nichols alluded to Richard III's controversial reputation and "tumultuous life," which had seen moments of "astonishing brutality."

Nichols said the king's short reign was "marked by unrest and the fatal seepage of loyalty and support" but insisted that he was also "a man of prayer, a man of anxious devotion" and one who had done good for his people.

As those who had attended filed back out into the darkening spring evening, one final illuminated tribute was paid: the initials RIII and a crown were projected onto the cathedral's tower, while nearby, white roses surrounded a statue of the king.

As she left the service, Victoria McKeown, who won a ticket to the event, said the experience had been "brilliant" and the memorial "absolutely lovely."

"It's a lovely way to spend a Sunday evening -- not like being at home doing the ironing," she told CNN. "It's part of history: I can say 'I've been to a king's funeral.'"

@highlight

Richard III will finally be laid to rest in Leicester Cathedral this week

@highlight

On Sunday his remains were taken from the city's university to the site of his final battle, Bosworth

@highlight

The bones, in a coffin made by a living relative of the king, are now lying 'in repose' at the cathedral