Editor's note: Janet Tavakoli is president of Chicago-based Tavakoli Structured Finance and the author of "Dear Mr. Buffett: What An Investor Learns 1,269 Miles From Wall Street" (Wiley, 2009), a book about the causes of the global financial meltdown. Her company is a consulting firm for institutions and institutional investors on derivatives, the securitization of assets, and mergers and acquisitions. Her firm has done work for investment banks but not for Goldman Sachs; she worked for the company in the 1980s.

Janet Tavakoli says Goldman Sachs' record profits were enabled by the taxpayer-funded bailout.

CHICAGO, Illinois (CNN) -- Goldman Sachs Group Inc. announced record earnings Tuesday of $3.44 billion for the second quarter of 2009.

Goldman's stock price leapt 77 percent for the first half of 2009, and closed Tuesday at $149.66 a share.

Without an ongoing series of front- and backdoor bailouts financed by U.S. taxpayers, most of Goldman's record profits would not have been possible.

In April 2009, Goldman Sachs' CEO, Lloyd Blankfein, who received record salary and bonus compensation of $68.5 million in 2007, said that bonus decisions made before the credit crisis looked "self-serving and greedy in hindsight." Now, they look self-serving and greedy with foresight.

Goldman set aside $11.4 billion for employee compensation and benefits, up 33 percent from last year. That's enough to pay each employee more than $390,000, just for the first six months of this year.

In June, Goldman bought back its preferred shares, repaying $10 billion it received from the government's Troubled Asset Relief Program, or TARP, and setting it free of limits on executive compensation and dividends.

But pay is not the key issue. U.S. taxpayers deserve a large cut of the profits, not the chump change -- less than a half-billion dollars -- they got from preferred shares in the company and the relatively small amount they could get from warrants in its stock.

U.S. taxpayers should insist that a large part of Goldman's revenues and profits belong to the American public. TARP money was just part of a series of bailouts and concessions that allowed Goldman to prosper at the expense of a flawed regulatory system.

In March 2008, Goldman, a primary dealer in Treasury securities, was among the beneficiaries of a massive backdoor bailout by the Federal Reserve Bank. At the time, Henry Paulson, former CEO of Goldman Sachs, was treasury secretary.

In an unprecedented move, the Fed created a Term Securities Lending Facility, or TSLF, that allowed primary dealers like Goldman to give non-government-guaranteed "triple-A" rated assets to the Fed in exchange for loans. The trouble was that everyone knew the triple-A assets were not the safe securities they were advertised to be. Many were backed by mortgage loans that were failing at super speed.

The bailout of American International Group, or AIG, ballooned from $85 billion in September 2008 to $182.5 billion. Of that money, $90 billion was funneled as collateral payments to banks that traded with AIG. American taxpayers may never see a dime of their bailout money again, but Goldman saw plenty.

Goldman may be the largest indirect beneficiary of AIG's bailout, receiving $12.9 billion in collateral, including securities lending transactions, from AIG after the government bailed out the insurance company.

The key question is whether Goldman asked AIG to insure products that were as dodgy as the doomed deal from Goldman Sachs Alternative Mortgage Products exposed by Fortune's Allan Sloan in his October 16, 2007, Loeb Award-winning article: "Junk Mortgages Under the Microscope."

If the federal government had not intervened and if AIG had gone into bankruptcy, Goldman probably would not have received its $12.9 billion from AIG. U.S. taxpayers and the American economy are owed some of the bailout money passed directly through AIG to Goldman.

Wall Street firms also reaped trading windfalls when AIG needed to close out its derivative transactions. This was the most lucrative windfall business in the history of the derivatives markets. When AIG left money on the table, it was U.S. taxpayer money.

Goldman Sachs was granted bank holding company status in the fall of 2008. It already had the temporary ability to borrow from the Fed through the TSLF, which would have expired in January 2009. Now it has permanent access to lending from the Fed.

Goldman can now compete with the largest U.S. banks and borrow money at interest rates pushed as close to zero as possible by the Fed. Goldman gets a further benefit: favorable accounting rule changes. In addition, Goldman issued $30 billion of debt with a valuable government guarantee that remains outstanding.

Meanwhile, the American public faces a rising unemployment rate, falling housing prices, rising unemployment, higher local taxes and a dismal economic outlook.

Interested men with reputations and fortunes at stake rode roughshod over public interest. The American public is owed part of the profits Goldman was able to make because of the largesse of our Congress.

Wall Street's "financial meth labs," including Goldman's, massively pumped out bad bonds and credit derivatives that have melted down savings accounts, pension funds, the municipal bond market and the American economy. Risky assets, leverage and fraud led to acute distress in the global financial markets.

The biggest crime on the American economy may go unpunished with no consequences to the perpetrators. The biggest crime was not predatory lending, but predatory securitizations, packages of loans that did not deserve the ratings or prices at the time they were sold. They ballooned what should have been a relatively small problem into a global crisis.

Wall Street owes the American public for its key role in bringing the global economy -- and in particular, the U.S. economy -- to its knees. Goldman is not alone in owing the American public. It is not the worst of all of the Wall Street firms. But among all of Wall Street's offenders, it is the most well-connected, and Goldman was the firm that cleaned up the most as the result of government bailouts.

The opinions expressed in this commentary are solely those of Janet Tavakoli.

@highlight

Tavakoli: Goldman Sachs reported record second-quarter profits

@highlight

She says Goldman and Wall Street helped bring down the U.S. economy

@highlight

Goldman reaped huge profit enabled by help it got in federal bailout, she says

@highlight

Tavakoli: Taxpayers deserve a large share of what Goldman made