(CNN) -- Hillary Clinton on Thursday became the first U.S. secretary of state to visit East Timor since the developing Southeast Asian nation gained full independence from Indonesia 10 years ago.

Clinton arrived in the capital, Dili, on Thursday morning for meetings with President Taur Matan Ruak and Prime Minister Kay Rala Xanana Gusmao.

Her schedule made it impossible for her to watch a live broadcast of the speech by her husband, Bill Clinton, at the Democratic National Convention in Charlotte, North Carolina, on Wednesday night.

As she toured a coffee cooperative in Dili, a project manager showing her around remarked that Clinton's husband had "a big job today."

"He does," Clinton said. "He's probably doing it as we speak."

She will have to watch her husband's speech on playback later, an aide traveling with her said.

Clinton is visiting a nation still working to find its feet. East Timor celebrated its 10th birthday as an independent nation in May, but it still suffers bouts of political violence and faces stiff economic challenges to alleviate high poverty rates.

The country ranks 147th out of 187 countries in the United Nations' most recent Human Development Index, which rates countries on life expectancy, education and income.

Clinton is expected to announce funding for scholarships for students from East Timor to study in the United States, a senior State Department official said.

A day earlier, Clinton held talks with a string of Chinese officials in Beijing but appeared to gain little traction on the sensitive issue of the competing maritime claims of China and its neighbors in the region.

After receiving a hostile welcome in editorials and articles in the Chinese news media when she arrived Tuesday, Clinton also had to contend with the abrupt cancellation of her planned meeting with Vice President Xi Jinping, who is expected to become the next Chinese president. Beijing attributed the decision to unspecified scheduling reasons.

China talks tough in Japan island dispute

After meeting with Chinese Foreign Minister Yang Jiechi on Wednesday, Clinton repeated the U.S. position on the territorial disputes between China and other countries in the South China Sea, urging those involved to "begin to engage in a diplomatic process toward the shared goal of a code of conduct."

Tensions over territorial disputes have spiked this year between China and a string of countries around its coastline -- from Vietnam in the south to Japan in the northeast -- and the United States has been drawn into the fray.

But Beijing, which prefers to tackle the disputes bilaterally, has reacted angrily to Washington's involvement in the matter, accusing the U.S. State Department of "unfounded accusations" and showing a "total disregard of facts."

At the joint news conference with Clinton on Wednesday, Yang took a more diplomatic tack, saying that "freedom of navigation and safety in the South China Sea is assured."

But even while Clinton was in Beijing, the Chinese government was maintaining a heated diplomatic back-and-forth on another territorial controversy, this one concerning a set of small islands in the East China Sea also claimed by Japan and Taiwan.

The uninhabited islands are known in Japan as Senkaku and in China as Diaoyu, and are privately owned by a Japanese family.

Interactive: Asia's disputed islands - who claims what?

Some Japanese media outlets reported Wednesday that the Japanese government had agreed to buy the islands from the family, a claim the government's chief Cabinet secretary, Osamu Fujimura, declined to confirm, saying talks on the matter were continuing.

But that was enough to prompt a stern response from Hong Lei, a Chinese Foreign Ministry spokesman.

"I want to emphasize again that any unilateral actions taken by the Japanese regarding the Diaoyu Islands are illegal and invalid," he said.

"We are closely monitoring the developments and will take necessary measures to defend our territorial sovereignty," Hong added.

Furious anti-Japan protests erupted across China last month when a Japanese group sailed to one of the disputed islets and symbolically waved Japanese flags.

China doesn't seem eager for the United States to get involved in the quarrel.

The Global Times, a Chinese newspaper affiliated with the ruling Communist Party, said in an editorial published Tuesday that Clinton's diplomacy in the region "has fomented frictions between China and some surrounding countries."

It called on her to "reflect upon the deep harm she is bringing to the Sino-U.S. relationship."

More: Islands dispute reopens old wounds

CNN's Jethro Mullen in Hong Kong; and Jaime FlorCruz and Chi-Chi Zhang in Beijing contributed to this report.

@highlight

East Timor is a young country still facing economic and political challenges

@highlight

Clinton is the first U.S. secretary of state to visit since independence

@highlight

Her schedule means she misses her husband's Democratic Convention speech

@highlight

She is in East Timor after a difficult visit to China on Tuesday and Wednesday