Port-au-Prince, Haiti (CNN)  -- Rescuers were still finding survivors trapped in the ruins of collapsed buildings in earthquake-ravaged Haiti on Wednesday, and relief officials said efforts to get aid into the hands of survivors were improving.

A magnitude 5.9 aftershock rattled Port-au-Prince early Wednesday, the strongest since the original 7.0-magnitude quake struck January 12, the United States Geological Survey reported. Meanwhile, complaints about bottlenecks that have hindered the delivery of food, water and medicine to survivors persisted even as U.S. and U.N. officials said the effort has begun to make progress.

"There's big success in getting things into the port," said Steve Hollingworth, chief operating officer of CARE. "The real challenge now is following through and having a series of successful distributions going on all over the country, and that's a challenge for a lot of reasons."

Wednesday's aftershock was centered about 35 miles (60 kilometers) west-southwest of Port-au-Prince, and about 6.2 miles (10 kilometers) deep, according to the USGS. Patients at a hospital near Haiti's airport in the capital Port-au-Prince immediately started praying as the ground shook like a ship rocking back and forth. They asked for forgiveness and protection, a nurse there said.

An aftershock that size can pose significant danger in an area where buildings already are damaged -- and one nonprofit organization, Save the Children, said its staff "heard already-weakened structures collapsing" as a result of the aftershock.

Engineering team heads to check buildings

Haiti's government put the confirmed death toll at more than 72,000 on Tuesday, with other estimates ranging as high as 200,000. The confirmed toll already puts Haiti's quake among the 10 deadliest of the last century, according to USGS figures.

iReport: Search list for the missing and found

But survivors were still being discovered in the rubble of homes and other buildings in Port-au-Prince. A 5-year-old boy named Monley was pulled alive from a collapsed home on Wednesday and was taken to a hospital to be treated for severe dehydration. His mother was killed and his father is missing, but doctors attributed Monley's survival to resilience and the strength of his young body.

Relatives found the boy in a void beneath the ruins of his house as they searched for his father, his uncle said. Four of the uncle's friends helped pull the boy out as he cried out, over and over again, "I'm thirsty."

Others reported that the few signs of survivors in the wreckage of the Hotel Montana were fading Wednesday. Some faint knocking that had lasted until early Wednesday morning stopped after the latest tremor, rescuers on the scene said.

The hotel, located in the more affluent suburb of Petionville, was popular with tourists and visiting officials.

In all, international rescue teams totaling about 1,700 people have rescued 121 people, the United Nations said. But about 3 million people -- nearly a third of the Haitian population -- were still in need of food, water, shelter and medical assistance Wednesday, the United Nations estimated.

The aid effort has frustrated some, with a few organizations charging that bottlenecks at the airport and mismanagement in other areas have hampered efforts to get help to the 2 million residents in Port-au-Prince who need it.

"It's very frustrating that it takes so long to get as many supplies, doctors and hospitals that are needed," John Holmes, the U.N. emergency relief coordinator, told CNN's "American Morning."

Are you there? Share your images, video

"But again, I think we're making progress," Holmes said. "I think there is a major issue here of people with those injuries who got infected wounds, who need operations, who are not getting as many as they can. That's the major priority for the next few days."

But Hollingworth said the devastation in Haiti was "so profound" that "I'm personally getting more and more concerned by the day."

"This has been a major body blow to Haiti, and, you know, we're in now the second week of the response," he said. "The international community really is mobilizing very quickly, but the devastation has been so profound here, and it's hit in such critical areas for the country that I'm getting worried."

Impact Your World

A leading relief agency, Doctors Without Borders, has complained that the bottlenecks are costing lives. The group has blamed five deaths on the delays so far, telling reporters that flights carrying drugs, surgical supplies and dialysis machines have been diverted from Port-au-Prince to the neighboring Dominican Republic three times since Sunday, and injured at some sites may face a 10- to 12-day wait for full treatment.

More than 25 countries have contributed money, goods or people to the relief effort, while U.S. private donors have given more than $275 million. Among them were President Obama and first lady Michelle Obama, who contributed $15,000 to the Clinton Bush Haiti Fund.

At least 11,000 U.S. troops are now in Haiti or on ships nearby, and the military said Wednesday that it plans to send an additional 4,000 sailors and Marines from the USS Nassau Amphibious Ready Group to Haiti.

Full coverage | Twitter updates

In an effort to open the flow of aid, Pentagon officials said they have obtained landing rights at the Dominican Republic's air base at San Isidro, about 150 miles (241 kilometers) east of Port-au-Prince. In addition, Washington is dispatching a ship equipped with cranes that could get the port of Port-au-Prince back into operation "within a week or two, perhaps," Defense Secretary Robert Gates told reporters Wednesday during a visit to India.

See the latest updates

Canadian troops are working to open an airfield in the southern city of Jacmel by Thursday, Canadian Defense Minster Peter Mackay announced in a statement from Ottawa, Ontario, and two warships are landing supplies by sea.

But while those efforts are being stepped up, scenes of desperation persisted around the capital. At the city's municipal nursing home, where six people died, the remainder of the elderly patients were outside. Many suffer from terminal illnesses or dementia, and the only doctor treating them was a volunteer who showed up Tuesday, CNN's Gary Tuchman reported.

Watch how there is no plan to help the nursing home patients

Some parts of the city were home to scenes of "madness," CNN's Ivan Watson reported.

At the port, thousands of people lined a wharf where they had been sleeping for days, desperate to catch a ferry that the government had promised would give free passage to another port 100 miles west of the capital.

When the ferry appeared, they jumped into wooden rowboats, overloading them, and swarmed the ship, passing their children up and climbing aboard themselves.

The owner told Watson the boat's capacity was 600. Many more tried to board for the trip, ignoring the fact that the boat held few life vests and fewer lifeboats.

Watch as Haitian try to flee the devastation

One ship that did arrive Wednesday was the American hospital ship USNS Comfort -- a seagoing, 1,000-bed hospital that could give a boost to overloaded hospitals and clinics. Capt. Andy Johnson, its medical operations director, said the Comfort expects to handle a minimum of 100 patients a day, the vast majority of them with orthopedic injuries suffered in collapsed buildings.

The first two patients taken on board, flown to the ship before it reached Haitian waters, were a 6-year-old boy with a crushed pelvis and 20-year-old man with a broken skull and possibly fractured cervical vertebrae.

Cmdr. Tim Donahue, the ship's lead surgeon, said many of the staff have experience treating severe injuries among veterans of the wars in Iraq and Afghanistan. "They're not shocked by what they're seeing," Donahue said. "It's very routine for them."

The ship carries 40 doctors, including 13 surgeons, and enough medical supplies to operate for 60 days. Its total medical staff of nearly 550 will be joined by another 350 people once the ship reaches Haiti, according to the U.S. Southern Command.

More than a week after the devastating earthquake, efforts to get hospitals back into working shape were seeing some results, but the injured were still streaming in. Donahue said the number of people still emerging alive from collapsed buildings was surprising.

"We shouldn't expect to see people still around," he said. "It speaks to how resilient the human body is."

CNN's Karl Penhaul, Alec Miran, Eric Marrapodi and Justine Redman contributed to this report.

@highlight

U.S. military plans to send 4,000 additional U.S. service members to Haiti

@highlight

Aftershock rattles Haitians; it's strongest one since last week's quake

@highlight

Death toll estimates range from 75,000 to 200,000

@highlight

U.S. Hospital ship arrives, takes first patients