(CNN) -- Wind power provides a fifth of Denmark's electricity, most of it generated by giant wind farms built on land and in the country's coastal waters.

But the tiny Danish island of Samso is proving bigger isn't necessarily better by generating all its electricity using wind turbines of its own.

Nineteen miles off the coast of mainland Denmark, 91 turbines reach 114 meters above the turbulent waters of the North Sea. Together they form Horns Rev 2, the world's biggest offshore wind farm, which can generate enough electrify to power 200,000 homes.

Anders Eldrup is CEO of Dong Energy, which operates Horns Rev 2. He told CNN that Denmark's trailblazing efforts in wind power are the result of the country's energy crisis during the 1970s.

"The Danes were totally dependant on oil imported from the Middle East. Suddenly there was an embargo, so no oil. We learnt the lesson the hard way that you have to have diversified supplies of energy."

The World Wind Energy Association says wind power currently provides 1.5 percent of the world's electricity. That's a drop in the ocean, but as a clean and renewable source of energy, wind power is receiving support from governments around the world.

"I have to admit that the reason there is a business is that there are some government subsidies attached to wind production," said Eldrup. "That goes for Denmark and that goes for other European countries where we are doing wind operations."

The U.S. government recently announced that its economic stimulus bill contributed to a 39 percent increase in the country's wind power output last year, defying predictions that new wind energy output would decline because of harsh economic conditions.

"Small wind" is also being promoted, with governments encouraging individual households to produce their own wind power using micro turbines.

The United States offers a 30 percent investment tax credit to people who buy micro turbines. Many other countries offer grants for installing turbines, as well as feed-in-tariff payments that allow individuals to sell the electricity they generate to their national grid network.

Are wind farms an underused source of clean energy, or a blot on the landscape? Leave your comments in the "Sound Off" box at the bottom of this article.

When it comes to small-scale renewable energy, the Danish island of Samso -- population 4,000 -- is an example to the world. Among its energy-production facilities are 11 one-megawatt turbines on the island itself and 10 more turbines within three miles of its coast.

As well as using wind turbines to provide electricity, and straw-burning plants to provide heating, some islanders have solar panels on their roofs and others warm their homes using geothermal energy and the heat given off by fresh cow's milk.

Jesper Kjems, of the Samso Energy Academy, told CNN, "100 percent of our electricity comes from onshore turbines. About 75 percent of our heating comes from heating plants and private people who have changed their oil furnaces to something renewable.

"Then we have the offshore turbines, which compensate for what we use in fossil fuels, heating and transport. All in all we send more energy to the mainland than we use."

Two of Samso's turbines are owned by a co-operative of around 450 of the island's residents. "[They] are the most important ones because they are the turbines that give the normal guy on the island the opportunity of investing in turbines," said Kjems.

While the residents of Samso can take advantage of their island's blustery weather, open spaces and low-population density to be carbon neutral, the success of wind energy on a global scale may come down to simple economics.

Danish company Vestas is the world's biggest supplier of wind turbines. Its president for Northern Europe, Klaus Mortensen, told CNN, "We are very focused on providing the lowest cost of energy. With the present system we are competitive with oil at $50 a barrel."

There is an expectation that prices will come down as turbines become cheaper and bigger companies throw their buying power into developing wind farms.

Eldrup told CNN, "Our initiatives, small company that we are, whatever we do won't change the world.

"But if we can be a good example so that some of the big guys will do some of the same things then the implications can be much bigger. That would be wonderful."

What do you think? Should we all try to live like the Samso islanders? Have your say by leaving a comment in the Sound off box below.

@highlight

A fifth of Denmark's electricity comes from wind power

@highlight

Horns Rev 2 is the world's biggest offshore wind farm

@highlight

The tiny island of Samso produces all its own electricity

@highlight

Samso's residents can buy shares in two of the island's turbines