(CNN) -- After years of defiantly denying that it was aware of any links between football and brain injuries, the NFL reached a surprising settlement with 4,500 former players who sued the organization over concussion-related issues to the tune of $765 million.

If this settlement is approved as is, the NFL will have "no admissions of liability or weakness claims."

I recall that former Chicago Bears defensive back (and my former colleague at Voice America Sports) David Duerson's last text message to his family, asking to have his brain examined right before killing himself with a shotgun to the chest.

I also remember Philadelphia Eagles safety Andre Waters asking me, "How do I feel?" in a conversation we had, when I mentioned I based my playing style on his. Years later, Waters committed suicide with a gunshot to the head.

They didn't get any help.

The good news is that this settlement will put most of the $675 million in the hands of my NFL brethren and their families who need it the most. This would include $4 million for those diagnosed after their deaths with a brain condition called chronic traumatic encephalopathy, $5 million for men diagnosed with Alzheimer's disease and $3 million for players diagnosed with dementia.

The NFL will also pay up to $75 million to fund baseline medical exams for the players and will spend $10 million on new research into concussion care. Half of the $765 million will be paid in the first three years. The second half will be paid out over 17 years.

This is in part what players wanted -- to financially provide for the worst-off diagnosed players named in the lawsuit as well as providing for all current retired players, regardless of whether they joined the lawsuit or not.

I always believed that the lawsuit would eventually end in a settlement. But in light of last year's revenue for the NFL -- $9.5 billion -- I'm concerned about the other terms of the settlement.

The core of the concussion lawsuit contends that the "the NFL was aware of the evidence and risks associated with traumatic brain injuries for many decades, but deliberately ignored and actively concealed the information from players."

I believe the NFL more than likely would not have settled with the admission of any liability. By not going to trial, the league does not have to face the discovery and deposition process and therefore leaves many questions unanswered.

If this had gone to trial, the NFL would have opened itself up to an extended run of bad PR, potentially billions of dollars in damages, and would have been forced to hand over sensitive internal archives.

The NFL could have been required to produce documents, such as e-mails. E-mails are currently at the center of another lawsuit in which a group of former college players led by Adrian Arrington is seeking class action status, challenging the NCAA's handling of head injuries. The NCAA has until September 13 to respond to the motion to certify the case. However, this lawsuit may also be headed toward a settlement. Just ten days before the NFL settlement was announced, the NCAA agreed to mediation.

All this leaves the important questions unanswered: How dangerous is football? How serious are the head injuries?

Since the initial filing of the concussion lawsuits, the NFL has funded over $100 million on numerous outreach and safety programs. Yet it's ironic that the final settlement only sets $10 million aside for "concussion research."

We will never learn what exactly the NFL had learned about football-related brain injuries and when they knew it. This information could be extremely valuable in future decisions and research on how to treat or prevent concussions. Moreover, this is information parents of our future football players can use to make informed health decisions.

In 1994, then-NFL Commissioner Paul Tagliabue initiated the Mild Traumatic Brain Injury (MTBI) committee, which was led by Dr. Elliot Pellman. He was also the team doctor for the New York Jets at the time. Pellman once cleared wide receiver Wayne Chrebet to play after he was knocked unconscious. In 2003, Pellman was the lead author for nine of 16 studies that minimized the significance of concussions.

In 2009, the NFL disbanded the MTBI committee after a series of congressional hearings. While Pellman and the NFL may never have to turn over what they knew, the proposed settlement is still pending with an opt-out option for the players, some of whom will appeal and object to the settlement.

If this happens, the judge will have to seriously consider that four former players have recently sued the NFL and its helmet maker, Riddell. Riddell, which is a defendant in the NFL concussion lawsuit, is not part of the proposed settlement, so that part of the litigation continues.

It is unclear how the NFL settlement will affect future lawsuits due to the current collective bargaining agreement (CBA). In 2011, the NFL added safety rules (like no helmet-to-helmet contact) to the CBA, which make it extremely difficult for players to file lawsuits in the future for injuries they haven't sustained yet because players are now made aware of the risks.

Before approving this settlement, the judge will need to take a serious look at the objections made by many players to the agreement, particularly because they will never know what the NFL knew about concussions. I've already heard from many players who plan to opt out of the current settlement.

On October 8, the PBS "Frontline" documentary, "League of Denial: The NFL's Concussion Crisis," will air and hopefully shed some light on what the NFL still hasn't revealed. Hopefully, we will figure out if the settlement is enough.

The opinions expressed in this commentary are solely those of LaMar C. Campbell.

@highlight

The NFL and former players reached a $765 million settlement over concussion issues

@highlight

LaMar Campbell: I believe the NFL would not have settled with the admission of any liability

@highlight

He says by not going to trial, the NFL does not have to have answer many critical questions

@highlight

Campbell: The current settlement has flaws; we need to ask NFL to reveal more information