The Kremlin sends troops across the border, and the United States and its allies cry foul.

It's happened before -- Afghanistan in 1979, Georgia in 2008 -- and now Russian President Vladimir Putin has essentially seized military control of the Crimean Peninsula from Ukraine.

The move reflects the still simmering political and social upheaval from the breakup of the Soviet Union more than two decades ago.

What hasn't changed much are the limited options available to President Barack Obama and European powers to respond to the Kremlin's aggression.

The United States and some other countries boycotted the Moscow Olympics in 1980, and Washington helped arm Afghan rebels against Soviet forces, who eventually went back home.

In Georgia, Russia backed secessionist bids in the South Ossetia and Abkhazia regions in sovereignty disputes that remain unresolved. The United States and European Union consider the regions part of Georgia.

Here is a look at possible responses to Putin's latest move in Ukraine:

Military

Unless a sudden escalation causes open warfare between Ukraine and Russia, forget about any kind of U.S. or allied military response.

Secretary of State John Kerry said Sunday the United States was keeping its options open, but he made a point of adding that escalated military involvement would "not serve the world well."

"The last thing anybody wants is a military option in this kind of situation," Kerry said on NBC's "Meet the Press."

Even veteran Sen. John McCain of Arizona, a proponent of exerting U.S. influence abroad, conceded that the fight must involve diplomacy, not the military.

"There is not a military option that could be exercised now," McCain said Monday in remarks at the American Israel Public Affairs Committee's annual conference. "But the most powerful and biggest and strongest nation in the world should have plenty of options."

On Monday, the United States put on hold all military-to-military engagements with Russia, an official announced.

"Although the Department of Defense finds value in the military-to-military relationship with the Russian Federation we have developed over the past few years to increase transparency, build understanding, and reduce the risk of military miscalculation, we have, in light of recent events in Ukraine, put on hold all military-to-military engagements between the United States and Russia. This includes exercises, bilateral meetings, port visits and planning conferences," said Pentagon Press Secretary Rear Adm. John Kirby.

He denied reports speculating on possible ship movements in the region.

"There has been no change to our military posture in Europe or the Mediterranean; our Navy units continue to conduct routine, previously planned operations and exercises with allies and partners in the region," he said.

John Herbst, a former U.S. ambassador to Ukraine in the administration of Republican President George W. Bush, suggested one possible military response would be for NATO to agree to deploy additional forces in countries with significant Russian populations.

Herbst noted on CNN that Russia used the need to protect Russian citizens and interests as a pretext for what he called "blatant aggression" in Ukraine now and previously in Georgia.

What you need to know

G8

The annual summit of the world's industrial powers is scheduled for Russian Olympic venue Sochi in June, but  the United States and other members have halted planning for the gathering amid calls for Russia to be kicked out.

Once known as the G7, the group that also includes Germany, Britain, France, Italy, Japan and Canada agreed to add Russia in 1998 to reflect the changing geopolitical dynamic after the Cold War and breakup of the Soviet Union.

Revoking Russia's membership would isolate Putin diplomatically to deny him the Western acceptance he has sought.

"He will be isolated more. He won't look good in front of his people," CNN Chief International Correspondent Christiane Amanpour said Monday.

Such isolation would bolster economic isolation and sanctions -- a more effective strategy to pressure Putin.

"The G8 plus some others and all of them, every single one of them are prepared to go to the hilt in order to isolate Russia with respect to this invasion," Kerry said Sunday on the CBS program "Face the Nation."

A divided Ukraine? Think again

Sanctions

Obama said Monday the United States is examining a series of economic and diplomatic steps to "isolate Russia."

Kerry also said foreign leaders were prepared to act as well, noting the possibilities include visa bans, asset freezes and isolation by the international community on trade and investment.

Republican Rep. Ed Royce of California, the chairman of the House Foreign Affairs Committee, told CNN on Monday that  "the Achilles heel for Russia is their economy -- the ruble."

"We have to lead and we have to rally Europe around a series of steps that would actually impact the Russians economically: sanctions against state-owned banks," Royce said.

Later Monday, a spokesman told CNN that the United States has suspended upcoming trade and investment talks with Russia.

"Due to recent events in Ukraine, we have suspended upcoming bilateral trade and investment engagement with the Government of Russia that were part of a move toward deeper commercial and trade ties," said the U.S. trade representative spokesman, who spoke on the condition of anonymity.

What's happening? Depends on whom you ask

Diplomacy

Obama had a lengthy phone call with Putin over the weekend in which the U.S. leader said his Russian counterpart violated international law by sending military forces into Crimea, according to a White House statement.

"President Obama wants to emphasize to the Russians that there are a right set of choices that can still be made to address any concerns they have about Crimea, about their citizens, but you don't choose to invade a country in order to do that," Kerry said on CBS.

Putin has yet to make any substantive public statement about the situation, which follows the successful staging of the Winter Olympics in Sochi to bring Putin and Russia some pride in the international community.

The thrust of the Russian position is that it had the right to protect the interests of Russians in eastern Ukraine.

On Monday, Vice President Joe Biden called Russian Prime Minister Dmitry Medvedev to urge Russia to "pull back its forces, support the immediate deployment of international monitors to Ukraine, and begin a meaningful political dialogue with the Ukrainian government," the White House said.

Obama outlined a similar approach to reporters later Monday, saying that should satisfy Russian concerns of protecting the rights of ethnic Russian residents and Russian citizens in Ukraine.

Separately, National Security Council spokeswoman Caitlin Hayden said the United States has scrapped plans to send a presidential delegation to the upcoming Winter Paralympic Games in Sochi. U.S. athletes still plan to compete.

Politics

Congress will have a say in the focus and size of a U.S. response, with calls already for a possible sanctions package.

Hawkish Republicans have criticized Obama for what they called a lack of resolve that they say emboldened Putin to send troops into the Crimea region.

McCain called Obama's foreign policy "feckless" on Monday, after House Intelligence Committee Chairman Mike Rogers of Michigan said on "Fox News Sunday" that Putin and Russia had been "running circles around us."

Fellow GOP Sen. Lindsey Graham of  South Carolina called for reviving plans for a NATO missile defense shield in Poland that Russia opposed.

Obama told reporters on Monday that there should be "unanimity" between Democrats and Republicans in seeking to preserve "the principle that no country has the right to send in troops to another country unprovoked."

"My expectation is we ought to be able to get Congress to work with us to achieve that goal," he said, specifically calling for an economic assistance package for Ukraine to help provide stability during the crisis.

Sen. Robert Menendez, who is chairman of the Senate Foreign Relations Committee, said Monday the panel was putting together legislation to provide $1 billion in loan guarantees for Ukraine's economy.

"We are also consulting with the administration on possible sanctions actions against individual Russians and Ukrainians that range from visa bans and asset freezes, to the suspension of military cooperation and sales, as well as economic sanctions," the New Jersey Democrat said.

A Republican member of the committee, Ron Johnson of Wisconsin, told CNN he was urging the panel to speak with "one voice" to "show the Russians that this is something we are unified in."

"It will send a much more powerful signal and hopefully get Putin to think twice," Johnson said, adding that "Putin needs to pay a big price here" because "this is no time to be shrinking violets and rely on words."

@highlight

The U.S. suspends upcoming trade, investment talks with Russia, official says

@highlight

President Obama urges Congress to work with him on Ukraine aid

@highlight

GOP Rep. Royce: The best option would be economic sanctions to weaken the ruble

@highlight

A first step? Boycott the G8 summit in Sochi and kick Russia out of the group