Kokrajhar, Assam, India (CNN) -- On July 21, Abdul Kuddus was resting after a day of teaching his 82 primary school students. He reclined in the shade of his family's home in the Kokrajhar district of Assam, a state in northeast India bordering Bhutan and Bangladesh.

Suddenly, his village came under attack. Men wielding guns, fired shots into the air and torched houses including his. Kuddus and his family ran to the forest and waited for the attackers to leave, watching their village burn to the ground.

"As we left the village later, I saw the school where I taught," said Kuddus. "It was also gone -- burned."

More than 300,000 people, including Kuddus and his family, fled the riots that lasted for two weeks and burned their villages in western Assam.

The riots started after the killings of two Muslims and four Bodos, a politically powerful tribal group in Assam, that heightened tensions between the two groups, according to local news reports and a human rights report. While the July riots were not the first violent incidents in Assam, the subsequent displacement is being called the biggest since India's independence.

Ethnic clashes in India kill dozens, displace thousands

Many residents scattered in search of safety and fled to relief camps set up in schools in neighboring communities. As a result, the start of the academic year for tens of thousands of students has been canceled as classrooms became dormitories for the displaced.

"My students left for a one-month summer holiday on July 1," said Munir Islam, a principal whose school is a relief camp. "They never came back."

Two months after the riots, hundreds of schools remain relief camps. Both the local people and the displaced are feeling the pressure.

The Basugaon Higher Secondary School in Assam's Chirang district, enrolled 1,300 students and now houses more than 6,000 people. In early September, local students held a rally demanding that their school re-open, said Subal Roy, the principal.

Even during the protest, Roy said, "No one had an answer for how to get these people back to their villages safely."

Photos: Aftermath of ethnic riots in India

Ali Mohammed, a father of four, has lived in a relief camp at nearby Motilal Bogoria School for two months.

"The local people complain that their school is being used for the camp," he said. He worried about the disruptions in his children's lives, but did not think it was safe to return to their village yet.

Texts trigger mass panic in Assam

"Look at this situation," he said, gesturing at a group of children splashing through a puddle with garbage floating in it. "Why would we want to stay here?

"It makes us feel bad to take the school from other people -- but where do we go?" he asked.

His 14-year-old son Ahmed added: "We are using this school for a living place, not a school. We live in uncertainty day to day, just surviving here."

Experts are concerned that a gap in schooling could have immediate and long-term effects on children.

"Even if education is interrupted for just a few months, it can be difficult to get children back into schools," said Rebecca Winthrop, director of the Center for Universal Education at the Brookings Institute in Washington, D.C. "Just a daily gathering of teachers and students to read together or discuss the fragile situation around them -- this sense of regularity helps."

Some schools have begun to improvise. At the Lakhiganj Higher Secondary School, administrators set up alternative sites for classes to take place. Some students have classes in a local sports club building, a small concrete structure near the school campus. When the monsoon rains stop and the ground dries, administrators said they plan to hold classes in nearby fields.

But the alternative facilities are not an ideal substitute.

"There is no academic atmosphere," said teacher Rofyul Sheik, as he stood next to his corroded chalkboard in a small thatched building as the ceiling drooped in over his head. "The students get distracted."

Observers say continuous education is crucial for the future stability of the region.

"Delaying the education of a student in a village because some other people burned it down -- the child will remember that. It will inform his politics for the rest of his life," said Berlao Karjie, professor of political science at Kokrajhar Government College.

"The memory of your school being taken over by desperate people fleeing violence can have a similar effect," he said.

Monirul Hussein, head of the political science department at Gauhati University in Assam's capital, said: "Education is the only hope for children to have a future, especially if their family's land is getting squeezed."

The July violence fomented amid the long history of political tension and land disputes in Assam. For decades, indigenous people, most prominently the Bodo tribe, have fought for autonomy. Bodos were granted territorial and political sub-autonomy by the Indian government in 2003. Since then, Muslims in the area claim they have been pushed off the land.

The local issues in Assam have become touchstones for political debates across India.

Rumors send thousands fleeing in India

"We have failed as a state to manage our diversity," said Hussein.

A recent report on the violence by the Delhi-based Asian Centre for Human Rights claims that a lack of political will to intervene allowed the July riots to take place and that this permits the suffering of students to continue.

"What we're seeing now in the government's lack of action on the education issue is the same kind of negligence," said Suhas Chakma, the center's director.

About 200,000 people remain in the cramped relief camps. Most are Muslim families; some are undergoing verification to prove they are Indian citizens, which could take months since many lost documents in their scorched homes.

Unavailable to speak with CNN, Assam's education minister stated in late August that schools must re-open, but no official decision has been implemented.

@highlight

300,000 people fled villages in Assam after ethnic tension and riots

@highlight

Displaced people stay in schools, forcing cancellation of classes

@highlight

Students are upset about inability to continue classes