London (CNN) -- English soccer's most successful manager -- Manchester United's Alex Ferguson -- is retiring at the end of the season after more than a quarter of a century at the helm, the club announced Wednesday.

The 71-year-old Scot has managed the English club, which is listed on the New York Stock Exchange and loved by millions of fans around the world, from Manchester to Manila and Montreal, since 1986.

Everton manager David Moyes is the bookmakers' favorite to succeed his compatriot, and the 50-year-old will be confirmed as the next United boss on Thursday according to widespread British media reports.

During his 26 years in charge, Ferguson -- a supporter of Britain's Labour Party who's renowned for dressing down players with the "hairdryer treatment" -- has won more than 30 trophies, including 13 league championships.

Many fans took to Twitter to voice their appreciation, using the handle #thankyousiralex. He became Sir Alex when knighted by the queen more than a decade ago for his services to the game.

'Thank you for everything,' say Manchester United fans

As well as dominating on the pitch, Ferguson has helped build the century-old soccer club into a huge business operation whose progress is followed on stock exchanges around the world.

Its shares dipped nearly 5% in early trading Wednesday.

The Old Trafford club is owned by the American Glazer family, who oversaw the club's listing on the New York Stock Exchange last August.

For the 2011-2012 season, United increased revenues by £14.2 million to £117.6 million ($182.4), the highest of any club in the Premier League.

But it lost the top spot as the world's most valuable sports franchise in this year's Forbes list to Spanish soccer club Real Madrid. Forbes valued Manchester United at $3.17 billion, still ahead of Barcelona, another Spanish soccer club, and two U.S. outfits, the New York Yankees in Major League Baseball and the Dallas Cowboys in the NFL.

Ferguson will bow out after the club's last game of the season, an away match against West Bromwich Albion, on May 19, according to a statement from Manchester United.

Watch: Alex Ferguson's legacy

Before then he will have one more home game for the "Red Devils" at Old Trafford on Sunday, against Swansea City.

'A bright future'

It's not clear who the club will choose to replace him. Ferguson will join the club's board as a director and "ambassador," Manchester United said.

"The decision to retire is one that I have thought a great deal about and one that I have not taken lightly. It is the right time," Ferguson said.

"It was important to me to leave an organization in the strongest possible shape and I believe I have done so."

The quality of the team, the balance of the players' ages and its upcoming youth squad will contribute to its continued "success at the highest level" and "ensure that the long-term future of the club remains a bright one," he said.

Seven moments that defined Ferguson's managerial career

Ferguson paid tribute to the club's "players and staff, past and present," thanking them "for a staggering level of professional conduct and dedication that has helped to deliver so many memorable triumphs. Without their contribution the history of this great club would not be as rich."

He also expressed gratitude to his own family, the Glazer family, and the club's many supporters, at home and abroad.

"Alex has proven time and time again what a fantastic manager he is but he's also a wonderful person. His determination to succeed and dedication to the club have been truly remarkable," Joel Glazer said.

The club also quotes former Manchester United and England captain Bryan Robson as saying Ferguson is the "greatest there has ever been."

'Extraordinary success'

Gavin Hamilton, editor of World Soccer magazine, told CNN he considers Ferguson to be unsurpassed as a manager in his time.

"In the modern era, where's he's dealt with the players on huge salaries and the corporate world that is now football, he has had extraordinary success," he said.

"He's tough and uncompromising and, I think, completely dedicated to being a winner."

Whoever takes over at Old Trafford has a hard act to follow, Hamilton said -- but Manchester United will have been planning carefully for this moment.

"There will definitely be someone in place, I think -- the big question now is who that person will be because it's been kept a secret from everyone until now," Hamilton said.

Whoever it will be has a daunting, if exciting, prospect ahead.

"It's the largest football club in the world, it's the biggest management job in the world, and on top of that is the task of following the most successful manager in the club's history," Hamilton said.

While Moyes is favored for the job after more than a decade with EPL club Everton, other names on the bookmakers' list include: Portuguese coach Jose Mourinho, formerly of Chelsea and currently at Real Madrid; Borussia Dortmund's Jurgen Klopp; Michael Laudrup of Swansea City; and former Manchester United striker Ole Gunnar Solskjaer, currently managing Norwegian team Molde.

Health concerns?

Fans' thoughts are bound to turn quickly to the 2013-2014 season, starting in September, as Manchester United prepares to defend its domestic title and attempts another win in Europe.

As recently as last week, Ferguson suggested that he was fully involved in those future plans, promising the club would be "competitive" in the summer transfer market.

Speaking to Inside United, the club's official magazine, Ferguson said: "Hopefully the players we bring into the club in the next year or so will be of the quality we need."

Manchester United coasted to this year's English Premier League title with a 3-0 victory over Aston Villa in April, with four games in hand.

Ferguson is due to undergo hip surgery this summer, according to UK media reports, but it's not clear how much of a role health concerns have played in his decision to stand down.

"I think retirement's for young people because you can do something else. When you get to my age, if your health is good, you like to work," he told CNN in a 2010 interview.

Sports writer Mihir Bose said he was surprised by the timing of Ferguson's decision, despite his upcoming surgery, saying he had expected him to carry on as manager for another couple of years.

Ferguson -- who is seen as a kind of father figure by some of the young players he developed -- has "that ability to reach out to people," said Bose, but he is also a skilled political operator.

"He could be delightful but he was a man who made sure that he controlled the agenda," he told CNN. "If you crossed his path he made it very clear that he controlled everything at Manchester United."

Those who got the famous "hairdryer treatment" -- loud shouting directly in someone's face -- included many sports journalists over the years. Ferguson would also refuse to speak to reporters if he didn't like what they said.

Despite that thorny relationship, Ferguson will be remembered as an iconic figure in English football history, said Bose. The big challenge now is how Manchester United will manage the transition to ensure continued success, he added.

'A sad day'

Former Manchester United and Denmark goalkeeper Peter Schmeichel told CNN he was still trying to make sense of the news.

"It is a sad day. I'm shocked, I'm sad, I'm disappointed. It's a day I think everyone who loves Manchester United, everyone who's worked with Sir Alex -- it's a day that we've been expecting, but I have to be honest I didn't think it would be now -- I thought it would be a couple of years down the line."

Schmeichel said he was certain that Ferguson had not been forced out but had made the decision himself, given his record of success and changes already happening on the club's board this summer.

He paid tribute to Ferguson's knowledge, skills and philosophy as a manager, particularly his ability to bring on young players.

Internationally known footballers like David Beckham, Ryan Giggs, Paul Scholes, Gary Neville and Nicky Butt were all created by Ferguson, Schmeichel said.

"He is the best manager in the world and he's the best guy as well. He's a really good friend as well."

Ferguson's talent has been in managing players individually rather than as a group, Schmeichel said.

"The end result is that everyone plays really well for the team," Schmeichel said. "Yes, he can be hard, he can be tough. ... In a way he becomes your second dad. He has to educate you in life, he has to prepare you for what comes next in life after football."

'Vision, energy, ability'

David Gill, who will step down as chief executive of Manchester United in June, said it had been a "tremendous pleasure" to work alongside Ferguson over the past 16 years.

"We knew that his retirement would come one day and we both have been planning for it by ensuring the quality of the squad and club structures are in first class condition," he said.

"Alex's vision, energy and ability have built teams -- both on and off the pitch -- that his successor can count on as among the best and most loyal in world sport."

Ferguson began his career on the soccer pitch, playing for Scottish clubs Queen's Park, St. Johnstone, Dunfermline, Glasgow Rangers, Falkirk and Ayr United.

But it was when he returned to the game as a manager, working at East Stirlingshire, St. Mirren and then Aberdeen that people really began to take notice.

He led Aberdeen to three Scottish titles, four Scottish cups, one League Cup and one European Cup Winners' Cup before moving to Manchester United in November 1986 following the dismissal of former manager Ron Atkinson.

It didn't take long for the Scotsman to start turning things round at a club that was then near the bottom of the league.

Since then, Ferguson has dominated the English game -- his string of victories making him, according to the Manchester United website, "the most successful manager in British football history."

CNN's Alex Thomas and Patrick Sung contributed to this report.

@highlight

NEW: Shares of Manchester United drop nearly 5% in early trading following the news

@highlight

Ferguson is retiring after the last game of the season on May 19, after 26 years in charge

@highlight

The decision to retire was not taken lightly, but this "is the right time," Ferguson says

@highlight

NEW: Everton manager David Moyes is the odds-on favorite to succeed Ferguson