There is only one fairytale story in Spanish soccer this season, but will it have a happy ending?

Forget Atletico Madrid's first league title for 18 years, disregard its city neighbor Real concluding an exhaustive wait for "La Decima" -- a 10th European Champions League crown.

Because this season is all about the "Miracle of Eibar."

The Basque town has a population of just 27,000 and the club a budget dwarfed by almost all its rivals, yet back-to-back promotions have banked Eibar a place in the big time.

Having already guaranteed a top-tier place, Eibar also claimed the Spanish second division title after second-placed Deportivo La Coruna lost 3-1 at Girona on Saturday.

For the first time in its 74-year history Eibar will compete in La Liga next season, rubbing shoulders with Real Madrid and Barcelona as well as local rivals Real Sociedad and Athletic Bilbao.

"I don't know if miracles exist but this is something close to a miracle," Alex Aranzabal, club president since 2009, told CNN.

However, amid all the emotion and reverence there is a bitter tinge, because like every famous fairytale fable, the threat of tragedy lurks in the background.

Despite being self-sustaining and completely free of debt -- unlike a host of other Spanish clubs -- Eibar could actually be relegated to the third tier of Spanish football.

A 1999 decree requires every team to have a capital equal to 25% of the average expenses of all sides in the second division, excluding the two clubs with the biggest outgoings and the two with the smallest.

That has hoisted the financial bar way above the head of Eibar, which has responded by launching a share issue to raise the €1.7 million ($2.3 million) needed to take a place at Spain's top table.

Unsurprisingly, Aranzabal is unimpressed.

While he runs an admittedly small but undoubtedly tight ship, the estimated combined debts of Real Madrid and Barcelona amount to not far off €1 billion ($1.36 billion).

"Even though we have a small budget, we have a different economic model to other clubs in Spain," Aranzabal told CNN. "We have less expenses, fewer outgoings and we always have a small deficit.

"This is something really strange in Spain because almost every team has huge debt, but in our case we have no debt.

"We think it is really unfair because the law was established to assure that all those clubs with a lot of debt had a minimum capital value to attend to all their debts.

"In our case we don't have any debt."

'Special model'

The club's story has struck a chord with football-loving people the world over, and support has been flooding in for its "Defend Eibar" campaign.

Over €1.25 million ($1.7 million) has already been raised, the club's tentacles spreading far and wide thanks to pledges from China, Australia, Argentina, England, Ireland and many more countries.

Crucially, no investor can purchase more than €100,000 worth of shares, ensuring Eibar's principles are kept intact.

"We want the team to remain for the people -- this is one of the ideas of our special model," Aranzabal explains.

"We very much appreciate all the help we have had -- it has been surprising for us, a small club in a small town in the Basque mountains.

"We have discovered that we have a story to tell and that people want hear stories like this, that we are fighting against this rule and we have achieved something big.

"I hope we will get the money but we have to keep going -- if we relax it is the shortest way to failure. It will be difficult but we will get it."

Humility and hard work

The question of finance festering in the background has done little to dilute the delirium among Eibar supporters, which pretty much counts as every single inhabitant of the town.

Since being formed in 1940 in the aftermath of the Spanish Civil War, the club has never won a major trophy and only flirted with promotion to La Liga once, in the 2004-05 campaign.

A teenage David Silva, now a star for the world champion Spanish national side and English Premier League winner Manchester City, was among its ranks then, as was Gaizka Garitano, the club's current manager.

He has led the "Armeros" to successive promotions, sticking steadfastly to a culture and identity that has long pervaded the club -- one that embodies the spirit of the tiny town that is equidistant from Bilbao and San Sebastian.

"The secret to their success has been humility, hard work and above everything the spirit of the team," says Unai Eraso, an Eibar native who attended his first match at the age of four.

"No-one is above any other. This is indicative of Eibar's culture. The older players teach the younger players how to behave, how to work, how to be a team player.

"These young guys when they become older, they will do the same. It is a culture that is passed down from generation to generation.

"This year is a like a dream. Under no circumstances did we imagine of getting to La Liga. This is a real miracle."

'All for one, one for all'

Mikel Madinabeitia, a journalist with El Diario Vasco, is similarly gushing about the class of 2013-14 and their achievements.

"This is football and it is a dream machine. Football is the only sport that allows such things, it would be impossible in basketball or athletics," he told CNN.

"It's a typical rags to riches story. I wrote in my newspaper Eibar has been the D'Artagnan of the second division, with that famous catchphrase 'All for one and one for all.'

"There are no celebrities in this team, no millionaires. Jota Peleteiro is like the artist of the group, similar to David Silva, who played at Eibar. He's so creative."

Promotion may have brought unconfined joy to Eibar, but aside from the financial conundrum, it has also thrown up a different web of problems.

Such is Eibar's size and budget, that a summer overhaul is needed if it is to have a chance of holding its own against the best 19 teams in Spain.

"It will be so difficult next season because the competition is so different," Madinabeitia said.

"Eibar will be the smallest town in the history of La Liga, with the smallest budget. They will have to change 50% of the team. They have a difficult summer ahead.

"Real Madrid and Barcelona play in another dimension and there are another set of clubs who play for Europe. If they avoid relegation it will be the most important achievement of Eibar."

Welcoming the superstars

But that is for another day. Now it is all about raising the money and daring to dream about life in La Liga alongside the soccer elite.

"The first day of the season will be very emotional. A day to talk about for all the days of your life," Madinabeitia said.

"It will be the happiest day of the season when Barcelona come to Ipurua, a historic day.

"Real Madrid played here in the cup some years ago, but not Barcelona. You can imagine the emotion of watching Lionel Messi and Cristiano Ronaldo at Ipurua."

Aranzabal has barely had time to revel in the club's achievements, being swamped with media requests from around the world as well as spearheading the "Defend Eibar" campaign.

But the president is determined this historic opportunity won't see a shift in his club's philosophy.

"We won't go crazy wasting a lot of money on getting very expensive players," Aranzabal said. "We want to maintain our team philosophy and do things as we have been doing all these years.

"We will try to adapt to the new situation but without getting crazy. We want to stick to our guns and be true to our history."

Thanks to the record-breaking achievements of their players, it is a history that is becoming far more widely known.

@highlight

Tiny Eibar promoted to La Liga for the first time in the club's history

@highlight

The Basque team will be the smallest to ever compete in Spain's top division

@highlight

But financial rules dictate it must raise $2.3 million to avoid relegation instead

@highlight

Eibar is a town of just 27,000 in the Basque mountains near Bilbao