(CNN)As Wisconsin prepares to try two children as adults in an attempted murder case allegedly inspired by the mythical Slenderman, the prosecution of two preteens in adult court challenges our faith in the juvenile justice system.

The entire juvenile justice system is premised upon one bedrock principle. It's an immutable fact that our parents and forebears have known for millennia, and it's something that science is increasingly backing up: Juveniles are different.

They are irresponsible. They say the darndest things. I believe children are our future; teach them well and let them see the way. Show them all the beauty -- well, everything Whitney Houston said in that song, you get the point.

The point is, this is why we have a juvenile justice system in the first place. Not only are children developmentally different, but even the Supreme Court has long recognized that they are also constitutionally different. As recognized by Justice Anthony Kennedy in a recent court opinion, a child's immaturity leads to recklessness, impulsiveness, and risky behavior. Children are more vulnerable to negative influences and outside pressures both from lousy family members and from ne'er-do-well peers. They have limited control over their environment and lack the capacity to extricate themselves from bad situations.

The flipside to all this is that because a child's character is not as fixed as an adult's, bad behavior is not necessarily indicative of irretrievable depravity. Children are redeemable because they may simply "grow out" of their bad behavior.

The bottom line, according to the court, is that these differences diminish the traditional penological justifications for harsh punishment of juveniles -- even when they commit the most horrific crimes. The juvenile justice system is different because kids are different.

Modern science agrees, providing biological explanations for juvenile delinquency:

"The most noteworthy features of adolescent brain development relate to changes occurring within the brain's frontal lobes -- in particular the prefrontal cortex -- and in the connections between the prefrontal cortex and other brain structures. These areas and interconnections are critical to 'executive' functions such as planning, motivation, judgment, and decisionmaking, including the evaluation of future consequences, the weighing of risk and reward, the perception and control of emotions, and the processing and inhibition of impulses," the American Psychological Association, the American Psychiatric Association and the National Association of Social Workers wrote in a friend-of-the-court brief filed with the Supreme Court in 2012.

This research -- plus our firmly entrenched notions about juvenile responsibility -- have informed the operation of our juvenile justice system since its inception. Instead of punishment and incarceration, the juvenile system focuses on treatment and rehabilitation.

At least that's the theory. But how is it executed? Typically, a juvenile court can send a child to a secure educational facility instead of prison, and juvenile courts generally lose jurisdiction over children at a statutory age -- usually anywhere from 21 to 25. Their juvenile records are customarily sealed and not public like adult criminal records. The idea is this: Once you are an adult, you get a fresh start. After all, your childish behavior is now behind you.

Unless -- well, unless what you did was really, really, really bad. In that case? You're going to prison at Shawshank with the rest of the adults.

Although all states differ, the general rule is this: Juvenile court has jurisdiction over a child unless he or she is alleged to have committed something awful, like murder or attempted murder, and then the case is automatically (or at the discretion of the court or prosecutor) placed in adult court, where the child is subject to adult penalties.

But what happened to all that "prefrontal cortex" talk and the Supreme Court, and "children are fundamentally different"?

Apparently, children are different -- but if they really make us angry, they can go be different in prison.

It's a paradox. We treat children according to their developmental culpability, with a colossal  exception: If the consequences of their behavior are really serious, we instead deal with them according to the outcome -- even though the biological genesis of that behavior remains exactly the same. If a child punches an adult, the child may land in juvenile court. If a child punches an adult, and that adult falls and dies, then the child might be in adult court. Same root causes of bad behavior, different judicial outcome. The neurology remains the same in all cases, but we inconsistently demand disparate treatment.

Why the judicial hypocrisy?  It's as if society is saying it acknowledges all the science about adolescent brain development and is fine with it as long as we're talking about crimes like spray-painting cars, smoking pot, or a fistfight at school.  But for those most egregious crimes like murder, the scientific mumbo jumbo goes out the window. When kids kill, society wants retribution. Adult-style retribution.

Maybe it's just legislative recognition of what we ultimately believe: Sure, child development has as a general rule that kids are redeemable, but there are exceptions to every rule. Some kids are just bad to the bone -- they are trouble, and they will always be trouble.  And if your mind just wandered to a specific kid in your neighborhood, maybe you agree with that concept. But there's probably one notable exception: your own kid. Your little snowflake is really a good kid and would never do anything wrong.

When it comes to the juvenile system, we should address the inconsistency; it borders on hypocrisy. If we agree the juvenile mind is less culpable, we should treat it that way, without exception.

@highlight

Two girls are accused of stabbing a friend to impress the fictional Slenderman

@highlight

Danny Cevallos: Children developmentally, constitutionally different