Washington (CNN) -- White House veteran John Podesta has an impressive Rolodex, deep policy expertise, and an invaluable background as a political strategist and Washington fixer -- all things that could benefit President Barack Obama as he assumes a top-level advisory role.

Podesta, who served as former President Bill Clinton's chief of staff during the last tumultuous three years of his presidency, announced via Twitter that he is joining the White House during a critical time in the Obama's tenure. He plans to stay for a year as presidential counselor.

Obama faces record low approval ratings as he winds up the first year of his second term. The disastrous roll out of the Affordable Care Act, his signature domestic achievement, an economy still not working for millions of Americans, fallout over NSA spying, and criticism of his diplomatic responses to Syria and Iran, have all weighed him down with the public.

'Peripheral vision'

Podesta's hire, which has been confirmed by CNN but not yet announced by the White House, is seen as a politically necessary step for a White House back on its heels and at times criticized as inexperienced.

Andy Card, who has seen -- and managed -- the inner workings of an administration as a Cabinet member and a White House chief of staff, said Obama is making a good decision by allowing fresh perspective into his inner circle of close-knit advisers, although he said it should have happened earlier.

"It's important for the President to allow peripheral vision in so you don't get stuck with the same old tunnel vision," Card told CNN, cautioning that it's easy for Presidents and their staff to become trapped by their own ideology and emotional attachment to issues and policy.

Should Obama get credit for the economy?

Card left the George W. Bush White House after 5Â½ years. He said most reelected presidents have faced similar obstacles at about the same point in their second terms.

Ronald Reagan got bogged down by the Iran-Contra scandal, Bill Clinton faced impeachment over the Monica Lewinsky affair and George W. Bush suffered backlash over Hurricane Katrina and the ongoing Iraq War.

"I can't think of a sitting president ... that didn't have these challenges and didn't address it the same way," Card said.

He said he used to tell Bush that policy changes cannot be the only way to fix a problem facing the administration.

"I would remind the President that if you address a policy concern but you haven't changed personalities, the public doesn't see it," Card said.

Because the media is talking about Podesta's arrival signals that this change might be significant enough to actually make a difference, he noted.

Liberal left

Jim Manley, former communications director for Senate Majority Leader Harry Reid, said Podesta will help Obama overcome some hurdles.

"It's a step toward getting the administration back on its feet again," he said.

After his three-year stint as Clinton's top aide, Podesta built the think tank Center for American Progress, which became a powerhouse of liberal thought and communications.

And just weeks ago, he launched the Washington Center for Equitable Growth to focus on income inequality, which was around the same time Obama began talking about the issue from the bully pulpit.

"Podesta's one of the great progressive strategists of his generation," Bill Burton, former Obama communications adviser, said. "Having him at the White House is a great thing for folks who really care about some of the key fights for folks on the left."

Podesta, who led the President's transition team in 2008, has also been a leading advocate of policies to address climate change, an Obama policy priority that has gone nowhere during his time in office.

Link to Congress

Podesta has the expertise to take the climate change issue and income inequality into greater prominence during the next year as he is thought to have good relationships with members of Congress.

"There are probably some people on Capitol Hill who are saying, 'Oh, finally,' " Card said.

Senate Republicans still angry over filibuster change

But Manley said a better working relationship with a sharply partisan Congress could be a heavy lift, even for the politically astute Podesta, and especially as the President enters his lame duck years.

There's always executive action. And that's a tool at Obama's disposal with which Podesta has familiarity.

He worked with Clinton during his lame duck years when Republicans in Congress were trying to force him out of office.

Ron Brownstein, CNN senior political analyst and National Journal editorial director, said Podesta will help Obama work his will "through the levers of the executive branch" where he is "more likely to make a mark" in the final years.

Whether it's fixing problems or promoting new priorities, Podesta is widely respected in Washington and might have the gravitas to right the president's ship.

"They've got a lot of work to do," Manley said.

CNN's Kevin Bohn contributed to this story

@highlight

John Podesta served as President Bill Clinton's chief of staff during tumultuous time

@highlight

Podesta to be brought in during the lowest point of Obama's presidency

@highlight

President George W. Bush's chief of staff, Andy Card, praised the move