RIO DE JANEIRO, Brazil (CNN) -- A 12-mile oil slick near where an Air France jet crashed Monday into the Atlantic Ocean indicates the plane likely didn't break up until it hit the water, Brazil's defense minister said Wednesday.

Image released by the Brazilian Air Force shows oil slicks in the water near a debris site.

If true, that would argue against an in-flight explosion as the cause of the crash of Air France Flight 447, Defense Minister Nelson Jobim told reporters.

But Robert Francis, former vice chairman of the U.S. National Transportation Safety Board, said the question of determining where a plane broke up "is a very difficult one to deal with." He told CNN's "Anderson Cooper 360" that "there are lots of things that cause a plane to go out of control."

He added that extremely strong winds are not unusual near Brazil. Pilots who fly over that part of the world keep track of radar and "are very, very wary about the weather as they go back and forth down in that area."

Jobim said currents had strewn the debris widely and that the search area had been expanded to 300 square miles.

The Airbus A330, carrying 228 people, went down about three hours after beginning what was to have been an 11-hour flight from Rio de Janeiro to Paris, France. No survivors have been found.  Map of Flight AF 447's flight path »

Investigators have not determined what caused the plane to crash. The flight data recorders have not been recovered, and the plane's crew did not send any messages indicating problems before the plane disappeared.  Watch as high seas hamper recovery »

The Brazilian Air Force said it found the oil slick and four debris fields Wednesday, but rain and rough seas kept searchers from plucking any of the debris from the water.

Among Wednesday's finds were objects in a circular 5-kilometer (3-mile) area, including one object with a diameter of 7 meters (23 feet) and 10 other objects, some of which were metallic, Brazilian Air Force spokesman Jorge Amaral said.

Searchers had found two debris fields Tuesday and identified the wreckage as coming from Flight 447. The debris was found about 650 kilometers (400 miles) northeast of the Fernando de Noronha Islands, an archipelago 355 kilometers (220 miles) off the northeast coast of Brazil. It included an airplane seat and an orange float.

Wednesday's debris find was about 90 kilometers (56 miles) south of Tuesday's discoveries, Amaral said.

Eleven aircraft and five ships are engaged in the search, including airplanes from France and the United States.  Watch as experts question whether recovery is possible »

The NTSB said Wednesday it has accepted an invitation from the French aviation accident investigation authority, the Bureau d'Enquetes et d'Analyses, to aid in the investigation.

NTSB Acting Chairman Mark V. Rosenker has designated senior air safety investigator Bill English as the U.S. accredited representative. The U.S. team will include technical advisers from the Federal Aviation Administration; General Electric, which made the plane's engines; and Honeywell, which made the plane's data recorders.

The aircraft's computer system did send about four minutes of automated messages indicating a loss of cabin pressure and an electrical failure, officials have said.

Some investigators have noted that the plane flew through a severe lightning storm. Foul play has not been ruled out.

Air France had received a bomb threat May 27 for a flight from Buenos Aires, Argentina, to Paris, sources in the Argentine military and police told CNN on Wednesday.

According to the officials, who had been briefed on the incident and declined to be identified because of the ongoing investigation, the Air France office in Buenos Aires received the threat from a man speaking Spanish.

Authorities checked the Boeing 777 and did not find anything. Security was tightened during check-in for Flight 415, which left on time and without incident, the officials said.

Although officials have said the likelihood of finding survivors of Flight 447's crash is small, authorities have not closed the door on the possibility.

"Until the aircraft is identified, and the remains indicate that survival is technically impossible, we will maintain the possibility that there could be survivors," Amaral said.

The majority of the people on the flight came from Brazil, France and Germany. The remaining victims were from 29 other countries, including three passengers from the United States.

French officials said Wednesday they may never find the jet's flight data recorders.

The U.S. National Oceanic and Atmospheric Administration estimates the ocean depth in the area at 3,000 meters (about 9,840 feet) to 7,500 meters (24,600 feet). Brazilian officials have said the sea depth in the area is around 2,000 to 3,000 meters (6,562 to 9,842 feet).

"We need time to reach the recorders," said Paul-Louis Arslanian, head of France's accident investigation bureau.

The recorders are built to emit locator signals for up to 30 days. The French government has sent a research vessel carrying a deep-diving submersible to where the debris was found.

"Recorders from time to time were found after the 30 days, but I'm not so optimistic," Arslanian said. "It's not only deep, it's also very mountainous at that place of the ocean."

But Brazilian President Luiz Inacio Lula da Silva expressed optimism that the flight data recorders would be found.

"I think that a country with the ability to retrieve oil from 6,000 meters (3.7 miles) underwater can retrieve a plane from 2,000 meters (1.2 miles). The truth is, we are going to see -- I'm not a specialist and don't want to give predictions of what will happen," Lula said, according to the Brazilian state news agency.  A memorial for the victims of Flight AF 447, which included 61 people from France, 58 Brazilians, 26 Germans and people from 29 other countries, took place Wednesday at the Notre Dame Cathedral in Paris. Brazil has declared three days of mourning.

CNN correspondent John Zarrella in Rio de Janeiro and journalist Brian Byrnes from Buenos Aires contributed to this report.

@highlight

NEW: Oil slick may argue against an in-flight explosion, Brazilian official says

@highlight

NEW: Determining where plane broke up will be difficult, U.S. aviation expert says

@highlight

Air France flight disappeared over Atlantic Ocean after taking off from Brazil

@highlight

Memorial for the victims of Flight AF 447 takes place in Paris at Notre Dame