(CNN) -- In the heart of London, one of the style capitals of the world, African fashion has found its new home.

Based in the UK capital's bustling center, Arise calls itself Africa's first and foremost global style and culture magazine. The bimonthly publication, which has so far been printed 16 issues, first hit the newsstands in 2009 and is now sold in 26 countries across the world.

Its illustrious pages are striking a chord with what the magazine calls Afropolitans -- a new generation of young and urban "Africans of the world" who breathe fashion and are fascinated by arts and culture.

Read related: Congo's designer dandies

Penny McDonald, international managing director at Arise, says there was a gap in the market for a quality offering that would showcase the wide-ranging talents of African designers while breaking stereotypes about the continent's culture.

"There were lovely designers out there who never got a look into the traditional markets and the traditional outlets," she says. "We want to show the other side of the vast continent and that's what this does."

Read related: Why African designers are finally in the fashion spotlight

The large-format magazine, which was initially published every four months, was determined to be competitive amongst other fashion heavy-hitters right from the start.

For its first cover back in 2009 it landed some of the fashion world's most glistering stars, including supermodels Alek Wek and Liya Kebede. Since then, a wide array of African and international icons, including Charlize Theron, Alicia Keys and Denzel Washington, have all been featured in Arise.

Read related: The Namibian women who dress like Victorians

According to McDonald, convincing readers and advertisers about the magazine's quality was the biggest challenge at the beginning.

"A lot of people in the past thought 'oh, another black publication, oh God, I've seen it all before, it's full of hair and make-up.' And then they suddenly sat back and realized 'my God, actually the content is pretty solid.'

"We have phenomenal journalists, phenomenal models and now they do want to participate. The brands are following us and that journey has been very slow, but the brands are there. The hardest battle of keeping a publication like this alive is to get the commercial viability working and that's what we do and we push everyday to find sponsors, advertisers, just everyone to support us."

Bur apart from highlighting African style and culture through its pages, Arise is also bringing the continent's fashion to catwalks across the world -- over the last few years the magazine has held a series of international fashion events, helping established designers and inspiring young talents to showcase their creations.

Read related: Fashion week in Lagos

More recently, Arise hosted its fifth show at Mercedes-Benz New York Fashion Week. Dubbed African Icons, this year's show featured the glamorous and chic collections of five African designers: Ozwald Boateng, Tsemaye Binite, Folake Folarin-Coker of Tiffany Amber, Amaka Osakwe of Maki Oh and Gavin Rajah.

"Our aim is to create an international audience and platform for the best African fashion talent," says Helen Jennings, editor of Arise.

"We always choose different designers who have different aesthetics, so together you get a really nice broad spectrum -- five different voices, five different perspectives of African fashion," she adds.

"That's the joy of it," she adds. "We promote Africa, but we break those barriers and those assumptions that people have that it's all going to be wacky, overly colorful wraparound dresses or whatever".

Read more: Web boutiques bring African fashion to world market

Nigerian designer Binite, who is based in Britain and has also worked for Burberry and Stella McCartney, made his second appearance at the September 6 event. His show was dominated by "marl grey jersey tracksuits with silver embossed branding, leather bomber jackets worn with denim shorts, flesh-toned panelled illusion dresses and a floor-sweeping, blood-red evening gown," according to Jennings.

Binite says international events such as the New York show are crucial in helping the world understand what it really means to be an African fashion designer.

"I hope it will broaden people's expectations of what African fashion is supposed to mean," he says. "We're all very global in the way that we think, the experiences we've had, the things that we do," he says. "I called myself a juxtaposed reality of a New Nigerian -- so I'm very Nigerian to the core, but global in my reach and my exposure."

@highlight

Arise magazine describes itself as Africa's global style and culture magazine

@highlight

The publication is sold to 26 countries around the world

@highlight

Arise is also holding fashion shows around the world to promote African talent

@highlight

It recently held its fifth show at Mercedes-Benz New York Fashion Week