Editor's note: This is part two of a two-part series on illegal immigration in Middle America.

St. Bridget's Catholic Church has been spending $80,000 a month to help immigrants pay for their daily expenses.

POSTVILLE, Iowa (CNN)  -- The Rev. Lloyd Paul Ouderkirk sits beneath a cross of Jesus, the sun shining through the stained-glass windows that line his church.

"Nobody can tell me to shut up," says Ouderkirk, the pastor of St. Bridget's Catholic Church in the tiny town of Postville, Iowa, the epicenter of the nation's immigration debate in rural communities.

Ouderkirk is outraged at the way federal agents swooped into town and rounded up nearly 400 illegal immigrants on May 12 in a raid on the nation's largest kosher meatpacking plant, Agriprocessors. He's angry at the bosses of the plant who are accused of mistreating workers, including children, and using a workforce that the government contends was 75 percent illegal immigrants.  Watch "we cried with them" »

And he's upset that Iowa Gov. Chet Culver and other top state officials haven't set foot in Postville since the raid left the town of 2,400 "bleeding to death." The raid was the largest work-force raid in the nation's history at the time, what one court interpreter said "criminalized the undocumented workers on a grand scale" for the first time.

"I think every elected politician -- no exceptions -- should bow their heads in shame," Ouderkirk says. "Upset?! Yeah, I'm upset. I mean give me a break ... If the elected politicians couldn't do any better than this to come up with a good, just immigration law, they should hang their heads in shame."

Within the next half hour, about two dozen women from Guatemala and Mexico begin arriving at his church, along with two men. All were picked up in the raid, but the federal government released them on humanitarian grounds because they are parents of children who are American citizens. Each wears an ankle bracelet. They are seeking political asylum or temporary residency within the United States.  See photos around Postville, Iowa »

Unable to work now, they come to St. Bridget's for financial help. The church pays their medical bills, food, rent and other daily expenses.

"They walk the streets here monitored wherever they go. They can't leave, they can't work, they all have children," Ouderkirk says. "So effectively, they are prisoners in our town and in this parish."

Ouderkirk isn't the only one complaining. Mayor Bob Penrod said his town has been turned "topsy turvy" since the raid. He too wondered why he hasn't heard from the governor.   Watch a "military raid" on this town »

"Basically all we wanted was some advice on how to deal with some of the situations that keep arising," Penrod says.

Gov. Culver's office says his administration played a "leading role" in an investigation of the meatpacking plant that led to more than 9,000 charges of child labor violations against its bosses and managers. "Gov. Culver has been a vocal critic of Agriprocessors," his office said in a written statement. It added that while the governor may not have visited, he has worked with state agencies to "address the needs of the families in Postville."

Agriprocessors declined comment for this story. In a statement after the raid, the company said it "cooperated with the government in the enforcement action. We intend to continue to cooperate with the government in its investigation. ... We extend our heartfelt sympathies to the families whose lives were disrupted and wish them the best."

The U.S. Immigration and Customs Enforcement stands by the raid in Postville. "Illegal aliens often turn to criminal activity, including document fraud, Social Security fraud or identify theft, in order to get jobs," ICE spokesman Tim Counts said in a written statement. "The demand for fraudulent documents and identities created by them creates thriving criminal enterprises that supply them."

Ouderkirk, who came out of retirement after the raid, says it's costing his church $80,000 a month, and the church only has enough money to keep paying through the end of the year. "It's pathetic when you have what was labeled by the man who directed the raid here as a 'very successful raid.' How successful is this when it does this to the children and breaks up families?" Ouderkirk says.

Rocelia Hernandez, a mother of four, came from Mexico seven years ago and worked at the kosher plant for three years. Displaying her ankle bracelet, she admits she entered the country illegally, but says she came to improve her children's lives.

"Since I arrived here, I haven't done anything but work because I wanted to have a house and have better things in the future for my children," Hernandez says.

She says she was given a "Social Security number that they invented for me." Asked who made it, Hernandez says, "I don't know. I never knew."

Hernandez says she's confused about why the government cracked down on her. The United States, she says, is a generous country that provides aid to countries to help impoverished people around the world.

"If the Americans have such a big heart or the government has such a big heart for other people, why don't they protect those of us who are already here? Why do they kick us out?" she says.

"I want my son to learn the language and stay here and have a better life," Hernandez says of her 5-year-old American-born son.

Ouderkirk puts it more succinctly. "This is no way as a democracy to treat people. I don't care if they are legal or illegal. You don't tear families apart like this," Ouderkirk says. "The women and children we're taking care of right now are no more criminal than people driving down the street breaking the speed limit."  See where Postville is located »

The federal government disagrees. Of the 389 captured that day in May, nearly 300 of them were charged with felony counts of aggravated identity theft and fraudulent use of Social Security numbers. Those slaughterhouse workers were tried and convicted in less than two days on a cattle fairground where Iowans typically come to cheer cowboys who lasso raging bulls. Most were sentenced to five months in prison.

"The federal court got taken for a ride," says Erik Camayd-Freixas, a federal certified interpreter who was there. "There was no presumption of innocence."

A court interpreter is supposed to be an impartial representative of the government. Camayd-Freixas has worked as an interpreter for 23 years, but says what happened in Postville touched a nerve and forced him to speak out.

"The truth is that nothing could have prepared me for the prospect of helping our government put hundreds of innocent people in jail," he said in a written personal account.

Camayd-Freixas says those arrested pleaded guilty to the charges often not knowing what they were pleading to.

A person charged with identity theft has to knowingly take the "identification of another person with the intent to commit, or to aid or abet, any unlawful activity that constitutes a violation of federal law," according to federal identity theft law. ICE's affidavit is vague on that point, describing workers going to a third-party source for documents.

Most of the Agriprocessor workers, Camayd-Freixas says, had no idea they were using somebody else's identity because they "took whatever number was given to them." Camayd-Freixas says he understands the workers were in America illegally, but he questions the legality of trying them on felony offenses.

"These are common workers and they are parading them as criminals. There's something wrong here," he says. "I was there and I saw it."

He says the guilty pleas could have a staggering effect on separate, extremely serious state investigations of Agriprocessors. The state of Iowa filed 9,300 misdemeanor charges against owners and managers at Agriprocessors accusing them of child labor law violations.

The state needs the immigrants -- the same ones the federal government wants deported -- to testify in any potential trial against their bosses.

"The immigrants have no credibility because they plead guilty," Camayd-Freixas says. "The whole thing is just ill conceived."

Camayd-Freixas, acting as an academic consultant for the Guatemalan consul general, recently visited with 94 of the Postville workers being held at two facilities in Miami, Florida. Their sentences ended last weekend and they will likely get deported beginning this week. He says 16 have been recalled for the Iowa investigations.

"They want to be deported back to Guatemala as soon as possible," Camayd-Freixas says. "Every week they don't work is another week their children go hungry."

Back in Postville, Ouderkirk says he'll keep speaking his mind. He invites vocal opponents of illegal immigration to come to his church and "walk in the shoes" of the immigrants he's helping. He says he's "gotten hate letters like you wouldn't believe."

"If people have a right to spout off like that, then I have a right to speak in defense of these poor people," he says. "This is a free country. I have a right to speak what I believe in, and I have a right to speak up for poor people whose voice is being denied."

@highlight

Postville, Iowa, priest: "Every elected politician ... should bow their heads in shame"

@highlight

"Nobody can tell me to shut up," Rev. Lloyd Paul Ouderkirk says

@highlight

Bosses of kosher plant accused of using illegal immigrant workforce, including kids

@highlight

Court interpreter who witnessed trials: "The federal court got taken for a ride"