Washington (CNN) -- A controversial congressional hearing Thursday on the radicalization of Muslim Americans touched on sensitive questions involving terrorism and tolerance a decade after the 9/11 attacks.

At times emotional and theatrical, the four-hour session of the House Homeland Security Committee included calls from moderate Muslims for support in overcoming extremists seeking to indoctrinate their children, as well as protests from Democratic legislators who complained the hearing unfairly implicated all Muslims for the criminal acts of a small minority.

In the end, committee Chairman Peter King, R-New York, said the hearing that generated widespread media coverage "actually went a lot easier than it could have." He blamed what he called the "mindless, baseless hysteria in the media" in preceding weeks for the controversy, and promised additional hearings in coming months, with the next perhaps focusing on the radicalization of Muslims in U.S. prisons.

Despite strong criticism from Muslim Americans and accusations of a McCarthyist revival,  King started the hearing by defending it as neither "radical or un-American."

"To back down would be a craven surrender to political correctness and an abdication of what I believe to be the main responsibility of this committee to protect America from a terrorist attack," he said.

Recruiting young American Muslims is part of al Qaeda's strategy to continue attacking the United States, said King, who  called on Americans to reject the Council on American-Islamic Relations (CAIR), a prominent Muslim-American advocacy group in the United States.

Witnesses stressed to the panel the need for more understanding of the issue, with a father describing how his son was radicalized by Islamic extremists, and a moderate Muslim activist advocating an American form of Islam that believes in "separation of mosque and state."

At the same time, the only law enforcement official to testify, Sheriff Leroy Baca of Los Angeles County in California, seemed to sum up the overall approach needed by calling for increased understanding by Americans of their changing society.

"The truth is that America is becoming a society of the world, and because of that we have to be sensitive, we have to know how to work with various communities," Baca said. "Americans need to wake up and start learning more about all the issues that affect their well-being. ... The real truth is that the American public must step up to the plate and do more, even if it's just educating yourself."

Evidence of the deep public divide over the issue included a woman in the public gallery wearing a T-shirt that had "No Bigotry" written in large letters.

Democrats on the panel sharply criticized King for focusing the hearing only on the Muslim-American community, with some expressing outrage and other making emotional pleas.

Rep. Yvette Clarke of New York called the hearing "great theater" but lamented the lack of a definition for terrorism and radicalization. For example, she said, parents in her district tell of chidlren being recruited and brainwashed by local gangs.

Rep. Keith Ellison, the first elected Muslim member of Congress, choked up in describing the sacrifices of Muslim Americans, among them Salman Hamdani, a 23-year-old paramedic and New York City police cadet who died trying to save others in the September 11, 2001, terrorist attacks.

With Hamdani's mother in the room, Ellison teared up as he explained that people "falsely speculated (Hamdani) was with the attackers because he was Muslim."

"His life should not be identified as just a member of an ethic group or just a member of a religion, but as an American who gave everything for his fellow Americans," the sobbing Ellison said.

He acknowledged that some Muslims are responsible for violent acts, but said blaming the entire Muslim community for the evil of individuals is "the very heart of stereotyping and scapegoating."

Muslim Americans called the planned series of hearings an unfair attack on loyal citizens and a dangerous break from the traditional U.S. embrace of tolerance and pluralism.

However, the president of the American Islamic Forum for Democracy told the hearing that the radicalization of Muslim Americans is a "significant" problem that only the Muslim community can resolve, instead of claiming victimization when concerns are raised.

"We can close our eyes and pretend it doesn't exist," said Dr. M. Zuhdi Jasser, who is Muslim. "You're not going to solve the problem and the problem is increasing exponentially."

Jasser called radicalization "a moral corruption within a certain segment" that is using the Islamic religion to spread its message. Countering such efforts would require teaching Muslim Americans about American principles of liberty and "separation of mosque and state," he said, with a goal of allowing true Muslim reformists to gain a voice in the debate, instead of what he called Islamic revivalists clinging to traditional models that mix religion and government.

Noting the controversy over addressing the issue, Jasser said "I hope that you develop the political will to deal with this problem."

Critics have accused Republican leaders of bigotry and compared the hearings to those held in the 1950s to explore Sen. Joseph McCarthy's allegations of Communist infiltration in the early years of the Cold War.

Democratic Rep. John Dingell, the longest-serving congressman and the dean of the House, said he represented a Michigan community that included a sizable Muslim population.

"They are almost, without exception, honorable, loyal citizens," Dingell said. "And as I've indicated, they are distressed as much as we are about the behavior of al Qaeda and other threats to their nation as we are to sharing their concerns about what is of danger to our nation."

Dingell then told the committee that in all the years that he headed investigative committees, he kept a picture of McCarthy hanging on the wall -- "so that I would know what it was I did not want to look like, to do or to be."

Rep. Bennie Thompson, D-Mississippi, told the committee that the hearings run the risk of taking too narrow a view of the scope of terrorism threats against the United States and could stoke a climate of fear and distrust in the Muslim community.

"As we consider the possible domestic effects of our actions, we must also consider the possible effects abroad," Thompson said. "As I look at the recent uprisings in North Africa and the Middle East, I'm struck by the fact that these movements are inspired by secular notions of democracy and freedom. Theocracy seems to be on the sidelines."

Other Democrats were more dramatic. Rep. Sheila Jackson Lee of Texas expressed her "outrage" at limited scope of the hearing, while California Rep. Laura Richardson called it "discriminatory" and "an abuse of power" by King, who became committee chairman with the Republican takeover of Congress in last November's elections.

Richardson questioned why other House committees weren't holding hearings on threats to American children involving other religions, a veiled but obvious reference to the sex abuse scandal in the Catholic Church.

Rep. Al Green of Texas called for a hearing on the Ku Klux Klan, noting it was religious-based because all members were required to be Christians.

Republican offered their own theatrics, with Rep. Jeff Duncan of South Carolina expressing his own outrage over what he called the Obama administration's "failure to single out who our enemy is."

Witnesses invited by King told stories of personal loss. Melvin Bledsoe, the father of an American youth who converted from Christianity to Islam at age 19 and later shot two U.S. army troops outside an Arkansas recruiting station, asked the committee for help.

Bledsoe blamed Islamic extremists for radicalizing his son Carlos at mosques in Nashville, Tennessee. Carlos changed his name to Abdulhakim Mujahid Muhammad and was held responsible for the 2009 fatal attack on an Army Recruiting Center killing in Little Rock, Arkansas.

"We are losing American babies. Our children are in danger. We must stand up and do something about the problem," Bledsoe said. "I'd like to see something change that no other family in this great country of ours has to go through what our family is facing today. What happened to Carlos at those Nashville mosques isn't normal."

Later, Bledsoe seemed perplexed by criticism of the hearing by Democrats, saying they didn't understand the reality of the problem or appeared fearful of political ramifications.

To Baca, the sheriff, part of the problem stems from distrust between Muslim communities and local law enforcement in the wake of the September 11, 2001, terrorist attacks on the United States.

He described successful outreach by his department to minority communities that have brought cooperation in criminal investigations, and called on Muslim parents to notify authorities at the first sign of irregular behavior that might signal radicalization of a child.

King complained about a lack of cooperation from Muslim organizations and Muslim-American communities, and he and Rep. Frank Wolf, R-Virginia, took direct aim at CAIR, which was a harsh critic of the hearing.

Wolf said the group was "counter-productive and it is hurting the Muslim-American community," accusing it of waging "a campaign to intimidate and silence anyone who raises concerns about Muslim radicalization."

Jasser also criticized CAIR, saying it and other well-known Muslim groups emerged from and represented the more traditional elements of Islam, rather than the majority of Muslim Americans who had a more secular world view.

King told CNN he had increased security because of the anger generated by the hearings, describing threats he is getting as a "combination of things." He already had security protection with him at home in New York following the shooting of Rep. Gabrielle Giffords, D-Arizona.

CNN's Tom Cohen, Moni Basu, Richard Allen Greene, Alan Silverleib, Dana Bash, Mike Ahlers and Jeanne Meserve contributed to this report.

@highlight

NEW: Sheriff says Americans must educate themselves better about Islam

@highlight

Rep. Keith Ellison says the entire Muslim community should not be blamed for violence

@highlight

Peter King, the committee chairman, says the hearings are not un-American

@highlight

Some Republicans call for rejection of the most prominent Muslim advocacy group