(CNN) -- Hugo Chavez's 14 years as president of Venezuela were so personality-driven that the movement behind him became known as "Chavismo."

Chavismo encompasses not just the political machine that saw Chavez re-elected four times, but a leftist ideology that prioritized the redistribution of oil wealth to the marginalized and valued sovereignty as something to be protected from "imperialist" powers.

Now, with its leader gone, the future of Chavismo could take many paths, experts say. Other powerful leaders in history who left a similar hole have seen their ideologies live on, though not without change.

There is a trade-off between the degree to which a government centers on one person and the strength of that country's institutions, said Javier Corrales, a professor of political science at Amherst College who studies Venezuela. In general, the stronger the central figure, the weaker the institutions.

"In authoritarian regimes, you always have a crisis moment when you see a change in leadership," Corrales said.

Chavez was democratically elected, but his efforts to consolidate power in the presidency led to accusations of authoritarianism.

Change is inevitable after the loss of a revered leader, but the degree of transformation varies.

In Yugoslavia in the period after World War II until 1980, Josip Broz Tito succeeded in keeping the various ethnic groups in his country united. Despite being considered an authoritarian, he remained popular because of the unity and economic success. Upon his death, however, the country unraveled and fell into civil war, and Yugoslavia crumbled, eventually splitting into separate nations.

After Joseph Stalin died in the Soviet Union, there was a complete break with his regime under the new leader, Nikita Khrushchev. Khrushchev rejected Stalin's terror tactics.

Change in Cuba was more subtle after the passing of the torch from Fidel Castro to his brother Raul Castro, Corrales said. The Castros share their communist views, but after the younger Castro took office, he purged some men and has since pursued policies to somewhat open up Cuba.

Venezuelan interim President Nicolas Maduro is expected to vie for the full-time job, and analysts predict he has the best shot at getting elected.

If elected, Maduro eventually will have to purge some of the Chavez loyalists and shake up the Cabinet to consolidate his own power, Corrales said.

"Whoever comes next is going to have to assert himself in a pretty domineering way," he said.

U.S.-Venezuela relations likely to remain tense after Chavez

The lasting power of Chavez's image

Chavez's dedication to putting the nation's poor at the forefront of his policies made him a hero among a large sector of the population. His freewheeling spending of his nation's oil wealth was criticized by some economists as unsustainable, but Venezuela's poor saw results and elevated Chavez to hero status.

In Latin America, such status carries a lot of weight.

Hero or villain? The many ways to see Chavez

Consider a movement in Nicaragua that has survived over the years: Sandinismo. Augusto Sandino was the leader of a rebellion in the late 1920s and early 1930s against an American occupation. The Sandinistas are in power today in Nicaragua, under President Daniel Ortega, though the movement has little to do with its origins, said Andres Perez, a professor of political science at the University of Western Ontario.

Sandino's memory has been manipulated for political purposes over time, just like Chavez's might.

Years after Sandino was killed, Nicaraguans used his image as a symbol in their own rebellion to overthrow a dictatorship. A movement, the Sandinista National Liberation Front, was born. The current Sandinista president uses the same symbol and movement, though it has been manipulated from earlier Sandinismo, Perez said.

"When people find a symbol or answer to their aspirations, they tend to perpetuate it," Perez said.

In the case of Chavismo, it is difficult to predict what will happen the movement as a political movement, Perez said.

"But what I can say is that the memory of Chavez will last. It will be very difficult to erase it from the poor sector of Venezuela who found answers in the image and words of Chavez," he said.

Millions of Venezuelans found hope in Chavez, and now the question is who will appropriate his image and how will they use it, Perez said. Conceivably, even the opposition could take aspects of Chavez's legacy and make it their own, he said.

Already during last year's electoral campaign, the opposition vowed not to undo the social missions that Chavez initiated, but only to modify them.

The director of the polling firm Datanalisis, Luis Vicente Leon, predicted something similar in a series of Twitter posts before Chavez died.

"To count out Chavismo without Chavez is to ignore that there is Peronism without Peron and Sandinismo without Sandino," he tweeted. "It will suffer a great loss without Chavez, but it has a legacy of power and symbolism that it can exploit."

Peronism is a movement named after former Argentine President Juan Peron, a legacy that has been claimed over the years by parties both on the political right and left.

Outlook good for Chavismo in short term

Despite suffering from cancer, Chavez resoundingly won re-election in October. His popularity, combined with the outpouring of tributes in the wake of his death, make a Chavista victory likely in the new elections that must be called.

Maduro was named by Chavez as his preferred successor and could easily win the election, but he will have to put the movement's unity as his priority, said Steve Ellner, a professor at Venezuela's Universidad de Oriente who has written several books about Chavez's Venezuela.

There are divisions within Chavismo that have come to light as Chavez's health faded. Some stand behind Maduro, who is close with the Cuban regime, while others side with Diosdado Cabello, the National Assembly president who is more of a nationalist. Because Chavez was never sworn in for his latest terms, there is even a debate over which of the two, constitutionally, should be the interim president.

In the short term, Maduro will have to avoid internal dissent that threatens the movement, Ellner said. That may mean adopting populist positions that the nationalists like.

"I don't see a turn to the moderate policies that some favor," Ellner said.

One of the characteristics of Chavismo is the fervor of its adherents. Chavez was a master of cultivating that fervor, and the next Chavista leader will have to do the same, Ellner said.

"In any process of far-reaching changing, it is essential," he said.

Maintaining that level of fervor keeps followers from becoming disillusioned, he said. One of Chavez's strategies was to surprise Venezuelans with new policies that invigorated the rank-and-file, a formula that future leaders may have to follow, he said.

In a speech at his swearing in as interim leader, Maduro promised to follow Chavez's path.

"We still have him in our hearts," he said. "I have him here, here, as if he was the name in my soul, because I am his son."

The future of Chavismo

The grip of Chavismo on Venezuela is not guaranteed.

"I have my doubts about the existence of Chavismo without Chavez," leading opposition figure Henrique Capriles told a Spanish newspaper in January. "To me, any movement without its leading figure is deeply vulnerable."

Capriles is expected to be the opposition candidate to challenge Maduro for the presidency.

"It will depend on opposition voters understanding that Chavismo without Chavez is beatable and deeply vulnerable if they mobilize," he said.

If Chavismo is victorious in its first election without Chavez, the new leader will have to face decisions that may cause dissatisfaction among the movement, said Corrales, the Amherst professor.

If Maduro wins, he will have to deal with a tough economic crisis and will be forced to consider future devaluations and spending cuts, topics which have provoked tensions within Chavismo in the past.

The next president also will have to rethink the way that the country's oil wealth is spent and the subsidies it provides, both foundations of Chavismo.

Supporters of Chavez are more optimistic about the lasting legacy of Chavez.

"Chavismo, at one point, was focused on the figure of Chavez as the all-emcompassing one, but it grew and expanded to become this mass movement that has crossed the borders out of Venezuela into the world beyond and has affected countries around the world," Eva Golinger, a Venezuelan-American attorney, author and adviser to Chavez told CNN's Christiane Amanpour.

Chavismo and the social revolution that Chavez began will continue, she predicted.

"Chavez (was) a very powerful personality, very charismatic person, larger than life, and most media attention went to him," Golinger said. "But in the end, what really has been going on in Venezuela is a whole transformation of the country, that's why it's called a revolution, changing every sector of society."

@highlight

Chavismo is the political movement that backed Hugo Chavez

@highlight

Challenges arise for such movements when its titular leader is removed

@highlight

Analysts predict Chavez's party will remain in power, but challenges will arise