(CNN) -- As a jockey he spent his career guiding horses over the world's toughest fences.

But this -- standing in a ditch in a Guatemalan town with a young boy in a ragged rodeo outfit holding the reins of his blind pony -- is an altogether different assignment for Richard Dunwooody.

The boy is the son of the local rag-and-bone man, who collects unwanted items and sells them to merchants. Dunwoody is there to take pictures for The Brooke, a UK-based animal charity, in his new career as a photographer.

It's in stark contrast to 27 years ago when he burst onto the horse-racing scene aged 22, riding West Tip to victory in Britain's Grand National, a grueling jumps test widely regarded as the hardest and most spectacular event of its kind.

Dunwoody, who turned 50 in January, may have stepped out of the saddle some years ago but horse racing still drives his passion and thinking in this relatively new-found career.

He was advised by his doctor to give up the racetrack because of the dangers to his already damaged neck should he fall heavily again.

"It's a bit like a quote from my friend Tony McCoy (the 18-time champion jockey with over 4,000 wins to his name) who likes to say whatever you do, if you're riding a winner, remember you might not ride another one," Dunwoody told CNN.

"It's the same with photographs. You take a good image and then it's on to the next one.

"I think that horse-racing mentality I had while riding translates well to acting as a driving factor in photography."

The career path from saddle to camera lens is not a well-traveled route, but photography has always been a passion for Dunwoody.

"At school, I was always in the dark room and doing stuff like that," he recalls of his youth in Northern Ireland. "Then during my career I had a lot of friends who were racecourse photographers and sports photographers, so I got more interested then."

After retiring he started heading up riding holidays for travel company Wild Frontiers, which took him on trips around the globe for five or six years.

He featured in "Strictly Come Dancing" -- the British TV show that spawned "Dancing with the Stars" globally -- walked 1,000 miles in 1,000 hours for charity, and retraced the steps of explorer Ernest Shackleton as part of a 48-hour trek to reach the South Pole.

"After all that, I felt I wanted to get about more but wondered what would enable me to do that," he adds. "I thought taking photographs might be a good way of combining the two."

So, he signed up to a nine-month course at the Speos Photographic Institute in Paris specializing in photojournalism, which he says "really taught me a hell of a lot."

Asked if he has always had a natural eye, he says laughing, "I wouldn't say that!"

But he has produced a gallery's worth of eye-catching photographs from his various trips, not least of all his first exhibition in January for The Brooke.

The charity wanted to highlight its work and the plight of suffering animals by sending Dunwoody to some of the 10 countries where it has projects.

"I was quite surprised how well it was received," he says of the exhibition.

"You don't really know how you are, you can never gauge yourself, it's how the images are received by other people. I'm just stumbling around trying to make a living from this."

One memorable trip was to Afghanistan in October, which Dunwoody made independently from the charity.

"I always felt safe there, but you never know," he says.

"There was a restaurant we frequented a fair bit while we were there which was blown up by a suicide bomber last month. It makes you think, doesn't it? It's very sad what's happening there but I loved it as a country -- it's a fantastic place really."

Other assignments have included covering the Mongol Derby -- an energy-sapping 1,000-kilometer horse race -- trips to the brick kilns in Cairo to watch children work, slate mines in India and a visit to Antigua, a city perched in the highlands of Guatemala.

There are further photographic trips planned, notably one to Japan later this year, and he hankers for a return to the Arctic and Antarctic.

"I went there before I'd done my course but it's just the most beautiful place to take photographs," he says.

"We came across a polar bear which I caught on my tiny ready-to-shoot camera, and the pics were OK. I'd like to go back with proper equipment."

Dunwoody, whose time is split between London and living with his girlfriend near Ronda in Spain, still can't believe he has gradually forged a second career for himself from his passion.

As for his former colleagues, he has no idea what they make of his photographs -- "when I see them we never really talk about that" -- and he is too modest to rate his own photographs.

"I'm happy with one or two of my photographs but it's not up to me to say, that's for other people," says Dunwoody, who concedes he is best at action shots. "I'm just very grateful for this chance and the places it takes me."

So what makes a good photo?

"I've had a few lectures on this subject from some top photographers," he says. "It has to be a good moment, a defining moment, something that makes you look twice, as there are so many images out there now. It's hard to get one of those eye-catching shots.

"In fact, photographs are a lot harder work than they are given credit for, certainly than I used to give credit for. I have an immense amount of respect for photographers."

But he is certainly happy in his new life, which has taken him from in front of the lens to behind it.

"I prefer taking photos of horses than being on them," he says. "Certainly at the Mongol Derby, where the ponies rear up and it's all a bit crazy. This is more sane."

@highlight

Ex-jockey Richard Dunwoody swaps saddle for photographic snapshots around the world

@highlight

A passion for pictures and travel led him to retrain and learn the art form in Paris

@highlight

There's an equine theme to his pictures after a partnership with animal charity The Brooke

@highlight

Dunwoody was one of the top jockeys in an illustrious career cut short by injury