London (CNN) -- Apps -- those bite-sized portals to mass information and services -- have not only revolutionized the way we communicate, but also how we travel and how we maximize our time on the road.

Tom Dunmore, creative director at Mediablaze, which runs app-review website "Life of Android," says because apps are location sensitive, easy to use and constantly connected, they are "the next stage of the internet."

"Increasingly, we'll see people rely on apps in the way they previously relied on maps, guide books and indeed personal assistants, booking flights and hotels -- all those things suddenly merged down into a mobile phone," he says.

This efficient experience is driving the growth of travel apps, where all sectors of the industry are responding to our appetite for arranging our travel online -- digital DIY.

See also: Budget airlines go long haul

Paul English, co-founder of travel website Kayak, admits that he was wrong about the initial reasons for developing an app version of the site.

"I had this thought that the reason people are going to be using Kayak on a mobile would be -- they'd be in New York, they'd get drunk, or a meeting ran late, they'd miss their flight home and they needed to get a last-minute hotel in the city," says English.

"I had our head of engineering run a report for showing how many days out people start searching Kayak on their mobile phone compared to on the website -- what shocked me was the data was almost exactly the same," he adds. "Having real-time information about what's happening with their travel has made people feel powerful."

It became obvious to English that people think of their mobile phone as their computer, where they demand full functionality of websites on the move to plan itineraries for themselves.

With over 12 million downloads since 2009, Kayak now dedicates 20% of its engineering team to app development, working on key searches for travelers, who can also integrate their itinerary with calendars to share with friends and colleagues.

"It's really changed us as a company, in the way we think," says English. "We take guidance from what's going on with the app and adapt the website, not the other way around. It's also helped raise awareness of the company."

See also: Ayesha's travel essentials

It's not just the travel industry that realizes the value of apps. A study by Forrester Research forecasts that companies will spend up to $17 billion over the next four years creating apps for their products. Revenue from selling these apps could reach $38 billion by 2015.

A report published by Deloitte in January found that the value of the app economy in the UK alone is $700 million (â‚¬522.5m), creating more than 7,000 jobs.

Among the UK's app developers is Realmac Software. It's app "Clear" has struck a chord with people's need for order. The digital "to-do list" became a huge seller after it launched in February 2012. Costing $1 on several app stores, including Apple's, so far more than half a million copies of Clear have been sold.

"We've definitely raised the bar in terms the amount of touch gestures you use in an app -- pinch, slide, expand -- we've taken it to a whole new level" says Nik Fletcher, product manager at Realmac, which was established 10 years ago.

"Pretty much anyone can sign up to be an app developer," says Fletcher. "You pay $99 a year, paid to Apple, and that basically gives you access to all the developer resources they provide and allows you to submit your apps for their consideration on the app store.

"Once your app has been approved by Apple, it's on sale pretty much to any app store in the world. The barrier is so much lower now. A single person can start building an app and publish it and they're in the same league as all these major brands. You don't need the backing of a big brand to be successful."

@highlight

Apps are increasingly being used to plan travel on the go

@highlight

People use apps like they use maps and guidebooks, says Tom Dunmore, of Mediablaze

@highlight

Report says apps could be a $38 billion industry by 2015