(CNN) -- Christy Wolford describes her first child, Lauren, as a wedding gift. She also says it was her daughter who saved her life.

Wolford found a lump in her breast while she was breastfeeding. Had she not been weaning Lauren, she probably wouldn't have noticed that something was unusual with her breast, let alone have had it checked out.

Wolford was only 28.

"When you're in your 20s, you think you're invincible," she said.

At first she thought she might have a clogged milk duct, but she went to the doctor anyway.

What followed were mammograms, ultrasounds, biopsies and then the diagnosis: She had breast cancer.

Doctors told her other bad news: She had an 80% to 90% chance of being sterile after her treatment. She and her husband, Bubba, really wanted another child. They were hoping for a son to carry on the family name.

"That was shocking. ... It was a very hard pill to swallow," Wolford said.

Luckily, she found another option: an ongoing clinical trial designed to help preserve a woman's fertility during chemotherapy. The study's results were published Friday at the American Society of Clinical Oncology annual meeting in Chicago.

Hope in a trial

Since there would be about a month between surgery and chemotherapy, her doctor initially suggested that the couple seek fertility treatment. That way they could set aside embryos to be used later.

The Wolfords thought about it, but the treatment's $30,000 price tag was too much. They also struggled with what they felt was a moral dilemma of what they'd do with the embryos they didn't use. Ultimately, they decided that fertility treatments weren't for them.

It's a good thing, too: Wolford later learned that she had hormone-negative cancer. The fertility drugs she would have needed for egg harvesting could have made her cancer worse.

When Wolford went in for her treatment at MD Anderson Cancer Center in Houston, she learned about the clinical trial, which is funded largely by the National Institutes of Health.

"Honestly, I don't know if my poor husband even had a vote in this. I saw it as my only hope," she said.

Trial researchers wanted to know whether the drug goserelin (brand name Zoladex) could preserve the fertility of hormone-negative cancer patients.

"It's a drug that suppresses ovarian function or puts the ovaries at rest," said the lead study author, Dr. Halle Moore.

Goserelin is normally prescribed to women with advanced hormone-positive breast cancer to put them into menopause and stop estrogen production, which can fuel cancer growth.

Studies have shown high rates of return of menstrual function, Moore says, but there have been no conclusive trials looking at ovarian function over the long term.

A new approach

The goal of the trial was to temporarily halt ovarian function and then assess it two years after treatment.

"Basically, if the ovaries are inactive, then they would hopefully be less sensitive to the chemotherapy effects," said Moore, a breast cancer specialist at the Cleveland Clinic.

More than 200 women between the ages of 18 and 49 were recruited for the trial. All were given standard chemotherapy, but half added goserelin to their treatments.

Wolford was in the latter group.

"I put my ovaries into menopause, without the chemotherapy doing it first, with the hope that (the ovaries) would wake up afterwards," she said.

She had to get an injection one week before starting chemotherapy and then once every four weeks as long as she was on chemo.

"The drug is actually quite painful. It's like a shooting a rice grain into your abdomen," Wolford said.

Wolford's chemotherapy lasted six months, finishing in September 2006. Her menstrual cycle returned about four months later.

"Obviously, at that point, it doesn't mean that you're ovulating, and at that point, we were trying to figure out what to do next for our family," Wolford said.

A life change

Two months later, she was laid off from her job. Believing Lauren would probably be their only child, the couple decided to open a preschool in Colorado, "because if we can't have more children, then we'll spend time with other parents' children," Wolford sasaid.

In late 2008, they decided to see if they could get pregnant again. When Wolford informed her doctors at MD Anderson, they asked her to come in for more tests, particularly because triple-negative breast cancer has the highest recurrence rate five years after diagnosis.

Only 135 women (including Wolford) met the criteria for ovarian function testing at the two-year mark, and among those patients, researchers found that 22% of the women in the chemo-only group had premature ovarian failure, compared with 8% in the group that also got goserelin.

"That's a two-thirds reduction," Moore said.

Researchers also found that the women in the goserelin group were nearly twice as likely to have a successful pregnancy.

Wolford was one of them. She found out she was pregnant in February 2009 and believes she delivered the first baby in the goserelin group. Alexander was born eight months later.

11 myths fertility doctors hear

Then came Everett and finally baby Lukas.

All told, among the 218 women enrolled in the trial, 22 patients in the goserelin group became pregnant, compared with 12 in the chemotherapy-only group.

An important post-cancer issue

"Finding a simple and accessible way to protect fertility in young breast cancer patients while not harming cancer outcomes is an important issue," said Dr. Lori Minasian, deputy director of the National Cancer Institute's Division of Cancer Prevention and one of the study's co-authors.

"I think this is convincing enough that we can use this standard practice" (for women with hormone-negative breast cancer), Moore said.

MD Anderson breast cancer expert Dr. Jennifer Litton, who was not involved in the study, cautions that the study size was small. She says the research does show that it's not harmful to take goserelin to preserve fertility.

But she suggests "for patients who are sure they want to have children after chemotherapy, it is still imperative to meet with a reproductive endocrinologist to understand all their options and not just rely on goserelin."

More research needed

Although the study results are narrowly applicable to hormone-negative breast cancer, the concept may have broader applications in other cancers, said Dr. Clifford Hudis, president of the American Society of Clinical Oncology and a breast cancer expert at Memorial Sloan Kettering Cancer Center in New York.

Moore agrees, saying that goserelin may also be applicable with cancers that are treated with similar chemotherapy drugs, like lymphoma, but that more research is needed.

Wolford is now almost nine years cancer-free. Her message to other young women in a similar situation: Be strong. It's a hard road fighting cancer, she says, but do your research and consider participating in clinical trials that could help you and other women in the future.

"To have the life you always hoped to have -- it's a really huge thing," she said. "It was definitely a painful experience, but the upside was my three sons, and I would do it again in a heartbeat."

IVF helps Nigerians overcome infertility stigma

@highlight

Treatments for cancer increase chances for a woman to become sterile

@highlight

Women who added one drug in trial were nearly twice as likely to get pregnant

@highlight

Goserelin may be useful after treatment for other cancers, study author says