Brittany Maynard says she hasn't decided yet when she'll end her life, but it's a decision she's still determined to make.

"I still feel good enough and I still have enough joy and I still laugh and smile with my family and friends enough that it doesn't seem like the right time right now," Maynard says in a video released to CNN on Wednesday. "But it will come, because I feel myself getting sicker. It's happening each week."

Maynard says she has stage IV glioblastoma multiforme, an aggressive form of terminal brain cancer. In April, she says, doctors gave her six months to live.

The 29-year-old Oregon woman's story spread rapidly on social media after she revealed her plans to take medication to end her life. A video explaining her choice has garnered more than 8.8 million views on YouTube. And she's become a prominent spokeswoman for the "death with dignity" movement, which advocates that terminally ill patients be allowed to receive medication that will let them die on their own terms. She's also become a lightning rod for criticism from people who oppose that approach.

In her latest statement, a nearly six-minute video produced and released by end-of-life choice advocacy group Compassion & Choices, Maynard acknowledges that some have been skeptical about her story.

"When people criticize me for not waiting longer, or, you know, whatever they've decided is best for me, it hurts," she says, "because really, I risk it every day, every day that I wake up."

Compassion & Choices spokesman Sean Crowley declined CNN's request to speak with Maynard's doctors, saying they "prefer to remain anonymous for now because opponents of death with dignity sometimes harass doctors who write aid-in-dying prescriptions."

Maynard says her health has been getting worse. She describes a recent "terrifying" day when she had two seizures and found herself unable to say her husband's name.

"I think sometimes people look at me and they think. 'Well you don't look as sick as you say you are,' which hurts to hear, because when I'm having a seizure and I can't speak afterwards, I certainly feel as sick as I am," she says, her voice cracking as she tears up.

When she first started speaking out about her decision, Maynard said she planned to take the medication she'd been prescribed in early November. In her latest video, she says she's still waiting to see how her symptoms progress before deciding on a date.

But taking too long to make that choice is now one of her greatest fears, Maynard says in the video.

"The worst thing that could happen to me is that I wait too long because I'm trying to seize each day," she says, "but I somehow have my autonomy taken away from me by my disease because of the nature of my cancer."

National campaign

Compassion & Choices says the latest video, which was recorded on October 13 and 14, is part of a campaign "to expand access to death with dignity in California and other states nationwide."

Maynard was living in California when doctors diagnosed her with brain cancer.

"We had to uproot from California to Oregon, because Oregon is one of only five states where death with dignity is authorized," she said in an opinion column she wrote for CNN earlier this month.

Oregon, Washington and Vermont have "death with dignity" laws that allow terminally ill, mentally competent residents to voluntarily request and receive prescription drugs to hasten their death. Judicial decisions in Montana and New Mexico authorize doctors to prescribe fatal drug doses in such circumstances, although the rulings haven't become state law.

Now, changing that has become part of Maynard's mission.

"My goal, of course, is to influence this policy for positive change. And I would like to see all Americans have access to the same health care rights," she says in her latest video.

But she says she's also focused on simpler goals.

"They mostly do boil down to my family and friends and making sure they all know how important they are to me and how much I love them," she says.

Family supports her decision

The video also includes statements from Maynard's family. Her mother, Debbie Ziegler, says she supports her daughter.

"It's not my job to tell her how to live, and it's not my job to tell her how to die," she says. "It's my job to love her through it."

Her husband, Dan Diaz, says they're taking things day by day.

"That's the only way to get through this. You take away all of the material stuff, all the nonsense that we all seem to latch onto as a society," he says, "and you realize that those moments are really what matter."

Last week, Maynard visited the Grand Canyon -- a trip she described as the last item on her bucket list.

Photos on her website showed her and her husband standing on the edge of the canyon, hugging and kissing. In the video, Maynard says she's hoping her mother and husband will be able to bounce back after her death.

"I understand everyone needs to grieve, but I want him to be happy, so I want him to have a family," she says. "And I know that might sound weird, but there's no part of me that wants him to live out the rest of his life just missing his wife, so I hope he moves on and becomes a father."

Debate over 'death with dignity'

The so-called "death with dignity" movement is opposed by many religious and right-to-life groups, which consider it assisted suicide.

And Maynard's decision has drawn criticism from some religious leaders.

"We believe she's made in the image of God, we believe that God determined when she would be born and God should determine when she's going to die," Dave Watson, pastor of Calvary Chapel of Staten Island, told CNN's Brooke Baldwin earlier this month. "I certainly sympathize. And when I read the story, I prayed for the woman and her family. I can't imagine the agony for a decision like this. But I don't think that necessarily we're saying the right things about death."

What if Maynard had showed a gun in her video, instead of a pill bottle, he asked.

Philip Johnson, a Catholic seminarian who says he was also diagnosed with incurable brain cancer, criticized Maynard's choice.

"A diagnosis of terminal cancer uproots one's whole life, and the decision to pursue physician-assisted suicide seeks to grasp at an ounce of control in the midst of turmoil," he wrote in a column posted on the Catholic Diocese of Raleigh's website. "It is an understandable temptation to take this course of action, but that is all that it is -- a temptation to avoid an important reality of life."

But polls have shown that most Americans support having a say in how they die, especially if the process is described not as doctors helping a patient "commit suicide" but as ending a patient's life "by some painless means."

"I think there is something of a movement here," Arthur Caplan, professor of bioethics at NYU's Langone Medical Center, told CNN's Don Lemon earlier this month. "When you push Americans to say, 'Do you want choice on this matter?' I think a lot of them are going to say yes."

Caplan said Maynard's first video speaking out about her decision raised some concerns.

"I wouldn't want her to feel pressure that she had to do it because she just told us all she was going to," he said.

Maynard has stressed that she isn't suicidal.

"If all my dreams came true, I would somehow survive this," she says in her latest video, "but most likely, I won't."

@highlight

Brittany Maynard says she has terminal brain cancer

@highlight

The 29-year-old plans to take medication to end her life

@highlight

In a new video, she says it isn't the right time yet

@highlight

But waiting too long is "the worst thing that could happen," she says