ATLANTA, Georgia (CNN) -- On September 11, 2001, Kathryn Freed watched from two blocks away as a plane hit the World Trade Center's north tower.

After September 11, most of lower Manhattan was covered in thick dust from the collapsed towers.

"Honestly, it was so surreal," Freed said. "We heard the plane coming -- it was very low and very loud -- and we watched it go right over our heads; we just watched it hit dead center the north tower. I stood there and watched the skin of the building come off. It looked like tinsel from a Christmas tree falling down."

A short while later, Freed saw the second plane plow through the south tower in a giant fireball. And as she headed back toward her apartment, four blocks from what was soon to be known as ground zero, the south tower collapsed, sending a plume of debris into the air and straight down her street.

Freed believes that the lingering cloud of dust -- caused by the towers' collapse and the digging out of ground zero -- caused some of her long- and short-term medical problems, such as her "WTC cough" and other respiratory issues.

She's among the many residents of lower Manhattan, emergency responders, recovery workers, commuters and passers-by to have developed serious, sometimes chronic medical problems since the terrorist attack seven years ago.

A commission charged with examining the scope and depth of the attack's health effects reviewed more than 100 scientific articles published since 2001 and found that new asthma levels among residents and rescue workers were two to three times higher than the national estimates.

The report by the World Trade Center Medical Working Group, issued in advance of the September 11 anniversary, also found that  two to three years after the attack, symptoms of post-traumatic stress disorder remained elevated among rescue and recovery workers and residents of lower Manhattan.  Interactive: More on PTSD »

But the most reassuring finding was that in all the studies they looked at, there was consistency.

"The primary finding of the report, as you synthesize the main findings from more than 100 peer review articles on the health ramifications of 9/11, is that the findings are very similar across the studies," Lorna Thorpe said. Thorpe, the deputy commissioner in the Division of Epidemiology at New York City Department of Health and Mental Hygiene, is a member of the Medical Working Group.

"That is a very important characteristic to us when we are trying to say how well we understand the short- and medium-term health ramifications," she said.

The group, appointed last year by New York Mayor Michael Bloomberg, is composed of 16 professionals with varied areas of expertise who include researchers, clinicians, psychiatrists, pulmonologists and environmental health experts.

According to their report, there were also glimmers of good news: New diagnoses of the autoimmune disorder sarcoidosis, which were elevated among responding firefighters early on, are now back to pre-September 11 rates; early symptoms for PTSD resolved quickly for most people; and any impact on birth outcomes was small in magnitude.

"The review of existing services found that at the moment, the panoply of services that exist in New York City are sufficient for those who are stepping forward with potential 9/11 illnesses, but moving forward, additional federal support for sustaining those services is critical," Thorpe said, adding that the bigger the outreach effort, the greater the chance of demand to outstrip supply.

According to the group, there are still many unanswered questions, including how extensively the disaster affected the health of residents, area workers and students; what kind of exposure increased risk; how persistent the mental and physical symptoms are; how prevalent depression and substance abuse are; whether there is a possibility of trade center-related cancer; and how effective is the treatment received by those who sought it.

The medical working group also issued recommendations, including advocating for long-term federal funding to ensure that treatment and monitoring can continue; expanding the research into trade center-related conditions and evaluating the treatments involved; and expanding the education efforts to increase awareness of both the availability of medical resources for those affected and the clinical guidelines created to treat them.

Freed believes that she was lucky in that she was "too busy" to develop PTSD; at the time, she was a New York council member and spent the months after the attack working to get her neighborhood back on its feet, bringing in supplies, medicine, information and services.

She also continued to live in her apartment, where inches of dust had collected on the terrace, and didn't leave the neighborhood with its ever-present dust cloud for months.

"At that time, I had such a bad WTC cough -- I had gone to one of the doctors at Mount Sinai [hospital], and he basically told me to get out of the district because I was having such a hard time breathing," she said. "Like everyone down there, I had a bad cough and what I thought was heartburn, but after the doctor's visit, I realized the air was so, so caustic that just breathing ended up burning your respiratory system."

To this day, Freed, who is now a civil court judge for Manhattan, suffers from the breathing problems and allergies that developed after the attack, and although she occasionally gets "the cough," it doesn't bother her nearly as often.

The WTC Medical Working Group is expected to issue an update every year. Freed is glad they are around, but she added, "It might have been nice to have it seven years ago."

@highlight

Working group looked at more than 100 studies done since 2001

@highlight

Survivors reported higher levels of PTSD and respiratory problems such as asthma

@highlight

More federal funds needed for medical services for at-risk groups, panel says

@highlight

Watch 9/11 memorials in New York and Washington on CNN.com Live