(CNN) -- It was not too long ago -- in 2001, prior to the U.S. invasion -- that Afghanistan's women were all but entirely marginalized.

With strict Taliban laws in place, half the country's populace was barred from practically every aspect of public life, from education to voting and most occupations. Afghan women, under the Taliban, weren't even allowed to leave their homes without a male escort, and the mandatory burqa became a visual symbol of the regime's all-encompassing oppression.

The country still has a long way to go, but giant strides have been made since the Taliban was scattered and broken under the might of the U.S. and allied military. Women's rights were guaranteed under the new, post-Taliban constitution, but there remains a gulf in terms of what is written and what is practiced.

Afghanistan remains far from an equal, open society, and outside the capital, Kabul, conservative values still reign. In some parts of the hinterland, the old rules still apply, even if they are no longer being enforced by the Taliban.

However, there are indications that women have taken hugely positive steps towards, if not yet equality, a much more active role in the running of the country.

And their influence has largely been welcomed. One of Saturday's frontrunners, Abdullah Abdullah, sees the engagement of the country's women as vital to its development. "If you want to see this country or any other country even being able to deal with the challenges and develop, it cannot happen without the role of half the population," he told Britain's Independent newspaper.

Since voter registration for Saturday's elections started almost a year ago, 2.5 million names were added to the electoral roll. Of these, over half were women, according to the Independent Election Commission of Afghanistan. This level of engagement is unprecedented in Afghanistan, and shows that women are a hugely significant demographic that needs to be courted.

"I am here to vote today. It's a day to decide about the future of Afghanistan and I would like to ask all women to break their silence and take one step towards progress. If they don't want to do it for themselves they should do it for future generations," one female voter told Afghanistan's state news agency Khaama.

There are positive signs from the leading candidates, with all three frontrunners pledging to allow women a greater role in government, vowing to support women's rights in their campaign speeches.

And while it could be seen as a cynical vote-grabbing move, women's names are also appearing on the ballot, something that would have been unimaginable only 13 years ago. There were three female vice-presidential candidates on Saturday's ballot, although only one, Habiba Sarabi, the former governor of Bamiyan province, is on the ticket of a realistic frontrunner.

Campaigning alongside Zamai Rassoul, the establishment candidate, Sarabi represents the potential that Afghan women have to offer. Although it's looking unlikely, should returns show success for Rassoul -- official results aren't expected for weeks -- Sarabi's role as one of his lieutenants would truly be a historic achievement.

Rassoul's picking of a female running-mate was "a victory," Shukria Barakzai, a Member of Parliament and women's rights activist told CNN. "Of course it will have a direct impact for the life of women in Afghanistan. For me it's not enough. We want women to be in every layer of power.

"I believe in ten years we can have a female president. The way Afghanistan is improving, the way women (have) come out, and turned out, the way women voted ...that gives me more energy -- that Afghanistan is ready to have a female president in the near future."

On International Women's Day, the formerly U.S.-based candidate Ashraf Ghani addressed a rally in Kabul which was attended by thousands of women. Uniquely for electioneering in this part of the world, his wife Rula, a Lebanese-American and a Christian, spoke as well. Karzai's wife, in contrast, was rarely if ever seen in public.

At the next level of governance, there is further evidence of a burgeoning female movement, with female candidates popping up all over the country. Around 300 female candidates are contesting seats on provincial councils -- a record number.

"The women's vote will not any more be a 'ghost vote' which has time after time been abused by men. This is a kind of message that Afghans have woken up. It's also a clear message that Afghan society has changed," says Barakzai, who eschews the burqa that all women had to wear pre-2001, instead typically wearing a more relaxed headscarf loosely on her dark hair.

"The women of Afghanistan... have shown how brave they are."

Her confidence has also been transmitted to her daughter: Too young to vote but full of optimism about the future of her country, and the place of women in it. CNN's Anna Coren asked her what she imagined the coming years could hold.

"Honestly a bright future, a future that is good for us, good for all the people, for girls, good for women -- you know, a bright future!" she said.

@highlight

Women an increasingly influential demographic in Afghan politics

@highlight

All three frontrunners in Saturday's election have pledged to support women's rights

@highlight

Habiba Sarabi, Afghanistan's first female governor, again makes history as vice-presidential candidate

@highlight

Optimism of female candidates is transmitted to the next generation