JACKSONVILLE, Florida (CNN) -- Eduardo Gonzalez, a petty officer second class with the U.S. Navy, is about to be deployed overseas for a third time. Making his deployment even tougher is the fact his wife may not be around when he comes back.

Mildred and Eduardo Gonzalez worry about what would happen to their family if she is deported.

His wife faces deportation to Guatemala -- her home country that she hasn't seen since 1989. He also doesn't know what would happen to his young son, Eduardo Jr., if that happens.

"I like being in uniform and serving my country, but if she goes back I'm going to have to give it all up and just get out and take care of my son and get a job," he said.

"Defending the country that's trying to kick my family out is a thought that always runs through my mind."

Gonzalez, who works on helicopters that bring cargo, supplies and military personnel in and out of Iraq, testified before a House Judiciary Committee panel last month, detailing his situation and urging officials to consider some sort of policy to deal with cases like his, where military members' families could be deported while they're defending their country overseas.  Watch "they're tearing families apart" »

"I want to serve my country 100 percent. But with this issue in the back of my mind, I feel I can't do that," he testified on September 6.

The U.S. military does not have a policy to deal with such cases. Each is handled case-by-case, not by the military, but by immigration authorities. The government doesn't have numbers on how many military members are in predicaments similar  to Gonzalez's.

Immigration officials also said marrying a U.S. citizen does not mean the spouse is automatically entitled to U.S. citizenship or permanent legal status.

Lt. Col. Margaret Stock, a member of the U.S. Army Reserves who teaches immigration law at the U.S. Military Academy at West Point, New York, said she believes there should be an overall policy dealing with the potential deportation of family members of active duty military members.

"You got to understand. When you're in a combat zone, you need to be focusing all of your energies on fighting the enemy. You can't be worried that your loved ones back home could be shipped off to a foreign country where you're never going to see them again," she said.

Stock also said the government is conflicted about how to treat such cases. On the one hand, the government is supposed to be providing military families with assistance, housing and other forms of benefits while their spouses are overseas. On the other hand, the same government is trying to deport the very same people.

"What's happening right now is, because of the dysfunction and complexity of our immigration laws, we've got people fighting overseas who are facing the impossible situation of having family members facing deportation back home," she said.

In Gonzalez's case, his wife, Mildred, came to the United States with her mother in 1989 when she was 5 years old. They were granted political asylum because of their status as war refugees from Guatemala.

In September 2000, Mildred's mother applied for legalization and included her daughter in that application. Her mother was granted legal status in July 2004, according to Gonzalez.

However, six weeks earlier, Gonzalez and Mildred got married, canceling Mildred's ability to apply for legal status through her mother because she was no longer an unmarried daughter under the age of 21. As a result, her legal status still remains in jeopardy.

A judge in June granted her a one-year extension to remain in the United States. If her legal status does not change by June 8, 2008, she will have 60 days to voluntarily leave the country or face deportation.

That's just fine, according to Mark Krikorian, the executive director of the Center for Immigration Studies, which lobbies for tougher laws on illegal immigration.

"What you're talking about is amnesty for illegal immigrants who have a relative in the armed forces, and that's just outrageous," he said. "What we're talking about here is letting lawbreakers get away with their actions just because they have a relative in the military. ... There's no justification for that kind of policy."

Gonzalez said that type of response is unjustified. "I'm trying to make his country better -- my country better -- and it should be her country too."

Gonzalez himself entered the country legally, crossing the Mexican border with his family when he was about 10. He joined the Navy as a so-called "green-card sailor" and became a U.S. citizen in July 2005. The military does accept some immigrants who aren't U.S. citizens.

"I understand the laws have to be followed and guidelines and a system must be maintained, but on the other token, there are times when the situation is just out of their reach," Gonzalez said.

His wife, Mildred, added, "We didn't come here to break the law. We just want to feel safe and have a home just like everybody else."

U.S. Army Sgt. Emmanuel Woko, a member of the Army's 2nd Brigade, 1st Infantry Division who faces his third tour in Iraq, understands just how Gonzalez and his family feel. His wife and children could be sent back to Nigeria.

"My heart is bleeding on the thought that my wife could be deported back to Nigeria while I am deployed in Iraq," he said. "I am extremely distressed and distracted by the thought."

That's a sentiment echoed by Gonzalez: "We are not asking for anything. We are just asking for our families to stay with us." E-mail to a friend

CNN's Gregg Canes contributed to this report.

@highlight

Sailor's wife could be deported while he's overseas

@highlight

Sailor: "Defending the country that's trying to kick my family out" is tough

@highlight

U.S. military doesn't have overall policy to handle such situations

@highlight

Wife: "We just want to feel safe and have a home just like everybody else"