(CNN) -- South Korea isn't yet known for its sailing prowess, but that may all be about to change.

The America's Cup is widely recognized as the holy-grail of boating trophies and, for the first time in its 160-year history, a challenge has been accepted from the technologically mighty Asian country.

Team Korea will be known as the "White Tiger Challenge" -- a reference to one of the ancient guardian gods in Korean mythology -- and will compete in San Francisco for the 2013 title alongside 14 other teams, including the staple powerhouses of France, Italy, New Zealand and the U.S. defenders.

The surprise entry reflects the recent and rapid growth of the sport in a nation known more for its vast ship-building yards than its nascent sailing culture.

"Korea has all the right ingredients to become a great sailing nation," said Dong Young Kim, Team Korea's founder. "We have a high-tech industry, a reputation for holding world-class events and over 2,000 kilometers of coastline."

The 31-year-old, who cut his sailing teeth as a boat builder in New Zealand after graduating from university in the early 2000s, says South Korea's sailing aspirations have seemingly come from nowhere.

"When I started sailing at university, there were literally only a couple of hundred sailors in the whole country, and only one major marina, which was built for the 1988 Seoul Olympic Games," he said.

Now, according to Kim, there are seven marinas in South Korea -- up from just three in 2008 -- and another 30 or so in the pipeline. So what's prompted all this enthusiasm?

Mark Chi arrived in Korea from the U.S. in 2003 and has since established the Busan Expat Sailing Club. He attributes the growing interest in sailing to government policy.

"Several years ago, the Korean government chose 'water leisure sports' as one of the 10 new industries it wishes to develop," he explained. "Since then, many towns along the coast, as well as the capital city of Seoul, have been scrambling to develop the yachting scene in their areas."

But there is also another aspect of government policy that Kim believes has played a significant role: increased leisure time.

"Until quite recently we had a six-day week, with many people working on Saturdays," said Kim. "Since the government introduced the five-day working week, more people have time to explore new hobbies."

Indeed, Kim experienced first-hand the untapped national interest in the sport when he founded the Korea Match Cup in 2008.

"We had queues literally thousands of meters long! We had had high hopes but never expected that," he said.

According to Kim, a total of 300,000 spectators visited the brand new purpose-built Jeongok Marina during the five-day event in 2008. The tournament, which was televised around the world, boasts a grand prize of $250,000 -- sailing's single biggest prize.

Although widely credited with being the true driving force behind Korea's dawning love affair with sailboats, Kim is modest about his ambitions.

"I don't think we have a strong chance to take home the America's Cup," he admitted. "I'm very happy with the team, but we just don't have the same experience as the other competitors."

However, with the introduction of 45-foot fixed-wing sails (replacing the smaller, soft sails from previous competitions), Kim notes that the tournament is likely to be a learning curve for everyone involved.

"The new style of catamarans should level the playing field, but we still have to be realistic," he said. "I just hope that our example and the continued popularity of the Korea Match Cup will get young people in the country interested."

Whatever Korea's chances, Chi is just happy his fellow countrymen are starting to realize what he has known for years: Korea's natural potential as a top sailing destination.

"The scenery varies greatly from area to area," he said. "In Seoul and Busan, you have the backdrop of skyscrapers and tall bridges. Further south, you have many green hills and various islands to explore."

So, could the South Korean coast really be the next Cote D'Azure? Only time will tell.

@highlight

South Korea has made a successful bid to participate in the 2013 America's Cup

@highlight

The move reflects a rapidly growing interest in the sport over the past decade

@highlight

Founder attributes popularity to changes in work laws allowing for more leisure time