(CNN) -- Native son and veteran dog musher John Baker of Kotzebue, Alaska, made history Tuesday by claiming first place in the state's famous Iditarod Sled Dog Race.

Baker's win marks the first time in the race's 38-year history in which an Alaskan Inupiaq has taken top prize. Baker's win triggered some raw emotional Alaskan pride, with native drums beating loudly at Iditarod's finish line.

Baker, wearing bib number 53, pulled onto Front Street in Nome at 9:46 a.m. local time, waving and shaking hands with the celebratory crowd as many fans ran behind Baker's sled.

Baker, 48, also shattered Martin Buser's course record for fastest completion time, beating it by more than three hours.

Baker completed more than 1,150-miles of travel in eight days, 19 hours, 46 minutes and 49 seconds. The win marks Baker's 12th "Top 10" finish, but, more importantly, his first win.

The Iditarod's finish line in Nome is located along the Bering Sea coast, in the heart of rural but proud Inupiat country, populated by the Inupiat Eskimo group that still relies on a traditional, subsistence lifestyle primarily of hunting, fishing and whaling.

A large welcoming crowd gathered around the famed burled arch, and the crowd erupted in cheers and native chants as Baker and his team of 10 dogs became visible on the horizon. Pumping his fists into the air, Baker told the crowd, "I feel good... I'm just so happy to be here and see everybody. I'm just enjoying the moment... This is the way life is supposed to be."

Along with his lead dog seated on the winner's podium of Iditarod 39, Baker was presented a check for $50,400 and a key to a brand-new Dodge truck.

The win epitomizes the pride running very deep in native Alaska. Throughout race coverage provided online with "The Iditarod Insider," Inupiats enthusiastically greeted Baker at checkpoints along the trail, providing words of encouragement to their native son.

Sheldon Katchatag, an elder from the village checkpoint of Unalakleet, told the "The Iditarod Insider," "This is a historic race, not just from the Iditarod perspective, but for the first time in the history of this race, a musher of Inupiaq descent from western Alaska is about to fulfill our ambitions for our customary and traditional livelihood."

Katchatag, who grew up mushing to collect wood to keep his family's cabin warm, reminded race watchers, "This is not a sport. It used to be the only means of transportation."

Katchatag has been greeting mushers in Unalakleet for decades now, but he admits Baker's position in the race inspired him for the first time to put on native clothing to greet the musher. The village elder donned his mom's polar bear fur boots, his dad's polar bear mittens, a parka with a wolf ruff and a beaver hat.

He was beating on a traditional drum to welcome Baker's team into Unalakleet before the sun had even risen, as seen on video provided online by "The Iditarod Insider."

"I felt the spirit move me to welcome him into Inupiat country. I did that at 5 o'clock in the morning because I identify with him," Katchatag told a reporter from the Alaska Dispatch, "We are so, so proud of him."

Louie Nelson, an elder from Baker's hometown, was watching as Baker crossed the finish line, telling "The Iditarod Insider" that Baker has "put Kotzebue on the map." Nelson, whose son also was a musher in this year's Iditarod race, says there is no day in Kotzebue "that will be prouder than today."

Baker is a commercial pilot in his hometown and describes himself as self-employed. According to a biography featured in the 2011 Iditarod Race Guide, Baker enjoys "rural Alaska life" and lists his hobbies as "flying and dogs." He has a son, Alex, 22, a veteran of the Junior Iditarod race and a daughter, Tahala, 8 years old.

Baker has been competing in the Iditarod Sled Dog Race consecutively since 1996, one of the few natives who have successfully been able to raise the funds necessary to participate in the race each year. Mushers estimate costs at close to $20,000 just to compete in the long-distance event -- including a $4,000 entrance fee, the year-long training of a dog team and the necessary supplies to be stocked all the way along the 1,150-mile trail. Many mushers compete with dog teams borrowed from other kennels to defray their own expenses.

Veteran musher Hugh Neff, who was racing in fifth place on the trail Tuesday, told fans before the start of the race that he believes there should be a scholarship fund that would allow at least one native musher to compete each year in the Iditarod. After all, the Iditarod's roots come from rural Alaskan traditions, which Neff says he studied first-hand while living and working in native villages across the Arctic.

Neff knows a little something about how to scrape funds together. He moved to Alaska in 1995 to "chase down a dream," he told CNN, with only $200 to his name the first day. He was living in a tent in the woods near an Anchorage public park, he said, but now owns his own successful kennel in Tok, Alaska, where he trains his long-distance teams.

Neff was quick, however, to give most of the credit to the dogs themselves, declaring, "We, as humans, are so weak compared to these dogs. What they do blows my mind. Half the time out there, I'm either giggling or crying with joy just watching them do what they do... it's pretty phenomenal to watch."

Dallas Seavey, a 23-year-old third-generation musher from Seward, Alaska, also was going for a top-five position in the race this year. Seavey, the youngest musher to ever complete the Iditarod at age 19, surprised veterans of the sport at this year's 1,000-mile Yukon Quest -- taking first place and a spot in history as the youngest musher to ever win that long-distance race. Seavey began his Iditarod march from Anchorage to Nome only a couple weeks after the Quest win.

Last year's champion and four-time consecutive Iditarod winner, Lance Mackey, had some early disappointments in the race this year. His starting team of 16 dogs has now been pared down to eight; others were left with veterinarians at various checkpoints en route. Mackey was in 17th place Tuesday with about 100 miles still to travel to reach the finish line at Nome.

Baker and Mackey are competitors in the race but are also good friends who share a common love for the sport. Mackey acknowledged to "The Iditarod Insider" that having a new champion this year is "good for the sport." Mackey even predicted a native win by Baker would mean a lot to the state of Alaska.

"It's wonderful. It couldn't happen to a better guy," Mackey said.

That congratulatory sentiment was echoed by Alaska Gov. Sean Parnell, whose office released a statement saying Baker's "lightning pace has given Kotzebue bragging rights and made this a thrilling race for Alaskans and people around the world."

@highlight

Alaskan John Baker wins this year's Iditarod Sled Dog Race in record time

@highlight

His win marks the first time an Alaskan Inupiaq has taken top prize

@highlight

The Inupiaq are an Eskimo group that still relies on a traditional, subsistence lifestyle

@highlight

A crowd at the finish line in Nome erupted in cheers and native chants as Baker won