(CNN) -- There are, of course, those massive stone statues of ancient legend lining its coast.

Then there's the epic isolation -- more than 2,000 miles from the nearest population centers (Chile, Tahiti), it's one of the most remote inhabited places on the planet.

But those aren't the only reasons to rank Easter Island ("Rapa Nui" to locals) high on your list of exotic travel wishes.

Polynesian in culture, Chilean in nationality, this volcanic archipelago in the southeastern Pacific Ocean remains a vibrant center of unique Polynesian culture and otherworldly scenery.

What's more, it's not hard to get to, with Chile's LAN Airlines making the five-hour flight from Santiago to Easter Island several times a week.

Measuring 15 by eight miles, it's easy to cover all of Easter Island in a single, unforgettable stay.

Here are five reasons to start planning now.

1. Moai

Numbering almost a thousand, the moai (monolithic human statues carved from a single piece of stone) are scattered all over the island. They're the principal reason people come to Easter Island and truly make any trip a once-in-a-lifetime experience.

Carved in the image of the island's Rapa Nui ancestors, the statues date to the twelfth century and measure up to a staggering 32 feet (10 meters) in height.

Excavated in the 1970s, they stand in long lines. Some are solitary and all face inland.

Each moai is different. Like caricatures, they're fat, thin, big, small, tattooed -- you name it, the Rapa Nui carved them as an expression of an intricate culture that also included petroglyphs, tattooing and ancient Oceania's only written language.

2. Tapati Festival

One of many Easter Island mysteries is how this remote piece of land came to be inhabited. Most historians agree that Polynesian seafarers arrived around 400 AD, but no one knows for sure -- some have posited an extraterrestrial connection.

What is known is that it wasn't until 1722, when a Dutch expedition arrived, that the Rapa Nui had any contact with outsiders. At the time, the moai were still standing andÂ the local population numbered around 20,000.

Today, the islanders number 5,000 in total. That's just four times the number of moai and less than the island's horse population.

But the island's one-of-a-kind culture is kept alive with activities and festivals that highlight ancient arts such as spear throwing, tobogganing, dancing and body painting.

The island's top celebration is the Tapati Festival (February 1 through 15, 2013), which revolves around a series of competitions based on ancient sports.

The highlight is the Haka Pei, in which male islanders (wearing only small loin cloths) toboggan down the Maunga Pui volcano on banana tree trunks. It's a bumpy, crazy ride. The last competitor remaining atop his log is declared the winner.

There are also dance competitions, carnival-style parades, food exhibitions and the crowning of the Tapati queen.

3. Volcanoes

Easter Island is primarily made up of three extinct volcanoes: Terevaka, Poike and Rano Kau.

The youngest of the three, Terevaka forms the vast part of the island. Its slopes served as the Rano Raraku quarry, providing the volcanic tuff from which the moai were carved.

Today, 400 eerie, petrified heads poke out of Terevaka's grassy hillside, looking as though they were captured and frozen while trying to climb out of the mountainside.

Poike makes up the island's east "wing" and Rano Kau forms the south.

Rano Kau has a huge, impressive crater. It sits astride the ceremonial village of Orongo, which has breathtaking 360-degree views of the island and Pacific Ocean.

4. Food

Easter Island isn't a gourmet destination -- years of deforestation have led to a scarcity of local resources.

But being surrounded by ocean means that seafood isn't just a staple, it's outstanding. Fresh beans and yams tend to round out most plates.

In Kaloa, the Hangaroa Eco Village's Poerava restaurant might be the best place to eat on the island. It serves a delicious seared tuna and other local specialties according to the availability of ingredients. It also has sweeping ocean views. The resort also includes a bistro that serves pasta and cocktails.

In Hanga Roa village, Ariki o Te Pana Cafe has excellent empanadas for those seeking simple, local food at reasonable prices. (Note: local restaurants aren't 'budget' cheap -- for example, you can expect to pay more than US$20 for a dish of spaghetti at many places).

5. Eco-lodges

A highlight for many visitors is a stay in one of the Easter Island's eco-lodges.

On the southeast side of the island, Posada de Mike Rapu is made entirely of local wood and gets high ratings for privacy.

Opened in 2007, the lodge says it was the first in South America to receive LEED (Leadership in Energy and Environmental Design) certification from the United States Green Building Council. The lodge has 30 bedrooms and undisturbed views over fields, red coral trees and the Pacific Ocean.

Situated on a chunk of craggy coastline, Hangaroa Eco Village & Spa has 79 bedrooms and is within easy walking distance of the main village of Hanga Roa. It's built in true eco-style, with adobe buildings topped with grass roofs. Inside, cypress tree trunks form pillars and en suite bedrooms have handmade clay baths. It's like staying in a very luxurious cave.

Posada de Mike Rapu; +1 866 750 6699 (from U.S.) or +56 2 2395 2800; from US$2,385 for three nights (double occupancy); website

Hangaroa Eco Village & Spa in Hanga Roa; +56 2 957 0300; from US$275 per night (double occupancy); website

Been to Easter Island? Share your experiences and tips below.

@highlight

There is more than the incredible moai on offer

@highlight

The island's top celebration is February's Tapati Festival

@highlight

Seafood meals are outstanding

@highlight

Several eco-lodges are a highlight for many visitors