(CNN) -- All of the candidates in the presidential campaign agree the 2012 election will revolve around the economy.

Although there are signs that conditions are slightly improving, the high unemployment rate and the depressed housing market are causing immense anxiety among American voters.

As a result, most of the political debate has centered on how the nation will rebound from the steep 2007-09 recession and anemic recovery that has afflicted the nation throughout President Barack Obama's term in the White House.

Republicans and Democrats have tried to walk a political high wire as the release of new economic data continually changes the playing field. Mitt Romney, for instance, fell into a trap when he admitted that there were signs the economy was improving, a statement that caused many Republicans to grumble about their front-runner handing Democrats the key issue. Meanwhile, Obama's optimism has often been undercut with data showing that the situation is still bad.

With all the attention that has been given to short-term economic recovery, however, politicians in both parties have generally avoided the types of long-term structural challenges that are really at the heart of national anxiety and which greatly threaten America's ability to compete with China and other rising economic powers.

The first problem has been the exodus of good jobs to other countries.

In one of the most troubling developments of recent decades, many types of industrial jobs have been shipped overseas. And by and large, they won't be returning.

Numerous companies have built facilities in other countries where labor costs are lower, workplace laws are lax or nonexistent and other kinds of regulations are weak. According to a recent study by the Information Technology and Innovation Foundation, the United States lost 5.7 million manufacturing jobs in the 2000s. If these trends continue, the tight labor market will become the new normal.

The chances for high school and college graduates to land solid jobs in the U.S. will diminish, as has already been the case for many working Americans who have watched the factories shut down.

Another chronic challenge facing the U.S. is the rising level of inequality in the United States. The gap between the rich and poor has grown dramatically since the 1970s. A troubling trend that has lasted for decades has been that the average income of the top 5% has risen while the average income of the rest of the nation has fallen.

The number of Americans in the ranks of the middle class has thinned. The income supports upon which workers depended have diminished, both those provided by government and by private employers. More Americans find themselves squeezed lower onto the lower rungs of the economic ladder.

As many commentators have noted, there are a number of causes for this growing gap, including public policy.

Without the ability of the government and private markets to reverse this trend, the U.S. will not be able to sustain the kind of vibrant middle class -- which in the 1940s and 1950s was attainable by more and more Americans -- that has been the engine behind the American dream.

The final challenge is an urban crisis that has decimated pockets of America.

As Thomas Sugrue showed in his award-winning book, "The Origins of the Urban Crisis," the breakdown of the cities began in the 1940s and 1950s as racist employment practices and real estate markets hampered the ability of African-Americans to get good jobs or relocate into better neighborhoods. The problems accelerated as jobs continued to move into the suburbs (before moving overseas). Rioting in the 1960s further devastated these communities.

The result of the urban crisis has been that multiple generations of inner-city residents have lived with little hope for a better future and have struggled to make ends meet, trying to survive on streets that are ridden by crime and drugs.

Many black leaders have been deeply disappointed that Obama, the first African-American occupant of the White House, has not done much to address these issues.

Although Republican Rick Santorum recently proposed tax cuts to lure business into these areas, there is little evidence that such a change in policy would do much to reverse decades of decay.

These are not the kinds of issues that politicians like to talk about in their campaigns. As opposed to temporary recessions, these quasi-permanent structural challenges have been decades in the making and will require wrenching policy choices as well as dramatic market developments to resolve.

If our political leaders don't address these issues that underlie the concerns of the nation, it will become ever more difficult to re-create the vibrant economic conditions that existed during the "American Century" when grand expectations about the future, as the historian James Patterson argued, guided public debate.

Then, the nation was strong and the possibilities for growth seemed infinite. Today, even if short-term conditions improve, our economy is far from what it used to be. How to achieve a better future is the debate that we really should be having in 2012.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Candidates agree that the economy is the main issue in the election

@highlight

Julian Zelizer says they're ignoring the deeper economic challenge America faces

@highlight

Good jobs have gone offshore, inequality is growing and urban areas lag, he says

@highlight

Zelizer: U.S. economic problems are decades in the making and need serious attention