Iraq's semi-autonomous Kurdish region has put tight restrictions on the border crossings used by Iraqis fleeing extremist militants and airstrikes in the northern city of Mosul on Saturday, raising fears of a humanitarian crisis as some desperate families may be left with nowhere to go.

The Kurdish regional government's decision to first close the border crossings and then reopen them with restrictions came on the same day Iraq's security forces went on the offensive, carrying out airstrikes in Mosul and fighting to take back Tikrit from Islamic State of Iraq and Syria fighters, known as ISIS.

The offensive appeared to mark a turn for Iraqi security forces, who were routed by ISIS fighters this month during a lighting advance that saw the al Qaeda offshoot seize large swaths of northern and western Iraq.

State media and a local tribal leader reported that Iraqi forces had retaken the city of Tikrit, Saddam Hussein's hometown.

Sheikh Khamis al-Joubouri, a key tribal leader in Tikrit, told CNN that the Iraqi security forces entered the city supported by special forces and fighters from among the local tribes, and had gained control.

He said ISIS fighters retreated in the direction of Kirkuk and Nineveh provinces.

However, amid claim and counter-claim, a combatant told a CNN freelance reporter that ISIS fighters remained in control of Tikrit, but that there are fierce clashes in an area about 20 kilometers from the city center, toward Samarra.

State-run Iraqiya TV reported that the Iraqi army and volunteer militia groups had cleared ISIS fighters from the city, having advanced on the city from four directions.

Sabah Numan, a Counter Terrorism Unit spokesman, told the station that 120 militants had been killed and 20 vehicles destroyed in a large-scale operation that began Saturday morning.

He did not provide any evidence of the claim, and CNN cannot independently confirm the reports.

Sunni tribes wade into fight

Al-Joubouri said that the tribes were not aligned with the government or with ISIS and had stayed out of the fight until now.

But, he said, when ISIS fighters who arrived in Tikrit robbed banks and carried out executions, as well as bringing the local economy to a standstill, the tribal leaders offered their help to the Iraqi security forces poised outside the city. The tribal leaders shared their knowledge of the city, including routes and known ISIS positions, he said.

On Friday, Human Rights Watch reported that two mass graves believed to contain the bodies of Iraqi soldiers, police and civilians killed by ISIS and their militant allies had been discovered in Tikrit.

Iraq's military spokesman, Maj. Gen. Qassim Atta, told a news briefing Saturday that Iraq's forces had regained the upper hand against ISIS and were now being supported by the tribes.

"We are advancing in all our fights," he said.

As part of that fight, Iraqi security forces broke up a terror cell in the predominantly Sunni neighborhood of al-Amiriya in eastern Baghdad, the Ministry of Defense said. Nine people were arrested following a raid Friday on a Sunni mosque where the ministry claims security forces uncovered cache of weapons and bombs.

After being interrogated, those detained admitted they planned to carry out attacks during the holy month of Ramadan, which begins Sunday, the ministry said.

Additionally, Iraqi airstrikes targeted ISIS fighters building an earthen dam along the Euphrates River in Anbar province.

Families flee

Iraq's air force carried out a series of airstrikes on Mosul, according to a senior Iraqi military official.

The airstrikes targeted four locations inside Iraq's second-largest city, including ISIS headquarters, said Mazen al-Safaar, a traffic director in Mosul.

But a doctor says the airstrikes also hit Mosul's administration building and the Old City's shopping district.

At least seven civilians were killed and two were wounded in the airstrikes, according to Dr. Salaheldin al-Naimi, the director of the health administration.

Hundreds of thousands fled when Mosul fell to ISIS  two and a half weeks ago. Many headed for Kurdish-controlled areas.

Renewed conflict in the city, located about 420 kilometers (260 miles) north of the capital, Baghdad, forced many more to flee -- but it is unclear what options they have left.

They were initially barred Saturday by the Kurdish fighting force -- known as the Peshmerga -- from entering the region through checkpoints.

But that was lifted later in the day.

The Peshmerga allowed families from Mosul to enter the Kurdish region, but only after undergoing security and background checks, two Kurdish security officials told CNN.

They also must have a sponsor who lives in the region, they said.

This move comes two days after a suicide car bomb struck a checkpoint manned by Kurdish forces in Kolchali, northeast of Mosul, according to Kurdish security forces in Irbil.

At least one Kurdish security officer was killed and 15 other people were wounded in that incident, security forces said.

Mass graves, executions

In addition to the alleged executions in Tikrit, reports continue to emerge of atrocities committed by both sides.

Human Rights Watch, citing displaced residents and local activists and journalists, said Saturday that ISIS fighters kidnapped at least 40 Shiite Turkmen, dynamited four Shia places of worship, and ransacked homes and farms in two Shia villages just outside Mosul.

The few Sunni villagers who remained in Guba and Shireekhan told those who fled that at least some of the kidnapped Turkmen had been killed, the rights group said. However, they had not seen bodies and could not give more information.

ISIS destroyed seven Shia places of worship in the predominantly Shia Turkmen city of Tal Afar, about 30 miles west of Mosul, earlier in the week, Human Rights Watch added, citing local sources.

"The ISIS rampage is part of a long pattern of attack by armed Sunni extremists on Turkmen and other minorities," said Letta Tayler, senior terrorism and counterterrorism researcher at Human Rights Watch. "The killing, bombing, and pillaging threatens to displace entire communities, possibly forever."

On Friday, Amnesty International said it had gathered evidence pointing to a pattern of "extrajudicial executions" of Sunni detainees by government forces and Shiite militias in Tal Afar, Mosul and Baquba.

"Reports of multiple incidents where Sunni detainees have been killed in cold blood while in the custody of Iraqi forces are deeply alarming," said Donatella Rovera, Amnesty International's senior crisis response adviser, who is in northern Iraq.

"The killings suggest a worrying pattern of reprisal attacks against Sunnis in retaliation for ISIS."

Maps: Understand the crisis in Iraq

Who is the ISIS?

Iraq witnesses recall horrors in Tal Afar, Mosul

@highlight

Kurdish security forces allow families into region, with significant restrictions

@highlight

A combatant tells CNN that ISIS remains in control of Tikrit

@highlight

Iraqi military official says Iraqi jets are targeting ISIS locations in city of Mosul

@highlight

Reports continue to emerge of atrocities committed by both sides