On March 17, 2011 a drone attack killed at least 40 members of a Wazir tribal Jirga, which was resolving a land ownership dispute among sub-tribes in Waziristan, a mountainous region in northwest Pakistan, according to local media reports.

The reports claimed the Jirga was not the intended target and the predator was chasing a car before finally executing five people without any trial or due process near the Jirga. While this predator was hovering in the area, sophisticated cameras allegedly picked up images of a bigger gathering. Without appearing to have any intelligence or knowledge of its target, it fired four more missiles at the congregation.

In the same month, a joint investigation by the London-based Bureau of Investigative Journalism (TBIJ) and the Sunday Times newspaper cited Pakistan's military commander in Waziristan at the time, Brigadier Abdullah Dogar: "We in the Pakistan military knew about the meeting, we'd got the request 10 days earlier. It was held in broad daylight, people were sitting out in Nomada bus depot when the missile strikes came. Maybe there were one or two Taliban at that Jirga -- they have their people attending -- but does that justify a drone strike which kills 42 mostly innocent people?"

Opinion: Drone is Obama's weapon of choice

There should never be doubts. A big gathering in Waziristan does not mean they must be Taliban.

To put it in perspective: My clients say drone attacks are now happening almost twice a week on Pakistani soil.

Karim Khan, a tribal man by origin and a journalist by profession, is suing the Central Intelligence Agency (CIA) for U.S.$500 million for "his loss of blood." He had only two options when his innocent 18-year-old son and brother, a primary school teacher, were killed in one such drone attack on December 31, 2009: to join the Taliban's war against the U.S. and take his revenge in a customary tribal way, or call on due process, the rule of law and judicial system of his state to gain justice for the wrong done to him.

The first option would have continued the cycle of terror, which we witness in Pakistan in the shape of suicide attacks after almost every drone attack. Khan chose the latter and following him, dozens more families have come forth to seek justice through proper legal means. It is time now for the U.S. to respond to these grievances through legal means.

Read: When are drone killings illegal?

A similar fate awaited Fahim Qureshi, a teenager and another client from North Waziristan. U.S. President Barack Obama, the embodiment of "change" and "hope," approved an escalation of the drone strikes in Pakistan by giving the CIA and U.S. military control of the program. Fahim's family house was destroyed by one such attack.

The attack on January 23, 2009 resulted in the deaths of seven people present in the house, including three of Fahim's uncles, a cousin, and three family friends. Fahim was seriously injured and lost one eye. According to the New York Times, President Obama was later informed of this attack and civilian killings. The change he brought in was a record escalation of drone strikes in 2009, culminating in 344 attacks at the expense of 3,325 lives to date, according to TBIJ. The escalation would also change Fahim's life forever.

The U.S. might never be able to win the "heart and mind" of this teenager from Pakistan's tribal area, who paid a high prize for faulty intelligence, a common mistake that CIA makes without any accountability.

Under the authority of the U.S. President, drone attacks on Pakistani territory have been carried out by the CIA and U.S. military since 2004. This is an unprecedented move: a foreign government carrying out military strikes on an independent and sovereign state without declaring war. Earlier this year, Christof Heyns, the United Nations' Special Rapporteur on extrajudicial killings, warned that Washington was challenging a system of international law that had existed since the end of World War II and that it could even be guilty of war crimes. The government of Pakistan has consistently maintained that drone attacks are a violation of its territorial integrity and sovereignty.

Read: Drones decimating Taliban in Pakistan

What astounds me is the belief expressed by some scholars and politicians that drones are the only viable option for combating terrorism or militancy in the tribal areas of Pakistan. Experience and statistics tell a different story.

The first drone attack was carried out in 2004 and had a specific target. This was true for all nine drone attacks that took place until 2007. However, identifying targets became shady as the number of strikes increased. After President Obama's oath of office, the drone attacks saw a sudden surge, accelerating from an average of one strike every 40 days to one every four days by mid-2011, according to the New America Foundation. The TBIJ said available data showed from June 2004 to September 2012, drone strikes have killed 2,570 to 3,337 people in Pakistan, of whom 474 to 884 were civilians -- including 176 children.

As a result of these attacks, the U.S. has only been able to achieve 41 high value targets, according to estimates by the New American Foundation. We have seen that with every assassination of militant leaders, they have been replaced with a more ferocious and extremist leader.

Meanwhile, journalist Scott Shane told PBS in a response to an article he'd written in the New York Times, "there's also been some dispute over the way civilian casualties are counted. The CIA often counts able-bodied males, military-age males who are killed in strikes as militants, unless they have concrete evidence to sort of prove them innocent, and some folks at the State Department and elsewhere have questioned that kind of a process." As a result, most adult males living in Waziristan seem to be viewed as militants and targets until the CIA rates them to be innocent, he added.

Pakistan has also experienced a spike in suicide attacks when there has been a surge in drone attacks. In 2010, the year that saw the highest number of drone strikes, according to TBIJ, Pakistan government figures suggest the country witnessed its highest number of suicide attacks -- more than 2,100 civilians were killed without distinction between women, children, law enforcement or military.

According to the Pakistan government, the total financial loss from terrorism in Pakistan between 2001-2010 was $68 billion, whereas the epicenter of all this chaos in our midst, the U.S., has given only $11 billion in military aid to Pakistan for its war on terror since 2001, according to the Belfer Center for Science and International Affairs at Harvard University.

A large portion of this damage is attributed to suicide attacks. America's own losses in Afghanistan -- financial, human, and tactical -- are difficult to quantify. According to the U.S. Government Accountability Office (GAO), more than $6 billion has been spent since 2002 on establishing a viable Afghan National Police force, which the late Richard Holbrooke called "an inadequate force riddled with corruption," during a meeting in Brussels in 2009. The GAO says more than $10 billion of American taxpayers' money has been spent on building up the Afghan National Army, which was described in a report in the Wall Street Journal on July 28, 2010 as largely corrupt, poorly led, and subject to claims of drug use.

The joint NATO and Afghan Operation Moshtrak in Afghanistan's Helmand province in February 2010 failed miserably in achieving its aimed objectives of evicting the Taliban and establishing a government in the district, despite the enormous budget and military backing of the Americans. Earlier this year, U.S. Senator John Kerry concluded that the operation did not become the turning point in the Afghan campaign as anticipated by NATO commanders. In fact 2011-2012 witnessed a surge in Taliban attacks on NATO and particularly American targets, showing there is no end to this war.

This cycle of terror will continue until both sides start seeing sense and start adhering to the principles of due process, fair play, and rule of law.

Through legal action, Karim Khan -- the first of 80 clients who came to us seeking justice for these attacks -- has shown a new path to his people to end the violence, which is largely attributed to mistakes committed by the state in the 1980s, along with the very same partner who is asking us to commit yet another folly. The American public should ask their government who is being killed in their name. Questioning the drone program in light of real facts is not anti-American -- violating the rule of law, due process and the "right to life" is.

Follow @CNNOpinion on Twitter

@highlight

Drone attacks happening almost twice a week on Pakistani soil, lawyer's clients say

@highlight

Drone missions have escalated under President Barack Obama

@highlight

Attacks on Pakistani territory have been carried out by CIA, U.S. military since 2004

@highlight

Akbar: New extremists emerge to replace those killed in drone attacks