(CNN) -- A year ago, Kyle Thompson was a soft-spoken, 115 pound, football-playing freshman whose tug-of-war with a teacher over 'the hit list," a note about kids he wanted to tackle on the field, landed him in handcuffs and ultimately led to his expulsion.

He's still soft spoken, but after eight months on house arrest and self-imposed isolation from friends, he's grown.

He's taller, heavier. And there's a subtle resolve in his voice now.

The Farmington, Michigan, teen said his brush with a zero-tolerance discipline law aged him, made him a man.

"I want to be accepted as a different person, not as a criminal for getting kicked out of school," Thompson said. "I want to have a chance at going to another school to prove myself."

Kyle is exactly the kind of student the Justice and Education departments have concluded is disproportionately impacted by strict, 1990s-era tough-on-crime school discipline policies that call for suspensions, expulsions and even arrests for sometimes minor infractions.

He's young. He's male. He's black.

School-to-prison pipeline

The two federal agencies are now urging the nation's school districts to dial back harsh punishments that all too often result in African-American and Hispanic kids being funneled into what some members of Congress and student advocates call the "school-to-prison pipeline."

Research from education and civil rights organizations has consistently shown that students who are repeatedly suspended and expelled from school are more likely to eventually end up behind bars.

"A routine school disciplinary infraction should land a student in the principal's office, not in a police precinct," Attorney General Eric Holder said in a recent statement.

Harsh realities

Farmington Public Schools said in a statement it is prohibited by federal confidentiality laws from discussing Kyle's case. Superintendent Susan Zurvalec said the issues raised in Kyle's case "presents an opportunity for citizens to examine zero-tolerance laws in Michigan."

Kyle's mother, Lisa Thompson, said zero tolerance forced her child to learn the harsh realities of life as a young black man in America.

"It changed him," his mother said, her voice softening. "It makes me so sad."

Racial discrimination is at the root of the problem, according to student advocates.

The two federal agencies tasked with investigating such matters agree.

"In our investigations, we have found cases where African-American students were disciplined more harshly and more frequently because of their race than similarly situated white students," the Justice and Education departments wrote in a recent letter to the nation's school districts. "In short, racial discrimination in school discipline is a real problem."

In its survey of the nation's public schools, the agencies' civil rights divisions found that, though African-American students who aren't disabled make up 15% of the country's student body, they "are more than three times as likely as their white peers without disabilities to be expelled or suspended."

African-American students also "make up 35% of students suspended once, 44% of those suspended more than once, and 36% of students expelled. Further, more than 50% of students who were involved in school-related arrests or referred to law enforcement are Hispanic or African-American," the report found.

Zero tolerance makes zero sense: Teen punished for helping drunk friend

For the American Civil Liberties Union and other civil rights groups, those figures highlighted the insidious nature of racial discrimination.

"I think there is wider recognition today of the wider consequences of zero-tolerance policies than there was a few years ago and part of that is because of the disproportionate impact on minority students and disabled students because it contributes to the achievement gap," said Rodd Monts, field director for the ACLU of Michigan on the impact of harsh penalties on the persistent gap between white and minority academic achievement.

Feels like hands are tied

For its part, the Farmington Public School District feels its hands are tied by zero-tolerance policy laws.

"Zero tolerance takes away the flexibility of school districts to individualize the consequences commensurate with the circumstances," Superintendent Susan Zurvalec said in a statement.

"It is up to state policy makers to revise these zero- tolerance laws, and until that happens, we will continue to follow our legal mandates as they are."

The Michigan ACLU along with other organizations are working on just that and point out that Farmington officials were aware already in the midst of addressing the disproportionate suspensions of minority kids when Kyle was expelled.

"If this could happen in a district where people actually get it, God help the rest of these kids," Monts said.

The ACLU is now working with the state's school districts, education organizations and Michigan lawmakers to help change the zero-tolerance law. They hope to help introduce new legislation this spring.

Others, such as Frederick Hess, an educational scholar with the conservative American Enterprise Institute, said the Justice and Education departments are so focused on blaming racism that they ignore the fact that perhaps minority kids just have worse behavior in school.

Worries expressed

There are two reasons minority kids are disproportionately kicked out of school, Hess said.

"The first is prejudice either overt or intentional ... the second reason is low income or minority kids are misbehaving at higher rates for whatever reason," Hess said. "My experience is that it's probably some mix of the two."

He said rates of punishment "should be identical across classes and races. But that only makes sense if the behavior is the same across race and classes."

Hess called the federal efforts "laudable," but worries "the Justice Department has turned a room full of civil rights lawyers on one problem. Lawyers have one lens but I'm concerned they haven't thought about the practical concerns."

Those practical concerns include additional funding to help keep all kids and school staff safe, said Dan Domenech, executive director of the American Association of School Administrators and a former superintendent of Fairfax County, Virginia, public schools.

He notes that federal money once available to help schools address discipline was nixed in 2011 though there are competitive grants available.

"It comes back to what is our mission," Domenech said. "Our mission is to provide for the needs of children. The good kids. The bad kids. The indifferent kids. And the expulsion of kids who more than anyone else need to be in school is inappropriate."

Columbine changed everything.

The nation's educators and parents were gripped with fear after a 1999 shooting spree by two seniors at Columbine High School in Colorado killed a teacher and 12 students. The suspects committed suicide.

And in Columbine's shadow, districts adopted zero-tolerance policies as a way to grapple with an increase in violence on their campuses.

Congress had previously passed a federal law in 1995 requiring the expulsion of any student who brought a gun to school.

But after Columbine, problem-plagued districts with a history of school violence, and the lawmakers who represented them touted the benefits of zero tolerance as a solution to their woes.

As a presidential candidate, then Texas Gov. George W. Bush advocated zero tolerance as a solution to school violence.

But the policies, credited by some as helping remove gun and knife wielding young thugs from the classroom also resulted in kindergarteners being suspended for pretending to shoot guns and kids being expelled for using pocketknives for art projects.

In Lauderdale County, Mississippi, zero tolerance resulted in African-American students being pulled out of school for such things as talking back. The students, according to a Justice Department investigation, were sent to a juvenile detention facility in Meridian with tiny, dirty cells where they were often maced for not following the rules.

In Bryan, Texas, African-American students were issued costly criminal misdemeanor "tickets" for talking, cursing or fighting so often that the Education Department launched an investigation into the matter late last year.

A packed hearing

During a 2012 Senate Judiciary subcommittee hearing on the "school-to-prison" pipeline, worried parents and educators jammed the hearing and an overflow room.

"For many young people, our schools are increasingly a gateway to the criminal justice system," said Sen. Richard Durbin, D-Illinois , who chaired the hearing.

Zero- tolerance policies "are not terribly effective and it's certainly not effective in changing children's behavior," said Deborah Fowler, deputy director of Texas Appleseed, a group that has worked to break the "school-to-prison pipeline."

Over the summer, Kyle became so depressed about his expulsion that his mother worried about him. She got him a therapist and a physical trainer to help channel his feelings. Late last year she enrolled him in a private, Christian school.

It's a small school with only 40 students and no football team. But no other area school would accept him with his discipline record.

"He still avoids people," his mother said adding that he's just not the same kid. "He doesn't want to be around people from his own school. He's very embarrassed he doesn't want to talk about it."

As a mother, she says she wants to take away the hurt. As a woman raising a young man she said she wants to teach him to always hold his head high and stand firm against injustice.

"I just tell him what you did was not criminal and you're not a criminal."

Student suspended for giving a hug

@highlight

African-American and Hispanic kids disproportionately kicked out of school, investigators say

@highlight

Racial discrimination is unintended consequence of 90s-era zero-tolerance policies

@highlight

Some question whether racism is at play; Others say more federal discipline funding needed

@highlight

Government, advocates urge schools to dial back on zero tolerance