(CNN) -- There is more water on the moon in more locations than originally thought, a discovery that may bolster NASA's long-held goal of setting up an outpost there, a researcher said Thursday.

NASA says there is more water on the moon in more locations than originally thought.

One ton of the moon's surface -- in which the water's ingredients are held -- could yield as much as 32 ounces, or one quart, of water, according to three reports from research teams who studied data from three spacecrafts.

Although that amount isn't large, said geological sciences professor Jack Mustard, the findings show "there are ways you could convert these amounts of water into higher amounts" that could support human activity.

The water was discovered in rocky environments and in craters, Mustard said.

"It's in more places and in different places than were inferred previously," he said.

Since the Apollo missions began in the 1960s, scientists have believed the moon was virtually dry. Only trace amounts of water were found in rocks and soil brought back to Earth, and that water may have resulted from contamination during the retrieval process, scientists said.  Watch report on discovery of more sources of moon water »

Mustard was on a team led by Carle Pieters, science manager of the NASA-supported Keck Reflectance Experiment Laboratory at Brown University in Providence, Rhode Island.

Pieters also is principal investigator for NASA's Moon Mineralogy Mapper (M3), which the space agency contributed to India's first mission to the moon, Chandrayaan-1, in October 2008. The mapper was a "state-of-the-art imaging spectrometer" that provided the first map of the entire lunar surface at high resolution, revealing the minerals of which it is made.

Examining data from Chandrayaan-1, Pieters' team found signs of water at the moon's frigid poles. The researchers believe it might have migrated from elsewhere on the moon's surface, attracted by the cold, they said.

Their overall findings also were confirmed by data from a high-tech spectrometer on the Cassini spacecraft -- which also found evidence of water at lower latitudes away from the poles -- and from infrared mapping done by the Deep Impact spacecrafts -- which found trace amounts over much of the moon's surface.

Reports on those findings came from teams led by Roger Clark of the U.S. Geological Survey and Jessica Sunshine of the University of Maryland.

This most recent information is far more precise than any previous data, Mustard said. Previous measurements were "the size of Texas, say, and now are the size of Providence."

"We find it (water) distributed more broadly," he added.

In the late 1990s, scientists found pockets of hydrogen on the moon, and inferred that its molecules could bond with oxygen to make water, the professor said. He called the older information much coarser.

This time, researchers are reassured that the components are on the moon to make water because of the presence of hydroxyl -- produced when hydrogen and oxygen also bond with a mineral structure.

The researchers said the results also suggest that the molecules are continually being created on the lunar surface, perhaps as a result of the solar wind -- the stream of ionized particles ejected by the sun.

The research reports were being posted Thursday by the journal Science, at the Science Express Web site, www.sciencexpress.org, and will be in the magazine that comes out Friday.

A news conference on the findings is scheduled for Thursday afternoon in Washington.

@highlight

NASA says there are small amounts of water in lunar soil

@highlight

Many scientists thought there was no water on the moon

@highlight

The discovery could expedite NASA's plans to create lunar settlements

@highlight

About 32 ounces of water could be created from a ton of lunar soil, NASA says