(CNN) -- Everybody has problems here and there. Some are just bigger than others. Maybe a shiftless tenant won't pay his rent, a dishonest contractor is ripping off your Grandmother or a meth-addicted actress murdered your boyfriend. In the land of California noir, a sunny place full of shady people, these are not uncommon problems. When you need a solution, quick, you call Dick Henry. He cuts through the red tape. It may not always be moral, ethical, or legal but he gets the job done. That's his line. He's the shortcut man.

Dick Henry is the wisecracking creation of author, P.G. Sturges and the hero of his newest novel, "Tribulations of the Shortcut Man," hitting bookstore shelves this week. This is Sturges' second novel featuring Henry. Set in present-day Los Angeles, Sturges carries on in the classic noir tradition showing the seamy underside of the city and its criminal tendencies. However, Sturges deftly puts his own spin on the hard-boiled detective story. His "Shortcut Man" novels are fun, sexy, and darkly humorous. He's now winning rave reviews from critics and fans and drawing comparisons to some noir legends like Raymond Chandler.

Sturges took a long and winding path to his success as an author. He's the son of the famed Hollywood screenwriter and director, Preston Sturges, responsible for such classics as "Sullivan's Travels." He died when the author was just six years old but the two share a love of quirky characters and screwball plots. P.G. Sturges grew up amongst the glitz and glamour of Los Angeles. He spent time as a submarine sailor for the U.S. Navy, calibrating tools as a metrologist, also as a musician and a screenwriter before becoming a novelist at age 57.

CNN recently spoke with Sturges about his burgeoning career, his authorial influences and his famous Father. The following is an edited transcript:

CNN: For new readers, tell me a little bit about Dick Henry and what exactly is a shortcut man?

Sturges: Dick Henry is a guy who was thrown out of the LAPD. He's ended up in a position where he pursues justice for his clients with the aim not of pleasing the civil code but of actually doing justice for the people. The shortcuts refer to his ignoring various codes, laws, protocols and just doing the right thing. That's what he wants to do, the right thing.

CNN: Even though the books are set in present day Los Angeles they have a very classic, noir style. What drew you to this type of story?

Sturges: I wish I could say I did it on purpose but I didn't. That's just the way I told the story. The first time I tried writing it in the third person and I realized it wasn't working. Then I tried writing in the first person and I got a flow going. Then I understood how to write for "The Shortcut Man." Also, sheerly by chance I found the way to write about any subject that appeals to me is through Dick Henry. So Dick knows as much as I do but when he's wrong about things of course it's my character who's wrong and not me.

CNN: You share parts of your past with Dick Henry. Is there a lot of your personality in him and vice versa?

Sturges: Oh yes. I am not a shortcut man, though I admire Dick for his strength, his bravery, his success with women and his beautiful cars but I was a submarine sailor and a musician. So when I introduce him and how he became the shortcut man when someone stole his gearshift from his car in Hawaii that is actually a true story. That's really how I handled that. There's a story in the first book about going to the jazz club and trying to impress the girl, bringing up the song, "All the Things You Are" by Jerome Kern, impressing her then going up and asking the band to play that song and the guy goes, we just played it man. That actually happened to me too. That's the beauty of this particular character that anything can go in there. So I'm having a great deal of fun writing for Dick Henry and I hope to do that as long as I live.

CNN: So how did you go from submarine sailor to musician to successful writer?

Sturges: Well, had I been a success at any of the other things I had tried before writing a novel, I would have never got to writing novels. It's just I got tired of writing screenplays, being ripped apart and changed and your name left on them, which is disconcerting. You know a screenplay is a blueprint for a movie and it takes an expert to read a blueprint. Finally, I thought, I'm just going to tell this story the right way at least in one form, so I got around to writing the novel and discovered how much I really enjoy that form.

CNN: Your father was the famous Hollywood screenwriter and director, Preston Sturges. You mention him several times in your first book. Was he your inspiration to become a writer?

Sturges: He died when I was six years old so I never got to ask him the writing questions that occurred to me later but I certainly love his work. I'm a fan of it and I love it and my appreciation of him because I have few memories left, is the kind way he treated his characters in his movies. My primary knowledge of him like everybody else is through his films but I feel I have a special insight when I watch them. He was known for giving his characters outlandish names and I'm convinced that the reason he did that is because when you give a specific name to a character, in your mind they fully inhabit that name so that name becomes a shorthand for that exact character. So instead of saying Bob you have Truman, and Truman is going to leap to mind and you're going to be able to more easily write in his stead. Like Rutland Atwater, from the new novel, that name was specifically tailored, to me that name sounds like a fat guy. So every time I wrote Rutland he fully was in my mind. I don't know if other people do that but that's why I do that and I think that's why my father did that.

CNN: Do you ever think about what your father would say about your novels?

Sturges: I think he would very much enjoy them. He would enjoy them because I enjoy them. They're not a drill to write. I don't write to a formula. I think I'm kind to my characters. I don't have anybody who's in there just to accomplish certain things, to facilitate plot twists. I think you create characters and in a book that has any feel of life, they have to act in their own self interest. That means making them real and even the bad ones have good parts in them.

CNN: You've been described as a worthy successor to Raymond Chandler but what writers have influenced you?

Sturges: Well, there's Arthur Conan Doyle, Patrick O' Brian and his series of novels about the British navy. I like Michael Connelly of course. I've read every bit of Connelly and I love Harry Bosch but who doesn't? I like Charles Bukowski, his novels more than his poetry. I loved Edgar Rice Burroughs growing up, the Mars series, I must have read them ten times. Lately I've been reading Bill Bryson. Recently I read "Tom Jones," also "War and Peace" and some Dickens. What I found out about the great writers, they always have humor in their books. They don't set out to be funny but their notice of life as it passes has funny moments and they get it. I like to read more from a civilian viewpoint. I don't read a book to say this is how the author did this and this is how he did that. I just like to read a great story.

CNN: What's next for you?

Sturges: Book number three is already finished and in the can. I haven't polished it but the manuscript is complete. Signing with Scribner seriously unleashed my ambition. I've been writing all sorts of things. I'm just finishing something now called, "The Cuckold's Clock." It's a story about a man living in today's times who comes into possession of a clock that supposedly stops if your spouse is unfaithful. So the clock stops and what do you believe in 2012? It takes place outside Dick Henry's world. It could exist beside it but they don't come together. Apart from that, look for "Vexations of the Shortcut Man" next year and I hope you'll read it.

Read an excerpt from "Tribulations of the Shortcut Man."

@highlight

P.G. Sturges, son of famous director Preston Sturges, writes classic noir novels

@highlight

His latest, "Tribulations of the Shortcut Man," is out this week

@highlight

The story is "fun, sexy and darkly humorous"