(CNN) -- A young black man runs with the ball at his feet, living out his dream of playing on the world stage.

Around him, amidst an intimidating, vicious atmosphere, the noises begin.

First, the boos, then the monkey noises.

The incessant chanting, the vitriolic abuse, the gestures and then, the indignity of receiving punishment for having the temerity to stand your ground.

Welcome to Serbia 2012, or should that be Bristol 1909?

Racism row shines light on Serbian football

At first glance, Walter Tull, an officer in the British Army during the First World War and England Under-21 footballer Danny Rose appear to have little in common.

Rose is a successful Premier League footballer, at the start of a promising career, which he hopes will see him become a full international.

Before he was killed in the Great War, Tull was a pioneering black footballer, who blazed a trail for black stars of the future such as Brendan Batson, Laurie Cunningham, Viv Anderson and Cyril Regis.

One man is on our television screen with pictures being sent around the world, the other has no grave, only an inscription on the memorial wall at the Fauborg-Amiens war cemetery and memorial at Arras.

Black pioneer

But Tull's story, recorded some 93 years ago, could not be more apt given what Rose was forced to endure in Krusevac.

While most were left stunned by Rose being sent off for his reaction to being targeted by racist chanting, the tale is all too familiar for those who know their history.

Tull became the first black outfield player to to compete in the top-flight of the English league after signing for Tottenham Hotspur in 1909.

Like Rose, he too suffered racial abuse from the stands with his career almost disappearing from history and public consciousness.

Lazio hit by UEFA racism fine

That it didn't is largely thanks to two men, writer and producer Phil Vasili and director David Thacker, who are taking Tull's story to the stage and eventually the big screen.

While the film surrounding Tull's life is scheduled to coincide with 2014's 100th anniversary of the Great War, the play will open in February in Bolton.

"I think the play will be very topical," said Vasili, author of the biography Walter Tull, 1888-1918: Officer, Footballer.

"It's quite poignant that the play should start so soon given what happened to Rose in Serbia.

"What happened to Rose, happened to Walter around 93 years previously and both were victimized twice.

"Rose was racially abused and then sent off, Walter was also abused before being dropped by Tottenham and eventually sold.

"Both men were punished twice. It's funny how something which happened nearly a century ago could be so relevant."

Terry decides against appealing FA racism verdict

If it wasn't for Vasili's work the story of the man who changed the face of football for black Britons could have been confined to the scrapheap of history.

Although Arthur Wharton, a goalkeeper from Ghana, was the first professional black player to have competed at the top level in England, it is Tull who is credited with being a pioneer as he was the first black outfield player.

Giant strides

Initially Vasili's attempts to get publishers or media outlets interested in Tull's story appeared to hit a dead end.

"I first came across him in 1993 and there was nothing contemporary about him, he had almost become forgotten," Vasili recalled.

"In the first years, I couldn't get anyone interested in it. Over time, the interest has grown and he's now got publicity.

"With the play and the film, we're hoping to show people that whatever obstacles you face, you can achieve the things you strive for.

"On a political level, things are never simplistic. Britain may have been a different place for black people at that time and there was prejudice.

"But at the same time, there were a number of progressive institutions and people who helped the black community and Walter on their way.

Cameron hosts talks on football racism

"Symbolically, Britain has been a multicultural place for a long time. Tull had a black father and a white mother and if you look at the number of mixed-race footballers, he led the way for them."

But what would Tull have made of the recent events in Serbia? And what would he have though of the John Terry racism saga that has proved so divisive for English footall over the last year?

"I think he would have been very sad," said Vasili. "Britain is a different place today than it was when Walter was alive and there have been giant strides.

"He was the only black outfield player in the top division at one time and now that isn't the case. He was a great role model and led the way for those that play today."

Football pioneer: Andrew Watson - the first black international

Tull, who was born in Folkestone, Kent, on April 28, 1888, endured a difficult childhood with illness, death and poverty plaguing the family.

The grandson of slaves in Barbados, his father arrived in England in 1876 following abolition some 43 years earlier. Walter's mother, Alice, died when he was just seven before his father passed away two years later.

With all six children surviving their parents' death, the demands on their stepmother, Clara, were too much to bear and Tull along with his brother Edward were taken to live in a Methodist orphanage in Bethnal Green, east London.

When Edward was adopted two years later by a couple from Glasgow and went on to become the first black dentist in the city, Walter turned to football to help with his solitude.

It was here, while training to be a printer, Walter caught the eye with his football skills and soon won a trial with amateur side Clapton F.C.

Vitriolic racism

His success, which helped the club win the Amateur Cup, London Senior Cup and London County Amateur Cup in the 1908-1909 season, secured him a dream move to Tottenham Hotspur.

The transfer made Walter just the second black professional player in the English top division and the first outfield player.

After making his debut at the age of 21, Walter enjoyed success at Tottenham until a vitriolic episode of racism at Bristol City in October 1909.

Crime and punishment in sport: Laying down the law?

"The game at Bristol was the first time I came across racism being mentioned in a match report," said Vasili.

"In previous reports, writers would use coded language such as 'Tull took unwarranted abuse' but there was no hiding it in this Bristol game."

The Football Star described the Bristol City fans racist chants as "lower than Billingsgate", while another newspaper labeled it as "a cowardly attack".

One reporter vented his fury by writing, "Let me tell those Bristol hooligans that Tull is so clean in his mind and method as to be a model for all white men who play football."

The episode appeared to embarrass Tottenham, which promptly dropped Tull from the team and sold him to Northampton Town.

Under Herbert Chapman, the future manager of Arsenal, Walter enjoyed great success, making 110 appearances and attracting the interest of Scottish giants Glasgow Rangers.

The First World War broke out in 1914, with Tull signing up to the 17th Service Battalion of the Middlesex Regiment, which was nicknamed, "The Diehards".

Cole apologizes for outburst over Terry racism case

He was involved in combat at the end of the Battle of the Somme between October and November 1916, before being sent back to England suffering from trench foot and shell shock.

After making a full recovery, Walter was ordered to go up to Scotland to the Officer Training Corps, despite military regulations forbidding those who were not of "pure European descent" from becoming officers.

Military bravery

In May 1917, he was appointed an officer, despite it being technically illegal.

"I guess he never received the medal because the rules at the time prohibited it," added Vasili. "Perhaps those on the ground didn't realize and some civil servant or bureaucrat must have pointed it out.

"They couldn't have given an award to a black soldier and not a white soldier at the time."

Walter's military success continued as he became the first black officer in the British Army to lead troops into battle.

In Italy, he led his men at the Battle of Piave and was commended for his outstanding leadership abilities by his peers.

Walter's efforts did not go unnoticed and he was recommended for the Military Cross, but never received it.

Chelsea defender Cole charged with misconduct after abusive tweet

After finishing in Italy, Walter was transferred to the Somme Valley in France. It was on March 25, 1918 while trying to escape a German advance at Favreuil, that he was fatally injured by machine gun fire.

"Such was Walter's bond with his men that even with the machine guns firing, his men still tried to recover his body," said Vasili.

"They risked their lives to try and bring him back because he was a person who they all looked up to and respected. He was a very humble character, who wanted to be judged by his actions and deeds.

"I think that his Methodist background gave him a code to live by and helped guide him through life."

Tull, the play, is at the Octagon Theatre in Bolton from February 21 and March 16.

@highlight

Walter Tull was the first professional black outfield player in the English top division

@highlight

Tull signed for Tottenham Hotspur after glittering amateur season with Clapton

@highlight

Joined the Footballer's Batallion at outbreak of World War One and was made an officer

@highlight

Was gunned down just a month before his 30th birthday during fierce fighting in France