(CNN) -- For generations, hundreds of millions of sports fans have seen the iconic Goodyear blimp hanging out above stadiums across the nation. Ever wonder how the thing actually flies?

This 192-foot-long aircraft is a machine with its own set of rules. It's very different from an airplane.

For one, obviously, it has no wings.

Two, it typically flies about 1,500 feet above the ground. Compare that with New York's Chrysler building, which towers about 1,050 feet high.

And another thing: Goodyear's blimps move ... very ... slowly. They max out at about 53 mph but usually they cruise at a conservative 35 mph.

Here are three basic things to know about blimps:

-- Blimps belong to a family of aircraft called "airships," defined as aircraft that don't use wings to fly. Instead they are lifted by helium.

-- What's a blimp, exactly? A blimp is an airship that has no internal framework to keep its helium gas bag rigid. That giant gas bag is what pilots call the "envelope."

-- Pilots power and steer blimps with two propeller engines and a moveable tail and rudder system.

We'll have more on exactly how it all works later this week after CNN flies above Atlanta's Chick-fil-A Bowl Tuesday night with Goodyear blimp pilot Matt Lussier and camera operator Tom O'Keefe.

Lussier's flying background is rooted in airplanes. But to learn to fly a blimp, he says, "you have to throw a lot of that away. This is a real seat-of-your-pants flyer. I mean, you feel it. You wear it."

Compared with blimps, airplanes respond very quickly. But flying a blimp is an exercise in anticipation. You have to anticipate what the ship's going to do before it does it. Then, almost as soon as a shift starts happening, you have to reverse it because otherwise it will keep happening long after you want it to stop.

Belle of the bowls

During this college football bowl season, blimps will be all over the map.

In addition to the Chick-fil-A Bowl, Goodyear's three airships are set to hover over Florida's Orange Bowl, California's Rose Bowl, Arizona's Fiesta Bowl, Louisiana's Sugar Bowl and the National Championship January 6 in Pasadena, California.

Ever wonder what it's like up there in the gondola? Ever ponder the "rules of the road" when it comes to flying a huge aircraft close to skyscrapers and towering antennas? During the game broadcasts, how do the TV director, the pilot and the blimp camera operator coordinate to get those beautiful aerial skyline shots of the stadiums?

Got a question for the crew? Share it in the comments section below and we'll try to get it answered.

If the weather cooperates, the blimp will provide live beauty shots for ESPN's coverage of Duke University versus Texas A&M.

On the field, 2012 Heisman winner Johnny Manziel -- aka Johnny Football -- will quarterback the Texas Aggies, while in the sky over the Georgia Dome, we'll go behind-the-scenes to reveal more details about what it takes to fly a true American icon.

Meantime, here are a few pieces of blimp trivia:

1. 'Everyone's looking up'

How did Goodyear get into the airship business? In a word: rubber.

Pretty much everybody knows Goodyear makes tires and other rubber products. In 1917, when the U.S. Navy needed airships that included rubberized fabrics and coatings, Goodyear came calling. The first Goodyear airships for the Navy were based along the East Coast and were used for training, patrols and search and rescue operations. Goodyear started operating its own airships in 1919.

Little did Goodyear know its blimps would become one of the best-known corporate symbols in the United States.

The company now estimates some 60 million Americans get a first-hand look at its three U.S. blimps every year.

"Sometimes you'll go over a high school or middle school that's having football practice and when we fly over, practice stops," says Lussier, captain of "Spirit of Innovation," Goodyear's youngest airship. "Everyone's looking up. It's kinda cool."

2. Eyes in the sky

Goodyear kicked off its first blimp event coverage in 1955 at the Rose Bowl and parade in Pasadena, California, according to the tire maker.

Nearly 60 years later, Goodyear performed another first: aerial TV coverage by two blimps simultaneously. It happened at a football game in November between Virginia Tech and the University of Miami at SunLife Stadium.

"In some ways, the Goodyear blimp is as much a part of football as tailgating or as hotdogs are to baseball," said 20-year veteran airship historian Dan Grossman. "You can imagine football without it, but it would be kind of sad. It has become part of our national consciousness."

3. Dude, Zeppelins ROCK!

Beginning in 2014, Goodyear plans to start phasing out its blimps to make room for a new generation of airships: the Zeppelin NTs.

The envelopes of the NTs have semi-rigid internal frames made of lightweight carbon fiber. So, technically, these new Goodyear airships won't be blimps. Hmmmm... will folks start calling them "Goodyear semi-rigid airships?" Doubtful.

In fact, Goodyear calls them NTs, which stands for "new technology." The company is building them in partnership with German manufacturer ZLT Zeppelin Luftschifftechnik. That's the forerunner of the firm that built the infamous airship the Hindenburg, which blew up during a New Jersey landing in 1937. Unlike that Zeppelin, NTs fly with helium, not the dangerously flammable hydrogen that destroyed the Hindenburg.

The NTs will be more than 50 feet longer, 20 mph faster and more maneuverable than Goodyear's blimps.

"It'll carry more passengers," says Lussier. "And the two engines attached to a frame midway up the envelope will swivel, allowing it to take off and land more like a helicopter in tighter spots. And on top of that, the new airship's going to be a lot faster."

As previously mentioned, the blimps max out at around 53 mph, while the Zeppelins are expected to top out at around 70 mph. "Its abilities are just phenomenal," Lussier says.

4. Auto-deflate mechanism

Even when they're on the ground, the blimps are extremely vulnerable to high winds. A special latch on the nose of the blimps keeps it attached to a mast. Goodyear says failure of that latch is very unlikely, but if the blimp does break away from the mast, it's designed to automatically deflate to prevent it from floating away.

5. Razzle-dazzle

Next time you see breathtaking video above a sports stadium from a Goodyear Blimp, think about this: video beams from the airship to the ground via microwaves are sent to a microwave dish and a receiver, which then feeds video to the TV network. Goodyear uses its own camera operators and specially designed TV equipment to shoot those beauty shots.

Thousands of LED lights across the surface of the blimps create a bit of razzle-dazzle signage. The company calls it Eaglevision, describing it as a "computer driven, electronic system which reads data and then sends out millions of commands to turn the lights on and off with different colors at the proper instant creating text and animations brilliant enough to be seen up to one mile away."

@highlight

Goodyear began making blimps in 1917

@highlight

Wind is a blimp's worst enemy; pilots control blimps with an odd steering wheel

@highlight

Goodyear blimps have an auto-deflating system in case of emergencies

@highlight

Goodyear plans an upgrade to faster, longer Zeppelin NT airships in 2014