Washington (CNN) -- President Barack Obama said Monday his $447 billion jobs plan is a common-sense approach needed right away, but House Republican leaders said they opposed Obama's intention to pay for it by ending tax relief for corporations and the wealthy.

In a message accompanying the legislation he sent to Congress on Monday afternoon, Obama said his proposal "is fully paid for."

"The legislation includes specific offsets to close corporate tax loopholes and asks the wealthiest Americans to pay their fair share that more than cover the cost of the jobs measures," Obama's message said.

In addition, he said, the package increases the target figure of a special joint congressional committee working on deficit reduction by the amount his plan would cost. If the committee reaches the higher target in deficit-reduction measures, then the offsets in his legislation that cover the cost of the plan would be unnecessary and therefore eliminated.

However, House Speaker John Boehner's spokesman said the White House's proposal on how to pay for the measure was unacceptable.

"It would be fair to say this tax increase on job creators is the kind of proposal both parties have opposed in the past," Michael Steel said in a written statement.

House Majority Leader Eric Cantor echoed that stance, telling reporters: "I sure hope that the president is not suggesting that we pay for his proposals with a massive tax increase at the end of 2012 on the job creators that we're actually counting on to reduce unemployment."

The Obama plan is part of the president's effort to resurrect a comprehensive deficit reduction deal with Republicans that would include reforms of the tax code and entitlement programs such as Social Security, Medicare and Medicaid to accompany government spending cuts.

With $900 billion in spending cuts already enacted, the special joint deficit committee created under last month's debt ceiling agreement has started work on finding another $1.5 trillion in deficit reduction steps that Congress can pass by the end of the year.

In the meantime, Obama is pushing his jobs plan as a package of immediate steps that can spur economic growth and job creation.

"This is a bill that will put people back to work all across the country," Obama told a crowd of teachers, veterans, small-business owners and others at the White House. "This is a bill that will help our economy in a moment of national crisis. This is a bill that is based on ideas from both Democrats and Republicans, and this is the bill that Congress needs to pass."

With his poll numbers down as his campaign for re-election next year is beginning, Obama noted that "there are some in Washington who would rather settle our differences through politics and the elections than try to resolve them now."

But the "fact of the matter is the next election is 14 months away -- the American people don't have the luxury of waiting 14 months for Congress to take action," the president said.

Obama made his pitch in the Rose Garden hours before sending the legislation to Capitol Hill, where it received a polite but mixed reception.

Boehner, R-Ohio, released a statement immediately after Obama's remarks, promising prompt consideration of the proposal. At the same time, however, Boehner took a swipe at the 2009 economic stimulus plan backed by the administration.

"The record of the economic proposals enacted during the last Congress necessitates careful examination of the president's latest plan as well as consideration of alternative measures that may more effectively support private-sector job creation," Boehner said. "It is my hope that we will be able to work together to put in place the best ideas of both parties and help put Americans back to work."

Obama has been touting the virtue of his plan on the road, stopping in Virginia last Friday and heading to Ohio and North Carolina later this week.

Among other things, Obama's plan would extend and expand the current payroll tax cut -- a proposal estimated to reduce revenues by $240 billion.

The current cut, which has cost $112 billion so far, allows employees to pay 4.2% instead of 6.2% on their first $106,800 of wages into Social Security. Obama wants to continue the break -- now set to expire at the end of the year -- while reducing employee contributions further, to 3.1%.

At the same time, the president wants to halve the payroll tax that businesses pay -- to 3.1% -- on the first $5 million in wages.

Obama's proposal also includes a new $49 billion extension of unemployment benefits, which were lengthened to the current 99-week maximum in 2009. Top Democrats argue that that money would immediately be pumped back into the economy in the form of new consumer spending.

Nearly 43% of America's unemployed have now been out of work for more than six months.

In addition, the plan proposes $60 billion for infrastructure development such as repairing roads and bridges, including the establishment of an infrastructure bank to help finance such projects.

It is unclear whether the American Jobs Act -- consisting largely of targeted tax cuts, infrastructure spending and new job training assistance -- can win over enough skeptical congressional Republicans, particularly in light of Obama's falling approval ratings and the looming presidential campaign.

Cantor, R-Virginia, made clear he opposed new infrastructure spending and some other aspects of the Obama plan.

"Anything that is akin to the stimulus bill is not going to be acceptable to the American people," Cantor said, arguing that the 2009 stimulus that aimed money at boosting public sector jobs didn't work. Instead, the GOP wants to target aid to small businesses, he said.

"The fact is we don't have the money and we've got to prioritize, and right now it's about getting people back to work," Cantor said.

Cantor cited tax credits for employers, reforming aid for the jobless, and passage of the three pending trade deals as areas of possible bipartisan agreement. While he agreed that infrastructure projects were worthy of focus, he said Congress should not be adding new money, but instead streamlining the process for getting current resources to state and local governments.

"I do not think the president's all-or-nothing approach is something that is constructive," Cantor said, adding, "let's not allow the things his bill that we disagree with to get in the way of producing some results."

Other provisions in the president's proposal include $25 billion to refurbish schools, $35 billion to avoid layoffs among teachers and first responders, and tax incentives for small businesses to hire the long-term unemployed.

Under the Obama plan, businesses could receive a tax credit of up to $4,000 for hiring workers who have been out of a job for more than six months.

To pay for the bill, new limits would be set on tax exemptions and itemized deductions for families making more than $250,000 annually. So-called "carried interest" for investment fund managers would be taxed as ordinary income, as opposed to the lower capital gains rate.

Additionally, a series of oil and gas industry tax loopholes would be closed, and depreciation rules would be changed for corporate jet owners.

The total value of the changes, according to White House Office of Management and Budget Director Jack Lew, would be $467 billion -- approximately $20 billion more than the total cost of the plan.

The special congressional deficit committee has until November 23 to approve more than $1.5 trillion in new deficit reduction steps, and Congress would then have to pass the plan -- unamended -- by December 23. If that doesn't happen, more than $1 trillion in automatic across-the-board spending cuts would go into effect, including funding for the military, under a so-called trigger mechanism intended to motivate legislators to reach a deal.

CNN's Alan Silverleib, Rebecca Stewart and Tom Cohen contributed to this report.

@highlight

NEW: Boehner rejects ending both corporate tax breaks and tax cuts for the wealthy

@highlight

NEW: Obama says the deficit reduction committee also can decide how to pay

@highlight

House Speaker Boehner promises the House will consider the president's plan

@highlight

Obama calls his job creation plan a "common-sense" blueprint threatened by politics