(CNN) -- For years, Jean-Philippe Kayobotsi's work meant business trips, investment plans and high-level meetings with powerful politicians and top corporate executives. Having worked at Deloitte, the African Development Bank and even as an adviser to the president of Rwanda, Kayobotsi's illustrious career had taken him to Europe, Latin America and Africa.

And then his hibernating entrepreneurial spirit kicked in.

Last May, Kayobotsi swapped business suits for casual clothes, and strategic pitches for delicious pastries as he decided to go into business on his own, opening up Brioche, a high-end bakery and coffee shop in Kigali, the bustling capital of Rwanda with some one million residents.

"My friends said I was a bit crazy to leave a well-established institution and job to venture into business -- I guess maybe they are right partly but I really felt it was what I wanted to do," says the 38-year-old entrepreneur.

"For some reason, I always had this entrepreneurial drive so I decided to walk the talk instead of preaching for private sector development," he adds. "I looked for an opportunity that both made business sense and would excite me. A quality coffee shop was both a gap in the market and something I was really interested in -- I love good food, good drinks and good service."

Drawing inspiration from successful international chains like Starbucks, Le Pain Quotidien and Paul, Kayobotsi says he wanted to start what he calls a "boutique" bakery in Rwanda that could fit in any country in the world.

And when it came to naming his new venture, the entrepreneur didn't have to think too hard -- he just trusted his taste buds.

"Brioche is a very popular bread in some parts of Europe and it is definitely my favorite kind of bread," says Kayobotsi, who is half Rwandan, half Belgian. "We have it with sugar, plain, with chocolate or with raisins."

Big dreams

Inside the Brioche store, a group of black-shirted workers line up in front of a small kitchen counter to prepare a wide range of bakery and pastry products -- from chocolate mousses and croissants to tuna sandwiches and cakes made of locally produced strawberries and mangoes. Different types of bread and pasta are also on offer here, as well as a variety of coffees and juices.

"We have about 20,000 items that are being sold each month -- and it is increasing," says Kayobotsi.

Currently, Brioche employs 12 people but that number is expected to increase as Kayobotsi plans to open more stores in Kigali and beyond.

"This is the first of many boutiques we want to spread across Rwanda, the region, and Africa," says Kayobotsi. "We want to be the Starbucks of Africa!"

Easy to start a business

Rwanda, a tiny landlocked country of more than 11 million people in central east Africa, has made remarkable economic progress since the end of a brutal genocide that claimed 800,000 lives in 1994. According to the World Bank, the country has moved from a reported poverty rate of about 78% in 1995 to less than 50% in 2012, a year when its economy grew by 8%.

A series of legal and administrative reforms also mean that the process of creating a company in Rwanda is fast and affordable. As a result, the country is ranked today number nine of 189 economies across the world by the World Bank index that measures the ease of starting a business -- a sentiment echoed by fledgling businesspeople such as Kayobotsi.

"You can actually create a company in the morning and receive your incorporation certificate in the afternoon of the same day," he says.

Yet, there are still many risks that budding entrepreneurs in Rwanda need to navigate.

"One of the challenges I see not just for a bakery but for many businesses in Kigali is the fact that we are landlocked and transport costs are huge," says the Brioche founder. "We do purchase some flour locally but the bulk of it comes from France and Belgium," he adds. "Electricity is also very expensive."

'No need of aid'

Despite such challenges, Kayobotsi has big plans for the future. Although Brioche has yet to make a profit, because of the startup costs, Kayobotsi eyes bigger growth and has already purchased two more store locations in Kigali.

He is also planning to build a massive central kitchen so he can maintain quality control and supply all of his Brioche bakeries in the city.

"I am a firm believer that Africa -- and Rwanda -- is in no need of aid or government programs but of private sector investments," he says.

"Only private sector investments, in my view, can have the magnitude in terms of scale and creativity that is required to create the millions of jobs that Africa needs for its young generation."

READ THIS: Teen turns $14 into paper bag empire

READ THIS: Pizza maker 'gets Nairobi naked'

@highlight

Jean-Philippe Kayobotsi has launched "Brioche," a high-end bakery in Kigali, Rwanda

@highlight

He opened Brioche's doors in May and has also purchased two more store locations

@highlight

Rwanda is ranked number nine in the world on the ease of starting a business

@highlight

Transport costs and expensive electricity are some of the challenges