Men with prostate cancer who were previously infected with the sexually transmitted germ Trichomonas vaginalis are more likely to have an aggressive form of the cancer, compared with men who never had the STD, a new study says.

Researchers say trichomonas, an STD, is most common in men ages 25 to 39.

The germ, a type of parasite, can infect the prostate and may cause inflammation that spurs the growth of prostate cancer later in life, says senior author Lorelei Mucci, Ph.D., an assistant professor of epidemiology at the Harvard School of Public Health.

"Our underlying hypothesis is around inflammation and, in particular, we believe that inflammation from a variety of sources is leading to prostate cancer progression," she says.

In the study, Mucci and colleagues compared 673 prostate cancer patients to 673 men without prostate cancer, and tested their blood for signs of a past infection with trichomonas. All the men were enrolled in the Physician's Health Study, according to the report published this week in the Journal of the National Cancer Institute.

They found that roughly one in five men had been infected with trichomonas at some point in his life. Men infected with trichomonas were no more likely to develop prostate cancer in general. But those with a past trichomonas infection were two to three times more likely to develop an aggressive and potentially life-threatening form of prostate cancer.

Trichomonas affects 174 million people around the world each year, and, at any given time, about 3 percent of younger men are infected with trichomonas; it is most common in men ages 25 to 39.

However, trichomonas is an STD that's probably on more women's radars than men's because women are more likely to get symptoms such as discharge and itching. Health.com: How to protect yourself from HPV

Only one out of four men with trichomonas develops symptoms, and, with time, the infection often goes away on its own. (The STD can be cured quickly with antibiotics.)

"I think the only time men really seek any medical intervention is if their partner has been diagnosed and then they may go and get treated as well," says Mucci. "I think the general feeling has been that this is an acute infection, it will eventually clear itself, and it doesn't seem to be doing any real harm; but in this case it may actually be doing harm--you're just not seeing the harm until 20 years in the future."

Infections are just one factor that researchers are examining as potential players in the growth of prostate cancer, and others--such as dietary choices--are thought to influence prostate cancer risk as well. Health.com: 10 questions to ask a new partner

"We are pretty confident that diet has an impact," says Dr. Peter C. Albertsen, of the University of Connecticut Health Center, in Farmington. Prostate cancer is rare in Asian countries but relatively common in Western nations, and researchers feel it's probably due to some component of the Western diet, says Albertsen, who wrote an editorial accompanying the study.

"What this study explores and similar studies are exploring is whether there are potentially infectious causes that result in prostate cancer going from a relatively dormant disease to one that's clinically significant," says Albertsen. "This study raises the issue that a common bug, Trichomonas vaginalis, could be such an agent."

While the link to prostate cancer may sound surprising, there are other cancers caused by STDs. For example, cervical cancer in women is caused by the sexually transmitted human papillomavirus (HPV). (However, HPV is a common infection and many women who are infected with the virus never develop cancer, which is relatively rare.) Health.com: How HPV causes cervical cancer and abnormal pap smears

"[Although] there is some evidence that suggests that the number of partners that a man has had over his lifetime is associated with increased risk of developing prostate cancer," says Mucci, the relationship is not as clear-cut for prostate cancer as it is for cervical cancer. There is no strong indicator that an STD causes prostate cancer, and researchers suspect that trichomonas is just one inflammation-causing factor that may contribute to the cancer or make it grow faster.

"We think that inflammation is what's important," she says. "This inflammation may result from trichomonas, a dietary factor, or it could result from oxidative stress from something like smoking or other factors." Health.com: Dating dilemmas -- 8 tips for telling your partner a health secret

Either way, it's too soon to make any changes in the testing or treatment of either prostate cancer or trichomonas, both experts say. "What needs to happen is a few more researchers need to tackle this issue to either nail this down as a true relationship or dispense with it," says Albertsen. Health.com: Who's most at risk for STDs?

However, it's an important issue to consider, he says.

"Right now if you asked if the average urologist or internist, 'Does Trichomonas vaginalis lead to prostate cancer?', the answer would be no, and in fact this study doesn't prove a cause-and-effect relationship," he says. "But if we begin to see that infections in general can be associated with prostate cancer, we might begin to take a new view on this disease and the appropriate treatment leading up to it."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Study: Men with trichomonas vaginalis more likely to have aggressive prostate cancer

@highlight

The germ is a type of parasite that can infect the prostate

@highlight

Trichomonas affects 174 million people around the world each year