(CNN) -- The Mars rover Curiosity will get to try out its scoop this weekend, according to current NASA plans.

"The request that the engineers made to the scientists was: Find us a good sandbox, a good sand pit, to play in here, on our way to Glenelg," said Mike Watkins, Curiosity mission manager at NASA's Jet Propulsion Laboratory in Pasadena, California, at a press conference Thursday. "This site, Rocknest, is exactly that."

The vehicle is currently parked 400 meters as the crow flies from Bradbury Landing, where it landed on August 6. It will likely stay there for another two weeks, with scooping to begin on Saturday.

Curiosity rotated its wheel around the sandy material where it is to make sure that it was loose, dry soil, Watkins said. The rover will use its instruments to further determine what this sand is made of, to make sure it meets the scientists' needs.

The sand also serves as a sort of "mouthwash" for Curiosity to finish cleaning out its hardware, NASA experts said.

There are five tools at the end of the rover's robotic arm. The Collection and Handling for Interior Martian Rock Analysis mechanism does scooping, processing and sample drop-off.

What we've done on Mars, and what's next

Although the hardware was clean when it was assembled at NASA facilities, it's impossible to avoid an oily film that accumulates as a result of being on Earth, said Daniel Limonadi, a sampling expert at JPL. The sample analysis instrument on Curiosity is so sensitive that it needs this film scrubbed away.

The handling of sand sample will be used as a way to accomplish this, Limonadi said. Effectively, the rover will vibrate the sand on sensitive hardware surfaces to sand-blast them, then spit the material out and repeat three times.

Scientists were looking for a "boring" and "safe" Martian sand dune for this purpose to make sure that it wouldn't do something weird such as turn to paste or absorb water, Limonadi said.

The rover will be performing an X-ray diffraction experiment, using a device called ChemMin, to help detect the minerals present in the sample. This technique has never been done before on Mars, said Ashwin Vasavada, deputy project scientist for the rover mission. "Even the most boring sand on Mars is going to be a new result in that respect."

Mission specialists say the rover will probably end up at Glenelg around the rover's 90th Martian day, and then Curiosity will pause to try out its drilling system. There will be a similar cleaning activity for the drill.

Days on Mars are about 40 minutes longer than on Earth, and the people working on the mission are still living on "Mars time."

In its first two months on Mars, Curiosity stumbled upon an area where it appears that water once flowed in a vigorous stream. Scientists say the rover spotted rock outcrops that seem to have formed in the presence of water, with rounded gravels that may have been transported by water.

But the rover did not linger at these sites. Instead, drivers proceeded to command Curiosity to continue moving toward Glenelg, a site of scientific interest because it contains three types of terrain, including layered bedrock.

"We think there's even better versions of that same material at Glenelg, at least that's the hypothesis," Vasavada said.

If that doesn't pan out, Curiosity can visit some of the outcrops it's already passed on the way back. After Glenelg, Curiosity is bound for a 3-mile-high mountain called Mount Sharp, composed of layers of sediment that have built up over time. These layers may hold organic molecules, indicating that at one time life could have subsisted.

Also this week, Curiosity checked in on Mars using the mobile application Foursquare. While no human will be overthrowing the rover's check-in supremacy anytime soon, users of Foursquare can score a Curiosity-themed badge when checking in at certain science-y locations. This program will go into effect later this year.

Read more about the Mars rover on CNN's Light Years blog

@highlight

"Find us a sandbox," engineers asked scientists

@highlight

Curiosity will scoop up sand for mineral analysis and to clean some hardware

@highlight

The rover is on its way to a site called Glenelg