(CNN) -- Summer. Heat and humidity are up. School's out or soon will be for most families. Maybe you're looking for a bit of a mental escape, so where better to find it than in a book?

Readers are in luck, with a slew of hot new titles hitting shelves. Whether you're headed for the beach or the Barcalounger, we've found five titles worth your consideration. So grab a cool drink, find some shade and dive in.

'The Son' by Philipp Meyer

Ambitious readers who take their prose seriously should grab a copy of "The Son," a stunning work of historical fiction by Philipp Meyer. Scores of critics are gushing over the book calling it epic, one of the best of the year, even an American classic. Meyer certainly aims high, with his multigenerational tale of a formidable Texas family.

The saga begins in the early 1800s and spans most of the 19th and 20th century, jumping back and forth in time and between several points of view among members of the McCullough clan. There's Eli, captured as a teenager in a brutal Indian attack and raised by a tribe of Comanches; Eli's son, Peter, a rancher caught between the Mexican-American and white settlers who struggle for control of the land; and Jeannie, Eli's great-granddaughter, an oil tycoon and matriarch for the modern era.

While the novel is rich in detail in the history of Texas, this is a story of courage, conviction and perseverance that would feel at home almost anywhere in the West. Meyer's writing echoes some iconic Western wordsmiths. "The Son" is at times violent and dark, like Cormac McCarthy, vividly character driven like Larry McMurtry and panoramic in its scope, like James Michener, appropriate considering Meyer was a Michener fellow at the University of Texas.

Read the first chapter of "The Son"

'A Serpent's Tooth' by Craig Johnson

No less authentic is Craig Johnson's hero in a ten-gallon hat, Walt Longmire.

The sheriff of the fictional Absaroka County, Wyoming, returns in his ninth mystery, "A Serpent's Tooth." Since its inception, the best-selling series has continued to grow globally in popularity and is now a hit on cable TV, just beginning its second season.

In this latest adventure in print, Walt's search for a missing girl leads him to a Mormon "lost boy," a family of heavily armed polygamists and a CIA plot involving an interstate oil pipeline only a stone's throw from the original Teapot Dome.

While the plot sounds a bit convoluted, Johnson's writing is not. The story moves at a brisk pace, with room for some good-natured humor and plenty of gorgeous Wyoming scenery. But the real stars of the series are Walt and his supporting cast, his second-in-command, Deputy Victoria Moretti, with whom he shares a budding romance, and of course, his best friend and sometimes conscience, Henry Standing Bear. For fans of the series, these three are like old friends whom you look forward to spending time with. Inevitably, once the story is finished, readers will find themselves already looking forward to Walt's next visit.

Read more about "A Serpent's Tooth" on the author's website and read an excerpt from the book

'The Shining Girls' by Lauren Beukes

The summer's most buzzed-about book may be Lauren Beukes' "The Shining Girls," a high-concept thriller borrowing elements from several genres, including mystery, sci-fi and horror. Lucky readers who got their hands on the novel early describe it as "The Time Traveler's Wife" meets "The Girl With the Dragon Tattoo," but there's more depth to this imaginative story.

Here's the setup: In Depression-era Chicago, a serial killer finds a mysterious house that opens doors to other times. The killer uses this house of horrors to hunt his victims, all promising young women, across different decades until one victim survives. She then turns the tables, and the victim hunts the hunter.

It's a creepy concept, and Beukes makes the far-fetched seem plausible thanks to her exceptional writing. Critics, booksellers and some well-known novelists are singing the novel's praises. It's also captured Hollywood's attention. Leonardo DiCaprio and the producers behind Netflix hit "House of Cards" just optioned the book, with plans to bring it to TV. It's easy to understand why, because once you start reading, you will be hard-pressed to put down "The Shining Girls."

Read an excerpt from "The Shining Girls"

'Joyland' by Stephen King

Stephen King, quite possibly the world's best-selling writer, reteams with pulp fiction publisher Hard Case Crime for his new paperback thriller, "Joyland." But don't be thrown by the tawdry cover featuring a buxom redhead; this is classic King.

It's a murder mystery with a ghostly twist. In 1973 small-town North Carolina, Devin Jones is a heartbroken college student who takes a summer job working at the local amusement park. King has loaded the story with lots of "carny" language, much of it authentic, some of it invented. For instance, did you know a shooting gallery is called a "bang shy" in carnival speak? When he's not running the Carolina spin ride or pushing a popcorn wagon, Devin is intrigued by a local legend.

Turns out Joyland's haunted house is truly haunted by the ghost of a young woman, murdered on the ride years before. With the help of a few fellow carny friends, Devin sets out to find the killer. Along the way, he meets a little boy suffering from a terminal illness, who may be able to help him with the more otherworldly aspects of this mystery. While the story is at times dark and intense, there's less of King's trademark horror and more of the wistful nostalgia and emotion that will remind fans of "Stand by Me" and "The Green Mile," especially for its bittersweet and moving conclusion.

Read an excerpt from "Joyland"

'The Ocean at the End of the Lane' by Neil Gaiman

We turn from mystery to myth in Neil Gaiman's "The Ocean at the End of the Lane." The book hits stores June 18, and the author's scores of fans are champing at the bit. The prolific British writer has penned award-winning children's stories, such as "The Graveyard Book," films including the animated "Coraline," the hugely popular "Sandman" graphic novels and even a recent episode of "Doctor Who," but Gaiman hasn't written a true novel for adults since 2005.

The book can be read easily in an afternoon, and it's well worth the wait. An unnamed narrator visits his childhood home in Sussex, England, to attend a funeral when he's drawn into a forgotten memory of his youth. Hazy details start to take shape, a farmhouse at the end of the lane, a duck pond, an odd little girl who was once a friend, her mother and grandmother, all three who may be more than they reveal. While exploring the countryside, the two young friends encounter something dark and menacing that follows them home, and a life and death battle begins.

The story could be called something of a distant cousin to Harry Potter, but Gaiman's novel is more about myth than magic. His narrator says at one point, "I liked myths. They weren't adult stories and they weren't children's stories. They were better than that. They just were." While that succinctly sums up the book, even more so, this is a rich story beautifully told about memory, innocence and a longing for the way things were when we were younger.

See Gaiman read an excerpt from "The Ocean at the End of the Lane"

@highlight

This summer offers readers epic tales and afternoon page turners

@highlight

Some critics have hailed "The Son" by Philipp Meyer as an American classic

@highlight

Celebrity writers Stephen King and Neil Gaiman have new books out in June