(CNN) -- In April, Carol Rossetti began a personal project to continue practicing her drawing technique, "while saying something worthy."

With some paper found in her office in Belo Horizonte, Brazil, and an old box of colored pencils, the 26-year-old graphic designer began sketching. Four months later, her unnamed project's Facebook page has attracted more than 83,000 likes, a Tumblr page and an international following.

The drawings feature images of women and girls with commentary on topics including weight, hair, clothes and sexuality. The images take about two hours to create; the commentary is first written in Portuguese, and volunteers take on the delicate translations in English, Spanish, Hebrew and other languages.

"Ana was raped," says an image of a woman clutching her knees. "Ana, you are not alone. It's not your fault. This experience is not what defines you as a human being. You are so much more than this."

"Helena avoided wearing high heels because everybody told her she would be too tall," one image says. "Then, Helena tried on the Louboutins and has never ever wanted to take them off."

"Babi is 7 years old. Her parents found it a bit odd that she chose to take karate instead of ballet," says one drawing of a girl with a ponytail and in the middle of a high kick. "Babi, gender conventions should never limit your identity! You can do whatever you want!"

Rossetti said she had no idea her art project would spur a global response.

"Your art is brilliant," Madhumita Hota wrote from India on Facebook. "I loved reading your descriptions as well. Well done."

"I love your work and don't mind waiting for the translations," Paige Hayley Wren commented from the United States. "I love what you have to say and I think it's commendable that you are so careful with translations and so sensitive to/aware of using positive language."

Rosetti's project is one of several that are reimagining how women are seen, and how they see themselves. Sheryl Sandberg's Lean In partnership with Getty Images features a curated selection of photographs to highlight the diversity of women in and outside the office. In a recent commercial, Always, the sanitary napkin company, challenged viewers to reconsider the phrase "like a girl."

Rossetti hopes to establish an online shop to make the popular illustrations available as prints. For now, she said, she'll continue working with volunteers to translate the illustrations into several languages.

In an e-mail interview, Rosetti explained more about her images and why they're reaching an audience around the world. Her edited answers are below.

CNN: How do these illustrations reflect who you are? Is there an illustration that is personally relevant for you, or that you drew from personal experience?

Rosetti: I think they obviously define how I feel about many things, especially concerning the representation of people. Most of them were based on people I know, that are close to me.

For example, my mother who has white hair, and I think it's gorgeous, but still many people tell her to dye it. In the end, I can relate to most of them, because they are all about the control over women's bodies, and I live that every day.

Whenever I see a newspaper criticizing a woman's appearance, it's like saying that every woman in every occasion can and will be evaluated by her looks. Doesn't really matter if she's receiving a Nobel Prize or saving people from drowning, papers will talk about her poor choice of shoes or a nip slip.

CNN: How would you describe your illustrations and the response to them? What has surprised you about the response?

Rossetti: I think the point of my illustrations is to show, in a gentle and nonaggressive way, that there is still a lot of oppressive control over women's personal choices and identities, and expose a problem of representation toward women, people of color, people with disabilities, (LGBT concerns) and so on.

I was really surprised with such huge success, the way people shared my illustrations. I really wasn't expecting that. I fight prejudice in so many ways, and that doesn't mean I don't still have some of my own. I was surprised to see so many people that I thought would be very conservative sharing my work, and thanking me for doing it.

Sometimes we stumble on our own expectations, and sometimes that's a good thing.

CNN: Are there any posts or illustrations that have had a particularly passionate response from the community? What was it, and why do you think it struck a nerve?

Rossetti: Many people have thanked me for the one about Ana being raped, saying that my words somehow helped them through a hard time. Honestly, there's nothing as rewarding as that.

Some people told me they finally got the courage to wear high heels after they saw the picture of Helena. That's really amazing, (and) makes me so so happy! Of course, the one about abortion had also some angry comments, but that was expected.

CNN: You deal with a lot of delicate topics. How do you choose which topics you illustrate? How has your approach to the project evolved since you began?

Rossetti: I have some topics I'd like to discuss on a list, but people are now sending me amazing suggestions from all over the world. It's fantastic, I think I'll never end this project.

At first, I was thinking about feminism. But now I'm talking about so many other things, like racism, ableism, homophobia, transphobia. ... People are happy to feel represented, and I'm happy that, even in a minor scale, I am being able to do that.

CNN: What has been surprising about this experience?

Rossetti: I guess I was positively shocked by the amount of people who are eager to see a wider representation of the human being. Many people told me how happy they were to see a person in a wheelchair when the topic in discussion was not the disability. That's representation. And it's great!

@highlight

Graphic designer Carol Rossetti draws images of women as a personal project

@highlight

The unnamed project now has an international audience of more than 83,000 on Facebook

@highlight

Rossetti says she's surprised by the popularity, and will continue the project