(CNN)The flashing neon advertising signs and crowded crosswalks of Tokyo may not resemble the slow suburban settlement of Maseru -- the capital of the tiny mountain kingdom of Lesotho in southern Africa. But the two countries are now being linked by an unlikely dish: trout.

Thanks to Highlands Trout, and their operation 2,200m above sea level in the Maluti Mountains, supermarket shoppers in Osaka, Kyoto and Tokyo can now get their seafood fix from the landlocked African nation.

"Lesotho provide(s) ideal, pristine environmental conditions for the farming of large trout," explains Fred Formanek, managing partner of Advance Africa Management Services, who has developed the Highlands Trout project since 2009.  "Water temperatures are close to ideal [for trout] for most of the year due to the altitude."

Production started in 2012 with a haul of 500 tonnes of trout in the first year. During the current financial year, the company aims to produce three-times that amount.

While the business says the Japan-bound fish are stuck on a ship for four weeks, executives insist the added logistics -- and extra costs -- are worth it. "The price premium that we currently receive... makes up for any additional logistics costs," says Formanek.

Business beginnings

The production process starts with the fish arriving in Lesotho from Denmark as eggs. They are then stored in temperature-controlled pens until they become "fingerlings" weighing around 10g. The baby fish are so fragile at this stage that the water quality is monitored regularly.

Once they become fingerlings, the fish are transferred to small nursery cages in the Katse dam -- Africa's second largest. In these more natural conditions, the fish grow to around 20cm in length and a weight of around 150g.

They are then moved to larger "grow cages" where they live their last days in the mountain kingdom. Through this whole process, which takes around 20 months, some of the fish grow as heavy as 2.8 kg -- lean fish meat fresh for sushi, soups and sizzling grills.

And it's the vast majority of these fish -- 85% -- that will be gutted and loaded onto 40ft refrigerated containers and shipped from the South African port of Durban to Asia.  The remainder is sold to South Africa  (10%) and Lesotho (5%).

Foreign inputs

But it's not just the fish that make a long journey to keep this business afloat.

Using materials and expertise from abroad has been key to the success of the project. Specially designed cages have been imported from Norway (which is also where the farm manager was based for 20 years), while most of the protein rich pellets the fish nibble on whilst growing come from France.

But not all aspects of this operation are imported. "We employ just over 100 [local people] on a permanent basis," explains managing director of Highlands Trout Grant Merrick. "The bulk of the employees are directly involved with the growing and processing of fish....We have many employees who have never been in formal employment prior to starting at Highlands Trout."

This is an important consideration in a country where 24% of the population was unemployed in 2008 -- the last year records were collected.  Government estimates from figures collected in 2010/11 show that 57% of the country lives in poverty.

Future fish

While this might be a significant operation now, the project has had to deal with difficulties to get to where it is today. "The extremely remote area, developing a high-tech business with the highest levels of food safety certification, in a country where aquaculture and fisheries did not exist, presented plenty of challenges," explains Formanek.

And when the business is compared to the global market the impact is limited. Expert Peter Rand of the IUCN Salmon Specialist Group describes the production figures as "very small" compared to other sectors. He explains that salmon production in countries like Norway and Chile "is more than 1 million metric tons per year."

But the Lesotho is showing no signs of shrinking in the face of the competition. "Projected growth is ramping up by some 750 tonnes per annum," explains Formanek. "Expansion into a second dam in the Highlands called Mohale Dam is in planning."

While Highlands Trout may not swamp the supermarkets anytime soon, their use of Lesotho's natural resources and remote mountain landscape could help the operation see some success.

Read this:  'Zimbabwe's goldmine' draws back tourists

Read this: Inside 'world's fastest growing port'

More from Marketplace Africa

@highlight

A company in Lesotho is exporting 85% of its total trout catch to Japan

@highlight

The fish are reared in a dam 2,200m above sea level in the Maluti Mountains

@highlight

Creating Lesotho's first fishery has presented challenges

@highlight

The company expects to grow its production by 750 tonnes per year