Beijing (CNN) -- Washington is sending a veteran politician, not a career diplomat, as its new ambassador to China.

Six-term Democratic Party Senator Max Baucus, 72, will soon take up his diplomatic post in Beijing, replacing Gary Locke, who is stepping down to rejoin his family in Seattle.

Given his relative lack of China experience, some, in both the U.S. and in China are wondering if Baucus is a good choice.

He has made eight trips to China and has met with to Chinese leaders, but he is not considered a China hand. His strong suit is his extensive experience when it comes to trade issues.

In his new role, he is expected to press China to play by internationally accepted rules regarding currency, intellectual property, labor and human rights and free trade.

His past trade successes involving China have also been noted. "In the 1990s, he played a pivotal role in China's accession to the World Trade Organization and normalizing trade ties between our countries," said Xie Tao, a professor at Beijing University of Languages and Culture.

"To appoint a free trade supporter and a veteran senator can be viewed as a positive move from the US administration to encourage more trade."

Knowledge = power?

Over the past 25 years covering China, I have seen several U.S. ambassadors come and go. They came with different personal and career backgrounds, politics and agenda.

Curiously, the envoy's knowledge of China did not always equate to impact on policy-making.

China-born and Mandarin-speaking James Lilley (1989-1991) and Stapleton Roy (1991-1995) displayed deep knowledge of Chinese history and culture, but because they were political outsiders in Washington, their advice often went unheeded.

In contrast, retired senator Jim Sasser (1996-1999) knew little about China before his posting, but because he was a political insider, "he could walk into the White House or Capitol Hill, meet with the president or with influential senators, and lobby," recalled a political analyst in Beijing.

'Low key' Locke

Locke, 63, was the first American of Chinese descent to head the embassy in Beijing. Under his two-and-a-half year watch, the embassy was embroiled in dramatic diplomatic rows but his common touch made him popular among ordinary Chinese.

In February 2012, a former police chief in Chongqing sought refuge in the U.S. consulate in Chengdu, which ultimately led to the downfall of top politician Bo Xilai.

Two months later, Chen Guangcheng, a blind activist, escaped from house arrest to seek refuge in the Beijing embassy. Locke helped broker a deal that allowed Chen to travel to New York to study.

Chinese netizens admired him for his low-key and frugal style.

He will perhaps be best remembered for photographs taken before he landed in Beijing, which showed him carrying his backpack and using vouchers to buy coffee at a Starbucks at the Seattle airport.

These pictures went viral in China's social media.

Reports of him flying economy class and turning down five-star hotel accommodation during business trips buttressed his unassuming public image.

Some local commentators taunted Locke for resorting to "publicity stunts", but these vignettes went down well with a Chinese public turned off by tales of corruption, extravagance and arrogance among their own officials.

"The Chinese loved Locke because he fulfilled the many dreams of Chinese who still saw the U.S. as a land of opportunity," said a former diplomat who worked for Locke.

"They also feared him because his down-to-earth style and common touch reminded Chinese people what many of their own government leaders were not."

Many Chinese credit Locke for cutting the waiting time for U.S. visas to three to five days from 70 to 100 days when he took over.

The improvement significantly increased Chinese business and travel tourism to the U.S. "His primary target was making the potential of Chinese economic growth benefit the American people," the diplomat added.

Baucus' to-do list

Difficulties lie ahead for Baucus as the two big powers wrestle a slew of thorny problems, including strategic mistrust, the volatile territorial issues pitting China against U.S. allies Japan and the Philippines, the Taiwan issue, and differences over trade and human rights.

And Baucus will be hard-pressed to keep Obama and U.S. policy makers focused on China as they are distracted by myriad domestic and global issues.

"He will have to keep DC's interest piqued to keep the U.S.-China relationship as one of the more important bilateral relationships out there," said the former U.S. diplomat.

"He is going to have to use his relationships on the Capitol Hill and among the DC elite to keep China issues at the forefront."

Shen Dingli, executive dean of the Institute of International Studies at Fudan University in Shanghai, thinks Locke's weaknesses are Baucus' strengths.

"Baucus was a colleague of Obama, Biden and McCain, a friend of Clinton. Forty years in DC, so he knows everyone," said Shen.

"Locke was an outsider in Washington DC and that was his inherent disadvantage."

What lessons can Baucus draw from his predecessor?

Outgoing Locke suggests that Baucus travel extensively, especially to small villages in remote areas.

"My sincere advice to him is to visit various places in China -- as many as he can -- and understand local customs and practices," Locke said in a magazine interview on the eve of his departure. "Beijing is not China and big cities can't be representative of China."

During his relatively short tenure, Locke has traveled to Chongqing, Guangdong, Sichuan, Tibet and Xinjiang, where he talked with local officials and residents.

Fudan University's Shen says the new ambassador should act as a bridge between the two countries.

"While preaching American values, don't alienate yourself from the Chinese government and people," he said.

It seems that the Chinese people are already talking about him. He's been a hot topic of conversation on social media in the country since his appointment, with some having fun suggesting how to transliterate his name in Chinese. One suggests Bao Ke Si, which literally means "assured to cough to death", a tangential criticism of Beijing's polluted air.

Some local netizens wonder whether the 72-year-old incoming envoy could bear Beijing's pernicious heavy smog.

For his part, Baucus, a keen distance runner during his time inside the Beltway, may already have a head-start in ingratiating himself with Beijingers. He said shortly after his confirmation that he has his "eye on the Beijing marathon," although he may want to wait and see what smog levels are like closer to the date.

@highlight

Washington has chosen veteran politician with little diplomatic experience

@highlight

Senator Max Baucus will soon take up post in Beijing, replacing Gary Locke

@highlight

Locke faced dramatic political crises but was popular among ordinary Chinese

@highlight

Baucus's Washington connections likely to be his biggest asset, analysts say