(CNN) -- Hillary Clinton's book rollout hit some speed bumps last week. She took some partisan heat for a comment that she recently made to ABC's Diane Sawyer. Clinton explained that she and her husband were "dead broke" when they left the White House because of the legal fees they faced. Her critics instantly jumped on the statement, pointing to these words as evidence that she was out of touch with average Americans.

It could be seen as the first major gaffe in a campaign for president in 2016 that has not even begun. Her opponents argued that the statement was disingenuous, given the kind of money the Clintons have earned, and showed that she lacked a kind of veracity.

As Robin Abcarian wrote in the Los Angeles Times: "Here is an iron-clad rule of American politics: If you are a millionaire with multiple houses, never, under any circumstances, discuss your financial struggles. You don't have any financial struggles." Clinton clarified the comment, saying she and Bill Clinton were "obviously blessed" and that "I fully appreciate how hard life is so for many Americans today."

In another exchange that drew notice, an NPR interview with Terry Gross, the popular host of "Fresh Air," Clinton was clearly testy and sharp when the host asked her why it took so long for her to come out in favor of same-sex marriage.

Gaffes are a major part of the political game. Gaffes are moments when a candidate slips, and the slip explodes into a major story that might harm a candidacy. They have been a central feature in the age of televised campaigns since the 1960s. Reporters cover campaigns like horse races, more interested in the apparent ups and downs of each candidate than they are in the broader economic and political forces shaping elections or in the big public policy questions of the day.

Gergen: Republicans play into Hillary's hands

Gaffes play well in this kind of coverage because they offer instances when it seems as if there will be a dramatic shift in which horse has the lead. As Jonathan Chait wrote in New York magazine: "(S)ince very little changes in the horse race from day to day, the main device they (reporters) have to drive the narrative is the gaffe. The gaffe is a candidate saying something unplanned and unwelcome. As campaign reporters define their job, the gaffe is the primary form of 'news.'"

Clinton joins a long line of candidates who have made these kinds of mistakes. There are different kinds of gaffes, which is probably what helps make them interesting to some.

There are gaffes where candidates make statements that just sound wrong, raising questions about their intelligence and political acumen. In 1967, the charismatic and dashing Michigan Gov. George Romney justified his initial support of Vietnam to a reporter as a result of "brainwashing" by the military during a visit to Vietnam. The statement, meant to explain the propaganda that many Americans had been hearing, came across as someone who lived in the world of movies rather than the world of politics.

During a 1976 debate with Democrat Jimmy Carter, Republican President Gerald Ford said, "There is no Soviet domination of Eastern Europe." The statement was meant to show that the president didn't agree with conservative critics who said his foreign policy detente -- easing relations with the Soviet Union -- indicated an acceptance of communism. But it came off as if he didn't know much about foreign policy.

Vice presidential candidate Sarah Palin made an endless series of these kinds of gaffes in television interviews in 2008 with Katie Couric, when she seemed to have trouble explaining some very basic facts about foreign or domestic policy. When Couric asked her about statements that Alaska's proximity to Russia was evidence of her foreign policy expertise, Palin said, "Our next-door neighbors are foreign countries, there in the state that I am in the executive of." She added, "As Putin rears his head and comes into the airspace of the United States of America, where do they go? It's Alaska."

Then there are those gaffes where a candidate says something that just falls flat, even if it is not necessarily inaccurate. In 1988, Democratic candidate Michael Dukakis responded to a question about whether he would want the death penalty if his wife was raped and murdered. He said, "I think you know that I've opposed the death penalty all of my life." Although the Massachusetts governor was trying to demonstrate his commitment to this policy position, his response seemed cold and distant.

In 2000, Vice President Al Gore claimed responsibility for having helped to invent the Internet. Republicans went to town, using this as evidence that Gore was willing to say anything, though the vice president was referring to his involvement with legislation that was actually vital in the evolution of modern communications technology.

Sometimes a statement plays into negative perceptions that voters have about a candidate. At a supermarket visit during the 1992 campaign, George H.W. Bush's words made him appear stunned by a electronic scanner, conveying the impression that he was out of touch with average Americans. (The White House claimed he was just impressed with a new kind of scanner.) He also admitted during a debate that he didn't know the price of milk.

When events change, a statement that seems reasonable at one moment can appear devastating the next. In 1972, Democrat George McGovern said that he was "one thousand percent" behind his running mate Thomas Eagleton, after Eagleton revealed that he had received electric shock treatment. But McGovern's team soon felt it was necessary to drop Eagleton from the ticket, making the statement seem quite problematic. Democrats pounced on Sen. John McCain in 2008 for saying that the fundamentals of the economy were sound as the financial markets imploded in the middle of the campaign.

There are also physical gaffes, which are less about what candidates say than about how they look. When Democrat Edwin Muskie appeared to be crying as he responded to unfavorable stories about his wife in 1972, the perception of weakness seemed to harm his front-runner status.

When Ford, a former college football player, stumbled on the stairs of an airplane, the fall became the butt of a joke on "Saturday Night Live" that came to symbolize his clumsiness. (Lyndon Johnson had always joked that Ford, then in the House, could not "fart and chew gum at the same time.")

When Dukakis wore a military helmet in a photo op, sitting in a tank, to show his support for the military, Republicans used this awkward image to highlight his weakness on defense.

When Bush glanced at his watch in the middle of a debate with Bill Clinton in 1992, it showed a president who was not engaged with the entire campaign. When Vermont Gov. Howard Dean yelled enthusiastically after a third place finish in Iowa in 2004, the clip was shown again and again and used as evidence that he was somehow unstable.

When Massachusetts Democrat John Kerry went windsurfing off Nantucket, with his sailboard twisting and turning different ways with the wind, Republicans played the image as evidence that he goes back and forth on the issues. "John Kerry, whichever way the wind blows," the narrator says. In a 2000 debate, Gore's entire physical demeanor -- the way he walked toward George W. Bush at one point in the debate and frequently sighed -- conveyed a kind of arrogance that played into perceptions of him as an aloof East Coast liberal.

There are also the gaffes when candidates are caught saying something that was not meant to be public. When an iPhone user captured Mitt Romney at a 2012 fund-raiser talking about the "47%" of Americans who were dependent on government and don't pay taxes and wouldn't support him, it was used as an example of his elitism. When Sen. George Allen of Virginia in 2006 used the racial slur a "macaca" while someone was taping him, some said it instantly tanked his candidacy.

But do these gaffes really matter? Do they turn a campaign? According to a recent book by the political scientists John Sides and Lynn Vavreck, "The Gamble," journalists tend to greatly overstate how important gaffes are. The fundamentals of campaigns -- the state of the economy, fund-raising capacity, endorsements -- are in the end much more important than moments like these, which seem big at the time.

"Many a news cycle," Sides wrote in his blog, "was built on a 'gaffe' with a remarkably short shelf life." When Barack Obama was recorded in the middle of the 2008 primaries making a statement about Americans who cling to their guns and religion, it stimulated a feeding frenzy but didn't kill his candidacy.

Given the fast-paced nature of the modern press, the odds are that stories will die very quickly. So if a candidate can hold on long enough, the frenzy around a gaffe will probably disappear.

The way in which gaffes usually matter has less to do with make-or-break moments than with how they help to build a broader narrative about how voters view a candidate. Gaffes become devastating only when they play into deeper weaknesses in a candidate that were there regardless of the missteps themselves.

The gaffe can also become damaging as a very small piece of a larger story that Americans develop about a specific candidate. The biggest risk from a statement like Hillary Clinton's has to do with concerns about how genuine she is and whether she is more a product of Washington than Main Street. This will certainly be a story that her opponents will repeat in months to come.

But, at this point, she shouldn't worry too much that this gaffe will matter. Usually candidates survive these stumbles. Clinton brings a tremendous amount to the table, in terms of her support among core Democrats and female voters and her experience in the White House, Senate and at the State Department. If she can continue to build on those assets and meld them into a first-rate campaign, this statement will be quickly forgotten.

@highlight

Julian Zelizer: Hillary Clinton's comment about being "dead broke" landed with a thud

@highlight

He says gaffes tend to drive a lot of media coverage of politicians

@highlight

Vast majority of gaffes don't have a significant lasting impact, he says

@highlight

Zelizer: When gaffes do matter, it's because they reinforce perceptions of candidate's flaws