Royal Dutch Shell says it will "pause" its closely watched project to drill for oil off the Alaskan coast this year, instead spending 2013 preparing for future exploration.

The company began work in the Beaufort and Chukchi seas in the remote Arctic this summer. The project caused widespread concern among environmentalists and suffered some high-profile snags, including the grounding of a drill barge that was being towed back to the Lower 48.

"Alaska remains an area with high potential for Shell over the long term, and the company is committed to drill there again in the future," a corporate statement issued Wednesday afternoon declared. But Shell said it would take time off this year "to prepare equipment and plans for a resumption of activity at a later stage."

Shell began preparatory drilling on two wells in September and October. Before the work began, the drill ship Noble Discoverer slipped its mooring and drifted toward shore in the Aleutian Islands, though it remained afloat.

Then on New Year's Eve, the drill barge Kulluk had to be cut loose in a severe storm while being towed back to its winter home port in Seattle. It ran aground on an uninhabited island about 200 miles south of Anchorage and was stuck there for a week before being refloated.

Shell said both vessels are now being towed to Asia for maintenance and repairs. The incidents sharpened concerns about Shell's plans to drill in the Arctic, both among environmentalists and in native Alaskan communities.

The World Wildlife Fund, a leading environmental group, called Shell's decision wise under the circumstances.

"Throughout the 2012 season, Shell's experience proved time and time again the inherent difficulties in meeting challenging Arctic conditions and the safety standards required by the federal government," Margaret Williams, the group's managing director for the region, said in a written statement. The company's decision "should be heeded by others in the industry as they re-examine their future in this inhospitable environment."

And Chuck Clusen, the Natural Resources Defense Council's director of Alaska projects, said the Obama administration should "learn from this experience, step into the ring and end this folly once and for all -- before the next accident happens."

Sen. Lisa Murkowski, the ranking member of the Senate's energy and natural resources committee, said that she continues to support Shell's plans and that the suspension was evidence of the company's commitment to safety.

"I have always said that it must be done to the highest safety standards," the Alaska Republican said. "This pause -- and it is only a pause in a multi-year drilling program that will ultimately provide great benefits both to the state of Alaska and the nation as a whole -- is necessary for Shell to repair its ships and make the necessary updates to its exploration plans that will ensure a safe return to exploration soon."

The plans were held up after BP's 2010 Deepwater Horizon disaster in the Gulf of Mexico. Shell says it's working at far less depth and lower pressures than the BP well that erupted nearly a mile beneath the Gulf, killing 11 men on board a rig and unleashing an undersea gusher that took three months to cap.

"Alaska holds important energy resources," the company said Wednesday. "At the same time, securing access to those resources requires special expertise, technology and an in-depth understanding of the environmental and societal sensitivities unique to the region."

The U.S. Geological Survey estimates more than 90 billion barrels of oil and nearly 1,700 trillion cubic feet of natural gas may be recoverable by drilling in the North Slope area. Shrinking of the region's sea ice -- which hit record lows in 2012 -- has created new opportunities for energy exploration in the region.

"The causes of last year's mishaps must be remedied so they do not occur in the future," Marilyn Heiman, director of the Pew Charitable Trusts' Arctic program, said in an e-mail.

She called on the federal government and oil companies to meet with environmental groups to "develop world-class industry standards and ecological and cultural protections to safeguard the Arctic."

Climate researchers say that a decrease in sea ice is a symptom of a warming climate, caused largely by the combustion of carbon-rich fossil fuels. The research is politically controversial but generally accepted as fact by most scientists.

@highlight

One environmental group says company should "end this folly"

@highlight

Shell won't resume Arctic drilling in 2013

@highlight

Company taking the year "to prepare equipment and plans" for another time

@highlight

Project had been widely criticized by environmental groups