There hasn't been a government shutdown in more than 17 years, since the 28 days of budget stalemate in the Clinton administration that cost more than $1 billion.

Now we hear dire warnings and sharpening rhetoric that another shutdown is possible and perhaps likely in less than two weeks when the current fiscal year ends.

Despite an escalating political imbroglio, the combination of how Congress works and what politicians want makes the chances of a shutdown at the end of the month uncertain at best.

In particular, a rift between Republicans over how to proceed has heightened concerns of a shutdown in the short run, but remains a major reason why one is unlikely in the end.

A more probable scenario is a last-minute compromise on a short-term spending plan to fund the government when the current fiscal year ends on September 30. After that, the debate would shift to broader deficit reduction issues tied to the need to raise the federal debt ceiling sometime in October.

"There's going to be a lot of draconian talk from both sides, but the likelihood of their being an extended shutdown is not high," said Darrell West, the vice president and director of governance studies at the Brookings Institution.

Government shutdown: Again? Seriously?

Conservatives tie Obamacare to budget talks

While the main issue is keeping the government funded when the new fiscal year begins October 1, a conservative GOP wing in the House and Senate has made its crusade against Obamacare the focus of the debate.

They demand a halt to funding for the signature program from President Barack Obama's first term, and they seem indifferent about forcing a government shutdown if that doesn't happen.

"I will do everything necessary and anything possible to defund Obamacare," Republican Sen. Ted Cruz of Texas said Thursday, threatening a filibuster and "any procedural means necessary."

The GOP split was demonstrated later Thursday by Sen. John McCain, who told CNN that "we will not repeal or defund Obamacare" in the Senate.

"We will not, and to think we can is not rational," McCain said.

A compromise sought by House Speaker John Boehner and fellow GOP leaders would have allowed a symbolic vote on the defunding provision that the Senate would then strip out.

The result would have been what legislators call a "clean" final version that simply extended current levels of government spending for about two months of the new fiscal year, allowing time for further negotiations on the debt ceiling.

However, conservative opposition to the compromise made Boehner agree to a tougher version that made overall government funding contingent on eliminating money for Obamacare.

Moderate Republicans question the strategy, but fear a right-wing backlash in the 2014 primaries if they go against the conservative wing.

In reference to the divisions in the House, McCain said it was "pretty obvious that (Boehner) has great difficulties within his own conference."

The House passed the tea party inspired plan on an almost strictly party line vote on Friday, setting in motion what is certain to be 10 days or so of legislative wrangling and political machinations.

The measure now goes to the Democratic-led Senate, where Majority Leader Harry Reid made clear on Thursday that any plan to defund Obamacare would be dead on arrival. Instead, the Senate was expected to strip the measure of all provisions defunding Obamacare and send it back to the House.

"They're simply postponing an inevitable choice they must face," Reid said of House Republicans.

Here is a look at the two most-discussed potential outcomes -- a government shutdown or a short-term deal that keeps the government funded for a few months while further debate ensues.

House GOP: defund Obamacare or shut government down

Shutdown scenario

According to West, the ultimate pressure on whether there is a shutdown will rest with Boehner.

With the Republican majority in the House passing the spending measure that defunds Obamacare, Senate Democrats say they will stand united in opposing it.

"Don't make it part of your strategy that eventually we'll cave," Sen. Chuck Schumer of New York warned Republicans on Thursday. "We won't.  We're unified, we're together.  You're not."

That means the Senate would remove any provisions to defund Obamacare and send the stripped-down spending proposal back to the House.

Boehner would then have to decide whether to put it to a vote, even though that could undermine his already weakened leadership by having the measure pass with only a few dozen moderate Republicans joining Democrats in support.

If he refuses to bring the Senate version to the floor for a vote, a shutdown would ensue.

"The key player is really Boehner," West said.

Polls showing a decrease in public support for the health care reforms embolden the Republican stance. Meanwhile, surveys showing most people oppose a government shutdown and that more would blame Republicans if it happens bolster Democratic resolve.

Compromise scenario

Voices across the political spectrum warn against a shutdown, including Congressional Budget Office Director Douglas Elmendorf, Federal Reserve Chairman Ben Bernanke, the U.S. Chamber of Commerce and Republican strategist Karl Rove.

"Even the defund strategy's authors say they don't want a government shutdown. But their approach means we'll get one," Rove argued in an op-ed published Thursday by the Wall Street Journal.

He noted the Democratic-controlled Senate won't support any House measure that eliminates funding for Obamacare, and the White House said Thursday that Obama would veto such a spending resolution.

"Republicans would need 54 House Democrats and 21 Senate Democrats to vote to override the president's veto," Rove noted, adding that "no sentient being believes that will happen."

West concurred, telling CNN that "you can't expect a president to offer his first born to solve a political problem for the other party."

"It's the House split that's causing this to happen," he noted. "People now equate compromise with surrender. It's hard to do anything under those circumstances."

Under the compromise scenario, the Senate would remove provisions defunding Obamacare from what the House passes while perhaps making other relatively minor changes to provide Boehner and House Republicans with political cover to back it.

@highlight

Congress faces a showdown on funding the government after September 30

@highlight

A split among Republicans over how to proceed causes uncertainty

@highlight

Tea party conservatives want to defund Obamacare in any spending plan

@highlight

Analyst: Ultimately, the pressure is on House Speaker John Boehner