(CNN)Well, there's one thing we can be sure of when the Oscar nominations are announced Thursday morning: Adam Sandler's "Blended" won't get any love.

Other than that, the battle for nominations is pretty wide open. (Yes, even "Transformers 4: Let's Destroy the Earth Again Really Loudly" will probably pick up a nod in a technical category.)

It's a strange year for the Academy Awards, where the divide between blockbusters and critic-friendly movies continues to grow. Of all the likely major-category nominees, only "Gone Girl" and "Into the Woods" were $100 million-level box-office hits.

The films that have dominated awards season -- "Boyhood," "Birdman," "The Grand Budapest Hotel" and "The Theory of Everything" -- have remained unseen by the majority of moviegoers.

Still, the Oscars are as much a useful promotional exercise for little-seen films as they are a celebration of the booming blockbuster. (The actual Oscars show is February 22.)

With that in mind, here are our thoughts on who will make the final cut in the six major categories.

Best picture

Locks: "Boyhood," a coming-of-age story filmed over 12 years, and "Birdman," about a faded movie star mounting a Broadway comeback and shot as if in one long continuous take, have drawn near-universal raves for their audacious filmmaking. "Selma" infuses a pivotal historical moment with fresh urgency. Count on nods also for two well-made British period dramas, "The Imitation Game" and "The Theory of Everything."

(Under the Academy's confusing voting system, there can be between five and 10 best picture nominees, unlike the other categories. Count on nods for eight or nine films.)

Contenders: The Golden Globes' love for Wes Anderson's "The Grand Budapest Hotel" makes it a likely nominee. David Fincher's "Gone Girl" has been a critical and commercial smash. "Foxcatcher," based on a tragic true story, is respected but may be too downbeat for Academy voters. That leaves an opening for "Whiplash," the riveting indie drama about a music student falling under the spell of an abusive mentor.

Wild cards: Clint Eastwood's topical "American Sniper," just hitting theaters this week, is gaining momentum. Few people have seen J.C. Chandor's crime drama "A Most Violent Year," but it's getting strong reviews. Then again, the Academy may want to lighten things up by honoring the star-studded Sondheim musical "Into the Woods."

Best actor

Locks: Michael Keaton, in a career-defining role, will earn his first-ever nomination for "Birdman." He'll be joined by three actors who brilliantly channeled real-life historical figures: Eddie Redmayne as disabled physicist Stephen Hawking in "The Theory of Everything," David Oyelowo as a flesh-and-blood Martin Luther King Jr. in "Selma" and Benedict Cumberbatch as Alan Turing, the closeted World War II codebreaker in "The Imitation Game."

Contenders: In the creepy-role acting sweepstakes, Jake Gyllenhaal's bloodthirsty TV cameraman from "Nightcrawler" may have the edge over Steve Carell's homicidal millionaire in "Foxcatcher." But voters may prefer the surprisingly nimble comic skills of Ralph Fiennes, whose resourceful concierge held "The Grand Budapest Hotel" together.

Wild cards: Bradley Cooper bulked up to play a lethal but conflicted soldier in "American Sniper." And don't forget Timothy Spall, who won best actor at Cannes for his performance as the titular British painter in "Mr. Turner."

Best actress

Locks: "Still Alice" has barely opened, and reviews have been mixed, but Julianne Moore, who plays a woman with early-onset Alzheimer's, has been leading handicappers' surveys since it screened at the Toronto film festival. Reese Witherspoon, who holds "Wild" together, is also a sure bet.

Contenders: Despite what Maggie Gyllenhaal said at the Golden Globes, rich leading roles for women are hard to come by in movies, which makes this category harder to fill than best actor. Relative newcomer Rosamund Pike will probably get in for playing the shifty wife in "Gone Girl." Amy Adams got a boost from her Golden Globe for "Big Eyes." Felicity Jones seems to be on everybody's shortlist for "The Theory of Everything." And Emily Blunt is earning good reviews for "Into the Woods."

Wild cards: Previous Oscar winner Marion Cotillard was brilliant in two movies: "The Immigrant" and "Two Days, One Night." She may pick up a nomination for the latter. "The Homesman" earned respectful reviews, and two-time Oscar winner Hilary Swank was singled out in many of them. Jennifer Aniston has been playing the publicity game -- and earning raves -- for "Cake." And what about Gugu Mbatha-Raw? The British actress was great in "Belle" and "Beyond the Lights."

Best supporting actor

Locks: We can start with J.K. Simmons, who was given a terrific part as a brutal music instructor in "Whiplash" and played it to the hilt. We can also probably end with him, since he's the odds-on favorite to win.

Contenders: But the category has to be filled out with five nominees, so for starters, look for Edward Norton as a pompous actor who goes head to head with Michael Keaton in "Birdman" and Ethan Hawke as the good-hearted but sometimes absent father in "Boyhood." Other possibilities are Mark Ruffalo, one of the wrestling brothers in "Foxcatcher," and Robert Duvall, who's been the only actor noticed in "The Judge."

Wild cards: "Inherent Vice" received mixed reviews, but Josh Brolin's ramrod-straight cop got plenty of praise. Albert Brooks continues his good work as a character actor in "A Most Violent Year." And for a real left-field pick, how about Tyler Perry as a slick lawyer in "Gone Girl"? Sure, he may not have known who David Fincher was, but he did a splendid job under Fincher's direction. Maybe he even picked up a few directing tips.

Best supporting actress

Locks: Patricia Arquette has earned much praise, and a Golden Globe, for her struggling but empathetic mom in "Boyhood." Emma Stone made a strong impression as Keaton's bitter daughter in "Birdman." Meryl Streep will probably earn her annual nomination (her 19th!) for a showy role as "Into the Woods' " singing witch.

Contenders: Keira Knightley ably crashed the all-male codebreakers' club in "The Imitation Game," while Laura Dern was deeply affecting as Reese Witherspoon's dying mom in "Wild."

Wild cards: Voters may want to reward Jessica Chastain for her ruthless wife in "A Most Violent Year" (and, indirectly, for "Interstellar"). Rene Russo was superb as a desperate TV news producer in "Nightcrawler." And the always-memorable Tilda Swinton has support for her fascist-on-a-train role in the overlooked "Snowpiercer."

Best director

Locks: Richard Linklater pioneered a new method of feature filmmaking with "Boyhood," and the gamble paid off. Alejandro Gonzalez-Inarritu brought a bravura style to "Birdman."

Contenders: This may finally be the year that quirky formalist Anderson ("The Grand Budapest Hotel") gets in. The film won the Golden Globe for comedy/musical, and he picked up a Directors Guild nomination -- a key indicator, given that Oscar nominations are voted on by peers. Ava DuVernay has been the driving force behind "Selma" and would be the first African-American woman in this category. And Morten Tyldum directed "The Imitation Game," the kind of upright, British-flavored movie the Academy loves ... even though Tyldum is Norwegian.

Wild cards: Eastwood earned a DGA nod for "American Sniper," and he's beloved by peers. Two youngsters, J.C. Chandor ("A Most Violent Year") and newcomer Damian Chazelle ("Whiplash"), could find support. And then there's 84-year-old Jean-Luc Godard, the ornery French New Wave pioneer who's never received a competitive Oscar nomination (he did get an honorary Oscar in 2011). His film "Goodbye to Language" was hailed at Cannes, although Godard, being Godard, might just set his Oscar nomination certificate aflame.

@highlight

The Oscar nominations will be announced about 8:30 a.m. Thursday

@highlight

"Boyhood," "Birdman" and "Selma" are the frontrunners

@highlight

Here are our predictions for who will be nominated in the major categories