London, England (CNN) -- A specter is haunting Eastern Europe: the ghost of Communism past.

Twenty years after the collapse of Soviet-backed communist governments across the bloc, symbolized by the fall of the Berlin Wall, support for multiparty democracy has fallen in almost every country in the region, according to a wide-ranging new study.

Majorities still support democracy over communism in all but one of the nine countries in the survey, but only two nations have seen a rise in approval for democracy.

And support for capitalism as an economic system has fallen in every single country surveyed.

Eastern Europeans do embrace democracy and capitalism in principle, one of the survey directors said, but they are frustrated in practice.

"They are frustrated with the way democracy is working in their countries," said Richard Wike, associate director of the Pew Global Attitudes Project.

"They see a gap between the way they want things to work and the way they see things are working.

"We don't see people saying they don't want free speech, free press or competitive elections; we see people saying they want those things," Wike said. But "they are unhappy with how things are working out."

Russians "stand out in some ways in this survey," he said.

"They are less likely to say certain features of democracy are important," he explained. "There is some nostalgia for the Soviet empire."

A clear majority of Russians say it is "a great misfortune that the Soviet Union no longer exists," while just more than one in three Russians disagrees.

Just under half say it is "natural for Russia to have an empire," up from just over one in three who felt that way in 1991, the baseline year for the survey.

Communist governments fell across Eastern Europe in 1989, as populations rose against systems that had controlled them since the end of World War II. The Soviet Union itself collapsed at the end of 1991 as its constituent republics, including Russia, declared independence from the Soviet state.

Despite the drop in support for democracy and capitalism, more people everywhere across the formerly communist nations in the survey are satisfied with their lives now than they were in 1991.

The numbers of satisfied people doubled or tripled across the region but did not become a majority in any country. The Czech Republic came closest, with 49 percent of people saying they were satisfied. That's up from just under one in four 18 years ago.

The results were different in the former West Germany, which essentially absorbed its communist other half, East Germany, at great economic cost in 1990. There, the number of satisfied people fell slightly, from just over half to just under it.

Even so, West Germans are about as satisfied as the Czechs and ahead of anywhere else in the region.

Young people were happier than older people about the change from communism to capitalism in every ex-communist country in the survey.

More educated people also tended to say things were better now than less educated people did.

There is "a mixed picture about how people view minority groups within their countries," Wike said. "Fewer people in Germany today have negative views towards Turks, Jews and Roma [Gypsies], but there are still very high negative views about some ethnic groups -- particularly Roma and Jews -- in some parts of the region."

The findings come from a survey of 14,760 people in 14 countries -- most in Eastern Europe but also the United States and a few Western European nations -- by the Pew Global Attitudes Project, based in Washington.

They compared results to a survey conducted in 1991 by a predecessor, the Times Mirror Center.

Interviews were conducted in August and September.

@highlight

Study: Most support democracy over communism in all but one of nine countries

@highlight

But support for capitalism has fallen in all countries surveyed

@highlight

Eastern Europeans see gap between how they want things to work, how they actually work

@highlight

Just less than half of Russians say it is "natural for Russia to have an empire"