(CNN) -- The District of Columbia's City Council tentatively approved legislation Tuesday that would decriminalize the possession of small amounts of marijuana in the nation's capital.

It's about time.

Currently, someone caught possessing marijuana in D.C. faces a year in jail and a $1,000 fine. That would change if the measure becomes law, making it OK to possess small amounts of pot in the District and reducing the punishment for use in public.

Approved 11-1 this week, the bill will get another vote and then would need the signature of Democratic Mayor Vincent Gray.

But activists here think the Council is moving too slowly. They've filed language for a ballot initiative legalizing possession of 2 ounces of marijuana for adults. If the Council doesn't expand the scope of the reform in the current legislation to their satisfaction, activists will put the question to the voters in November. It's a near certainty the legalization measure will pass if it reaches the ballot.

So why should the rest of the country care what happens with D.C.'s marijuana laws?

The last time the District adopted a law that ran contrary to the federal government's absolute marijuana prohibition (a medical marijuana law in 1998), Republican leaders in Congress responded by blocking it. They heartlessly denied seriously ill people with cancer and AIDS the opportunity to use or access medical marijuana for over a decade.

In 2009, I worked with the original author of the law banning implementation, former Republican Georgia Rep. Bob Barr, and together we lobbied his former colleagues to undo the damage he had done. That fall, Congress removed the ban on the District's medical marijuana law, and the city government slowly made conforming regulations and brought the program online.

Socially conservative Republicans, often enabled by Democrats too afraid to speak their real opinions about marijuana laws, generally serve as a good indicator of the expected national response to evolving drug policies.

Times sure have changed. Instead of moving to block final implementation of D.C.'s medical marijuana law last year, opponents in Congress were silent. The first legal sale of marijuana to an HIV-positive man in June occurred without warnings that the sky would fall as a result. Six months later in Colorado, the first legal sales to adults started and, again, no claims that the planet will spin off its axis.

Up in smoke: The Obama administration's pot politics problem

In fact, if you peeked into a hearing on Capitol Hill on Tuesday called by Republican leadership to address the administration's "mixed messages" on marijuana policy, you would have found the most productive debate on marijuana policy that I've seen in more than a decade of working on this issue.

Michael Botticelli, the deputy director of the White House's drug control office, even acknowledged under oath that he was not aware of a single overdose death from marijuana -- ever. The senior Republican who called the hearing, Rep. John Mica, was cordial to his Democratic colleagues, one of whom alluded to Grover Norquist's support for allowing states to decide their own policies and call for fair treatment of businesses involved in the legal marijuana trade.

Now the attacks are coming from outside the government. Some cynical drug warriors who have now left government service have figured out an effective, albeit untruthful and sensationalist, tactic to fight marijuana reform: comparing the legitimate marijuana business community to Big Tobacco, which notoriously and villainously lied to the American public for decades.

They are led by former Rep. Patrick Kennedy, D-Rhode Island, who attacked President Barack Obama's recent comments about marijuana, even questioning the president's comments about disparate enforcement of marijuana laws on people of color.

That a former congressman, part of an American political dynasty who has enjoyed incredible wealth and privilege his entire life -- who got a ride home from the police in D.C. after crashing his car into a police barricade after taking medication, instead of getting shot or imprisoned -- would lecture the President on the nature of disparate racial enforcement around drug laws is outrageously ironic.

Regulating and taxing the sale of marijuana requires that someone grow, process and sell it. Voters in Colorado and Washington clearly said they would rather see upstanding business owners -- not cartels -- running those businesses.

Kennedy and his ilk misunderstand the role of entrepreneurs, like the ones I work with, who are active in marijuana dispensaries and ancillary businesses. Big Marijuana? The overwhelming majority of most clients are small businesses or individual consumers.

Does that sound like an evil shady Big Tobacco-type corporation that Kennedy warns of?

The opinions expressed in this commentary are solely those of Aaron Houston.

@highlight

City Council voted to decriminalize possession of small amounts of marijuana

@highlight

Aaron Houston says it's about time the city took that step

@highlight

D.C.'s move is part of a nationwide trend to make marijuana legal, he says