(CNN) -- Alissa Welker would switch the lights on, off, on, off, on, off -- however many times it took to feel "right." When she was 9, she'd spend the equivalent of an adult workday doing these kinds of rituals. She also washed her hands excessively, avoided sick people and barely ate because she feared food poisoning.

Mystery Almond has also felt that she needed to wash her hands more than most people, to the point that her classmates picked on her. She would see words spelled out in her head -- "like reading a book" -- telling her to do things, like hitting a girl in second grade who taunted her for obsessing over hand washing.

Alissa, 17, and Mystery, 10, have different symptoms, but they both have had feelings of needing to act in certain ways that are out of the ordinary, as well as intense fears. These are signs of obsessive-compulsive disorder, which is thought to affect 1 in 100 kids, according to the International OCD Foundation.

"Sometimes I feel like, with my OCD, I feel sad. It feels like a darkness has overtaken me. It's a real bad feeling," said Mystery, of Coushatta, Louisiana.

Parents, kids, teens, school personnel and mental health providers have a comprehensive resource for learning about pediatric OCD at the International OCD Foundation's new OCD in Kids website. It includes the personal stories of young people who have OCD, so that kids and teens can learn about their peers' experiences.

The site launched this week for the organization's OCD Awareness Week, which culminates in a national event in Boston on Saturday that will be streamed live on the organization's website.

Children as young as 3 or 4 can show signs of OCD, said Jeff Szymanski, executive director of the International OCD Foundation. But the onset is usually around ages 10 to 12 and the 18 to 22 age group. Boys tend to have symptoms earlier in life than girls. Symptoms include unwanted thoughts that produce fear and anxiety, and repetitive behaviors aimed at getting rid of those ideas.

Doctors draw the line between normal childhood behaviors and signs of OCD when kids engage in repetitious behaviors that become time-consuming. Children may become fixated on thoughts that they just won't move away from. And they may not necessarily realize they're not acting normally.

"For the most part, adults realize that these symptoms don't make any sense. They get that this doesn't make a lot of sense," Szymanski said. "Kids don't necessarily have that perspective."

A standard behavioral treatment for OCD is called exposure therapy, a kind of cognitive behavioral therapy aimed at decreasing anxiety associated with particular phenomena. For children, this often involves naming OCD as the "bully or "monster" and chasing it away, Szymanski said. This helps kids deal with their scary, unwanted thoughts.

Medication may also be prescribed. A recent study in the Journal of the American Medical Association found that kids who had cognitive behavioral therapy for OCD, in addition to medication, tended to show more improvements than those who only took medication.

Some kids get good treatment and never experience OCD symptoms again; others will have it throughout their lives, with some periods being better than others. It may go away in childhood and come back in adulthood.

Alissa's mother, Vicki Gonzalez, had never heard of OCD before Alissa came to her and told her about these feelings. Gonzalez turned to the internet and discovered that Alissa's symptoms seemed to match up with that condition.

At age 10, Alissa began seeing a therapist and starting taking sertraline, an antidepressant that's commonly prescribed for OCD. It's a selective serotonin reuptake inhibitor, a class of drugs that change the balance of the chemical serotonin in the brain.

A turning point for Alissa was the International OCD Foundation conference in 2006 in Atlanta. Alissa really didn't want to go, but her mother coaxed her into attending. It was there that she met other young people with OCD whose symptoms had gotten better -- something Alissa didn't know was possible.

"Before I went to the conference, I didn't think it was possible to go from doing eight to 10 hours of rituals a day, to being symptom-free and living a normal life," she said.

She liked the conference so much that she went back the following year, when it was in Houston, and met two girls who continue to be her best friends to this day.

"We understand each other, and we know we don't have to hide anything from each other. We don't judge each other for what's going on in our lives. We're always there for each other," she said.

Exercise has also helped. Alissa is a varsity swimmer and swims year-round, and when her OCD got tough, she felt relief from stress in general by diving into her passion for the sport.

These days, Alissa is a senior in high school and managing her OCD better than earlier in her childhood, although there are still ups and downs. Sometimes, she'll have months or years without symptoms, but this fall as she stressed about applying to college, she caught herself tapping her hand in specific numbers and having other unwanted thoughts. She still takes medication and goes to therapy every two to three months.

Mystery's OCD journey began earlier, around age 5. She started having more outbursts, and the excessive hand washing and checking of locks on doors began. The writing in her head bothered her to the point that she couldn't sleep. At night she feared that some kind of "mean animal" or monster was outside her window and had vivid nightmares, from which she awoke crying.

Other kids would pick on her when she would suggest that they also wash their hands before meals in the school lunchroom. Based on informal surveys, many OCD kids tend to report feeling bullied and say OCD interferes with schoolwork, Szymanski.

Therapy and medication have also helped Mystery, who also has Asperger's syndrome, meaning she also has trouble with social interactions and repetitive behaviors. She has gone through several combinations of treatments before finding a mix that felt right: an antipsychotic, the antidepressant duloxetine, the antipsychotic ziprasidone and the ADHD drug guanfacine.

"I feel better. I'm more happy. I don't have to wash my hands as much, because I'm not really worried," she said.

With her therapist, she has also talked about making friends and gets bullied less, although "kids will be kids," she says.

Mystery also has an occupational therapist and is undergoing equestrian therapy for Asperger's syndrome, which involves developing interpersonal skills through interacting with horses.

"We don't want to change her. We just want to help her understand the world a little better," her father, Vince Almond, said. "She's not wrong or bad or anything like that. She's different."

In her spare time, Mystery writes poetry, sometimes about OCD. She will be reading from her poem "Special and Proud" on Saturday in Boston.

Poetry, film give voice to OCD sufferers

She writes in this poem:

"She is brave,

But sometimes she's afraid,

Of things she shouldn't be

She might get upset

And it's hard for her to forget

When she starts repeating things."

@highlight

Children as young as 3 or 4 can show signs of OCD

@highlight

OCD is thought to affect 1 in 100 kids

@highlight

Exposure therapy is a behavioral therapy used for OCD

@highlight

Medications may also be prescribed