(CNN) -- Four days after Haiti's massive earthquake, efforts are under way to bury the dead as thousands of bodies crumpled in the streets of Port-au-Prince lay exposed to the sun or draped in sheets and cardboard.

Throughout the city, people covered their noses from the stench and some resorted to face masks. CNN correspondents in Haiti reported efforts to remove the bodies, including the creation of a mass grave. It's still unclear how many people have been killed in Tuesday's earthquake; the prime minister suggested there could be several hundreds of thousands.

CNN's Anderson Cooper, reporting Friday from a mass grave on the outskirts of Port-au-Prince, described seeing hundreds of bodies mixed with garbage in open pits. Some bodies were bulldozed into the half-filled pits.

"These people will vanish," Cooper said in a phone report. "No one will know what happened to them. That's one of the many horrors.

"There's no system in place here. Literally these people here are being collected off the streets, dumped into a dump truck, then brought out here and dumped in the pits," he said.

The fear of disease is frequently the reason for rapidly burying bodies in mass graves. But contrary to popular belief, bodies do not cause epidemics after natural disasters, experts said.

"The reality is that most of the disease that live in us -- once our body is dead they can't survive very long," said Oliver Morgan, an epidemiologist at the Centers for Disease Control and Prevention.

Fecal matter from the deceased could contaminate the water supply, posing a risk, but "it's nowhere near the risk of all the survivors living in the streets with no sanitation," said Morgan, who contributed to the World Health Organization's guidelines on managing bodies after a natural disaster.

There has never been an epidemic after a natural disaster that was traced to exposure to bodies, according to the WHO.

The chief priority must lie with the living, experts said.

"Body collection is not the most urgent task after a natural disaster," according to the WHO's 2006 guidance on the Management of Dead Bodies after Disasters. "The priority is to care for survivors. There is no significant public health risk associated with the presence of bodies. Nevertheless, bodies should be collected as soon as possible and taken away for identification."

Mass graves, it warned, are "not justified on public health grounds. Rushing to dispose of bodies without proper identification traumatizes families and communities and may have serious legal consequences."

"There's always talks about mass graves because that's always the easiest solution," said Frank Ciaccio, vice president of commercial services at Kenyon International Emergency Services, a disaster management company that responds to mass fatality accidents. "We don't strongly recommend them. However, sometimes in situations in very developing nations, that's the only thing to do."

In cases of mass graves, teams should at least document or photograph the individual for future identification, he said. Kenyon has deployed an emergency response assessment team to Haiti. Ciaccio was part of the crew that responded to the tsunami in Southeast Asia in 2004 and New Orleans, Louisiana, after Hurricane Katrina in 2005.

Having bodies on the street is very distressing to survivors.

"That's going to be very stressful," Ciaccio said. "It's hot temperatures and that's not a pleasant sight. There's decomposed bodies. And the hotter the weather, the quicker the decomposition."

Decomposition starts as early as the day of death, bringing stench and pests.

"When you have bodies on the street that begin to decompose, you eventually get maggot infestation because of flies and you have a potential of rats," said Vernie Fountain, the disaster task force leader of the National Funeral Directors Association.

At one of the capital city's cemeteries, people opened up old crypts and shoved corpses of quake victims into them before resealing them. Workers loaded bodies -- piled on the sides of roads -- into the basket of a front-loader tractor, which then deposited them into blood-stained dump trucks, according to CNN correspondents in Haiti.

"There's little dignity in death in Port-au-Prince these days," Cooper said in his report.

The United States is deploying mortuary teams to identify and bury the dead in a public safety rescue mission, Kathleen Sebelius, secretary of Health and Human Services, said Thursday.

After huge disasters, mortuary teams often face logistical nightmares, working with little resources, thousands of bodies, collapsed infrastructure, language barriers and different cultural and religious views.

After working in the aftermath of landslides, cyclones, hurricanes and tsunamis with mass fatalities, Morgan realized the lack of a guidelines for handling the bodies was a recurring problem.

"What we often see are these pictures of mass graves which are dug three feet deep with hundreds of bodies thrown into this large hole," Morgan said. "That's discouraged in preference to having a more organized situation with a long trench grave and putting bodies in an ordered way, or marked graves so people know where the victims are buried."

One possible solution is to move the bodies to a temporary, organized collection point and to gather as much information to help with future identification, said Fountain, who served as a national officer for Disaster Mortuary Operational Response Team, a national response team designed to provide mortuary assistance in mass fatality incidents.

After the tsunami killed 225,000 people in 2004, various Southeast Asian countries handled the dead differently based on location and available resources.

While none of the countries affected by the tsunami had enough refrigerated storage to handle the corpses, many found alternatives by burying the dead in temporary, shallow graves with the intent to exhume them later. Other bodies were hastily buried within 24 hours in mass graves.

"The parallels are mass fatalities and catastrophic events," Ciaccio said. "We have a significant loss of life; we have people that are unknown; we have a significant number of missing people. The one minor difference in Thailand was that it was isolated to shoreline about a mile in. Here you have total destruction of an infrastructure system."

@highlight

CNN's Anderson Cooper reported on a mass grave with hundreds of bodies

@highlight

Fear of disease is frequently the reason for rapidly burying bodies in mass graves

@highlight

This theory is unfounded, because disease-causing agents die with the corpse

@highlight

WHO report: "Rapid mass burial of victims is not justified on public health grounds"