(CNN) -- In the smoggy cradle of China's industrial heartland, a heaving freight train gets set to depart along a modern incarnation of the legendary Silk Road trading route.

This historic passageway was once worn into a dense chain of dusty trails by caravans of horses and camels carrying merchants and their many wares between continental Asia and Europe.

Today it takes the form of a series of transnational rail tracks transporting the latest in electronic products and computer parts.

Starting in the bustling mega city of Chongqing, southwest China, the 11,179-kilometer (6,946-mile) network stretches across six countries and vast unpopulated expanses all the way to Duisburg, Germany.

See also: Could drones replace highways

"The railway (goes) through Xinjiang, Kazakhstan, Russia, Belarus, Poland and Germany and builds a new route for transportation," explained Dr Mu Huaping of the Chongqing Commission of Economy and Information Technology.

"If (the city) wants to go global, the railway serves an important role," Mu added.

Chongqing rising

For many companies with factories in fast-growing Chongqing, transferring items via rail to markets in Europe can be easier and quicker than sea freight from one of China's coastal ports.

Mu points out that train journeys take just 16 days, comparing favorably to the more lengthy shipping routes where the costs and time of transporting cargo to the coast must also be added.

Since the rail network opened in 2011 (as a joint venture between track operator DB Schenker, the Chongqing Holding Group and the state railways of China, Kazakhstan and Russia) an increasing number of multinationals have taken advantage of the facility, Mu said.

U.S. computer giant Hewlett Packard claims to have shipped more than 4 million notebook computers to Europe by train during this period.

As more industry heads towards China's vast interior -- and cities like Chongqing expand, creating greater wealth and consumer spending power -- many observers believe rail freight will become an even more appealing cargo-transport option.

See also: 7 of the most entertaining airports

"I think it's a very bright future for freight rail transport," said Michael Binyon, a British journalist who has written extensively on the subject of what he tentatively refers to as the "Iron Silk Road."

"It's the only way to avoid the long sea routes. Airplanes are very expensive (and) road is out of the question (because) the volumes are too small."

"Rail transportation," he added can be "a very efficient way, and a fairly fast way, of moving large volumes of freight from China to Europe."

Continental shift

While this contemporary route (which plots a more northern course than its historic Silk Road counterpart) has been in operation for two years now, rail routes between Asia and Europe are far from a new development.

The Trans-Siberian Railway has been shifting goods and passengers between Moscow and Vladivostok on Russia's Pacific coast for just under a century, linking up with tracks in northern China and Mongolia along the way.

In time, Binyon sees the potential for even more rail integration between the continents.

He points to the Marmaray tunnel project (due to open later this year) that will marry tracks underneath the Bosphorous Strait, connecting Asiatic and European Turkey in the process.

See also: 8 amazing transport projects

Organizations like the U.N. Economic and Social Commission for Asia (UNESCAP) meanwhile have long sought to facilitate a vast Trans-Asian Railway network that could link the continents.

This intergovernmental project has the backing of 22 Asian nations and proposes lines that would connect Thailand, Myanmar, India, Pakistan, Iran and Turkey to southern Europe, as well as a Southeast Asian network that could theoretically extend all the way from Singapore to Europe via China.

A north-south corridor stretching from Russia through Azerbaijan, Turkmenistan and Uzbekistan all the way to the Persian Gulf port of Bandar Abbas in Iran is also cited by the U.N. group as a possibility.

Keeping track

When it comes to actually building these lines, however, the reality is infinitely more complex than simply plotting the routes and laying down tracks -- as the UNESCAP project has discovered since it was agreed in 2006.

According to Christian Wolmar, a rail historian and author of the forthcoming book "To the Edge of the World," all manner of operational challenges must first be overcome.

"Individual countries tend to use different styles, technologies, signaling systems and gauges," Wolmar explained. "That means creating a link across several nations is problematic ... and incredibly expensive."

"Then there is also the politics. Can you go through northern Turkey or Iraq or Iran?

"But that's not to say they (trains) don't have benefits. There is fantastic potential as they are a relatively green and sustainable mode of transport and can take vast loads with just a couple of people driving a train," he added.

See also: Where is the world's best airport?

Binyon also notes these difficulties but concurs with Wolmar's final point.

He highlights how the Chongqing to Duisburg route has already overcome some of the standardization challenges by having cargo containers transferred to cars with new gauges at relevant border crossings to meet varying national track requirements.

"If you can simplify it, if you can unify customs agreements and if you can have a standard operating system with rules agreed by all those along the route," he said, then railways are "an extremely efficient way of moving large numbers of people and freight from one population center to the other."

@highlight

A vast rail network links Chongqing in China to Duisburg in Germany

@highlight

The network has echoes of the famous Silk Road trading route

@highlight

The railway goes through China, Kazakhstan, Russia, Belarus, Poland and Germany