New York (CNN) -- On Memorial Day, we honor those patriots who gave "the last full measure of devotion" -- in Abraham Lincoln's words -- and died defending our freedom and union.

But this Memorial Day is partly clouded by the resurgence of partisan scandal in Washington. At the IRS, employees filtered through the exploding number of tax exemption applications by politically associated organizations by being on the lookout for groups that had the name "Tea Party" and "Patriot" in their name. This was improper, illegal, unethical and outrageous.

But hold on -- when did the word "patriot" become a partisan pejorative? How did such a bipartisan positive word get identified as a sign of hyperpartisan politics?

It's actually an interesting story.

Over the past few years, you might have noticed more than few political fundraising e-mails addressing you as "Fellow Patriot." They ain't from the ACLU. They tend to be from conservative activist groups, and there is more than a little self-congratulation in their tribal identifier.

The idea, of course, is that their fellow travelers on the right side of the aisle are the "real" patriots -- related to Sarah Palin's "Real Americans" -- defenders of a political faith and traditional way of life under attack by liberals, Democrats, demographics and above all, President Barack Obama.

The fact that many of these self-styled superpatriots seem to hate their twice-elected president is itself a sign of just how dumb the false dualities that dominate our politics can be.

But it's nothing new. Like so many themes in our politics, there are echoes of the past in our present debates. Going back to at least the virulently anti-Catholic "Know-Nothing" Party of the 1800s, conservative populists have always styled themselves as superpatriots whose commitment to our country outpaces their neighbors and especially our country's newest arrivals.

There has always been an anxiety -- most recently articulated by Pat Buchanan and Anne Coulter -- that immigration will change the complexion and cultural character of our country. It has always been ultimately exposed as xenophobia poising as patriotism.

Three of my grandparents arrived to the United States more or less a century ago from Southern Europe, and they were derided as "garlic eaters" and far worse by some earlier immigrants, but welcomed with open arms by many more. Their achievement of the American Dream is why I proudly count myself as an almost cheesy patriot of the Norman Rockwell variety.

But history teaches us to be wary of people who lord their patriotism over others and use it to divide rather than unite.

The precursors to some of today's more cultish conservative groups emerged during post-war anxiety about the legitimate threat of communism and the McCarthy-ite excesses that flowed out of that era's right wing politics. The us-against-them, "enemy within" rhetoric of the John Birch Society endures today in the polemics of Glenn Beck, Alex Jones and others.

The early growth of self-styled paramilitary groups began in the early 1960s during the presidency of John F. Kennedy -- a committed Cold Warrior, but not incidentally a Catholic and a Democrat.

The "Minutemen" were one such group who thrived off survivalist drills and a supposed plan to "confiscate all private firearms by the end of 1965."

We hear similar strains of fearmongering today in the attempts to block the universal gun background check bill. Notably, the Minutemen's founder, Robert Bolivar DePugh, briefly tried to form a political party called -- you guessed it -- The Patriot Party. They fell into some discredit when DePugh's followers were implicated in a half-baked plot to attack the United Nations.

At the time, former President Dwight Eisenhower, a Republican, felt compelled to weigh in by saying, "I don't think the United States needs Super-Patriots. ... We need patriotism, honestly practiced by all of us and we don't need these people [who pretend to be] more patriotic than you or anybody else."

Ike's advice was good then and now.

He had the credibility that comes from leading our troops in World War II. Nobody with half a brain was going to accuse him of being anything less than a full-fledged patriot (which didn't stop the founder of the John Birch Society from accusing him of being a Soviet agent just as Obama is called a Muslim Marxist by some today.)

Over the past decade, we've seen the explosive growth of paramilitary style "patriot" groups -- to more than 1,000 according to the Southern Poverty Law Center. This dynamic definitely didn't help the word "patriot" recover its bipartisan bona fides. Neither did the impulse of some on the far left since the late 1960s to denigrate patriotism and military service as signs of what they call American imperialism.

The fact that the word "patriot" was used as a filter by IRS workers is a sign of the persistence of culture wars in our politics, perhaps more prevalent now than ever because of the rise of partisan media.

It is a deep breach of the trust that the IRS has struggled to rebuild since the audit scandals of the Nixon administration. And it is a particular irony that the completely inappropriate partisan filter they used will no doubt actually impede investigations of what might ultimately be revealed to be a more widespread scandal -- the illegal abuse of tax-free status by partisan political groups. But the damage has been done.

When the word "patriot" becomes a pejorative, it is a sign of how much our shared civic faith has been denigrated by the rise of hyperpartisan politics.

The very emotion that should unite us all as Americans is too often used as a wedge to divide us. On this Memorial Day, that's worth reflection and a determination to do better as one small way of honoring those whose sacrifice makes all our bitter political battles seem small and self-indulgent.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: It's telling and sad that IRS workers were on lookout for "patriot" groups

@highlight

"Patriot" is a word whose meaning has been corrupted by extremists, he says

@highlight

Avlon: Past decade has seen exploding number of "patriot" paramilitary groups