(CNN)Criminal justice reform is rapidly becoming one of the few bipartisan issues of our time. It's about time.

America has the highest incarceration rate in the world, with 5% of the world's population and 25% of its prisoners. Nearly 2½ million Americans are in prison. Over 65 million people, or 20% of the country, have criminal records. Most disturbingly, nearly 40% of our country's prisoners are African-Americans, who only make up 13% of the general population.

It's time for policymakers to address this criminal justice crisis head on. We must change the dismal status quo. We must start by asking a simple question: Why are so many Americans criminals? Look no further than Washington, which has spent the past century devising the most complicated — and nonsensical — criminal code known to man.

The federal criminal code includes over 4,500 laws and counting, not to mention government regulations for which there are criminal penalties. The list of federal crimes is so long, so broad and so vague that you and I likely commit three felonies every day, unwittingly breaking numerous federal laws as we go about our daily business.

No wonder America's prison population is out of control. Americans aren't addicted to crime; our politicians are addicted to criminalizing things.

Sadly, the criminalization of Americans also traps them in poverty. According to the Pew Charitable Trusts, incarceration leads to reduced wages (11% drop), employment (nine weeks lost annually), and earnings overall (40% annually). Making matters worse, over half of new prisoners are at or below the poverty line and three-quarters of former prisoners are sent back to jail within five years of their release.

The deck is stacked against my generation in particular. Young adults are 10% of the population yet comprise 29% of the country's arrests. Young African-Americans are particularly at risk: They're 15 times more likely to be in prison than whites. No wonder 18-to-29-year-olds have the lowest level of trust of any age group that our justice system treats everyone equally.

Thankfully, there is a bipartisan consensus in Washington that something needs to be done, and fast. On the left, civil rights groups and their allies in Congress have been demanding that the criminal system be fixed for years. On the right, politicians from Paul Ryan to Rand Paul are now recommending the same thing.

If politicians are serious, they should consider three specific areas for reform.

1. Reduce punishment for nonviolent crimes

Politicians should consider reducing nonviolent offenses from felonies to misdemeanors, and end mandatory sentencing for nonviolent crimes. The federal government's unsuccessful war on drugs has led to unfair punishments for nonviolent drug offenders who made youthful mistakes.

While some policies may have made sense in the 1980s and '90s, they now do more harm than good. Those involved in the buying and selling of small amounts of drugs shouldn't be subjected to years or decades in prison for their crimes. And more generally, judges should be free to tailor their rulings to the specific facts and details of the case -- and the person standing before them.

2. Rebuild respect between communities and police

One-size-fits-all mandates and decrees from Washington -- from drug laws to civil asset forfeiture to no-knock warrants — create divisions between local law enforcement and the local communities they serve. Practices, policies and programs that create unnecessary distrust and unease should be eliminated.

It's the same for police militarization, which has occurred in large part because Washington has supplied local agencies with weapons and tools that are inappropriate for use in local communities. Letting local communities set their own law enforcement policies will go a long way toward restoring the trust that right now seems almost nonexistent.

3. Give ex-nonviolent offenders a second chance

Too many reformed convicts return to jail because they face insurmountable barriers that keep them from living a normal life. Legislators can begin fixing this by encouraging greater record-sealing and expungement for youthful, non violent offenders, thereby giving people who made mistakes a greater chance of finding work and rejoining society. Reducing licensing barriers and restoring voting rights for those with criminal backgrounds should also be considered.

This list is only a starting point, yet our elected officials could — and should — quickly and easily take it up. In our era of hyperpartisanship, we should focus on those few things on which Americans agree. Fixing our country's broken criminal justice system should be at the top of the list.

@highlight

America has the highest incarceration rate in the world, holding 25% of the world's prisoners

@highlight

Evan Feinberg: We must change the dismal status quo with specific solutions