Carol Malone never knew her father. She was born in 1942, and her father, U.S. Army Sgt. Victor J. Hubany, was killed in 1944, before he'd been home from war to meet his little girl. She used to watch hours of World War II footage, looking for a glimpse of him.

"I don't even know if he ever saw pictures of me," said Malone, now 70.

But eight years ago, she made her first-ever trip to visit his gravesite -- in Belgium, his final resting place after battles throughout Europe, including the liberation of Paris.

He's just one American fighter whose remains lie in foreign fields, a soldier whose sacrifice is forever commemorated in one of the 24 permanent American burial grounds outside the United States.

"It brought me some peace in my soul. Up until then, I only heard 'You were young then. Your father never came home,'" Malone said. "But I don't think I understood until now, at my age now, that he was someone who fought and died.

"When I stood next to his grave, that was the closest I ever was to him, and it was just great."

iReport: Share your story, honor a veteran

About 125,000 U.S. war dead are buried in these overseas resting places. The cemeteries are maintained by the Arlington, Virginia-based American Battle Monuments Commission, which also maintains memorials in New York's Battery Park, San Francisco's Presidio and its newest memorial, the Vietnam Pavilions at the National Memorial Cemetery of the Pacific in Honolulu, set to be dedicated on Veterans Day.

The battle monuments commission was created by Congress in 1923. Foreign cemeteries for American military members existed earlier, but most conflicts before then were fought at home or incurred fewer casualties.

Veterans in Focus: Celebrating service

World War I changed everything.

"Given the number of those killed on all sides, the U.S. did not know what do to. How can you bring this many over? But they also had to figure out a way to commemorate why these men died, their sacrifice," said Tim Nosal, the commission's director of public affairs.

"The idea was, if we establish cemeteries, the soldiers and sailors become the monument."

Daughter faces demons of father's war

Among the first cemeteries was Meuse-Argonne in France, containing more than 14,000 American military dead, the largest number interred in a single place in Europe.

Today, the overseas cemeteries are visited by family members and history buffs. Many are located near major tourist centers around Europe, although "they weren't necessarily located because something was popular or beautiful but because something happened with specific meaning," Nosal said.

Soldier reunites families, Purple Hearts

Families of deceased World War I soldiers were given choices regarding their loved ones' remains. Among them were burial in these overseas cemeteries with perpetual care; return to the United States to a national cemetery or to a family grave site; or sending the remains anywhere in the world, with the family responsible for funeral costs. About 20% of families chose overseas cemeteries.

"They took so many casualties, we decided it was hallowed ground," Nosal said, referring to Meuse-Argonne, adding, "when you leave the cemetery you are literally walking in trenches of the war."

The military repeated the program for World War II, leading to the creation of the battle monument commission's best-known cemetery, Normandy, which appeared in the closing scene of the movie "Saving Private Ryan." Legislation in 1947 put World War II cemeteries in the commission's care, as well.

"The Normandy campaign is so important for the world and for the United States and its history. This is why it so resonates with people," Nosal said. "If you think about it, this was the first time the U.S. was leading an Allied force, so it propelled the U.S. into a superpower. This is the beginning of the end for World War II. Hitler would be gone within 11 months."

France has 11 American cemeteries, the most of any other country. Belgium has three, the United Kingdom and Italy, two, Luxembourg and the Netherlands, one.

4 must-sees for military buffs

A few exist outside Europe and some have passed into the battle monument commission's stewardship, such as the oldest, Mexico City National Cemetery. It dates from 1847 and is the burial site of nearly 750 unidentified American soldiers killed in the Mexican-American War, and later from the U.S. Civil War and Spanish-American War. Another cemetery in Panama dates from 1914 with remains of soldiers and others from Panama Canal construction and conflicts.

Manila American Cemetery and Memorial in the Philippines is the largest of the overseas cemeteries, with more than 17,000 Americans, marking World War II's Pacific Theatre. Another in Tunisia holds remains from World War II's North Africa battles. Even earlier battles the U.S. fought in North Africa along with those in Mexico are reflected in a line from the Marines' Hymn: "From the Halls of Montezuma to the Shores of Tripoli."

By the Korean War, Nosal said, there was "a conscious decision to return all the remains back home," with technological advances speeding the process. A new overseas memorial -- not a cemetery -- will open next year in Busan, South Korea, in the United Nations Memorial Cemetery and Peace Park.

Various travel companies bring Americans to these cemeteries and other war sites.

Vietnam veteran Butch Sincock, president of Pennsylvania's MilSpec Tours, believes showing them to a new generation is important. Even if veterans themselves aren't able to go, those close to them can; some of his European tours have included family members of George C. Marshall, an architect of the post-war plan to rebuild Europe.

"World War II vets are literally dying out, unfortunately," Sincock said, "but some of their adult children are taking interest."

Carol Malone's son, Bruce, is superintendent of the commission's Rhône Cemetery in France. Himself a military veteran, he said "it is an emotional event to visit, but we also show the families the level of care we take for these beautiful memorials. That helps sometimes, that their families, these soldiers are being taken care of very well. It also helps to put into context what happened where they died, and what they were fighting for."

Bruce Malone first learned at age 12 that his grandfather was buried in Belgium after he was killed in 1944. The knowledge "sparked a love of military history ever since. I can understand what it means to the family to have a relative who never came home."

It was his research that inspired his mother to visit the overseas cemetery on Memorial Day 2004. She weeps now to remember it.

"All you see is row after row of white crosses," Carol Malone said. "You just stand there and you are speechless. You can't imagine until you see it in person, I always think how many gave their lives."

As overwhelming to her was the love locals showed the cemetery.

"One thing I will never forget, the hundreds of people at the memorial," she said. "The Belgian people are so thankful now. There is a group that has adopted my father's grave.

They put out flowers and visit my father's grave."

Young Americans might benefit most from a visit, Carol Malone said.

"I don't think it would have been a free country had these men and women not gone over and fought," she said. "We would be living a different life and these young people need to see this."

Opinion: Every day should be Veterans Day

@highlight

About 125,000 U.S. war dead are buried in American cemeteries overseas

@highlight

The American Battle Monuments Commission maintains 24 American burial ground abroad

@highlight

The commission was created in 1923 following massive casualties in World War I