(CNN) -- Newer threats, such as pirate skiffs chasing freighters and desperate regimes mining harbors, have intensified the U.S. Navy's need to handle an array of "real-world" scenarios.

Meeting the challenges requires robust training on the use of sonar and explosives and the testing of gear that will protect shipping and counter traditional naval forces.

The environmental impact of those technologies resurfaced Friday with the publication of new estimates on the number of whales and dolphins off Hawaii and California that could die or be injured as a result of their use.

The U.S. Pacific Fleet, in a draft study, said the use of sonar and explosives in those regions from 2014 to 2019 could cause up to 200 deaths and 1,600 injuries each year, including hearing loss, among marine mammals. The death estimates are based on the use of explosives or animals being struck by ships.

But, Navy officials told CNN, those numbers -- a result of mathematical modeling -- are worst-case scenarios.

"We believe ... with our mitigation efforts and the Navy commitment that those injuries and mortalities will be none," said John Van Name, U.S. Pacific Fleet senior environmental planner in Pearl Harbor, Hawaii.

The National Marine Fisheries Service requires such data before it issues permits the Navy needs to conduct training and exercises.

The Navy contends improved mitigation efforts, including the posting of lookouts and the practice of turning sonar power down or off when marine mammals are spotted, are making a difference. And, they said, today's sailors are boarding vessels with environmental sensibilities.

"They have the awareness the entire nation has," Van Name said. "And they bring it with them. "

At a time when officials expect training and testing to likely increase in the deep, blue waters off Hawaii and California, environmentalists are keeping a wary eye on the Navy.

"I am not saying they are not well-intentioned," said Zak Smith, staff attorney with the Natural Resources Defense Council. "But I am not sure their choices make them the best environmental stewards they could be."

The debate over sonars and whales has gone on for years. It centers on balancing the need to defend the United States, while safeguarding its natural resources.

It has also played out in court. In 2008, for example, the U.S. Supreme Court lifted sanctions placed on the Navy over its underwater sonar testing.

Environmental interests, said Chief Justice John Roberts for the majority, "are plainly outweighed by the Navy's need to conduct realistic training exercises to ensure that it is able to neutralize the threat posed by enemy submarines."

Smith argued that the use of lookouts aboard Navy ships is not fully effective.

"Most marine mammals don't spend much time at the surface," he said. "When they do, you better have good weather conditions to see them."

Smith points to other consequences from the use of sonar and other acoustic sources off California and Hawaii.

Government estimates for 2014 to 2019 indicate there may be about 2 million cases of temporary hearing loss among marine animals, Smith told CNN. "Marine mammals use hearing the same way we use sight" to find food, he said.

"This kind of constant barrage and harassment is not a recipe for healthy populations," Smith added.

Van Name challenged Smith's assessment, saying the 2 million number includes all behavioral and "temporary" responses, such as an animal turning its head, stopping feeding or moving out of the area.

"The animal fully recovers," Van Name said.

The report also indicated monitoring in 2009-2010 off Hawaii and Southern California showed 162,000 marine mammals with no evidence of distress or unusual behavior during Navy activities.

The older Navy analysis, for 2009-2013, estimated about 110 marine mammals would be injured or killed in Hawaii and California.

Van Name and Alex Stone, environmental impact statement project manager with the U.S. Pacific Fleet, urged caution when making comparisons between the studies. They cited additional research, a wider geographic area, updated computer models and different study areas in the new analysis.

"It is clearly not our intention to harm any animals," Van Name said.

Three, perhaps four, dolphins, died in 2011 during a Navy training exercise involving underwater explosives near San Diego.

The area had been cleared but dolphins moved in too late for divers to be able to turn off a charged timer, Stone said. "The dolphins were at the wrong place at the wrong time."

After the incident, the size of the mitigation area was increased.

"We learned from this lesson and moved forward," Stone said.

"The limited impacts we are expecting are to individual animals, not to the species population," he said.

Smith, of the Natural Resources Defense Council, said the National Oceanic and Atmospheric Administration is trying a different approach.

The agency is identifying marine mammal "hot spots" with a high population density, Smith said. The Navy, he said, should do a better job of not using disruptive sonar and explosives in such zones.

Van Name said the Navy already identifies areas for special protection, including a humpback whale sanctuary off Maui. Crews also are aware of calving season and areas.

The Navy is seeking public input over the next 60 days as it moves forward in the permit process.

"We encourage the public to engage with us so we can do a better job," Van Name said. "This document is very robust, very defensible and people will see that."

While the Navy's chief mission is defending the country, it has "a long history of environmental stewardship," Van Name said.

CNN's Michael Pearson contributed to this report.

@highlight

U.S. Navy releases data on estimated whale, dolphin deaths off Hawaii, California

@highlight

It says it is trying to mitigate the losses

@highlight

Environmental group says more needs to be done

@highlight

Military training exercises are expected to increase