(CNN) -- The nightmare began around 12:30 p.m. on Christmas Eve.

Mike Hermanstorfer stood next to his wife's hospital bed, stricken. He touched her arm. The skin was cold, ashen. Tracy Hermanstorfer's heart had stopped.

"I opened my hand and her arm just fell out of mine," said Hermanstorfer. "She was already gone."

Moments later, the staff at Memorial Health System in Colorado Springs, Colorado, sounded a Code Blue -- resuscitation needed for cardiac arrest. They would have to act fast: Tracy Hermanstorfer, 33, was also in labor. Her baby was perilously close to death.

But this was a perplexing case. Before her heart stopped beating, Tracy Hermanstorfer was, by all accounts, completely healthy. Doctors still have few clues about what caused her cardiac arrest.

"The risk of a woman dying in the course of trying to carry a pregnancy is an incredibly rare event," said Dr. Michael Greene, director of obstetrics at Massachusetts General Hospital, who was not involved with Hermanstorfer's case. "The number of things that can cause this in an otherwise healthy woman is a very short list."

Greene says that only around eight in 100,000 women die during childbirth in the United States.

Dr. Stephanie Martin was 100 yards away when the Code Blue sounded. She ran to the delivery room where Mike Hermanstorfer stood next to what he thought was his dead wife.

"My first thought was that I can't allow this father to lose both his wife and his child, especially on Christmas Eve," said Martin, director of maternal-fetal medicine at Memorial Health System.

Watch the Hermanstorfers on AC 360

It was a situation she had witnessed only nine or 10 times during her career. Based on experience, Martin had ideas about what might have caused Hermanstorfer's cardiac arrest, but nothing was certain.

She could rule out things like pre-existing heart problems -- they are rare for someone healthy, young, and with no family history. Hermanstorfer had not experienced excessive blood loss or other major trauma, also common reasons for cardiac problems during childbirth.

Watch Dr. Gupta explain what may have happenend

Hermanstorfer could have an amniotic fluid embolism, a condition in which the fluid suspending the baby in utero leaks into the mother's bloodstream. It could also be pulmonary embolism, in which a blood clot in the leg breaks off and lodges in lung tissue. Both conditions cause blood pressure, heart rate and oxygen levels in the blood to plummet -- precisely what was happening to Tracy Hermanstorfer.

At 12:40 p.m., staff attempted to resuscitate Hermanstorfer using a rapid-fire sequence of chest compressions. She was unresponsive. Four minutes later, fearing for the baby's life, they performed an emergency Caesarean section.

"We call it a four-minute rule," said Martin. "I knew that if Tracy was not resuscitated by four to five minutes after her heart stopped, [the baby's] chances for brain injury began to increase dramatically."

But Martin says that if a baby is removed from its mother within five minutes of a witnessed cardiac arrest, the baby will survive 95 percent of the time.

At 12:46 p.m., Mike and Tracy's baby boy, Coltyn, was born via C-section, limp, but with a faint pulse.

Moments after her son was born, Tracy took a timid sip of breath for the first time in several minutes. Her pulse was barely perceptible, but it was there. Almost as suddenly as she had "died," she was alive again.

"We all stopped and took a breath," said Martin. "We had to make sure she wasn't going to re-arrest."

Tracy was stable. Doctors quickly wheeled her out to an operating room to finish her Caesarean and put her on a ventilator to help her breathe.

Hospital staff continued their resuscitation of baby Coltyn. In a few minutes his skin was flushed; he gasped for air and let out a loud wail.

"I thought he was dead until he gasped for air," said Mike Hermanstorfer. "When he let that cry out, that's when the whole world stops. Most parents can't stand the sound of a crying baby, but I'll tell you from experience that's one of the best sounds you could ever hear."

No sooner had Hermanstorfer absorbed that his son was alive than doctors delivered the news that Tracy was breathing on her own.

In a span of minutes, Mike Hermanstorfer went from the despair of losing two people to the elation of having them back. He says he remains stunned, but grateful.

"It has changed my life," he said. "You don't take anything for granted."

Tracy Hermanstorfer still feels a tingle of fear when she thinks about what happened to her.

"It's scary to know you went into the hospital perfectly healthy and then almost not come out of the hospital at all," she said.

But almost two weeks removed from near-death, there is little time to think about that. The Hermanstorfers want to relish life, with the rest of their family -- sons Austin, 11, and Cannon, 3.

Tracy will undergo more tests in the coming weeks, but doctors still have no idea what happened to her heart on Christmas Eve.

@highlight

Mother Tracy Hermanstorfer's heart suddenly stops as she is in labor on Christmas Eve

@highlight

Doctors battle to revive her, do C-section to deliver baby Coltyn, limp with faint pulse

@highlight

Both are revived; Tracy's husband Mike goes from grief to joy in minutes

@highlight

Tests being done to determine why healthy mom suffered cardiac arrest