Washington (CNN) -- Air traffic control towers staffed by private contractors are cheaper and provide the same level of safety as towers staffed by government controllers, a new government audit concludes.

Contract towers, as they are known, cost on average $537,000 a year to operate, compared with $2 million for comparably busy towers staffed by the Federal Aviation Administration, according to the Department of Transportation's Office of Inspector General. In addition, the contract towers had a "significantly lower number and rate of safety incidents," the report said.

Currently, 251 of the nation's 374 towers are staffed by contractors who must meet FAA standards and are overseen by FAA managers. Restricted to lower-volume airports, contract towers nonetheless handle 28 percent of all domestic airport operations.

The OIG report likely will give ammunition to Republican lawmakers who favor the privatization of everything from airport control towers to security checkpoints. But it is unlikely to result in an expansion of tower contracting, coming on the heels of the re-election of a president with strong public sector support.

The current hybrid system of contract- and government-staffed towers is a result of the decision by President Ronald Reagan to fire the striking Professional Air Traffic Controllers Organization controllers in 1981. After they were fired, the FAA moved its staff and managers to the busiest control towers, leaving smaller towers vacant.

The next year, the FAA started the Federal Contract Tower Program, placing contractors at five low-activity towers. The program expanded gradually. Of the 251 contract towers in operation today, about half were previously staffed by FAA controllers, and half are new towers built by communities, typically to promote economic development.

The new OIG audit compares 30 randomly selected contract towers to 30 comparable "low activity" FAA towers.

The report notes a large difference in operating costs mainly due to lower staffing and salary levels at contract towers. Contract towers had an average of six controllers, while FAA towers had 16. A typical contract controller near Tampa, Florida, received a base salary of $56,000 per year compared with a base salary ranging from $63,000 to $85,000 a year for an FAA controller in Sarasota, Florida, the study said.

Contract towers also had a "significantly lower number and rate of safety incidents," the report says. For example, 240 contract towers referenced in the review had 197 safety incidents, compared with 362 incidents at 92 similar FAA towers.

The National Air Traffic Controllers Association, which represents FAA controllers and controllers at 63 contract towers, said it is wrong to conclude that the lower rate of safety incidents at contract towers means those towers are safer. FAA controllers fall under a non-punitive reporting system that encourages controllers to voluntarily report errors.

"The FAA has a true safety culture, where all controllers and employees are encouraged to report all safety issues, including errors, while contract towers are dictated by a punitive culture that discourages controllers and their supervisors from reporting errors," said Sarah Dunn, a spokeswoman for the NATCA.

An advocate for contract controllers disagreed that contract controllers were less likely to report errors. "The culture is that you're fired if you don't report and it's found out," said J. Spencer Dickerson, executive director of the U.S. Contract Tower Association.

But he also said it is "a stretch" to conclude that contract towers are safer. He said the two systems have "comparable levels of safety."

"The irony of the program is a lot of controllers are retired FAA controllers," Dickerson said. FAA controllers must retire at age 56, but contract controllers have no such mandatory retirement age. "So it's a great opportunity for FAA controllers who do their 20 years and want to stay in the business," he said.

The "vast majority" of contract controllers are former FAA or former military controllers. They must be certified by the FAA and must meet the same medical requirements and are subject to the same drug testing.

But contract towers are "definitely more cost-effective to the taxpayers," Dickerson said. Airports that have contract towers "are very positive of the program," he said. "The reports are that it's seamless. Pilots will tell you they can't tell the difference between an FAA tower and the contract towers, and that's our goal."

@highlight

Contract towers have lower costs, same safety levels as FAA-staffed towers, study finds

@highlight

Controllers at contract towers must meet FAA safety, medical standards

@highlight

Contract towers began after Reagan's 1981 firing of striking controllers