Prisons in developing countries can usually be characterized as hazardous and chaotic places for offenders. Due to limited resources, the prisons are left to be run by ruthless gangs.

In the Pedrinhas prison in northern Brazil, the decapitation of inmates by a rival gang highlights "the lawlessness" within Brazil's correctional system.

Prisons in the Philippines bear many similarities.

However, the Philippine prison system is about to go through reformation following last year's passing of the Modernization Act by the Philippine Congress. Plans include the building of a new super-max facility to replace New Bilibid Prison (NBP) to reduce congestion and eliminate gangs within the system.

But is this the right path? From over four years of ethnographic research we have conducted in NBP, we don't think so.

Gangs dominate prison

NBP, on the outskirts of Manila, is one of the world's largest maximum-security facilities. Recent statistics we have collected from the Bureau of Corrections, which administers NBP, has the inmate population to be now exceeding 14,200. With space for only 5,500, this makes the congestion rate around 260 per cent. Around 95% of inmates belong to 12 gangs that share control of the prison.

In these overcrowded conditions, corruption is endemic and contraband, such as drugs and high-calibre weapons, is readily available. Over the past three years, prison raids have uncovered automatic machine pistols and other lethal weapons held by gangs. Two M-16 hand grenades have also been thrown during gang disputes.

We have observed how easy it is for inmates to acquire mobile phones. The telephones facilitate criminal activity on the outside to be freely run from the inside.

From all this, one can easily conclude that, like Pedrinhas prison, NBP is dysfunctional. However, from participant observation studies and over 100 informal interviews with gang leaders, inmates and prison officials, we have developed an alternative perspective on prison gangs.

Why gangs are important

While there is no doubt that gangs are responsible for much of the criminality inside, we found that the gang system (or Pangkat) is not exclusively about crime. In fact, many inmates are kept busy with legitimate activities and "do their time" productively.

Since their inception in the late 1940s, NBP's gangs have come to form a crucial part of inmate management and welfare. Much of the negative publicity about NBP only captures a small part of the reality inside.

There are, in fact, many positive aspects of gang life in the seemingly chaotic conditions that are often overlooked yet crucial for inmate survival.

When prisons become overcrowded and the inmate-to-staff ratio exceeds safe levels (that is, 4:1), the essential task of maintaining order and ensuring the safety and welfare of inmates becomes complex and problematic.

To carry out these critical tasks, prison administrators are forced to not only compromise organizational integrity, but also relinquish aspects of their management function to inmate leaders.

In NBP, with an inmate to guard ratio of around 80:1, it has become unofficial practice to operate under a system of shared governance. By default and not by design, gang leaders help maintain internal control and safeguard inmates as best they can. Even though prison stability is fragile, gang leaders help prison guards restore stability once disorder occurs.

But prison gangs are not all about maintaining order.

They also provide inmates with a network of social support, access to material benefits and a source of income. Without these, survival becomes difficult for many.

'Sense of community'

Gangs also develop their own rehabilitation and educational initiatives, which are separate to the more resource-constrained programs offered by prison administrators.

In another important feature, gangs provide a substitute family for those who have lost contact with outside relatives. Fellow gang mates become brothers and the inmate leaders their fathers (or big brothers).

Inmates have told us that it is common for them to call their leaders as "tatay" (father) or "kuya" (older brother), a Filipino cultural dynamic that orders the social standing of inmates.

Additionally, inmates are sometimes called "tatay" or "kuya"; a recognition of their respectability and an early indication of their leadership potential.

A gang leader stated to us that, as a general rule, those who are industrious, cunning and can produce the most resources are usually elected leaders.

Inmate leaders also help manage the prison cell blocks, which is akin to running a mini-city with its own micro-economy.

Like a city, leaders are elected, generate income and manage resources to meet the needs of their constituents. They also respond to emergencies and diffuse conflicts.

They take responsibility for offenders with special needs by controlling violent offenders, caring for the sick and disabled and even monitoring terrorist inmates. To ensure they remain in office, leaders also host sporting activities and entertainment programs like rock concerts and TV shows.

To the casual observer, NBP may seem more like a self-sustaining community than a high-risk volatile correctional institution.

The lanes that criss-cross the prison are crowded with inmates working, cooking or playing sport. On most days, inmates with families roam the grounds.

It is also common to see children playing or looking at animals in the small zoo.

It is evident that one of the most beneficial features of this set-up is the inmates' sense of community. Even though one is inside a prison, the outside environment is being mirrored here.

Evolution of prison life

In modern sophisticated open prisons like those in Scandinavia, correctional officials have found that progression through a sentence should be aimed as much as possible at returning inmates to the community.

They assert that "the more closed a system is, the harder it will be to return to freedom."

Thousands of miles away, we can see that, left to evolve almost by accident, NBP has progressed towards a similar model.

While NBP was originally built as a closed, American style high-security facility, over time, the walls have become porous, security has lapsed and deals have been made with inmate leaders to ensure prison order.

Consequently, compromises have been made to allow more inmate autonomy.

Even mobile telephones, formally considered contraband, are unofficially accepted by prison administration and considered important for rehabilitation as they keep inmates in contact with family.

As in Scandinavian prisons, NBP administrators have come to realize that regular family communication helps "sustain emotional ties," as well as giving inmates outside avenues to vent and heal.

Much of the existing knowledge on prison social systems is gained from settings where facilities are adequately provided, staff numbers are sufficient and properly trained and operational resources are allocated to ensure prisons run smoothly.

In these settings, it is common practice to try to eliminate gangs due to their inherent problems. As such, the popular perception about prison gangs has generally been incomplete.

Despite its many drawbacks, the gang system in NBP aids adjustment and survival by lessening the "pains of imprisonment."

It also provides inmates with mechanisms to preserve self-identity and self-respect, which, in turn, equips them to re-integrate into the outside community upon release.

Time will tell how the new reformation plans will impact on inmates.

If they implement an American model of mass incarceration and eliminate gangs, without dedicating sufficient resources to replace the support structures they provide, prison reform in the Philippines is bound to fail.

A better solution would be to continue with a more open prison model, formalize the social structure, target corruption, and, over time, reduce inmate dependency on illicit activities.

@highlight

New Bilibid Prison in the Philippines has around 14,200 inmates, more than twice its capacity

@highlight

Gangs dominate prison culture, but their influence is not all bad, authors say

@highlight

Philippines is planning to build a new maximum security prison to reduce congestion

@highlight

Authors say modernization will fail if resources aren't allocated to replacing gang services