President Barack Obama will ease sanctions imposed against Cuba under the U.S. embargo after Cuba agreed to release American aid worker Alan Gross.

The agreement will deliver the most sweeping changes in the U.S. policy toward the nation that lies just 100 miles off the U.S. coast since the U.S. embargo on Cuba started in the early 1960s.

Most Americans - including President Obama - weren't alive when the embargo went into effect. So get up to speed on the last five decades of American foreign policy toward Cuba.

Why did the embargo start in the first place?

The U.S. began imposing sanctions against Cuba after Fidel Castro seized power in 1959 and soon after nationalized more than $1 billion in American assets on the island. That's two years before Obama was even born.

The U.S. ratcheted up sanctions on Cuba in 1960 and 1961 with President John F. Kennedy making the embargo official in 1962.

Diplomatic relations between the United States and Cuba broke off in 1961 as tensions between the two nations increased after Cuba signed a trade agreement with the Soviet Union. Relations remained mostly frozen throughout the Cold War.

Today, Cuba remains an autocratic regime - Fidel Castro's brother Raul is president - with a poor record on human rights and a track record of silencing dissent and restricting the rights of its citizens.

What kind of restrictions does the embargo currently impose?

The embargo not only keeps American companies from doing business in Cuba, but also prohibits most Americans from traveling directly there or spending money as tourists.

American citizens can face up to a $65,000 fine for spending money in Cuba, according to the U.S. Treasury Department. The embargo also limits the amount of individuals can send to family living in Cuba.

So what's changing?

Both countries will work toward reestablishing embassies.

The U.S. will ease travel restrictions, making it easier for Americans to travel to Cuba and do business there.

U.S. and Cuban banks will be allowed to start building relationships and that means American travelers will be able to use their credit and debit cards when visiting.

Americans returning from a trip to Cuba can now return with up to $400 in Cuban goods, a quarter of which can be spent on alcohol and tobacco.

Think Cuban cigars.

Is U.S.-Cuba prisoner swap an ice breaker?

And in return, Cuba will free 53 political prisoners and significantly relax its restrictions on Internet access. Gross had been arrested after delivering satellite phones and other communications equipment to Cuba's small Jewish population.

So why doesn't Obama just end the embargo altogether?

He can't. Only Congress can end a trade embargo, which is enshrined into law. But according to White House officials, the President can ease certain restrictions under his executive authority.

This is the third time Obama has acted to ease the embargo. But policy changes in 2009 and 2011, which eased travel restrictions for Cuban-Americans and later for academics and religious groups, didn't come close to the scope of Wednesday's landmark agreement.

Cuba Fast Facts

Does the U.S. have international backing to keep the embargo in place?

Barely. Over the last two decades, the United Nations General Assembly has voted each year against the embargo, calling on the U.S. to reverse its policy.

Only Israel has joined the U.S. in voting against the resolution.

What's the political climate like in the U.S.?

It's shifting and more political leaders and Cuban-Americans have been calling for changes in the U.S.'s policy toward Cuba in recent years.

Cuban refugees in the U.S and their descendants have historically been the most vocal group in calling for a tough U.S. policy against Cuba. But nearly 7 in 10 Cubans now favor reestablishing diplomatic relations with Cuba and about half want the U.S. to end the embargo, according to a Florida International University poll this summer.

That has changed the climate of politics in the Miami-area and throughout Florida where most of the Cuban-American community resides, a shift that is sending ripples throughout the country.

What have politicians been saying about Cuba recently and what's the Pope got to do with it?

Former Secretary of State and potential 2016 presidential candidate Hillary Clinton has called for an end to the embargo, calling it "Fidel Castro's best friend."

And President Obama stopped short of calling for an end to the embargo, but made it clear in 2013 that the U.S. policy needs to change.

"The notion that the same policies that we put in place in 1961 would somehow still be as effective as they are today, in the age of the Internet and Google and world travel, doesn't make sense," Obama said at a November 2013 fundraiser in Florida. "We have to continue to update our policies."

A month later, Obama shook hands with Castro at Nelson Mandela's funeral in South Africa in a moment that played on TV screens around the world. Since then, negotiations have continued and even the Pope weighed in. He recently wrote letters to both Obama and Castro encouraging compromise.

But a pair of potential 2016 Republican presidential candidates from Florida have emphatically defended the embargo.

Former Florida Gov. Jeb Bush, who announced Tuesday his decision to "actively explore" a 2016 run, said this year the ban should actually be strengthened, not lifted.

And Sen. Marco Rubio, whose parents fled Cuba after Fidel Castro's takeover, has called the embargo "the last tool we have remaining to ensure that democracy returns to Cuba one day."

How has Gross' detention impacted the debate?

Gross' imprisonment in 2009 set off a series of diplomatic exchanges between the two countries that involved prominent U.S. politicians.

Sen. Patrick Leahy, chair of the Senate Judiciary Committee, led congressional delegations to Cuba in 2012 and 2013 to secure Gross' release that included in 2013 three Democratic Senators, a Republican Senator and two Democratic congressmen.

That same year, 66 senators wrote President Obama urging him to "act expeditiously to take whatever steps are in the national interest to obtain [Gross's] release."

And in November, Sens. Jeff Flake, a Republican, and Democrat Tom Udall traveled to Cuba in another attempt to negotiate Gross' release.

In 2011, former President Jimmy Carter also made an attempt as did former New Mexico Gov. Bill Richardson, whose efforts were backed by the State Department.

Sounds like a lot of political capital has been poured into this effort. How much has Cuba been impacted by the embargo?

Cuba said in 2011 that the economic damage of the U.S. embargo has topped $1 trillion in its five decade history.

The embargo's crippling effects on the Cuban economy prompted Raul Castro, the brother of the country's famed dictator, to beef up efforts to end the embargo once he took the helm in 2008.

While Cuba was sustained by a serious trading relationship with the Soviet Union throughout the Cold War, the Cuban economy took a hard hit with the Soviet Union's collapse in 1991.

@highlight

Obama will ease sanctions imposed against Cuba for more than 50 years following the release of Alan Gross

@highlight

The changes will ease travel restrictions and allow U.S. and Cuban banks to build relationships

@highlight

The changes come after a flurry of diplomatic efforts to free Gross and changes in the political dialogue in the U.S.