(CNN)Is there anything Monopoly can't do?

Over the course of its 80-year life, it's been played underwater, underground, in space (OK, just the tokens) and on giant game boards. It's used chocolate and featured real money. There have been games that barely lasted the night and marathon contests that went on for weeks.

Not bad for a game that, according to lore, maker Parker Brothers originally rejected for containing "52 fundamental errors."

March 19 marks the official 80th anniversary of the world's best-selling board game, now manufactured by Hasbro. Its circuitous history, like its game board, has been filled with several interesting turns. Here are a few:

Legend has it that Charles Darrow, an unemployed salesman, invented the game in his kitchen in 1930. But the roots of Monopoly actually date back a few more decades, to a game called the Landlord's Game created by Elizabeth Magie in 1903.

The Landlord's Game was meant to be educational, illustrating economist Henry George's belief -- inspired by the Gilded Age -- that property ownership by individuals is inherently unfair. Magie's game was an underground success, leading to a number of offshoots, including the one that Darrow tweaked. Parker Brothers bought her patent for $500 in 1935, closing the loop.

As for Darrow, he was inspired in 1932 by a version created by a New Jersey Quaker community that made Atlantic City the locale of the game. Darrow added colors and other design elements -- "a look and feel to his board that would prove immensely appealing," writes Philip E. Orbanes in "Monopoly," a 2006 history of the game.

Darrow's game was initially rejected by Parker Brothers for three errors -- not 52 -- but when his independent sales took off, Parker Brothers bought the game from him. The date? March 19, 1935.

The numbers are staggering. Monopoly has been translated into 47 languages. It's played in 114 countries. It's sold more than 275 million copies.

Hasbro prints $30 billion in Monopoly money each year, and well more than $3 trillion has been printed since 1935. Not bad considering each standard game comes with $20,580 -- though it's in the rules that the bank can never go broke, so make up some scrip if you need it.

Incidentally, the Monopoly Man -- named Rich Uncle Pennybags -- was likely based on mustachioed financier J.P. Morgan.

Even before numerous editions of Monopoly were widely licensed, there were local board variations depending on the country. Boardwalk, for example, is Mayfair in Britain, Schlossallee in Germany, Kalverstraat in the Netherlands and Rue de la Paix in France, after major streets in London, Berlin, Amsterdam and Paris. Other streets have also drawn from local geography.

The new "Here & Now" U.S. edition, however, opened the voting to enthusiasts -- and Pierre (population 14,000), the capital of South Dakota, won pride of place as Boardwalk. (Lima, Peru, won the World Edition.)

Pierre was one of 60 cities in the running, Mayor Laurie Gill said, and was "in the bottom of the pack" when she was informed of the contest. Being a competitive sort, she was determined to push Pierre past perhaps more logical cities such as New York or Los Angeles.

"It's our energy and the fact we engaged our citizens," she told CNN. "I was doing radio and press releases and working with our school district, and our Chamber of Commerce utilized social media. It became a big deal here."

One consideration for visitors: Pierre is on the Missouri River, but it lacks a literal boardwalk. (There are paths.) Still, given the city's triumph, you probably wouldn't want to play Monopoly against an energized Pierre resident.

Pierre may be doing better than Atlantic City, which has struggled since the mid-2000s to return to its gambling heyday. Still, the New Jersey resort does have Monopoly to thank for some of its fame -- not that it was appreciated at one time.

In the early '70s, a city commissioner proposed renaming Mediterranean and Baltic avenues, since both had other names in different parts of town. The idea caused an uproar among Monopoly fans and the idea was eventually shot down.

"Baltic and Mediterranean are the streets we know," wrote one commissioner. "Without them, we could never pass Go."

Do you put money from Chance and Community Chest in the center of the board and collect it when landing on Free Parking? Not in the rules. Do you give $400 for landing on Go instead of $200? Not in the rules. Do you allow secret side deals? Uh-uh. (Admittedly, there is now a set of "House Rules" that allow for variations, but they're not official.)

The dismissive line "Do not pass Go, do not collect $200," which has worked its way into a few songs, is from Monopoly. And the game also gave us the term "Monopoly money," as in worthless currency.

There aren't many movies featuring the game, but "One Flew Over the Cuckoo's Nest" has a famous scene with William Redfield and Danny DeVito arguing over DeVito's play. Stay tuned, though: a Monopoly movie is back on after several years in Hollywood purgatory.

So forget the classic definition of "Monopoly money." Hasbro has taken quite a bunch to the bank.

The original set featured a top hat, iron, shoe, thimble, battleship and cannon. Over the years, some pieces have been retired -- including a purse, rocking horse and lantern -- and others have been added. The latest? A bag of money and a cat. And they're all still made of metal, just as they've been for decades.

Want to win at Monopoly? Though there's some chance involved (pardon the pun), the low-rent light blues and the mid-market oranges are the most desirable, according to a study done for Maxine Brady's 1974 "The Monopoly Book." The oranges and reds are the most likely to be landed on. The more upscale greens will pay off eventually, but they're expensive to develop, so you'd better have another form of cash flow in the short term.

Or you could just do what millions have done since Darrow's day: Land on someone else's hotel, get mad and turn over the game board. Hey, it worked in college.

@highlight

Monopoly celebrates 80th anniversary on Thursday

@highlight

Popular board game actually has origins in early 20th century

@highlight

Game has inspired catchphrases, made streets famous, prompted different rules