(CNN) -- Today is the 45th anniversary of the assassination of Dr. Martin Luther King, Jr., a champion for freedom, civil rights and justice.

I was blessed to be with him the last weekend before his death. I remember the trauma he felt as a result of his opposition to the war in Vietnam.

Before going to Memphis, King had the Rev. Ralph Abernathy call for a staff meeting in his church study on a Saturday morning. His close aides came. King complained that he had felt the pain of "a migraine headache for four days." He said, "Maybe I've done as much as I could. We've come from the back of the bus, gotten the Voting Rights Act, the Civil Rights Act..." One of us -- Andy Young -- asked him not to talk that way. King responded, "Don't say peace when there is no peace."

Many of his supporters had turned against him because of his position on the war in Vietnam, but King felt he had to do what was right. He contended, "There are those who want me to confine my morality to the war on poverty and overlook the war in Vietnam. However, the bombs in Vietnam ultimately explode at home because of poverty." He contemplated fasting until he was near the point of death, anticipating that "those who disagree with me would come to my bedside and we could reconcile."

But then he shook off his pessimism and declared, "Let's turn a minus into a plus, like we did before. Let's make this nation deal forthrightly with the issue of poverty."

It was with this insight in mind that we went on to Memphis to work with sanitation workers. Beyond their work and their stained uniforms, these workers wanted their children to graduate from college and to attain the American dream.

King was invited to speak at the Mason Temple church, but he still suffered from a migraine headache. He sent Abernathy and me in his place. It was a big space, and everyone applauded, assuming King was behind us. We went to the back of the church and called King to tell him he had to come, even if not for long. He came. That night, he gave the now famous "mountaintop" speech.

Yet, Memphis is memorable less for the accolades for King than for the condemnations of him. We idolize him now as a martyr; we but rejected him as a marcher.

Dr. King was invested in the war on poverty, but the federal government and the media were invested in the war in Vietnam. He was invested in justice, but many in the world were invested in the status quo. He was vilified, lied to, spied upon, jailed and threatened. Sick and misguided people wanted to see Dr. King dead, but he represented a truth that lives cannot deter, that jails cannot confine, and bullets cannot kill. Those who shot him meant it for evil, but instead they shot him into immortality. King cannot be buried.

When confronted with a dilemma, King often said that we face three questions: First, our vanity asks "Is it popular?" Second, politics asks the question "Can it win?" Finally, conscience asks the question, "Is it right?" It may be neither popular nor politic, King argued, but if it is right it will prevail.

In the time since King saw his vision from the mountaintop, much has changed for the better. Three women have been appointed to the Supreme Court; voting has become more democratic; women sit on juries as well as men; students vote en masse. We now have a black president and our state legislatures and local governments are comprised of people who are black, Asian, Hispanic, white, female and male.

Ultimately though, King's work was not about complexion, but direction. He fought for freedom, but equality was the next stage. Freedom was the absence of barbarism and sickness; the fight for equality is a move towards sharing resources.

Former allies in the freedom movement would not necessarily be our allies in the equality movement. We may go to sporting events together, like when the New Orleans Saints play the Atlanta Falcons, but when the game is over we rarely vote together, do not share capital and grow together. We are missing an opportunity and growing apart.

While we struggle over the battles of sequestration and fiscal cliffs, we ignore the growth of poverty. Instead of horizontal divergence based on race, we now face vertical polarization that separates the haves from the have-nots. There is no apparent plan for reconstruction.

If King were alive today, I imagine he would cry out for new priorities. He could not rest with the new forms of war and old forms of poverty. He would abhor the political polarization that is the new normal in American life. He would challenge the rhetoric of states rights and its attempt to undermine a more perfect union. King fought for democracy over Democrats, the republic over Republicans, a one big-tent America: everybody in and nobody out.

The opinions expressed in this commentary are solely those of Jesse Jackson.

@highlight

Today is the 45th anniversary of the assassination of Dr. Martin Luther King Jr.

@highlight

Rev. Jesse Jackson: King's work was not about complexion, but direction

@highlight

He says if King were alive today, he would fight against poverty, polarization

@highlight

Jackson: King fought for a one, big-tent America, everybody in and nobody out