I was about halfway through the marathon when I saw the man with the plastic pink flamingo. Like me, he was jogging down a highway in coastal North Carolina. Unlike me, he had a beanie -- yes, with propeller -- perched on his head.

I was running my first marathon, inspired by the terrorists-be-dammed attitude emanating from the #runforboston hashtag after the Boston Marathon bombing. I'd pledged to run the race shortly after two blasts at that race in April of last year killed three people and injured hundreds. And I'd asked people from CNN's iReport community to join me, documenting our yearlong journeys together online. More than 300 people joined the project. We don't share geography or ideology, but we do share the run -- a willingness to try to do something in response to tragedy.

The man with the flamingo was Scot Barco, a marathon mini-celebrity of sorts who was running his 100th 26.2 mile race -- a feat that seemed like the most insane running-related thing (maybe anything-related thing) I'd heard up to that point.

That was before Barco told me two more facts: He got engaged on a marathon; and got married on mile six of a subsequent marathon. Kept running till the end.

I jogged alongside him for a few minutes on that Sunday in November at the Outer Banks Marathon, both because I was curious and because I hoped to learn something. I wanted to finish the race, but wasn't entirely sure I could. The farthest I'd run before I started training, seven months before then, was six miles. I had to do a training program in order to start a for-real marathon-training program. Plus, I've been told that when I jog I look something like a constipated Velociraptor.

I don't seem like the person who's cut out for this.

I needed help.

But I didn't anticipate what Flamingo Man would teach me.

It's been about a year since April 15, 2013, when the bombs went off in Boston. I can't claim to understand what it's been like for the victims of that tragedy or for their families. But I can tell you that people around the world, including myself, were inspired to do something personal and positive in response to that dark day. By running in response to the tragedy, we weren't attempting to negate the irreparable harm done to the people of Boston last year. We felt helpless in that moment, and we wanted to do something, anything, to try to process it.

We laced up some sneakers and took to the streets.

Are you at the Boston Marathon? Share your photos

Becca Obergefell seemed like the movement's online leader. The young woman from Ohio started a Google Doc where people all over the world could log the miles they'd run in honor of the victims and survivors, and in solidarity with the city. She encouraged people to use apps like Charity Miles that donate to nonprofits as you go. More than 35,000 miles were logged on a Google Doc she created shortly after the blasts.

"The day I identified myself as a runner was the day I heard about the bombings at the Boston Marathon," wrote on iReporter Theresa Kutsch, 55, a typist in Iowa City, Iowa. "I vowed to keep up my own training to honor the runners and fans whose races and lives were interrupted in Boston," she wrote.

"I pledged to run for those who no longer can."

What I realized after joining running's enthusiastic cohort is just how much this community of individuals matters -- and how it takes care of its own.

Many runners have needed that community a little more this year.

Take Mark Giannetti, a 24-year-old market analyst who lives and works within blocks of the bombing site in Boston. He was evacuated from his office with only a gym bag the day of the bombing, and was holed up for days at his mom's house, unable to return to the area. Partly because of those logistics -- no clothes other than those for a run -- and partly because he just felt like he needed to do something, Giannetti, who never had run competitively, started running through his city.

He wanted to figure out, in a literal sense: "Where's the edge of where I'm allowed to be?" How close could he get to his home, which was acting as a staging post?

But he also would stretch his personal limits.

Soon he found a large group of like-minded people, out there on the streets just trying to relieve the stress of being evacuated from home and work. They started running meet-ups, donated to the One Fund Boston charity to help the bombing victims -- and eventually formed a community that still exists.

Giannetti is currently training for a half-marathon and hopes eventually to qualify to run a full one in Boston. His dad died in February, and the last time he saw his father was at a 5K race outside Boston, which his dad had flown in from Colorado to watch.

He uploaded a finish photo with his dad and mom to CNN iReport.

Giannetti took first place in the race for his age group.

It was only after his dad died that Giannetti realized, while digging through his father's things, that he had medals from track and cross-country races in high school, and that he had new and apparently unused triathlete jerseys.

Running became a bridge to his dad.

And a way to cope with the bombing.

"Starting running in a really stressful time showed me how much potential running has for being a stress reliever," he said. "It's kind of a lifestyle. Once you get into it you get pretty addicted to it. You feel so much better."

"It became a lifestyle and it became a community as well."

I've encountered and read about so many incredible people over the past year. In April, two weeks after the Boston bombing, I went to Oklahoma City to watch Sara Hunt finish the marathon she started in Boston, but wasn't allowed to complete.

I thought of her and her teary-eyed finish when I was running my own race. How she met strangers along the route who helped her push through a difficult run.

And I thought of heroes like Adrianne Haslet-Davis, a dancer who lost her left foot in the second blast in Boston and vowed to dance again.

You can see her doing just that in a CNN documentary, "Survivor Diaries."

My journey isn't as meaningful as those.

But since I'd made the pledge, and since I'd spent so many months training to get to that super-flat course in the coast of North Carolina, I did want to finish. Nike+ tells me I logged more than 400 miles in my seven months of training (I didn't use the app for every single run, and it's a little glitch-prone, so that's an estimate). I'd run 20 miles before the race, but never the extra 6.2 you need for a marathon.

I ran up behind Barco, the man with the pink flamingo, hoping for tips.

What I found was a person in crisis.

He hid it at first, but I soon realized Barco was in immense pain. His ankle was shot, probably from the wear and tear of so many races in such a short time, he said. He started tearing up as he told me how dozens of his friends had come to the race, holding signs with his name and face on them, to support his 100th marathon.

What if he didn't finish? What if he let them down?

I know nothing about marathon running, really, and I'd never met Barco before. But I walked beside him for a several minutes and offered any consolation and encouragement I could. I told him he absolutely would make it.

He'd already run 99 marathons. What's half a marathon more?

I know from the online register that he did finish the race. And I want him to know he was part of the reason I did, too. I had to -- not just for myself but for him. And for all the other people who I'd met and who helped me over the course of the year.

Even at his weakest point, he still offered me encouragement.

It's why he carries the flamingo, which has its own Facebook page: Magenta the Road Trip Flamingo. He hopes it might lighten someone else's load.

"You've gotta try to get out there and be a positive force on the marathon course as well as in the world," he told me.

Running a marathon is something no person can do alone.

All runners know that.

So you help each other.

You run towards the blast to help the victims.

You raise money to heal the wounded.

You offer kind words to a stranger.

It's a given, just what you do.

And when you're around them for a while, it starts to seem contagious.

@highlight

John Sutter organizes Run for Boston group on CNN iReport

@highlight

More than 300 runners pledge to run races in solidarity

@highlight

Sutter: The running community has rallied around the tragedy

@highlight

iReporter Theresa Kutsch: 'I pledged to run for those who no longer can'