Shanghai, China (CNN) -- For more than a decade, television journalist Xuan Kejiong has covered almost every major disaster in China's largest metropolis, from fires and typhoons to robberies and murders.

His regular presence on the scenes of misfortune has inspired local viewers to jokingly call him Shanghai's face of tragedy.

But it's Xuan's serious investigative reporting and energetic live presentations that have earned him widespread attention and respect.

The 34-year-old reporter for Shanghai TV is now arguably the most famous journalist in the city of 20 million residents. Competitors profile him in their newspapers and magazines, while local websites are abuzz over his professional and personal life.

One recent Wednesday Xuan raced to the city's northeast during the morning rush hour after a tip that a security guard in a residential compound had died suddenly.

"It could be just natural causes, but security guards are an underprivileged group. I want to do a bit of digging on their living and working conditions," he told his cameraman in the car. "You get the shots first - he died inside the guardhouse at the entrance."

As the car pulled over, Xuan leapt into action, as police and onlookers crowded a rather chaotic scene. Yelling and shoving ensued after employees from the property management office turned hostile to the TV crew.

Undeterred, Xuan kept cajoling and probing. The death seemed to have involved no foul play. Xuan filed a live phone report in the car on his way back to the downtown newsroom -- and then it was on to the next case and another chance to tell the stories of the city's less fortunate.

"I feel it's my responsibility to let the truth help promote social progress or solve social problems," the Shanghai native said. "If I can do that, it gives me a sense of accomplishment."

Xuan's coverage of a devastating apartment building fire that killed 58 people last November cemented his journalistic reputation. He was the first reporter to enter the charred high-rise after the fire was put out, capturing some extraordinary pictures of destruction amid the intense heat and smoke.

But Xuan -- a Communist Party member -- is guarded in talking about the parameters within which he reports.

Like all news outlets in China, Shanghai TV is state-run and falls under the same extensive system of control and censorship, both on air and online.

"In the past few years, the media environment has become more relaxed for us, thanks to the growth of the internet and of public expectations," said Xuan, who tweets frequently about his stories and thoughts on Weibo, China's equivalent of Twitter.

With the internet blurring the boundary between local news and national or even international news, analysts say the work of reporters like Xuan reflects greater social trends and show the difficulties ordinary people face in their daily life.

"These reports don't usually enrage or embarrass the authorities. That's why they are more appealing to officials -- and make them more willing to acknowledge problems and try to address them," said Bu Zhong, an assistant professor in journalism at Pennsylvania State University in the United States and a long-time observer of China's news media.

"Sharp direct criticisms are necessary, but it's often more effective to be gentle critics in China -- and the internal changes they prompt are more profound and long-lasting."

Despite a 24/7 work schedule that has at times strained his marriage, Xuan says he will keep probing, looking for the truth and giving a voice to the voiceless in order to promote social progress.

"An ancient Chinese saying says that a journey of a thousand miles is made up with all the small steps," he said. "And I believe that."

@highlight

Xuan's serious investigative reporting, energetic live presentations have earned him respect

@highlight

Xuan is a Communist member

@highlight

He is guarded in talking about the parameters within which he reports