Jerusalem (CNN) -- The number of anti-Semitic incidents around the world more than doubled from 2008 to 2009, according to a Tel Aviv University study.

In 2009, 1,129 such incidents were recorded -- an increase of more than 100 percent from the 559 incidents noted in 2008, according to the study, released Sunday by the university's Stephen Roth Institute for the Study of Contemporary Anti-Semitism and Racism.

"In addition, many more hundreds of threats, insults, graffiti signs and slogans and demonstrations featuring virulently anti-Semitic content were registered, sometimes resulting in violence," the study said.

Researchers documented only those incidents that showed "clear anti-Semitic content and intention," according to the study. However, the actual number might be higher, as some Jews may not have reported incidents, the study said.

The sharp increase can, at least partially, be attributed to Israel's incursion into Gaza in late 2008 and early 2009.

The 22-day operation "triggered a wave of anti-Semitic manifestations that swept the world," the study said. "This trend subsided in February and March, but even during the months that followed this peak of anti-Semitic incidents, the baseline remained higher than before the war.

"In fact, there has been a rising trend since the early 1990s, even in years when there was no significant Middle East trigger. Thus, the origins of the 2009 escalation in anti-Semitic expressions must lie deeper."

Arie Zuckerman of the European Jewish Congress, a co-sponsor of the report, said: "In the past we have seen spikes in the level of anti-Semitism after violent events occurred in the Mideast, but it would recede. But we have never seen such a sustained, organized campaign being waged against Israel's legitimacy and its supporters around the world."

The report said, "Memory of the Holocaust lies at the core of much anti-Israel and anti-Semitic agitation. It encapsulates several and even contradictory themes: the Holocaust did not happen; Zionists use the Holocaust to divert attention from Israeli actions against Palestinians; it's a pity that not all Jews were murdered in the Holocaust; Israeli behavior is comparable to that of the Nazis."

For purposes of the study, researchers considered incidents involving physical violence, not verbal threats -- an assault on an individual, for instance, vandalism at Jewish institutions or arson.

The largest increase in the number of violent anti-Semitic incidents and vandalism in 2009 occurred in the United Kingdom -- 374, compared with 112 in 2008, according to the study.

The number of incidents in France rose from 50 to 195. There were repeated attacks on synagogues in France as well as a September incident in which a Molotov cocktail was thrown at the Jewish ORT Bramson High School in Marseille. No one was injured, but a fence and vehicles were damaged.

The United Kingdom and France are home to the largest Jewish communities in Europe, the report said. Both also have some of the largest Muslim communities in the European Union "and since 2000, in particular, have become centers for the activities of extremist anti-Israel groups and individuals that preach and disseminate anti-Semitic messages."

Other incidents in Europe included a March 2009 attack on three Jews in Brussels, Belgium. The victims were beaten with a steel bar, while the perpetrators shouted "Allah Akbar" or "Allah is great" and "Yahud, Yahud" or "Jews, Jews." One victim was hospitalized with serious injuries, according to the study.

In Canada, anti-Semitic incidents rose from 13 in 2008 to 138 in 2009. The United States posted a small rise -- 116 from 98.

The study points out that many countries where anti-Semitism has risen have large Muslim minorities. Traditionally, in the past anti-Jewish acts were the product of right-wing, neo-Nazi groups, but the study said most of the European incidents in which perpetrators were classified pointed to those of Arab or Muslim background.

The study expressed great concern over what it called "the abuse of the Holocaust as a political tool ... the equation of Israelis/Zionists/Jewish supporters of Israel with Nazis became practically an axiom in demonstrations and in expressions voiced in the political and academic arena. The equation of the Star of David with the swastika symbolizes the ultimate evil --- extreme brutality and a disregard for human values -- and implies that those that allegedly behave like Nazis, the monster of the modern era, have no right to exist."

Anti-Israel activists often insist they are not against Jews as individuals but are opposed to Israeli policies regarding the Palestinians. But the study insists that those distinctions are being blurred. "Incited by demonization of Israel and the idea that 'Jews must pay,' perpetrators of anti-Semitism make no distinction between Israel and Jews worldwide, who for them are part of a single evil entity."

The study was released the day before Holocaust Remembrance Day. Sirens sounded nationwide in Israel for two minutes Monday in observance.

In remarks Sunday night at a state commemoration of the day, Israeli Prime Minister Benjamin Netanyahu took note of anti-Israeli sentiment.

"Here we are today again, witnesses to the fire of the new-old hatred, the hatred of the Jews, that is expressed by organizations and regimes associated with radical Islam, headed by Iran and its proxies," Netanyahu said.

Netanyahu called on nations to oppose such sentiment. "If we learned anything from the lessons of the Holocaust, it is that we must not remain silent and be deterred in the face of evil."

CNN's Kevin Flower contributed to this report.

@highlight

Israeli incursion into Gaza "triggered a wave of anti-Semitic manifestations," study says

@highlight

Tel Aviv University study reports 1,129 such incidents in 2009, more than double previous year

@highlight

Study: Britain, France "have become centers for the activities of extremist anti-Israel groups"

@highlight

Report expresses concern over what it calls "the abuse of the Holocaust as a political tool"