Islamabad, Pakistan (CNN) -- The recent convictions of Pakistan cricketers Salman Butt, Mohammad Asif and Mohammad Amir brings to an end this sad chapter on corruption, however, the full story will continue as names of other players were also mentioned during the trial; they will be investigated and further action may also be taken.

Butt, Asif and Amir sold themselves for a relatively modest amount of money and in the process destroyed their careers and brought cricket and Pakistan into disrepute.

The fact that three players, possibly more, were involved is worrying; none of them considered that what they were doing was not only wrong but also dishonest and illegal.

In Pakistan, where cricket provides a welcome distraction from the internal security threats and the terrible natural disasters the country has faced in recent years, there is a sense of outrage and anger at being let down by people who were role models for hundred of thousands of fans.

I believe that the convictions for the players were correct. In addition to the jail sentences and fines they have all been banned for five years from any form of cricket.

I do feel sorry for teenager Amir; while I am not convinced that he was coerced or pressurized, he was naive and in all probability did not fully appreciate what he was doing or its consequences due to his background and education.

Butt and Asif must never again play for Pakistan; I would treat Amir's case with more sympathy but it will be very difficult for him to get back into international cricket in five years time. I am not happy with the sentence given to agent Mazhar Majeed; it should have been much tougher.

For me the important question is how did this happen; what lessons did we learn and what should the game do going forward?

It was very clear that the three players did not understand the ethos of the game or what the spirit of cricket means. They also callously ignored the ICC Code of Conduct on corruption and matching fixing.

The ICC has an excellent program for awareness and prevention of corruption; so where did the message fail to get through?

The ICC works in partnership with every cricket board to educate the players on corruption. In this case it is clear that the Pakistan Cricket Board did not do enough.

This was a major failing and the PCB should not only accept responsibility for this but undertake to ensure that it does not happen again.

The team management had concerns about the players' agent but failed to do anything about it. There had been rumors about the team's performance in Australia before the tour to England, yet no measures were taken to tighten the controls around the players and stop outside influences from having access to them.

When the News of the World broke the story, the PCB went into denial implying this was a conspiracy against the Pakistan team; this forced the ICC to take action against the players something the PCB should itself have done.

After the match fixing scandals in the late 1990s the PCB worked very hard to eradicate corruption from the game. Certainly, until 2006 when my term as President of the ICC came to an end, I was confident that the PCB and specifically its chairmen during my time, made great efforts to prevent and monitor corrupt practices in Pakistan cricket.

But things have gone dreadfully wrong in the past three to four years and Pakistan cricket has paid the price of a weak governance structure.

The chairman is appointed by the president of the country without a consultation process with any of the key stakeholders in the game.

The PCB chairman is not accountable to anyone; some years ago the PCB chairman also assumed the position of chief executive and downgraded the role of the CEO to chief operating officer; this destroyed whatever little checks and balances existed within the PCB.

Without a sound governance structure and professional management, corruption will remain a huge risk for Pakistan cricket.

I do not believe that corruption is endemic in cricket; almost all of the Test playing countries have a robust anti-corruption regime.

During my time with the ICC I met with Paul Condon, the then chairman of the ICC Anti-Corruption Unit, for one to one briefings on corruption.

He was confident that match fixing was not taking place but was not so confident about 'spot fixing' where one or more players could be corrupted; this was difficult if not impossible to monitor.

These incidents can be avoided by the national cricket boards having a robust education program for the players; appointing mentors from within the team to help and guide new players and having an effective anti-corruption units to monitor domestic as well as international cricket.

Most of the boards already do this; unfortunately the PCB's anti-corruption program was not effective. The education program for the players should start when they first start playing domestic first class cricket.

For its part, the ICC must engage with the governments of countries such as India, UAE and Pakistan where a very large unregulated betting industry exits.

The epicenter of cricket betting is India; hundreds of millions of dollars are bet on each match, particularly when India is playing. The ICC Anti-Corruption and Security Unit is not able to access the betting odds being offered or monitor suspicious bets being placed. Unless betting is regulated in these countries it will remain very difficult to stop players being approached.

I would also like to see the ICC have the powers to carry out an annual review of the anti-corruption processes of every Test playing country; testing the players and relevant officials through annual on-line questionnaires to assess how well they understand the ICC Code of Conduct on corruption.

Where players get low scores the ICC should have the authority to require the player's board to take remedial action and re-training of the board's officials in-charge of educating the players.

In case of extreme failure on the part of a board to demonstrate that it has a robust anti-corruption program, the country should be suspended from international cricket until the ICC Board is satisfied that the particular country has put a robust anti-corruption regime in place.

The opinions expressed in this commentary are solely those of Ehsan Mani.

@highlight

The convictions of three Pakistani cricketers is not the end of the story

@highlight

Other players names were mentioned in the trial and they will also be investigated

@highlight

The Pakistan Cricket Board should accept full responsibility for what has happened