(CNN)Olajumoke Adenowo's life is one of numbers.

She enrolled at the University of Ife at just 14. Five years later, she had her first degree in architecture, and by 23 she was employed and designing her first building. Three years later, she set up shop solo, and two decades on she is one of Nigeria's most accomplished architects.

Always an overachiever, the ambitious builder -- once described as the "face of architecture in the Nigeria" -- has dedicated her illustrious career to reimagining her homeland's landscape.

Involved in the design and construction of over 70 buildings, she has brought institutional facilities, epic 2,500-seat auditoriums, residences, estates and cutting edge corporate offices to life.

Adenowo's hugely successful career is no doubt a reflection of the dreamer's passion for her craft, and her success has been confirmed by  numerous architectural accolades awarded to the 46-year-old.

Besides these business-based achievements, her work with women pushing for gender equality -- Adenowo hosts her own radio show mentoring women -- has seen her receive several commendations from the likes of the United Nations Information Center over the years.

Here she reveals to CNN how she designs both functional and beautiful structures across the continent, her top tips for success and why she wants to inspire the next generation.

Mentorship is vital. Upon graduating at an early age, Adenowo quickly found work at Femi Majekodunmi Associates architectural firm where she impressed her boss -- then the President of the International Union of Architectects -- with her passion and enthusiasm. The work ethic she displayed opened up great opportunities for the rising designer who was soon asked to create the Federal Ministry of Lands in Abuja. "I was always ready. I would be at the office at 11pm on Sunday when other girls are dancing or something. I think my boss saw my passion and he gave me a chance," she says. "If we had more mentors like that in Africa, I believe the younger generation would blossom faster."

It's OK to work things out as you go. At 25, Adenowo decided to go it alone and start her own company, AD Consulting. It was a big risk to undertake but her reputation as one of Nigeria's most prominent architects proves that sometimes you have jump into the unknown. "The office was a little bigger than three chairs. It was myself and a young boy who sat in the corridor but I started anyway because I believe that you do what you can with what you have, where you are."

Great architecture isn't just a building. Adenowo explains that to build a great building, you have to have an omniscient outlook. "You have to know history, you have to understand culture, sociology, anthropology. You need to know physics, you have to understand chemistry to a point. You have to understand art and the history of art to be a really good architect," she says. "Good architecture is about the spirit of the age. If you look at a pyramid, it talks about one man's quest to be immortal ... It's 4,500 years old and we still see them. We can no longer forget those pharaohs because of architecture."

Go a step further than 3D. "My buildings all have a fourth dimension and the fourth dimension is time. Each space I design changes in time. I design lighting schemes in such a way that by night the building is a totally different entity from what it was in the morning. I design buildings in such a way that as you move through the space, you experience something new at every step."

Passion doesn't just come from within. "The passion comes from my clients. I feed off their energy... I would do anything for my clients to make sure that their buildings come out the way they should."

Take ownership and inspire. Despite juggling a prosperous career and a family at home, Adenowo still finds time to mentor women through her weekly radio show. She also founded the Awesome Treasures Foundation in 1999, which helps mentor women and young girls. "We believe the greatest need of Africa is leadership, vision. Strong people who are ready to give their all to say, 'this is the way', and Awesome Treasures is here to address that need, to raise transformational leaders."

The sky's the limit. Adenowo may have achieved great success but that doesn't mean she's resting on her laurels. "In the next five years, it would be a dream come true if I have the opportunity to design a building that would define Nigeria's identity. The way you see the Tour d'Eiffel and you think Paris, the Empire State Building and you think New York."

@highlight

Olajumoke Adenowo is one of Nigeria's leading architects

@highlight

At 23, she had designed her first building -- Federal Ministry of Lands in Abuja

@highlight

Here she tells CNN how she made it, why she mentors and her biggest dreams