(CNN) -- President Barack Obama is probably the most pro-woman president in U.S. history, but his signature racial justice program, the My Brother's Keeper initiative, is for males only.

That's wrong and needs to change.

The President should follow the advice of more than 1,000 women of color who, this week, wrote a letter to urge him to include the sisters as well as the brothers.

The women include civil rights icons Anita Hill and Angela Davis, movie stars Rosario Dawson and Rosie Perez, and writers Alice Walker and Sapphire. The signers also include schoolgirls, working-class women and, I'm proud to say, my 70-year-old mother, a retired schoolteacher, and my sister, a stay-at-home mom of two teenage boys.

My mom, Legertha Butler-Walton, is Obama's biggest fan. But she says she didn't march with Martin Luther King Jr. to get the "whites only" signs taken down, only to have the nation's first black president put up a sign that says "men only."

There's a myth that girls of color are doing better than boys. But that's not supported by the facts. Indeed the White House website attempts to justify MBK's exclusion of females by stating that "boys of color are too often born into poverty and live with a single parent."

But don't African-American girls live in the same single-parent households as African-American boys? Don't Latina girls attend the same failing schools as Latino boys? Isn't a teenage girl on a reservation in California as afraid of being a victim of rape as a teenage boy in Chicago is afraid of being a victim of gun violence?

Indeed African-American and Latina women are the poorest members of our society. According to a study by the Insight Center for Community Economic Development reported on NPR, the average net worth of a white woman is $41,000. Compare that to $100 for black women, and $120 for Latinas.

Although African-American men are, generally speaking, not doing well either, they earn more money than African-American women, and are less likely to be raising children on poverty-level wages. The average net worth of an unmarried black man is 100 times greater than that of an unmarried black woman.

But this is not about a race to the bottom. It is about understanding that the economic and social conditions that prevent many people of color from achieving the American dream do not discriminate on the basis of gender. And neither should Obama's most important race-based program to remedy these conditions.

Community organizations, many now strapped for cash, stand to receive millions of dollars from MBK. Unless the initiative expands to include women, these groups are likely to orient their programs to where the money is by, for example, restricting job training, college preparation and mentoring to boys only.

As a result of MBK, federal agencies are being asked to collect data about how their operations impact minority males. Unless the mission of this initiative is expanded, the data about girls apparently will be sent to the shredding bin. It's an ironic result for an administration that prides itself on its support for women's equality.

First lady Michelle Obama spoke movingly at Maya Angelou's memorial service about how desperately she, as a black girl growing up in Chicago, needed to hear Angelou's message of empowerment, "when there were such stifling limitations on how black women could exist in the world." Now the President has the ability to help more women of color have the opportunities -- to grow up healthy and safe, to go to college, to live their dreams -- that his wife had.

I am an African-American man who stood outside in the cold at both of Obama's inaugurations and sang "The Star-Spangled Banner" louder than I ever had before. The President frequently says that he doesn't have all the answers. For example, at the beginning of his administration he thought civil unions were good enough for same-sex couples. Now Obama thanks the LGBT community for helping him evolve to support marriage equality.

One day the President will express the same kind of gratitude to the women of color who petitioned him this week to make My Brother's Keeper more inclusive. He has said this initiative is "as important as anything I will do as president." So we need him to get it right. A racial justice program simply will not work if it leaves out half the race.

Too many girls of color are barely staying afloat in the same deep tides that threaten the boys. MBK is like a ship that comes along to throw a lifeline only to the boys. The message is to the girls is, "Wait. There might be another boat for you at some later time." But the truth is that the girls can't swim any better than the boys. The sisters need someone to keep them as desperately as the brothers.

Join us on Facebook.com/CNNOpinion.

@highlight

Paul Butler wonders why Obama's signature initiative doesn't include girls

@highlight

My Brother's Keeper program offers young men social and economic opportunities

@highlight

Butler: A racial justice program simply will not work if it leaves out half the race