(CNN) -- There is no shortage of adjectives one can apply to airline seats: uncomfortable, bulky, cramped, outdated and -- from an airline's point of view -- overpriced. It's no wonder then that many carriers are looking to make a change.

Ditching the screens?

Dr. Mark Hiller, CEO at Recaro Aircraft Seating, notes that accommodating passengers' personal devices has become an imperative, though one that few manufacturers have yet to address.

"Connectivity is no longer just an option, but a necessity," he says.

At the Aircraft Interiors Expo in Hamburg, Germany last month, Recaro unveiled their newest design in economy seating, called the BL3530. The new seat features a tablet PC holder, a "smart pocket" for stowing devices (and protecting them from scratches) and a power supply for charging.

Shedding pounds

The BL3530 follows another vital trend; at 10 kilograms per seat, it's lighter than its predecessors.

"Fuel costs are extremely high these days -- this is just an accepted fact in the industry. As a result, every kilogram counts," says James Lee, director of Paperclip Design Limited, an award-winning industrial design studio.

The lightest chair on the market is made by relative newcomer Expliseat, a French company that has crafted a model made from titanium and composite materials. It weights just 4 kilograms. The company estimates the weight savings could translate into $500,000 of fuel savings per aircraft per year.

According to Benjamin Saada, Expliseat's CEO, the CO2 savings are even more significant.

"Every aircraft we equip saves 1,200 tons of CO2 per year. That's the equivalent of planting 45,000 trees," he says. "Imagine if every airplane in the world signed on. It could completely change the global fuel emissions."

2022: Cheap flights, more rail and hands-free cars

Get a convertible

One particularly awkward feature of airline seats is their lack of versatility. They recline, and that's about as adaptive as they get. Papercilp is hoping to change that with its new Caterpillar Convertible seat, which won the premium class and VIP category at the Crystal Cabin Award this year.

The Caterpillar can be configured as a roomy Premium Economy seat, or converted into a Business Class seat with a lie-flat bed and direct aisle access.

"The core aim is to allow airlines to adjust their cabin capacity based on demand," says Lee.

"Flights from London to New York might have a big need for Business Class, for example, but if you use the same plane to fly to Phuket, the demand for lie-flat seats could be a lot less. This design allows the airline to adapt," he adds.

The armrest of the future?

This is not the first year Paperclip has scooped up an award for its designs. The trademark Paperclip armrest -- a dual-level version that grants both parties access -- has picked up several accolades over the years.

Unfortunately, there hasn't been a lot of demand for the innovation, and its potential for a more democratic approach to elbow room.

"I've showed the design to a lot of manufactures, and they'll say, 'oh, that's nice,' but there hasn't been a lot of need for it. The issue is cost," he says.

Though the concept may not catch on on planes, it could become a feature of seating on the ground.

"It's more likely to one day see (the armrest) in theaters and cinemas. There are fewer regulations on the ground than in the air, so there's less resistance to new products," he says.

Apparently This Matters: Airplane armrest for two

Turned around

Zodiac Aerospace has also been experimenting with an alternate seating layout that could provide passengers with substantially more legroom (a 31-inch pitch instead of the more standard 27-inch). The HD 31 concept would feature two forward-facing seats sandwiching a single backward-facing seat.

According to Pierre-Antony Vastra, an executive vice president at Zodiac, the layout has, "raised a lot of interest."

"It provides a larger space for the shoulders while enabling the airline to board the same number of passengers," he says.

@highlight

Airlines are seeking seating innovations

@highlight

Seats are getting lighter, comfier and more versatile

@highlight

Lighter seats could save airlines billions, and slash CO2 emissions