(CNN) -- Vice President Joe Biden made some waves last week when he announced that he was still thinking about running for the presidency in 2016.

Appearing on "The View," Biden said, "My knowledge of foreign policy, my engagement of world leaders, my experience uniquely positions me to follow through on the agenda Barack and I have of bringing world peace that is real and substantive."

Most experts are predicting that former Secretary of State Hillary Clinton will be the "inevitable nominee" for the Democratic Party in 2016 -- with over 80% of Democrats saying they want Clinton to run, and only 42% saying the same about Biden, according to a New York Times/CBS News poll. But the vice president is refusing to give up this dream and still considering the possibility that he will try to succeed President Obama.

Although Biden's shortcomings are well known, such as his proclivity toward gaffes -- in 2007, he said of his then-opponent Barack Obama, "I mean, you got the first mainstream African-American who is articulate and bright and clean and a nice-looking guy," and on another occasion he said that "jobs" was a three-letter word -- he also brings many assets to the table, including his knowledge of foreign policy and popularity among working- and middle-class Democrats who appreciate his defense of government programs that benefit them.

Biden has also been willing to take a much stronger tack against the GOP than Obama has. "This is not your father's Republican Party," he said to one group of Democrats. Many also consider him the most genuinely human of the potential candidates.

But even if Hillary Clinton doesn't run, Biden would face long odds to succeed.

The record of vice presidents who won election to succeed their predecessors has been meager. After John Adams, Thomas Jefferson, and Martin Van Buren, the only other vice president to win the election after his president stepped down, was Republican George H.W. Bush in 1988 (or in the case of Jefferson, to defeat the president under whom he served).

The others who have taken on this challenge since World War II -- Richard Nixon in 1960, Hubert Humphrey in 1968, and Al Gore in 2000 (though some say that he did indeed win the election) -- have not fared well.

While 14 former vice presidents have become president, nine of those took office as a result of the death of their predecessor and then went on to win the election (such as Lyndon Johnson). Richard Nixon was elected president in 1968, but that was seven years after leaving the vice presidency in 1961 and after carefully rebuilding his image as a party statesman.

Why is it so hard for vice presidents? The biggest liability is that they are running at a time when their predecessor has usually become most controversial.

Hubert Humphrey, once the darling of the Democratic base, was bogged down by Lyndon Johnson's record in Vietnam when he ran in 1968.

Even when departing presidents have strong approval ratings, their decisions in the White House have created many issues and earned many enemies. The luster of the early years that an administration enjoys in the White House has worn out.

Supporters of the opposition party usually hate everything associated with the incumbent, while there are often huge tensions within the president's party as well. "I have a f**king target on my back," Politico reported Biden told a confidant in 2012, referring to Democrats who were upset with him about the 2012 budget deal.

It is relatively easy for an opponent -- like John F. Kennedy in 1960 when he beat Vice President Richard Nixon -- to present himself as the fresh voice in politics, in contrast to a tired and potentially worn-out face.

Vice presidents are rarely comfortable as candidates running on their own and relating to their predecessor. On the one hand, they want to derive the benefits from everything that Americans like about the president. Yet, as was the case with Gore, they want to be their own person and separate themselves from the baggage that comes with the existing White House.

The result is that vice presidents running for the presidency flip back and forth on how much they want to attach themselves to the president, never achieving a level of comfort that their opponents can claim.

In the post-Watergate era, railing against Washington is always in fashion, and vice presidents are often the victim. Other than a president himself, nothing symbolizes the establishment more than the person who is second in command.

A vice president who runs for office offers a perfect foil to members of his or her own party, as well as to the opposition party, to paint the race as a contest between Washington and those who want to change Washington. This is true even if the opponent is also a member of the political class.

Nothing would be more helpful to Hillary Clinton than having Biden run in the primaries, because it would allow her to distance herself from the capital -- even though she served in Washington as first lady for eight years, senator for eight years and secretary of state for four.

Finally, the vice president simply does not get the same credit for achievements that presidents enjoy. Even in an age when vice presidents have become much more powerful and enjoy a substantial amount of autonomy during their time in the White House, the public doesn't really see them as central figures in the political debate.

They often work behind the scenes, pushing policy in one direction or another outside the public eye. Other than Biden's famous statement on gay rights, where he got ahead of the president in announcing his support for same-sex marriage, most Americans are unaware of what he is doing, including work on economic policy and the war in Afghanistan.

The only modern exception to this pattern was George H.W. Bush, who was able to score a healthy victory in 1988. He did not face a strong primary challenger -- Sen. Robert Dole did not have great public appeal, and the preacher Pat Robertson veered so far to the right on cultural issues he set up Bush perfectly as the candidate of the center.

Democrat Michael Dukakis' candidacy imploded in the fall with a weak campaign, while the dramatic changes that would ultimately lead to the disintegration of the Soviet Union and the ending of the Cold War created a bias toward stability and continuity in foreign policy. Perhaps most importantly, Bush conducted a slash-and-burn campaign under the direction of Lee Atwater that helped win him the election.

So while Biden has a considerable amount of experience and what many might consider an impressive record, the odds of his winning in 2016 are slim.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Vice President Joe Biden said he's thinking of running for the presidency in 2016

@highlight

Many Democrats say they want Hillary Clinton to be their party's nominee

@highlight

Julian Zelizer says vice presidents rarely win elections to succeed their presidents

@highlight

Zelizer: Vice presidents carry a lot of baggage, inheriting opposition and enemies