(CNN) -- Thomas Edison came up with a way to play back recorded sound in 1878. But 20 years before the inventor patented the phonograph, French scientist Ã‰douard-LÃ©on Scott de Martinville was fiddling around in his laboratory trying to come up with a way to record sound. His invention, the phonautogram, enabled him to create a visual representation of his voice.

Scott de Martinville wasn't able to listen back to his recordings, though. The science of acoustics was in its infancy. He could only see lines etched in soot. His achievements were long-forgotten until a group of historians, audio engineers and scientists searched for his work. The First Sounds Collaborative found it in the archives of the French Academy of Sciences in 2008.

"His machine would capture the vibrations out of the air and write them on to a moving piece of paper," said David Giovannoni, one of the founders of First Sounds. "When you look at the writing that this machine made, it looks exactly like a sound wave would look on audio editing software today."

Giovannoni and his group analyzed Scott de Martinville's work with audio software and unlocked the sound held in the waveforms. The result is like listening to a ghostly time machine, the voice of a man from 150 years ago singing French song "Au Clair de la lune." The earliest known sound recordings can be heard at www.firstsounds.org.

Giovannoni said recordings like these are extremely important.

"Imagine studying art without being able to actually look at the canvases themselves. What modern technology and modern scholarship are opening up is a window into past human endeavors that we can hear through."

Nearly 20 years after Scott de Martinville experimented with recording his voice in Paris, Edison perfected a way to record and play back audio at his laboratory in New Jersey. His invention would spark a new industry, the recording business.

Tim Brooks is a historian of early audio recordings. His home in Greenwich, Connecticut, is a private museum of sorts, with a collection of recording and playback devices from a century ago. Chests of drawers are filled with recordings made more than 100 years ago.

Brooks is part of a network of historians and audiophiles on a mission to find and preserve the earliest recordings ever made. They do this with a sense of urgency. The recordings from the late 1800s were made on very fragile cylinders.

"They were made of a soft kind of wax," said Brooks. "They're very subject to humidity and mold. And if they're not stored carefully, then you will take them out a few years later and suddenly you can't hear anything because the mold has eaten it up."

A new window onto history was recently opened up at Edison's laboratory in New Jersey. As the place was undergoing renovations, someone discovered a long-forgotten box containing cylinder recordings of Otto von Bismarck. The influential 19th-century statesman unified Germany and preserved peace in Europe for more than 40 years.

The cylinders weren't in the best condition, but they were still listenable. Through the static, you can hear von Bismarck on the Thomas Edison National Historic Park's website reciting poetry.

"Nobody living today had ever heard the great German chancellor. Today we can," said Giovannoni. "By hearing it, it conveys all sorts of information that may or may not have survived in printed accounts of the man and of his speaking."

Brooks is researching the earliest African-American recordings ever made as well as black spirituals recorded by white performers. He wrote extensively about Jack Johnson, the first African-American heavyweight boxing champion. In 1910, he beat a white man in what was called the fight of the century. His win sparked deadly race riots across a racially divided country.

"At that time, he recorded his description of the fight. ... This recording had been thought lost for years and years and years," said Brooks. "He [Johnson] is usually portrayed as a kind of Muhammad Ali character, A very big living in your face guy in the middle of white America causing lots of turmoil because he lives so large and makes so many outrageous statements."

But the recording reveals a very different Jack Johnson.

"You can see that he's like a politician. He knows he's in a dangerous place because he's a black man in a very racist white American. And he's dealing with it in a way that is playing on the fairness of the game -- may the best man win -- as opposed to the racial aspects of it," said Brooks. "That's a whole different view of this person than we did get before just from the written word."

Brooks says preserving long-forgotten recordings is important work precisely for that reason.

"In a way, scholarship hasn't caught up yet with the importance of recorded sound and understanding why leaders were able to lead and change history the way they did," said Brooks. "Once in a while, if our ears are open and we're really listening it, can change our understanding of how they were able to do what they did."

Brooks anxiously awaits the next discovery of a long-forgotten recording that will change our view of history. In the meantime, he has plenty of wax recordings in his home museum to study and preserve.

@highlight

Historians and audiophiles are on a mission to find and preserve the earliest recordings

@highlight

Modern technology is unlocking recordings from more than 150 years ago

@highlight

Tim Brooks is researching the earliest African-American recordings