(CNN) -- With just months to go before the presidential campaign ends all meaningful activity on Capitol Hill, members of Congress are struggling to move a few must-pass pieces of legislation. One of the most pressing is the highway bill, which Congress is considering this week. Not only does all federal funding for transportation depend on passing a bill by March 31; the highway trust fund itself is scheduled to go broke in 2013 and the deal in the making pays for only two years.

This is essential national maintenance. Yet Congress is - you guessed it - gridlocked.

We all know Washington is broken. What's less clear: Did it ever work better? If it did, what was different? What ingredients have been lost, and can we recapture them?

One place to look, especially apt in this instance: The 1956 congressional debate that created the interstate highway system.

The 1956 Federal Aid Highway Act was the health-care legislation of its day, an epic Washington battle. The pressure had been building for decades as the number of cars exploded. Traffic was a national nightmare. Many intercity roads were hardly passable, and most Americans recognized that new highways were essential to continue the unprecedented growth the country had been enjoying since the end of World War II.

What no one could agree on was how to pay for the new system.

The 1950s were a more consensual era, of course. Both Democrats and Republicans had wanted to nominate Gen. Dwight D. Eisenhower for president in 1952, and during the debate over the highway bill, his approval ratings rarely dipped below 70%. But that doesn't mean there were no disagreements.

Opinion: What's wrong with Congress? It's not big enough

Ideological divisions were if anything sharper than they are today -- Republicans were the party of big business, Democrats the champions of the people and the New Deal. Elections were just as competitive, partisan jockeying just as intense. And the debate about how to pay for the highway system -- tolls, taxes, bonds or some other way -- wasn't just about money. It was about values - what kind of country we wanted to be.

The debate built in intensity through the early '50s. There were blue-ribbon commissions, competing proposals, an array of shifting alliances and armies of lobbyists. The president's proposal and a rival Democratic plan were both shot down in early summer 1955. The main obstacles: truckers, motorists and the oil industry, all resisting new gasoline, tire and vehicle sales taxes.

While the American Trucking Association worked behind the scenes in Washington, a national grassroots campaign whipped truck drivers into a frenzy, producing thousands of phone calls and telegrams to Congress.

But something strange happened over the next nine months -- a last, pivotal round of deal-making -- and a compromise package passed easily in April 1956. The biggest public works program since the pyramids, all told -- highways plus local connecting roads -- came in at $50 billion, more than two-thirds of the federal budget in 1956. But the years of negotiating paid off, and the deal held. In the end, only one Senator voted no, and the bill passed on a voice vote in the House; approval was so overwhelming, there was no need to count.

What changed in those nine months?

Part of it was leadership, with sheer determination by lawmakers. The bill had dozens of moving parts and many fathers on both sides of the aisle.

But the last, critical puzzle piece was the highway trust fund, which set aside the taxes paid by truckers and motorists for the highway system and nothing else. And the two men who worked together to advance the trust fund could hardly have made an odder couple: Treasury Secretary George M. Humphrey, a Midwest Republican and former corporate executive who came to Washington to cut government spending, and U.S. Rep. Hale Boggs of Louisiana, a glad-handing, big-spending, bring-home-the-bacon liberal Democrat.

Both were more interested in problem-solving than ideological purity, in part because in 1956, only problem-solving would win votes. Both parties knew they needed to deliver a highway system.

But America was different, too. The truckers and motorists who blocked the highway bill in 1955 changed their minds in 1956. Flouting one of the nation's most ingrained traditions, they accepted a voluntary tax.

They recognized that though they would pay, they would also benefit, and in the end the roads would be more than worth the cost. This was partly because of the trust fund. But that wasn't all.

Truckers, motorists, auto manufacturers, oil companies and others understood that better highways would mean more commerce. More commerce meant industry would produce more goods. More production would put more people to work. And their increased consumption would lead to yet more growth.

This was the win-win-win perpetual-motion machine that had been driving the economy since 1945. And based on the prosperity of the previous decade, most voters believed a rising tide would still lift all boats.

Can we apply these lessons today? I'm not sure.

So much is so different, and we can't turn back the clock. Still, it's something to ponder as Democrats and Republicans shout past each other on Capitol Hill in coming weeks. It doesn't have to be this way.

The opinions expressed in this commentary are solely those of Tamar Jacoby.

@highlight

Tamar Jacoby: Congress weighing highway bill that provides transportation funds

@highlight

She says 1956 debate that created interestate system should give Congress a clue

@highlight

She says battle was fierce, like health care bill today; Congress made deal for public good

@highlight

Jacoby: Truckers, drivers accepted a tax; Congress should learn from this