(CNN) -- From the Arab Spring to a global economic crisis to the killing of Osama bin Laden, 2011 has been defined by historic and dynamic events that will shape the world in the years ahead.

A revolt across the Middle East and North Africa began with the self-immolation of a struggling merchant in Tunisia and spread across the region. Egyptian protesters toppled the 30-year rule of Hosni Mubarak, and rebels in Libya battled against supporters of long-time strongman Moammar Gadhafi.

Gadhafi was eventually killed in October after months on the run from rebel forces and NATO bombardments.

The significance of the Arab Spring is indisputable, but was it the biggest story of the year?

The earth shook off the coast of Japan in March, triggering one of the worst tsunamis in years, destroying nearly everything in its path and sending millions fleeing for high ground.

Beyond the utter calamity from the 9.0-magnitude earthquake, Japan found itself dealing with the worst nuclear crisis since the 1986 Chernobyl disaster. The Fukushima Daiichi nuclear facility was knocked offline, resulting in a meltdown of three reactors, with radiation leaking into the air and contaminated water spilling into the sea.

The long-term effects from the stricken plant remain unknown.

Natural disasters hit the United States hard, too. The largest tornado outbreak ever recorded swept across across the South, Midwest and Northeast -- with a record 207 touching down on April 27 and killing 346 people. Alabama bore the brunt of the destruction, with a massive twister turning the college town of Tuscaloosa into a disaster zone.

Three weeks later, a mile-wide tornado ripped through Joplin, Missouri, killing more than 150 people and wreaking havoc across the blue-collar town at the edge of the Ozark Mountains. It marked the deadliest single tornado in 60 years.

From Washington to New York residents in August braced for Hurricane Irene, a powerful storm that forecasters feared would cause catastrophic damage. The storm weakened before landfall, but it still was blamed for at least 20 deaths in eight states.

On the battlefield, Navy SEAL Team Six became part of American military lore when the elite unit raided a compound in Pakistan, killing Osama bin Laden, the leader of al Qaeda and the most-wanted terrorist in the world who had orchestrated the terror attacks of 9/11.

For President Barack Obama, the bin Laden raid marked a high point of his presidency. Sometimes considered soft on terror, Obama achieved something his predecessor failed to do: bring the terror mastermind to justice.

The killing came ahead of the 10-year anniversary of the 9/11 attacks, which was marked by the opening of several memorials, including an outdoor tribute at Ground Zero in New York.

The United States also marked a decade of war in Afghanistan, a conflict that began in the months after 9/11 aimed at rooting out al Qaeda terrorists. While the Afghanistan war rages on, the United States is preparing to pull out the last of its troops from Iraq.

The year also was defined by economic turmoil. Prime ministers in Greece and Italy quit amid a slow-motion fiscal disaster unfolding in Europe, while Standard & Poor's downgraded the U.S. credit rating for the first time after it said Congress failed to do enough to stabilize the country's debt situation. The downgrade, which came after an eleventh-hour agreement to raise the debt ceiling, damaged an already-stagnant economy.

As the U.S. saw unemployment hit 9 percent, the Occupy Wall Street movement -- a grassroots protest against policies favoring the richest 1% -- spread to dozens of cities across the country and Europe.

Meanwhile, Republican presidential candidates looked to seize their campaign to retake the White House in 2012. In October, former VP candidate Sarah Palin and New Jersey Gov. Chris Christie disappointed supporters by saying they wouldn't run, and by early December the GOP field seemed to be down to two serious contenders: Mitt Romney and Newt Gingrich.

In July, the world was reminded of man-made tragedy with near-simultaneous terror attacks in Norway.

A car bomb exploded in Oslo targeting government buildings, while miles away, an armed man opened fire on a youth leadership camp, killing 77.

Months earlier, Rep. Gabby Giffords was shot in the head as she met with constituents at a supermarket near Tucson, Arizona. Six people were killed in the attack, including a young girl and a federal judge.

Giffords has awed the nation in her recovery. Married to astronaut Mark Kelly, the congresswoman traveled to Kennedy Space Center in May to watch as her husband commanded the final launch of space shuttle Endeavour.

A few months later, NASA launched the final space shuttle mission, retiring the fleet of historic spacecraft after 30 years. The mission, STS-135, ended on July 21 when Atlantis arrived back at Kennedy.

Other stories dominated the headlines, too.

Casey Anthony was found not guilty in Florida in her daughter's death, while Conrad Murray was convicted in the death of superstar Michael Jackson.

Charlie Sheen's raging narcissism captivated the nation for a couple weeks as his bizarre behavior prompted his TV bosses to fire him from "Two and a Half Men". Other bad boys popped into the news: Rep. Anthony Weiner of New York tweeted a picture of himself in his underwear and soon was forced to resign, and Maria Shriver filed for divorce from Arnold Schwarzenegger after a family housekeeper came forward about her love child with the former California governor.

Scandal struck far and wide in 2011. Dominique Strauss-Kahn, once seen as a future leader of France, quit as head of the International Monetary Fund after he was accused of sexually assaulting a hotel housekeeper in New York -- a charge that was later dropped. British tabloids run by media tycoon Rupert Murdoch were hit by a phone hacking scandal that resulted in the flagship News of the World folding.

In the United States, child sex abuse scandals tainted athletics programs at Penn State and Syracuse universities basketball team. Jerry Sandusky, a former Penn State assistant football coach, was charged with multiple counts of sex abuse against children, and legendary head coach Joe Paterno was fired in the scandal's aftermath. In Syracuse, assistant basketball coach Bernie Fine was fired after three people, including two former ball boys, said he molested them for years. No charges have been filed against Fine, but multiple investigations have been launched.

Yet not all news was bad in 2011. The world got a brief respite from doom-and-gloom headlines in April when Prince William and Catherine Middleton wed at Westminster Abbey.

Their wedding was one of the most-watched events of the year -- from TV to the Internet. On the streets of London, many captured royal images on their mobile devices and instantly shared them with friends.

Some of those images might never have been shared if it hadn't have been for the creator of the iPhone: Apple founder Steve Jobs, the genius who led the home computer revolution and inspired some the world's most popular mobile devices.

Jobs died of pancreatic cancer in October. His final words, according to his sister, were "Oh wow. Oh wow. Oh wow!"

Fitting words for 2011.

@highlight

Arab Spring, economy, Japan quake, bin Laden raid define 2011 news events

@highlight

Scandals also marred 2011, from absurd (Charlie Sheen) to sordid (Penn State)