(CNN) -- For many graduate students seeking an advanced education degree, obstacles abound. Issues of finance, time management and family logistics often get in the way of students furthering their education and their dreams.

Palestinian Sawsan Salameh is attending an Israeli university after years of negotiations and court proceedings.

For Sawsan Salameh, the obstacles also involved politics.

Several years ago, Salameh, a 31-year-old Palestinian from the West Bank village of Anata, was granted a scholarship to study at Hebrew University of Jerusalem. Although her town is only a few miles from the university, access to the school was out of reach because of an Israeli military ban that limited Palestinian students' access to Israeli universities, on security grounds.

But she was far from giving up on her goal of pursuing her education.

"When I was in high school, it was a dream that I should finish my Ph.D.," Salameh said.

After obtaining a master's degree at Al Quds University, a Palestinian school in the West Bank, Salameh was granted full scholarships at several international schools, including Hebrew University.

With the military ban in place, Salameh considered studying at a university abroad.

"I started to think I should get up and take this offer to leave, but it's not easy to go abroad, and the only chance is for me to study in Israel, because it's important for me to stay close to my family," Salameh said.

Salameh sought the support of the Israeli human rights organization Gisha, which submitted a petition to Israel's Supreme Court on her behalf in 2006.

The Supreme Court responded by asking the military to lift the ban and allow Salameh to study at Hebrew University, where she is pursuing a Ph.D. in pharmacology.

"We argued Sawsan's case for 2½ years, and at the end of the day, the military agreed to let Sawsan study," said Sari Bashi, director of Gisha.

"It was impossible to deny her incredible talents and the example she set for women and girls throughout the West Bank," Bashi says.

The Israeli military agreed to review all future requests for Palestinians in the West Bank wishing to pursue a degree at an Israeli university on a case-by-case basis, based on specific criteria.

The criteria include that the potential student clear all necessary internal security checks, that the student pursue a degree in a discipline that would encourage regional cooperation and develop area coexistence, and that the area of study not have the potential to cause damage to Israel, says Maj. Guy Inbar, spokesman for the Coordinator of Government Activities in the Territories.

The area of study must be supported by an international organization (such as the U.N. or the Red Cross) and approved by the Ministry of Education and must also be a degree unique to an Israeli university (not offered at a Palestinian university). The request must come with a recommendation from the Ministry of Foreign Affairs, according to Inbar.

After Salameh's victory, Gisha, with the support of a number of Israeli academics, further appealed to the court to push the military to ease these limitations.

The Israeli military's heightened security concerns reflect heightened tensions in the region due to the ongoing Palestinian-Israeli conflict.

In July 2002, a bomb exploded in the student cafeteria of Hebrew University, killing seven people. The Islamic fundamentalist group Hamas claimed responsibility for the explosion, according to Palestinian sources.

Still, some academics at Hebrew University believe qualified students like Salameh pose no security risk, and their acceptance to Israeli universities could even foster better relations in the region.

Professor Alon Harel, a law professor at Hebrew University, pushed for the appeal to lift the military's criteria on Palestinian students.

He believes that the admission of Palestinian students from the West Bank would enrich the academic environment at the university, particularly in the study of law.

"It's particularly important for classes to be diverse, for people to have familiarity with Arabic studies and Islamic law," he said.

Other academics agree that qualified students such as Salameh can only add to the diversity of the campus, where thousands of Israeli Arab students are enrolled.

"My personal feeling is that we should do everything we can to allow Palestinian students to study at Hebrew University," said Yaacov Schul, vice rector at Hebrew University.

Salameh is a devout Muslim with a traditional background yet shirks pressure from family members to focus on marriage and motherhood.

"Everyday I have to hear something about [not being married] from relatives and aunts," she says. "It's become [the] usual."

Salameh, who also provides valuable resources for young women at a women's center she opened in her community, says she hopes her pursuit of higher education will open even more doors for young women also wishing to pursue a higher education and achieve their academic goals.

"I get lots of phone calls every day from girls in the West Bank who ask me how to apply to universities in Israel," Salameh said.

"Maybe they can become more than just a wife and mother and at least finish their first degree," she said.

Salameh says she enjoys the collegial atmosphere at Hebrew University, where she studies among Israeli Arab, international and Israeli students.

She is considering pursuing another degree after completing her Ph.D. in two years.

"I would like to help other people, and I hope the political situation will become better and things will become easier," she said.

@highlight

Palestinian Sawsan Salameh faced many obstacles before attending Israeli school

@highlight

She hopes she can open doors for other students to study where they want

@highlight

She also has become a role model for girls in the West Bank to pursue education