(CNN) -- Last week, in his first days at his new job as manager of the Miami Marlins, Venezuelan-born Ozzie Guillen said to Time magazine, "I love Fidel Castro," adding "You know why? A lot of people have wanted to kill Fidel Castro for the last 60 years, but that mother------ is still there."

The Marlins' brand new $634 million ballpark is in the city's Little Havana, and not surprisingly, Guillen's words ignited a powder keg of emotion and anger from Cuban-Americans. Since then, Guillen apologized and received his punishment -- suspension from five games.

And to many, that's that. After all, some say, Guillen, legendary for inserting his foot in his mouth, was simply mouthing off. ESPN's Michael Baumann put it this way: "I can't believe anyone cares what Ozzie Guillen thinks about a foreign dictator. Baseball should not want to be in a place where it restricts political speech."

Guillen joins a long line of people in powerful positions in sports saying offensive things; salty-tongued Marge Schott, former owner of the Cincinnati Reds, went so far as to praise Hitler.

But to dismiss Guillen's words as inconsequential, so absurd as to not warrant serious analysis, is to ignore the depth and passion of Cubans who live in this country not as immigrants but as exiles.

Cuban-Americans were kicked out of Cuba by a hateful despot. As such, their view of Castro is imbued by violent, tragic experience and memory, and by a profound appreciation for the freedoms they now enjoy in the United States. That a public figure in sports claimed respect -- even love -- for Castro is despicable.

There have been calls for Guillen's resignation, threats of boycotts of all Marlins games and constant coverage in Miami of the firestorm that appears only to have increased since Guillen fumbled out an apology, blaming his statement on a miscommunication because of his poor English.

Amid the furor, some major leaguers refrained from any comment, for fear of repercussions in Cuba. Braves pitcher Livan Hernandez, who defected from Cuba 17 years ago, didn't want to risk expressing an opinion, so strong is his fear of Castro. "I do not talk about politics," Hernandez said. "I still have family down there."

Dan Le Batard, a journalist for The Miami Herald, explained, "Without getting into comparison shopping on atrocities ... for Cuban-Americans, he's our Hitler."

Older Cubans still recount with great pain their memories of Castro's infamous "paredons," or firing squads, to which he summarily subjected thousands of his enemies at the beginning of his revolution. As Amnesty International's reports document, the terror, torture and repression that Cubans continue to experience under Castro's brutal regime seem boundless. Activists against the regime are held for days in detention centers subject to "interrogations, intimidation, and threats. Beatings during detention have also been reported."

Dr. Bernie Fernandez, a renowned Cuban-American doctor in Miami and CEO of the Cleveland Clinic Florida, recalled that when he was 5 and living in Cuba, his father Bernardo, a doctor, became disillusioned with the Castro regime and sought permission to emigrate. This sole act was considered treason, and he was summarily sent to a forced labor camp indefinitely.

The Cuban police took an inventory of the family's possessions -- thereby taking ownership of them on paper -- and Bernie and his mom and sister were forced to survive on their own. Seven years later Bernardo was released. In 1973, when Bernie was 12, Castro's police conducted another inventory to seize their possessions before letting them leave Cuba.

Bernie Fernandez chokes up remembering how he boarded the plane in a shirt and pants cut out from a sack of potatoes. The family arrived in Spain, penniless. Fernandez eventually made it to Miami, where he struggled to learn English and make something of himself. "Our experience," he says now, "was mild compared to millions of other Cuban-Americans."

Guillen's insensitive comments and the subsequent explosive reaction from Cuban-Americans have exposed a raw, painful vein in the U.S. Hispanic experience. And such a vein should not be dismissed or ignored.

When Schott spewed her racist comments, she was suspended for two seasons and ultimately forced to sell the Cincinnati Reds. She will be remembered as a bigoted anti-Semite.

In that light, Guillen's five-game suspension hardly seems just. Castro is not Hitler, but Le Batard's claim that Castro is "our Hitler" -- a sentiment echoed by many exiles -- points unavoidably to the fact that the way Cuban-Americans feel about Castro is a lot like the way Jews feel about Hitler.

And it also points to the woeful lack of understanding on the part of most Americans -- those who would dismiss Guillen's words and Cuban exiles' reaction to them as irrelevant -- about the Cuban-American experience, versus the understanding that Americans have of the Jewish experience. Indeed, if Guillen had expressed his love and respect for Hitler instead of Castro, his punishment would have been immediate and severe -- and no one would be dismissing his statement as irrelevant.

Guillen's words were an insult to all freedom-loving Americans, not just Cuban-Americans. And to those who would say otherwise, I would respond that there needs to be a wake-up call to the tragedy and pain of the Cuban exile experience.

Such a wake-up call will bring a greater understanding of what it means to be Cuban-American and what it means to be American -- and a much-needed appreciation for the freedoms we often take for granted in this country. Freedoms that Guillen's beloved Castro ripped so viciously away from his countrymen.

The opinions expressed in this commentary are solely those of Charles Garcia.

@highlight

Marlins manager Ozzie Guillen apologized for comments admiring Fidel Castro

@highlight

Charles Garcia said some dismissed the controversy and said suspension was too harsh

@highlight

He says America needs a wake-up call about repression, brutality Cuban exiles suffered