(CNN)Although much of the United States has been shivering this winter, there's been another worrying sign of warming temperatures farther north.  The cap of sea ice that spreads across the Arctic Ocean in winter appears to have been the smallest on record this year, according to NASA.

Not only was this year's maximum extent, reached on February 25, the smallest on the satellite record, it's also one of the earliest.

Barring a late spurt of ice growth -- possible but unlikely, according to a NASA news release -- this sets a new precedent.

The analysis is based on data from the NASA-supported National Snow and Ice Data Center (NSIDC) at the University of Colorado, Boulder.

Arctic sea ice, frozen seawater floating on top of the Arctic Ocean and its neighboring seas, is in a state of constant flux.

It increases its area in winter, usually peaking between late February and early April, and then shrinks in the warmth of  spring and summer to reach its lowest extent in September.

If this year's maximum extent, totaling 5.61 million square miles, was reached on February 25, it was reached 15 days earlier than the 1981 to 2010 average date of March 12, according to NSIDC. Only once before did the peak come earlier, by just one day in 1996.

A peak of 5.61 million square miles is about 50,000 square miles below the previous lowest peak wintertime extent, reached in 2011, according to NSIDC.

Scientists have been using satellite data to track changes in Arctic sea ice, a vital habitat for birds and marine mammals such as polar bears, seals and walruses, for over three decades.

According to the National Oceanic and Atmospheric Administration, Ted Scambos, NSIDC lead scientist, puts the potentially record low maximum sea ice extent this year down to low ice extent in the Pacific and a late drop in ice extent in the Barents Sea. Strong southerly winds in early March also played a role, according to NOAA.

Only the Baffin Bay area and the waters around Newfoundland had more ice than normal this winter, it said.

Scientists say it doesn't necessarily follow that a low maximum winter extent will mean a record amount of shrinkage in sea ice over the summer, however.

While the winter sea ice extent was low in 2006 and 2011, neither of those years saw an unusually low summer minimum, NOAA said.

"The winter maximum gives you a head start, but the minimum is so much more dependent on what happens in the summer that it seems to wash out anything that happens in the winter," Walt Meier, a sea ice scientist at NASA's Goddard Space Flight Center in Greenbelt, Maryland, is quoted as saying by NASA.

"If the summer is cool, the melt rate will slow down. And the opposite is true, too: even if you start from a fairly high point, warm summer conditions make ice melt fast.

"This was highlighted by 2012, when we had one of the later maximums on record and extent was near-normal early in the melt season, but still the 2012 minimum was by far the lowest minimum we've seen."

Meanwhile, the summer minimum ice extent reached in the Antarctic was one of the highest recorded, NOAA said.

But this isn't cause for much optimism faced with evidence of a warming planet.

"Over the span of the satellite record, Arctic sea ice has been declining significantly, while sea ice in the Antarctic has increased very slightly," the NOAA news release said.

"Recent research demosntrates that the Antarctic gains do not balance out the Arctic losses: globally, sea ice extent has decreased over the past several decades."

According to the NSIDC, sea ice in the Arctic appears to play a more important role in regulating global temperatures than that in the Antarctic.

@highlight

Scientists say Arctic sea ice appears to have set a record low maximum extent this winter

@highlight

Barring an unlikely late surge in sea ice growth, the 2015 maximum is 5.61 million square miles