(CNN) -- As you walk through the Liberdade district of Sao Paulo, you could be forgiven for thinking you are in down-town Tokyo. Bright red torii gates of Shinto shrines line the streets, and myriad Asian restaurants and supermarkets display advertisements in Japanese characters.

This is the center of the biggest Japanese immigrant community in the world. Over 1.8 million people of Japanese descent live in Brazil, 600,000 of them concentrated in Liberdade.

First settlers arrived in 1908, escaping poverty and unemployment in Japan, and were heading for the coffee plantations of Brazil's south which were in pressing need of laborers after the abolition of slavery.

They were housed in former slaves' barracks where they slept on the floor, and suffered from illnesses new to them, like malaria, which they didn't know how to treat. They also had to adapt to a culture vastly different to their own.

Read more: Managing Brazil's growing economy

But in spite of the initial hardship, the contribution Japanese immigrants made to Brazilian society has been far-reaching.

Rikkyo University professor and author of several studies on Japanese immigration to Latin America Hiroaki Maruyama states that they introduced organized farming to the Amazon, where previously only hunter-gatherer system was practiced.

They also started commercial cultivation of pepper, setting Brazil on the road of becoming the world's fourth largest producer of the spice according to The International Pepper Community, an inter-governmental organization of pepper producing countries.

Japanese influence was not limited to agriculture - early settlers popularized martial arts, helping create Brazilian jiu jitsu, and even the national drink, caipirinha, is sometimes mixed with Japanese rice wine instead of cachaca, creating a sakerinha.

Read more: Brazil's middle-class boom - but are they tempting a bust?

In the arts, Japanese Brazilian architect Ruy Ohtake designed some of Sao Paulo's most iconic buildings, and renowned painter Manabu Mabe introduced Japanese zen sensibility to contemporary Brazilian art.

Below CNN takes a look at three generations of Japanese immigrants who talk about how their heritage has shaped their lives in South America.

"I feel completely Brazilian"

Kokei Uehara, 85, was nine when his parents sent him to Brazil with his aunt and uncle to escape the looming threat of WW II in Japan. It would be more than 20 years before he would see his mother again and learn that his father died in the war.

He said:" When I boarded the ship that would take me to Brazil, I was desperate. I saw my parents run along the dock and I wanted to go back down to them, but my uncle stopped me. That was the last time I saw my father."

As a child, Mr Uehara worked in the cotton fields during the day, and made an eight kilometer round trip on foot to school in the afternoon.

"I didn't understand a word of Portuguese, and when I did start speaking I had a thick Japanese accent, and I was teased. So I thought, I'll work really hard and be the best ", he said.

From Samba to carnival: Brazil's thriving African culture

Kokei Uehara went on to become a world renowned hydraulics engineer and UNESCO representative in Brazil, as well as Professor Emeritus at Sao Paulo University. He also participated in the building of some of the largest hydroelectric dams in Brazil.

When it comes to defining his identity, Kokei Uehara he has no qualms:" I feel completely Brazilian, I was very young when I got here so I adapted to the culture easily."

I couldn't identify with Japan

Lidia Yamashita, 63, is an architect and the vice-president of the Historic Museum of Japanese Immigration in Sao Paulo. She was born in Brazil, and grew up in a household where only Japanese was spoken.

Her mother's father was a dentist in Japan who was invited to come to Brazil by the immigrant community as they needed skilled medical practitioners.

Her mother's father was a shrine builder in Tokyo who lost most of his possessions in a fire, and decided to come to Brazil in search of a new life.

She said:" Before I went to Japan, I thought of myself as completely Japanese, because my mother doesn't speak Portuguese, and in my home we practiced a very Japanese way of living.

"But when I went to study at the Tokyo Metropolitan University I realized that I actually wasn't Japanese, and couldn't identify myself in their society. I saw that I think in a western manner, and I was very different from my roommates."

An even mix of two cultures

Paula Kiyohara, 27, is a fashion student and a third generation Japanese Brazilian who considers herself an even mix of the two cultures. She says: "The easy going part of my nature is Brazilian, but my values and attitudes, like respect for ancestors, is Japanese.

Lost continent discovered underwater?

One of the main differences in cultures is that Japanese people don't like disturbing anyone - If my mother hears me playing loud music in my room she will tell me to turn it down so I don't bother the neighbors, but if it were a Brazilian person they would play it louder so that their neighbor can enjoy too."

Paula's family speaks a mix of Japanese and Portuguese at home, a cultural fusion which has infiltrated their cooking style too.

She says:" I eat Japanese rice with Brazilian beans and meat, and when we have family gatherings we will make sushi with churrasco (Brazilian grilled meat) instead of fish."

Her parents' story mirrors the resilience of many Japanese immigrants -- her father left his home town for Sao Paulo at 14, where he worked during the day and studied at night.

And at the age of seven her mother would wake up at 2am to help out at a vegetable stall.

Today, Paula's parents own their own accountancy firm.

She is immensely proud of her Japanese heritage, but says with a smile:" I am thankful to my grandparents for coming to Brazil. I like being Brazilian!"

Sofia Fernandes contributed to this report.

@highlight

Brazil is home to 1.8 million people of Japanese descent

@highlight

It is the largest diaspora community outside of Japan

@highlight

They first came to Brazil in 1908 to work as laborers on coffee plantations

@highlight

However most gained an education and relative wealth within one generation