(CNN) -- How many young people have gotten in trouble for something they've posted on Facebook? Maybe a party picture or an offensive comment compromised their chances at a job.

But a 25-year-old Iranian says his Facebook activity has led to his father's detention in a notorious prison in Tehran. And now he's struggling to find a way to free him.

"I want my family to forgive me," Yashar Khameneh said. "But I believe what I believe in."

A year ago, while studying at a college in Holland, Khameneh joined a Facebook page that made fun of a top Shiite Muslim imam, Ali al-Naqi al-Hadi. Naqi is one of 12 imams considered successors to the Prophet Mohammed. Called "Infallibles," the imams are protected by law in Iran from ridicule or even frivolous comments. One can be arrested for insulting them.

The Facebook page, dubbed the "Campaign to Remind Shias about Imam Naqi," features a robed man, presumably Naqi, with a face like Charles Manson's, flanked by a camel wearing sunglasses and the donkey from "Shrek." It also shows a picture of a Shiite tomb that has been pooped on by a flock of pigeons.

With more than 21,000 likes, the page explains, "Our goal is to use satire to take out the superstition from religion."

"We believe that everything and everybody could be the subject of a joke," Khameneh said. "Nothing and nobody is too holy to be funny. At the beginning it was not that serious because it was a joke."

Syria tests internet freedom theory

Khameneh didn't know who the manager of the site was. They both used nicknames, as did many people who posted, Khameneh said. In the early days, though, Khameneh posted links to his personal Facebook page, which had his real name.

"I feel like that is how the authorities knew to come after me," Khameneh said.

During that time, Khameneh said, he wasn't thinking too much about someone in the Iranian government seeing the page. It seemed unlikely: one page out of so many on Facebook. The thought did cross his mind a couple times that if it did become popular, it would probably upset some people back in Iran, where his father, mother and sister lived.

But he kept posting on the page out of principle, he said.

"From the beginning, I knew that it could be dangerous, but the thing is this: Taboos should be broken," he said. "I knew that it could be sensitive (for) Muslims and Iranians worldwide, but here in Europe, jokes are made -- jokes of Jewish stories or Christian -- and nobody is threatened or killed. This is how it should be."

A page's overnight fame

Khameneh took comfort, he said, that the page had a small number of followers.

That changed this spring. Traffic skyrocketed in mid-May, when an Iranian rapper living in Germany made international headlines, Khameneh said.

Iran's religious authority had placed a fatwa on the rapper's head for making a song that mocked the same imam. The song had gone viral.

All of a sudden, people around the world were Googling the rapper and the imam.

"That was a boon for the (page)," Khameneh said. "It became famous."

On May 23, Khameneh got a call from his father, Abbas Khameneh, in Iran.

"He said, 'some people from the intelligence service had come (to our house), and they want you to cooperate,' " Khameneh recalled. "My father said, 'they want your passwords to your Facebook, web blog and e-mail.' "

The young man was frightened and felt trapped. First, he didn't manage the page and therefore couldn't take it down. He assumed that the Iranian authorities just didn't understand that.

"They came after me maybe because from the beginning, I was very active on the page, and you could tell that I had a close relationship -- commenting back and forth -- with the manager," he said.

He fired off a Facebook message to the manager of the site, explaining the situation and asking that the page be taken down.

The manager wrote back, refusing to deactivate the page.

It's unclear exactly why the manager chose to keep the site up. But Khameneh thinks there are two reasons, both of them legitimate. Allowing Iran to succeed in taking the page down would be to defeat the very reason it was created: to challenge authority and create a greater sense of free expression.

And it's possible that the manager suspected that Khameneh's e-mail was a fake and that the sender was actually someone with the Iranian authority trying to trick the manager into taking the page down, Khameneh said.

"At first, I was angry, but I was also emotional" at the news that the page would stay up, Khameneh said. But "I understand that taking the page down, really, wasn't going to help my father."

Can Facebook page help Israel, Iran toward peace?

Password protection

Khameneh considered whether he should give up the passwords to the accounts he did control: his personal Facebook account and his e-mail. But he decided that wouldn't be wise. The Iranians could go through those accounts and find the names of his friends and other information, he feared.

Khameneh seemed to be in an unwinnable situation.

So he took the only action he could and deleted his e-mail and personal Facebook account.

The page mocking the imam remained up.

The day after his father called, Khameneh says, he got a call from his sister and mother in Iran. They were hysterical.

They said Iranian authorities had arrested his father and taken him to Evin prison in Tehran, a lockup notorious for torturing inmates.

Khameneh's sister begged him to give up his passwords. She pleaded for him to dismantle the Facebook page about the imam.

He struggled to explain to her that he didn't control the page and that he had closed all the accounts that he could. He told her he had no options.

"She told me, 'As long as that Facebook page is open, your father will be in the same situation.'

"After a few days. I received another call, this time from my mother. She was crying. She told me, 'OK, you see they want to execute your father? Why don't you close that Facebook page?'

"At the same time, I can do nothing," Khameneh said.

Weeks slipped by as Khameneh worried about what to do.

By June, he decided to publish online an open letter, describing his father's arrest and explaining that he didn't know who operated the Facebook page.

Staffers with the International Campaign for Human Rights in Iran, a nongovernmental organization based in the United States, saw that letter and called Khameneh to interview him, Executive Director Hadi Ghaemi said.

Ghaemi said he feels confident the young man's story is true.

"It would be too dangerous for Khameneh's family in Iran for him to make up something like this," Ghaemi said. "The burden of proof is (on) the Iranian government, and they haven't issued a statement or denied the story. It also fits a broader trend of Iranian intelligence targeting Iranian activists abroad and their family members."

He pointed to the Iranian rapper as an example and reported intimidation of Iran-based relatives of journalists who work for Radio Farda, the Persian-language service of Radio Free Europe.

"Employees of Radio Farda believe that their journalism, which attracts over 10 million page views monthly on Radio Farda's website, is the motive behind at least 20 incidents this year involving the interrogation and intimidation of their family members in Iran by officials of the country's Intelligence Ministry," according to a news release on the news outlet's site.

Two accused of 'terrorism' via Facebook, Twitter

At a loss

Inside Iran, too, there's been an uptick in arrests of bloggers and journalists.

According to the official news site of the Iranian government, the minister of culture ordered that "current conditions require more unity (of views) in the media."

Mohammad Hosseini stated, "There will soon be a conference" with "members of the media and officials of the economy sector" to "enhance their awareness regarding the current conditions of the country," so "they can work while considering the country's national interests and to prevent individuals using their personal opinions which, sometimes inadvertently, leads to disturbing the (society's) atmosphere."

The minister said he was issuing a final warning to anyone who moved against "national interests."

Attempts to find any reporting of Abbas Khameneh's arrest in state-run media were unsuccessful, as were efforts to reach top officials with the country judiciary or foreign ministry to confirm that the arrest took place.

In Holland in late June, Yashar Khameneh was getting very worried about his father.

"I thought I should tell the public," he said.

Khameneh began speaking to the media.

This week, Khameneh said, he was at a loss.

"I don't know what else to do," he said. "I don't know. I don't know.

"I can just hope."

Opinion: Did Facebook bring down Mubarak?

CNN's Banafsheh Keynoush and Jennifer Deaton contributed to this report.

@highlight

25-year-old Iranian contributed to Facebook page insulting imam

@highlight

Yashar Khameneh says his father was arrested for his Facebook activities

@highlight

He says government has demanded passwords in exchange for freedom

@highlight

But Khameneh says he doesn't manage the page and cannot take it down