The questions are many.

But the first has to be, how in the world did a 16-year-old boy survive a five-hour flight in below freezing cold weather at oxygen-depleted heights without dying or falling out of the wheel well of a huge jumbo jet?

Another has to be, how does a 16-year-old even sneak on to an airport and a plane to begin with?

Authorities likely were trying to find the answers to some of their questions Monday. The boy remained in the custody of child welfare services workers in Hawaii. But the FBI says they have no more need to interview the boy as he is no threat.

Apparently he's just a runaway who popped out of the wheel well of Hawaii Airlines Flight 45 on Sunday to the amazement of the ground crew at the Kahului Airport on the island of Maui -- and triggering a host of questions.

How did he survive the flight?

As unlikely as it sounds, officials believe the boy rode in a tiny, cramped compartment for almost five hours, at altitudes that reached 38,000 feet, without oxygen and in subzero temperatures.

"It sounds really incredible," said aviation expert Jeff Wise. "Being in a wheel well is like all of a sudden being on top of Mount Everest."

Between the oxygen depletion and the cold, life expectancy "is measured in minutes," Wise said.

But some people have survived. Since 1947, 105 people are known to have attempted to fly inside wheel wells on 94 flights worldwide, the Federal Aviation Administration's Civil Aerospace Medical Institute says. Of those, 25 made it through, including a 9-year-old child -- a survival rate of 24%. One of the flights went as high as 39,000 feet. Two others were at 38,000 feet.

The conditions at high altitudes can put stowaways in a virtual "hibernative" state, the FAA said.

Someone could slip into unconsciousness so that the body cools and "the central nervous system is preserved," said CNN aviation expert Michael Kay. Also, he said, "there could be a situation where inside the bay is warmer than the external air temperature and you wouldn't get the instantaneous freezing of the skin."

Still, "for somebody to survive multiple hours with that lack of oxygen and that cold is just miraculous," airline analyst Peter Forman told CNN affiliate KHON in Honolulu.

The boy's survival is "dumb luck mostly," says Dr. Kenneth Stahl, trauma surgeon at Miami's Jackson Memorial Hospital. The temperature outside the airplane could have been as low as 75 or 80 degrees below zero, said Stahl, who is also a pilot. "Those are astronomically low temperatures to survive."

The boy was likely so cold that "he was essentially in a state of suspended animation," Stahl said. Being young likely worked in his favor, too. "No adult would have survived that," Stahl added.

The boy could face permanent brain damage from the experience, in fact, it's "more likely than not," Stahl said. He could face neurological issues, memory problems or a lower IQ.

When the ground crew at Kahului Airport noticed the boy, he was wandering the tarmac, dazed and confused.

The teen also could have frostbite or a kidney injury because when the body freezes, particles of muscle enter the blood stream and damage the kidneys, Stahl said.

Teen stowaway raises questions about airport security

How did he get there?

The 16-year-old apparently hitched a ride from San Jose, California, to Maui in the landing-gear wheel well of a Boeing 767, Hawaiian Airlines said.

The boy told authorities he was from Santa Clara, California, and ran away from home Sunday morning, said FBI Special Agent Tom Simon. He didn't have an ID and was carrying only a comb.

He hopped an airport fence, ran to the plane and climbed on, the FBI said.

"It appears that this teenager scaled a section of our perimeter," Mineta San Jose International Airport spokeswoman Rosemary Barnes told CNN. The boy "was able to proceed onto our ramp under cover of darkness and enter the wheel well of an aircraft."

Officials for the city of San Jose, which operates the airport, are not planning any legal action, Barnes said Monday. Once they were confident that the teen did not present a threat, the FBI dropped out of the investigation.

The boy is in the custody of child welfare services workers in Hawaii,  said Kayla Rosenfeld, a spokeswoman for the state's Department of Human Services. She said Monday afternoon that officials have notified the boy's family that he is safe.

How did no one notice him?

Surveillance camera footage shows the boy hopping the fence at the San Jose airport, the FBI said. There's also camera footage of him walking across the ramp in San Jose toward the Hawaiian aircraft, the airport said.

Video "is under review by federal and local law enforcement officials here," Barnes said. "And we'll continue to review that to determine where, in fact, the teenager was able to scale the fence line."

The boy told investigators he crawled into the wheel well of the plane and lost consciousness when the plane took off.

An hour after the plane landed at Kahului Airport, the boy regained consciousness and emerged to a "dumbfounded" ground crew, the FBI's Simon said.

The Maui airport has video of him crawling out of the left main gear area.

"It makes no sense to me," Simon said.

Mavin Moniz, the Maui District airport manager, added that a worker saw the boy come out of the wheel well and walk toward the front of the aircraft.

"Clearly there's a big security breach here, which in the post 9/11 world order is a concern," said Kay. To get past all sorts of people apparently unnoticed is "a physical feat," he said.

5 stowaway attempts that didn't end tragically

How did he not get crushed or fall?

It's not hard at all" to climb inside the wheel well, said Jose Wolfman Guillen, a ground operations coordinator at Chicago's O'Hare International Airport. "You can grab onto the struts and landing gear assembly kind of like a ladder, and you just jump on the tire and climb into the wheel well."

Inside, there's not much room -- even less than in the trunk of a car, Guillen said. A stowaway would need to guess "where the tire is going to fold in when it closes after takeoff. There's a high risk of getting crushed once the gear starts going in."

During the flight, "the interior guts of the aircraft, they're pretty exposed inside the wheel well, so there's a lot of stuff you can hold on to," Guillen adds. "It's just a matter of holding on to it for the duration of the flight and maintaining your grip when the gear opens up and not falling out. If you fell out, you could get horribly mangled or dragged on the runway."

In February, crews at Dulles International Airport in suburban Washington found the body of a man inside the landing-gear wheel well of an Airbus A340 operated by South African Airways.

In 2010, a 16-year-old boy died after he fell out of the wheel well of a US Airways flight that was landing at Boston's Logan International Airport.

The most recent known case of someone surviving was on a short domestic flight in Nigeria. A 15-year-old boy snuck into the wheel well of a flight from Benin City to Lagos -- thinking it was a flight to the United States, according to an FAA report. The ride lasted only 35 minutes, and the plane likely went no higher than 25,000 feet.

The FAA and Transportation Security Administration have studied stowaway incidents to augment security. Many incidents involve people desperately trying to escape their countries.

"No system is 100%," said San Jose airport spokeswoman Barnes.

Boy, 11, hops plane to Rome without ticket or passport

Boy sneaks onto Vegas flight by himself

@highlight

Teen apparently traveled from California to Hawaii in plane's landing gear

@highlight

FAA says 105 stowaways have made similar attempts since 1947; 25 survived

@highlight

The situation indicates a "big security breach," aviation expert says

@highlight

Boy is with child welfare services, official says; San Jose plans no legal action