LONDON, England (CNN) -- A brain surgeon performed what he called a "life-saving" surgery on a teenager by removing a large brain tumor using a method he read about on CNN.com just three days earlier.

Dr. Thomas Ellis is a senior neurosurgeon at Wake Forest University in North Carolina.

Dr. Thomas Ellis, a senior neurosurgeon at Wake Forest University School of Medicine in North Carolina, the United States, said he had become "very demoralized" after an unsuccessful six-hour operation to remove a tumor from a 19-year-old named Brandon.

"I had had to give the boy's mother the bad news and that is not something I am used to. She was crying and it was very hard. Your story truly came at the perfect time," Ellis said.

"I am inclined to believe that it is the work of God that I came across your article that very night," the surgeon told CNN.

The article was about the "Omni directional dielectric mirror," a pen-shaped fiber-optic tool that allows surgeons to carry out minimally invasive surgery on areas too difficult or delicate to access.

That night, Ellis contacted the neurosurgeon quoted in the story who put him in touch with Omni Guide, the Boston, Massachusetts-based company that manufactures the handheld device.

It was originally devised for the U.S. military, and rolled out for surgeries three months before Ellis read about it.

The tool allows surgeons to easily manipulate a CO2 laser and bend it to reach almost any tissue in the body, particularly in cases where scalpels may pose a danger.

"Seventy-two hours later I held the device in my hands," Ellis explained. "Omni Guide sent someone to do a demo. I was extremely impressed and excited and very quickly I pretty much got the hang of it."

Ellis added: "I think it's an amazing story because it's yet another demonstration of how interconnected we've become in this world.

"You have a CNN reporter in London, who writes a story about a neurosurgeon in Chicago, who's using a device that was invented in Massachusetts. That story is read by a different neurosurgeon in North Carolina, and all within 72 hours, we have the device in North Carolina.

"We have the patient lined up for a surgery, and in the span of just a few days we perform really a life-saving operation on this patient."

Ellis first met Brandon on December 17, 2008, when his mother took him to the emergency department at Wake Forest Hospital suffering from what Ellis calls, "an extremely rapid decline in basic functions."

"While he had been suffering from minor symptoms for about a year, he suddenly acquired terrible headaches and became very confused."

Ellis ordered an immediate MRI scan of Brandon's skull and found an extremely large tumor, known as a teratoma, in the middle of his brain. Read an explainer about teratomas

He operated two days later, but despite spending six hours in the operating room and going through half a dozen scalpels, he only managed to remove 20 percent of the tumor.

"In 15 years of doing neurosurgery, it really was the most difficult tumor that I ever encountered. It was very rubbery and hard to debulk," he said.

"I wish I could demonstrate the firmness of the tumor that we were dealing with but it really was the case that after trying to dissect the tumor just five minutes with each scalpel,  the scalpel would be dull and I would have to move on to use another scalpel.

"I went through at least a half-dozen of them, and even after many, many hours of operating on this tumor with multiple scalpels with multiple microsurgical-dissecting tools, I couldn't remove very much of this tumor."

Ellis advised the boy's mother, Tania, who asked we only give her first name, that her son would have to go through radiation treatment. Unlike chemotherapy, which involves the use of anticancer drugs, radiation treatment employs high-energy rays and particles to kill cancer cells.

"Radiation therapy is a difficult process, especially for such a large tumor," Ellis said.

He explained that he was feeling despondent about the patient's condition when he got home after the operation that night.

"Being the father of four children myself, just the thought of having to go through something like this with one of my own children is just beyond words," he said.

"As I do every night, I read CNN online and immediately saw on the front page that there was an article in the health section entitled, From military device to life-saving surgical tool. ... Read the original CNN.com story

"I finished the rest of the story and my first thought was: I would have given anything to have this tool available six or seven hours ago  based on the description in the story.

"Lasers have long been abandoned in neurosurgery," he said, "because they were too cumbersome to use. But CNN spoke of a brain operation performed by a Dr. Bernard Bendok in Chicago with CO2 laser and this new easy-to-use, perfect mirror tool."

The following day, on Christmas Eve, Ellis along with Dr. Tamir Wolf, a physician OmniGuide sent to assist, brought Brandon back to the operating room.

"After only 30 minutes, it was clear this laser device, as simple to use as a scalpel, was successfully debulking the tumor."

Ellis operated on Brandon for four hours and managed to remove the remaining 80 percent of the tumor by vaporizing it from the inside with the laser and then excising it.

"The boy was then extubated [removing the tube to his airway] after about 30 minutes and that same evening he was eating normally," Wolf said.

Brandon has recovered his basic functions and is behaving normally.

"I am very optimistic and so is his mother, although we still have to be careful and do regular check-ups to look for possible spreading of the tumor," Ellis said.

He believes that "at the least, this device will become a valuable new tool for surgeons. But it may actually usher in a new generation of neurosurgeons who do microsurgery very differently."

"Either way, this type of success story is what we neurosurgeons live for."

@highlight

Surgeon unsuccessfully attempts to remove patient's brain tumor

@highlight

Later that day, he reads CNN.com story on a groundbreaking new surgery tool

@highlight

He contacts makers of the tool that could help in removing his patient's tumor

@highlight

Three days later, the patient is operated on again and all the tumor is removed