(CNN) -- A controversial policy that limits the amount of time NATO troops can hold Afghan detainees is under review by U.S. Defense Department officials, a spokesman for the department told CNN.

The review of what's known as the "96-hour rule" is under way as CNN questioned whether the policy was putting soldiers in danger. Under the rule, NATO troops have 96 hours to either turn over detainees to Afghan authorities or release them -- a rule put in effect to avoid Abu Ghraib-like offenses.

"We are currently reviewing the 96-hour rule, but have yet to make decisions about how we wish to proceed in light of some of the obvious problems associated with it," Geoff Morrell, deputy assistant secretary of defense, told CNN in a statement.

"As soon as we have something concrete to say about our way ahead with respect to this aspect of detainee operations, we will of course share it with the Afghan government, our allies in the fight and, of course, the public at large."

NATO forces fighting in Afghanistan have operated under the 96-hour rule since December 2005. But soldiers interviewed by CNN said it could put them in danger because it forces them to release detainees in a short time span.

The rule, contained in a directive outlining International Security Assistance Force detention policies, resulted from consultations with U.S. military and Afghan commanders, said James Appathurai, spokesman for NATO.

CNN's Abbie Boudreau's blog: At the 96th hour

"We have to balance the requirement for protecting our soldiers with the reality that Afghanistan is a sovereign country, that there must be limits on the time we can detain Afghans before handing them over to Afghan authorities," Appathurai said. "The Afghan authorities can also talk with detainees to extract information. It is not as though the interrogation needs to end when we hand them over to the Afghan authorities."

Gen. David Petraeus, the commander of U.S. Central Command, however, said he was not convinced that 96 hours was enough time -- particularly for high-value targets.

"Ninety-six hours is not enough if you are going to ensure that they stay behind bars, obviously," he told CNN after a question and answer session in Atlanta. "Again, there has to be a process by which the individuals that need to be detained are detained, or that if they're handed off to Afghan officials that there's confidence in the system working."

Appathurai announced the rule in December 2005.

At CNN's request, NATO compiled statistics on what has happened to detainees since the agency began keeping such records in 2006. Under the 96-hour rule, about one in four detainees has been released.

U.S. Sen. Lindsey Graham, R-South Carolina, who was in Afghanistan last year and who is a colonel in the Air Force Reserve, said the rule puts soldiers in danger.

"The one story I hear told over and over and over again [is] 'Senator Graham, this policy makes no sense. It is putting our folks at risk for no higher purpose. It needs to change,'" Graham said.

"So the level of frustration is now turning to anger, and quite frankly, here's what's going to start happening -- we're going to take less prisoners. They're going to start shooting these folks."

Graham said he is not satisfied about how the rule was first implemented.

"I've been asking for months now, 'Who the hell made this rule up? Why did you pick 96 hours versus 80 hours or a hundred hours? What's the source document? What analysis went into whether or not this is an effective tool to deal with problems that we have in Afghanistan?'" he said. "I can't get anyone to tell me how this thing was formed, whose idea it was and how it became policy."

The case of Roger Hill, a former Army captain who received a general discharge for his role in the questioning of 12 detainees, prompted CNN's investigation of the 96-hour rule. Those 12 men had worked on his base in Afghanistan, including one who was his trusted interpreter.

Hill was the commander in charge of the Wardak Province in eastern Afghanistan for much of 2008. He said he feared the enemy was tracking his every move and suspected an inside threat.

"Out of a 90-man company, we had 30 wounded, to include two killed in action," he said.

He told CNN that his headquarters sent a team to the base to detect possible spies. The team screened cell phone activity to find out which Afghan civilians working on the base might be working for the Taliban.

"It turned out that it wasn't just one or two or three, but we actually had a full dozen," Hill said.

Hill's trusted interpreter was one of them.

Angry and frustrated that the interpreter might be sabotaging missions, Hill detained all 12 men in a small building on the base. When he took the men in the building, the 96-hour countdown began.

The rule is designed to give the Afghan government control over detainees and avoid abuses like what happened at the Iraqi prison Abu Ghraib in Baghdad.

But Hill said the rule does not work, and many times dangerous suspects are released because there's not enough time to gather evidence.

The other problem, he said, was that the evidence against the 12 men was too sensitive to hand over to the Afghans. Hill was ordered not to share classified intelligence with the Afghans for fear it could be used against U.S. soldiers in future battles.

"So we're in this Catch-22, where they're saying, 'Hey we'll take these guys off your hands, but give us the evidence,'" Hill said. "And I'm saying, 'I can't do that because there are technologies and techniques utilized that I can't sacrifice for this one particular case that will be used again in a fight later on.' 'Well, if you can't give us the evidence, then we can't take these guys off your hands.' So, the clock continues to tick."

As the clock ticked toward the 96-hour NATO deadline, Hill made a decision that would cost him his military career.

"I decided that I needed to break protocol and interrogate them myself," he said. "I took three gentlemen outside, sat them down, walked away, and fired my weapon into the ground three times, hoping that the men inside, left to their own imagination, would think that they really needed to talk."

Hill walked back inside.

"And sure enough, some of the detainees started to talk," Hill said.

What the detainees told him was enough to convince the Afghans to take all 12 men into custody, including Hill's interpreter.

Hill said he felt he had made the correct decision to protect his soldiers, but the Army charged him with detainee abuse, leading to his discharge from the military.

And the 12 men ended up being released, despite the confessions, according to Army investigators. No one knows where they are now and what they're doing.

@highlight

Roger Hill, a former Army captain, was discharged after a mock execution of Afghan detainees

@highlight

NATO has 96-hour rule for detention of suspects

@highlight

U.S. military is reviewing policy; some say suspects get released too soon

@highlight

The full investigation on AC 360 tonight at 10 p.m. ET