(CNN) -- Mitt Romney is in a bind. He must present himself as a staunch conservative in order to appeal to skeptical right-wing voters in the Republican presidential primary, but if he plays it too conservative, he'll alienate moderate voters in the general election.

Romney adviser Eric Fehrnstrom is not overly concerned, though. On Wednesday, he expressed confidence the campaign would hit the "reset button" after the nomination and redraw Romney as a moderate candidate.

"Everything changes," he explained on CNN, "It's almost like an Etch A Sketch. You can kind of shake it up and we start all over again."

Fehrnstrom's comparison of his boss' campaign to a toy tablet ignited a political firestorm. Internet wags imagined Mitt Romney as an Etch A Sketch drawing, while his primary opponents, Rick Santorum and Newt Gingrich, gleefully brandished Etch A Sketches at campaign events. Romney rushed to contain the damage by promising to be a true conservative forever.

It won't work.

Fehrnstrom has accidentally stumbled on something profound. He may not have much experience with Etch A Sketch technology. With all due respect to that iconic American toy, its legendary reset abilities have never been quite up to scratch. Dark smudges tend to mar the perimeter of its silvery slate, and no matter how vigorously you shake the thing, you can never quite obliterate the residue. Even so, the real-life Etch A Sketch in all its splotchy glory actually offers a better metaphor for American politics than the fantasy of a clean post-primary slate.

It's not that Fehrnstrom's contempt for the cognitive capabilities of the voters is entirely off the mark. The collective memory of the American electorate is notoriously short.

Think you're smarter than the average voter? Identify the authors of these political promises:

• "He won't streamline the federal government and change the way it works, cut 100,000 bureaucrats and put 100,000 new police officers on the streets of American cities, but I will."

• "And after we fund important priorities in the ongoing operations of our government, I believe we ought to pay down national debt. And so my budget pays down a record $2 trillion in debt over the next 10 years."

• "My plan requires both major party candidates to agree on a fundraising truce, return excess money from donors and stay within the public financing system for the general election."

(Answers: Bill Clinton, George W. Bush, Barack Obama)

OK, maybe you're one of the smart ones, but most people would have to guess. That's why it's not very hard for presidential candidates to shift from primary promises that appeal to the base to general election proposals that appeal to moderates and independents.

Even issues a few months old go rapidly stale when the pressure comes off. House Republicans have recently violated the historic debt deal they agreed to less than a year ago, gambling that voters won't hold them to it. They seem to be right. The media has barely covered the story; the public isn't interested.

But American voters don't forget everything. Some words and ideas seem to permanently embed themselves in our collective psyche. Try identifying the authors of these quotes:

• "Read my lips: no new taxes"

• "I am not a crook."

• "Tear down this wall."

• "I did not have sexual relations with that woman."

Easy, right? George H. W. Bush, Richard Nixon, Ronald Reagan, Bill Clinton.

How about this one? "Senator, I served with Jack Kennedy, I knew Jack Kennedy, Jack Kennedy was a friend of mine. Senator, you're no Jack Kennedy."

Most Americans probably remember very little about Vice President Dan Quayle, let alone Sen. Lloyd Bentsen, but this brief exchange during a vice-presidential debate was unforgettable.

Pithy one-liners tend to fix themselves in our mental machinery far more easily than complex ideas. They capture a personality, a moment or an idea in a few compelling or amusing words. Apt labels and nicknames also tend to stick: Reagan the great communicator, Clinton the comeback kid, John McCain the maverick, John Kerry the flip-flopper.

Once embedded in the great Etch A Sketch that is American political consciousness, these ideas cannot be shaken free for decades, sometimes even centuries. People still say, "Tippecanoe and Tyler too" some 170 years after the campaign slogan was coined, though few have any idea who it referred to or why.

Time will tell which words and ideas endure from the 2012 presidential election, but Eric Fehrnstrom has offered us a prime candidate. The Etch A Sketch perfectly captures voters' perception of Mitt Romney as an opportunistic politician anxious to redraw himself according to the political requirements of the moment, a man who leans left in Massachusetts and right in Mississippi. The notion provokes the mistrust of conservatives, the cynicism of moderates and the amusement of liberals.

Whether the label is fair is beside the point. Romney can defend his ideological consistency all year long. Nonetheless, when it comes to pithy words that stimulate the country's political imagination, you can shake and shake and shake, but you can never quite obliterate that residue.

The opinions expressed in this commentary are solely those of Michael Wolraich.

@highlight

Michael Wolraich: Etch A Sketch gaffe-turned-joke highlights bind Romney was already in

@highlight

He says in truth Etch A Sketch leaves residue on screen after a shake, a better analogy here

@highlight

He says voters forget actual policy promises; they remember gaffes, one-liners, labels

@highlight

Wolraich: Romney can defend consistency all he wants, but it's the new pithy gibe that will stick