It's carnival season, that pre-Lent period of collective frenzy that celebrates overindulgence and transgression before Ash Wednesday ushers in a more sober time of prayer, penance and abstention in the weeks leading up to Easter.

But the roots of carnival are both older and newer than the Christian traditions that started in Europe and have spread with colonialism throughout much of the world. Ancient Greek and Roman pagan rituals as well as the folklore, music and dance of colonized peoples have forged colorful expressions of each country's respective history and cultures.

Creative disguises and parody are characteristic of carnival in many countries, which historically gave oppressed and marginalized groups the opportunity to subvert norms of class, race and gender.

Here are some of the most dazzling carnival celebrations around the world.

New Orleans (January 6 - March 4)

As winter drags into March, the Big Easy will explode into a cacophony of color, music and dance. Carnival started here January 6, but it's the weekend before Mardi Gras, or Fat Tuesday (March 4), that has become the biggest street party in the United States.

Contrary to reputation, carnival here is largely a family friendly affair, with the most authentic events taking place far from the rum-soaked, topless naughtiness of the French Quarter. If you're looking to experience the unique traditions of New Orleans' carnival, you need to find the "krewes," neighborhood social clubs that organize their own parades, complete with flashy floats and their own carnival king and queen.

Be sure to bring bags to catch the "throws" -- beads, stuffed animals and other trinkets that are tossed to the crowd. Information about parade schedules, routes and other carnival events and history is available online, although routes are subject to change up until the day of the parade.

New Orleans also illustrates the story of carnival throughout the New World: Groups that were initially excluded from the festivities, especially people of African descent, created their own parallel celebrations, which over time flourished and became fundamental features of carnival. In New Orleans, nothing demonstrates this history like the Mardi Gras Indians.

Distinct from the krewes, these "tribes," or "gangs," began appearing in late 19th century New Orleans, representing specific neighborhoods. In the old days, gangs would battle one another to assert territory. Today, they battle for the title of "prettiest" big chief, the ceremonial leader of each tribe.

The chief and his family work on his carnival costume throughout the year, constructing stunning suits of satin, beads, sequins and rhinestones and enormous plumed headdresses that shake and sway like some rare, exotic creature.

Other members of the tribe along with spectators march randomly through their neighborhood, where they may encounter other Indians. They dance to the sounds of jazz, blues and the distinctive call-and-response that brings the sounds of West Africa to the rich musical melting pot of Louisiana. Mardi Gras Indians do not march on specific city-sanctioned routes, so talk to locals and tourist information officials to find out where and when to see them.

www.mardigrasneworleans.com

Rio de Janeiro (February 28 - March 4)

Carnival, or carnaval, in Rio tends to conjure images of glittering bikinis, body paint and huge plumed headdresses. But it actually had an elite, predominantly European character until the 20th century, when African and indigenous traditions -- in particular samba music -- began to play a central role in the celebrations. That shift helped made Rio's carnival the biggest, most spectacular one on the planet.

The huge Samba Parade is held at the massive Sambodromo, an exhibition area designed by Brazilian architect Oscar Niemeyer. Here you'll see Rio's famous samba schools compete all night while spectators generate a powerful energy in the stands.

As throughout the Americas, the heart and soul of Rio's carnival is in working class neighborhoods and favelas, the city's mountainside slums, many of which have become considerably safer for tourists in recent years. Each neighborhood has its own samba street bands and costumed participants, along with throngs of locals and tourists who dance along.

www.rio-carnival.net/

Venice, Italy (February 15-March 4)

Half a world away from Rio's dazzling sun-drenched street party, Venice offers possibly the world's most romantic carnival destination. Get ready to be transported back in time as ladies in Renaissance-era gowns and men in ruffled coats and powdered wigs stroll through the city's famous piazzas while gondoliers transport partygoers to elaborate feasts and masquerade balls.

From mid-February until Shrove Tuesday (March 4), the city is a place of mystery and enchantment. The festivities begin with the Flight of the Angel, featuring a woman in full carnival regalia who descends from a bell tower in St. Mark's Square. The square is the center of carnival action, with jugglers, acrobats and a variety of musicians. On Shrove Tuesday, known elsewhere as Fat Tuesday, the celebration concludes with a costumed ball and fireworks in front of the Palazzo Ducale.

While some Venetians and visitors may plunk down thousands for custom-made gowns and masks, you don't have to break the bank. Rent a costume, or fashion your own with a makeshift cape and a beautiful mask purchased from any cart along the canals. Presto! -- you're part of the scene.

www.carnevale.venezia.it/

Cologne, Germany (February 28-March 4)

The energy of German karneval is largely generated by people of all ages who gather in public spaces or bars to sing, dance and drink the days and nights away. But Cologne's carnival is also famous for its parades -- in particular, audacious (and at times lewd) satirical floats depicting well-known politicians.

Rose Monday, the second to the last day of carnival, features the largest parade of the season. See bands, satirical floats and thousands of spectators in creative, colorful costumes depicting everything from animals to priests, nuns, clowns and devils.

Don't miss the alternative carnival, which since the 1980s has become a fixture of the season. Don a ghoulish costume and join the ghost parade, a tradition dating back to the Middle Ages. Then, the night before Ash Wednesday, celebrate the burning of the Nubbel, in which a straw figure is charged with all the sins committed during the year and then burned as onlookers sing in a collective purging.

Learn all about carnival in Cologne at the Kölner Karnevalsmuseum.

www.cologne.de/events/cologne-carnival

Montevideo, Uruguay (January 20-early March)

Uruguay may be small, but its carnival is mighty, lasting 40 days. That's longer than any carnival in the world.

It starts with the selection of the carnival queen in January, followed by lavish parades. Then begin the tablados -- stages across the city where carnival shows are held. One of the main events is the murga, groups of musicians that perform a form of street theater involving powerful, haunting choral song that incorporate clever parody and satire.

Neighborhood murga groups work throughout the year on themes, lyrics and beautiful costumes reminiscent of commedia dell'arte characters, complete with painted faces, colorful capes and lavish headgear. Top groups compete in large theaters around Montevideo, but you can also catch fantastic performances at the tablados throughout the city, many of which cost little or nothing.

Murga: A musical tale of two cities

Another must-see Uruguayan carnival tradition is candombe, unique drumming rhythms developed by enslaved Africans and their descendants during Spanish colonial rule. Today, candombe is thriving, particularly in historically Afro-Uruguayan neighborhoods like Barrio Sur and Palermo where candombe schools hold llamadas, call-and-response drumming processions, in the streets.

Lear more about Uruguayan carnival traditions at the Museo del Carnival, located in Montevideo's charming old city.

Port of Spain, Trinidad and Tobago (March 3 and 4)

Officially, carnival in Trinidad's Port of Spain is the two days before Ash Wednesday. Unofficially, the city fills with the sounds of the steel pan -- calypso, limbo competitions and soca (a popular fusion of calypso and traditional Indian instruments) -- right after Christmas.

Carnival in these Caribbean islands reflects their multicultural heritage. People of African, European, Amerindian, Indian, Middle Eastern and Chinese descent join in the festivities, but especially the African slaves and Indian indentured servants who were originally excluded from French plantation owners' carnival celebrations have created their own traditions.

The big party starts the weekend before Ash Wednesday with steel band competitions and creative, often outlandishly costumed contestants vying to be the king and queen of carnival. Revelers stay out into the wee hours of Monday morning, eagerly awaiting the arrival of J'Ouvert at 4 a.m. In this predawn ritual, local folklore takes center stage as people dressed as devils, demons and monsters dance wildly through the streets to the rhythms of battling steel bands.

For those with the stamina to party on, this gives way to "Pretty Mas," in which vibrantly costumed revelers continue the dance party, jumping and gyrating to the soca music blasting from truck speakers. The celebrations and competitions last through Tuesday, with thousands of lavishly costumed bands and their affiliated masqueraders competing in an enormous parade.

www.gotrinidadandtobago.com

@highlight

Mardi Gras falls on March 4 this year

@highlight

New Orleans and other festive cities are rolling out floats and costumes

@highlight

Many celebrations have their heart and soul in working-class neighborhoods