'SINDH KALAY', England (CNN) -- The aroma of freshly baking flatbread wafts through the air as a unit of British soldiers position themselves for a quick patrol around the village of Sindh Kalay.

A British soldier on patrol in the mock Afghan village of Sindh Kalay.

Market vendors hawk grapes and melons, as a group of village elders sit smoking water pipes and suspicious-looking men lurk beside battered motorcycles. What should the soldiers do? Conduct a weapons search? Approach the village elders first? In the complex political and cultural terrain of Afghanistan, what is the best course of action?

Except this is not Afghanistan. It's Norfolk, England. Instead of the Hindu Kush mountains, it is the green ladscape and tidy farmhouses of the English countryside that stretch out behind them.

Welcome to the British Army's state-of-the art training ground. It cost more than $20 million to build and every British soldier serving in Afghanistan will do his or her training here.

"I think it's the closest thing you are going to get short of being in Afghanistan itself," says Col. David Colthup of the 2nd Battalion of the Yorkshire Regiment. His troops have already served one tour of duty in Afghanistan's Helmand province and are training for another.

British troops serving in Helmand province are tasked with mentoring and training Afghan security forces. Not an easy job in a Taliban stronghold and Afghanistan's center of opium production.

"Ultimately, a soldier joins the army and trains to fight. That's what a soldier trains to do. But today, it's a much, much more complex environment," explains Colthup.

"The business of being able to interact either through an interpreter or through Afghan security forces, whether they are police or army. And to understand how the people operate and how we can interact better with them. Because ultimately, that's what it's about," he says.

The most distinctive features of Sindh Kalay are the high three-meter walls that make up the village compound, creating narrow alleyways difficult for troops to patrol.

The village is staffed with Afghan asylum-seekers, many of whom have fled the Taliban. They play the roles of market vendors, village elders and sometimes Afghan security forces. Several Afghan women are also on hand, useful for training British soldiers on the religious and cultural sensitivities of entering an Afghan home.  Watch British troops training in mock Afghan village »

The Taliban insurgents are played by Nepalese Ghurkha soldiers authorized to handle weapons. They play their roles silently, unable to partake in the Pashtun banter among the Afghans.

Fazel Beria is also an asylum-seeker from Afghanistan. He is responsible for recruiting and for creating the sights and smells of Sindh Kalay and is easily identifiable as the only Afghan in the market in Western clothes. He beams with pride walking down the bazaar and clearly relishes his role in training the British Army.

"Everything with the culture comes up with the issue of hearts and minds," he explains. "If you want to win that, you need to know about their culture. You need to respect their culture, their religion and their way of life."

He gives high marks to the soldiers training so far. After each exercise, the Afghan actors talk directly to the soldiers about what went wrong and what went right. Sometimes, it's the little things that count.

"Yes, there have been quite a lot of surprises," Beria says. Like Afghan will sit cross legged for hours. "The British soldier cannot do that," he laughs. "The Afghan will be sitting very comfortable and the British soldier is not. So, they have to get used to it."  See photos of British troops on patrol in Sindh Kalay -- and for real in Afghanistan »

Previously, the army trained on farmhouses and in urban neighborhoods that resembled Northern Ireland more than Afghanistan. But Sindh Kalay does more than mimic the physical reality of Afghanistan. It also mirrors the changing tactics on the ground.

Troops are grilled in IED training by amputees that act out the violence with latex wounds and fake blood. When a new IED tactic is discovered by troops in Afghanistan it is communicated to Sindh Kalay and put into practice immediately.

"Before we had this, it wasn't realistic enough," says Col. Richard Westley, head of training here. "I think if you're going to be asking young men and women to go and risk their lives in someone else's country, then you have a moral obligation to prepare them for that environment. And that's what this village does. It gives them the isolation and complexity of an Afghan village. Which we can't do with farmhouses which represent Western Europe."

Some of the details in the Afghan village don't quite ring true. The slabs of lamb and beef hanging from the market stalls are plastic, as are the grapes and melons the vendors try and sell to the British soldiers.

Still, Sindh Kalay is eerily effective. When soldiers sit down for a "shura" or meeting with village elders, helicopters buzz overhead and the soldiers seem surprised to be served a homemade yogurt and cucumber drink.

But the unit commander can't help laughing when one of the Afghan village heads pulls out a "list of damages" by British troops. It turns out to be a receipt for the local supermarket.

@highlight

British soldiers train in mock Afghan village before deployment to Afghanistan

@highlight

Village features Afghan asylum-seekers as vendors, elders, Afghan forces

@highlight

Taliban militants are played by Nepalese Ghurkha soldiers

@highlight

Village trains soldiers to understand Afghan customs, respect Afghan culture