Percy von Lipinski stood on a chair as he decorated his family's Christmas tree. While hanging a German glass ornament, he lost his balance and grabbed a branch, pricking his left hand on a pine needle as he regained his footing.

Sounds pretty benign, right? At this point, Von Lipinski, 57, had no idea that the incident in 2008 would nearly cost him his entire hand -- and perhaps his life.

What seemed like an insignificant injury resulted in a flesh-eating disease from necrotizing fasciitis, the same condition that's responsible for two serious cases in the United States that have recently risen to prominence.

"I've told this story to many people to make them aware that, yes, this can happen to you," said von Lipinski, who lives in Vancouver, British Columbia. "Never, ever take an infection for granted."

This month, Aimee Copeland, a 24-year-old student at the University of West Georgia, had to have her leg amputated, then her other foot and her hands, because of the same flesh-eating disease. She had fallen from a zipline and cut her leg May 1.

She had been on a ventilator but is now breathing on her own, her father said Sunday. As of Tuesday, Copeland remains in critical condition.

Lana Kuykendall has had seven surgeries as a result of the disease, and she has been "intubated and sedated" since arriving at the hospital May 11, her brother said. She had been healthy when she gave birth to twins May 7 but went to the hospital when she noticed a bruise on her leg. She remains hospitalized in critical condition.

Von Lipinski's experience, which he shared with CNN's iReport, was far less severe than these women's but could have been worse had his infection not been detected so early.

There are many strains of bacteria that cause the flesh-eating disease necrotizing fasciitis. The Centers for Disease Control and Prevention estimates that there are about 9,000 to 11,500 cases of group A streptococcus bacteria, one cause of nectrotizing fasciitis, each year. Of them, only 6% to 7% are invasive. More commonly, the bacteria results in infections such as strep throat or a skin infection called impetigo.

Copeland's infection was caused by a bacterial strain called Aeromonas hydrophila, which is so rare that there are no good statistics on this cause of flesh-eating disease.

The CDC says that about 25% of patients who have nectrotizing fasciitis die. Canada has 90 to 200 cases per year, with a fatality rate of 20% to 30%, according to the Public Health Agency of Canada.

At Christmastime 2008, Von Lipinski didn't think much about the pine needle prick until the redness started spreading and he experienced abnormal pain. He and his wife, obstetrician-gynecologist Dr. Olga von Lipinski, were having dinner with a group of doctors. They recommended antibiotics, which the von Lipinskis had at home.

But von Lipinski's wife knew something was wrong when he kept getting up during the night, unable to sleep because of the pain. By morning, the wound on his hand had worsened.

Von Lipinski's story is typical of what Dr. William Schaffner, chairman of the Department of Preventive Medicine at Vanderbilt University Medical Center, knows of these sorts of infections. The telltale signs of a problem are a fever and persistent pain that's disproportionate to the injury: Sometimes it's "the worst pain they've ever experienced," he said.

About 10% of patients can remember no injury at all before the infection begins, he said.

Some cases involve deep penetrating injuries, such as Copeland's. Others, like von Lipinski's, are more trivial. But infection can begin even if the skin isn't broken; a blunt trauma can trigger it, too.

Still, plenty of people have these injuries every day and never develop flesh-eating disease; it's somewhat mysterious why a small segment of people do.

"You need a combination of circumstances that all have to mesh perfectly for this kind of event to take hold," Schaffner said.

Sometimes the bacteria are external, but in some cases, the person is already carrying the bacteria on them or even inside them.

As with many illnesses, vulnerability to flesh-eating bacterial infections increases with age and underlying conditions that might compromise the immune system. A delay in care for a wound also predisposes a person to a worse outcome.

"I certainly look at every tiny cut, paper cuts, shaving, building in a different much more serious way now," von Lipinski said.

Three feet of snow fell overnight while the infection spread in von Lipinski's hand. He had looked forward to spending the day making their home more "Christmassy." But his wife insisted about 6 a.m. on taking him to the emergency room on her way to work.

"There is no way, if my wife hadn't insisted, I would have gone to the hospital," von Lipinski said.

Doctors told von Lipinski he would be on an intravenous antibiotic drip for four hours and then could go home. His wife was told he would be home for dinner. But the drug didn't work, and von Lipinski's condition was getting worse. He was rushed to the intensive care unit.

Von Lipinski's hand appeared to double in size -- like "a science fiction makeup job."

"It was getting very hard to move my fingers," he said. "I couldn't picture how I was going to regain use of my hand again," he said.

There's a lot he doesn't remember, but one conversation does stick out: his wife talking to her 5-year-old daughter about how good people go to heaven.

"Everything was happening so fast around me, and it wasn't actually until I heard those words out of my wife, talking to my daughter, that I thought, 'Geez, I could die,' " von Lipinski remembers.

"I've never seen him so sick," his wife said. "It's a truly scary thing. You don't want see anybody, especially your relatives, in this kind of condition."

Within 48 hours, one of the combinations of antibiotics started to work. Nurses had drawn lines with a black marker to show the progression of the infection, but it had started to retreat. Surgeons removed dead tissue from the hand. Fortunately, they didn't have to amputate.

Surgery is the most important treatment for the condition. Antibiotics and supportive care are also important, said Schaffner, who did not treat von Lipinski. Staying ahead of the infection by getting rid of the dead tissue is crucial.

"It's not unusual for a surgeon to have to go back a second time and a third time because these infections -- look at that young lady in Georgia -- can spread in a very determined and rapid and persistent fashion," Schaffner said.

The best case scenario, von Lipinski was told, was that he wouldn't be able to move his hand again and would have frozen fingers for the rest of his life. At that point, von Lipinski felt grateful that he would keep his hand at all, even if it would be paralyzed.

Von Lipinski remained in the hospital for about two weeks. Contrary to the predictions of his doctors, he eventually regained the use of his left fingers, although it took 18 to 24 months. A year after the accident, he could barely form a fist. Only scars remain from the surgery, and he now has full function of his hand.

"When you face death directly as I did with this experience, you tend to look at life differently," he said. "Money and other typical life challenges are instantly made trivial when I think back at how lucky I was!"

@highlight

iReporter Percy von Lipinski of Vancouver, British Columbia, had flesh-eating disease

@highlight

His wife, a doctor, insisted that he go to the hospital when his hand hurt

@highlight

He had surgery to remove dead tissue from his hand

@highlight

Today he has full function of his hand and fingers again