(CNN) -- Peace envoy Lakhdar Brahimi expressed dismay Tuesday at the lack of progress in ending the civil war in Syria and called on the U.N. Security Council to act.

"Syria is being destroyed bit by bit and, in destroying Syria, the region is being pushed into a situation that is extremely bad and extremely important for the entire world," the U.N. and Arab League joint special envoy told reporters after meeting in private with the Security Council.

"That is why I believe Security Council simply cannot continue to say, 'We are in disagreement; therefore, let's wait for better times.' I think they have got to grapple with this problem now."

Brahimi blamed the government of President Bashar al-Assad and opposition activists for the impasse. "Objectively, they are cooperating in destroying Syria," he said.

The Security Council has proven ineffectual in brokering a peace, with China and Russia casting vetoes to block resolutions on sanctions.

Brahimi suggested a return to the Geneva communique of last June as a possible way of making progress. The proposal was drawn up during a conference in the Swiss city that brought together representatives from world powers that had been at odds over the conflict.

The resulting proposal called for a cease-fire, a transitional government and a new constitution, though it did not specify whether al-Assad would have to step down.

Russia and China joined France, Britain, the United States and Turkey in agreeing on the plan. Arab League nations also signed on to it. But neither the opposition nor al-Assad's government has signaled a willingness to sign on to it.

Still, the declaration contains "a lot of elements that would provide for a reasonable solution to the conflict," Brahimi said.

"The council has got to reaffirm the attachment and support for Syria's independence, sovereignty, territorial integrity, also for the rights of every citizen in Syria to their human rights and dignity, irrelevant of gender, religion or any other element," he added.

The communique calls for the creation of a transitional government with full executive powers. "I think that there was a very clever, creative ambiguity in this declaration and I have told them that that ambiguity has to be lifted now," he said. "You've got to say what these full executive powers mean ... all the powers of state have got to go to that government."

Asked about rumors that he planned to resign, Brahimi was resolute: "I am not a quitter," he said. "The United Nations has no choice but to remain engaged with this problem -- whether I am there or not. The moment I feel that I am totally useless, I will not stay one minute more. I didn't want this job. I didn't look for it. I don't need it as a job. So if I'm doing it, it's because -- maybe stupidly -- I feel sense of duty."

Brahimi's predecessor, former Secretary-General Kofi Annan, resigned from the same post last August.

U.S. Ambassador to the United Nations Susan Rice said Brahimi gave the Security Council "a frank and very grim assessment."

Though "a lot" of council members expressed support for his efforts, there were "no answers," Rice said. "There are no promises of any big breakthrough."

The envoy's comments came on the same day that the executed bodies of scores of men were found Tuesday in Syria, yet another grisly discovery that opposition activists blamed on the government.

Residents pulled 80 of them from the Queiq River in the town of Bustan Al-Qasr, near Aleppo city, opposition activists said.

An opposition video -- the authenticity of which CNN could not verify -- showed a row of bodies splayed on a muddy river bank, their heads bearing wounds, their hands tied behind their backs. Some of the bodies showed signs of torture.

Abu Faris, an opposition spokesman in the Aleppo countryside, said 20 of the victims had been identified by their relatives who said the men had been arrested and detained in Aleppo by Air Force intelligence.

The state-run Syrian Arab News Agency blamed the killings on Jabhat al-Nusra, an Islamist opposition group.

"The families have identified a number of the killed, stressing that Jabhat al-Nusra abducted them because of their rejection to cooperate with this terrorist group," SANA reported, citing a media source.

"The bodies, which terrorists and TV misleading channels have claimed that the army killed their owners, were found in the side where terrorists present," SANA quoted one of its reporters as saying.

It was the latest report of mass killings in the Syrian civil war, a battle between al-Assad's government and insurgents.

In all Tuesday, 228 Syrians were killed Tuesday, according to the opposition Local Coordination Committees of Syria.

The Syrian unrest started nearly two years ago when the government cracked down on civilians peacefully protesting government policies. The conflict morphed into a civil war. Since then, it has claimed more than 60,000 lives, according to the United Nations.

"The regime adds another massacre to its record while the entire Arab world and the international community keep watching the Syrian misery in silence and complete hypocrisy," the opposition Syrian Observatory for Human Rights said.

In the opposition video, men can be heard shouting, "This is unbelievable!" and "Some were children, children for God's sake!"

One man can be heard saying, "Tell the world these were not soldiers. They were not fighters. They are human beings. How come they know what the law of gravity is but they don't know anything about human rights."

Opposition groups have regularly reported massacres by government forces and their allies. Some of the more notorious reports include incidents in Taftanaz, Houla, Homs, Hama, Tremseh, Daraya, and Halfaya. Bombings in Aleppo and Damascus have resulted in many deaths.

Great migrations

The international aid group Doctors Without Borders, also known as Medecins Sans Frontieres, called Tuesday for international donors to support humanitarian operations in opposition-held areas in Syria.

The group said in a statement issued ahead of a donors conference in Kuwait City that areas under government control receive nearly all international aid.

"The current aid system is unable to address the worsening living conditions facing people inside Syria," said Dr. Marie-Pierre Allie, president of MSF. "The participants in the Kuwait City conference must acknowledge the legitimacy of cross-border humanitarian operations intended for Syria and grant them the financial, administrative and logistical support they require."

The number of refugees registered with the United Nations jumped by 110,000 in January, bringing the total to more than half a million.

If the refugees awaiting registration are included, the number exceeds 700,000, the United Nations High Commissioner for Refugees said.

Read more: Fleeing violence in nighttime trek to Jordan

"It's an unrelenting flow," UNHCR spokeswoman Sybella Wilkes said in Geneva.

When Syrians flee to neighboring countries, they arrive in need, Wilkes said.

"The last thing that Syrians wanted to do was leave their country," she said, adding that it's not unusual for families to be displaced internally six times before finally deciding to leave their home country.

They often require with health conditions that have gone untreated and require urgent attention, Wilkes said.

Recently, one woman lost a child at a U.N. station shortly after delivery because she had not received basic prenatal care, Wilkes said.

Teen refugee: Prince Charming is dead

The exodus of refugees accelerated in the second half of 2012, Wilkes said. A year ago, the United Nations had registered fewer than 20,000 refugees from Syria, which has a population of more than 22 million. Six months ago, the number rose to 120,000. By December, the number had climbed to 471,000. And now, nearly 585,000.

Jordan, Turkey and Lebanon are sheltering the most Syrians, with more than 150,000 each.

"We have in Jordan day shifts and night shifts" to register new refugees, Wilkes said. "In Lebanon, we have double shifts."

U.S. humanitarian aid

U.S. President Barack Obama has approved $155 million in humanitarian aid for people in Syria and refugees fleeing the violence.

That brings the aid total to $365 million, making the United States the largest single donor of humanitarian assistance to Syria.

The U.S. government has imposed sanctions against Syria, worked to isolate the regime, and backed the opposition but has refrained from intervening militarily.

CNN's Tom Watkins, Hamdi Alkhshali, Joe Sterling, Ben Brumfield, Salma Abdelaziz and Saad Abedine reported from Atlanta. CNN's Nick Paton Walsh contributed to this report from Beirut, Lebanon.

@highlight

NEW: Doctors Without Borders says most international aid goes to government-held areas

@highlight

"They have got to grapple with this problem now," Brahimi says of Security Council

@highlight

110,000 more refugees registered with the United Nations in January

@highlight

Jordan, Turkey and Lebanon have the highest number of Syrians who have fled