Calgary, Canada (CNN) -- Immediately before  9-11, al Qaeda was considered almost below most Americans' notice. One Washington Post/ABC News poll found that in early 2002, only 14 percent of Americans thought Islam encouraged violence.

These days, the popular perception of Islam is dominated by al Qaeda and its radical agenda. Al Qaeda has grown into a monster that dominates the American psyche, and many non-Muslims fear that the majority of Muslims are bent on violent takeover.

Throughout the last decade, the mainstream majority of Muslims have seemed almost silent, but today that all changes.

As of this writing, 38 of the 50  Islamic scholars who make up Canada's Muslim mainstream leadership have signed the Canadian Council of Imams Declaration, released today. More names will follow. These signatories will lead Muslim communities onto a path of active engagement, taking back Islam and claiming it for multicultural peace.

Here is why:

Muslims have been part of North American society for more than 100 years. There have been mosques in places such as Edmonton, Alberta; Cedar Rapids, Iowa; Pittsburgh, Pennsylvania; Cleveland, Ohio; and Buffalo, New York, since the 1930s.

In Canada and the United States before 9-11, the growing Muslim minority was well-integrated, with higher-than-average educational attainments for both genders. Muslims in civic and business leadership positions went as unnoticed as members of any other successful community. And North America's Muslims were proud to be an integral part of North American society, because we knew it was the Muslim ideal as well.

Radicals are working to destroy those relationships and are using the Quran to do it. Radicals regularly, ignorantly and blatantly abuse the Quran and the Sunnah (the acts of Mohammed that Muslims use to figure out what the revelations really mean) to promote the idea that Islam is a violent faith.

For example, they cite a famous verse in the Quran that says, roughly, "Fight the people of the book until they know themselves subdued," and use it to create fear or to support a violent agenda. However, here's what that verse really means.

When Mohammed and his companions "conquered" the Middle East in the 7th century, the command to do so came in response to rumours of an army massing in the north that was planning to exterminate them.

The Muslims expected a fight to the death but met people willing to live in peace, and they founded a society with rights, freedom, liberty and justice for all, regardless of race, creed or gender.

God wasn't telling them when to fight, he was telling them when to stop. While the vast majority of imams today put this verse in historical perspective for their congregations, this declaration now serves to put those who would abuse it in perspective as well.

Likewise, radicals claim Islam is anti-Semitic. And yet, when Jerusalem fell, Caliph Umar walked up to the gates and accepted the Catholic patriarch's demands for security, religious freedom and relative autonomy with one proviso: that those rights also be afforded to the 70 Jewish families who had been expelled by the Patriarch.

Claims that Islam wants to destroy Christianity are answered by Caliph Umar's refusal of the patriarch's invitation to pray in the Christian cathedral, "that later generations not declare it a mosque, so that it will remain a church forever."

In fact, equality before the courts in Mohammed's time was so profound that when Muslims extorted land from a Jewish citizen and built a mosque, the caliph had the mosque destroyed and the land returned.

Muslims around the world offer thoughts on what Islam means today

Western ideals are Muslim ideals. When al Qaeda (whose leaders are described in Muslim prophecy as "men with the hearts of demons") launched its 9-11 attack, the primary objective was to alienate America's Muslims from the America they love. Al Qaeda hoped to turn both sides away from those ideals that made both civilizations great. And their success at this alienation has remained woefully unchallenged until now.

That alienation drives Muslims to criminal acts here and abroad even though they should know better, and it is driving America and Canada into repudiating every good freedom we have attained.

Violence and rivalries have no place in faith -- any faith. Many Christians think they've begun the first blows of Armageddon, even though Muslims believe we're the army of the returning Christ.

I have Jewish friends in Canada who think Palestinians are descended from Amalekites (whom Jews are commanded to exterminate), even though Midianites, Ishmaelites and other Arab monotheist tribes populate the Old Testament. Moses and Jacob married proto-Palestinians.

Our religions are actually designed to help us live in peace, if you read their stories looking for something other than war.

For the sake of peace, Islam must be claimed back from Muslims and non-Muslims alike who seek conflict. The Canadian Council of Imams Declaration of religious freedom, gender equity, life's sanctity and individual freedom of choice, declared by the elite of Canada's scholarly and respected religious leadership on behalf of all of Canada's mainstream Muslim communities, denies the rights of radicals to define our religion.

It empowers the voices of Muslims who love Islam and repudiates anyone who seeks to use Islam for any purpose but peace.

Yes, it's a big thing, and it's happening today.

The opinions expressed in this commentary are solely those of David Liepert.

@highlight

Dr. David Liepert: Al Qaeda has come to dominate U.S., Canadian view of Islam

@highlight

Liepert says 50 Islamic scholars in Canada are taking back the religion from radical Muslims

@highlight

Violence and rivalries have no place in faith -- any faith, Liepert says

@highlight

He says declaration repudiates anyone who seeks to use Islam for any purpose but peace