Levignac, France (CNN) -- It's an unusual setting for one of the world's most modern aircraft -- a provincial French village with 19th-century charm, every two weeks Levignac hosts a nocturnal procession of huge A380 parts on their way to the Airbus assembly line.

Raising his hands as high and wide as he can, local resident Jerry Ridge explains what it's like to see the convoy of six individual parts that, when put together, form the largest passenger aircraft in the world. "When you see it in pieces, coming through a little village on the back of trucks, it looks bigger than the complete item," he says. "It's taller than the buildings."

Watch video: Tracking the A380 night convoy

Five years since its first commercial flight the double-decker plane is now a regular sight at most hub airports around the world. Accommodating such a big bird wasn't easy -- runways and taxiways were widened and strengthened, along with specially designed aircraft stands and extra baggage belts to cope with the suitcases of more than 500 passengers on a single flight.

See also: 'Superjumbo' A380 marks five years in the sky

Different parts of the plane are made all over Europe -- the rear fuselage in Hamburg, Germany, the wings in Broughton, near Liverpool, England, the forward and middle fuselages in Saint Nazaire, France and the horizontal tailplane in Cadiz, Spain.

Everything apart from the tail fin and the nose cone is far too big to fly to the final assembly line at the Airbus headquarters in Toulouse, southern France. So Airbus created a whole new method to move them. These key components are loaded onto specially designed ships that sail 2,000km in total across the continent to the delivery point at a harbor in Paulliac, 600km south of Paris.

The aeronautical cargo is then transported on modified barges along the Garonne River to Langon, where they are transferred onto trucks. It's a journey that takes four days including the night convoy to the finish line.

The component parts sit in sequence at a holding area in L'Isle Jourdain 11km away, where a team briefing is held for the 53-man crew, 31 vehicles and 18 security-staff motorcade before the final leg of this mammoth journey squeezing through the little village of Levignac.

I could tell you that the A380 is 18 meters wider and 5 meters longer than a Boeing 747, that it has a wingspan of 79.8 meters and its tailfin alone is 24 meters high. But no matter what the numbers say or how often you see an A380 on the ground or in the air, the most impressive way to get some perspective on the size and scale of the Superjumbo is to see it out of context -- unpainted, just its green protective coating, in individual parts, moving down the main street of a small French village, towering over roof tops and tree tops alike.

It's a fortnightly ritual for the locals and a midnight treat for tourists -- and with the manufacturing serial number in full view it takes planespotting to a whole new level. The convoy I joined -- MSN 121 -- will become a British Airways A380. This was a paradise for aviation geeks, to be face to face with the Superjumbo.

First to appear were each of the wings. Laying on their sides, they looked like prehistoric creatures emerging from the darkness, stepping into the flood of light from the lamposts that lined the street. Next up, the horizontal tailplane, then the three sections of the fuselage. Slow and steady, in single file the parts crawl by.

It's over far too quickly. For first-timers like me, it was hard to stop watching one part of the plane and focus my attention on another. It was a natural reaction to want to walk along with the convoy, escorting the parts. Seeing the plane in its basic primary form, it felt like everyone gathered along Rue de la Republique was a part of the production process.

At 2am, six pieces, all in a row, are safely delivered outside the Airbus hangar to wait their turn to be put together, just like a kit of parts.

The first stage is the structural assembly where the sections are fitted, including the landing gear. Each part requires precision and patience; it takes 13,000 rivets to join the three sections of the fuselage together and 4,000 rivets just to attach the wings to the body.

Watch video: Inside the A380 assembly line

The easiest way to identify who the planes belong to is by looking at the tail fins -- the only part at this stage that's painted in the airline livery. Then there is the next stage of the production process where the onboard equipment is installed and the engines fitted. The planes then make it outside in one piece for pressure and fuel testing.

Each airline has its own "build manager" to inspect and support every stage of the assembly. "We're looking at the looming, all the ducting before the bulk heads go in," said James Lewis, who started as a maintenance engineer with British Airways 25 years ago. "It's very detailed in some places but it's also a general walk around using the eye, a torch if you need to."

He added: "To see an aircraft start in its composite building blocks and slowly turn into an aircraft, it's a fascinating experience and a learning experience."

After the fuel testing is complete, the plane was due to fly to Hamburg to be painted and fitted with the cabin interiors. This whole process takes eight months from final assembly until the keys are handed over and delivered. Once one plane is ticked off the list, they start the process all over again.

Walking through the hangar of the final assembly line and catching a glimpse of one of the 1,500 engineers that work there, it's almost as if the Airbus headquarters was in Lilliput, taking care of the plane that Gulliver could have traveled in.

@highlight

Every fortnight huge A380 parts driven through the streets of Levignac

@highlight

A380 parts made at different sites around Europe

@highlight

Most parts are transported by ships, barge and trucks

@highlight

Locals, tourists and planespotters watch the parade of A380 parts