(CNN) -- The peculiar standoff on Borneo between Malaysian security forces and a group of men from the southern Philippines has its roots in a recent landmark peace deal between Manila and Muslim rebels, according to an expert on the region.

More than 100 men from the mainly Muslim southern Philippines came ashore in the Malaysian state of Sabah on Borneo early last week demanding to be recognized as representatives of a sultanate that has historical claims on the area.

Their claims touch on an unresolved territorial question between the Philippines and Malaysia, as well as Manila's efforts to improve relations with Islamic insurgents in the country's south after decades of violence.

Malaysian police and armed forces soon surrounded the village in the eastern Sabah district of Lahad Datu where the men had gathered. Police officials said they were negotiating with the group in an effort to persuade its members to return to their homes in the Philippines peacefully.

The Philippine government also urged them to come back to the country, saying it hadn't authorized their voyage. There was no indication of a resolution to the standoff on Monday.

The men claim to be the Royal Army of the Sultanate of Sulu, which once encompassed Sabah, and say they don't want their people to be sent away from the area, Malaysian authorities said. There are conflicting claims about to what extent the men are armed.

Eroded power

Over the weekend, comments appeared in the news media from representatives of the sultanate, whose power is now largely symbolic, saying that their followers who had gone to Sabah planned to stay where they were.

"Nobody will be sent to the Philippines. Sabah is our home," Jamalul Kiram, a member of the sultanate's ruling family, told reporters in Manila on Sunday, according to Agence France-Presse.

The sultanate's claim to Sabah plays a long-standing and important role in the Philippine government's relationship with the country's Muslim minority and with neighboring Malaysia, said Julkipli Wadi, the dean of the Institute of Islamic Studies at the University of the Philippines.

Established in the 15th century, the Sultanate of Sulu became an Islamic power center in Southeast Asia that at one point ruled Sabah.

But the encroachment of Western colonial powers, followed by the emergence of the Philippines and Malaysia as independent nation states, steadily eroded the sultanate's power, according to Wadi.

It became "a sultanate without a kingdom" to rule over, he said. Sulu is now a province within the Republic of the Philippines.

But the sultanate has nonetheless retained influence over some people in the southern Philippines and Sabah who still identify themselves with it, according to Wadi.

Excluded from a peace deal

The members of the sultanate's royal family, although riven by internal disputes over who the rightful sultan is today, appear to have felt isolated by the provisional accord signed in October by the Philippine government and the Moro Islamic Liberation Front, which has fought for decades to establish an independent Islamic state in southern Philippines.

Malaysia, a mainly Muslim country, helped facilitate the agreement.

Kiram was cited by AFP as saying that the sultanate's exclusion from the deal, which aims to set up a new autonomous region to be administered by Muslims, prompted the decision to send the men to Sabah this month.

Dispatching the boat loads of followers to Lahad Datu served to make the sultanate's presence felt, according to Wadi.

"The whole aim is not to create conflict or initiate war, it is just to position themselves and make governments like Malaysia and the Philippines recognize them," he said.

Historical ties

The economic, cultural and historical links between Sabah and the nearby Philippines islands, as well as the porous nature of the border between the two, means that many of the Filipino men have friends and relatives in Lahad Datu.

But the historical connection still fuels tensions between Malaysia and the Philippines, with Manila retaining a "dormant claim" to Sabah through the Sultanate of Sulu, according to the CIA World Factbook.

According to the official Philippine News Agency, Manila still claims much of the eastern part of Sabah, which was leased to the British North Borneo Company in 1878 by the Sultanate of Sulu. In 1963, Britain transferred Sabah to Malaysia, a move that the sultanate claimed was a breach of the 1878 deal.

Malaysia still pays a token rent to the sultanate for the lease of Sabah, according to Wadi.

@highlight

More than 100 Filipinos arrived by boat on the Malaysian coast last week

@highlight

They say they represent a sultanate that once ruled the area

@highlight

The move seems to be a response to a recent peace deal in the Philippines

@highlight

The leaders of the sultanate appear to have felt left out of the accord, an expert says