(CNN) -- Apple released Mountain Lion to developers last week, a new operating system that will make your desktop computer work more like your phone than ever before.

The trend is clear: The desktop operating system will merge with the mobile OS in the coming years. The question is: Why?

Let's start with the trend itself. First off, Apple is integrating cloud services much more deeply in Mountain Lion than any previous operating system. That means your music, photos, calendars, contacts, emails and more can now stay in sync across your phone, tablet and Mac.

Apple has also unified your messages across your devices: The Message app (formerly iMessages) will replace iChat on the Mac.

That's not all: Mountain Lion also gets a notification center that works just like the notifications you receive on your phone. Games Center is coming to the Mac as well, allowing you to play games against your friends who own iPhones and iPads.

Apps like Reminders, Notes and Contacts are also all getting desktop versions -- and of course these sync with your mobile devices so your data is always up to date.

Most notable of all: Apple is now pushing software updates through the Mac App Store, hinting that the App Store may become the only way to get software on your Mac in the future.

So what are the advantages of your desktop computer merging with your phone's functionality? And are there any downsides?

Simplicity

The main reason Apple wants to make Macs work like the iPhone and iPad is simple. Or rather, simplicity.

Despite decades of innovation and the invention of the graphical user interface, computers remain too confusing and complex for the majority of people.

While more powerful software with complex functionality will continue to exist for highly technical users, most consumers want a device that's easy to use and intuitive.

The rise of the iPad and iPhone prove that there's huge demand for such simplicity, and that desktops too will need to become more streamlined.

The downside of simplicity? Simple systems are often less "open" and provide less freedom to try new things: Tasks are either easy to complete (because the developers thought of that use case) or not possible at all.

Security

Mobile operating systems could potentially be more secure than their desktop counterparts. In particular, if Apple makes the App Store the only way to download apps to your Mac, it would become more difficult for users to install malware (since Apple manually approves every app in the store).

What's more, mobile features like tracking the location of your devices or wiping them remotely will make consumer desktops more secure.

There are downsides to app stores, however.

Not only would devices become less open -- the makers of operating systems become gatekeepers -- but you could argue that Apple and its rivals simply want to force the use of app stores so that they make more money for themselves.

Syncing

Perhaps the most obvious benefit of making desktops work more like phones is unity between all your devices.

With a similar (or single) operating system on all your gadgets, syncing apps, contacts and calendars between them all becomes effortless.

There's a downside for users, however: Competing operating systems tend not to work well together, and using one operating system across all devices means uses are "locked in" more than ever before.

So there you have it: Your desktop computer is becoming more and more like your phone -- and in fact the line between the two will one day disappear.

If you think it's just Apple's devices that are headed toward a simpler operating system, however, you'd be mistaken -- Apple is merely in the news because Mountain Lion became available to developers last week.

In fact, Microsoft's Windows 8 takes its cues from Windows Phone, meaning that the two major desktop operating systems will mimic your mobile devices very soon.

@highlight

Desktop operating systems will merge with mobile OS in the coming years

@highlight

Music, photos, calendars and emails now sync across your phone, tablet and Mac

@highlight

But simple systems are often less "open" and provide less freedom to try new things