(CNN) -- After 21 months of bloodshed and a failure by the international community to do anything to stop it, the U.N.-Arab League point man on the Syrian crisis expressed confidence Sunday that a political resolution is possible.

Lakhdar Brahimi's optimism followed talks in Geneva with Russian Deputy Foreign Mikhail Bogdanov and U.S. Deputy Secretary of State William Burns, which he called "constructive and held in a spirit of cooperation."

Getting Russia on board any international plan is seen as key because it has been an ally of Syria's government and blocked tough measures against President Bashar al-Assad in the U.N. Security Council.

In a statement, Brahimi said the diplomats "explored avenues to move forward a peaceful process and mobilize greater international action in favor of a political solution."

"All three parties reaffirmed their common assessment that the situation in Syria was bad and getting worse," said Brahimi, who was appointed a joint special representative in August, according to a story on the U.N. news website. "They stressed a political process to end the crisis was necessary and still possible."

This conviction comes at a time when violence in Syria continues to rage. U.N. Secretary-General Ban Ki-moon said Friday that more than 40,000 people have been killed, with half a million seeking refuge in other countries and nearly 3 million internally displaced.

The grim toll grew yet again on Sunday, with the opposition Local Coordination Committees reporting at least 116 deaths nationwide, including 10 children and four women. Forty-one of those deaths were in and around Damascus, and 32 were in Aleppo, including 20 burned near a Syrian Air Force Intelligence facility.

In addition to civilians caught in the crossfire, Sunday saw more skirmishes involved organized fighting forces on both sides. The LCC said there were 97 clashes Sunday between Syrian troops and rebel Free Syrian Army members, who have made inroads around the Middle Eastern country in recent weeks.

Opposition fighters have also taken steps of late to unify their ranks, with disparate Free Syrian Army units agreeing Friday to appoint a civilian rebel council leader and a military council leader for each Syrian province. The commanders will be under the leadership of a newly named chief of staff, Gen. Salim Idris, Free Syrian Army spokesman Louay Almokdad said.

The united military front follows the creation of the National Coalition for Syrian Revolutionary and Opposition Forces, a new coalition of groups opposed to al-Assad's leadership. The United States, in particular, has pushed for opposition factions to unite.

Another diplomatic focus has been trying to find a common international approach to Syria, in hopes that shared thinking -- especially involving friends of al-Assad -- can hasten an end of the war.

U.S. Secretary of State Hillary Clinton and Russian Foreign Minister Sergey Lavrov joined Brahimi last Thursday in Belfast, Northern Ireland, to discuss Syria.

Clinton said that meeting didn't produce a "breakthrough," but it was a start. She called for all facets of Syrian society -- except for al-Assad -- to be part of any transition. Russia said the countries should brainstorm with Brahimi on a peaceful transition and a political settlement.

The possibility that Syrian forces could employ deadly chemical weapons -- something Damascus has denied -- has heightened the sense of urgency.

Syrian forces began combining chemicals that would be used to make deadly sarin gas for use in weapons to attack rebel and civilian populations, a U.S. official told CNN last week. That possibility triggered international outcry, including from Russia, which sent strong messages to al-Assad warning him he'd lose their support if he used chemical weapons.

The United States and some European allies are using defense contractors to train Syrian rebels on how to secure chemical weapons stockpiles in Syria, a senior U.S. official and several senior diplomats told CNN Sunday.

The training, which is taking place in Jordan and Turkey, involves how to monitor and secure stockpiles and handle weapons sites and materials, according to the sources. Some of the contractors are on the ground in Syria working with the rebels to monitor some of the sites, according to one of the officials.

@highlight

The U.N.-Arab League envoy on Syria meets with Russian and U.S. diplomats

@highlight

He says they "stressed a political process to end the crisis" is still feasible

@highlight

116 were killed around Syria on Sunday, an opposition group reports