For three months, they've staked their claim to Kiev's Maidan, or Independence Square, and to Ukraine itself. We will leave only when you pull closer to the European Union, when you change the constitution, when you alter the government's power structure, they have loudly insisted.

But why?

Why have thousands of protesters staked their lives, seemingly, on their desire for political change? And why has the government resisted their calls so vehemently?

Let's take a look:

1. What prompted the protests?

At the heart of the protests is a trade pact. For a year, President Viktor Yanukovych insisted he was intent on signing a historical political and trade agreement with the European Union. But on November 21, he decided to suspend talks with the EU.

2. What would the pact have done?

The deal, the EU's "Eastern Partnership," would have created closer political ties and generated economic growth. It would have opened borders to trade and set the stage for modernization and inclusion, supporters of the pact said.

3. Why did Yanukovych backpedal?

He had his reasons. Chief among them was Russia's opposition to it. Russia threatened its much smaller neighbor with trade sanctions and steep gas bills if Ukraine forged ahead. If Ukraine didn't, and instead joined a Moscow-led Customs Union, it would get deep discounts on natural gas, Russia said.

4. Were there any other reasons?

Yes, a more personal one. Yanukovych also was facing a key EU demand that he was unwilling to meet: Free former Prime Minister Yulia Tymoshenko, his bitter political opponent. Two years ago, she was found guilty of abuse of office in a Russian gas deal and sentenced to seven years in prison, in a case widely seen as politically motivated. Her supporters say she needs to travel abroad for medical treatment.

5. What happened next?

Many Ukrainians were outraged. They took to the streets, demanding that Yanukovych sign the EU deal. Their numbers swelled. The demonstrations drew parallels to Ukraine's 2004 Orange Revolution, which booted Yanukovych, then a prime minister, from office.

6. Who's heading the opposition?

It's not just one figure, but a coalition. The best known figure is Vitali Klitschko. He's a former world champion boxer (just like his brother Wladimir). Klitschko heads the Ukrainian Democratic Alliance for Reforms party. But the oppositon bloc goes well beyond Klitschko and the UDAR. There's also Arseniy Yatsenyuk. (More on him later.)

7. How did Yanukovych react?

In a way that inflamed passions further. He flew to Moscow, where he and Russian President Vladimir Putin announced Russia would buy $15 billion in Ukrainian debt and slash the price Kiev pays for its gas. And then, when the demonstrations showed no signs of dying down, he adopted a sweepting anti-protest law.

8. What did the anti-protest law say?

The law barred people from wearing helmets and masks to rallies and from setting up tents or sound equipment without prior police permission. This sparked concerns it could be used to put down demonstrations and deny people the right to free speech -- and clashes soon escalated. The demonstrators took over City Hall for the better part of three months.

9. But wasn't the law repealed?

Yes, ultimately it was. Amid intense pressure, deputies loyal to Yanukovych backtracked and overturned it. But by then, the protests had become about something much bigger: constitutional reform.

10. What change in the constitution did they want to see?

The protesters want to see a change in the government's overall power structure. They feel that too much power rests with Yanukovych and not enough with parliament.

11. What did the government do?

In late January, the President offered a package of concessions under which Yatsenyuk, the opposition leader, would have become the prime minister and, under the President's offer, been able to dismiss the government. He also offered Klitschko the post of deputy prime minister on humanitarian issues. He also agreed to a working group looking at changes to the constitution. But the opposition refused.

12. Why did the opposition pass on the offer?

The concessions weren't enough to satisfy them. They said Yanukovych had hardly loosened his grip on the government, nor had he seemingly reined in authorities' approach to protesters. "We're finishing what we started," Yatsenyuk said.

13. But over the weekend, it seemed things were getting better, weren't they?

Yes. On Sunday, protesters vacated Kiev's City Hall, unblocked a major street and left other government buildings in exchange for the government dropping charges against those arrested. But any breakthrough was a distant memory by Tuesday.

14. Why? What happened Tuesday?

The opposition wanted to introduce amendments in parliament that would have limited the President's powers and restored the constitution to what it was in 2004. But the speaker of parliament refused to allow it. Bloody clashes followed.

15. Who was to blame for the clashes?

Depends on whom you ask. The government pointed the finger at protesters. The opposition, in turn, blamed the government. Regardless, it was the bloodiest day of protests up to that point; 28 people died.

16. Wasn't there a truce called?

Yes, the government and opposition agreed on a truce late Wednesday. But it barely took hold -- and blood was flowing again Thursday.

17. What caused the fresh clashes?

Gunfire erupted Thursday at Maidan, or Independence Square, which has been ground zero for anti-government protesters. At least 20 people died. It's unclear what prompted the gunfire. Again, finger-pointing followed: The government said protesters broke the truce; the protesters said the government did.

18. So, what happens next?

Top international diplomats have been trying to resolve the crisis. There's also been talk of sanctions.

19. Will sanctions help?

Analysts warn there's little that outside pressure could do, especially if the Ukrainian military gets involved on the side of the government.

20. What's the takeaway here?

Street protests that started in November over a trade pact have swelled into something much bigger -- a demand that the President loosen his grip on power and the constitution be changed. As a result, the eastern European country is in the midst of a wave of anti-government protests, the likes of which it hasn't seen in 10 years.

There's something else: Ukraine, the biggest frontier nation separating Russia and the European Union, is something of a pawn between Russia and the West. The EU and the U.S. think Russia wields a lot of influence. Russia denies it.

One open-ended question is how much worse it will all get.

"My own hunch," said Richard Haass, president of the Council on Foreign Relations, "is this is going to continue to escalate."

@highlight

Ukraine has been rattled by anti-government protests since November

@highlight

The trigger then was the President's decision not to sign a trade pact with the EU

@highlight

Ukraine is split: Some want to align more with the West, others favor Russia

@highlight

The opposition has also pushed to shift power away from the President