ATLANTA, Georgia (CNN) -- Lets face it: All the information around cholesterol makes it something of a confusing topic. Not only do we make our own cholesterol, but we also must have it to produce other important body assets, such as cell membranes and certain types of hormones.

"Good" cholesterol vs. "bad" cholesterol and all the associated numbers can be confusing.

So it's a bodily must-have. But we also augment that inner cholesterol machine by eating foods high in saturated fats such as whole dairy products and red meats and probably half the offerings at any fast-food spot. Add to that the fact many people simply overproduce or underproduce cholesterol because of their genes -- and that is just the beginning of the conundrum over cholesterol.

But while many can't quite wrap their brain around it, the reality is many of us are affected by it, and not in a good way. According to the American Heart Association, almost half the adult female population in the United States suffers from high cholesterol.

Add in the good vs. bad cholesterol and all the different numbers for the different levels and it starts making my head spin.

Fortunately I was able to speak with two very smart cardiologists for guidance.

Dr. Nieca Goldberg, a cardiologist in New York, set me straight. She explains it's all about the balance.

"Cholesterol is an important substance and has many benefits for our bodies, but only a set amount keeps your body in a nice situation." Our bodies make the good and the bad kind of cholesterol, and according to Goldberg, who is also a spokeswoman for the American Heart Association's "Go Red for Women" campaign, they are pretty efficient machines.

"The system is set up so that the HDL high density lipoproteins, or artery-cleaning or 'good' cholesterol, cleans out the LDL low density lipoproteins, or 'bad' cholesterol," she explains.

So, basically the good ushers out the bad by dragging it to the liver, and the liver gets rid of it.

But when the bad outweighs the good, that's when the trouble begins. Dr. Nanette Wenger, chief cardiologist at Atlanta's Grady hospital, paints a cheery picture for us. "Cholesterol is this fatty gruelly substance that builds up in the arteries, and when those obstructions have high levels of fat they are much more likely to burst."

OK, got it: Buildup bad, burst worse!

According to the American Heart Association, the bad cholesterol, with a little help from some other substances in your body, join together and form a united front (that is, a hard deposit inside your arteries) that could block the flow of blood to the heart, causing a heart attack. Or it could block the flow to the brain, causing a stroke. So, it seems that bully bad cholesterol really needs to be shut down.  Health for Her: Watch to learn more about cholesterol in women »

But how do you do that?

First you have to be informed.

Wenger says, "I've always said that women should know three numbers and there are so many numbers tossed around I think all of us can get confused. But I want my women patients to remember three numbers: 50, 100 and 150. Fifty is the good cholesterol, the HDL -- that should be above 50. One hundred is the LDL, the bad cholesterol. And 150 is the triglycerides, another blood fat, and your triglycerides should be below 150. So be sure that your physician tells you your numbers. If they are fine, do what you do to keep them fine, and if they are abnormal, work with your doctor to change them."

The first two steps, says Goldberg, are about changing your lifestyle. "You have to adopt a healthy diet and you have to exercise," she says. "People with mild cholesterol problems can usually bring their numbers down just by doing those two things. Exercise is one of the most effective measures for raising good cholesterol."

A low-fat diet rich in omega-3 fatty acids -- found in foods Including salmon, walnuts and flax seeds -- is also a good bet for boosting the good stuff. However, sometimes that is not enough. Wenger says, "Some people have genetic predispositions and have very abnormal cholesterol. Some just make more cholesterol than others, so if your cholesterol is high, it is not that you are a failure. It's that your lifestyle interventions have not been adequate to get cholesterol to the levels we want."

Sometimes, if warranted, those lifestyle changes need to be helped with medicine. But, cautions Goldberg, "I've said to my patients, medications alone can't do everything. They need to help themselves by modifying their lifestyles with a low-fat diet and exercise, less stress, more sleep," all things that we know will keep us healthier longer.

So, while in the beginning the cholesterol issue was a conundrum, in the end it's really a simple story about equipping the good to fight the bad (on a molecular level) and making the right choices so my blood won't get held back on its travels through my veins.

OK, that I get! E-mail to a friend

@highlight

Heart association: Almost half U.S. adult females suffer from high cholesterol

@highlight

Mild cholesterol problems can usually be controlled through diet and exercise

@highlight

People who have genetic predispositions to higher cholesterol may also need meds