(CNN) -- Professor Raffaello D'Andrea isn't short of admirers for his autonomous flying robots and the amazing tricks they perform.

Every week, he receives a flood of e-mails from excited people telling him how to use them, he says.

"Folks have contacted me about using them to deliver burritos and pizzas, paint walls, do search and rescue, monitor the environment, flying cameras for movies ... It's just endless," D'Andrea says.

"I'm not going to pass judgment on whether they are good or bad ... my role is to show people what is possible."

It appears those possibilities are growing by the day at the Swiss Federal Institute of Technology in Zurich (ETH Zurich) where D'Andrea leads a team of researchers at the Flying Machine Arena (FMA).

Set up by D'Andrea five years ago, the arena offers a "sandbox environment" for testing a fleet of progressively acrobatic quadrocopters.

In the beginning, these four-rotor machines learned to flip through 360-degrees, "dance" to music and even play the piano. Today, increasingly complex flight maneuvers are being attempted as quadrocopters work together to build a six-meter tall model tower and juggle balls and poles. It is an extraordinary and slightly befuddling sight to behold.

Read: Billion dollar mission to reach the Earth's mantle

Quadrocopters are controlled by varying the relative speed of each rotor blades, or pairs of rotor blades to generate thrust and control pitch, roll and yaw. They've been around for a long time, says D'Andrea, but what's making them so popular now as a creative tool is the shrinking size and cost of technology.

"In order to fly these things you need gyros. Only recently have they become small, accurate, and cheap enough to put on these vehicles," he explains.

The tiny motors driving each rotor are also extremely powerful and cheap now, he says, as are the batteries.

Last month, ETH Zurich released video footage of their latest stunt showing a quadrocopter balancing a pole before tossing it to another quadrocopter which successfully catches and controls the pole.

"We tried various catching maneuvers," said grad student Dario Brescianini, who D'Andrea and a colleague supervised during the research, "but none of them worked until we introduced a learning algorithm, which adapts parameters of the catching trajectory to eliminate systematic errors."

It took Brescianini around three months to perfect the move, D'Andrea says, but the infrastructure behind the FMA has taken much longer to build up.

Draped in protective netting and crash mats, the FMA looks like a rather down-at-heal gymnasium on first inspection, but a closer look reveals a high-tech suite of equipment which is crucial to understanding how the ETH's quadrocopters fly.

Atop the 10-meter cubed space sits a motion capture system (made up of eight cameras) which locate objects in the FMA at rates of more than 200 frames per second.

The data from this indoor GPS system is sent to computers where custom-built software sends commands to the quadrocopters via wifi.

Read: Scientists build human brain inside a supercomputer

"Aerodynamics is a very complex phenomena to model properly. If we can create machines that learn and adapt what they are doing in aerobatics it pushes use towards more intelligent systems. It's a great research challenge," D'Andrea says.

Within five years he expects to see a proliferation of flying machines being used in a variety of settings.

There are already companies exploring flying vehicles for inspection and for humanitarian purposes. In the case of the latter, he points to the efforts of Californian-based start-up Matternet.

Founded by Andreas Raptopoulos, the company have ambitious plans to build a network of autonomous vehicles delivering food and aid to inaccessible areas in developing countries.

In between in his other projects at ETH Zurich, which include developing balancing cubes and actuated wingsuits, D'Andrea is also looking for ways to commercialize the university's innovations. He's currently in the process of starting a company which aims to maximize the potential of their quadrocopters in the arts and entertainment industry.

If his previous forays into the business world are anything to go by then expect it to be wildly successful.

In 2003, D'Andrea co-founded Kiva Systems, applying the knowledge learnt creating a team of soccer-playing robots at Cornell University.

Read: Search for alien life on Earth

The company, which provides automated robot systems for warehouses, was sold to Amazon for $775 million in 2012.

"When we were doing RoboCup (an international robotics competition) it did not enter my mind that the learnings I would take from my students I had trained could be used to build a company like Kiva Systems," he says.

"Basically, my mode of operation is really to focus on creating things that have never been done before and push the boundaries of what autonomous systems can do. In the process, do great research and educate people on how to really make things work and the applications will come."

There seems no limit to what autonomous flying robots might be capable of in the future and their unstoppable rise is increasingly causing concern, particularly their use in espionage and warfare. Suppressing the technology is not an option though, D'Andrea argues.

"I'm a firm believer that if the military use this technology then it's just a short step away from everyone using it," he says.

"We don't want the technology to be misused. The starting point is that our governments don't misuse the technology. As a society, we should question how much of a role, if any, these robots have in warfare."

Efforts to outlaw weapon-carrying drones have been gathering speed and support in recent months. NGO Human Rights Watch published a report (Losing Humanity: The Case against Killer Robots) in November 2012 urging governments to pre-emptively ban autonomous weapons. Another campaign, "Stop the Killer Robots," is being mobilized by the NGO International Committee for Robot Arms Control and is due to launch in April.

Far away from the social and political debates about the misuse of drones, D'Andrea is just keen to promote his teaching philosophy and how students should approach learning.

"I think there needs to be more room for unconstrained creation. We need to provide ways for folks, especially at university, to push the boundaries of what technology can do without being concerned about the immediate commercial application," he says.

"We should be more concerned about fulfilling our dreams as children. What was it we wanted to do as children? We wanted to fly like birds. Well, why aren't we doing that?"

@highlight

Raffaello D'Andrea heads ETH Zurich's Flying Machine Arena

@highlight

Arena is at forefront of research into autonomous flying robots

@highlight

Quadrocopters learn amazing throwing and catching maneuvers

@highlight

D'Andrea says technology education needs to promote "unconstrained creation"