Venice, Louisiana (CNN) -- President Obama said Sunday his administration has mounted a "relentless response" to the oil spill unleashed by the sinking of an offshore drill rig in the Gulf of Mexico.

Obama met with local, state and federal officials involved in the cleanup in southeastern Louisiana, the closest stretch of coastline threatened by the massive spill. Afterward, he said that despite "the most advanced technology available," the spill may not be stopped for many days.

"I'm not going to rest, and none of the gentlemen and women who are here are going to rest or be satisfied, until the leak is stopped at the source, the oil on the Gulf is contained and cleaned up and the people of this region are able to go back to their lives and their livelihoods," he said. "We will spare no resource to clean up whatever damage is caused."

Obama met with the commandant of the Coast Guard, Adm. Thad Allen; EPA administrator Lisa Jackson; Louisiana Gov. Bobby Jindal; and the presidents of several parish governments after arriving, White House spokesman Robert Gibbs said. The president's briefing included an update on the procedures being attempted to cap the well and the economic and environmental impact of the spill, Gibbs said.

After landing in New Orleans, Louisiana, on Sunday, Obama joined Jindal on a two-hour drive to Venice, a staging ground for efforts to fight the growing slick.

Appearing on CNN's "State of the Union," Homeland Security Secretary Janet Napolitano, Interior Secretary Ken Salazar and Allen warned that the leaking oil from a rig explosion could continue for weeks with dire consequences.

"It potentially is catastrophic," Salazar said. "I think we have to prepare for the worst."

That would mean oil damaging sensitive coastal wetlands and industries, including a vital fishing sector that was damaged by Hurricane Katrina in 2005.

Obama initially planned to fly over the affected area by helicopter, but weather conditions prevented the flight. Before his trip, Cabinet officials warned he would find a dire situation.

Officials warn of possible catastrophe

Salazar blamed the explosion that caused the spill on a failure in rig technology intended to prevent so-called blowouts.

"There is no doubt at all here that what has happened is the blowout prevention mechanism at the bottom of the well ... is defective," Salazar said. "While there have been blowouts in the past, we have never seen anything that has been quite of this magnitude."

The well is owned by oil company BP. Lamar McKay, president of BP America, told ABC's "This Week" that the company doesn't know why the blowout preventer failed.

All three officials interviewed by CNN repeatedly emphasized that BP is legally responsible for spill and clean-up efforts. They avoided direct criticism of the company, but said BP must do more to try to cap the gushing well.

Allen called the spill "one of the most complex things we've ever dealt with," and said it was impossible so far to predict how much oil will eventually leak.

"If we lost a total well head, it could be 100,000 barrels or more a day," he said.

BP said two Louisiana communities, Venice and Port Fourchon, will likely be the first places hit by the oil slick. Nearly 1 million feet of booms have been deployed in an effort to protect precious estuaries and wildlife, even as thousands of barrels of crude oil continued gushing into the water. Drilling new wells to stop the flow would take a month or two, and it was unclear if the leak could be contained or slowed before then.

WDSU: Rush to save Lake Pontchartrain

McKay said the company is building a containment system to prevent the leaking oil from spreading, but it may take another six to eight days to deploy it. Meanwhile, the company is working to battle the slick offshore and to clean up any oil that reaches the coast.

"We're still working hard, still working hard on the blowout preventer and see if we can actuate this piece of evidently failed equipment," he said. But he compared that to "doing open-heart surgery at 5,000 feet in the dark with robot-controlled submarines."

Sen. Mary Landrieu and Rep. Charlie Melancon, both of Louisiana, said they want the government to put more pressure on BP to find a solution.

"Our government needs to get somewhere between 'drill, baby, drill' and 'spill, baby, spill,' " Melancon said on CBS' "Face the Nation." Landrieu told the same program that the government should force BP to immediately start drilling remedial wells at the site "and hope that one can fix this."

The slick has already taken a toll on life along the Gulf Coast, bringing fishing and tourism to a halt in many places and threatening to cripple those industries for weeks to come.

"I'm pretty much on pause right now. ... It's just a big waiting game," said David Boola, a fisherman who operates boat trips for tourists out of Venice.

WDSU: Oil spill causes empty shrimp nets

Allen noted BP was deploying its top technology such as the remote operation vehicles, which the government doesn't have.

At the same time, Napolitano and Salazar said the Obama administration had reacted quickly to what they called an escalating situation.

Napolitano noted the incident was first an explosion and fire, with a search-and-rescue effort for missing rig workers. It then worsened when the rig sank two days later, followed by the increasing oil leak, she said.

While BP was the first responder, the Coast Guard reacted right away to the situation and deployed 70 vessels and 1 million feet of boom for possible service, Napolitano said.

Salazar noted that the Obama administration has ordered inspections of "blowout preventers" on other Gulf rigs. The government's job was to "keep the boot on the neck" of BP to ensure it meets its obligations in stopping the spill, dealing with the oil slick and paying for all costs and damages.

Also on the CNN program Sunday, Florida's Republican Senate candidate Marco Rubio called the oil slick a "crisis" but withheld judgment on the administration's response. According to Rubio, it appeared that much of the early information provided to the federal government by BP had been "either inaccurate or shortcoming."

In recent days, Rubio said, "We've seen the administration move aggressively, and I hope aggressively enough."

BP partnered with government officials to hold town hall meetings throughout the region Saturday to respond to concerns about the spill's consequences. But Louisiana Gov. Bobby Jindal suggested the response to the oil slick has so far been inadequate.

"We continue to be concerned with BP's ability to respond to this incident," he said.

Environmentalist Richard Charter of the Defenders of Wildlife organization said the oil leak could cause damage that would last decades.

"This event is a self-feeding fire," Charter said. "It is so big and expanding so fast that it's pretty much beyond human response that can be effective.

"You're looking at a long-term poisoning of the area," he said. "Ultimately, this will have a multidecade impact."

The oil spill started April 20, after an explosion on the BP contractor Transocean Ltd.'s Deepwater Horizon drilling platform. Eleven oil-rig workers remain missing and are presumed dead.

The rig sank April 22 about 50 miles off the southeast coast of Louisiana, and the untapped wellhead is gushing oil into the Gulf of Mexico. About 1.6 million gallons of oil have spilled since the explosion, the Coast Guard said Saturday.

@highlight

NEW: President Obama briefed on procedures used to cap well, impact of the spill

@highlight

NEW: "We will spare no resource to clean up whatever damage is caused," Obama says

@highlight

Gov. Bobby Jindal: Residents can see the spill, which BP could not contain last week

@highlight

Venice and Port Fourchon expected to be the first areas affected