(CNN) -- You'd be forgiven for not knowing, but the end of April marks a very important date in the Swedish calendar.

"Walpurgis Eve" celebrates the transition from winter to summer. Every year bonfires are lit, songs are sung and it's not unheard of for parties to go on late into the night.

Why such jubilation? Because the Nordic winters are dark, cold, long and cruel. Meanwhile, the summers -- while hardly exotic -- are bright and full of opportunities that are otherwise prohibited by the fearfully inhospitable climate.

Nowhere is this truer than in the far north of Sweden, where temperatures range from minus 40 C (minus 40 F) in the winter to plus 30 C (86 F) in the summer.

Along with a portion of neighboring Finland, the area is more commonly known as Lapland, and while the region retains an association with flying reindeer and a jolly bearded man, it is in fact home to a flourishing indigenous people called the Sami, as well as a magnificent parade of scenic treats that truly come alive in the summer.

If you're not convinced, read on for four reasons to plan your summer vacation in Lapland.

The midnight sun

Due to its location north of the Arctic Circle, Lapland is bathed in sunlight around the clock, non-stop for two precious months a year.

This geographical quirk means that -- throughout June and July -- visitors can enjoy the rare spectacle of the midnight sun, where notions of day and night are quickly forgotten. The dim pink midnight light lends the landscape an unearthly dimension, and permits the novel experience of midnight forest hikes and even 24-hour golfing sessions.

Indeed, the excruciatingly picturesque "Björkliden GC" -- the northernmost golf course in Sweden, is a favorite among midnight golfers, nestled discreetly as it is between Sweden's mountain borders and the icy clear Lake Torneträsk.

Here, the fairways and greens are designed to showcase the scenery and, halfway through the course, players can reflect on their performance over a cup of hot coffee inside a traditional Sami tent.

Read related: Photographer's Lapland journey highlights global warming

Skiing in your t-shirt

Situated 250 kilometers up from the Arctic Circle, Riksgränsen is the most northerly ski resort in Europe.

Unlike most European ski resorts, however, Riksgränsen doesn't really get going until the sun starts hanging around for longer at the beginning of March. By June, it is sometimes warm enough on the slopes to ski in shorts and a t-shirt. Factor in a midnight-sun ski run, and you've a unique proposition by anybody's standards.

Novices be warned though -- while Riksgränsen has some world-class facilities and a range of 17 slopes that it says are suitable for all abilities, the resort is principally renowned for it's off-piste action, which is both technically challenging and, with a mountainous climb back up, physically demanding.

Summer hikes

With its great forests, wild rivers and ominous mountains, Lapland has acquired the moniker of "Europe's last wilderness." Here, the mountain range drops towards Norway and curves into Finland, forming the backbone of Sweden, and there are around 2,000 mountains and caves that can be explored throughout the region.

But while the winter months are dark, treacherous and shrouded in a white uniform of snow, summer brings with it the chance to see this part of the world in all its green grassy goodness.

The magnificent "King's Trail" -- one of Sweden's most popular trekking routes -- opens up in June. The 440 kilometer footslog from the botanical wonderland of Abisko National Park in the north, to the pretty backpacker's town of Harnavan in the south, taking in the giant Kebnekaise -- Sweden's highest mountain - is divided into four portions that represent roughly one week of hiking each.

Wooden huts are dotted along the trail, spread over distances a walker should expect to cover in the course of day (about nine to 22 kilometers). Those on a tight budget -- or with a penchant for roughing it -- can pitch a tent outside and use the facilities.

Summertime "Ice Hotel"

Lapland is also home to the world's first and largest "Ice Hotel" -- where guests bunk down on a bed of ice blocks and a reindeer skin-covered mattress. In fact almost everything, from the chandeliers to the tables and chairs, is made from ice and snow.

First built in 1989, in the remote village of Jukkasjärvi, when the founders of an ice-sculpting course invited some of their students to stay the night, the Ice Hotel has for years been a winter-only operation.

But now, for the first time, the hotel will open its frosty doors in the summer. As every year, the latest incarnation has been crafted from scratch by a team of sculptors using blocks of frozen water from the nearby Torne River.

The founders describe it as both boutique accommodation and "ephemeral art project" -- as the fruit of their labor vanishes in the sun as each season comes to an end.

@highlight

The sub-Arctic region of Lapland is not as unusual a summer destination as it might seem

@highlight

Between May and August the otherwise inhospitable terrain opens up with green expanses and midnight sun

@highlight

Skiing in shorts and t-shirt, sleeping in an ice hotel and 24-hour golf among reasons to visit