Trust is, supposedly, the new currency of the sharing economy.

It drives, to excuse the pun, data intensive sharing companies like Uber, the controversial transportation sharing startup now valued at $19 billion. Uber drivers get reviewed and are dismissed if they score badly and are considered untrustworthy. Even Uber users get scored by drivers and might not get picked up if they aren't well reviewed.

Everyone gets rated on Uber. Everyone, that is, except senior Uber executives themselves.

Last Friday night, at a dinner party set up by Uber as an off-the-record briefing, at Manhattan's exclusive Waverly Inn bistro, Emil Michael, the company's vice president of business, proposed a dastardly scheme to compromise one of Uber's leading media critics. Michael suggested that Uber use its vast collection of consumer data to "dig up dirt" on Sarah Lacey, the founder of the Silicon Valley news site Pando.

Over a dinner attended by leading technology pundits, Michael suggested that Uber could spend "a million dollars" to hire a crack team of researchers and journalists. This investigative team might, he said, snoop into the personal and family life of a critic like Lacey who has relentlessly exposed many of Uber's creepiest features -- particularly what she calls  the "asshole" misogyny of its CEO, Travis Kalanick.

Earlier this week, Michael's outrageous and perhaps even criminal idea was leaked by the Buzzfeed Editor-in-Chief Ben Smith, who attended the dinner. This, of course, has generated a massive storm of outrage amongst the technorati.

Peter Thiel told CNN that Uber was the most "ethically challenged" company in Silicon Valley. While The Guardian's Dominic Rushe rhetorically asked whether Uber is Silicon Valley's "worst company."

All over social media, people said the same thing: Emil Michael was the ultimate creep! The crowd had spoken. Michael's reviews were universally abysmal. He should be yanked, dismissed, fired.

But that's exactly what hasn't happened. In spite of the popular outrage over Michael's behavior, Travis Kalanick wrote an unapologetic 12 part Twitter "apology" which rejected the idea of firing his most senior business executive. Uber investors have mostly remained conveniently silent with a few -- like the normally outspoken Jason Calacanis -- explicitly defending Kalanick and, by implication, Michael.

In The Circle, his brilliant satire of technology companies like Uber, Dave Eggers coined the Orwellian phrase "Sharing is caring" to describe the hypocrisy enveloping Silicon Valley. But, of course, in the sharing economy of multi-billion dollar start-ups like Uber, sharing is only caring when it comes to dismissing lowly drivers or customers. Trust is only the convenient new currency of this economy when it suits Uber.

Otherwise the "new" economy appears to be ominously old, with a rejection of transparency, democratization, openness, accountability and all the other buzzwords of the Internet revolution.

We the people, however, may have the last laugh. The New York Times' Farhad Manjoo wrote that Uber's "toughest challenge" now is improving its dubious ethical behavior. While Dov Seidman, the CEO of LRN and a deep thinker about business ethics, notes that the principle challenge now of a successful startup like Uber is to scale its morality.

"In the past, technology entrepreneurs created and sold devices," Seidman says. "Today, they create and sell platforms for human behavior, which in turn raises real questions about the social and moral implications of the behavior -- and their underlying values -- on their platforms and about the responsibility that they have for these behaviors. Tech entrepreneurs are obsessed about scaling their business models and products. But they should be just as, if not more, deliberate about scaling their values on their platforms and in their companies."

Travis Kalanick should listen to critics like Seidman. If Uber is to succeed, it needs to scale its morality in sync with its fast-growing business. Firing Emil Michael would be a beginning.

It would say that Uber really is a trustworthy company. It would tell the world that Uber, and Kalanick himself, is beginning to grow up.

@highlight

Uber under fire for alleged plan floated by VP

@highlight

Emil Michael raised idea of investigating media critic for "dirt"

@highlight

CEO Travis Kalanick issued "apology" on Twitter

@highlight

Keen: Michael should be fired