Beijing (CNN)When it came to the environment in China, it was hazy through much of the weekend -- literally and figuratively.

As a thick layer of toxic air blanketed Beijing and much of northern China on Friday, censors smothered a wildly popular but controversial documentary on the country's air pollution, removing it from all major video streaming sites.

At a standing-room-only press conference Saturday, the newly appointed minister of environmental protection ignored raised hands of foreign journalists eager to ask about the development and made no mention of the documentary that he had praised just a week earlier.

Without a hint of irony, he promised to be more transparent and reassured the masses of their right to oversee the government's fight against air pollution.

"Under the Dome" -- a slickly produced two-hour documentary on journalist Chai Jing's dogged quest to find the causes and solutions to China's severe smog problem -- attracted over 200 million views online in just one week, an unprecedented number even in the world's most populous nation.

Supporters and detractors of Chai, a famous former anchor and reporter at state-run national broadcaster CCTV, began a war of words almost immediately after the video's release on February 28.

Admirers compared it to "An Inconvenient Truth," the Oscar-winning documentary on former U.S. Vice President Al Gore's effort to raise awareness on the dangers of global warming.

Critics, on the other hand, portrayed it as a piece of shoddy investigative journalism filled with bad science and biased conclusions, which blamed the problem largely on the entrenched interests of the state oil industry.

Some even called it propaganda for President Xi Jinping, who had declared keeping the sky blue a top policy priority.

The new environment minister's initial response to the video -- in the form of a widely reported text message of gratitude to Chai -- reinforced some doubts over Chai's claim of editorial independence for her self-funded project.

Many more people, however, perceived it as an encouraging sign of the government's adoption of a more open attitude to a politically sensitive topic, as Xi and other leaders started to publicly acknowledge the severity and urgency of the issue.

But such optimism was dashed 24 hours after the documentary's launch, as censors moved to reign in increasingly heated online debates surrounding air pollution and beyond, and removed all mention of the video from homepages of major websites.

As the week progressed, leaked state media memos -- widely circulated on social media -- revealed ever-harsher wording from propaganda authorities as they scrambled to limit the continuing impact of the video.

Finally, after millions of clicks, "Under the Dome" vanished from much of Chinese cyberspace Friday as heavy smog descended on the capital.

Also in Beijing were almost 3,000 delegates who had gathered to attend the National People's Congress, China's rubber-stamp parliament that meets in full once a year to approve the ruling Communist Party's legislative proposals.

Pollution has remained a hot topic at this year's session, state-run Xinhua news agency reported, adding that Xi vowed to legislators Friday "to give an iron hand to any polluters in the smog-choked country."

With Chai's viral video also encountering an iron hand, analysts explained that the seeming contradiction makes perfect sense in a one-party dictatorship with little tolerance for open dissent.

"Smog is like any other problem in China -- dig it too deep and you touch the issue of political system," said Yao Bo, a well-known news commentator with more than 1.2 million followers on Chinese social media. "The video doesn't do that but comments on it had started to question the system."

"I think the video caught censors off guard," he added, dismissing the idea that its fate reflected infighting among China's senior leaders. "The censors eventually acted as expected, after going through this bureaucratic process that is always half a step behind."

As gusty winds blew away Beijing's smog Sunday afternoon, this much became clear to the public: In China, the government cares about the environment as much as you do, but only one of you is free to talk about it.

@highlight

Film on China's air pollution problem drew praise from environment minister when it came out

@highlight

A week later, after getting millions of clicks, "Under the Dome" disappeared from all major websites in China