Denpasar, Bali (CNN) -- On a traffic-choked street in Bali's capital, Denpasar, Edo walks through his family's shop to an empty back room.

Only there does he feel safe enough to explain why he's afraid.

"Well, it's because probably the killers are still out there," he says.

The killers he refers to are those who Edo believes are responsible for the murder of his grandfather, one of between 500,000 and 1 million people estimated by human rights groups to have been killed by military death squads during anti-communist purges across Indonesia in 1965 and 1966.

The mass killings were sparked by a failed coup on September 30, 1965 and the murder of a number of generals in the military. A major general in the army at the time, Suharto blamed the coup on communists, ousted President Sukarno -- the country's first post-independence leader -- and sanctioned the hunt for those responsible. After assuming the presidency in 1967, Suharto ruled Indonesia for 31 years until 1998.

Many contend those targeted during the purges were not communists but ethnic Chinese, or anyone with left-wing views.

Edo describes how his grandfather had been kidnapped from his home late one night, targeted he believes because of his work with a government organization set up to integrate ethnic Chinese and local Balinese.

"Everything broke down after that. The family business and their home was burned down, they lost everything and had to start from scratch," says Edo.

"I am pretty sure one uncle of mine knows who did it. (The murderers) are still alive and around and I still have my fear."

For thousands like Edo in Bali and across the rest of Indonesia, confronting that fear and addressing this brutal period in the country's history is something most have been unwilling or unable to do openly.

Many worry that publicly dissenting from official versions of the events and coup -- ingrained through Suharto-era propaganda, like the 1984 film "Treachery of G30S/PKI" -- could lead to retribution from those connected to the killings. More often than not, killers and victims' families still live in the same communities.

"It's like the Nazis winning and then they are still in the government," says Edo. "People live with fear, they are afraid to get involved."

However things are slowly changing. That Edo is now facing his fears in part comes from the impact of "The Act of Killing," a new documentary by American director Joshua Oppenheimer.

While books and other films have told some of the survivors' stories, Oppenheimer's film recounts for the first time the violence from the perpetrators' perspective.

Captivating, powerful and at times bizarre, it follows the boastful but ultimately conflicted Anwar Congo, a low-level gangster turned executioner, as he reenacts how he and others murdered hundreds of people. As well as the moral and personal journey taken by Congo, the film also shows the links between the murderers, paramilitary groups and government officials.

"Rather than showing Indonesians something they don't already know, (the film) exposes something that they already know to be true and what they are afraid to address," says Oppenheimer, who spent around seven years making the film around the Sumatran city of Medan, with a largely local crew who had to be credited anonymously.

"(The survivors told me) we need a film that comes to Indonesia like the child in "The Emperor's New Clothes" saying that the king is naked ... everybody already knows it, but if it can be said so powerfully, so forcefully, so emotionally by the perpetrators themselves, then there will be no going back."

At two secret screenings last December and February, Edo showed the film to members of a local film club. Some were too afraid to even watch it, while others thought it could stir up new trouble.

"Some in the audience asked, 'Why are you opening up old wounds?' But the wounds are still open wide and people are still afraid," says Edo.

Others, particularly the younger generation, have become emboldened by the film and the chance for greater openness, like Termana, a member of Komunitas Taman 65, a Bali-based group comprised of victims' family members.

"The Act of Killing gave us an opportunity to talk about the events," he says at group meeting just a few hundred meters from one of Bali's most popular tourist beaches.

"(The killings) happened here in Bali and show the dark side of the paradise island, but also the dark side of family life." Termana's grandfather disappeared one night in early 1966 and was never seen again.

Through slow and at time painful discussions with family members more is being learned about the difficult period. Termana admits he didn't know until recently that a village in western Bali is called "Dark Field" because it was where up to 600 people are believed have been slaughtered.

The perpetrator says Roro, a fellow Komunitas Taman 65 group member, is believed to be the head of another village, who is known more openly for his charisma and dancing skills. Like Anwar Congo in Oppenheimer's film, Roro says the village leader was not shy to boast of his murderous exploits, believing that he carried out his violent acts with impunity and for the right reasons.

However, since the film and the growing groundswell of discussion about the events it relates to, he has become less inclined to boast about his exploits, says Roro.

Monday, September 30 is the anniversary of the 1965 coup and the date Oppenheimer has chosen to make the film available to everyone in Indonesia to watch online. He decided not to try for a general cinema release for the film, fearing that if it was banned and people watched it, it could legitimize more violence.

"Somehow I think that because Indonesia is moving on, the film is able to have its impact," he says.

"Ten years ago maybe too many people were actually involved, complicit with the military dictatorship and too invested in its power structures ... but now younger Indonesians are saying 'I want my country to function.'"

While welcomed by Komintas Taman 65, there are real fears widespread viewings of the film could stir anger and reprisals from younger members of survivors' families and a new conflict with paramilitary groups.

"I do worry that there may be a new conflict," says Tka, at the Komunitas Taman 65 meeting. "After Suharto's 'New Order' collapsed we thought (the perpetrators) would be found guilty."

So far, official attempts to revisit the events of 1965 and 1966 have failed. While Indonesia's National Commission on Human Rights published a report last year stating the anti-communist purge was a gross violation of human rights, it was not taken any further by the country's Attorney General. A draft bill for a Truth and Reconciliation Commission also failed in 2006.

"How do you establish the truth after all this time? asks Roro. "Truth is hard."

@highlight

Anti-communist purges across Indonesia sparked by failed coup on September 30, 1965

@highlight

Many victims' families still unable to talk openly about the period when up to 1 million believed killed

@highlight

Documentary that shows events from perpetrators' view having impact on changing attitudes

@highlight

Filmmaker says film will be free for all in Indonesia to watch online from September 30, the coup's anniversary