Bangkok (CNN) -- Ousted Thai Prime Minister Yingluck Shinawatra faces impeachment by the country's Senate, following her indictment by an anti-corruption body the day after a top court removed her from office.

Members of the National Anti-Corruption Committee unanimously decided to indict Yingluck for dereliction of duty over her government's controversial rice subsidy scheme, NACC member Wicha Mahakun told reporters in Bangkok Thursday. The Senate will now vote on whether to impeach her.

Asked how the 46-year-old could be impeached when she had already been dismissed from the premiership, Wicha said the case still needed to be reviewed by the Senate, as Yingluck could be banned from holding political office for five years if impeached.

Analysts had speculated that Yingluck's replacement as caretaker prime minister, Niwatthamrong Boonsongpaisan, may also be implicated in the affair, but Wicha did not announce any measures against the new premier.

An NACC committee was also considering whether to file criminal charges against Yingluck, but had not yet found sufficient evidence, he said.

The program, introduced in 2011, pledged to pay farmers well above the market rate for their rice, but has run into financial problems.

Critics say it has wasted large amounts of public funds trying to please rural voters, hurting exports and leaving the government with large stockpiles of rice it can't sell without losing money.

Yingluck has previously said she was only in charge of developing policy around the scheme, not its day-to-day implementation, accusing the commission of unfair treatment.

READ MORE: Yingluck denies corruption allegations over rice program

'Political freefall'

The news broke as both sides of Thailand's political divide are vowing mass rallies in Bangkok in the wake of the former prime minister's ousting, with analysts warning the country faces "political freefall" and the potential resumption of violent clashes.

As tensions and rhetoric escalated Thursday, officials confirmed a grenade had been thrown at the house of one of the Constitutional Court judges whose ruling Wednesday forced Yingluck Shinawatra and nine cabinet ministers from office, in what her supporters see as a "judicial coup."

Lt. Gen. Paradon Patthanathabut, security advisor to the Prime Minister, said nobody was hurt in the early morning attack on the home of judge Jumpot Kaimook. "It landed on his garage," he said.

The court removed Yingluck, who was elected in 2011 and had been serving as caretaker prime minister until elections could be held, after finding her guilty of violating the country's constitution for reassigning a senior security official in 2011.

The official was replaced by the then national police chief, whose role in turn was given to Priewpan Damapong, a relative of Yingluck. Damapong is the brother of the ex-wife of Thaksin Shinawatra, Yingluck's brother who was overthrown as prime minister in a military coup in 2006 and has since lived in self-imposed exile to avoid a corruption conviction.

'Polarization to intensify'

The dismissal of Yingluck, who has been replaced by Deputy Prime Minister and Commerce Minister Niwatthamrong, has deepened Thailand's protracted political crisis, which has occasionally spilled over into deadly violence.

Analysts say the move has heightened the risk of clashes between opposing camps, and made near-term compromise solutions unlikely.

"The post-Yingluck polarization is likely to deepen and intensify," said Thitinan Pongsudhirak, political scientist at Chulalongkorn University.

"We are now looking at a political freefall... Much worse looks likely in the near term, before we can hope for improved circumstances in the longer term."

Analyst Paul Quaglia, director at PQA Associates, a Bangkok-based risk assessment firm, said the court's removal of an elected prime minister on what he described as "fairly weak" grounds was viewed by the government's supporters as a case of politically motivated judicial overreach.

"They consider it a way to usurp democratic elections," he said.

Yingluck is the third Thaksin-linked prime minister to be dismissed by the Constitutional Court, which also dissolved Thaksin's Thai Rak Thai political party in 2007, raising suspicions among government supporters that the institution was biased against them.

Thitinan said the appointment as caretaker prime minister of Niwatthamrong, seen as closely affiliated to Yingluck and her brother, was poor judgment, especially when another deputy prime minister, Pongthep Thepkanchana, would have been a more acceptable compromise candidate.

"He lacks the stature and networks to see through an interim caretaker administration," he said. "Nevertheless, no matter who comes in as the new caretaker, the tensions will mount."

Widening divide

Thailand's widening political divide pits anti-government, predominantly urban "yellow shirt" protesters against the pro-government, mainly rural and working class "red shirts."

The yellow shirts, drawn mainly from Bangkok's middle class, royalist establishment, allege that Yingluck is her brother's puppet and seek to rid Thai politics of her family's influence.

Led by the People's Democratic Reform Committee (PDRC), they began their protests in November, outraged by her government's botched attempt to pass an amnesty bill that would have paved the way for the return of Thaksin to the political fray in earnest.

Parliament was then dissolved in December ahead of a February general election that was disrupted by anti-government protesters, and subsequently ruled invalid by the Constitutional Court.

The yellow shirts are seeking a new government -- but not through elections, which the opposition Democrat Party has boycotted, arguing the alleged corruption of their political rivals makes widespread reform necessary before any meaningful vote can be held.

"They claim the Thaksin clan as they call (it) is corrupt and has dominated the country's politics, and the only way forward is to remove the Thaksin influence from politics and not have elections," said Quaglia.

PDRC leader Suthep Thaugsuban, a former deputy prime minister for the Democrat Party, has instead called for power to be transferred to an unelected "people's council."

But Quaglia said the opposition's real motivation for avoiding elections was clear.

"The Democrat Party say 'No, we can't have elections,' because they know they will lose those elections."

In contrast, the red shirt supporters of Yingluck and her brother, many of whom hail the north and northeast of the country, accuse the court of bias against their side.

Hundreds of protesters from the anti-government PDRC gathered in Bangkok Thursday as they have for six months, calling on supporters to join them for a mass rally Friday to push for a new government.

PDRC spokesman Akanat Phrompan told CNN his movement did not recognize the legitimacy of the caretaker government.

"Currently there is no government to govern this country, so we must find a way to appoint a new government."

'Breaking point'

Meanwhile, the red shirts are planning their own rally in Bangkok Saturday to protest what Quaglia said they saw as "a judicial coup."

In the wake of the court's ruling Wednesday, supporters at the red shirts' Bangkok headquarters were defiant.

"This is the breaking point now, everything is leading up to the breaking point," Kanthira Ketawandee, a Bangkok piano teacher and Yingluck supporter, told CNN. "I would say Yingluck has died (in) her duty for democracy."

Thida Thavornset, a red shirt leader, urged supporters to join Saturday's rally. "We won't give up until we win."

Elections are scheduled for July 20, but Thitinan said he believed it was "unlikely" that a vote would proceed in the wake of recent developments.

"The PDRC appears intent on pressing on for an appointment government of its preference, which can only galvanize red shirt protests," he said. "A showdown is looming."

@highlight

Ousted Thai PM Yingluck Shinawatra will face impeachment proceedings

@highlight

Yingluck was dismissed by a court Wednesday over reassigning a security official

@highlight

Analysts warn of a potential resumption of political violence in response to rising tensions

@highlight

A grenade was thrown at the house of a judge who dismissed Yingluck; noone was hurt