The irony of Dianne Feinstein's center-stage moment this week was palpable.

Just as she is leaving her coveted position as chair of the Senate Intelligence Committee, handing the reins to the incoming Republican majority â€” and as questions abound in her home state about whether she will retire -- she seemed to reach the pinnacle of her power, once again showing willingness to buck members of her party and wave off critics.

Facing few political consequences in California where her Senate seat is firmly in her grasp, Feinstein, 81, was defiant as she took the Senate floor Tuesday to announce the release of a 525-page summary of the Intelligence Committee's report on the CIA's treatment of detainees â€”the product of five years of line-by-line scrutiny of some six million internal government documents.

It was a scorching condemnation of the harsh interrogation techniques of the Bush era with the striking conclusion that those "deeply flawed" tactics had failed to produce information that thwarted terrorist attacks or led to the apprehension of terrorist suspects. In fact, Feinstein said, torture often led to "false information."

Even in a post-Sept. 11th era, the techniques revealed -- mock executions, waterboarding, detainees stripped and chained to a concrete floor, others deprived of sleep for up to 180 hours -- were chilling.

Arrows flew at Feinstein from many directions. She was under pressure from Secretary of State John Kerry to delay the release of the report until the New Year, but did not buckle. The CIA scoffed at the report's "flawed analyses of the techniques" and refuted its central conclusion that their procedures had failed to prevent attacks. The FBI issued a warning that the report could spark a reaction from violent extremists.

Republican critics like Republican Sen. Marco Rubio of Florida took to Twitter deriding the document as "a one-sided partisan Senate report that now places American lives in danger." Texas Republican Sen. John Cornyn argued that the report had vilified operatives at the CIA who should be hailed as heroes for attempting to protect the American public.

Unapologetic

But the one-time mayor of San Francisco, who has held her Senate seat for 22 years, was unapologetic.

While it was true, she said, that the report was going out in a "period of turmoil and instability" in many corners of the world: "That's going to continue for the foreseeable future whether this report is released or not." She added that she hoped the release would show the world that "America is big enough to admit when it's wrong and confident enough to learn from its mistakes."

Feinstein also seemed to put a point on her own legacy: "History will judge us by our commitment to a just society governed by law and the willingness to face an ugly truth and say: 'Never again.'"

Unlike some Senate Democrats who were voted out of office last month, Feinstein faced her critics this week without any concern of political consequences in her home state.

"Dianne Feinstein can serve in the United States Senate for as long as she wants," said Dan Schnur, who heads the University of Southern California's Jesse M. Unruh Institute of Politics. "It's hard to imagine her facing a credible challenge if she did decide to run for re-election, which puts her in the relatively rare position of not having to worry about public opinion on this.  A senator facing a precarious re-election campaign might be a little more worried about taking on the country's national security leadership."

Younger generation

Still, there is intense speculation within California about whether Feinstein and Sen. Barbara Boxer, who are up for re-election in 2016 and 2018, respectively, will step aside after their current terms. That would create a game of musical chairs for the younger generation of California Democrats like Attorney General Kamala Harris, Lieutenant Gov. Gavin Newsom, former Los Angeles Mayor Antonio Villaraigosa and his successor, Eric Garcetti.

Many Californians would like to see that fight play out. In a recent USC Dornsife/Los Angeles Times poll, 59% percent of registered voters said California would be better off with new candidates as the state's U.S. Senators.

But that does not mean that Feinstein is in danger of being tossed from her seat. The Republican Party has been decimated in California -- with no viable challengers on the horizon -- and it is highly unlikely that the party's younger generation would take her on. Unlike Boxer, 73, who has hinted from time to time about the possibility of retirement, Feinstein has given no indication that she is thinking about leaving the Senate.

Feinstein, known across California and Capitol Hill as "DiFi," has reached her enviable position as an unapologetic but sometimes unpredictable progressive with centrist tendencies.

Her memorable introduction to the statewide stage in California was when she was ran unsuccessfully for governor in 1990 and delivered a speech to the Democratic state party convention embracing the death penalty. "Yes, I support the death penalty. It is an issue that cannot be fudged or hedged," she told the crowd, which drowned her out with a loud chorus of boos.

Seeking alliances

When she and Boxer were elected to the Senate in "the year of the woman" in 1992, they took markedly different paths. Both championed women's issues like abortion rights. But while Boxer became known as a shrill partisan, Feinstein earned a reputation as a hard worker who continually sought alliances with colleagues on the other side of the aisle.

"Feinstein has been known throughout her Senate career as conciliator, someone who can bring together warring parties to find common ground on difficult issues," said Schnur. "But there are certain issues on which she doesn't compromise and she digs in and fights."

Those fights have sometimes surprised her supporters and made it difficult to slap her with the label of a California liberal. She has long championed the assault weapon ban, for example, but also supported the Iraq War and defended Bush administration surveillance practices that were anathema to liberals.

She notably called Edward J. Snowden's leaks of classified information about U.S. intelligence "an act of treason." And she infuriated liberals with her backing of the NSA's broad-reaching and covert effort to collect data from the telephone calls of Americans. She felt compelled to do so out of a sense of obligation to "keep this country safe," she told the New York Times in a 2013 interview, "So put that in your pipe and smoke it."

That long history of contradictions has given Feinstein more running room than other Democrats on issues like torture, said California Democratic Strategist Dan Newman, who recently helped manage Calif. Gov. Jerry Brown's re-election campaign.

"She's viewed as thorough, thoughtful, and as close to non-partisan on the issue of national security as is possible in today's politically polarized environment," Newman said.  "If it was a different Democrat, it would be easier for some to be dismissive of the questions she's raising, but she's built significant credibility as a trusted voice on national security, so she has to be taken seriously.  She's raising two critical issues which will define our debate about torture in the coming months: does it make us safer, and is it something we accept as consistent with our nation's moral code?"

As Senate Democrats transition to the minority, some have suggested that Feinstein is at the twilight of her career. Not so fast, her allies say. She's content to let others play that political parlor game, while she remains mum about her plans.

Bill Carrick, Feinstein's longtime campaign consultant who began working with her in 1989, noted that her policy agenda is still lengthy, topped with complex issues like California's water woes.

As for retirement? "She doesn't spend any time thinking about that," he said.

@highlight

Torture report was a powerful moment for Feinstein

@highlight

While some in California clamor for new leaders, Feinstein mum on plans

@highlight

Over her long career, Feinstein has defied labels