Swirling winds and heavy downpours probably did more than the massive Israeli police presence to dampen Palestinian protests in Jerusalem over the weekend.

Dire predictions that a third intifada was about to erupt after the brief closure of the Temple Mount -- known to Arabs as the Noble Sanctuary -- came to nothing. But the weather could not sweep away the toxic atmosphere in the city.

Tension in Jerusalem is perhaps at its greatest since the end of the second intifada, or Palestinian uprising, ten years ago -- stoked by a rash of what some call hate crimes and others acts of terror. Regular -- almost daily -- outbreaks of stone-throwing by Palestinian teenagers are answered by tear gas and rubber bullets; hundreds of minors have already had their first taste of jail.

The city's mayor, describing the violence as intolerable, has announced that surveillance balloons equipped with HD cameras will be deployed above troublesome neighborhoods to prevent disturbances. The Israeli cabinet is considering legislation that would introduce prison terms of up to 20 years for throwing stones.

One of the most restive neighborhoods in Jerusalem is Silwan, a densely-packed area in the shadow of the Temple Mount, where there is little work, a heavy police presence and a growing colony of Jewish settlers, moving into properties bought from Palestinians.

Touchstone issue

Last month, a Palestinian from Silwan drove his car into passengers getting off a tram in Jerusalem, killing a baby and injuring several others, including a woman who died later. And last week, a 32-year-old Palestinian shot and gravely wounded a right-wing rabbi, Yehuda Glick, as he left a Jerusalem conference called "The Jewish people return to the Temple Mount."

Glick, now in a serious but stable condition in hospital, has long argued that the Jews must have a place of worship on the Temple Mount, a touchstone issue for Muslims who suspect a plan to expel them from the site, where the al Aqsa mosque is also situated.

Glick's view is supported by some elected officials, including Housing Minister Uri Ariel and Deputy Speaker of the Knesset (and a member of Prime Minister Benjamin Netanyahu's Likud party) Moshe Feiglin.

Glick's assailant, Mutaz Hijazi, who had spent more than a decade in prison, in part for crimes of violence, was shot dead by an Israeli counter-terror unit hours later. Hundreds of Palestinians attended Hijazi's funeral; his father said that if Hijazi had shot Glick it was because "occupation equals resistance."

Israeli authorities reacted to the attempted assassination of Glick by closing the al Aqsa mosque altogether for one day, then restricting access to men over 50 years of age and women, and putting thousands more police on the streets. The Palestinian Authority described the closure -- the first in 14 years -- as a "declaration of war." There were also harsh words from Jordan, which remains the custodian of the Muslim holy sites in Jerusalem according to its peace treaty with Israel.

In such an environment acts of political violence can spark outsize responses and set off an uncontrollable chain of events. The killing of three Jewish teenagers in the West Bank back in May, which Israel said was the work of Hamas, sparked a crisis that ultimately led to the Gaza conflict. In July, the abduction and murder of a Palestinian teenager in Jerusalem provoked serious rioting. Three Israelis are on trial for the killing.

Feiglin said "the government's weakness and incompetence in handling terrorism" were responsible for the attempt of Glick's life. Early on Sunday morning, with a police guard, Feiglin returned to the Temple Mount in defiance of an appeal from Netanyahu for Knesset members to show responsibility and restraint.

'Most sensitive kilometer on Earth'

Netanyahu is walking a fine line between supporting the existing right of Jews to visit (but not pray at) the Temple Mount and preventing that right from sparking a broader crisis and renewed violence. In a statement Sunday aimed as much at the likes of Feiglin as Palestinian leader Mahmoud Abbas, he said the Temple Mount complex is "the most sensitive kilometer on Earth," and insisted the government would not change the status quo.

"It is easy to start a religious fire but much more difficult to extinguish it," Netanyahu said. On that note he and Abbas were in rare accord, the Palestinian President saying "assaults and provocations by fanatics will lead to grave consequences."

Some commentators say Netanyahu is politically vulnerable on this issue. The Israeli right, and especially the Jewish Home Party led by Economy Minister Naftali Bennett, is growing in strength, according to opinion polls. Bennett -- a member of the Israeli cabinet -- argued for a tougher Gaza campaign aimed at destroying Hamas and is widely seen as Netanyahu's principal challenger. He told the Financial Times last month that "the logic that the world will love us if we give up more land doesn't work" and has pressed for more settlement construction. He also told CNN he supported the right of Jews to pray at the Temple Mount.

By contrast, support for the centrist and leftist parties is dropping, while opposition to a two-state negotiated settlement is widespread. A poll this month for the Jerusalem Center for Public Affairs found that 75% of the Israeli Jews oppose Israel's withdrawal from the Jordan Valley and the division of Jerusalem, which would give the eastern half to the Palestinians.

The volatility in Jerusalem has become the latest flashpoint in Israeli-Palestinian relations. The peace process is moribund amid an absence of trust between the Israeli government and the Palestinian Authority; much of Gaza is in ruins following seven weeks of conflict there this summer in which more than 2,000 people were killed.

The European Union has questioned Israel's "commitment to a peaceful negotiated settlement with the Palestinians" in the wake of renewed momentum in expanding Jewish settlements in Arab East Jerusalem.  The U.S. State Department made a similar criticism.

In such an atmosphere, it is hardly surprising that U.S. efforts to promote dialogue have stumbled. Writing in Foreign Policy, Stephen M. Walt says that if you invest real effort in the peace process -- as have President Obama and Secretary of State John Kerry "and you get precisely zero help from Netanyahu and his lieutenants, a degree of irritation is to be expected."

"The United States wants a two-state solution to the Israeli-Palestinian conflict and a meaningful détente with Iran, the Netanyahu government opposes both," he added.

The left-leaning Israeli newspaper Haaretz published a cartoon showing a grinning Netanyahu piloting an Israeli plane whizzing toward a U.S. skyscraper. Responding to a furious reaction in social media, cartoonist Amos Biderman said: "The message is that Bibi is arrogantly and wantonly destroying Israel's ties with the U.S."

From the other end of the political spectrum, journalist Caroline Glick wrote: "While [Palestinian Authority President Mahmoud] Abbas himself is responsible for the hit on [Yehuda] Glick, he has had one major enabler -- the Obama administration."

A Jerusalem Post poll at the weekend found that 53% of Israeli Jews now regarded the US administration as pro-Palestinian, with just 16% seeing it as pro-Israel. Responding to disparaging remarks made about him by unidentified U.S. officials last week, Netanyahu sought to turn the criticism to his advantage, saying "the assault on me comes only because I defend the state of Israel."

But that doesn't include changing the delicate status quo on the Temple Mount and inviting yet more violence at the end of a year already full of bloodshed.

@highlight

Tension in Jerusalem is perhaps at its greatest since the end of the last Palestinian uprising

@highlight

Regular outbreaks of stone-throwing by Palestinian teenagers answered by tear gas, rubber bullets

@highlight

Israel closed the Temple Mount, which includes al-Aqsa Mosque, after two shootings

@highlight

Rabbi Yehuda Glick was shot and hospitalized in serious condition