A jury on Saturday night convicted a Florida man on four charges related to his shooting into an SUV full of teenagers during an argument over loud music, but could not decide on the most serious charge -- murder.

Michael Dunn was found guilty on four charges, including three for attempted second-degree murder, which could land him behind bars for decades. Yet there was no verdict on the first-degree murder charge tied to the death of 17-year-old Jordan Davis.

As the jury's decisions became clear about 7 p.m. Saturday, Dunn looked ahead solemnly with a frown but no tears. His lawyer, Cory Strolla, told reporters later that his client was "in disbelief."

"Even as he sat next to me, he asked, how is this happening," Strolla said. "... It has not set in. I don't think it will set in anytime soon."

The incomplete finale to this emotional, hot-button trial -- partly because of the fact Dunn is white and the teenagers who were shot at, including Davis, are black -- echoed George Zimmerman's trial for the killing of 17-year-old Trayvon Martin about 120 miles down the road in Sanford, Florida. While stand your ground wasn't used by Dunn, his lawyers did argue that he fired in self-defense.

Given the partially hung jury, State Attorney Angela Corey said prosecutors would press for a new trial in Duval County on the murder charge.

"Justice for Jordan Davis is as important as it is for any victim," said Corey, whose office also handled the Zimmerman case.

Even without a final decision on the murder count -- and pending defense appeals -- the 47-year-old Dunn is looking at a lengthy prison term.

Prosecutor Erin Wolfson explained Saturday night that each attempted second-degree murder conviction carries a minimum sentence of at least 20 years. There's also a 15-year sentence possible on the conviction for shooting in the teenager's vehicle.

"You are looking at basically at life in prison," Strolla said, even as he vowed to challenge the convictions. "At 47 years old, that's a life sentence regardless of count one."

The decision to convict on these counts, and not on murder, didn't come easily for a jury that had deliberated for about 30 hours since getting the case late Wednesday.

Judge Russell Healey acknowledged earlier Saturday that the jury of four white women, two black women, four white men, an Asian woman and a Hispanic man was "struggling, obviously."

"But it's not for want of trying to reconcile all of this," he said then. "I think we've got some analytical people in there who are trying to do just that -- trying to analyze this from every possible angle."

The lack of a murder conviction upset some, including protesters who marched outside the Jacksonville courthouse calling for Corey to lose her job. "The people united will never be defeated," they also chanted.

Yet Davis' mother, Lucia McBath, didn't express any anger when she addressed reporters Saturday night. Her family, she said, is "so very happy to have just a little bit of closure."

"It's sad for Mr. Dunn that he will live the rest of his life in that sense of torment, and I will pray for him," McBath said. "And I've asked my family to pray for him."

Confrontation at a gas station

It was November 23, 2012, when Michael Dunn pulled into a gas station in Jacksonville, parking next to a red Dodge Durango full of teenagers.

The teens had pulled in for gum and cigarettes; Dunn, meanwhile, had just left his son's wedding with his fiancee, who'd gone inside the convenience store for wine and chips.

Dunn didn't like the loud music -- "rap crap," as he called it -- coming from the teens' SUV. So he asked them to turn it down.

What followed next depends on whom you believe. Dunn claimed Davis threatened him, and he decided to take matter into his own hands upon seeing what he thought was the barrel of a gun sticking out of the Durango.

But prosecutors asserted that it was Dunn who lost control, firing three volleys of shots -- 10 bullets total -- at the SUV over music he didn't like.

Prosecutors challenged what he did next: He left the gas station and drove 40 miles away to a bed and breakfast in St. Augustine. There, Dunn walked his dog, ordered a pizza, then drank rum and cola -- "stunned and horrified, (shocked how) things escalated the way they did over a common courtesy."

After learning almost six hours later that he had killed Davis, Dunn testified that he became "crazy with grief," experiencing stomach problems for about four hours before taking a nap.

"My intent was to stop the attack, not necessarily end a life," he testified. "It just worked out that way."

Yet his fiancee, Rhonda Rouer, testified that Dunn had never mentioned any weapon to her -- be it a shotgun, a stick, a barrel or a lead pipe -- unlike what Dunn had said.

In fact, police found a basketball, basketball shoes, clothing, a camera tripod and cups inside the teenagers' Durango, but no gun.

And Dunn himself never called police. The first contacts he had with them were at his home in Satellite Beach -- 130 miles south of St. Augustine -- as he was being apprehended.

Arguing that he wasn't in a rational state of mind, Dunn admitted, "It makes sense that I should have (contacted authorities). We didn't. I can't tell you why."

Echoes of Trayvon Martin and George Zimmerman

Some were quick to compare Dunn to George Zimmerman, who ultimately was acquitted of murder for the shooting of Martin.

Martin's own parents were among them, claiming Davis' killing is another reminder that, in Florida, "racial profiling and stereotypes" may serve as the basis for illegitimate fear "and the shooting and killing of young teenagers."

But Dunn's defense attorney, Strolla, told CNN's Chris Cuomo on Friday that the Zimmerman and Dunn cases aren't so similar.

There was a physical confrontation between Zimmerman and Martin, and police gave Zimmerman the benefit of the doubt about defending himself, Strolla said.

"My client did not wait to become that victim," he said. "My client did not wait to either get assaulted by a weapon or have someone potentially pull a trigger," he said.

Though a weapon was never found, Strolla maintains the youths could have had one and somehow ditched in and around the gas station. Regardless, the key point was that Dunn believed they were armed and that his life was in danger.

"Now, does it sound irrational? Of course it sounds irrational. But have you ever been in that situation?" the lawyer asked.

After Saturday's night decision, it seems unlikely -- unless he wins on appeal -- that Dunn will ever be in that or many other situations again. Instead, spending the rest of his life in prison seems a more likely outcome.

Strolla said on Saturday the four convictions leave him with regret, even as he said he couldn't immediately think of anything he'd do differently in the case.

At the same time, the prosecution didn't manage a conviction on what was by far the biggest charge: first-degree murder.

This mixed bag means that no one can fully celebrate the jury's decision.

"Everybody lost something in this," the lawyer said.

His client "will live to fight another day" in court, but he and his loved ones are suffering now. Strolla acknowledged, too, the pain felt by Davis' family.

Especially on Sunday, which would have been Davis' 19th birthday.

@highlight

"You are looking at basically at life in prison," Dunn's lawyer says

@highlight

Dunn is convicted on three counts of attempted second-degree murder

@highlight

But there's a mistrial on first-degree murder; prosecutors say they'll seek a new trial

@highlight

The teen killed, Jordan Davis, would have celebrated his 19th birthday Sunday