(CNN) -- When a client asked Marcia Harris to furnish his daughter's 500-square foot, one-bedroom apartment in New York, the interior designer met her match.

She struggled to find furniture scaled for a small space that served multiple purposes. Most sofas were too large to fit through the front door, let alone inhabit a hybrid living room-kitchenette. Tables, beds and ottomans lacked the storage space needed by a college student with a lot of clothing, handbags and shoes.

So Harris took matters into her own hands, designing banquettes that held pots and pans and turned into beds, a storage ottoman that doubled as a seat and coffee table and modular bedroom storage units that fit through the front door.

Working with craftsmen in Fairfield County, Connecticut -- striking distance from Harris' home office in Silvermine -- she came up with a stylish collection of upholstered furniture and hardwood storage units in less than three months.

After the apartment was finished, she began hearing from others who wanted the same small, multipurpose pieces.

"At that point, I said to my husband, 'I think there's a real opportunity and need here,'" said Harris, who has been working in interior design in New York and Connecticut for more than 30 years.

It might sound counterintuitive considering the decline of American manufacturing in the post-industrial age, especially in the furniture industry. Products that are especially labor-intensive, such as hardwood and metal furniture, were the first to go overseas. Nowadays, most household furniture sold in the United States is imported, according to the American Home Furnishings Alliance, with the exception of upholstered furniture, because most of it is custom-ordered.

Still, consumer spending on household furnishings continues to post modest year-to-year increases, according to the latest figures from the U.S. Department of Commerce. After all, the life events that trigger furniture purchases persist, such as births, children growing up and moves to new homes, said Pat Bowling, vice president of corporate communications for the American Home Furnishings Alliance.

Small companies have found they can compete if they produce specialty or high-quality items that sell for a premium, according to Hoovers, part of the company Dun & Bradstreet, which provides business and industry insights.

Harris was confident she had found a ripe niche market and spent the next two years developing prototypes. In 2012, she and her husband launched the Itsy Bitsy Ritzy Shop, a line of multipurpose modular furniture for small spaces.

The business represented a reunion for the couple, who ran an advertising agency together in the 1980s and 1990s. They shuttered the business in the online boom, and Marcia Harris pursued interior design while Dean Harris went into online marketing. As her small space prototypes took shape, she decided to draw upon her husband's expertise in marketing, brand positioning and business development. Their son, Zach Harris, joined a few months later to handle digital operations, sales and business development.

The Itsy Bitsy Ritzy Shop pieces are undeniably an investment -- dressers start at $1,300 and sofa beds start at $2,100. But that's the point, said Harris, to create high-quality pieces made by skilled tradespeople that can be passed down.

The Itsy Bitsy Ritzy Shop relies on a small network of manufacturing partners within driving distance of the Harris' home in Silver Mine. Marcia Harris found them during her years working as an interior designer. Having a close manufacturing network allows the Itsy Bitsy Ritzy Shop to keep its carbon footprint low and lets Harris regularly visit to keep on top of projects.

"I have very high standards and they all share my dedication to quality craftsmanship," she said. "They're great at what they do, but they're also reliable; they deliver when they say they're going to deliver, and they do a great job."

Harris pays regular visits to the Branford, Connecticut, upholstery manufacturing plant of Cerrito Furniture, which makes sofa and sleeper beds. Owner Ronald Cerrito, whose father started the company in 1943, says high-end clients like the Itsy Bitsy Ritzy Shop help keep his business alive. Because of offshoring and global competition, he acknowledges they're past the days when several trucks left loaded with products every day.

"No matter how cheap we are, we're not cheap enough," he said in a phone interview. "We've maintained our quality level and that's working out for us; that's the only reason we're still here, because some people still want quality products. We're holding our own and we're going to stay that way."

Harris also visits Lee Bahamonde several times a month in her workshop on the main drag of the coastal town of Westport, Connecticut. There, Bahamonde and her son, Ed, work with a small team to construct upholstered banquettes and ottomans.

A few miles up I-95, William Cruvinel and his family build hardwood dressers and storage units in a workshop in the old Singer Sewing factory in Bridgeport, Connecticut.

In the year since launching, the Itsy Bitsy Ritzy Shop has shifted its focus toward commercial work for hotels and planned communities, in the interest of maximizing operating margins. The company also entered into a deal with a luxury apartment development in New York to furnish model apartments, allowing it to offer its furniture for sale to tenants as an in-house design concierge service.

As a new business, the company is still finding its footing and enjoying each moment, Harris said.

"I'm doing what I love and I'm doing it with my family and other families who share our passion," she said. "Even on bad days, you know you're working toward something positive. How is that a bad thing?"

@highlight

Itsy Bitsy Ritzy Shop designs custom furniture for small spaces

@highlight

Furniture comes from a network of skilled craftspeople in Fairfield County, Connecticut

@highlight

"They all share my dedication to quality craftsmanship," founder says of manufacturing partners