There have now been nearly 9,000 confirmed, probable and suspected cases of Ebola virus disease (EVD) across seven affected countries.

At least 4,400 people have died so far in this, the worst outbreak of EVD since it emerged in 1976. The World Health Organization (WHO) is warning that weekly cases could reach 10,000 by the start of December -- it is clear that the peak of this epidemic hasn't yet been reached.

Understandably, countries around the world -- particularly those affected (Guinea, Liberia, Nigeria, Senegal, Sierra Leone, Spain and the United States of America) -- have been examining their defenses against importing cases.

These have become ever more emergent since Thomas Eric Duncan -- who contracted Ebola -- traveled to Texas from Africa, leading to the subsequent secondary transmission of the infection of two people who treated him, Nina Pham and Amber Vinson. Public concerns about the infection haven't been allayed by public health officials, despite many of us stressing that we are well-prepared for detecting and responding to imported cases.

Our preparations in Asia hark back to 2003 when the world was faced with its first modern-day pandemic, in the form of Severe Acute Respiratory Syndrome, or SARS, caused by the SARS-coronavirus.

This virus first appeared in November 2002, with the first WHO outbreak alert being made in March 2003. At the time SARS caused a huge amount of public and professional anxiety, principally due to its apparent ease of transmission (via respiratory droplets and fomites) and its very early global spread from China to Canada, Hong Kong and Vietnam. However, looking back this was a far less severe infection than Ebola, with estimates of 10,000 cases in total and around 1,000 deaths.

However, two significant aspects make us remember and learn from SARS. One is the fact that 30 countries had cases within a few weeks of the outbreak, and the second is the estimated $30-$100 billion cost to the world economy.

Most of these economic costs were in travel and tourism with public anxiety about the disease leading to airports becoming ghost towns, schools closing, shopping malls deserted and healthcare workers shunned.

Emerging infections were no longer viewed as a healthcare problem but as a whole-of-government problem with strong coordination required between transportation, immigration, communications, finance, water and sanitation, defense, housing, and education. The decision-making processes in response to an epidemic are complex and highly challenging, and require a clear chain of command with timely, accurate, appropriate and feasible plans put forward.

Global action

In recognition of the interconnected world that we live in and the need to expand the scope of notifiable diseases, the International Health Regulations (IHR) -- a legally-binding agreement that provides a framework for the coordination of the management of global public health events -- underwent a revision in 2005. Here the notion of "public health emergencies of international concern" was introduced, as was the need for countries to establish a minimum core of public health capacities.

In response to the IHR and the clear need for multi-agency and ministry planning to be in place, most countries developed pandemic plans. In order for these to cater for worst-case scenarios (i.e. transmissible infections with high attack rates), influenza became the focus -- the influenza pandemic plans for Asia can be found here. Many of these are modeled on the generic WHO plan but tailored for specific countries.

These plans were implemented during the 2009 A(H1N1) influenza, or "swine flu" pandemic. Some countries in Asia also used them during recent outbreaks of A(H5N1) and A(H7N9) "avian flu." But influenza is much more transmissible than the Ebola virus, so the recent focus by many countries' public health ministries has been to adjust their plans along the lines of current WHO guidelines.

Lessons have also been learned regarding what doesn't work. The screening of incoming passengers into airports was practiced widely during the 2009 influenza pandemic. However many countries note that they did not detect a single case through the use of these measures. Thermal scanners at airports to detect fever have been shown to be of limited use. The WHO has continued to stress these facts, but political considerations have led some countries, notably the U.S. and UK, to implement incoming passenger screening anyway.

Travel restrictions

Finally the question of travel restrictions has been raised by a number of commentators. These were used to good effect during SARS but were of limited use during the 2009 influenza pandemic. It is widely acknowledged that the damage caused by travel restrictions to the economies of the West African countries would compound the very significant economic costs already experienced. Travel restrictions would only make it more difficult for the international community to provide the healthcare workers and supplies needed to get the outbreak under control.

While thinking about our own infection control processes and planning for imported cases, we need to remember that the sure-fire way to prevent domestic EVD cases is by pitching into the global effort in West Africa. While the outbreak continues to grow exponentially, the risk of spillover into other countries increases. While ensuring that we have domestic plans in place is good, all of us need to recognize our role as good global citizens and give aid and help to those countries worst affected.

@highlight

WHO is warning that weekly cases could reach 10,000 by the start of December

@highlight

2003 SARS outbreak was the worst global pandemic of the modern era

@highlight

SARS, however, was a far less severe infection than Ebola, say Hill-Cawthorne

@highlight

Best way to prevent domestic Ebola cases is by pitching in to the global effort in West Africa