(CNN) -- It is now more than 20 years since pro-democracy grassroots organizations led struggles that eventually resulted in the overthrow of long-serving authoritarian regimes in many countries in Africa.

Since the 1990s, there have been significant improvements in the transition to democratic governance in Africa. However, there have also been some major reversals.

Click on the interactive map above to find out more about Africa's governments.

Unfortunately, some pre-1990 incumbent leaders (for example, Paul Biya of Cameroon and Robert Gabriel Mugabe of Zimbabwe) remain in power, despite efforts by the opposition to unseat them.

In addition, Mali, which had made significant progress toward deepening and institutionalizing democracy, suffered major regression, first, by the capture and subsequent occupation of the northern part of the country by a group of separatist rebels, and second, by a military coup that ousted its democratically elected government.

Soldiers also intervened in Guinea-Bissau, suspended government institutions and proceeded to engage in activities that seriously undermined the rule of law. Meanwhile, violent mobilization by ethnic and religious groups continue to negatively impact governance in Nigeria, Central African Republic, Kenya, Uganda, and Madagascar.

The failure of national institutions to grant adequate protection to individual liberties continues to plague countries such as The Gambia, where a U.N report says several prison inmates were executed last year without due process of law, and South Africa where the police last year used deadly force against miners who were exercising their rights to strike.

See also: New violence clouds future for South African mines

Despite these setbacks, there have been significant and spectacular achievements in the continent's struggle to deepen and institutionalize democracy.

Ghana continues to lead the way. First, after the country's president, John Atta Mills, died in office in July 2012, he was succeeded, as required by the constitution, by the country's vice president, John Dramani Mahama. Second, in December 2012, the country held competitive, fair and peaceful elections, which were won by Mahama. He was subsequently sworn in as the country's president.

Finally, Ghana has also shown significant leadership in openness and transparency in government. In 2003, Ghana committed to the extractive industries transparency initiative and has since emerged as a leading example of how governments can minimize corruption in the management of public revenues from the extractive sector.

Read also: What Ghana can teach the rest of Africa about democracy

Egypt, Libya, Tunisia, Ivory Coast, Sierra Leone, Lesotho, Guinea and Malawi have made some gains as they move steadily towards democratic governance.

Ivory Coast, after a violent and extremely bloody civil war, inaugurated a new president, followed by the development of new laws and institutions, especially those dealing with corruption and openness and transparency in government. In addition, the country now has a fully functioning legislative assembly, and the country's security situation, previously worsened by sectarian strife, has improved significantly.

Sierra Leone, whose institutions were destroyed by a long and brutal civil war, has seen restoration of many national institutions and a return to the rule of law. This is exemplified by the fact that the country's 2012 presidential and parliamentary elections were free, fair and peaceful and the results were accepted by the people. The winners went on to form a government which continues to rule the country in peace.

Senegal also held elections in 2012, which resulted in the peaceful transfer of power. Since taking office, the new president, Macky Sall, has made significant efforts to improve openness and transparency in government, as well as force public officials to be accountable to the constitution and the people.

Lesotho's governance system was strengthened by successfully conducting fair and free elections, which resulted in the peaceful transfer of power. Both Malawi and Guinea saw some improvements in their governance systems -- in Guinea, opportunities for civic dialogue improved significantly and in Malawi, the death of the sitting president was not followed by bloody chaos; instead, as required by the constitution, the vice president, Joyce Banda, was inaugurated the new president.

The Arab Spring brought significant improvements to governance structures in Egypt, Libya and Tunisia. The tragic death of Tunisian street vendor Mohamed Bouazizi, by self-immolation, brought about a grassroots political movement among Tunisians that effectively overthrew the country's authoritarian ruler, Zine el-Abidine Ben Ali.

This movement, which was subsequently nicknamed the Arab Spring, spread to Egypt and Libya, resulting in the ouster of long-serving dictatorships in those countries as well. Elections, considered fair and free, have since been held in all three countries and each now has a democratically elected government.

Nevertheless, many groups within these countries, especially those which historically have suffered exploitation and persecution at the hands of their governments (e.g., ethnic and religious minorities, and women) have expressed the fear that although these new regimes came to power through democratic elections, they are likely to reject or abandon democracy once they have had a chance to consolidate their power bases.

Already, such fears appear to be coming true in Egypt, where the new president, Mohamed Morsy, has already engaged in extra-constitutional practices to grab more power for himself.

In addition, the elected parliament was dissolved by the anachronistic supreme constitutional court, and the new constitution was hurriedly drafted and done so through a top-down, elite-driven, non-participatory process.

As a consequence, what had started as a dynamic grassroots-led program to transform Egypt's laws and institutions and produce a more effective and relevant governance architecture, has degenerated into a struggle by entrenched interests, led by Morsy and his Freedom and Justice party, to further entrench themselves politically and economically.

In Tunisia, the revolution, which since the ouster of Ben Ali had been progressing well, despite opposition from several Islamist groups, suffered significant regression following the brutal and cowardly assassination of Chokri Belaid, a secularist and staunch critic of the ruling Islamist-led government of Prime Minister Hamadi Jebali.

Meanwhile, the brutal assassination of the U.S. ambassador and the wanton destruction of property in Benghazi, the cradle of the Libyan revolution, is indicative of a still-born transformation, one that had failed to create institutions capable of guaranteeing the rule of law in Libya.

The struggles of grassroots organizations in Libya, Tunisia and Egypt are symptomatic of what needs to be done throughout Africa to deepen and institutionalize democracy.

Read also: Western-style democracy 'not suitable for Africa'?

The many individuals that participated in North Africa's grassroots revolution to replace authoritarianism with democracy are frustrated because their revolutions did not achieve their critical goals -- reconstruction and reconstitution of anachronistic and dysfunctional state systems inherited from the ancien rÃ©gimes to provide legal and judicial systems that guarantee the just rule of law.

That is, laws and institutions that protect individuals' rights, including protecting all citizens from violence directed at them either by state or non-state actors, and enhance people's ability to engage in productive activities to create the wealth that they need to fight poverty and improve their living conditions.

Such laws are consistent with the provisions of the universal declaration of human rights and other international human rights instruments. These revolutions, as has been the case in other African countries, were hijacked by entrenched opportunists, whose main interest is in preserving the status quo, so that they can continue to use these anachronistic state structures to enrich themselves at the expense of their fellow citizens.

In order to advance the transition to democratic governance in Africa, as well as minimize the chances of regression, each African country must engage all its relevant stakeholder groups in state reconstruction through democratic (i.e., bottom-up, participatory, inclusive and people-driven) constitution making to produce institutional arrangements that adequately constrain civil servants and political elites, enhance the ability of each country's diverse population groups to coexist peacefully, and create economic and political environments that maximize entrepreneurial activities and the creation of wealth.

The opinions expressed in this commentary are solely those of John Mukum Mbaku.

@highlight

Last 20 years have seen gains, reversals in transition to democracy in Africa, says John Mukum Mbaku

@highlight

He says Ghana continues to lead the way, Mali and Guinea-Bissau have suffered setbacks

@highlight

Arab Spring brought improvements, but more change is needed

@highlight

Each African country must engage in democratic constitution making, says Mbaku