Shin Dong-hyuk is the only known person born in a North Korean prison camp that escaped and survived to tell the tale.

Journalist Blaine Harden first uncovered Shin's story in 2008 and has now turned it into the riveting new biography "Escape from Camp 14: One Man's Remarkable Odyssey from North Korea to Freedom in the West."

North Korea has been splashed across world headlines in recent weeks over its threat to launch a long-range rocket, its suspected nuclear program and for its continued defiance of the West. If you want a singular perspective on what goes on inside the rogue regime, then you must read his story.

It's a harrowing tale of endurance and courage, at times grim but ultimately life-affirming. In the book, Harden offers an unnerving glimpse into one of the world's most repressive regimes. Until now, little was known about North Korea's labor camps, even though they've existed for decades. They're believed to hold between 150,000 and 200,000 prisoners and while they're plainly visible in satellite photos, the North Korean government claims they don't exist.

Shin knows otherwise. He was born in one of these "hidden gulags." He grew up in squalid conditions with unending, back-breaking work, and knew nothing of the outside world. He was starved, beaten and tortured. One of his earliest memories: Being forced to watch the execution of his mother and brother.

It wasn't until Shin was 23 years old he was able to climb through a high-voltage fence and escape. Somehow, Shin found his way to China, South Korea, and eventually the United States. Today, Shin lives in Seoul, but is still dealing with the psychological trauma of his former life in the camp.

Harden, a reporter for PBS Frontline and a contributor to The Economist, brings Shin's amazing story to life. CNN recently spoke to him about the book and his relationship with Shin. The following is an edited transcript:

CNN: This is an amazing story, how did you learn about Shin and when did you first meet him?

Harden: I heard about Shin from a human rights activist in Tokyo, where I was living and working as a correspondent for The Washington Post. At the time, I was desperately searching for a way to write about life inside North Korea. I quickly flew to Seoul and met Shin there for lunch in December, 2008. That meeting is detailed in the book.

CNN: What did you think of Shin and how difficult was it to confirm the details of his story?

Watch an interview with Shin Dong-hyuk

Harden: Talking to Shin in person, his story sounds believable. It's because of the intensity and precision of his memory. His body, too, is a map of what he endured, with burns on his back and legs, and his partially-severed finger. His arms are bowed from childhood labor. Confirming the details of his story is impossible, if you mean going to Camp 14 and asking questions of his captors and torturers.

North Korea denies the existence of Camp 14 and all the other labor camps. Outsiders, including the (International Committee of the Red Cross), have never been allowed to visit them. The only way for North Korea to "refute, contradict or invalidate" the testimony of Shin and other camp survivors would be to permit outsiders to visit the camps. Otherwise, their testimony stands.

CNN: What did you find most shocking or disturbing about Shin's ordeal?

Harden: His anger at his mother -- and his statement that he was glad to see her die: These were the things that shocked me most upon meeting Shin. But as we continued to talk -- over the course of day-long conversations that extended for weeks in Seoul and later in Southern California -- I came to understand that guards had raised him to be suspicious of everyone.

He saw anyone who stood between him and his next meal as a potential enemy. He was raised to see personal redemption in acts that ratted out his own family. He believed that his mother, by discussing an escape plan with Shin's brother, had been irresponsible and reckless. Since he was a toddler, he had been forced to memorize camp rules that prescribe death for anyone who tries to escape or knows about an escape plan but does not report it immediately.

The moment Shin heard that his mother was considering an escape, his camp-bred instincts kicked in. He had to betray her: He knew that if he did not, it would mean his torture or death. He did turn her in. But he was tortured anyway.

Watch the book trailer for "Escape from Camp 14"

CNN: How is Shin doing now?

Harden: He is now living in Seoul, after spending the better part of two years in Torrance, California; Seattle; Columbus, Ohio, and Washington D.C. He has begun working with a partner on a webcast aimed at telling the Korean-speaking world more about North Korea and the camps. His life's goal is to raise awareness of the camps. He wants them closed as soon as possible.

Everything else in his life is secondary to that goal. That is why he was willing to go though the misery of long interviews with me. In the book, in trying to explain how painful those interviews often were, I used the image of a dentist drilling without anesthetics -- for more than two years. Shin did not like it, but he put up with it because he wants everyone to know what went on in Camp 14 -- what still goes on.

CNN: Shin must have left a lasting impression on you, what kind of impact did his story have on you personally?

Harden: His story has obviously touched me profoundly. And like him, I want everyone in the world to know about the camps and to understand -- through an emotionally wrenching immersion in Shin's life inside Camp 14 -- that North Korea's dictatorship is sustained by child slavery, starvation, and unimaginable cruelty.

Check out Blaine Harden's website and read an excerpt from the book

@highlight

"Escape from Camp 14" tells the true story of a North Korean prison camp survivor

@highlight

Shin Dong-hyuk was the only known person born in a camp that survived escape

@highlight

Book offers glimpse into one of the world's repressive regimes