(CNN) -- I don't like feeling stuck in a particular operating system, social network or piece of software. It's not that I won't commit to a product or company -- it's that I don't trust any of them enough to get married to one of them. Once they own me, they'll start either selling my data to other companies, limiting my Web experiences to the ones that help sell their clients' products or otherwise screwing with me as a consumer and person.

And while I have little faith that consumer protection or privacy advocates can protect my interests against the corporate behemoths, I am beginning to take heart in the way the battles between corporations over their rights to compete have the perhaps unintended side effect of keeping me from having to commit to any one of them.

Today, it's Google in the cross hairs. Egged on in part by those left lying in the wake of Google's rise to Web search dominance, the European Commission and U.S. Federal Trade Commission are challenging the company's monopoly and how they are leveraging it. If the story feels familiar, that's because it is.

Fourteen years ago, it was Microsoft getting slapped for anticompetitive behavior. The company's dominance in the operating system market appeared so great, so irreversible, that it was deemed a monopoly. For Bill Gates to bundle the Explorer browser along with his operating system -- and to do so in such a way that leveraged this advantage and quashed competition -- was judged illegal and prohibited.

Now it's Google's turn for scrutiny. This time, alarm bells first went off when people began to realize that all that photography Google had been doing for its Street View maps services wasn't just photography. As long as Google was driving through neighborhoods taking video of every store and house, it might as well do some WiFi monitoring and see who was online. The Germans, in particular, got irked by this move, but then so did everyone else.

This opened the door to bigger charges though -- most significantly that Google's search algorithms are rigged to promote Google's own services while putting those of competitors lower in the list of results. If Google indeed has a monopoly on search -- about 70% of the U.S. market and almost 95% of Europe's -- then it does have a duty to watch out for the players in other markets where Google is competing.

That's why, at least as far as pure search terms and equivalent but ranked results, Google's critics may have a point. If a Google company or partner gets higher on the list simply because it's good for Google, then there's a bit of explaining to do.

But what about when search results contain more than simple lists, but come to include little built-in utilities? For instance, if you're doing a search for "plane tickets from NY to LA," your list of results will begin with a handy Google flight finding application, built right into the page, complete with space for your desired dates of travel and a submit button. Below that, you get regular old links to Expedia and Kayak and all the other online travel agencies. These are not equivalent results. The Google flight utility isn't just a text link but an interactive tool that imitates the very functionality of Expedia or Kayak. (Once you pick your flights, it sends you to the relevant airline site with all your data already filled in.)

In one sense, Google has made its users' lives easier by pulling travel functionality right into its search engine. In another sense, though, Google has replicated the functionality of the online travel agencies and then used its search monopoly to give itself an advantage. For, at least in theory, all the other online ticketing services could be building their own mini-apps to sit right alongside Google's. But they're not really being invited to do so, and if they did, would they be surrendering even more to Google?

If an antitrust suit pushed Google to give other companies the same abilities that Google has, we could end up on a path to more functionality for everyone. If it simply forces Google to yank all kinds of utility from the search engine -- or to crowd a formerly streamlined lists of links with a convoluted mix of links, windows, apps and utilities, then the search itself may become a thing of the past. Like a gopher menu. (A what? Exactly.)

Technological evolution occurs in fits and starts, and sometimes cutting back growth really just helps the rest of the tree grow fuller and healthier. When Apple can patent the very gestures we use to access data or move windows on a cell phone, or Facebook can become the default phonebook for the world, it puts their individual dominions as companies directly at odds with our ability to control what is shared about us, what Internet we get to see and our awareness of either one.

This attack on Google from above ends up protecting some of our interests here down below. In the logic of corporate capitalism, the best safeguard against getting trapped in single-provider solutions from Facebook to the iPhone is when someone can prove it's bad for business.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff : European Commission, FTC challenging Google over monopoly

@highlight

He says it's familiar because same thing happened to Microsoft 14 years ago

@highlight

He says charges are Google using search control to push its services over competitors

@highlight

Rushkoff: Attack on Google from above may end up protecting our interests here, down below