Rome (CNN)Italy's highest court Friday will consider whether to uphold the 2009 murder conviction of American Amanda Knox, according to Judge Gennaro Marasca.

The high court judge will either uphold the murder convictions of Knox and her Italian ex-boyfriend, or send the case back for another appeal, or potentially on to a different section of the court.

Knox, a 27-year-old Seattle native, and Raffaele Sollecito were convicted of the 2007 killing of Knox's British roommate, Meredith Kercher. Knox and Kercher lived together in Italy at the time of Kercher's death.

Sollecito and Knox were acquitted in 2011 on appeal, and then Knox returned to the United States. However, Italy's Supreme Court overturned the acquittals in 2013, and they were convicted last year after a retrial.

If a new trial is ordered, Knox and Sollecito will buy a little time before a final decision is reached. But if the court upholds the conviction, the case will be closed for good -- and what happens to Knox next is uncertain.

Conventional wisdom dictates that Knox will eventually face an extradition hearing or reach a deal with the Italian Justice Ministry to serve her 28-year sentence, but that could take years. The statute of limitations is double the sentence, meaning the Italians have 57 years to bring her back to the country.

Knox, however, would benefit from the United States' extradition treaty with Italy -- under which the United States will not extradite a person who has been acquitted -- and from the U.S. Constitution's protection against double jeopardy.

Sollecito, on the other hand, still lives in Italy, and has a lot more to lose than Knox does, at least in the short term. He would be scooped up immediately and hauled off to prison to start a 25-year sentence. All of his options will have been exhausted and he will have no choice but to go to directly to jail.

Sollecito earlier said he would be in court on Wednesday to face the judge. "I've been living this for eight years," he told the Italian crime TV program "Quarto Grado." Not appearing in court would be like hiding in the corner during a tsunami -- it will take you away anyway."

Rudy Guede, from the Ivory Coast, was convicted separately in a fast-track trial and is midway through a 16-year sentence for Kercher's murder. His case was confirmed by Italy's high court in 2010.

Many commentators in the U.S. have reasoned that Italy may not ask the United States for Knox's extradition because it would cause a diplomatic rift between the two nations. But there could be a greater rift if it appears that Knox gets away with murder and her Italian ex-boyfriend pays for the crime.

If Sollecito is languishing in prison and Knox is sipping Frappuccino in a Seattle Starbucks, Italians will not be pleased, says Alessandro Capponi, an Italian journalist for Corriere Della Sera who has been covering the case since Kercher was killed in 2007.

"It will be seen as an injustice," Capponi told CNN. "You may not see people out on the streets, but if you ask 10 people what they think, those 10 people will tell you they see it as a complete injustice that only the Italian and the African are in prison. The Italians will say that the American gets away with murder and it won't be the first time."

This is not the first time Italy and the United States have butted heads on matters involving American suspects accused of crimes in Italy.

In 1998, an American Marine aircraft sliced through a ski lift cable in the Dolomites, sending 20 people plummeting to their death. Even after admitting to destroying the videotape of the deadly flight, only two of the four Marines were charged and convicted. Only one served jail time -- just over four months of a six-month sentence.

In 2012, Italy's highest court upheld the convictions of 23 Americans (22 CIA agents and an Air Force pilot) for the kidnapping of Egyptian cleric Abu Omar, a suspeced terrorist, from a street in Milan. They were sentenced to between five and eight years in prison, but Italy has not yet asked for extradition.

"Our relationship with the United States is full of these diplomatic tensions," said Capponi. "This will just be added to the list."

Knox's case has been divisive from the start, and her supporters have come down hard on the Italian judicial system. Sollecito has never had the luxury of that attitude, knowing full well that he is in the hands of the system whether he likes it or not, so vocally criticizing it wouldn't be in his best interest.

In fact, he has long suffered the impact of Knox's ardent campaigners who have mostly criticized Italy from the other side of the Atlantic.

By almost any Italian precedent, Sollecito should not have had to be in prison during his initial trial -- but because Knox was deemed a flight risk, she had to stay in jail. Because Sollecito was her co-defendant, he did too, even though he had no ties to anyone abroad.

"Knox could still beat the system, but Sollecito's game is up if the convictions are upheld," Nicola Canestrini, an Italian extradition lawyer familiar with both legal systems, told CNN. "He has no wiggle room and it could be that he serves the time for both of them, which will likely cause deep resentment here in Italy."

Perhaps a little too late, Sollecito's defense team has been slowly inching away from Knox, especially since the latest conviction.

Last summer, he held a press conference when his lawyers filed their appeal to the high court, in which his lawyer Giulia Bongiorno pointed out "certain anomalies" in Knox's testimony that have nothing to do with Sollecito.

"We ask that the court to not extend the anomalies of Amanda's testimony to Raffaele," Bongiorno said at the time.

Whether that is enough to get the high court to give Sollecito another, independent chance is yet to be seen.

"I am not a crazy person. I am not a criminal. I am innocent," Sollecito told reporters last summer at the press conference. "But my name is Raffaele Sollecito, not Amanda Marie Knox."

Now it is up to the judge to determine whether that makes any difference.

CNN's Hada Messia contributed to this report.

@highlight

Italy's highest court to consider verdict in 2007 murder of British student Meredith Kercher

@highlight

High court says jury will take case on Friday