(CNN) -- Last weekend, actor Jim Carrey tweeted that he has decided to withdraw his support for his movie "Kick-Ass 2" due to its violent content. Carrey said he became uncomfortable with the violence in light of last year's tragic Sandy Hook Elementary School shooting in Connecticut. People must make their own decisions about what media are appropriate for themselves and their family, and I respect Carrey's choices. Yet, as someone who researches media violence, I worry that some will draw the wrong message from his position.

Existing data do not link media violence with mass shootings or other societal violence. Debate continues in the general public and within academia, but the evidence just isn't there. The U.S. Secret Service and U.S. Department of Education, in a joint report in 2002, found no evidence that school shooters consume more violent media than others. And although media probably have become more violent in recent decades, this period has also seen a massive decline in youth violence to 40-year lows, not an increase.

Experimental evidence from social science has been mixed, and many of the studies are of poor quality. One scholarly paper that endorsed the "harm" view suggested religious books with violence such as the Bible would cause aggression just as much as a violent movie, something of which readers may wish to be aware. The U.S. Supreme Court rightfully rejected evidence such as this as unpersuasive when considering the Brown v. Entertainment Merchants Association violent video game case in 2011.

So why do beliefs about media violence persist? Periods of moral panic tend to surround media. Media from penny dreadfuls (trashy novels popular in the 19th century) to comic books to music (jazz, Elvis Presley, rock music, etc.) to books such as Harry Potter have often been blamed for society's ills. After events such as the Sandy Hook rampage, blaming the media can actually be reassuring. We construct the narrative that an individual such as Adam Lanza might never have committed his horrific crimes if not for the crucial influence of media.

Such narratives give us a sense that the uncontrollable might be controlled. And to maintain them, we simply ignore cases that don't fit them, such as a rash of violence in the months after Sandy Hook committed by elderly men with no discernible connection to violent media. This allows us to maintain an illusion of correlation where none exists.

Professional advocacy groups such as the American Academy of Pediatrics share some of the blame in promoting unnecessary fears. As I detail in a recent report for the journal American Psychologist, previous statements by the group have been error-prone on even basic details, such as the number of studies, and simply omit those studies that conflict with alarmist messages.

Unfortunately, people often take these policy statements too seriously, forgetting professional advocacy groups tend to benefit politically by identifying social crises their professions can help "fix." The committees that write these statements have historically included scholars highly invested in a particular ideological view of media reviewing their own work and declaring it beyond debate (a chance I'd love to have with my own work one day). They should not be mistaken for careful, neutral, objective reviews.

There are real dangers in focusing too much on media as the cause of violent crime. Speaking as a mental health provider, I've seen no tangible improvement in the delivery of mental health services in the United States. It is a tragic, lost opportunity when we squabble over the old culture wars surrounding media, rendering media bashing as the new "Twinkie defense" for criminal defendants.

Parents certainly deserve to have full information on ratings systems for media and existing controls. A recent Harris Poll suggested that individuals unfamiliar with the Entertainment Software Rating Board ratings systems for games, for instance, were those most concerned about video games -- suggesting that, as with previous moral panics, unfamiliarity breeds fear. Granted, media companies could work more -- in conjunction with schools perhaps -- to keep parents informed about the options available to them to restrict their children's exposure to violent imagery (and for the record I have no financial or personal ties to media industries).

But parents also have the right to have a full understanding of the research, its inconsistencies and limitations, and this is something the research community could do better. Debates on media have been going on for more than 2,000 years and won't end in our lifetimes. But we must remember that the most powerful impact these debates have is in their ability to distract us from the real causes of violence: poverty, inequality and the lack of attention to mental health.

The opinions expressed in this commentary are solely those of Christopher J. Ferguson.

@highlight

Christopher Ferguson: Actor tweeted he won't support his new movie due to violence

@highlight

Ferguson: Existing data do not link media violence with shootings or other violence

@highlight

He says scholars use, at best, mixed study results to blame media for violent behavior

@highlight

He says it distracts from roots of violence: poverty, inequality, poor mental health care