An e. You can write it with one fluid swoop of a pen or one tap of the keyboard. The most commonly used letter in the English dictionary. Simple, right?

Now imagine it printed out millions of times on thousands of forms and documents. Then think of how much ink would be needed.

OK, so that may have been a first for you, but it came naturally to 14-year-old Suvir Mirchandani when he was trying to think of ways to cut waste and save money at his Pittsburgh-area middle school.

It all started as a science fair project. As a neophyte sixth-grader at Dorseyville Middle School, Suvir noticed he was getting a lot more handouts than he did in elementary school.

Interested in applying computer science to promote environmental sustainability, Suvir decided he was going to figure out if there was a better way to minimize the constant flurry of paper and ink.

Reducing paper use through recycling and dual-sided printing had been talked about before as a way to save money and conserve resources, but there was less attention paid to the ink for which the paper served as a canvas for history and algebra handouts.

"Ink is two times more expensive than French perfume by volume," Suvir says with a chuckle.

He's right: Chanel No. 5 perfume costs $38 per ounce, while the equivalent amount of Hewlett-Packard printer ink can cost up to $75.

So Suvir decided to focus his project on finding ways to cut down on the costly liquid.

Collecting random samples of teachers' handouts, Suvir concentrated on the most commonly used characters (e, t, a, o and r).

First, he charted how often each character was used in four different typefaces: Garamond, Times New Roman, Century Gothic and Comic Sans. Then he measured how much ink was used for each letter, using a commercial tool called APFill® Ink Coverage Software.

Next he enlarged the letters, printed them and cut them out on cardstock paper to weigh them to verify his findings. He did three trials for each letter, graphing the ink usage for each font.

From this analysis, Suvir figured out that by using Garamond with its thinner strokes, his school district could reduce its ink consumption by 24%, and in turn save as much as $21,000 annually.

Encouraged by his teacher, Suvir looked to publish his findings and stumbled on the Journal for Emerging Investigators (JEI), a publication founded by a group of Harvard grad students in 2011 that provides a forum for the work of middle school and high school students. It has the same standards as academic journals, and each submission is reviewed by grad students and academics.

Sarah Fankhauser, one of JEI's founders, says that of the nearly 200 submissions they have received since 2011, Suvir's project was a real standout:

"We were so impressed. We really could really see the real-world application in Suvir's paper."

Fankhauser said Suvir's findings were so clear, simple and well thought-out, it had the peer reviewers at JEI asking, "How much potential savings is really out there?"

For the answer, JEI challenged Suvir to apply his project to a larger scale: the federal government.

With an annual printing expenditure of $1.8 billion, the government was a much more challenging task than his school science project.

Suvir repeated his tests on five sample pages from documents on the Government Printing Office website and got similar results -- change the font, save money.

Will government printers embrace a change?

Using the General Services Administration's estimated annual cost of ink -- $467 million -- Suvir concluded that if the federal government used Garamond exclusively it could save nearly 30% -- or $136 million per year. An additional $234 million could be saved annually if state governments also jumped on board, he reported.

Gary Somerset, media and public relations manager at the Government Printing Office, describes Suvir's work as "remarkable." But he was noncommittal on whether the GPO would introduce changes to typeface, saying the GPO's efforts to become more environmentally sustainable were focused on shifting content to the Web.

"In 1994, we were producing 20,000 copies a day of both the Federal Register and Congressional Record. Twenty years later, we produce roughly 2,500 print copies a day," he said.

On top of this, the Congressional Register is printed on recycled paper, which GPO has been doing for five or six years, Somerset says.

One federal initiative that focuses on minimizing ink-usage is called "Printwise." Implemented 18 months ago by the General Services Administration, it teaches government offices how to default their computer settings to Times New Roman, Garamond and Century Gothic to minimize printing waste. According to GSA's press secretary Dan Cruz, they hope this type of initiative could ultimately save the federal government up to $30 million annually.

Suvir appreciates the government's efforts, but he sees his project as a means of making an even bigger impact nationwide.

"Consumers are still printing at home, they can make this change too," he says.

Holding out hope

At 14, Suvir understands how difficult such a project might be to implement -- "I recognize it's difficult to change someone's behavior. That's the most difficult part."

But he holds out hope: "I definitely would love to see some actual changes and I'd be happy to go as far as possible to make that change possible."

With decades ahead to lend a hand, Suvir and other young men and women like him may even be able to untangle some of the knotty political and technical issues that beset Washington, corporate suites and the world at large.

Know a young entrepreneur?

'Godfather' of Helvetica font dies at 84

@highlight

Middle-school student says the federal government could cut printing costs with one decision

@highlight

Suvir Mirchandani analyzed ink use for school project, then expanded his research

@highlight

So far, the Government Printing Office is noncommittal on Suvir's suggestion