(CNN) -- Nine women, a bold proposal and a $1 bill. That was what it took for women's tennis to begin a 40-year journey of self-empowerment that has created a generation of sporting millionaires.

Back in 1971, the total prize money on offer for the first women's tour was $309,000 spread over 19 tournaments.

In 2012, including the purse from the four grand slams, it cracked $100 million for the first time -- this year it is projected to hit $107 million.

"I forecast to the athletes in my first player meeting that we would get to $100 million in 2014. To be able to reach that milestone two years ahead of that is testament to the commercial success of women's tennis," says Stacey Allaster, who has been chief executive of the WTA since 2009.

When Serena Williams, the modern queen of the WTA Tour, won the U.S. Open last September her $2 million prize haul matched the entire career earnings of Billie Jean King -- one of the pioneering nine and a dedicated fighter in the cause of women's equality.

"I think they're truly proud of how far women's tennis has come from the $1 contract to the $100 million generation," Allaster told CNN.

"Meeting the original nine and spending time with them this past April in Charleston was inspirational.

"To hear their stories and what they had to go through to stand up to the establishment and take the risk for something they believed in was amazing."

King was one of the players frustrated by a lack of parity with the men's game in her era, when women struggled to find enough tournaments to play in -- let alone be paid on equal terms.

Defying the U.S. Tennis Association, she set up a rebel tour with the help of publisher Gladys Heldman, who proffered the symbolic $1 contracts for the players.

It was a schism that led to the formation of the establishment-approved Women's Tennis Association in 1973 -- which will be marked this year by the WTA's "40 Love" commemorative campaign, a celebration of four decades of progress in the women's game.

It was the start of a circuit that now covers the globe. This year's schedule began with simultaneous events in China, Australia and New Zealand, and will climax with the season-ending championships in Turkey in late October.

The 2012 Istanbul showpiece attracted the event's biggest crowds for 12 years, in a country not known for its tennis heritage, while China will host a fifth WTA tournament from 2014.

"We are obviously seeing extensive growth in our Asia-Pacific territory and in China. We are looking at how we take the next quantum leap," said Allaster.

"We are making sure that at the end of the day we have a circuit structure that can consistently deliver to our top events, because that's how we're going to drive the business, to deliver to sponsors and broadcasters."

And it is becoming a very big business.

King was the first woman to earn six figures in a season, back in 1971. Last year world No. 1 Victoria Azarenka and Williams both became the first to break the $7 million barrier.

In the men's game, only Novak Djokovic ($12.8 million) and Roger Federer ($8.6 million) earned more on court.

The brand of women's tennis has been driven by the WTA's "Strong is Beautiful" campaign, which depicts the players both as athletes and style icons -- along with celebrity endorsers such as singers Aretha Franklin and Kelly Rowland, actress Susan Sarandon and businessmen Donald Trump and Richard Branson (see pictures in the gallery above, courtesy the WTA Tour).

"We're marketing the players as the world's strongest female athletes," Allaster said. "We do have this duality of the off-court lifestyle and entertainment part of it, premium and glamorous. Strong confident women who have endured intense battles to be at the top of their game and be the best in the world."

While other women's sports, such as golf, have struggled to maintain lucrative sponsorships, tennis is bucking the trend.

"It is very important to stress that women, both in terms of prize money and in terms of commercial incomes in tennis and other sports, are the poor relations compared to men," says sports business expert Simon Chadwick.

"The women who earn significant revenue often fit a specific sociocultural stereotype."

Chadwick, professor of sport business strategy and marketing at Britain's Coventry University Business School, cites the examples of Maria Sharapova and Anna Kournikova -- Russians who capitalized on both their good looks and playing skills to become two of the most wealthy and high-profile women's players.

Chadwick says that while the gap between men's and women's pay is closing in tennis, the sport is also becoming more global -- which increases its value for sponsors and commercial partners.

"Further, I think female tennis player brands embody a particular set of qualities, such as strength, power, beauty, success, that some brands find appealing because it enables them to target specific consumer groups, thus strengthening perceptions of their brands -- for which corporations are prepared to pay," he told CNN.

"The fact that some of the recently successful players, such as Li Na, are from growing or strong economies, has been helpful in drawing in new revenue streams to the sport from sponsors and commercial partners that previously may not have had an involvement in tennis."

While Sharapova and the Williams sisters have their own off-court business empires, the WTA actively helps players establish their own brands.

"One of our competitive advantages is that we have so many compelling individual stories," Allaster said.

"Our team is there to help develop their brand plans. Some of them have agents who do that, others don't -- that's where the campaign helps. What's most important is that they be themselves."

The WTA Tour has not always been in such a healthy situation.

When Allaster joined in 2006, having made her name at Tennis Canada as a reviver of struggling tournaments, she faced a situation where players were complaining of burnout.

"We needed radical change. The bottom line was at the top tournaments players weren't consistently showing up, and that was impacting our credibility -- media were talking about it, sponsors were questioning 'are they really going to show?' " she said.

As part of its "Roadmap reform," the WTA cut the number of top-level events players had to enter from 26 to 20. It's now 22, and prize money is up 51%.

"We had grown and grown and grown, there was no shortage of people wanting to do WTA tournaments -- if anyone raised a hand, we said come on. But there's only so many top-10 players," Allaster said.

"The intensity of their play through that period just escalated and their bodies were breaking down. We knew we had a commitment system that couldn't work."

In the 1990s the women's game was invaded by girls in their early teens, such as Martina Hingis and Kournikova, whose stars burned brightly but comparatively briefly.

More recently top players such as Kim Clijsters and Justine Henin retired twice each before they were 30. Both battled with injuries at the end of their careers.

In view of these issues, the WTA's emphasis is now on prolonging the careers of marquee players such as the Williams sisters.

Both have been selective about their playing schedule as they have battled back from injuries and serious illnesses, though Serena has not opted out of the tournament commitment system -- which, under WTA rules, she could do as a top-10 player over the age of 30.

"We've been able to take the average career length from 12 years to now 15 years. I'd rather have 15 years of a superstar than a couple of great years then injured," Allaster said.

"Both Serena and Venus are a gift to women's tennis. Venus is thinking long term and I know Serena is, along with others."

The WTA's pressing business goal is to find a replacement for main sponsor Sony, which concluded an eight-year partnership at the end of 2012.

"We'll get through that. I'd like to have it for 2013 but usually a sales cycle for a global multimillion-dollar sponsorship is 18-24 months, and we are 10 months into this," Allaster said.

And if there is ever any hint of complacency about continuing the WTA's success, Allaster will remind the players of the words of that pioneering nine.

"They're proud of women's tennis and proud of our success. A couple of them looked at me poignantly and said 'Don't let them catch us.' We didn't work this hard for women's tennis not to be No. 1."

@highlight

Prize money on offer to women's tennis stars will be higher than ever in 2013

@highlight

The tour has grown from a $300,000 purse in 1971 to $107 million this year

@highlight

Ruling body the WTA is celebrating its 40th year of existence in 2013

@highlight

Current CEO Stacey Allaster has led an overhaul of circuit since joining WTA in 2006