Editor's note: Erica Williams is deputy director of Campus Progress, a project of the Center for American Progress, a Washington-based organization that describes itself as dedicated to progressive causes. She works to engage the millennial generation and other underrepresented communities in the political process. She can be found at ericawilliamsonline.com and on twitter at @ericawilliamsdc.

Erica Williams says Ted Kennedy consistently exemplified the hope for an open, just and inclusive America.

(CNN) -- Sen. Edward "Ted" Kennedy may have been 77 years old, but he embodied the spirit, determination and core values of my generation -- the millenials -- in a way that no other senator has in our lifetime. How ironic that the passing of one of the oldest and longest serving senators has left me, a 25-year-old woman, frantically searching for a fierce, dedicated ally for causes that concern young Americans.

As a young person with equal parts hope in -- and criticism of -- America's body politic, I value the length of time Kennedy spent championing the causes of those constituencies that are traditionally underrepresented in the political process and also the tenacity, savvy and consistency with which he did it.

When I first began working in politics, advocating for the political empowerment and representation of young people, I quickly learned that Kennedy not only fought for us, but also eagerly and wholeheartedly worked with us. He spoke at student rallies, held press conferences with youth organizations and ensured that his staff kept an open and accessible ear to the interests, concerns and needs of those of us who worked full time to engage young people.

Ultimately, the proof was in the pudding. Some of his most memorable accomplishments were those that centered on young people in an explicit way.

In 1970, at the height of the Vietnam War, when young men were dying in record numbers, Kennedy championed an amendment to the Voting Rights Act that lowered the voting age from 21 to 18. He felt that those old enough to risk their lives for their country were old enough to have a voice in its elections.

Kennedy was also a consistent, hard-working and effective advocate for making higher education affordable and accessible. He steadily worked toward his goal of reforming the student financial system and played a valuable role in nearly every major federal student-aid program in our nation's history, from Pell Grants in 1972 to the Academic Competitiveness and SMART Grants for high-achieving low-income students in 2006. He was also a chief architect of the federal direct-loan program, in which the government lends money to students through their colleges.

He consistently opposed efforts to eliminate programs and offered dozens of budget amendments to increase the maximum Pell Grant.

He worked to reauthorize the Higher Education Act in 2008, which expanded federal grant aid, put new regulations in place to prevent abuse of student lending, simplified the student application process for federal aid and established debt forgiveness for public service.

Even as he neared the end of his life, Kennedy prioritized those at the beginning of their own. He championed the Serve America Act, signed into law just this year, which created 175,000 positions in public service in AmeriCorps and other organizations that work on education, health care, energy and veterans services.

But these policies speak only partially to his connection to young people.

The surge of young voters who came to the polls in record numbers last year weren't just voting for a candidate. Nor were they voting for an "issue." They were voting for a political philosophy, culture and core set of values that were overwhelmingly progressive. Social justice, equality, economic opportunity, accountability, openness of government, inclusiveness -- this was the foundation of the 2008 youth vote mandate.

It was in this way perhaps, greater than any other, that the current generation of young people identified with and appreciated the work of Ted Kennedy. Beyond his role in advocating policies with clear implications for young people, he consistently exemplified the hope for an open, just and inclusive America -- the platform that young Americans overwhelmingly supported during the election.

To Kennedy, young Americans weren't just young voters. We were young citizens, people who deserve equal access to an affordable education, a voice in our nation's political process. He didn't view our concerns and needs as fanciful, impetuous dreams of youth. He realized and valued the unique gift that we bring to this country when given the opportunities and access to make our voices heard.

The opinions expressed in this commentary are solely those of Erica Williams.

@highlight

Erica Williams says, "Kennedy embodied core values of my generation"

@highlight

Williams notes Kennedy's work to lower voting age to 18, pass Pell Grants

@highlight

Current generation identified with and appreciated Kennedy's work, she says