Banda Aceh, Indonesia (CNN) -- Ten years ago, a towering wall of water engulfed cities across the Indian Ocean, ravaging communities as far afield as Thailand, Indonesia, Somalia and Madagascar.

The 2004 tsunami was sparked by a massive, 9.1 magnitude earthquake which struck off the western coast of northern Sumatra, Indonesia, on Boxing Day.

Aceh, Indonesia, located at the northern tip of Sumatra, bore the brunt of the tsunami, with an estimated 130,700 killed, 565,384 internally displaced while 199,766 houses were destroyed or damaged.

Plan International, a children's rights organization was one of the first organizations to provide humanitarian aid to the city.

Lamnga Elementary School, in Aceh, was reduced to a crumbled shell after the four-meter-high wave roared inland. How did school principal, Muhammad Saleh, struggling to cope with the loss of two daughters -- and nearly half his students - find the strength to rebuild a devastated school?

Reliving the tsunami

It was early Sunday morning, when the now 54-year-old school principal was making breakfast for his wife and three daughters.

The ground started to shake beneath their feet, and they realized that it wasn't like any other earthquake.

Panicked, they ran -- Muhammad with his four-year-old daughter cradled in his arms, while his two other daughters followed hand in hand.

Then the wave came.

Ten years later, Muhammad still remembers the moment he watched the wave pull his youngest daughter under, right before his eyes.

"In that instant, it was as though my breath escaped me," says Muhammad, tears trickling down his face.

He eventually stumbled across his wife, and news came that his eldest daughter was safe. For the next four days, he continued to wade through the devastation in search for his two younger daughters.

"All I could see were dead bodies, swollen like balloons. I left it in the hands of god and I released my two daughters to him," says Muhammad.

"Up until today, I have been unable to find the bodies of my two daughters," he says. "My wife is still traumatized and she refuses to go back to our old house, so now we stay in a house that was given to us by an NGO."

Moving on

The past ten years have been difficult for Muhammad and his family. There were many days after the tsunami that he spent just feeling numb.

While he was grieving for the loss of his two daughters, he had to return to the devastated school, where he had been principal since 1999.

A temporary school was erected in the immediate aftermath, he and his students then began to work with Plan International to design their dream school.

Amrullah Amrullah, child protection and participation program adviser for Plan International in Indonesia, was posted as chief of mission for the child rights organization's emergency response at the time.

"When I arrived in Lamnga, they told me this empty area used to be a school and that the local community wanted Plan to rebuild this school<" he said.

"As a child rights organisation, we wanted to do everything we could to ensure children were able to return to school and to support Muhammad."

"They wanted their school to be resilient and earthquake-proof, and we tried to incorporate their ideas as much as we could," he said.

In May 2005, six months after the tsunami, their new school was opened.

Returning to school

"We used to have 207 students here at Lamnga -- when we reopened there were just 115," says Muhammad.

Instead of diving back into lessons and homework, the school was a place where teachers and students could go to for counseling and support.

"I encouraged the teachers to be spirited. I told them it wasn't necessary to go straight back to the curriculum and that it was OK to read fun stories to them. It took time, but we all slowly got back to normal," he says.

Megawati, an 18-year-old former student at the school, lived in the hills for five months after the tsunami. She was grateful to return once it was rebuilt.

"I was so happy. To me, school is very important, because without education we do not know anything," she said.

Life today

Today, the brightly painted Lamnga Elementary School is rich with laughter and activity. Young school children are also taught about the dangers of disasters and regularly participate in evacuation drills.

Cahaydi was just two years old when the tsunami tore his village apart.

"I lost my sister," he says. "She was only three. My grandmother was carrying her to safety, but both of them fell and she was unable to keep hold of her."

Now 12, he lives with his mother and father and is a keen student at Lamnga Elementary School. He also knows what to do if an earthquake or tsunami strikes again.

"At school, we are taught about where to evacuate if a disaster strikes and how we can help one another. We have also been taught to hide under a table if an earthquake strikes. I feel better prepared because of these classes and I can also tell my friends what to do," he says.

The tsunami still haunts him though -- as well as others.

"I am ready, but I cannot imagine another tsunami, as I still feel scared when I think about it," says Cahaydi.

As for Muhammad, he is proud of the way his school has been rebuilt. He is also flush with pride when he talks about his eldest daughter. Now 25, she is a mother to a little boy and has recently graduated with a Masters degree.

While the scars are still there to see, Muhammad, his family and his students, have rebuilt their lives as best they can.

The children of Aceh have been given the opportunity to return to a school, designed by them, just for them, so they too can achieve their hopes and dreams.

@highlight

The 2004 Indian Ocean tsunami was one of the most devastating natural disasters

@highlight

Aceh, Indonesia, located at the northern tip of Sumatra, bore the brunt of the tsunami

@highlight

Plan International has provided humanitarian assistance and rebuilt a school in the city