The girls sit quietly on the ground, dressed in traditional Islamic garb, barely moving, clearly scared.

"Praise be to Allah, the lord of the world," they chant.

The video, released by French news agency Agence France-Presse, purports to show about 100 of the 276 girls kidnapped by Boko Haram fighters nearly a month ago. It's the first time they've been seen since their abduction April 14.

In separate shots included in the 27-minute video, a man says he will release the girls only after imprisoned members of Boko Haram are freed, according to AFP.

The man identifies himself as Boko Haram leader Abubakar Shekau. Nigerian officials disputed that claim on Monday, arguing that Shekau is dead. Other experts say the notorious terror group leader is still alive.

Whoever the man in the video is, Nigeria's interior minister said, the country isn't interested in negotiating a swap anyway, according to AFP.

But at a later briefing, the director of the National Orientation Agency, a government information ministry, said negotiations could be an option when it comes to rescuing the kidnapped girls.

When asked whether all options were on the table, agency Director Mike Omeri said yes.

"The government of Nigeria will continue to explore all options for the release and safe return of our girls back to their respective homes," Omeri told CNN.

The road to Boko Haram's heartland

Experts reviewing video

If authentic, the video released Monday is the first glimpse of the girls since Boko Haram fighters snatched them from a boarding school in the northern Nigerian town of Chibok.

A senior administration official told CNN that U.S. officials have no reason to question its authenticity.

"Our intelligence experts are combing over every detail of the video for clues that might help in the ongoing efforts (to) secure the release of the girls," the official said.

The abductions have resulted in worldwide outrage directed at the terror group and an influx of Western counterterrorism and law enforcement experts to help Nigeria fight it.

Filmed in a nondescript clearing surrounded by scrub and trees, the girls appear dressed in gray or black veils. Many look nervous or under duress. In one shot, a girl almost whispers a line from the Quran.

In separate shots filmed against a green backdrop, the man who claims to be Shekau says the girls -- who come from a Christian stronghold --  have converted to Islam.

He appears to open a window to the possibility of negotiating a swap: the girls for Boko Haram prisoners held by Nigeria.

"By Allah, these girls will not leave our hands until you release our brothers in your prison," he said. "You took our brothers four or five years ago, and now they are in your prisons. You do many things, and now you talk of these girls. We will not let them go until you release our brothers."

But he also says he still plans to sell them into slavery.

A reason for optimism?

Some observers took the video as encouraging.

Not only would it prove that at least some girls are alive and unharmed, said retired U.S. Maj. Gen. James "Spider" Marks, a CNN military analyst, it also gives intelligence analysts something with which to work.

Nigerian government officials also took notice. The governor of the state where Chibok is located, Borno, ordered officials to distribute the video to parents to help identify the girls.

Gov. Kashim Shettima "views the development as encouraging, especially given the fact that some of the girls said they were not harmed," his office said in a statement. "The governor hopes that the girls did not speak under duress."

Despite the optimism, Marks said it will still be painfully difficult to find and rescue the girls after a month in the terror group's custody.

"We have to lower our expectations, sadly, as to what we think this result and outcome is going to look like," he told CNN's "New Day."

A daring escape

A CNN team made the dangerous journey to Chibok to gather firsthand accounts of the abductions.

Before the gun-wielding Islamist militants rode into town, residents said they got cell phone calls that the feared extremist group was on the way. Family and friends from surrounding villages told them of a convoy of cargo trucks, pickups and motorcycles.

Residents said they passed along warnings to local authorities that night. Police called for reinforcements, but none came. Everyone, including police, fled into the bush. But the girls remained asleep in their dorms.

CNN's Nima Elbagir toured the school, gutted by militants as they fled, and spoke with one of the girls who managed to escape Boko Haram fighters that night.

The girl told Elbagir how she made a dash for freedom after militants loaded them into trucks and drove them into the nearby Sambisa Forest.

"We ran into the bush," she said of her escape with two others. "We ran and we ran." Lost and terrified, she said, they later ran toward flames they presumed were rising from a building set ablaze by the militants in their hometown.

The escapees were lucky. The missing girls probably have been separated and taken out of the country by now, officials said.

"The search must be in Niger, Cameroon and Chad, to see if we can find information," said Gordon Brown, the former UK prime minister and a U.N. special envoy for global education.

But Nigerian President Goodluck Jonathan said he believes the girls are still in the forest where the militants disappeared shortly after their capture.

Who's the man in the video?

Government officials disputed Monday that the man in the video with the girls is Shekau.

Security forces have confirmed and are sure Shekau is dead, said Marilyn Ogar, deputy director of State Security Services in Nigeria. "So whoever is speaking as Abubakar Shekau is not Abubakar Shekau."

The same man appears in Boko Haram videos claiming to be Shekau at least as far back as August. And at least one expert doubted Ogar's claim.

Jacob Zenn, an expert on Boko Haram at the Jamestown Foundation, a policy center based in Washington, said he is skeptical of the Nigerian claim unless it can be backed up with hard evidence.

He said Nigerian authorities have said Shekau was dead several times, only for him to resurface and for the Nigerian military subsequently to acknowledge that he was alive.

"The two recent videos after the abduction of the girls look similar to most of the images, voice and mannerisms of Shekau in almost all Boko Haram videos, including videos when he was a local imam in northeastern Nigeria before 2010,"  Zenn said.

If the government's assertion turns out to be untrue, it wouldn't be the first time it has been wrong about the terror group since the girls' abductions. Early in their disappearance, government officials said many of the girls had been recovered -- news that, sadly, turned out to be incorrect.

Global search effort

While experts analyze the video, the international effort to find the girls is gaining steam.

U.S. and British officials are in the capital of Abuja to help look for the girls, plan rescue missions and advise on ways to quash the terror group.

The United States is providing manned Defense Department aerial surveillance planes over Nigerian territory and sharing commercial satellite images with Nigeria as part of efforts to find the girls, two senior Obama administration officials told CNN's Elise Labott on Monday.

China and France are also helping in the search. Israel plans to send a team of counterterrorism experts to help, Jonathan's office said Sunday.

The United States has said it has no plans to send combat troops.

The U.S. team is working to help the Nigerian military plan operations and boost its capacity, providing investigation and intelligence support, advising on hostage negotiations and other issues, a senior State Department official told Labott.

Why did help arrive so late?

The United States offered assistance immediately after the mass abductions, but Nigeria turned it down until it became apparent that the situation needed a greater response, senior U.S. State Department officials told CNN.

Last week Secretary of State John Kerry said that the United States has been engaged since Day One.

An explosive report Friday accused military commanders of knowing the terror group was headed to the school at least four hours in advance. However, the report said, they were unable to raise enough troops to respond.

The findings by human rights group Amnesty International mirror accounts by parents and villagers, who described to CNN an ineffective military response in the days and weeks after the abductions.

Nigeria's information and defense ministries disputed the report.

The moment the Nigerian government heard of the kidnappings, "we went in to action," Information Minister Labaran Maku said.

"We shouldn't turn this into a trial of the Nigerian government."

CNN Exclusive: Nigerian girl who escaped Boko Haram says she still feels afraid

Playing dead allowed him to survive massacre

Opinion: What gives Boko Haram its strength?

@highlight

The United States sends surveillance planes, satellite images to help search

@highlight

All options are on the table to gain release of abducted girls, official says

@highlight

The comments come after Boko Haram video claims to show some of the girls

@highlight

Man thought to be Boko Haram leader says he'll exchange the girls for prisoners