(CNN)Move over "House of Cards!" And "Better Call Saul" can wait. If you need a new obsession to binge-watch online, we've got a hot list of African TV and web series for you.

From painstakingly awkward mockumentaries to gritty city dramas to entertaining profiles of quirky creatives, there's a whole host of popular shows captivating audiences in Africa and beyond

CNN picks out eight must-see TV or web series from across the continent and the diaspora that you should tune into.

1. "I of Africa"

From Aina Fadina, a Nigerian born/American raised fashion model comes "I of Africa" -- a web series celebrating all things African from a global perspective. So far, she's produced two seasons of one-on-one interviews with entrepreneurial creatives.

She says the series celebrates trailblazing individuals by focusing on inspirational, global African stories. "I cover topics that influence the image of what African is, 'African beauty,' what African cultures are, influences the continent has on the world from a global perspective, and the evolution of these things."

Fadina -- who has worked with luxury labels including Oscar De La Renta and Alexander McQueen, as well as fashion changemakers Duro Olowu and Mimi Plange -- is a force du jour for this storytelling outlet. Juggling the many hats of financier, host and producer, she says the ultimate goal is to one day be picked up for TV. She is currently in the process of securing partners and sponsorship to begin filming Season Three.

Watch it here

2. "The Pearl of Africa"

In a country where being gay has been outlawed by the state, "The Pearl of Africa" follows the emotional journey of Cleopatra Kambugu, a 27-year-old transgender girl. Born biologically male, the series follows her journey as she openly transitions into a woman.

Swedish filmmaker Jonny von Wallström traveled to Kampala living with Cleo and her boyfriend, filming them for 18 months as the young trans woman raised important questions about identity, gender and homophobic attitudes in the country. Beautifully produced, the seven-part series showcases a brave story told in powerful yet softly intimate light.

Watch it here

3. "An African City"

No list of popular African shows would be complete without "An African City." Often described as the continent's answer to HBO's popular "Sex and the City" television series, the show follows five fabulous women as they return to their native Ghana following several years living abroad.

The series immediately generated a buzz when the first season was released last year. Show creator Nicole Amarteifio told CNN last year:  "I wanted something for African women, something for us and by us. I was tired of the sole narrative of the African woman being about poverty and disease. I wanted to see another narrative -- one of beauty, glamor and intelligence. I knew I had to do something about it. I couldn't keep complaining about the problem."

Producers tell CNN they hope to start shooting Season Two sometime in the spring for public release scheduled for later in the year, subject to financing.

Watch it here

4. "The Samaritans"

"The Samaritans" is a refreshingly smart and hilarious mockumentary based on the development sector. A witty and well-written scripted comedy from Kenyan producer Hussein Kurji, the show follows the daily goings-on at a local field office for fictitious NGO "Aid for Aid." Complete with painfully awkward monologues from the NGO's new country director, Scott -- who clearly hasn't got a clue what he's doing -- the show has an air of "The Office" about it and will have you laughing out loud at some of the ridiculous decisions made by this inept gang.

Kurji began development on the series thanks to a successful Kickstarter campaign and ironically with additional financing from a NGO. Two episodes are available to rent online and he is currently focusing on developing a full first season for international distribution.

Rent it here

5. The White Folks

Think South Africa's answer to "Modern Family," this quirky comedy follows the seemingly boring lives of two families living in suburban Cape Town.  From the minds of writers and co-directors, Mia Cilliers and Lisa Lane Drennan, the tongue-in-cheek comedy takes aim at the upwardly mobile middle class families in the capital's suburbs.

Drennan adds: "We originally came up with the concept after joking around about the typical habits of white people close to us: family, neighbors, friends and co-workers. We thought that the time was right for a show that parodies suburban behavior, it was never meant to be mean-spirited but rather an attempt to laugh at ourselves and look critically at white culture, especially in the suburbs.

"As the script developed, we realized the show is not about white people and their lives as such, but actually more about middle class people as a whole and the "problems" that they deal with."

The team have released two seasons on Youtube and currently on hiatus planning their next season which they hope to start shooting imminently.

Watch it here

6. African Time

A talking head web series showcasing what it's like for Africans in the diaspora. The show might of started out life in 2011 as a documentary but soon transformed into the web series format it is known for today. The idea came from chief writer Mawuena Akyea who wanted to explore the acclimation experiences of first and second generation Africans in anecdotal form. Along with producers Ayman Gasmelseed and Algernon Felice Jr, the project finally got off the ground through the art collective, WAAVE+DADA .

Tackling stereotypes, discipline, parenting and other issues with humor, class and intelligence, it's well worth spending a few minutes to watch a different perspective from the diaspora.

Felice Jr says: "Our intention is to start production within the 2015 calendar year, focusing on expanding both the scope and scale of the series in a format that allows us to delve into various cultural & social issues from a fresh and engaging perspective."

Watch it here

7. "The Nairobians"

Celebrated Kenyan director David "Tosh" Gitonga  created a mini social media storm last month when he shared the trailer for his new TV show "The Nairobians."

Gitonga previously directed the multi award-winning gangster flick "Nairobi Half-Life," the country's first-ever film to be considered for an Academy Award. Gitonga tells CNN it was during filming the intense crime film that the idea for The Nairobians hit him.

"When we filmed Nairobi Half-Life we got immersed into a world that was not understood," he explains. "A fascinating world that had lots of stories to be told. That's when the idea of making a series came about."

While little is known about the details of the series, the dark and dramatic trailer reveals Gitonga has turned his attention to the country's capital and a gang of highly skilled criminals committing heists across the city. The show features Brenda Wairimu (of MTV's soapie "Shuga" fame), Daniel Weke, while Antony Ndung'u returns to work with Gitonga again (the duo previously collaborated on set of Nairobi Half-Life" among others).

As Gitonga himself describes it, "The Nairobians is an Pan African show that tells our own stories of struggles and dreams in their african context."

Gitonga has spent the past few months working with Tanzanian writer, film producer and director Abdu Simba to nail down a strong outline for the show's direction and script. The production time are in the final stages of development before production on season one begins.

8. "Ogas At The Top"

"Ogas At The Top " is a quirky political satire web series from Nigeria with puppets. Created by the same team who launched the popular THE XYZ SHOW in Kenya, the web series turns the country's leaders into comical punching bags.

Some of the puppet personas of Nigerian society to make appearances on the show so far include President Goodluck Jonathan and his wife, former leaders Olusegun Obasanjo and Sani Abacha, Finance Minister Ngozi Okonjo-Iweala, comedian Basketmouth and Nollywood actress Patience "Mama G" Ozokwor.

Season two, which has a strong focus on the upcoming elections, kicked off at the beginning of February with new episodes -- each running around five minutes long -- releasing each Friday. And producers are hoping to see the same success season one brought -- the show went viral (with many episodes reaching over 100,000 views) and has been nominated for Best Online Video at this year's Africa Magic Viewer's Choice awards in March.

Watch it here

More from African Voices

Read this: The tech genius owning cerebral palsy

Read this: African poetry goes mobile

@highlight

Continent's storytellers are using online avenues to get eyeballs on their new projects

@highlight

From hilarious mockumentaries to gritty city crime dramas, CNN picks eight shows to watch