The damning internal report that effectively ended Eric Shinseki's tumultuous tenure as Veteran Affairs secretary describes in the starkest terms the systemic failures of a system charged with providing medical care to America's veterans.

"Of the 216 site audit reports, many were flagged for further review because of concerns identified by the site audit team about questionable scheduling practices, signaling a systemic lack of integrity within some Veterans Health Administration facilities," the audit summary says.

Shinseki went to the White House on Friday morning to present Obama with the audit findings.

The first phase of the audit looked at scheduling and access management practices from May 12 to 16 at Department of Veterans Affairs medical centers and large community-based outpatient clinics serving at least 10,000 veterans, the audit says. That's 138 VA medical centers encompassing 216 sites -- a total of 258 separate points of access to medical care and more than 2,100 scheduling staff.

An additional audit will cover all remaining VA facilities -- suggesting that the scandal could grow.

"Suspected willful misconduct will be reported promptly to the Office of Inspector General," the audit said. "Where the OIG chooses not to immediately investigate, management will launch either a formal fact finding or administrative investigation. Where misconduct is confirmed, appropriate personnel actions will be pursued promptly."

Obama on Friday announced the resignation of his only Veterans Affairs secretary after meeting with Shinseki to discuss the growing scandal involving long waits for care at VA hospitals.

Calls for Shinseki's resignation increased in recent days from the across the political spectrum -- Republicans and Democrats as well as veterans' advocacy groups. The problems gained prominence after CNN began reporting problems at VA facilities in November.

The audit said it was "a rapidly deployed, systemwide assessment" of scheduling and "not intended as a formal investigation of individual staff or managers." The audit teams were not able to interview all employees, and "time did not allow assessment of intent or potential culpability." The next phase will include smaller clinic sites and anonymous Web surveys.

Still, the initial findings were deemed "a strong basis for immediate action," audit said.

The findings included:

• Efforts to meet the needs of veterans and clinicians led to an "overly complicated scheduling process that resulted in high potential to create confusion among scheduling clerks and front-line supervisors."

• Meeting a 14-day wait-time performance target for new appointments was "simply not attainable given the ongoing challenge of finding sufficient provider slots to accommodate a growing demand for services. Imposing this expectation on the field before ascertaining required resources ... represent an organizational leadership failure."

• Of scheduling staff surveyed, 13% said they received instruction to enter in the "Desired Date" field a date different from the one requested. The survey did not determine whether this was done "through lack of understanding or mal-intent unless it was clearly apparent."

• In some cases, "pressures were placed on schedulers to utilize inappropriate practices in order to make Waiting Times appear more favorable. Such practices are sufficiently pervasive to require VA re-examine its entire Performance Management system and, in particular, whether current measures and targets for access are realistic or sufficient."

The VA's audit of all remaining sites is scheduled to be completed in early June.

Read the VA audit report

Part of the review will be to determine how performance goals were conveyed "across the chain of command such that some front-line, middle, and senior managers felt compelled to manipulate VA scheduling processes," the audit said.

It added, "The overarching environment and culture which allowed this state of practice to take root must be confronted head-on if VA is to evolve to be more capable of adjusting systems, leadership, and resources to meet the needs of Veterans and families. It must also be confronted in order to regain the trust of the Veterans VA serves."

The audit said the VA will "ensure that managers and staff engaging in undesired practices are held accountable."

"We don't have time for distractions," Obama said in announcing Shinseki's resignation. "We need to fix the problem."

The VA's troubled history

What Obama is looking for in next VA chief

@highlight

Internal audit of what's happening in VA system effectively ends Eric Shinseki's job

@highlight

Audit cites "questionable scheduling practices" signaling "a systemic lack of integrity"

@highlight

Additional audit will cover all remaining VA facilities, suggesting scandal could grow

@highlight

Report: VA to ensure those "engaging in undesired practices are held accountable"