Hong Kong (CNN) -- A darkened room in a Hong Kong university building is an unlikely portal into an ancient world.

But with the touch of an iPad Mini, the space is digitally transformed into a 1,500-year-old Buddhist grotto. Its walls decorated with exquisite but faded paintings of enlightened beings, dancers and musicians.

Another swipe and a pair of 3-D glasses brings the cave to life.

Vivid pigments show how the cave must have looked when the paint first dried and animation and magnification reveal the tiniest of details.

"We can turn up all the lights, we can also fly up to the ceiling," says artist and academic Jeffrey Shaw, as he controls the virtual environment.

Shaw, an Australian, co-leads a team at the School of Creative Media at Hong Kong's City University, which has pioneered the immersive digital technology -- harnessing advances in cinema, computer games and virtual reality.

They believe the techniques developed will help preserve key heritage sites in Asia before they are irrevocably damaged by the onslaught of mass tourism.

"The primary concern is how to maintain the integrity of these caves for posterity," Shaw says.

The team has worked on similar projects for Angkor Wat in Cambodia and Hampi in India but say this is the most ambitious in scope.

The cave featured in the prototype is part of a larger complex located thousands of miles north of Hong Kong in the Chinese city of Dunhuang, once a Silk Road oasis and now a Unesco world heritage site.

For almost two thousand years, the Mogao Grottoes, as the caves are known, withstood marauding barbarian hoards, earthquakes and the Gobi Desert's shifting sand dunes.

Today, the caves and their frescoes face a different and perhaps more potent threat -- how to manage the increasing number of tourists that come to see caves.

Some 680,000 tourists visited in 2011 and that number was exceeded by at least 100,000 last year.

But the steep rise in visitors over the past decade has raised the level of humidity and carbon dioxide inside the caves, undermining conservation efforts.

The grotto depicted by the team at City University is already closed to tourists and only 70 of the 492 decorated caves are open to the public.

The pressures brought by the surge in visitors at Dunhuang are shared by many heritage sites across China and Asia, as the region's newly affluent middle class begin to travel in greater numbers.

Wang Xudong, the vice director of the Dunhuang Academy, which is responsible for looking after the caves, says the optimum capacity for the Mogao Grottoes is 3,000 people a day.

However, on October 2, during China's week-long national day break, more than 18,000 tourists visited the site.

Plans are underway to limit visitor numbers through an online reservation system but Wang says that the use of digital tools to capture the caves before any further deterioration is a priority.

A 50-strong team is documenting the site through extensive high-resolution photography and 3-D laser scanning.

Each cave takes three months to document and the project is thought to be unparallelled in scale compared to similar efforts at other heritage sites.

A new visitor center is due at the end of 2013 that will have a feature film theater and a 3-D reproduction of the original caves.

"It will help regulate the number of tourists and reduce the time spent in the caves on guided tours," Wang says.

"This will greatly alleviate the pressures brought by tourism on conserving caves that are on display."

The Dunhuang Academy and its digital team collaborated closely with City University in designing the cave recreation, which is called "Pure Land: Inside the Mogao Grottoes at Dunhuang."

The installation was shown outside China for the first time in December when it was exhibited at the Smithsonian in Washington.

After some refinements, the technology will also be deployed at Dunhuang, allowing visitors to interact with the caves in a completely different way.

"You could say it's a surrogate experience of visiting the caves but it's not merely mimicking a visit," says Shaw.

"Once you've got the cave in a digital representation you can do very special things with that you can't necessarily do in the actual cave."

A magnifying glass allows you to explore the one-to-one scale virtual environment, which depicts seven figures known as medicine Buddhas and other traditional images.

Faded incense burners, lutes and harps were drawn by hand with traditional brushes before being scanned and modeled in 3-D.

And experts in traditional dance at the Beijing Dance Academy were filmed in a blue-screen studio to bring to life their ancient painted counterparts.

The effect is disarmingly beautiful and not at all gimmicky but will visitors to Dunhuang be satisfied at marveling at a recreation rather than the real thing?

Shaw says they may have to be. Sealing caves to ensure their preservation is becoming an accepted practice despite debate over whether heritage sites should be hidden from public view.

Most famously, the Lascaux Caves in France, which depict 17,000-year-old paintings of prehistoric animals, were closed to the general public in 2008 after the caves were beset by fungus and black mold.

There are no current plans for a similar move at Dunhuang, but Shaw and his team believe that their digital technology may be the ultimate solution to the site's preservation -- and others like it.

@highlight

Ancient Buddhist cave in China re-created in 3-D

@highlight

Techniques developed by team at Hong Kong's City University

@highlight

They hope these digital tools will help preserve heritage sites in Asia