(CNN) -- On December 30 2007, incumbent President Mwai Kibaki was announced the winner of Kenya's highly contested presidential elections. Against a backdrop of decades of economic frustration and simmering ethnic tensions, the violence that ensued, largely along ethnic lines, shocked both the nation and the world, threatening to set progress of the development community's golden child back by decades.

The violence shook Kenya's national identity to the core. More than 1,000 people were killed and hundreds of thousands displaced in the chaotic bloodbath that followed. Gangs took to the street armed with clubs, machetes, bows and arrows, hacking people to death, burning homes and destroying the country's infrastructure, so critical to the region's stability.

On March 4, Kenyans will once again cast their votes for president. And despite tremendous efforts to prevent a repeat of the previous catastrophe, pre-election tensions are mounting. In August 2012, at least 50 people were killed in a land dispute between the Pokomo and Orma people in the Tana Delta region, and in September, deadly riots were triggered by the killing of a Muslim cleric in Mombasa, sparking fears that a bloody election could be repeated.

Yet Kenya's tech-savvy activists are determined to prevent their nation slipping into chaos and with up to 93% of Kenyans using mobile phones, they're harnessing the power of technology to monitor elections, report incidents of violence and encourage a peaceful process.

Read also: Kenyan DJs go without food for peaceful elections

Following the 2007/8 election violence, an ad-hoc group of bloggers and technologists developed Ushahidi (meaning "Witness" in Swahili) in just two days. The Ushahidi crowdmap enabled citizens across the nation to report incidents of violence by SMS or email. Reports were compiled into an online map, providing the most comprehensive picture of the true situation in an environment where official sources were understating its true extent.

The Ushahidi team have ramped up their efforts in preparation for this year's elections. In partnership with a Kenyan NGO, the Social Development Network, they've developed Uchaguzi, which has already been deployed for the Kenyan constitutional referendum and elections in Uganda, Tanzania and Zambia.

As well as enabling citizens to monitor elections in near real-time, they have engaged more traditional election observers who are able to verify and amplify messaging to security personnel and electoral authorities in the event of outbreaks of violence. By engaging with authorities and making their responses visible, it is hoped that the platform will shine a light on the electoral process and enable greater public scrutiny and more rapid response.

Aware of the powerful influence that new media such as online forums and the blogosphere had in both inciting and dampening violence in the last election, Nairobi's iHub, a hothouse for tech innovation in Kenya, is piloting an initiative called Umati, which is monitoring and reporting hate speech that could trigger violence this year. Incidents will be integrated into the Uchaguzi platform with the hope of limiting or thwarting the harm they may cause.

Read also: Navigating Kenya by Twitter

In order to better inform the public, Nairobi broadsheet the Daily Nation has produced a dedicated election site focusing on the candidates, and Mzalendo, developed in partnership with mySociety, enables voters to rate their candidates and access critical information on MPs and parliamentary proceedings.

The Indigo Trust, of which I am executive, is a grant-making foundation that funds technology-driven projects that bring about social change in Africa. We have also been supporting a number of interventions that we hope will contribute towards mitigating violence in Kenya this year.

We've funded the development of a platform being hosted by Youth Agenda, which uses SMS messaging to encourage youth to select leaders on the basis of their attributes and policies as opposed to along tribal lines. The platform also collates the responses of young people, using them to initiate debate around key political issues affecting them and to inform and lobby those in charge.

Read also: Can tech revolutionize African elections?

We also fund the Sisi Ni Amani, a Kenyan partner of the PeaceTXT initiative, conceptualized by PopTech. Built on a violence-interruption approach that has been used in contexts as differing as Baltimore and Baghdad, the intervention combines targeted SMS with intensive on-the-ground work by existing peace builders and community leaders to target potential flashpoints of violence. As well as encouraging users to vote, the platform sends out violence-prevention messages, provides civic education and updates communities about relevant peace-building activities, with the aim of de-escalating tensions and reducing the potential for conflict.

Several international interventions are complementing this wide range of home-grown initiatives. Google's Kenya elections hub enables voters to register online, receive SMS confirmation and locate polling stations on a map, while YouTube has launched a dedicated Kenya Election 2013 channel, in collaboration with Storyful.

Social media is also contributing towards a transparent and accountable process.

Over 25% of Kenyans are now online. Kenya has an estimated 11, 000 bloggers and almost 2.5 million Tweets were sent by Kenyans in just the last three months of 2012 -- many based around political messaging.

Social media has been shown to influence government, with the #140friday discussions around the fairness of government tenders being credited with an increased allocation of government contracts to Kenyan companies. MP Ferdinand Waititu was identified as an alleged inciter of violence through a video clip captured by mobile phone at a rally.

Significant challenges still remain. It is well known that alternative media often doesn't reach poorer communities, which include the slums where there were severe outbreaks of violence in the aftermath of the last elections. Both social and traditional media also greatly contributed to inciting and escalating the violence in 2007/8.

Whilst it's impossible to predict how Kenya's March election will be acted out, one can be certain that any atrocities will be committed under the public scrutiny of a tech-savvy society. And as Africa's most technologically innovative nation goes to the polls, we can only hope that tech-driven interventions will contribute towards a peaceful process.

Follow Indigo Trust on Twitter.

The opinions expressed in this commentary are solely those of Loren Treisman.

@highlight

Violence after 2007 Kenyan election left more than 1,000 dead

@highlight

Kenyans coming up with innovative ways to promote peace and monitor violence

@highlight

"Umati" platform being used to monitor and report hate speech, says Loren Treisman

@highlight

"Sisi Ni Amani" uses SMS to educate communities and build peace