(CNN) -- When the United States Postal Service announced it would no longer deliver mail on Saturdays, those of us with e-mail anxiety had a moment of jealousy. What would it be like to have two whole days when the Internet just didn't deliver to anyone's inbox?

It would be pretty great.

Unfortunately, e-mail is only becoming more of a round-the-clock presence, but a novel new e-mail tool could make it more manageable.

Meet the Mailbox app

Mailbox is a much hyped new app for the iPhone that chips away at overflowing inboxes with simple gesture controls and a brilliant snooze feature. As of Thursday, it is finally available in the Apple App Store after half a year of sneak peeks and raves from beta testers.

I've been using it for my personal e-mail and have become hooked.

Developed by Orchestra, the 2-year-old Palo Alto, California, startup behind the Orchestra to-do app, Mailbox takes the familiar mobile mail app look and adds simple swipe controls for categorizing and prioritizing messages.

"We started this company on this belief that people use e-mail like a terrible to-do list," said Gentry Underwood, founder and CEO of Orchestra.

The app's solution is to quickly get things out of your inbox that aren't urgent so you can better focus on the tasks that are important right now. It does this with four main gestures.

Swipe partially to the right on a message to archive it, all the way to the right to delete it. A long drag all the way to the left can add an e-mail to a list, and a short drag brings up the app's very best feature: Snooze.

Open up your e-mail and look at what's lingering in your inbox. How many are urgent tasks, and how many fall into the gray area of pending, semi-urgent, or indefinitely postponable? Instead of leaving them in your inbox where they add to the noise, Mailbox lets you breezily put them off with one gratifying tap.

The Snooze feature lets you postpone a message for any length of time. Choose later today, this evening, tomorrow, this weekend, next week, in a month, someday (set for three months by default) or a specific date from the grid of icons. You won't need to see or think about those messages again until reminded at the chosen date and time.

Though cleared from the inbox, nothing is really gone. All snoozed messages are organized in the Later tab and archived messages are under the Archive tab.

Reaching for Inbox Zero

There are big issues with the state of modern e-mail. Mostly, there's just too much of it. There are personal messages, work conversations and never-ending group threads on important business decisions -- or where to go for lunch. The majority are e-mails generated by machines such as mailing lists, travel confirmations, store offers, bank statements and bill reminders.

The inbox is filling too many roles at once, as a catch-all receptacle, to-do list and filing system.

Mailbox is based on one of the more popular methods for dealing with the deluge, Inbox Zero. It's a system for clearing out clutter and handling e-mails requiring action championed by Merlin Mann, founder of the 43 Folders blog.

"There are a lot of things hanging around there that just can't be dealt with until some other time and yet they stare back at you and nag," said Underwood.

Moving those nagging e-mails out of the way is a great goal, but many people find constantly fighting the flood in traditional e-mail clients to be more of a time suck than a time saver.

Mailbox's gestures turn the process into an easy and, oddly, fun activity. Once you master the swiping gestures, the clearing process is fast and simple and requires minimal amounts of thought. You don't have to agonize over what folder that e-mail from your boss belongs in, just put it off until tomorrow morning.

"A third of our beta testers get to Inbox Zero once a week," said Underwood. "When you do get to zero it doesn't mean you have nothing left to do, it means you have nothing left to do right now."

Designed for satisfaction

The app was partially inspired by Clear, a stunning to-do app that came out a year ago and wowed app designers with its fresh take on the smartphone user interface. It was all swipes and bold colors and gestures, a few new rules you had to remember but that soon made complete sense.

"Many people have heralded Clear as being one of the big moments in mobile user interface development," said Underwood. "No buttons, just gestures. Man does it feel good to check something off in Clear."

Mailbox has adapted some of those satisfying features and combined them with a traditional inbox design. Like Clear, it takes a bit of practice for the gestures to become second nature, but when they do you'll execute them without hesitation.

After tablets went mainstream, many people caught themselves mindlessly trying to tap or swipe non-touchscreen desktop monitors. People had picked up a new way of interfacing with a device that seemed more natural than a mouse and tiny pointer icon.

The same thing happens after you use Mailbox for a while. I became more impatient with sorting through mail in my regular app, occasionally swiping to snooze a message in the default by mistake.

Big dreams for future versions

The first version Mailbox app is promising, but it's still in its infancy and is far from being the savior of e-mail.

Part of that is by design. Mailbox's developers are only focusing on mobile for now. The first version of the app only works on iPhones and can only be used with Gmail accounts.

The demands for a mobile e-mail application are less complicated than a desktop client. On a computer, people want things like calendar and contact integration, and have complicated folder, tag and color systems.

Being mobile works in Mailbox's favor. It's a great excuse to create a stripped down e-mail client and start from scratch, focusing only on the basics.

"The primary use on mobile is triage," said Underwood.

Orchestra does plan on expanding the app over time, depending on how it's received. The company's goal is to always offer a free version of the app, but also roll out a more advanced paid version, like Evernote and Dropbox have done.

There has already been so much demand that the company is taking precautions and rolling it out slowly with a wait list. When you download the app, you can reserve a spot on the list and the app will show you how many people are ahead of you.

Once it's in wider use, Mailbox will likely add more features, support additional e-mail clients and develop an app for Android devices. Underwood imagines an app that manages not just e-mail accounts, but the inbox for any service with internal messages, such as LinkedIn and Facebook.

A future Mailbox could even automatically chip in with the sorting, making sense of the automated e-mails like mailings and boarding passes, and even adapt based on your habits over time.

And eventually, Orchestra may create a desktop version of the Mailbox app. But for now the company is practicing what it preaches and focusing on the most important task on its to do list: create a great, simple mobile e-mail app.

@highlight

Mailbox is a highly anticipated iPhone app for better organizing your e-mail

@highlight

It uses swipe gestures to help quickly clear your inbox and focus on important tasks

@highlight

The app's killer feature is a snooze button, letting you ignore e-mails until later