(CNN) -- What will Narendra Modi's India look like?

The country's prime minister-in-waiting -- a staunch Hindu nationalist and the Chief Minister of the western state of Gujarat since 2001 -- is a deeply polarizing figure and an unproven commodity on the international stage.

Analysts predict his arrival in the country's top office will bring a marked change in direction for the world's most populous democracy, a nation whose modern character has been defined by the inclusive, secular and liberal approach of the Congress Party, which has governed for most of the post-independence era.

The only question, they say, is how great a departure Modi's premiership will be from what has come before.

"There will be a big change," analyst and journalist Arati Jerath told CNN ahead of his Bharatiya Janata Party's (Indian People's Party) crushing victory at the polls.

The BJP finished with 282 of 543 parliamentary seats, giving it a clear majority -- something no other Indian political party has achieved in three decades.

"The desire for change very clearly (is there)... I think people are looking for another kind of government," said Jerath.

"His vision for India is not the kind of inclusive, secularist vision that we have been used to -- it is a much more right-wing, pro-Hindu vision," she said.

"I ... see an increase in social tension with groups that are not included in his vision."

Administrator-in-chief

The 63-year-old former tea seller's immense popularity -- a Pew survey ahead of the elections found nearly 80% of respondents held a positive view of him -- stems in large part from his reputation as a tough, "can-do" administrator, the man with the medicine to kickstart India's stuttering economy.

"Modi is a good administrator," said Ramesh Menon, author of an unauthorized biography of the politician. "He is very strict, gets things done. There is a fear element."

His popularity comes in spite of a lack of strong personal charisma. Seen as a hardworking and conservative technocrat, Modi had failed to establish an "emotional connect" with voters during campaigning, said Jerath.

Instead, his claim to the nation's top office has largely rested on his track record since 2001 in charge of Gujarat, a state of some 60 million people whose China-like rates of growth in recent years have been eyed enviously by the rest of the country.

'The Gujarat model'

The so-called "Gujarat model" of development means a focus on infrastructure, urbanization and eradicating red tape -- seen as a much-needed tonic for a country ranked 179th in the world by the World Bank in terms of ease of starting a business.

A sharp contrast to the traditional approach of the outgoing Congress Party -- which has focused on promoting inclusive growth involving a raft of welfare schemes -- it's proven highly attractive to business. India stocks have risen almost 18% this year at the prospect of a Modi-led government.

India's largest conglomerate, the Tata Group, relocated a car plant into the state four years ago, a move the company's former chairman Ratan Tata credits in part to Modi's involvement.

"In effect, (Modi) delivered in three days what other states which were also trying to woo us could only offer their best endeavors to do," he told CNN's Fareed Zakaria. "No side deals, no quid pro quos."

The promise of economic development is just as enticing to the public, and resonates particularly with the increasingly strident aspirations of the 100 million young voters who were eligible to cast their ballots for the first time in 2014, said Dilip Dutta, director of the South Asian Studies Group at the University of Sydney.

"These young voters are exposed through electronic media to the whole world, and have a dream of moving forward -- not lagging behind as their fathers and grandfathers have for decades."

Greater inequality?

But not everyone is convinced about Modi's economic prescription.

Mohan Guruswamy, a political analyst at Delhi's Center for Policy Alternatives, told CNN that Modi's record in Gujarat has been overhyped.

"There is no 'Gujarat model,' and there are other states with faster economic growth," he said during an interview in the build-up to the election.

Moreover, many feel that economic development in the state has been unequally distributed, and not matched with corresponding gains in human development.

"It really is a model that favors people who already have access to things like education and business possibilities," said Jerath. "He offers very little to the poor, to the weaker section and I think that this is a major weakness."

While she believed Modi's leadership would see an increase in foreign and domestic investment, his corporate agenda would also likely lead to conflict with India's vocal civil society groups.

"I see a rise in social tension because people have become much more conscious and they don't want to to give up their land so easily just because Modi wants to clear the way forward for business," she said.

"There will be tension over forest land, there will be tension over agricultural land... It will be a very interesting thing to see how he manages the challenges."

Too autocratic?

Modi's hard-nosed, occasionally abrasive leadership style will also present a marked departure for a country accustomed to a more consensus-driven approach, analysts believe.

"I see Modi as an extraordinarily ambitious man, quite ruthless in the pursuit of his ambition," said Jerath.

Guruswamy, who knows Modi personally, likens his vision of a "right-wing, authoritarian corporate state" as closer to the model in China, and questions whether his divisive, autocratic tendencies will translate well in a country as boisterously democratic as India.

"It's not a place where you can press buttons -- you have to work with people," he said. "The prime minister of India has to be the supreme conciliator, reconciling the aspirations and demands of thousands of groups. It's not like China where you can turn off Weibo one day -- you can't be autocratic or they'll cut you out."

Journalist and blogger Sunny Hundal also sees Modi as a challenge to the country's established liberal, secular order, writing in a CNN opinion piece that the signs were there that his government would "be much less tolerant of criticism, hostile towards press freedom, and further polarize the country along religious lines."

OPINION: Does Modi threaten secular and liberal India?

Modi and Muslims

The greatest concerns about a Modi premiership revolve around his ability, as a hardline Hindu nationalist, to lead a country as culturally and religiously diverse as India.

Since he was a boy -- the third of six children born to a family of grocers in the city of Vadnagar -- Modi has been a supporter of the Rashtriya Swayamsevak Sangh (RSS), a right-wing pro-Hindu social movement.

His track record with India's 180 million-strong Muslim community, the country's second largest religious group, has come under intense scrutiny.

Less than a year after Modi assumed office in Gujarat in late 2001, the state was wracked with anti-Muslim violence, in which more than 1,000 people, mostly Muslims, were killed.

Modi was criticized for not doing enough to halt the violence, but a Supreme Court-ordered investigation absolved him of blame last year. Modi subsequently expressed regret over the riots but was criticized for not apologizing.

The U.S. State Department denied Modi a visa in 2005 over the issue, but after his win, U.S. President Barack Obama called Modi to congratulate him and invite him to Washington, according to the White House.

The tensions are not merely a relic of the past. As recently as September last year, more than 60 people were killed and tens of thousands displaced in religious riots in the Muzaffarnagar district of Uttar Pradesh state. Most of the affected were Muslims.

Hundal notes that during the election campaign, Modi appeared alongside associates including a Gujarati politician who made inflammatory speeches speaking of "revenge" for the 2002 riots and called on voters to reject parties with Muslim candidates.

Amid what many see as a rising tide of intolerance drummed up by Hindu nationalist groups, some Muslims fear what a Modi-led government means for their community.

"We all remember what he did in Gujarat," one unnamed Muslim man told CNN. "For Muslims, Modi represents death."

Jerath said she saw religious tensions becoming more inflamed under Modi's leadership. "I see these Hindu groups getting much more active; I think there will be renewed agitation to build the temple at Ayodhya."

Ayodhya, in Uttar Pradesh, is the site of plot of land that has been the subject of a longstanding dispute between Hindus and Muslims. Hindu hardliners destroyed an historic mosque on the site during a political rally in 1992, triggering riots across the country in which more than 2,000 people were killed.

Noisy neighborhood

Modi's nationalist outlook -- informed by "a sense of victimhood, that we've been victimized by foreigners" -- would also likely be reflected in India's foreign policy, Guruswamy told CNN.

"Internationally, he would be a little more hardline on everything -- Pakistan, China, America. Indian interests would be aggressively asserted," he said.

Jerath said Modi's foreign policy focus would be on India's neighborhood, which had been "in a lot of turmoil." It's politically quite unstable and a lot of India's internal terrorist problems stem from the fact that our borders are so porous," she said.

"That has to be the primary challenge for anybody who comes to power."

READ MORE: What India can learn from China

CNN's Mallika Kapur contributed to this report.

@highlight

India's Prime Minister-in-waiting Narendra Modi is a polarizing figure

@highlight

Critics say the pro-business Hindu nationalist is a threat to secular, liberal traditions

@highlight

He led the state of Gujarat through a period of strong economic growth

@highlight

But his relationship with the country's huge Muslim minority has come under scrutiny