Paris (CNN) -- Questions were raised Friday over the training of the pilots on the doomed Air France Flight 447, after analysis of the plane's voice and data recorders by a French investigation body.

The recorders from the plane, which plunged into the Atlantic Ocean in June 2009 on its way from Brazil to France with the loss of 228 passengers and crew, were recovered in May, after almost two years on the sea bed.

The data they provided has shed new light on the final minutes of the flight, France's Bureau of Investigation and Analysis, the BEA, said as it issued its third report.

The crisis arose after a problem involving blocked pitot tubes -- devices that measure a plane's air speed -- which led to the disconnection of the autopilot, it said.

The recorders revealed the pilots had failed to discuss repeated stall warnings and "had received no high altitude training" to deal with the situation, the BEA said.

The pilots got conflicting air speed readings in the minutes leading up to the crash and, after the stall, responded by pointing the nose upward, rather than downward, to recover.

They failed to regain control of the aircraft and no announcement was made to the passengers before it plummeted from the sky. The descent from 38,000 feet took 3 minutes and 30 seconds.

Air France defended the pilots' performance, saying there was "no reason to question the crew's technical skills" in the face of "multiple improbable factors."

But an aviation expert questioned why the pilots did not correct the stall.

"Dealing with a stall situation is a fundamental part of being a pilot -- if you take private flying lessons, it is one of the things they teach you within the first few hours," said David Kaminiski-Morrow, an editor at Flight Global.

"Nobody seems to understand yet why they couldn't get out of the stall, why the pilots were unable to apply what -- in hindsight -- seems to be a fairly straightforward procedure," he said.

The BEA issued 10 new safety recommendations, including ensuring extra training for pilots on manual handling of a high-altitude stall, such as that experienced by AF 447, and asking regulatory authorities to require airlines to equip planes with an image recorder to show what is displayed on the pilots' whole instrument panel.

The BEA also recommends that the triggering of location transmitters and a video recorder should be mandatory when an emergency is detected on board an aircraft.

CNN's aviation correspondent Richard Quest said the report "shows that the original incident  -- the blocked pitot tubes and failed speed sensor -- was serious but not catastrophic."

"It should have been relatively straightforward to deal with for an experienced flight crew. However, it was the response of the pilots which ultimately doomed the aircraft," he said.

"By focusing the attention on the way the cockpit crew handled the emergency, the BEA is recommending further training for pilots in dealing with high-altitude crises.

"Sources in the industry tell me that this incident, among others, is leading to a rethink and renewed emphasis on piloting skills."

Kaminiski-Morrow said modern-day planes are capable of flying themselves most of the time, which means pilots have to be capable computer managers.

"The danger of this is that when things start going wrong, is the pilot still in the loop?" Kaminiski-Morrow said. "The computer might recognize what's wrong, but if the pilot doesn't, how will he get out of it?

French Transport Minister Nathalie Kosciusko-Morizet told French radio network RTL that the BEA was responsible for establishing "the facts" and that it would be the courts' role to assign any blame.

Air France and Airbus are being investigated for alleged involuntary manslaughter over the crash.

In its response to the report, Air France said the two co-pilots and the captain "showed an unfailing professional attitude, remaining committed to their task to the very end. Air France pays tribute to the courage and determination they showed in such extreme conditions."

It went on: "From the flight recorder data, it has been established that the combination of multiple improbable factors led to the disaster in less than four minutes: the icing of the pitot probes was the initial event that led to the disconnection of the autopilot, the loss of associated piloting control protections and considerable roll movements.

"After the manoeuvres carried out by the crew in deteriorated and destabilizing piloting conditions, the aircraft stalled at high altitude, could not be recovered and struck the surface of the Atlantic Ocean at high speed."

All 228 people aboard the Airbus A330 Flight 447 from Rio de Janeiro to Paris were killed in the crash.

The bulk of the wreckage was found earlier this year after a search by robot submarines of an underwater mountain range. More than 150 bodies have been brought up from the scene of the crash, but more than 70 will never be recovered.

CNN's Jim Bitterman and Bryony Jones contributed to this report.

@highlight

NEW: An aviation expert wonders why the pilots were not able to deal with the stall

@highlight

The French report follows an analysis of data from the plane's recorders

@highlight

Air France says there is no reason to question the abilities of its crew

@highlight

The recorders were retrieved from the Atlantic Ocean almost two years after the crash