Tune in to CNN on Sunday morning at 9 ET for live coverage of the Dr. Martin Luther King Jr. memorial dedication, 48 years after the March on Washington and his historic "I Have a Dream" speech. Coverage continues Sunday night at 7 ET with a special look at King's writings in the CNN documentary "MLK Papers: Words that Changed a Nation."

(CNN Student News) -- Program Overview Through rare access to the Morehouse College Martin Luther King Jr. Collection, CNN's Soledad O'Brien examines the personal determination and private courage and concerns of the preacher and civil rights leader.

Objectives

The CNN special: MLK Papers - Words That Changed a Nation and its discussion questions and research activity challenge students to:

Research and interpret the words of Dr. Martin Luther King Jr. in a historical and modern-day context;

Discuss the relevance and significance of the King papers collection;

Examine Dr. King's leadership through primary documents and eyewitness accounts;

Analyze the ideology and goals of Dr. King and the civil rights movement;

Evaluate the legacy of Dr. King.

Discussion Questions

1. What was the civil rights movement? Who was Dr. Martin Luther King Jr., and what was his role in the civil rights movement? What goals did Dr. King and other civil rights activists hope to achieve during the 1950s and 1960s?

2. Throughout the program, friends and colleagues refer to Dr. Martin Luther King Jr. as a poet. What evidence did they use to support this characterization? How would you describe the delivery and tone of MLK's speeches and sermons? For whom do you think that Dr. King wrote his speeches and sermons? How did Dr. King use his words and his pulpit in his efforts to further the goals of the civil rights movement?

3. Other than delivering speeches, what methods did Dr. King and his followers use to further their cause? What was Project "C"? What did King's personal papers reveal about his strategies for achieving his goals? Why do you think that Dr. King encouraged his followers to practice non-violence and passive resistance? What role did India's Mahatma Gandhi have in shaping Dr. King's ideologies and strategies for social change?

4. How do those interviewed for this program describe the leadership style and qualities of Dr. King? Why do you think that Soledad O'Brien describes Dr. King as "an accidental leader"? Based on what you learned in this program, how would you describe Dr. King's leadership style? Provide examples.

5. What do Dr. King's personal writings reveal about his private concerns and fears? How did Dr. King respond to the challenges and dangers he and other activists faced during their civil rights struggle? Do you think that courage is a necessary trait for leadership? Why or why not? What evidence of courage can be drawn from Dr. King's private papers?

6. What was the Montgomery Bus Boycott? What event provided the catalyst for the boycott? According to friends and colleagues, why was Dr. King chosen as the "consensus candidate" to lead the boycott? What was the main goal of the boycott? Did the bus boycott achieve this goal? Explain.

7. Why was Dr. King arrested in Birmingham, Alabama, in 1963? How was he able to secure the paper on which he would write "Letter from a Birmingham Jail"? According to the program, what messages did Dr. King hope to convey in this document? Why do you think that this document has had such a lasting significance?

8. According to the program, why did Dr. King and other activists encourage teenagers to participate in the civil rights struggle? What roles did teens play in the fight for civil rights? Do you think that the strategy of using teenagers was effective at furthering the civil rights cause? Explain.

9. According to Rev. Wyatt Tee Walker, why did Dr. King's "inner circle" want to revise the "I Have a Dream" theme for his speech at the March on Washington? Why do you think that Dr. King chose to deliver the "I Have a Dream" portion of the speech rather than the revised version? Why do you think that some refer to this speech as one of the most important speeches in human history? Do you find personal meaning in this speech? Explain.

10. What did the King papers reveal about Dr. King's personal reaction to the church bombing deaths of four young girls on September 15, 1963, in Birmingham? Why was this event significant for Dr. King, for the civil rights movement and for the nation?

11. How was Dr. King publicly recognized for his work towards achieving civil rights? What do eyewitnesses and Dr. King's private papers reveal about the significance of these awards for Dr. King and for the civil rights movement?

12. What was "Bloody Sunday"? What impact did this event have on Dr. King and the movement he led?

13. What events brought Dr. King and his colleagues to Memphis, Tennessee, in early 1968? According to eyewitnesses, how did these events refocus Dr. King's efforts towards addressing the connections between poverty and bigotry?

14. How and where was Dr. King murdered? How old was he when he was killed? What was he able to accomplish in his short life? How does his death continue to impact his friends and colleagues like Andrew Young?

15. How does this program's treatment of Dr. King compare with other sources of information on the civil rights movement? In your opinion, what is the value of examining historical figures through their personal papers and through the eyes of those who knew them well? Why do you think that there has been such a huge effort to preserve Dr. King's personal papers? What, if anything, did you learn about Dr. King from this program?16. The producers of this program organized it around select speeches and sermons from the Morehouse College MLK collection. From what speech, sermon or document did each of the following quotations come?

• "There is a new Negro in the South."
• "I am not afraid of the word tension."
• "I have a dream."
• "We must substitute courage for caution."
• "I still believe that we shall overcome."
• "The door that slams shut."

How do these quotations shed light on Dr. King's hopes and fears?

17. The title of this CNN Special Investigations Unit program is MLK Papers -- The Words That Changed a Nation. Based on what you learned in the program, to what extent, if at all, do you think that Dr. King's words changed the nation? What do you think is the legacy of Dr. King? In your view, what civil rights issues, if any, exist in the United States today? What historical lessons explored in this program, if any, could be applied to modern-day civil rights issues?

Suggested Activity

Examining the words of Dr. Martin Luther King Jr.

Inform students that, in 1985, Dr. Martin Luther King Jr.'s widow, Coretta Scott King, initiated a massive research effort to gather and share historical information about her late husband. This research endeavor, called the King Papers Project, seeks to publish a 14-volume series of Dr. King's most significant letters, sermons, speeches, published works and unpublished manuscripts. Ask students: Why do you think that historians and researchers have engaged in this effort? Who else might find such a definitive collection valuable?

Organize students into pairs, and have each pair consult print and online resources to select a different work either written or spoken by Dr. King. Instruct students to assume the roles of historians as they answer the following questions about their chosen documents:

• When was the work written or spoken?
• Who do you think was the primary audience for the work, and why? Do you think that there might have been a secondary audience? If so, who was that audience?
• What do you think was the intended goal or message of the work?
• What is the tone or mood of the work? What techniques, if any, did Dr. King use in the work to convey his message?
• What does the work reveal about life in the U.S. at the time when it was written or spoken?
• How might different groups of people have interpreted this work at the time when it was first written or spoken?
• If you had the opportunity, what questions would you have asked Dr. King about the work?

As students present their research, post each work along a civil rights timeline. Discuss each work in the historical, social and political context in which it was originally presented. Then, encourage students to examine the philosophies of Dr. King over the course of his lifetime. Pose the following questions for discussion:

• What is the historical significance of Dr. King's works?
• Do you see any patterns or changes in Dr. King's ideology as expressed in works as time passed? If so, how might those changes be reflective of the changes in society or in the civil rights movement?

• What significance do they have today?
• Do you think that the study of historical documents can provide lessons for addressing modern-day social, economic or political struggles? If so, how? If not, why not?

Curriculum Connections

Grade Level: 6 - 12, College

Subject Areas: U.S. History, Civics, Government, Current Issues

Historical Thinking

Standard 4 - Historical Research

Formulate historical questions from encounters with historical documents, eyewitness accounts, letters, diaries, artifacts, photos, historical sites, art, architecture, and other records from the past.

Interrogate historical data by uncovering the social, political, and economic context in which it was created; testing the data source for its credibility, authority, authenticity, internal consistency and completeness; and detecting and evaluating bias, distortion, and propaganda by omission, suppression, or invention of facts.

U.S. History Standards

Standard 4: The struggle for racial and gender equality and for the extension of civil liberties.

Standard 4A: The student understands the "Second Reconstruction" and its advancement of civil rights. Analyze the leadership and ideology of Martin Luther King, Jr. and Malcolm X in the civil rights movement and evaluate their legacies.

The National Standards for History (http://www.sscnet.ucla.edu/nchs/standards/) are published by the National Center for History in the Schools (http://www.sscnet.ucla.edu/nchs/).

@highlight

Students will discuss the historical significance of the King papers collection

@highlight

Students will analyze the goals of Dr. King and the civil rights movement

@highlight

Students will evaluate the legacy of Dr. King