Beijing, China (CNN) -- On Saturday at 6:37 p.m. (6:37 a.m. ET), China is scheduled to launch its first female astronaut into space as part of a three-person crew.

Liu Yang will join Jing Haipeng and Liu Wang as part of a three-person crew aboard the Shenzhou-9 spacecraft, which, if successful, will conduct a historic docking with China's orbiting space module.

Like Wang Yaping, the other woman considered for the coveted slot, Liu Yang is married, in her early 30s and chosen among China's first batch of women astronauts because of her strong flying record and mental toughness.

The launch of China's first woman taikonaut (which combines the Chinese "taikong," or space, and the Greek "nautes," or sailor) into space would come exactly 49 years to the day that the former Soviet Union put its first woman, Valentina Tereshkova, into space.

It's about time.

Read more about China's historic launch

Chinese women have been on a winning streak in various fields lately.

Feng Shanshan, 22, on Sunday became the first golfer from China to win a major tournament by topping the Wegmans LPGA tournament in New York. The Guangzhou resident, who began playing golf at the age of 10, took home the $375,000 prize.

Last year, Li Na became the first Asian-born tennis player to will a Grand Slam singles title by taking the French Open. Before long, she signed several million-dollar endorsement contracts for brands such as Rolex and Haagen-Dazs.

They are following the footsteps of other sports stars, like Guo Jingjing, whose six Olympic medals, including four golds, have made her the most decorated female Olympic diver.

Guo has smartly turned her good looks and diving prowess into fame and fortune. By the time she retired last year, she had collected commercial endorsements for McDonalds and other consumer brands worth millions of dollars.

Marketing experts are tapping into the potential goldmine of female Chinese consumers.

"More than two-thirds (67%) of women in China are employed, compared to 58% in the U.S.," writes Pully Chau, chairman and CEO for Draftfcb Greater China, a marketing and communications company. "With greater economic power, Chinese women will also have greater spending power."

"Chinese women have grand ambitions for their future, are rapidly climbing the corporate ladder and achieving equality in compensation," Chau continued.

Although Chinese women still face pressure to be traditional -- get married, have a child, appear meek and submissive, etc -- breaking the stereotype is no longer taboo. Many have risen from obscurity, pursued educations, started businesses, had divorces and become self-made multi-millionaires.

According to Hurun Report's annual rich list, half of the top 20 richest self-made women are Chinese.

Among them is Wu Yajun, chairwoman and founder of Longfor Properties. She is China's richest woman, with personal net worth of 42 billion yuan ($6.57 billion).

Fortune China's 2012 "40 under 40" list of young entrepreneurs includes two Chinese businesswomen: Chen Chunhong, managing director of Yiyuan Environmental Group, ranks 12th, and Carol Chyau, founder and CEO of Shokay International, ranks 21st.

Meng Xiaosi, vice president of the All-China Women's Federation, said that China has over 29 million female entrepreneurs, or a quarter of the nation's total. Over 41% of them are self-employed and private business owners, she said.

This is a reversal of fortune, considering China's historical context.

For centuries, Confucian thinking had relegated women in China to secondary and subordinate roles.

"At the early age of seven, according to the ancient practice, boys and girls did not occupy the same mat nor eat together," wrote J. Dyer Ball in "Things Chinese," a book first published in 1925. "Woman is made to serve in China, and the bondage is often a long and bitter one: a life of servitude to her parents; a life of submission to her parents-in-law at marriage; and the looking forward to a life of bondage to her husband in the next world, for she belongs to the same husband there, and is not allowed to be properly married to another after his death."

Foot binding, although considered something of a beauty ritual, was perhaps the most shocking practice that condemned women to being powerless homemakers.

After the communist takeover in 1949, Chairman Mao Zedong banned feudal marriage and advocated gender equality.

In 1950, he announced a new marriage law, banning forced marriages, domestic abuse and concubinage. The law also gave women the right to divorce.

"Women hold up half the sky," Mao declared famously.

Women were also given access to an education and military training.

"Times have changed, and today men and women are equal," Mao said in another occasion. "Whatever men comrades can accomplish, women comrades can too."

At the height of the decade-long Cultural Revolution, the Maoist idea of gender equality was taken to the extreme. Men and women then dressed the same, wearing mostly baggy and monochromatic clothing.

Pro-women advocacy failed to entirely subvert China's male-centered society. Boys were still valued for their role in carrying on the family name. When China's one-child policy was introduced in 1978, it created unintended consequences, like forced abortion and gender imbalance.

While women have been powerful players in China's booming economy, they are still grossly underrepresented in politics.

Today only one woman, Liu Yandong, sits as a full member of the ruling Politburo of the Communist Party. Five women in all have served in the powerful policy-making body.

Only four out of the 35 members of the State Council, China's government cabinet, are women.

Although the constitution says that "women enjoy equal rights with men in all spheres of life," domestic violence, forced abortions and sterilizations, infanticides and sex trafficking remain intractable problems for females.

CNN's Jordan Lee contributed to this report.

@highlight

Launch comes 49 years to the day after Russia sent Tereshkova into space

@highlight

China's first woman in space comes same week woman wins China's first major golf title

@highlight

Marketing experts are tapping into potential goldmine of female Chinese consumers