(CNN)They come from more than 20 countries, drawn to Libya as the funnel to Europe.

Eritreans want to escape repression or military service; Somalis flee Al-Shabaab and clan warfare; Syrians have given up hope of returning home. In villages in Senegal and elsewhere across West Africa, young men sell all they have in the hope of a better life in Europe, perhaps hoping to join a cousin or brother who made it.

Motivations among the tens of thousands making the trek to the Mediterranean coast are as many and varied as the nationalities involved, according to researchers and human rights groups. But in 2014 more than 80% of them headed for the Libyan coast as the easiest point of embarkation.

From the Horn of Africa to the Atlantic, from Syria and Gaza, these would-be migrants travel well-established smuggling routes. Along the way they must cross deserts and mountains, risk kidnap or robbery, are often cheated or left stranded.

One African migrant reported surviving on toothpaste for days. A teenage Somali who made it to Malta told researchers that he had warned other family members not to come. "I tell them its 95% sure that you will die," he said.

The International Organization for Migration (IOM) has tracked the migrant flows through North Africa for years. Eritreans have long been prominent among the travelers, escaping an authoritarian government, poverty and indefinite military service -- a land without possibilities.

"Many conscripts are not demobilized from the military as scheduled and some were forced to serve indefinitely under threats of detention, torture, or punishment of their families," according to a report by the Regional Mixed Migration Secretariat (RMMS) in Nairobi last year.

They travel to Sudan, so long as they can avoid kidnap by tribes on the border, and are handed from one group of smugglers to the next in relay. One Eritrean woman told the UN Refugee agency (UNHCR) this month that she had paid $5,000 to reach the Mediterranean.

Eritreans and Syrians made up half of the migrant traffic to Europe last year, according to Arezo Malakooti, director of migration research at Altai Consulting and author of one of the most detailed studies of migration patterns. Malakooti has recently visited seven countries, including Libya, Tunisia and Morocco to update her study.

The "push factor" is much greater than the "pull" of Europe, she says. Upheavals and instability across much of Africa and the Middle East -- combined with the perception that Libya's doors are open -- have led to a massive increase in the numbers trying to reach Libya. "Worsening repression in Eritrea" has been one factor, she says -- while Eritreans already in refugee camps in Sudan have decided to make a dash for the Mediterranean.

One reason is that other routes -- through Saudi Arabia and to Israel -- have become more difficult: Israel has adopted a much tougher approach on would-be Eritrean migrants trying to enter the country through the Sinai desert, including detention, and Yemen's implosion has cut off that conduit.

As one Eritrean told the humanitarian journal IRIN last year: "People were traveling to Israel because it was the only way, and now they're traveling to Europe because it's the only way."

Somalis, often seen as the third most numerous nationality among migrants headed to the Mediterranean, face a perfect storm of crises.

"Extreme poverty; prolonged insecurity; sexual violence and other serious human rights violations; lack of access to basic needs such as food, medical services, healthcare and livelihoods" are all contributory factors, says the RMMS.

Sea-tossed storm of human misery hits Italian shores

The IOM told CNN it is seeing a spike in would-be migrants from Senegal, Mali, Guinea and Gambia in West Africa. Many reason that Libya's chaos is an opportunity: border posts are left abandoned, the coastline unguarded. Most West Africans make the journey for economic reasons; the majority are single men in their twenties.

Populations in the region are swelling but farmland and economic security shrinking. Often, say researchers, the oldest son leaves to find work so he can remit funds home -- perhaps misled by fables of riches. Malakooti noted in a recent report that "unrealistic expectations of their migration is fueled by migrants in destination who rarely send negative news home because of the pressure on them to succeed."

But West Africans who have sold livestock or other possessions only to be caught or stranded can face destitution when they return home: 400 Senegalese were recently repatriated from Libya by the Red Cross and IOM.

Malians have the added incentive of the recent conflict in which jihadist groups seized nearly half the country before French-led intervention pushed them back.

Joel Millman of the IOM says there's also been an increase in the number of Nigerian Christians following this route, escaping the chaos and brutality inflicted on their towns and villages by Boko Haram.

Another disturbing phenomenon, according to Malakooti, is the trafficking of African women for prostitution to Italy through Libya. While still a small fraction of the overall migration, the number of women smuggled for sexual exploitation in Europe rose threefold in 2014, she says.

Why migrants are risking their lives to reach Italy

A Geneva-based group, the Global Initiative Against Transnational Organized Crime, estimated last year that about half of West African migrants pass through the town of Agadez in northern Niger. A crackdown in 2013 on organized convoys leaving Agadez stemmed the flow for a while, but gangs from the Toubou tribe, which controls the cross-border trade, developed new routes and raised their prices.

A migrant might pay as much as $300 to reach southern Libya in a truck or pick-up, according to researchers. Reliable figures on the numbers passing through Agadez are difficult to come by, but the consensus among experts is somewhere between 2,000 and 7,000 every month.

Other hubs include Khartoum in Sudan, a way-station for migrants from East Africa, and Tamanrasset in southern Algeria, where a fake Malian passport aids passage. Algeria has also been a destination for Syrian refugees, but new visa requirements have forced them to seek other routes -- often through Turkey and the Greek islands.

Hundreds of thousands of other migrants have already been in Libya for years, attracted to jobs as day laborers when Moammar Gadhafi was in power. Now they face violence, discrimination and religious persecution -- and are unable even to remit home what little they earn. So at least some are embarking on a journey to Europe they never intended to take. Malakooti believes this is a major factor in the rising numbers trying to reach Europe.

The recent murder of Egyptian and Ethiopian Christians by ISIS's Libyan affiliate may have hastened the departure of some.

A similar dynamic applies to Syrian refugees. "Initially, they remained in Lebanon, Jordan and other neighboring countries to wait out the conflict," says Malakooti. Now they've given up, or the resources to accommodate them have evaporated -- and have decided to try to reach Europe and start over.

Within Libya, the smugglers for the most part appear to be small groups or individuals rather than large networks, according to human rights organizations. They cluster in dusty towns such as Sabha and Qatrun and use what are known as 'connection houses.'

How is Europe going to tackle migrant crisis

Those driving migrants to Tripoli may have no connection with gangs at the coast. Such a journey, across the desert to avoid checkpoints, might cost a migrant $200: in a failed state that sort of cash quickly generates armed rivalries. Tribal feuds, roaming militias and criminal gangs mean migrants need the skills of a smuggler.

The arrival of the Islamic State in Iraq and Syria (ISIS) in Libya has further complicated passage; in January jihadists killed 14 Libyan soldiers near Sabha.

Malakooti detects a changing pattern since the Syrian conflict began. It has injected more money into the smuggling business, which has therefore become more organized. The more reliable groups can charge more; she says some migrants buy a "package" from smugglers that includes overland and sea travel.

Syrian migrants are relatively better off than West Africans, and may pay more to guarantee a place on the top deck of a vessel. Africans are more often locked in the hold and are more vulnerable if a vessel sinks, or consigned to an inflatable dinghy.

Fearing arrest, the smugglers rarely travel on the boats themselves, instead giving a compass or GPS device to the migrants, who then set off with no navigational skills and often no experience of the sea in boats that should never have left port.

As Libya becomes more dangerous for migrants, other countries on both sides of the Mediterranean are looking on anxiously. Some West Africans opt to travel through Morocco -- even though the chances of detection there are much greater and the sea crossing to Spain very difficult. "A migrant might need 50 or 60 attempts before making it to the Spanish coast," says Malakooti.

Tunisia has massively increased security along its eastern border with Libya; both Algeria and Morocco have begun building fences along their border -- against both terrorism and clandestine migration. But they may be little deterrent.

The Eritrean writer Abu Bakr Khaal made the desperate voyage to and across the Mediterranean himself. In his novel "African Titanics," he describes the "dangerous lure" of escape. Only too late do the migrants discover a grim reality at sea:

"'If God loved me he would not have brought me here,' groaned one of the passengers. Assured he had uttered the most fitting farewell to life, he threw himself into the sea. The boat moved forward at the whim of the waves."

Meet the couple on a mission to save drowning migrants

@highlight

Would-be immigrants come from more than 20 countries to North Africa to cross Mediterranean to Europe

@highlight

They risk their lives crossing deserts and mountains; many are robbed or cheated as they try to reach the Libyan coast