The glossy spread in "High Times" a magazine for pot devotees, showcases the "strongest strains on Earth." The most recent rankings are topped by "Head Cheese," which is grown in a hydroponic system and fed with a carefully calibrated dose of synthetic nutrients.

On "Weed Tracker," a California-based website where medical marijuana users share notes, cannabis connoisseurs sing the praises of "Sensi Star" and rave about the "Grand Daddy Purple, which tastes like a berry vanilla smoothie." Another medical site touts a bud "finished with a subtle fruit effect ... offering a deep body stone with a creative mind high," and warns it is "not for newbies or low-tolerance patients."

The descriptions evoke images of a wine-tasting club -- albeit one with a few eccentrics. But increasingly it seems the most valued trait among these weed admirers is pure knockout power.

Dr. Sanjay Gupta: Why I changed my mind on weed

The intoxicating chemical in marijuana is tetrahydracannabinol, or THC. While a handful of growers are finessing strains to provide a medical benefit without the high the majority aim to push THC content as high as it will go according to government data.

In the annual Cannabis Cup competition, where marijuana enthusiasts gather to try pot from various places and vote on their favorites, the most potent strains have a THC content of around 25%, according to testing commissioned by the organizers at High Times. But at the University of Mississippi, in a laboratory that tracks the potency of marijuana seized by federal law enforcement officers, they've found even higher levels -- as high as 37%, according to Dr. Mahmoud ElSohly, the director of the Marijuana Potency Project.

Since 1972, ElSohly says, the average THC content of marijuana has soared from less than 1% to 3 to 4% in the 1990s, to nearly 13% today.

Legalizing pot isn't about medicine, it's about getting high

"You really have to be careful," he says. "The danger of this high-potency material is not with the experienced marijuana smokers, but young people who really don't know what they're smoking. They don't know what to expect, and before they know it, they've inhaled too much."

Fortunately, the risk of overdose with marijuana is far less serious than with cocaine or heroin. But certain behaviors -- like driving -- can be deadly if you're acutely intoxicated.

"The risk is not that you'll stop breathing or that you'll die," says Dr. Julie Holland, a psychiatrist in New York who studies the history and science of cannabis. "The risk is that you'll become very altered and disoriented, and you can get anxious and panicky in that situation."

The only cure is a few hours of waiting, and reassurance.

More than 455,000 patients entered emergency rooms with marijuana in their system in 2011, a 19% increase from just two years earlier according to government statistics.

The figure represents all patients with marijuana in their system, whether or not the ER visit is related to the drug.  But most experts agree that along with showing an increase in usage, those numbers also indicate an increase in marijuana-related problems.

"There's an increase in psych admissions," says Dr. Stuart Gitlow, a psychiatrist who estimates that upwards of 1 in 100 people using high-THC marijuana experience psychotic symptoms. As president of the American Society for Addiction Medicine, Gitlow also worries about the long-term impact.

Psychiatrist leads crusade to legalize marijuana

"If you look at marijuana, the intensity has changed. So I would expect it to have a somewhat higher addictive potential."

Dr. Christian Thurstone, who runs an addiction treatment center in Denver, agrees that there is a trend toward heavier use. He's seen steadily higher levels of THC metabolites in clients' urine tests when they enter his program.

"It's more difficult to get kids clean," Thurstone says, "because they come in less motivated for treatment, and more addicted."

With marijuana, the notion of addiction is complicated. Going cold turkey doesn't cause debilitating or life-threatening withdrawal symptoms, as it does for heavy alcohol or heroin users. Mention "addiction" to many users and you'll get a raised eyebrow.

Still, some do report anxiety, insomnia or nausea when they try to kick the habit. Many experts cite a 1994 National Institute of Health report, which says that roughly 9% of marijuana users eventually meet the criteria for "dependence."

But others are skeptical.

"There have always been high-THC content cigarettes around," says Carl Hart, a neuroscientist at Columbia University who studies the physical effects of cannabis and other drugs. "The modest increases that we see today are not as concerning as has been made out to be."

Just as people drink hard liquor differently from beer, says Hart, they don't smoke highly potent cannabis the way they use weaker stuff. In his lab, for example, study participants are given three minutes to smoke a marijuana cigarette. "If we give them a low dose, they suck down the whole thing. With stronger material, you'll see them give back the other half."

For most people, that seems to translate to the real world, whether the purpose of smoking is medicinal or recreational. "The new stuff is a bit more potent than it was 20 years ago when I started smoking," says Chris Simunek, the editor of High Times. "The end result for me is that I smoke a lot less of it."

Marijuana stops child's severe seizures

"People are looking for strains that are higher in quality, because they'd rather smoke less," echoes Dr. Dean Weiss, a physician in Los Angeles who writes approval letters for medical marijuana patients.

Simunek thinks there's an unmet demand. "If people came out with boutique strains that are not so potent, people would buy them." But for most of his patients, Weiss says high quality means high THC.

Smoking anything is problematic in terms of health, because of irritation to the throat and lungs. But with marijuana, Holland makes the point that it's actually a method of ingestion. By comparison, pot brownies and other edibles make it easy to miss your target high.

"Sometimes you don't feel it coming on for two hours, and you end up eating more. And sometimes the dose with these edibles is half a cookie, or a quarter of a cookie. And I don't know too many people who can eat only half a cookie," says Holland.

Part of it is the difficulty of gauging the dose; part of it is simple metabolism, she adds. "Your liver metabolizes THC into 11-hydroxy-THC, and 11-hydroxy-THC is very psychedelic. It's very altering."

Of course, for many people, getting "altered" is the whole point. A growing number of young people eschew joints and even Cannabis Cup-quality buds to get high inhaling the smoke from concentrated oils with a THC content of 50% or more.

"Some people are just interested in smoking gigantic amounts of marijuana," says Simunek.

The trend is hard to quantify, but there are countless YouTube videos of people smoking concentrates, and Thurstone says it's common among young people who enter his clinic.

"Most people are going to be fine," says Gitlow, the addiction specialist, "but there still will be that 10% of people who are going to get as high as they possibly can."

Rock star Melissa Etheridge: Pot got me through

@highlight

The intoxicating chemical in marijuana is tetrahydracannabinol, or THC

@highlight

Average THC content has soared from less than 1% to nearly 13%

@highlight

Some experts are concerned about the long-term impact, including addiction