Born on safari in Zambia (then Northern Rhodesia) in 1942, Geoffrey Kent developed a taste for adventure at an early age.

He co-founded luxury exploration company Abercrombie & Kent in 1962, taking small groups of travelers into Kenya with comforts once reserved only for royalty. Proper linens! Caviar!

With his expedition company marking its 50th anniversary this year, Kent now oversees premium excursions to more than 100 countries.

In a spirited interview with CNN Travel, the 70-year-old adventurer reviews his career, casts an eye toward future adventure and shares remarkable photos from his personal collection.

CNN: Can you recall the first safari you ran in Kenya in 1962?

Kent: It was a monthlong safari with my father for a lovely couple, a husband and wife. We started in Kenya and drove to Uganda, stopping at Queen Elizabeth Park and Murchison Falls, then crossed into the Congo where we saw pygmies.

I remember we even went water skiing on Lake Kivu, which has no crocodiles. The area was called the "Switzerland of Africa" because it was so beautiful.

CNN: What were the moveable camps like back then?

Kent: The original Manyara tents had poles in the middle for support and tarpaulins on the ground. Setting them up took a long time, since there might be a hundred poles. We eventually color-coded them to simplify the process -- red meets red, yellow meets yellow.

The beds were low cots, just a few inches off the ground, with mosquito netting draped over them. We used paraffin lamps for light at night.

In the morning a basin of hot water would be set out on a small table just outside the entrance of your tent so you could shave and wash. One toilet for the entire camp would be located about 10 meters away. It was simply a toilet seat mounted on a box over a pit lined with lime.

When choosing a place to set up camp, the most important thing was to find a "shower tree." You needed a sturdy branch at just the right height to hang a 10-liter canvas bucket for showers. This was especially important to the ladies.

CNN: You encouraged portable iceboxes so guests could enjoy sundowners on safari. What other luxuries did you bring to the safari?

Kent: Champagne, caviar, smoked salmon.

CNN: What sort of guests did you attract back then?

Kent: Our clients are experience seekers: educated, active, accomplished professionals and entrepreneurs with an intense curiosity about the world. But when we started, traveling to Africa was something only the wealthiest could afford.

CNN: Scariest safari experience?

Kent: I was with Richard Burton in Kenya. We had just sat down for sundowners and I walked over to the mess tent to refresh his drink. I heard a roar behind me and a lot of screaming and turned to see four lions bringing down a buffalo in our campfire!

I quickly upended the table, sending the crystal and china flying, and gathered the guests behind it as a barricade.

What an amazing spectacle to watch! The next day Burton wanted to know if we could do it again. He thought I planned the whole thing.

CNN: How has Kenya changed since that first safari?

Kent: When I was growing up, Kenya was very much the wide open spaces you see in "Out of Africa." The Masai Mara and Lewa Conservancy still offer that same sense of space, but the growing population means that farms are encroaching on the land surrounding the game reserves.

And traffic in Nairobi rivals the most congested cities in the West.

CNN: How does a Kenyan safari compare to ones in other African nations?

Kent: East Africa and Southern Africa offer different safari experiences. Traditionally, the migration has made East Africa the must-see destination for first-time safari goers.

But in recent years, the world-class hotels and restaurants in South Africa have been attracting guests who want a holiday that combines game viewing with gourmet food, interesting local wines and romantic accommodations.

East Africa remains the most popular safari destination. The large numbers of herd animals -- wildebeest, zebra, antelope -- and the drama of the migration attract many visitors to Kenya and Tanzania -- but in places like the Ngorongoro Crater you are likely to see many other vehicles during a game drive. If travelers are looking for a more traditional "Out of Africa" experience, I recommend our Hemingway-style mobile-tented camps.

South Africa is a more developed safari destination with cosmopolitan cities, world-class hotels and fine restaurants. In national parks like Kruger or Sabi Sands, guests are likely to see vehicles from many different safari lodges, so for those seeking solitude, choose lodges that offer game drives on adjacent private lands.

CNN: We've had good luck in Botswana.

Kent: Botswana limits the numbers of safari-goers. We recommend the exclusive Mombo Concession in the Moremi Game Reserve -- it's considered the predator capital of Africa, with lions, leopards, cheetah, painted dogs, hyenas and jackals along with elephants, giraffe, zebra, wildebeest and impala. Here, you find small luxury tented camps with game viewing in open vehicles and the rare opportunity for walking safaris and night game drives.

Though relatively unknown outside Africa, Zambia offers a diverse range of environments with prolific wildlife. Walking safaris were pioneered here; if you have only seen animals from inside a vehicle, you will find walking with big game a thrilling experience.

Night drives are also a specialty, and the best means of seeing some of the more elusive nocturnal species, including leopards.

CNN: Most memorable encounter with wildlife?

Kent: I was studying elephants with Iain Douglas-Hamilton on the shores of Lake Manyara in Tanzania. He wanted to introduce me to a new matriarch he had found named Boadicea.

She charged us and picked up our Land Rover with her tusks and pushed us nine or 10 meters along the ground!

CNN: Favorite place?

Kent: The Galapagos Islands would be at the top of my list. I love to be active and there you can swim, snorkel and scuba dive with sea lions and turtles and stroll through colonies of penguins and blue-footed boobies -- they have no fear of humans.

But I also love Zambia, where I was born while my parents were on safari.

CNN: Is there a country you don't operate in that's on your radar?

Kent: We don't operate in Syria yet, but it has so much history with incredible archaeological sites. I was also hoping to take people to see the bonobo chimpanzees in the Congo, but that's on hold for the moment.

CNN: What will the African safari experience be like in 20 or 30 years?

Kent: There will always be African safaris. Enlightened countries like Botswana and Zambia understand the importance of sustainable tourism and are protecting their wilderness and wildlife. Both are rich in natural resources and have small populations relative to their size.

@highlight

Luxury travel company Abercrombie & Kent turns 50 in 2013

@highlight

Co-founder Geoffrey Kent fended off lion attack with Richard Burton

@highlight

"There will always be African safaris," says pioneering guide