A country's economy devastated, unemployment endemic and suicides rising -- this is the reality in Greece, and there is seemingly no end in sight.

Greece -- the birthplace of democracy -- is now reliant on eurozone bailouts and subject to political decision-making in Brussels and Berlin.

In October, Athenians marched in the streets to make it clear German Chancellor Angela Merkel -- in her first visit to the Greek capital since 2009 -- was not welcome.

Read more: EU leaders agree on bank oversight

Merkel met with Greek Prime Minister Antonis Samaras to assess the country's economic health as it attempts to drive through more austerity measures to secure further bailout money.

In her brief visit, she pledged German support for Greece but made it clear that Greece cannot -- and therefore will not -- yield on its austerity reforms.

Rooftop snipers and 7,000 Greek police were deployed to keep the protests under control. Protesters bearing swastika flags were kept away from Syntagma Square, the focal point for demonstrators during the crisis. It was here, six-months ago, that a Greek pensioner took his own life outside parliament citing austerity measures for his desperation.

The talks between Merkel and Samaras were just the latest episode between two countries with a fraught and tumultuous history.

Postcard: Why Berlin, America are kindred spirits

Some demonstrators evoked bitter memories of the brutal Nazi occupation of Greece from 1941 to 1944, when thousands of Greeks were killed.

It was only in 1951 that the European Union began to take shape through the Treaty of Paris and the European Steel and Coal Community. The treaty signed by six nations -- Belgium, France, West Germany, Italy, Luxembourg and the Netherlands -- was intended to create lasting economic and political stability for a continent ravaged by war.

Three days after Merkel left Greece, the European Union won the Nobel Peace Prize for restoring harmony to much of Europe. Despite the award, relations between countries -- particularly in northern and southern Europe -- have been tested by the crisis.

Spyros Economides, a senior lecturer in international relations and European politics at the London School of Economics, said Greeks are "not very positive at all" in their views toward Germany.

He told CNN: "Partly it's a generational thing for those who remember World War II and the consequences, but it's also younger people who are unemployed and suffering economic dislocation, which they pin squarely on other people's shoulders, in this case the Germans."

Read more: Thousands rally, Greece brought to standstill by anti-austerity strike

While the visit from Merkel -- intended to strengthen eurozone unity -- quashed any immediate fears of a '"Grexit" from the euro, many in Europe wouldn't be disappointed to see them go, according to Economides.

"There will be a lot of people in the European institutions and national capitals around Europe who will say, if the Greeks decide to leave the eurozone, then so be it. Good riddance," he said.

To stay, the Greeks are coming under intense pressure from eurozone peers --- led by Germany -- to implement further austerity measures of 13.5 billion euros [$17.7 billion].

Economides explained that the projected cuts could break down into 11.5 billion euros worth of cuts -- from pensions and wages as well as the sale of state property -- and the remaining 2 billion euros from additional taxes.

The measures will ensure that international creditors supply the next 31 billion euro [$40.6 billion] tranche of bailout relief. This will allow the cash-strapped Greek government to meet its debt obligations beyond the end of November.

But the clash between the two countries over the terms of Athens' bailout has led to feisty rhetoric from senior members of both German and Greek political parties.

Frank Schaeffler, a German member of parliament in the Free Democratic Party, has previously advocated the sale of uninhabited Greek islands to fund creditor repayments. He told CNN that "unfortunately" the proper enforcement of a Greek adjustment program is an "illusion."

Read more: Fears grow over EU banking union plan

Schaeffler said: "I am afraid Germany has softened its stance on Greece lately ... Samaras himself has said that Greece is willing to sell off its uninhabited islands."

Former Greek Foreign Minister Stavros Dimas called the suggestion "insulting," and said Germany should pay reparations for the damage and loss of life the country inflicted on Europe during the Second World War.

He told fellow parliamentarians that Greece has never waived its right to claim reparations, including for the loan that Germany forced Greece to pay for its own occupation.

He added: "No one can erase the tragedies that our country suffered... They are engraved in our collective memory."

European leaders are meeting in Brussels this week to discuss the region's debt crisis, and policymakers will consider creating a separate budget for the 17-nation monetary union.

Joerg Kraemer, chief economist at Commerzbank -- Germany's second largest bank -- told CNN: "If Greece does not comply with the reforms and austerity, the troika (ECB, IMF and European Commission) should not recommend releasing fresh money, in pure economic terms."

Read more: Spain: Perils of being 'filthy stinking poor'

Germany is concerned that a Greek exit from the eurozone could lead to a domino effect, whereby a number of indebted nations -- including Ireland, Portugal and potentially Spain and Italy -- may be forced to withdraw from the common currency, which could lead to a full break-up of the monetary union.

Samaras' government is negotiating with the International Monetary Fund and the European Union over extending the cuts for another two years into 2014 and beyond. If achieved, Economides says this would represent a political victory for the coalition government, as it was elected partly on the promise of extending the timeframe to make the cuts.

Kraemer added: "I don't think Greece will be part of the eurozone in five or ten years but currently the politicians in Germany and elsewhere do not want to pull the plug."

@highlight

The Greek coalition government is seeking to push through budget cuts of 13.5 billion euros [$17.4 billion]

@highlight

Germany has softened its approach to Greek austerity measures, says German member of parliament

@highlight

Samaras' government is negotiating with the "Troika" over extending the country's program