Delaram, Afghanistan (CNN) -- U.S. Marines stand under the blazing sun at Camp Bastion airfield waiting for their ride to take them far beyond the perimeter fence.

Wearing body armor and weapons, they dump their helmets and bags in the dirt and look out onto one of Afghanistan's busiest runways.

A $25 million Harrier jet flies past, leaving the roar of its engine in its wake, while a C-130 Hercules touches down to pick up troops and cargo. An Osprey aircraft -- half helicopter, half plane -- hovers in the distance before landing to join the dozen other Ospreys sitting on the tarmac.

Read more: U.S. surge over as last of extra troops exit

A Sikorsky then comes into view. The helicopter invented by a Russian-American is older than the other military hardware on the runway but it's reliable and gets the job done. As it approaches the apron of the runway, the draft blows the dirt straight into the faces of the Marines.

They don't turn their backs to the assault of sand, dirt and gravel but hold their ground and stare right into it -- a display of Marine toughness that could come in handy in the mission ahead. They're headed to Nimroz province, where the insurgency is growing stronger by the day.

Opinion: Green-on-blue attacks show there's no easy way out

As I stand there wondering if all these Marines will return from their tour in the badlands of southwest Afghanistan, a lanky 19-year-old soldier with a buzz cut strolls by and strikes up a conversation. He tells me he was in the third grade in Minnesota when the September 11 attacks occurred.

"I grew up watching the war in Afghanistan on CNN, and I knew I wanted to come here and fight for my country," he says.

We've come to the front line of this war to see the transfer of power that is under way between U.S. and Afghan forces.

But a spate of so-called "green on blue" attacks -- Afghan soldiers or police attacking U.S. and other international forces -- has caused serious alarm for U.S. and ISAF troops, and the transition process has been fast tracked.

Read more: U.S. restricts Afghan ops after 'green-on-blue' killings

The Marines have sent us to Delaram, at the crossroads of Helmand, Nirmroz and Farah provinces, to show how joint patrols are still happening, despite NATO's orders to suspend many of the operations.

As we touch down in this dusty, desolate landscape, it quickly becomes apparent the Marines are no longer training the Afghans.

They've handed over the reins of this outpost to the Afghan National Army (ANA) and the 28 Marines who remain here are working in an "advisory" role, marking off the days on the calendar until they are scheduled to go home for Christmas.

While everyone lives inside the massive compound, the two camps are divided by high barbed-wire fences, with several hundred meters of land between them.

The Marines and Afghans live, eat and sleep separately. They only come together and mix on common ground where the central command headquarters is located.

A Marine introduces me to the man in charge -- Gen. Abdul Wasea Milad from the ANA. The former Mujahadeen fighter is leading 5,000 Afghan soldiers from the Iranian border east to Kajaki -- some of the most dangerous territory in the country.

He's just returned from a 10-day trip visiting many of his outposts, driving hundreds of kilometers along Highway One. It's a journey the Americans wouldn't even consider doing by road because of all the improvised explosive devices, or IEDs, planted daily by insurgents.

When I ask the general about the dangers he faces, he just laughs and tells me: "This is Afghanistan. My men sweep the roads for landmines every morning, so they're fine to travel on during the day. It's when we sleep that the Taliban puts them out again."

While standing in Wasea's office, a soldier informs him of a report of a suspected IED outside the local police headquarters.

He takes us in his Humvee to the site about three kilometers (two miles) beyond the wire from Camp Delaram. The Americans are not accompanying us. They have no desire to leave the fortified compound, as they explain this is now an Afghan operation.

Lt. Jan Mohammad, who has been with the ANA for the past two years, is leading the mission. He and another solider are carrying a metal detector, a block of C4 explosive, detonators and a drag rope.

The site is off the main highway on a dirt road leading to a village. We walk in single file, aware of every single step, in case there are other mines that have been laid under the surface.

The soldier sweeping the road suddenly stops when his equipment starts beeping -- a sign it's picked up something possibly very dangerous. We all crouch down and he gently picks at the earth. After a painstaking search he declares there's nothing there and we move on.

Soldiers armed with M4 machine guns stand above us on the dusty hill watching in case there's an ambush.

A local villager on a motorcycle attempts to drive in our direction. The soldiers point their weapons and yell out a warning, telling the driver to head off in another direction.

Suicide bombings are also a common tactic for the Taliban, and these soldiers are only too aware of the dangers that now face them.

We reach the site and Lt. Mohammad takes over. The 30-year-old officer earns less than $300 a month, risking his life every day to disable these deadly devices.

I ask how much experience he has, and he tells me: "It's not my first time. I have defused 70 IEDs in Kajaki in seven days when I was there with the Marines."

When I ask him why he does this dangerous line of work he replies: "If I lose my life it wouldn't be a problem. But if others die while I am doing this then I would feel bad because I don't want others to die. This is my job -- to save my people from the risk of these IEDs."

As he lies on his stomach assessing the area, he digs with his hands to remove the earth. He slowly stands up and sweeps the metal detector over and over again, making sure he identifies the exact spot before lying back in the dirt to continue digging.

After 20 minutes, he stands up and declares the site is clear explaining the Taliban must have removed the IED after it had been reported to the police, or a local came and took it to claim the $100 reward.

As we walk back to the Humvee I ask Lt. Mohammad how he feels about the U.S.-led coalition pulling out of Afghanistan by 2014.

He says: "It wouldn't make a difference to me if they leave because it is my country and I will keep doing my job."

@highlight

Coalition forces engaged in transition of power to Afghan National Army (ANA)

@highlight

But spate of so-called "green on blue" attacks on coalition troops has hastened the process

@highlight

Lt. Jan Mohammad risks his life serving in the ANA for $300 per month

@highlight

He says the coalition withdrawal means nothing to him; he still has to do his duty