(CNN) -- Although much attention is currently focused on the cases before the U.S. Supreme Court in which same-sex marriage advocates seek to change the definition of marriage, another longtime priority of their movement has been to add "sexual orientation" and "gender identity" as protected categories in federal civil rights laws, through the so-called "Employment Non-Discrimination Act" (ENDA). Here, "gender identity" refers not to one's biological sex, but to whether one feels male or female.

One concern about ENDA is its impact on religious liberty. ENDA would effectively forbid employers to consider sexual conduct in evaluating the character of their employees or applicants. Although ENDA contains a limited "religious exemption," there remain serious questions as to whether any exemption would be adequate to meet the concerns of people with religious and moral scruples against homosexual conduct.

However, focusing only on the religious exemption plays into the false assumption that religious or moral objections to homosexuality are the only reason why anyone objects to this law. What's most significant about it may not be its impact on homosexual workers or religious employers, or the controversial insistence by LGBT activists that it cover transgender people as well.

What really matters is the ratcheting up of federal government interference in the free market.

Opinion: No one should be fired for being gay

The basic claim of most of the advocates of ENDA is that discrimination is wrong if based on factors "not relevant to job performance." But again, the question is who decides what is "relevant to job performance" -- the individual employer, or the government? The strong presumption should be in favor of the employer.

Of course, federal law already interferes with private employment decisions with regard to a few specific characteristics. The Civil Rights Act of 1964 bars discrimination based on "race, color, national origin, sex, and religion." The first four of these are included largely because they are inborn, involuntary and immutable. While sexual attractions may be involuntary, neither sexual conduct nor transgender behavior meets any of these criteria.

ENDA would provide fertile new ground for employers to be hit by costly lawsuits as well, with disgruntled employees suing for "discrimination" over a characteristic (in the case of sexual orientation) which is not even visible and of which the employer may have been unaware. In the case of public employers, such laws at the local and state level have led to large settlements being paid at taxpayers' expense.

Opinion: America is at a crossroads on gay rights

Even secular employers have reason to worry about a possible increase in sexualization of the workplace. There is an inherent contradiction in the arguments of the advocates of ENDA, who contend that what they do in private has nothing to do with their work, but then also argue for the right to be "out of the closet" while at work. The gender identity provisions, meanwhile, undermine the right of employers to impose reasonable dress and grooming standards, by forbidding employers to use the most fundamental standard of all -- that people be dressed and groomed in a way that is culturally appropriate for their biological sex.

ENDA prepares the way for a form of reverse discrimination -- against anyone who expresses disapproval of homosexual behavior. The more open homosexuals become, the more people with traditional values will be forced to conceal their views. This can happen even if the employee's views are expressed outside of work (as happened to Allstate's Matt Barber, who was fired), and when no reference is made to sexual orientation (as happened to the City of Oakland's Good News Employee Association, which was forbidden to speak about "family values").

Opinion: Gay people live in 50 Americas

Often, social conservatives are accused of trying to "legislate morality." Yet ENDA itself is fraught with moral significance. It would be an official government declaration that homosexual behavior is the equivalent of heterosexual behavior in every way, and that those who believe otherwise are "bigots." A majority of Americans reject this view. (A poll taken by Public Religion Research Institute in September 2012 showed that 52% of Americans believe that "sex between two adults of the same gender" is "morally wrong," and only 42% say it is "morally acceptable.")

ENDA should be opposed by anyone who believes in freedom of speech, freedom of association, and a free market economy.

The opinions expressed in this commentary are solely those of Peter Sprigg.

@highlight

Peter Sprigg: Employment Non-Discrimination Act is fraught with moral and legal problems

@highlight

Sprigg: ENDA could provide fertile ground for employers to be hit by costly lawsuits

@highlight

He says it would allow reverse discrimination against those who disapprove homosexuality

@highlight

Sprigg: ENDA should be opposed by anyone who want a free market economy