(CNN) -- Three years after the repeal of "don't ask, don't tell," the now-defunct law prohibiting gay men, lesbians and bisexuals from serving openly in the armed forces, many Americans might not know that a significant form of discrimination still exists: The U.S. military bans transgender people.

Military recruiters are required to turn down attempts by transgender Americans to enlist. If, after joining the military, service members are discovered to be transgender, they are fired. No other federal agency operates this way.

Because of the Pentagon's ban, an estimated 15,500 transgender people serving in the military have to hide and lie about who they are. This has devastating consequences for them, and makes it impossible to access medically necessary health care without risking discharge. Careers are ruined, and the military wastes resources training competent service members and then firing them when their gender identity is discovered.

That's just what happened to Landon Wilson, a transgender man who served as a Navy cryptologist in Afghanistan last year. Landon was so good at his job that his superiors put him up for a promotion. But in the course of preparing the paperwork, a colleague discovered that Landon was born a girl, so he was sent home and ushered out of the Navy.

Defense Secretary Chuck Hagel announced three months ago that he is open to reviewing the ban, and the White House expressed support. However, since Hagel's announcement, no progress has been made toward a resolution, and some observers have questioned whether the military could include transgender personnel without difficulty.

Transgender ex-Navy SEAL: Here's a question for you

To answer that question, a commission of leading legal, military and medical experts, including the U.S. Army's former chief medical officer, has completed a study on how to implement inclusive policy. The commission, which I co-chair, conducted an analysis of foreign military forces, as well as U.S. military experiences of previously excluded populations.

Our research indicates that allowing transgender personnel to serve will be neither burdensome nor complex. We found that as with any policy change, the implementation of an inclusive approach should be handled in a thoughtful and deliberate manner. That said, we found that the administrative and regulatory changes needed to implement inclusive policy are minimal, and that strong leadership will be sufficient for avoiding any potential problems.

Before implementing the repeal of "don't ask, don't tell," the Pentagon created an internal working group that took a year to formulate advice about how to repeal the ban. Its guidance was based on extensive research, including a survey it administered to 400,000 service members. Additionally, the military commissioned the RAND Corporation to complete a simultaneous study on the same implementation questions the internal Pentagon working group was considering.

While the working group and the RAND report produced useful recommendations, the snail's pace approach to implementation was based on the need to build political support, not by any complexities involved in lifting the ban. Because "don't ask, don't tell" was a congressional statute, the administration had to persuade a bipartisan coalition in Congress to support repeal, and the extensive research on implementation helped those efforts. But eliminating the restrictions on transgender service membersâ€”and embracing them as equal and respected members of our nation's armed forcesâ€”does not require the repeal of any law.

Since the ban can be lifted without waiting for Congress, there is no reason for delay: The Obama administration should immediately announce a moratorium on firing transgender service members, and begin implementing a policy of inclusion. President Obama has made it clear that when Congress will not help him solve the nation's problems, he can and will take executive action to get meaningful work done. Lifting the military's transgender ban is a win-win opportunity because the policy will strengthen both the armed forces and our democracy.

@highlight

Shannon Minter: "Don't ask, don't tell" gone, but military still bans transgender people

@highlight

Minter: 15,500 transgender people in the military must hide or they will get kicked out

@highlight

Minter: Careers are ruined; talent and training lost. Policy change would not be difficult

@highlight

Minter: Obama could end the firing of transgender service members and drop the ban