Las Vegas, Nevada (CNN) -- This weekend marks the end of an era for many fans of the iconic Liberace. The Las Vegas museum dedicated to preserving the glitz, the glamour and even the gaudiness that defined the entertainer's career is closing Sunday after more than 30 years.

Despite his dynamic history, the draw of the Liberace Museum has been eclipsed by some of Vegas' increasingly lavish attractions.

Low attendance is the primary factor in the decision to close the museum, Liberace Foundation President Jack Rappaport said.

Liberace himself opened the museum in 1979, and in its prime, it brought in 450,000 visitors a year.

"We've dwindled down to 50,000," Rappaport said.

He blames the low attendance on the museum's location three miles off Las Vegas Boulevard, commonly known as the Strip.

"We are just geographically not desirable," he said. [When the museum opened in 1979] we weren't competition for the Strip. We actually complemented the Strip."

Rappaport feels that the megaresort style of the new casinos of Las Vegas -- with high-end shopping, an abundance of restaurants, shows and other museum-type attractions -- gives tourists everything they could need.

"It's kind of like going to Disney World or Disneyland resort. You go there, and you don't really have to go anywhere else."

If there is a bright side, it's that since the closing was announced weeks ago, attendance has nearly tripled, according to one tour guide's estimate.

A significant number of this influx are locals who've lived in Vegas for decades but never made it to the museum. But positive attendance news in the 11th hour doesn't change the fact that for most of the 23 employees, not only will they be out of a job, they'll be out of a way to educate people on a man they've come to admire.

"I mean, [Liberace] was Las Vegas," museum director Tanya Combs said. "Reading everything and seeing everything ... you start to believe in what a nice man he was, and you really wanted everyone to know that."

Museum archivist and historian Pauline Lachance has been the go-to gal for anything and everything Liberace.

"He's made such an impact on my life; it's unbelievable. I get kind of choked up talking about him," she said.

She could tell you about all sorts of things, from "Walter" Valentino Liberace's early life as a piano prodigy to his prime years as the highest-paid entertainer in the world, with the highest flamboyance factor to boot.

He was a man who, in the midst of a battle with HIV, sold out New York's Radio City Music Hall so fast that his record still stands.

Lachance's very first experience with Mr. Showmanship himself was a night that almost didn't happen.

"I really didn't want to go," she recalls of the show her husband roped her into attending. But that evening sparked a passion, some might say obsession, for the king of bling. Up until his death in 1987 at 67, she attended no fewer than 50 of his shows.

"All you need to do is go to one performance, and you want to go to every one after that. He just captivates you with his charm and his music."

After the museum closes Sunday, Lachance will continue to work for the Liberace Foundation part-time. But there will be no more camera-wielding visitors oohing and aahing over Liberace's rhinestone-studded piano, complete with matching costume and Roadster.

See an iReporter's snapshots of the glitzy museum

The musician's remarkable costumes became more elaborate as the decades went on, some taking more than a year to construct.

Throughout his career, he played eight major hotels in Las Vegas, with his longest run at the Las Vegas Hilton.

In addition to establishing the museum in Vegas, Liberace set up a foundation to provide scholarship money to students of the arts.

To date, the foundation has given more than $6 million to more than 2,700 students. But what it's able to offer these days has diminished significantly. Two years ago, the scholarship fund amounted to $112,000. The following year, that number dropped to $62,000.

Rappaport said people can rest assured that the museum's collection -- which includes more than 60 of Liberace's intricate eye-popping costumes, his 9-foot mirrored Baldwin grand piano and his 7-foot rhinestone studded Baldwin grand -- won't go into hiding for too long.

A traveling tour of part of the collection is planned. The tour might be under way as early as summer 2011, according to Jeffrey Koep, chairman of the Liberace Foundation board of directors.

A new incarnation of the museum isn't out of the question.

"The board felt it best to close while we are still solvent and create a new business plan as we examine ways to sell our current location and search for locations that would allow for more patrons," Koep said in an e-mail.

Tour guide Howard Shapiro said he wasn't terribly surprised that the museum in its current form won't be around forever, but he agrees that Liberace is too much a part of Sin City to be totally forgotten.

"Las Vegas has a history of tearing down and not preserving. It's a sad commentary, but that's what this town is about, reinventing itself," Shapiro said. "I wouldn't be surprised if somewhere down the line, Liberace gets reinvented again. By whom and how, I don't know. But it is sad to see it close."

@highlight

Liberace Museum in Las Vegas, Nevada, is closing Sunday

@highlight

The museum was opened by the celebrated entertainer in 1979

@highlight

Low attendance is a key reason for closing

@highlight

A traveling tour of the museum's collection is planned for next year