(CNN) -- When Jon Bohmer sat down with his two little girls for a simple project they could work on together, he didn't realize they'd hit upon a solution to one of the world's biggest problems for just $5: A solar-powered oven.

Inventor Jon Bohmer with the oven he has made out of a cardboard box.

The ingeniously simple design uses two cardboard boxes, one inside the other, and an acrylic cover that lets in the sun's rays and traps them.

Black paint on the inner box, and silver foil on the outer one, help concentrate the heat. The trapped rays make the inside hot enough to cook casseroles, bake bread and boil water.

What the box also does is eliminate the need in developing countries for rural residents to cut down trees for firewood. About 3 billion people around the world do so, adding to deforestation and, in turn, global warming.

By allowing users to boil water, the simple device could also potentially save the millions of children who die from drinking unclean water.

Bohmer's invention on Thursday won the FT Climate Change Challenge, which sought to find and publicize the most innovative and practical solution to climate change.

"A lot of scientists are working on ways to send people to Mars. I was looking for something a little more grassroots, a little simpler," Bohmer said Thursday.

Bohmer's contest win notwithstanding, solar cooking with a cardboard oven isn't new. Two American women, Barbara Kerr and Sherry Cole, were the solar box cooker's first serious promoters in the 1970s. They and others joined forces to create the non-profit Solar Cookers International -- originally called Solar Box Cookers International -- in 1987.

Further, the organization's executive director, Patrick Widner, said that the plans for a solar box cooker were found in a book published by the Peace Corps in the 1960s.

"We are pleased that Mr. Bohmer has taken up the cause and interest of the 95 member organizations and 160 individuals of the Solar Cookers Worldwide Network," Widner said. "It would be a pleasure to work with Mr. Bohmer in Kenya where we have been promoting the use of solar cookers for ten years."

Bohmer, a Norwegian-born entrepreneur based in Kenya, said he also had been looking at solutions "way too complex, for way too long."

"This took me about a weekend, and it worked on the first try," Bohmer said. "It's mind-boggling how simple it is."

The contest was organized by the Forum for the Future -- a sustainable development charity -- and the Financial Times newspaper. Among the judges were British business magnate Richard Branson and environmentalist Rajendra Pachauri. The public also voted on the finalists.

Bohmer's invention beat about 300 other entries, including a machine that turns wood and other organic material into charcoal, wheel covers that make trucks more fuel efficient by reducing drag, and a feed supplement for livestock that reduces the methane they emit by 15 percent.

Bohmer named his invention the Kyoto Box, after the international environmental treaty to reduce global warming.

The box can be produced in existing cardboard factories. It has gone into production in a factory in Nairobi, Kenya, that can churn out about 2.5 million boxes a month.

Bohmer has also designed a more durable version, made from recycled plastic, which can be produced just as cheaply.

He envisions such cardboard ovens being distributed throughout rural Africa.

"In the West, we cook with electricity, so it's easy to ignore this problem," he said. "But half the world's population is still living in a stone age. The only way for them to cook is to make a fire.

"I don't want to see another 80-year-old woman carrying 20 kilos of firewood on her back. Maybe we don't have to."

@highlight

Inventor Jon Bohmer has created a $5 oven made out of cardboard boxes

@highlight

Design uses 2 boxes, and an acrylic cover that lets in sun's rays and traps them

@highlight

Award-winning oven has gone into production in a factory in Nairobi