(CNN) -- By day, tens of thousands turned out in cities across Egypt -- demanding the ouster of President Hosni Mubarak, calling for major economic and political reforms and, in multiple spots, bloodily clashing with police forces.

By night, with the security forces seemingly disappeared, some had stepped back to mourn those killed, treat their wounds or gather strength. Other citizens, meanwhile, gathered whatever weapons they could find as they banded together with friends, family and neighbors to protect their communities from roving bands of looters.

"There's no army, no one to prevent (theft and chaos). They disappeared," said one man from a Cairo suburb on Saturday night, who united with friends, cousins and neighbors to protect their property.

Closer to the capital's center, as well as in Alexandria and Suez, the main events earlier Saturday were turn-outs by tens of thousands of demonstrators. For the fifth straight day, they held up signs and shouted for an end to Mubarak's 30-year reign, unsatisfied with his newly shuffled government.

"What's happened to our president?" said one woman in Cairo, wearing a black veil. "We don't want him (because) he's responsible for all this."

But her anger was tempered by satisfaction that people had turned out, in such large numbers, to express their views after decades of silence and suppression.

"I am happy," she said. "I feel yes, we can change."

In Alexandria, protests have gained strength during the course of the week. Throngs chanted Saturday, "We want him out, we want him gone, Mubarak has to go."

One demonstrator told CNN's Nic Robertson that Mubarak, after an early Saturday speech signaling his intent to reorganize his government but stay in power, was trying to challenge demonstrators. He said his decision to implement a curfew, which extended from 6 p.m. to 7 a.m., was irrelevant and suggested that the opposition is only getting stronger and bolder.

"He cannot order us, he's not the president anymore," the man said. "He wants to calm us down by saying he will stay. That is not calming us down."

There were also tears Saturday, the result of mounting casualties from sporadic confrontations between demonstrators and police.

At one point, the body of a man, apparently killed while trying to approach the Interior Ministry, was carried through the streets, wrapped in an Egyptian flag.

Also in Cairo, a mosque was turned into a makeshift clinic. There, a handful of men came in with wounds from what appeared to be rubber pellets fired by police, they told CNN,

And at least 31 people were killed in Alexandria, Egypt, hospital authorities told CNN.

Besides civic discontent and violence, general lawlessness was also pervasive -- especially in areas outside the city centers, which were largely free of any police or military presence.

Looters, some sporting swords and riding motorcycles, had infiltrated numerous public and private buildings. While there were reports of a large gun battle Saturday night, they largely went unbothered by security forces, though not as often by residents.

Fires could be seen in several Cairo neighborhoods, set by people paying no heed to the government-imposed curfew. People also continued to roam the streets, in what was in some ways one of the quietest nights since the protests began earlier this week.

An increasing number of residents, fearful given the apparent absence of any official security apparatus, had taken matters into their own hands. They worked together to set up barricades around some streets. Many -- including the wife of CNN senior international correspondent Ben Wedeman -- handed out clubs, kitchen knives and whatever other implements they could find to trustworthy men and teenagers who could help ward off looters.

This sense of community and desire for protection was evident early Sunday outside the famed Egyptian Museum, home to King Tut and other milllenia-old relics of the nation's storied past.

Army tanks surrounded the museum, with some soliders standing inside its garden. In front, mostly euphoric civilians stood arm-in-arm -- in solidarity with the military and in defense of some of Egypt's greatest treasures.

Still, there was also ample evidence of chaos and destruction. Numerous police stations had been burned and ransacked. And private businesses also were hit, including several shops in an upscale Cairo neighborhood.

Residents said they were worried about possible anarchy and prisoners escaping from jails.

Others told CNN they worry that the chaos is President Hosni Mubarak's strategy -- that all the crime could turn people against the protesters, and build favor for the government security forces to restore order.

Shereif Abdelbaki, a resident of Cairo, said he saw people burning cars and taking parts from a junkyard. He said the police had withdrawn or were otherwise occupied, while the Army was downtown, leaving community members to work together or fend for themselves to protect property.

"We have all become vigilantes," he said. "Basically, it's like the Wild West. Where is the security?"

CNN's Ben Wedeman, Nic Robertson, Mary Rogers and Frederik Pleitgen contributed to this report.

@highlight

NEW: Civilians stand arm-in-arm in front of tanks to protect famed Egyptian Museum

@highlight

Protesters turn out in droves for a fifth day, demanding President Mubarak's ouster

@highlight

Casualties mount, too, in Cairo and Alexandria, after demonstrators clash with police

@highlight

Still, police are largely absent in many areas, contributing to widespread looting