(CNN) -- Back in January, Vice President Joe Biden summed up President Obama's first term with: "Osama Bin Laden is dead and General Motors is alive." At the time, the Obama campaign sought to emphasize the president's record in foreign policy and saving the auto industry. Last week, the campaign unveiled a new theme and sent Biden to Ohio to test it out. For the first time, Biden called the Republican contenders by name and said that they would "bankrupt the middle class." The campaign is now more focused on the economy, highlighting the difference between the president's "promoting the private sector" and the GOP's "promoting the privileged sector."

The president's political fortunes have improved, but voters are fickle. Voters applauded George H.W. Bush for winning the Gulf War in 1991; then after an economic slump, they fired him in 1992. If the economy keeps getting better and if President Obama seems to be on top of world affairs, then he will indeed win. Conversely, if the recovery stalls or if he botches a foreign crisis, then he will probably lose.

So how do things look? Although unemployment remains high, it has come down from its peak levels. Other economic indicators are pointing in the right direction, too. In the past three years, for instance, the Dow Jones has increased by about 70%. On the global scene, President Obama has pulled out of Iraq. As tough as the war in Afghanistan may be, it has not cost nearly as many American lives as Korea or Vietnam. In any case, the administration is planning to withdraw.

All told, things aren't great, but they were worse a few years ago. That's hardly an inspiring slogan, but the reality may be sufficient for the president to get a second term.

Here's the rub: Reality can suddenly turn bad.

In the middle of his term, President Carter seemed a decent bet to win re-election. The economy was doing OK, and he had brought the Egyptians and Israelis together at the Camp David Summit. Then the revolution in Iran disrupted oil supplies, hiking gasoline prices and triggering an economic recession. The Iranian hostage crisis initially prompted Americans to rally around their president, but as it dragged on, his approval ratings sank.

Although the current situation in Iran isn't identical, there are enough similarities to trouble the White House. Uncertainty has driven up pump prices, which have slowed the rise in the president's poll numbers. As Newt Gingrich says, "You can't buy enough advertising to offset driving past a gas station."

A nuclear Iran would put the president's diplomatic skills to the test. If he failed, he would pay a steep price on Election Day.

So sunshine means political victory and dark skies mean defeat. But consider the partly cloudy scenario, where the news is bad enough to put the outcome in doubt but not so terrible as to ensure the president's ouster. In such cases, messaging comes into play. It might move only a point or two, but in an otherwise 50-50 election, that margin can make the difference.

President Obama's habitual response to policy problems is to say that "there is no silver bullet." He should drop that line, since it sounds defeatist. And werewolves are the only ones that like hearing there are no silver bullets.

Instead, the classic political strategy is to go on the attack. As Richard Nixon put it: "Politics is battle, and the best way to fire up your troops is to rally them against a visible opponent on the other side of the field." For Democrats, this advice means painting the GOP candidate as the heartless instrument of the wealthiest 1%.

We are already hearing such rhetoric. For President Obama, however, there is a catch. During the 2008 campaign, he collected millions in campaign contributions from the 1%. This time out, some of them are shutting their checkbooks to him. Moreover, the rhetoric of rich versus poor can lead to awkward moments. Recently, Vice President Biden accused the GOP of not caring about the middle class. Critics noted that he made the remarks at a $10,000-per-couple fundraiser.

This kind of back-and-forth will count only if conditions produce a close election. A big margin on either side will depend largely on the economy and grand issues of war and peace. Reality trumps rhetoric.

The opinions expressed in this commentary are solely those of John J. Pitney, Jr.

@highlight

Vice president Joe Biden pitches to voters, "Osama Bin Laden is dead and General Motors is alive"

@highlight

John J. Pitney Jr.: Presidential elections turn mostly on the big things: economy, war and peace

@highlight

He says that in a close election, rhetoric can affect the margin of difference

@highlight

He says that at the end of the day, reality trumps rhetoric