(CNN) -- At least 29 students died in a February 25 attack on a college in Buni Yadi, northeastern Nigeria, during which several buildings were torched.

The attackers escaped the scene, but Nigeria's military suspects that the militant group Boko Haram, which has wreaked havoc in the region for several years, are the perpetrators.

The Nigerian government is struggling to control the bloodshed between the mainly Muslim north and Christian south that has claimed more than 3,000 lives since Boko Haram came to prominence in 2009, according to Human Rights Watch.

Who are Boko Haram?

Boko Haram means "Western education is a sin." The group's ambitions range from the stricter enforcement of Sharia law -- which is derived from the Koran as the "world of God" -- across the predominantly Muslim north of Nigeria, to the total destruction of the Nigerian state and its government.

What's causing the unrest?

Armed militant groups in Nigeria's northeastern region are nothing new, but Boko Haram has taken the violence to unprecedented levels since 2009, murdering and kidnapping Westerners and bombing schools and churches.

In late 2013, Human Rights Watch said Boko Haram had abducted scores of women and girls and used children as young as 13 in their campaign of violence.

The country's immense oil wealth is concentrated in the south, while the predominantly Muslim north remains extremely poor. There were riots and accusations of vote-rigging when former military ruler Gen. Muhammadu Buhari, much of the north's favored candidate for president, lost to Goodluck Jonathan, who hails from the south, in the 2011 national election.

What's the Nigerian government doing about it?

In mid-May the Nigerian government declared a state of emergency in three northeastern states -- Adamawawa, Yobe and Borno state -- and created the Joint Task Force wing of the military to try to stamp out the insurgency.

A media blackout has also ensued, which ensures that communications in and out of the remote area are nearly impossible and that the Nigerian military can operate out of the media spotlight. The military has been accused of committing atrocities against civilians by Human Rights Watch and Amnesty International.

After raising concerns with Nigeria's foreign minister last May, U.S. Secretary of State John Kerry said: "The government has acknowledged that there have been some problems ... they're working to try to control it."

In November 2013, Nigeria's national assembly extended the state of emergency for a further six months at the President's request.

Is the violence a purely sectarian dispute?

While it's easy to frame the violence as Christians versus Muslims, it's much more than sectarian. Boko Haram will attack other Muslims when they feel they're not adhering to strict Sharia law. Meanwhile, the Joint Task Force's actions in the region aren't winning them any fans -- and there are also vigilante thugs who stop and search cars entering northeastern cities like Maiduguri.

Why has Boko Haram attacked mosques in the past?

Boko Haram doesn't view all Muslims as supporters and allies -- and there have been suggestions that the group is attacking certain mosques because members of that mosque have assisted the Joint Task Force in tracking members of the militant group.

Does Boko Haram enjoy support from the people?

Although the northern populace mostly abhors the violence, there is considerable local sympathy and support for Sharia law, seen by many as the only way to put an end to what is widely regarded as a corrupt and inept government.

Northern Nigeria has some of the worst human development indicators in the world -- and as the military struggles to stop the spread of attacks from Boko Haram's base in the northeast, the militant group is winning perhaps its most important battle: making Nigerians question the competency of their government.

Could the violence spread to other countries?

It already has. Boko Haram is active in neighboring Cameroon, where a French family was kidnapped in February 2013, as well as a French priest in November that year. And in a video released in August 2013, the group's leader, Abubakar Shekau, said: "Our strength and firepower is bigger than that of Nigeria. Nigeria is no longer a big deal to us, as far as we are concerned. We will now comfortably confront the United States of America."

The U.S. says the group has links to the al Qaeda affiliate in West Africa, and extremist groups in Mali. In March 2011, Gen. Carter Ham, then the commander of U.S. Africa Command, warned Congress that Boko Haram elements "aspire to a broader regional level of attacks," including against United States and European interests.

Why isn't the international community stepping in?

In November 2013, the U.S. State Department designated Boko Haram and its offshoot Ansaru as "terrorist organizations," legally enabling Washington to take various steps against the groups, their members and their supporters.

A year earlier it had designated the leader of Boko Haram as a terrorist and put a $7 million bounty on his head, in addition to providing technical and financial support to the Nigerian teams fighting on the ground. But there's a growing international reluctance to put boots on the ground unless there's a direct national security threat to the West, like in the case of the French intervention in Mali last year.

Why is Nigeria so important to the region and rest of the world? What's the role of oil?

Nigeria, with nearly 175 million people, is considered the political and economic powerhouse of West Africa. Rich in oil, the country is a key U.S. partner and has a massive banking sector. China is the biggest trade partner for Africa, and Nigeria is the hub of global business in the region.

CNN Wires contributed to this report.

@highlight

Nigeria is battling an Islamist insurgency that has claimed 3,000 lives since 2009

@highlight

Boko Haram is fighting for stricter Sharia law in Nigeria's predominately Muslim north

@highlight

Rights groups have blamed both Boko Haram and the military for atrocities against civilians

@highlight

Oil-rich Nigeria is a key U.S. partner and the economic powerhouse of West Africa