(CNN) -- Mario Santos likely never made it to the United States.

The 18-year-old set out 10 years ago from his native El Salvador in search of opportunity and a better way of life. But he had to travel north through Mexico first.

A short while after leaving, he called his parents to tell them he had been beaten and robbed in Mexico, left penniless and without shoes or clothes. It was the last they heard from him.

While it's not certain that Santos is dead, he probably suffered the same fate as 72 migrants from Central and South America whose bodies were found this week in a ranch in northern Mexico, just 90 miles from the U.S. border. Officials are investigating whether they were the victims of human traffickers or drug cartels that prey on migrants.

It's a fate that officials say befalls thousands of Central and South Americans every year.

"It's brutal," says Peter Hakim, president emeritus of the Inter-American Dialogue, a non-partisan Washington policy institute. "This is very big business. It's very brutal."

It is indeed big business. Human trafficking is one of the most lucrative forms of crime worldwide after drug and arms trafficking, the United Nations Office on Drugs and Crime said in April.

In Mexico, it is a $15 billion- to $20 billion-a-year endeavor, second only to drug trafficking, said Samuel Logan, founding director of Southern Pulse, an online information network focused on Latin America.

"And that may be a conservative estimate," Logan said.

That money, which used to go mostly to smugglers, now also flows into the hands of drug cartel members.

The Center for Strategic and International Studies, a bipartisan, nonprofit policy institute based in Washington, noted in an August report that human smuggling and other illegal activities are playing an increasingly important role as narcotraffickers diversify their activities.

"The drug cartels have not confined themselves to selling narcotics," the report said. "They engage in kidnapping for ransom, extortion, human smuggling and other crimes to augment their incomes."

Some cartels have come to rely more in recent years on human smuggling.

"For the Zetas, it's been one of their main revenue streams for years," Logan said about the vicious cartel, which operates mostly in northeastern Mexico.

Cartel involvement has increased the risk for migrants crossing through Mexico to get to the United States, said Mexico's National Commission for Human Rights. An investigation by the commission showed that 9,758 migrants were abducted from September 2008 to February 2009, or about 1,600 per month.

No one knows exactly how many people try to make the passage every year.

The human rights organization Amnesty International estimates it as tens of thousands. More than 90 percent of them are Central Americans, mostly from El Salvador, Guatemala, Honduras and Nicaragua, Amnesty International said in a report this year. And the vast majority of these migrants, the rights group said, are headed for the United States.

"Their journey is one of the most dangerous in the world," Amnesty International said.

"Every year, thousands of migrants are kidnapped, threatened or assaulted by members of criminal gangs," the rights group said. "Extortion and sexual violence are widespread and many migrants go missing or are killed. Few of these abuses are reported and in most cases those responsible are never held to account."

An indication of how many people attempt the trip can be found in statistics compiled by Mexico's National Migration Service, which tracks how many migrants are detained and returned to their countries of origin each year. Experts note that these are only the migrants who get caught, and that many -- even most -- are not apprehended.

Nonetheless, the Mexican agency said it detained 64,061 migrants last year, 60,383 of whom were from El Salvador, Guatemala, Honduras and Nicaragua. About 20 percent of them were females and about 8 percent were under the age of 18. Some were under 10.

Officials in El Salvador, where the teen-aged Santos started his trip, estimate that about 10,000 Central American migrants suffered some kind of abuse in 2009.

"The vast majority has been committed by these organized crime gangs, such as the Zetas for example, in the route along the Gulf (of Mexico), which is where they operate most frequently," said Juan Jose Garcia, the Salvadoran vice minister for citizens living abroad.

"But we also have found events in which (Mexican) authorities have participated," Garcia said.

The Salvadoran Foreign Ministry estimates up to 150 citizens leave each day for Mexico. Some analysts put that figure at closer to 300.

For most Central Americans, that journey begins with a human smuggler, commonly called a "pollero." In the United States, the smugglers are better known as "coyotes."

For a set fee, usually ranging from $850 to $5,000 a head,  a smuggler will deliver a migrant to the border of the United States or even offer passage across.

Problems often arise when smugglers and migrants approach the border and organized crime organizations get involved.

"This is where things get complicated," said Logan, who is writing a book on the Zetas and is the author of "This is for the Mara Salvatrucha: Inside the MS-13 America's Most Violent Gang."

The drug-trafficking organizations charge the "polleros" a price per person for the right to cross over their territory, a practice called "derecho de piso,"  or right of passage.

Or they will abduct the migrants and hold them for ransom from their relatives and friends in the United States or family back home.

Often times, the United Nations Office on Drugs and Crime said, migrants who are abducted are subjected to sexual or labor exploitation.

If the migrants are being held for ransom and the money is not paid in time, the situation can get ugly.

"Sometimes the Mexican organized crime group says, 'The hell with it. We're not going to deal with these people,' and they kill them all," Logan said.

That's what may have happened, Logan said, to the 72 people whose bodies were found Tuesday in a ranch building in Tamaulipas state, about 14 miles (22 kilometers) from the town of San Fernando, near the border with Texas.

Or the migrants may have refused to work for the cartel, which is one possibility that has been mentioned in news accounts.

A bloody turf war between the Zetas and the Gulf cartels also may have complicated matters because the smugglers may not have known who to pay or may have paid one group and angered the other.

"In Tamaulipas, it's very hard for a pollero to know who is who," Logan said. "The Zetas and Gulf cartels were once allied and now have split."

At any rate, the involvement of the drug cartels has changed the dynamics of human smuggling in Mexico, said Andrew Selee, director of the Woodrow Wilson Center's Mexico Institute.

Selee remembers living in northern Mexico a few years back and knowing that a father-son duo who lived on his block were "polleros."

"That's gone," Selee said, noting that the costs of having to pay cartels for the right to cross their territory has driven out small-time smugglers.

"They now have to be big enough to handle those costs," Selee said.

Selee and the Inter-American Dialogue's Hakim point out that increased border security and interdiction by the United States also has led to cartel involvement because of the level of sophistication and complexity now often involved in getting someone across the border. The cartels already have the routes and other facilities in place they use for smuggling drugs.

"We're no longer talking about a simple process that involves one or two individuals," Selee said. "This has become much more dangerous."

As always, profit is the motive.

"The smuggling became profitable the more the United States began to build barriers to immigration," Hakim said.

On Thursday, Amnesty International called on the Mexican government to take swift action about the slayings of the 72 people in Tamaulipas.

"Amnesty International issued a report in April highlighting the failure of Mexican federal and state authorities to implement effective measures to prevent and punish thousands of kidnappings, killings and rape of irregular migrants at the hands of criminal gangs, who often operate with the complicity or acquiescence of public officials," the rights group said in a release.

"This case once again demonstrates the extreme dangers faced by migrants and the apparent inability of both federal and state authorities to reduce the attacks that migrants face. The response of the authorities to this case will be a test."

It's too late for the families of the victims.

For the parents of Mario Santos, the Salvadoran who disappeared 10 years ago, much of the anguish lies in not knowing what happened.

"If only he would call me on the telephone and I would know he is alive, even if I never saw him again, that would satisfy me," said his father, Daniel Santos.

For thousands of Central American families, the phone does not ring.

Journalist Merlin Delcid contributed to this report.

@highlight

The road to the United States goes through Mexico for Central Americans

@highlight

The journey is "one of the most dangerous in the world," rights group says

@highlight

Thousands of migrants are abused each years by smugglers and drug cartels

@highlight

Human smuggling may be a $20 billion business in Mexico