(CNN) -- Call them the "Meh-mmys."

Sure, when it comes to television's most prestigious award, the Academy of Television Arts and Sciences tries. When the center of gravity moved to cable, the Emmys followed, giving "The Sopranos," "The Shield" and "Mad Men" the same kind of attention it once gave "Hill Street Blues" and "Picket Fences." When new genres and new technology arose, the Academy responded, creating categories for reality shows and "short-format live-action entertainment programs" (i.e., online video).

And it's hard to argue with this year's nominees. Even the most questionable of the bunch -- "Mad Men," "The Big Bang Theory," Al Pacino's love it-or-hate it turn as Phil Spector -- represent a level of professionalism and quality that should be acknowledged.

Then why do the 65th Primetime Emmys feel so ... meh?

One reason is the same-old, same-old factor: that the Emmys tend to nominate the same shows (or the same types of shows) every year, says longtime awards watcher Tom O'Neil of Goldderby.com.

"TV is infamous for its reruns -- that's the nature of the boob tube -- and it's hard to whip up excitement when the same contenders return year after year," he says.

For example, he points out, this year there's only one new show among the 12 nominees for best drama and best comedy, and that's "House of Cards," which came from a non-network, Netflix. (Another show, FX's "Louie," was nominated for the first time, though it just concluded its third season.)

'House of Cards' creator Beau Willimon plays a solid hand

Grantland's TV critic, Andy Greenwald, adds a corollary to O'Neil's observation. Nowadays, there's so much worthwhile programming out there that the Emmys, even when nominating good shows, feel safe and conservative -- and, therefore, somewhat dull.

"For the most part, the Emmys do a pretty good job considering the impossibility and the ridiculousness of their task," he said.

The new, new TV golden age

He compares the awards with the two other major entertainment honors, the Oscars and Grammys. The former are often so hidebound to prestige productions -- you know the kind -- that they make us angry, Greenwald says. The latter awards, on the other hand, are so absurd that they make us laugh.

And the Emmys?

"They get under our skin in a different way, because they come so close," he said. "We often think that they should be getting it right, and they're awfully near to doing it."

Everyone's a critic

Indeed, it's often more fun -- especially in these days of 500 channels and a comparable number of interesting shows -- to single out the so-called snubs.

There are the obvious ones, of course. "Justified" didn't make it. Neither did "Sons of Anarchy," "Parks and Recreation," "The Americans" and "The Walking Dead."

Emmys 2013: Who got snubbed?

But there are also several other shows that missed out in lesser categories.

For example, A&E's "Duck Dynasty" is hugely popular and, given the hazy reality and clever editing of "reality" shows, obviously well-crafted. It was completely ignored by the Emmys.

And if "Duck Dynasty" is the kind of heartland-favored show sneered at by critics (though, counter to perceptions, many have praised it), what about BBC America's "Orphan Black"? It's well-written and features a bravura performance by Tatiana Maslany as several clones with distinct personalities. It also garnered zero nominations. Fans on Twitter were not happy. (But what else is new?)

As EOnline's Tierney Bricker said in reviewing the nominations, "It's Emmy season, time for nominations that come with no rhyme or reason!"

But even Greenwald, who wryly notes that he's a "professional TV watcher," finds it hard to keep up. There's so much to live-blog and track that a show like "Orphan Black" can slip through the cracks until, suddenly, there's an outcry, he says.

"People who are more plugged in than I am, maybe they were a little late in discovering a show that launched in January," he said. "It's a testament to the way the culture works now, that it sort of trickled down and people can discover something months after it debuted."

And it's a good indicator of how much good stuff there is for the watching, he adds.

"You have to look at the positives. This year, people are taking for granted that Louis C.K. got nominated or 'Top of the Lake,' " he said. "I think the arguments people are making for snubs this year were a little ticky-tack and reflected how things like Twitter have made us all TV critics."

'Mass' or 'class'?

This doesn't mean the Emmys can't provide negative indicators, though.

The most notable is, of course, the struggle for broadcast network shows to make the Emmy cut. For all of the discussion about audience declines and new paradigms, the broadcast networks still draw relatively large audiences for their biggest hits. "NCIS," for example, draws more than 20 million people a week, and even "Grey's Anatomy," which has been in a slow audience decline for years, still pulls 11 million viewers each week.

However, of the 12 shows nominated for best comedy and best drama, only three are on commercial broadcast networks. (A fourth, "Downton Abbey," is on PBS.)

It's the cable shows, with their hard-core fan bases and chattering-class chatter, that get most of the buzz. That doesn't necessarily help boost ratings for the Emmy Awards, which try to appeal to all TV watchers.

It's the same problem the Oscars face when the Motion Picture Academy nominates a bunch of worthy, but low-grossing, films: Without the draw of blockbuster nominees, water-cooler interest wanes. (And so do ratings.)

But the broadcast networks haven't helped their cause, says Greenwald.

"The real tragedy is the way the networks have not been able to make the pivot," he said. "What they do best is reach as many people as possible, but what they've been doing is either reaching for the lowest common denominator or trying to lurch themselves into being like cable, which never works out well for anyone."

In picking the winners, the Television Academy has also risked alienating its audience, says O'Neil.

"The one thing you can usually count on with Emmy voting is unabashed elitism and snobbism," he said. The shows that win, he points out, are "highly styled, very upscale, aspirational shows." That explains why a show like "Roseanne," the top-rated sitcom that won a slew of other honors during its long run -- including a Peabody -- never won the Emmy for best comedy series.

With its brassy lead and working-class setting, "It represented all the things that made (Emmy voters) disgusted," O'Neil said.

Expect the unexpected

What could raise interest in the Emmys?

The show could add more nominees to its major categories, as the Oscars have done for best picture. That would allow it to welcome a broader range of shows, whether low-rated but passionately watched programs such as "Orphan Black" or popular, well-crafted but overlooked dramas such as "Blue Bloods."

But an even more intriguing idea would be to have an additional category -- call it "Outstanding Series" or "Show of the Year" -- that throws every major nominee, as well as some fan picks, into the mix. It could be the Emmy equivalent of the NCAA basketball tournament or the Grammys' many-genre album of the year category.

Greenwald likes the idea.

"I think it would be a very good reflection of how we watch TV now," he said. "That would be fascinating to watch."

But, in the meantime, we'll just have to make do with the nominees and categories we have, not the nominees and categories we want. Goldderby's O'Neil, for one, doesn't expect too many surprises: "Breaking Bad" for best drama, "Modern Family" for best comedy and the usual bunch of trophies for HBO -- which won 20 on Sunday at the Creative Arts Emmys, where many categories were presented. (CNN's original series "Anthony Bourdain Parts Unknown" won two awards.)

And, despite the presence of host Neil Patrick Harris, ratings may take a beating, thanks to a face-off against TV's No. 1 show -- that would be NBC's "Sunday Night Football" -- and the penultimate episode of "Breaking Bad" on AMC.

But, O'Neil adds, you never know. There are any number of tea leaves that indicate one thing and then don't pan out at all.

It's enough to actually create some excitement.

"You stop using logic," he said. "This is the Emmys."

The 65th Emmy Awards are scheduled to air Sunday on CBS from Los Angeles' Nokia Theatre.

@highlight

The Emmy Awards often fall short of capturing fan excitement for certain shows

@highlight

With more choices of what to watch -- and when -- many quality shows get overlooked

@highlight

Still, the Emmys appeal to many viewers