Yangon, Myanmar (CNN) -- Buddhist monks and others armed with swords and machetes Friday stalked the streets of a city in central Myanmar, where sectarian violence that has left about 20 people dead has begun to spread to other areas, according to local officials.

Members of the Buddhist and Muslim communities in Meiktila township have clashed this week after a dispute between a Muslim gold shop owner and two Buddhist sellers Wednesday ignited simmering communal tensions.

Rioters have set fire to houses, schools and mosques, prompting thousands of residents to flee their homes amid unrest that had echoes of sectarian troubles that killed scores of people in western Myanmar last year.

Late Friday night, President Thein Sein announced on state television that four townships in the affected region are under a state of emergency.

The United Nations and the United States have expressed concern about the violence in the lakeside city about 100 kilometers (60 miles) south of Mandalay.

Win Htein, an opposition member of parliament for Meiktila, said the number of dead in the city has risen to about 20 by his estimate -- most of them Muslims -- after charred bodies were found in the streets.

"I have not seen this scale of violence before in my life," he said. "I am very sad. The community used to live in peace."

Myanmar is emerging from decades of military repression and has taken a number of significant steps toward democracy in recent years under President Thein Sein. But it has been plagued by bouts of ethnic violence that some analysts say are a byproduct of the changing political climate.

Burning mosques

A group of about 100 Buddhists, including some monks, went around Meiktila on Thursday night torching mosques, said Police Lt. Col. Aung Min, and while most of them have returned home, some are still wandering the streets, carrying weapons.

Although Aung Min declined to provide an official death toll, he said the violence had spread to a nearby town, Win Twin, where a mosque was burned down overnight.

He said about 1,000 Muslims had taken temporary shelter in a soccer stadium in Meiktila, where about 30% of the 100,000 residents are estimated to be Muslims.

Win Htein said he believed that more than 5,000 Buddhists had fled to monasteries around the city to escape the violence.

Many members of both communities had lost their homes, he said.

Journalists in the city who tried to take photos of the clashes said they were threatened by Buddhists, some of them monks, who were holding sticks and knives.

Violence in Rakhine

In the western state of Rakhine, tensions between the majority Buddhist community and the Rohingya, a stateless ethnic Muslim group, boiled over into clashes that killed scores of people and left tens of thousands of others living in makeshift camps last year.

Most of the victims were Rohingya.

"The ongoing intercommunal strife in Rakhine State is of grave concern," the International Crisis Group said in a November report. "And there is the potential for similar violence elsewhere, as nationalism and ethno-nationalism rise and old prejudices resurface."

A failure by authorities to address deepening divisions between the communities could result in a resumption of violence in the future, the report said, "which would be to the detriment of both communities, and of the country as a whole."

Vijay Nambiar, special adviser to the U.N. secretary-general on Myanmar, on Thursday expressed "deep sorrow at the tragic loss of lives and destruction" in Meiktila this week.

He called for "firm action" from Myanmar authorities, combined with "the continued fostering of communal harmony and preservation of peace and tranquility among the people."

Win Htein, the local lawmaker, said that he believed there were now about 1,000 police officers in the area.

He said he had spoken to Aung San Suu Kyi, the Nobel laureate and leader of the opposition National League for Democracy, who had said local authorities should use police to control the situation according to the law.

The U.S. ambassador to Myanmar, Derek Mitchell, said Thursday that he was "deeply concerned" about the reports of violence.

Journalist Phyo Wai Lin reported from Yangon, CNN's Kocha Olarn reported from Bangkok, Thailand, and CNN's Jethro Mullen reported and wrote from Hong Kong.

@highlight

Four townships in central Myanmar under a state of emergency, the president says

@highlight

The rioting has driven thousands of people from their homes, officials say

@highlight

Clashes started with a dispute between a Muslim shop owner and Buddhist sellers

@highlight

Last year, ethnic violence in western Myanmar left scores of people dead