(CNN) -- Here's what we know about Saturday's crash landing of Asiana Airlines Flight 214 and some of the key questions raised by those facts:

1. A preliminary readout from the flight data and cockpit voice recorders shows the aircraft was approaching well below the target landing speed of 137 knots (157 mph). Records from the flight data recorder show that at 500 feet of altitude and 34 seconds before impact, the aircraft had already slowed to 134 knots (154 mph).

At seven seconds before impact, the pilots attempted to spool up the engines. At four seconds, the stall warning sounded. At 1.5 seconds, the pilots tried to abort the landing and go around to attempt another landing. At impact, the flight data recorder shows the aircraft had a forward speed of a mere 106 knots (121 mph).

What we don't know: Why was the aircraft approaching so slowly? Did the pilot not realize he was short?

Girls killed in crash were headed for camp

2. Asiana said the pilot at the controls was making his first landing of a Boeing 777 at San Francisco International Airport. While a pilot with more than 10,000 hours of experience, including many hours flying Boeing 747s, he had only 43 hours of flying time in a 777.

What we don't know: Did pilot inexperience with the aircraft play a role? Why did the captain not speak up or take control?

3. The NTSB investigators have found nothing to corroborate online flight tracking records showing that Asiana Flight 214 descended from cruising altitude much more steeply and rapidly than previous Asiana flights on the same route. The NTSB says it found no "abnormally steep descent data."

4. Part of the instrument landing system approach on Runway 28L was not working on the day of the crash. It had been down for some time. Flights were landing using visual flight rules. The weather was clear. The flight data shows the autopilot was disengaged at 1,600 feet and the pilot then took manual control of the plane.

What we don't know: Did the lack of ILS force the pilot to make a VFR landing in an aircraft with which he was not fully familiar?

5. The runway's precision approach path indicator lights, showing correct flight approach altitudes, were working.

What we don't know: Why didn't the pilot recognize he was too low for the approach and initiate a go-around earlier?

6. Based on the debris field and the video obtained by CNN, the aircraft appears to have struck the rock sea wall well before the start of the runway. There are some marks on the sea wall, consistent with an impact of some part of the plane.

7. The debris field runs from the water, slightly right of the paved threshold and runway center, all the way to the stopped aircraft fuselage. The NTSB says pieces of the rear of the aircraft are in the water near the seawall, visible at low tide.

8. The Boeing 777 lost its tail section, including vertical and horizontal stabilizers, near the end of the paved threshold, just before the start of the runway.

What we don't know: Is this an indication the tail of the aircraft detached after first impact?

9. The right engine is detached from the wing and wedged against the right side of the fuselage. The left engine is a considerable distance forward of the fuselage in a grassy area to the right of Runway 28L. The NTSB says both engines had high rotational damage, showing that they were powering at impact.

10. Most of the fire damage to the aircraft occurred after the Boeing 777 came to a stop on its belly.

11. Passengers described the cabin interior as heavily damaged, with overhead bins dropping and at least one life raft/escape slide inflating inside the aircraft, trapping a flight attendant, whom passengers helped free. The NTSB says it will investigate the structural safety of the seats.

12. The coroner says one of the two passengers killed appears to have been run over by an emergency vehicle, though the coroner had not yet determined the cause of death. Asiana has identified the fatalities as Ye Mengyuan and Wang Linjia of China, both of whom were 16.

13. Audio recordings of air traffic control conversations show no sign that the pilot declared an emergency before the crash landing. Emergency vehicles were dispatched afterward.

14. The aircraft was built in 2006 and was purchased new by Asiana.

15. The NTSB was planning to interview the four pilots Monday afternoon. Key information from those interviews will be made public at Tuesday's briefing.

First responders describe eerie, chaotic moments

Why so many people survived

CNN's Dan Simon and Richard Quest contributed to this report.

@highlight

Airline: Pilot was making first landing in control of a Boeing 777 at San Francisco airport

@highlight

Pilot had 10,000 hours of experience but only 43 hours flying time in a 777

@highlight

An emergency vehicle ran over one of the passengers

@highlight

Passengers describe the engines spooling up and the nose tilting up before impact