Mariupol, Ukraine (CNN) -- Russian President Vladimir Putin said Wednesday that he wants a delay in a referendum on whether certain eastern Ukrainian residents want sovereignty from Kiev and that presidential elections scheduled for this month are "a step in the right direction."

But he said that the planned May 25 presidential vote Kiev wants to hold would "not solve anything unless all of Ukraine's people first understand how their rights will be guaranteed" once the election has taken place.

The comments, according to a transcript published by the Kremlin, came after Putin met with the chairman of the Organization for Security and Co-operation in Europe.

Separatists in Ukraine's Donetsk region have scheduled a referendum for Sunday. Putin called for the delay "in order to give this dialogue the conditions it needs to have a chance."

He said that direct talks between Kiev authorities and representatives of the pro-Russian sympathizers in southeast Ukraine were key to settling the escalating crisis.

Ukrainian interim Prime Minister Arseniy Yatsenyuk dismissed Putin's comments on the referendum as "hot air."

"There is no point in dealing in hot air, especially for the President of a big country. Since Russia is asking to postpone some referendum on May 11, I think the Russian President needs to be informed that there was no referendum planned on May 11 in Ukraine to begin with.

"But if terrorists and separatists supported by Russia got an order to postpone something that doesn't exist, then this is an internal matter," he said.

In March, voters in Ukraine's Crimea Peninsula approved a controversial referendum to secede from Ukraine and join Russia, which subsequently annexed the Crimea region. That event highlighted the turmoil rocking Ukraine.

Meanwhile, NATO has "no indication" that Russia has moved its troops from the Ukrainian border, a NATO military official said Wednesday on the condition of anonymity.

White House deputy press secretary Josh Earnest echoed that.

"There is not evidence to date that there has been a meaningful and transparent withdrawal of Russian forces from the Ukrainian border," he told reporters.

The comments came after Putin said Wednesday that Russian forces are "now not on the Ukrainian border but are carrying out their regular exercises at the test grounds." Putin spoke after a meeting with OSCE chairman Didier Burkhalter.

Also from the White House, President Barack Obama notified Congress he intends to withdraw Russia's eligibility for trade benefits under the Generalized System of Preferences.

"Russia is sufficiently advanced economically that it no longer warrants preferential treatment reserved for less advanced developing countries, consistent with the requirements of the GSP program," the White House said in a statement.

Violence in southeastern Ukraine

Also Wednesday, Putin spoke about the release of pro-Moscow movement leader Pavel Gubarev, who was arrested on March 6 for leading an occupation of the regional administration office.

"We welcome the release ... but we hope to see all the other political prisoners released, too. We think the most important thing now is to launch direct dialogue, genuine, full-fledged dialogue between the Kiev authorities and representatives of southeast Ukraine," he said.

Elsewhere, five pro-Russian activists were killed overnight when Ukrainian forces attacked barricades on the outskirts of Ukraine's southeastern city of Mariupol, a spokeswoman for the pro-Russian camp said. Ukrainian forces detained 15 other activists, Irina Voropaeva said.

The violence comes amid an escalation of tensions as Ukrainian forces seek to regain control of some of the administrative buildings seized by pro-Russian separatists in a swath of the country's south and east.

The activists briefly abandoned the Mariupol City Council building, according to Voropaeva.

But the security forces remained in the building for only a short time, saying they had been ordered to leave.

The activists re-entered, and Russian and regional flags went back up, to the cheers of the crowd outside.

Later Wednesday, witnesses told CNN that Ukrainian forces dressed in black had fired over the heads of separatists who had gone to a Mariupol police station to demand the release of the 15 detained activists. The witnesses said several people were taken away in ambulances.

Elsewhere in the volatile Donetsk region, an uneasy standoff continued Wednesday between the Ukrainian military and the separatists.

Both sides clashed at the rebel stronghold of Slovyansk on Monday. Ukraine's security services said 30 "heavily armed" militants had been killed in recent days as part of the "anti-terrorist" operation in the area.

Referendum plan

As the tensions rise, uncertainty reigns.

The eastern Donetsk and Luhansk regions had said they would hold a referendum on autonomy Sunday, but there have been no visible preparations for a vote.

In Kiev, the interim government plans to hold presidential elections on May 25, but it acknowledges it has lost control of part of the country.

Russian Foreign Minister Sergey Lavrov on Tuesday said it would be "unusual" to hold a presidential election in the country when the army was being deployed against the population.

"In the situation where they use the army against their own population, it's quite unusual. This is not Afghanistan; this is a completely different situation," he said, adding that constitutional reforms promised by Kiev's new leaders would not be implemented in time for the vote.

Lavrov, speaking after a meeting of Council of Europe foreign ministers in Austria, also ruled out holding a second international meeting in a bid to defuse the crisis in Ukraine, saying that the provisions of a first international pact signed in Geneva, Switzerland, last month had yet to be put into force.

The agreement called on all parties to refrain from violence and required illegal armed groups to disarm and vacate seized public buildings.

'Gravest crisis'

Kiev and many in the West believe that the separatists are backed by Moscow and fear that Putin is fomenting trouble to increase his influence in the region.

In a briefing to U.S. senators on Tuesday night, the Obama administration provided a "sobering" assessment of Russia's intentions in Ukraine, including a concern that Putin will ultimately landlock the former Soviet nation, multiple sources on Capitol Hill and in the Pentagon said.

Russia now has its sights set on the southeastern port city of Odessa and will not allow it to stay under Ukrainian control because Moscow views it as too crucial to both trade and the resupply of Russian troops in the occupied Transnistria region of Moldova, the sources said. The ultimate goal would be to create a landlocked Ukraine.

In addition, the United States sees no letup in Moscow's direction of pro-Russian separatists and paramilitaries inside Ukraine and the continuing presence of Russian agents and special forces on the ground, the sources said.

But Moscow says that right-wing, ultranationalist groups are behind the violence in Ukraine and that it has no direct influence over the pro-Russian groups.

The rising tensions could have an impact far beyond Ukraine's borders, NATO Secretary General Anders Fogh Rasmussen warned Tuesday.

"Today we are facing the gravest crisis to European security since the end of the Cold War," he told reporters.

"But this is not just about Ukraine. This crisis has serious implications for the security and stability of the Euro-Atlantic area as a whole."

A week in eastern Ukraine

Ukraine crisis: Small numbers, global impact

CNN's Arwa Damon reported from Mariupol and journalist Lena Kashkarova from near Donetsk, while Laura Smith-Spark wrote from London. CNN's Jim Sciutto, Marie-Louise Gumuchian, Claudia Rebaza, Olga Pavlova, Kellie Morgan and Michael Martinez contributed to this report.

@highlight

Ukraine's acting PM dismisses Putin's call to postpone a referendum

@highlight

The United States worries Putin will landlock Ukraine, sources say

@highlight

NATO has "no indication" that Russia moved troops from Ukraine border, source says

@highlight

Putin earlier said Russian forces are "now not on the Ukrainian border"