NASA is asking for your help.

No, you do not get to go to space.

You do, however, get to view hundreds of thousands of images taken from space. Via The Gateway to Astronaut Photography of Earth, NASA is making available images ranging from the Mercury missions of the 1960s to photos recently snapped from the International Space Station.

The hope, NASA says, is that the images "could help save energy, contribute to better human health and safety and improve our understanding of atmospheric chemistry. But scientists need your help to make that happen."

The catalog contains more than 1.8 million photos, about 1.3 million of them from the space station and roughly 30% of them taken at night.

Before 2003, night images from the space station could be blurry, even with high-speed film and manual tracking, because the station moves at about 17,500 mph. In 2003, enterprising astronaut Don Pettit used a drill and assorted parts he found on the station to cobble together a "barn-door tracker," a lower-tech predecessor to the European Space Agency's NightPod, which was installed at the space station nine years later.

NightPod's motorized tripod compensates for the space station's speed, providing what NASA scientist William Stefanov says are the highest-resolution night images from orbit. Satellites collect data more regularly, but the photos tend to be lower resolution.

"Now the pictures are clear, but their location may not be, which limits their usefulness. That's where citizen science comes in," the NASA news release says.

The Complutense University of Madrid is spearheading efforts to catalog the photos and corral citizen input. It's broken the images into three components requiring different levels of participation:

1. Dark skies. This is the easiest project, as it requires no scientific expertise. "Anyone can help" by sorting the images into the categories: cities, stars or other objects, said Alejandro Sanchez, doctoral student at Complutense.

"Without the help of citizens, it is almost impossible to use these images scientifically. Algorithms cannot distinguish between stars, cities and other objects, such as the moon. Humans are much more efficient for complex image analysis," he said.

2. Night cities. Looking at night images, citizen scientists can tap their knowledge of local geography to match photos with positions on maps. Residents of a city can more easily identify a city's features than those who don't live there, Sanchez said. The data will be used to generate light maps of cities.

3. Lost at night. This is the trickiest, as it aims to identify cities in photos with 310-mile circumferences.

"We don't know which direction the astronaut pointed the camera, only where the station was at the time the image was taken," Sanchez said. "Some images are bright cities, but others are small towns. It is like a puzzle with 300,000 pieces."

Hundreds of volunteers have stepped up so far, classifying almost 20,000 photos, but NASA says multiple individuals should review each image to ensure accuracy.

The "open atlas of nighttime images" can be used to assess economic conditions, Sanchez said. One photo of the Korean Peninsula shows how North Korea is a barely lit swath of land between the heavily illuminated nations of South Korea and China.

Sanchez also cited the examples of Madrid and Berlin.

"Madrid is the capital of Spain, a country facing a major economic crisis. It is much brighter in astronaut images than Berlin, the capital of Germany, the country with the healthiest economy in Europe. Perhaps that is an indication that Germany more efficiently manages its resources. The images can provide evidence and data to verify that."

Other aims of the project include evaluating street lighting for safety purposes as well as to analyze light pollution and its effects on human health.

@highlight

Until recently, night images taken from 17,500-mph space station could be blurry

@highlight

NASA says images could improve health, safety, grasp on atmospheric chemistry

@highlight

University in Madrid broke images down into three categories with different aims

@highlight

Researcher: Madrid brighter than Berlin, despite economic disparity between cities