(CNN) -- Thick, handsome mustaches have long been prized by men throughout the Middle East as symbols of masculine virility, wisdom and maturity.

But not all mustaches are created equal, and in recent years, increasing numbers of Middle Eastern men have been going under the knife to attain the perfect specimen.

Turkish plastic surgeon Selahattin Tulunay says the number of mustache implants he performs has boomed in the last few years. He now performs 50-60 of the procedures a month, on patients who hail mostly from the Middle East and travel to Turkey as medical tourists.

He said his patients generally want thick mustaches as they felt they would make them look mature and dignified.

"For some men who look young and junior, they think (a mustache) is a must to look senior ... more professional and wise," he said. "They think it is prestigious."

Pierre Bouhanna is a Paris-based surgeon who, for the past five years, has been performing increasing numbers of mustache implants. He says the majority of his patients come from the United Arab Emirates, Iran, Lebanon and Turkey, with men traveling to France to have the surgery performed.

More from Inside the Middle East: Paris Hilton whips up a storm in Mecca

"My impression is more and more they want to establish their male aspect," he said. "They want a strong mustache."

Both surgeons use a technique -- follicular unit extraction -- in which groups of hairs are taken from areas of dense hair growth to be implanted in the mustache area.

Bouhanna said the patients were generally aged between 30 and 50, and were able to fly home the day after they had the procedure, which costs about $7,000 (â‚¬5,500) and is performed under local anesthetic.

They are able to wash the next day, had to abstain from shaving for 15 days, and could expect to see full results after six months.

Tulunay said some of his patients had specific looks in mind. "They have some celebrities as role models," he said -- Turkish singer and actor Ibrahim Tatlises had a look that many wished to emulate. Politicians in the region had also sought out his services to boost their appeal to voters.

Andrew Hammond, a Saudi Arabia-based journalist and author on Arab popular culture, said the mustache has a long history in the region.

"Having a mustache was always a big thing, ever since the Ottoman time," he said. "Most Arab leaders have mustaches, or some form of facial hair. I think culturally it suggests masculinity, wisdom and experience. "

More from Inside the Middle East: Fast-food-loving Kuwaitis fight fat with stomach stapling

Saddam Hussein's bushy whiskers were among the world's most recognizable, but all of Iraq's presidents before and since have also sported mustaches, as did Nasser and Sadat of Egypt (and the kings and sultans before them), Turkey's Erdogan (and the two prime ministers before him), Syria's Assad (and his father before him).

Christa Salamandra, an associate professor of anthropology at City University of New York, said that "traditionally, a luxurious mustache was a symbol of high social status," and had figured heavily in matters of personal honor in the Arab world. Men swore on their mustaches in sayings and folk tales, used them as collateral for loans and guarantees for promises, and sometimes even shaved their opponents' lips as a punishment.

The notion of a man's personal honor being bound up with his mustache appears to have survived into more recent times in some areas.

In 2008, militants in Gaza abducted a Fatah opponent and shaved off his mustache to dishonor him, while in 2003, in the lead up to the Second Gulf War, Izzat Ibrahim al-Douri -- a senior aide to Hussein and, like the rest of the former Iraqi leader's inner circle, himself mustachioed -- created headlines when he yelled "Curse be upon your mustache!" at a Kuwaiti counterpart at an emergency summit of Islamic states.

Visitors to the region, too, have long seen a value in growing a mustache to help earn respect.

The American diplomat Joel Barlow, who in 1795 was posted as U.S. consul to Algiers, wrote to his wife that he had grown a thick black mustache, which gave him "the air of a tiger," and had proved useful in his work in the region.

More than 200 years later, a unit of American Marines in Iraq's Sunni stronghold of Fallujah attempted to follow his example in 2004, growing mustaches in an attempt to help them win local sympathies.

In Turkey, different styles of mustache carry their own political nuances. According to one research paper, mustaches with drooping sides signify a conservative, nationalist bent, left-wingers favor mustaches like Stalin, while a "political religious" mustache is carefully groomed, with "cleanliness as its guiding principle."

Jenny Soffel contribued to this story.

@highlight

Cosmetic surgeons say mustache implants are proving popular

@highlight

The biggest demand for the surgery is from Middle Eastern men

@highlight

Many travel from the region to Turkey or France for the procedure

@highlight

Mustaches have long been prized in the Middle East as a symbol of virility