Washington (CNN) -- The morning that the federal government reopened after 16 days of political stalemate, President Barack Obama stood at the podium in the State Dining Room of The White House. He didn't smile.

"Those of us who have the privilege to serve this country have an obligation to do our job as best we can. We come from different parties, but we are Americans first," he said.

He then chastised Republican lawmakers, blaming them for the shutdown and drama over the debt ceiling that he called "completely unnecessary" and said damaged "our economy."

Fresh from what most are calling an undisputed political victory over the conservatives, the President didn't seem in a conciliatory mood.

His body language said it all: Enough already.

A long history, a strained relationship

Obama has more than three years left in his presidency and the next battle is just months away because the deal approved by Congress that he signed only funds the government through early January and only extends U.S. borrowing authority until early February.

From his bully pulpit on Thursday, Obama invoked his professorial tone and implored Congress that their working relationship "has to change."

"Because we've all got a lot of work to do on behalf of the American people and that includes the hard work of regaining their trust," Obama said.

This episode was only the latest in a series of confrontations between the President and Congress. To say that his relationship with the legislative branch has been strained might be the political understatement of the decade.

A deal for now, but this year's been a legislative dud for Obama

The biggest battle was over Obamacare, which passed the Democratic-controlled Congress in 2010. But the past year alone has seen fierce wrangling over the administration's response to the deadly terror attack in September 2012 on the U.S. diplomatic mission in Benghazi, Libya.

And there was the major fiscal cliff impasse over budget cuts and tax increases last March and in the first excruciating battle over spending and the debt limit in the summer of 2011.

There has also been tension over Syria and Iran.

'Bottom of the barrel'

While he said "there are no winners," Obama used the moment to press his agenda. He urged Congress to determine the government's spending and priorities for 2014 and beyond.

He also urged lawmakers to pass an overdue farm bill that sets the country's farming priorities and pays for food assistance.

He wants the House to take up the immigration reform bill, which the Senate passed earlier this year, and has called for a return to "regular order," where Congress approves budgets, reconciles differences and gets things done.

Playing nice: Budget talks may start with an extra-friendly tone

"The American people are completely fed up with Washington," he said, reflecting polls that show support for Congress at historic lows.

It's an ambitious agenda, especially for a government fresh off a debilitating few weeks and tensions between the two branches are high and trust is low.

One former Democratic member of Congress, Dan Glickman, who represented Kansas for 18 years and currently sits on the political reform commission at the Bipartisan Policy Center, said that the shutdown showdown brought about one bright spot.

"I think we may have reached the bottom of the barrel," meaning things in Washington "can't get any lower than this," he said.

In defeat, Boehner may live to fight another day

But former House Speaker Newt Gingrich disagreed. He said the most conservative members who wanted to gut Obamacare in exchange for government funding got little out of the budget deal are even more incensed.

"They will be more embittered, more angry. They will find more ways to go after Obama because they can't find any way to get him to negotiate," he said.

Gingrich's statement rings true if Rep. Raul Labrador, R-Idaho, accurately represents his like-minded colleagues. He told the Huffington Post that he thinks immigration reform is dead.

"For us to go to a negotiation, to the negotiating table with President Obama after what he has done over the last two and a half weeks, I think would be probably a very big mistake," Labrador said.

House Minority Leader Nancy Pelosi didn't mince words Thursday morning. She said the Republicans' "temper tantrum" cost the economy $24 billion.

'That's democracy'

From his lectern, Obama tried to sound like the adult in the room.

"Democrats and Republicans are far apart on a lot of issues and I recognize there are folks on the other side who think that my policies are misguided," he said. "That's putting it mildly. That's okay. That's democracy. That's how it work."

While he offered out his hand for future negotiations, Obama didn't stay completely above the fray. In the same sentence he blamed one faction of the Republican Party for the latest dysfunction, insisting that their goal is to cause chaos.

"Let's work together to make government work better instead of treating it like an enemy or purposely making it work worse," Obama said.

Why is Ted Cruz smiling?

Understanding that he needs the Republican Party to get anything done in Washington, he separated the party into two factions and implored the more rebellious to stay in line.

"You don't like a particular policy or a particular president? Then argue for your position. Go out there and win an election. Push to change it but don't break it. Don't break what our predecessors spent over two centuries building. That's not being faithful to what this country is about," he said.

McConnell: Further shutdowns 'off the table'

Republican congressman: It was worth the fight

While Obama tried to highlight the rifts in the Republican Party, perhaps hoping to exploit the divisions and then conquer, Republicans appeared united, at least for a few hours Wednesday night.

Moments before the House was set to vote on a deal to reopen the government, House Speaker John Boehner received a standing ovation, even from his most vocal Republican critics.

And one of those critics, Rep. Justin Amash, R-Michigan, said Boehner's leadership through the latest battle has been "fantastic."

Then Sen. John McCain, R-Arizona, put a damper on that party.

"This was a terrible idea. I told you at the beginning how it was going to end. We know if they try it again how it's going to end. So hopefully, they won't try to do this again, at least not in my lifetime," McCain said.

@highlight

President Obama emerged with an ambitious agenda moving forward

@highlight

He implored Congress that their working relationship "has to change"

@highlight

One former member says the relationship can't get much lower