Lagos, Nigeria (CNN) -- Police and protesters clashed across Nigeria on Monday amid a nationwide strike and widespread protests over a government decision that more than doubled fuel prices in the largely impoverished country.

Among other incidents, police reportedly fired on protesters in the northern Nigerian state of Kano, injuring at least 13 people, according to a physician who was among the protesters.

Demonstrators were gathered listening to speeches when police "suddenly came and some were shooting and some were throwing tear gas," Shehi Ali, vice chairman of the Nigeria Medical Association, told CNN.

Ali said one protester, a 12-year-old boy, was shot in the neck. Another protester was shot in the groin, he said.

"We were trying to re-enact what took place in Egypt at Tahrir Square," Ali said of what had been peaceful protests.

Kano Police Commissioner Ibrahim Idris denied that officers fired on protesters. He said that officers were forced to use tear gas on "miscreants and drug addicts" who had tried to storm the governor's residence.

"These people were trying to take advantage of the situation and loot, they are criminals," he told CNN.

The protests have otherwise been largely peaceful, and officers were working alongside the Nigeria Labour Congress, one of the groups staging the nationwide strikes, Idris said.

Elsewhere, Sanya Femi, a union official, said three union members had been killed by police gunfire during a peaceful protest in Lagos. But Sunday Salailo, a trade union president, said he had no reports of union members dying.

There was no immediate comment from Nigerian authorities on those accounts of violence.

Lagos, a city of nearly 8 million people, was eerily quiet Monday afternoon. With many businesses shut down amid a call for a nationwide strike, few cars traveled the city's normally teeming roads.

Residents had packed stores on Sunday, laying in supplies in anticipation of the protests and strikes, The Guardian newspaper of Nigeria reported.

The commander of the Nigeria Security and Civil Defence Corps, Ade Abolurin, deployed 43,000 members of the paramilitary force and 160,000 volunteers in response to the planned strike and protests, warning protesters "against indulging in criminal activities," according to a notice posted on the organization's Facebook page.

The protests and strikes follow the government's January 1 decision to remove fuel subsidies in the country, which is Africa's largest oil producer.

Read about what is behind the fuel strike

Citizens of Africa's most populous nation have staged "Occupy Nigeria" mass demonstrations since the decision, with police responding forcefully in some cases.

"I am not an economist, but it is clear common sense that the removal of fuel subsidy, even if it seems to be the easiest solution, is not even an option," said Hadiza Halliru, an Abuja protester.

"The fuel hike, which has doubled and even tripled in some states, would affect not only transportation but the price of foodstuff, clothing, any form of direct labor, construction costs. But salaries still remain the same, which means everyone who directly pays bills will be affected, especially the middle class and the poor."

Many Nigerians view the subsidy as the only benefit of living in an oil-producing country that has little infrastructure, poor roads, high unemployment and intermittent electric power.

Are you there? Share your story

"Though we know that in the long run, removal of subsidy will help the economy, for now it is a high-profile lifestyle that is unbearable for most Nigerians, and soon the poorer ones will die out," said protester Diane Awunah, who lives in Abuja.

Money saved by removing the subsidy will help improve public amenities and build much-needed infrastructure, said Reuben Abati, a spokesman for President Goodluck Jonathan.

But there is a widespread lack of trust in the government to provide the infrastructure -- Nigeria is regularly voted among the most corrupt countries in the world.

The nation produces around 2.4 million barrels of crude oil a day, but it imports roughly 70% of its gasoline from countries as far afield as the United Kingdom and Venezuela, because most of its own refineries are inoperative after years of corruption-fueled neglect.

In a televised address, Jonathan urged citizens to avoid "mindless acts of violence" and said he empathized with those protesting against the government's decision to cut fuel subsidies.

"If I were in your shoes, I probably would ... hold the same critical views about government," the president said Saturday.

The government has shunned calls to resume the subsidy, and it has ordered the distribution of mass transit buses to major cities.

Jonathan said the decision to cut the subsidies will benefit the public in the future.

The U.S. Embassy in Abuja warned Americans to stockpile food, conserve fuel and delay travel while the strike and protests are ongoing.

CNN's Stephanie Busari, CNN iReport's Christina Zdanowicz and journalist Vladimir Duthiers contributed to this report.

@highlight

NEW: At least 13 injured in fuel subsidy protest in northern Nigeria

@highlight

Conflicting reports say some protesters have died in clashes with police

@highlight

The government's decision to end the subsidy has more than doubled fuel prices

@highlight

Government: Subsidy removal will help fund infrastructure