Princeton, New Jersey (CNN) -- President Richard Nixon continues to loom large over America's political imagination.

This week, CNN will air a documentary, "Our Nixon," based on home movies from three of Nixon's top advisers: H.R. Haldeman, John Ehrlichman and Dwight Chapin, all of whom served time in prison.

The film offers viewers a behind-the-scenes look at what it was like to be part of that White House during one of the most turbulent periods in the nation's recent history. The film joins a huge library of books, movies, documentaries, academic publications and music -- all of which have taken us into one of the most puzzling and troubling American presidencies.

In his most recent comedy special, comedian Louis C.K. mocked younger Americans who complain about their frustration with President Barack Obama, reminding them, "Today people are like, 'The president's kind of disappointing.' Really? Our president wept like an insane person and then got on a helicopter and flew away!"

Despite our fascination with Nixon, it is remarkable how many of the important lessons from his presidency that we forget and how many of the problems that emerged in the final months of the Watergate scandal remain with us.

As the nation looks back at Nixon's legacy with this film and other anniversary commemorations that are certain to come, we would do well to think harder about four lessons from those difficult days about the problems with our government institutions and our political leaders so that we make sure to do better for future generations.

Lesson 1: The dangers of executive power

Nixon believed firmly in the power of the presidency. As Nixon later told David Frost, "When the president does it, that means that it is not illegal."

At the heart of Watergate was Nixon's effort to obstruct an investigation into his presidency. Even before this scandal unfolded, Nixon had employed executive power in aggressive fashion to combat the Democratic Congress and federal bureaucracy.

Yet, executive power has remained extremely strong since that time. Even though Congress reasserted its role in a number of areas, such as the budget, the nation's political leaders and voters continued to accept an extraordinarily strong presidency in which members of the executive branch were able to take actions without accountability and the public was supposed to trust presidents to do the right thing.

Too often, Americans have learned, they didn't do the right thing.

Most recently, we have seen enormous growth of executive power since 9/11. The recent stories surrounding the National Security Agency and the surveillance program is an important reminder of how much power we bestow on this branch of government. Members of both parties who claim that we can trust elected officials to do the right thing might want to look back at Nixon to remember how far the envelope can be pushed.

Lesson 2: What Congress can do

Congress has been the focus of criticism throughout American history. But in the Watergate crisis, public approval of the legislative branch skyrocketed as America saw a political institution that aggressively responded to a breakdown in our system.

As the reports emerged about what had gone on, the Senate stepped to the forefront of the investigation and forced administration officials to stand before the public and reveal what had happened. The Senate was also instrumental in opening the investigation to other kinds of wrongdoing that had been taking place.

After Nixon resigned, Congress approved reforms that aimed to improve the political system, some of which did create better rules for campaign finance and openness in government.

Today's Congress doesn't seem to have the same character.

It is an institution where investigations are conducted primarily as partisan affairs, and Congress shows little interest in tackling the underlying problems -- such as campaign finance or ethics -- that are at play in key scandals that have emerged. Nor does Congress show the capacity to function in the same way as the institution did during those dramatic years.

Lesson 3: Money and politics

Beyond the break-in, the Watergate investigation raised all kinds of issues that disturbed Americans about how the political system worked.

During the congressional hearings, there was massive evidence that the Nixon White House had made policy decisions that were related to campaign contributions. The hearings included dramatic stories of one administration official, G. Gordon Liddy, obtaining a briefcase with $83,000 and the president reversing policies because the milk industry made donations.

It became clear that the lines separating policy and money were thin. For some time, Congress made the system better. The campaign reforms in 1974 created a system of public finance for presidential elections that vastly diminished the amount of private funds in campaigns. They also imposed limits on campaign contributions in presidential and congressional elections.

Although the reforms improved campaign finance for over a decade, gradually candidates and contributors found loopholes in the system.

Supreme Court decisions, starting with Buckley v. Valeo (1976) undercut the power of the reforms. Most recently, George W. Bush and Barack Obama decided that they would not accept the public money for their campaigns, which in turn allowed them to take as much private money as they wanted.

Today, there is a tsunami of private money flowing into our political system. Washington is dominated by fundraising. Until the nation truly does something about how campaign finance works, we leave ourselves open to repeating the mistakes that surrounded Watergate.

Lesson 4: Investigative journalism is essential

A positive change to come out of Watergate was a new ethic of journalism.

Bob Woodward and Carl Bernstein, two reporters for The Washington Post, were a driving force behind the investigation as they discovered how the burglars in the Watergate had links to the Committee to Re-Elect the President. Other journalists, such as CBS anchor Walter Cronkite, played a huge role in connecting the dots of this story.

Woodward and Bernstein became models for younger journalists, encouraging them to conduct fearless investigations into power. Investigative journalism moved to the forefront of the profession, with younger reporters determined to find the next Watergate.

Yet today that kind of journalism is under attack. As Katrina vanden Heuvel wrote in The Washington Post, there has been a dangerous trend since 9/11.

First, many in the news industry failed to ask tough questions during the run-up to the Iraq War in 2003.

In recent years, the Obama administration has dramatically increased the prosecution of suspected leakers. And a federal appeals court recently prohibited reporters from invoking the First Amendment to avoid testifying in cases about leaks. . The "very act of newsgathering," vanden Heuvel writes, "is under siege...."

Unfortunately, too many of the problems that shaped Nixon's presidency continue today and, if we don't do something about it, we might just end up with another major scandal on our hands, of the kind that is shown in "Our Nixon."

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

A film based on home movies by Nixon aides airs on CNN at 9 p.m. ET Thursday

@highlight

Julian Zelizer says the film is a reminder of key lessons from Nixon's presidency

@highlight

He says Watergate showed dangers of executive power, need for investigative reporting

@highlight

Zelizer: In Watergate, an energized Congress showed effectiveness