Washington (CNN) -- Few Americans have any real idea how the Supreme Court operates, since cameras are barred, and the case arguments and opinions are often dry and confusing for nonlawyers.

That's too bad because the high court's impact on Americans is incalculable. When disputes arise, the nine justices serve as the final word for a nation built on the rule of law. They interpret the Constitution and all that it brings with it: how we conduct ourselves in society, boundaries for individuals and the government, questions literally of life and death.

As the late justice William Brennan once wrote, "The law is not an end in itself, nor does it provide ends. It is preeminently a means to serve what we think is right." And whether right or wrong, when it came to deciding who won the 2000 presidential election, it was the court's conclusions that ultimately ended the issue, but not the controversy.

Preview: 'The implications ... are impossible to overstate'

A similarly epic constitutional showdown is now before the court over challenges to the health care reform law promoted by congressional Democrats and President Barack Obama -- and opposed by a coalition of 26 states.

Article Three of the Constitution says, "The Judicial power of the United States, shall be vested in one supreme Court ... the judges, both of the supreme and inferior courts, shall hold their offices during good behavior."

Read a transcript of Monday's court arguments on health care

Here's a look at the history of the court, how it works and how you, the citizen, can interact with it:

Court goes back the late 1700s

The Supreme Court first met in 1790, as the ultimate part of the judicial branch of government. There are nine justices, led by the Chief Justice of the United States (that's the official title). All justices -- and all federal judges -- are first nominated by the president and must be confirmed by the Senate. They serve for as long as they choose. The court has occupied its current building in Washington only since 1935. Previously, it borrowed space in Senate chambers in the Capitol Building.

The Constitution's framers envisioned the judiciary as the "weakest," "least dangerous" branch of government. And while the court has often been accused over the years of being too timid in asserting its power, there is little doubt when the justices choose to flex their judicial muscle, the results can be far-reaching. Just look at how cases such as Brown v. Board of Education (1954 -- integrating public schools), Roe v. Wade (1973 -- legalizing abortion) and even Bush v. Gore (2000) have affected the lives of Americans.

Blockbuster decisions by the high court over the years

Traditionally, each term begins the first Monday in October, and final opinions are issued usually by late June. Justices divide their time between "sittings," where they hear cases and issue decisions, and "recesses," where they meet in private to write their decisions and consider other business before the court.

Court arguments are open to the public in the main courtroom, and visitors have the option of watching all the arguments or only a small portion. Tradition is very important. You will notice the justices wearing black robes, and quill pins still adorn the desks, as they have for more than two centuries.

Where to sit? Seniority counts

The justices are seated by seniority, with the chief justice in the middle. The two junior justices (currently Sonia Sotomayor and Elena Kagan) occupy the opposite ends of the bench. Before public arguments and private conferences, where decisions are discussed, the nine members all shake hands as a show of harmony of purpose. In the past, all lawyers appearing before the court wore formal "morning clothes," but today only federal government lawyers carry on the tradition. The solicitor general is the federal government's principal lawyer before the federal bench.

As the gavel sounds and justices are seated, the marshal shouts the traditional welcome, which reads: "Oyez! Oyez! Oyez! All persons having business before the honorable, the Supreme Court of the United States, are admonished to draw near and give their attention, for the court is now sitting. God save the United States and this Honorable Court."

Frequently asked questions about the court and the case

Arguments usually begin at 10 a.m. and since most cases involve appellate review of decisions by other courts, there are no juries or witnesses, just lawyers from both sides addressing the bench. The cases usually last about an hour, and lawyers from both sides very often have their prepared oral briefs interrupted by pointed questions from a justice.

This give-and-take, question-and-answer repartee can be entertaining, and it requires lawyers to think concisely and logically on their feet. And by the tone of their questioning, it often gives insight into a justice's thinking, a barometer of his/her decision-making.

You can listen if you like

No cameras are allowed, but the public sessions are audio recorded, and are available for listening, usually several days later. The health care arguments -- for this week -- will be available only shortly after each of the four separate arguments end, at the court's website.

After the arguments, conferences are scheduled, where justices discuss and vote on the cases. In these closed-door sessions, the nine members are alone. No clerks or staff are allowed. No transcripts of their remarks are kept, and it is the role of the junior justice (Elena Kagan for the past two years) to take notes and answer any inquiries from the outside.

Justices spend much of their time reviewing the cases and writing opinions. And they must decide which cases they will actually hear in open court. When asked just before her 2006 retirement what the jurists do most of the time, Sandra Day O'Connor said bluntly, "We read. We read on average 1,500 pages a day. We read. Sometimes we write." Added Justice Antonin Scalia: "We try to squeeze in a little time for thinking."

Want your case heard? Don't get your hopes up

Each week, the court receives more than 150 petitions for review, decisions by lower courts appealed to the high court. Relatively few are granted full review. About 8,000 to 10,000 such petitions go on the court's docket each term. Only 75 to 85 cases -- about 1% -- are accepted.

Oral arguments will then be scheduled, but final opinions may not be written in all such appeals. In addition, some 1,200 legal applications of various types are filed each year that can be acted on by a single justice. Those include stays of executions.

The rulings are handed out in both written and electronic form, but the justice writing the majority opinion will usually deliver an oral summary at the beginning of a public session. In extraordinary occasions, the lead dissenting justice can demand equal time with an oral rebuttal.

The court's opinions are final. The only exception is the court itself, which can over time overturn its own precedent, as it did with racial segregation. But most justices rely on the principle of "stare decisis," Latin for "to stand by a decision," where a current court should be bound by previous rulings.

Case arguments and the opinions are posted on the U.S. Supreme Court's Web site: www.supremecourt.gov.

@highlight

Court's in session: The marshal shouts the traditional welcome -- "Oyez! Oyez! Oyez!"

@highlight

The justices are seated by seniority, with the chief justice in the middle

@highlight

No cameras are allowed, but the public sessions are audio recorded

@highlight

Up to 10,000 petitions go to court's docket each term; only about 1% are accepted