(CNN) -- Martin McGowan insisted on going to high school baseball tryouts, despite his mother's worries he wasn't feeling well.

After the tryouts, the 15-year-old complained of leg pain and seemed exhausted. He woke up and vomited during the night, Diane McGowan recalled. She gave him medicine for his fever, and he returned to bed, only to wake again, vomiting and complaining of leg pain.

At the emergency room, doctors diagnosed Martin with the flu, and said his leg pain was due to "compartment syndrome," Diane McGowan said.

"Because the muscle has no room between the skin and the bone, it causes pressure on the arteries and veins with your bone, and can eventually cut off the circulation," she said. "So if they had not taken him into surgery ... they might have had to amputate his legs."

But no one was prepared for what happened next -- Martin died on the operating table that day in 2005.

"What I later found out is that the flu attacks the muscles, and that's why you feel achy when you get the flu," his mother said.

"Because he was so healthy, and because of the exertion he had done the night before, it (the influenza) went thru his system quicker than it would go through a normal child. ... The heart is a muscle, and his heart gave out on the table."

While Martin's complication was uncommon, influenza can produce complications that result in death, including pneumonia, bacterial infection, acute respiratory failure, and encephalitis, even in otherwise healthy children.

His death has been motivation for his mother to work toward preventing such deaths in other children.

Getting children ready for flu season

At the time, Diane McGowan noted, it wasn't recommended that children Martin's age get the flu vaccine -- something she worked to change, lobbying the Centers for Disease Control and Prevention's Advisory Committee on Immunization Practices to increase flu immunization requirements for children and teens.

She is now a volunteer with Families Fighting Flu, a group run exclusively by families who have experienced the loss of a child or a child who has suffered serious complications from the flu. The group receives funding through private donations as well as funding from organizations that include pharmaceutical companies in the form of unrestricted grants.

New research presented last week shows that healthy children, as well as those with underlying health conditions, are at risk of dying from flu-associated causes.

The research was presented at IDWeek 2012, the first conference held by a consortium of infectious disease groups. It examined deaths among children over the past eight flu seasons.

Between 2004 and 2012, 829 U.S. children under 18 died from influenza-associated causes. While many of the deaths occurred among children with underlying health conditions, including neurological disorders, asthma or lung disease, and genetic or chromosomal disorders, 40% occurred among children with no known medical condition, according to lead author Dr. Karen K. Wong of the Centers for Disease Control and Prevention.

Healthy children actually died more quickly, according to the research, with a median of four days from symptoms to death. That's compared to a median of seven days from symptoms to death among children with a pre-existing condition.

"Because influenza-associated deaths can occur rapidly in children, prevention is really the best defense," explained Wong, noting that over a third of deaths occurred in children younger than age 5 -- a group known to be at high risk -- and 11% occurred in children younger than 6 months. That's a group that is too young to be vaccinated.

New research raises hopes in quest to find universal flu vaccine

School-based influenza vaccination programs, however, may help prevent the spread of the virus among children and young adults.

In tandem with the new data on pediatric flu deaths, an example of promising new research on flu prevention was presented at the ID Week 2012 meeting.

Results of a school-based program were presented by Dr. Pia Pannaraj, an assistant professor of pediatrics at the University of Southern California and Children's Hospital Los Angeles.

"We looked at a proactive approach for how to prevent influenza," Pannaraj said. Her study followed 4,500 elementary school children in eight schools in Los Angeles County during the 2010-11 flu season. Half had a school-based flu vaccination program. The schools without a program served as the control group.

Thirty to 50% of children in the vaccine program schools received a flu vaccine. If any child came down with respiratory symptoms or a fever, cough or runny nose, they were tested for influenza. The process was done for all schools, Pannaraj explained, and included contacting homes of children who were out sick to make sure they were appropriately tested.

"We found that children who were vaccinated were three times less likely to get the flu and missed half the number of school days compared to children who were not vaccinated," said Pannaraj.

"In our schools that had school-based influenza vaccination programs, their rates of influenza overall at the entire school were lower than at school that did not have any vaccination program. And again, also their attendance rates were also much higher than the schools that did not have any vaccination program."

Vitamin D supplements no help for colds, flu

Vaccination of school-age children is important, Pannaraj said, because "children are very capable of spreading the flu. They go to school, they're in their classrooms, they're all together -- they touch each other, touch doors, pass around papers and pencils." They also can go home and spread the flu virus to family members including the very young or the elderly, who can become severely ill.

The entire community also benefits from school-based immunization programs, she said, as it means less time away from work for parents caring for sick children. In addition, parents don't have to take their children elsewhere for the vaccine if they receive it at school.

Another bonus: "In the school where the vaccination rate was close to 50%, we see some protection extended even to those kids who were unvaccinated," she said. "Their rates of influenza were less compared to schools with lower vaccination rates."

There are simple steps that families can take to fight the flu. The Advisory Committee on Immunization Practices recommends a yearly flu vaccine for everyone 6 months of age and older. Vaccination is critical for people who live with or care for young children or children with medical conditions, to prevent the spread of flu to high-risk children.

Moms can help protect their babies by getting a flu shot during pregnancy. And make sure that family members and caregivers -- including babysitters and grandparents -- are all vaccinated to prevent spreading flu to children too young for vaccination.

While vaccination is the first line of defense, if children do get the flu, prescription antiviral medicines, which include Tamiflu (generic name oseltamivir) and Relenza (zanamivir), are recommended by the CDC as treatment to help ease symptoms and shorten the duration of the illness, Wong said.

@highlight

Martin McGowan, 15, was healthy, yet died from influenza complications

@highlight

New research shows that healthy children are also at risk of such complications

@highlight

School-based flu vaccination programs may provide an important prevention tool