(CNN) -- Concluding its investigation into the unintended anthrax exposure at the Centers for Disease Control and Prevention in Atlanta, the CDC says it has found another more "distressing" problem due to lab workers not following protocol.

The CDC held a news conference to discuss the conclusion of its investigation Friday. It determined that while it is "not impossible" that the staff was exposed to viable B. anthracis (anthrax), it is "extremely unlikely" that this happened.

The lab workers' health is being monitored, and they were given antibiotics as a precaution. No one who may have been exposed has gotten sick.

The incident was discovered on June 13.

The CDC report says the potential exposure happened between June 6 and June 13. A lab that had been preparing the anthrax samples for use in two other labs on the CDC's Atlanta campus "may not have adequately inactivated the samples."

That means the other labs were working with samples thought to be harmless; therefore, workers didn't wear protective equipment they would otherwise have been using when handling such infectious material.

Procedures in two of the three labs may have exposed workers to the anthrax, the CDC said. Hallway and lab areas have since been decontaminated. The leader of one of the labs was reassigned shortly after the incident was revealed. CDC spokesman Tom Skinner would not confirm the name of the person who was reassigned.

There are three types of anthrax infection: cutaneous (through the skin), inhalation (through the lungs) and gastrointestinal (through digestion).

According to the report, the exposure happened because the lab that was handling the dangerous material initially didn't use an approved sterilization technique. It didn't have a written plan reviewed by senior staff to make sure all safety protocols were followed, and there was a limited knowledge of peer-reviewed literature about the process that would make it less dangerous. The lab also did not have a standard operating procedure that would make sure the transfer of the material would be safe.

Bottom line, "the scientists failed to follow a scientifically derived and reviewed protocol that would have assured the anthrax was deactivated," according to CDC Director Tom Frieden. It "should have happened, and it didn't."

During the investigation "multiple other problems were found," according to Frieden.

What to know about anthrax

Investigators found another troubling case that involved a dangerous transfer of material. This happened six weeks ago. But what's "most distressing," according to Frieden, is that he had found out about it "less than 48 hours ago."

In this case, a culture of nonpathogenic avian influenza, meaning a type of the flu that is not that dangerous, was unintentionally cross-contaminated with a potentially deadly kind of flu -- the highly pathogenic H5N1. This strain has killed millions of birds and infected over 600 people over the last decade.

In the case of this contamination, the CDC says none of the lab workers were exposed to the dangerous virus. It was, however, shipped to a lab run by the United States Department of Agriculture.

The CDC has closed the labs that were involved in the incidents. The lab where the flu contamination occurred won't reopen until the lab puts better safety procedures in place, Frieden says.

The lab involved in the anthrax incident will remain closed for such dangerous microbes until Frieden personally approves its reopening under conditions that prevent any such mishap from happening again, Frieden said.

The CDC has also stopped moving any biological material out of its two highest-level labs while their procedures are being reevaluated.

As a result of these problems, the CDC has created a high-level group of leaders who will work on lab safety issues. It has also started putting together an external advisory group to take a closer look at lab safety. And the CDC is carefully reviewing all the other procedures for labs working with dangerous pathogens, and it has put together a rapid-response command structure to hopefully help the labs avoid future incidents.

"I will say that I'm just astonished that this could have happened here," Frieden said.

He stands by his labs, which are considered some of the best in the world, and he stands by his scientists. But he added that he is "upset," "angry" and has lost sleep over the incidents, and he is "working around the clock" to make sure it never happens again.

CDC lab leader reassigned during anthrax investigation

CNN's Miriam Falco contributed to this report.

@highlight

An investigation of an anthrax incident at the CDC concludes no lab workers were exposed

@highlight

The investigation turned up another safety issue involving bird flu

@highlight

The CDC director is "upset" and "angry" that it happened