(CNN) -- In her classic 1962 study, "Pearl Harbor: Warning and Decision," Roberta Wohlstetter shows how the Japanese surprise attack on the U.S. naval base on December 7, 1941, should have been less surprising than it appeared at the time because there were warning signs known to the U.S. government that such an attack was possible.

Those warning signals, however, were not easy to understand before the Pearl Harbor attack and, in any case, they were not well communicated inside the U.S. military.

As Wohlstetter explains, "It is much easier after the event to sort the relevant signals from the irrelevant signals. After the event, of course, a signal is always crystal clear; we can now see what disaster it was signaling since the disaster has now occurred. But before the event it is obscure and pregnant with conflicting meanings. It comes to the observer embedded in an atmosphere of 'noise', i.e. in all sorts of information that is useless and irrelevant for predicting the disaster."

While the bombings at the Boston Marathon certainly were not anywhere on the scale of the Pearl Harbor attack, they share some of the commonalities that often characterize the run-up to such surprising attacks: Missed warning signals and the bureaucratic "stove piping" of important information that if it was more widely shared and understood might have led to the attacks being averted.

As is now well known, the Russian security agency FSB told the FBI in 2010 that Tamerlan Tsarnaev, the older alleged Boston bomber, was becoming radicalized. The FBI investigated him but found nothing "derogatory."

Yet, the FBI was unaware that a year after its investigation Tsarnaev returned from a trip to Dagestan and Chechnya in southern Russia--regions that are home to Islamist militantsâ€”after a six month trip, one that could have raised red flags, as by now he was on two federal watch lists.

(It's also not clear why the Russians would warn the FBI about Tsarnaev's radical interests and then, apparently, not have done more to keep tabs on him while he was on his lengthy trip to Russia.)

A U.S. Customs and Border Protection official on the FBI's Boston joint terrorism task force was made aware of Tsarnaev's return but because the FBI had closed its investigation into Tsarnaev, the information failed to arouse suspicion.

According to a report on CNN Tuesday, Republican Sen. Lindsey Graham expressed concern that "the homeland security shop had information about the travel to Russia, the FBI did not, and they're not talking to each other and they're going back to the pre-9/11 problems here."

Indeed, these kind of bureaucratic snafus were supposed to have been resolved after 9/11.

That's because while the CIA provided plenty of strategic warnings in the spring and summer of 2001 that al Qaeda was planning a spectacular attack, the CIA also spectacularly dropped the ball in the run-up to 9/11 when it failed to "watch list" two suspected men that CIA officials suspected were members of al Qaeda, Nawaf al Hazmi and Khalid al Mihdhar.

The failure to add to the watch list two al Qaeda suspects with the Department of State meant that they entered the United States under their true names with ease.

On January 15, 2000, Hazmi and Mihdhar flew into Los Angeles, but it was only in August 2001 as a result of questions raised by a CIA officer on assignment at the FBI that the two were added to the watch list and their names communicated to the FBI.

A month later Hamzi and Mihdhar were two of the "muscle" hijackers on the American Airlines jet that plunged into the Pentagon, killing 189 people.

There have been many fixes since 9/11 to ameliorate the problem of bureaucratic stove piping: far more communication, for instance, between the CIA and the FBI; the formation of dozens of Joint Terrorism Task Forces across the country that help to facilitate the sharing of information among multiple law enforcement agencies, as well as the creation of the National Counterterrorism Center, which coordinates terrorism policy across the intelligence and law enforcement communities.

But even with all of these reforms the counterterrorism system continues to miss the kind of warning signs that take on great significance in the wake of an attack.

Consider the case of Maj. Nidal Hasan, a military psychiatrist who killed 13 people at Ft. Hood, Texas, in 2009. Before this attack, intelligence agencies had intercepted multiple e-mails between Hasan and Anwar al-Awlaki, a U.S.-born cleric then based in Yemen who was well known for his virulent anti-American preaching and ties to militants. Counterterrorism investigators didn't pursue this worrisome connection believing that the e-mails were consistent with Hasan's work as a military psychiatrist.

Similarly, Carlos Bledsoe, a convert to Islam who shot up a Little Rock, Arkansas, recruiting office in 2009, fatally shooting a soldier, had recently travelled to Yemen and was under investigation by the FBI following his return to the United States.

Despite the fact that the FBI had had him under surveillance, Bledsoe was still able to acquire guns for his attack. When he was arrested, police found a rifle with a laser sight, a revolver, ammunition and material to make Molotov cocktails in his vehicle.

Plenty of warning signs also preceded Nigerian Umar Farouq Abdulmutallab's attempt to blow up Northwest flight 253 over Detroit on Christmas Day 2009 with an underwear bomb made with PETN, a plastic explosive that was not detected by airport security. Luckily the bomb failed to detonate, although it set Abdulmutallab's clothes on fire. Abdulmutallab had been recruited by Al Qaeda in the Arabian Peninsula (AQAP) for the Detroit mission.

The Northwest Airlines plot had been presaged a few months earlier. On August 28, 2009, the Saudi Arabian Prince Mohammed bin Nayef survived a bombing attack launched by AQAP. The would-be assassin concealed the bomb in his underwear, which was made of PETN.

Three months before the Christmas Day attempted bombing John Brennan, Obama's top counterterrorism adviser, had been personally briefed by Prince Nayef about the assassination attempt, so information about the possible use of a hard-to-detect PETN bomb was known within the U.S. national security establishment.

The White House's review of the Christmas Day plot also found that there was sufficient information known to the U.S. government to determine that Abdulmutallab was likely working for al Qaeda and that the group was looking to expand its attacks beyond Yemen and Saudi Arabia.

Yet the intelligence community "did not increase analytic resources working" on the threat that the group might pose to the West.

Additionally, a few weeks before the botched attack on the Northwest flight, Abdulmutallab's father contacted the U.S. Embassy in Nigeria about concerns his son had "become radicalized" and might be planning something, but this information wasn't further investigated.

As the inevitable congressional inquiries get under way that will focus on who knew what and when about the Boston bombers, we will surely deepen our understanding that there were plenty of warning signs about the increasing radicalization of Tamerlan Tsarnaev, some of which were likely known to the U.S. government.

The problem is that, as Roberta Wohlstetter pointed out half a century ago in her study of Pearl Harbor, separating out the really important signals from all the "noise" in the system is only easy to do after the fact, particularly when the U.S. government has now assembled a database of an astonishing number of 700,000 individuals it suspects of ties to terrorism.

@highlight

Peter Bergen: Too often the warning signs of terrorism are missed

@highlight

He says before an attack, it's difficult to sort out the signals from the noise

@highlight

Agencies often will fail to widely communicate information in time to prevent attacks, he says

@highlight

Bergen: Such failures became apparent after 9/11 attacks, Fort Hood shootings