Washington (CNN) -- A key whistle-blower in the intensifying scandal over wait times at veterans hospitals took issue on Sunday with an initial internal review that downplayed the number of people who may have died while waiting for care.

The comments came as the embattled Veterans Affairs secretary received tepid support from some critics of the department's handling of a chronic problem across many of the VA's care facilities.

VA Secretary Eric Shinseki has been at the center of political debate over accountability since CNN began reporting on delays in medical appointments suffered by veterans across the country, including some who died or were seriously injured.

The VA requires its hospitals to provide care to patients in a timely manner, typically within 14 to 30 days.

CNN first reported as many as 40 veterans died waiting for appointments at the Phoenix Veterans Affairs Health Care system, according to sources inside the hospital and a doctor who worked there. Many of those veterans were placed on a secret waiting list, the sources said.

The department's acting inspector general told a House panel Thursday, "The number 40 that's been widely quoted in the press does not represent the total numbers of veterans that we're looking at."

"The initial list that we were given, we have gone through and there are only 17 names on that list," said Richard Griffin. "Our review to date -- and we have more work to do on this because we want to have more than one set of eyes look at all of the records -- but on those 17, we didn't conclude, so far, that the delay caused the death. It's one thing to be on a waiting list, and it's another thing to conclude that as a result of being on the waiting list, that's the cause of death."

It's unclear if any of those 17 names were among the deaths reported by CNN, and Griffin acknowledged that "multiple lists" exist.

"But there are also other people who have come through the Congress, who have come through the media, who have come through our hot line, so we have multiple lists, none of them identical," Griffin testified Thursday.

Dr. Samuel Foote, who made his allegations first to CNN, disputed Griffin's testimony about the department's initial conclusions.

"The original allegation was 40 people died while waiting for care. And they were advertising waiting times of 30 to 55 days when in fact they were more like six to seven months. And we had no way of reviewing these charts," said Foote on "Fox News Sunday." "So, we never said they died because of this. We just made the point that at least 40 veterans we felt had died while waiting."

Foote has said the larger problem was the VA lied about it and fudged the numbers. "They've been cheating about this," he said. "The cheating has gone on for a long time."

The VA has previously admitted that 23 veterans passed away because of delays, and 53 others had adverse health effects at VA facilities across the country. Sources now tell CNN the Office of Inspector General is investigating in six states, including Arizona.

Shinseki also testified before a House committee and said he had no intention of stepping down, but a top department official did so a day later. Dr. Robert Petzel, undersecretary for health in the Department of Veterans Affairs, had appeared before the congressional panel alongside the secretary.

Foote, among others, applauded that move. But as far as Shinseki's status, Foote said the secretary for now should stay.

"If we switch secretaries then the focus will get away from fixing the problem to who's the new secretary going to be," he said. "And then he'll have three- or six-month or a nine-month grace period because he's the new guy. Our best bet at this point is to keep the (current) secretary on board, but I think the President needs to keep him on a pretty short leash and be sure that he's doing the job."

That was echoed by a leading veterans group.

"We demand swift accountability," said Ryan Gallucci, a deputy director at the Veterans of Foreign Wars of the United States, on "Fox News Sunday." "The families who have been affected by these allegations need justice and need it quickly."

Other leading groups have taken a harder stance, reiterating calls for a sweeping change at the top of the department's leadership.

"We called for the secretary and two undersecretaries to step down," said Dan Dellinger, national commander of the American Legion, on CBS's "Face the Nation." He noted Petzel was already scheduled to retire this year, and a replacement had earlier been nominated. "This seems to us to be business as usual. We haven't seen that proactive versus reactive culture of change we'd like to see."

Foote told CNN earlier that the Phoenix VA had been keeping secret lists of delayed appointments, while providing top officials with sham figures.

"They wouldn't take you off that secret list until you had an appointment time that was less than 14 days so it would give the appearance that they were improving greatly the waiting times," Foote, who worked at the facility for 24 years, said last month in an exclusive interview. "So then when they did that, they would report to Washington, 'Oh, yeah. We're making our appointments within 10 days, within the 14-day frame,' when in reality it had been six, nine, in some cases 21 months."

The White House has tried to manage the crisis, repeating in recent days the President's earlier order that Shinseki conduct a review of the Veterans Health Administration's practices at its facilities.

"The President is madder than hell, and I've got the scars to prove it, given the briefings I've given the President, the conversations that we have had on these matters," said White House chief of staff Denis McDonough on CBS's "Face the Nation." "At the same time that we're looking at accountability we want to continue to perform to provide our veterans the services that they have earned."

But the American Legion says Obama himself has been missing in action.

"We need the White House, the President to come forward. He needs to make a statement to show the employees of VA that this needs to change now," said Dellinger. "One death is tragic, but when you hide it, that's unforgivable."

Shinseki told lawmakers last week the incidents were "isolated," but CNN sources relate another story -- that the VA inspector general's office has been investigating allegations in at least half a dozen states. Sources have told CNN investigative correspondent Drew Griffin that other whistle-blowers have come forward from across the country, saying their offices manipulate wait times as well.

The VA has admitted 23 people in nine states have died because of delayed care -- many of them veterans who were forced to wait too long for simple tests like colonoscopies or endoscopies.

Rights group calls VA official 'scapegoat' in scandal over wait times, care

VA clinic employee on leave after e-mail about manipulating appointments

CNN's Chelsea J. Carter, Drew Griffin, and Mary Grace Lucas contributed to this report

@highlight

Dr. Samuel Foote stands by his charge that 40 veterans died waiting for care

@highlight

But he says VA chief Shinseki should stay, to avoid upheaval of appointing a new secretary

@highlight

American Legion calls for Shinseki's resignation, wants to hear more from Obama

@highlight

White House chief of staff says Obama is "madder than hell" about VA scandal