(CNN) -- Every catastrophe has its unsung heroes. In BP's oil spill disaster, one such hero is not a person but a river: the Mississippi River. But the river's strength is flagging, and unless our leaders change what the U.S. Army Corps of Engineers is doing, things could get a lot worse for our coastal marshes.

Many people know that the Mississippi River flows through the Crescent City, New Orleans, Louisiana; but fewer are aware that this is only one of two paths it takes to the Gulf. The Mississippi divides to create its delta upstream of Baton Rouge at a place called Old River. The Atchafalaya River is the western channel. In 1963, the Corps built a dam with sluice gates at Old River between the Mississippi and Atchafalaya to keep the shorter Atchafalaya route from "capturing" the whole river. Later, they built more structures to gain better control.

Today, every drop of water that goes down either the Mississippi or the Atchafalaya marches to the orders of the U.S. Army, which traditionally seeks to maintain a constant 70-to-30 percent split -- with the larger amount going to the main-stem Mississippi -- between the two river branches, by adjusting the gates at Old River on a daily basis.

The Corps has the opportunity to sustain discharge on the main stem of the river by altering that rigid 70-30 ratio to, say, send 80 percent past New Orleans. If ever there were a time to switch off "autopilot" and utilize the power of one of our country's most powerful natural forces, it is now.

All through May, the river's discharge past New Orleans increased as spring rains and melting snow from the center of the continent found their way into the river, rising to almost 1 million cubic feet per second. Like most coastal scientists familiar with the Mississippi River delta, I am convinced that this high spring discharge played an important role in keeping oil from penetrating deep into our marshes during the first full month of the spill.

Discharge from the famous "bird-foot" river mouth has helped keep the oil offshore and to the east. Similarly, outflows from both banks of the channel through the gates of the Davis Pond and Caernarvon diversions and other engineered openings have helped to keep oil out of adjacent marshes and in the open bays where it could be collected.

Louisiana's Gov. Bobby Jindal and his advisers showed good leadership in opening those diversions up to full bore as soon as the spill occurred, and that strategy appears to have paid off.

But since the beginning of June, the flow past New Orleans has dropped by a third due to seasonal changes in climate. Now, it is likely we could see more extensive oiling of our coastal wetlands. With less water coming out of the river, more of the oil arriving on high tides will get deeper into the marshes, where most cleanup techniques do more harm than good.

Can we keep river levels high for a little while longer, buying time for crews to attack the oil in open gulf and bay waters? Yes!

The Mississippi is falling fast, but the Atchafalaya, which sends water to the coast 150 miles west of the main oil impacts, remains well above normal, as it has been most of this year.

By closing some gates leading to the Atchafalaya, the Corps could send more water past New Orleans, out to those areas where the oil most threatens the marshes. These are the nursery grounds for most of the commercial fish and shrimp caught in the Gulf, and home to a wonderful variety of resident and migratory birds with declining populations.

We need to do everything we can to save the marshes, including beginning to manage the river as if the future of the coast depends on it. It does.

The Corps should seek emergency authority from President Obama, and the concurrence of Louisiana's Gov. Jindal, to quickly begin to operate the structures at Old River to address the drop in discharge on the main stem for at least the next two weeks. In the time of the endless oil disaster, all measures are temporary, whether "top hats" or "sand berms." Some work; most haven't.

We have a limited opportunity to make a difference with the river, the most powerful tool in our kit. We don't know whether it will be tomorrow's high tide or one next week that brings in the next big dollop of oil, but increasing flow down the river past New Orleans sure makes sense right now.

And as state and federal agencies begin to plan for long-term restoration of this precious ecosystem, I urge them to remember that we can't save the delta without the river. The Mississippi, the Atchafalaya, and yes, even the Old River structures have a role to play in restoring life and health to this region and all that it offers our nation and the world.

The opinions expressed in this commentary are solely those of G. Paul Kemp.

For more information on the Audubon Society and how to help, click here.

@highlight

High water levels in Mississippi River helped reduce spill's impact on coast, says Paul Kemp

@highlight

To continue protection, flow should be increased by Army Corps of Engineers, he says

@highlight

River can be the biggest weapon we have to protect the marshes, Kemp says