Urumqi, China (CNN) -- Urumqi, the capital of China's far-western Xinjiang Province, was calm but definitely tense Friday, four years after violent clashes left hundreds dead and exposed deep ethnic rifts in the region.

In the days leading up to the anniversary, and in the wake of recent attacks that left 35 dead in Xinjiang, Chinese authorities have taken measures to thwart further unrest.

Paramilitary police in camouflaged fatigues with automatic weapons and riot gear have been stationed outside key points throughout the capital, including government buildings, banks and major intersections. While it is not unusual for there to be a visible police presence in a city known for past troubles, the number of armed troops on the streets has increased dramatically -- one main street next to a local theater in the city was backed up with a column of police trucks, armored personnel carriers and other riot-control vehicles.

According to tourist operators and local residents, the government has also banned all night markets and non-tourist public events to avoid crowds gathering at this sensitive time.

Periodic bursts of violence are nothing new in Xinjiang, a resource-rich region of western China where the arrival of waves of Han Chinese people over the decades has fueled tensions with the Uyghurs, a Turkic-speaking, predominantly Muslim ethnic group. Uyghurs have complained of discrimination and harsh treatment by security forces in Xinjiang, despite official promises of equal rights and ethnic harmony. In China as a whole, Han Chinese account for 92% of the population. They now make up about 40% of the population of Xinjiang, where Uyghurs used to be predominant.

The violence last Wednesday -- when police stations were attacked by a mob in the remote township of Lukqun, about 250 kilometers southeast of Urumqi -- was the worst the region has seen since 2009, when rioting between the two ethnic groups left around 200 people dead and 1,700 injured in Urumqi. This followed clashes in April when 21 people were killed in Xinjiang's Kashgar prefecture.

The government has blamed recent attacks on "gangsters" and "religious extremists" who they claim have links to foreign jihadi groups. But many scholars and Uyghur diaspora groups dispute this official interpretation. "The increasing frequency with which these incidents occur illustrates the PRC's reticence to address the root causes of the tensions that are escalating," said the World Uyghur Congress (WUC), a Germany-based Uyghur advocacy group. It used an abbreviation of People's Republic of China to describe China.

Meanwhile, Chinese state media has widely reported on other measures taken by local authorities to curb further unrest ahead of Friday's anniversary. The local public security department in Xinjiang has offered a 50,000 to 100,000-Yuan (US$8,162 to 16,319) reward for information regarding what they called "separatist activities," the China Daily reported. It also released a wanted list of 11 suspects, encouraging residents to provide information. Police also called on the public to hand in any "dangerous knives, explosives and propaganda materials on terrorism or violent crimes" they may have -- police officers in Urumqi were actually registering knives this week, with blades more than 8 inches confiscated.

"I can't display anything longer than this," said one local merchant who had just been registered by police.

Rumors have also been rife in this city before and during the July 5 anniversary. Uyghur restaurants are struggling to get Han customers at times because of rumors that they could be looking to poison their customers. In the center of the capital, street vendors say domestic tourist numbers, normally at their peak at this time of year, are dramatically down because of the fear of attacks.

But despite the heavy police presence and the rumors, the city continues to function. Though the Xinjiang International Grand Bazaar, a major tourist attraction, was largely quiet this week, other shopping streets teemed with locals bargaining for a range of products, from scarves to fruit. They didn't seem to pay much attention to the paramilitary police units who now patrol 24 hours a day -- some Han Chinese tourists were even taking photos of the patrols.

But this remains a divided city. Uyghurs and Han Chinese generally frequent different shops, live in different neighborhoods and go to different schools. But most people seem reluctant to speak about these divisions, a sign perhaps of the tightening grip the security forces have over this remote city.

@highlight

China has deployed armed police in cities in Xinjiang in past week

@highlight

July 5 marks 4th anniversary of deadly clashes in region that killed more than 200

@highlight

Tensions fueled by increased number of Han Chinese moving to western region

@highlight

Ethnic Uyghurs, a Turkic-speaking, mainly Muslim ethnic group, complain of discrimination