(CNN) -- In the six months since the repeal of the U.S. military's "don't ask, don't tell" policy, many of the most prestigious military institutions in the country are adding a student group to their club rosters that they had never seen before: gay pride groups.

For nearly 17 years, gay and lesbian soldiers were expected to deny their sexuality under threat of dismissal as part of "don't ask, don't tell." With the repeal of the rule on September 20, 2011, a new era began for homosexual members of the armed forces.

But what about the young cadets preparing to enter their ranks, studying in the nation's top military academies?

In December, a group of students at the U.S. Coast Guard Academy in New London, Connecticut, formed a group called the Spectrum Diversity Council, to serve as a gay-straight alliance on campus.

The night before "don't ask, don't tell" ended, cadets at Norwich University, the nation's oldest private military academy, held the first meeting of the school's Lesbian, Gay, Bisexual, Transgender, Questioning and Allies Club.

These clubs are school-sanctioned, and their numbers are growing, according to cadets and school officials.

Even at the United States Military Academy at West Point, cadets are forming their own Spectrum student group.

As one of the nation's five federal service academies, The U.S. Coast Guard Academy follows the same rules as the U.S. military, and up until recently this meant "don't ask, don't tell" was a rule. Even before the repeal, First Class Cadets Kelli Normoyle and Chip Hall were among students at the academy who met with school officials to discuss what might happen if "don't ask, don't tell" were repealed.

"No one was allowed to 'come out' in the DADT Working Group," Normoyle said, but it was an unspoken secret that many of the members of the group were gay.

Today, Normoyle and Hall are co-leaders of the Spectrum Diversity Council that boasts 60 to 65 members. They say the experience of going to the academy is one they would never trade, but they acknowledge that life is different since the repeal.

"It's hard to separate the personal changes from 18 to 21 (years old), but the repeal of DADT was less like flipping a switch. It wasn't like one day I'm hiding my sexuality and denying who I am and the next I'm out and proud. It was more like a continuum; I progressed through my own comfort with being gay," Hall said.

"I had come out to friends my senior year in high school and wasn't sure if I was ready to live under DADT," Normoyle said. After a year at another school, she decided to go to the Coast Guard Academy after all.

"I knew the Coast Guard was what I wanted to do. I knew I wanted to go to the service academy. I wanted to show people that it didn't matter if I was gay; I could just do my job and make friends. I thought I would put my personal life in the back seat."

She found this easier said than done.

"I felt separated from my friends having to hide something that big, a part of my life," she said. "We have an honor code at the school, and you practically had to lie to people when they asked if you're dating anybody, if you had a boyfriend."

Normoyle and Hall say the Coast Guard Academy administration has been very encouraging of their club, with Rear Adm. Sandra L. Stosz, the first female superintendent of the academy, a major supporter from the beginning, according to Hall.

Other cadets have been welcoming, too, Normoyle said.

"We've had nothing but positive experiences with our classmates. We had some people coming up and telling us they grew up having negative stereotypes of gay people, but said, 'I know you two, I respect both of you, I'm trying to break those stereotypes.' "

From March 30 to April 4, the Coast Guard Academy will host Eclipse week, a tradition dating back 37 years to one of the first African-American cadet groups on campus. The week has turned into a diversity week of sorts, according to Hall. He said Spectrum plans to host a roundtable discussion with active-duty members of the Coast Guard on homosexuality in the service.

Hall and Normoyle received their orders last week and will graduate as full members of the Coast Guard at the end of the school year.

Norwich University, established in 1819, is a small but well-known private military college in Northfield, Vermont. As a private school, Norwich never had an official policy discriminating against gay cadets, but since the majority of students accept commissions in the military, "don't ask, don't tell" was always a presence.

"Prior to repeal, the facts of DADT served to keep any LGBTQA student quiet," said Daphne Larkin, a spokeswoman for the university.

Dr. M.E. Kabay, a professor at Norwich University, is the faculty adviser to the Norwich Lesbian, Gay, Bisexual, Transgender, Questioning and Allies Club. He described how on the last night of "don't ask, don't tell," cadets met in the school library for the first meeting of the club. Cadet organizer Josh Fontanez raised all the blinds of the club to symbolize openness to the community.

"Right from the beginning, the intention was to be open, and that's what has happened," Kabay said. The LGBTQA group at Norwich has even collaborated with a group called Christian Fellowship to foster discussions and understanding, he said.

Fontanez knew he wanted to be in the military for most of his life, even if it meant hiding his sexuality.

"The military has always been a passion of mine. I knew I wanted to be in the military before I knew what sexual orientation was," he said. "It was a sacrifice I, like so many men and women for generations before me, was willing to make. We love our country enough to put our personal lives on hold."

He believes that understanding and leadership are part of life at Norwich, and one reason he helped form the LGBTQA club.

"I know I'm going to be a leader in the armed forces when I leave here," he said. "Norwich teaches us when you see something not right, fix it. That's what we did."

From March 26 through March 31, the Norwich LGBTQA group hosted what is thought to be the first "Spirit Week" on a U.S. military academy campus. The week was full of activities, workshops and discussions focused on anti-bullying, harassment and collaboration. There were HIV screenings, films on acceptance and stereotypes, and even an event called "the condom olympics," which highlighted the importance of safe sex and distributed prophylactics.

"No matter how you identify yourself -- straight, gay, lesbian, transgender, man, woman or whatever -- you could learn something that can help you whether here at Norwich or out in the world," Fontanez said. "Over the next week or next month, we will reflect on the activities, and I have no doubt we will see Norwich as a better place than it was a week ago."

Fontanez said turnout for pride week has been good, with up to 150 people at some events.

The week culminates in a "Queer Prom" on Saturday night, consisting of a social that the head of the university and the governor of Vermont will attend, followed by a dance where same-sex couples will obviously be accepted.

"All these events have an ulterior motive: to show that gay people are people," Kabay said. "For some students, this is going to be an eye-opener. Maybe what they've been told doesn't fit."

At the U.S. Military Academy at West Point, the cadets are still getting their group officially approved.

"The primary purpose of clubs is beneficial to the cadet experience and beneficial to the West Point goal of graduating cadets," said Col. Charles A. Stafford, West Point chief of staff. "We want to graduate leaders who can go into any culture in any part of the world," he said, "having the ability to speak with a diverse group of people and work effectively with different cultures."

The West Point club is also called Spectrum and is based on the Coast Guard Academy club. With its approval still pending with the commandant, Stafford says cadets would welcome it.

"As we prepared for the repeal of DADT, we underestimated the level of respect and acceptance of the younger generation, and we see that in our cadets today. It is not an issue for the vast majority," he said.

On Saturday, a West Point alumni group called Knights Out will host a dinner at The West Point Officers Club.

"While policies have changed so events like this are possible, I think attitudes have been changing for a long time," said Knights Out founder Sue Fulton, who was among the first women to graduate from the academy in 1980.

"I do think it is always tough for young gay and lesbian people to be up front about their lives, but as long as gays and lesbians are invisible, some people will harbor prejudice," she said.

The dinner will celebrate the repeal of "don't ask, don't tell" and the formation of Spectrum at West Point, and it will include cadets, alumni and others, according to Fulton.

Representatives from The Citadel, the U.S. Naval Academy and The Virginia Military institute told CNN they have not been approached with formal requests to start LGBT clubs at their school, but if the momentum started by cadets at other institutions is any indication, it is only a matter of time before they do.

As Stuart Mackenis, a spokesman for Virginia Military Institute, said, "We have the diversity the whole world has. We don't have a club now, be we could soon."

@highlight

After repeal of "don't ask, don't tell" policy, cadets are reaching out, forming alliances

@highlight

Norwich University has Lesbian, Gay, Bisexual, Transgender, Questioning and Allies Club

@highlight

In December, U.S. Coast Guard cadets formed a gay-straight alliance group at the academy

@highlight

At the U.S. Military Academy at West Point, cadets are forming a Spectrum student group