London (CNN) -- "You know, Bernie (Ecclestone) is a good friend of mine and I have tried to persuade him that India has a market that should not be ignored. I would be very, very disappointed if India fell into the category of being in the F1 calendar and then being permanently out of the calendar."

So says Dr. Vijay Mallya -- wealthy industrialist, parliamentarian, Force India co-owner, force of nature and motorsport nut -- from the comfort of an antique chair in the office of his plush Regent's Park, London residence.

The 57-year-old has always gone about business in his own way. Dubbed the "King of Good Times" for the playboy style of his younger days and his ownership of Kingfisher breweries, it is maybe fitting that one of the subcontinent's most powerful men (Forbes suggests he has a personal wealth of $800 million) dresses in what seem to be pajama bottoms and a polo shirt for CNN's visit to his stately and opulent home.

Interactive: Inside the Indian Grand Prix

His clothing style might be eclectic and his style relaxed, but his passion for F1 in India is resolute.

"From what I understand, we are going to give 2014 a skip because of scheduling issues -- there are three new grands prix scheduled next year -- and I am hoping that we will be back with an Indian GP in 2015," Mallya states between draws on his cigarillo.

"It's large -- yes, India has its problems and some frustrations that go with it ... but the market is just too big and far too important for F1 to ignore."

It's the kind of demographic that makes taking Formula One to emerging markets and away from its traditional European heartland -- a bold and controversial policy of the sport's ever-entrepreneurial supremo Bernie Ecclestone -- seem like a logical step.

There have been perceived successes, such as the night race of Singapore, Austin's bridgehead to the American market and the purpose-built Yaz Marina venue that showcases Abu Dhabi. But this has come at the expense of others.

Interactive: How does an F1 steering wheel work?

Fans of the French, Turkish and South African Grands Prix (to mention a few) fear that the road to reinstate their races to the F1 calendar, after they made way for the newcomers, remains as long and challenging as Shanghai's back straight on blistered tires.

Put simply: if you're dropped from the schedule it's hard to bounce back.

Which might explain anxieties being felt at the Buddh International Circuit ahead of this weekend's race in Greater Noida, near New Delhi.

It has been shelved for 2014 due to Ecclestone's desire to move its place to March because of increasing costs due to rupee depreciation and tax issues faced by the teams. The race organizers were unable to stage two races within five months to accommodate Ecclestone's wishes.

Vicky Chandhok, president of the Federation of Motor Sport Clubs of India, this week told British newspaper The Guardian he feared the race may never return despite promises to the contrary for 2015.

Mallya remains bullish but admits there may be need of a new approach from the state to secure the event's future.

"F1 needs India because of the economic opportunities in the country going forward, given its size and scale. But you know, the Delhi Grand Prix is actually staged by the track owners," he says.

"There is no government involvement -- the government only gives the necessary permissions and government doesn't have any financial exposure whatsoever to the F1 event.

"I wish that the government would actually force some support to F1 -- it's good for tourism, it's good for the country's image, and other governments across the world believe in it, and I hope the Indian government will one day believe in it."

Critics argue that F1 faces stiff competition for the attention of sport fans in India, with the cost of tickets being out of reach for the bulk of the population -- and with cricket, hockey and the English Premier League laying claims to the hearts of the population's affinities.

A fear some argued was borne out when attendance at the 2012 race dropped from over 90,000 in its first year to around 65,000 in its second.

But Mallya, whose love of motorsport started when racing single-seaters in the 1970s and moved to F1 with sponsorship of the Benetton team in 1995, feels there is good reason to be hopeful.

"India is a very prosperous country in the overall sense. It also has its fair share of challenges, a lot of underprivileged people in poverty and so on. So, it has to be viewed in that context," he says.

"Over the last 20 years, while I have always dreamed of hosting an F1 race or participating in an F1 race, economically it seemed like Mount Everest -- a challenge that many times was sort of insurmountable.

"And so when the grand prix group actually invested in the new track in Noida, outside Delhi, and F1 in India became reality, I mean, it was almost miraculous, it was like a lifelong dream come true.

"There is no drought of potential fans. You know, we have more than 500 million young Indians below the age of 18, and that's a lot. Cricket is number one in India and has been there for decades. So, one shouldn't try to change that at all.

"But you know, modern racing ... is glamorous, it's exciting and that is attractive enough. Yes, football is popular in India, but only in five states, it's not a pan-Indian game. Hockey is our national sport, but sadly over the years it sort of lost its mass popularity.

"So yes, I mean, there are hundreds of millions of Indians who are there and are potential fans for each sport. There's space enough for everyone."

The ambition to act as a catalyst for F1 fanaticism in India has become a personal crusade for Mallya. When he bought the Spyker team in 2007 he renamed it "Force India" and made its colors orange, white and green to evoke national pride rather than promote the brands he owns, as with Red Bull Racing for example.

He'd also cite the money he's plowed into the Force India Drivers' Academy, which has unearthed the Indian driver Jehan Daruvala, on whom many hopes are being pinned for the future.

But Mallya -- a man whose yacht dwarfs all others in harbor of Monaco come GP time -- knows nothing inspires like victory.

In this regard, he knows his team is still battling the odds this weekend: "We came very close to a few podiums in 2013, for some reason it didn't happen. I would be absolutely over the moon if we got a podium this year before the season ended!"

Force India's drivers, Adrian Sutil and Paul di Resta, will also be hoping for a good result -- so Mallya is inclined to delve into his wallet to renew their contracts for next year.

@highlight

Businessman Vijay Mallya is living his dream as a Formula One team boss

@highlight

Force India co-owner hopes his home country will continue to host the sport

@highlight

India race is off 2014 calendar but is expected to return the following year

@highlight

Mallya says India has hundreds of millions of potential F1 fans