(CNN) -- The capture over the weekend in Tripoli, Libya, of Abu Anas al Libi, a suspected terrorist on the FBI's Most Wanted List, was clearly a triumph for the U.S. military and intelligence agencies. But was it a victory for the rule of law?

While senior administration officials have portrayed it as such, the jury is still out. If the government of Libya is to be believed (and there is reason to be skeptical) the United States did not inform Libya of its plan to capture al Libi, much less ask permission. In fact, they have referred to his capture and swift removal from Libya as a "kidnapping."

The more proper legal term for what the United States did to al Libi is a "rendition" -- the abduction or forced removal of someone from their home country without administrative or judicial process, followed by transfer to another country.

Libya questions U.S. ambassador over al Libi capture

If done without the consent of the host government, this is indeed a violation of that nation's sovereignty, but a much less serious one than conducting a drone strike or other use of military force.

As for the detained individual, there is no remedy for such a violation. According to a 1992 U.S. Supreme Court case, even an illegal rendition will not prevent a properly indicted defendant from being tried in federal court. And that is where al Libi should be delivered in the near future.

Even if the United States did not inform Libya of its plans, if the United States had evidence of ongoing involvement with al Qaeda, the capture of al Libi was justified under the laws of war. Importantly, both Secretary of State John Kerry and Secretary of Defense Chuck Hagel expressed the propriety of the capture under the laws of war and the importance of the rule of law in conducting counterterrorism operations.

According to a Defense Department statement, al Libi is being "lawfully detained under the law of war in a secure location outside of Libya" -- apparently a U.S. Navy warship in the Mediterranean -- where he is being interrogated.

The United States appears to be following the hybrid approach to counterterrorism developed in the case of Ahmed Abdulkadir Warsame. Warsame, a Somalian, was captured by military forces on April 19, 2011, then held and subjected to intelligence interrogation, with no Miranda warning, for more than two months aboard a U.S. Navy ship in the Indian Ocean, before being brought to the United States to face federal criminal charges.

What the terror raids say about an 'Obama Doctrine'

Warsame pleaded guilty in December 2011 to nine charges and has provided extensive cooperation to federal authorities, in an effort to receive a reduced sentence. The Warsame case is an excellent example of how military, intelligence and law enforcement assets can be utilized to efficiently remove a terrorist threat from circulation in a legally supportable way while still eliciting valuable intelligence, and is a good template for the United States to follow in al Libi's case.

Al Libi was indicted in 2000 for his alleged role in the U.S. embassy bombings in Kenya and Tanzania in 1998 and his involvement with al Qaeda. Interestingly, al Libi was charged in the same indictment as Ahmed Ghailani. The differential treatment of these two alleged co-conspirators demonstrates how U.S. counterterrorism efforts have evolved from the Bush administration to the Obama administration.

Ghailani was captured in Pakistan in July 2004. When Pakistani authorities transferred him to U.S. custody, he was not brought to New York to face the federal indictment. Rather, he was taken to a secret CIA internment camp where he was subjected to a harsh CIA interrogation regime for two years before being transferred to Guantanamo in 2006.

Ghailani was later charged before a military commission in Guantanamo in October 2008, just weeks before President Obama was elected. These charges were dismissed in May 2009 when Ghailani was transferred to the United States to face the federal charges. He was convicted in November 2010, 6Â½ years after his capture.

Ghailani was the only Guantanamo detainee to be transferred to the United States for trial. Although Ghailani received a life sentence for his role in the African embassy bombings, some key evidence against him was suppressed by the federal district court judge because it had been acquired through coercion.

This decision may have contributed to Ghailani's acquittal on all but one of the dozens of charges in the indictment. Ghailani's "near acquittal" played a significant role in Congress' decision to block the transfer of any further Guantanamo detainees to the United States for any reason, including prosecution in federal court. Because of this ill-advised restriction, coupled with strict conditions imposed by Congress limiting the transfer of detainees to third countries, the Obama administration has wisely opted not to bring any new terrorism suspects to Guantanamo.

Opinion: Good thing U.S. terrorist hunters weren't furloughed

The president should resist calls, such as made in a recent Wall Street Journal op-ed, to bring al Libi to Guantanamo and try him before a military commission. Such suggestions ignore the impact of recent U.S. Court of Appeals rulings that have properly limited the charges that may be brought in military commissions, particularly for pre-2006 activity, to recognized international war crimes. Based on the offenses listed in al Libi's indictment, it is not at all clear that prosecution in a military commission is a viable option.

Secretary of Defense Hagel stated that the purpose of the targeted military operations this weekend in Somalia and Libya was "to bring international terrorists to justice." The best chance to accomplish this is to find out what al Libi knows through humane, noncoercive interrogation, then promptly bring him to trial in federal court in New York.

The opinions expressed in this commentary are solely those of David Frakt.

@highlight

David Frakt: Seizure of Abu Anas al Libi being hailed as triumph for rule of law

@highlight

He says the situation isn't clear and it appears Libya government might not have been told

@highlight

Putting al-Libi on trial in regular court would be a good thing for rule of law, he says

@highlight

Frakt: Obama should resist calls to send him to Guantanamo and try him in military court