(CNN) -- Last week the U.N.'s senior official for extrajudicial executions, Philip Alston, argued in a critical report and remarks delivered in Geneva, Switzerland, that the United States should explain the legal rationale for the CIA's campaign of drone strikes in northwest Pakistan, which he characterized as "a vaguely defined license to kill" that has created "a major accountability vacuum."

Alston is also urging the Obama administration to disclose the number of civilians killed in the drone strikes. That is a controversial matter among the Pakistani public, less than a tenth of whom support the strikes, because of their perceived high civilian death rate.

The drones' latest important victim is Mustafa Abu al-Yazid, an Egyptian founding member of al-Qaeda who served as the group's number three and was in charge of overseeing the group's plots, recruitment, fundraising and internal security.

While Yazid's death is doubtless a blow to the terrorist group, al-Qaeda seems to have a stash of number threes waiting in the wings. At least eight men who have held that slot since 2001 have since ended up in jail or dead. Yazid joins three other number threes who have met their fates at the wrong end of Hellfire missiles: Muhammad Atef, Hamza Rabia and Abu Laith al-Libi.

Yazid was not the only casualty from the drone strike that killed him: Reports say his wife, three daughters and a grandchild also died in the May attack in the mountainous Pakistani tribal agency of North Waziristan, a reminder that militant leaders are not the only ones to be felled by drones.

According to our count, the drones program in Pakistan has reportedly killed at least 976 people since 2004, of whom approximately two-thirds were described as militants or suspected militants in reliable press accounts, indicating that a third of the victims were not militants.

The Obama administration has already authorized 90 drone strikes in and around Pakistan's Federally Administered Tribal Areas (FATA), double the number the Bush administration authorized in its two terms in office.

The accuracy of the drone strikes has improved even as the pace of the program has increased over the past two years. In 2008, the first year the drones program picked up speed in Pakistan, an average of only 43 percent of the fatalities from the strikes were reported to be militants or suspected militants. In 2009, that figure shot up to 62 percent, and so far in 2010 it stands at 87 percent, suggesting that the nonmilitant death rate from drone strikes has dropped to around 10 percent this year, according to our database.

Overall, since Barack Obama took office, his administration's drone strikes in Pakistan have killed an average of 71 percent militants, compared with the Bush administration's 55 percent, according to reliable media accounts.

The Obama administration drone strikes also seem to be having more success eliminating militant leaders, as at least 13 have been confirmed killed in drone attacks since Obama was inaugurated in January 2009, compared with 16 during the Bush administration's five years of authorizing drone strikes in Pakistan.

This increase in accuracy targeting both high-level and lower-level al-Qaeda and Taliban members appears to stem from the CIA's use of smaller missiles and increased cooperation with the United States' Pakistani counterparts who, despite public protests about violations of their national sovereignty by the drone strikes, have quietly been sharing vital intelligence. An unnamed U.S. official commented, "You need guys on the ground to tell you who they [the targets] are and that isn't coming from some white guy running around the FATA."

After 26 strikes in the Pakistani tribal region of South Waziristan during the first 10 months of 2009, they halted after the start of Pakistan's military ground operations there in mid-October 2009, another indicator of U.S.-Pakistan cooperation about the drones program.

As Pakistan gears up for operations in North Waziristan -- the last redoubt for a militant mélange that includes the Haqqani network, various factions of the Afghan and Pakistani Taliban and al-Qaeda -- the United States has fired more drone strikes than ever into this region: 37 of 2010's 39 reported strikes have hit targets in North Waziristan.

So far no drone strikes appear to have targeted Osama bin Laden, who occasionally releases audiotapes taunting the United States as he did a few weeks after the alleged botched Christmas Day attempt by an al Qaeda affiliate to blow up a Northwest Airlines passenger jet over Detroit, but who otherwise has vanished into the wilds of the Afghan-Pakistan border region. And al Qaeda's number two official, Ayman al-Zawahiri, who was last targeted by a drone strike in January 2006, has since then proven equally elusive.

The criticism of the drone program by the United Nations official Philip Alston seems to have had little impact on the Obama administration, which is plowing ahead with drone strikes in Pakistan's tribal regions on the grounds that they are "effective, exact and essential."

The opinions expressed in this commentary are solely those of the authors.

The New America Foundation drones database is available here.

@highlight

U.S. drone warfare claims life of al Qaeda's number 3 leader, the 8th person to hold that position

@highlight

Co-authors say data shows drone strikes getting more accurate, killing fewer civilians

@highlight

They say Obama has stepped up drone war in northwest Pakistan

@highlight

U.N. official has asked U.S. to explain the legal rationale for the drone attacks