(CNN) -- President Barack Obama expressed hope Tuesday that the United States and Pakistan can arrive at a "balanced approach" to relations as he met with Pakistani Prime Minister Yousuf Raza Gilani for the first time since a string of damaging episodes last year.

The talks Tuesday between the two leaders on the sidelines of a large nuclear security summit meeting in Seoul are the highest profile meeting between the two countries since NATO airstrikes on November 26 killed 24 Pakistani soldiers on the Pakistani-Afghan border.

The deaths drove relations between Washington and Islamabad to a new low, coming on top of anger over the U.S. raid that killed Osama bin Laden at a compound in Pakistan last May, and continued American drone strikes on targets in the nation.

The Pakistani parliament is expected this week to start debating a committee's recommendation that the United States stop drone strikes inside its territory and apologize unconditionally for the November airstrikes.

"There have been times -- I think we should be candid -- over the last several months where those relations have had periods of strains," Obama said at the start of the meeting with Gilani. "But I welcome the fact that the Parliament of Pakistan is reviewing, after some extensive study, the nature of this relationship."

The Parliamentary Committee on National Security, a group of 18 members of parliament responsible for reviewing relations with the United States, made its recommendations in a report to lawmakers last week.

"No overt or covert operations inside Pakistan shall be tolerated," the report said.

Obama said his expectation was that as a result of the Pakistani review and discussions in the United States, "That we can achieve the kind of balanced approach that respects Pakistan's sovereignty but also respects our concerns with respect to our national security and our needs to battle terrorists who have targeted us in the past."

Gilani expressed appreciation that Obama had acknowledged the need to respect Pakistani sovereignty and said his government was committed to fighting against extremism.

He also said it was important to maintain stability in both Pakistan and Afghanistan.

Beyond the meeting Tuesday, there remains much work to be done to mend ties between Washington and Islamabad.

Following the fateful border airstrikes in November, the Pakistani government shut down the two NATO supply routes in the country, asked the United States to vacate an air base on its territory and boycotted a conference about the future of Afghanistan.

The Pakistani parliamentary report on relations with the United States gave an indication of the lingering discontent among Pakistani officials.

Calling on the Pakistani government to ensure that "the principles of an independent foreign policy" are observed, the report said that the United States "must review its footprints in Pakistan."

The three key points it listed in that regard were the cessation of drone strikes inside Pakistani borders, "no hot pursuit or boots on Pakistani territory," and the need for the activities of foreign private security contractors to be "transparent and subject to Pakistani law."

It demanded an "unconditional apology from the United States for the unprovoked incident dated 25th-26th November 2011." It also said that those responsible for the airstrikes should be brought to justice.

When lawmakers reconvened Monday, the committee's report was on the agenda, but the speaker did not call it up for debate. The joint session of the parliament must decide whether to act on the recommendations.

Hiader Abbas Rizvi, a committee member, said he expected the recommendations to be approved, but not before several days of debate.

"We kept in mind both the angles, domestic demands and the requirement by the international community, while compiling our recommendations," Rizvi said. "We were optimistic, progressive, but of course patriotic Pakistanis at the end while we were compiling the recommendations."

An investigation into the lethal NATO airstrikes in November by Brig. Gen. Stephen Clark on behalf of the United States concluded that Pakistan provoked NATO forces and that distrust between the two parties led to the firefight.

Pakistan disputed the findings, saying Clark's report was factually incorrect.

There has been a sharp drop in the number of drone attacks in Pakistan since the airstrikes.

U.S. officials rarely discuss the CIA's drone program in Pakistan, though privately they have said that the covert strikes are legal and an effective tactic in the fight against extremists.

In January, Obama defended the use of drone attacks, saying a "pinpoint strike" is "less intrusive" on other countries' sovereignty than other military ways to target al Qaeda.

He gave no indication that the U.S. policy of ordering drone strikes would change, at least as long as a terrorist threat remains.

CNN's Jethro Mullen, Shaan Khan, Nasir Habib and Reza Sayah contributed to this report.

@highlight

NEW: Obama says the two countries can achieve a 'balanced approach' to relations

@highlight

NEW: Gilani welcomes Obama's comment on the need to respect Pakistani sovereignty

@highlight

Ties between the U.S. and Pakistan have been strained by recent events

@highlight

They include the killing of bin Laden and airstrikes that left Pakistani soldiers dead