Washington (CNN) -- A budget deal reached last week to avert a government shutdown won approval Thursday from both the House and Senate, sending it to President Barack Obama for his signature.

The measure cuts $38.5 billion in spending while funding the government for the rest of the current fiscal year, which ends September 30. With its passage, the White House and Congress will now focus on what are expected to be more rancorous battles over a budget for fiscal year 2012 and the upcoming need to raise the federal debt limit.

A final-hour agreement last Friday in talks involving Obama, Senate Majority Leader Harry Reid, D-Nevada, and House Speaker John Boehner included the spending cuts demanded by Republicans as a step toward controlling America's skyrocketing debt.

The measure passed the Republican-controlled House on a 260-167 vote. The bill would not have passed without support from members of both parties, as 59 members of the Republican majority opposed it, showing the challenge faced by Boehner in keeping his conservative Tea Party-infused caucus unified. amid politically perilous tax and spending negotiations with the Democrats.

The House vote also reflected growing liberal angst and anger over the impending spending reductions. Only 81 Democrats backed the measure; House Minority Leader Nancy Pelosi, D-California, voted no.

In the Senate, the final vote was 81-19.

Under the deal, $38.5 billion would be from the budget including funding from a wide range of domestic programs and services such as high-speed rail, emergency first responders and the National Endowment for the Arts.

As part of the agreement, Congress also voted Thursday on measures to de-fund Planned Parenthood and Obama's health care overhaul. As expected, both passed the House and were defeated in the Democratic-controlled Senate.

One point of concern for conservatives was a report released Wednesday by the nonpartisan Congressional Budget Office showing that of the $38.5 billion in savings, only $352 million will actually be realized this fiscal year. Boehner insisted Thursday that all of the cuts will take effect eventually, but conceded that the analysis "has caused some confusion" among House members.

"There are some who claim that the spending cuts in this bill ... are gimmicks," he said on the House floor. "I just think it is total nonsense. A cut is a cut."

Freshman Rep. Joe Walsh, R-Illinois, told CNN that the uproar "certainly doesn't help (Boehner's) case and added that he would oppose the bill.

"I'm disappointed," he said. "I just think we could have gotten more."

Regardless, the measure cleared Congress one day before the federal government's current spending authorization expires. Negotiators narrowly avoided a partial government shutdown last week by agreeing to the deal and passing a short-term spending measure to give Congress time to review the agreement.

In an interview Thursday with ABC News, Obama cited areas of agreement with Republicans in starting a process for reaching a deficit reduction agreement, but he conceded some deep-rooted differences will remain unresolved until after the 2012 elections.

Obama repeated his theme from Wednesday's speech on fiscal policy that America faces a choice between a budget-slashing Republican vision that will change how society functions and a revenue-raising Democratic vision that maintains the social safety net in place for decades.

So far, both sides generally agree on seeking deficit cuts of $4 trillion over the next 10-12 years, Obama said, and they have similar thoughts on some areas for fiscal reform and spending reductions.

At the same time, Republicans adamantly oppose Obama's call for increasing tax revenue by ending Bush-era tax cuts for the wealthiest Americans and other reforms that would eliminate loopholes.

In the end, Obama said, "some of it will be settled by the American people in the election, and I think that is how democracy should work."

Earlier Thursday, Obama said that "no matter how we may disagree between parties, no matter how much we spend time debating the issues, at some point we're going to have to come together as Americans."

He spoke uring a meeting with former Sen. Alan Simpson, a Wyoming Republican, and former Clinton White House Chief of Staff Erskine Bowles, the co-chairs of Obama's deficit reduction commission that issued its report last December.

As attention turns to larger battles over the fiscal year 2012 budget and raising the nation's debt ceiling, Democrats and Republicans continued expressing widely differing positions designed to appeal to their respective political bases.

House Budget Committee Chairman Paul Ryan, R-Wisconsin laid out the GOP's vision last week when he unveiled his 2012 fiscal blueprint. The congressman's plan, which he says would cut projected deficits by roughly $4.4 trillion over the next decade, calls for significant changes to Medicare and Medicaid -- two hugely popular entitlement programs.

Under Ryan's plan, Washington would eventually stop directly paying bills for senior citizens enrolled in Medicare. Instead, recipients would choose a plan from a list of private providers, which the federal government would subsidize.

Medicaid, which provides health care for the disabled and the poor, would be transformed into a series of block grants to the states. Republicans believe state governments would spend the money more efficiently and would benefit from increased flexibility, while Democrats warn that such a move would shred the health care security provided to the most vulnerable Americans in recent generations.

Ryan's plan also would overhaul key portions of the tax code, dropping the top rate for individuals and businesses to 25% while eliminating a number of loopholes.

The House is expected to pass the Ryan proposal Friday. Senate Democrats, however, are certain to block the measure.

Obama's budget plan, outlined in Wednesday's speech, aims to cut deficits by a combined $4 trillion over the next 12 years without significantly changing Medicare and Medicaid.

The president's plan includes a repeal of the Bush-era tax cuts on families making more than $250,000 annually -- something sought by Democrats but strongly opposed by Republicans. Obama also called for the creation of a "debt fail-safe" trigger that would impose automatic across-the-board spending cuts and tax changes in coming years if annual deficits are on track to exceed 2.8% of the nation's gross domestic product.

The president claimed that by building on or adjusting the health care reform bill passed last year, $480 billion would be saved by 2023, followed by an additional $1 trillion in the following decade. He proposed tightly constraining the growth in Medicare costs starting in 2018.

The rhetoric over the two leaders' respective plans has become increasingly heated in recent days.

In the ABC interview, Obama framed what he called the two choices that will face voters in the 2012 vote.

"We can't get everything the government offers and not pay for it," Obama said. "Either we don't pay for it, in which case we have a society that is not caring for our seniors the way it should, is not providing some basic security for people who really need it, and is not investing in the future.

"Or we can decide to continue on the path that has made us the greatest country on Earth," the president continued. "Make those investments. Have a basic social safety net. And we can do it without hurting the middle class or fundamentally changing these programs."

Earlier, Democratic Sen. Charles Schumer of New York said the Ryan plan would lower the tax rates on America's wealthy to the lowest levels "since 1931 when Herbert Hoover was president."

"Talk about trying to turn back the clock," said Schumer, who also pledged that "no plan to end Medicare as we know it will ever, ever pass the Senate."

Ryan, meanwhile, ripped Obama on Thursday for using "demagogic terms and comparisons."

The president's plan is "fundamentally unserious," Ryan said. Obama has brought himself "down to the level of the partisan mosh pit" and made it tougher for the two parties to reach an agreement, he said.

Against that backdrop, Democrats and Republicans also have to contend with an impending vote to raise the nation's debt ceiling. Congress needs to raise the limit before the federal government reaches its legal borrowing limit of $14.29 trillion later this year or risk a default that could result in a crashing dollar and spiraling interest rates, among other things.

GOP leaders have stressed that any vote to raise the cap has to be tied to another round of spending cuts or fiscal reforms.

The administration, in contrast, has called for a "clean" vote on the cap, which would raise the limit without adding any conditions. White House Press Secretary Jay Carney has warned that trying to force the issue would be tantamount to playing a game of "chicken" with the economy.

CNN's Ted Barrett, Dana Bash, Tom Cohen, Brianna Keilar and Deirdre Walsh contributed to this report

@highlight

NEW: Obama tells ABC that some fiscal issues won't get resolved before the 2012 vote

@highlight

Congress passes the budget measure for the rest of the FY2011

@highlight

Democrats and Republicans remain at sharp odds over the fiscal year 2012 budget

@highlight

The two parties also have to reach an agreement over raising the debt ceiling