Abu Dhabi (CNN) -- Two nongovernmental organizations that worked primarily on promoting democracy abroad were shuttered by the government of the United Arab Emirates this week.

The Dubai office of U.S.-based National Democratic Institute was shut down Wednesday, followed by the closure of the Abu Dhabi office of Konrad-Adenauer-Stiftung, an organization based in Germany, the next day.

Both pro-democracy groups saw their offices raided and shut down last year in Egypt.

Egyptian authorities accused the organizations of international interference that was stoking continued protests against the current military-led government.

According to the NDI, while the organization has a regional office in Dubai, it does not have any programs in the UAE.

"Our office was simply a regional hub which supported programs in places like Qatar and Kuwait," said Les Campbell, NDI regional director for the Middle East and North Africa.

Campbell said that authorities -- he's not sure from where -- came to their office and announced that NDI's license was canceled, effective immediately.

"While we are disappointed at this turn of events and disturbed by the arbitrary behavior in Dubai, we do not have programs in the UAE, so it has no serious ramifications for our work," he said.

The German organization, described as a think tank associated with German Chancellor Angela Merkel's Christian Democratic Union (CDU), reacted with even more surprise.

"We can only react with utter disbelief to the unexpected and sudden developments in Abu Dhabi. We have not been given any viable reasons.

"After the experiences in Egypt, we not only regret this decision. We would see it as an alarming signal if nongovernmental organizations and political foundations are not welcome in the Arab world," said Hans-Gert Poettering, head of the Konrad-Adenauer-Stiftung Foundation.

UAE officials have not yet commented on the closures.

U.S. Secretary of State Hillary Clinton, who is in the region, said Saturday she regretted the UAE decision.

"We are ... strong believers in a vibrant civil society, and both NDI and the Konrad Adenauer Foundation office play a key role in supporting NGOs and civil society across the region, and I expect our discussions on this issue to continue."

Meanwhile, press freedom group Reporters Without Borders on Friday condemned the government of the UAE for cracking down on bloggers and other online activists.

"March has seen a wave of arrests, attacks and acts of intimidation. We urge the government to abandon these methods," the group said. "The authorities must stop arresting 'netizens' and bloggers for what they post online and must guarantee their safety."

Human rights groups of late have also stepped up their criticism of the UAE.

According to Samer Muscati, Middle East researcher for Human Rights Watch, at least three online activists have been detained in recent weeks.

"It seems that the government is still frighted by the events transpiring in the Middle East and are trying to do what it takes to keep the Arab Spring from reaching its shore, regardless of how small that possibility might be," he said.

Unlike many other nations in the region, the UAE was never affected by Arab Spring inspired protests. Nonetheless, the government has been quick to pursue activists who call for reform.

Last year, the citizenship of seven activists -- known as UAE 7 -- was revoked by UAE. The seven pro-democracy activists with ties to Islamist groups were found to be a threat to national security.

Also last year, five activists were arrested, tried and convicted for publicly insulting top UAE officials, committing acts that pose a threat to state security, undermining public order, opposing the government system and instigating others to break laws.

UAE President Sheikh Khalifa bin Zayed al-Nahayan pardoned all five one day after they were sentenced to prison terms.

According to Muscati, there was hope that the pardoning of the five activists last year was a signal of change to come, but that has not been he case, he said.

"These recent arrests are just a continuation of attempts by the authorities to silence critics and other dissenting voices," said Muscati of Human Rights Watch.

Ahmed Mansoor, an engineer and blogger, was one of the five prosecuted activists.

"I strongly disagree and condemn any acts that violate the basic human rights and freedom of opinion and expression," Mansoor told CNN. "The latest arrests and harassment of activists are directly related to the exercising of these basic rights."

Mansoor said the government is worried about the ripple effect of the Arab Spring. "This crackdown does not help anybody; not the social peace and unity nor the country image in the international level."

Mohammed Jamjoom reported from Abu Dhabi; Frederik Pleitgen reported from Berlin.

@highlight

United Arab Emirates closes offices of two NGOs

@highlight

It does not give a reason for the closures

@highlight

Group criticizes government for crackdown on online activists