It lived about 100 million years ago, weighed four tons and likely was at the very top of its prehistoric food chain.

Researchers from Chicago's Field Museum, the North Carolina Museum of Natural Sciences and North Carolina State University announced Friday the discovery of Siats meekerorum, a dinosaur that stretched more than 30 feet long, in eastern Utah.

Given its size and other characteristics, they believe this creature ruled its ecosystem in the middle of the Cretaceous, a period known as the last in the so-called "Age of Dinosaurs."

It's not known if Siats meekerorum existed alongside Tyrannosaurus rex; fossils found from the same patch of Utah's Cedar Mountain Formation shows it did share the land with tyrannosaurs. But relatively speaking, these tyrannosaurs were much smaller (and below the 7 or so tons of later T. Rexes) and definitely down on the predatory food chain.

"At least 98 million years ago, we know that (tyrannosaurs) were small and somebody else was top dog in the neighborhood," said Peter Makovicky, The Field Museum's dinosaur curator.

"(Siats meekerorum) is a large dinosaur," he adds. "And we have no evidence -- nor do the teams that worked in this area prior to us -- of anything bigger."

Its size and appearance alone are reason enough to excite paleontologists. But there are a few other facts that make this find noteworthy, said Makovicky.

One is that Siats meekerorum helps to fill in a roughly 30-million-year gap in the geologic record in North America, a period for which relatively little is known about dinosaurs on the continent. Another: Its closest carchardontosaurian (the family it hails from) kin hailed from elsewhere in the world, suggesting there was more movement and dispersion of dinosaurs at a time the continents had largely already drifted apart than had been thought.

"Until 10 years ago, we thought this was a time period when North American dinosaurs were isolated," Makovicky said. "The evidence is growing that was not actually the case. Dinosaurs were quite good at spreading around the world."

Name means 'cannibalistic monster'

Desert heat of 110 degrees Fahrenheit -- so hot that Makovicky's dog burned his paws -- is bad enough. But for a paleontologist, working in this oven all summer without any big finds? That's definitely a lot worse.

But with a few days in the 2008 field season, Lindsay Zanno from the North Carolina Museum of Natural Sciences spotting something she and her colleagues, including Makovicky, found curious.

The group returned the next year, opening up a bigger area, but still had more work to do once the season ended. Finally, with the help of a jackhammer, they finished unearthing their discovery in 2010, according to Makovicky.

He said, initially, these experts would have speculated the new creature was related to T. rex or Ankylosaurus, both of which roamed what is now North America.

South Carolina team finds new hammerhead shark species

The more they dug, literally and figuratively, the paleontologists realized the species belonged to the carchardontosaurian family, with relatives like the giant Giganotosaurus, a carnivore that dates to the Late Cretaceous period and has been found in Argentina.

The name for the new dinosaur, Siats meekerorum, refers to a cannibalistic monster in mythology of Utes, a Native American people who lived where it was found.

"This dinosaur was a colossal predator second only to the great T. rex and perhaps Acrocanthosaurus in the North American fossil record," said Zanno, the lead author of the study in Nature Communications announcing the discovery, in a press release.

New legless lizards found in California

And it hasn't been an isolated breakthrough. Makovicky notes that, since Siats meekerorum, their crews found two other dinosaur species nearby from the same period that likewise are related to others from different continents. Zanno expects more such fresh insights in the years to come.

"Siats is just the tip of the iceberg," she said. "Our teams are unearthing a lost dinosaurian ecosystem right here in the badlands of North America."

Rare 'Asian unicorn' caught on camera

@highlight

Paleontologists say they found a new dinosaur species, Siats meekerorum, in Utah

@highlight

At more than 30 feet long and over 4 tons, it was a dominant carnivore predator

@highlight

It predates T. rex, filling a hole in the geologic record from 100 million years ago

@highlight

Its closet kin were in other continents, indicating dinosaurs spread widely