(CNN) -- As Congress debates immigration law, it cannot avoid debating citizenship. Who gets to be a citizen? And what should citizens know, believe, and do?

Under current law, would-be citizens must pass the U.S. Naturalization Test, which poses factual questions about civics and history such as: "What are two rights in the Declaration of Independence?" They must respond with two of the following: life, liberty, or the pursuit of happiness.

This test assumes that a competent citizen knows some basic information about the U.S. political system. Most American students must demonstrate similar competence. All U.S. states have standards for K-12 social studies and, typically, the teacher assesses knowledge with paper-and-pencil tests that resemble the naturalization test.

One question is whether these requirements reflect a worthy definition of citizenship. Should we insist on knowing generalized facts but not, for example, skills for working with other people, or values such as a commitment to other people's rights?

Another question is whether studying for short-answer tests teaches people much. Someone could study for the naturalization test by memorizing phrases without understanding at all what they mean. The U.S. Citizenship and Immigration Services provides online flashcards to help, and the same is true of multiple choice civics tests in high school.

We could ask similar questions about the Pledge of Allegiance. When schools drop the pledge, it's interpreted as an attack on patriotic values. But if there were no pledge, would we really choose to instill patriotism and knowledge of the U.S. system by requiring students to repeat the same 31 words daily from kindergarten through senior year?

Would we be satisfied if millions of elementary school students said "indivisible" every day, but hardly any of them knew what it meant? If it is a pledge, why would we ask them to repeat it daily? Surely a promise is for keeps.

In other words, we should be thinking about what we want citizens to know, believe and do and how to teach and promote those objectives.

The bipartisan "Gang of 8" senators introduced an act recently, the Border Security, Economic Opportunity and Immigration Modernization Act, that takes a promising new approach. It doesn't mention the naturalization test at all. Instead, it would create a new U.S. citizenship foundation that would promote civic education for immigrants, especially low-income residents.

Those who seek "merit-based" naturalization -- jumping ahead of the queue -- would get points for "civic involvement" if they had engaged in a significant amount of community service.

The law values an understanding of constitutional principles, but it adds community service as an element of citizenship, and it encourages better teaching approaches than using flashcards to study for a short test. It doesn't specify those approaches but asks the foundation to look for "best practices."

If the new foundation becomes a reality, members should keep three principles in mind.

First, the goal should be to encourage people who are seeking naturalization to be genuinely constructive contributors to civic life. Memorizing a few phrases won't suffice to show they are capable citizens, but having the opportunity to learn advanced civic skills will help them and their communities. Our research finds that people who are engaged with their communities tend to fare much better in school, jobs and life.

Second, although being a good citizen means supporting certain core principles, civic education should not be fully standardized. One size does not fit all. A grandmother who has fled tyranny does not need the same kind of civic education as an adolescent who was born in the United States and knows only this country and the English language.

Third, an immigrant background is a civic asset. Newcomers contribute valuable knowledge and insights from their home countries. Most research on young immigrants finds that they flourish and contribute best if they hold on to aspects of their parents' cultures. When they lose their background culture, the worst elements of U.S. culture, such as fast food and violence, tend to affect them most strongly.

As Congress debates the immigration bill, the nation's attention will be focused on the question of who should be a citizen. We should not forget the equally important question of what citizens must know, believe, and do. For immigrants and native-born Americans alike, civic education should not be about passing a simple test but promoting high and diverse civic achievement.

The opinions expressed in this commentary are solely those of Peter Levine.

@highlight

Peter Levine: Would-be citizens must pass U.S. Naturalization Test, like a high school test

@highlight

Levine: Committing to community is more important than knowing facts about civics

@highlight

New proposal for citizenship will award those who perform community service, he says

@highlight

Levine: Becoming a citizen should be tailored to different circumstances of applicant