Athens (CNN) -- Minor scuffles broke out Wednesday between demonstrators and police in Athens as thousands of Greeks took to the streets to protest new austerity measures that critics describe as draconian.

The daylong general strike is the first called by unions since Greece's new coalition government was formed in June and comes as the country grapples with an economic crisis and heavy debt burden.

Police spokesman Panagiotis Papapetropoulos told CNN that some protesters had thrown Molotov cocktails in Syntagma Square, opposite the Greek parliament building in central Athens. Police responded with tear gas.

Live footage from the square as the trouble briefly flared showed smoke rising from burning tires, as police in riot gear faced hooded protesters lobbing petrol bombs.

At least 20 people were arrested amid the disorder, Papapetropoulos said.

By late afternoon, the protest had dispersed. Police put the number of demonstrators in Athens at about 35,000; while protest organizers said more than 50,000 people had turned out.

In return for international bailout funds, Greece has agreed to a harsh austerity program and labor market reforms -- measures that have led to violent street demonstrations in the past.

Give Greece more time, says French prime minister

The Greek government is seeking new ways to implement budget cuts of 11.5 billion euros ($14.49 billion) to ensure the country receives another international bailout installment in October.

The one-day strike in protest against further cuts was organized by the two biggest unions in the country, with rallies in a number of cities across Greece, including Patras, west of Athens.

CNN iReporter Costas Liveris, a public worker, was among those taking part in the demonstration in the capital.

Liveris, 36, has been hit hard by the country's economic crisis, losing 50% of his salary and barely clinging to his job as the price of basic foodstuffs continues to rise.

"I'm furious because even after the elections, we got promises but nothing [from the government]," he said. "It's the same policy but just a different party.

"For the last few hours on the protest, me and my colleagues discussed how disappointed we are. We have no hope."

Liveris said he and his fellow Greeks stand in total support of the Spanish people who protested against austerity Tuesday evening. "It is the same policies that strangle the same people. We 100% stand with the Spanish," he said.

Dozens of people were injured and arrested as protesters and police clashed in central Madrid. Demonstrators said police were shooting into the crowd with rubber bullets, although police would not comment. Officers at one point baton-charged the protesters to prevent them from approaching the Spanish parliament, which was in session.

As large numbers began to assemble in Athens and other cities earlier Wednesday, Constantine Michalos, president of the Athens Chamber of Commerce, said he hoped the strike would not turn violent.

Many people are tired of years of government-imposed belt-tightening measures that have not worked, Michalos said.

"The Greek people have taken up tremendous sacrifices in this time period, and it just has not delivered the desired results," Michalos said.

"Where we need to concentrate today is not on further austerity measures, because there have been extreme sacrifices made by Greek people in the last three years. What we need is to advance growth and stimulate the economy."

Barroso: Europe federation 'unavoidable'

Parts of central Athens were closed to traffic Wednesday as protesters took to the streets, but they reopened later.

The strike has shut down much of the public transport network, with no metro or electric railway services in operation. Buses and trolleys are operating only from 9 a.m. to 9 p.m. local time.

Many ships are confined to docks, and air traffic controllers held a two-hour strike, causing some disruption to flights.

Schools are closed, and hospitals are operating on skeleton staff.

Greece is in the grip of a years-long recession, and many people are struggling to make ends meet.

While salaries have been cut for many workers, pensions and benefits have been slashed and unemployment rates have soared.

As of May 2012, 53.8% of Greeks younger than 25 were unemployed, according to Eurostat, the statistics division of the European Commission.

Greece's long-running economic woes have shaken global markets and led to fears the country could crash out of the eurozone single currency if it defaults on its debt.

Last month, Greek Prime Minister Antonis Samaras met with German Chancellor Angela Merkel in Berlin to plead for more time to push through reforms to public finances.

Members of the 17-nation currency bloc are waiting for the troika's report on Greece's troubled economy, due in the coming weeks, before making a decision.

The turmoil in the eurozone has exacerbated concerns about other ailing nations such as Spain and Italy, which are also struggling with high unemployment and debt.

S&P 500 down for 5th straight day amid Europe unrest

CNN's Sarah Brown and Laura Smith-Spark contributed to this report.

@highlight

NEW: Police say 35,000 people rallied in Athens; organizers more than 50,000 turned out

@highlight

This is the first general strike since Greece's coalition government was formed

@highlight

The strike was organized by the two biggest unions in the country

@highlight

Police say more than 25,000 people gathered for protests in Athens