Princeton, New Jersey (CNN) -- American voters need to decide what they really want from Washington.

On the one hand, voters are dismissive of presidential and congressional candidates who can be called "flip-floppers," people who shift positions or agree to compromise.

On the other hand, voters rail against a dysfunctional Washington that seems unable to reach agreement on almost anything because politicians on the right and left don't seem willing to compromise

As a result, the approval ratings of Congress have fallen to only 9%.

Voters insist they want the type of candidate who won't compromise, and thus won't be able to cut the deals that are needed to break through the partisan gridlock.

Indeed, the term flip-flopper has become one of the dirtiest words in American politics. When candidates have a record that reveals inconsistencies in their position, their opponents pounce.

In 2004, President George W. Bush's campaign eviscerated Democratic presidential candidate Sen. John Kerry through a devastating campaign that focused on this point. In one television ad, Republicans showed Kerry windsurfing, arguing that this was a metaphor for his approach to politics. The narrator stated: "In which direction would John Kerry lead? Kerry voted for the Iraq war, opposed it, supported it and now opposes it again. ... John Kerry: whichever way the wind blows."

Right now the top candidates in both parties are viewed by many voters as flip-floppers. For some liberal Democrats, one of the biggest problems with President Obama has been that he has governed too much like President Bill Clinton. Rather than standing on principle, he has made deals. The president has consistently reached out to centrists and has been willing to accept the best that he could get, rather than challenging his opponents to a tough fight.

On the other side of the aisle, there is former Massachusetts Gov. Mitt Romney, the front-runner who Republicans love to hate. His critics argue he is a politician willing to stand for anything that will get him elected. They point to positions he has taken a stand on, issues such as abortion, health care and gay rights, and note how he later changed his stance for political expediency.

In response to a question during one of the Republican debates, Texas Gov. Rick Perry said, "I think Americans just don't know sometimes which Mitt Romney they're dealing with."

Erick Erickson, a CNN contributor and editor of redstate.com, wrote, "Mitt Romney is not the George W. Bush of 2012 -- he is the Harriet Miers of 2012, only conservative because a few conservative grand pooh-bahs tell us Mitt Romney is conservative and for no other reason." Even before the GOP nomination battle is decided, President Obama's surrogates such as David Plouffe are already attacking Romney as a flip-flopper.

The critics of Obama and Romney are picking up on the fact that voters react negatively to candidates who shift their positions. And there are forces in both parties that are pushing for the kind of candidate who will stand firmly on principle and not negotiate with the other side.

Yet if these are the ideals that we demand of our elected officials, it will certainly be more difficult to solve America's problems.

There seems to be no room any more for politicians like Sen. Everett Dirksen. The Illinois Republican and Senate Minority Leader in the 1960s was a striking figure. With his baritone voice and wavy white hair, Dirksen was a memorable politician who passionately believed in the art of compromise and was often willing to cut a deal.

Indeed, his critics often complained that he was all compromise and no principle. One southern Democrat refused to join a birthday celebration for Dirksen, explaining, "He is a delightful companion, but he changes too often for me. I never know where he is." Dirksen didn't really care. He liked to quote Emerson as saying "consistency is the hobgoblin of little minds," believing the job of the legislator was to find or shape bills that could pass.

As a result, he was able to make bold moves to make legislative deals even when they defied some of the core ideals of his party. Dirksen, for example, was instrumental in ending the filibuster against the Civil Rights Act of 1964. With Southern Democrats opposing the bill, the White House depended on him to deliver enough votes to reach the 67 required to end debate and bring the bill to a vote. He delivered. Though he was not a champion of civil rights, Dirksen emerged as a towering figure on Capitol Hill as a result of this and other deals.

Dirksen was not alone. Some of the most successful presidents of the 20th century didn't practice what they preached. President Franklin Roosevelt was notoriously difficult to pin down, embracing programs that appealed to the left and the right, such as cutting government spending in 1933 while expanding the regulatory power of Washington at the same time.

President Ronald Reagan is often praised for having negotiated a historic agreement with the Soviet Union in 1987, even though he had spent much of his career railing against other Republicans and Democrats who were willing to sit down and talk with the Kremlin.

Of course we don't want presidents and legislators who stand for nothing and simply move whichever way the wind blows. But flexibility and pragmatism are virtues as well.

If we are to fix Washington, the city needs more figures like Dirksen, FDR, and Reagan, individuals who love the craft of politics and the art of making deals. But if the nation insists on electing politicians who have a pure partisan track record, compromise will be hard, if not impossible, to achieve.

At some level, Americans will have to come to learn to love the flip-flopper if they really want to end the legislative stalemate we've seen for more than a decade.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: American voters want candidates who aren't flip-floppers

@highlight

But they also criticize Washington for failing to solve America's problems, he says

@highlight

Reaching agreement on legislation takes compromise, Zelizer says

@highlight

Zelizer: There seems no room anymore for figures who bring parties together