Tokyo (CNN) -- Japanese authorities vowed Friday to continue their aerial and ground-level dousing of water on a troubled nuclear reactor, with its owner saying that earlier attempts have been "somewhat effective" in addressing radiation concerns.

Still, the Fukushima Daiichi complex of six nuclear reactors remained a danger. Radiation levels peaked Friday at 20 millisieverts per hour near in an annex building where workers were trying to reestablish electrical power, "the highest registered (at that building) so far," an official with the Tokyo Electric Power Company told reporters.

Radiation levels Thursday morning at the plant were nearly 3.8 millisieverts per hour -- more than a typical resident of a developed country receives in a year. But Japan's Nuclear and Industrial Safety Agency said 17 of 18 workers checked Thursday morning tested normal, and the one who received a higher dose of radiation required no medical treatment.

Last Friday's earthquake and tsunami caused damage at four of the six reactors at the Fukushima Daiichi plant, located on the northern coast of the Japanese island of Honshu.

Chief Cabinet Secretary Yukio Edano said that efforts would resume Friday afternoon to spray water from the ground and air in and around the plant's No. 3 reactor, the sole damaged unit that contains plutonium along with the uranium in its fuel rods. They have done so already in two rounds Thursday and another early Friday, according to Tokyo Electric.

Based on the steam emitted after these water-spraying operations, Edano said that authorities believe there is still water in the spent fuel pool -- meaning fuel rods, which can give off radiation, likely aren't fully exposed -- though he said it was not clear how much liquid there was.

Edano said Friday morning that authorities are also assessing whether to also spray in and around the plant's No. 1 reactor, though he added that the situation there was not as serious as in the No. 3 reactor.

Concerns remained about the spent fuel pool at reactor No. 4, from which the IAEA said no water-temperature data has been received since Monday, and which a U.S. official said Wednesday appeared to contain no water.

"The current situation at units 1, 2 and 3, whose cores have suffered damage, appears to be relatively stable," said Graham Andrew, a top aide to IAEA Director-General Yukiya Amano. "Unit 4, in particular, remains a major safety concern."

But a Tokyo Electric Power spokesman said Friday that a video of the No. 4 reactor's pool appeared to show it still contained water.

Japanese military helicopters dumped tons of water on the No. 3 reactor housing, including its spent-fuel pool, at the plant until after midnight Thursday, TEPCO reported. Earlier, fire and police trucks turned their hoses on the No. 3 reactor housing for more than an hour, and TEPCO said the subsequent steam and lowered radioactivity levels indicated progress.

Experts believe that steam rising from the pool, which contains at least partially exposed fuel rods, may be releasing radiation into the atmosphere.

In Vienna, Austria, a senior official of the International Atomic Energy Agency told reporters the situation remains serious, but there had been "no significant worsening" Thursday.

The state of the six nuclear reactors at Fukushima Daiichi has raised the specter of a multiple nuclear meltdown -- the nightmare scenario in which fuel rods cannot be cooled and the reactor's core melts. In the worst-case scenario, the fuel can spill out of the damaged containment unit and spread radioactivity and cancer-causing isotopes through the air and water.

All six reactors have been shut down, but some appear in better shape than others. A spokesman for the Nuclear and Industrial Safety Agency, which oversees the running of the country's nuclear plants, said Friday morning that sea water was still being injected into the reactor pressure vessel of Unit 1. A hydrogen explosion damaged it on March 12.

White smoke continued to emanate Friday from a hole in the Unit 2 building, said the spokesman, who was not identified by name. In a news release, the agency said "an abnormal noise" from the pressure suppression chamber had occurred on March 15 and the chamber's pressure dropped. Workers have been moved away from the unit, though sea water injection continues.

A power source for the cooling system of Units 1 and 2 was expected to be connected Friday morning, a Tokyo Electric spokesman said.

Unit 3 has been particularly worrisome. It was struck March 14 by an explosion -- described by the IAEA as caused by a hydrogen blast. Fog -- possibly steam -- began rising from the reactor building on Wednesday morning. Unit 3 too is being injected with sea water and water was being sprayed into it. The pressure of the suppression "has been temporarily increasing since approximately 6:15 a.m. on March 17," the release said.

Temperatures in the spent-fuel pools at Units 5 and 6 had been rising slowly since they lost power. But engineers got an emergency diesel generator connected to Units 5 and 6 to cool their spent-fuel pools, a spokesman for the Nuclear and Industrial Safety Agency said Friday. Water injection to the spent fuel pools was continuing.

On Friday morning, Edano said temperatures in and around those two reactors have risen, though not enough to pose any immediate danger, according to a report by Japan's Kyodo News agency.

Used nuclear fuel is stored in pools at each of the six reactors plus a shared pool and in a dry container storage, according to the Nuclear Energy Institute. Sixty percent of the total is in the shared pool, 34% is stored in the six spent-fuel pools of the reactors, and the remaining 6% is stored in nine dry storage containers, it said.

There were "no safety concerns" about the dry storage containers. The spent-fuel pools -- located at the top of the reactor buildings to make it easier to handle the fuel during refueling -- were typically filled with water 16 feet or more above the top of the fuel rods.

"The only way to rapidly drain down the pool is if there is structural damage to the walls of the floor," the release said, noting that the pools have no drains and are built of concrete and steel.

They lose water slowly due to evaporation when the units lose power and the cooling systems stop working. But the threat is not immediate. "Rapid evaporation of the water will not occur," the release says.

If the water level drops below the fuel, "oxidation of the zirconium cladding could occur," resulting in the formation of hydrogen, it says. But only fuel discarded within recent weeks would cause such a strong reaction, which would require temperatures of approximately 1,000 degrees Celsius, it adds.

Zirconium melts at 1600 degrees C.

"The likelihood of cladding damage, as with hydrogen generation, decreases substantially with temperature and cooling time," it says. It called the prospect of a zirconium fire "virtually impossible."

The TEPCO spokesman said the level of water in the main pool, which contained older fuel that had already cooled, was only 10 to 15 centimeters below normal. Still, he acknowledged, officials had not been able to measure the temperature there.

And nuclear engineer Arnie Gundersen told CNN that the effort will likely need to be sustained "for months, if not years."

"What's pushing the firemen back is the radiation that's coming from the spent fuel pool," he said. If the spent fuel rods in that pool are uncovered, "There's an awful lot of gamma rays flooding that site, forcing the workers to say further away."

Public health officials say the release of radiation from a meltdown can cause immediate and long-term health problems, including radiation poisoning and cancer. About 200,000 people living within a 20-kilometer (12-mile) radius of the plant have been evacuated; those living 20 to 30 kilometers from the site have been told to remain inside, and Japan has banned flights over the area.

Rebecca Johnson, founder of the London-based Acronym Institute for Disarmament Diplomacy, which promotes international security, disarmament and arms control, told CNN that Japanese engineers were "flying by the seat of their pants now ... Everything they try goes wrong. They're focusing on reactors, then spent fuel becomes damaged," Johnson said. "They've just got to get water in there, keep the water pumping."

CNN's Stan Grant and Steven Jiang contributed to this report.

@highlight

NEW: Efforts will resume Friday afternoon to spray water on Unit 3's fuel pool, Edano says

@highlight

NEW: Authorities are also considering spraying on Unit 1, though that situation is less dire

@highlight

NEW: Kyodo News reports temperatures are up at Units 5 and 6, but no imminent danger

@highlight

One emergency generator for 2 units is running, with another power supply in the works