(Budget Travel) -- The freedom to go precisely where you want, when you want and how you want -- behold, the power of one!

Budget Travel's Trip Coach answers 6 of the most common solo travel questions:

I'm planning to take a trip by myself. Are there any destinations that are especially appealing for solo travelers?

First off, you're not alone. Solo travelers account for 11 percent of all American vacationers. No destination is strictly off-limits to solo travelers, but some places are easier (and more appealing) to navigate than others.

In general, the best bets for first-time single travelers are English-speaking destinations known for their friendliness and hospitality, such as Ireland, New Zealand and Australia. After all, you're a lot less likely to get lost or feel lonely if you're surrounded by people who can understand what you're saying. Within Southeast Asia, Thailand and Vietnam are also particularly welcoming, if only for the affordability and prevalence of English.

Quiz: Name that hotel chain

What are some ways I can connect with others on the road?

You'll want to start planting the seed before you go: Talk up your travel plans on Facebook, Twitter and other social-media outlets. You might be surprised to discover a long-lost friend from college who plans on passing through Paris when you are, too; or perhaps a colleague has family in India, near the yoga retreat where you've booked a stay.

Another networking suggestion, from IndependentTraveler.com editor Sarah Schlichter, is to use the website couchsurfing.org. Even if you're not interested in the site's primary service (setting up free couch-stays), it can be a handy tool for connecting with locals around the world. "The site draws social types who are obviously up for meeting and hosting travelers," she says. "You can suggest lunch or coffee at a café or museum."

Beth Whitman, author of "Wanderlust and Lipstick: The Essential Guide for Women Traveling Solo," offers this simple tip: Go to a busy park, sit out on a bench with a map and phrasebook, and wait for a curious passerby to make the first move. "You'd be amazed how often this works for me," she says. "In faraway locations, especially, there are always friendly college students who want to practice English."

Budget Travel: 10 great girlfriend getaways

Finally, be strategic about where you stay. At big chain hotels, people tend to retreat to the comfort of their own private rooms; your chances of befriending other travelers are far better at B&Bs and family-run inns, where guests congregate at the breakfast table and in common areas.

Any tips for keeping costs down?

When you're on your own, lodging becomes the main, annoying expense. Solo travelers are effectively charged twice as much in hotels because most places automatically base their room rates on double occupancy. One way around this surcharge, called a single-supplement fee, is to simply ask for a discount: Point out that you're the only person staying in the room and that you'll be using less electricity and water and eating less breakfast than two guests.

"Bargaining over room rates is common and accepted in most of the world," Whitman says. "Smaller, family-run hotels are more apt to give price breaks than chains or ritzy properties."

Budget Travel: 16 awe-inspiring American monuments

On cruises, solo travelers are often charged the full cabin rate -- which amounts to a 200 percent single-supplement fee -- but you may be able to find deals by booking early or at the very last minute, according to Amber Blecker, a travel agent who runs Solo Cruise Resource.

Specifically, Princess and Holland America often offer solo cruisers discounts of up to 50 percent off the single-supplement fee for bookings made six or more months ahead, and Celebrity and Royal Caribbean often reduce fees by as much as 25 percent as the cruise's date of departure nears, Blecker says.

Tour package supplements vary significantly, so choose wisely if you want to go guided. Charging solo travelers around 30 percent more is typical, for instance, but some outfitters, such as Gap Adventures and Cosmos, offer price breaks and design itineraries specifically for groups of singles.

That trend seems to be growing, according to Diane Redfern, founder of the website Connecting: Solo Travel Network, which lists tours and trips specifically for solo travelers.

"When I launched the company in 1990, I knew of just one travel company that catered specifically to singles," Redfern says. "Now I have upward of 400 tours and cruises listed on my site at any given time." Check out our sidebar, "Trips for One, for Less," for more money-saving trip ideas on cruises, tours and accommodations.

How to save on solo travel

I absolutely dread going out to eat on my own. Help!

Count yourself in good company. Dining alone may well be solo travelers' number-one fear, so much so that it even has an official diagnosis: solomangarephobia. In practice, however, it can be a lot easier than you expect.

Whitman recommends getting a seat at the bar, rather than at a table, in restaurants. "There are always people to chat with-other solo diners, regulars, even the bartender." If you're not feeling talkative, bring along a book or magazine to stay occupied. You could also skip the restaurant scene altogether, by sampling street food or picnicking in a park with items from a farmers' market.

I'm concerned about safety. Anything I can do?

To minimize risks, follow these five practical tips, gathered from experts including Whitman, Schlichter and travel guidebook author Rick Steves.

(1) Project strength. Walk purposefully, and show no fear-even if you have to fake it. Pickpockets prey on travelers who look like confused, easy victims.   (2) Always remain alert. "It's those few seconds of inattentiveness when your bag or purse could get snatched," Whitman says. "Thieves are generally looking for a quick steal, so bring a cable lock to secure your belongings to your seat on trains, and lock the zippers of your bags together so no one can easily open them."   (3) Readjust your schedule. If you feel uncomfortable going out at night, don't force it. Instead, sightsee during the day, make lunch your biggest meal, and turn in early. "Everyone should avoid walking alone at night," Schlichter says. "I've heard plenty of stories of male travelers who put themselves in bad situations -- they made the mistake of assuming they'd always be fine because they're guys."   (4) Avoid the flirts. Steves has long advised single female travelers to wear fake wedding rings, especially in Mediterranean and Latin countries, where the men tend to pay more attention to women than Americans are typically used to. Getting hit on doesn't always turn into a safety concern, of course, but a simple gold band could save you some headaches.  (5) Follow your gut. If your radar goes off, listen to it -- no matter who sets it off. "Women and young children are just as likely to be pickpockets in some European countries -- not men with knives," Whitman points out. "They often get away with it, I think, because people don't want to be rude to a nice-looking, middle-aged lady holding a baby, even if she's being pushy."

How can I get some decent vacation shots -- with me in them -- if I'm alone?

If you go the obvious route (asking someone to snap a picture with your camera), you're not only handing off a pricey piece of electronics to a stranger, you're also relinquishing control of how the photo turns out.

Your best bet is to invest in some new gear, namely the XShot Camera Extender ($30), a metal rod that attaches to your camera, extends up to three feet, and acts as an extra-long arm. Once you master your camera's timer, you can capture self-portraits that look like someone else took the shot.

"I carry it on every trip," Whitman says. "I put my iPhone in it and take pictures of myself and the friends that I've made. The photos are always great because everybody's laughing when I set up the shot. It's goofy, but fun."

Now you can be the designated photographer, stay in the picture, and come home armed with frameable souvenirs.

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2011 Newsweek Budget Travel, Inc., all rights reserved.

@highlight

Solo travelers account for 11 percent of all American vacationers

@highlight

English-speaking destinations known for friendly locals are easy for solo travelers

@highlight

Get a seat at the bar, rather than at a table, if you fear dining alone