(CNN) -- It's a Jonah-and-the-whale kind of moment. You wake up, and your guest room appears normal. But as you get your bearings, you realize that you're in the belly of a reptile -- otherwise known as Australia's Gagudju Crocodile Holiday Inn.

The curious trend of zoomorphic architecture -- that is, buildings that look like animals -- has been around for millennia (ever heard of the Sphinx?). And new species of animal-like buildings continue to turn up in concrete jungles like Bangkok, along roadsides or in national parks.

Even serious tastemakers like Pritzker Prize-winning architect Frank Gehry have been inspired to inject a playful animalistic motif into their building plans. For the Vila Olímpica in the seaside city of Barcelona, Gehry managed to capture the sleek, muscular movement of a fish in motion in a way that is utterly sublime.

Read on for more strange buildings that -- beastly or beautiful, by design or by accident -- pay tribute to the animal kingdom. Long may these crazy critters stand.

See more buildings shaped like animals

Church by the Sea, Madeira Beach, Florida

Times were hard at the end of WWII, but this small community managed to cobble together a collection plate large enough to buy land. Volunteers flooded to help, including an architect who unwittingly constructed two eyes and a beak from the bell tower, eventually inspiring the nickname Chicken Church. When the bell rings it makes a clucking sound—well, not really, but it looks like it should.

Travel + Leisure: World's coolest futuristic buildings

Vila Olímpica, Barcelona

In the late 1980s, many architects were obsessed with Grecian columns. Frank Gehry felt that postmodernists weren't looking back far enough. He surmised that we are all descended from fish and, for the 1992 Olympics, set about creating a structure near the Hotel Arts that would reflect our 300-million-year-old ancestor. The metal canopy, measuring roughly 114 by 177 feet, is supported by a wood and steel space frame and was the first of several fish-inspired buildings Gehry created.

Cat Kindergarten, Wolfartsweier, Germany

This ingenious preschool is so adorable that it makes any work seem like play. Artist Tomi Ungerer and architect Ayla Suzan Yöndel designed it so that children enter through the cat's mouth, where the classrooms and cafeteria are located, and exit into the backyard via a slippery dip for a tail.

Travel + Leisure: Cutest baby animals at U.S. zoos

Observation Tower, St. Georges de Windsor, Quebec

About two hours east of Montreal, on the drive toward the Maine border, is a roadside attraction worth a detour. Local artist Josée Perreault designed an observation tower from boulders painted to look like a cow reclining in a field. Upon climbing the squat tower, travelers are rewarded with a view of real-life cows reclining similarly in green pastures.

Ladprao Tuk Chang, Bangkok

You'd have to have a thick hide to work in the 335-foot-tall Elephant Tower, easily a contender for one of the world's ugliest buildings. Architect Ong-ard Satrabhandhu's creation is certainly one of the most famous in Bangkok, thanks to three towers -- the pachyderm's thick legs and trunk.

Travel + Leisure: World's most mysterious buildings

Universum Science Center, Bremen, Germany

A giant silver clam shell and a giant chrome sperm whale rising from the reflecting pool are two popular interpretations of Thomas Klumpp's design. Inside the Universum Science Center, opened in 2000, are interactive exhibits also meant to provoke and engage the visitor: you can, for example, feel sound waves vibrate throughout your entire body.

Lucy the Elephant, Margate, New Jersey

Lucy was the first example of zoomorphic architecture in America, with the patent to prove it. Built in 1882 to sell New Jersey real estate, Lucy then found use as an office, a bar and a summer home. The patented 65-foot-tall tin and wood construction was meant to be one of a pack, but giant elephants didn't take off the way the architect intended. To this day, Lucy stands proudly alone.

Gagudju Crocodile Holiday Inn, Kakadu National Park, Australia

Upon arrival, you don't immediately appreciate how true this hotel is to its name: the low-lying, curved corridors could simply be a way to give each room a unique view of the landscape, rich with kangaroos and other wildlife. A bird's-eye view, however, reveals that the entire hotel is shaped like one of the region's most feared residents, the crocodile, and that every guest has been swallowed whole.

See more buildings shaped like animals

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

The curious trend of zoomorphic architecture has been around for millennia

@highlight

Modern interpretations include Frank Gehry's sleek fish structure in Barcelona

@highlight

A cat-shaped kindergarten and a church resembling a chicken are whimsical examples