(CNN) -- The world's oceans are full of trash, causing "tremendous" negative impacts on coastal life and ecology, according to a U.N. report released Monday.

The oceans will continue to fill up with junk discarded from cities and boats without urgent action to address this buildup of marine debris, the United Nations Environment Programme says in a report titled "Marine Litter: A Global Challenge."

Current efforts to address the problem are not working, and the issue is "far from being solved," the report says.

"There is an increasingly urgent need to approach the issue of marine litter through better enforcement of laws and regulations, expanded outreach and educational campaigns, and the employment of strong economic instruments and incentives," the report says.

"Although a number of countries have taken steps at the national level to deal with marine litter, the overall situation is not improving."

Scientists have been watching trash pile up in the world's oceans for about a half-century, when plastics came into widespread use. Since plastics don't biodegrade, or do so very slowly, the trash tends to remain in the ocean, where circling currents collect the material in several marine "garbage patches."  See a map of the Great Pacific Garbage Patch »

One of these trashy areas is said to be roughly the size of Texas. The water in these at-sea landfills is thick like a plastic soup, oceanographers told CNN.

The trash patches are located in "very remote parts of the ocean where hardly anyone goes, except the occasional research vessel," said Peter Niiler, a distinguished researcher and oceanographer at the Scripps Institution of Oceanography.

Plastics and cigarette butts are the most common types of ocean litter, with plastic making up about 80 percent of the ocean trash collected in some areas of the world, a U.N. news release says.

The ocean litter is a problem for coastal communities, which rely on clean beaches for tourism dollars and to boost quality of life for their residents, the report says. Ocean trash also affects marine life and degrades human health.

Sea turtles, for example, think plastic grocery bags are jellyfish when the bags are floating in the ocean. An untold number of the turtles and other creatures, such as Hawaii's endangered monk seal, swallow the bags and suffocate, drown or starve, said Holly Bamford, director of the National Oceanic and Atmospheric Administration's marine debris program.

Birds face similar issues when they eat pieces of plastic out of the water. In the North Sea, a survey found 94 percent of fulmars, a type of seabird, had plastics in their stomachs, the U.N. report says. The birds, on average, had about 34 pieces of plastic in their stomachs.

A surprising amount of trash that ends up in the ocean starts on the land, the report says. In Australia, for instance, a survey found 80 percent of ocean trash starts on the land.

One of the key questions for people interested in ocean trash is how much of it is out there, but Monday's U.N. report does not solve that mystery.

The U.N. says little is known about the extent of litter in the oceans, and more data is needed for the problem to be adequately addressed.

"This deficiency, in combination with the lack of specific legislation, adequate law enforcement and funding, are the primary reasons why the problem of marine litter is far from being solved," the report says.

"Unless effective action is taken, the global marine litter problem will only continue to worsen in the years to come."

The report does suggest several solutions, among them:

Volunteer efforts try to address the issue now, and the Ocean Conservancy says it organizes the largest of these.

Last year, 400,000 volunteers from more than 100 countries picked up 6.8 million pounds of trash from beaches, preventing it from harming the ocean, said Tom McCann, a spokesman for the group.

"It's entirely preventable," he said of the problem. "It's something we can solve ourselves."

McCann said people can prevent trash from ending up in the ocean by making smarter choices about the products they buy.

Some of the Ocean Conservancy's recommendations include:

@highlight

New U.N. report says ocean trash is a "tremendous" problem

@highlight

Much of the trash is plastic, which goes away very slowly, if ever

@highlight

Scientists say plastic collects in large "garbage patches" in oceans

@highlight

One such garbage patch is said to be the size of Texas