Editor's note: Joseph Cirincione is president of Ploughshares Fund, a nonprofit organization that makes grants to prevent the spread of nuclear weapons, and the author of "Bomb Scare: The History and Future of Nuclear Weapons." He formerly was a senior vice president at the Center for American Progress, a think tank that describes itself as "progressive," and was on the staff of the House Armed Services Committee.

Joseph Cirincione says Clinton's trip was the culmination of diplomacy his adminstration began 15 years ago.

(CNN) -- President Clinton did more than free two unjustly jailed journalists. He jump-started the successful diplomacy he had begun 15 years earlier.

In October 2000, then-Secretary of State Madeleine Albright visited Pyongyang. During Bill Clinton's presidency, the administration had locked down North Korea's plutonium production program, which had created enough deadly material for two bombs during the Reagan years. They had stopped all missile tests. They were a few details away from concluding a deal to end these programs completely.

But Clinton ran out of time. Enmeshed in Middle East peace talks, Clinton could not get assurances that a presidential visit to North Korea would seal the deal. He passed off the almost completed process to the incoming George W. Bush administration.

On March 6, 2001, new Secretary of State Colin Powell said, "We do plan to engage with North Korea to pick up where President Clinton and his administration left off." But Bush had different ideas. On March 7, Bush kneecapped Powell.

With South Korean President Kim Dae-jung sitting next to him in embarrassed silence, Bush said, "We look forward to, at some point in the future, having a dialogue with the North Koreans, but any negotiation would require complete verification of the terms of a potential agreement."

The conservative ideologues in the administration froze all discussions with North Korea for an 18-month review. Clinton's hard-earned diplomatic wins were replaced by the Bush Doctrine, summed up by Vice President Dick Cheney: "We don't negotiate with evil; we defeat it." The United States would instead overthrow difficult regimes.

Serious options for diplomacy with North Korea were set aside. Negotiations were appeasement, the new administration believed, not a tool to advance American security. Then-Undersecretary of State John Bolton said in 2002 and repeats to this day, "We're not going to reward their bad behavior."

The strategy backfired. North Korea expanded plutonium production, exploded nuclear bombs, tested new missiles and traded nuclear technology to Syria and possibly Burma. North Korea's nuclear and missile programs advanced more in the George W. Bush administration then they had in the Reagan, George H.W. Bush and Clinton administrations combined.

Whether by accident or design, the Obama administration reset the diplomatic stage. Administration officials largely ignored North Korea for their first eight months in office. Kim Jong Il responded with provocative statements and actions. It almost spiraled out of control. But the Obama administration's patience -- or just policy drift, we may never know -- paid off.

Kim Jong Il's regime got weaker and more isolated. North Korea's main partners, China and Russia, turned against it, the U.N. Security Council imposed tough new sanctions, and Kim's own health deteriorated.

Now in a weaker position than at any time in his regime, Kim Jong Il has been on his best behavior for the past few months. This was the time for a power play, and Obama executed perfectly. He chose as his special envoy the most prestigious political figure in America outside the administration. It is a move that was sure to please the North Koreans, showing them the respect they crave, without costing America anything.

To capitalize on this breakthrough, the Obama administration must now continue to play large. It should show North Korea what good relations with the United States can lead to. Clinton's 20 hours in Pyongyang could pave the way for renewed diplomatic efforts, including direct dialogue between the United States and North Korea, the re-freezing of North Korea's nuclear program and even North Korea's return to the six-party talks.

However, in dealing with the North, actions are more important than words. The Obama administration must seize this moment as an opportunity not only to articulate a plan for North Korean nuclear disarmament but to take concrete steps towards a secure and stable Korean Peninsula. The president should use the momentum Clinton's trip has generated to unfold a comprehensive, consistent regional security strategy.

With this success, Bill Clinton has demonstrated what effective diplomacy looks like. He has shown the former Bush officials what they should have done years ago. He may have convinced senior White House strategists that diplomacy is a political winner, paying dividends across issue areas.

Two power players, Obama and Clinton, have together taken a giant step forward, advancing the agenda Clinton began 15 years ago. America is the better for it.

The opinions expressed in this commentary are solely those of Joseph Cirincione.

@highlight

Joseph Cirincione: Clinton administration started outreach to North Korea

@highlight

He says Bush administration cut it off, saying U.S. doesn't negotiate with 'evil'

@highlight

He says Clinton's successful trip shows effectiveness of diplomacy

@highlight

Cirincione: Obama administration must seize moment for further progress