Knoxville, Tennessee (CNN)President Barack Obama's ambitious proposal to give millions of Americans more affordable access to a community college education and what he called a "ticket to the middle class" is unlikely to become law any time soon.

His plan is to partner with states and fund the first two years of community college for Americans "willing to work for it." The White House will work to push this plan through Congress "in the next few weeks," Obama promised.

But with a roughly $60 billion price tag over the next 10 years, the proposal may have little chance of getting through the wall of Republican deficit hawks that now control both houses of Congress.

Lamar Alexander and Bob Corker, both Republican senators from Tennessee, joined Obama on Air Force One and at the community college during Obama's speech, but neither want Obama's plan to become federal law.

That's despite the fact that Obama called his proposal bipartisan, noting that similar policies have been implemented by Tennessee's Republican governor and Chicago's Democratic Mayor Rahm Emanuel.

Asked whether he would support Obama's proposal, Corker said "Oh no, no, no, no, no," instead urging other states to take the president's initiative, and do something similar themselves rather than create "a whole new bureaucratic federal program."

Sen. Alexander, chairman of the Senate's education committee and the former education secretary, echoed that in a statement on Friday saying states should follow Tennessee's lead.

Obama's proposal, dubbed America's College Promise, wouldn't be the first broad-sweeping proposition that didn't get far in Washington, but --aided by a presidential push -- could still make inroads throughout the country by way of state and local initiatives.

"It's not necessarily all about bills and funding," said Maine's Sen. Angus King who serves on the Senate Budget Committee. "Sometimes it's about the bully pulpit and raising the profile of an issue."

King, an independent who caucuses with Democrats, pointed to the President's previous ambitious proposal for universal early childhood education in 2013. It hasn't produced results on Capitol Hill, but has spurred attempts to provide Pre-K education in King's state of Maine.

And while Congress hasn't raised the federal minimum wage since Obama called for an increase during last year's State of the Union, dozens of states and municipalities have since passed laws to create a higher minimum wage on their own.

"Setting the national agenda is an important part of what the presidency is," King said.

King said Obama is "definitely in the target zone" with his proposal, but said there would be a challenge to find the $60 billion, which he called "a big number." While he supports Obama's idea, King said he wouldn't endorse the proposal outright until he reviews the plan's funding mechanism, which remains a massive question mark.

And King was thrilled to learn that Obama committed in his speech to working with Alexander on a bill King cosponsored that would shrink the size of the federal student aid application form, which has more than a hundred questions -- something college affordability advocates have pushed for in recent years.

Federal funding for state programs

Obama's proposal would give states a huge break -- with the federal government picking up three-quarters of the cost of waiving community college tuition for the first two years, and leaving states to fund the rest.

"States would have to do their part too. For those willing to do the work and for states and local communities who want to be a part of it, it could be a game changer," Obama said.

Emphasizing that there are "no free rides in America," free tuition would be contingent on students getting good grades, enrolling at part-time and following through on earning their degree.

Deputy White House Press Secretary Eric Schultz told reporters on Air Force One recognized that the $60 billion plan was a "significant investment."

"But it's one the president believes is worthwhile because we need to make sure that America's young people are getting the skills they need to succeed in the 21st century economy," Schultz said.

The proposal and potential effects

Obama modeled the proposal on a Tennessee program started under Republican Gov. Bill Haslam a year ago.

"Why not just build on something that works?" Obama said at Pellissippi State Community College on Friday.

Haslam launched the Tennessee Promise, a program that covers the cost of tuition and fees of a certificate or degree at any of the state's community colleges after students already kick in whatever financial aid they can get.

But higher education experts stress that the Tennessee program doesn't make a community college education "free" since students incur many other costs to attend college -- from living expenses to lost wages.

Lauren Asher, President of The Institute for College Access & Success, said Obama's plan is different (and, she said, better) since it would waive tuition costs and let students use federal aid, like Pell Grants for the neediest students, go toward expenses other than tuition.

And Obama's focus on community colleges was also a welcome message, just one of the many steps the administration has taken to address college access and affordability, Asher said.

"The President is rightly calling attention to the importance and value of community colleges and of education and training after high school," Asher said. "What the President is proposing has the potential to help low-income students.

Nicholas Wyman, CEO of the Institute for Workplace Skills and Innovation, a consulting firm, called Obama's focus on community colleges and skills-driven, vocational training a much-needed step to boost the U.S. economy.

The number of job openings could halve the unemployment rate, but a massive gap between the skills of prospective employees and those in demand is holding the economy back. And by elevating community colleges, Obama is helping to destigmatize what many view as bottom-rung institutions.

"Companies want to employ people with strong academics, but they also want to employ people with strong workplace skills. A lot of the community colleges offer that and unfortunately a lot of the four year colleges don't," Wyman said. "This is an opportunity to move the community college system into the 21st century."

Obama also hit on a note that is a focus of Wyman's consulting firm, addressing the need to connect community colleges and employers who could benefit from the neatly-tailored skills of a community college graduate.

And even if Obama's proposal flops in Washington, Wyman, who has travelled around the country, asserted that states are "hungry for reforms."

"There's a lot of states who would look at this and often as you know states don't like being told what to do," Wyman said, and maybe they'll now take the initiative themselves.

@highlight

Obama's plan would waive the first two years of community college tuition in states that pitch in 25% of costs

@highlight

That would still leave the federal government with $60 billion over 10 years

@highlight

Even though it's not likely to get through Congress, the proposal could still spur action at the state and local level