(CNN) -- The Keystone XL pipeline has turned into a poster child for political posturing. While it is merely one of many pipelines crisscrossing North America, this project has become "red meat" that both sides of the congressional aisle are using to weaken each other in an election season. To make matters more complicated, Canadian public and private-sector officials have jumped into the fray by coming to town to extol the virtues of the pipeline.

The battle has become so heated it's easy to lose sight of the main question on which the fate of the pipeline should rest -- whether the project is in America's national interest and what are the measurable benefits and costs.

The pipeline, as originally proposed, would bring crude oil from the tar sands of northern Canada through the Great Plains to the oil refineries in Texas and Louisiana, primarily for export. Supporters tout that the project would bring much needed jobs. Opponents warn of environmental risks.

Unfortunately, the fight over whether to greenlight Keystone XL is creating collateral damage that vastly outweighs the marginal benefit either side will gain from sticking to its current position. Three victims among many deserve special mention: the U.S. transportation bill, U.S.-Canadian relations and America's strategic interests.

The transportation bill, now in its ninth extension, is a critical piece of infrastructure legislation that consolidates more than 100 separate programs into just five major investment categories (for efficiency) and establishes performance standards for these investments (no more "Bridges to Nowhere"). It is finally in the last stage of negotiations between the House of Representatives and Senate. While the Senate passed a bill in March in a bipartisan 72-24 vote, the House has only a shell bill to offer, plus its "non-negotiable" insistence on mandatory approval of Keystone XL. The Senate majority has its own bazooka: a presidential veto if Keystone XL is in the bill.

There is a good possibility that a sound, bipartisan bill authorizing a program so important to our future economic growth -- infrastructure -- will be tossed aside for a 10th extension and kicked into a new Congress to start all over from scratch. If this happens, both parties must stand to account in November for the damage done to our economy. America, which in 10 years has fallen from fifth to 23rd place in the quality of its infrastructure compared with its global competitors, will be the loser if the transportation bill becomes a victim of Keystone XL.

If the project can't be resolved soon, U.S.-Canadian relations could also be compromised. Canada is not only our largest trading partner but also a great friend. Today, Canada supplies the largest share of U.S. oil imports and buys our products with the money we pay them for it. Yet the Canadian government risks becoming a pawn in our domestic political catfight.

Keystone XL is being egged on by the fossil fuel lobbyists on both sides of the border who have urged Canada to double down against the initial permit denial and "turn up the political heat." In a recent meeting with representatives of the Canadian government, a U.S. oil industry representative argued that Canada should have pulled its ambassador when the Keystone XL permit was initially denied. That's crazy talk. Yet the Canadians have pushed hard for Keystone approval, bringing in both Prime Minister Stephen Harper and Alberta Premier Alison Redford to praise the pipeline and hosting the Canadian Association of Petroleum Producers while in town to brief Congress on the merits of the pipeline.

All the pressures aside, the United States needs to pause and think carefully about its national interest. Our future energy balance and supply chain should not be short-stopped by attaching Keystone XL as a nongermane rider to a transportation bill for temporary political gain. Politicians come and go; nations generally do not.

The long-term strategic interests of both Canada and the United States are better served if all parties involved heed the analysis under way in the State Department rather than resort to legislative fiat or a presidential veto. Calmer heads are already working on the details of a better proposal: a new route, improved technology and perhaps cleaner oil.

The Canadian government should vigorously and publicly embrace the existing State Department analysis and strongly oppose attaching Keystone XL as a rider to the transportation bill. Canada should not be complicit in rushed, political decisions -- it should play by the rules.

Congress should resist the temptation to use Keystone XL as an opportunity for political brinkmanship. Both Democrats and Republicans need to make sure that the real issues aren't lost in the partisan noise of Washington and that we do our best to avoid all the collateral damage.

The opinions expressed in this commentary are solely those of David Burwell.

@highlight

David Burwell: U.S. needs to think carefully about its national interest in considering pipeline

@highlight

Burwell: Fight over Keystone XL project is creating unnecessary collateral damage

@highlight

He says victims include transportation bill, relations with Canada, U.S. strategic interests

@highlight

Burwell: Congress needs to focus on real issues instead of partisan bickering