The Syrian regime has used children as human shields and tortured youths whose parents are suspected dissidents, according to a U.N. report.

The report on children and armed conflict details accounts of juveniles allegedly abused by pro-government forces and came as a top U.N. official said the conflict in Syria has spiraled into a civil war.

"Yes, I think we can say that," U.N. peacekeeping chief Herve Ladsous said when asked if Syria is in a civil war. "Clearly what is happening is that the government of Syria lost some large chunks of territory, several cities to the opposition, and wants to retake control."

Ladsous, who made the remarks to two news agencies, was not available for comment Tuesday because he was traveling. His spokesman Kieran Dwyer confirmed them to CNN, but said what one calls it is not what's important.

"Whether we call it all-out civil war ,whether we call it partial civil war, civil war in some places, the point is that it's hugely escalated, that it's across nearly all parts of the country and that the civilians, ordinary Syrian people, are the ones that are suffering," Dwyer said.

The U.N. report about children, dated late April, was released Monday by the United Nations.

"Most child victims of torture described being beaten, blindfolded, subjected to stress positions, whipped with heavy electrical cables, scarred by cigarette burns and, in one recorded case, subjected to electrical shock to the genitals," the report states, citing dozens of witness accounts. "Children were detained and tortured because their siblings or parents were assumed to be members of the opposition or FSA, or they themselves were suspected of being associated with FSA," a reference to the rebel Free Syrian Army.

Dozens of children between ages 8 and 13 were reportedly used as human shields by pro-regime forces during a raid on the village of Ayn l'Arouz in March, the report says.

It includes allegations that rebel forces such as the Free Syrian Army recruited and used children, despite the FSA's stated policy of not recruiting anyone younger than 17 years of age.

Free Syrian Army officials could not immediately be reached for comment.

Mark Lyall Grant, British ambassador to the United Nations, said the U.N. report's findings were "very disturbing" and will be looked at "carefully by all members of the Security Council.  But it's just yet another chapter in the barbarity that is being imposed by the Syrian regime on its own civilian population.

"So to be honest, we are not surprised by the report, but it is still an abhorrent example of how far beyond the pale of humanity the Syrian regime has gone."

Syrian President Bashar al-Assad's regime has long blamed violence in the country on "armed terrorist groups."

The country on Tuesday lashed out at the United States. A report from the state-run news agency SANA cited an "official source" at the Syrian Foreign Ministry saying "that the U.S. administration is continuing its blatant interference in the internal affairs of Syria, its open support for terrorists, covering up terrorists' crimes, distorting facts about Syria at the U.N., and extorting countries and the international community to beleaguer Syria."

A human rights group has implored the U.N. Security Council to impose an arms embargo on Syria. Human Rights Watch said the council should impose targeted sanctions such as asset freezes and travel bans on Syrian leaders.

Citing the Syria Violations Documentation Center, a network of Syrian activists, the group said at least 1,176 children have been killed since February 2011.

After 15 months of bloodshed, the conflict shows no sign of letting up, as regime forces continue shelling cities across the country, opposition activists say.

At least 60 people were killed Tuesday, including many children and women, the opposition Local Coordination Committees of Syria said. Sixteen of the deaths occurred in Deir Ezzor, 23 were in Homs and 12 were in Aleppo, the group said.

A family of six, including an infant, was killed in Anadan, in Aleppo province, when a shell landed on their home, the LCC said.

Residents of the pro-government town of al-Sheer, near al-Haffa, prevented U.N. observers from reaching al-Haffa on Tuesday by laying down on the road though their town, the opposition Syrian Observatory for Human Rights said.

The U.N. Supervision Mission in Syria said in a statement that observers trying to reach al-Haffa, in Lattakia province, "were confronted with angry crowds that surrounded their vehicles, stopping them from proceeding any further. The crowd, who appeared to be residents of the area, then hurled stones and metal rods at the U.N. vehicles."

"The U.N. observers turned back.  As they were leaving the area, three vehicles heading towards Idlib were fired upon. The source of fire is still unclear."

The observers returned to their bases "and are secure," the U.N. statement said. The mission had been trying to reach al-Haffa since Thursday but has been impeded by ongoing violence in the area, the statement said.

U.N. and U.S. officials have expressed concerns about reports that the government was using mortars, helicopters and tanks against the opposition in al-Haffa. They've also expressed concerns that residents  might be trapped.

A banner on state TV said some residents in Lattakia province "tried to explain to members of the observers' mission their suffering from terrorist groups, but the observers did not listen to them. Instead, one of their cars hit three citizens," two of whom were in critical condition.

Ladsous spokesman Dwyer called the firing on peacekeepers' vehicles "deliberate and direct," and said U.N. officials were evaluating whether the 300 unarmed peacekeepers in Syria are safe enough to continue their activities. "We're looking at all situations," he said.

U.S. Secretary of State Hillary Clinton expressed concern Tuesday about reports that Russia may be sending attack helicopters to Syria.  Speakinng at an event in Washington, Clinton said the United States has confronted Russia about stopping its arms shipments to al-Assad's regime.

State Department spokeswoman Victoria Nuland said the United States has been "pushing the Russians for months to break their military ties with the Syrian regime and they haven't done it.  And instead they keep reassuring all of us that what they are sending militarily to Syria can't be used against civilians.  And now what are we seeing?  We are seeing the Syrian government using helicopters to fire on their own people from the air."

Deputy Secretary of State William Burns will talk with a Russian official to discuss Syria at an economic meeting Thursday in Kabul, the State Department said.

Clinton said that there appears to be no easy solution for ending the bloodshed in Syria. "We are approached on a regular basis by representatives of different groups within Syria who are terrified of what comes next," she told an audience at the Brookings Institution. "So, how we manage a political transition -- assuming we could manage a political transition -- how we provide reassurance and some level of protection to Christians, Druze, Alawites, Kurds, Sunni business leaders and the like; how we prevent a massive inflow of refugees across the Jordanian and Turkish borders; how we protect Lebanon from getting caught up in the sectarian divides that afflict them as well as Syria.  If these questions had self-apparent and actualizing answers, I would certainly share them with you."

Meanwhile, Syria said an "armed terrorist group" attacked the state-run al-Ikhbaria TV channel in al-Haffa in "an attempt to stop national media from conveying the truth."

The group opened fire on a car, and "al-Ikhbaria correspondent Mazen Mohammad was hit in his hand while cameraman Fadi Yakoub was hit in his chest," state-run news agency SANA reported.

SANA reported that 36 "martyrs from the army and law enforcement forces" were buried Tuesday.

The latest reports of violence came a day after government forces fired indiscriminately from helicopters on a town on the outskirts of Jabal Al-Zawiya, inflicting scores of casualties among civilians and rebel forces, an activist told CNN.

Ibrahim Swed, speaking from the Idlib province town, said fighting between the Free Syrian Army and government forces persisted for six hours and resulted in 32 deaths.

Battle for largest cities may have begun

Al-Assad defined by indecision, violence

The United Nations estimates that more than 10,000 people, mostly civilians, have died since the crisis erupted in March 2011. Opposition groups give estimates ranging from at least 12,000 to more than 14,000.

CNN cannot independently confirm reports of casualties or violence in Syria, as the government has restricted access by international journalists.

@highlight

Hillary Clinton concerned about reports Russia supplying helicopters to Syria

@highlight

A top U.N. official says Syria is in a civil war

@highlight

60 people were killed Tuesday, opposition group says; Syria reports 36 "martyrs" buried

@highlight

U.N. report: Children tortured because relatives suspected of supporting the opposition