(CNN) -- Kenroy Williams, also known as "Booms," is "Guardian of the Reptiles" in Hellshire, located near the Goat Islands in Jamaica. The region is centered in the Portland Bight Protected Area, an area of ocean and land set apart in 1999 to protect its rich biodiversity of birds, reptiles, plants, trees and marine life.

But now, the Jamaican government is preparing to sell the Goat Islands to the China Harbour Engineering Co. to build a megafreighter seaport and industrial park. China Harbour is part of a conglomerate blacklisted by the World Bank under its Fraud and Corruption Sanctioning Policy.

"They're destroying what should be preserved," says Booms, who has been working to protect exceedingly rare reptiles in the area for seven years, including the critically endangered Jamaican iguana.

The specifics of the development are being withheld, but Jamaica Information Service reports  it involves dredging and land reclamation, and a coal-fired power plant built to service the facilities. Environmentalists expect the mangrove forest on the two Goat Islands to be clear cut and the surrounding coral reef dredged.

With the threat to Goat Islands looming, Robin Moore, a fellow with the International League of Conservation Photographers, flew to Jamaica to record images of wildlife and people who may soon see the destruction of their beaches, mangrove forest ecosystems and their livelihoods.

In a short film by Moore, Booms talks about what's at stake: "Portland Bight Protected Area consists of a beautiful beach and things that are here in Jamaica and found nowhere else, like the iguanas ...

"When the mangroves are destroyed, the earth won't stay together and then the water will take over. And that's the problem. And we won't have any beaches, and we can't do without beaches. If we have no beaches, we have no turtles. We won't have any crocodiles ..."

Booms especially fears for the Jamaican iguanas, Cyclura collei, thought to be extinct until 1990, when Edwin Duffus found one while hunting pigs in the Hellshire Hills. The Goat Islands are right off the Hellshire coast. At the time, surveys of the area revealed fewer than 100 iguanas remaining.

Hope Zoo and Botanical Gardens in Kingston, teamed with the Fort Worth Zoo in Texas and others, set up a program to rear baby iguanas until they're big enough to be safe from predators. After release, the iguanas are tracked and observed to see how well they fare.

The number of nesting females has grown from just six in 1991 to more than 30 in 2013. About 255 head-started iguanas have been released into Hellshire, the only place on earth -- other than the Goat Islands -- that they can survive. The Jamaica Iguana Recovery Project believes the islands are the sanctuary necessary to save the animal.

During the past 24 years, millions of dollars, plus the sweat of countless biologists and research volunteers, have been invested in bringing Cyclura collei back from the brink. Although many released iguanas are breeding and nesting in the wild, the animal is still critically endangered.

Jamaican iguanas can live for 40 years or more. They distinguish between strangers and researchers who come to the forest regularly and may show themselves once they feel safe.

Imagine a 4-foot long, 15-pound dinosaur-like animal walking out of the bush, sitting down nearby, and making eye contact with you.

"There is indeed something special about making eye contact with a Cyclura," herpetologist Rick Hudson, of the Fort Worth Zoo, said. "Back in the 1990s, you rarely saw an iguana; you might hear one crashing through the bush but glimpses were a special sight. Now, you go out in Hellshire and see big healthy iguanas that are habituated and come and hang out with you. It's the most incredible story I have ever been a part of."

The Jamaican Constitution states that the nation's citizens have "the right to enjoy a healthy and productive environment free from the threat of injury or damage from environmental abuse and degradation of the ecological heritage."

Some argue the project will bring jobs, but as fisherwoman Paulette Coley told Moore: "The government claims it will bring jobs and opportunity to the area, but we are not qualified, and we are not being trained for the jobs that will need to be done. They tell us what they want us to hear, but the reality is that we will be worse off."

Diana McCaulay, CEO of the Jamaica Environment Trust, says that in past projects with Chinese contractors, most of the employees have been Chinese. "What is the benefit to Jamaica? That's not clear."

McCaulay says developing Goat Islands extends the global crisis of unsustainable exploitation of natural resources. "Jamaica is a small island," she says, "but this is happening all over the world, relentless pressure for high impact development that doesn't benefit local populations, particularly those who use the resources.

"Although global climate change is a clear danger to island nations, we are still building on the coast and taking out natural protections like mangroves. Our regulatory agencies simply cannot cope, especially with players like China who have huge financial resources and care little about the environment."

The rediscovery of the Jamaican iguana and the success of the recovery program has generated a huge conservation movement that draws international funding and ecotourism to the West Indies.

This ecotourism could be developed. In 2012, tourism contributed close to $4 billion to the economy of Jamaica and 25% of jobs in the country are tourism-based.

Tourists travel to see unspoiled beaches and native flora and fauna, and ideally, to see people living in a healthy relationship with their land. But if the Jamaican government sells out to Chinese developers, reversing its environmental protection laws and going against its own constitution, it will send the message that investing in tourism in Jamaica is unwise.

There is still time to help the Jamaican people save their national treasure. Both Jamaica and China care about international opinion. Letters expressing concern and signatures on a petition may persuade Prime Minister Portia Simpson-Miller to stop the proposed development.

Of his work as guardian of the reptiles ,Booms says, "My family and friends? Some of them think it's awesome. ... Some of them ask me if I really touch the lizards and some think I'm crazy when they hear about the crocodiles. But the truth of the matter is that they don't understand, and I know that. 'Cause if they were here like me, they would understand. We are at one with nature."

@highlight

China plans huge industrial seaport in protected region of ocean and land in Jamaica

@highlight

Wendy Townsend: Goat Island mangroves may be clear cut and coral reefs dredged

@highlight

Townsend: Area is home to critically endangered Jamaican iguana and many rare species

@highlight

She says Jamaica should stop the deal, invest in ecotourism, keep its vow to protect region