(CNN) -- Think of Baghdad and for most people what comes to mind is a city of damaged buildings and concrete checkpoints.

This is what Caecilia Pieri expected the first time she visited the Iraqi capital just months after the American-led invasion in 2003.

Baghdad has a history dating back to ancient Mesopotamia and was later one of Islam's great capitals. But Saddam Hussein's closed regime left the modern city unknown to the outside world.

"I had no idea what to expect, but had heard that the modern city had nothing to offer," said Pieri.

She was astonished to find a city that she fell in love with. And, surprisingly, what most enthralled her was Baghdad's 20th century architecture, including buildings commissioned by Saddam.

"Despite the dust and the traces of looting, despite the U.S. Army and the disorder, I fell in love with the modern city," said Pieri, now head of the Urban Observatory at the French Institute of the Near-East in Beirut.

"I discovered the garden city, the beautiful architecture, the lovely houses with central courtyards and roof terraces, the people who were welcoming to foreigners.

"In the 20th century, Baghdad managed to mix traditional features, methods of building and details of decor with modernity.

"Brickwork has been used in Iraq for 5,000 years, and gives features that you don't see in Syria or Lebanon."

Pieri was so captivated that she wrote a PhD on the 20th century architecture of Baghdad and later a book called "Baghdad Arts Deco," published last year.

The architectural boom continued under the dictatorship of Saddam, who ruled from 1979 until he was removed by the invasion in 2003, said Pieri.

Also on Inside the Middle East: Saudi Women: Pampered or oppressed?

"Of course there was great architecture built under Saddam Hussein," she said. "He was really fond of architecture, and I could even say that it's a cliche that many dictators were ... see what Mussolini or Hitler commissioned.

"But he was not very consistent in his choices. He happened to commission either great works by great architects, or very kitsch architecture by others."

Great architecture of Saddam's regime includes the Baghdad Mayoralty by Hisham Munir and the Ministry of Finance by Qahtan Madfai, both from the 1980s, according to Pieri.

"Among the kitsch ones are the horrible Monument for the Unknown Soldier, by the Italian Marcello d'Olivo (1982) and the sadly famous Arch of Victory (1983) by Khalid ar-Rahal and Mohammed Ghani," she adds.

Hisham Ashkouri, a Baghdad-born architect who now works in the United States, said, "Baghdad is a beautiful city with an incredible history, it's one of the nicest cities anywhere."

Ashkouri, who worked with Hisham Munir, designer of the Baghdad Mayoralty, in Iraq before moving to the United States, added, "There are some historic homes from the Ottoman era that need to be preserved. We should also open our minds to the 20th and 21st century architecture. There was some incredible work in the 1950s."

As well as being attractive, the buildings were ahead of their time in terms of the environment: Sustainable and suitable for the climate with their thick walls, says Pieri.

The city she speaks of is a world away from that seen by most people on television news reports.

"The images on TV focus on events and usually bad events, so they don't have the time to give an insight into the background landscape," she said.

Since that first visit in 2003, however, Pieri has witnessed a decline that has seen the city divided by concrete walls, blocks and checkpoints.

Also on Inside the Middle East: 'Victims of injustice' in post-revolution Egypt speak out

"Because of the sectarian violence, a decision was taken to divide the city into separate zones. It's frozen the conflict but hasn't brought any fundamental solutions.

"Now when you drive down a main road, you see concrete walls or blocks blocking off the side streets," she said.

Other problems the city faces include empty buildings being taken over without regulation; once attractive brick buildings being patched up with concrete and metal and courtyard gardens being built on.

"There are no regulations, so many of the central areas are being transformed into second rate commercial buildings. In some residential neighborhoods, many of the buildings were left empty or went to people who couldn't afford to maintain them properly or transformed the gardens into warehouses," Pieri said.

And then there's the dust.

Also on Inside the Middle East: Gaza music students find smart ways around travel ban

"Saddam Hussein cut down many palm trees, both in the city and in the desert," said Pieri. "Now the dust from the desert is really attacking the buildings. It makes them look more dilapidated now than (they) did during the war."

There are signs of hope for the future though. There have been programs to re-plant palm trees and the Baghdad Mayoralty held a conference, which discussed preserving the city's heritage, according to Pieri.

"There's the beginning of a wider awareness that (Baghdad's) modern heritage is to be preserved," she added. "People are becoming more and more aware that they have something very special in front of their eyes."

After the invasion, Ashkouri's company ARCADD announced plans for a privately funded $13 billion Baghdad Renaissance Plan for a new central business district with easy pedestrian access to the historic center and waterfront. However, the plan remains on hold because of security concerns.

"If it's the last day of my life I will do it, but it would be a terrible mistake to start now because of the violence in the city. The city requires a lot of reconstruction of the sewers, the water, the roads, the electricity systems. That needs to be the first step," said Ashkouri.

"There are efforts to rebuild the city which is remarkable in light of the security situation."

@highlight

20th century architecture and traditional styles produce an attractive low-rise city

@highlight

Some great buildings -- and some bad ones -- were erected under Saddam Hussein

@highlight

Concrete barricades, dust and neglect have damaged the architecture in recent years