(CNN) -- Neither the State of the Union address by President Barack Obama nor the response by Sen. Marco Rubio will ever find a place in the anthology of best American speeches, but together they were important entries in the political dialogue. Before they fade into memory, perhaps a few words are in order about the highs and lows of the evening -- at least from this vantage point:

The most savored thought: Who could have imagined a decade ago hearing an African-American deliver the State of the Union and a Latino offering the opposition's response? No other advanced country in the world has so fully embraced diversity.

Yes, it is true that in 2009 an Indian-American gave the response, but still the country has needed to have more Latinos advance into political leadership. To have Obama and Rubio speak back-to-back was special.

The emotional highlight: After a rather pedestrian opening, the president's speech soared at the end as he called out the victims of gun violence and demanded a vote in their honor. It's hard to remember oratory that has worked so effectively in a State of the Union.

Cody Keenan, please join the president in taking a bow. Keenan is the 32-year old who just became chief speechwriter at the White House. He has been known there in the past as the deputy who had the account for eulogies and commencements -- and in those closing moments, we saw that the president chose the right person to succeed the highly respected Jon Favreau. And yes, the victims deserve a vote!

The biggest disappointment: For the president, this speech was probably his last opportunity to break open the impasse over federal deficits. Only a game-changing proposal had any chance of success -- putting a bold offer on the table of significant changes in Medicare and Social Security along with a tax overhaul in exchange for the GOP dropping the sequester and accepting near-term investments in infrastructure and the like.

But the president never stepped up. Indeed, without admitting it, he is in retreat from the original Simpson-Bowles proposal to lower the national debt as a percentage of gross domestic product. That is a huge setback for the country.

The most pleasant surprise: In days leading up to the address, White House aides had been dropping broad hints to the press that a newly combative Obama would once again stick it to Republicans. Not an olive branch, reported Politico, but a cattle prod. Instead, Obama wisely chose to use tempered, constructive language in addressing the other side. That didn't change the atmosphere much in Washington -- but give the president credit. He didn't make it worse either. It would be good to hear the Republicans act in the same spirit.

The best idea: Among the many proposals Obama set forth, his argument that America should provide quality preschool for every child deserves special attention. Research shows that on average, a low-income child enters kindergarten with a much smaller vocabulary than a high-income child and will likely never make up the gap. Yet one wondered as the president spoke: Whatever happened to the promise that every child would also have quality K-12?

The worst idea: It is one thing for the federal government to intervene in early public education because the system is so deeply in need of reform. But it is another thing entirely to follow the president's notion that the federal government should begin regulating colleges and universities to ensure they are providing good education at affordable prices. Yes, schools must keep tighter control over tuition increases and provide more online courses at cheaper prices, but the last thing we need is for Washington to inject itself deeply into higher education. America has the best colleges and universities in the world; they are a crown jewel. If they ain't broke, Washington shouldn't try to fix them.

What was left out: Obama insisted that his many spending proposals wouldn't add a dime to the deficits. That was risible. Of course, they will cost lots of money -- he just forgot to tell us the price tags and how he would pay for them.

Rubio wasn't much better: He said where Republicans wanted to go on issues, but he rarely told us how they would get there. For example, how exactly would they now overhaul Medicare? And both men ducked conversations about some of our deeper, underlying problems.

Case in point: The United States is undergoing a dramatic shift in childbearing so that half the children born to mothers under 30 are born out of wedlock. We know as well that a child born out of wedlock is more likely to experience poverty and lack an adequate education. We don't need our political leaders to chastise single mothers -- they bear some of the toughest burdens in society -- but we do need our leaders to promote the values of marriage and to demand more responsible fatherhood. The president at least hinted at the problem, but neither man really wrestled with it.

State of the Union addresses might have become boring for many, but they are important. Since Woodrow Wilson, they have been an annual ritual, giving the nation's most powerful elected leader an opportunity to tell Congress and the country what faces us and what we must do as a people. This year's address and its response seemed middling -- some great moments, some clunkers. Sadly, they didn't seem to move us forward. The State of the Union that does that is the one that will make the anthologies.

The opinions expressed in this commentary are solely those of David Gergen.

@highlight

David Gergen: Significant moment of diversity in President Obama, Sen. Rubio

@highlight

Gergen: Best of Obama was a call for gun control; the worst was failure to address deficit

@highlight

Neither one specified how his party would fund or handle certain issues, he says

@highlight

Gergen: Both ignored some deeper, underlying problems such as out-of-wedlock births