(CNN) -- I make a living encouraging politicians and candidates to use social media.

And now I'm going to tell them why it's a bad idea.

Not always, mind you -- social media will, and should, continue to play an important role in our political discourse. But the trend has grown so quickly; I don't know that anyone has really stopped to consider the implications of moment-by-moment, real-time transparency.

I would argue that what we've gotten is a trade-off, and the jury is still out on whether what we've lost is worth more than what we've gained in the process.

So before I go about the process of destroying my company's business model, let's talk about what we've gained with social media.

The Web and social media have created a level of transparency that never before existed in our country.

People sitting at home can research complicated issues with a few clicks of a mouse. Online campaign disclosure databases make pay-for-play politics far more difficult to obfuscate. Instantaneous tweeting of shady government practices -- and the resulting uproar -- means that public bodies are more responsive than ever.

But there's an unintended consequence, too, of over-democratization.

Wait, you ask, how can we have too much democracy?

Well for starters, we don't live in a democracy. We never have, nor should we. We live in a republic, where we elect people to take the tough votes and make the tough decisions for us. And quite honestly, politicians should have some level of flexibility to cast votes that -- gasp -- we might not like, without their every action becoming a referendum via Twitter and Facebook.

A quote sometimes attributed incorrectly to Alexis de Toqueville goes, "The American Republic will endure until the day Congress discovers that it can bribe the public with the public's money." Today the same sentiment could be said about the danger of shutting naysayers up on Twitter and Facebook.

Too many politicians aren't voting their conscience, they're voting to placate blog commenters, and that's no way to run government.

Secondly, it's one thing to see the sausage get made. It's another thing entirely to watch the pig get slaughtered.

There's a domino effect when it comes to transparency. In policy making, lots of ideas are thrown out in order to set the good apart from the bad, and in order to stake out a position for compromise.

Cynics would refer to it as "backroom deal-making in a smoke-filled room." But here's the harsh reality -- that's how bills get passed. And it's how every important collaborative effort since the dawn of the written word has been achieved.

After all, do you think the Constitution would have ever been written if Thomas Jefferson and Alexander Hamilton had Twitter accounts?

Third, government by social media leads to an environment where in every setting a politician has to be "on."

When politicians are hashing out ideas, those ideas can range somewhere between politically untenable and electorally suicidal.

Once they're tweeted -- be it by a journalist or a rival politician -- they become TV ad, direct mail, and attack e-mail fodder.

During the discussion, an idea is thrown out about "What would be the implication of zeroing out funding for popular program X?"

Suddenly, that politician is facing hundreds of thousands of dollars in negative ads back home, telling his constituents that he "considered" or "proposed" eliminating X.

Two weeks ago, Mitt Romney made a passing reference to eliminating HUD. It won't be long before President Obama's team is cutting ads about Romney "proposing" that we leave millions of Americans homeless.

Factually accurate? Sure, but misleading as hell.

The result is a political discourse that is becoming devoid of real ideas, and instead pared down to the safest of talking points.

And because most politicians draw their own districts to shield against a viable challenge from the opposite party, they are far more susceptible to electoral defeat in the summer than they are in the fall.

Their audience in everything they do is the primary voter, not the swing voter. So the rhetoric throughout the year from both parties is increasingly divisive, increasingly partisan, and increasingly destructive to any kind of progress.

Is any of this a product of social media? No, absolutely not. American politics have been trending this way for decades. But technology has expedited our descent toward a political system devoid of real ideas and bold, controversial thought.

As the use of social media accelerates, it's incumbent upon everyone involved in the political process to make sure its power is used to harness everything good about the American political system, rather than to hasten political trends that are hurting our republic.

The opinions expressed in this commentary are solely those of Wesley Donehue.

@highlight

Wesley Donehue: Social media gives people unprecedented ability to see political process

@highlight

He says there's a risk politicians will become too dependent on Twitter, Facebook

@highlight

Compromise, productive bills happen behind closed doors, not transparently, he says

@highlight

Donehue: Politicians have to lead and represent the people, not become slavishly responsive