We're all familiar with the phrase "waste not, want not," but how well are we applying these words today?

For many of us, we buy more than we need, we spend more than we earn, we eat more than our fill. The consequence of excessive living and waste affect not only us, but also our global neighbors and future generations.

Over the past two decades, food waste and obesity have nearly doubled at equal rates. The surface area of the average dinner plate expanded by 36 percent between 1960 and 2007. Parallel to increased portion sizes, between 1987 and 2010, the number of Americans diagnosed with diabetes almost tripled to 20.9 million.

While we are responsible for our own choices, the results we are experiencing aren't merely a matter of choice. We are not genetically programmed to turn down excess calories when they are in front of us. Studies have shown that if our plate contains more food than our body physically needs, we will eat it without conscious consideration.

A recent study shows 50 percent of all food produced on the planet goes in the trash.

Even more disturbing, 90 percent of water consumed in the United States is for animal and crop-related farm uses. That means food waste accounts for more than a quarter of our total water consumption. In short, water that is needed for farmland and animals becomes a wasted resource when uneaten food gets thrown away.

A study conducted last year analyzed the climate change and economic impact of food waste in the U.S. to calculate greenhouse gas emissions due to thrown out food. The results were appalling. It found that food waste in the U.S. exceeds 55 million tonnes per year, which produces life cycle greenhouse gas emissions of at least 133 million metric tonnes and costs $198 billion.

But this isn't just an American stereotype played out.

In Toronto, Canada more than 17.5 million kilograms of food is thrown out every month and in Britain, the government's Waste & Resources Action Programme estimates that $17.5 billion worth of food is wasted every year.

The way our food production system is structured, supplying demand, not need, has an exponential significance on obesity and food waste at all stages - supply, distribution, preparation and consumption.

The cost of oil, fuel, energy and harvesting labor that goes into producing food all gets wasted when food from large portions goes uneaten and tossed. Though this may feel like a catch 22, the good news is it is 100 percent preventable.

A representative of the Grocery Manufacturers Association, which represents food manufactueres such as Kraft, Hershey and Coca-Cola said it best, "there is no bigger opportunity for our industry to simultaneously address hunger and our environmental footprint than by reducing the amount of food sent to landfills by diverting food to food banks and food waste to beneficial alternatives like compost."

Opportunities pop up everyday that provide the chance to be responsible consumers. From going "halfsies" with your portions to starting up your own personal compost -- the action needed to spur behavior change and reverse our global food waste epidemic is less challenging than you might think.

Our personal decisions matter. The earth cannot continue to withstand our excesses and neither can our waistlines. Practicing the "waste not" wisdom consistently over time will have a profound generational and global impact.

@highlight

Over the past two decades, food waste and obesity have nearly doubled at equal rates

@highlight

The average dinner plate size expanded by 36 percent between 1960 and 2007

@highlight

In Canada more than 17.5 million kilograms of food is thrown out every month

@highlight

50 percent of all food produced on the planet goes in the trash