(CNN) -- "It's like building a Japanese garden at Pearl Harbor or a big swastika in Auschwitz."

"Eyeris" is livid. He's voiced his opinion, no holds barred, on several YouTube videos concerning the proposed construction of an Islamic cultural center a few blocks from ground zero in New York. His comments are blatantly anti-Islamic in nature and express a deep resentment toward the Muslim faith.

In a comment posted on an online video advertisement in opposition to the Islamic center, Eyeris -- an online pseudonym -- calls for the bombing of all mosques in the Western world. In a comment on a different video, he calls for the annihilation of all Muslims.

But he'd only say this online. The 39-year-old relies on his cloak of anonymity to shield him from what he believes is the certain scorn he'd face if he uttered these words in public. In fact, Eyeris is a pseudonym for his YouTube alias. He wears two layers of armor.

"I don't think I would say this in open due to restrictions. I have a business and cannot afford to speak freely in our days of freedom of speech. Haha, what a big joke actually, if you think about it," says Eyeris, in an e-mail from Belgium, where he currently resides. "Political correctness is killing everything freedom stands for."

As sites such as YouTube, Facebook and Twitter become increasingly popular, they are rapidly becoming havens for people who want to speak openly about race, politics and religion without damage to reputation.

Anyone can fake a name and voice an opinion -- no matter how controversial -- without any threat to their reputation. That ability is one of the driving forces behind the prevalence of hate speech on the web, says Yaman Akdeniz, director of Istanbul, Turkey-based Cyber-Rights.org, a website that advocates online civil liberties.

The controversy surrounding plans to build an Islamic center just a few blocks from the World Trade Center site has spawned aggressive and candid outpourings of online sentiment. Those outpourings are collectively making a case-in-point study of how the internet has spawned a wide-open, frequently anonymous forum for declarations that can easily be considered offensive or hateful by some.

"This is what has occurred in the case of the Islamic center -- a shift in society's acceptability of openly expressing ethnic prejudice," says Dr. Osman Ali, a psychiatrist at Bellevue Hospital Center in New York City.

One Facebook group in opposition to the Islamic center has about 90,000 members. Even though the 13-story center is planned to include a pool, auditorium and prayer area, the group, like many of its counterparts, refers to the building simply as a mosque.

The Facebook group, called "No to the Mosque at Ground Zero", has become one of the largest opposition groups on the site. Charlotte Thompson (the only social mediate who let CNN use her name) joined because she is against the proposed cultural center. She points out that the group has "shifted its focus from 'stop the Mosque being built' to 'all Muslims are evil terrorists.' "

Andrew Noyes, Facebook's manager of public policy communications says the site does not knowingly allow anonymity and tries to respond to hate speech as quickly as possible.

"Facebook has always been based on a real-name culture. This leads to greater accountability and a safer and more trusted environment for our users. It's a violation of our policies to use a fake name or operate under a false identity," he says.

But where there are rules, there are rule benders and breakers, and some accounts that use pseudonyms.

"Regarding the broader issue of controversial content that may appear on the site, I wonder how the phone company would answer a question about preventing threatening phone calls? And webmail providers about threatening e-mails?" adds Noyes. "Just as none of those communications platforms can guarantee their tools won't be misused, neither can we."

In an e-mail response, a YouTube spokesperson also references the site's size when explaining the prevalence of hateful comments on uploaded videos.

"With 24 hours of video uploaded every minute to YouTube, it is not possible to prescreen content and operate at the scale we do. It would be like the telephone company prescreening every call before allowing it to be connected."

Even though some choose to use their real identities, there are still a great number of anonymous comments on YouTube and Twitter, even on Facebook where some create alternate profiles from which they comment in controversial groups. These sites have become forums that cater to specific parts of the population -- those with strong opinions who want to maintain reputation.

However, the thinking behind some of these anonymous comments could be more complex. Dr. Adam Brenner, director of adult psychiatry residency training at Southwestern Medical Center in Dallas, Texas, believes the idea of "reciprocal altruism" may contribute to the prevalence of negative comments in this situation.

"We really are evolved for treating people well, but with the idea that we'll get something in return. Everyone has had some experience of being hurt and that hurt leads to hostility. That triggers the response of wanting to protect one's self, and making the other hurt in return is one way," says Brenner.

For groups that monitor social media websites for hate speech, one of the main concerns is how accessible prejudiced comments are to kids.

According to 2010 data gathered by Quantcast, a popular web analytics company, about 22 per cent of American YouTube and Facebook users are ages 3 to 17.

On YouTube, inappropriate and discriminatory comments are common. There are videos in which users ask others to stop spreading the hateful speech, and even Urban Dictionary, the popular, editable, pseudo-dictionary frequented by high school and college students, has a definition for the term "YouTube Racist."

On Facebook, many groups against the Islamic center are public, which means anyone can access them, even without a Facebook account.

Ali says negative and unfounded comments posted about Islam and its followers can confuse children who are growing up in Muslim households.

"When [kids] see videos with blatant misinformation on the internet, they may not have the cognitive ability to determine the representative nature of those statements [and] they are not trained to challenge it," says Ali.

Bill Nigut, the Anti-Defamation League's Southeast regional director, says the same goes for any religion.

"These messages are directed at young people whose religious values have not yet taken root. It can cause them a lot of anxiety and ... it worries us," he says.

Nigut says the ADL routinely sends messages to Facebook regarding anti-Semitic remarks. He references one instance where he received a complaint that a 12-year-old girl was called a "dirty Jew" on her Facebook page.

Meanwhile Eyeris -- the YouTube user whose diatribes against the proposed Islamic center near ground zero now live online -- has a 13-year-old child. And despite the no-holds-barred comments that he's made, he says he has just one wish.

"Peace to you and the whole world, man! Because in the end, that's all I want."

@highlight

Online anonymity allows internet users to express opinions without reservation

@highlight

Experts say it's also leading to more hateful sentiments expressed online

@highlight

Case in point: The controversy surrounded proposed Islamic center near ground zero