Washington (CNN) -- Using firsthand accounts of coping with the threat of radioactive contamination, several Japanese citizens who lived near the Fukushima Daiichi nuclear power plant hope to convince U.S. officials that nuclear energy poses an unacceptable risk.

Three operating reactors at the Fukushima facility suffered meltdowns in March from a combination of earthquake, tsunami and equipment failure that led to radiation leakage and widespread contamination.

"I come from Fukushima," said Sachiko Sato, a farmer, who traveled with two of her children to Washington. "Radiation affects this absolutely unchanged scenery, but it's still very much there."

Her English wasn't perfect, but her fears came through clearly at a news conference Tuesday as she suggested that the Japanese government arbitrarily raised contamination standards to limit the payment of relocation money.

Sato's farm is in an area that no longer qualifies for assistance under relaxed measurements. She asked rhetorically, "Did they think the ability of people to sustain radiation became better after the accident?"

Two of her children, both teenagers, told of being frightened that they were exposed to radiation that could cause health problems in years to come.

Yukiko Anzai, an organic farmer whose bees produce honey as an agricultural commodity, said she and her husband may have to abandon farming because they don't know how radiation will affect their bees. She told reporters, "We have been farming for the happiness and health of the people, farming the way we did. Now we are really struggling. It is very difficult for us."

The two women are part of a group that includes activists who oppose Japan's reliance on nuclear energy and want to use the Fukushima disaster to curtail the use of atomic power. They met with U.S. congressional staff members Monday, and on Tuesday afternoon, they met with commissioners and staff members of the U.S. Nuclear Regulatory Commission.

Japan is already at minimum reliance on atomic energy because of routine maintenance and scheduled shutdowns. Activists want to keep the plants closed. "There are 11 still operating and 43 shut temporarily," said Aileen Mioko Smith of Japan's Green Action.

"They're gradually being turned off" for maintenance, she explained, "so unless they start up again, none will be operating by March 2012." She acknowledged that Japan's government has every intention of restarting the nuclear plants.

But Smith and the Japanese families potentially exposed to the fallout from Fukushima say they're encouraged by the German government's decision after Japan's accident to discontinue atomic power plants over the next decade. The United States and other Western countries continue to envision a role for nuclear energy with a review of safeguards.

Japan's activists believe there is no safe path that includes nuclear energy.

Kaori Izumi, who is fighting the restart of Japan's atomic power plants once they close for maintenance, told reporters, "There is immense suffering in Fukushima, including Mrs. Sato and other families. The only way their suffering gets meaning is that we learn from this lesson."

Citing the well-known nuclear disasters of the past 30 years -- Pennsylvania's Three Mile Island, the Chernobyl plant in Ukraine and now Japan's Fukushima meltdown -- she said, "Can we afford not to learn? I don't think so."

@highlight

Farm families near failed nuclear plant call for full moratoriam

@highlight

Group meets with congressional, nuclear agency staff members

@highlight

Citizens critical of Japan's suspect standards for radiation contamination