(CNN) -- The second-to-last time EJ Levy was at Disney World, she used a scooter to navigate the enormous park. Her legs were weak and she suffered from foot drop caused by multiple sclerosis. That was 4½ years ago. On her most recent trip, a few months ago, Levy walked the entire time, thanks in part to a drug approved by the FDA on Friday.

The FDA says the drug, Ampyra (generic name dalfampridine, formerly known as fampridine), is the first MS therapy that is taken orally and the first of its kind to receive FDA approval. It is designed help people with any type of MS improve their walking speed.

The prime of her life

In 2002, Levy was in her 30s and an active hiker and skier with a job on Wall Street and later in San Francisco, California. But her life took a turn when she started stumbling, falling down and dragging her right leg. Her doctor's diagnosis? Secondary Progressive Multiple Sclerosis, a less common form of MS and, as the name implies, one that usually plagues people with the disease after its initial course.

The National Multiple Sclerosis Society defines MS as a "chronic, often disabling disease that attacks the central nervous system, which is made up of the brain, spinal cord and optic nerves." Symptoms of MS include extreme fatigue, difficulty walking, problems with memory and heat sensitivity.

The most common form of MS is relapsing-remitting, in which people have acute attacks followed by periods of remission. In secondary progressive, however, the disease worsens steadily and there are no acute flare-ups. People with relapsing-remitting may later develop secondary progressive MS.

Levy says she lived in the same building as her parents at one point because she needed them to help take care of her. She says she mostly stayed at home, and when she did venture out she usually walked only a block or two with a cane. She relied on a wheelchair for longer distances.

She says she realized she would eventually be unable to walk. "I was scared of being in a wheelchair. I was scared of getting worse and worse. I had traveled around the world before I got sick, I was super independent," Levy says.

Trying things out

After exhausting the usual MS treatments -- and developing intolerable side effects -- Levy also became frustrated that the treatments were primarily designed for people with the more common course of the disease, and not the secondary progressive course.

Levy's neurologist then discussed the possibility of trying 4-aminopyradine -- a version of the same drug the FDA approved Friday that was available only through compounding pharmacies. Just three days after taking the drug, Levy was able to walk unassisted.

"I never thought I could put my cane away for good," she said.

Now she hopes the same drug that helped her will be able to help other people. She addressed an FDA advisory panel late last year and recommended approval of it.

"It's about quality of life," Levy says.

How it works

Two phase III clinical trials of Ampyra showed 35 and 43 percent of patients experienced, on average, a consistent improvement in their walking speed, increasing it by about 25 percent.

According to the National Multiple Sclerosis Society, even a modest improvement in walking ability could mean that thousands of people could benefit from the drug.

Dr. John Richert, executive vice president of Research & Clinical Programs at the National Multiple Sclerosis Society, says the drug can be used by most people with MS. However, the drug is not for people with a history of seizures or people who have moderate to severe kidney disease.

Richert says approval means patients can now skip the compounding pharmacy and get a consistent, exact dosage in a guaranteed time-released formula, which would lower the risk of getting a toxic dose instead of a therapeutic dose.

"It's likely that further study and clinical practice may help to determine the extent to which the drug may impact other functions, and may also provide hints as to which patients are most likely to respond positively to the therapy," Richert said.

He added that the drug would not help nerves that have been destroyed and emphasized that people should try the drug to see if it works for them.

Ampyra may not work for everyone. "Like any medication, people will have different responses, so they should talk to their doctors about whether it's appropriate to start therapy on Ampyra," according to a spokesperson from Acorda, Ampyra's manufacturer.

Moving with MS

Today, Levy is doing well. She established the not-for-profit organization MS Hope for a Cure, and in three years the organization has raised $1.8 million for research and programs to help people living with MS.

She has also completed several five-mile hikes. But she says she is always conscious of where she steps. She says she occasionally has some weakness in her leg, but that she is thankful for every day: "I don't ever take jumping out of bed for granted."

@highlight

FDA approves Ampyra, the first MS drug of its kind to improve walking speed

@highlight

Ampyra is appropriate for all types of MS, although it may not help everyone

@highlight

Further studies are needed to see if Ampyra helps with other neurological functions