(CNN) -- The world economy may be bracing for another grim year, but political donors in the United States are breaking out their checkbooks to finance what is expected to be the most expensive presidential election in American history.

The Center for Responsive Politics estimates $6 billion will be spent in the U.S. elections by campaigns, political parties and corporations hoping to propel their candidates into the White House and what writer Mark Twain once called the "best Congress money can buy."

The projected price tag of the 2012 U.S. election dwarfs that of other nations, but corruption monitors from Transparency International (TI) say it's not just how much will be spent but where the money is coming from that threatens the integrity of politics around the world.

United Kingdom

While the trajectory for spending in U.S. elections is soaring, total party spending in the 2010 general election in the United Kingdom was actually 26% less than in 2005.

But despite the fact party spending dropped to $49 million, the absence of limits on the amount individuals or corporations can donate has contributed to the ongoing erosion of public confidence in the political process in the UK, according to one watchdog organization.

"When donors are making contributions exceeding Â£20,000 ($31,000) -- and some are making donations well over Â£250,000 ($390,000) -- it's perfectly understandable you don't give away that kind of money without expecting something in return," Chandu Krishnan, executive director of TI UK.

In November 2011, a UK advisory body recommended increased public funding as one way to avoid future scandals and limit the influence of big donors in elections, but the three main political parties rejected the proposal.

Norway

Krishnan, citing Scandinavia as a model, believes increased public funding would cut down party dependence on large donations and give the election system more credibility.

In Norway, government funding accounted for 74% of political parties' income in 2010, according to Statistics Norway. And unlike in the U.S., where candidates and their supporters can buy as much television time as they can afford, political ads are banned from television and radio.

India

Corruption monitors say the lack of public funding in India, the world's largest democracy, has contributed to a staggering influx of under the table corporate contributions to candidates that has undercut the integrity of recent elections.

Intelligence reports received by India's Electoral Commission suggested that upwards of $2 billion in so-called "black money" will be spent to influence the Uttar Pradesh state elections this year, according to Anupama Jha, executive director of TI India.

"Everybody knows about black money," Jha told CNN. "Corporations are expected to donate no more than 5 percent of their profits, but they pay more than that under the table. Those who donate funds also control the politicians, and the politicians (become) more accountable to their sponsors than to their constituents."

India's Electoral Commission told CNN it is committed to curbing the use of money power in elections. But it's not just corporate black money that's a problem, but the buying of votes in poor areas with hard cash, and sometimes with smuggled liquor.

In the 2009 election in Tamil Nadu, a state with a population roughly the size of France, 33.4% of voters received money from candidates' supporters for their vote, according to a poll by India's Centre of Media Studies -- and in 2011, voters were lured to the polls with blenders, grinders and other household appliances.

But Ja says there's a lack of political will to bring about fundamental change in politics in India.

"It's extremely difficult to get into politics if you don't grease somebody's palm," she said. "This is why good people don't want to contest elections ... so ultimately you vote for corrupt people, because those are the only people you have to choose from."

Russia

Corruption monitors say the issue of big money in politics pales in comparison to the abuse of government resources by the United Russia party of Prime Minister Vladimir Putin, who announced on March 04 he had won Russia's presidential election, returning the former KGB officer to the office he held from 2000 to 2008.

While there are no limitations on the amount U.S. political parties can spend on televison ads, broadcast time in Russia is doled out on a limited basis, and is proportionate to the results of the last election.

But as opposition parties prepare ads to maximize a limited amount of television time, nightly news broadcasts on state-run channels are filled with stories of United Russia politicians repairing hospitals, or opening new underground rail stations -- officials benefitting politically from initiatives paid for with taxpayer money.

"There are two sets of rules in Russia -- one set for parties who are paying out of their own pockets, and another for the party and candidates with access to public resources," says Elena Panfilova, head of TI Russia.

While opposition parties must finance campaign trips around the country during election season, incumbent politicians can campaign during official state-funded trips, according to Panfilova.

Abuse of media and Russia's public resources may be time-tested tools of incumbents here, but that hasn't stopped United Russia from trying other ways to get a leg up on the competition.

In November a crowd at a concert in Siberia rained down boos on veteran rock band Mashina Vremeni -- Time Machine in English -- when they were introduced by an emcee who announced that the concert was backed by United Russia and awarded them medals from the local governor.

"The parties try to hijack whatever they can hijack in Russia," Panfilova told CNN.

Brazil

Another country where big money and elections go hand in hand is Brazil, Latin America's largest country and one of the world's fastest growing economies.

Roughly $2 billion was spent by parties and candidates in the 2010 presidential election, according to Claudio Weber Abramo, executive director of TI Brazil.

Nearly 98% of winner Dilma Rouseff's campaign donations -- and 95.5% of her main opponent's -- came from corporations, says Abramo.

Abramo says corporations donated 99.04% of all money spent in Sao Paulo, Brazil's most populous state, during the 2010 election -- a reflection mainly of voters' apathy and politicians' failure to form relationships with their constituents.

"This is an enormous problem," Abramo told CNN. "The distribution of money reveals something deeper in the Brazilian political landscape, which is that citizens are not very much concerned about supporting parties and having a political life."

While some observers want to ban corporate spending outright, Abramo says that will only make it harder to track corporate influence on politics in the country.

"The interests are still there even if you prohibit corporations from donating to candidates above the board," he told CNN. "They will do it in a hidden way, and they will lose visibility."

Nigeria

While political finance watchdogs such as the Center for Responsive Politics monitor the amount of money spent during U.S. elections, a financial adviser for the International Foundation for Electoral Systems says no reliable information exists for how much money was spent during the 2011 presidential election in Nigeria.

While Nigerian law gives the country's election commission the right to set a maximum spending limit for parties, the commission neglected to do so before the 2011 election, according to Magnus Ohman.

"Parties can do whatever they want, there's no limit to the amount they can spend," Ohman told CNN. "Candidates do have limits, but the money they get from their parties is excluded from that limit."

While the 2011 elections were hailed as a step forward in Nigeria's evolution as a young democracy, the lack of restraint on political spending is a worrying development for election monitors.

"It really was an expensive election not only at a presidential level but also at the gubernatorial level, especially down in the south," said Ohman. "It's an electoral system where you need to spend."

UK corruption monitor Chandu Krishnan says an ever-increasing amount of money in elections is a global problem.

"In many countries across the world, the cost of elections is increasing," he told CNN. "If parties and politicians can't find the resources from the state, there is an increasing desperation to seek them from private sources -- and that is where the corruption comes in."

CNN's Claudia Maiko Brunner contributed to this report.

@highlight

An estimated $6 billion will be spent by candidates, parties and outside groups in the 2012 U.S. election

@highlight

Corruption monitors say billions of dollars in 'black money' are undermining the integrity of India's elections

@highlight

98% of donations to Brazil's 2010 presidential election winner came from corporations, TI Brazil says

@highlight

Monitors say United Russia abuses government resources to gain an edge on opponents