For the 160-plus inmates at the U.S. prison camp here, each sunrise brings a new day that most would rather starve than endure.

For the American troops who guard them, each day brings a daily rain of obscenities and filth -- sometimes physical as well as verbal.

More than a decade after the first inmates arrived at the U.S. base where prisoners from the U.S. war on terror are being held, Guantanamo Bay is a facility in crisis.

From the 700-plus detainees it once held, only 166 remain. Of those, more than half have been approved for transfers out, but languish as the Obama administration and Congress battle over whether to shut down the facility. A handful are facing trial before military commissions, a process that has been criticized as both inefficient and unfair.

"The commissions are a joke," inmate Muhammad Rahim al-Afghani wrote to his lawyer in March. "If you lose you go to prison for life. If you win, you're held indefinately (sic) for life."

Al-Afghani has been held in Guantanamo since 2008, transferred there after being held by the CIA. The Pentagon said he was one of al Qaeda founder Osama bin Laden's "most trusted facilitators and procurement specialists."

More than half are on hunger strikes. Some will take liquid nutritional supplements, but about 30 are being force-fed -- a practice condemned by human rights groups and the American Medical Association. The military has brought in additional medical staff to manage the protest.

Opinion: Stop force feeding inmates

Most of the inmates have been moved to two blocks, dubbed Camp V and Camp VI. For the most part, they look like a typical civilian prison, with two tiers of cells that face out onto a room full of metal tables. The air conditioning delivers a chilly blast when walking in from the muggy tropical air outside.

The detainees used to be allowed to live communally, but that ended after a raid turned up homemade weapons. Now they're held in individual cells with heavy steel doors. They're allowed to watch movies and even some news programs in recliners in media rooms -- with their feet shackled to the floor.

They're guarded by Americans, some of them not yet old enough to drink, who face a daily torrent of abuse.

"They use extremely vulgar language towards females, and I've had a lot of experience with that, unfortunately," said one young woman who serves as a guard there. "Especially Caucasian females -- they do not like us at all."

The military would not allow her to be identified, and even her nametag displayed only a number. But she says she's 21 and has already served a tour as a guard at the military prison at Fort Leavenworth, Kansas.

In Guantanamo, the prisoners call her a bitch. A whore. A slut. But worse than the name-calling is what the guards call "splashing" -- flinging urine or feces on the guards. It happens to someone "every single day" for the last month and a half, she said.

"They'll say things like, 'I'll piss all over your face,' " she said. "They'll say, Oh, you've had shit thrown on you, been disrespected,' or 'Nobody wants you, you're trash now.' "

The cell doors have what are called "splash boxes" through which food is passed. They're designed to minimize contact with inmates and reduce splashing, but they don't eliminate it.

The walls and floors are quickly scrubbed down, but bits of feces are still visible stuck to the foam ceiling tiles in the units. The young guard said those "splashed" -- and she's been among them -- are sent to the camp hospital, notified of any diseases their assailant may carry, have their blood tested -- "and then you go right back to work."

The prison camp opened in 2002. President Barack Obama came into office vowing to close the prison camp, and told reporters in April that he still wants to shut it down.

Opinion: Terror threat from Gitmo prisoners is exaggerated

"I think it is critical for us to understand that Guantanamo is not necessary to keep America safe," he told reporters in a White House news conference. "It is expensive. It is inefficient. It hurts us, in terms of our international standing. It lessens cooperation with our allies on counterterrorism efforts. It is a recruitment tool for extremists. It needs to be closed."

But Congress has forbidden the administration from moving the detainees to prisons stateside. The administration halted transfers of 56 inmates from Yemen in 2010 because of what Obama called the "unsettled situation" in that country, an al Qaeda hotbed.

A handful of the detainees have faced trial before military commissions. Cases are pending against a number of others, including Khalid Sheikh Mohammed, the self-professed organizer of the September 11, 2001, attacks on New York and Washington. But they're progressing at a glacial pace, while some low-ranking inmates who pleaded guilty have been returned to their home countries.

"It's a bizarre, perverted system of justice where being convicted of a war crime is your ticket home," former Air Force Col. Morris Davis, once the chief prosecutor at Guantanamo Bay, told CNN's "Amanpour" program Tuesday. "And if you're never charged, much less convicted, you spend the rest of your life sitting at Guantanamo."

Davis quit his post in 2007, declaring that the prosecutions of several suspected terrorists had become "deeply politicized."

The frozen status of the detainees has fueled the hunger strikes, which grew from about a half-dozen inmates at first to more than 100 now.

"This is kind of the only option they have left, to say, 'Hey, we're still here. We are still your problem. Are you just gonna let us rot in here until the end of time?' " said Cori Crider, a lawyer who represents several detainees.

About 30 of them refuse to take even liquid nutritional drinks and have to be fed through tubes shoved down their noses.

The American Medical Association has criticized the practice, calling it a violation of the profession's core ethics. "Every competent patient has the right to refuse medical intervention, including life-sustaining interventions," AMA President Jeremy Lazarus wrote in an April letter to Defense Secretary Chuck Hagel.

The Pentagon says the feeding program is lawful and humane. But Capt. Robert Durand, a spokesman for the detention facility, acknowledges that the options for the administrators are dwindling.

"If anybody's had a can of Ensure or Muscle Milk, it says right on it it's not designed to be a long-term, sole source of nutrition," Durand said. "So there are long-term consequences of getting all your meals through a liquid supplement."

@highlight

More than half the 166 detainees are on hunger strikes

@highlight

Inmates routinely taunt and splash guards with urine and feces

@highlight

Obama says he still wants to close the facility