The most chilling place I've ever visited is the former Nazi death camp of Dachau, not far from Munich, Germany.

Nobody enters Dachau. It enters you.

First as a series of surface impressions: the gate with the infamous sign and heinous lie, "Arbeit Mach Frei" (Work Will Set You Free), the crematorium and gas chambers, the gallery of black and white photos.

On our visit in the middle of winter, the atmosphere felt so charged with particles of memories and electrons of history floating around that it was like being in the middle of an electrical storm, but everyone was too horror struck to say anything.

Until then, all our knowledge of World War II had come from secondhand sources, like memoirs and movies.

Now we were seeing it all as if for the first time, while feeling a part of history instead of apart from it.

And that gave the holocaust a whole new authority and authenticity.

This is one of the purposes of "dark tourism," a type of travel that's been gaining ground and winning proponents as more wanderers search out "authentic experiences," preferring hard-bitten realism to Photoshopped fantasies, and home truths over tourist-board propaganda.

The genre has also gained a newfound respectability in academic circles after the establishment of the Institute for Dark Tourism Research (iDTR) at the University of Lancashire in England in 2012, which defines it as: "the act of travel to sites, attractions and exhibitions of death, disaster or the seemingly macabre. Dark tourism is a broad ranging and often contentious consumer activity that can provoke debate about how death and the dead are packaged up and consumed within the modern visitor economy."

These attractions, which include both the 9/11 Memorial in New York and Dracula's Castle in Romania, are surging in popularity among visitors to Southeast Asia, where sights that chronicle the Vietnam War and the 2004 Asian tsunami, the rise of colonialism and the fallout of World War II, supply insights and shivers in equal doses.

Hanoi Hilton

History is full of Orwellian ironies, like the oppressed turning into the oppressors.

Hoa Lo Prison, constructed by the French in 1896 to house Vietnamese revolutionaries, is one such paradox -- it eventually became a jail for the communists to hold American fighter pilots grounded by gunfire over North Vietnam.

When "dark tourism" destinations are presented with artistic panache the results go far beyond partisan politics and propaganda purposes.

The "Hanoi Hilton," as it was sarcastically dubbed by its American inmates, uses a multimedia approach to conjure the reality of death row.

Dungeon-dim lighting and effigies of shackled prisoners are combined with expressionistic etchings of inmates on the courtyard walls, grainy film footage of aerial combat scenes and an actual French guillotine used to behead Vietnamese prisoners, to provide a level of physical and psychological immersion that feels like incarceration.

Hoa Lo Prison, 1 Hoa Lo St., Phu Khanh village, Hoan Kiem, Hanoi, Vietnam; +84 (0)4 824 6358

Bangkok Forensic Medicine Museum

Students who come to bone up on anatomy at the Songkran Niyomsane Forensic Medicine Museum in the Thai capital bow to thank the skeletons in the glass cases whom they address as "ajarn yai" (headmaster).

For them, this is a classroom not a crypt.

Having spent a lot of time here while researching a true crime and Asian horror novella about the country's most prolific serial killer, See Ouey, whose preserved corpse is housed in a glass case, I've been astonished by how many adolescents visit the museum to gawk at the graphic autopsy photos and Exhibits A to Z of murder weapons.

But these are instructional, too.

The images show neither the glamorized violence found in Hollywood films (the slow motion ballet of bullets flying and bodies falling), nor the cartoonish violence of computer games.

What they depict are slices of death served raw and real.

But there's a brighter side to dark tourism.

In front of the glass jars holding the tiny fetuses of infants and stillborn babies, locals have left candy, dolls and toys to appease their spirits, make Buddhist merit and ward off hauntings.

Songkran Niyomsane Forensic Medicine Museum, Siriraj Hospital, 2 Prannok Road, Siriraj, Bangkok Noi, Bangkok, Thailand; +66 (0)2 419 7000 6363

The Killing Fields, Cambodia

The first time I visited the Choeung Ek Killing Fields outside Phnom Penh in 2003, I was transfixed by a tree with a sign on it that read in Khmer and English: "Chankiri tree against which executioners beat children."

This was done to save bullets.

My driver pointed at the nails sticking out of the tree that had been used to drive home the regime's barbarity and speed up the executions.

Just then, a little girl appeared, right beside the tree, her face peeking over an urn stacked with bones that went up to her neck.

It was as if an apparition of the deceased had appeared before us, when in fact it was one of the many children who used to beg here.

The tree is still there, but the kids are not.

When local authorities renovated the so-called Killing Fields in 2011, this series of mass graves, where the Khmer Rouge executed and buried the inmates of Tuol Sleng, a high school turned torture chamber, they turned it into a full-fledged tourism spectacle, complete with audio tours, benches, refreshment stalls and souvenir stands.

It's certainly a much more audio-visual experience than it used to be.

Now you can listen to the Khmer Rouge songs that once blasted from speakers to drown out the cries of the condemned men and women being beaten to death with the axles of oxcarts, or having their throats slit with the serrated edges of a palm frond.

Still, I was of those who had to wonder, as the top "tourism attraction" in Phnom Penh, when does big business become blasphemy?

Choeung Ek Killing Fields are located about a 30-minute drive from the center of Phnom Penh.

Penang War Museum, Malaysia

It takes a gruesome pedigree to make it onto National Geographic Channel's Top 10 List of most haunted places in Asia, as named in its series, "I Wouldn't Go In There."

Sitting atop "Ghost Hill," beside Chinese graveyards and tower blocks, the Penang War Museum in Malaysia has just such a pedigree.

"This was one of places that was most fascinating for me," the show's host, Robert Joe, told CNN.

But it may be more haunted by history than otherworldly forces.

"People might think it's a ghost show, but it's actually a history show," said Joe. "We investigate places that have ghost stories, but these places are actually haunted by history. A lot of terrible things happened."

The museum in Penang is no exception.

Much of its history revolves around World War II atrocities.

As the legend of "Vlad the Impaler," a despotic ruler from Romania, birthed the Dracula legend, so the bloodthirsty reputation of a Japanese police colonel named Tadashi Suzuki, whose constant companion was a samurai sword he used to behead locals, created a phantom said to still haunt "Ghost Hill."

A few other ghouls whose effigies adorn the trails twisting around the museum are said to roam free -- ghouls that the workers claim they saw when clearing the property some 10 years ago.

Penang War Museum, Lot 1350 Mukim 12, Merah Barat Daya, 11960, Malaysia; +60 (0)16 421 3606

Tsunami tombstones

The towering waves triggered by the underwater earthquake off the coast of Indonesia on December 26, 2004, claimed victims as far away as Somalia and triggered aftershocks in Alaska.

The worst natural catastrophe of the century thus far, the tsunami left a trail of havoc along Thailand's Andaman Coast.

The most prominent memorial is a police boat on Khao Lak -- the beach community north of Phuket that bore the brunt of the waves' wrath in Thailand.

Some 20 meters long and 50 tons huge, the vessel was swept about one kilometer inland, where it's remained immobile at the bottom of a foothill.

It's a few minutes walk from the International Tsunami Museum, heavy on photos and videos but light on science and artifacts.

Farther down the coast, in the coastal village of Ban Nam Khem, which was almost completely annihilated after being slammed by three successive waves, two fishing trawlers, known locally as the "Blue Angel" and "Red Devil," have been left in an empty lot a kilometer inland to commemorate the 6,000 victims in Thailand.

Also in the village, the Tsunami Memorial Park features a wave-shaped tunnel leading past plaques, photos, flowers and other offerings for the dead.

The images in the nearby museum chronicle the collaborations between volunteers and locals, travelers and expats, monks and medical professionals and manual laborers, who formed an hoc team of altruists in action.

When grasping for superlatives to describe the extremities of that tumultuous situation for the final novella, "Tsunami," in my new collection, I recalled a line from Malcolm Lowry's novel "Under the Volcano," set on the Day of the Dead in Mexico, one of the most important events on the dark tourism calendar: "But it's amazing when you come to think of it how the human spirit seems to blossom in the shadow of the abattoir."

Perhaps that could also serve as a guideline for those who dare to travel on the dark side of the road.

The International Tsunami Museum and police boat is at 39/8 Moo 6, Bang Niang, in Khao Lak; +66 81 442 5660. The Ban Nam Khem Tsunami Memorial Park is located in the village of Nam Khem, about 30 kilometers north of Khao Lak.

@highlight

Dark tourism is gaining ground as more travelers seek out authentic experiences

@highlight

Establishment of the Institute for Dark Tourism Research has given the genre newfound respectability

@highlight

Sites in Southeast Asia include Cambodia's Killing Fields, Thailand tsunami memorials, 'haunted' Penang Hill