(CNN) -- The U.S. Justice Department is reviewing a request from 13 states on how to acquire an execution drug no longer made in the United States and whether the federal government would share its supplies, a federal spokeswoman said Wednesday.

The sole U.S. manufacturer of sodium thiopental, an anesthetic used as part of the lethal three-drug cocktail, announced last month that it would stop making the drug because the producer never intended it to be used to kill people.

The U.S. shortage of sodium thiopental, also used as an anesthetic for brief surgical procedures, may force states to postpone executions and has forced them to look outside the country for a supply or come up with alternatives.

Those substitutes haven't been without controversy. In December, Oklahoma used an anesthetic commonly used to euthanize animals to execute John David Duty for killing a cellmate.

Additional controversy surfaced last week about the drug's shortage when six death row inmates filed a federal lawsuit seeking to prevent the Food and Drug Administration from importing the drug, saying the imports may be unsafe.

In a letter last month to U.S. Attorney General Eric Holder, the attorneys general in 13 states said injection is the execution method in the majority of states with a death penalty, and protocols in those states use sodium thiopental, "an ultra-short-acting barbiturate."

"Sodium thiopental is in very short supply worldwide and, for various reasons, essentially unavailable on the open market," the letter said. "For those jurisdictions that have the drug available, their supplies are very small -- measured in a handful of doses. The result is that many jurisdictions shortly will be unable to perform executions in cases where appeals have been exhausted and governors have signed death warrants.

"Therefore, we solicit your assistance in either identifying an appropriate source for sodium thiopental or making supplies held by the federal government available to the states," the letter said.

Justice Department spokeswoman Alisa Finelli said Wednesday that federal officials have received the communication.

"We'll review the letter," she said.

Oregon is one of the 13 states signing the letter and has run out of the execution drug, said spokesman Tony Green of the Oregon Department of Justice.

"It's pretty straightforward. We don't have a supply of the drug so we're looking for sources for them should we need them," Green said.

Oregon, which hasn't had an execution since 1997, doesn't have any lethal injections scheduled, though more than 30 men are on death row, he said. All those cases are in various stages of appeal, he said.

The other states signing the letter are Alabama, Colorado, Delaware, Florida, Idaho, Mississippi, Missouri, Nevada, Tennessee, Utah, Washington and Wyoming.

Texas, which wasn't part of the letter, performs the most executions in the country and is also facing a shortage of the drug, said spokesman Jason Clark of the Texas Department of Criminal Justice.

Texas has enough sodium thiopental to carry out this month's two scheduled executions, on February 15 and February 22, but the state's stock of the drug will reach its expiration date in March, Clark said.

Texas has executions scheduled in April, May and July, he said.

"The agency is exploring all of its options at this point, including seeking an alternative source of sodium thiopental as well as seeking an alternative drug to use in a lethal injection process," Clark said.

Switching to an alternative drug could be done administratively, but switching to a different execution method would require legislative approval, Clark said.

"If we were to go to a firing squad, that would be a change in the execution method" requiring lawmakers' approval, Clark said.

In their recently filed federal lawsuit, death row convicts are seeking an injunction barring future imports of the drug and removal of supplies of the drug already in possession of state governments. The lawsuit represents inmates in Arizona, California and Tennessee.

The FDA continues to allow states to import "bulk amounts" of the drug for use in lethal injection without vetting it to ensure it meets regulatory standards, the lawsuit charges.

"The imported thiopental in question has not been listed with FDA, was manufactured by foreign companies that have not registered with FDA, and was exported by a wholesaler located in the United Kingdom," says the lawsuit, filed in U.S. District Court in the District of Columbia.

"FDA has not determined whether the thiopental being imported into the United States is safe and effective, whether the imported thiopental is adulterated or whether the imported thiopental is counterfeit," the suit says.

An FDA spokesman declined to comment last week, citing the litigation.

@highlight

Sodium thiopental is part of three-drug cocktail used in lethal injection

@highlight

The U.S. manufacturer of the drug said last month it would stop making the drug

@highlight

13 states that use the drug in executions are asking feds if they will share their supplies

@highlight

Meanwhile, six death row inmates are suing to stop imports they claim may be unsafe