"Mommy, where do allergies come from?"

The question, from a boy sitting at a table near mine, caught my attention. Obviously a pro at handling the random curiosities of a young child, his mom said: "From flowers and grass and foods like peanuts."

The boy went back to his meal, seemingly satisfied with her answer.

I was not.

Scientists know what causes allergies. When particles of pollen, pet dander or certain types of food enter our bodies, they're called antigens. If your body has a sensitivity to that particle, it mistakes the harmless element for a dangerous invader, according to the American Academy of Allergy, Asthma and Immunology. The particle then becomes what we call an allergen, although a sensitivity to a substance alone doesn't guarantee you will develop an allergy.

Allergens cause your body to produce Immunoglobulin E, or IgE, antibodies. Antibodies are used to identify and destroy dangerous invaders. Unfortunately, IgE antibodies also release histamine and other chemicals that can create an allergic reaction.

But what causes one person to become sensitive to these indiscriminate antigens floating through the air, while another sails through life with dry eyes and clear sinuses?

Scientists aren't exactly sure, but they have a few ideas.

Dr. Christine Cole Johnson has been studying allergies since the early 1980s. Her research team at Henry Ford Hospital was the first to show that having a pet in the house during your child's first year of life may protect him or her from developing allergies -- a finding that's since been duplicated in other studies.

Her latest research suggests allergy development starts even before that.

Johnson analyzed data from a group of more than 1,200 newborns who were born in Michigan between 2003 and 2007, and have been evaluated by researchers at 1 month, 6 months, 1 year and 2 years old.

Acupuncture may be antidote for allergies

She found that babies born by cesarean section are six times more likely to be sensitive to dust mite allergens than babies born naturally. The researcher found similar results for exposure to cat- and dog-hair allergens.

Babies who are born via C-section have a different microbiome in their gastrointestinal tract, Johnson said. A microbiome is what scientists use to describe the bacteria communities that reside in humans, whether it's in our mouths, on our skin or in our digestive system.

"It's pretty astonishing. In human beings, bacterial cells outnumber human cells 10 to 1," Johnson said. "These bacteria are important -- we couldn't exist without them."

In the womb, babies are sterile, Johnson explained. When they go through the birth canal, they get exposed to the entire bacteria population of their mother's vaginal and GI microbiomes. Through this exposure, their own immune systems learn the difference between good and bad bacteria -- i.e. what to fight off and what to use.

Babies born through C-section have bacteria in their gut that more closely resembles their mother's skin microbiome, Johnson said. Eventually their digestive bacteria normalize, but that delay could give allergen exposure time to develop into a sensitivity.

Of course, that's just one possible cause of allergies -- or just one possible cause of many possible causes.

Johnson's colleague Dr. Haejin Kim, an allergist at Henry Ford, is looking into how genetics may play a role.

Kim's latest study found African-American children are sensitized to food allergens three times more often than Caucasian children. It also concluded that an African-American kid with an allergic parent is twice as likely to be sensitized to an environmental allergen than an African-American kid without an allergic parent.

Kim said her results didn't change with the child's birth order -- another possible allergy risk factor -- or if the child was male or female. Race alone put them at a higher risk.

"This suggests that (allergies) might be genetic," Kim said, something scientists have long suspected.

But it's not like a genetic disease that's 100% inherited. "There's no one gene for allergies or asthma. It's probably a combination of multiple genes interacting somehow with the environment."

Up to 50 million Americans have some kind of allergy, according to the American College of Allergy, Asthma & Immunology.

Jonathan Silverberg, a dermatologist at St. Luke's-Roosevelt Hospital Center in New York, recently analyzed data from more than 91,000 children to determine whether children born outside the United States were as likely as American children to develop allergies.

He found that foreign-born children residing in the United States had half the risk of developing allergies than those who were born here. That was true for all types of allergies, including food allergies, although the association was strongest for asthma.

When food allergies are a weapon for bullies

Silverberg and his colleagues started the study after realizing they were seeing foreign-born children at their practice developing allergies much later in life. They found that the foreign-born kids who lived in the United States for more than 10 years had a higher prevalence of allergies than the children who had only been in the country for a couple of years.

Scientists know that environmental exposures play a role in allergic disease; you can't be sensitized to something you've never been exposed to. But in the past researchers have focused on allergens in the air, Silverberg said, such as pollen or ragweed, instead of other environmental exposures. These other factors could be related to a child's climate, diet or geography-specific infections.

"What (this study shows) is that there's something about what we're experiencing in the U.S. compared to many other countries that seems to really lead people to, or unmask, allergic disease," he said.

Which factor -- if any -- plays the dominant role is so far unclear.

It's hard to make any practical conclusions from these kinds of studies, Silverberg said. But eventually knowing where allergies come from could help us figure out a way to prevent them, or at least treat them more effectively.

Then allergy sufferers will be able to frolic in the flowers and roll in the grass and eat peanuts just like everyone else.

Global warming brings on pollen apocalypse

@highlight

Up to 50 million Americans have some kind of allergy

@highlight

Scientists don't know yet what causes a sensitivity

@highlight

Environment, genetics, even the way you were born could play a role