(CNN) -- Sorry, America: Support for emergency care patients barely receives a passing grade and needs extra help, according to a new report.

The American College of Emergency Physicians, a national medical specialty society, issued a "report card" assessing the country's emergency medical services. As a whole, the United States got a measly D-plus.

"This report card is saying: The nation's policies are failing to support emergency patients," Alexander Rosenau, president of the American College of Emergency Physicians, said Thursday.

The report does not single out any physicians or hospitals but shows how well states and the federal government are doing in terms of supporting emergency care, said Dr. Jon Mark Hirshon, an emergency physician at the University of Maryland and board member of the American College of Emergency Physicians. Categories included access to care and disaster preparedness, among others.

The country's emergency care environment has actually worsened since 2009, the last time the organization graded the United States on support for emergency care. Five years ago, the nation received a C-minus.

The American College of Emergency Physicians used 136 measures for grading the states.

The report card rated some categories in 2014 as better than others, nationwide. Quality and patient safety environment got a C; so did public health and injury prevention, and disaster preparedness. The medical liability environment got a C-minus. But access to emergency care scored a dismal D-minus.

"If I'm in a car crash and they bring me to hospital that's not ready for me, my chances of survival are less," Hirshon said. "So you want a state that has that type of trauma system. And when you look at patient safety, that's one of the components of patient safety."

Medical liability environment affects your ability to access a specialist in an emergency, Hirshon said. Appropriate physicians may not be available because they are afraid of being on call for patients they don't know for liability reasons, he said.

There have also been trends of physicians migrating from states with high-liability insurance premiums to others where it is not such an issue, such as Texas, Rosenau said.

Winners and losers by state

In a state-by-state breakdown, grading the 50 states and the District of Columbia on these parameters, the report card found that the District of Columbia leads in emergency care support, with a grade of B-minus. Massachusetts, Maine and Nebraska ranked second, third and fourth, respectively, also getting B-minus. Colorado squeezed into fifth place with a C-plus.

At the bottom of the list: Wyoming got an outright F.

Arkansas got a D-minus; New Mexico, Montana and Kentucky came out with Ds.

Access to emergency care was particularly lacking across many states, the report card said. In this category, 21 states received an F. At the front of the class in this category, with As and Bs, were the District of Columbia, Pennsylvania, Ohio, Massachusetts and Maine.

"You can have the best medicine in the world, but it won't matter if people can't get to it," Hirshon said.

Medical liability was good enough in Colorado, Idaho, Kansas and Texas to score those states As, but 10 states got Fs.

Three states got As for policies that support patient safety: Maryland, Pennsylvania, Utah and North Carolina. But 10 states got Fs in this category.

For public health and injury prevention, Hawaii, Massachusetts, Maine, Minnesota, Oregon, Utah and Washington got As. But 28 states got Ds or Fs.

Disaster preparedness was also a big problem, with nearly half of all states receiving Ds or Fs. On the flip side, the District of Columbia and North Dakota aced this category.

Supply is down, demand is up

The report also highlighted that there were 130 million emergency department visits, or 247 visits per minute, in 2010, and there were 37.9 million visits related to injury, according to the CDC's National Hospital Ambulatory Medical Care Survey: 2010 Emergency Department Summary (PDF).

From 1995 to 2010, there was a 34% increase in emergency department visits, according to CDC's data. During this same time period, the supply of emergency departments went down by 11%.

The number of patients visiting emergency departments is likely to increase as baby boomers age and develop more medical problems. And the report projects that with the Affordable Care Act going into effect, millions of people who can't find physicians who accept their insurance, and who were added to Medicaid, will also seek emergency care. A recent study in Science suggested that Medicaid increases the use of emergency departments.

"We'll be asked to do more with less resources, which has the potential to impact emergency patients," Hirshon said.

The report card did not include free-standing emergency departments, as they are new entities and need to be better understood, Hirshon said.

What can be done? The Affordable Care Act calls for a work force commission to examine shortages of physicians and nurses, and the American College of Emergency Physicians wants to see that funded. Graduate medical education funding should also be expanded, Hirshon said.

The physicians group would also like to see enhancements of the Emergency Care Coordination Center in Washington to help with disaster response.

Improvements have been made since the 2009 report card; one state started a new trauma system, while another enhanced medical liability laws.

"We know that in every single category, there was one state that was able to garner an A on this report card," Rosenau said.

Those are examples for other states unhappy with their grade, he said.

@highlight

The American College of Emergency Physicians graded states

@highlight

The U.S.'s previous grade was a C-minus in 2009

@highlight

Report says District of Columbia leads in emergency care environment