A college trip to Israel changed rabbi Kalman Levine's life, his childhood best friend Shimon Kraft remembers.

They grew up in Kansas City, Missouri. Levine was always whip smart, funny and kind. He became a giving husband, a wise dad to nine children and a doting grandfather to five, his friend said.

Kalman was a dental student at University of Southern California when the two went to Israel. Levine loved it so much he stayed and devoted his life to studying Jewish text.

"To be killed in such a cruel way when all he cared about was kindness ..." Kraft said, his voice trailing off. "I know he's in a great place. His priority in life was connecting to God."

Levine's friends and family cling to that optimism in the wake of his slaying, along with three others rabbis, on Tuesday at the ultra-Orthodox Jerusalem neighborhood of Har Nof.

At 7 a.m. local time, officials say that two Palestinian cousins from East Jerusalem, armed with a gun and butcher knives, came charging into the synagogue and slaughtered 55-year-old Levine, Moshe Twersky, 59; Aryeh Kupinsky, 43 and Avraham Shmuel Goldberg, 68.

Levine, Kupinsky and Twerksy had dual U.S.-Israeli citizenship, according to the Jerusalem Post. Goldberg was a British-Israeli national, authorities said, and reportedly grew up in Liverpool.

While police tried to apprehend the attackers, at least eight people were wounded. Among them was 30-year-old Israel police officer Zidan Saif, who was Druze.

The Druze are an Arabic-speaking religious community, a monotheistic offshoot of Islam that also combines elements of other religions. Many of its members live in Israeli-occupied Golan Heights.

Saif died hours later Tuesday. Thousands, including those from the ultra-Orthodox Jewish community, attended his funeral Wednesday, Haaretz reported.

The terror attack left behind more than a gut-wrenching scene. Police released photos of the synagogue's floor covered in blood and prayer books and prayer shawls covered in red. It has inflamed already strained relations between Palestinians and Jews and put the city of Jerusalem on edge.

The brutality at the synagogue was the deadliest attack in Jerusalem since 2008 when a man with an automatic weapon and handgun killed eight seminary students. A series of stabbings and vehicles attacks has recently beset the city.

Israeli Prime Minister Benjamin Netanyahu called the attack "the direct result of incitement being led by Hamas" and Palestinian Authority President Mahmoud Abbas, referring first to the Palestinian group that controls Gaza and next to the Fatah movement leader in control of the West Bank.

Abbas reportedly condemned the attack and stressed the importance of ending the sometimes root of such violence, including tensions over what Jews call the Temple Mount and Palestinians call al-Aqsa Mosque.

Ma'an, a semi-official Palestinian news agency, identified the attackers as Ghassan Abu Jamal and his cousin Udayy.

It's unclear whether their alleged actions were part of a coordinated campaign or spontaneous.

A 'gigantic soul'

A world away, in Los Angeles, Shimon Kraft focused on remembering his friend. "He had an amazingly gigantic soul," he told CNN. "He didn't waste a minute. He was so alive."

Levine had been living in Israel for years, Kraft said.

Alan Edelman, the executive director of the Jewish Federation of Greater Kansas City, said Levine moved to Israel 30 years ago.

"He was always a sweet, wonderful person," Edelman told CNN. "He was really someone who tried to bring people together no matter what their background was, and their approach to life or religion. Such a tragic irony that a person who loved his fellow human beings would meet a tragic end in such a horrible attack."

Dedicated to faith

Moshe Twersky immigrated to Israel in 1990, The New York Times reported.

Twersky is originally from Boston, according to the Jerusalem Post, and his father was Isadore Twersky. The elder Twersky was an internationally renowned rabbi and philosopher as well as a professor of Hebrew literature at Harvard University. When he died in 1997, the Harvard Crimson called him a pioneer of Jewish thought.

Moshe Twersky's grandfather was Joseph B. Soloveitchik, who is considered a founding father of modern Orthodox philosophy.

A New York Times obituary on Isadore Twersky says that Moshe Twersky had two brothers who were rabbis.

Isadore Twersky formerly directed the Center for Jewish Studies at Harvard.

"I know that I speak for all of us in the CJS community when I say that we are heartbroken at the news of this unspeakable act of sacrilegious cruelty,'' Eric Nelson, the director of the center, told CNN. "Our thoughts and prayers are with the Twersky family at this terribly sad and difficult time."

Moshe Twersky graduated from Boston's Maimonides School in 1973, the school said in a statement, adding that "the Maimonides School Family is engulfed in grief and outrage."

Twerksy is survived by his wife, Bashy, their five children and many grandchildren.

Kupinsky grew up in the Detroit suburb of Oak Park, the Detroit Free Press reported. The 43-year-old was a member of Young Israel of Oak Park, one of the largest Orthodox Jewish congregations in Michigan and moved to Israel with his family when he was in elementary school, a boyhood friend, Michael Zwick, told the newspaper.

"It was a terrible thing to hear," Zwick said of the slayings.

"He was so sweet, always smiling, always saying nice things," Kupinsky's friend Esther Schwartz told the newspaper. "We're shaken to the core. My husband and I couldn't stop crying this morning. We can't get it out of our heads, our minds. ... Such a useless, hateful thing they did killing him."

Goldberg, who used to work as a chemical engineer, lived in Jerusalem with his wife and six children, his cousin Michelle Hirschfield told the Guardian.

She is from London, and he left the British city more than 20 years ago.

"We are completely devastated," she told the newspaper. "He was just a tolerant, good man. ... I was due to see him in a couple of weeks when he was going to be in London."

"This has brought it all home to us," she said. "This was a man who was simply praying in the morning at his usual synagogue, just going about his daily life, not trying to impose his views on anyone."

'Wonderful men ... slaughtered'

The devastation felt from the slayings was evident among mourners at an eulogy for the four rabbis.

"When four great men, wonderful men, wise in Torah study are slaughtered while praying in public, there is no public grieving greater than that," the man at a microphone said in Hebrew to the large crowd in the street.

A camera captured young women wrapping their arms around each other and swaying. One buried her head in another's shoulder and wept.

"It was horrific," a man described as a witness to the slayings said in a Reuters video. "I can't imagine such attacks would occur to our community. We have to take some time to walk out of the trauma."

The new President of Israel Reuven Rivlin attended officer Saif's funeral, as did members of the ultra-Orthodox community where the attack occurred, several news outlets reported.

He has been vocal, Haaretz noted, about the need to better Jewish-Arab relations and to coexist in Israeli society. He praised Saif for his bravery and selflessness, the newspaper said.

"I stand before you in shock and in pain. ... Terror that does not differentiate between people, between creeds. ... Your beloved Zidan, one of this state's best sons, didn't hesitate and didn't waver," Rivlin said. "He was among the first to reach the scene of the massacre, among the first to protect the people of Jerusalem. Your dear Zidan stood fearlessly before the terrorists and used his own body to block their attack, to block their fire."

The President addressed the mourners as another person wounded in the attack fought for his life. CNN partner network CTV said Canadian-Israeli dual citizen Howard Rothman, who was stabbed in his head, eyes and arms, was in a medically induced coma.

"He was trying to fight off the attackers," Toby Trumpter-Kraman, a family friend, told CTV.

Obama condemns 'horrific' Jerusalem terror attack

@highlight

Slain rabbis -- three American and one British -- were devoted to studying Jewish text

@highlight

Druze police officer, who tried to stop attackers, is praised for his bravery

@highlight

Two Palestinian cousins armed with knives and a gun attacked the synagogue Tuesday