(REAL SIMPLE) -- One morning, nearly 20 years ago, I was lying in bed. It was late. I was supposed to be working, but I seemed glued to the mattress. I hated myself for my laziness.

To enjoy being idle, you can pretend to meditate, stare at the clouds or lie in a field.

And then, by chance, I picked up a collection of writings by Dr. Samuel Johnson, the 18th-century wit and the compiler of the first comprehensive English dictionary.

In the book were excerpts from a weekly column he had written called "The Idler," in which the great man celebrated idleness as an aspiration, writing in 1758, "Every man is, or hopes to be, an Idler."

This was an epiphany for me. Idleness, it seemed, was not bad. It was noble. It was excessive busyness that caused all the problems!

So I got out of bed and started a magazine called 'The Idler," in order to remind people of the forgotten, simple pleasures of doing nothing. I even wrote books about it. And, yes, you could say that idleness became my life's work. So, based on all those years of tough-going research, here are my top tips for people who find it difficult to just be.

1. Banish the guilt. We are all told that we should be terribly busy, so we can't laze around without that nagging feeling that we need to be getting stuff done. I rejected my guilt upon learning that Europeans in the Middle Ages felt no shame for lolling about. Their favorite philosopher, Aristotle, had praised the contemplative life, and the monks spent a lot of time just praying and chanting. Guilt for doing nothing is artificially imposed on us by a Calvinistic and Puritanical culture that wants us to work hard. When you understand that it hasn't always been this way, it becomes easier to shake it off. Real Simple: How to worry less

2. Choose the right role models. Most of the great musicians and poets were idlers. So feed yourself a diet of John Lennon, Oscar Wilde, Walt Whitman, and the like. Carrying a slim volume of verse in your purse or pocket can be therapeutic -- something from Keats, who wrote of "evenings steep'd in honied indolence," or Wordsworth, of course. (What could be more idle than wandering lonely as a cloud?) It's delightful to read a few lines while you're on a bus or a train, then stare out the window and ponder their meaning.

3. Sketch a flower. If you are new to idling and feel compelled to be purposefully occupied, sketching a flower at the kitchen table can be an excellent way to bring some divine contemplation into your life. The act of drawing makes you observe the bloom in a way you never have before. All anxieties fly away as you lose yourself in close study. And at the end of it you have a pretty little sketch. Real Simple: 34 low-cost, make-you-smile ideas

4. Go bumbling. Bumbling is a nice word that means "wandering around without purpose." It was indulged in by the poets of 19th-century Paris. They called themselves flâneurs and were said to have taken tortoises around on leads, which gives you an idea of the tempo of their rambles. Children are good bumblers. Try making a deliberate effort to slow down your walking pace. You'll find yourself coming alive, and you'll enjoy simply soaking in the day.

5. Play the ukulele. The ukulele is the sound of not working. My wife hates it for that very reason: The twang of those strings means that I am not doing something useful around the house. I keep my ukulele in the kitchen and play it at odd moments, like while I'm waiting for the kettle to boil.

6. Bring back Sundays. Many religions still observe a Sabbath, whether it's Friday, Saturday, or Sunday. And for a long time secular society embraced Sundays as a day of rest, too. But now Sundays are as busy and stress-filled as any other day.

Having a day of rest was a very practical idea: We were excused from all labor and devoted ourselves to pleasure and family. Take that ancient wisdom to heart and declare at least one day of the week as a do-nothing day. Don't clean the house or do the laundry; don't get in the car. Stay home and eat chocolate and drink wine. Be kind to yourself.

7. Lie in a field. Doing nothing is profoundly healing -- to yourself and to the planet. It is precisely our restless activity that has caused the environmental crisis. So do some good by taking a break from "doing" and go and lie on your back in a field. Listen to the birds and smell the grass. Real Simple: 10 guilt-free strategies for saying no

8. Gaze at the clouds. Don't have a field nearby? Doing nothing can easily be dignified by calling it "cloud spotting." It gives a purpose to your dawdling. Go outside and look up at the ever-changing skies and spot the cirrus and the cumulonimbus.

9. Take a nap. To indulge in a siesta after lunch is the most wonderful luxury: It softens tempers and guards against grumpiness. Yet our culture has decided that naps are for wimps. A nap is acceptable only if it is called a "power nap" -- a short doze that is supposed to return you to the office with more energy to kick some ass.

But you should nap, not for the profit of a corporation but for your own health. Research has shown that a daily snooze can reduce the risk of heart attack. And just knowing you're going to sleep after lunch seems to make the morning less stressful. If curling up in your office isn't an option, go somewhere quiet, like a church or a park bench, and close your eyes for even just five minutes.

10. Pretend to meditate. For us westerners, meditation is an accepted way of doing nothing. Tell everyone you're going to meditate, then go into your bedroom, shut the door, and stare out the window or read or lie down for half an hour. You have excused yourself from household tasks and can indulge in contemplation, reflection, and that underrated pleasure, thinking, without fear of disapproval.

Get a FREE TRIAL issue of Real Simple - CLICK HERE!

Copyright © 2009 Time Inc. All rights reserved.

@highlight

Writer Tom Hodgkinson learned to embrace doing nothing

@highlight

The first step to being idle is to banish the guilt associated with not being busy

@highlight

Hodgkinson also recommends playing the ukulele and pretending to meditate

@highlight

Choose the right role models, like Walt Whitman, to help you enjoy being idle