(CNN)Imagine flying over The Netherlands and seeing one of the fat-pixeled images from the gallery above.

It would be hard not to smile, right?

I mean, what is that alien thing?

An oversized kaleidoscope?

A rip in the Matrix?

Some kind of freakish, town-sized cauliflower?

When Mishka Henner, a 38-year-old artist and photographer, came across these "blurred" images of Dutch landscapes on Google Maps, he was similarly perplexed and amused.

"Well, I laughed," he said of the initial discovery.

The hidden zones are "not only bases, they're also royal palaces and fuel depots and ammunition depots and that sort of thing," Henner told me. The Dutch government "used a pretty spectacular method for hiding these locations, which does everything but hide them, basically."

Henner, who lives in the UK, decided to turn this strangely beautiful form of censorship into art. His series of high-resolution Google Maps renderings is called "Dutch Landscapes." Created in 2011, the series has been on display at New York's Museum of Modern Art and elsewhere. Next month, he said, it will be on display at the Centre Pompidou in Paris.

Each of the pieces in the series, he told me, is actually a composite of about 60 smaller Google images. Henner stitched them together to create a print large enough to be displayed in a gallery.

Gallery curators have told Henner that this work reminds them of the Cubist movement of the early 1900s, in which painters like Picasso and Braque simplified reality into a collection of angular shapes. Henner told me he'd never thought of it that way -- and that he suspects all the Dutch government did to create this effect was use the "crystallize" filter in Photoshop.

"It could have been the Friday of the month when the parents (at the Dutch Defense Ministry) were allowed to bring their kids to work," he said.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

The images are "very, kind of, childlike in a way."

They also hit at something deeper.

"It's a paradox: So much is visible" in the modern world, where security cameras and smartphones are everywhere, he told me. "And yet, so much effort goes into making things not visible. The Dutch landscapes reflect that really brilliantly. They're the effort to conceal something when it's visible."

And that's what I love about this work -- and this method of censorship. It's obvious. And it's almost whimsical. Like the country is letting its citizens in on the joke -- acknowledging, for once, that it is obscuring reality for security purposes. A spokesman for the Dutch Defense Ministry, Klaas Meijer, told me that these artful obfuscations are no longer required under Dutch law, and that, following a 2013 law change, "Google Maps will show military or royal locations without restrictions."

There is at least one remaining exception. That imagery likely hasn't been updated since the law changed, Meijer said.

Google does not play a role in the censorship, according to a company spokeswoman.

"The imagery in Google Earth and Maps comes from a variety of sources," the company said in an e-mail. "Local aerial photography collected by imagery providers are subject to local law, and in some countries, as a condition for overflight, they require aerial photography companies to blur military installations and other areas deemed sensitive by the government.  This is implemented by the local companies prior to delivery to third-parties like Google."

Perhaps it's already antiquated, but I still find the easy-to-spot censorship from the Dutch landscape series refreshing at a time when so many government efforts at information manipulation and obfuscation are scarily covert.

In the book "The Dictator's Learning Curve," William Dobson argues authoritarian (or would-be authoritarian) governments are getting increasingly sophisticated and clever. Instead of the outright manipulation and control shown by North Korea, for example, many world leaders try to manipulate without being noticed, or while maintaining plausible deniability.

"Take, for example, Russia," Dobson wrote. "Even as Vladimir Putin became increasingly authoritarian, he never did violence to the Russian constitution; he worked in the seams of Russia's political system, centralizing power through channels that could at least appear to be democratic."

Internet censorship in China is another good example. The country's Great Firewall is used to filter local Internet searches of provocative terms like "Tiananmen Square," the site of a 1989 pro-democracy demonstration. But there's no big-bold-polygon equivalent shown to Internet users when the Web is being censored. When people search Google for banned terms, for example, "the user will see a blank page or a browser error message," according to the site greatfire.org, which tracks Internet censorship in China.

Was that censorship?

Or a bad connection?

It's clear but kind of isn't, exactly.

The United States is guilty of this, too. I'd almost rather the NSA sent me a daily e-mail with a list of all of the information they're collecting on me. They could do it in emoticons or whatever cutesy, pseudo-artful way they wanted. At least I'd know what was happening.

Not knowing is worse.

"A new kind of iron fist has arrived, tucked behind an acid-whitened smile," Dwight Garner writes in a review of Dobson's book for The New York Times.

The Dutch way -- beautifully obvious censorship -- is clearly preferable, if unrealistic. Few governments seem willing to fess up to their efforts to censor and manipulate.

Pity, though.

If they all took the artful Dutch approach to it, their citizens might be more likely to trust them. At least they'd know what's going on, and could form rational arguments in support or opposition.

As it is now, many government programs -- especially those that involve spying and censorship -- are largely invisible and, therefore, entirely suspect.

Mishka Henner is a Belgian photographer. You can follow him on Twitter and Instagram.

@highlight

John Sutter talks with artist Mishka Henner about his "Dutch Landscapes" series

@highlight

The series focuses on an artful effort by the Dutch government to censor Google Maps