(CNN) -- When EMS workers arrived at the Pleasant Grove, Utah, home of Michele and Dr. Martin MacNeill, they found a tragedy.

Michele MacNeill, a mother of eight children, was unresponsive in her bathtub, and Martin MacNeill, according to law enforcement at the scene, was hysterical and angry, cursing his wife for having had a recent face-lift.

Michele MacNeill was pronounced dead later on April 11, 2007. The autopsy report determined she died of natural causes due to cardiovascular disease. But three years later, at the urging of her children, there was a new analysis of a toxicology report that changed everything.

Combinations of medications found in Michele MacNeill's system were determined to have contributed to her death. Diazepam, Oxycodone, Promethazine and Zolpidem were all found in her system. Although none of the drugs alone was at toxic levels, Dr. Todd Grey, chief medical examiner of the Utah State Medical Examiner's Office, determined that, in combination, the drugs could have led to sedation and heart arrhythmia, resulting in cardiac death.

On October 6, 2010, Michele MacNeill's cause of death was changed to "combined effects of heart disease and drug toxicity." The manner of death was changed from natural to undetermined. As investigators began to reopen the case, they realized they had a suspect: Michele MacNeill's husband.

Prosecutors paint picture of a double life

Michele and Martin MacNeill seemed to live the American dream. He a doctor and lawyer, she a former beauty queen, had raised their family in Utah. Four of their eight children were adopted. Devoted to the Church of Jesus Christ of Latter-day Saints, Martin MacNeill also had taught Sunday school.

Deadly remedy: Notorious doctors accused of murder

But prosecutors say that behind closed doors, what seemed to be the perfect union was anything but.

Martin MacNeill, they say, led a double life, seeing women on the side. Legal documents state he announced to his wife and family several times in the years preceding his wife's death that he wanted out of the marriage. He never took that step, but prosecutors say that his affection for one woman in particular, Gypsy Willis, was the root of his motive for murder. Willis will be a star witness for the prosecution as Martin's trial begins in Provo, Utah. He is charged with the murder of his wife and obstruction of justice.

Martin MacNeill case: The key players

Michele MacNeill had turned 50 in 2007. She and Martin had been married nearly 30 years. Legal documents state that it was Martin MacNeill's idea in March of that year that she undergo a face-lift. Family members say Michele MacNeill pushed back, not because she was refusing, but because she wanted to lose some extra weight and wanted to control her high blood pressure. But prosecutors say Martin MacNeill was relentless, even finding a plastic surgeon who was new to town and had advertised in the local paper.

Martin MacNeill accompanied his wife on every presurgical visit to Dr. Scott Thompson. According to the affidavit for an arrest warrant, the last consultation with the plastic surgeon before the procedure took place was on April 1, 2007. Martin gave Thompson a list of medications he wanted for Michele. They included Lortab (Hydrocodone) in liquid form, Zolpidem, Valium (Diazepam), Phenergan (Promethazine) and Percocet (Oxycodone).

Martin MacNeill: Suspicious or not?

Documents state Thompson admitted that the Valium and Oxycodone "were out of my usual routine."

After the cosmetic surgery on April 3, 2007, Thompson required Michele MacNeill to spend the night at the hospital.

According to prosecutors, Martin MacNeill exchanged 24 text messages with Willis on the day of Michele's surgery. On April 4, Michele MacNeill was released to go home. Her daughter Alexis MacNeill was on spring break from medical school and attended to her mother at home. Martin told the daughter to get some sleep, and he would look after his wife through the night.

The next morning, Alexis MacNeill told investigators she found her mother unresponsive. Martin MacNeill allegedly told his daughter he may have overmedicated his wife through the night. Alexis MacNeill then took over keeping a notebook of what medications she gave to her mother and when.

Messages and medicines add to mystery

On April 5, legal documents state that Michele MacNeill told Alexis MacNeill that she believed her husband was trying to overmedicate her. Because her eyes were still bandaged from the surgery, she asked her daughter for help in identifying pills by feel. The daughter later told authorities her mother had told her that Martin MacNeill kept giving her pills, telling her to swallow. In an important pretrial ruling, Judge Derek Pullan determined that jurors will not be allowed to hear what Michele allegedly told her daughter that night: "if anything happens to me, make sure it wasn't your dad."

Prosecutors intend to show jurors the numerous text messages Martin MacNeill exchanged with Willis in the days preceding his wife's death. On April 6, Michele MacNeill confronted her husband about phone records her daughter had researched, which showed one phone number repeatedly called day after day and night after night. Prosecutors say that number belonged to Willis.

On April 10, Alexis MacNeill returned to medical school in Nevada, feeling her mother was now well enough. The next day, April 11, her mother was dead.

The defense says that Michele MacNeill's death was an accident and that she died of natural causes.

Conflicting timelines

Martin MacNeill says he has an alibi because he was at work the morning of his wife's death.

According to an affidavit, Martin MacNeill dropped his youngest daughter, Ada, off at school at 8:30 a.m. on April 11. At 8:41 a.m., Alexis MacNeill called the home phone. Three minutes later, Michele MacNeill called Alexis MacNeill from her cell phone. According to Alexis MacNeill, her mother was in good spirits and optimistic about her future with Martin MacNeill.

Martin said he went back to work around 9 or 9:30 a.m. He says he left his wife alone for approximately two hours. At 9:10 a.m., Alexis MacNeill received a phone call from her father, who called from his office phone. He asked his daughter to check in with her mother because "Michele was not listening to him and getting out of bed." Starting at 9:14 a.m., Martin MacNeill called his wife's cell phone with no answer. Several subsequent calls were made with the same result.

Did doctor use medical know-how to kill wife?

Legal documents state that Martin MacNeill was supposed to be working at a booth that day for the Developmental Center Safety Fair associated with his work, but he did not show up when he was supposed to. Employees say they do not know where he was from approximately 9:30 to 11 a.m. At 11 a.m., Martin MacNeill arrived at the safety fair. According to legal documents, witnesses say he was intent on getting his photograph taken there and appeared "short tempered" and "belligerent."

Martin MacNeill left to pick up Ada at about 11:35 a.m. According to documents, they arrived home between 11:35 and 11:46 a.m. Martin MacNeill went to the kitchen, and Ada went to find her mother.

Ada said she found her mother fully clothed in the tub with her head next to the tub's faucet, above reddish-brown water. She estimated the water was about one-quarter of the way up the tub. Her mother's hair was floating toward the drain. Ada went to get her father.

Martin MacNeill's recounting of how he found his wife is strikingly different from Ada's and will be something prosecutors focus on to show MacNeill's alleged lack of veracity. He told authorities his wife was draped over the side of the tub, head first, with her head in the water. Autopsy results later showed Michele MacNeill's blood had pooled after death toward her lower extremities, which gives credence to Ada's version and discounts Martin MacNeill's. According to legal documents, Martin MacNeill told paramedic Marc Sanderson that his wife overdosed on medication and that was the cause of her death.

In an interview, the girlfriend of Martin MacNeill's son Damian, Eileen Hang, told authorities that Martin MacNeill directed her to discard all of his wife's medications upon returning home from the hospital the day Michele MacNeill died. Additionally, the journal that Alexis MacNeill had used to keep a running tally of her mother's medications after surgery mysteriously disappeared.

The trial begins with jury selection on Tuesday, and although prosecutors have laid their case out with numerous legal filings and a 2012 preliminary hearing, the defense has won many pretrial arguments keeping out statements and actions by Martin they feel are prejudicial and irrelevant.

Critical rulings handed down in MacNeill case

What the defense has in its back pocket are the determinations of several experts set to testify in the trial. According to filed documents, not one conclusively states that Michele MacNeill's manner of death was by homicide. Forensic pathologists will only conclude to a degree of medical certainty that the manner of death is undetermined.

Now, it will be up to a Utah jury of Martin MacNeill's peers to determine if his wife died at the hands of another -- specifically at the hands of her husband, who is now on trial for his life.

@highlight

Jury selection begins Tuesday for Dr. Martin MacNeill's murder trial

@highlight

MacNeill is charged with the murder of his wife and obstruction of justice

@highlight

Prosecutors point to another woman as a motive

@highlight

Trial could pit daughters against father