(CNN) -- International leaders are responding to an uprising of Islamist militants in northern Mali, hoping to inject stability in a country once hailed as a model for democracy in Africa.

Following a coup last year, militants destroyed ancient shrines, once a major draw for Islamic scholars from around the world. They also banned music.

Read more: France vows to halt jihadist charge in Mali

Reports of human rights abuses soared, including the public stoning death of a couple accused of having an affair.

The U.N. Security Council last month authorized a peacekeeping mission. This week, French troops joined the fight against militants in its former colony, which was under a state of emergency Friday.

Read more: Malian rebels vow to 'open gates of hell' as U.S. weighs policy options

The urgency for international intervention came after Islamists seized Konna on Thursday, a frontier town that was the de facto line of government control. A day later, the government said it recaptured the town.

What's the story behind the instability?

Mali gained independence from France in 1960. The landlocked West African nation went through growing pains after independence, including droughts, rebellions and years of military dictatorship.

Read more: Rebels still hold key town in Mali, French defense minister says

It held its first democratic elections in 1992, and had a strong democracy for the most part.

That was until March, when a group of soldiers toppled the government, undermining the nation's growing economy and relative social stability.

Read more: Renegade Mali soldiers walk through ravaged presidential palace after coup

What led to the coup?

A group of outraged soldiers accused the government of not providing adequate equipment to battle ethnic Tuareg rebels roaming the vast desert in the north.

In March last year, a riot erupted at a military camp a few miles from the presidential palace in the capital of Bamako. Disgruntled soldiers marched to the palace.

Read more: Mali protesters storm palace, beat interim president

A few hours later, a soldier appeared on state television and said the military was in control of the nation. The president was nowhere to be found.

The Tuareg rebels took advantage of the power vacuum and seized some parts of the north. They have always wanted independence, and have staged several rebellions since the 1960s.

After Libyan leader Moammar Gadhafi was killed in 2011 and Libya was plunged into chaos, his weapons became available. The Tuareg -- many of whom fought for him -- seized them and took up arms against the Malian government.

How did the north end up in the hands of Islamist militants?

After Tuareg rebels seized it, a power struggle erupted with local Islamist radicals. The Islamist extremists toppled the tribe and seized control of two-thirds of northern Mali, an area the size of France.

Various factions of al Qaeda-linked militants are reportedly in the area, including Ansar Dine.

Read more: Is this al Qaeda's 'last chance' for a country?

The international community has voiced concerns about al Qaeda in the Islamic Maghreb and its expanding presence in Mali.

U.S. officials have said that the wing, the al Qaeda in the Islamic Maghreb, is linked to the deadly Benghazi attack that killed the U.S. ambassador to Libya and three others.

The region needs a well-funded operation led by Africans to have a good chance of pushing out the al Qaeda extremist movement growing in northern and western Africa, according to Gen. Carter Ham, the top American military commander in Africa.

Last month, the U.N. Security Council authorized a one-year military peacekeeping mission in Mali. The African-led International Support Mission in Mali aims to help rebuild the nation's forces and recover the areas in the north.

Tuareg rebels have vowed to fight back against the Islamists. The Tuareg want their own country in the north, which they call Azawad.

And as the world seeks a solution, Islamist militants are busy applying their strict interpretation of sharia law.

What are some of the human rights concerns in Mali?

Islamists controlling most of the north have imposed a stricter form of Islamic law, or sharia.

"We don't have to answer to anyone over the application of sharia," Islamist commissioner Aliou Toure said last year.

Locals are not receptive to the extreme interpretations; they practice a much more relaxed form of Islam. Some have taken to the streets in protest.

As part of their new laws, radical groups banned music, a major setback for a country known for "Festival au Desert," where acts like Robert Plant and Bono have performed. They've also said no to smoking, drinking and watching sports on television.

At least four times in 2012, the militants have destroyed Timbuktu's historic tombs and shrines, claiming the relics are idolatrous. The picturesque city was once an important destination for Islamic scholars for its ancient and prominent burial sites.

Public executions, amputations, floggings and other inhumane punishments are becoming common, the United Nations says.

CNN's Phil Gast and Mike Mount contributed to this report.

@highlight

French forces are helping Malian troops battle Islamist rebels

@highlight

Northern parts of Mali are under the grip of Islamist extremists

@highlight

Militants have destroyed ancient shrines and banned music

@highlight

Concerns grow that al Qaeda-linked rebels will turn the area into a haven