Washington (CNN) -- Top Democrats put the issue of climate change back in the spotlight Tuesday, debating legislation to cut greenhouse gas emissions while announcing $3.4 billion in new clean energy funds.

A key congressional committee began hearings on a "cap-and-trade" bill requiring emissions to be cut by more than 80 percent over the next four decades.

Questions related to global warming have been among the most politically contentious in recent years. Democrats are generally more receptive to proposals designed to curb energy consumption in order to slow climate change; leading Republicans continue to express concern about the necessity and economic impact of such measures.

President Obama has made the push for greater investment in a clean energy agenda one of his top domestic priorities.

Attempting to move that agenda forward, the Senate Environment and Public Works Committee kicked off hearings on the Clean Energy Jobs and American Power Act. Supporters say the bill would reduce nationwide greenhouse gas emissions 20 percent by 2020 and 83 percent by 2050 through a cap-and-trade program under which companies would buy and sell emissions credits.

Almost one-third of the credits would be given away to the electric power sector through 2026 in an effort to diminish negative economic effects. Leading Democrats have expressed optimism that the bill would help stimulate the creation of new "green energy" jobs.

The measure is similar to a climate change bill narrowly passed by the House of Representatives in June.

Scientists "tell us that we have a narrow window of time in which to avert the ravages of global warming," said Sen. Barbara Boxer, D-California.

Boxer, who chairs the environment committee, called the legislation "our best insurance against a dangerous future." It is "a responsible approach that sets attainable goals for gradual reductions in carbon emissions, and it protects consumers, businesses and workers as we move toward clean energy," she said.

Committee Republicans tore into the measure. It is "a tax, and it will mean more economic pain and suffering and fewer jobs," warned Sen. James Inhofe, R-Oklahoma.

"The victims of cap-and-trade can't just move on and get new, green jobs. The transition will mean leaving high-paying jobs, moving away from hometowns and significant reductions in lifetime earnings," he said.

Administration officials testified on behalf of the bill, including Energy Secretary Steven Chu, Transportation Secretary Ray LaHood, Interior Secretary Ken Salazar and EPA Administrator Lisa Jackson.

In all, 54 witnesses are scheduled to testify on the bill over the next three days.

Obama, meanwhile, unveiled what the White House called the largest energy grid modernization investment in American history.

At a Florida solar energy center, the president announced $3.4 billion in Smart Grid Investment Grant awards.

"By facilitating the creation of a clean energy economy, building this 21st century energy infrastructure will help us lay a foundation for lasting growth and prosperity," Obama said.

The White House said the awards, which are being funded through the $787 billion stimulus act, will fund "a broad range of technologies that will spur the nation's transition to a smarter, stronger, more efficient and reliable electric system."

Among other things, the awards will help support the installation of "smart meters" designed to help consumers monitor and control their energy consumption.

The awards, going to 100 private companies, utilities and cities, will be divided into grants ranging from $400,000 to $200 million. They will be matched by $4.7 billion in private sector funds.

Vice President Joe Biden also highlighted the issue of global warming Tuesday, visiting a former General Motors plant in Delaware that is being converted to allow for the production of plug-in hybrid electric vehicles.

The plant is being purchased by California-based Fisker Automotive for an estimated $18 million.

The new climate change push is being made against a backdrop of broad public support for federal action to slow global warming.

Six in 10 Americans support a cap-and-trade proposal to cut pollution, according to a new CNN/Opinion Research Corp. survey. Thirty-seven percent are opposed to such a plan.

The survey indicates a generational divide, with 68 percent of Americans under age 50 supporting cap-and-trade, but those 50 and older split on the issue.

"This is one more example of the growing generation gap that is shaping politics and policy in this country," said Keating Holland, CNN polling director.

"Younger Americans voted for Obama and tend to welcome change. Older Americans were less enamored of change in the 2008 election, and senior citizens were the only age group that voted for John McCain."

The poll also suggests a partisan divide, with three in four Democrats backing the proposal and nearly six in 10 independents on board as well, but only four in 10 Republicans supporting "cap and trade."

"Independents believe in global warming and believe that the government can take steps to curtail the problem," Holland said. "But the environment is not a big priority for independents, as it is with Democrats."

The CNN/Opinion Research Corp. poll was conducted October 16-18, with 1,038 adult Americans questioned by telephone. The survey's sampling error is plus or minus 3 percentage points.

CNN Deputy Political Director Paul Steinhauser contributed to this report.

@highlight

Senate Environment and Public Works Committee debates act to cut greenhouse gases

@highlight

President unveils Smart Grid Investment Grant awards to modernize energy grid

@highlight

$3.4 billion in grants seeks "smarter, stronger, more efficient and reliable electric system"

@highlight

Climate change push being made amid broad public support for slowing global warming