Kill Devil Hills, North Carolina (CNN) -- Hurricane Irene lashed coastal North Carolina late Friday and had metropolitan New York in its sights, staying on an unusual track that could bring deadly storm surge, heavy rainfall and misery to millions.

With winds at 100 mph, Irene churned toward an anticipated 7 to 8 a.m. landfall Saturday between Beaufort and Atlantic Beach, North Carolina. The latter had a curfew in effect.

But the massive storm -- which is shutting down hundreds of airline flights, Broadway shows and the New York subway system -- won't be content to curve away from the mainland after striking North Carolina.

Instead, a weakening Irene will head for the Jersey shore, New York and southern New England, dangerous conditions in tow, forecasters said.

"We're going to see tropical storm-force winds for as much as 24 hours in some places and, in North Carolina, near and to the east of the center, they could experience hurricane force winds for as much as 10 hours," Ed Rappaport of the National Hurricane Center told CNN.

Irene roiled the surf and blew strong gusts of rain into the Carolinas as it neared landfall.

Ernie Seneca, a North Carolina spokesman, said authorities were concerned about the "entire eastern half of the state. This hurricane could potentially impact an area that includes 20 counties and 3.5 million people."

Irene was about 195 miles south-southwest of Cape Hatteras, North Carolina, at 11 p.m. ET Friday, according to the hurricane center.

Hurricane warnings were in effect from Little River Inlet, North Carolina, to Cape Cod, Massachusetts. A hurricane warning means sustained winds of 74 mph or higher are expected within 36 hours.

President Barack Obama warned that Irene could be a "hurricane of historic proportions."

The Category 2 storm had top sustained winds of 100 mph, and it is expected to be borderline Category 1, with maximum winds of 95 mph, when it comes ashore Saturday and moves toward the Mid-Atlantic states, according to forecasters.

"This could still be a large and powerful storm," North Carolina Gov. Bev Perdue said. Evacuations were ongoing in 19 counties.

An ocean surge of up to 11 feet is possible in coastal North Carolina, tearing away beaches and probably damaging homes, businesses and other structures before sliding up the East Coast to New England, Hurricane Center Director Bill Read said.

Storm surges of 4 feet to 8 feet are possible in the Virginia Tidewater region, with 3- to 6-foot surges farther north along the New Jersey shore, Read said.

Other areas were under tropical storm warnings or watches. A tropical storm warning indicates that sustained winds of 39 to 73 mph are expected within 36 hours. A watch means such winds are possible.

New York City issued what Mayor Michael Bloomberg said was its first mandatory evacuation order, covering low-lying areas of all five of the city's boroughs. About 250,000 people are affected.

Authorities warned of widespread and prolonged power outages, flash flooding and storm surges that could flood low-lying communities and possibly inundate subway systems. The New York Metropolitan Transit Authority will shut down its system at noon Saturday. Five airports in metropolitan New York will close to arriving flights beginning at noon Saturday.

New Jersey Transit will shut down at noon, and the transit system in Philadelphia will halt service at 12:30 a.m. Boston said it intends to keep its system operating. The Garden State Parkway in New Jersey closed 98 miles of southbound lanes Friday night.

The storm also was forcing cancellations of concerts, sporting events and, in New York, all the weekend's Broadway shows.

Authorities on Friday urged residents who needed to leave to do so immediately.

"The sun is shining, but don't be misled," Bloomberg said. "There is a very dangerous storm headed in our direction."

Even guests in Atlantic City's iconic casinos were being asked to go. And the boardwalk in Ocean City, Maryland, will be quiet during one of the busiest times of the year.

Some plucky businesses were digging in. A restaurant in Wilmington, North Carolina, posted a message reading, "We are open until the letters fly off this sign," CNN affiliate WRAL reported.

Steve Aarthun, a resident of Wilmington, was preparing for his first hurricane. His wife, Sally, has seen three. They bought a generator, stocked up on bottled water and flashlights, and filled the bathtub with water.

"I feel the lull," Aarthun said mid-afternoon Friday. "You just have the sense it is coming."

The couple lives about a mile from the ocean and were hopeful they could avoid the storm surge.

Drew Goulde, a Kill Devil Hills resident and a maintenance worker at a hotel, was surfing, taking advantage of a higher-than-usual tide.

"It is fun," Goulde said. "I'm just messing around right now. It's kind of heavy out there, though."

Governments and private agencies launched an immense effort to prepare for the storm.

"All indications point to this being a historic hurricane," Obama said from Martha's Vineyard, Massachusetts, shortly before cutting short his vacation to return to Washington.

The mayor of Washington declared a state of emergency. The move opens up additional resources to deal with a storm that Vincent Gray said would "bring heavy rain, flash floods and high winds to the area."

The federal government began moving tons of supplies to military bases and other staging areas.

The U.S. Navy was sending 38 ships to sea, 13% percent of the deployable battle force vessels, a U.S. Navy official said.

Tens of millions of people could be affected by the storm as it moves up the densely populated East Coast, and officials urged residents to be prepared for the worst.

In New York, Bloomberg said, "The low-lying coastal areas that will be endangered most by storm surge include Coney Island and Manhattan Beach in Brooklyn, Far Rockaway and Broad Channel in Queens, South Beach, Midland Beach, and other low-lying areas on Staten Island, Battery Park City in Manhattan, and some small sections of the Bronx."

He added, "Now, we have never done a mandatory evacuation before, and we wouldn't be doing this now if we didn't think the storm had the potential to be very serious."

Amtrak, Greyhound and major U.S. airlines canceled routes and flights.

American Airlines canceled all flights in the Washington area from noon Saturday to noon Sunday, said spokesman Ed Martelle.

AirTran Airways has canceled 308 flights through Monday, according to an airline spokeswoman. JetBlue Airways has canceled almost 900 flights in the Northeast ahead of the storm. Most of those are Sunday and Monday flights out of the New York metro area and Boston, said spokesman Mateo Lleras.

Delta Air Lines will cancel 1,300 flights from Saturday to Monday, spokesman Anthony Black said. Southwest Airlines said it is canceling scores of flights to and from the East Coast.

US Airways is planning "significant flight schedule reductions" at a number of airports, including Reagan Washington National, John F. Kennedy International and Newark International.

CNN's Chris Boyette, Gustavo Valdes, Phil Gast, John Zarrella, Kristina Sgueglia, Dan Merica, Sarah Hoye, Rafael Romo, Eden Pontz, Nina Raja, Kristina Sgueglia, Poppy Harlow and Larry Shaughnessy contributed to this report.

@highlight

New York airports will be closed Saturday to incoming flights

@highlight

Tropical storm conditions spread across parts of North Carolina

@highlight

The biggest dangers involve storm surge and rainfall

@highlight

Weekend shows on Broadway are canceled