Los Angeles (CNN) -- A lost interview of Martin Luther King Jr. recorded more than five decades ago, but recently found in a Tennessee attic, will soon be heard in the last room where the civil rights leader slept.

Illusionist David Copperfield purchased the reel-to-reel tape Wednesday and will donate it to the National Civil Rights Museum, which is housed in the Lorraine Motel. King was shot to death standing on a balcony of the Memphis, Tennessee, motel on April 4, 1968.

"It gave me chills," Copperfield told CNN Wednesday in a phone interview, explaining why he bought the tape for an undisclosed amount.

It was striking because the recording revealed King in a relaxed mood, Copperfield said.

"We've heard Dr. King talk about peaceful change in the public forum, but this is an audio tape of him talking conversationally," he said. "I'm certainly no expert, but it's the first time I've ever heard him in that context and I was very moved by it."

Copperfield said he wanted to give the recording to the museum because it "is just the right thing to do."

"He's certainly one of the great inspirational figures in history," Copperfield said. "So much of what I do, in my own little way, is making people dream, transporting them, making them think differently. That's what magic does. His dream was far greater than any entertainer can provide."

Keya Morgan, a collector and expert on rare historical artifacts, authenticated the reel and appraised it at $100,000 last month.

"When I heard it, I got goose bumps all over," Morgan said, "It feels like he's sitting in your living room and talking to you."

The museum will put the recording on exhibit in the motel room where King stayed his last nights in Memphis, Morgan said.

Barbara Andrews, the museum's director of education and interpretation, confirmed the donation and said museum officials "look forward to its receipt and sharing it with our (150,000)-plus visitors."

"We are extremely grateful for the generosity and high regard Mr. Copperfield holds for the National Civil Rights Museum," Andrews told CNN.

Morgan arranged the sale by Stephon Tull, who found it in a dusty old attic in Chattanooga, Tennessee, while rummaging through dilapidated boxes left there by his father many years before.

In one of the battered boxes was an audio reel marked, "Dr. King interview, Dec. 21, 1960."

Tull realized it was his father interviewing King about nonviolence and the civil rights movement. Tull's father had grown up in Tennessee during the years of racial tension, oppression, and the so-called "Jim Crow" segregation laws.

"He planned on writing a book on how bad things were back in that era," said Tull, but his father never finished the book. "He fell ill, and is now in hospice care."

Tull's father's recorded his conversation with King three years before the civil rights leader delivered his famous "I Have a Dream" speech in Washington, four years before President Lyndon B. Johnson signed the Civil Rights Act into law and eight years before King was assassinated in Memphis, across the state from where Tull's father lived.

In the interview, King can clearly be heard discussing his definition of nonviolence, and its importance in the civil rights movement.

"I would ... say that it is a method which seeks to secure a moral end through moral means," he said, "and it grows out of the whole concept of love, because if one is truly nonviolent that person has a loving spirit, he refuses to inflict injury upon the opponent because he loves the opponent."

King continued, "I am convinced that when the history books are written in future years, historians will have to record this movement as one of the greatest epics of our heritage," he said. "It represents struggle on the highest level of dignity and discipline."

The Rev. Joseph Lowery, one of the founders of the Southern Christian Leadership Conference with King in 1957, said the tapes are a reminder of the work King started that is not finished.

"One of the things that occurred back then, we effectively communicated that nonviolence as a tactic, as a technique, was very effective for civil rights protests," said Lowery. "What we failed to do was express it's not just a tactic, but a way of life."

Lowery went on, "We're losing the battle of violence versus nonviolence as a means of resolving human conflict," he said, "I hope Dr. King's message, wherever it shows up will help us in the struggle."

In another part of Tull's recording, King describes a recent trip to Africa. He explains to Tull's father the importance of the civil rights movement both in the United States and abroad.

"There is quite a bit of interest and concern in Africa for the situation in the United States. African leaders in general, and African people in particular are greatly concerned about the struggle here and familiar with what has taken place," he said, "We must solve this problem of racial injustice if we expect to maintain our leadership in the world, and if we expect to maintain a moral voice in a world that is two thirds color."

The recording is intriguing to Clayborne Carson, a professor of history and founding director of the Martin Luther King, Jr., Research and Education Institute at Stanford University.

"It's hard to know what we're dealing with," he said, "There are thousands of interviews with Dr. King, and it's hard to tell the historical significance of this (one)."

"What is interesting about this is rather than just a transcript, you can hear his voice," he added.

In 1985, King's widow, the late Coretta Scott King, invited Carson to direct a long-term project to edit and publish the civil rights leader's works.

Based on the dates, Carson believes the African trip King mentioned in the recording was his trip to Nigeria. This is what Carson and his colleagues are most interested in.

"The trip to Nigeria is something we don't have a lot of information about," he said, "In Nigeria he didn't do press conferences, didn't do interviews or write letters we know of."

CNN's Joe Sutton and Chris Boyette contributed to this report.

@highlight

Illusionist David Copperfield will donate the tape to the National Civil Rights Museum

@highlight

"It gave me chills," Copperfield says

@highlight

It was striking because the recording revealed King in a relaxed mode, Copperfield says

@highlight

Stephon Tull found the reel-to-reel tape in a dusty old attic in Chattanooga, Tennessee