(CNN) -- Endeavour -- the boat's name is befitting of its journey twice to the brink of destruction and the tireless work that went in to restoring the 1934 vessel to its former glory.

It was "an absolute Armageddon battle start to finish to get the boat done," Elizabeth Meyer tells CNN's Mainsail show.

The American's painstaking restoration job, which began 30 years ago, is credited with a resurgence in the interest in the gargantuan J-Class boats that used to battle it out for America's Cup supremacy, a far cry from the space-age designs of the competition's current multihulls.

She is the granddaughter of Eugene Meyer -- former U.S. Federal Reserve chairman and the first president of the World Bank -- and the niece of Katharine Graham, who owned and published the Washington Post at the time of the 1970s Watergate scandal.

Her own pre-yachting claim to fame was building a home for Jackie Onassis in Martha's Vineyard, resulting in the pair becoming friends -- while the proceeds from that business helped her move into boat restoration work.

Meyer has done it all under the auspices of three mottoes: "press on regardless," "full speed ahead" and "fools rush in where angels fear to tread" -- the final words first penned by Alexander Pope in "An Essay to Criticism" in 1709.

Criticism is something she has encountered at every crossroads.

"A woman who is a forceful person who knows what she wants is a 'bitch,' " the 61-year-old explains. "If I had been a man I'd be a 'hard-hitting businessman that made my own money' and 'Boy, he really knows what he wants.'

"But as a woman I was completely attacked by everybody."

That varied from being warned off by American sailors of the J-Class era ("You must not do this, they're too dangerous, these things are killers, you'll ruin your life and kill people with it") to local authorities in the United Kingdom cutting off the power at the improvised yard where she was restoring Endeavour and then demanding $50,000 in rent.

Meyer also had problems with the tax department, which "sent people around that looked like Inspector Clouseau" after confusing her company with one of a similar name.

It left her feeling like she was "being attacked by a giant army and trying to get this boat done and trying to find the money."

Taking on the project of restoring Endeavour after discovering her in England, Meyer lived in Fawley, a village on the southwest coast in close proximity to an oil refinery and a power station.

"There was toxic waste, a sewage treatment plant and I was very, very ill from that and the mold in the house I was renting," she recalls.

But she has lived to tell the tale and the J-Class yacht scene is now thriving with races organized each year in Rhode Island's Newport, where she lives, and Falmouth and Cowes. Restorations have followed Meyer's, and replicas too, with five since rebuilt, four new vessels built from scratch and two more in the offing.

Her parents, both doctors -- a psychiatrist and epidemiologist -- had a keen interest in the water. Her father was a powerboater and fisherman, her mother a sailor who regaled a young Meyer with stories of the J-Class yachts.

"My mother thought of them as the pinnacle of what a sailboat should be," she says.

"So I was sort of indoctrinated that way at a young age and I never stopped thinking it and I still think it.

"So, we sailed, we canoed, we camped, we fished, we did everything. But I thought I had missed seeing the most extraordinary example of a sailboat that would ever exist and I always regretted that."

That all changed in 1984, when -- while traveling with friends in Europe -- she persuaded the editor of Nautical Quarterly to commission her to write an article on the remaining J-Class vessels, which existed in varying degrees of disarray.

Just 10 were built, between 1930 and 1937, and most had been scrapped.

Sailing on Velsheda, the only J-Class survivor at the time, she spotted the 130-foot Endeavour for the first time -- berthed on a mud flat -- and visited her the next day.

"Endeavour was the most beautiful J ever designed and built," Meyer says. "There was something super exceptional about that boat.

"So I thought of her already and when I went to see her, she was out of the water. The shape is so sculptural and beautiful.

"It had not crossed my mind to restore one of these things. I had not got money at all to do something like that and I wasn't planning to do it."

Endeavour had repeatedly changed hands. Sold to a scrap merchant, she was saved by a buyer at the 11th hour in 1947. After sinking in the 1970s, two new owners stepped in to pay Â£10 and refloated the boat. The owner before Meyer did not have the funds to fully restore her.

"I thought, 'Someone really ought to restore this. I will.' And then I immediately went 'Oh no' because I knew I would do it and I said, 'Would you consider selling her to me?' And he said 'yes' and then I was stuck, I had to do it."

She initially borrowed money against real estate investments at Martha's Vineyard, which she eventually had to sell, as well as her share of her business restoring houses. Everyone and anyone advised her against it -- but she didn't listen.

At the time, the British shipbuilding industry was in serious decline and Meyers says she ran the project "out of two rented Portacabins located on the spit next to the hull of Endeavour" and ended up completing the project in the Netherlands.

"I could not afford Endeavour for one single instant from the day I bought her," Meyers says.

"I had to sell everything I had, I had to charter the boat every second I owned her, and I did not sleep once in all those 18 years, I had to sell her.

"It crushed me, she was the apple of my eye and I'd be sailing her today as a classic still in all those regattas."

Endeavour, which Meyer had chartered for $60,000 a week, or $12,000 a day, in order to cover the upkeep, sold for $15 million in 2000.

Despite the adversity, the financial worry, the lack of sleep, there were no regrets.

"It always felt worth it every minute of the way," she says. "I never questioned for one second that I should do this and that it was going to be wonderful. I had complete confidence."

Endeavour was the brainchild of Thomas Sopwith, who made his name with the Sopwith Camel plane with which the English Royal Air Force fought World War I and who used his own aviation know-how to create what was the finest vessel of her day.

But in half a century it went from coming close to winning the America's Cup to be found with no keel, rudder, ballast or interior.

Meyer dismisses one oft-mentioned theory about what happened to the yachts.

"People talk about the Js and say, 'Oh, they were broken up for war materials,' but that's absolute nonsense. They were broken up for scrap value and we're not that sentimental in the U.S. The British are more sentimental, so you built four Js altogether and three of them still exist. The Americans built six and they're all cut up."

The infatuation in these yachts is clear to see. When Meyer organized an event in 1989 pitching Endeavour and Shamrock -- another of her restoration projects -- she needed 90 sailors to act as crew. Six times that registered their interest in taking part.

Among those involved was CNN founder Ted Turner, who skippered the 1977 America's Cup winner Courageous.

"They were a little bit like the 'stars' are today, and they were connected with royalty because yachting was really up until the '30s a royal sport in England -- large yachts like that," Meyer says.

"There's something about the Js that is representational of the ultimate sailboat. They look like the meaning of 'sailboat.' I think they strike people that way. Sort of like the Eiffel Tower strikes people as just this amazingly enticing object."

Many, including Meyer, thought they would never be seen again. Her tireless work -- carried on through the International Yacht Restoration School that she founded in Newport in 1993 -- ensured that is not the case.

"Many people have that fundamental restoration urge. I think it's inherent in the human nature," Meyer says. "When they see something remarkable that has fallen into disrepair, they think 'Let's fix it up.'"

Mainsail is CNN's monthly sailing show -- click here for times, videos and features.

@highlight

Elizabeth Meyer risked her life's worth to restore 1930s America's Cup yacht Endeavour

@highlight

The painstaking restoration of a shell of a boat led to a resurgence in classic yachting

@highlight

Meyer has family links to both the World Bank and the Watergate scandal

@highlight

The J-Class yachts she restores were seen as the pinnacle of sail boats