Beijing (CNN) -- A Caucasian American businessman gets into a cab in Beijing. At first he's relieved-- the last few taxis passed straight by him, which is not unusual-- it can be difficult for non-Chinese nationals to get a cab. But then comes an uncomfortable question from the driver: "Isn't it difficult living in a country with so many black people?"

A question that highlighted another issue: while non-Chinese nationals can have trouble getting a cab, it can be even worse for those with darker skin.

Project manager Kris Derban has lived in China for eight years. He long suspected that taxis were not picking him up because he is an African-American. Recently his suspicions were confirmed when he asked a driver why he had hesitated to take him. "The driver said, 'I worry Africans will run off and not pay.'"

But catching a cab isn't the only problem. Another common misconception Derban has to contend with is that he is a drug dealer, he said. "I'll be with a group of friends and someone specifically comes up to ask me if I have drugs. At first I was offended. Now I tease them and say: 'No, do you have drugs?'"

Derban laughs off such incidents, finding humor in the ignorance. Others have been less fortunate.

Liberian student David Johnson moved to China just two months ago. He said he has already been subjected to several racist remarks. "One time I was walking down the street and someone called me a stupid black c***," he reported.

"Maybe it was because I was with a Chinese girl and they don't like that."

Reports of this kind of racism date back to when Africans were first welcomed into China to study at Chinese universities in the 1960s. And in 1988, a violent, 300-strong mob broke into an African students' dormitory at Nanjing University and destroyed their possessions while chanting "down with the black devils."

The number of Africans and foreigners living in China has risen significantly since then. Communities have grown up in major cities such as Guangzhou, where 20,000 Africans now live, according to official figures. Some scholars, trying to account for the number of undocumented migrants, put the estimate at around 200,000.

However, "even in those cities where there is now a concentration of black people, still most Chinese have little to no contact with them," said Barry Sautman, a professor of social sciences at the Hong Kong University of Science & Technology who specializes in the issue of race in China. As such, their ideas about blacks are largely shaped by the media, Sautman, said, adding, "In the media, Africa is portrayed as a house of horrors, with a huge number of people dying from diseases, wars and extremely high crime rates."

Cultural bias against dark skin

But it is not just Africans and those of African descent who report prejudices in China; others with darker skin are also affected.

Hatim Shah from Mumbai in India has worked in finance in China for six years. He recalled Beijing's visa crackdown on foreigners working or living illegally in the city around the time of the 2008 Olympics.

"I was set to move into a house, but when I went with the landlord to the police station to register, he told me I couldn't live there because the police didn't want brown people in the vicinity," he recalled. "My white South African roommate had no problem." Although Shah believes the situation has since improved, he still feels that "if you are brown here, you are not equal."

He added: "They assume dark skinned people are doing something dodgy. If there's a white person in the room, they'd rather speak to the white person."

Paler skin has historically been prized in China and much of Asia. Even today skin-lightening products remain popular.

"Conversely, darker skin is associated with being a peasant," said Sautman. "So, if you think peasants are oafish and backwards, you associate darker skin with that."

However, experts say, just because there is a historic prejudice against dark skin in China, it was never a given that this prejudice would automatically translate into prejudice against races with darker skins. Sautman believes that type of prejudice was imported from the West.

"It was imported as early as the 1880s by Chinese intellectuals exposed to the Western racist literature. During the Maoist era, expressing such ideas fell out of fashion. Instead, the state promoted the idea that the Chinese should join Africans and rise up together against the white imperialists," said Sautman. But from the beginning of China's reform era from the late 1970s, some Western ideas were allowed to flood back in.

While the Chinese government maintains there is no racisim here-- many clearly beg to differ. But they say, given that racism seems less historically entrenched in China than in the West, there is hope it can be stamped out more easily.

The 'Obama effect'

Some non-Chinese nationals say the election of U.S. President Barack Obama and the growing number of black sports stars playing for Chinese teams - such as basketball's Stephon Marbury and footballer Didier Drogba - has helped change perceptions.

A study conducted by Yunying Zhang at Austin Peay State University and Alexis Tan at Washington State University showed that negative stereotypes held about African-Americans-- for example, that they were 'violent', 'loud' or 'aggressive' -- were less likely to be held by Chinese people after President Obama's election. Meanwhile Africans and African-Americans living in China report that since the election, Chinese people they meet are now more likely to bring up the president or the latest athlete signed to a Chinese team than mention negative stereotypes.

Real-life encounters with ordinary Africans and African-Americans also play a part in dispelling racist myths. In a study of attitudes in Guangzhou, Sautman found a correlation between Chinese people actually living and working with Africans and having a more positive attitude towards the African community there.

Derban, for his part, said: "I try to present myself in such a way that I always leave a good impression. The racism here might be blatant, but, unlike the West, because it's not hidden, I know what I am dealing with. I can openly talk to people about it and help change impressions."

Loretta Evans, an African-American who has been in China for eight years feels the same. "Yes, I've sometimes had people stare or touch my skin, as if to see whether it's going to rub off," she said. "But I think this comes from curiosity not negativity. Here I don't feel the racial tension I feel back home. I've done things, such as setting up my own geophysics company, which as I black woman I might not have been able to do in the States.

"Yes, I'm treated differently from Chinese people. But here I'm different first, black second."

@highlight

Non-white foreigners living in China report more instances of prejudice

@highlight

African Americans report greater difficulty getting cabs, suspicions of criminal behavior

@highlight

Study: Chinese perceptions have improved since election of U.S. President Barack Obama

@highlight

The signing of celebrated black athletes to Chinese teams is also improving relations