(CNN) -- Saif al-Islam Gadhafi, 38, has never lived a day in which his father Moammar didn't rule Libya -- as its undisputed leader inside the country and an enigmatic, controversial voice for the world.

And yet, as the Libyan government faced a stiff popular uprising, it was Moammar Gadhafi's second eldest son -- and not the Leader of the Revolution himself -- who was first to talk to the nation about the unrest and detail a plan to address it.

The speech, made early Monday on Libyan state television, does not mean that Saif Gadhafi has usurped power from his father: Senior U.S. officials said there's no indication the elder Gadhafi is losing his grip.

Still, many were left thinking: Why did Saif speak? There was no public explanation why his father, who state-run TV showed repeatedly being showered with support as his limousine rolled down a packed Tripoli street or in a crowded hall, didn't talk.

One way to explain the choice, said David Schencker of the Washington Institute for Near East Affairs think tank, is Moammar Gadhafi is "consistently inconsistent" -- meaning, his decisions are famously hard to understand or predict.

Still, experts say, what may make Saif stand out most is that, among his relatives, he seems the polar opposite of his father.

"I don't think Saif is a hated figure," said Michele Dunne of the Carnegie Endowment for International Peace, a Washington think tank. "He has seemed to have some good intentions."

Whereas Moammar Gadhafi years ago launched a program to "destroy imported ideologies, whether they are Eastern or Western," his son speaks fluent English, earned his PhD from the London School of Economics, written an op-ed in the New York Times and has been a frequent go-between in talks with international officials.

Moammar rarely goes anywhere without a distinctive tribal dress and an ornate Bedouin tent. The well-traveled Saif, meanwhile, addressed the Libyan nation early Monday in Western business attire: a suit and tie.

While the father runs a nation, his son's main job -- at least before his 2009 appointment as General Coordinator, a position like many in the nation's government with few guidelines -- was heading a charity, the Gadhafi Foundation.

Thus, instead of calling Islamic militants "mad dogs" and "terrorists," Saif's charity last week engineered the prison release of 110 members of the Libyan Islamic Fighting Group.

And lastly, while the elder Gadhafi is known for his heavy-handed rule in Libya and its restrictions on civil rights and more, Saif Gadhafi has fashioned himself as a human rights advocate and pushed for democratic and institutional reforms that could give more power and freedoms to the people.

Still, the sputtering of Saif Gadhafi's public pro-democracy and pro-rights agenda suggest the real limits on his authority. While some long banned non-governmental organizations and media were allowed into Libya for the first time in recent years, access was tightly controlled and the movement's momentum stalled.

"Periodically, his father has given him a bit of leash and (Saif) has gone out and talked about creating a constitution" and similar reforms, said Schencker, a former U.S. Defense Department official. "But then these things get reined back."

In fact, until Monday, many experts felt the most powerful Gadhafi outside of Moammar was Saif's brother, Mutassim, Libya's national security advisor. Saif's rights-centered focus and Western outreach put him at odds with the country's old guard.

Thus, his Monday speech notwithstanding, Dunne said she didn't think it was a precursor to Saif taking his father's place.

"Right now, my gut tells me it's unlikely that Saif would emerge," said Dunne, who is also editor of the Arab Reform Bulletin. "He's rather weak."

And Dunne said Saif's gambit, proposing a major political reforms if the uprising ends, isn't likely to end in a deal. Beyond the fact there's little indication that anti-government demonstrators will give up their fight, Libya has shown little inclination to liberalize or democratize in the 42 years under his father.

Moreover, for all their differences, Saif's standing in the world is still largely defined by his father's role in Libya.

Even while some may see the son as more open to change, there's little question that his loyalty remains first with Moammar and that his father has given little indication publicly that he's ready to let go and calls the shots.

"Those promises have much less credibility than what they might have in other Arab countries," she said. "People have no faith in the family."

@highlight

Saif al-Islam Gadhafi, 38, gives Libya's first public speech acknowledging unrest

@highlight

There's been no public indication why he, and not his father Moammar, talked

@highlight

As Western-educated and reform-minded, Saif has differences with his father

@highlight

An expert says that, his speech notwithstanding, it's unlikely Saif will rise to power