Syria (CNN) -- We'd been in Damascus for several weeks, watching out of our windows as smoke hovered almost daily over the city's skyline.

Where we were staying holed up was somewhat safe but it didn't insulate us from the noise of the battles threatening to engulf the Syrian capital.

One day we stood outside a local ice cream seller's shop as tracer fire lit up the night sky. The ice cream seller then tried to give us our cones for free.

As foreigners, we stood out in a crowd of locals, all of whom were weirdly protective of Damascus and put out that we weren't seeing their city at its best.

In a lull in the fighting one man turned and asked me if I'd gotten chance to see the window St. Paul was lowered from before his escape to Europe - a popular attraction for western tourists. I promised I'd put it on my list of things to do.

All of us were trying to avoid discussing "these problems" as Damascenes euphemistically refer to the threatening civil war.

In private, others were more forthcoming. In a doctor's examining room, on auto pilot I started my practiced patter that "things weren't as bad as I'd expected," only to be cut short by the doctor who said simply, "You seem really nice, please promise you'll go back to your country soon."

Syria faces societal fissures

But I didn't want to go, there was so much more here I wanted - needed - to see. The next day though I thought of his advice.

After successfully navigating the Damascus back streets to avoid the myriad checkpoints it was with a great sense of irony that we had to pull over at one to ask for directions to the nearest highway out of town.

My only hope was that the soldier would believe that actual "terrorists" -- as the Syrian authorities refer to the opposition fighters and activists -- would surely be slicker.

With a great show of exasperation he described the route out to Daraya, checked we'd understood and made a great show of waving us through.

At the next checkpoint the soldier had a list of those wanted for questioning, I held my breath as he looked me over.

Two meters, about the length of the car's hood, up the road there was yet another checkpoint, this one had appeared while were navigating the first two.

Eventually though we were through and on our way to "Free Syria" as Daraya had declared itself.

Its citizens were among the first to take to the streets after the Syrian uprising began but the town's proximity to the Mezza military airport had brought them uncomfortable scrutiny from the Air Force Intelligence service.

The young activists we met told us with pride that Daraya had almost emptied as security raids hunted activists down in alleyways and as they hid at the homes of friends and relatives. Nowhere was safe for them.

But that was then. For most of the last two months the Free Syrian Army had maintained control over the town. Regime forces had to content themselves with shelling from a distance.

As we drove through town we found a clean up underway and for the first time the anxiety I'd been carrying around all the time while in Syria had started to dissipate.

Their belief that the war had been won was clearly catching. When it came time to break the fast, -- this was during the Muslim month of Ramadan -- they spread out local delicacies and made me try a liquorice drink that was possibly the most disgusting thing I'd ever tasted.

U.S.: Assad 'disconnected from reality'

They laughed and snapped pictures on their phones as I struggled to keep a straight face. Until then I hadn't realized quite how young they all were. Looking around properly I realized they were all in their late teens or early twenties.

One young man came and sat at the end of the table with me. He wanted to talk about his detention at the hands of the Syrian forces.

As his story tumbled out, I had to struggle to take in what he was describing. He told me that he'd been raped with wooden sticks during interrogations; that he'd watched others forced to carry out sexual acts on each other, and that during the beatings they would make them hold salt in their mouths.

He recounted a litany of abuse and humiliations, all in the same deadpan voice.

Two more young men came forward with similar stories. They showed me the scars the shackles had left on their ankles and wrists, and the marks of the electric clips on their nipples.

They seemed to want to tell me everything.

We too quickly ran out of time. They were very keen for me to see their nightly demonstration, though it more closely resembled a celebration.

Young men joining arms around drummers performing the familiar chants of the revolution that we'd all grown accustomed to from grainy YouTube videos but this time inflected with song and the belief that victory was close.

As we drove to where we were spending the night we heard the rumble of mortars overhead. "Don't worry," we were told. "It's somebody else's turn tonight."

On our next visit I had gotten so used to hearing in Damascus that "something is happening" that I was almost inured to it but when the shelling began it felt closer then it ever had. We were advised to leave and we did.

Many of those who helped us are still inside Syria so I don't want to say anything more but in the days and nights after we left I stayed close to my laptop and phone.

In the beginning they tried to stay in touch. As bombs fell they went out and filmed video after gruesome video.

I play them back, listening to the voices of young men I'd grown to know and like, narrate the unfolding massacre.

Very quickly, even that contact was gone. The government had cut the power supply in to Daraya and conserving phones was a matter of survival. It's they only way they can hope to let the world know what is happening.

To protect their families many have gone in to hiding, constantly on the move.

Every once in a while I'll see that they've managed to get online but only very briefly and then they're gone again. This is the only proof I have that they are still alive.

Syria explained: What you need to know

@highlight

In Damascus, people watch as tracer fire lit up the sky

@highlight

Locals were annoyed we were not seeing the best of their city

@highlight

We tried to avoid contact with security officers but needed their help with road directions

@highlight

Young fighters laughed with me; now after sustained attacks I don't know how many are still alive