(CNN) -- After facing a long list of charges including sexual assault, Brig. Gen. Jeffrey Sinclair agreed to plead guilty this week to much lesser charges in a case involving sexual misconduct in the military -- one in which politics may have gotten in the way of justice.

On display was a military legal system, apparently eager to show it was getting tough on sexual misconduct cases, that instead bungled the case.

On Thursday, Sinclair was sentenced. He received a reprimand and has to forfeit some pay. But he got no jail time. His sentence is a mockery of military justice, a slap on the wrist nowhere close to being proportional to his offenses.

But the Sinclair case is not typical of most military sexual assault cases. Sinclair had a three-year relationship and allegedly forced sex with a female captain under his command. The prosecution was problematic partly because the accuser may have told lies and partly because senior military officers may have brought harsher than usual charges.

We don't want commanders feeling that they need to appear tough on sexual assault by bringing charges that aren't warranted -- just as we don't want them sweeping them under the rug. This is another example of what happens when a system is reliant on people who are not legal experts, rather than on trained independent prosecutors.

Despite the problems with this particular case, we need to confront the bigger issue with the military prosecution system in cases of sexual assault and misconduct. There are an estimated 26,000 sexual assaults a year in the military -- but reporting is low, courts-martial are rare and the conviction rate is less than 1%. The vast majority of sexual assault and rape cases in the military show a pattern of suppression, where if a report is made the victim fears retaliation and the loss of his or her job.

For example, the scandal at Lackland Air Force Base has seen 33 basic training instructors investigated for misconduct allegations involving 63 recruits and trainees, none of whom reported they were sexually assaulted. Survivors don't report because they fear they won't get justice and that their attackers will go unpunished.

Federal law for the military -- the Uniform Code of Military Justice -- was created with the intent of preventing arbitrary punishments by generals and colonels. But leaving sexual assault and rape cases in the hands of commanders to prosecute creates a fundamental conflict of interest that undermines service members' due process rights. Until the decision to prosecute is taken away from commanding officers, the military justice system is simply not credible.

For more than three years now I have taken to the House floor and told the stories of the men and women in our armed forces who have been sexually assaulted. Many of these stories involved commanders who undermined investigations, refused to bring a case to court-martial, or overturned a case after a jury had found the perpetrator guilty and a jail sentence was issued.

Some opponents of reform continue to claim that commanders must be the sole decision-makers on whether a case moves forward to trial. Keep in mind the countless stories in the press of legitimate cases not making it to trial or sentences being lessened or thrown out completely -- all at the whim of the commander.

Of course there is also the fact that the entire military structure rests on the shoulders of individuals with no legal training. Commanders are the linchpin of the military justice system.

Just last month, a deluge of sex crime reports in Japan involving American military personnel were revealed thanks to multiple Freedom of Information Act requests made by The Associated Press. The data reveal how broken the military scales of justice truly are, and offer a rare glimpse into how reports of sexual assaults are handled. Of the 1,000 reports, punishments were wildly inconsistent, and of the suspects determined to be guilty, nearly two-thirds spent no time in jail at all. In more than 30 cases, a letter of reprimand was the only punishment.

What is clear from these cases is that commanders were part of the problem, not the solution. Commanders often decided to not move forward with courts-martial, but when they did -- even with DNA evidence and tape-recorded confessions of rape -- the predators were typically given mild punishments after pleading to lesser charges. Commanders also lessened numerous punishments unilaterally and in two cases threw out guilty verdicts and punishments completely.

My bipartisan legislation, the STOP Act, will take sexual assault and rape cases out of the chain of command and put them into the hands of civilian and military legal experts.

This is a system that some are hellbent on protecting. But I intend to fight this year with every fiber of my being to get the House to act on fixing this broken system.

The opinions expressed in this commentary are solely those of Jackie Speier.

@highlight

Jackie Speier: The military legal system bungled the case of Gen. Jeffrey Sinclair

@highlight

Speier: Legal experts, not commanders, should decide on sexual assault cases

@highlight

She says most military sexual assault and rape cases show pattern of suppression

@highlight

Speier: Military justice rests on the shoulders of individuals with no legal training