Washington (CNN) -- The United States is weighing a possible military role to help the Libyan revolt against leader Moammar Gadhafi, but top U.S. officials warn that the issue is controversial.

Secretary of State Hillary Clinton told a Senate panel Wednesday that "there may well be a role for military assets to get equipment and supplies into areas that have a need for them" and in areas where the United States is welcome.

But she noted the Arab League statement issued Wednesday that rejected "any foreign interference within Libya on behalf of the opposition, even though they have called for Gadhafi to leave."

"The tough issues about how and whether there would be any intervention to assist those who are opposing Libya is very controversial within Libya and within the Arab community," Clinton told the Senate Foreign Relations Committee. "So we are working closely with our partners and allies to try to see what we can do and we are engaged in very active consideration of all the different options that are available."

Two senior officials in the Arab League said the group's members have agreed not to accept any foreign intervention in Libya; they also agreed that they will consult with other Arab League members in order to protect Libyans' security.

But the league cannot ignore the suffering of civilians and would consider the imposition of a no-fly zone in coordination with the African Union if fighting were to continue, said Hisham Yousef, chief of staff of the Arab League.

Senator John Kerry, D-Massachusetts, called for the United States to impose a no-fly zone over Libya. While he noted that the Libyan people weren't asking for foreign troops, he said they "do need the tools to prevent the slaughter of innocents on Libyan streets."

Defense Secretary Robert Gates, speaking to a House committee, said creating a no-fly zone would have to begin with an attack on Libya.

"If it's ordered, we can do it, but ... there's a lot of, frankly, loose talk about some of these military options, and let's just call a spade a spade. A no-fly zone begins with an attack on Libya to destroy the air defenses. That's the way you do a no-fly zone, and then you can fly planes around the country and not worry about our guys being shot down," he told a House Appropriations hearing. "But that's the way it starts."

The administration is far from arming any opposition power, primarily because U.S. officials still don't know who the opposition is and what they are trying to achieve, senior U.S. officials said.

The United States is trying to contact a variety of Libyans in an attempt to figure out who the opposition is, but officials said no single group or individual has emerged in a leadership role.

Instead, the rebels appears to be composed of a wide and diverse group of Libyans, including civilians formerly allied with Gadhafi government, former military officers, longtime opponents of the regime and tribal leaders, the officials said.

These various factions have divergent goals and perspectives: Some are focused on their individual neighborhoods, others take a more regional or national approach. The sole unifying factor is they all oppose Gadhafi, the officials said.

The lack of a readily identifiable opposition leadership group can be traced to the fact that, during his nearly 42 years of iron rule, Gadhafi has not allowed an opposition center of power to form, the officials said.

Though opposition members all want to replace Gadhafi, they may not all be committed to a future democratic Libya, the officials said.

"We are working to understand who is legitimate, who is not, but it is premature in our opinion to recognize one group or another," Clinton said Wednesday. "We have to keep our focus at this point on helping the Libyan people. And I think it's important to recognize that there is a great deal of uncertainty about the motives, the opportunism, if you will, of people who are claiming to be leaders right now."

But pressure for international military intervention appears to be growing as the carnage mounts. Some protesters have charged that troops loyal to Gadhafi have fired on demonstrators, and military planes have bombed several sites held by the opposition. Libya's ambassador to the United States estimated Monday that as many as 2,000 people may have been killed.

"I believe the global community cannot be on the sidelines while airplanes are allowed to bomb and strafe," said Kerry, who chairs the Senate Foreign Relations committee. "A no-fly zone is not a long-term proposition, assuming the outcome is what all desire, and I believe that we ought to be ready to implement it as necessary."

Gates said taking such action would also require the United States to put more air assets near Libya, because enforcing a no-fly zone would require a great deal of equipment.

"It also requires more airplanes than you would find on a single aircraft carrier. So it is a big operation in a big country," Gates said.

The U.S. military could speed up deployment of a second aircraft carrier if necessary to support a no-fly zone over Libya or other operations, according to Chief of Naval Operations Adm. Gary Roughead.

The USS George H. W. Bush is scheduled to deploy from Norfolk, Virginia, later this spring, Roughead told reporters Wednesday, though it could leave earlier.

"That ship is ready," he said.

He emphasized that it was not his decision to accelerate the deployment.

"That's not my call. I get the forces ready to go and, so you know, that is an available asset," Roughead said.

He also would not comment on whether a no-fly operation could be enforced over Libya from a single aircraft carrier. The carrier USS Enterprise is believed to be nearby in the Red Sea.

"That would depend on the tasking," Roughead said.

Two amphibious ships moved into the Suez Canal Tuesday with humanitarian response supplies such as water treatment equipment and temporary shelter, Roughead said.

Kerry also said he was working on an aid package for the Mideast, saying that a "significant financial commitment by the U.S." will be critical to help what he called a "monumental and uplifting transformation" in the region.

Clinton's appearance before the Senate Foreign Relations Committee was originally slated as a defense of President Barack Obama's budget for 2012. She told lawmakers that it is important to continue counterterrorism programs in North Africa, noting that some members of al Qaeda had come from Libya. Clinton warned that one of the biggest U.S. concerns is that "Libya could become a giant Somalia" if the United States is not active in the region.

CNN's Charley Keyes, Adam Levine and Caroline Faraj contributed to this report

@highlight

No single group or person has emerged in a leadership role

@highlight

Some have called for a no-fly zone over Libya

@highlight

Imposing a no-fly zone has to begin with an attack on Libya, Gates says

@highlight

The Arab League rejects any foreign interference in Libya