Once upon a time, only clan chiefs could sleep at Tulloch Castle in the Scottish Highlands. Now it welcomes all, even a rumored resident ghost.

With their hallowed hallways, romantic turrets and fairy-tale-like charms, castles have long intrigued travelers, especially Americans who have no such royal history stateside. Fortunately, you don't need a king's ransom: Our favorite European castle hotels start at $98 a night and many have hosted notable aristocrats.

Switzerland's Wartegg Castle made a scenic lakeside refuge for the exiled Zita of Bourbon-Parma (Austria's last empress), while Belgium's Château d'Hassonville was the former hunting grounds of French enfant terrible Louis XIV. Rooms hark back to the 17th century with trappings like bronze busts, thick drapery, fireplaces and even complimentary carafes of port.

Even scientists aren't immune to the magic of castles. Southern Sweden's Häckeberga Castle won over botanist Carl Linnaeus, who praised its flora and fauna. Look for ravens, white-tailed eagles and red deer in the beechwood forests along the region's new Linnaeus hiking trail -- just be back to the castle in time for a fresh seafood dinner.

Without further ado, here's our list of affordable European castle hotels:

Parador de Oropesa, Spain

Legend has it that this 14th-century castillo in the foothills of the Sierra de Gredos was built on a site first settled in 1716 B.C. by Hercules's soldiers. Whatever its origins, Oropesa is undoubtedly one of Spain's oldest paradors.

Forty-eight rooms are scattered with vintage tiles, colorful throw rugs, hand-painted canopy beds and Peruvian folk art imported by former resident Count of Oropesa, Francisco de Toledo, who served as the viceroy of Peru from 1569 to 1581.

A swimming pool commands extensive views of the surrounding mountains, olive trees and the whitewashed medieval village of Oropesa, while the loggia-style terrace is a great place to linger over a creamy cod with salsa Antigua Monacal and glass of Rioja. parador.es/en; rooms from $125.

Travel + Leisure: Europe's most beautiful villages

Château d'Isenbourg, France

At a bend of the Rhine where Switzerland, Germany and France converge, this Alsatian member of the Small Luxury Hotel collection was the former royal residence of Dagobert II in the seventh-century Merovingian era.

Now the castle hosts visitors in frilly Rococo-style rooms and encourages them to relax, whether by the outdoor swimming pool or in the Turkish bath and sauna (a few glasses of Alsatian wine from the 12th-century cellars also do nicely). The château is not far from Colmar, one of Europe's most beautiful villages, and overlooks the medieval city of Rouffach, the Black Forest and the Vosges foothills. slh.com; rooms from $191.

8 elegant U.S. mansion hotels

Château d'Hassonville, Belgium

Summon your musketeers for a getaway to this multiturreted 17th-century château in the densely forested Ardennes, once the hunting grounds of France's enfant terrible King Louis XIV. Rooms look the part thanks to bronze busts, floral wallpaper, thick drapery, fireplaces and complimentary carafes of port.

And haute cuisine suppers are no less extravagant. Feast on pot-au-feu d'homard and filet de Bœuf Limousin interspersed with cheese courses and palate cleansers. After dinner, explore the multiple salons. hassonville.be; rooms from $169.

Travel + Leisure: Affordable small hotels in Paris

Óbidos Pousada, Óbidos, Portugal

The walled town of Óbidos is a highlight of many tourist circuits, but only a select few can overnight in the 12th-century castle's plush pousada. The 17 spacious rooms, each named after a king or queen, feature whitewashed walls, four-poster canopied beds and Manueline touches like azulejo-tiled bathrooms and arrow-slit windows with views onto the windmills and vineyards.

The restaurant's Portuguese cuisine includes earthy dishes like honey-roasted duck and thyme-infused veal. For those seeking a bit of majestic leisure, the hotel can arrange carriage rides, lake rowing and even hunts. pousadas.pt; from $176.

Travel + Leisure: Best hotels in Italy

Dornröschenschloss Sababurg, Germany

The twin turrets of the enchanted, 675-year-old Dornröschenschloss ("Little Thorny Rose Castle") rise from the surrounding ancient oak forest like an illustration in a fairy tale. It's only fitting as this castle is located on Germany's Fairy Tale Road and claims to be the inspiration of the Brothers Grimm's Legend of Sleeping Beauty, who some say slept here for a century before she was saved by a kiss.

It's likely that the brothers did visit this castle, which was then in ruins. Today, a 17-room hotel occupies part of the castle, with canopied beds, cathedral ceilings, stone walls, and of course, extremely comfortable beds. sababurg.de; rooms from $120.

Tulloch Castle Hotel, Ross-shire, Scotland

Once upon a time, only the chiefs of clans could sleep in such a privileged property. Now this 12th-century castle, 45 minutes' drive from Inverness Airport (and just 28 miles from Loch Ness), is open to all, even a rumored resident ghost.

A 250-year-old wood-paneled great hall and trappings like oversize plaid headboards, large drafty fireplaces and a family and pet cemetery -- replete with overgrown scrub and an iron gate -- add to the haunted atmosphere. It's all a fitting tribute to the 20-bedroom castle's windswept Scottish Highland location. bespokehotels.com; rooms from $108.

Wartegg Castle, St. Gallen, Switzerland

Zita of Bourbon-Parma, the last empress of Austria, once gazed out at Lake Constance from this 16th-century castle where she lived in exile.

Today's guests turn up voluntarily to enjoy the picturesque location, staying in modernized accommodations with natural Japanese futons and/or Hüsler mattresses on blonde-wood beds, exposed beams and quality Swiss-made Fischbacher bedding. End the day with organic poached pears and Appenzeller cheese and a dip in the historic turquoise bath built in 1928. wartegg.ch; rooms from $160.

Leeds Castle, United Kingdom

Six queens (including Henry VIII's first wife, Catherine of Aragon) have lived in Leeds Castle, which has stood in Kent, 40 miles southeast of London, since Norman times. Book a room in the Maiden's Tower -- or opt for "Knight's Glamping" and sleep in a colorfully striped medieval-style tent in the vineyard. Four-poster beds and fur throws make the experience more regal than rustic. leeds-castle.com; rooms from $150.

Häckeberga Castle, Sweden

Located on one of seven small islands in Sweden's Lake Häckeberga district, this castle dates back to the 14th-century, but has been owned only by the Tham family since 1824. The property's farm was once praised in the writings of roving Swedish botanist Carl Linnaeus, who stayed here in 1749 and called it "the most graceful of all farms in Skåne."

It remains a favorite of naturalists, who can hike the region's new Linnaeus Trail and spot ravens, white-tailed eagles and red deer in the native beechwood forests before returning to the property for dinner. Salted scallop with melon and pea shoots might be on the menu, or cod fillet with samphire. The property's whiskey hour, a tasting of Mackmyra Swedish spirits, is a fine way to end an evening. enghackebergaslott.sk11.se; rooms from $184.

Château de Mirambeau, France

Like an oenophile's dream home, the 19th-century Renaissance-style Château de Mirambeau sits between Bordeaux and Cognac, providing prime opportunities for visits to nearby vineyards.

Of the 22 princely accommodations (canopied beds; silk-covered walls; marble baths), rooms in the main castle supply the best views of the surrounding 20-acre private park -- and the pristine Gironde estuary beyond. relaischateaux.com; rooms from $290.

See more of Europe's best affordable castle hotels

@highlight

European castles are no longer the exclusive domains of aristocrats and their friends

@highlight

One Swedish castle is a favorite of naturalists and bird watchers enjoying the region's trails

@highlight

An English castle was home to Catherine of Aragon, Henry VIII's first wife

@highlight

A Swiss castle served as refuge for the last Austrian empress