The ongoing violence in Syria has left millions of people displaced. And while many Syrians fled to neighboring countries to escape the bloodshed, others have remained despite being in harm's way, though they have been forced from their homes.

According to the United Nations (U.N), an estimated 4.25 million people are homeless inside the country -- half of whom are believed to be children. Hundreds of thousands of men, women and children have been left vulnerable after being forced to relocate from their homes, often multiple times.

Without adequate shelter, food and medical care, many people are now heavily relying on aid agencies to provide basic amenities. The family of Ayesha (not her real name) is among them.

Ayesha says she fled her hometown in northern Syria after a bomb destroyed her home, killing two of her teenage children. She now lives in an abandoned building site with her remaining children and grandchildren and she fears for her family's safety, which is why she has asked not to use her real name.

Her four-year-old granddaughter carries a physical scar of the ongoing conflict -- after being burned during shelling.

Recalling the days she lived in her own house and farmland, Ayesha says: "You have five people being killed, at times six or 10 and 15. Every day they targeted us with bombs, missiles and snipers."

Prison inmates suffer the most in Syria

Ayesha is one among the 6.8 million people the U.N. deems to be in urgent need of protection and assistance.

The destruction of homes and land has forced many others to abandon their old lives.

Zenat (not her real name), a young mother, says she fled after her house was bombed.  Her four-year-old son suffers from burns from that day.

"He was burned while he was at the house, they bombed the house, which collapsed on him, and there is no available treatment for him," she says.

Syria's medical system has suffered a heavy blow in this nearly three-year-old conflict.  According to the World Health Organization (WHO), more than 50% of Syrian hospitals have been destroyed or are non-operational.

7-year-old's story shows pain, worry of Syrian refugees

That means, for a mother like Zenat, immediate medical care is unavailable even in dire situations.

"We did not get any help, there are no doctors, where shall we take him? My heart burned where I saw him this way, it was very hard feeling for me," she recalls.

According to data given to the WHO by Syrian health authorities, as of July 2013, 60% of the 91 public hospitals across the country have been affected by the conflict. Of those, 20 have been damaged, and 35 are out of service.

Many Syrian doctors have also fled the country and for aid agencies trying to provide medical relief to the needy, Syria remains one of the most dangerous places to work.

Some of the heavily damaged towns in Syria have even less access to healthcare. Syria's health ministry estimates that in the governorates of Deir-ez-Zo, Idleb and Aleppo, 70% of health centers are either damaged or out of service, the WHO said.

World Food Programme beefing up its Syria program

Aid needed

The United Nations Security Council is trying to ensure aid reaches those suffering inside Syria -- calling on the government to allow cross-border deliveries and on all combatants to agree on humanitarian pauses in fighting for aid convoys.

Regardless of the dangers of operating in the middle of a battlefield, several Non-Governmental Organizations (NGOs) are trying to establish medical care, with some hospitals even operated secretly.  British-Syrian run charity Hand in Hand for Syria is one of them. It helps operates 37 clinics and hospitals within Syria, supported largely by donated medical supplies and volunteer doctors.

In a makeshift clinic in Idleb province, Doctor Mohammed Abdul Salam, a pediatrician and medical director of a children's clinic run by the charity says: "There were no incubators in areas outside the government's control for premature babies.

"In besieged areas, private hospitals used to charge high prices and people could not afford the costs of care, and that's why there was high infant mortality."

The U.N. body for assistance in Syria -- the Office for the Coordination of Humanitarian Affairs -- estimates that for 2013 alone aid of $1.4 billion is needed to deal with the growing humanitarian crisis inside the country.

Destabilization of Syria's population will have an impact for many, many years to come. But for now, immediate assistance is needed for millions living under dire conditions.

How to help Syrian refugees

@highlight

The United Nations estimates that 4.25 million people are internally displaced in Syria.

@highlight

Many people are now heavily relying on aid agencies to provide basic amenities.

@highlight

The U.N. says that for 2013 alone, aid of $1.4 billion is needed to deal with the crisis.

@highlight

The WHO says more than 50% of hospitals have been damaged or are non-operational.