(CNN) -- In the tangled aftermath of the Malaysia Airlines Flight 17 disaster, two narratives have emerged -- one that most of the world subscribes to, and another that Russia and the rebels are pushing.

In the first, MH17 was shot down by pro-Russian rebels in eastern Ukraine, using a sophisticated Russian-built missile system.

In the second, Russia and the rebels suggest several different scenarios for what brought the jetliner down, some of them bordering on the bizarre.

Propaganda is nothing new in world politics. Since the beginning of time, everyone has put their spin on the events of the day.

But the word from Washington about Russia's take? Take any information coming out of Moscow "with a very large grain of salt."

"I would also say that these aren't competing narratives from two equally credible sources here," said Marie Harf, a U.S. State Department spokeswoman.

"The Russian government has repeatedly put out misinformation and propaganda throughout this conflict in Ukraine, so I would caution you from saying that these are two equally credible sources, although you're happy to report it that way, but I would take issue with it."

The Russian mindset, says CNN's former Moscow bureau chief, loves a good story. And the Russian narrative is meant to sway public opinion on who's responsible for the jet's downing.

"Don't forget, the mentality of Russians is to think of conspiracy theories," said Jill Dougherty. "So when they hear something that is outrageous, they might believe it."

Here are some of the stories circulating in the Russian media.

THE RUSSIAN TAKE: The passengers were already dead

Rebel commander Igor Girkin suggested that many of MH17's passengers were corpses -- already dead -- and put aboard the 11-plus-hour flight from Amsterdam to Kuala Lumpur. Those claims were made on Russia's Russkaya Vessna website.

"A significant number of the bodies weren't fresh," Girkin said he'd learned, adding, their blood had been drained.

He also reportedly claimed a vast amount of blood serum and medications were discovered in the wreckage.

THE WORLD'S TAKE: The information contradicts the Malaysia Airlines passenger manifest for Flight 17 that lists the 298 people who were alive when they boarded the regularly scheduled flight. For instance, Dutch passenger Pim de Kuijer was on his way to an International AIDS Conference in Australia -- a trip that was to be followed by a backpacking excursion there. The day of the crash, de Kuijer posted to his Facebook page a picture of him posing beneath aviator sunglasses and sporting a large travelers' backpack.

---

THE RUSSIAN TAKE: A Ukrainian fighter jet shot it down

On the day of the crash, Russia's radar system spotted a Ukrainian Air Force jet approaching the Boeing, said Russian Army Lt. Gen. Andrey Kartopolov.

"Its standard armament includes R60 air-to-air missiles, which are capable of locking and hitting targets from 12 kilometers (7 miles) and which are guaranteed to hit the target from the distance of 5 kilometers (3 miles)," he said.

THE WORLD'S TAKE: That's a claim that Ukraine has denied. And the United States and others have said the plane was brought down by a surface-to-air missile.

"The Russian government has a propaganda machine second to none, as these latest conspiracy theories demonstrate," a U.S. official told CNN.

---

THE RUSSIAN TAKE: Putin's plane was the target

According to some accounts in the Russian media, MH17 was traveling along almost the same route as President Vladimir Putin's presidential plane, which was returning to Moscow from a summit in Brazil. Both planes have red, white and blue markings.

"The contours of the airplanes are in general similar, the linear dimensions are also very similar and regarding the coloring, from a sufficiently long distance, they are practically identical," an aviation source was quoted as telling the news outlet, RT.

THE WORLD'S TAKE: Another Russian media, the online news portal Gazeta.ru, reported that Putin's plane has not flown over Ukrainian airspace for quite some time because of the conflict between the government and rebel forces.

---

THE RUSSIAN TAKE: Don't believe what you read on the Internet

Rebel leader Alexander Borodai has maintained for days that MH17 was shot down, just not by his forces. He said they don't have that capability.

Asked about the trail of evidence that contradicted him, Borodai just rolled his eyes.

"It's very easy to refute it," Borodai told CNN's Chris Cuomo. "Almost all information that comes over the internet is practically all lies."

THE WORLD'S TAKE: Western and Ukrainian intelligence say the rebels did have the means to bring down a jetliner. They were in control of a Russian missile system that once belonged to the Ukrainian military. A video reportedly showed the weapons system being carted out of eastern Ukraine into Russia. Intercepted conversations brag of an aircraft being shot down before the debris showed it was a civilian aircraft. A tweet from a rebel defense minister also bragged of the accomplishment -- before it was deleted.

---

THE RUSSIAN TAKE: Did we mention it was the Ukrainians?

With the stakes so high even basic information online was being changed to shape facts. The Twitter site @RuGovEdits automatically tracks changes made by Russian government sites to Wikipedia. It has tracked dozens of edits from Moscow to Wikipedia entries about MH17.

In one case, one edit that said the plane was shot down by the pro-Russian rebels was changed less than an hour later by someone inside the Russian government to say: "The plane was shot down by Ukrainian soldiers."

THE WORLD'S TAKE: The Wikipedia entry now says the two sides are accusing each other.

---

THE RUSSIAN TAKE: At first, the story didn't require such heavy media coverage.

Russian newspapers downplayed the story just after the crash.

THE WORLD'S TAKE: The downing of the Malaysia Airlines made headlines instantly around the world.

"The Kremlin or the people that control the information, networks in Russia, decide how they are going to explain something, what the general narrative will be, and that is given to radio, TV, newspapers to a certain extent, etc.," said Dougherty. "They essentially are told, this is what you should say."

It proved too much for one reporter, RT's Sarah Firth, who quit the network last week.

"I've had many times over the five years I've been at RT where I had a similar struggle and you've watched the story handled in that way. And you felt very strongly that right away the narrative is being pitched -- a very specific narrative to the detriment to the facts and accuracy in reporting."

CNN's Randi Kaye, Miguel Marquez and Sarah Aarthun contributed to this report.

@highlight

A rebel commander says many of those on MH17 were dead before it was shot down

@highlight

Moscow claims the plane was shot down by a Ukrainian fighter jet

@highlight

Claim: MH17 was traveling along almost the same route as Putin's presidential plane

@highlight

A rebel leader denies a string of evidence pointing to his forces shooting down MH17