(CNN) -- A shopper in Northern Ireland may have gotten more than she bargained for when she reportedly discovered a chilling note stuffed in a pair of pants she purchased from European retailer, Primark.

Scrawled on a yellow piece of paper and wrapped around what appears to be a prison identification card, was a message claiming to be from an inmate at a Chinese prison making clothes for export under conditions of slave labor.

"We work 15 hours every day and eat food that wouldn't even be fed to pigs and dogs. We're (forced to) work like oxen," the handwritten note said in Chinese.

The message appealed to the international community to "condemn these human rights abuses by the Chinese government."

Tip of the iceberg?

Karen Wisinska, who lives in Northern Ireland's Fermanagh county, said she bought the pants for about Â£10 ($16) on a trip to Belfast in 2011, but left the garment in her closet -- unworn -- after she discovered the zipper was broken.

She only found the note when she retrieved the item while packing for a holiday last week, she said. After getting a rough translation of the note, Wisinka sought help from Amnesty International, an organization that has documented the use of forced labor in Chinese detention facilities in the past.

"I was shocked to find this note and card inside the trousers from Primark and even more shocked to discover that it appears to have been made under slave labor conditions in a Chinese prison," she told Amnesty.

"I am only sorry that I did not discover the note when I first purchased the clothing -- then I could have brought this scandal to light much earlier."

Amnesty International's Northern Ireland program director, Patrick Corrigan, described the story as "horrific."

"It's very difficult to know whether it's genuine, but the fear has to be that this is just the tip of the iceberg," Corrigan said.

Investigation underway

Primark denied sourcing clothing made using forced labor in a statement Wednesday, noting the "considerable time delay" since the garment was purchased.

A spokesperson for the company said that particular line of pants was last sold in Northern Ireland in October 2009.

"We find it very strange that this ... has come to light so recently, given that the trousers were on sale four years ago," he said.

Since 2009, the company's ethical standards team has carried out nine inspections of the supplier who made the garment, and found no prison or forced labor of any kind, the statement said.

Despite the company's suspicions, the spokesperson said Primark "knows its responsibilities to the workers in its supply chain," and has started a detailed investigation.

The company is also examining two other cases that have surfaced in Wales in recent days. On two separate occasions, women reportedly found desperate pleas sewn into labels on dresses purchased from the same Primark store in Swansea. One read "Forced to work exhausting hours," while the other said, "Degrading sweatshop conditions."

Primark said the circumstances surrounding the incidents were suspicious, since the labels looked very similar and the two garments were on sale around the same time, but they were made in two different countries, "many thousands of miles apart."

The budget retailer was among a group of international brands that sourced from factories in Bangladesh's Rana Plaza building, which collapsed in April 2013, killing more than 1,000 workers and injuring 2,500 others.

The company said it has paid over $12 million in aid and compensation to to support the victims of the disaster.

Forced labor in China

It's not the first time western consumers have found distressing notes allegedly from abused workers in detention in China.

In 2011, a woman in the United States found a letter in a mix of broken English and Chinese inside a Halloween decoration purportedly from a inmate who made the object under abusive conditions. Last year, CNN tracked down a Chinese man who claimed he wrote the note, along with more than a dozen others, while at a labor camp in northeastern China.

Sears, the company that owned the store that sold the item, said it found "no evidence" that production was subcontracted to a labor camp during its investigation into the case, but added it no longer sourced from that supplier.

Until recently, China used hundreds of labor camps to detain petty offenders without a trial, under what was known as the laojiao -- or "re-education through labor" -- scheme. The system was criticized by human rights groups as a means to silence so-called trouble makers, including political dissidents, activists and Falun Gong members.

In November last year, Beijing said it would begin to close the camps. But Amnesty International has since warned that while the laojiao camps have been shut, research suggests that authorities have expanded the use of other forms of arbitrary detention such as "black jails," enforced drug rehabilitation clinics and "brainwashing centers" to take their place.

CNN could not reach the Xiang Nan prison in China's Hubei province, where the note found in Northern Ireland allegedly came from. The facility houses around 5,000 inmates, according to China's justice ministry.

CNN's Dayu Zhang and Steven Jiang contributed to this report.

@highlight

Woman in Northern Ireland finds note in garment, allegedly from Chinese prisoner

@highlight

Two other cases involving the same retailer have been reported in Wales in recent days

@highlight

Primark is investigating all three incidents, but says circumstances are suspicious

@highlight

Amnesty has documented prison labor camps in China in the past