(CNN) -- China's energy imports are so fundamental to its survival and development that China's new leadership has taken extraordinary steps to secure future supplies.

In a flurry of official visits over the past two months involving President Xi Jinping, Premier Li Keqiang and Foreign Minister Wang Yi, China has sought to bolster its energy relations with big strategic neighbors Russia and India, key energy exporters Indonesia, Brunei and South Africa, emerging resources suppliers such as Tanzania and the Republic of Congo in Africa, and renewable energy pioneer Germany.

In addition, China hosted a visit by Australian leader Julia Gillard, whose discussions with Xi and Li touched on clean energy expertise and the burgeoning resources trade between the two countries.

China's push for energy security and its willingness to buy assets around the globe may drive up costs for other energy importers like India, Japan, South Korea and Europe. They will have to compete with China through a combination of co-operation, conservation and technological advances.

But Xi maintains that China's investments are creating development opportunities for the rest of Asia and the world.

"The rest of Asia and the world cannot enjoy prosperity and stability without China," Xi told the Boao Forum held on the Chinese island of Hainan island last month.

Next week, Xi will visit the oil and gas-rich countries of Mexico and Trinidad & Tobago. He will follow that with a two-day summit with U.S. President Barack Obama in California on June 7-8, where a packed agenda of political and commercial issues almost certainly will touch on energy.

China's big three state-owned oil and gas entities CNPC, CNOOC and Sinopec already are investors in North American energy assets.

There has been a spate of Chinese oil and gas investments in Africa, the Middle East, Russia and Australia -- part of a multi-pronged push for the world's second largest economy to meet its energy needs.

In Moscow, Xi and Russian President Vladimir Putin agreed to cooperate on oil and gas pipeline developments from Siberia to China, while state-owned Rosneft struck a deal with China's biggest oil and gas producer, China National Petroleum Corp, giving CNPC access to Arctic resources.

CNPC also agreed to buy more oil from Rosneft under a new 25-year loan deal, and to work with Russia's biggest gas exporter Gazprom on a new gas pipeline into China.

"Chinese-Russian cooperation in energy is manifold, comprehensive and full-fledged," Xi said.

But price, technology and the environment may all conspire to limit the China-Russia energy trade. The harsh operating conditions and environmental hazards of the Arctic may limit chances for cooperation. Big projects such as Yamal LNG in northwest Siberia are behind schedule because of the limited Arctic infrastructure.

As the technology improves, China stands to benefit from gas and oil shipments via the Arctic Northern Sea Route, but that will require massive investments in icebreakers and ice strengthened tankers.

READ MORE: China eyes Arctic options in energy, transport

China is spreading its energy bets, not wanting to become too reliant on any one place given the volatile political situation in many energy-providing countries.

Saudi Arabia has long been a valued supplier, as has Angola, while Iran and Iraq are coming back into contention. Sudan, Oman, Kuwait and Kazakhstan are other substantial exporters.

Australia is emerging as a key provider to China of liquefied natural gas (LNG) from its North West Shelf operations -- where CNPC has invested 10% of the future Browse project.

North America could also become a competitive supplier of LNG after 2015 as a result of its shale gas bonanza that is rewriting the global energy trade outlook. CNPC and China's two other main state-owned oil and gas entities, Sinopec and CNOOC, have invested in Canadian and U.S. oil and gas projects.

China has its own substantial shale gas reserves in areas such as the Sichuan and Tarim basins, of which 36 trillion cubic meters could be recoverable, according to U.S. Energy Information Administration estimates.

Besides government deals, China is leaning more on the expertise of international oil and gas majors. Shell has a government-approved production sharing contact with CNPC in a shale gas exploration block in the Sichuan basin. Chevron has begun a shale gas drilling program with Sinopec. ConocoPhillips, Total, BP and ExxonMobil also have shale aspirations in China.

In the meantime, gas piped from Central Asia has been a mainstay of China's economy. This year Turkmenistan will pump more gas through its 1830 kilometer Central Asian Gas Pipeline to China. Last October, CNPC began work on one of China's biggest infrastructure projects, the $20 billion, 5000-kilometer pipeline from Xinjiang in the northwest to Fujian province on China's southeast coast. Completion is expected in 2015, and most of the gas will come from Central Asia, with about 5 billion cubic meters from Xinjiang.

Later this year, there will be another option when the new 770 kilometer gas pipeline from Myanmar's Kyaukpyu port in the Bay of Bengal to Kunming in Yunnan province is expected to becoming operational, supplying up to 12 billion cubic meters a year of gas drawn mainly from Myanmar's offshore fields.

All of these developments underpin one fundamental fact: China's appetite for energy is voracious, and growing.

@highlight

China's new leader has taken extraordinary steps to secure future energy supplies

@highlight

President Xi Jinping's first state visit was to ink an energy deal with Russia

@highlight

Follows a spate of Chinese oil and gas investments in Africa, the Middle East and Australia

@highlight

China overtook the United States as the world's biggest energy user in 2009