(CNN) -- In the 1960s and 1970s, Big Tobacco was widely viewed as the model for effective special-interest lobbying.

Bans on public smoking have been on the rise in recent years.

"My own view is that in many ways, the tobacco industry invented the kind of special-interest lobbying that has become so characteristic of the late 20th- and earlier 21st-century American politics," said Allan Brandt, dean of Harvard's Graduate School of Arts and Sciences.

The industry was known for its giant spending on political campaigns and effective lobbyists. The industry's representatives often had experience in politics or close ties to major power players.

"Today obviously, that lobby is much less powerful and successful than it was a generation ago," said Brandt, author of "The Cigarette Century: The Rise, Fall, and Deadly Persistence of the Product That Defined America."

The industry is now facing regulation by the Food and Drug Administration, and although one major cigarette company supported the FDA bill, the legislation is widely viewed as a sign that tobacco is finding fewer friends in Washington.

The lobby began to lose power as the industry lost credibility, Brandt said.

In the 1950s and 1960s, the lobby centered attention on the notion that the science of tobacco was uncertain, and it called into question each medical and scientific finding that came out as it continued to spend "boatloads" of money in Congress, Brandt noted.

In 1964, the surgeon general report officially recognized the health risks of tobacco. At the time, about 42 percent of adults in the United States smoked, compared with about 20 percent today.

At the time, cigarettes were hardly viewed as the enemy. Tobacco companies sponsored game shows and cartoons, and cigarette ads featured endorsements from doctors, dentists and celebrities.

Congress in 1965 required that all cigarette packages carry warning labels, ones that were made under the surgeon general's name five years later. By 1970, television and radio advertisements were banned.

By 1988, smoking was banned on U.S. flights two hours or less, and 10 years later, all U.S. carrier flights became smoke-free.

Wayne McLaren, who appeared in the "Marlboro Man" ads, developed lung cancer in the late 1980s and started an anti-smoking campaign. Shortly before cancer took his life in 1992, a television ad ran showing images of him as a handsome cowboy next to those of him in his hospital bed.

Five years later, under pressure from the public and Congress, the R.J. Reynolds Co. voluntarily ended its use of "Joe the Camel" as the mascot for Camel cigarettes. A 1991 study published in The Journal of the American Medical Association found that 6-year-olds could just as easily recognize Joe the Camel as Mickey Mouse.

As skepticism from the public crept up, Big Tobacco's power began to erode.

The industry was hit with a big blow in 1998 when it agreed to a $206 billion master settlement with 46 states, the largest settlement in U.S. history. The case settled Medicaid lawsuits against the top tobacco companies. The 40-year-old Tobacco Institute and the Committee for Tobacco Research -- the public relations organ and the funder of tobacco research -- were disbanded as a part of the settlement.

And just last month, in what Brandt considers "one of the most significant racketeering and fraud litigations" the U.S. Court of Appeals for the D.C. Circuit upheld U.S. District Judge Gladys Kessler's ruling in a Racketeer Influenced and Corrupt Organizations, or RICO, case, which found the tobacco industry guilty of engaging in a decades-long conspiracy to defraud the American public about the health risks of tobacco.

"Given the character of Kessler's findings -- and now the fact that her findings have been upheld by the appeals court -- this is really in a way a road map to tobacco regulation," Brandt said.

Stanton Glantz, a longtime anti-tobacco advocate and director of the Center for Tobacco Control Research and Education at the University of California, San Francisco, said the RICO ruling is what the public health community should use in its fight against the tobacco industry.

"I think it really can undermine the power of the industry politically by going to politicians and saying, 'These guys are crooks. They are crooks according to the D.C. Court of Appeals. Not just me,' " Glantz said.

More than 30 states -- including North Carolina, the nation's top tobacco producer -- have passed full or partial bans on smoking in public places. In North Carolina, such a move would have been unheard of just several years ago, with Sen. Jesse Helms in power.

Republican Gov. Haley Barbour of Mississippi --- a former tobacco lobbyist -- also recently approved a 277 percent hike on his state's cigarette tax.

Under the FDA regulation, warning labels on packages soon will show pictures of the harmful effects of tobacco.

As public opinion increasingly sides with the public health community, the tobacco lobby has been losing some of its support in the nation's capital.

The Bush administration was widely considered a friend of the tobacco industry. Some of Bush's top staffers had backgrounds in tobacco, including senior adviser Karl Rove, who once worked with Philip Morris. Tobacco has since lost some of its strongest advocates, including Helms, who died last summer.

Now, Democrats hold both chambers of Congress and the White House. President Obama was a co-sponsor of the FDA regulation legislation when he was in the Senate, and his administration has demonstrated a commitment to tobacco control. Many of today's top leaders in Congress are also strong tobacco-control advocates.

But despite the restrictions, there are more than 40 million smokers in the United States -- and that's still a viable industry.

Despite what it sees as setbacks from the FDA bill, Reynolds plans to "energetically continue to compete" for adult smokers, said Maura Payne, vice president of communications for Reynolds American Inc.

And Philip Morris, which had a role in crafting the FDA legislation, said there could be more competition for new manufacturers as a market emerges for "reduced-harm products."

Tobacco companies have shown their influence is still felt, even this year. Even though 79 senators voted for final passage of the FDA legislation, it took two months and three cloture votes to get it off the Senate floor. (Freshman Sen. Kay Hagan of North Carolina was the only Democrat to vote against it.)

As the tobacco industry tries to adapt to the changing market, Brandt predicts it will look to where it can operate in an unregulated environment.

"The future of this industry has been to move its product offshore and to aggressively attempt to open new markets to cigarettes and to really play out what it did in the United States in the 20th century, now in countries in the developing world," he said, noting that the biggest profits for tobacco as a global industry are "not likely to be in more affluent and highly regulated economies."

Although the industry has been fractured in the United States, Brandt said he anticipates a long road ahead for the public health community.

"I think these are victories in what have been called the tobacco wars, but the tobacco wars are anything but over," he said.

@highlight

Tobacco industry once known for big spending on campaigns, effective lobbyists

@highlight

As public opinion has turned on Big Tobacco, courts and Congress has too

@highlight

Despite moves against industry, "tobacco wars are anything but over," author says