It's not just the United States grappling with the issue of same-sex marriage.

Many countries around the world are re-examining their laws, and some appear to be on the brink of changing them.

Senators in Uruguay approved a marriage equality bill Tuesday that puts them on course to be the 12th country in the world to legalize same-sex marriage.

And this week, senators in France will begin weighing a bill that would legalize same-sex marriage and allow same-sex couples to adopt children. The bill, which has the support of President Francois Hollande, has cleared the lower house of Parliament.

It "would be a major advance for our country in terms of equality of rights," said the French gay, lesbian and transgender rights group Inter-LGBT. "The law must allow all couples to unite themselves as they wish and must protect all families, without discrimination on the grounds of sexual orientation or gender identity."

But like the United States, France is far from united on the issue. In January, hundreds of thousands of people took to the streets of Paris to protest same-sex marriage. Most of France is Catholic, and the Roman Catholic Church strongly opposes the bill, along with social conservatives and other religious groups.

"I do not personally agree with gay marriage, as I am a Christian and believe what the Bible says about marriage being between one woman and one man for a lifetime," said CNN iReporter Oluwasegun Olowu-Davies, who shot video of the Paris march on his phone. "If your lifestyle doesn't allow you to conceive, there is a reason."

Across the English Channel, the United Kingdom is also considering legalization. In February, lawmakers in the House of Commons approved the second reading of a bill that would legalize same-sex marriage in England and Wales. (Scotland has its own legalization bill in the works, while Northern Ireland rejected a similar measure in October.)

More debate and more votes are still necessary before the bill can become law, but the wide margin of February's vote -- 400-175 -- suggests that it may have the support it needs to eventually pass. Prime Minister David Cameron is also in favor of the bill, despite opposition within his own party.

"I am a great supporter of marriage," Cameron said in the House of Commons. "I want to promote marriage, defend marriage, encourage marriage.

"The great thing about (February's) vote is that two gay people who love each other will now be able to get married, and I think that is an important advance. I think we should be promoting marriage rather than looking at any other way of weakening it."

A former British colony, New Zealand, could legalize same-sex marriage this month. After a marriage equality bill passed two readings in Parliament -- the latest in March by a 77-44 margin -- the third and final vote is widely expected to be a formality.

The public, however, might be more split than its lawmakers. According to a survey conducted last month by the country's largest newspaper, the New Zealand Herald, opposition to same-sex marriage has increased to 48%.  That sentiment is more in line with nearby Australia, where lawmakers overwhelmingly voted against a legalization bill in September.

In Uruguay, the bill approved Tuesday by a 23-8 margin now goes back to lawmakers in the lower house of parliament. That house approved a different version of the bill in December.

In 2009, Uruguay became the first Latin American country to allow same-sex couples to adopt children. It was also one of the first Latin American countries to allow civil unions. Same-sex marriage is backed by President Jose Mujica and, according to one poll, the majority of the public.

But Argentina is the only country in Latin America that has legalized same-sex marriage, doing so in 2010. Brazil and Mexico, like the United States, have same-sex marriages only in certain states.

Of the 11 countries where same-sex marriage is legal, eight are in Europe. The Netherlands was the first, in 2001, and it was later joined by Belgium, Spain, Norway, Sweden, Iceland, Portugal and Denmark. Argentina, Canada and South Africa are the three non-European countries in the group.

There are no Asian countries where same-sex marriage is legal, but perhaps that might soon change.

Last year, a same-sex Buddhist couple married in Taiwan, where a legalization bill has been pending since 2003. Taipei is also home to Asia's largest annual gay pride parade, according to organizers.

The Supreme Court of Nepal ruled in favor of legalization in 2008, but those rights haven't been put into effect because the country's new constitution has been stuck in limbo for years.

In July, the Justice Ministry in Vietnam said it would consider a provision for same-sex marriage rights in an amendment to the country's marriage laws.

"It's time for us to look at the reality," Minister Ha Hung Cuong said in an online debate at the time. "The number of homosexuals has mounted to hundreds of thousands. It's not a small figure. ... They may own property. We, of course, have to handle these issues legally."

@highlight

The Netherlands was first country to legalize same-sex marriage in 2001

@highlight

Several countries have pending legislation and may join that group soon

@highlight

Uruguay and Vietnam are among the leading candidates