It's not often you get insight into a destination from a heavy metal band, but in Debrecen, Hungary's second city, locals are used to having to make a noise to get heard.

"We've got to go to the Roncsbar," Debrecen enthusiast Nora Erdei tells me after a day touring the city's rich historical sites (Roncsbar, Csapo utca 27, Debrecen; +36 52 688 050).

Just off the historic center, Roncsbar is a pub and live music venue masquerading as a junk shop filled with pre-loved sofas and a ceiling hung with hundreds of retired cymbals shimmering like fish scales.

It has the atmosphere of a student party in an old building that's waiting to be renovated -- or very possibly demolished.

Roncs is owned by Hungary's best known heavy metal band, Tankcsapda.

Sometimes referred to as the "Hungarian Metallica," the band has taken an international music genre and -- through lyrics, album covers, and an annual New Year party-concert -- made it all about their home city.

It's perhaps fitting that Tankcsapda should be seen as ambassadors for Debrecen -- the city sometimes needs a few power chords and pounding bass lines to get noticed.

"Foreigners think that Hungary is Budapest and there's nothing else," is a familiar refrain on Debrecen's streets.

Hungary's backup capital

Debrecen has, at times, been more important than the current seat of power, with locals claiming it takes over in times of trouble.

That doesn't quite add up.

Debrecen has survived 13th-century Mongol invasions, the Black Death, 150 years of struggle against the Ottomans, numerous conflicts and the turmoil of communism and still only briefly been the country's capital twice.

It took the helm once after a short-lived revolution in 1849 and for a second time at the end of World War II.

Today, Debrecen may not be well known to tourists, but that only adds to the charm of this relaxed university city.

It's a small place; the historical center is sized for strolling and regular cafe stops.

The bizarrely elegant, stuffed-crocodile-decorated Croco Cafe in the art nouveau Hotel Aranybika (Piac utca 11-15, Debrecen; +36 20 363 6121) is a good place to pre-load with coffee before tackling the vertiginous stairs of the west tower of the Great Reformed Church (Piac utca, Debrecen; +36 52 412 694).

From the tower there's a grand overview of Debrecen and and the surrounding area -- a vast sea of grassland stretching across the Carpathian Basin.

These are the rich grazing lands that the horse-powered Magyar tribes from the east settled in the ninth century and which their descendants, the Hungarians, have raised livestock on ever since.

Architectural mash-up

There's also a view of Debrecen's mix of architectural styles, the legacy of frequent devastating fires that back in the 19th century led the city's students to form one of Europe's first-ever fire brigades.

Also visible from the rooftops are traditional weather cocks with Islamic star and crescent moon symbols that once advertised to Ottoman invaders that the city preferred trading to fighting.

Trade meant that craftsmen prospered and Debrecen became famous for -- among other things -- hats, clay pipes (in the early 19th century 10 million were reportedly made a year, with thousands bought for Britain's navy) and fine foods.

Back on the ground, perhaps fueled by cake or famed ice cream made with real fruit on the terrace of the Gara Cukraszda cafe (Kalvin ter 6, Debrecen; +36 52 530 460), it's possible to explore more of the city's student life, past and present.

In the 500-year-old Reformed College of Debrecen (Kalvin ter 16, Debrecen; +36 52 516 856), the current crop of undergraduates can be contrasted with exhibits celebrating the lives of their 17th- and 18th-century forbears.

Here visitors can view a reconstruction of one of the city's early printing presses and explore the soaring library, with more than half a million books set amid serene green colonnades and soaring galleries.

Glass and concrete

Nearby, MODEM (Baltazar Dezso ter 1, Debrecen; +36 52 525 010) is an ultra-modern gallery with stark and curved glass and concrete walls.

A winter showing here of challenging works by cutting-edge Chinese artists has just given way to a summer-long exhibition of paintings depicting Hungarian grasslands and herder traditions.

A tram ride connects Debrecen to Nagyerdo Park, a huge forest that's home to Aquaticum (Nagyerdei Park 1,  Debrecen; +36 52 514 174), a thermal spa and pleasure-baths complex that in August takes advantage of its nine-meter-high spiral and its open kamikaze slides to host the Hungarian National Water-Chute Championship.

Debrecen hosts its yearly flower parade and carnival this year August 15-20 -- the event dates to a cycling meet in 1900 when floral decorations got more attention than the riders.

It was revived in 1969, minus the pedalers, and now uses 3 million blooms to dress themed floats parading along three miles of decorated streets.

'Double sausage'

Throughout the year, Debrecen hosts festivals dedicated to folk and choral music, poetry, gymnastics, jazz and "stuffed dishes."

At the 17th-century Old Post House Hotel (Szechenyi utca 6, Debrecen; +36 52 325 325), the accommodation is reassuringly 21st century, but there's timeless evening entertainment with traditional czardas dance-house music played by a trio in the cellar bar.

For breakfast the hotel offers the dauntingly named, and just as dauntingly sized, "Debrecen double sausage."

With hundreds of years as a livestock market serving a farming hinterland Debrecen has always been about food, and not all of it sausage shaped.

The highly ranked Ikon Restaurant (Piac utca 23, Debrecen; +36 30 55 57766) is another example of the city's ability to combine the local and the cosmopolitan.

After working in leading UK restaurants, chef Peter Pataky returned to Debrecen to build on his family's traditional recipes.

For his "20 Mile Menu" he uses ingredients sourced from within the stated distance -- terrain that encompasses the pasture lands of Hortobagy and the livestock that Debrecen's wealth was built on.

For Debrecen tourism information visit: Gotodebrecen.com.

@highlight

Debrecen served as Hungary's capital after a short-lived revolution in 1849 and for a second time at the end of World War II

@highlight

The city is known as the home of Hungary's most popular heavy metal band and one of its oldest universities

@highlight

It also hosts a variety of festivals, including events dedicated to flowers, water slides and stuffed food