(CNN) -- More than 3,500 people have been infected by the Ebola virus in Liberia, Guinea, Sierra Leone and Nigeria since the first documented cases in December, according to new figures released Wednesday by the World Health Organization. More than 1,900 people have died.

There is also a smaller, unrelated outbreak in Congo and at least one confirmed case in Senegal, according to WHO Director General Dr. Margaret Chan.

She characterized the outbreak as a "global threat" and encouraged the international community to do more to combat it. Chan complimented the United States for its "very strong support" through the Centers for Disease Control and Prevention.

CDC Director Dr. Tom Frieden said the official numbers are lower than the actual number of cases, because families afraid of the stigma associated with Ebola do not report sick loved ones. Others are caring for patients in isolation.

Frieden characterized the outbreak as "spiraling out of control" Tuesday in a conversation on CNN's "New Day."

"What we're seeing is a ... hugely fast increase in cases that's harder and harder to manage," he said. "The more we can get in there and tamp that down, the fewer cases we'll have in the weeks and months to come."

Dr. David Nabarro, the senior United Nations system coordinator for Ebola, said that in observing the disease on the ground, he noticed that a number of the infections have spread between family members who are caring for the sick.

They must care for those infected with Ebola because there are not enough hospital beds, nor are there enough ambulances to transport people safely. If the patients do get to a health care facility, there is not a good system of infection control, nor is there enough protective equipment to go around.

Nabarro said there is a desperate need for personnel to help on the ground as well as for nurses, doctors and ambulance drivers in West Africa. The area also needs money to fight the outbreak -- at least $600 million, by some estimates.

The fact that airlines have stopped flying to the countries affected has kept people isolated and has inadvertently made the outbreak worse, making it harder for staff and supplies to make it there.

New cases in Nigeria

Nigeria's minister of health said there are three new confirmed cases of Ebola in Port Harcourt, the country's oil hub.

The ministry believes other cases will be confirmed there shortly.

Ebola initially arrived in Nigeria through an infected air traveler.

The passenger landed in Lagos on July 20 and died five days later. One person who was put into quarantine after he came into contact with the passenger fled the city and sought treatment in Port Harcourt. A doctor who treated him developed symptoms and died a little more than a week later.

Not knowing he was sick, the doctor treated other patients. He also came into contact with members of the community after family and friends visited to celebrate the birth of a baby and after members of his church visited him at the hospital.

Nigerian health leaders are monitoring the health of more than 200 people who may have had contact with the doctor. About 60 more are considered to have had high-risk or very high-risk exposure.

The other confirmed Nigerian cases now include the doctor's spouse, who is also a doctor, and a patient at the hospital where the doctor was treated. Staff members are being tested for Ebola.

With the help of the CDC and the WHO, an isolation facility has been set up to handle additional Ebola cases.

Civic unrest and security issues, coupled with the public's fear of Ebola, are among the concerns. The military has been called in to escort people to the clinic.

More need for help

Dr. Joanne Liu, the international president of Doctors Without Borders, spoke at a special United Nations briefing on Wednesday, criticizing the international community's "lethally inadequate" response to the global threat.

The group, also known as Medecins Sans Frontieres, has been on the ground fighting the outbreak since March.

Liu made what her organization described as an "unprecedented call" for U.N. members with the technology to intervene in a biological threat to do so immediately.

"Six months into the worst Ebola epidemic in history, the world is losing the battle to contain it," she said. "Leaders are failing to come to grips with this transnational threat. The WHO announcement on August 8 that the epidemic constituted a 'public health emergency of international concern' has not led to decisive action, and states have essentially joined a global coalition of inaction," she said.

"The clock is ticking, and Ebola is winning," Liu warned. "The time for meetings and planning is over. It is now time to act. Every day of inaction means more deaths and the slow collapse of societies."

British patient gets better

Medical personnel have been particularly vulnerable in this Ebola outbreak.

William Pooley, a British volunteer nurse who cared for Ebola patients in Sierra Leone, was the first Briton known to be infected.

Doctors flew him back to be treated in an isolation unit at the Royal Free Hospital in North London. He stayed there for 10 days of treatment that included the experimental drug ZMapp, which was also used to treat two American medical personnel last month who have since been released from the hospital.

Pooley's doctors released him from care on Tuesday.

@highlight

More than 3,500 people are infected, and more than 1,900 have died, WHO says

@highlight

International response to "global crisis" inadequate, Medecins Sans Frontieres says

@highlight

A nurse from the UK who had been infected leaves the hospital