(TIME.com) -- President William Howard Taft has the dubious honor of being America's heaviest leader, weighing in at 314 pounds during his tenure in the White House.

Concerned about how his weight would affect his health, and therefore his ability to serve, in December 1905, the soon-to-be president wrote to English physician and diet expert Nathaniel E. Yorke-Davies for advice.

At the time, there was little appreciation for how potentially harmful excessive weight could be, and doctors like Yorke-Davies were just beginning to link symptoms like poor sleep and heartburn to obesity, and to advise their more corpulent patients about the importance of slimming down.

Taft was apparently uncomfortable with the symptoms of restless sleep and indigestion that resulted from his girth, and hired Yorke-Davies to create a weight loss plan, writing that "no real gentleman weighs more than 300 pounds."

Taft and Yorke-Davies exchanged letters over 10 years, with the president providing intimate details of what he ate, how often he exercised, and even how frequently he had bowel movements. Deborah Levine, a professor in the department of health policy and management at Providence College, analyzed the contents of this correspondence to better understand how contemporary recommendations about obesity have evolved.

What's striking about her report, published in the Annals of Internal Medicine, is how stubbornly unchanged the best advice about controlling obesity remains from Taft's time in the White House, from 1909 to 1913, to the present day.

TIME.com: Menu makeover -- is fast food finally changing?

Yorke-Davies recommended that Taft try the following diet:

8 a.m. A tumbler of hot water with lemon, sipped slowly.

9 a.m. Breakfast: unsweetened tea or coffee, "two or three Gluten biscuits," and 6 ounces of lean grilled meat.

12:30 p.m. Lunch: 4 ounces of lean meat, 4 ounces of cooked green vegetables without butter, 3 ounces of baked or stewed unsweetened fruit, 1 gluten biscuit, and 1 of the recommended "sugarless" wines. Afternoon cup of tea, coffee, or beef tea without milk or sugar advised.

7-8 p.m., Dinner: clear soup, 4 ounces of fish, 5 ounces of meat, 8 ounces of vegetables, and 4 ounces of stewed fruit. Plain salad and 2 gluten biscuits, if desired. A list of vegetables and condiments were recommended for variation.

How does this regimen compare to today's weight loss programs? Dr. Eric Rimm, an associate professor of epidemiology and nutrition at Harvard School of Public Health, thought the diet would have been quite a challenge for Taft, and recognized many good intentions but little in the way of motivational support for the struggling president.

Rimm notes that doctors have since learned more about how to help heavier patients to apply the same principles to achieve more lasting success in shedding pounds.

Mix it up

During the correspondence, Taft lost 60 pounds, but it took time, and at one point he actually gained 19 pounds back.

"Willpower can only last so long, even if you're the president of the United States," says Rimm. "He just got fed up with it and thought it was boring and gained all the weight back and more. That's the classic problem we still see today."

Rimm says Taft's diet looks pretty unappealing, and being forced to follow such a strict schedule every day can quickly lose its flair.

"I don't know what it was like to be alive in 1905, but it looks like it's very food-focused and not flavor-focused," he says. "If you have will power and you follow this diet, it works. He was eating this every day and it was working for him. His friends were telling him he looked good, and it was going great, but he said he was hungry all the time."

The current U.S. Department of Agriculture dietary guidelines recommend a variety of foods that both fulfill our daily nutritional needs and keeps people interested in eating and enjoying the food they eat every day.

TIME.com: Weight loss apps -- don't waste your money

Don't be too strict, be realistic

Yorke-Davies gave Taft a list of allowed foods and a list of forbidden foods, which contemporary doctors know isn't the most effective way to encourage better eating habits.

"I don't think that's the healthiest way to approach eating a healthy diet. People treating themselves occasionally might be a good thing, and it keeps things in perspective," says Rimm.

There are certainly foods that you should avoid, such as high fat red meats and sugared beverages, but being too strict can also backfire. People need to be realistic about whether they can restrict their diet, especially in social situations.

Taft often complained that it was too hard for him to refuse foods at events like political dinners.

"Going on a diet and thinking you can do it in a vacuum is very hard," says Rimm.

Sometimes you need to make exceptions, especially if your job demands it. Imagine if President Obama refused a meal during a meeting -- or if any politician refused the regional fare on an official visit. Being realistic about a diet means not cutting out any foods but eating a diversity of foods in moderation.

TIME.com: When good celebrities promote bad foods

Eat breakfast

"The one thing that was done right is that breakfast was included. People choose to skip breakfast to save on calories but that doesn't tend to work in the long-term," says Rimm.

Eat fruits and vegetables

Although Taft's veggies may not have been prepared with the same range of tastes and seasonings available today, produce was still an important part of his diet plan.

Talk to someone

The most successful diet plans and diet programs usually involve some communication between the patient and either other dieters or health care personnel who support their weight loss efforts and help them to stay motivated and track their progress.

For instance, Weight Watchers offers users both the ability to track their eating and exercise, as well as attend support groups to discuss victories and challenges.

"That seems to be something that helped Taft, and kept him from quitting sooner," says Rimm, of the weekly letters he wrote to Yorke-Davies. "It's amazing to us in this day and age of instantaneous communication that there would be days between the correspondence between Taft and Yorke-Davies, but that was still enough."

You have to exercise

Yorke-Davies urged Taft to get some exercise every day, and Taft tried to comply, generally by going on a horse back ride. But given how much Taft continued to struggle with getting slimmer, he was likely still taking in more calories than he was burning off.

TIME.com: Finding your fitness limit

"Most diets don't work unless you do some sort of activity," says Rimm.

Taft wasn't the only commander in chief to confront weight issues, but his revealing correspondence should be reassuring to anyone today who is trying to lose weight. There is no magic formula for shedding pounds; even presidents, it seems, have to watch what they eat and exercise regularly to avoid obesity.

Read on for diet tips from the rest of the United States' heaviest leaders.

This story was originally published on TIME.com

@highlight

At the time of Taft's presidency, there was little knowledge of how harmful excess weight could be

@highlight

Professor analyzed letters between Taft and his physician to understand Taft's diet

@highlight

The best advice about controlling obesity remains pretty much unchanged