Tucson, Arizona (CNN) -- The parents of Jared Lee Loughner, suspected in the Tucson, Arizona, shootings that left six people dead and U.S. Rep. Gabrielle Giffords critically wounded, said Tuesday they do not know why the incident occurred and that they are "very sorry" for the loss felt by victims' families.

The brief statement from the suspect's family came as doctors said Giffords is breathing on her own and a picture emerged of her alleged gunman coming heavily armed to Saturday's event with constituents.

Loughner, 22, allegedly carried a knapsack to the shopping center, according to a law enforcement official familiar with the investigation. He had a semi-automatic handgun, four ammunition magazines and a knife, according to the official.

The weapon was a Glock 19, with an extended magazine that held 31 rounds, according to the Pima County Sheriff's Department. A total of 31 spent rounds were recovered from the scene, it said in a statement Tuesday night.

The law enforcement official told CNN authorities are still on the scene of the shooting with a piece of equipment called a total station. It is a type of surveying equipment that takes precise measurements that can be used to reconstruct a crime scene.

Loughner has been anecdotally regarded as very troubled and perhaps mentally unbalanced because of his ramblings spotted on the internet and the way he has been described by acquaintances.

His family asked for privacy during a "very difficult time for us."

"There are no words that can possibly express how we feel. We wish that there were, so we could make you feel better. We don't understand why this happened," the family said in its statement. "It may not make any difference, but we wish that we could change the heinous events of Saturday. We care very deeply about the victims and their families. We are so very sorry for their loss. Thank you. The Loughner Family"

Randy Loughner, the suspect's father, asked a neighbor to tell reporters camped outside the family's Tucson home Monday that he eventually would make the statement.

"Right now he can't talk. He can't get out three words without crying," neighbor Wayne Smith told CNN affiliate KGUN.

Giffords remained in critical condition Tuesday, three days after she was shot in the head during a gunman's rampage, but she was breathing on her own and doctors backed off on some sedation. Twelve others were wounded.

Giffords' office released two photos of husband Mark Kelly, an astronaut, holding her hand Sunday.

"I'm happy to say she's holding her own," said Dr. Michael Lemole Jr., chief of neurosurgery at University Medical Center. "Her status is the same as it was yesterday. She's still following simple commands."

Lemole said Giffords was generating her own breaths.

"The only reason we keep that breathing tube in is to protect her airway so that she doesn't have complications like pneumonia," he told reporters.

Lemole said he's encouraged by the fact that she's "done so well" with an injury where survival and recovery are "abysmal."

"We're hopeful, but I do want to underscore the seriousness of this injury and the fact that we all have to be extremely patient," Lemole said.

Six of the victims in the Saturday shooting remained at University Medical Center, Chief of Emergency Medicine Peter Rhee said. Along with Giffords, three people were in serious condition and two were in fair condition.

Daniel Hernandez, a 20-year-old intern on the Giffords staff, visited wounded staffer Ron Barber, 65, at the hospital. Hernandez, who initially used his bare hands to stop blood gushing from Giffords' head after she was shot, asked a bystander to put pressure on Barber's wounds, according to officials.

Tuesday night, mourners gathered at a memorial Mass for the six who were killed. The Mass was held at St. Odilia Church in Tucson, where 9-year-old shooting victim Christina Green had her first communion a year ago. A children's choir sang "Amazing Grace" during the service.

The rosary for Christina Green is scheduled for Wednesday, followed by a funeral Thursday. Services for U.S. Judge John Roll, who was among the six people killed Saturday, are scheduled Thursday and Friday.

A friend of Christina's family took the girl to the event Saturday after she had been elected to a student government position.

Suzi Hileman, who was holding Christina's hand before the shooting, remains hospitalized for her wounds, her husband, Bill, told reporters Tuesday.

According to Hileman, Suzi sometimes calls out, "Christina, Christina. Let's get out of here! Let's get out of here!"

Suzi Hileman, a social worker, is involved in the community, her husband said, and was impressed with Christina's civic interest.

"They are generations apart, but are very much birds of a feather," he said of the woman and girl. Christina's parents are supportive and have shown "graciousness" toward the Hilemans, Bill Hileman added.

In remarks in Tucson Tuesday, Gov. Jan Brewer remembered the victims.

"Among the lessons that life has taught me is that, sometimes, loss just finds you," she said. "You don't expect it. You don't want to accept it. But, suddenly, you're challenged by something dark and ugly, a pain you can hardly bear."

Among those killed was Dorwan Stoddard, 76. He tried to shield his wife, Mavi, who was wounded in the leg.

"He heard the shots and covered my mom with his own body. He protected her and saved her," said daughter Penny Wilson, according to CNN affiliate KPHO.

President Barack Obama and his wife, Michelle Obama, will attend a Wednesday memorial service and visit with victims' families at the University of Arizona in Tucson, according to a statement from the school. House Minority Leader Nancy Pelosi will travel with them. An administration official said Homeland Security Secretary Janet Napolitano also will attend.

The Arizona State Legislature in Phoenix, meanwhile, passed legislation Tuesday that bars protesters at funerals from getting within 300 feet of services. Brewer, who visited the injured Tuesday, later signed the bill.

The action, according to House Republican spokesman Daniel Scarpinato, was in direct response to a controversial church's announcement that it will picket Christina Green's funeral.

Westboro Baptist Church of Topeka, Kansas, has made its name by staging protests at funerals of people who died of AIDS, gay people, soldiers and even civil rights leader Coretta Scott King.

The shooting has sparked horror across the United States and generated much partisan talk about vitriolic political discourse in American life and what Loughner's motivations were.

Experts said Tuesday the alleged shooter in the massacre may have difficulty making the case for a successful insanity plea.

Paul Callan, a criminal defense attorney and a former prosecutor, and Jeff Gardere, a clinical and forensic psychologist, said on CNN's "American Morning" on Tuesday they have doubts that an insanity plea would stand.

With the "amount of planning that went into this assassination," Callan said he believes "it's highly unlikely he will meet the legal insanity defense threshold."

"It's very hard to prove insanity at trial," he said. "You really have to prove that your mental illness is so severe that you don't even understand that you're committing a criminal act. And it's almost impossible to prove that."

Gardere emphasized that "premeditation will work against him in this one as far as getting an insanity plea."

Judy Clarke, Loughner's defense attorney, has not spoken on that issue.

Court documents released Sunday show that investigators found a letter from Giffords in a safe at the house where Loughner lived with his parents, thanking him for attending a 2007 event, similar to Saturday's meet-and-greet.

"Also recovered in the safe was an envelope with handwriting on the envelope stating 'I planned ahead,' and 'my assassination' and the name 'Giffords,' along with what appears to be Loughner's signature," the affidavit states.

A law enforcement official said Loughner asked Giffords a question at the 2007 event and was unhappy with her response.

"He never let it go," the source said. "It kept festering."

Loughner bought the Glock semiautomatic pistol used in the shooting back in November. He didn't fit any of the "prohibited possessor" categories that would have prevented the purchase and passed an instant federal background check. He tried to buy ammunition at a Walmart store, abruptly left and made the purchase elsewhere.

In other developments, U.S. District Judge Raner C. Collins has ruled that all magistrate and district judges in the District of Arizona's Tucson Division must recuse themselves from hearing any cases connected with the shooting.

The ruling, dated Monday, cited the need to "avoid the appearance of impropriety, and because a judge has a duty to disqualify him or herself if his or her impartiality could be reasonably questioned, whether or not such impartiality exists."

Loughner appeared in a Phoenix federal courtroom Monday to formally hear the charges against him -- including two counts of murder, two counts of attempted murder and one count of attempting to kill a member of Congress.

@highlight

Thirty-one spent rounds were found at scene

@highlight

The Arizona legislature limits how close protesters can get to funerals

@highlight

The wounded congresswoman is breathing on her own

@highlight

Services are scheduled for girl, 9, and federal judge