Russia warned Tuesday that any use of force in Ukraine's eastern region could lead to civil war, as Kiev seeks to regain control after pro-Moscow uprisings in three cities.

Pro-Russian protesters seized government buildings in the cities of Donetsk, Luhansk and Kharkiv on Sunday. Declaring a "people's republic," protesters inside Donetsk's regional government building called Monday for a May 11 deadline to vote to secede from Ukraine.

There were conflicting reports late Tuesday over whether demonstrators who seized control of a Security Service of Ukraine building in Luhansk took hostages.

An anti-terrorism unit outside the building claimed the pro-Russian demonstrators were holding hostages, Victoria Syumar, a security service spokeswoman, and Yarema Duh, spokesman for the National Security and Defense Council, told CNN. Fifty-one people were released from the building early Wednesday morning, the security service said in a statement.

But pro-Russian demonstrators holed up in the building denied they have taken anyone hostage, according to Reuters reports.

The security service also accused the demonstrators of placing explosive throughout the building, a claim the protesters denied, Reuters reported.

Russia's Foreign Ministry said reports that the protesters are facing a crackdown by Ukrainian authorities are of particular concern.

"We are calling for the immediate cessation of any military preparations, which could lead to civil war," it said in a statement on its website.

The ministry alleged that what it called "American experts from the private military organization Greystone," disguised as soldiers, as well as militants from the Ukrainian far-right group Right Sector, had joined Ukrainian forces preparing for the crackdown in the country's east.

Secretary of State John Kerry said Tuesday that Russian forces and special agents have been behind what he called the "chaos" in eastern Ukraine in the past 24 hours. Kerry described the developments as "more than deeply disturbing" and said they amounted to what could be a "contrived pretext for military intervention just as we saw in Crimea."

He followed up by warning of increased sanctions targeting Russia's banking, energy, mining and arms sectors if the Russians "cross over" into eastern Ukraine. Current sanctions target individuals over the Crimean annexation.

Kerry will meet Monday with his Russian, Ukrainian and European Union counterparts to discuss efforts to de-escalate the crisis, according to a statement released by the spokesperson for EU Foreign Minister Catherine Ashton.

Ashton "calls against any further destabilization of Ukraine, whether from the inside or the outside," the statement said.

Building cleared

Late Monday, special forces cleared armed protesters from the security service headquarters in Donetsk, acting President Oleksandr Turchynov's office announced.

But Ukrainian interim Deputy Prime Minister Vitaly Yarema was quoted by Russian state-run news agency ITAR-Tass as saying Tuesday that authorities are not going to storm the city's regional administration building. Yarema said the decision was made after talks with representatives of the protesters in the building.

Donetsk protesters dig in at government building

According to the deputy head of the National Security and Defense Council, Victoria Syumar, negotiations are under way between the protesters and police, coordinated by influential oligarch Rinat Ahmetov.

Donetsk is the hometown of ousted Ukrainian President Viktor Yanukovych, whose pro-Russian government was toppled in a popular revolt in February.

At a news conference in Kiev,  interim presidential chief of staff Serhiy Pashinksiy said he had "convincing evidence" suggesting the protests were being financed by Yanukovych and his supporters.

In remarks posted by Russia's Interfax news agency and confirmed by his press secretary, Pashinksiy said authorities had frozen "dozens of bank accounts and seized colossal resources. All of these massive rallies are financed."

This could not immediately be independently verified.

'Anti-terrorist operation'

Police detained about 70 people in Kharkiv in an "anti-terrorist" operation that cleared the building in Kharkiv, an Interior Ministry spokeswoman said.

Special forces police from outside of the city carried out the operation, in which all those arrested were armed with knives or batons, spokeswoman Natalia Stativko said.

Those arrested have been taken to police detention centers in the cities of Poltava and Zaporijya and face charges relating to separatism, violence and taking part in mass protests, she said.

Earlier, in a Facebook message, Interior Minister Arsen Avakov said the city center had been closed to the public and urged people to remain calm. No guns were fired, he said.

Turchynov blamed "separatist groups coordinated by Russian special services" for the revolts, which he said echoed events leading to the Russian annexation of Crimea three weeks ago.

"Enemies of Ukraine are trying to play out the Crimean scenario, but we will not let this happen," he said in a televised message.

British Foreign Secretary William Hague said the protests bore "all the hallmarks of a Russian strategy to destabilize Ukraine" and warned of "grave economic and political consequences."

Meanwhile, the U.S. Navy warship USS Donald Cook is scheduled to enter the Black Sea no later than Thursday as part of the latest U.S. military effort to demonstrate support for Eastern European allies concerned about Russia's troop buildup, two U.S. military officials said.

The ship will conduct exercises and port visits while in the Black Sea, said the officials, who spoke on condition of anonymity because a formal announcement has not been made.

The move comes ahead of an April 15 meeting among top NATO political representatives, who will discuss and potentially approve NATO recommendations for additional military measures, including shortening the response time of NATO forces in a crisis. Other options include more military exercises with member nations, including the United States, and potentially providing military advisers to Ukraine.

Ukraine to Russia: I'm not your child

‎Separatism outlawed

Turchynov reiterated Tuesday he would treat Russian separatists who have seized buildings in the east of the country as "terrorists" who will be prosecuted with the full force of the law.

His remarks to parliament came ahead of a vote in which it approved legislation outlawing groups and individuals who call for separatism. Of the 450 members of the Ukrainian parliament, 230 voted in favor of the bill. All members of the Communist Party abstained from voting.

Before the vote, a fight broke out in parliament when Petr Simonenko, the leader of the Communist Party, began to say lawmakers should listen to the demands of eastern Ukraine.

He defended demonstrators who have seized local government buildings, saying they are not doing anything different from what the current interim government has done. He also accused "nationalists" of starting the crisis in eastern Ukraine.

Simonenko was prevented from speaking further by a member of the far-right Svoboda party, and peace was restored in the parliament.

Russia urges talks

Russia, which has tens of thousands of troops near the Ukrainian border, said Monday that it was "watching closely" what was unfolding and told Ukraine to stop blaming it for Ukrainian problems.

President Vladimir Putin's government pushed Ukraine to set up a federal system in which regions with ethnic Russian majorities would have more autonomy, and its Foreign Ministry urged Ukraine to enter into talks over the issue.

"Ukrainian people want to get a clear answer from Kiev to all their questions. It's time to listen to these legal claims," a Foreign Ministry statement read. The Ukrainian government was acting "irresponsibly," it said.

At a news conference Tuesday, Foreign Minister Sergey Lavrov said Moscow has proposed involving Ukrainian presidential candidates in Russian, U.S. and EU talks on Ukraine.

He insisted that representatives of southeast Ukraine take part, too, according to the Interfax news agency. He said Russia was ready for the talks, which may take place in 10 days.

Moscow dispatched thousands of troops to Crimea in support of a pro-Russian movement that seized power in the semi-autonomous region shortly after Yanukovych fled to Russia.

The Black Sea peninsula was then subsumed into Russia after a referendum denounced as illegal by Kiev and the West.

Russia has called Yanukovych's removal a coup and says the interim government in Kiev is illegitimate. It has said it doesn't intend to invade eastern Ukraine but reserves the right to protect ethnic Russians there.

Ukraine says it retakes building seized by protesters

Is Russia done after Crimea?

FIRST ON CNN: Ukraine warns Russia in phone call: Don't invade

Editors' Note: This article has been edited to remove plagiarized content after CNN discovered multiple instances of plagiarism by Marie-Louise Gumuchian, a former CNN news editor.

@highlight

Ukrainian, Russian, US and EU ministers will meet next week

@highlight

Ukraine's Security Service claims hostages have been released

@highlight

U.S. Navy warship heads to Black Sea in support of Eastern European allies

@highlight

Russia's Foreign Ministry says any use of force in eastern Ukraine "could lead to civil war"