TEHRAN, Iran (CNN)  -- He's been labeled by many as the "reformist," a man who can take Iran beyond the truculent anti-Western rhetoric of President Mahmoud Ahmadinejad.

Moussavi was not seen as a reformer during his stint as prime minister during the 1980s.

So, when Iran's government announced over the weekend that Mir Hossein Moussavi had lost in his bid to become the country's next president, young Iranians took to the streets by the thousands alleging ballot fraud.

Thousands of others around the globe championed the cause on social-networking Web sites and agreed to wear green on Monday in solidarity with Moussavi's supporters.

But what is often lost in the outrage is whether Iran would look different under a Moussavi presidency.  Watch more about the vote »

Though the 67-year old is credited for successfully navigating the Iranian economy as prime minister during a bloody eight-year war with Iraq in the 1980s, he also was a hard-liner whom the Economist described as a "firm radical."

He, like most Iranians in power, does not believe in the existence of Israel. He defended the taking of hostages at the U.S. Embassy in Iran in 1979, which led to the break in ties between the countries.

He was part of a regime that regularly executed dissidents and backed the fatwa against British author Salman Rushdie.

And as late as April, he opposed suspending the country's nuclear-enrichment program but said it would not be diverted to weapons use.

"I wouldn't go as far as (call it) a 'Velvet Revolution,'" Trita Parsi, president of the National Iranian American Council, said of the phrase many are using to describe the rallies in Iran.

"At the end of the day, Moussavi has been more involved and been there from the very beginning of the revolution in a way that Ahmadinejad never was," Parsi told "CNN Newsroom" on Sunday. "Moussavi was one of the founders of the revolution."

Moussavi was named prime minister in 1980. A year earlier, Iran had become an Islamic republic after the ruling monarchy was overthrown and Shah Mohammad Reza Pahlavi was forced into exile.

The same year, a group of students in support of the Islamic revolution took 52 Americans hostage and held them for 444 days.

In an interview with The New York Times in 1981, Moussavi defended the hostage-taking as the beginning of "second stage of our revolution."

"It was after this that we rediscovered our true Islamic identity," he said.

The incident, Moussavi added, ended the "problem of pro-American circles and their following in Iran.

"After this, we felt the sense that we could look Western policy in the eye and analyze it the way they had been evaluating us for many years."

In 1988, author Salman Rushdie released his fourth novel, 'The Satanic Verses,' which Iran said insulted Islam. The country's supreme leader called for the death of Rushdie. And Moussavi, in a radio broadcast, said the order would be carried out.

Moussavi told the Financial Times in April that he would not halt Iran's uranium enrichment program if he were president. "No one in Iran would accept suspension," he said.

Since his stint as prime minister, Moussavi has been absent from politics. For the past 10 years, his official job has been to head the state-owned Art Center. He is a painter.

The long "20 years of silence," as the Iranian media dubbed it, is working to Moussavi's advantage.

Of Iran's population of 70 million, almost 60 percent are younger than 28 -- too young to have lived through the 1979 revolution. To them, Moussavi represents a sea change from Ahmadinejad.

While the president calls the Holocaust a myth, Moussavi has condemned the killing of Jews.

While Ahmadinejad has unleashed the morality police to ensure that women cover their hair in public, Moussavi has pledged his support for women's rights.

Most importantly, the youth are unhappy about the faltering economy under Ahmadinejad, with the unemployment rate topping 30 percent by some accounts. They are hungry for anyone who represents change, analysts have said.

"We have really an interesting moment of historic irony here," Afshin Molavi, a fellow at the New America Foundation, said on the CNN talk show Fareed Zakaria GPS.

"Moussavi is a child of the revolution. Moussavi was never a real reformer, either, when he was prime minister.

"And now he's being faced with the question: Should he unleash the young people out onto the streets who supported him -- thus threatening the very system that he fought for?"

Shahriar Etimani, an Iranian-American who was part of a demonstration Sunday in Washington, D.C., to protest the election results, said he realizes Moussavi is part of the establishment, but he remains hopeful.

"The cynical part of me says that these guys have 30 years' of experience of survival. So this will be another blip on the radar?" he said. "The hopeful part of me says that, 'You know what? There needs to be a catalyst and we don't know where that catalyst comes from. We don't know where that tipping point will come from.'"

CNN's Saeed Ahmed in Atlanta contributed to this report.

@highlight

Mir Hossein Moussavi was named prime minister in 1980

@highlight

He steered Iranian economy through eight-year war with Iraq

@highlight

He opposed suspending the country's nuclear-enrichment program

@highlight

Has been absent from politics for the past 10 years