(CNN) -- More than a dozen Chinese activists have been detained by authorities in an apparent crackdown ahead of the 25th anniversary of the Tiananmen Square massacre.

Others have been placed under house arrest or questioned by police in what Amnesty International says is an attempt to prevent public commemorations of those who died on June 4, 1989.

Among those detained are five activists -- a human rights lawyer, two writers and two academics -- who were held by police on May 6 after attending a low-key seminar in Beijing to discuss the anniversary.

They were subsequently held on suspicion of "picking quarrels," according to Amnesty.

Among them is prominent human rights lawyer Pu Zhiqiang, well known in the Chinese media for representing high-profile dissidents such as artist Ai Weiwei, and those detained in the now-defunct "re-education through labor" system.

On Thursday, Pu's lawyer and neice, Qu Zhenhong, was also detained on suspicion of "illegally obtaining personal information," according to Human Rights in China.

'Nervous' authorities

Pu took part in the student-led demonstrations in the summer of 1989 that ended in a tragic military crackdown on protestors in Beijing's Tiananmen Square on June 4 of that year. An official death toll has never been announced but estimates from human rights groups and witnesses range from several hundred to thousands.

Other seminar attendees currently being detained include online dissident Liu Di, also known as "stainless steel mouse," film critic Hao Jian, dissident writer Hu Shigen, and noted Chinese scholar Xu Youyu, according to rights lawyer Shang Baojun.

William Nee, a China researcher for Amnesty International, said the arrests were "distressing."

"It is distressing when some middle-aged people had a small gathering in a private setting, trying to remember the people who died in Tiananmen Square... that even this kind of low key-event with moderate people is not allowed in China right now," he said.

"If having a small gathering in a private setting is 'picking a quarrel,' then what isn't?

"I think (the authorities) are very nervous about the 25th anniversary of Tiananmen Square and what it represents."

More arrests

Signs of an apparent crackdown appeared when press freedom advocate Gao Yu and her son Zhao Meng were both taken away by authorities on April 24. She was reported missing by rights groups after she failed to show up for the Tiananmen commemoration seminar in Beijing.

On May 8, Gao was formally detained on suspicion of leaking state secrets to a foreign entity. The whereabouts of her son are still unknown.

Another activist, Xie Wenfei, was arrested in Guangdong Province on the same day as the Beijing group, also on suspicion of "picking quarrels," according to Amnesty International.

"These charges and detentions lay bare just how little the Chinese government's attitudes towards human rights have changed since 1989," said Sophie Richardson, China director at Human Rights Watch.

When asked about criticism of China's human rights record, Ministry of Foreign Affairs Spokesperson Hua Chunying told CNN that human rights shouldn't been viewed in the "criteria of the United States."

"Our society is moving forward, the living standards of people have improved and level of freedoms are at their highest," she said.

Others being held include former Tiananmen student leader Xu Guang, who was formally arrested in Zhejiang and charged with "inciting subversion of state power."

Three others who are being detained but had not been formally arrested or accused of a crime, among them are Chen Guang, an artist and former soldier held in connection to a private art performance referencing the Tiananmen incident.

Two more are under house arrest, including Ding Zilin, spokesperson for the Tiananmen Mothers group, while 10 had been questioned by police, according to Amnesty.

In another case with links to Pu, a Beijing-based journalist, Wu Wei, has been missing since May 7. Wu frequently interviews Pu and her last microblog post discusses his case. She is widely believed to be in criminal detention, according to China Human Rights Defenders.

Moderates

Public discussion of the June 4 anniversary is still taboo in mainland China and it is never been publicly marked there, though an annual vigil is held in the Special Administrative Region of Hong Kong.

In the lead-up to the anniversary each year, many activists in China are typically held by police. But the recent detentions are unusual as the anniversary is still a month away and those targeted are considered moderates.

In an interview with CNN in July last year, Pu dismissed the risks he could be taking with his work.

"I think I am fine, I am a moderate, the government has treated me well and I am a veteran lawyer. I didn't make any mistakes in my career. I am not radical, I do not threaten the government."

"When you block the moderate channels you are pushing people to more extreme actions," said Maya Wang, researcher for the Asia Division of Human Rights Watch.

"The government is detaining people who have acted as bridges between authorities and activists. It leaves the question of what authorities are able to tolerate and what avenues people have to complain."

While many activists initially hoped that President Xi Jinping would preside over a system more tolerant of dissent and discussion, his administration is widely seen as tightening the screws on the work of activists and intellectuals, including the sentencing of Xu Zhiyong, another human rights lawyer pushing for financial transparency of China's leaders, to four years in prison in January.

CNN's Zhang Dayu contributed to this report.

@highlight

Moderate dissident voices and intellectuals held by police ahead of Tiananmen anniversary

@highlight

Beijing accuses activists of "picking quarrels"

@highlight

Chinese government's stance on human rights remains unchanged since crackdown in 1989