SINGAPORE (CNN) -- Of all the aircraft on display at the Singapore Airshow, the brand new, fuel-efficient Airbus A350 XWB is dominating attention.

Billed as the new generation wide-bodied jetliner and seen as a direct competitor to Boeing's Dreamliner, the A350 has been drawing crowds, taking part in aerial displays and opening its doors to select trade visitors. It's all part of a grand plan by Europe's Airbus to try to woo as many buyers as possible.

Inside the 40,000 square meters of airshow exhibition space, the plane's maker, Airbus, has also grabbed the limelight, announcing the first big deal of this biennial aerospace and defense trade show to a packed press conference on Tuesday -- the firm sale of 63 A320 Family single aisle aircraft to low cost Vietnamese carrier VietJetAir.

Delivery is scheduled to start later this year. VietJetAir will also lease a further seven A320 aircraft and has purchase options for another 30. The $6.4 billion deal is a significant expansion for the privately-owned low-cost airline, which was only founded in 2011.

"The A320 has proven to be extremely efficient in service with VietJetAir and is a favorite with our passengers," said VietJetAir's Managing Director Luu Duc Khanh at a signing ceremony held this afternoon.

The center of world demand

VietJetAir is typical of the market here. It's a low cost carrier, numbers of which are growing rapidly across Asia Pacific, fueling demand for single aisle planes.

Airbus predicts in the next 20 years the Asia-Pacific region will need almost 7,000 deliveries of single aisle aircraft, representing over a third of the world's total.

"All our products are in the region in significant numbers, and we continue to dominate sales in this region because we have the aircraft Asia-Pacific airlines need," says Airbus Chief Operating Officer Customers, John Leahy.

Arch rival Boeing is more circumspect about the prospect of being able to announce any big deals out of this airshow. But the Vice President of Marketing for Boeing Commercial Planes, Randy Tinseth, says the exhibition is just as much about bonding with customers.

"The Asia-Pacific market in terms of demand is about 35% of the world demand so it's incredibly important and we're delivering more airplanes than anyone else in the market here, so we do have strength, there's no question," Tinseth says.

The world's two largest airplane manufacturers have spent many long hours poring over predictions for growth in Asia-Pacific and both have come up with mind boggling forecasts.

"The economy grows, incomes going up, and incomes going up means more people travel. And it's really pretty staggering. If you think about the Asia-Pacific region, if you look out the next five to ten years, each year 100 million people will travel in terms of growth," Tinseth says.

Airbus is predicting the region's airlines will take delivery of some 10,940 new passenger and cargo aircraft between now and 2032.

The figure from Boeing differs slightly, with estimates 12,820 new aircraft will be needed in Asia-Pacific within the next two decades, a market Tinseth values at $1.9 trillion dollars.

"This is the world's largest market for single aisle airplanes. It's the largest market for wide body [twin aisle] airplanes, it's the largest market for big airplanes like the 747, and it's the biggest market for freighters so the center of aviation is here, that's why we're here."

Tinseth says 36% of the world's new airplane deliveries over the next 20 years will be in Asia and nearly half the world's air traffic growth will be driven by travel to and from the region.

Battleground

As to who currently has the upper hand in Asia-Pacific, Airbus says in 2013 it won 80% of all new business in the region. But it's a more level playing field in terms of actual deliveries, with Airbus delivering 331 aircraft into Asia Pacific last year, representing 51% of all new carriers entering service here.

Aviation analyst and vice president of ICF International David Stewart has been watching the competition between Airbus and Boeing for 15 years.

"I firmly believe that these things tend to balance themselves out and that one year Airbus will have a good year, and some years Boeing is well ahead. It's all about timing in terms of where they are in their product cycles."

Airbus says it's already received 814 orders for its A350 XWB. Thirty percent of orders have come from Asian airlines including Hong Kong's Cathay Pacific and Singapore Airlines.

Airbus claims its current Asia-Pacific order backlog is 1,740. Boeing says its order backlog in the region is around 1,000 planes.

On the single aisle side, Boeing's main Asia-based customer is Indonesia's Lion Air. The airplane maker has long dominated the wide body market, with customers including All Nippon Airways, Japan Airlines, Cathay Pacific, Singapore Airlines and some Chinese airlines.

With Tuesday's announcement, competition just stepped up a notch in this critical market and both Boeing and Airbus are keen to get as much leverage as possible out of this year's Singapore Airshow.

Charlotte Glennie is an award winning freelance journalist living in Singapore. She has previously worked as a foreign correspondent based out of both Beijing and Hong Kong.

@highlight

Singapore Airshow begins with A350 XWB flyover

@highlight

Airbus announces $6.4 billion deal with VietJetAir

@highlight

Over 35% of airplane deliveries in next 20 years set to be in Asia

@highlight

Boeing: Asia is center of aviation for the world