(CNN)For Max, the passage of Indiana's new religious freedom law feels a lot like high school.

Max is transgender. The 26-year-old was born a female but identifies as a man. That was a tough experience in Evansville: looking like a girl, everyone treating you like one, but not feeling at home in your skin. Classmates made fun of him. He withdrew. He and his parents fought. Now they don't talk.

Making it to his mid-20s feels like a victory to him now, as does knowing that he has friends who support him, friends who are straight and gay and transgender. He had just gotten to a point of feeling accepted when the Indiana state legislature passed the Religious Freedom Act.

"This law makes me feel like I'm being bullied all over again," he said. "If I go into a restaurant and the owner doesn't like me because I'm transgender, because their religion has told them that I'm bad, does that give them the right to refuse to serve me?

Proponents of the law, including Gov. Mike Pence, say that's not what the law will do. He has said it's intended to prevent the government from forcing anyone to do something that opposes their religious beliefs.

Some businesses and Indianans are behind him. Nationally influential Christian evangelist Franklin Graham, who lives in North Carolina, tweeted this week, "Thank God for politicians like @GovPenceIN who are not afraid to take a stand regardless of political consequences."

But there is a tidal wave of opposition throughout the state and across the country. Critics say the law is a thinly veiled mechanism to legally sanction discrimination. Protests have raged throughout the state and elsewhere. Some religious leaders oppose it.

Civic groups, corporations and state governments, such as Washington state and Connecticut, are vowing not to to do business with Indiana. The Indiana Chamber of Commerce has blasted the law. So has the N.C.A.A. Its college basketball tournament is hosting the Final Four in Indianapolis this weekend.

Some businesses in the state are reacting by placing signs in windows that read, "We serve everyone."

Indianapolis Mayor Greg Ballard, a vocal opponent of the law, demanded: "Fix this law. ... Do so immediately."

He and others contend that because Indiana, unlike other states, has no statewide law protecting gays and lesbians from discrimination, this religious freedom law is a license to discriminate.

Hundreds of protesters joined Max in a demonstration on the streets of Evansville Monday. Some said they would consider leaving the state because the law makes them feel unwelcome.

Lee Flowers, 27, organized a rally in Evansville to protest the law.

He grew up in Indiana, but now he's afraid to go into businesses with his boyfriend.

"This is very personal," he said. "It hurts me. It really does. This is shameful for Indiana. Is anyone infringing on someone's religion? No. This is about giving people the legal defense to refuse business to someone they don't like based on sexual orientation."

Casey Samson of Samson Family Leather in Lebanon told CNN that he read the law, which runs four pages. He feels that the law merely protects his right to refuse to sell to a customer whose beliefs he thinks offend his Catholic faith.

That doesn't include gay customers, he insists.

"We have no issues serving a same sex couple at all," he said. "The law is strictly protecting people from the government to forcefully make them do something against their will."

CNN asked him to give an example of what might offend him, and cause him to refuse to sell to someone.

"Anything that promotes hate or a derogatory statement that someone believes is OK," he answered. "I don't want to take my personal time making a product that spews hate into the world."

That's never happened in Samson Family Leather's 35-year history, he said, but it could and that's why he thinks the law is needed.

The owner has shared his opinion with local media, and that has sparked a fierce backlash from many in the community, he said.

"We've been called homophobic and hypocrites," he said. "We've also experienced a very large amount of support."Our phones have not stopped ringing from people all over the state and country. We've gotten e-mails saying 'I appreciate you standing up. Thank you for standing up for our rights.' "

Indiana pastor Mike Woods told CNN Monday that he supports the law, too.

"As someone who walks in my religious freedom all the time, I'm glad I have something to protect me," he said. "I don't see the law as discriminatory. I just see it protecting people from any type of business or anyone trying to infringe on their religious rights."

Woods blamed Pence's office for its "inability to educate" people about what the law says. There should have been public meetings about it, Woods said.

The Indianapolis Star reported that the ceremony where Pence signed the bill into law on Thursday was "deliberately low-key and private" and closed to media. The governor's staff office, it said, refused to provide names of people who surrounded Pence as he signed.

To Samson, the law doesn't explicitly use the word discrimination and that, to him, means it won't lead to discrimination.

The law states that the government can't "substantially burden a person's exercise of religion" and that individuals who feel like their religious beliefs have been or could be "substantially burdened" can lean on this law to fend off lawsuits.

An often used example: A florist who doesn't want to sell flowers to a gay couple or a baker who doesn't want to make their wedding cake. Those are arguably businesses that can choose which client to hire and which to reject, proponents of the law say.

CNN legal analyst Jeffrey Toobin said it's likely that a refusal to serve a gay person wouldn't stand under the law, but a refusal to provide a service for a gay wedding would.

"Indiana isn't the first state to establish this law," Samson said. "It's nothing new for the U.S. and the state of Indiana."

Samson is right that Indiana isn't the first state to adopt a religious freedom law, but the situation is a little more complicated than that.

Indiana is the 20th state to adopt a "religious freedom restoration" law.

For instance, bills in Arizona, Georgia and Ohio with similar wording were proposed. The effort in Arizona failed in 2014. Georgia's bill has not been voted on and the legislative session ends Thursday. The Ohio bill stalled in 2014.

A similar bill is proposed in Arkansas. In Little Rock Monday night, protesters demonstrated against a bill called the Conscious Protection Act. As the bill's creator, Republican Rep. Bob Ballinger left a meeting Monday, protesters shouted: "Shame on you!"

In the past, religious freedom laws were enacted with broad support. Many were passed before the recent movement for gay rights and before the majority of states came to recognize same-sex marriage.

But when it was introduced in December, the bill that became Indian's religious freedom law incited fierce debate among faith leaders, businesses and residents, the Indianapolis Star newspaper reports.

Mark Ivy watched as that debate raged over the holidays and into the new year, hoping that the bill would not pass.

He lives in Farmersburg, Indiana, where about 1,100 people live.

Indiana recognized gay marriage last October. Ivy married his longtime partner in December.

"I understand politics in Indiana. I know it's conservative. I get that this is about politics," he said. "Because I can see it as politics, I'm not mad."

But he also said that he feels the law is "about bigotry, plain and simple."

"It's taking us back decades, removing so much progress toward equality in Indiana," he said.

Ivy worries that the law could not only allow discrimination on the basis of sexual orientation.

He wonders if it "could conceivably be used for Jewish businesses to  refuse service to Muslims and Christians. Hindus could bar Bhuddists.  Protestants and Catholics could shun each other," Ivy wrote in a CNN iReport. "Mainline church members  could say, 'No' to evangelicals."

On social media, debate over the law showed no signs of letting up.

In response to Christian leader Graham's tweet supporting the law, someone with the username Mary M tweeted, "amen using his God given right."

Jennifer Watson tweeted them back: "NO: as an elected official, his rights are not God given, they are voter given."

CNN's Rosa Flores, Justin Lear, Sonia Moghe, Jeremy Diamond and Greg Botelho contributed to this report.

@highlight

Transgender 20-something says Indiana's new feels like legalized discrimination

@highlight

Business owner says the law protects his Catholic beliefs