Washington (CNN) -- A woman on the wrong end of a love triangle received a measure of support from the Supreme Court on Tuesday in an unusual case involving a domestic dispute, global agreements and local sovereignty.

At issue is whether Congress may criminalize conduct -- under its treaty ratification power -- that is otherwise the domain of the states. Carol Anne Bond was given a long prison sentence in the federal system after being convicted of violating an international agreement on the use of chemical weapons. She would have gotten a much shorter sentence under state law.

The case of toxic love has soap-opera elements, but Bond's lawyers argued she was being treated like a foreign terrorist instead of someone caught up in a domestic dispute.

Beyond this fact-specific dispute, the case touches on larger concerns about the strength and purpose of the Constitution's 10th Amendment, designed to preserve state power. It is also a question roiling the current political debate, especially among tea party conservatives in this post-9/11, security-conscious environment.

The justices are using this case to explore the limits of congressional and presidential authority, with timely, far-reaching implications.

"It would be deeply ironic that we have expended so much energy criticizing Syria," for its government's alleged use of chemical weapons in an ongoing civil war, said Justice Sonia Sotomayor, "when if this court were now to declare that our joining or creating legislation to implement the treaty was unconstitutional. We're putting aside the impact that we could have on foreign relations."

Professor accused of poisoning wife

"I just would like a fairly precise answer whether there are or are not limitations on what Congress can do with respect to the police power," Chief Justice John Roberts asked of the Obama administration's top lawyer. "If their authority is asserted under a treaty, is their power to intrude upon the police power unlimited?"

Bond, a native of Barbados, lived outside Philadelphia and worked as a microbiologist. As a federal appeals court succinctly summarized the relevant facts in the case: "Bond was excited when her closest friend, Myrlinda Haynes, announced she was pregnant. Bond's excitement turned to rage when she learned that her husband, Clifford Bond, was the child's father. She vowed revenge."

The woman, known to her family as Betty, struck back by stealing dangerous a chemical -- arsenic-based 10-chloro-10H-phenoxarsine -- from her company. She also obtained potassium dichromate over the Internet. Both substances in heavy doses can cause toxic, even lethal harm with very little physical contact.

The 42-year-old then tried to poison Haynes some two dozen times over several months, secretly sprinkling small amounts of the chemicals on an apartment doorknob, car door handles, and a mailbox.

While suffering no more than a chemical burn on her thumb, Haynes grew suspicious -- one of the chemicals was a bright orange powder. After getting little help from local police, in 2007 she called postal inspectors, who set up surveillance cameras. Bond was videotaped stealing mail and placing chemicals inside the mailbox and a car muffler, court records show. She was soon arrested.

Bond admitted her guilt early on and claimed she never meant to kill Haynes, but only wanted to cause her "an uncomfortable rash." The defendant also said her friend's betrayal caused an "emotional breakdown" that made her respond in such a shocking fashion.

Instead of being charged with simple assault, which may have gotten her six months to a year or two in state prison, Bond was indicted in federal court on two counts of mail fraud and -- the bombshell -- two counts of violating a federal law and international treaty on the possession and use of "chemical weapons."

When a judge denied her motions to transfer the case to state court, Bond pleaded guilty and immediately appealed. She received a sentence of six years behind bars and nearly $12,000 in fines and restitution. She was released in August 2012.

Did Utah doctor kill his wife?

During Tuesday's lively hour of arguments, Bond's lawyer, Paul Clement, called the Chemical Weapons Convention Implementation Act an "odd statute" that clearly exceeds congressional authority. He said the treaty was designed to deal with "warlike" behavior, not "ordinary" poisoning cases.

"I don't think that nation-states poison romantic rivals, attempt to commit suicide, or try to get rodents out of their houses" using chemicals that might have everyday non-criminal uses, he said, like vinegar.

Justice Elena Kagan was unconvinced. "You are imagining a world in which judges day-to-day try to get inside the head of treaty makers," where judges might say: "We understand that there's a national interest in regulating sarin gas, but we don't think that there's a sufficient interest in regulating some other chemical down the line. It seems to me a completely indeterminate test" for judges to delineate "what is in the national and international interest."

Solicitor General Donald Verrilli agreed, defending the treaty and law by saying, "There can't be a 'too local' exception to the treaty power."

The Justice Department says federal law broadly prohibits a person from knowingly using a chemical weapon in a way that can "cause death, temporary incapacitation, or permanent harm" to another person, which prosecutors said Bond admittedly did.

Verrilli dismissed a "parade of horribles"-- hypothetical suggestions that a sweeping treaty could be authorized giving the federal government complete police power over the states.

"It seems unimaginable that a convention of that kind would be ratified by two-thirds of the Senate, which it would have to be," he said.

"It also seems unimaginable that you would bring this prosecution," against Bond, said Justice Anthony Kennedy. "But let's leave it at that." The remark brought laughter in the courtroom, but Kennedy clearly was not joking.

Test your knowledge of the U.S. Supreme Court

Justice Antonin Scalia used the issue to delve into another controversial issue.

"Let's assume that an international treaty is approved by two-thirds of the Senate and the President, which requires states to approve same-sex marriage. All right?" he said. "Now, if that were a self-executing treaty, same sex marriage would have to be approved by every state. If it is not self-executing, however, it will be up to Congress to produce that result, and Congress would do it by having a federal marriage law."

The conservative Scalia said to do so would be "dragging the Congress into areas where it has never been before."

"If you told ordinary people that you were going to prosecute Ms. Bond for using a chemical weapon, they would be flabbergasted," said Justice Samuel Alito. "This statute has an enormous breadth -- anything that can cause death or injury to a person or an animal. Would it shock you if I told you that a few days ago my wife and I distributed toxic chemicals to a great number of children? On Halloween we gave them chocolate bars. Chocolate is poison to dogs, so it's a toxic chemical under the chemical weapons convention." Again there was audience laughter, but no smiles from the bench.

Justice Stephen Breyer also worried about the scope of federal power.

"In principle your position constitutionally would allow the President and the Senate, not the House, to do anything through a treaty that is not specifically within the prohibitions of the rights protections of the Constitution," he told Verrilli, citing a 1920 high court precedent giving Congress the power to enact treaties, even if it steps outside its traditional constitutional authority by usurping state laws. "And I doubt that in that document the Framers (of the Constitution) intended to allow the President and the Senate to do anything."

"I am worried about that and I think others are, too," the left-leaning Breyer added.

Among those attending the arguments was former Justice Sandra Day O'Connor.

Justices prepare for hot-button cases - and hot internal rhetoric

There are about a thousand treaties signed by the United States currently on the books.

Many academics and lawmakers hope the majority right-leaning bench will use this opportunity to delve further into the scope of the 10th Amendment, which states, "The powers not delegated to the United States by the Constitution, nor prohibited by it to the states, are reserved to the states respectively, or to the people."

In the broader political context, a bipartisan sphere of Americans worry the federal government and Congress have been overly aggressive in staking claims to disputes they believe are best left to states, especially in the criminal arena.

And it is not just felonies. Areas like gun ownership, zoning laws, environmental regulations, taxation, health care, and education standards all could be re-examined in the wake of this high court decision.

Some of Bond's supporters argue that some federal prosecutions are novel and the penalties are often more harsh, creating conflict and confusion with local efforts to ensure public safety. They see Bond as an unexpected hero in the fight to return "the power back to the people."

"The proposition that the Treaty Clause is a trump card that defeats all of the remaining structural limitations on the federal government is not a proposition that is logically defensible." Sen. Ted Cruz, R-Texas, said last week.

Bond had won an earlier Supreme Court appeal, with a unanimous ruling she had "standing," or legal authority, to pursue her claims in the courts. That allowed her to continue trying to have her federal conviction tossed out, which is the current issue before the justices.

Her lawyers say she had been trying in recent years to repair her shaken marriage, and has come to terms with her husband's betrayal.

The case is Bond v. U.S. (12-158). A ruling is expected by the spring.

@highlight

Carol Anne Bond is challenging her conviction on a federal chemical weapon charge

@highlight

She used poisons to try to get back at a woman who had an affair with Bond's husband

@highlight

She received a measure of support from the Supreme Court during oral arguments Tuesday

@highlight

The case touches on the conflict between federal and state powers in the 10th Amendment