Havana, Cuba (CNN) -- As soon as Alan Gross got out of Cuban airspace Wednesday morning, he called each of his two daughters to say the two words he had dreamed of saying for years: "I'm free," a spokeswoman for his legal team says.

It was the end of five years locked up in wretched conditions, as his lawyers have described his time in a Cuban prison: 23 hours a day confined to a room, with one hour a day outside "in a small, walled courtyard where you can barely see the sky," according to attorney Scott Gilbert.

Addressing the world at a news conference after his arrival in Washington, Gross began with another two words: "Chag Sameach" -- Hebrew for "happy holiday."

"I guess so far it's the best Hanukkah that I'll be celebrating for a long time," the 65-year-old said.

"What a blessing it is to be a citizen of this country, and thank you, President Obama, for everything you have done today and leading up to today," he said.

Saying he was "very happy" to see President Barack Obama's announcement of a new era in U.S.-Cuban relations, Gross added, "This is a game changer, which I fully support."

He thanked his wife, Judy, his family, his "lawyer and personal Moses Scott Gilbert," and Jewish, Christian and Muslim organizations. "God bless you and thank you. It was critical to my survival knowing that I was not forgotten. Your prayers and your actions have been comforting, reassuring and sustaining."

Gross praised Cubans, saying, "Cubanos -- or, at least, most of them -- are incredibly kind, generous and talented. It pains me to see them treated so unjustly as a consequence of two governments' mutually belligerent policies."

Gross asked for "complete and total privacy." His family lives in Maryland.

Gross: 'I'm incredibly blessed'

Smiling often as he spoke for several minutes, even as he mentioned his need for new teeth (they have been breaking, says legal team spokeswoman Jill Zuckman says), Gross seemed to have a new lease on life.

"I'm incredibly blessed finally to have the freedom to resume a positive and constructive life," he said, adding, "It's good to be home."

His family had said he might not live another year in prison.

"Alan is resolved that he will not endure another year imprisoned in Cuba, and I am afraid that we are at the end," Judy Gross said this month.

Gross, who couldn't visit his own mother before her death this year, had lost hope. His health was in danger; he had lost more than 100 pounds.

In July, he said goodbye to his family, and refused to see them again while he was imprisoned.

He also refused to meet with U.S. diplomats in Havana, as a protest against the slow progress of efforts to free him.

On Tuesday, he learned that he would be freed as part of a landmark deal announced Wednesday between the United States and Cuba.

Three lawmakers and his wife flew to Cuba on a U.S. government plane to pick him up. The flight landed at a Cuban military base at 8 a.m. At 8:45 a.m., when the pilot announced they had left Cuban airspace, Gross stood up, took a deep breath and made the phone calls to his grown daughters Shira and Nina, said Zuckman.

Shira has battled breast cancer during her father's imprisonment.

Gross also spoke with Obama by phone on his flight back to the United States, a senior administration official said.

The plane touched down shortly after 11 a.m. ET at Joint Base Andrews in Maryland. U.S. Secretary of State John Kerry happened to fly in around the same time, and Kerry gave Gross a big hug, Zuckman said.

Sen. Jeff Flake, R-Arizona; Rep. Chris Van Hollen, D-Maryland, and Sen. Patrick Leahy, D-Vermont, were on the plane, Zuckman said. Van Hollen, who is Gross' congressman, and Flake and Leahy were part of a U.S. congressional delegation that met with Cuban President Raul Castro to discuss Gross' case last year.

In the air, Gross ate popcorn, which he had missed. He also ate corned beef on rye and latkes (potato pancakes) with apple sauce and sour cream -- a traditional Hanukkah food.

Gross' Cuba mission debated

Gross spent more than 25 years traveling the world, helping people in more than 50 countries and territories, according to a website that has pushed for his release.

His work included helping communities in Pakistan, creating jobs in the West Bank and Gaza, and designing agricultural improvement projects in Azerbaijan, Bulgaria and the West Bank, the website says.

He traveled to Cuba as a subcontractor for the U.S. Agency for International Development. The U.S. State Department says he was working to bring the Internet to Cuba's small Jewish community despite Cuban government restrictions on Internet access.

But Fulton Armstrong, a former senior adviser to the Senate Foreign Relations Committee, said Gross' mission, part of the agency's "regime-change" programs, was "dangerous and counterproductive."

The operation involved the smuggling of parabolic satellite dishes hidden in Styrofoam boogie boards, Armstrong said. Cash was transported to Cuba to finance demonstrations against the Castro regime.

"They were sending this poor guy into one of the most sophisticated counterintelligence operating environments in the world," said Armstrong, who spent 25 years as a CIA officer. "It was not credible his story about the Jews. It didn't make sense."

Sentenced behind closed doors

In March 2011, Gross was tried behind closed doors for two days and convicted of attempting to set up an Internet network for Cuban dissidents "to promote destabilizing activities and subvert constitutional order."

He was sentenced to 15 years.

A 2012 lawsuit filed by Judy Gross accused USAID and Development Alternatives Inc. -- the company that sent him to the island -- of negligence. It said the agencies had a contract "to establish operations supporting the creation of a USAID Mission" in Cuba.

In 2013, Gross reached a financial settlement with Development Alternatives.

Attorney: Gross' treatment 'cruel, inhuman, and degrading'

Leading human rights attorney Jared Genser had pushed for Gross' release. In 2012, he wrote the U.N. Office of the High Commissioner for Human Rights, saying Gross had been "denied adequate medical diagnosis and treatment for the last six months, which constitutes cruel, inhuman, and degrading treatment under international law."

Gross "suffers from a number of ailments including degenerative arthritis," Genser wrote. His "repeated requests for an independent medical evaluation have been denied."

A mass developed on Gross' right shoulder, and he was not given adequate medical diagnosis and treatment, the attorney said.

En route back home at last, Gross told his legal team what he wanted, in addition to time with family: a glass of good scotch, since he hasn't had a drink in years, and a nice cigar, a habit he's picked up while in prison.

CNN's Patrick Oppmann reported from Havana, and CNN's Josh Levs reported from Atlanta.

@highlight

NEW: "What a blessing it is to be a citizen of this country," Alan Gross says

@highlight

NEW: Gross says Cubans treated unjustly due to governments' "mutually belligerent policies"

@highlight

Gross lost more than 100 pounds in prison, and he said goodbye to his family this year

@highlight

His mother died while he was in prison in Cuba