(CNN) -- Take a walk along almost any beach in any part of the world and one's experience is often spoiled by the sight of trash -- flotsam and jetsam -- washed ashore from the ocean.

It's a massive global problem, made worse by the modern use of plastics that do not readily biodegrade.

One area of the North Pacific has earned the unwanted tag of "the Great Pacific Garbage patch" and covers double the size of Texas -- with an estimated six kilos of plastic for every kilo of natural plankton.

This swirls about 20 meters below the surface of the water and, with other slowly degrading garbage, poses an obvious threat to marine life and the ecological balance.

Marine conservation groups have long campaigned for better environmental protection of our oceans, but have now found high-profile support from a pair of world-class long-distance racing sailors -- Rob Windsor of the United States and Britain's Hannah Jenner.

Sharp focus

They have brought into sharp focus a practice that neither other competitors taking part in epic yachting classics nor the sponsors of these events would ever wish to dwell upon.

Crews -- desperate to free up space in their cramped conditions and ever mindful of the need to save weight -- leave their own trail of trash dumped overboard as they sail as fast as possible across the oceans.

Until now it's been standard practice for their fellow competitors, who must balance environmental concerns with obvious practical necessity, particularly when at sea for extended periods.

But Windsor and Jenner, among the favorites to win the Transat Jacques Vabre -- a month-long, 5,600-nautical-mile race from France to Brazil -- are pledging to stop the dumping as part of a new eco-friendly approach to ocean racing.

"Cleaner. Faster. Better" is the motto of Windsor and Jenner's 11th Hour Racing team and they want to be as good as their word.

The pair have been rigorously training for several months in their 40-foot monohull for the annual event, considered one of the most prestigious on the yachting calendar, which the 44 entries started from Le Havre on Thursday after a delay for bad weather.

Education lesson

They both admitted that in the past they had been guilty of tossing items like tin and soda cans into the sea, believing that salt water would quickly eat it away.

But working with the Rozalia Project, a non-profit organization committed to cleaning up our oceans, has been an eye-opener.

"The only trash we dump overboard during our journey will be toilet paper," Jenner told CNN, while acknowledging the scale of their task.

"We sailed back from Rhode Island earlier this year as part of our trials and decided to store how much rubbish we had built up," she said.

"Three people over six weeks and we came back with eight big bags of rubbish -- and probably six of those would usually be thrown over the side. It was shocking, really," she admitted.

Using a series of advanced technological solutions and working with a nutritionist to help them reduce their reliance on numerous packets of freeze-dried food, the pair are confident they will achieve their goal.

Future generations

"I think we all have a responsibility to future generations to do everything we can to protect the environment," said Windsor.

"I am hoping that it will set a trend and trickle down across all levels and in particular recreational sailors."

Behind the pair's example-setting, trash-busting commitment lies a series of innovative technologies -- with the need to save weight being paramount.

Their boat is equipped with a hydro generator, using the movement of the boat through the water to charge batteries and eliminating the need to run a diesel generator to power their on board facilities.

It will also provide a massive weight saving because they will need less fuel. The hydro generator is backed up by solar panels to provide a further energy source for the navigational systems.

It is customary for crews to take hundreds of bottles of drinking water on board for a race of this length, but Team 11th Hour is using their own water maker and desalination system to meet this need -- again a big weight saving.

Perhaps the most innovative project the pair will be taking on board will see them attempt to grow fresh produce by harvesting seedlings to grow microgreens.

Fresh food

The brainchild of the process is former team member Nick Halmos, who is hoping Windsor and Jenner will be able to supplement their diet of freeze-dried food with edible and healthy food nutrients.

"If we can do it successfully in the harsh conditions in the middle of an ocean it can definitely be transferred to urban environments, which is its target market," said Windsor.

But it is a risk attempting to use such a mix of eco-friendly methods in a race situation.

"Other entrants have used some of these methods before, but we are the first to use all of them as a combination," said Jenner.

But after months of grueling training, and taking part in warmup events such as the Fastnet Race, the pair are confident they can challenge for top honors.

"There's been lots of hard work getting to this stage, working our arses off with the ultimate aim to be on the podium," said Windsor.

"We are very competitive," chipped in Jenner, who at 1.67 meters tall and 58 kg is dwarfed by her 1.88m and 94 kg teammate.

Competitive duo

"Using Hannah's smarts and my brawn puts us in a position to do really, really well as a team," said Windsor.

Jenner finished third in the 2011 Transat, while Windsor has a pair of second-place finishes in prestigious trans-Atlantic races, but they know the opposition this year will be tough, even before the added pressure of the environmental pledges.

"This is a hugely iconic race," said Windsor. "In France offshore racing is huge, it can be compared with the interest in football in the UK and there is plenty of talent in the field."

Win or lose, both are keen to continue their partnership after the Transat, which they view now as being important in changing attitudes in the racing fleet and among the wider public.

"For us the important thing is to get the best result we can, but also our campaign is more than just getting a podium position," said Jenner.

"It's spreading a message about how we are being cleaner and faster and therefore better, and have that message spread to other sailors to help them run more environmentally friendly."

@highlight

11th Hour Racing an entrant in Transat Jacques Vabre

@highlight

Team has pledged to end practice of dumping rubbish overboard

@highlight

Rob Windsor and Hannah Jenner crew their 40 foot monohull

@highlight

Annual event attracts some of the best long distance sailors in the world