(CNN) -- Exactly 10 years ago Wednesday, the first batch of terrorist suspects seized in Pakistan and Afghanistan arrived at Guantanamo Bay, Cuba, on board a C-141 transport plane. From freezing nights in the depths of the Afghan winter, the 20 detainees stepped into a tropical breeze looking dazed and bedraggled.

As more arrived over the next weeks, then-U.S. Defense Secretary Donald Rumsfeld described them as the "the worst of the worst." And a few weeks after GTMO (as it quickly became known) opened its doors, President George W. Bush said the detainees were not entitled to the protection of the Geneva Conventions -- because they were not part of a regular army.

Guantanamo's population grew rapidly to a maximum of 680 the following year, and expanded beyond "Camp X-Ray" to other blocks. In those early days, Human Rights Watch says, detainees were subject to "painful stress positions, extended solitary confinement, threatening military dogs, threats of torture and death" and other abuses. The Bush administration, while insisting enhanced interrogation techniques did not amount to torture, contended that exceptional methods were legitimate in the face of an ongoing threat from terrorism.

Over the past decade, the very word Guantanamo has become a touchstone in the debate over how democracy can protect itself from terror while not denying access to justice. It has also become a byword for political point-scoring and the subject of bitter argument in federal court over the principle of habeas corpus. It has found its way into popular culture, featured in Michael Moore's film "Sicko" and a Patti Smith song.

Administrative reviews of detainees obtained and published by WikiLeaks indicated that in many cases interrogators knew little about those first groups of detainees. The evidence against them was often anecdotal and anonymous, and in April 2003 Rumsfeld complained that the military was "populating Guantanamo Bay with low-level enemy combatants."

Many detainees have been released or transferred to third countries over the past decade. But it has often been difficult for the United States to find governments willing to take them. In 2009, four Uighirs from western China, who maintained they had fled to Afghanistan to escape persecution by Beijing, were suddenly transferred to Bermuda. Another 13 ended up on the Pacific Island of Palau, and yet another is now a pizza cook in Albania.

But some of that first batch to arrive at Guantanamo are among the 171 prisoners held to this day. Several high-value detainees are likely to face trial by revamped military commissions. In addition, 46 are deemed too dangerous to be released -- but too difficult to prosecute, in either a military or civilian court.

Another 89 have been cleared for release by multiple federal agencies, but they remain in limbo. (The last detainee to leave Guantanamo was a 50-year-old Algerian, exactly one year ago.)

On New Year's Eve, President Barack Obama signed into law new provisions that bar the transfer of detainees currently held into the United States. for trial. The law also extends restrictions on the transfer of detainees to home or third countries -- including those cleared for release by the administration. And it reaffirms the executive's authority to detain anyone determined to be a member of al Qaeda, the Taliban or associated forces "without trial until the end of hostilities."

Apparently without irony, the remaining detainees are offered classes in "time management."

Attitudes have hardened in part because a significant minority of GTMO detainees who were released or transferred -- perhaps as many as 25% -- have returned to jihad. Some are now senior figures in al Qaeda in the Arabian Peninsula.

The prevailing climate is a far cry from the executive order Obama signed two days after taking office that pledged to close Guantanamo by January 2010, as he declared that the "existence of Guantanamo Bay likely created more terrorists around the world than it detained."

Human rights groups have consistently criticized Guantanamo's very existence, the mistreatment of detainees and their lack of access to legal recourse. Attorneys specializing in human rights issues have devoted thousands of hours to petitions in federal court to win the release of detainees. But the Court of Appeals in Washington, D.C., has invariably ruled in the government's favor. The latest case reached the U.S. Supreme Court this week.

Some on the political right argue that by their actions, detainees have forfeited their right to legal protections. In 2008, Gov. Sarah Palin of Alaska mocked Obama's promise to close the prison. "Al Qaeda terrorists still plot to inflict catastrophic harm on America and he's worried that someone won't read them their rights," she said.

Mitt Romney's view at the time was that "Guantanamo is a symbol of our resolve. It's also just frankly smart to keep these people not on our soil and not to have them having access to our legal system." And Sen. Lindsey Graham (R-South Carolina) said last year of Khalid Sheikh Mohammed: "We're at war. ... He did not rob a liquor store, he attacked our country."

Not all Republicans agree with such an approach. In 2008, Sen. John McCain (R-Arizona) suggested bringing all the GTMO inmates to military tribunals at Fort Leavenworth in Kansas. Still, a 2010 CNN poll found that 60% of Americans favor keeping the prison open.

Unable to fulfill his election pledge to close Guantanamo, Obama explored the option of trying more accused terrorists in federal court, only to run into a political firestorm. A plan announced in 2009 to try Mohammed in federal court in New York was dropped after complaints about cost and security.

Mohammed and four others accused of some role in the 9/11 the attacks will now face military tribunals at Guantanamo, but have yet to be formally arraigned. The American Civil Liberties Union has opposed the tribunals, saying they "are sure to be subject to continuous legal challenges and delays, and their outcomes will not be seen as legitimate. That is not justice."

Saudi-born Abd Al-Rahim Al-Nashiri, a suspect in the USS Cole bombing, is the first detainee to face one of the new military commissions, but his trial won't begin until late this year -- and the prosecutor in the case has said there is no guarantee he would be released even if acquitted. Al-Nashiri's case is emblematic of much of the controversy swirling around Guantanamo. The CIA inspector-general found in 2004 that he was water-boarded and had a power-drill revved close to his head while being interrogated in 2002 at a "black site" in Thailand, which may complicate the task of prosecuting him. The new commissions prohibit admission of evidence obtained by cruel, inhumane and degrading treatment.

According to human rights groups, the fate of the prisoners left at Guantanamo is only a small part of a more troubling picture, with nearly 3,000 alleged enemy combatants held without trial in Afghanistan. More than a third of them, including "high-value" Taliban, are held in a detention facility at the Bagram Air Base, dubbed "the new Guantanamo" by human rights lawyers.

The Afghan government is now demanding it take over the prison, saying detainees have alleged torture, strip searches and freezing conditions (though these appear to have occurred in the part of the prison already under Afghan control). Under international law, the United States cannot hand over any detainees likely to suffer torture, and the United Nations reported last year that detainees in Afghan custody are routinely subject to such treatment.

As the allied military presence in Afghanistan winds down, the fate of the detainees at Bagram seems certain to grow in importance, especially if no political solution that includes the Taliban is reached. The fate of the nearly 200 prisoners still held in a corner of the Caribbean may exercise some of the best legal minds in America and produce reams of paper from human rights organizations. The future of thousands more in the unforgiving mountains of the Hindu Kush may have a greater bearing on America's future security.

@highlight

171 prisoners are now held at Guantanamo, including some from the first batch 10 years ago

@highlight

Many detainees have been released or transferred to third countries over the past decade

@highlight

"Gitmo" has been a focal point of debates about habeas corpus and alleged abuse

@highlight

Human rights lawyers dub a detention facility in Afghanistan "the new Guantanamo"