(CNN) -- People upset at George Zimmerman's acquittal are calling for awarding various new powers to prosecutors at the expense of protections for criminal defendants.

Maybe this would make it easier to hang a rap on some future Zimmerman. But it also would have an effect that its backers probably don't intend: increasing the number of persons convicted and sent to prison. As part of that effect, more young black men -- as well as more members of other groups -- will end up behind bars.

On Twitter and Facebook, many people have expressed frustration with the conviction standard of "beyond a reasonable doubt," which the state of Florida was unable to overcome. Couldn't we lower it? Others hoped prosecutors could appeal the verdict (right now, they can't; an acquittal is final).

To change either of these basic features of our judicial system, we'd have to overturn the Supreme Court's settled view of the Bill of Rights or amend the U.S. Constitution itself. And what would happen if we did? Convictions would rise, and the nation's outlandishly large and disproportionately black prison rolls would swell yet further.

Or consider the popular notion of retrying Zimmerman on federal charges.

Under our Constitution, even serious crimes such as murder are traditionally offenses under state law only.

In a controversial 1959 opinion, Bartkus v. Illinois, the Supreme Court ruled that consecutive prosecutions under state and federal law do not violate the Constitution's ban on double jeopardy. Interestingly, that was the view of the court's five more conservative justices. The dissenters, who warned eloquently of the dangers of letting government try people twice for the same conduct, were the four liberals: Earl Warren, William Douglas, Hugo Black and William Brennan.

For many years thereafter, such prosecutions were a rare exception. Occasionally they were of national note, as when a Jim Crow authority would refuse to prosecute a white-on-black crime. Only with the Rodney King case in California in 1993 did anyone seriously propose giving prosecutors a second bite at the apple after a state prosecution pursued in good faith before an ordinary jury ended in an unpopular acquittal. If the floodgates now open, how long before we see federal enforcers begin to second-guess state-court acquittals in, say, drug cases?

Others call for narrowing self-defense rights, though the Zimmerman case wound up being tried under pretty much the same self-defense standard that prevails in the great majority of states. Florida's so-called "stand your ground" law, which did away with the "duty to retreat," was ignored by both prosecution and defense, and the jury appeared to accept Zimmerman's contention that retreat was not an option for him once the altercation began.

A key constituency seeking to roll back stand your ground in the Florida legislature is prosecutors, whose interests just might not be fully congruent with those of the people they prosecute.

Although critics insist that stand your ground leads to racially disparate effects, the Tampa Bay Times, a paper that has been highly critical of the law, concedes its in-depth investigation "found no obvious bias in how black defendants have been treated" under the law.

It also quoted Alfreda Coward, a black Fort Lauderdale lawyer "whose clients are mostly black men," as saying it had sometimes worked to the advantage of her clients facing charges over altercations. "Let's be clear," Coward told the paper, "this law was not designed for the protection of young black males, but it's benefiting them in certain cases."

If you're looking for things that really went wrong in the Zimmerman case and are part of wider patterns unfavorable toward minorities, try looking at the prosecution's misdeeds.

In particular, Florida State Attorney Angela Corey overcharged, going for second-degree murder when even manslaughter was shaky. That didn't cow Zimmerman, who had a sizable legal defense fund, but such tactics work every day in extracting plea-bargain surrenders from ordinary-Joe defendants who fear a worse verdict.

Corey's team also tried the case in the news media, made jury-inflaming assertions it couldn't back up with proof, and (according to a whistle-blowing employee, soon fired by Corey) even withheld evidence from the defense side, an ethical breach should it be proven.

A public stirred up to outrage over sins like those might come to realize that they're not a fluke of the Zimmerman case, but crop up regularly in the everyday criminal justice system, to the disfavor of minority (and nonminority) defendants.

When the emotional grip of the moment has relaxed, we may wonder how we ever imagined that the way to help minorities in the justice system was to take away criminal defendants' rights.

The opinions expressed in this commentary are solely those of Walter Olson.

@highlight

Walter Olson: Those upset with verdict call for giving new powers to prosecutors

@highlight

Olson: The unintended effect of this would be that more black men would end up in prisons

@highlight

He says what really went wrong in the Zimmerman case is the prosecution's misdeeds

@highlight

Olson: To help minorities in the justice system, don't look to taking away defendants' rights