St. Petersburg, Florida (CNN) -- Crippled by the brutal wind and waves of Hurricane Sandy, the HMS Bounty was sinking.

Capt. Robin Walbridge had ordered his crew of 15 to abandon ship in the early morning of October 29, 90 miles off North Carolina.

Searching the ship a final time before escaping to a waiting lifeboat, a crew member peered through the captain's rarely opened door. There she noticed that Walbridge's treasured framed photograph of his wife, Claudia McCann, was missing from its place on his desk.

During the escape from the 50-year-old wooden ship, the captain clearly had taken his prized picture with him.

Now, four months later, that story about her husband's final moments still touches McCann. "Of all the things he could have grabbed, I guess a picture wasn't going to weigh him down," she said last week from her 1930s historic home in St. Petersburg. "But it was going to be with him."

Wearing a medallion carved with the image of the Bounty, McCann, who never took her husband's name, shared stories she's been hearing from survivors of the shipwreck.

As the U.S. Coast Guard begins hearings Tuesday in Portsmouth, Virginia, to determine if negligence was involved, McCann is defending Walbridge against criticism that his decisions somehow put the ship at risk.

On October 29, the three-masted replica of an 18th-century ship -- which starred in classic movies such as Marlon Brando's "Mutiny on the Bounty" and Johnny Depp's "Pirates of the Carribean" -- was threatened by a real-life drama as it took on water and lost power.

At one point when Walbridge was below deck, enormous waves tossed the vessel, slamming the captain into a table, said McCann. Walbridge, 63, was so seriously injured that he needed help putting on his rescue suit and life jacket as he prepared to abandon ship.

McCann said crew members' accounts conflict about whether or not the captain ever was able to escape the Bounty before it went down.

Related: Sandy claims 50-year-old tourism attraction

Remembering that terrible time, McCann, sitting in her sunroom, stared out across her backyard.

One of his last e-mails to her, she said, was saying he was going to abandon ship. It said "not to worry" because the Coast Guard knew where he was.

Eventually, the Coast Guard rescued all but two crew members: Walbridge and Claudene Christian, 42.

Related: Shipwreck victim inspired by mutineer

McCann always believed her husband was going to be all right. She said he always had a "silver lining" floating over his head, protecting him from harm.

For 90 hours, the Coast Guard searched 12,000 square miles in hopes of finding the captain.

Then, four days after the shipwreck, McCann received a call from the Coast Guard.

"It was just as hard for them to say it as it was for me to hear it -- that they were going to abandon the search," she said, pausing for a moment. "But I knew they did their best."

Of all the terrifying moments and heartbreaking news surrounding the Bounty disaster, the hardest part for McCann is that her husband's body was never found. Her sadness comes in waves.

"Interesting -- yeah, yeah it comes in waves," she said with a grin.

Walbridge was quite a sailor, his widow recalled -- a breath of fresh air filled with positive energy. He was highly respected in his industry, and everyone wanted to sail with him, McCann said.

He had some qualities associated with sailors, friends and family said, like enjoying a drink or two now and then with other seafarers at "scuzzy" bars in various ports of call.

He also had traits that clashed with the cliche of the rough-and-tumble sailing life. "I never heard a curse word come out of his mouth -- he was so even-keeled," said McCann's daughter, Shelly McCann, Walbridge's stepdaughter.

Criticism

Some sailors in the tall ship community have been critical of Walbridge's decision to leave safe harbor in New London, Connecticut, for St. Petersburg as Sandy was steaming up the East Coast.

That frustrates McCann and her adult daughter, Shelly. People "who were not there" have no right to pass judgment, the McCanns said. The facts surrounding Walbridge's decisions may come out during the weeklong Coast Guard hearing.

"The point of the investigation is to determine the cause and to see if there are any changes that could be made, industry- or regulatorywise, to prevent incidents like this from occurring in the future," said Chief Petty Officer Nyx Cangemi, U.S. Coast Guard spokesman.

WAVY-TV: Coast Guard begins hearings into shipwreck

McCann said she never questioned her husband's decision to leave port.

"I would never even think twice about telling him to do something against his decision. Who am I -- I know nothing about that."

The captain's close friend Ralph McCutcheon, sitting across from McCann at the table in the sunroom, quickly chimed in: "We'd been through two other hurricanes -- ones with higher seas -- in '96."

"The ship was in the best shape it ever been since it was built," McCutcheon said. It had just completed a mandatory inspection required by the Coast Guard every two years.

While not questioning Walbridge's decision, Shelly McCann said she wishes her stepfather had never left port.

At one of the two memorial services held for Walbridge, surviving crew members presented the McCanns with a handmade card, signed by all of them. The cards and e-mails from survivors have been a comfort -- evidence once again of that "silver lining."

'Robinisms'

Wrote one past crew member: "I think Robin has become a surrogate father for some of us ... to have a consistent and reliable man who encouraged us and gave us responsibility -- changed lives."

Claudia McCann said she "didn't realize the magnitude or the enormity of people that he touched."

One of the memorial services took place in Fall River, Massachusetts, where Shelly McCann recalled little sayings Walbridge was known for.

Crews called them "Robinisms," including, "Wakey wakey, little guppies" and "Wakey wakey, little snakies."

Claudia McCann remembers the couple working as extras in some of the films the Bounty appeared in. She scrolls through photos on her computer of herself and her husband dressed in costumes. It all brings back bittersweet memories.

Thousands of other irreplaceable photos were on the captain's computer and hard drive which she said went down with the ship -- lost forever.

But it's just stuff, she said.

"Missing Robin, I can't put that in perspective at all. There's just emptiness in my soul because he was my soul mate," Claudia McCann said, as tears filled her eyes. "I hear it fills in. And I hope it does."

She believes her husband went down with his ship, likely trying to help his crew member Christian escape.

Many sailors have told Claudia McCann that -- for lovers of the ocean -- there's no better final resting place. That's a thought that comforts her, although she would have preferred placing his remains in the sea herself.

"I guess silver linings ... come to an end," she said. "But he had his share of silver linings."

CNN's John Couwels reported this story from St. Petersburg, Florida, and CNN's Thom Patterson contributed from Atlanta.

@highlight

HMS Bounty and its captain, Robin Walbridge, were lost at sea during Hurricane Sandy

@highlight

Coast Guard hearings Tuesday aim to answer questions about possible negligence

@highlight

Widow Claudia McCann says her husband, Walbridge, had a lucky "silver lining"

@highlight

She disputes critics who say Walbridge put the 50-year-old wooden ship at risk