(CNN) -- Here's a New Year's resolution that's easy to keep, good for your health and beneficial for your relationships. And it won't cost you a penny. Sound too good to be true? Read on.

In recent months, I've been working with a group of creative thinkers who are mining the meaning of a good life. Mihaly Csikszentmihalyi, Bill Damon and Howard Gardner are renowned psychologists who've collaborated to create the Good Project, which explores the behaviors and mindsets that add up to good work, good play and good citizenship.

Together, with Lynn Barendsen, we've developed a simple set of questions for the New Year. They're catalysts for reflection rather than formulas for imitation. Their purpose is to get us thinking about our purpose, in both private and community life.

We originally developed these questions for young people, on the belief that the new generation doesn't get enough structured opportunities to explore meaning and values. But the truth is, it's not just millennials today who might lack purpose, feel uncertain about shared beliefs and goals or wish they could be part of something greater than themselves. It's people of all ages.

We Americans rarely get to make a truly mindful assessment of who we are, what's shaped us and why we hope to change. If we did that first, we'd probably be more capable of making wise resolutions and keeping them. We'd become more conscious of the web of relationship and mutual obligation that holds us together and that makes our freedom truly worth cherishing. And we might just end up being better humans.

So I invite you, whatever your stage of life, to explore these questions. Ask them of yourself. Talk with family and friends about them. Write and share your reflections. Feel free to adapt and revise the questions to suit your circumstances. And let us know on Twitter what the experience is like for you and those close to you.

If you make it your first resolution to consider these questions well, your other resolutions will almost certainly end up being more honest, more meaningful to you and more useful to others. Enjoy reflecting, and may your new year be happy -- and deeply good.

Who you are

1. Think of something (an activity, a job) to which you're really committed and that takes up a lot of your time. Why do you do it? Do you consider it time well spent? Why or why not? What would make you stop being involved?

2. Who or what do you consider your community? What do you do for the community? What would you expect the community to do it for you?

3. To whom or what do you feel responsible? What does that entail? What happens when you don't meet that responsibility?

4. Are you a good worker? A good citizen? A good person? How do you distinguish among them? Which is most important to you?

Influences

5. Who's influenced you, and how do you pass it on?

6. What individuals and institutions do you admire and why (current or past)?

7. What/whom don't you admire and why?

8. What and whom do you love?

Aspirations

9. What would it mean for you to be successful? How important is recognition, through money or esteem? What about unheralded acts or contributions?

10. What would it mean for you fail? Who or what will make that judgment for you and about you?

11. What kind of person do you want to be right now?

12. What should -- and shouldn't -- be written in your obituary?

The opinions expressed in this commentary are solely those of Eric Liu.

@highlight

Eric Liu: I've been working with creative thinkers who are mining the meaning of a good life

@highlight

Liu: This New Year's, resolve to reflect on your life

@highlight

Here are a list of questions to ask yourself, including who are your influences, aspirations

@highlight

Liu: The questions were originally developed for young people, but they're really for all