(CNN) -- Online video has gotten a bum rap. YouTube is often thought of as a home for juvenile idiocy, mindless narcissism and not much more. The collective 80 million hours we spend watching it every day seems to some like a terrible waste of human attention.

But if you dig under the surface, you can discover something much more hopeful. Hidden among all the cute kittens and pirated TV shows, online video is driving astonishing innovation in thousands of different fields ranging from the ultra-niche to the sharing of truly world-changing ideas.

In my TED talk, just posted, I point to numerous examples of this innovation, such as the dance revolution exemplified by a dance troupe called the LXD who played the Oscars this year. And I coin a term for it: crowd-accelerated innovation.

The term is new, but the process is old. Actually, this is pretty much the only type of innovation there has ever been. Contrary to the romantic myth, innovation doesn't suddenly emerge from lone geniuses and their eureka moments. It emerges when groups of people spark off each other. In history, progress took off when people came together in cities, and the scientific revolution took off when people around the world could read about each others' discoveries in print.

We're a social species. We spark off each other.

One of the most significant aspects of the Web is that it has connected vastly larger groups than ever before in history, and thereby sparked massive new types of innovation. For example, the open-source movement that created Linux and scores of other incredible pieces of software would not have been possible before the Web brought programmers together.

Similar explosions in innovation have happened in music, photography and animation, to name just three areas. But what these fields have in common is that people's work output could be easily shared digitally -- via still photographs, MP3 files, and software programs, for example. The reason online video is so significant is that it is now allowing the rest of the world's talents to be shared digitally. It's not just YouTube, of course, it's all over the Web.

Here are some examples:

Unicycling

Makeup artistry

Video Poetry

Dance

Skateboarding

Sports training

Science

The world of ideas

In my talk, I explain that you need just three things in place for crowd-accelerated innovation to take off: a "Crowd," "Light" and "Desire."

Crowd: It can be any group, small or large, of people who share a common interest. The bigger the group, the better the chance that it contains real innovators. But successful crowds also depend on lots of other roles like trend-spotters, cheerleaders, commenters, and even skeptics.

Light: You need to be able to see what the very best people in the crowd are capable of. And the amazing thing about the Web is that even when the crowd is in the millions, the best contributors can readily bubble up to the surface -- for example, by winning the most views or highest ratings on a website.

Desire: On the Web, this is provided through social recognition. If you can do something innovative and special, you get thousands of people viewing your work and talking about you. It's intoxicating. And it's driving hundreds and hundreds of hours of effort from potential innovators across the globe.

The rise of online video has vastly expanded the Crowd, shone a brighter Light on the best talent, and dialed up the Desire by offering participants a form of global fame. Someone sees a video with 50,000 views and thinks, "That's awesome, I'll copy it and take it to the next level." They emulate, then they innovate, and the bar gets raised again and again.

We've noticed it on our website http://www.ted.com/. Ever since we started posting TED talks online, speakers have started raising their game. They could see what great TED talks looked like. And they had a greater motivation to shine. So the amount of preparation going into each talk rose dramatically. But the phenomenon is everywhere, and it has the potential to transform any organization and give an amazing platform to any individual.

I'm convinced that the latest iteration of crowd-accelerated innovation, fueled by Web video, is about to ignite the biggest learning cycle in human history. There are huge implications for the future of global education. Tomorrow's best teachers will be global stars reaching literally millions of kids. And talented students around the world will no longer have their potential destroyed by lousy teachers. They can learn directly from the world's finest.

My talk ends with an incredible video shot in Africa's biggest slum, which turns out to be teeming with innovation, innovation that in past years would have simply remained invisible to the rest of the world. If we're in an age where the TED audience can learn from residents of a slum and vice versa, there's reason to be hopeful for our future.

Reaction to the talk has been intense. It's sparked dozens of comments and loads of new ideas. But what do you think? Have you had an instance where Web video has taught you something important or provoked you to action? Have you made videos yourself, and has the process of making them motivated you to innovate? If so, I'd love to hear from you. I will be reading every comment submitted below.

The opinions expressed in this commentary are solely those of Chris Anderson.

@highlight

YouTube doesn't get enough credit for its productive side, says Chris Anderson

@highlight

Online video on YouTube, other sites drives "crowd-accelerated innovation," he says

@highlight

Anderson: Global sharing of video prompts outstanding performances in variety of fields

@highlight

"Tomorrow's best teachers will be global stars reaching literally millions of kids," he says