The U.S.-led coalition intensified its airstrikes on ISIS targets in Syria and Iraq -- but that may not be enough to stop the terror group's bloody march.

ISIS is closing in on the key Syrian Kurdish city of Kobani near the Turkish border, a civilian inside the city told CNN.

The terror group is 3 kilometers (nearly 2 miles) east of Kobani, the civilian said on the condition of anonymity, basically confirming a report from the London-based monitoring group, the Syrian Observatory for Human Rights.

If ISIS takes Kobani, it would control a complete swath of land from its self-declared capital of Raqqa to the Turkish border, more than 100 kilometers (more than 60 miles) away.

Residents of Kobani said they felt helpless, and terrified.

Despite airstrikes in the area, witnesses said the attacks are too few and too far back from the front lines to slow the momentum of the terror group.

"We need help. We need weapons. We need more effective airstrikes," Kobani official Idriss Nassan said. "If the situation stays like this, we will see a massacre. I can't imagine what will happen if ISIS gets inside Kobani."

The Observatory, whose information comes from a well-established network of activists, doctors and civilians across parts of Syria, said Monday that ISIS fighters were about 5 kilometers to the east and southeast of Kobani, also known as Ayn al Arab.

"My question is: why don't you attack ISIS near Kobani," said Rami Abdulrahman, founder and director of the Observatory.

US claims successes

The U.S. military believes the ongoing bombing campaign in Syria has degraded ISIS command and control capabilities, according to a briefing to reporters by Maj. Gen. Jeffrey Harrigian, assistant deputy chief of staff for the Air Force.

There is evidence that ISiS is unable to amass troops, he said.

The Air Force reports that its F-22s are achieving good results not just by dropping bombs, but by keeping an eye out for anything being fired from the ground.

About three-fourths of the airstrikes in Iraq have been carried out by the U.S. Air Force, which is also responsible for about half of the strikes in Syria.

The latest attacks

So far, the United States and allies have conducted at least 229 airstrikes in Iraq and 59 airstrikes in Syria.

Over the weekend, Saudi Arabia and the United Arab Emirates joined the United States in pummeling ISIS targets in Syria, U.S. Central Command said. Those attacks took out armed vehicles and also hit four ISIS-controlled modular refineries and an ISIS command-and-control node north of the stronghold of Raqqa, the U.S. military said.

On Sunday night, U.S. military forces targeted to an ISIL-held grain storage facility near Manbij,  U.S. Central Command said.   The facility was being used by ISIL as a logistics hub and vehicle staging facility, it said.

Adbulrahman of the Syrian Observatory said the strikes in Manbij killed at least two workers at the grain silos.

"We are aware of media reports alleging civilian casualties, but have no evidence to corroborate these claims," said Col. Patrick S. Ryder, Director, Public Affairs at the U.S. Central Command. "I can assure you that before any mission, every precaution is taken to ensure we do not harm civilians or civilian facilities. However, we take all such reports seriously and will look into them further."

Separately a second US official confirms they are looking into a small number of civilian casualties at one targeted site.

On the Iraq side of the border, fighter jets and drones conducted at least four airstrikes over the weekend: one near Baghdad that destroyed an ISIS safe house and three near Falluja that destroyed two ISIS checkpoints and a transport vehicle, the U.S. military said.

Syrian Deputy Prime Minister at U.N.

Meanwhile Syria is lashing out at what it calls U.S. double standards.

The Syrian Deputy Prime Minister spoke before the United Nations General Assembly Monday, and said supporting the so-called moderate Syrians with money, weapons and training would only make the situation worse.

"This is a real recipe for the increase of violence and terrorism, and the bloodshed -- and Syrian bloodshed and prolonging the Syrian crisis and demolishing the political solution," Al-Walid Al-Moualem said.

"This behavior creates a fertile ground for the growth of those terrorist groups that commit the most heinous crimes on Syrian territories, which requires all of us to seriously and effectively address and eradicate this terrorism, in order to re-establish security and stability in Syria and the region."

Al-Moualem urged the international community to pool efforts to combat terrorism.

Obama: We underestimated ISIS

In an interview that aired Sunday on CBS' "60 Minutes," President Barack Obama said the U.S. government "underestimated what had been taking place in Syria" during its civil war -- allowing the country to become "ground zero for jihadists around the world."

"Over the past couple of years, during the chaos of the Syrian civil war, where essentially you have huge swaths of the country that are completely ungoverned, they were able to reconstitute themselves and take advantage of that chaos," Obama said.

Another shortcoming was overestimating Iraq's security forces, which were quickly overrun by ISIS when it took over Iraq's second-largest city of Mosul, Obama said.

In recent weeks, Obama has been trying to boost an international coalition to fight ISIS in both Syria and Iraq.

Despite the U.S. initially overestimating Iraq's military, "This is America leading the international community to assist a country with whom we have a security partnership with, to make sure that they are able to take care of their business," Obama told "60 Minutes."

"If we do our job right and the Iraqis fight, then over time our role can slow down and taper off."

ISIS militant: Airstrikes don't really hurt us

In an exclusive interview with CNN, Syrian ISIS fighter Abu Talha said the militant group had prepared for the U.S.-led airstrikes.

"We've been ready for this for some time," Abu Talha said. "We know that our bases are known because they're tracking us with radars and satellites, so we had backup locations."

One man who recently defected from ISIS said part of the group's strategy was to hide its resources in civilian areas.

"They almost entirely emptied out the headquarters," the defector, Abu Omar, told CNN's Arwa Damon after he fled to Turkey. "Some equipment they hid in civilian neighborhoods. Some they hid underground."

Abu Omar also said ISIS relies heavily on foreign fighters, including Westerners.

"The French, they have so much control -- they're even more extreme than we are," the defector said. "They come from France, but it's as if they have been part of the Islamic State for years."

CNN exclusive: ISIS fighter says U.S. airstrikes not effective

What Americans think

According to a new CNN/ORC International poll, 73% percent of Americans support the U.S.-led coalition of airstrikes in Iraq and Syria -- and most believe ISIS poses some level of threat to the United States.

But a majority -- 60% -- also oppose sending ground troops in the fight.

Even though Obama has said he will not put combat troops in the region, the United States does have military advisers on the ground training and helping the Iraqi army strategically as it battles ISIS.

@highlight

ISIS within 3 kilometers of Syrian Kurdish town, resident says

@highlight

ISIS is trying to capture a final stretch of land on its way to the Turkish border

@highlight

"If the situation stays like this, we will see a massacre," says official in Kobani, Syria

@highlight

The U.S. underestimated ISIS and overestimated Iraqi troops, Obama tells "60 Minutes"