The case of Yanira Maldonado brought international attention once more to the innocent people getting caught in Mexico's drug war.

Maldonado, a U.S. citizen and mother of seven children, was released late last week after spending more than a week in a prison in Nogales, Mexico, accused of trying to transport marijuana aboard a bus.

She and her husband, Gary, were returning on the  bus from a family funeral in Sonora, Mexico, when soldiers at a military checkpoint stopped them. The passengers were told to get out so that the soldiers and an official from the public prosecutor's office could inspect it. She was arrested and handed over to the official because soldiers said marijuana was found under her seat -- conviction could have meant a  minimum of 10 years in jail.

A surveillance video showing her boarding the bus with only her purse, blankets and two bottles of water apparently exonerated her.

Opinion: Shakedown 'justice' in Mexico

Unfortunately, not everyone is as lucky as Maldonado. The Washington Office on Latin America recently interviewed Rosa Julia Leyva Martinez, who described how one day in 1993 she decided to travel for the first time from her home state of Guerrero to Mexico City to buy some seeds for her plant nursery.

According to her video testimony, she was afraid of traveling alone, and some people from her town persuaded her to travel with them. Without her knowledge, she says they had her carry a bag with heroin through airport security.

She was blamed for the drugs and taken to police custody, where she says she was tortured and raped and forced to sign a confession. In jail, she learned to read, and the first thing she read was her conviction for drug trafficking for smuggling heroin, which sentenced her to 22 years in prison. She was released after nearly 11 years.

As the Mexican government has stepped up its efforts to combat drug trafficking, the number of people who have been detained and accused of crimes related to drugs has dramatically increased. But they must struggle to defend themselves with often poor, or no, legal representation.

A 2012 survey of the prison population by the Center for Research and Teaching in Economics in eight of Mexico's federal prisons found that the majority of the prisoners, 60%, were in jail for drug crimes. Of these prisoners, more than 43% said that they did not have a lawyer present when they presented their testimony before the public prosecutor's office, 44% said their lawyer did not explain to them what was happening during the trial, and 51% said their attorneys did not give them any advice.

Just as telling is the small number of cases that are ever brought to trial.

The Washington Office on Latin America and Transnational Institute did a study on drug laws in Latin America, including Mexico. It found that during the first four years of the government of Mexican President Felipe Calderón -- whose term ran from 2006 to 2012 -- of the 226,667 detainees accused of a drug crime, 33,5000, or  less than 15%, were ever sentenced.

This finding suggests that in the majority of cases, the evidence presented against the accused wasn't strong enough for charges to be filed, and of those, relatively few held up in court.

Mexico's justice system has a reputation for being rife with corruption -- with officials too often accused of negotiating with criminals or demanding or accepting bribes to set someone free. Indeed, Gary Maldonado said they demanded $5,000 to let his wife go.

According to the Mexican Ministry of the Interior's 2012 National Survey of the Criminal Justice System, 6% of the Mexicans surveyed had confidence in the justice system. Responders said the main problems were that criminals are not held accountable, the system is corrupt, the judicial process slow, and the service from public servants is poor.

In one high-profile case, 23 municipal police officers and two citizens from Tijuana, Baja California, were arrested in March 2009 and held under arraigo, a controversial pre-accusation detention period, while evidence was supposedly being gathered against them for alleged links to organized crime. Mexico's National Human Rights Commission documented that the agents were tortured during this detention period. Thirteen of the detained were released after spending almost a year and a half in jail; the rest were released after 3½ years, and the charges against them dropped.

The Mexican government has recognized the urgent need to change the country's criminal justice system. In 2008,  important constitutional and legislative reforms were passed that could transform Mexico's legal system to an adversarial judicial model with oral trials.

This new system is very different from Mexico's traditional inquisitorial model, where most of the evidence is presented in written form to the judge and the proceedings take place largely outside of the public view. If fully put into place, the reforms should make the justice system more effective, efficient and transparent.

In his first few months in office, new Mexican President Enrique Peña Nieto has affirmed his commitment to implement fully the justice reform at the state and federal level.

It will be no small task. Five years after the constitutional reform went into effect, only three of Mexico's 32 states are working under the new system, and it is partially operational in only 10 others. In support, the United States has  provided more than  $100 million to help Mexico fully adopt the adversarial justice system and to address weaknesses in criminal justice institutions.

Last year, Mexican human rights defender Leopoldo Maldonado stated that the country's justice system had become a "factory for producing guilty people." Mexicans -- and indeed anyone accused of committing a crime in Mexico -- deserve better.

A full transition to an adversarial system is essential to bring criminals to justice, strengthen the rule of law and provide due process guarantees for the accused. Continued U.S. support is essential as more states and the federal government work to build the criminal justice system that Mexico desperately needs.

As in Yanira Maldonado's case, too many people in Mexico have been deemed guilty until proven innocent.

@highlight

Maureen Meyer: U.S. woman jailed in Mexico one of many caught in corrupt system

@highlight

Meyer: Thousands arrested in drug wars on little evidence, and some tortured

@highlight

Woman tricked into carrying heroin was raped, forced to sign confession, she says

@highlight

Meyer: Mexico, "a factory for producing guilty people," needs new justice system