The Senate Intelligence Committee spent five years reading and analyzing more than 6.3 million pages of CIA documents to assess the CIA's use of "enhanced interrogation techniques" in the post-9/11 era.

That review produced a more than 6,000 page review that was condensed into a 525-page summary the committee released Tuesday that delivered a brutal assessment of the CIA's practices.

Here are the report's biggest conclusions and revelations:

1. "Enhanced interrogation" includes torture

Sen. Dianne Feinstein writes in the report that the Committee's findings reveal that "CIA detainees were tortured."

"I also believe that the conditions of confinement and the use of authorized and unauthorized interrogation and conditioning techniques were cruel, inhuman, and degrading. I believe the evidence of this is overwhelming and incontrovertible," she writes.

Feinstein isn't alone. President Obama said over the summer that, in the past, "we tortured some folks." And Sen. John McCain, who was himself tortured as a POW during Vietnam, said on the Senate floor Tuesday that the harsh interrogations described in the report amount to torture.

The CIA has claimed throughout its defense of the program that these coercive interrogations "saved lives" -- the most significant point the Senate committee refutes in its report.

Senate report: CIA misled public on torture

2. Torture doesn't work very well

"The use of the CIA's enhanced interrogation techniques was not an effective means of obtaining accurate information," according to the Senate Intelligence Committee report.

The report debunks the top 20 examples CIA has used to defend the now-shuttered enhanced interrogation program, claiming that each of the examples "was found to be wrong in fundamental respects."

Additionally, false confessions obtained by enhanced interrogation techniques from detainees led the CIA to pursue dead leads that did not help in the fight against al-Qaeda. Information the CIA obtained through these harsh interrogations, which in some cases amounted to torture, was either false or had been previously obtained through alternative intelligence gathering, according to the report.

"While being subjected to the CIA's enhanced interrogation techniques and afterwards, multiple CIA detainees fabricated information, resulting in faulty intelligence," the report reads.

The CIA and other advocates of these enhanced interrogation techniques, including former Vice President Dick Cheney have continued to defend the practices as critical to intelligence gathering efforts in the fight against terrorism.

Hagel on torture report release: 'We want to be prepared'

The CIA pushed back against the report in its own assessment on Tuesday, saying information obtained "substantially advance the Agency's strategic and tactical understanding of the enemy in ways that continue to inform counterterrorism efforts to this day."

3. Torture did not help the CIA find Osama bin Laden

The CIA continues to claim that coercive interrogations were crucial to capturing Osama bin-Laden, but the Senate report concludes that  the most "accurate' CIA information that led to bin Laden's capture came from a detainee before the detainee was tortured.

The CIA claims that information obtained through coercion "fundamentally" changed the agency's calculations.

The Senate report insists that bin Laden could have been captured without the torture of any detainees.

The "most accurate" CIA intelligence that led to bin Laden's capture came from Hassan Ghul, who was captured in Iraq in 2004.

While Ghul was later subjected to enhanced interrogations, the Senate report contends that Ghul provided information that led to bin Laden's courier through traditional interrogation -- before he faced anything resembling torture.

4. One detainee died, apparently from hypothermia, after being chained, nearly naked, to a concrete floor

A glimpse of these techniques details how the CIA employed sleep deprivation to wear down victims: It "involved keeping detainees awake for up to 180 hours, usually standing or in stress positions, at times with their hands shackled above their heads."

Other techniques included "rectal rehydration," "ice water 'baths,'" and threatening detainees with threats to harm detainees' families, including threats to "sexually abuse the mother of a detainee," according to the summary of the report.

Related: 'This is not America'

Other psychological tactics involved keeping detainees in pitch-black rooms "with loud noise or music and only a bucket to use for human waste."

And the rooms were cold -- freezing.

One detainee, "who had been held partially nude and chained to a concrete floor" died in Nov. 2002 from suspected hypothermia.

CIA detainees who underwent these interrogation tactics were later found to experience "hallucinations, paranoia, insomnia and attempts at self-harm and self-mutilation."

Medical personnel were sidelined and their concerns quieted when it came to coercive interrogations -- which the report says took precedent.

The waterboardings of 9/11 mastermind Khalid Sheikh Mohammed became, according to the report, "a series of near-drownings." Mohammed was waterboarded at least 183 times.

Related: McCain makes passionate defense for torture report's release

Another detainee, Abu Zubaydah, became unconscious and nearly died while he was waterboarded by CIA personnel.

"In at least one waterboarding session, Abu Zubaydah 'became completely unresponsive, with bubbles rising through his open, full mouth,'" the committee reports. "[He] remained unresponsive until medical intervention, when he regained consciousness and expelled "copious amounts of liquid."

Videotape of Zubaydah's two waterboarding sessions during a 21-hour period disappeared from the CIA's records.

5. The CIA misled the White House, Congress, and other agencies

President George W. Bush was not briefed on "the specific CIA enhanced interrogation techniques before April 2006," according to CIA records cited in the Senate report. That means it took four years from the time the program began until the President of the United States had a full accounting of CIA interrogations.

But by that time, 38 of the 39 detainees who faced the CIA's coercive interrogations had already been in custody and interrogated using those procedures. But a lack of CIA records means that more detainees may have also been tortured.

The Senate report also concludes that the CIA "provided extensive amounts of inaccurate and incomplete information" to the White House and top national security staff." The DOJ legal memo that justifies the use of enhanced interrogation techniques, according to the report, is based on evidence the report says is false.

CIA officials overplayed or entirely misstated the success of the enhanced interrogation program when briefing White House officials, according to the Senate report.

They told White House officials "that the CIA's enhanced interrogation techniques were uniquely effective and necessary to produce otherwise unavailable intelligence that the U.S. government could not obtain from other sources," the Senate report attests.

6. There was little oversight of junior officers  placed in charge of prisons

Junior officers were tasked with oversight of detention facilities and untrained CIA officers interrogated detainees unsupervised.

At the CIA detention facility referred to as COBALT in the report, a "junior officer on his first overseas assignment with no previous experience or training in handling prisoners" was placed in charge. During his tenure, a detainee died of suspected hypothermia in 2002.

CIA leadership attested in 2003 that they had "little or no awareness of operations at COBALT" and in fact some did not know enhanced interrogation was underway at the facility.

Kerry call to Feinstein exposed Obama administration torture rift

And the report also concludes that at least 17 detainees faced enhanced interrogations without a green light from CIA headquarters. Other techniques used, including "abdominal slaps and cold water dousing," were never approved by the Justice Department.

At least two mock executions were carried out at COBALT without knowledge or approval from CIA headquarters.

7. 9/11 mastermind "beat" waterboarding

Khalid Sheikh Mohammed, the mastermind behind the 9/11 terror attacks, was waterboarded at least 183 times.

The CIA said the method was effective in helping CIA interrogators pull information from Mohammed, but CIA interrogators painted a different picture in interview with the CIA's inspector general, according to the Senate report.

CIA interrogators and medical personnel said Mohammed "hated it but knew he could manage," and "figured out a way to deal with [the waterboard]."

Mohammed "beat the system" and one of his CIA interrogators attested that the suspected terrorist responded better to non-confrontational approaches.

Like others who were tortured, Mohammed often recanted information he told CIA officers to get them to stop the waterboarding.

One of those fabrications included an assassination plot against former President Jimmy Carter, which CIA officials described as an "elaborate tale."

8. Two government psychologists started a company that banked $81 million on interrogations

Two psychologists who helped develop the CIA's enhanced interrogation procedures founded a company in 2005 to help run the CIA's interrogations program.

Between 2005 and 2009, the company pulled about $81 million from the government.

The psychologists were previously involved in the Air Force's "Survival, Evasion, Resistance and Escape school" and neither had "specialized knowledge of al-Qa'ida, a background in counterterrorism, or any relevant cultural or linguistic expertise," according to the Senate committee's report.

And before founding the company, one of the psychologists recommended the use of coercive interrogation in the case of Gul Rahman, days before Rahman was found dead of suspected hypothermia in 2002.

@highlight

CIA detainees were tortured, but those enhanced interrogations didn't yield actionable intelligence, the report concludes

@highlight

The report also claims coercive interrogations did not lead to the capture of Osama bin Laden

@highlight

Grisly details of torture emerge in the report, including one who died after being chained, partially naked to a concrete floor

@highlight

The CIA misled the White House, Congress and other agencies to maintain a program that had little oversight