"Uncle" Hammad, a local Bedouin camel farmer is staring at me as though I've offended him.

I'm midway through a luxurious sand safari exploring the deserts of Dubai, and Hammad has been chatting to me over a traditional Emirati breakfast of cardamom-scented crepes slathered in date honey.

I've asked him how he's been affected by Dubai's transformation from desert outpost to international city in the space of 25 years, and now I'm bracing myself for a lecture on the blight of modernity and how materialists like me are tainting his land.

"My grandfather had a tent and a camel ..."

He pauses and raises his graying eyebrows at me, then his face crinkles into a sun-beaten smile.

"And I have a five-bedroom villa with AC, and a race horse! Do you think I don't like that?"

Turns out he's a happy man.

Dubai's Bedouin are no longer dusty nomads searching for a home -- they're now a part of the emirate's modern landscape of glamorous golf estates, tall towers, shopping malls and theme parks.

Despite appearances, their history and natural culture can still be explored, as I discovered a day earlier when I joined the Platinum Heritage safari team at the edge of the Dubai Conservation Reserve.

Pristine desert

The platinum part of this safari refers to the Reserve, Dubai's most pristine desert, but could also refer to the five-star treatment we receive while exploring it.

The heritage?

Open-top Land Rovers from the 1950s, bumblebee yellow or racing green, older than the unified country they're driving across, wheels like concrete, sounding like lawn mowers.

Before we set off, Sharaf, our Egyptian mirror aviator-shaded driver, brought out some black and white keffiye headscarves.

As we wrapped ourselves under instruction, I cringed on the inside -- who doesn't feel like a charlatan in another culture's national dress? -- but soon found out how necessary they were.

When the cars pick up speed they throw up sand and the tail of the headscarf can be pulled over to give faces protection from the grit.

There was to be no "dune bashing" on this trip, explained Sharaf.

Apart from the obvious incompatibility with these classic cars, it can be devastating to the desert eco-system.

It kills off sensitive environments for animals living under ground, which make up 95% of the land fauna found in the natural areas of Dubai.

We weaved gently over dunes and stopped at various points for photographs.

In some, the sands were golden, bare and desolate, scattered with the bones of petrified trees, disappearing in waves to the horizon.

In other areas sands were tawny, shaded by giant ghaf trees and Arabian gums, with scrub protecting the tiny animals dwelling there.

Aerial acrobatics

At one meager watering hole, delicate gazelles and lumbering oryx waited on the perimeter.

They weren't camera shy, but they wouldn't return until we left.

Later we were driven to a higher point where carpets were arranged on the sand before a natural amphitheater. Falcons waited on a roost, hooded but untethered.

DEWA the Peregrine (named after the local power company whose lines this lazy bird likes to sit on) and Wasp, a Barbary falcon, put on a show with their trainer as the sun disappeared over the city lights of distant Dubai.

The birds never touched us, but beat our heads with bursts of air as they swooped close enough to make us squeal.

At dusk we entered our camp for the night -- a stone-ringed compound established by Sheikh Butti al Maktoum, and provided to Platinum Heritage on the proviso that they provide a genuine insight to Emirati culture.

We talked with the few other passengers and drivers over dates and gahwa (Arabic coffee), before the ouzi (spiced, whole roasted lamb) was brought from its charcoal pit.

In desert silence we ate traditional food, delicious and exotic -- even to me, a longtime resident of Dubai.

As lgeimats (addictive little Emirati donuts) were brought out, we were entertained with traditional Khaleeji dances in which women sway their long, black hair, and Yolas, in which men tap rhythms with camel canes.

We smoked shisha seated on rugs around a bonfire until the desert chill sent us to bed in our camelhair tent nearby.

Scary driving

The Platinum Heritage experience is different from many desert safaris on offer.

The others range in the details and intensity, but the formula is usually the same -- pickup in a white Land Cruiser, travel in convoy to the edge of the desert where tires are deflated for traction in the sand.

Drivers proceed to scare the wits out of tourists by throwing the cars over dunes in a way I'm sure Toyota would revoke their warranties for.

I once took a GoPro camera on one of these drives.

All the footage I got was sand and sky, glimpses of the interior of the car and howls of a freaked out Scotswoman in the back seat, a broken record of "No, no, no, no, no, no, nooooooo!" punctuated by an occasional squeak or the sound of someone gagging.

Some of these safaris then round off the terror with disappointment -- an evening in a fenced compound filled with camels and quad bikes, a low quality buffet, beers and a belly dancer from Russia.

I've been on too many of these, not realizing what I was really missing out on until now.

The morning brings both sunshine and a clear head.

The cold breeze of the night has cleaned the sands, leaving only the prints of mystery desert fauna.

Hammad laughs and chatters as if we're family, welcoming us into a culture that remains hidden for so many visitors to the UAE.

He shows us that it's there for anyone to find, they just need to know where to look.

How to explore the sands

Platinum Heritage offers a range of safari options, including the vintage Land Rover tours, private night safaris, dinner safaris, camel safaris, wildlife drives and Bedouin breakfasts and falconry experiences.

If dune bashing and belly dancing are more your thing, Arabian Adventures is the largest operator. There are others.

Those who prefer to do the driving themselves should get in touch with Off Road Zone, which runs half-day desert driving courses.

Al Maha Resort offers the nature without the adventure, but with a whole lot of luxury. The resort is connected to the Dubai Conservation Reserve and has gazelles and oryx wandering free within its grounds. Prices start at about 6,000 AED ($1,600) per room per night.

@highlight

Vintage Land Rover safaris explore the delicate sand dunes of Dubai

@highlight

Platinum Heritage organizes luxury excursions into the traditional world of the emirate's Bedouin

@highlight

Retro safaris offer a gentler way of experiencing the area's wildlife that so-called "dune bashing" excursions