Las Vegas (CNN) -- Imagine a future in which icons flash on your car windshield, hologram style, as your car approaches restaurants, stores, historic landmarks or the homes of friends.

Simply point your hand at them, and the icons open to show real-time information: when that bridge over there was built, what band is playing at that nightclub on the left, whether that new cafÃ© up the street has any tables available. Wave your hand again, and you've made a restaurant reservation.

Mercedes-Benz showed off this vision of the future of driving -- complete with augmented-reality and gesture-controlled features -- this week at the International Consumer Electronics Show.

CES is the world's biggest technology trade show, and carmakers are becoming a bigger presence here. Visitors climbed into a little cockpit at the Mercedes booth and took a brief, interactive and virtual ride through nighttime San Francisco -- with the high-tech windshield as a guide.

"Gesture is very intuitive. It's very natural," said Vera Schmidt, a user-interface designer with Mercedes who led demonstrations of the technology. "You point at something, and you want to know more about it."

The technology is still crude, and at least several years away from finding its way into Mercedes vehicles. But it illustrates how automakers, while embracing current computer innovation such as dashboard touchscreens and voice-control interfaces, also are keeping an eye further down the road as well.

As digital tech -- and our expectations for it -- becomes more mobile, carmakers are taking notice. Many automotive designers here seem to have taken inspiration from smartphones, with their promise of being always connected and their vast menu of apps for every purpose.

"Cars are becoming platforms to participate in the digital world in a fully networked sense, just like your tablets can and your phones can," said Venkatesh Prasad, a senior technical leader with Ford Motor Co.'s innovation division. "It's our job to take those computing services people are used to at 0 mph and make them available at 70 mph."

Yes, that sounds a little scary. And with escalating concerns about the hazards of distracted driving, automakers must walk a fine line between convenience and safety. Automotive engineers are continually trying to simplify their interfaces to cut down on the precious seconds that a driver's attentions are diverted from the road ahead.

"All of our technology is voice-powered," Ford product manager Julius Marchwicki told CNN's sister network HLN. "So instead of fumbling with your phone ... you keep your hands on the wheel and your eyes on the road."

Sascha Simon, head of advance product planning for Mercedes-Benz USA, agreed: "We determine which apps should be in the car and which shouldn't. We have these apps integrated in such a way that they're actually relevant to you."

For example, say you're running late to a meeting and can't call or text while driving. Mercedes' messaging app will create a menu of logical missives based on your location and your car's speed -- "I'm stuck in traffic," or "I'm just north of Bakersfield" -- and display them on the screen.

You scroll through them and push a button to post the one that fits, instead of having to manually type the words.

Ford this week introduced five new apps for its pioneering Sync hands-free entertainment system, including Roximity, a daily-deals application that provides real-time discounts relevant to a driver's location. Ford is so committed to morphing its vehicles into digital platforms that the company is recruiting developers to create apps for Sync and plans to open a research lab in Silicon Valley this year.

Meanwhile, Mercedes launched the second generation of its mbrace system, which connects drivers with the Web via customized apps that can be controlled by voice commands or on a dashboard touchscreen. Mbrace is now cloud-based, meaning it's always connected and its software can automatically update itself.

Not to be outdone, Audi and Kia also have big presences at CES, and both announced updated versions of their Web-based dashboard entertainment systems.

The boldest advancements in automotive tech, however, may be a few years away. All the major car companies are working on systems that would allow vehicles to talk to each other about road conditions, weather and traffic snarls. For example, a car swerving to avoid a tire in the road could send an instant message alerting surrounding vehicles to the hazard.

Ford also is developing technology that takes a more holistic approach to driver safety and welfare. Instead of focusing on preventing collisions, for example, a car could help diabetic drivers by employing wireless sensors to monitor their glucose levels, said Gary Strumolo, Ford manager of vehicle design and infotronics.

Or a car could help allergy sufferers by monitoring for high-pollen areas, then recirculating air within the vehicle instead of pulling it in from the outside, he said.

Kia is testing something called the "user-centered driving concept," which would emphasize safety by employing an infra-red LED and camera to monitor the driver's face for alertness. The system would recognize whether the driver's eyes are opened or closed, safeguarding against an accident caused by the driver falling asleep.

All these advancements may make driving more interesting. Or they may spoil one of modern society's last refuges from the hyper-connected digital world.

Either way, they are coming soon.

"We're working on a new generation of vehicles that truly serve as digital companions," said Dieter Zetsche, head of Mercedes-Benz Cars, in a keynote speech at CES. "They learn your habits, adapt to your choices, predict you moves and interact with your social network."

@highlight

Many automotive designers seem to take inspiration from smartphones

@highlight

Cars are becoming platforms to participate in the digital, networked world

@highlight

Technology is still crude, and several years away from finding its way into vehicles

@highlight

Mercedes demos an "augmented reality" windshield at CES