Afghanistan cannot be expected to be a stable and contributing member of the international community when Afghan women are generally denied early and lifelong educational opportunities, are largely unable to work, and in some parts of the country suffer far worse.

While this is a very easy claim to make, fundamentally improving the rights women have and creating the institutions to support those rights is much more difficult to implement given the current on-the-ground realities.

Allowing an 8-year-old to marry, as often happens in Afghanistan, isn't driven by some bizarre desire to give away one's children. In the absence of viable choices, families tend to stay with the comfortable and the accepted -- no matter how horrific and foreign those decisions may seem to outsiders.

Practices such as forced child marriage and limited women's rights are symptoms of a country clinging to old ideas in a vacuum of realistic alternatives.

To believe a secure and prosperous Afghanistan can be left to the next generation while denying basic human rights to half the population is an exercise in mass delusion. It is equally delusional to believe this will change overnight, or even in this generation. But this change is possible. The question is how do we get there?

If history is any guide, shifts in attitudes are unlikely to occur by decree from the Afghan National Assembly, and even less likely under pressure from the West. The driver of change will be food security for the majority of the country and innovative ideas that expand economic development within the realities of a largely cashless and agrarian society.

According to the World Food Programme, Afghanistan consistently ranks in the bottom of the world in terms of food security and a 2012 study by the Afghan Research and Evaluation Unit highlighted the connection between food insecurity and lack of educational opportunities. Progress in this regard ultimately would allow more women to enter the workforce.

An Afghan family dealing with uncertainty and poverty simply cannot make optimal choices about the future. Sometimes the choice is between finding illicit means of income or holding onto antiquated ideas and practices, which is what we see in Afghanistan now. This cycle has to be broken.

Would the current opposition to women's rights be so fierce if Afghanistan were substantially richer or self-sustainable?

Likely not, because it would be far less threatening to the established order. Taking crucial steps to expand the economy in creative ways is fundamentally a decision about human rights and regional security, not purely an economic decision in isolation.

I have written previously about new ways to develop Afghanistan's rich natural resources in ways that are both transparent and benefit the majority of the country, not just those working in and around the mines.

Returning Afghanistan to its status as Central Asia's "bread basket" through improved water management is another crucial step toward our own self-sufficiency. However, we must also understand that economic development in isolation without the direction of core beliefs will be squandered and the next generation will be struggling with the very same problems we have today.

This change can only be accomplished with strong, values-based leadership in the Presidential Palace that is focused on the economic growth of the country as a whole and not just for a few friends and family members. We can then use that growth as the driver of positive change that can be sustained for decades.

Afghanistan desperately needs economic innovations to reduce dependence on foreign partners and significant agricultural advances to reduce uncertainty for our families.

A simple statement about rights without the economic capacity and social institutions to support them is doomed to failure but economic growth combined with core values on rights and education is how real change can happen. Then and only then can we have any hope of fighting the insurgency and securing a brighter future for all citizens, women and men alike.

@highlight

Ahmad Massoud: Afghanistan's future is closely tied to the role of its women

@highlight

He says it can't be stable and productive if women can't learn or work

@highlight

Massoud: Food security and economic innovation are the keys to expanding rights