(CNN) -- From his neatly-trimmed goatee to his love of fast cars and flight, it's not hard to see why Indian industrialist Vijay Mallya is often referred to as his country's Richard Branson.

He's immensely rich and is frequently photographed at lavish events promoting his Kingfisher brand as a lifestyle choice for India's younger, mobile middle classes.

Like Branson, Mallya's stable of businesses also includes an airline -- Kingfisher Airlines -- which risks nose-diving into a sea of debt unless the billionaire can cut costs and lighten its loans.

On Tuesday, Mallya said recent flight cancellations reflected the airline's move out of loss-making routes and should not be interpreted as a sign of impending doom, despite a doubling of the airline's second quarter losses announced earlier in the day.

Who is Vijay Mallya?

The fast-living playboy son of one of India's most successful industrialists was just 28 when he took over the chairmanship of his father's massive beer company in the early 1980s.

"Everybody thought that I'd fritter away what I had inherited. But I was determined to prove people wrong," Mallya told CNN in 2007.

United Breweries is now one of the world's biggest brewers. It holds about half of the market share for beer in India and claims that every single one of the country's tens of thousands of beer outlets stocks at least one of its brands. Kingfisher Premium Lager is also sold in 52 countries worldwide.

But United Breweries is about much more than beer. As well as Kingfisher Airlines, the holding company includes the world's biggest spirits group, United Spirits, as well as interests in the fertilizer business, engineering, property and broadcasting.

Of all its brands, Kingfisher is the most iconic. It's the name of a discontinued beer label that the young Vijay stumbled upon when he was going through the UB archives after his father bought the company in 1947.

"Something excited me about Kingfisher, you know, the bird. I saw color, I saw vibrancy, I saw movement, I saw a bit of cheekiness, you know, the kingfisher sort of fishing," Mallya said.

He revived the beer and later put the bird on the tail of Kingfisher Airlines, which was launched in 2005 and has so far failed to fly into profit.

What's up with the airline?

Results released Tuesday show the airline's second quarter net loss doubled to 4.69 billion rupees ($93 million). Revenue rose 11 % as the company sought to cut costs, but it was nowhere near enough to deal with the airline's reported debt of 65 billion rupees ($1.3B).

Anxious investors have been ditching Kingfisher shares, prompting the company to deny on November 11 that it had sought government aid. It admitted it had asked banks to raise its lending limits, but added that "Kingfisher does not see any risk to its future or long term viability."

Flights have been canceled as the company tries desperately to reduce operating costs inflated by rising fuel prices. The cuts have angered travelers as well as employees whose pay was delayed.

Despite soaring costs, Indian airlines have been slashing fares to compete with discount prices offered by state-owned Air India. Kingfisher has also invested heavily in the future, ordering five Airbus A380s, the first of which is due to be delivered in 2016.

Is it just Kingfisher?

Despite a huge rise in the number of Indians taking to the skies, the extra traffic has failed to translate into profits. Private airlines are engaged in a price war with Air India, which is being propped up by government funds. Air India is reported to have asked for another 65 billion rupees ($1.3B) in federal aid, and to have agreed with lenders to cut its annual interest payments by 13 billion rupees, according to Bloomberg.

Jet Airways is also reported to be seeking to raise up to $350 million from the sale and leaseback of aircraft this quarter and other asset sales, according to Daily News & Analysis.

The industry's struggles come despite impressive figures for passenger growth. According to the Centre for Aviation, India had the fastest growing domestic airline market as of September 2011, recording year-on-year growth of 18.4%. Strong growth is expected to continue as the country's young population becomes wealthier and takes advantage of the fierce competition for their cash.

Outside India, high fuel prices are also taking their toll on the global airline industry. The International Air Transport Association expects the industry to make just $4 billion profit in 2011, down 78% from the figure of $18 billion recorded in 2010.

What does Kingfisher plan to do?

Hours after announcing the second quarter loss, Mallya again insisted the company was not seeking a government bailout. "We have never done it, we will never do it," he said.

He said the company had asked its lenders to help with its short-term capital needs and for concessions on interest repayments.

Quoting UB Group's chief financial officer, The Economic Times reported that the airline would launch a rights issue of up to 20 billion rupees ($398M) sometime before March 2013.

As one of India's richest men, Mallya has plenty of financial clout behind him. As well as dominating the drinks industry, he's a familiar face in the world of sport.

He sponsors India's Formula 1 team, Force India, and owns a cricket team in the Indian Premier League. His garages house some 200 vintage cars and he owns the luxury UB City shopping mall in Bangalore, which is filled with top-notch Western brands including Jimmy Choo, Louis Vuitton and Gucci.

It's on a street named after Vijay's father, Vittal Mallya Road. Further down the street, you'll find Kingfisher Towers, "a super luxury residential project" boasting 75 flats and a rooftop helipad.

The troubles at Kingfisher Airlines mark a low point for the flamboyant billionaire, who is often referred to as the "King of Good Times". It remains to be seen whether Mallya's airline can ride out these rough times and stay in the air. Mallya certainly believes it can.

@highlight

Vijay Mallya is often referred to as India's Richard Branson

@highlight

Empire includes brewery business, airline, F1 and cricket teams

@highlight

Kingfisher Airlines is struggling under mountain of debt

@highlight

Indian airlines plagued by high fuel prices, aggressive discounting