(CNN) -- If the figures for childhood obesity in the United States were not shocking enough -- prompting First Lady Michelle Obama to set up a nationwide program to tackle the epidemic -- the statistics among the Native American community are yet more sobering.

Nearly 50% of indigenous children are classed as obese, and on current projections they could be the first generation not to outlive their parents.

Urgent action is clearly needed and Obama has started her "Let's Move" initiative -- but help is also at hand from a former golfer who was once talked of in the same breath as his "dear friend" Tiger Woods and remains a hero in his Native American community.

Notah Begay III is bringing the same competitive fervor which made him one of the sport's hottest young prospects to a charitable foundation which focuses on tackling these health problems.

"One in two Native American children expect to develop type 2 diabetes in their lifetime, so it is vital that effective strategies are available for all our communities," Begay told CNN.

Begay, a roommate of Woods at Stanford University, won four PGA Tour events before the age of 28 and achieved the "holy grail" of golf -- a round of 59 in a professional event.

But a debilitating back injury put paid to his hopes of building on that early promise and he now devotes his time to his NB3 foundation as well as working as a golf analyst for an American network.

'Generational trauma'

A Navajo on his father's side, while his mother is from the Pueblo Nation, Begay is fiercely loyal to his upbringing and cultural identity. He is not afraid to speak out on equality issues -- he has gone on public record to criticize the NFL franchise Washington Redskins for its "offensive" name.

Begay was alarmed by the team's custom of having non-Native Americans dressed up in traditional clothing and regalia performing at games.

It all touches a raw nerve for the 41-year-old, who believes that what happened in the past -- and our society's attitude to it -- is having a direct impact on today's generation of Native Americans, with shocking consequences.

"Historically speaking, communities that have endured genocide suffer from generational trauma which leads to social issues, poor education, poor health outcomes, high crime and lots of addiction," he said.

"These are problems in the Native American community and we are at the very beginning of the fight."

His foundation was established in 2005 with the initial goal of introducing Native American youngsters from the greater Albuquerque area to golf, in a program headed by his father, Notah Begay Jr.

Other sports such as soccer were also introduced.

But as the program expanded, the emphasis became those endemic health problems which blight his community.

"Something which started as simply golf and then soccer for kids is now an evidence based health and wellness program," he said.

Funding the fight

Begay's skills acquired as an economics major at Stanford have been put to good use with the foundation.

"I have tried to assign business principles to every aspect of our work," he revealed.

"We keep score and, if we are not hitting our targets, we change. I don't see why non-profits should not be accountable for ever dollar invested.

"To use a golf adage, we shoot for a 59 with some programs which carry a very high risk, but mix those with others where we know we are guaranteed a return on our investment. It's a good mix."

Begay has used his contacts in golf, Woods included, to promote a yearly charity tournament, the NB3 Challenge, which has raised over $4 million for the foundation.

Woods had to skip this year's tournament at the Turning Stone Resort in New York State with a back injury, but spectators were treated to his replacement Gary Woodland, Begay, Rickie Fowler and Bo Van Pelt beating an internationals team which included former Masters champion Charl Schwartzel and former world No. 1 Lee Westwood.

For the flamboyant and crowd-pleasing Fowler, the event and the cause has added significance as he is one-quarter Navajo.

"His grandmother has become friends with my father because they are both of Navajo descent," Begay said.

"I became aware of what Rickie was doing from his high school days and he has brought a lot of flair to the game.

"He is a very good-looking young man, with the colorful clothes, his unique swing, and he has created a lot of interest."

Learning lessons

For all his promise, Fowler still has some way to match Begay's achievements, which as well as his PGA Tour wins and the storied 59 in a Challenge Tour event, also included a place on the 2000 U.S. Presidents Cup team.

But like his friend Woods, Begay has also made the headlines for the wrong reasons.

In January 2000, he was arrested for driving under the influence in Albuquerque, his second offense of its type and sentenced to a year in jail, but with all but seven days suspended.

Begay makes no attempt to duck his responsibilities -- raising the issue before being asked a direct question by CNN.

"I was aware there were certain expectations as a role model, and when you get arrested for drunk driving, I felt like I let down a lot of people," he said.

"But I learned from those mistakes and a lot of times failure is what drives you to success down the road.

"I made a mistake, I served my time in jail and didn't try to sidestep it."

It is a measure of his determination that Begay went on to achieve two PGA Tour wins later that year and make that Presidents Cup appearance, pairing with Woods as the U.S. won against the International team.

But sadly, it was to prove the peak of his career, which began as a three-time All American at Stanford with Woods, but petered out due to problems emanating from a herniated disc in his back.

A number of comebacks and attempts to regain his full Tour card were ultimately frustrated and, having turned his talents to broadcasting, Begay gained a full-time position with NBC and the Golf Channel earlier this year.

"I play fine and take part in a couple of smaller events throughout the year, but playing 25 tournaments at the highest level each year is not possible," he said.

Loyalty to his community and to his friends is a constant theme in Begay's life -- he stood by Woods when the 14-time major champion was in self-imposed exile, with sponsors deserting him and supporters hard to find.

Begay was there for Woods -- embracing him warmly -- when he made his February 2010 televised confession of extra marital affairs, and behind the microphone he has celebrated his return to the top of the world rankings three years later.

Woods has returned that favor with his support for NB3, drawing the crowds in the 2012 tournament, which helped to place added focus on the foundation's crucial work.

It is now working with the Indian Health Service (IHS), which provides for more than two million Native Americans, and the collaboration was developed in support of the initiative started by Michelle Obama.

Her "Let's Move in Indian Country" program seeks to improve the health of Native youth through exercise.

"This unprecedented partnership between the Obama administration, the IHS, and the NB3F demonstrates the critical importance of leveraging partnerships and resources to tackle the health crisis facing Native American children," Begay told his foundation's website.

So exciting times ahead for his program, but he is aware of the immense challenges it faces.

"A lot of the tribal leaders are starting to support or work and acknowledge the dangers are young people are in," Begay said.

"It's all about taking personal responsibility for your own life and to make something of yourself."

Cracking the code

Begay has lived up to those ideals with a strong work ethic in his family -- drilled into him by his father -- and backed up by no little flair through the generations.

His grandfather, who died before he was born, was one of a select band of "Code Talkers" recruited by the U.S military during World War Two to use the Navajo language as a basis for a secret communications code, which was never cracked by the Japanese or the Germans.

Thanks to his own hard work and talent, Begay was set firmly on the course to stardom from his college days.

But if he does harbor any regrets about not being able to follow through on his early promise to win majors like Woods, Begay does not show it as he talks with passion about his foundation's goals and hopes for the future.

"I love this work, just as I loved trying to hit a ball onto the fairway," he said.

@highlight

Notah Begay is a golfer with a Native American background

@highlight

Has four PGA Tour wins and was a Presidents Cup teammate of Tiger Woods

@highlight

Promotes foundation for health and wellbeing in Native American community

@highlight

Fight against type 2 diabetes and obesity is his priority