(CNN) -- Should we worry about mission creep? Only one week after President Obama said that he would not send combat troops to fight ISIS, Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff, told the Senate that U.S. forces could "accompany Iraqi forces in attacks" if the situation deteriorated. As President Obama prepares to address the United Nations General Assembly this Wednesday, Americans are naturally wondering where this will all end.

Some have raised the specter of Vietnam. After all, President John F. Kennedy sent fewer advisors to Vietnam during his presidency than President Obama is sending to Syria right now. James Carafano, a former Army officer at the American Heritage Foundation, said that "this is reminiscent of how we got involved in Vietnam."

Mission creep is possible, and indeed it's likely to happen. Whenever the United States commits any human capital to a conflict of this size, complexity and danger, the pressure to intensify the nation's commitment is bound to increase. The President has already sent about 1,600 advisors. If someone is killed, it would be hard for the United States not to respond.

If the situation on the ground becomes worse, it would be difficult for the President to do nothing given that he has now acknowledged that ISIS is a big problem that requires the intervention of the United States.

But that does not mean that this will become another Vietnam. Often, the legitimate and necessary warnings about what can go wrong overstate the risks of intervention and miss the ways in which our political environment has changed since the 1960s, in a way that makes the massive and ultimately futile ground war of Vietnam more difficult to replicate.

Back in the 1960s, the United States had a peacetime draft. The system, put in place in 1940, offered presidents a virtually unending source of military personnel that they could tap into when going to war. Although Presidents John F. Kennedy, Lyndon Johnson and Richard Nixon were cognizant of the political costs of drafting Americans into war, the system still provided a huge resource that could be put into place quickly.

Congress dismantled the draft in 1973, shifting to the use of a professional army, and forever changed the capacity of the president to mobilize large ground forces. With a professional military any president has a more finite number of resources.

There's also less money for any large scale mobilization. During the 1960s and early 1970s, the statutory income tax rates were much higher than today, reaching over 90% for the highest wage earners. A vibrant period of economic growth meant that incomes were rising and relatively more tax revenue came into Treasury.

This is no longer the case. One of the biggest effects of the conservative movement in American politics, starting with Ronald Reagan's tax cut in 1981, has been to systematically whittle away at the level of tax resources. Tax rates have steady declined. Conservatives have also been extraordinarily effective at making tax increases taboo, so much that even Democrats have shied away from this policy.

When the United States went to war against Afghanistan and Iraq after 9/11, President George W. Bush cut taxes even further, abandoning the tradition of raising taxes in time of war. This is a far way off from when FDR's Treasury Department commissioned Disney films during World War II to convince Americans to pay higher taxes to defeat Germany and Japan.

So too has the growth of pre-committed spending programs such as Medicare and Social Security that consume more of the federal budget and leave less discretionary spending for politicians to play around with in any given year.

The kind of wars America fights have also changed with new kinds of military technology that have developed along with the sophistication of special operation forces. While the promise that new technology will save the nation from ground wars is not new, right now it is increasingly fulfilled. The use of drones, for example, has proven incredibly potent at attacking the terrorist networks responsible for 9/11. Special operations forces have also become increasingly sophisticated and capable of conducting the kind of targeted, small-scale operations that are at the heart of breaking up terrorist operations.

In the coming months, this kind of warfare will make it possible to combat ISIS without sizable number of boots on the ground. This is certainly not a guarantee that the need for troops won't intensify, as was the case in Iraq, but it does offer an important alternative for the time being.

Another reason that it is harder to have another Vietnam, or Iraq and Afghanistan, for that matter, is because of those wars. All of them now loom large in the mind of the public. Those wars shape every conversation, creating ongoing political concern about every military intervention -- and political pushback as things get messy.

While policymakers in the 1960s remembered the stalemate in Korea they also spoke about the victories of World War II. The current generation of politicians and voters has grown up in the shadows of unsuccessful and messy wars. The only conflicts that seemed to have a better outcome were Operation Desert Storm and the bombing of Bosnia and Kosovo in the 1990s -- all short-term, limited conflicts.

Finally, the nature of this conflict is different than what the United States faced in Vietnam. The conflict against terrorism is not simply about a brute response to ground troops. As most policymakers realize, this is a war that revolves around improving intelligence, implementing policies to win over the minds of local populations so that terrorists do not gain hold in communities and stopping the flow of financial resources that keep these networks alive.

Much of the victory will require a political solution. A massive infusion of American troops won't have the impact that is needed, and in some ways given the opposition that exists toward western intervention, too many troops could make things worse by rallying Iraqis and Syrians against the United States rather than ISIS.

None of this is to say that this war won't get bigger and that it can't get much uglier quickly. But the fact is we are a long way away from Vietnam, and some of the institutional and cultural changes that have taken place -- as a result of that disastrous war -- have created a set of handcuffs on elected officials that won't be easily removed.

@highlight

Some fear the fight against ISIS could expand via "mission creep"

@highlight

Julian Zelizer: Today's presidents constrained by factors that make another Vietnam unlikely

@highlight

Zelizer: Presidents no longer have the draft and immense budget resources for war

@highlight

He says public, chastened by recent wars, is in no mood for major military operations