New York (CNN) -- The United States and China could play a crucial role in helping finally to resolve the conflict that plagues the Korean Peninsula, says analyst Fareed Zakaria.

In one of the most violent incidents in decades, North Korea shelled a South Korean island Tuesday, killing four people.

North Korea accused the South of provoking the shelling of Yeonpyeong Island by holding a military exercise in the Yellow Sea. And South Korea responded by charging that the North's actions were a "definite military provocation."

In an interview with CNN, Zakaria said a long-term solution to the Korean conflict would require high-level secret talks aimed at assuring the government of China that if the two Koreas were reunified, it would not be faced with a nuclear-armed U.S. ally on its border.

He said China "has the power to make the North Koreans pay a very, very high price were they not to listen to the Chinese, because the Chinese provide the vital food and fuel that keeps the country alive. Remember, this is a country with almost no indigenous economic activity, and so it would be very difficult for them to meet their most vital supply needs."

"The Chinese have a lot of influence. They have so far been very careful to apply some pressure, but they have almost never cut off food or fuel -- except for a day or two when they have really wanted to send a strong signal, and, by the way when they have done that, it's worked, it gets the North Koreans' attention."

The author and host of CNN's "Fareed Zakaria GPS" spoke to CNN on Tuesday. Here is an edited transcript:

CNN: What's the significance of North Korea's actions?

Fareed Zakaria: I think it's very worrying, very troubling. Combined with the sinking of that South Korean ship, it is the most provocative thing the North Koreans have done in years in terms of instigating hostilities.

The regime is unpredictable but ruthless, and we know that the South Koreans are feeling some substantial pressure to respond in some way, and then you have all the other great powers in the region watching anxiously. The whole thing has the potential to spiral out of control.

CNN: Do you think it's connected to the succession process in North Korea?

Zakaria: I think that's probably the most plausible theory that I've heard. They're clearly going through a succession process. It appears to be one that is fairly complex -- there are different factions that are being accommodated or tussled with. Sometimes it feels like something out of a Shakespearean play where the aging king is appointing his dauphin as the successor, but there will be a regent who will actually administer, and by the way his sister has just been made a four-star general in the army.

But outside that kind of theatrics what it suggests is that the family is trying to consolidate power, that there is perhaps some opposition in some quarters, perhaps in the military, perhaps in other quarters. And by creating an external diversion, the regime is trying to consolidate power and unify the various parts of the government. But one has to admit, this is just a theory. The regime is a black box; we have so little contact that nobody really knows.

CNN: There's been a suggestion by some that North Korea is really hoping to force the issue about getting direct talks with the United States rather than be part of a six-nation diplomatic process.

Zakaria: I don't buy the idea that people send you these signals by killing soldiers, sinking warships, sinking ships. If the North Koreans want to talk to the Americans, they can ask to talk to the Americans, and they could ask to do it within the six-party talks; they could ask outside the framework; they could bring that up -- the issue of bilateral talks with the Americans in the six-party talks. Do they really have to kill the South Koreans to make that point?

I think this idea of brutal violence as some kind of sophisticated signaling device strikes me as highly unlikely. Far more likely is that this is a pretty thuggish regime that is consolidating power by creating external threats and enemies, but we probably should be open to any signs that they do want to have negotiation. I myself doubt that this is the moment that they want to do anything. They know that that door is open; the president has a very capable emissary, Stephen Bosworth, who is his envoy on this topic, very well-versed in this issue, former ambassador to South Korea, and my sense is that the North Koreans have not reached out to him.

CNN: Bosworth made a statement that he talked to the Chinese about this, but it didn't seem like there was any special progress on that front.

Zakaria: The Chinese have been pretty helpful on managing the situation, making sure that it doesn't spiral out of control, but we haven't been able to get to the next level with the Chinese, which is to say that the Chinese sustain this regime. The Chinese provide about 90 percent of their energy and about 40 percent of their food aid. It's pretty reasonable to say that without Chinese support their regime would collapse, but the Chinese have legitimate concerns about what the future of the Korean Peninsula would look like if there were a North Korean implosion.

There is in their minds the kind of scenario in which Korea unifies on the South's terms and becomes a unified much larger nation sitting on China's border with American troops in the unified Korea, with an American security alliance, and by the way with nuclear weapons. They would view it as a kind of threatening or destabilizing presence.

And so I think that is what makes the Chinese very reluctant to do anything that would cause the regime to implode or cause the regime to start a downward spiral. I think what needs to happen at some point, is that the United States and Beijing need to engage in a very high-level and very secret conversation about the future of the Korean Peninsula -- a conversation in which the United States should make certain informal or perhaps even formal guarantees regarding the role of nuclear weapons on the peninsula and the nature of American troop deployments. ...

We should make clear that we would denuclearize Korea or we would encourage the South Koreans to denuclearize Korea, and then we would not move the troops that we have north of the North/South border.

CNN: This is all in the event of a unification?

Zakaria: Right, so we make clear that in the event of a unification we understand the Chinese concern, and we would try to respond to it, without obviously in any way jeopardizing the historical relationship with South Korea. Unless we have some kind of long-term strategic conversation with the Chinese about what the future of the Korean Peninsula would look like, they don't have an incentive to in any way push the North Koreans.

So we've got to get into a conversation with them to say, "We understand your problem. We should talk about those concerns now, and would you be willing to get tough on North Korean nukes and North Korean behavior?"

CNN: Here's a different view, which some have raised -- what is the United States doing in Korea decades and decades after the end of the hostilities, and should the U.S. stay indefinitely?

Zakaria: Well, I think that's very shortsighted. Look, I am in general someone who believes the United States is overcommitted around the world. I believe we have to draw down and pare back many of our commitments, but I think maintaining a stabilizing role in Korea is absolutely crucial.

The center of power is shifting to Asia, and Korea is probably the single place in Asia where there's the greatest potential for a war between the great powers -- Russia, China, South Korea, North Korea, Japan, all get involved in this. So for the United States to be able to play a constructive role will be absolutely vital to its ability to be a Pacific power, to be in what is now the new geo-economic cockpit of the world.

I think there is a perfectly reasonable case to be made to have us draw down in places like Germany, where the threat to American security is nonexistent, to draw down from Iraq and the Middle East to where we have an overly large military presence, but Korea is a vital national interest of the United States, and I think that the major players in the region, particularly South Korea, strongly want an American presence there.

@highlight

Fareed Zakaria: China has tremendous influence over North Korea

@highlight

He says China supplies much of the North's vital supplies and can play a positive role

@highlight

Zakaria says U.S. needs to work secretly with China to bring an end to conflict

@highlight

He says U.S. assurances could go long way toward gaining Chinese OK for reunification