(CNN) -- Democracy leader Aung San Suu Kyi's victory in Myanmar's by-elections on Sunday represents the nascent return of opposition politics to the country after nearly half a century of military rule. It also has created an opportunity for the United States to begin easing economic sanctions that are hindering reform.

Aung San Suu Kyi, kept under house arrest by the government for 15 years, won a seat in the parliament with a handy plurality.

Votes continue to be tallied, but reports indicate that her National League for Democracy (NLD) party captured most of the 45 seats up for grabs. The military-backed Union Solidarity and Development Party (USDP) will maintain its grip on the majority of the 662 seats in the Union Parliament, but now opposition members will have a voice in lawmaking.

The international community should take this moment to encourage Myanmar's moves toward liberalization. For the United States, the time has come to seriously address its myriad financial sanctions on Myanmar to ensure that they are not working at cross-purposes with reform efforts.

The reformers in Myanmar believe that popular support for the political transition can be consolidated only if real improvements in the quality of life can be delivered to the country's poverty-struck masses and struggling middle class. They fear that if the country's economic decline is not arrested and reversed relatively soon, it will lead to widespread dissatisfaction and instability, threatening a return to harsh security measures.

The draconian application of U.S. financial sanctions is having a serious negative impact on legitimate economic actors in Myanmar who are struggling to institute positive changes. They are also impeding Americans who are working to assist in the reforms.

While those aspects of the financial sanctions aimed at inhibiting corrupt economic activity should be retained, they should be modified to ensure that they do not prevent legitimate financial transactions essential to the development of a vibrant private sector, that they allow wider assistance for capacity building which Myanmar so urgently needs, and that they contribute positively to the transformation of the country's banking and financial system.

Gradually easing the trade sanctions could help develop certain sectors of the economy as they begin to expand. Investment sanctions should also be reduced as the macroeconomic structures are reformed and anticorruption measures are put in place.

The complex web of U.S. sanctions targeted at Myanmar over the past 20 years includes five federal laws and four presidential executive orders, all of which require different conditions to be met for lifting.

Throughout the sanctions-building process, very little thought was given to how to unpack them if and when it was warranted. By necessity, this will be a gradual process, enabling the United States to continue to test the commitment of President Thein Sein's government to pursuing democratic reforms, halting conflict in ethnic areas and seeking a genuine political settlement and expanding individual freedoms and civic activity.

Some of Myanmar's new leaders are trying to move decisively in the direction of democracy, free enterprise, and the protection of human rights, which the United States has been advocating for decades.

To insist on solutions to all of the country's problems before sanctions can be relieved at all would be self-defeating. A more reliable measure of progress than the by-elections will come in 2015, when Myanmar plans to hold its next general elections.

By this time, the civilian population should have a better idea of whether the government is making sincere efforts to serve the public interest, whether it is safe to run for office and engage openly in political activity, and whether a new generation of socially responsible political and military leaders is emerging.

The United States should do all it can to help Myanmar get to this point.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Democracy leader Aung San Suu Kyi was elected to Myanmar's parliament

@highlight

Her ability to take part in electoral politics is a sign of reform by the military leadership, authors say

@highlight

U.S. has a complex web of sanctions enacted over many years against military regime

@highlight

Authors: It's a good time to relax the sanctions to encourage economic growth, reform