Bossangoa, Central African Republic (CNN) -- Months after a coup escalated chaos and violence in the Central African Republic, the U.N. Security Council on Thursday unanimously approved the deployment of African and French forces there.

The council also voted to impose an arms embargo on the nation, which is east of Cameroon and north of the Democratic Republic of Congo.

A representative of the Central African Republic told the council the vote would "give reasons to hope for a new dawn" for the country's embattled population.

Speaking after the vote, U.S. Ambassador to the U.N. Samantha Power said the U.S. government was "deeply disturbed" by ongoing reports of brutality in the nation.

"It is clear that urgent action is needed to save lives," she said, adding that the crisis has affected nearly half the country's population.

The Security Council resolution, put forward by France, authorizes an African Union-led peacekeeping force to intervene with the support of French forces to protect civilians, restore humanitarian access and stabilize the country.

Hours before the meeting, heavy gunfire erupted near the presidential palace in the capital of Bangui, witnesses said.

Samuel Henryon, of Doctors without Borders, told CNN that eight people were killed and 65 wounded in clashes in the city.

The agency, also known as Medecins Sans Frontieres, has 16 people helping at two hospitals where the wounded have been taken, it said in a statement. Twenty are badly hurt, most with gunshot, machete or knife wounds.

An official with the African-led peacekeeping force in the Central African Republic, Jean Pierre Sadou, told CNN he had seen eight bodies in the street. He said he had been told there were more bodies near the National Assembly.

Violence has raged in the country since a coalition of rebels ousted President Francois Bozize in March, the latest in a series of coups since the nation gained independence.

Christian vigilante groups have formed to battle Seleka, the predominantly Muslim coalition behind the president's ouster.

Multiple sources told CNN that the military commander of Seleka, Gen. Issa Yahya, was killed Thursday in Bangui. His second-in-command, Col. Saleh Zabari, is now thought to be in charge.

Sadou said Seleka is now back in control of the center of Bangui and the situation there is quiet. Fighting continues near the airport, however.

Members of Seleka told CNN that at least 30 people had been killed in the clashes in Bangui, men and women among them.

Christians take refuge

Left uncontrolled, militia groups are uniting along religious lines, leading to fears of sectarian violence.

The situation in Bossangoa, a town about 185 miles north of Bangui that is at the epicenter of displacement resulting from the violence, was extremely tense Thursday.

About 35,000 Christians have taken refuge in a Catholic church compound there.

The headquarters of the small regional peacekeeping mission told CNN that the second-in-command of Seleka had given the militia permission to attack the compound. The mission has sent reinforcements in defensive positions around the church to protect civilians.

A CNN team in the vicinity could hear sustained gunfire and rocket-propelled grenade fire that appeared to be directed at the church compound.

There is no word yet of any casualties or damage suffered.

Speaking to CNN before reports of the death of Seleka's commander emerged, Zabari said that it was believed there were armed elements in the compound but that unless those inside moved against them, they wouldn't attack it.

Power, the U.S. envoy, said the sectarian tension that has made the tens of thousands of Christians seek refuge in the church compound in Bossangoa, while their Muslim neighbors shelter in a mosque nearby, was a tragic result of the coup.

"Extremists on both sides, in an environment of lawlessness and an environment of state failure, have taken advantage of that vacuum and stoked animosities," she said.

The U.S. State Department said the United States was "appalled by today's reports of the murder of innocent women and children outside of Bangui" and was working with its international partners to find the best way to stabilize the situation.

"This horrifying account is the latest in a string of reports that illustrate the deteriorating humanitarian and security situation in the Central African Republic that could lead to an escalation in violence and further atrocities," the State Department statement said.

An unknown number of people have been killed in remote rural areas too risky to access. United Nations officials have warned that the violence between the Christian majority and Muslim minority now in power could lead to genocide.

More than 400,000 people -- nearly 10% of the population -- have been internally displaced, according to the United Nations.

"They are hiding in the bush without shelter, food, or drinking water, exposed to the weather and mosquitoes that carry malaria, the leading cause of death in the country," Doctors Without Borders said in a statement. The group has operated in the country for years and is helping dispatch mobile units to take care of the wounded.

French troops

An African Union force is already in the nation, but rights group say it's not enough to halt the escalating violence.

Last month, France pledged to send about 1,000 more troops to add to the 400 already there. The troops currently there are deployed to protect French nationals and help secure the airport in the capital, France said.

Sources in the African Union mission to the Central African Republic said Wednesday that more French troops are on their way to the nation.

France's ambassador to the United Nations, Gerard Araud, who holds the rotating presidency of the U.N. Security Council, welcomed the body's decision to intervene in what he said was a "forgotten crisis."

The United Nations has suggested its peacekeeping force could eventually augment the African-led mission.

Bozize fled the country after the coup led by rebel leader Michel Djotodia.

A transitional government is in place led by Djotodia, who was commander of the Seleka rebels. But the country continues to be wracked by unrest and new elections have yet to be held.

Opinion: Why Central African Republic is slipping close to catastrophe

Central African Republic: What's going on, what's at stake, what's next

CNN's Nima Elbagir reported from Bangui, Faith Karimi wrote and reported from Atlanta and Laura Smith-Spark wrote in London. CNN's Lillian Leposo, Nana Karikari-apau and Saskya Vandoorne contributed to this report.

@highlight

NEW: "It is clear that urgent action is needed to save lives," says U.S. envoy Power

@highlight

U.N. Security Council backs resolution authorizing African and French intervention

@highlight

Eight people have been killed and 65 injured in Bangui, Doctors Without Borders says

@highlight

Gunfire appears to target church compound where 35,000 Christians have taken refuge