(CNN)The world's strangest looking airplane is celebrating the 20th anniversary of its first flight this month.

Popularly known as the "Beluga," because of its resemblance to the white Arctic whale, the Airbus A300-600ST (ST stands for Super Transporter) is unique not only in appearance, but also for the essential role it performs in European aviation.

Today, more than 60 flights are performed each week between 11 sites, carrying parts for all of the Airbus programs.

So what's so special about this odd-looking aircraft?

Here's an in-depth look at the A300-600ST.

From guppies to belugas

Airbus' production centers are scattered all over the continent, a legacy of its origins as a pan-European consortium.

Each factory specializes in the completion of a specific section of an aircraft.

The five Belugas, all operated by Airbus, link these plants and take the different aircraft sections to the final assembly line, either in Toulouse or Hamburg.

Until the mid-1990s, Airbus used another funny-looking aircraft to perform its big transporting jobs -- the "Super Guppy," a derivative of the Boeing C-97, a military cargo version of the 1940s Boeing 377 Stratocruiser.

The Super Guppy was already outdated by the time Airbus started using it.

Worse was the fact that Airbus was relying on a couple of old aircraft from its chief rival, Boeing, to handle the bulk of its logistics chain.

If it was to keep up with its frantic growth, Airbus concluded it needed something better.

The airframe chosen for the job was taken from the Airbus A300-600, an aircraft that already had a successful track record with airlines such as Lufthansa, Air France and American Airlines.

Each of the five Belugas in operation are, actually, Airbus A300-600 jets that have been modified to carry large cargo.

The top section of the aircraft was cut and an additional, wider fuselage section -- resembling a bubble -- was added to the airframe, giving it its characteristic hump.

The cockpit was lowered, making it possible for the cargo hold to be loaded and unloaded through the front of the aircraft.

The result is an incredibly spacious cargo hold.

Although the Beluga's maximum payload of 47 tons is surpassed by a handful of other cargo aircraft, its voluminous hold makes it suitable for transporting oversized, but not particularly heavy, cargo. Like aircraft parts.

The Beluga can carry the wings of an A340 airliner or a fuselage section for Airbus' newest wide-body aircraft, the A350.

But it's not large enough to transport many A380 super jumbo parts.

Those need to travel by boat, barge and road.

Belugas have occasionally been chartered to fly satellites, helicopters and even works of art.

Delacroix's "Liberty Leading the People" flew from Paris to Tokyo on a Beluga -- the canvas wouldn't fit into any other plane.

Coming up: Beluga XL

With the Beluga hitting two decades of indefatigable service, it's starting to show its age and limitations.

Since the Beluga's maiden flight on September 13, 1994, Airbus has multiplied aircraft deliveries by nearly five.

The company has become more global, diversifying its supplier base and opening assembly plants in China and Alabama -- well outside the Beluga's relatively short range of 1,500 nautical miles with maximum payload.

In order to cope with the increasing workload, Airbus has put in place the so-called "Fly 10,000" program.

The program aims to optimize the company's logistics infrastructure by increasing the work performed by its transport fleet to 10,000 hours per year by 2017.

The plan includes the Beluga.

Airbus says the Beluga's flight hours per aircraft have doubled since it first went into service and will do so again by 2017, from 5,000 to 10,000 flight hours, due to the production start of the A350 XWB in 2012 and the production ramp-up on other Airbus programs.

With aircraft order books at a historic maximum, however, Airbus can't afford to bet its vital logistics operation chain on the readiness of five aging aircraft.

Though no decisions have been made, Airbus is reportedly looking at potential replacement solutions.

Tentatively called Beluga XL, the Beluga's replacement is likely to be based on the A330 airframe.

It's expected to have a longer range and be able to carry a heavier payload, while still being able to land at airports with relatively short runways, such as the one in Broughton, Wales, where Airbus makes wings for its airliners.

The next generation Beluga should also make it possible for Airbus to double its number of cargo flights to 120 per week.

What seems assured is that the Beluga XL is going to look similar to the current version, something plane spotters passing through Toulouse should appreciate.

Originally published January 2014, updated September 17, 2014. Miquel Ros is an aviation blogger. An economist by background, he's worked for Flightglobal and Bloomberg. He currently covers the airline industry through Allplane.tv and other online media.

@highlight

The Airbus A300-600ST -- better known as the Beluga -- took its maiden flight on September 13, 1994

@highlight

The Beluga was designed to end Airbus' reliance on the Boeing Super Guppy

@highlight

Airbus' five Belugas are made to transport huge items, such as aircraft wings

@highlight

Airbus may be looking at a potential "Beluga XL" replacement