The White House late Saturday issued a detailed synopsis, or "fact sheet," of the six-month deal regarding Iran's nuclear program.

Read the deal (.PDF)

Below is a copy of the agreement's details, verbatim from the White House:

Halting the progress of Iran's program and rolling back key elements

Iran has committed to halt enrichment above 5%:

• Halt all enrichment (above 5% and dismantle the technical connections required to enrich above 5%.

Iran has committed to neutralize its stockpile of near-20% uranium:

• Dilute below 5% or convert to a form not suitable for further enrichment its entire stockpile of near-20% enriched uranium before the end of the initial phase.

Iran has committed to halt progress on its enrichment capacity:

• Not install additional centrifuges of any type.

• Not install or use any next-generation centrifuges to enrich uranium.

• Leave inoperable roughly half of installed centrifuges at Natanz and three-quarters of installed centrifuges at Fordow, so they cannot be used to enrich uranium.

• Limit its centrifuge production to those needed to replace damaged machines, so Iran cannot use the six months to stockpile centrifuges.

• Not construct additional enrichment facilities.

20 questions about the deal

Iran has committed to halt progress on the growth of its 3.5% stockpile:

• Not increase its stockpile of 3.5% low enriched uranium, so that the amount is not greater at the end of the six months than it is at the beginning, and any newly enriched 3.5% enriched uranium is converted into oxide.

Iran has committed to no further advances of its activities at Arak and to halt progress on its plutonium track. Iran has committed to:

• Not commission the Arak reactor.

• Not fuel the Arak reactor.

• Halt the production of fuel for the Arak reactor.

• No additional testing of fuel for the Arak reactor.

• Not install any additional reactor components at Arak.

• Not transfer fuel and heavy water to the reactor site.

• Not construct a facility capable of reprocessing. Without reprocessing, Iran cannot separate plutonium from spent fuel.

Fareed Zakaria: What critics are getting wrong about the Iran deal

Unprecedented transparency and intrusive monitoring of Iran's nuclear program

Iran has committed to:

• Provide daily access by IAEA inspectors at Natanz and Fordow. This daily access will permit inspectors to review surveillance camera footage to ensure comprehensive monitoring. This access will provide even greater transparency into enrichment at these sites and shorten detection time for any non-compliance.

• Provide IAEA access to centrifuge assembly facilities.

• Provide IAEA access to centrifuge rotor component production and storage facilities.

• Provide IAEA access to uranium mines and mills.

• Provide long-sought design information for the Arak reactor. This will provide critical insight into the reactor that has not previously been available.

• Provide more frequent inspector access to the Arak reactor.

• Provide certain key data and information called for in the Additional Protocol to Iran's IAEA Safeguards Agreement and Modified Code 3.1.

One agreement, wildly different reactions

Verification mechanism

The IAEA will be called upon to perform many of these verification steps, consistent with their ongoing inspection role in Iran. In addition, the P5+1 and Iran have committed to establishing a Joint Commission to work with the IAEA to monitor implementation and address issues that may arise. The Joint Commission will also work with the IAEA to facilitate resolution of past and present concerns with respect to Iran's nuclear program, including the possible military dimension of Iran's nuclear program and Iran's activities at Parchin.

Limited, temporary, reversible relief

In return for these steps, the P5+1 is to provide limited, temporary, targeted, and reversible relief while maintaining the vast bulk of our sanctions, including the oil, finance, and banking sanctions architecture. If Iran fails to meet its commitments, we will revoke the relief. Specifically the P5+1 has committed to:

• Not impose new nuclear-related sanctions for six months, if Iran abides by its commitments under this deal, to the extent permissible within their political systems.

• Suspend certain sanctions on gold and precious metals, Iran's auto sector, and Iran's petrochemical exports, potentially providing Iran approximately $1.5 billion in revenue.

• License safety-related repairs and inspections inside Iran for certain Iranian airlines.

• Allow purchases of Iranian oil to remain at their currently significantly reduced levels -- levels that are 60% less than two years ago. $4.2 billion from these sales will be allowed to be transferred in installments if, and as, Iran fulfills its commitments.

• Allow $400 million in governmental tuition assistance to be transferred from restricted Iranian funds directly to recognized educational institutions in third countries to defray the tuition costs of Iranian students.

Opinion: Iran deal a risk worth taking

Humanitarian transactions

Facilitate humanitarian transactions that are already allowed by U.S. law. Humanitarian transactions have been explicitly exempted from sanctions by Congress so this channel will not provide Iran access to any new source of funds. Humanitarian transactions are those related to Iran's purchase of food, agricultural commodities, medicine, medical devices; we would also facilitate transactions for medical expenses incurred abroad. We will establish this channel for the benefit of the Iranian people.

Putting limited relief in perspective

In total, the approximately $7 billion in relief is a fraction of the costs that Iran will continue to incur during this first phase under the sanctions that will remain in place. The vast majority of Iran's approximately $100 billion in foreign exchange holdings are inaccessible or restricted by sanctions.

In the next six months, Iran's crude oil sales cannot increase. Oil sanctions alone will result in approximately $30 billion in lost revenues to Iran -- or roughly $5 billion per month -- compared to what Iran earned in a six month period in 2011, before these sanctions took effect. While Iran will be allowed access to $4.2 billion of its oil sales, nearly $15 billion of its revenues during this period will go into restricted overseas accounts. In summary, we expect the balance of Iran's money in restricted accounts overseas will actually increase, not decrease, under the terms of this deal.

Kerry: Israel is safe under new deal

Maintaining economic pressure on Iran and preserving our sanctions architecture

During the first phase, we will continue to vigorously enforce our sanctions against Iran, including by taking action against those who seek to evade or circumvent our sanctions.

• Sanctions affecting crude oil sales will continue to impose pressure on Iran's government. Working with our international partners, we have cut Iran's oil sales from 2.5 million barrels per day (bpd) in early 2012 to 1 million bpd today, denying Iran the ability to sell almost 1.5 million bpd. That's a loss of more than $80 billion since the beginning of 2012 that Iran will never be able to recoup. Under this first step, the EU crude oil ban will remain in effect and Iran will be held to approximately 1 million bpd in sales, resulting in continuing lost sales worth an additional $4 billion per month, every month, going forward.

• Sanctions affecting petroleum product exports to Iran, which result in billions of dollars of lost revenue, will remain in effect.

• The vast majority of Iran's approximately $100 billion in foreign exchange holdings remain inaccessible or restricted by our sanctions.

• Other significant parts of our sanctions regime remain intact, including:

-- Sanctions against the Central Bank of Iran and approximately two dozen other major Iranian banks and financial actors;

-- Secondary sanctions, pursuant to the Comprehensive Iran Sanctions, Accountability, and Divestment Act (CISADA) as amended and other laws, on banks that do business with U.S.-designated individuals and entities;

-- Sanctions on those who provide a broad range of other financial services to Iran, such as many types of insurance; and,

-- Restricted access to the U.S. financial system.

• All sanctions on over 600 individuals and entities targeted for supporting Iran's nuclear or ballistic missile program remain in effect.

• Sanctions on several sectors of Iran's economy, including shipping and shipbuilding, remain in effect.

• Sanctions on long-term investment in and provision of technical services to Iran's energy sector remain in effect.

• Sanctions on Iran's military program remain in effect.

• Broad U.S. restrictions on trade with Iran remain in effect, depriving Iran of access to virtually all dealings with the world's biggest economy.

• All UN Security Council sanctions remain in effect.

• All of our targeted sanctions related to Iran's state sponsorship of terrorism, its destabilizing role in the Syrian conflict, and its abysmal human rights record, among other concerns, remain in effect.

President Obama's legacy moment on Iran

@highlight

The White House issues a statement explaining the Iran nuclear deal

@highlight

It includes details on halting progress of Iran's nuclear program

@highlight

It also lays out the "temporary, reversible relief" for Iran