(CNN) -- Traveling with young children is an imperfect art. Sure, there are urban myths about parents who tour Europe with their silent, serene baby in an organic backpack. But that's just folklore peddled by luxury retailers selling couture children's clothing. Real kids are loud, smelly and fidgety.

Traveling only ups the ante. Exhibit A: The Brangelina brood traipsing through an airport. If that glamorous couple can't mask the hot mess of family travel, what hope is there for the rest of us? Maybe the answer lies in embracing the messiness. It's what the Japanese call 'wabi sabi,' a perspective that celebrates the imperfect, the impermanent and the incomplete. It's an apt metaphor for modern American family life, especially when you're planning spring break on the road with young children.

Regardless of your destination, there are three critical factors that help soften the sometimes harsh realities of spending quality family time together. The "Big Three" virtually guarantee a good time for the little ones and relative peace of mind for parents: a hotel with an indoor pool, free breakfast with a do-it-yourself waffle maker and access to OnDemand cartoons. When stripped to these bare essentials, family vacationing morphs from the frenzy of plotting the perfect escape to enjoying a simpler and more satisfying adventure.

Who says you can't create your best family memories over free food and drink at a hotel happy hour? Just consider the $100 tab to feed a family of four at a big-name amusement park and the beauty of a 'wabi sabi' vacation comes into clearer focus. The next step to a more mindful -- not to mention budget friendly -- family trip is to look local. Here in the Southeast, Disney World reigns supreme, but there are other regional gems worth a second look. Two to consider are Chattanooga, Tennessee, and Huntsville, Alabama.

CHATTANOOGA, Tennessee

Scenic City USA

Nicknamed the scenic city, Chattanooga, Tennessee, lives up to its billing. Perched invitingly on the banks of the Tennessee River, the city offers abundant natural attractions, including whitewater rafting, hiking and hang gliding.

More surprising, perhaps, is Chattanooga's rich cultural scene, including the Hunter Museum of Art and the historic Bluff View Art District. With literally dozens of attractions packed along the city's downtown riverfront alone, it's little wonder Chattanooga was named one of the country's top places to travel in 2012 by The New York Times. Narrowing down the list of family-friendly attractions can be difficult. Here's a kid-centered cheat sheet to help:

Where to go

Creative Discovery Museum. This three-story, hands-on museum will delight young children. Fronted by a 2 Â½ story river-play area, complete with ceiling-high climbing structures, working water cannons and a lock-and-dam system, the museum also houses a series of interactive art, music and theater exhibits. Budding scientists take heart. There's also an inventor's clubhouse for aspiring engineers and an excavation station for digging up dinosaur bones.

Tennessee Aquarium. Somehow, aquariums just seem better in cities defined by their proximity to water (sorry, Atlanta), and so it is with Chattanooga's Tennessee Aquarium. Sure, the kids will love the ocean-themed wing of this double-sided attraction, with its friendly penguins and imposing sharks, but the river-side exhibit is a wonder, too. Giant catfish, river otters and alligators roam the exhibits, offering plenty of opportunities to get lost in the dimly lit corridors of the freshwater building. No matter where you start, there are plenty of spots to dip little fingers in icy water and delight in the slimy creatures that swim by.

Ruby Falls. Modern childhood is a torrent of gadgetry and engrossing virtual reality, but at Ruby Falls there are no electronic escapes, there's something better: marvel-worthy natural wonders. Traveling from Chicago on a recent Disney-bound trip, Yuji Tamura, 32, was eager to see what he'd heard described as one of the "100 things to see before you die."

"It didn't disappoint," Tamura said. (His 11-year-old son Christian agreed, although he wasn't willing to rate it better than the Magic Kingdom. Still, points for Mother Nature!)

Situated 1,120 feet below the surface of Lookout Mountain (think of an inverted Empire State building and you get a sense of the depth), Ruby Falls is actually a series of caves leading to a stunning 145-foot waterfall named after the wife of Leo Lambert, the chemist and cave enthusiast who made the original 17-hour round-trip trek (mostly wriggling on his stomach) to view the falls. Today, it's an easy round-trip walk (less than a mile, upright). One caveat: there are no strollers allowed so be prepared to carry younger kids or distract them by throwing pennies into the countless underground pools along the guided path.

Family-friendly restaurants

When to go

During March and April the city plays host to a spring break safari, with special behind-the-scenes tours such as the keeper kids program at the Tennessee Aquarium and the junior explorer's scavenger hunt at Rock City gardens. Many local hotels, including the Doubletree and the Chattanoogan, offer spring break promotions that include bundled room and attraction rates through April.

In June, families can head to the banks of the Tennessee River for Chattanooga's nine-day Riverbend music festival. Featuring five stages with more than 100 bands, the festival also has a children's village, interactive exhibits and marketplace. This year's headliners include The Band Perry, Eric Church and Lauren Alaina. General admission is $40; kids 10 and under are free.

HUNTSVILLE, Alabama

Rocket City is worth the ride

What's more Southern than German rocket scientists and the smell of frying wiener schnitzel? In Huntsville, Alabama, the answer's not much.

Known as rocket city, modern Huntsville retains its antebellum aura (the National Trust even named it one of America's "distinctive destinations"), but the city's skyline is defined by the Saturn V rockets developed there in the 1960s. Led by Wernher von Braun and his team of German rocket scientists (spirited into the United States after WWII through a covert CIA effort codenamed "operation paper clip"), this team of former Axis-allied scientists paved the way for modern American space flight.

Today, their legacy can be felt everywhere from the city's convention center (named the Von Braun Center) to the U.S. Space and Rocket Center, which Von Braun helped establish. If you're lucky, museum volunteer Dr. Georg von Tiesenhausen, an original member of Von Braun's team, will be on hand to provide a firsthand account of the heady days of America's race to the moon.

What to do

U.S. Space and Rocket Center. The centerpiece of this sprawling space oasis is the 68,000-square-foot Davidson Center, housing an original Saturn V rocket, an Apollo cockpit trainer and a 67-foot curved-screen IMAX theater featuring five daily showings. Outside, kids can explore numerous rockets up close; experience a simulated space launch (for those under 54 inches, there's a mini-version in the cosmos play area); and stomp around a faux lunar crater. If you're planning to make a day of it, pack a lunch and picnic in space shuttle park. The perfect follow-up? A week spent at the center's famous space camp.

EarlyWorks Children's History Museum. This charming, mid-sized children's museum welcomes visitors under a canopy of 8,000 fabric leaves that comprise a sprawling imitation evergreen in the museum's atrium. Inside, this hands-on learning space is packed with fun features, including a replica blasting exhibit (complete with dry ice) that teaches kids about local mining history; a 19th-century general store; and a special space for infants and young children to safely explore. If you have extra energy, the Huntsville Museum of Art is across the street, and kids 6 and under are free.

Huntsville Botanical Garden. Located just a mile from the U.S. Space and Rocket Center, this 100-acre natural retreat is a world away from the high-tech wonders of aerospace engineering. Kids will enjoy the two-acre children's garden and mini-railroad. (The open-air Bridge Street shopping center is also nearby and has a kids' carousel and gondola rides.)

Kid-friendly eateries

When to go

Summer in the south can be brutal, so it's better to go during the explosion of color that defines Dixie in the springtime. During April, the Huntsville Botanical Garden hosts its annual festival of flowers with thousands of blooming dogwoods and azaleas on display, with average temperatures topping out at just 75 degrees.

Another spring standout in Huntsville is the 19th annual NASA Great Moonbuggy Race, April 13-14, at the Space and Rocket Center. The race pits high school students from around the world against one another in a feat of engineering to see who has the math and science skills to reach the finish line first.

No matter where you're headed this spring break, if you go there in the spirit of wabi sabi family fun you're guaranteed to find unexpected delights.

What's your approach to family travel? Has looking past perfection helped your trips? Share your family travel stories and tips with us in the comments section below.

@highlight

'Wabi sabi' travel involves embracing imperfection

@highlight

Adopt that philosophy for a family-friendly trip to Chattanooga and Huntsville

@highlight

From aquariums to space rockets, these southeastern cities have kids covered