Washington (CNN) -- Republicans on a House committee rejected strenuous Democratic objections in voting Friday that Internal Revenue Service official Lois Lerner waived her constitutional right against self-incrimination at a prior hearing.

The resolution was the first step in an effort by Rep. Darrell Issa of California, the GOP chairman of the House Oversight Committee, to force Lerner to return to answer questions about targeting of conservative groups by the unit she headed.

It passed on a 22-17 vote, with every Republican in favor and every Democrat opposed, following an unusually vitriolic hearing.

Democrats accused Issa of a partisan witch hunt that threatened Lerner's 5th Amendment rights, while Republicans seethed at how Lerner had first declared her innocence before refusing to answer questions on constitutional grounds at the earlier hearing.

Issa's resolution is likely to set off a lengthy legal back-and-forth with Lerner and her attorneys that could include her eventual appearance at another hearing, where committee members agreed she would again assert her 5th Amendment rights.

That could then lead to efforts to cite her for contempt of Congress.

Lerner headed the IRS unit that targeted some conservative groups seeking tax-exempt status for extra scrutiny. Disclosure of the targeting in an inspector general's report in early May set off a political firestorm, leading to investigations by the FBI, congressional committees, the inspector general and the IRS itself.

Republicans grill acting IRS chief over targeting probe

Under subpoena to testify before Issa's panel on May 22, Lerner instead made a statement that declared she did nothing wrong, and then invoked her 5th Amendment right. Issa dismissed her, but warned the committee might call her back.

Friday's hearing was the first step toward forcing Lerner to appear again. If approved, Issa's resolution would set the stage for requesting her to come back and testify because she had waived her 5th Amendment right in the view of the committee.

"I believe Lois Lerner waived her 5th Amendment privileges," Issa said. "She did so when she voluntarily chose to deliver an opening statement" that included what he described as "four specific denials ....at the core of the committee's investigation into this matter."

Other Republicans called Lerner's actions an arrogant rejection of congressional authority.

"Lois Lerner is in fact the poster child for thumbing her nose, a federal bureaucrat thumbing her nose at Congress," declared GOP Rep. John Mica of Florida, later calling the matter "a showdown, really, in who's in control of the government and whether we honor the Constitution."

Democrats strenuously objected to the resolution, calling it a political gesture and asking for the committee to first hold a hearing on the legal basis for the finding that Lerner had waived her constitutional right.

Rep. Stephen Lynch of Massachusetts said Issa's resolution would hinder efforts to compel Lerner to testify if the matter ends up in court over an eventual contempt of Congress citation.

"I think what we're doing today will doom our effort to hold Ms. Lerner accountable," Lynch said, adding some Democrats would have supported Issa "if you did it properly."

Instead, "we have not had the meaningful, deliberate process that would give weight to our decision," he added, calling Friday's hearing "a political process."

Another Democrat, Rep. Steven Horsford of Nevada, called the "back-and-forth political bickering" at Friday's hearing "an embarrassment." He accused Issa of conducting "witch hunts" instead of seeking solutions to the problems at the IRS cited by the inspector general's report.

"These are the issues that the American people want us to focus on, not more partisan arguing and gridlock," Horsford said, adding that Issa's resolution does nothing to fix the improper targeting.

Eleanor Holmes Norton, the elected House delegate from the District of Columbia, said she and other Democrats agreed with Republicans that Lerner's testimony would be vital to the panel's investigation of the targeting scandal.

"I hope we can find a way to get to the real point, perhaps by offering her some kind of immunity," Norton said.

Issa responded that the committee first had to take the procedural step of concluding Lerner's testimony from the May 22 hearing, which remained open. Only then could the panel try to strike an immunity deal, he said.

When Norton persisted in questioning Issa about the matter, he abruptly declared her allotted five minutes to speak had expired and moved on.

In another sharp exchange, Issa argued with Democratic Rep. John Tierney of Massachusetts over a GOP memo that included a request that it not be distributed to all of the committee's Democrats to reduce the risk of it becoming public.

Tierney asked Issa which members he didn't want to see the memo, but Issa avoided the question and cut him off, saying, "The gentleman's time has expired."

IRS targeting scandal reshaped by new details

"Well, the gentleman's excuse is lame," Tierney shot back.

Republicans have tried to maintain public focus on the evolving IRS targeting scandal, inferring it could reach to the top levels of the Obama administration.

No evidence so far shows political motivation or any involvement from outside the IRS, according to the inspector general's report that revealed the targeting and the acting IRS director appointed last month by President Barack Obama to clean up the mess.

Both liberal and conservative groups were flagged by the IRS when assessing their eligibility for a tax break available to social welfare organizations.

However, only conservative groups faced delayed processing and inappropriate questioning about political activity that would make them ineligible, according to IRS Principal Deputy Commissioner Daniel Werfel and a letter by J. Russell George, the Treasury inspector general for tax administration.

IRS screeners used conservative-themed criteria such as a group using the words "tea party" on "Be on the Lookout," or BOLO, lists to determine if groups underwent further review for political activity that would make them ineligible.

Another category of the BOLO lists also had liberal-themed criteria, including the word "progressives," but that category didn't set off the automatic extra scrutiny for political activity, George's letter said.

Under tough questioning Thursday at a House Ways and Means Committee hearing, Werfel acknowledged that the different BOLO categories meant liberal groups avoided the extra scrutiny cited by the inspector general that included processing delays and extensive questions perceived by conservatives as political intimidation.

Werfel repeatedly cautioned that his internal review was incomplete, and that additional information from continuing investigations will be needed to reach definitive conclusions.

He noted that 80 groups that have waited more than 120 days for a final decision on their applications for a tax break represent a diverse range of political leanings.

All involved in Thursday's meeting agreed Werfel needs more time to figure out exactly what happened, who was responsible and why.

That didn't stop Republicans from criticizing his efforts so far. Rep. Dave Camp of Michigan, the Ways and Means panel's GOP chairman, said Werfel's report lacked accountability and reached unsubstantiated conclusions of no political motivation.

"If there is anything this report shows, it's just how much more work must be done," Camp said, noting that Werfel had yet to interview principal figures or get other information necessary to determine the origins or scope of the targeting.

Another GOP legislator, Rep. Kevin Brady of Texas, called Werfel's report "a sham."

Werfel said the FBI and inspector general are handling interviews of IRS officials involved in the targeting, adding that the investigations could involve criminal behavior.

He repeated the assertion in his report that no evidence so far suggests intentional wrongdoing by agency personnel or influence from outside the IRS in the targeting.

His report, released Monday, said five managers had been replaced and other steps were taken in response to George's audit last month that set off a political firestorm in Washington.

Republican leaders contend the targeting uncovered by the inspector general's audit indicates political villainy by the Obama administration to try to stifle opponents, such as groups with "tea party" in their names that were flagged for additional IRS scrutiny.

Democrats said Thursday that such allegations are politically motivated instead of based on any evidence. Rep. Sander Levin of Michigan, the top Democrat on the panel, asked Werfel if there is any evidence of White House involvement in the targeting, and Werfel answered there is not.

CNN's Deirdre Walsh and Dana Bash contributed to this report.

@highlight

Partisan vitriol flows at a House Oversight Committee hearing

@highlight

A GOP legislator says IRS official Lois Lerner thumbed her nose at Congress

@highlight

Democrats say a GOP resolution threatens Lerner's constitutional rights

@highlight

The resolution says Lerner waived her right against self-incrimination