(CNN) -- The results of the midterm election confirm Americans' widespread discontent with Washington gridlock on a range of issues.

In the last few months, millions of people contacted the White House, Congress and federal agencies to demand action on one of those issues -- protecting a free and open Internet.

Their message was overwhelmingly clear: Americans don't want fast and slow lanes online. They want the government to preserve the Internet as a place where everybody -- startups, small businesses, nonprofits, activists, and independent artists -- has an equal chance of reaching people.

Yet it appears their voices have fallen on deaf ears.

The Federal Communications Commission, tasked with creating new rules to protect the Internet, appears to be favoring a proposal that will allow fast lanes after all. As the New York Times reports, the proposal would permit Internet service providers (ISPs) like Comcast and Verizon to charge Internet applications, content or services access fees for faster service, as long as those fees are "just and reasonable."

The proposal is bad policy and rests on shaky legal foundations. If some companies can pay so that their content loads faster and reaches people easier, then small businesses and startups won't have a chance to compete. Innovation as we know it will suffer.

In fact, the proposal harms anyone who can't pay to be in the fast lane, making it harder for everyday people to create, connect and organize online. It's no wonder that 3.7 million Americans, more than 70 members of Congress, and President Obama have come out against fast lanes.

So far, the FCC is not listening. But it's not too late. The FCC should take this week's midterm results as a wake-up call to listen to the public. It should ban access fees and stop the creation of fast lanes in a way that will be upheld in court.

Net neutrality explained

In order to ban access fees, the FCC must reclassify the ISPs that connect us to the Internet as common carriers under Title II of the Communications Act. That's the only way to ban these fees, and that's what the agency should do. But instead, it seems to be leaning toward a confusing "hybrid" proposal that creates two legal categories for the service offered by ISPs â€” a "wholesale" service that allows companies like Google, Yahoo! and Netflix to reach us, and a "retail" service that connects us to the Internet. The FCC wants to classify only the wholesale side under Title II.

Under this "hybrid" proposal, the FCC would decide case-by-case whether specific access fees are just, reasonable and non-discriminatory. This approach provides little certainty to entrepreneurs and investors, creates high regulatory costs, and tilts the playing field against those who don't have the resources, time and money to engage in long and costly proceedings at the FCC. Worst of all, it still allows access fees and fast lanes.

Any access fees, no matter how "reasonable," will crush innovation in America. If Comcast offered a fast lane to Netflix, the FCC could potentially force it to make a similar offer to Hulu and YouTube. But if a video startup couldn't pay the fee, then it would never have the chance to compete in the first place.

Think of what we'd lose. Innovators with little or no outside funding have produced some of the most important sites -- such as Google, Facebook, Yahoo, and eBay -- and economic research suggests that such innovators will continue to fuel our nation's economic growth. Even companies that remain small create jobs and provide value to customers.

But there's more that we'd lose. Large corporations that pay to be in the fast lane will have higher costs, so we the customers will be forced to pay higher prices for their products and services. Small businesses that rely on the Internet to reach their customers will be shut out of the market. Worse, all noncommercial actors will be in the slow lane -- educators, artists, activists, nonprofits, underserved communities, and the list goes on. This will harm democratic discourse as we know it.

As if this wasn't bad enough, the FCC's proposal is also likely to fail in court. The proposal appears to prevent ISPs from blocking or discriminating against sites, but it relies on a new, untested legal foundation that does not actually allow the FCC to adopt such rules. And while this legal foundation empowers the agency to police access fees, it does not grant it the authority to ban them. So even if the FCC wanted to improve its rules and ban access fees, any attempt to do so under its proposed "hybrid" approach would likely be struck down in court.

From the FCC's perspective, the proposal might seem like a compromise. It improves the FCC's ability to police access fees, but does not actually ban them. It involves Title II, but does not reclassify ISPs. But we are not getting the benefit of the bargain.

The proposed rules fail to protect the Internet, pose high social costs, and will most likely be struck down in court. And as ISPs have made abundantly clear, they oppose "hybrid" proposals just as strongly as reclassification and will fight them tooth and nail.

Fortunately, there is a better "compromise" on the table. The FCC should reclassify Internet service under Title II and then lift (or in legal terms, "forebear from") all regulations that are not needed to protect consumers. This route would allow the FCC to pursue a light regulatory touch that protects ISPs' incentives to invest while adopting bright-line rules that ban blocking, discrimination, and access fees.

The FCC is at a fork in the road. It could turn its back on sound policy and public opinion and pursue fast lanes, or it could adopt meaningful rules that protect the American people and will be upheld in court. The correct path is clear.

@highlight

Barbara van Schewick: Americans want a free and open Internet, not a fast and slow lane

@highlight

Van Schewick: Yet, the FCC appears to be favoring a proposal that will allow fast lanes

@highlight

She says that's bad policy and rests on shaky legal foundations; FCC must look to better policy

@highlight

Van Schewick: Two lanes will hurt innovation, and consumers will have to pay more money