(CNN) -- Australia is emerging from the grip of its strongest La Nina weather pattern on record -- a meteorological event that brings either devastating floods or, in the case of its counterpart El Nino, scorching droughts.

According to the Australian Bureau of Meteorology, the weather pattern that brought dramatic floods to southern Queensland a year ago -- one of the most intense on record -- is waning, but oceans around the eastern seaboard are still warm enough to cause high pressure systems that dump months of rainfall in a matter of a few days.

"There was a very slow moving trough over inland Australia that stretched from the far northwest, through the Northern Territory and on to the southeast including New South Wales and Victoria," said Jenny Sturrock, acting senior meteorologist at the National Metereological Centre.

"When it meets all that nice warm moisture from the Coral and Tasman Seas, we got several days of heavy rainfall that led to flooding," she said.

"This type of broad scale pattern is more conducive to rainfall but it's also exacerbated by short-term meteorological patterns too."

Scientists are blaming La Nina for the recent flooding in Australia and the Philippines.

The weather pattern is part of a natural cycle called the El Nino Southern Oscillation (ENSO) and occurs when cold water builds up on the west coast of the South American continent.

Pulled by strong easterly winds, the cold water surges west across the Pacific, creating a "cold tongue" that pushes warm water and a consequent high pressure system ahead of it. The resulting weather system -- filled with warm, water-laden air -- dumps unusually heavy rain when it makes landfall.

Its opposite effect, El Nino, is usually marked by wetter weather over South America. Currently, Argentina is in the grip of drought.

La Nina occurs at intervals between a few years and a decade and generally lasts for a year or two.

To what extent global warming has contributed to the intensity of the weather pattern is still not known, with records of the event only stretching back 60 years. Nevertheless, the bureau has said the pattern is similar in intensity to La Nina flooding in 1939 and 1950.

Long-term weather patterns across the Australia are notoriously difficult to forecast and meteorologists are collecting oral evidence from Aboriginal people to get a handle on the continent's weather cycles.

The Bureau of Meteorology's Indigenous Weather Knowledge project aims to build a weather map of Australia based on knowledge of weather patterns from indigenous communities.

Under this system, a startlingly complex mosaic of weather patterns is being mapped. For example, studies have established that the Aboriginal people of the Sydney region recognized six distinct seasons, rather than the four given to the area by its white settlers.

@highlight

Australia emerging from strongest La Nina on record

@highlight

La Nina is associated with strong wet weather patterns in Australia

@highlight

The weather patterns create warm seas that lead to heavy rains

@highlight

Scientists have been compiling data from Aborigines to get a grip on long-term patterns