Santiago de Compostela, Spain (CNN) -- The driver of a train that derailed in northwestern Spain, killing at least 78 people, is under detention and is being investigated for "a crime," the regional police chief said Friday.

Investigations into the cause of the crash are still under way, but suggestions that the train was traveling too fast have come to the fore.

Police are guarding the hospital bed where the driver was placed in detention Thursday afternoon, Maria Pardo Rios, a spokeswoman for the Galicia regional supreme court, told CNN.

Investigators are expected to ask the train driver, who is under formal investigation, more questions on Friday. The case has not yet been turned over by police to judicial authorities, she said.

Spain train crash victim: 'It felt like a roller coaster'

Galicia regional police chief Jaime Iglesias on Friday confirmed that the driver is under police detention because of "a crime."

Asked the follow-up question, "What crime?" he responded: "Well ... in connection to the accident, in connection with his recklessness, in connection with causing the accident."

The crash on the outskirts of Santiago de Compostela, a city popular with tourists and Christian pilgrims, late Wednesday shocked the Galician region and the nation.

The crumpled wreckage of the eight train cars sent careering onto their sides when the train derailed has now been removed from the tracks, but the grim task of identifying the dead continues.

A spokeswoman for the Galician regional government told CNN at least 78 people are confirmed dead and the number could rise to 80. Of the dead, 72 have been identified, she said.

A spokeswoman for the department of health in the Galicia region said 81 people are still being treated in hospitals, 31 of them in a critical condition. Of those 31, three are children.

Those hospitalized include 31 from Galicia, 38 from other Spanish regions and eight from Argentina, Colombia, Peru, the United States and Britain. The nationalities of four others have not been established.

An American woman identified as Ana-Maria Cordoba from Arlington, Virginia, is among the dead. And at least five other U.S. citizens were injured, said State Department deputy spokeswoman Marie Harf.

The unidentified remains will be sent for DNA testing in Madrid, police Superintendent Antonio del Amo said at a news conference Friday. The process could take days or even weeks, he said.

Conflicting accounts have emerged in the past two days over the number of people killed and injured. Del Amo explained the confusion by pointing out that the operation was very complex and involved a difficult accident scene.

Questions over train's speed

Spanish news agency Efe and national daily El Pais cited sources within the investigation as saying that the driver had said the train was traveling about 190 kilometers per hour (120 mph).

Elena Garcia, a spokeswoman for national railway Renfe, on Friday did not disclose the speed the train was traveling on an express track, where cars can move as fast as 250 kph. She did say, though, the speed limit for the bend of track where the crash occurred is 80 kph.

Rafael Catala, secretary of state for transport and housing, told Spanish radio network Cadena SER that the "tragedy appears to be linked to the train going too fast," but that the reasons it was going so fast are not yet known.

Workers were using a large crane to remove the train's two engines, one at the front and the other at the rear, from the track Friday morning.

The express passenger service was nearing the end of a six-hour trip from Madrid to the town of Ferrol in northwest Spain when it derailed at 8:41 p.m. Wednesday, the state railway said.

Security footage revealed how, as the train hurtled around a bend, its cars derailed and slammed on their sides into a concrete support structure for a bridge.

Survivor: We looked like the walking dead

Flames burst out of one train car as another car was snapped in half in the crash. Rescue crews and fellow passengers pulled bodies through broken windows and pried open doors as stunned survivors looked on.

Stephen Ward, an 18-year-old from Bountiful, Utah, who is in Spain serving on a Mormon religious mission, was one of the lucky ones.

Still patched up and wearing a neck brace, he told CNN's "New Day" show of his ordeal -- and his relief that he made it out alive and without permanent injury.

Ward was writing his journal when he noticed from information on a screen across from him that the train was going "very, very fast."

"We went round a sharp turn and all of a sudden you could tell one set of wheels left the rails," he said. "We were just riding on one set of wheels for two or three seconds."

Luggage started falling from the overhead racks "and then after one or two seconds, you could feel us leave the other set of the tracks and the train rotated about 90 degrees."

Ward blacked out before the train hit the ground, regaining consciousness only as he was being helped out of the train.

He registered nothing of the chaos inside and it took him a couple of minutes to grasp that what he was seeing outside was not a dream -- and that people were dead.

"They were helping out other people -- there were bodies, there was screaming, there was smoke."

The survivors looked like the walking dead, he said. "I've got staples all over my scalp, I was covered in blood. They've scrubbed most of it off me now but everyone was just covered in their own blood and occasionally the blood of others. It was gruesome to say the least."

Ward, who has already fought off a rare intestinal cancer, said he was very thankful to have survived this latest brush with death and he wants to continue his two-year mission in Spain.

Another victim, speaking from a hospital bed with his arm in a sling, told CNN affiliate Atlas that it seemed like the train was going fast.

"But we didn't know what was the maximum speed, so I thought it was normal," he said, "And suddenly there was a curve, the suitcases fell, and everything went dark. And I hit my head a ton of times, and 10 seconds later I was wedged between seats, and I had people's legs on top of me."

As he waited for rescuers to pull him from the wreckage, he heard other passengers yelling.

"I heard little children screaming. ... I also heard two girls that yelled out, one supporting the other," he said.

U.S. citizen killed on way to see her son

When the train crashed, Ana-Maria Cordoba was on the way with her husband and their daughter to visit her son, who had been on a pilgrimage in Spain, the Catholic Diocese of Arlington told CNN.

Cordoba, who worked for the diocese, was killed, spokesman Michael Donahue said.

Her husband and daughter are hospitalized in stable condition, the diocese said.

CNN's Houston affiliate KHOU named a couple from the Texas city, Robert and Myrta Fariza, as also being among the injured Americans.

According to an image it published of a note apparently posted on the door of their home, Myrta Fariza is in critical condition. Her husband was also injured but is "recovering well," it said.

Interim charge d'affaires Luis G. Moreno at the U.S. Embassy in Madrid said it was in touch "with families of some injured American citizens."

A British citizen was also among the injured, UK Foreign Secretary William Hague said.

The state rail company, Renfe, stated that 218 passengers were on the manifest. It's not clear how many crew and staff were aboard the train.

'We cry for the victims'

Spain's King Juan Carlos and his wife, Queen Sofia, visited a hospital in Santiago de Compostela on Thursday evening to meet some of those who were injured.

"All Spaniards, we are united at this time. ... Really all Spaniards join in the pain of the families of the dead," he said. "We hope that the wounded will recover, little by little."

The royal family canceled all events scheduled for the day out of respect for the day of mourning, the royal household told CNN.

Alberto Nunez Feijoo, head of the regional government in Galicia, declared seven days of mourning in the region for victims of the tragedy.

In a speech, he said "all of the community cries about the tragedy that we are living, we cry for the victims, we cry for the unease and sadness of the families."

Spanish Prime Minister Mariano Rajoy viewed the scene of devastation and visited some of the hospitalized crash victims Thursday.

Rajoy, who is from Santiago de Compostela, said two investigations are under way. "We want to establish what happened," he said.

The prime minister declared three days of national mourning to honor the victims of the crash.

The crash came on the eve of a public holiday to celebrate a saint's day, when more people than usual may have been traveling in the region. Planned festivities in Santiago de Compostela and across Galicia were canceled after the crash.

CNN's Karl Penhaul reported from Santiago de Compostela and Laura Perez Maestro from Galicia. CNN's Laura Smith-Spark wrote in London. CNN's Al Goodman, Lindsay Isaac, Jonathan Helman, Catherine E. Shoichet, Elwyn Lopez, Patrick Sung, Jill Dougherty and Mariano Castillo contributed to this report.

@highlight

NEW: The speed limit where the crash happened was 80 kph, rail official says

@highlight

The driver of the train is under police detention, Galicia police chief says

@highlight

At least 78 are dead; DNA tests to be done on some remains, official and police say

@highlight

"There were bodies, there was screaming, there was smoke," says survivor from Utah