April 13, 1975 -- one of the darkest dates in Lebanese history. An attack on a busload of Palestinians in Beirut that day sparked a civil war that would rage for 15 years, leaving some 150,000 dead, the capital divided along sectarian lines and sections of the country in ruins.

But ask students in the city today of the significance of the date, and you get mixed responses.

"I think it was a very important occasion for Lebanon," says Noor El-Hoss, a student in West Beirut's Al Iman School. "But I don't know what happened."

Explains fellow student Zeina Naous: "We are studying about ... World War Two. We are not studying about the civil war, or what happened to Lebanon."

More than two decades after the end of the country's civil war, generations of young Lebanese are growing up with little formal education about the conflict.

Home to contesting political groups representing 18 religious communities, Lebanese society contains many deep divisions, and the country's recent past is widely considered too contentious to examine in depth. To avoid inflaming old hostilities, Lebanese history textbooks stop in 1943, the year the country gained independence.

"We have a vacant hole in our history books," said independent scholar Dr. Maha Yahya, adding that this absence from the textbooks reflected society's broader silence regarding the conflict.

"There's been no discussion, no writing," she added. "It's almost as if we wanted to apply to history the amnesty laws that we applied immediately after the civil war, and said 'Nobody is to blame, everybody is equally not responsible for what happened.'"

See also: Lebanon's women prisoners find freedom behind bars

The country's Minister of Education, Hassan Diab, acknowledges it's all about politics.

"After more than 20 years ... the teaching of history in Lebanon remains, as it has always been, subject to the interests of various political groups," said Diab.

Others caution that failing to teach younger generations a balanced view of their history could reinforce sectarian divisions.

Yahya said that the absence of a comprehensive, authoritative history of the war left events of the period "open for interpretation."

"The children turn to their families and to their communities to learn very particular perspectives of this contemporary history," she said.

Yahya said that a survey of 3,000 Lebanese 14-year-olds conducted in 2007-8 found that the historical Lebanese figures children most strongly identified with were leaders from their own sectarian background.

"What we discovered throughout ... the questionnaire is that children tend to learn and directly absorb the values of their parents and their communities. Schools were not places where children went to learn about these things," she said.

"I think this is in part playing a big role in the kind of sectarian division we're seeing today."

See also: Sights and sounds of Beirut's "Little Armenia"

Dr. Reina Sarkis, a psychoanalyst and history researcher, agreed. "They only have the oral history that their parents told them," she said. "You grow up with deep divisions that become even deeper with time. There's no sense of closure, there's no coming to terms with your past."

The result, she said, was a heightened risk of communities becoming "stuck in the cycle of violence." In this regard, she said, Lebanon remained a society "without closure."

"This is the repetition ... that you get stuck in when you don't do your homework," she said.Follow the Inside the Middle East team on Twitter: Presenter Rima Maktabi: @rimamaktabi, producer Jon Jensen: @jonjensen, and producer Schams Elwazer @SchamsCNN.

@highlight

Lebanese civil war lasted 15 years, leaving 150,000 dead

@highlight

Young Lebanese growing up with little formal education about the conflict

@highlight

To avoid inflaming hostilities, Lebanese history textbooks stop in 1943

@highlight

Teaching of history in Lebanon is "subject to the interests of various political groups," says minister of education