(CNN) -- Contaminated and polluted water now kills more people than all forms of violence including wars, according to a United Nations report released Monday that calls for turning unsanitary wastewater into an environmentally safe economic resource.

"At the beginning of the 21st century, the world faces a water crisis, both of quantity and quality, caused by continuous population growth, industrialization, food production practices, increased living standards and poor water use strategies," the report by the U.N. Environmental Program says.

As a result, "it is essential that wastewater management is considered as part of integrated, ecosystem-based management that operates across sectors and borders, freshwater and marine."

The report defines wastewater as a combination of fertilizer runoff, sewage disposal and other animal, agricultural and industrial wastes.

Wastewater a deadly threat

According to the report -- titled "Sick Water?" -- 90 percent of wastewater discharged daily in developing countries is untreated, contributing to the deaths of some 2.2 million people a year from diarrheal diseases caused by unsafe drinking water and poor hygiene. At least 1.8 million children younger than 5 die every year from water-related diseases, the report says.

But with proper management, the report notes, "wastewater can be an essential resource for supporting livelihoods."

For example, some of the chemicals that make wastewater a pollutant, such as nitrogen and phosphorous, can also be useful as fertilizers for agriculture.

"If the world is to thrive, let alone to survive on a planet of 6 billion people heading to over 9 billion by 2050, we need to get collectively smarter and more intelligent about how we manage waste, including wastewaters," said Achim Steiner, U.N. under-secretary general and executive director of UNEP.

Despite the staggering statistics included in the report, it "also points to the abundant Green Economy opportunities for turning a mounting challenge into an opportunity with multiple benefits," Steiner said, citing reduced fertilizer costs, incentives for conserving such ecological infrastructures as wetlands and salt marshes, and business opportunities in engineering and natural resource management.

The report acknowledges that such opportunities will require large-scale investments, such as multimillion dollar sewage treatment plants.

"Financing and investment are urgently needed and must address design, ecosystem restoration construction, operation and maintenance of wastewater infrastructure," the report says.

But it also offers up simpler solutions, such as education "to ensure water, nutrients and future opportunities for employment and development are not wasted."

The report's release was timed to coincide with World Water Day, an initiative started in 1992 that aims to raise the profile of water quality.

@highlight

U.N. report: Polluted water kills about 2.2 million a year; wars claim fewer victims per year

@highlight

Report also says wastewater could become valued resource if treated

@highlight

Upfront costs to build treatment plants would be expensive, report says