Editor's Note: David M. Walker served as comptroller general of the United States and head of the Government Accountability Office (GAO) from 1998 to 2008. He is now president and CEO of the Peter G. Peterson Foundation.

David Walker says the $700 billion bailout is a pittance compared with the debt facing the United States.

(CNN) -- The Emergency Economic Stabilization Act contains plenty to make lawmakers on the left and right shudder. On the right, it's the apparent abandonment of free-market principles. On the left, it's the absence of punishment for high-flying Wall Street CEO's.

Looking down the middle, what I found downright unnerving was how hard Washington struggled to pass a bill that, in reality, represents less than 1 percent of our current federal financial hole.

Don't get me wrong. Congress and the Bush Administration are to be commended for acting to relieve the credit crunch and trying to minimize any immediate, adverse effect on our economy and by consequence, on American jobs and access to credit.

The ultimate cost of the act should ring up at less than $500 billion, less than the advertised $700 billion because of anticipated proceeds from the government's sale of the assets it will acquire with the appropriated funds.

The nation's real tab, on the other hand, amounted to $53 trillion as of the end of the last fiscal year. That was the sum of our public debt; accrued civilian and military retirement benefits; unfunded, promised Social Security and Medicare benefits; and other financial obligations -- all according to the government's most recent financial statement of September 30, 2007.

The rescue package and other bailout efforts for Fannie Mae, Freddie Mac, AIG and the auto industry, escalating operating deficits, compounding interest and other factors are likely to boost the tab to $56 trillion or more by the end of this calendar year.

With numbers and trends like this, you might ask, "Who will bail out America?" The answer is, no one but us!

Since we're going to have to save ourselves, recent events could hardly be called encouraging. It took an additional $100 billion in incentives -- some would call them "sweeteners;" others might call them bribes -- to get lawmakers to pass the rescue package. Regardless of what you call these incentives, ultimately the taxpayers will have to pick up the tab, with interest.

The process that was employed to achieve enactment of this bill was hardly a model of efficiency or effectiveness. The original proposal represented an over-reach and under-communication by the administration.

Neither lawmakers nor ordinary citizens had enough information to properly assess the real risks, the need for action and what an appropriate course of action might be. Furthermore, the key players allowed the legislation to be characterized as a $700 billion bailout of Wall Street, which was neither an accurate nor a fair reflection of the legislation.

Passage of the credit-crunch relief provisions in the act was understandable, not just because of what risks and needed actions the Treasury and the Federal Reserve were aware of, but more importantly, because of what policymakers didn't know and eventually might have to address.

Let's face it -- the regular order in Washington is broken. We must move beyond crisis management approaches and start to address some of the key fiscal and other challenges facing this country if we want our future to be better than our past.

A good place to start would be for the presidential candidates to acknowledge our $53 trillion (and growing) federal financial hole and commit to begin to address it. Their endorsement of the need for a bipartisan fiscal future commission along the lines of the one sponsored by  Rep. Jim Cooper, D-Tennessee, and Rep. Frank Wolf, R-Virginia, also would make sense.

Any such commission should, at a minimum, address the need for statutory budget controls, comprehensive Social Security reform, a first round of tax reform and a first round of comprehensive health care reform. It should hold hearings both inside and beyond the Beltway. And, its recommendations should be guaranteed to receive an up-or-down vote by Congress if a super-majority of the commission's members can agree on a comprehensive proposal.

Our fiscal time bomb is ticking, and the time for action is now!

The opinions expressed in this commentary are solely those of the writer.

@highlight

David Walker: The U.S. faces a debt much larger than the bailout amount

@highlight

Walker: No one is going to bail out America, we have to do it ourselves

@highlight

U.S. needs panel to examine how to cut $53 trillion long-term debt, he says

@highlight

Social Security, health care and taxes need to be reformed, Walker says