Washington (CNN) -- Global energy giant Exxon Mobil Corp. will be forced to face a lawsuit over alleged murder and torture committed by company agents in remote Indonesia, after a federal appeals court said Friday that corporations cannot claim immunity from liability.

A divided 2-1 panel of the U.S. Court of Appeals for the District of Columbia reinstated a massive lawsuit filed by 15 Indonesian villagers from the oil-rich province of Aceh. They claim government security forces working for Exxon Mobil committed brutal oppression while guarding a natural gas facility in 2000-01.

At issue is whether foreign nationals can go into U.S. courts to press civil claims stemming from actions overseas by non-American citizens in a time of martial law. The decision will have widespread implications for multinational corporations doing business in other countries.

"It would create a bizarre anomaly to immunize corporations from liability for the conduct of their agents in lawsuits brought for 'shockingly egregious violations of universally recognized principles of international law,'" wrote Judge Judith Rogers in a detailed, 112-page opinion. "The law of the United States has been uniform since its founding that corporations can be held liable for the torts committed by their agents. This is confirmed in international practice, both in treaties and in legal systems throughout the world."

Rogers was supported by her colleague Judge David Tatel, both named to the bench by President Bill Clinton.

Company spokesman Patrick McGinn said the ruling was being reviewed, and that the Irving, Texas-based firm has "fought these baseless claims for many years."

"The plaintiffs' claims are without merit," he said. "While conducting its business in Indonesia, ExxonMobil has worked for generations to improve the quality of life in Aceh through employment of local workers, provision of health services and extensive community investment.

"The company strongly condemns human rights violations in any form."

The litigation is more than a decade old. The company had contracted with the Indonesian government to explore, extract, and process the gas. It hired military personnel as private security for the remote location.

A key sticking point in the legal fight was the level of control Exxon Mobil officials in Aceh had over the actions of the Indonesian military. The plaintiffs alleged company officials in Indonesia were aware the military had committed past human rights violations. And they claim Exxon Mobil offered "material support" by separately hiring private mercenaries who provided "advice, training, intelligence, and equipment" to the dedicated military unit, which in turn committed brutal repression of locals, according to the lawsuit.

Other allegations included sexual assault, battery, kidnapping, and false imprisonment against the villagers, many of whom had protested the presence of the company, fearing ecological and cultural damage to the region.

Those questions will now be presented at trial, as the lawsuit is allowed to proceed. There was no timetable for when that trial will begin.

In dissent, Judge Brett Kavanaugh, appointed by President George W. Bush, said the federal law in question, the Alien Tort Statute, applies only to actions committed in the United States.

"The presumption helps the United States avoid conflicts with other nations, which of course have a strong interest in policing and regulating conduct in their own countries," Kavanaugh wrote. "The ATS contains no textual indication that it was meant to apply to conduct in foreign countries."

The issue may eventually reach the Supreme Court, since lower federal courts have disagreed on the liability of conduct by U.S. companies operating around the world.

The case is John Doe VII v. Exxon Mobil Corp. (09-7125).

@highlight

Exxon Mobile cannot claim immunity in the case, an appeals panel says

@highlight

A lawsuit filed by Indonesian villagers accuses Exxon Mobil agents of murder and torture

@highlight

The case hinges on whether the Alien Tort Statute applies to actions in other countries