(CNN) -- Imagine your doctor telling you there's nothing she can do, that your life has shifted, and you are headed to a lifetime full of painful treatments, possibly radical surgery, and even early death. That there's simply no prescription that can work.

Now imagine your doctor telling you that scientists have discovered a breakthrough, one that just might brighten the life you thought was headed into shadows, one that just might save your life.

This narrative, or one like it, is unfolding right now for the 3 million Americans -- and 175 million people all over the world -- with hepatitis C. The progress has been stunning, with new and forthcoming treatments now curing up to 90% of patients. In a health care climate mired in relentless, negative back-and-forth, it's encouraging to see what hard work can turn into for America's patients.

It's also an opportunity to learn from the recent past.

In the 1980s and early 1990s, HIV/AIDS was considered a death sentence. Doctors then had the task of telling their patients that nothing could be done. That early death was, in most cases, inevitable.

But for people all over the world with HIV/AIDS, the dawn of anti-retroviral medications in the mid-1990s transformed HIV/AIDS from near-certain death into a manageable chronic disease.

In the United States, the AIDS-related death rate has fallen by more than 80% since then, in large part because of advances in anti-retroviral therapy. Over the past 30 years, nearly 40 medicines have been approved to treat HIV/AIDS, and we now know that many of these medicines can also help prevent transmission of the disease as well.

The parallels between HIV/AIDS and hepatitis C are remarkable -- and a reason for optimism.

When HIV/AIDS was still considered a death sentence, some also claimed that treatments for it would bankrupt the health care system, as critics are claiming about the hepatitis C drug.But that did not happen. One reason is that cost containment is built into the system through the medicine life cycle. In its initial phases, innovator biopharmaceutical companies produce medical advances through pioneering scientific work and massive investments, like the $500 billion invested in research and development since 2000. After that, competition enters the market and lower-cost generics become available, helping achieve long-term savings.

2013: FDA approves breakthrough drug for treatment of hepatitis C

As a result of market dynamics and generic drug usage, the cost of medicines overall has grown more slowly in recent years than other health care costs, and makes up just 10% to 12% of total health care spending.The same can happen with treatments for hepatitis C, whose value becomes even more apparent when considering the cost consequences of not acting.

Although critics say the price of a promising new hepatitis C drug raises the cost of insurance, research from Milliman in 2009 projected that, without a cure for hepatitis C, annual U.S. medical costs associated with the disease will nearly triple over 20 years -- from $30 billion to $85 billion -- indicating that curing the disease can help reduce future medical costs.

Opinion: We all pay for $1,000 a pill drug

And recent projections show that the cost of curing hepatitis C patients will be far less than some have claimed. PricewaterhouseCoopers estimates that new medicines for hepatitis C will increase health care costs by just half a percent in 2014 and will level off after 2016 as patients are cured.

This is particularly noteworthy given that public discussions have focused almost exclusively on the price of new medicines while ignoring the tremendous societal benefits, including the potential to prevent even more expensive health care interventions such as liver transplant surgeries and related hospitalizations.

The finest biopharmaceutical research in the world helped wrestle HIV/AIDS down into a manageable disease. Now, it is giving us the same opportunity against hepatitis C -- and many more diseases.e need to move forward, and let the harrowing experience of HIV/AIDS patients inform our continued war against diseases like hepatitis C. And simple economics will remind us that, while investments at first may seem challenging, the prescription drug life cycle, market forces and tenacious global competition can lead to lower prices and broad access over time. behalf of America's hepatitis C patients, let's repeat that success once more.

@highlight

John Castellani: New drugs give hope to 3 million Americans with hepatitis C

@highlight

He says breakthrough similar to what retroviral drugs did for HIV/AIDS patients

@highlight

Castellani: Critics say drugs' high price will raise health care costs, but that's short-term

@highlight

He says drug will make costly health care interventions, like liver transplants, unnecessary