(CNN) -- A coroner has adjourned the fourth inquest into the death of a baby believed to have been killed by a dingo in central Australia more than 30 years ago.

Azaria Chamberlain was just two months old when she was snatched from a tent during a family holiday to Uluru, also known as Ayers Rock, sparking one of the country's most sensational and enduring murder mysteries.

Her mother, Lindy Chamberlain-Creighton, long maintained that a dingo, a wild dog native to Australia, took her baby, even as she was sentenced to life in jail for daughter's murder, a conviction that was later quashed.

Her cries of a "dingo's got my baby" were immortalized in the 1988 film "A Cry in the Dark," starring Meryl Streep who earned an Oscar nomination for the role.

Outside Darwin Magistrates Court on Friday, Chamberlain-Creighton said she hoped the ruling would help educate the public about the dangers posed by dingoes.

"It gives me hope that Australia will finally realize dingoes are dangerous and hope that justice will finally be done for my daughter as well," she said. A ruling is expected next week.

Chamberlain-Creighton is seeking to change the open verdict on her daughter's death certificate to indicate that she was taken by a dingo.

"There is a lot of new evidence. The last inquest was in 1995 and since then there have been a number of significant dingo attacks," said Stuart Tipple, the lawyer representing Chamberlain-Creighton and her former husband Michael.

It is the fourth inquest into Azaria's death. The first inquest, in 1981, found that the baby died as a result of being taken by a dingo, but a second the following year committed her mother to trial for murder.

The 35-day hearing created a media frenzy in Australia as commentators picked apart the intricacies of the case, while a fascinated public speculated wildly as to why and how Azaria had died.

"A lot of people just never believed a dingo was capable of doing it," Tipple said.

The jury returned its verdict in 1982: Chamberlain-Creighton was found guilty of slitting her daughter's throat with a pair of scissors before hiding the body and concocting a story about a dingo to cover her crime. She was sentenced to life in jail.

Her husband Michael was given a suspended sentence after being found guilty of being an accessory after the fact. The couple had two other children; two boys aged six and four at the time of Azaria's death.

Chamberlain-Creighton served four years of her sentence before the Northern Territory government ordered her release in 1986 after the discovery of new evidence; a baby's jacket, believed to be Azaria's, found half-buried near a dingo lair at Uluru. In 1988, a Royal Commission set up to review the evidence formally quashed convictions for both husband and wife.

Despite the finding that the couple was not to blame, a third inquest into their daughter's death returned an open verdict in 1995. It's that ruling that the Chamberlains now want changed.

"Certainly, like any parent, they want closure and they're not going to be able to get closure until the record's correct," Tipple said. "At the moment an open finding is not a correct finding."

"There's certainly a personal part in the journey but they want to warn people and make sure the tragedy doesn't occur again," he said.

On Friday, he presented the coroner with evidence of at least 12 "very significant" dingo attacks in Australia since the last inquest in 1995.

In one of the worst cases, a nine-year-old boy was killed, and his friend mauled, by two dingoes on Fraser Island, off the coast of Queensland, in 2001. Twenty-eight dingoes were culled in the public outcry that followed.

The world's largest sand island, Fraser Island earned UNESCO World Heritage status for its "exceptional beauty" and its rare combination of tall rainforests and towering sand dunes.

It's also home to the largest population of native Australian dingoes -- around 200 animals living in up to 30 packs -- and the site of most, if not all, dingo attacks.

"On Fraser Island the dingo has a particularly difficult role because tourists are as interested in the dingo as the dingo is interested in food," said Professor Gisela Kaplan, a dingo expert from the University of New England in New South Wales.

"Fear, very often, is the only thing that stands between a dangerous animal and a human. Once that fear is lost any predatory animal can become dangerous," she said.

Dingo management strategies have been introduced in areas of the country where the mammals are prevalent. Fraser Island's includes approval to cull specific animals considered to pose a threat to humans.

"Once a dingo has lost its fear of people and starts to use aggressive tactics to gain dominance over, or food from, people the habit cannot be changed," according to the Queensland government's campaign "Be dingo-safe!"

It adds: "These dingoes display aggressive or dangerous behavior such as nipping and biting, and in some cases this escalates very quickly to attacks and serious mauling."

The Chamberlain's lawyer Stuart Tipple says that, if nothing else, the couple hopes a change in the official cause of Azaria's death makes "public authorities more aware of their responsibilties.

"This will make them fine tune, hopefully, those plans and make them current and keep updating them," he said.

Where once many people -- including the jury that convicted Lindy and Michael Chamberlain -- believed that it was unlikely that a dingo would kill a baby, evidence in recent years shows that is indeed possible.

However, Kaplan said public opinion had swung too far the other way, and Australia's largest native predator had been unfairly "demonized."

"A dingo is a suitable animal to be demonized, isn't it? In one way you can know it, and in the other way it's mysterious," she said.

Kaplan warned that if more wasn't done to protect the animals in their natural habitat, they would eventually die out.

"This is a very rare and endangered Australian native animal," she said. "If that goes extinct, there will be outcry in future that we've allowed that to happen, because there are so many misconceptions about the animal."

@highlight

Inquest adjourned into death of baby believed to have been killed by dingo

@highlight

Azaria Chamberlain disappeared from a tent 31 years ago

@highlight

Her mother, Lindy, claimed her baby had been taken by a dingo

@highlight

Crown prosecution convinced a jury she was guilty of murder