Istanbul (CNN) -- Turkish police detained dozens of people in a wave of raids targeting suspected members of the "press and propaganda wing" of a banned Kurdish separatist group accused of committing acts of terrorism, the semi-official Anatolian Agency reported Tuesday.

In a move that alarmed human rights organizations, journalists' associations and press freedom activists, police swept up a number of journalists in the raids.

"Thirty-eight colleagues have been detained," announced the Freedom for Journalists Platform, an umbrella group that represents dozens of Turkish journalist associations and unions.

"Detentions, arrests and trials of journalists revive crimes of thought in this country. Turkey follows China as the country where the highest number of journalists are in prison," the Platform concluded.

Hours after the arrests, hundreds of Turkish journalists took to the streets in Istanbul, conducting a hastily organized protest march down the city's main pedestrian thoroughfare.

"You cannot silence free press," read one of the banners carried by demonstrators.

"It basically looks like all pro-Kurdish media... have been targeted in this operation," said Emma Sinclair-Webb, a researcher with Human Rights Watch, who spent the morning watching police search the Istanbul office of the pro-Kurdish newspaper Ozgur Gundem.

"And if you crack down on those kinds of dissenting voices, you are really closing the door on healthy criticism and dissent in a democratic society," Sinclair-Webb added.

As the sun set over Istanbul, police were still searching the downtown offices of Dicle News Agency, another pro-Kurdish media outlet. Six Dicle employees, five reporters and an accountant, had been arrested from their homes on Friday, said Silan Ozhan, a Dicle journalist.

Turkey has been battling a Kurdish separatist insurgency led by guerrillas from the Kurdistan Workers Party (PKK) since the 1980s. The conflict has claimed more than 30,000 lives, most of them members of the country's long-oppressed ethnic Kurdish minority. Over the last year, Turkish authorities began rounding up suspects accused of being affiliated with a PKK-linked organization referred to as the Union of Communities in Kurdistan (KCK).

In addition to Ozgur Gundem and the Dicle News Agency, police also raided the homes of several main-stream Turkish journalists, including a staff photographer for Agence France Presse.

A lawyer for AFP photographer Mustafa Ozer confirmed to CNN that police were searching the journalist's apartment in Istanbul Tuesday.

"They are in the process now," said Sibel Tokaoglu, in a brief phone call with CNN.

AFP later reported Ozer was detained by police.

Meanwhile, an executive from the leftist daily newspaper Bir Gun told CNN that Zeynep Kuray, a staff reporter whose beat includes human rights, was arrested after her home in Istanbul was raided on Tuesday.

"We consider this a witch hunt and a threat to anyone who is in opposition," said Ibrahim Aydin, chairman of Bir Gun's executive board.

Turkey is among the bottom 40 countries of the world on the press freedom index of Reporters Without Borders, dropping from 102 to 138 since 2008. According to the Turkish Journalists Union, Turkey currently holds at least 63 journalists in prison. That number is likely to grow before the day's end.

A growing number of writers and academics have been detained in conjunction with several sprawling investigations into alleged coup plots and terrorism plots. Many of these suspects spend months in detention without charge awaiting trial.

Last October, police detained outspoken publisher and freedom of expression activist Ragip Zarakolu as well as Busra Ersanli, a political science professor at Marmara University, as part of an operation against suspects accused of links to Kurdish terrorist groups.

Meanwhile, in November, prominent investigative journalists Nedim Sener and Ahmet Sik appeared in court for the first time some nine months after they were arrested in conjunction with an alleged plot to overthrow the Turkish government. Their trial was adjourned until December 26 after defense attorneys argued the presiding judge, Resul Cakir, could not rule impartially since he was a plaintiff in a separate case against one of the defendants.

Sener is a recipient of the World Press Freedom Hero award from the International Press Institute for his investigative book about the 2007 assassination of Turkish-Armenian newspaper editor Hrant Dink and alleged involvement of state security officials.

Sener predicted he would be targeted as part of a growing government crackdown on voices of dissent in an interview with CNN several months before his arrest.

"The important thing is not that I am in prison," Sener said in a subsequent written interview from prison with CNN last month. "What is important is to find the truth and, regardless of the cost, to write it. I am willing to pay any price for that."

Among the growing chorus of voices reacting in outrage to police raids on Friday was Turkey's Contemporary Journalists Association, which announced in a written statement that its member Kenan Kirkaya had been detained.

"Pressure on the press and freedom of expression is increasing day by day," the association wrote. "These pressures and attacks on journalists and media organizations increase fear and the heavy climate of auto-censorship, while also putting Turkey in a second-class category internationally."

"This ongoing clampdown is all about using terrorism laws very widely and indiscriminately against people who are not terrorists," said Sinclair-Webb of Human Rights Watch. "You've got bad laws and at the moment a government that shows no sign of slowing down in its support of these types of operations which are basically against ordinary people, civil society and journalists. It's hard to see how this is a legitimate fight against terrorism."

@highlight

Police raids target journalists; dozens of people detained

@highlight

"We consider this a witch hunt and a threat to anyone who is in opposition," says newspaper executive

@highlight

Observer says this is an ongoing clampdown "against people who are not terrorists"

@highlight

Journalists say press freedom is under attack in Turkey