(CNN) -- The 2012 Nobel Prize for Physiology or Medicine was awarded Monday to Sir John B. Gurdon and Shinya Yamanaka for work that revolutionized the understanding of how cells and organisms develop.

The Nobel Assembly's announcement at the Karolinska Institute in Stockholm, Sweden, is the first for what will be a series of prizes announced this week. The Norwegian Nobel committee will announce the most anticipated of the annual honors -- the Nobel Peace Prize -- on Friday in Oslo, Norway.

Gurdon, 79, of Dippenhall, England, and Yamanaka, 50, of Osaka, Japan, share the prize jointly for their discovery that "mature, specialised cells can be reprogrammed to become immature cells capable of developing into all tissues of the body," according to the Nobel Assembly, which consists of 50 professors at the Karolinska Institute.

Gurdon discovered in 1962 that the cells are reversible in an experiment with an egg cell of a frog. Yamanaka discovered more than 40 years later how mature cells in mice could be reprogrammed to become immature stem cells "that are able to develop into all types of cells in the body," the assembly said in a statement.

"These groundbreaking discoveries have completely changed our view of the development and cellular specialisation. We now understand that the mature cell does not have to be confined forever to its specialised state," the Nobel Assembly said.

"Textbooks have been rewritten and new research fields have been established. By reprogramming human cells, scientists have created new opportunities to study diseases and develop methods for diagnosis and therapy.

Separated by more than 40 years, the work of Gurdon and Yamanaka led to a practical medical use for stem cell research that sidesteps the main argument by anti-abortion opponents.

Now embryonic-like stem cells can be created in the laboratory from adult cells of the same organism, rather than using aborted fetuses or embryos, explained Visar Belegu, a stem cell researcher at the Hugo W. Moser Research Institute, part of the Kennedy Krieger Institute in Baltimore.

Gurdon pioneered cloning through cell reproduction in a tadpole in 1962. In 2006, Yamanaka figured out how to reprogram mature cells so that they revert to their primitive state as "induced pluripotent stem cells," or iPS cells, capable of developing into any part of the body, Belegu said.

The Nobel Prize awarded Monday is the first for reprogramming cells, which scientists consider a major breakthrough in medical treatment.

For example, a person suffering from Parkinson's disease can have personal iPS cells created from their blood, Belegu said. Those cells, which can be stored forever, can then be used to make new dopaminergic neurons that can be implanted to replace the cells damaged by the disease, he said.

Read more: Nobel winner died days before award announced

The prizes given to Gurdon and Yamanaka were created in 1895 by Swedish industrialist Alfred Nobel honor work in physics, chemistry, literature and peace. Economics was added as a category in 1968, and the first prize awarded for economic sciences was in 1969.

The monetary award that accompanies the Nobel Prize was lowered by the foundation this year by 20% from 10 million Swedish kronor ($1.5 million) to 8 million kronor ($1.2 million) because of the turbulence that has hit financial markets.

On Tuesday, the committee will announce its award for achievement in physics. The next day, the winner of the Nobel Prize in chemistry will be announced.

Read more: 'Father of test tube baby' wins Nobel Prize for medicine

On October 15, the committee will announce its award for the prize for economics.

A date for the announcement of the literature prize has not been set.

Since 1901, the committee has handed out the Nobel Prize in Physiology or Medicine 101 times. The youngest recipient was Frederick G. Banting, who won in 1923 at the age of 32. The oldest medicine laureate was Peyton Rous, who was 87 years old when he was awarded the prize in 1966.

Read more: Vatican official criticizes award of Nobel Prize to Robert Edwards

To date, no one has been awarded the Nobel Prize in Physiology or Medicine more than once.

One-half of the prize in medicine went last year to Ralph Steinman, who died just days before the Nobel committee's announcement.

Read more: IVF doctors, families celebrate creator's Nobel Prize

He was awarded the Nobel Prize for his discovery of the dendritic cell and its role in adaptive immunity.

Steinman, a Canadian immunologist, died of pancreatic cancer at the age of 68. He used a kind of experimental dendritic cell-based immunotherapy he designed in his treatment, according to Rockefeller University, where he conducted his research.

The Nobel committee was unaware of his death. Had it known, its own rules would have precluded him being selected as a winner.

The other half of the prize went to Bruce Beutler and Jules A. Hoffman for discovering proteins that detect bacteria in the body and activate the immune system's first line of defense, a process known as innate immunity.

CNN's Tom Cohen contributed to this report.

@highlight

The pair's work revolutionized the understanding of how cells and organisms develop

@highlight

It led to a practical medical use for stem cell research, without needing embryonic cells

@highlight

The Nobel prize was created by Swedish industrialist Alfred Nobel in 1895