Cairo, Egypt (CNN)It was news Lois Greste hoped to hear for more than a year.

"I sort of dreamed about it quietly, not daring to think about it too much," she said Monday, grinning as she described her relief at learning her son was released from prison and safely out of Egypt.

Australian Al Jazeera journalist Peter Greste had been behind bars since December 2013. On Sunday, family members learned he was finally free.

"I'm ecstatic, you know, I just can't say how happy I am about it all," his mother said. "I'm very excited and pleased, and thank goodness this is all over."

But as they thanked government officials, journalists and supporters around the world for helping push for his freedom, the Greste family also told reporters at a press briefing in Australia on Monday that there's more to be done.

"On a more somber note, we also -- and I know Peter sincerely wanted me to mention this point -- we want to acknowledge that Peter's two other colleagues are still there," Andrew Greste said. "They also deserve to be freed. Peter won't rest until they're released from prison, and we hope that will follow in the very near future."

Mohamed Fadel Fahmy and Baher Mohamed, fellow Al Jazeera journalists, remain behind bars.

All three were convicted of supporting the banned Muslim Brotherhood, but have maintained their innocence. Al Jazeera demanded their release, as did a chorus of many other international journalists.

Egypt's highest court recently accepted the appeal of the three journalists and granted them a retrial.

On Sunday morning, Greste's family started to hear rumors that something might happen, then checked with their contacts. It seemed like it could be true.

"But Egypt is a very uncertain and unpredictable place, and until he was on that plane, anything could have happened. ... He wasn't out of there until he was out of there," Andrew Greste said.

Now Peter Greste is in Cyprus, "gathering his thoughts," his brother said. "He's safe, healthy and very, very happy to be on his way home."

After his release, family members said he enjoyed a meal of beer and pork. Now, his family members say they're giving him time to figure out where he'll go -- and what he'll do -- next.

"He needs that space to start with," Lois Greste said, "but we're sure he's going to be fine."

Australian Foreign Minister Julie Bishop said Greste had been released "unconditionally," but will need some time to adjust to life outside prison.

"He was somewhat bewildered. He was only given short notice by Egyptian authorities that he was to be released unconditionally. We moved as fast as we could to collect him from the prison and escort him to the airport and make arrangements for his immediate departure," she said "He will make his way home, in his own time. I think he wants a little bit of rest and recreation, but he also wants to be reunited with his family and friends as soon as possible."

Greste left Egypt around 4 p.m. local time (9 a.m. ET) Sunday, Egyptian Interior Ministry spokesman Hany Abdel Latif said.

But one of Greste's lawyers suggested there could be more legal issues ahead for Greste.

"According to Egyptian law, this is considered an extradition," lawyer Amr Eldib, said. "Peter must be tried in Australia and authorities there must determine if he is guilty or not."

Al Anstey, the managing director of Al Jazeera English, said he spoke with Greste earlier Sunday. The journalist " sounded strong."

"He sounded immensely relieved -- perhaps not celebratory but immensely relieved," Anstey told CNN's "Reliable Sources."

Anstey sought to keep attention on Fahmy and Mohamed.

"It's very unclear what's happening to Baher and what's happening for Mohamed," he said. "But we just need to bring this injustice to an end and to get them out."

At the time of their arrest in December 2013, Egypt was mired in political turmoil surrounding the removal, by coup, of President Mohamed Morsy in his Muslim Brotherhood-backed government. After Morsy was ousted, the longstanding political party was declared a terrorist organization by the military, which had staged the coup.

Greste described in a January 2014 letter how he and his colleagues were detained, saying that interior ministry officials burst into a hotel room that he and Fahmy were using. Officials rushed Baher Mohamed's home, he said.

"I am nervous as I write this," the letter read. "I am in my cold prison cell after my first official exercise session -- four glorious hours in the grass yard behind our block and I don't want that right to be snatched away."

"That is why I have sought, until now, to fight my imprisonment quietly from within, to make the authorities understand that this is all a terrible mistake, that I've been caught in the middle of a political struggle that is not my own," he wrote. "But after two weeks in prison it is now clear that this is a dangerous decision. It validates an attack not just on me and my two colleagues but on freedom of speech across Egypt."

Read the letter Greste wrote while in prison

Amnesty International and other observers have long held that Greste, Fahmy and Mohamed were pawns in a geopolitical dispute between Egypt and Qatar, the small Middle Eastern country that finances Al Jazeera.

Qatar has long been perceived as a supporter of the Muslim Brotherhood.

Egypt is the sixth leading jailer of journalists in the world, according to a census the non-partisan Committee to Protect Journalists took in December 2014.

The jailing and sentencing of the Al Jazeera journalists generated outrage from colleagues and activists around the world. A campaign led by Al Jazeera declared that "Journalism is not a crime."

For Egypt, Al Jazeera prisoners were PR disaser amid bigger problems

Many tweeted under the hashtag #freeajstaff and journalists, including CNN's Chief International Correspondent Christiane Amanpour, who held up a sign with the campaign on her show.

On Sunday, CPJ called on Egyptian President Abdel Fattah Al-Sisi to "pardon and release Greste's Al Jazeera colleagues Mohamed Fahmy and Baher Mohamed, and the other journalists still behind bars for doing their work."

Human Rights Watch did the same.

Al Sisi issued a law last November giving him the power to deport foreign defendants. It brought hope to two of the Al Jazeera defendants' families, but stoked concerns for others.

Greste is Australian. Fahmy, who used to work for CNN, has dual nationality, with Egyptian-Canadian citizenship. Mohamed is Egyptian.

Some worried that the case would lose its international appeal if Greste and Fahmy were released, leaving the Egyptian defendant behind bars.

Jihan Rashed, Baher Mohamed's wife, told CNN that she couldn't believe Greste has been released. Why him and not her Egyptian husband?

"Because they were all three in the same case, I don't know (how) only one got released. I don't know why they released him (Greste) now after a year. What's special about this timing?" she demanded. "Are the foreigners more important in our country? We used to hear that the three would be pardoned, but does this mean that only foreigners will be released?"

Rashed is worried but optimistic because she's confident that Greste will tell the world that their imprisonment is unjust, she said.

"No one will be silent. We won't be silent," she said. "Peter won't be silent."

Rashed said that releasing Greste proves that the case isn't about terrorism as the Egyptian government claimed, but about targeting journalists. "(Mohamed) was doing his job," she said. "He was relaying news, saying what the Muslim Brotherhood said and what the government said. Do I need to explain what a journalist should do?"

Fahmy's mother, Wafa Abdel Hamid Bassiouni, appealed to Al Sisi in a statement that an Egyptian news outlet published Sunday, telling the President that her son is ill with Hepatitis C and an injured shoulder.

"As a mother and an Egyptian citizen I appeal to you, Mr. President Abdel Fattah al-Sisi, to pardon my son... It hurts me to see his health deteriorating while I have little access to him," she wrote. "My father and uncles have served in the highest ranks of the police force and the military. They have spent their lives defending Egypt... It breaks my heart that the son of a patriotic family like ours has been wrongfully framed as a terrorist in a trial that produced no evidence to (support) the accusations."

Read her full letter

CNN's Ian Lee and Sarah Sirgany reported from Cairo, and Ashley Fantz and Catherine E. Shoichet reported and wrote this story in Atlanta. CNN's Hilary Whiteman, Josh Levs and Brian Stelter also contributed to this report.

@highlight

Australia's foreign minister says journalist Peter Greste was released "unconditionally"

@highlight

Greste is "safe, healthy and very, very happy to be on his way home," his brother says

@highlight

He says the Australian Al Jazeera journalist "won't rest" until his colleagues are also freed