(CNN) -- News footage of Black Friday sales, in which shoppers line up after Thanksgiving in search of steeply reduced merchandise, can resemble an episode of the classic nature show "Wild Kingdom."

Shoppers wind neatly along the edges of big box stores like patiently waiting army ants. As doors open, sleep-deprived bargain hunters leap past one another like spawning salmon flinging themselves upstream. At close of business we see bare, dangling store shelves, reminiscent of the gnawed carcasses left behind by a pride of lions.

To those who don't participate, Black Friday may seem like madness, an exercise in chaos to be avoided at all costs. But for the initiated, the country's biggest shopping day is something more: a jump start on Christmas shopping and even a ritual worth preserving.

It's impossible not to marvel at the spectacle. CNN.com readers shared their own dramatic stories about the annual event in the comments section of a recent article.

"At about 10 p.m. Thanksgiving 2011, someone sat their Grandma at a bin in the aisle at Walmart with her hand on a DVD discounted from $19 to $5 until the clock struck midnight to make sure she got it," reader Mark Nelson remembered.

"People started disregarding the etiquette and just stashing items in their jackets instead of leaving them in the shrink-wrapped displays. People were shoving and screaming at each other," he wrote. "A woman was brought to the front and kicked out for bringing a firearm into the store and brandishing it at a rival shopper. It was the grandma hoping to score the $5 DVD."

Black Friday: Shorter lines, but bigger checks

So what's the draw of risking life and limb for discounted DVDs?

"It feels like some kind of communal shopping experience, something we're all in together," said Brian Ginn, a friend of mine from college who has been braving the Black Friday crowds for a decade.

He usually only makes four or five purchases on Black Friday, spending around $400. It's worth the effort, he said, to "soak up the mad capitalist consumer energy of Black Friday!"

"It's pretty exciting to see people shopping like crazy," Ginn said, "even if my enthusiasm gets dampened by the long lines and occasional surly shopper."

For some, the retail spree is a family tradition.

"I started Black Friday shopping with my Dad," Ginn said. At first, they shopped for equipment and supplies for Brian's IT consulting business because of 40% to 50% savings. That was 10 years ago. Now 41 and a father, Ginn's Black Friday shopping strategy has branched out to include deals on toys for his son.

This year's Black Friday will be a lot different, he said, since his father passed away in March. "I'll definitely have breakfast at the Waffle House when I'm done, which is what we always did," he said.

Jessica Collier, 31, also shops on Black Friday because of family tradition.

"The first memory I have of Black Friday shopping is from when I was about 6 or 7 years old," she said. " My mom, grandma and I went to a large department store in Florida. I have been every year since then." This year, her husband will join in the tradition, but the couple's daughter still has a few years to go before she can drink coffee and stay up all night for long lines and "doorbusters."

Now that Collier and her mother live in different states, they can't always shop together. "I always call her when I'm headed out," she said. "I've become her wake-up call, usually around 2 a.m."

For Lori Elmore, a health policy analyst for the Centers for Disease Control and Prevention in Atlanta, Black Friday isn't about family, but about the thrill of the bargain hunt. "I tried to make it a family tradition," she said, "but my family members dropped out after one time. They couldn't hang with me, they didn't have the stamina."

These Black Friday veterans acknowledge that some of their fellow shoppers turn into ruthless retail competitors mere hours after giving thanks during a dinner of turkey and pumpkin pie. "I've been hit with a shopping cart, had people take things out of my cart, had people start fighting in line, had someone take something out of my hands before," Collier said. But often, the shopping means meeting new people, comparing lists and having fun.

"My experience has been that most people are helpful, patient and excited," Ginn said. "That may be particular to the South, but I don't think so."

Collier and her mother even charmed a particularly long line into singing Christmas carols last year.

"My mom found one of those weird singing Christmas tree tats and wore it in line," she said. "The tree lit up and danced while she sang at the top of her lungs. Of course, that story preceded us to the next store on our list, where total strangers were talking about it."

HLN: Confessions of a Black Friday shopaholic

"I have learned over the years that you need to pack your patience and a sense of humor," when headed out on a Black Friday shopping trip, Elmore said. "If you don't have either, you are in for a miserable experience."

Impatience can result in stampedes or fights, which retailers are taking steps to avoid this year. WalMart, for example, is offering Guarantee Cards, which allow shoppers to get iPads, LCD TVs and Blu-ray players at Black Friday prices before they get their hands on the items. Shoppers will get the items before Christmas, so sellouts are theoretically no longer a reason for crowds to lose their cool.

The U.S. Department of Labor's OSHA group has issued Black Friday safety guidelines for retailers to avoid injury during the start of the holiday shopping season. And stores across the country are working with local law enforcement help to keep crowds safe and shopping.

The National Retail Federation estimates 147 million people will venture out this Friday, Saturday and Sunday to take advantage of holiday sales. President Matthew Shay said in a recent press release, "Though the Black Friday tradition is here to stay, there's no question that it has changed in recent years." No longer do shoppers wait to find out Black Friday promotions in the Thanksgiving Day morning paper, he said. Now companies provide information through social media, mobile apps and specialized websites.

Collier usually begins watching for Black Friday information online in mid-October. Blackfriday.com is a favorite of hers -- the site offers Black Friday ads and cash back on certain purchases -- but she won't forgo in-store shopping for online Cyber Monday deals. She prefers the in-person rush.

A few years ago, with a large outlet mall as her target, Collier and her mother could not find a parking spot at 10 p.m. on Thanksgiving night. So they drove out of the parking lot and found a hotel parking lot behind the mall where they could leave their car.

"The mall was at the top of a hill, so we started hiking, literally," Collier said. At the top of the hill, they were suddenly faced with the town's drainage ditch. In order to make it to the Coach store, which was offering everything at 50% off, "we had to climb down the drainage wall and back up the other side," she said. "We laughed our way through our desperation and got to the mall."

And at 5 a.m., loaded down with bags full of Black Friday loot, she and her mother climbed back up the stone drainage wall on hands and knees.

Anything for a bargain.

Like CNN Living on Facebook

@highlight

The communal aspect of Black Friday shopping can often outweigh the hassle

@highlight

Many families have turned Black Friday into a Thanksgiving tradition

@highlight

If you can't wait in long lines or shop patiently, Black Friday veterans advise: Don't go!