Cairo, Egypt (CNN) -- For more than a week, opponents of Egypt's President Hosni Mubarak had the upper hand in Cairo, protesting with near impunity in the face of police and an army that did little to stop them.

That all changed on Wednesday.

The morning after Mubarak dramatically announced he would not run for re-election in September, his supporters waded into Tahrir Square by the thousands, and suddenly serious, prolonged violence reigned in central Cairo.

There were immediate suspicions that the pro-Mubarak demonstrators were not simply average citizens standing up for the man who has led Egypt for three decades -- suspicions that proved at least partly founded.

As battles raged between the two sides, some pro-Mubarak protesters were captured by his opponents. Some were terrified to be caught and begged for their lives, screaming that the government had paid them to come out and protest. Others turned out to be carrying what seemed to be police identification, though they were dressed in plain clothes.

Shadi Hamid, a Brookings Institution analyst based in Qatar, told CNN that the use of hired muscle to break up demonstrations "is a longtime regime strategy."

"There are usually a line of thugs outside a protest who are waiting there," he said. "They're dressed in plain clothes, and then they'll usually go and attack the protesters. Egyptians have seen this for quite some time, and that's why they were able to recognize what was going on fairly quickly."

The global rights group Amnesty International said it has documented the use of unsavory forces by Egyptian authorities to disperse political gatherings in election years.

"It looks like much of this violence is being orchestrated by the Egyptian authorities in order to force an end to the anti-government protests, restore their control and cling onto power in the face of unprecedented public demands for them to go," said Hassiba Hadj Sahraoui, the deputy director for the Middle East and North Africa at Amnesty International.

An Interior Ministry spokesman denied on state-run television that police identification cards had been confiscated from demonstrators. He said if they had been, they were were stolen or fake. But state television reporting Wednesday did not always match CNN's own observations of what was happening in Tahrir Square.

Several CNN journalists heard from pro-Mubarak demonstrators that they worked for the government. Staff from the national petrochemical company said they had been ordered to come and protest.

Amnesty International researchers said witnesses told them of "lorry loads" of pro-Mubarak supporters leaving Wednesday morning from Mahalla, north of Cairo.

"These (pro-Mubarak) protests were organized by the government and the ruling National Democratic Party," analyst Kamal Zakher told CNN. The government mustered government workers and lawmakers whose seats are threatened, he said.

"They were ordered to go out today. They are well organized and that is suspicious -- especially the use of camels and horses. These are abnormal techniques to demonstrate," he said, referring to the shocking charge of about 50 or 60 mounted men through Tahrir in the middle of the afternoon.

And Emad Shahin, a Mideast analyst at the University of Notre Dame, said "reliable contacts in Egypt" told him the counter-protesters were organized "by Mubarak himself," with the aid of businessmen who support him.

"The whole objective is actually to give the impression that there is still support for Mubarak and to force the demonstrators out of Tahrir Square," Shahin said. He said the embattled president "is presenting a very difficult choice before the Egyptian people -- either liberty or security -- and he is hoping that they will choose security at the expense of liberty."

In Washington, White House spokesman Robert Gibbs expressed concerns about the outbreak of violence.

"The president and this administration strongly condemn the outrageous and deplorable violence that's taking place on the streets of Cairo," Gibbs said.

"Obviously, if any of the violence is instigated by the government, it should stop immediately," Gibbs added.

State television called the pro-Mubarak demonstrators tourism workers. At least some Egyptians working in the tourism industry are known to be genuinely upset at the anti-Mubarak demonstrators, accusing them of hurting their business by bringing instability.

Zakher also said it was suspicious that security forces did not intervene to break up the violence.

"There were no police or military to separate the two crowds at the beginning and that's also suspicious enough to implicate the security agencies," Zakher said.

Journalist and protestor Reham Saeed told CNN she saw men with police uniforms go into hotels on the way to Tahrir Square and then come out wearing civilian clothes, joining the pro-Mubarak protesters. She called that an act of "betrayal."

State TV interviewed several people at the demonstration who said they backed the president because he had provided stability and independence.

"For 30 years, we lived in peace. President Mubarak kept us safe and secure for 30 years instead of being a country that takes orders from external forces just like (U.S. President Barack) Obama now wants," Iman Abu Futuh, a pro-Mubarak demonstrator, said on Nile TV. "They want us to be another Iraq and this will not happen."

Another man said, "I didn't cry when my father died. I cried when Mubarak spoke yesterday. I grew up watching him, seeing him, having him as my leader and the great president of this nation."

And a female demonstrator said: "Mubarak is our father. No one can insult and ridicule their elders. If we do that, we belittle ourselves. This is how we destroy our country."

CNN's Amir Ahmed, Frederik Pleitgen, Saad Abedine and Journalist Ian Lee in Cairo contributed to this report.

@highlight

Some state workers told CNN they had been ordered to protest

@highlight

Anti-Mubarak demonstrators say some opponents are police

@highlight

The government says the police IDs are fake or stolen

@highlight

Some demonstrators say Mubarak is like a father to them