Ottawa, Canada (CNN) -- It was a surprise, even for a journalist, to be driving down Wellington Street, the city's ceremonial thoroughfare, and to find myself swept into the chaotic aftermath of a disaster. I was rushing to a television studio at mid-morning and passing by the National War Memorial, just minutes after the shooting. A solider was down.

Police were closing streets, stopping traffic, barking orders, brandishing machine guns, fingers on triggers. They soon imposed a lockdown, lasting until mid-afternoon. It is from that confinement that I began writing this.

This is not supposed to happen in Canada -- much less Ottawa, its sleepy, self-absorbed capital.

Sentries do not die on duty at the National War Memorial in this, our season of remembrance. Politicians do not cower in the committee rooms of Parliament, as its Gothic hallways ring with gunfire. Sharpshooters do not take up position on oxidized copper rooftops nearby, looking for men with long rifles.

This is Canada, once known as "the Peaceable Kingdom." Now we have learned, like so many other countries, that terrible, unsentimental reality of the 21st century: It can happen here.

When a gunman killed that lone soldier in front of the memorial today, when he -- and possibly his accomplices (at this moment we do not know whether, who or how many) -- then swept through the front doors of the Parliament of Canada and began firing, something changed here.

When hundreds of parliamentarians, gathering in their weekly party caucuses, pushed leather chairs and tables against the doors and barricaded themselves inside their rooms and offices, something changed here.

And when the city center was locked down and a perimeter thrown up around the parliamentary precinct and beyond, confining thousands to their offices and shops, something changed here.

It is too much a cliché to say -- as many surely will -- that Canada has lost its innocence today. Canada is surely not innocent; a nation that marched into the maw of two world wars and left 100,000 of its sons in Europe understands a few things. That's particularly true at this time of year, when Canadians wear red poppies in their lapels until November 11, Remembrance Day.

What we might say, though, is that Canada has lost its ignorance today -- and, perhaps, a good part of its complacency, too.

This country is now chillingly aware that bad things can happen here, even in the seat of its democracy. Many of us blithely thought it could not, or would not, happen. In 147 years as a democracy, we have never had a revolution, a civil war or a foreign invasion. Abroad, we have not fought wars of conquest, we never had colonies, and we never fought alone. For years, we were the world's leading peacekeepers, projecting the sense of compromise abroad that we practice at home.

Ours is an open, diverse society that has one of the highest levels of immigration in the world. It may be we thought ourselves impervious to pathologies and prejudices from home or abroad. Not here. Not us.

Then again, why should Canada be immune? Canadians fought in Afghanistan. We are a member of NATO and an historic ally of the United States. Earlier this month our Parliament voted to join the air campaign against the Islamic State in Iraq. This week or next, our warplanes will go into action there.

We should not be surprised. There have been ominous signs. A plot was foiled a few years ago to bomb Parliament and behead the Prime Minister. More recently, there have been increasing reports of "radicalized" Canadian Muslims joining jihadists in the Middle East.

If what happened here is, in fact, an organized terror attack -- and even if it is something less, based simply on religious or ideological fervor -- it is another reminder of the dangers that have always come with a successful if complex society that aspires to a place in the world.

Unlike the United States, Canada has little violent crime. It is among the safest of industrialized countries. Murders, even mass slayings, can and do happen in Toronto, Montreal and Vancouver, its three largest cities. But they're unusual.

Ottawa, Canada's fourth-largest city, is a government town. It is Canberra in Australia or Sacramento, California. It is not London, Paris or Rome. It's a parochial place whose mayor thinks that replacing a crumbling public library or building light rail -- years after other cities in Canada have done both -- is a bold idea.

So, it is jarring, alarming and sad that this has happened here, of all places. But it was naïve to think that a country of 35 million people, on the way to war in Iraq, would not face this kind of violence one day.

Now we have. Our long, sweet season of ignorance is over.

@highlight

Andrew Cohen was swept into chaotic aftermath of Ottawa soldier shot, was in lockdown

@highlight

This isn't supposed to happen in Canada, known for peace, low crime, immigration, he says

@highlight

He says Canada lost ignorance, complacency; and why not? It's ally to U.S., player in the world

@highlight

Cohen: Naïve to think that country on way to war would not face violence one day