(CNN) -- Eight weeks after the terrorist attacks on the U.S. mission in Benghazi, Libya, that killed four Americans, it is encouraging that Congress is finally serious about examining the events surrounding that day.

As the chairman of the House Intelligence Committee, Rep. Mike Rogers, said on "Meet the Press" recently, this was not an intelligence failure. But failures clearly happened elsewhere, particularly in the State Department.

State Department documents revealed that slain Ambassador to Libya Chris Stevens and others had warned several times of "growing problems with security" and violence in eastern Libya, where Benghazi is located, after the fall of Moammar Gadhafi and after the Transitional National Council moved its governing headquarters from Benghazi to Tripoli in September 2011. Stevens' predecessor Ambassador Gene Cretz had also sent cables to the State Department warning of the deepening security crisis in Libya.

Well before the Benghazi attack, our intelligence agencies, Department of Defense and State Department cables from the U.S. Embassy in Libya all warned of a growing security crisis. They said terrorists from across the region, including al Qaeda elements believed to be associated with al Qaeda in the Islamic Maghreb, were able to travel freely into the country to recruit, organize, plan attacks and procure weapons.

This is not to suggest these attacks were planned months in advance. We don't know, but we do know that they were premeditated. We also know that the CIA believed the Benghazi tragedy on September 11 was the work of terrorists within hours of the attacks.

Conducting diplomacy on behalf of the United States is not without risks. U.S. foreign service officers and members of the diplomatic corps understand this. I think it is important that the U.S. continue to show the flag in far-flung corners of the world, some of which may often be dangerous.

Peter Bergen: Republican obsession with Benghazi makes no sense

Diplomats like Stevens thrive on engaging with the local population. That important work must continue in Libya, Pakistan, Egypt and other countries that pose difficulties. However, the U.S. government has a responsibility to ensure that our posts overseas are properly fortified and defended, based on the security situation on the ground.

We know that the security at the U.S. mission in Benghazi and the CIA annex was woefully inadequate. It should have been fortified, and more reliable security forces were clearly needed to defend those facilities. Immediate access to heavier weapons may have saved lives.

It is important to decide which elements of the U.S. national security structure should be available to support the defense and extraction of U.S. diplomats and personnel if they come under fire.

The State Department needs a clear procedure, understood by all, to communicate with the Department of Defense or the CIA in emergencies. We need to resolve why the nearest defense rescue team was six hours away and why teams weren't deployed that might have been able to save the lives of the two Americans at the CIA annex who died in the early hours of September 12. Although there are no obvious targets for fighter jets, the mere presence of an American or allied F-15 nearby could strongly deter attackers.

Because the uppermost purpose of any inquiry is to prevent such a tragedy from happening again, we need to know what measures Secretary of State Hillary Clinton has taken to ensure that decisions about security and requirements of U.S. diplomatic missions are given the highest priority.

We understand from congressional testimony that the deputy assistant secretary for international programs in the Bureau of Diplomatic Security has broad authority over the allocation of security resources, with life and death consequences for our diplomats. Given the vulnerability of nontraditional posts like Benghazi, we should determine whether higher-level officials should oversee security issues. If not, we must be sure that anyone assuming such a position is adequately qualified in overseas security operations and threat analysis.

We must also ensure that clear mechanisms are in place to enable a seamless emergency response among the different agencies that share responsibility. On all these counts, we have more questions right now than answers.

It is very important to establish how far the U.S. commitment to Libya extends. While the U.S. played a role in helping the Libyans overthrow Gadhafi, we need to assess how this attack affects our plan for a post-Gadhafi Libya.

I believe the U.S. has a responsibility to help the Libyans develop their defense services through the expansion of the Defense Department's Section 1206 training and equipment programs. The U.S. must also support the Libyans in forging a new constitution that respects the rights of all and begins to restore governance to their country.

Americans have watched recent developments in Libya with great sadness and concern. We have a strong interest in helping a secular, pro-American government that rejects Islamic extremism take root. Unfortunately, this attack and the confusion stemming from the administration's response have led some to conclude that Libya is more trouble than it's worth. But our interests in Libya are worth pursuing, and getting answers and developing solutions to prevent future tragedies are critical to our national interest.

The opinions in this commentary are solely those of Marco Rubio.

@highlight

Marco Rubio: Answers from Congress' Benghazi inquiry will help prevent another tragedy

@highlight

Rubio: Ambassador Stevens, others warned of deepening security crisis

@highlight

Security at the U.S. consulate and the CIA annex was woefully inadequate, he says

@highlight

Rubio: It's critical U.S. helps support a secular, pro-American government in Libya