Washington (CNN) -- The U.S. Department of Transportation and the Federal Aviation Administration announced Wednesday a sweeping final pilot fatigue rule governing how much time off commercial passenger pilots must have between work shifts, ensuring they have a longer opportunity for rest before they enter the cockpit.

The new rule sets a 10-hour minimum rest period prior to a flight duty period, a two-hour increase over the old rules. The new rule also mandates that a pilot must have an opportunity for eight hours of uninterrupted sleep within the 10-hour rest period.

The DOT said the proposal was science based, and would significantly increase public safety.

The final rule will take effect in two years, according to the FAA, to allow commercial passenger airline operators time to transition, rearrange schedules and indoctrinate pilots.

"This is a major safety achievement," said Transportation Secretary Ray LaHood. "We made a promise to the traveling public that we would do everything possible to make sure pilots are rested when they get in the cockpit. This new rule raises the safety bar to prevent fatigue."

LaHood disputed criticism the changes in the rule took a long time. "We wanted to make sure we got it right. We took time to listen to people. Every voice was heard," LaHood said. "You can't implement overnight. It takes time."

"Every pilot has a personal responsibility to arrive at work fit for duty. This new rule gives pilots enough time to get the rest they really need to safely get passengers to their destinations," said FAA Acting Administrator Michael Huerta.

It was a point echoed by Transportation and Infrastructure Committee Chairman John Mica, R-Florida, who released a statement saying, "While the final rule provides improvement for aviation safety, pilots must take personal responsibility for coming to work rested and fit for duty. The government cannot put a chocolate on every one of their pillows and tuck them in at night."

The FAA said it "expects pilots and airlines to take joint responsibility when considering if a pilot is fit for duty, including fatigue resulting from pre-duty activities such as commuting. At the beginning of each flight segment, a pilot is required to affirmatively state his or her fitness for duty. If a pilot reports he or she is fatigued and unfit for duty, the airline must remove that pilot from duty immediately."

The rule has been a long time in coming. In the mid 1990s, the FAA tried to update its flight and duty time regulations, but withdrew its rule under opposition from airlines. But momentum for change increased following the February 12, 2009, crash of Continental flight 3407 near Buffalo, New York, which killed 50 people.

The National Transportation Safety Board concluded pilot fatigue contributed to the crash, although it said it could not be attributed solely to fatigue. The hearing, though, spotlighted the practice among some pilots to commute lengthy distances to their jobs. The pilot of Colgan Air 3407 commuted from Tampa, Florida, and the co-pilot commuted from Seattle, Washington, to their base in Newark, New Jersey.

The new rule addresses potential cumulative fatigue by placing weekly and 28-day limits on the amount of time a pilot may be assigned any type of flight duty, according to the FAA. The rule also places 28-day and annual limits on actual flight time. It also requires that pilots have at least 30 consecutive hours free from duty on a weekly basis, a 25 percent increase over the old rules.

The FAA said the rule also incorporates the latest fatigue science to set different requirements for pilot flight time, duty period and rest based on the time of day pilots begin their first flight, the number of scheduled flight segments and the number of time zones they cross. The previous rules included different rest requirements for domestic, international and unscheduled flights. Those differences were not necessarily consistent across different types of passenger flights, and they did not take into account factors such as start time and time zone crossings.

Another component of the rule includes when a pilot's day begins. The FAA said, "The allowable length of a flight duty period depends on when the pilot's day begins and the number of flight segments he or she is expected to fly, and ranges from 9-14 hours for single crew operations. The flight duty period begins when a flight crew member is required to report for duty, with the intention of conducting a flight and ends when the aircraft is parked after the last flight. It includes the period of time before a flight or between flights that a pilot is working without an intervening rest period."

The Air Line Pilots Association expressed its support for the new rule covering passenger flights.

"Today's pilot fatigue rule release marks historic progress in what must be an unrelenting commitment to ensuring the highest safety standards throughout the airline industry. The Air Line Pilots Association, Int'l (ALPA), is gratified that the Department of Transportation and the Federal Aviation Administration have delivered on their pledge, and a Congressional mandate, to issue new flight- and duty-time regulations and minimum rest requirements for airline pilots," said Capt. Lee Moak, president of the Air Line Pilots Association, an independent aviation safety organization.

Moak said while the new rule brings "much-needed science improvements to flight and duty regulations," he expressed disappointment that cargo operations "are being held to a lesser standard."

CNN's Mike Ahlers contributed to this report

@highlight

Rule governs how much time off commercial passenger pilots must have between work shifts

@highlight

The new rule sets a 10-hour minimum rest period prior to a flight duty period

@highlight

The final rule will take effect in two years

@highlight

FAA chief: Pilots have a personal responsibility to arrive at work fit for duty