(CNN) -- When clinging to life at sea, even a non-believer might be moved to pray for salvation.

Imagine their surprise then, when on the horizon they see not only a rescue vessel inspired by Pope Francis, but Hollywood star Angelina Jolie.

The glamorous actress was the unlikely guest at a naval base in Malta recently, meeting Syrian refugees who had survived deadly boat journeys to Europe.

Among them were a couple from Damascus whose three children had died during the crossing, and a doctor from Aleppo whose wife and three-year-old daughter drowned.

"We have to understand what drives people to take the fearful step of risking their children's lives on crowded, unsafe vessels," said Jolie, the Special Envoy of the United Nations High Commissioner for Refugees.

"It is the overwhelming desire to find refuge."

As conflict rages in the Middle East, over 130,000 people have arrived in Europe by sea so far this year -- 2,500 of these dying while attempting to cross the Mediterranean, according to the United Nations Refugee Agency.

Jolie is not alone in her mission to save them.

A wealthy philanthropist couple has backed her campaign, saying: "The world needs to wake up to the scale of this crisis."

Now they've put their money where their mouths are, launching a state-of-the-art rescue vessel -- inspired by the leader of the Vatican.

Sea savior

Introducing the "Phoenix," a 40-meter converted fishing trawler owned by Chris and Regina Catrambone; a couple describing themselves as "social entrepreneurs," who make their money by running an insurance, emergency assistance, and intelligence company.

Digging deep into their own pockets, they are spending $445,000 each month on the ship's operating costs.

The boat has so far helped over 2,000 migrants crossing the Mediterranean from North African shores -- believed to be the first privately-funded vessel ever to do so.

It follows the Pope's visit to the small island of Lampedusa -- where 366 migrants died in shipwreck last year -- where he criticized the "global indifference" to the refugee crisis.

Just a few weeks ago another migrant boat sank carrying 500 people near Malta, in one of the worst wrecks in the region.

"The words of the Pope, appealing to people to help with their skills, their ability, their free time -- we had to do something," said Regina Catrambone, originally from Italy and now living in Malta with her American husband and daughter.

"When you see in the face of a seven-year-old child that they are safe on the boat -- there's no price you can put on that."

While other ships celebrate their maiden voyage with a bottle of champagne, this hefty 483-ton boat was launched with holy water sprinkled by a priest.

"We are normal people that are wealthy, but we are far from millionaires," said Regina, adding that the family choose to invest their money in human life, rather than making a profit.

"It's a lot of time, and a lot of energy. But our belief and our faith is the big push."

Reality check

The biggest wake-up call for the couple -- both in their 30s -- came while holidaying on board a luxury yacht in the Mediterranean last summer.

"I saw a winter jacket in the water, and I said to the captain, who is also a retired coast guard of Malta: 'Look isn't it strange,'" said Regina.

"And his face became very sad, and he told me: 'The person who was wearing this jacket is not with us anymore.'"

The comment struck Regina like a lightning bolt --"it was like 'boom!'" she said.

"Here we were in this nice boat, when the migrants, people like us, are attempting to cross because there's a war in their country."

Mission improbable?

If sending one boat to rescue hundreds of thousands of people seems naÃ¯ve, the project -- called Migrant Offshore Aid Station (MOAS) -- comes with serious credentials.

Director of operations, Martin Xuereb, is the former chief of defense of the armed forces of Malta -- the body responsible for search-and-rescue in the area.

Along with a crew of 16, including two paramedics, the boat is equipped with two high-tech drones, a medical clinic, 1,000 liters of water, hundreds of life jackets, and food.

"The primary aim is to prevent the loss of life, not ferry migrants," says the organization on its website.

Once at sea, the Phoenix sends out drones equipped with camcorders to search for migrant boats.

The MOAS team then reports back to the nearest authorities and awaits instructions and help. If necessary, it will offer life jackets, medical assistance, and evacuate refugees on board.

Captain Filippo Marini, spokesman for the Italian Coastal Guard, would not comment on the merits of the Maltese-based mission, saying: ''They are a resource but it's not up to us to say if it's an appropriate initiative."

The Maltese government was unable to provide a comment on the MOAS mission, despite numerous requests.

After recently rescuing nearly 250 people -- including nearly 50 children -- from a leaking wooden boat, the Phoenix later transferred the migrants to an Italian navy ship, where they were taken to Italy and processed by authorities, they said in a statement

"They were Syrians and Palestinians," said Xuereb. "And talking to these people, one realizes they are fleeing from desperate times," he said.

"There were doctors, teachers on board. These are people who, had the situation been different, would never have left their country."

Could a Hollywood star and "Pope Boat" be the ones to save them? Perhaps...but their efforts are a drop in a very big ocean.

Travel: Is it a bird... or a desert boat?

Insight: Inside London's $67m superyacht hotel

@highlight

Angelina Jolie speaks to Syrian refugees at Malta naval base

@highlight

Thousands of migrants drown crossing Mediterranean

@highlight

Wealthy couple buy rescue boat inspired by Pope Francis

@highlight

High-tech vessel cruises sea looking for migrants in trouble