(CNN) -- This week, Americans were confronted -- yet again -- with more of the same refusal by President Barack Obama to take on the greatest long-term threat to our economic and health care security. Consistent with his track record, the president's annual budget proposal offers no credible reforms for our entitlement programs that will ensure their solvency in the years to come. Instead, his budget reflects the same disregard he demonstrated last month, in his 7,000-word State of the Union address, in which only 40 words were used to talk about Social Security and Medicare.

The fact is Social Security and Medicare, vital to the welfare of tens of millions of Americans, account for nearly half of all federal spending. That percentage will continue to increase in the coming years. Left on its current trajectory, overall entitlement spending is projected to more than double by 2049, thus consuming 100% of all tax revenue.

It should be no surprise that the payroll tax-supported trust funds that pay out Social Security and Medicare benefits are speeding toward a financial collapse. The Congressional Budget Office projects that Medicare in its current form will be bankrupt by 2022. Social Security's chief actuary calculates that a 23% cut in benefits in 2036 will be required in order to maintain solvency of the Social Security Trust Fund.

Of the two programs, Social Security can be shored up for nearly a generation with simple modest reforms. Medicare reform is far more complicated. However, if Congress passes a bipartisan Social Security reform, then the momentum of that accomplishment can prompt leaders of both parties to tackle Medicare reform.

Last year, I introduced the Defend and Save Social Security Act, which would ensure that Social Security is solvent for the next 75 years, through very gradual yearly increases of only three months per year in the retirement age and a modest adjustment to the annual cost-of-living increases . It would keep core benefits untouched and requires no new taxes. Enacting such modest, incremental changes would avoid bankrupting the trust fund and forcing a 23% cut in core benefits in 2036 .

As with Social Security, much-needed changes to Medicare would require open debate. Several promising proposals for reforming Medicare have been brought forward in Congress. I applaud those of my colleagues of both parties who are working to find responsible solutions to this important issue.

Senators Tom Coburn and Joseph Lieberman have proposed a plan that would: (a) adjust the Medicare eligibility age to reflect gains in life expectancy; (b) cap out-of-pocket costs to protect recipients from bankruptcy in the event of a major illness; and (c) require wealthier beneficiaries to pay higher premiums.

Another proposal, coming from Rep. Paul Ryan and Sen. Ron Wyden, offers seniors a choice among Medicare-approved private plans, which would compete alongside a traditional Medicare plan.

The fact is Medicare as we know it may not exist in coming years if Congress does not take steps now to preserve the program. Every year we do nothing makes the inevitable task of structural reform all the more difficult.

Constructive dialogue and timely reforms are required to assure health care security for millions of current and future retirees. In recent years, critics of the various entitlement reform proposals have claimed that many of the proposed changes will "kill" Social Security and Medicare. But, in fact, as the numbers show, the status quo will kill these programs. Criticizing serious attempts at entitlement reform without offering alternatives to the status quo is the least compassionate and least responsible option for Americans.

Entitlement reform cannot wait. Just as Social Security and Medicare programs were enacted with broad bipartisan support, securing and saving these programs will require nothing short of both parties of Congress working together. Ultimately, it will hinge in large part on President Obama's level of courage to confront this pressing issue.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Kay Bailey Hutchison.

@highlight

Sen. Kay Bailey Hutchison says entitlement reform is critical to our health care security

@highlight

She says Social Security and Medicare funds will head toward bankruptcy if action is not taken

@highlight

Hutchison: It's time for President Obama to focus on reforming these programs

@highlight

She says Congress should also step up to find a bipartisan solution