(CNN) -- Easton Neston is the kind of place you'd expect to find in one of PG Wodehouse's comic novels -- a playground for England's eccentric and carefree landed gentry.

Nestled among 600 acres of lush farmland and landscaped gardens, the 36-room house was built 300 years ago by architect Sir Nicholas Hawksmoor for one of the country's aristocratic families.

Not only is the property one of the finest examples of English Baroque buildings, it's unusual in that it has remained a private dwelling. Indeed, the owner of this estate is no ordinary Lord of the Manor.

Born Leonid Maxovitch Rodovinksi in St Petersburg, Leon Max is one of a number of Russian-born tycoons acquiring some of the UK's most iconic buildings from old families crippled by their exorbitant running costs.

Max is coy about how much he paid for Easton Neston, but British publications have reported it sold for around $25 million in 2005, as its founding family were struggling to keep up with its annual $3 million maintenance bill.

And while the price-tag may seem eye-wateringly expensive, Max spent almost twice as much redecorating the house. It was painstaking process, supervised by Lady Henrietta Spencer Churchill, a relative of former British Prime minister Sir Winston Churchill and the late Diana, Princess of Wales. The staff were streamlined but the "old timers" left are surprisingly loyal to their newfound country squire.

''What did I think of when a Russian tycoon bought this property?'' muses the copiously tweeded chief groundsman Roy Goodger, a 30-year veteran of Easton Neston.

''Strange at first. But I was happy because I knew a Russian tycoon would have money and that's what this place needs.''

Max is less optimistic about his neighbors. ''I suspect the locals had low expectations,'' he says in perfect, if soft-spoken English.

Read more: Russian billionaire's Soviet-era art

''Come to think of it they were probably expecting a shaven-headed man in a black leather overcoat with a bunch of goons toting Uzis. So, I think they were a bit disappointed when they saw me.''

A refugee from the Soviet regime, who has lived in America since the 70s, Max is actually something of an anti-oligarch.

Yes, his story is one from the rag trade to the rich list but it is unconventional in that his fortune was made outside of the fast-growing emerging markets. Rather, it was in the hyper-competitive U.S. retail sector where he is best known as the man behind the Californian label Max Studio.

Max clearly doesn't shy away from a challenge. When we meet he has just launched his high-end clothing line Leon Max in the UK, during one of most pronounced double dip recessions in a generation. ''Yes, Europe is in a recession but it's like everything, things will change,'' he says. ''And in the meantime, it's a wonderful place to live... to work.''

In fact, Max -- who spends only part of the year at Easton Neston -- has become so enamored with "all things English" that he's relocated part of his design studio to a former real tennis court in a wing designed by Sir Christopher Wren, famous for the construction of St Paul's Cathedral in London.

''I also get inspired by the country life here,'' says Max as he dons his signature white smock and weaves between seamstresses busy at their machines.

Photo gallery: Russian billionaire's collection of Soviet-era art

"In fact, we've recently launched a new line called Max Studio Country, which has everything a girl needs for a weekend in the country. Besides, it's a wonderful place for our fashion shoots.''

For his part, Max appears to have perfected the country look ''thanks to my tailor on Savile Row.'' When we meet he is looking effortlessly chic in a moss-green moleskin suit, which one can't help noticing matches much of the furniture.

Although Max avoids questions about his true wealth and the value of his business, he does concede "it's enough to keep me in good wine... and country houses.''

It also seems enough to keep him in good company as well. For when we meet the house is abuzz with preparations for the weekend's big event: A shooting party, which will attract the cream of British society.

''Shooting days are easily 5000 calorie days,'' says Max, who is trim for a man in his 50s.

The day will include: A breakfast, of eggs, bacon, sausages, black pudding and bubble and squeak. Then there's elevenses with pork pie and spirits, followed by a black tie dinner, champagne, port stilton and more.

''Speaking of which, Nicholas,'' he says as he catches his trusty manservant whizzing by. ''What are we thinking of in terms of the wine? Say a Chateau Margaux 1996 to go with the lamb?''

A second later the butler scuttles back off down one of the house's endless corridors and one is left with the feeling of having met the white rabbit from Lewis Carroll's Alice and Wonderland.

''He may be British but he's spent a long time in Hollywood,'' says Max affectionately. ''He used to work for the Gettys, then he was Nicholas Cage's butler. So, I think this probably the most normal set up he's seen so far,'' he chortles.

The Gettys may be famous for their massive wealth and love of art but Easton Neston itself would put many museums to shame.

The interior has been so sympathetically redecorated it's hard to believe at first that Max bought the house after it had been stripped of its contents.

''Unfortunately, the family I bought it from (Lord Hesketh) had sold the contents at auction earlier,'' he says puffing on a Marlboro Light cigarette.

One thing he did manage to get his hands on though, is a huge hunting scene attributed to Sir Peter Paul Rubens which hangs majestically above the fireplace in the drawing room flanked by similarly impressive works by Samuel Scott and Luca Giordano.

For all the riches in the world, Max cuts a lonely -- if elegant -- figure in this former baronial hall. The twice-divorced father of one doesn't even have a dog. "I'd love one but I travel so much,'' he says. ''They always end up being the housekeeper's dog.''

Would he like to find a "Lady of the Manor" one day?

''Let's just say I'm interviewing,'' Max replies with a wry -- if not shy -- smile and another drag on his cigarette.

As we leave, the parlor maid is laying out the silver in preparation for an Earl who is coming to tea while outside the gamekeeper ensures the drives aren't flooded before the shooting party arrives at the weekend.

Flocks of sheep graze in the distance while the odd pheasant flutters between the topiary. But then the bucolic scene is shattered by the arrival of a huge helicopter, and our host bids us goodbye.

@highlight

Easton Neston is a playground for England's eccentric and carefree landed gentry

@highlight

The owner of this estate is no ordinary Lord of the Manor -- it's Russian tycoon Leon Max

@highlight

Max, who has launched his new clothing line in the UK, is enamored with all things English

@highlight

He also hosts huge dinner parties and shooting days at his country estate