(CNN) -- As Occupy Wall Street demonstrates its staying power, media increasingly portray it favorably. Because of its success, the movement is being asked to put forth a list of its demands. So far, members have said no. And well they should.

The refusal of Occupy Wall Street to tie itself down with an agenda that can be debated piecemeal is one of its great strengths. The decision allows Occupy Wall Street to remain a cri de coeur for all who believe they have lost ground over the last decade.

In choosing this strategy, Occupy Wall Street is doing more than defying expectations. It is linking itself with the best of 1960s America.

Fifty years ago in his 1961 Inaugural Address, President John F. Kennedy declared that the torch had been passed to a new generation of Americans. A year later, in its Port Huron Statement of 1962, the group Students for a Democratic Society (SDS), took Kennedy's generational declaration a step further, insisting that the time had come for America to make a new commitment to social justice.

For SDS, an organization dominated by college and graduate students, participatory democracy was a version of Occupy Wall Street's horizontal democracy, and to look back at SDS's Port Huron Statement is to see why Occupy Wall Street activists should feel confident about the path they have chosen.

The Port Huron Statement was often maddeningly vague. But like Occupy Wall Street's chant, "We are the 99 percent," the Port Huron Statement left no doubt about the all-inclusive equality SDS sought. As Kirkpatrick Sale has written in his definitive history "SDS: The Rise and Development of the Students for a Democratic Society," the organization both captured and shaped the spirit of the new student mood.

"America rests in national stalemate" was the underlying premise of the Port Huron Statement. SDS believed the "decline of utopia and hope" was the defining feature of the American political landscape in the early '60s, and its task was to search for "truly democratic alternatives."

SDS members had, they believed, grown up when America was the wealthiest and strongest country in the world, and they saw themselves struggling with the complacency such power produced.

SDS did not underestimate the difficulty of overcoming the problems it faced. At a time when the Civil Rights Act of 1964 was still years away and the fall of the Berlin Wall was impossible to imagine, SDS was concerned not only with the questions of economic equality but the entrenched racism of the South and the nuclear arms race.

The organization conceded that much groundwork had to be laid if serious change was possible. "The first task of any social movement is to convince people that the search for orienting theories and the creation of human values is complex but worthwhile," the Port Huron Statement says.

The group never said exactly how it would succeed at that task. But it was clear about what it wanted. "We would replace power rooted in possession, privilege, or circumstance by power and uniqueness rooted in love, reflectiveness, reason, and creativity."

SDS was not bothered by criticism that such a declaration of principles was too idealistic. It faced its critics head on. "If we appear to seek the unattainable, as it has been said, then let it be known that we do so to avoid the unimaginable," the concluding lines of the Port Huron Statement declare.

The organization's faith in people, particularly those belonging to its college-age generation, was knowingly idealistic. At the core of the Port Huron Statement was SDS's unapologetic insistence: "We regard men as infinitely precious and possessed of unfilled capacities for reason, freedom, and love."

By the end of the 1960s, SDS was a spent force, but the values expressed in the Port Huron Statement had a life of their own. They were echoed in the civil rights movement as well as in the social programs of Lyndon B. Johnson's Great Society, and they continued into the 1970s with the antiwar movement.

It is too early to predict what will follow from Occupy Wall Street, but the example of SDS and its Port Huron Statement provides a basis for believing Occupy Wall Street rests on much more solid ground than its critics realize. As Occupy Wall Street's General Assembly, its daily mass meeting open to everyone, shows, the movement is not about to be intimidated by the charge -- even when voiced by those on the left -- that it is too elusive and too egalitarian for its own good.

Occupy Wall Street's September 29 Declaration of Occupation lists a multitude of grievances, ranging from anger about illegal house foreclosures to outsourcing jobs, but the declaration never departs from its core article of faith and source of appeal. They are registered in its opening sentence, "As we gather together in solidarity to express a feeling of mass injustice, we must not lose sight of what brought us together."

The opinions in this commentary are solely those of Nicolaus Mills.

@highlight

Nicolaus Mills: Occupy Wall Street makes smart move by refusing to list demands

@highlight

Mills: In 1962, Students for a Democratic Society's Port Huron Statement didn't list demands

@highlight

Mills says the values outlined in that statement lived on long after SDS ended

@highlight

Occupy allows room for all who have lost ground to bring issues to light, he writes