Orlando, Florida (CNN) -- After a lukewarm reception from television buyers, 3-D technology is pushing its way onto small screens.

As Nintendo plans to launch with the first major gadget that can show three-dimension visuals without the need for special glasses in the U.S. on Sunday, two large Asian electronics manufacturers are following suit.

HTC has unveiled the EVO 3D, a follow-up to Sprint Nextel's breakout smartphone. It has a 4.3-inch touchscreen, which can display eye-popping 3-D without needing glasses. Users will also be able to capture photos and videos in 3-D using a pair of cameras on the back.

Like the original EVO, the 3D version will run Google's Android operating system and connect to Sprint Nextel's fast 4G data network.

LG Electronics has been working for a year and half on a 3-D smartphone of its own, said Yongseok Jang, the South Korean company's vice president of strategy.

The Optimus 3D, as it's been called, will launch on AT&T Mobility's network with the name Thrill 4G. AT&T says it will be available in the "coming months," and a price hasn't been set.

LG developers spent a great deal of time fine-tuning the pair of 5-megapixel cameras to accurately capture 3-D media, Jang said. Calibrating the cameras to produce good-looking stills and video is more difficult than pulling off a glasses-free display, he said.

The EVO 3D prototype we tested at the CTIA Wireless conference this week shot blurry video. HTC is still working on that aspect, which will probably take several more months to perfect, said Trevor Van Norman, a Sprint marketing director. The EVO 3D will be available this summer, he said.

Nintendo's 3DS also has a pair of cameras for capturing scenes in 3-D, and it works quite well. Being the first out of the gate to offer a mainstream glasses-free 3-D gadget, Nintendo expected to find competitors, and it soon did when LG announced its phone.

"I wasn't frustrated or irritated by it," Hideki Konno, a Nintendo producer who played a key role on developing the 3DS, said through a translator in a recent interview. "I mean, considering the technology was out there in the world, I wasn't even really surprised by it."

The Japanese game company plans to fend off competitors by partnering with media publishers that can offer more games and movies in 3-D.

"You need not only the capabilities; you need the content," Reggie Fils-Aime, Nintendo of America's president and operating chief, said in an interview. "They're not going to have the great gaming content that we have."

For their phones, LG and HTC are lobbying game developers to create 3-D software for Google's Android smartphone platform. Owners also will be able to download the thousands of games already available for Android.

LG expects to include a few games packaged with the Thrill 4G and have at least 10 games available when the device is made available to purchase, Jang said. With a team led by Jang, LG also persuaded Google to make YouTube videos produced with 3-D cameras available in a separate app and allow the phone's users to upload their own, Jang said.

"Instead of being at the mercy of Hollywood studios to bring 3-D content, why don't we enable our customers to create their own 3-D content?" Jang said. Google's YouTube team also helped LG tweak the quality of the videos produced by the phone, he said.

The EVO 3D will have about a half-dozen 3-D games at launch in addition to the full "Green Hornet" film, Van Norman said. The phone will also have the YouTube 3D application.

HTC touts on its website: "You look better without the 3D glasses," as a hand tosses a pair into a trash can. LG's initiative, too, was designed to eliminate the need for wonky glasses, Jang said.

"All our TV guys and our mobile-phone guys, we try to solve that problem -- to force people to wear glasses," Jang said. "Watching 3-D stuff should not be a sit-up experience."

Both LG and HTC are planning to debut tablet computers that can, like their phones, capture 3-D with a pair of cameras. However, the tablets require users wear dorky, two-toned glasses in order to view the 3-D content.

HTC's tablet, with its 7-inch touchscreen that requires glasses for 3-D viewing, is called the EVO View 4G and will be available on Sprint.

Jang from LG, which is bringing a tablet to T-Mobile USA's network, said implementing glasses-free 3-D on the G-Slate's 9-inch screen was "a cost issue."

However, by enabling the device to capture 3-D pictures and video, Jang hopes the excitement carries over into LG's TV business, which has struggled to sell 3-D sets.

T-Mobile, the G-Slate's exclusive carrier, believes that it's still "early days" for 3-D technology and that issues will be solved over time with new devices, said Desmond Smith, a senior product manager for the company.

Samsung Electronics hasn't ventured into the mobile 3-D territory yet. "There has been a big push for (3-D) on the TV side, but we haven't done anything on the phone side," said spokesman Kim Titus.

Omar Khan, the strategy chief for Samsung Telecommunications, said mobile devices will be more valuable in the 3-D space as a way to capture content in that format, rather than to view it. "I think it's still pretty early," he said.

@highlight

HTC and LG are prepping smartphones that can display 3-D without needing glasses

@highlight

The two companies are also working on 3-D tablets, but those will require glasses

@highlight

Nintendo executives say HTC and LG will struggle to find 3-D content