Tripoli, Libya (CNN) -- Ahead of a landmark vote in Libya, an international monitor warned that Moammar Gadhafi's successors risk repeating the ousted dictator's mistakes unless electoral winners make rule of law a top priority.

Many months after the February 17 uprising that rid Libya of Gadhafi and his autocratic rule, Libyans will choose a new government Saturday.

Much is at stake in that vote, said Amnesty International, which issued a scathing report Thursday on widespread Libyan lawlessness, focusing on armed militias operating above the law.

In Benghazi, Libyans vow that the vote will go on

The report documented arbitrary arrests, detention, torture and impunity for unlawful killings.

It said Amnesty staffers visited Libya in May and June and found many militias refusing to disarm and that the government has only been able to dismantle a handful of the armed groups.

"It is deeply depressing that after so many months, the authorities have failed so comprehensively to break the stranglehold of the militias on Libyan security, with dramatic consequences for the people that bear the brunt of their actions," said Hassiba Hadj Sahraoui, Amnesty International's Middle East and North Africa deputy director.

"Calls for an end to repression and injustice were what led to the '17 February revolution' in the first place," she said. "Without immediate action to stop abuses and lawlessness, there is a very real danger Libya could end up reproducing and entrenching the same patterns of violations we have seen over the past four decades".

Amnesty International said it spoke with two sisters -- 27 and 32 -- who were stopped by militiamen at a checkpoint in February and forced at gunpoint to a nearby farm.

"One was suspended from a door for hours, had boiling water poured over her head, and was beaten and stabbed while being accused of supporting the former government of Colonel Moammar Gadhafi," the report said.

"The other was also suspended and beaten. The husband of one of them, who was detained at the same time, has disappeared."

Amnesty International also found instances of revenge beatings and vigilante-style justice carried out against detainees held by people who suffered under Gadhafi. The report said that sometimes detainees were held in cities where Gadhafi's regime allegedly committed human rights violations.

It gave the example of neurosurgeon Hisham Anour Ben Khayal. He was abducted in Tripoli in April by a militia from al-Zawiya that blamed him for the death of a relative due to alleged medical neglect. The doctor was beaten with sticks and whips.

In court, Khayal testified that he wasn't the treating physician in the case and that other doctors had operated twice to save the man who died.

Khayal was charged with murder and will stand trial in al-Zawiya, where there is strong sentiment against him, Amnesty said.

Libyans from all walks of life took to the streets to stand up to injustice, Amnesty said, but now their leaders are undermining their aspirations.

And public criticism of the revolutionary militias is uncommon after they were hailed as heroes who ousted Gadhafi. Critics of the militias, Amnesty said, are often labeled as Gadhafi loyalists.

Amnesty International urged Libyan authorities to do more.

CNN was not successful in obtaining immediate comment from Libyan government officials.

It said Libya should build a judicial system that will "hold perpetrators to account in trials that meet international standards and provide redress to the thousands of victims of human rights violations."

That position was supported by policymakers and Libya observers.

Ian Martin, the top United Nations envoy in Libya, agreed that Libya's National Transitional Council has not done enough; he said his office has been pushing to accelerate the handover of detainees in custody of revolutionary brigades to proper state authorities.

"We have also repeatedly pressed the government to take responsibility for protecting the physical integrity of those in detention, even if they go on being held outside state authority for a limited period of time," Martin told CNN.

Martin said the United Nations was trying to assist the Libyans in developing a strong judicial system.

"Certainly we are not satisfied with the rate of progress in that respect and very concerned by continuing torture and abuse of detainees in custody and continuing arrests outside legal process," Martin said.

Amnesty said 4,000 detainees remain in centers outside government reach. Some have been detained for a year.

Analyst Ranj Alaaldin said the interim government appears unable and unwilling to try to assert its control over a complicated network of armed militias.

In a commentary for CNN.com, Alaaldin, a senior analyst at the Next Century Foundation, described chaos over the past week in the seizure of Tripoli's airport, attacks on a U.S. diplomatic office in Benghazi followed by one on a British convoy, and violent tribal clashes in the south.

"The current security environment, dominated by militias, does not constitute a proper security framework: It lacks coordination and creates gaps that allow for conflict between rival groups, as well as criminal activities like smuggling -- and terrorism, which appears to be a new factor in the east," Alaaldin wrote.

Amnesty International said Libyans who emerge as the nation's new leadership after Saturday's election will face a tough task of piecing together a land damaged and divided by years of mistrust and repressive rule.

Gadhafi, Amnesty said, cracked down on his opponents in protecting his 1969 revolution. Saturday's victors, the group said, must prevent a similar outcome.

International court staff freed after detention in Libya

Tunisia hands former Gadhafi PM over to Libya

Extremist triangle a growing threat to Africa and America

CNN's Moni Basu reported from Atlanta and Jomana Karadsheh, from Tripoli, Libya.

@highlight

Amnesty International warns Libya's leaders risk repeating Moammar Gadhafi's mistakes

@highlight

Ahead of Saturday's election, the rights group publishes a scathing report

@highlight

It focuses on armed militias that it says are operating above the law

@highlight

Some detainees are victims of revenge, the report says