Oxford, UK (CNN) -- If you ever try your hand at farming spiders, you'll very soon discover it's no easy task.

Penning in a bunch of golden orb weavers -- the queens of the web-spinning world -- will earn you only a few milligrams of ultra-tough spider's silk.

That's if they don't eat each other first, explains Dr. Nick Skaer. And they will.

Bug catcher

As a boy, Dr Skaer loved hunting for creepy crawlies -- but was never a fan of spiders.

Today, Skaer's day-job involves persuading people to implant the creatures' silky secretions under their skin -- with the promise that the fiber will weave together damaged tissue.

It's a "quantum leap," admits Dr Skaer, but his creation could one day relieve agony for millions.

Watch the video above to see how the Dr Skaer created the FibroFix implant.

Thread of life

Skaer, now the CEO of biomaterials producers Orthox explains that silk produced by spiders is not just naturally tough -- 25 times the strength of steel -- it is also "biocompatible."

The close similarity between molecules in the spider silk and proteins in the human body means human cells can grow into the fiber.

When implanted in the human body, a device made from spiders silk would encourage the surrounding cells to "repopulate the device with actual human living tissue," Skaer says.

"If you've got a very strong, resilient material which also has a lot of similarities to tissues in the human body, it's a great place to start for trying to make a medical implant."

Watch: 'The night I invented 3D printing'

Saved by the silkworm

Instead of fighting the spider's cannibal instinct, and meager rate of production, Skaer's team set about creating fake spider's silk -- made from the same fibers that go into high class scarves.

The team took silkworms, which produce 1000 times as much silk as a spider, and broke it down to the basic molecules.

Re-spinning this so that all the proteins are closely aligned -- just how a spider does -- creates a far stronger fiber than the silkworm can.

Or -- when Skaer presents their finished product -- a rubber-looking crescent-shaped implant.

Friends in knees

The FibroFix implant is soon destined for knee joints, where Skaer believes it can help people with damaged cartilage to regrow the shock-absorbing tissue.

Without this implant, millions of people have no option but to resort to total knee replacement surgery.

As of 2010, over 600,000 total knee replacements are performed annually in the United States alone, and estimates suggest that this figure will increase 6-fold by 2030.

This marks a $13 billion-per-year cost for Americans, which is set to rise as the ageing Baby Boomer generation battle age-related conditions such as osteoarthritis, but demand to stay active.

The first round of trialists are set to start receiving FibroFix implants this year, and Skaer hopes they will pave the way for others to avoid knee replacement:

"If the clinical trials go well, we hope to have this available for patients within the next two to three years."

Beyond the knee

Skaer sees future applications in other joints -- "the hip, the shoulder, ankle, all of these suffer osteoarthritis" -- as well as in the cartilage discs between the bones in the spine.

It doesn't stop there, either:

"If you've got a technology that integrates very well with the body -- which allows cells to grow down into it -- then bones and joints certainly aren't the only tissues in the body that you could look to address."

In the long term, Skaer imagines silk platforms being used to patch up intestines, hernias, and muscles -- including in the heart.

There's even the suggestion that -- one day -- it could fix a severed spine:

"Is there the potential for nerve repair? Well, the chaps [research scientists] at Oxford University have certainly started looking at nerve repair as an interesting further application of this technology. And they've got some promising early results certainly."

"That obviously is far, far earlier than the stage that we're at..."

Watch: The technology bringing Sinatra, Tupac back to life

Spider thread revisited

For now, relieving the agony of knee pain is motivation enough.

And all this has given him a new perspective on the crawling spider:

"Spiders I suppose are very different from when I was turning over rocks and looking underneath them and when I was a kid.

"I don't so much see the eight legs crawling around and the sharp pair of fangs -- I see something that can spin me a remarkable material, and that's very exciting, as a scientist."

@highlight

Is this knee implant really made from spider's silk?

@highlight

Dr Nick Skaer has created FibroFix implant that allows cells to "grow into" it

@highlight

It could help thousands of people to avoid knee replacement surgery

@highlight

Eventually, the material could help repairall varieties of human tissue -- including nerves