(CNN) -- When it comes to social media's heavy hitters, there are no bigger players than Facebook or Twitter, right? Not if you're in South Africa.

Mobile network Mxit claims to have nearly 10 million users in the country, making it South Africa's most popular social media platform by far, eclipsing Facebook's six million users and Twitter's 1.1 million subscribers.

Founded seven years ago by Namibian-born software developer Herman Heunis, Mxit has grown from an instant messaging application into a global mobile social network.

The handset-agnostic network is tapping Africa's booming mobile market to serve a growing community of users and developers. Mxit users can chat with their contacts, exchange photos and use a digital currency to buy virtual goods, while aspiring entrepreneurs can find a large audience for their applications and services.

Speaking to CNN before his recent resignation from the business he bought in September 2011, former CEO Alan Knott-Craig said he was still astonished by the power of mobile and how engaged the millions of Mxit users are.

"Firstly they're looking to meet people, secondly they're looking for attention, they want to be heard or want to be seen," said Knott-Craig.

"And lastly, people are looking to have fun, they're looking for entertainment and there's only one thing in their life: the cell phone -- there's no iPad, PC, XBox or TV, there's just the phone and Mxit is that escape."

The company says its users transfer between 500 and 850 million messages every day. That's roughly double the number of tweets sent daily on a global basis. The average user now spends 85 minutes a week using Mxit and logs on up to four times a day.

Knott-Craig says the statistics prove that the growing popularity of mobile internet has transformed the way people communicate across Africa.

"Before mobile Africa really was a dark continent -- I mean literally people couldn't communicate," Knott-Craig explained.

He added: "In South Africa 17 years ago, before mobile phones came along, there were five million phones out of a population of 35 million people. Now there are 60 million phones out of a population of 60 million people.

"So literally, with the advent of mobile, it's gone from almost a billion people not being able to talk to anyone except those they see, to being able to talk to anyone regardless of where they are.

"So that's the first revolution. We have no legacy. No existing cable operator or TV player or ADSL -- there's nothing, there's just mobile.

"The other thing is the fact that credit cards are just non-existent. You'll never build a big business by billing people via credit cards in Africa and probably in all emerging markets, and again that problem is being solved within an African context by trying to build the systems to sell prepaid airtime.

"Mobile succeeded in that because it unlocks the communications grid of the continent. The next step is to unlock the economic grid via mobile payments."

So how does Mxit make money? Its primary revenue isn't generated through advertising, which is unusual compared to other social networks. Instead it makes most of its money by selling content to its users.

The site acts as a marketplace for hundreds of millions of micro-payments using its digital currency, Moola. Around 13% of active users are spenders and use Moola to buy skinz, wallpapers, games and music.

Read also: Web savvy Africans fuel growth in online shopping

"We make money in the same way that Facebook makes money, which is basically advertising and content, except we do it in an inverse ratio," said Knott-Craig.

"I think they make 90% of their money from advertising and 10% from content -- we make 70% of our money from selling third-party developer content, and 30% from advertising."

Knott-Craig stepped down as CEO in October 2012, citing a difference of opinion with shareholders. "While the shareholders and I share the same vision, we differ on how to get there," he said in a statement.

But although he's left the company, Knott-Craig has described Mxit as Africa's biggest tech success story -- and one he believes will continue to grow.

"You can build a big global tech company out of Africa. It doesn't have to come out of San Francisco and I didn't know that before because I hadn't seen that before," he said.

Claire Brennan contributed to this report.

@highlight

Mxit is South Africa's most popular social media platform

@highlight

Alan Knott-Craig recently stepped down as CEO

@highlight

He describes mobile as a "revolution" in Africa

@highlight

"You can build a big global tech company out of Africa," he says