WASHINGTON (CNN) -- There are likely to be two hot-button issues in Judge Sonia Sotomayor's Supreme Court confirmation hearings as senators gauge not only her positions but also some controversial comments she has made.

Judge Sonia Sotomayor would be the first Hispanic woman to serve on the Supreme Court.

Issue No. 1: Abortion. It is the traditional hot-button issue in Supreme Court confirmation hearings.

In a CNN/Opinion Research Corp. poll taken May 14-17, 68 percent of Americans say they don't want the court's Roe vs. Wade decision giving constitutional protection to abortion rights overturned. The margin of error was plus or minus 3 percentage points.

Sotomayor was raised Catholic. If she is confirmed, six out of the nine justices on the high court will be from the faith. Catholics make up about 25 percent of the U.S. population. Of the 110 people who have served on the Supreme Court, 11 have been Catholic. Five of those justices -- Samuel Alito, Anthony Kennedy, Antonin Scalia, Clarence Thomas and Chief Justice John Roberts -- are currently on the court.  Read more about the justices on the court »

Barbara Perry, a government professor at Sweetbriar College, said she sees Catholics as swing voters with a base of socially conservative principles, and therefore attractive for Republican presidents.

Catholic League President Bill Donohue said Catholics have conservative credentials on issues such as abortion, without the political baggage of terms such as the "religious right" or "evangelicals."

"Is it safer to nominate a Catholic as opposed to an evangelical to get votes? I think the answer is decidedly yes."

Court observers wonder what, if anything, six Catholic justices would mean for Supreme Court decisions. The five Catholics on the bench concurred in a 2007 decision, Gonzales v. Carhart, which upheld a state ban on late-term abortions.

Sotomayor has faced few abortion cases, and no tests on issues such as gay rights or the death penalty. However, Donohue expects a Justice Sotomayor to lean more left than her fellow Catholics on the court.  Watch more on the issues confronting Sotomayor »

"I think she's more reliably liberal," Donohue said.

Issue No. 2: Same-sex marriage. Four states -- Connecticut, Iowa, Maine and Massachusetts -- allow same-sex couples to wed. New Hampshire could soon follow with legislation pending before the state Legislature. Vermont has also legalized same-sex marriage.

Same-sex couples in California, however, suffered a defeat Tuesday when California's Supreme Court upheld the Proposition 8 ballot initiative in 2009 that outlawed same-sex marriage.

The state had previously allowed such marriages after the same court ruled that, "An individual's sexual orientation -- like a person's race or gender -- does not constitute a legitimate basis upon which to deny or withhold legal rights."

On Tuesday the court said: "Our role is limited to interpreting and applying the principles and rules embodied in the California Constitution, setting aside our own personal beliefs and values.''

Recent CNN polling has shown that a majority of Americans are against legal recognition of same-sex marriage. Fifty-four percent of Americans questioned in an April 23-26 CNN/Opinion Research Corp. poll said marriages between gay or lesbian couples should not be recognized as valid, while 44 percent said they should be considered legal.

But there was a gap between the opinions of younger and older people, with younger people far more likely to approve of same-sex marriage.

In fact, 58 percent of people age 18 to 34 said same-sex marriages should be legal. Among people ages 35 to 49, 42 percent agreed, as did 41 percent of 50- to 64-year-olds. Twenty-four percent of people 65 and older agreed.

The survey's sampling error was plus or minus 3 percentage points.

But is marriage a right under the federal Constitution? The federal courts have not ruled on that.

"That's an issue that may well come up within the federal courts ... almost certain to do so," Justice Samuel Alito has said.

Will Sotomayor set aside her personal beliefs and values? Maybe. A recent clip of Sotomayor has surfaced that is being used by opponents to prove their belief she will rule a certain way.

"The court of appeals is where policy is made. And I know, I know that this is on tape, and I should never say that. Because we don't make law, I know," she said at a 2005 conference at Duke University. "OK, I know, I know. I'm not promoting it, and I'm not advocating it."  Read about Sotomayor's key rulings »

Another comment that could be scrutinized during the Senate hearings is from 2001, when Sotomayor said the gender and ethnicity of judges does and should influence decisions.

"I would hope that a wise Latina woman with the richness of her experience would more often than not reach a better conclusion than a white male who hasn't lived that life," she said.

That comment has outraged conservative critics such as the group Judicial Watch, which said that if confirmed, Sotomayor may rule more on the basis of racial identity than law.

"It is outrageous and racist on its face, and if a nominee that had conservative credentials made a similar although reverse statement they would be laughed at. They would never be put on the court," said Tom Fitton of Judicial Watch.

But one liberal academic said too much is made of these comments and not enough of Sotomayor's legal opinions.

"I don't think having a particular background is going to cash out as having a particular ready style or opinion," said New York University Professor Kenji Yoshino. "If you actually read over 400 opinions that she has written, you will see she is a judge's judge."

One case that will get greater scrutiny is Sotomayor's role in dismissing the appeal of 19 white and one Latino firefighters from New Haven, Connecticut. They claim they were denied a promotion despite doing better on exams, because not enough minority candidates qualified.

Sotomayor was one of a three-judge panel who in a one-paragraph summary sided with a lower court. Other judges on the court criticized the decision, arguing it failed to grapple with questions of exceptional importance.

"In a case like this where there are important competing concerns, it is important for the appellate court to explain the basis of her decision," said Case Western Reserve University professor Jonathan Adler. He said it was as if the court wanted to "make the case go away or brush it under the rug."

The Supreme Court decided it would hear the firefighters' appeal.

Legal analysts said they expect Republicans on the Senate Judiciary Committee will want to ask Sotomayor about her role in that case, as well as her comments about ethnicity and the bench.

That, coupled with her views on abortion and same-sex marriage, could electrify an already heated debate over her nomination.

Soon there will be even more known about Sotomayor.

Senate Judiciary Committee Chairman Patrick Leahy, D-Vermont, and Jeff Sessions of Alabama, the committee's ranking Republican, on Wednesday released the bipartisan questionnaire the Senate Judiciary Committee has asked Sotomayor to complete.

Once the questionnaire is completed and returned to the committee, copies will be made available online and in print.

CNN's Lisa Dejardins contributed to this report.

@highlight

Judge Sonia Sotomayor nominated to be the next Supreme Court Justice

@highlight

Sotomayor likely to face hot-button issues in Senate confirmation hearings

@highlight

She has also come under fire for controversial statements, rulings