3-D television was heralded as the breakthrough technology of the 2010 Consumer Electronics Show. Hot on the heels of James Cameron's eye-opening Avatar, 3-D HDTVs were everywhere on the show floor.

One year later, at CES 2011, 3-D was back again -- this time iterating. We saw bigger 3D HDTVs, 3-D displays that didn't require special glasses, and camcorders that captured 3-D content.

But where is 3-D now? It's certainly not showing up big on our CES 2012 radar, and now looks like over-hyped technology in hindsight -- especially to those of us who always thought 3-D's natural home was in the movie theater, not the living room.

Indeed, a variety of obstacles -- high prices, a lack of 3-D content, and uncomfortable viewing experiences -- have kept 3-D TV adoption in the single digits nationwide. Manufacturers and content providers are working to address these issues, but one has to wonder if 3-D was nothing but a flash in the CES pan -- a technology story rather than anything consumers actually wanted.

In 2010, consumers purchased a paltry 1.1 million 3-D TV units, and although sales have grown in the two years since, the widespread 3-D fervor that TV manufacturers were anticipating never took root.

According to a January Display Search report, just more than 23 million 3-D TVs were shipped in 2011 worldwide, with only 3.6 million shipped in the U.S.

Display Search analyst Paul Gagnon says that U.S. household penetration for 3-D TVs is at about 3%. "To be fair, 3-D TVs have only been available for sale in a significant way for about 18 months, so that's why the penetration is so low," Gagnon says. "That said, it's still lower than what many in the industry had hoped for."

Markets like China and western Europe are seeing far more enthusiasm for 3-D TV than in North America, but worldwide adoption is still likely less than 2%.

So what's to blame?

The content, for one.

"We have disappointed our audience multiple times now, and because of that I think there is genuine distrust -- whereas a year and a half ago, there was genuine excitement, enthusiasm and reward for the first group of 3-D films that actually delivered a quality experience," Dreamworks animation chief Jeffrey Katzenberg said in an interview with The Hollywood Reporter.

After "Avatar," a string of unsuccessful, rushed-to-market 3-D flicks -- we're looking at you, "Clash of the Titans" -- zoomed to theaters hoping to cash in on the craze. Moviegoers were left with a bad taste in their mouths (and oftentimes headaches, too, as 3-D viewing can cause eyestrain). Since then, better-quality 3-D films like "Tron: Legacy," and, more recently, "Tin Tin" and "Hugo," have tried to improve 3-D's image. Meanwhile, small-screen content providers have branched out to provide live and on-demand 3-D offerings.

Currently, there are 55 3-D channels worldwide, including ESPN 3-D. Another 35 channels offer 3-D content on-demand.

If content and a disillusioned audience are the biggest problem, that's bad news for manufacturers: They have zero control over the content side of the equation.

To this end, 3-D TV manufacturers are doing whatever they can to make the 3-D viewing experience as pleasing and trouble-free as possible. This includes doing away with uncomfortable, unattractive 3-D glasses, which have also been cited in studies as barriers to consumer adoption. LG, for one, has announced it's making 3-D glasses that are lighter and more stylish.

But even handsome 3-D specs can't mitigate the headaches and fatigue suffered by some viewers of 3-D content, or the high prices of 3-D TVs.

So, yes, 3-D TVs are expensive. And they can cause headaches. And they aren't supported by a lot of quality content. All of which begs the question: Who's buying these things at all?

The existing sales, however paltry, can be attributed to consumer desire to purchase high-end TVs. Consumers don't really want 3-D specifically, but if they want that priciest, top-of-the-line unit, they'll receive 3-D capability whether they like it or not. "Sometimes consumers are even unaware [that they're getting a 3-D set] at the time of purchase," Futuresource Consulting's Fiona Hoy said.

Whatever the reason for purchase, the most recent studies indicate consumers are slowly warming up to 3-D. An October report from the Digital Entertainment Group found that the majority of 3-D TV owners say the experience is positive: 88% of those surveyed rated 3-D picture quality positively, and 85% of those 3-D TV owners prefer to watch more than half of their programming in 3-D.

As prices come down, more content becomes available, and 3-D glasses improve (or are replaced by glasses-free technology), 3-D TV adoption will only increase. Whether we reach the near 50% adoption rates that have been projected for 2014 and 2015 is yet to be seen. But whether you like it or not, 3-D does not appear to be in its death throes just yet.

Yes, we'll see new 3-D displays and accessories at CES next week, but you can rest assured the manufacturers' over-reaching hype campaigns are over.

@highlight

3-D television now looks like over-hyped technology in hindsight

@highlight

23 million 3-D TVs were shipped in 2011 worldwide, only 3.6 million shipped in U.S

@highlight

U.S. household penetration for 3-D TVs is at about 3%