London (CNN) -- Jasvinder Sanghera was eight years old when she was promised in marriage to a man she had never met. When, six years later, her mother showed Sanghera a photograph of her intended husband, the 14-year-old reacted with horror.

The pressure on the youngster mounted as Sanghera's Indian-born mother tried to involve her in the wedding arrangements. When she refused to marry the man, saying she wanted to finish her education in her hometown of Derby, in the English Midlands, her family held her prisoner in her bedroom until she relented, she said.

"In the end I said yes, but started to plan my escape," Sanghera, one of seven sisters, recalled. Her parents released her, and she promptly ran away from home. She was just 15 years old.

"My mother told me I couldn't come back until I agreed (to the marriage) or I was dead in their eyes. My family disowned me to this day.

"I'd shamed them and dishonored them. I don't talk to any of them any more. It's been 29 years since then."

When Sanghera left, her younger sister had to marry the man to whom she had been promised. "That was the only way [my parents] had to save honor, in their eyes," she told CNN.

Her parents, who have subsequently died, also forced her other sisters to enter into arranged marriages, she said. "As a young person growing up in Britain, going to their houses, you'd see horrific stories of them being beaten and abused," she said. "Yet my mother's response was to tell them to stay there because it was their duty to make the marriage work for the sake of our honor."

Sanghera wept as she recalled the fate of one of her sisters, whom she said was beaten by her husband. "She went to my family, for help. But at the age of 24 she set herself on fire and committed suicide.

CNN's attempts to locate the husband to seek comment have been unsuccessful.

"Her death was a time for me where I recognized just how important honor is to a family." Sanghera added that for her parents, "losing a daughter in such a horrific way" had dishonored them.

Sanghera now uses her experience to campaign in British schools against arranged marriages and so-called "honor" crimes, and has set up a network for victims, called Karma Nirvana.

The charity, which is partly funded by the British government, takes 500 calls a month from both men and women who have concerns. Sanghera described the different kinds of people who ring: "Typical calls include a teacher having to deal with an eight-year-old girl saying I'm going to Pakistan to get married. Our call handlers are trained to handle this.

"Many professionals are trained to be culturally sensitive in Britain, but this means we have to help them overcome their fears of being called a racist, because that is what perpetrators will use to get them to turn a blind eye."

The issue of killing people to preserve a family's honor was brought to wider attention earlier this year when three members of a family of Afghan immigrants were convicted in Canada for the killing of four relatives. The defendants were sentenced to life in prison. Two of them admitted during their trial they were angry about the victims' western attitudes.

Experts say the case has lifted the lid on just how common so-called "honor" murders are around the world, and in places some would not suspect. "It's definitely a problem that happens in many different places: the Middle East, Pakistan, Bangladesh and among immigrant communities in North America," said Nadya Khalife, a researcher on women's rights in the Arab world for Human Rights Watch.

Several Arab countries and territories, including Iraq, Kuwait, Syria, Yemen and the Palestinian territories, have laws providing lesser sentences for so-called "honor" murders than for other murders, Human Rights Watch says.

Egypt and Jordan also have laws that have been interpreted to allow reduced sentences for "honor" crimes, the group says.

Reliable figures of the number of honor murders are hard to come by, Khalife said, but she pointed to a United Nations Population Fund estimate of 5,000 per year.

The triggers for an "honor" crime can be varied. "It can be anything that you take for granted, such as being a normal adolescent teenager or being a bit rebellious," Sanghera said.

"That can be having your nose pierced, dyeing your hair pink, having a mobile phone, going on social networks -- these are the things that can be perceived as being dishonorable to a family that operates an "honor" system.

"They are the things that can put a victim at risk of a forced marriage, 'honor abuse' or even murder. I've seen cases where girls have been murdered for passing their driving test, having aspirations after school, for being seen kissing a boy at a Tube station, asking for divorce. These are all triggers."

Experts say the practice should not be blamed on Islam. "It's not linked to religion; it's more cultural," said Khalife. "There have been several Islamic scholars who have issued fatwas against 'honor killing.'"

Islam doesn't justify 'honor murders,' experts insist

Sanghera agreed, but said South Asian communities in Britain needed to do more. "No religion, be it Islam or Sikhism supports this. In fact they support what I'm saying, but those religious leaders don't say that.

"I'm not trying to embarrass those communities, but they should be ashamed because it is happening and they're not taking a stand."

CNN's Atika Shubert contributed to this report.

@highlight

Jasvinder Sanghera ran away from home aged 15 to escape arranged marriage

@highlight

She said her parents disowned her to this day because she'd "shamed and dishonored them"

@highlight

Her sister committed suicide rather than marry man to whom she was promised

@highlight

Sanghera: Triggers can be trivial or serious; religious communities doing little to tackle honor crime