(CNN) -- As a child, Lee Yoon Jung used to hide underground with her classmates when the sirens rang at her school. The emergency drills were held in case of a North Korean attack.

Lee, now 46, has children of her own, who do not have such exercises at their schools in Ulsan, South Korea.

It represents the attitude shift over recent decades of tension between the two Koreas. South Koreans have become accustomed to living next to their northern neighbor, which often releases bellicose statements and calls it a "group of puppet traitors."

"Even though there are still many threats, very significant threats like nuclear weapons, we are quite used to those," said Lee, about her thoughts on the latest provocation from North Korea.

Last month, North Korea announced plans to carry out a new nuclear test and more long-range rocket launches. The very next day, Pyongyang also issued a direct threat to South Korea, and warned of "strong physical counter-measures" if the nation participated in U.N. sanctions.

In South Korea, life carried on. For many people, domestic concerns far outweigh worries about inter-Korea relations.

"South Korea is always dealing with North Korea, there are always reports in the South Korean media that North Korea is threatening this and that," said Karl Friedhoff, program officer of the Public Opinion Studies Center at the Asan Institute for Policy Studies based in Seoul. "It's a psychological thing where when you live under a constant threat, at some point you move on and it becomes life as usual. I think that's what has happened."

The institute's polls in South Korea indicate domestic concerns such as the economy and job creation heavily outweigh concerns about North Korea, even after a controversial rocket launch by Pyongyang in December that drew international condemnation.

Even if North Korea tests a nuclear weapon, Friedhoff does not expect it to raise concerns in South Korea.

North Korea's failed missile launch "did very little to move the needle on public opinion. Then, when it came to December, the thought was if this [launch] is successful, maybe that will do something. But it also did nothing to move the needle," he said, referring to the polls on public opinion.

"If there is a nuclear test, I don't anticipate that it's going to have any effect either," Friedhoff added.

Lee said she was not too concerned about North Korea's possible nuclear testing.

"If they have nuclear weapon, I don't think war will start very easily," she said. The economic interruptions to regional countries like China, Russia and Japan, would prompt the international community to prevent war and instability on the Korean Peninsula, she added.

South Koreans tend to view North Koreans as a neighbor (33%) or as one of them (32%), according to 2012 Asan Institute data. About 19% said they considered North Koreans as enemies, 10% as strangers and 6% reported no interest, in a nationwide poll that included 2,000 South Koreans.

North and South signed an armistice in 1953 that ended fighting in the Korean War but a formal peace treaty has never been signed. Since then, menacing rhetoric from Pyongyang has become part of daily life for Koreans, citizens said.

"There's some difference between other countries views and Koreans' view about this recent North Korea nuclear provocation," said Yoon Dong Keun, a college student living near Seoul, who described heightened global concern outside of Korea. His friends received calls from their friends in the United States inquiring about their safety.

"Most of South Korea is not taking those actions as seriously as others," he said. "There are so many series of provocation and action. There's few times the provocation came upright to a threat to our security."

In 2010, the North shelled the South Korean island of Yeonpyeong leaving two marines and two civilians dead. Pyongyang claimed Seoul provoked the attack by holding a military drill off their shared coast in the Yellow Sea.

That same year, North Korea was also accused of sinking a South Korean warship, killing more than 40 sailors. The incidents caused widespread anger in the South.

"We can't say a North Korea [incident] will never happen," Yoon said.

Regarding the latest nuclear testing, he said "It seems like North Korea's brinkmanship. They just want to blackmail or threaten other countries so they can get bigger aid or they can use or get bigger influence in other countries."

North Korea's rhetoric has fluctuated in recent weeks. At the beginning of January, the nation's leader Kim Jong Un struck a conciliatory tone on relations with the South, saying that removing "confrontation" between the two sides would be important in bringing about their reunification.

However, on February 1, North Korea's state-run media declared that "peaceful reunification can never be expected on the Korean Peninsula and the Korean nation can never escape disaster unless the U.S. imperialists and the South Korean regime are eliminated." On Sunday, the country announced that its leader had made an "important decision" to strengthen the nation, although it was unclear.

Despite provocations of a nuclear test, Seung Il Hong, a South Korean described the response of people as "calm" and noted that stock markets in Korea and abroad had been stable.

"If Kim Jong Un attempts to do a nuclear test again, it will be the third time. I think the average Korean person has become relatively insensitive to North Korean nuclear tests," he said.

Hong also pointed to the efforts of South Korea's president-elect Park Geun-hye who has called for shortening the required military service for men from two years to 1.5 years, as an indication that Koreans are not distressed over the provocations.

South Koreans differentiate between the North Korean people and its leadership, Hong said.

"Most of the Korean people don't seem to think the North Korean people are the enemy," Hong said. They consider the government hostile to South Korea, he added.

@highlight

South Korean citizens are accustomed to North's threatening statements

@highlight

Threats to South Korea have become the norm, for many it's not a source of concern

@highlight

Survey shows rocket launches and nuclear testing did not sway South Korean opinion