(CNN) -- One day there will be no one alive who remembers.

Today, as we solemnly observe the tenth anniversary of September 11, 2001, virtually every living American adult has his or her own vivid memory of that morning. It all feels very personal, because it was. And is.

But 100 years from now, 150 years from now, when everyone who remembers is gone, what will the legacy of the terrible day have evolved into?

And will the war be over?

That is the essential question. The war on terror is unlike any other the United States has fought, and because of this there can be no genuine sense of closure, even after ceremonies as moving and heartfelt as the ones planned for Sunday will certainly be. The nation can express respect, and sorrow, and determined resolve on this 10th anniversary of the day. But closure -- bowing heads and praying one more time, and then moving on?

Not possible, with this war.

The morning after will arrive on schedule on Monday, but the nature of the war in which we are engaged almost guarantees a succession of mornings after without end.

I have a copy of a memo of sorts, a teletype, that was sent out in September 1945. Its author was not identified by name, but by title: Supreme Commander for the Allied Powers. The recipients were his colleagues: the commanding general of the Eighth Army, the commanding general of the Tenth Army, the commander of the Third Fleet. . . .

I look at the memo from time to time because it is such a stark reminder of the way our current war will not conclude. The text, in that teletype style of those years, was all in capital letters:

"FORMAL SURRENDER OF THE JAPANESE IMPERIAL GOVERNMENT BY JAPANESE IMPERIAL GENERAL HEADQUARTERS AND ALL JAPANESE AND JAPANESE CONTROLLED ARMED FORCES WHEREVER LOCATED WAS SIGNED ON THE BATTLESHIP MISSOURI IN TOKYO BAY AT 0908 ON SEPTEMBER 2ND 1945."

And that was it: The Second World War was over.

We may be destined to have no day like that. As much death and devastation as there was during World War II, as many families who lost their young soldiers, at least the nightmare ended. It may have been difficult for Americans to believe for a while -- after the years of war, it may have seemed too good to be true: Peace had come.

But eventually Americans must have begun to awaken without the knots in their stomachs, without the fear for loved ones in their hearts. The danger had been defeated; the enemy was vanquished. The war was past tense.

Ours is not. The enemy, as we have been told from the start, wears no uniform, flies no flag. On Sunday we mourn and give renewed thanks for the bravery of those who were so valiant in trying to save lives 10 years ago. And Monday the sun will rise over a nation still wishing for true tranquillity.

Mornings after, forevermore. There is a phrase that has been used in the context both of soldiers and of civilians in past U.S. wars: "for the duration." The phrase has signified that life will be altered until the war is over. But what happens when "for the duration" has no end date? When the duration is infinite?

Another wartime phrase: "on full alert." Yet no person, no nation, can remain on full alert indefinitely. The body -- the human body, the body politic -- is not made for it. Full alert is an emergency response. And when the emergency never ends, guards -- both physical and emotional -- are inevitably let down, not by choice but out of pure fatigue.

The men and women who personally recall December 7, 1941, are dying off. The day of the attack on Pearl Harbor is remembered firsthand by relatively few Americans, and because of that, there are years when the anniversary of the date -- the date President Franklin D. Roosevelt vowed would live in infamy -- is allowed to pass with little notice.

That is something to ponder on this September 11 anniversary, as we consider how the date will be marked a century and more from now when there is no one left alive to remember what it felt like, no one who wept on that morning.

Perhaps -- even probably -- there will be additional awful days that Americans will face, more dates that will be recalled with tears. September 11, 2001, may be pushed toward the middle of the history books, regarded as an older sorrow. And there will be generations of children whose birthdays are September 11, generations of husbands and wives whose wedding dates, and anniversaries, will be September 11. The notion may seem a little odd, now, but in fact it has already begun. The world, saddened, turns on its axis. It has no other choice.

The morning after always arrives. The act of remembrance, meant to help, still hurts. It does today. It will tomorrow.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene says years from now, many may not remember 9/11. Will the war even be over?

@highlight

He says remembrances are moving but can't be expected to bring resolution to attacks

@highlight

He says World War II ended with a surrender; no such thing is expected in this war

@highlight

Greene: On Monday U.S. will still be wishing for tranquillity, even as event fades into history