Yuri Poznychenko has lived in the village of Stepanovka, close to Ukraine's border with Russia, all his life.

Poznychenko, 67, was born a few years after the Red Army recaptured this land -- and the strategic hill of Saur Mogila nearby -- from Nazi forces. He is a stoic man, a farmer who knows endurance. But the events of the last few months reduce him to tears.

On July 28, amid battles between Ukrainian forces and pro-Russian separatists for the area, a sniper from the Ukrainian National Guard shot dead Poznychenko's 36-year-old son as he tried to move his car to safety.

"They said they thought he was a separatist," he says, wiping his eyes. "They apologized later, and a soldier helped bury him." The inadequacy of the gesture goes unsaid.

In June, when we last came here, Stepanovka was a neat village set in rolling farmland. Its people were poor but they had work and enough to eat. Now, as bitter winds blow in from the east, much of the village is in ruins. A decapitated Ukrainian tank sits astride the one road, electricity wires dangle in the wind, and 20 or more properties have been reduced to ruins, including Poznychenko's.

He and his wife are the only members of their family left in Stepanovka. They have nowhere to go, no electricity and little food. Poznychenko says the Donetsk People's Republic (DPR), now in complete control of this area, has promised to restore power, but there is no sign of the extensive work that will be needed. And in a few weeks' time, the temperature here will rarely stray above freezing.

The wreckage of this year's battles is strewn around Stepanovka and many other villages in eastern Ukraine. The copper of spent bullets gleams in the wintry sun, sandbags sag over deserted trenches, and the husks of tanks and other military vehicles slowly turn from green to rust.

And everywhere homes are reduced to piles of charred bricks. A fireplace stands incongruously in empty space; shattered windows creak on their hinges. Dogs left to fend for themselves wander through piles of garbage.

The ceasefire agreed at the beginning of September only slowed the tempo of the fighting in eastern Ukraine, and sometimes barely that.  Huge volumes of ordnance have been spent in a stalemate at Donetsk airport, long a target of the rebels, where the control tower has been hit so many times it should no longer be standing.

Further east, around the important crossroads and rail junction at Debaltseve, some thirty Ukrainian volunteers from the capital peer into the freezing mist. They occupy a slim finger of Ukrainian-held land, surrounded on three sides.

Some of the men have been here for two months. Every day they are attacked, they say, but so far they have held the position and have built themselves underground shelters against the biting cold. But they don't have the resources or support to withstand a serious offensive.

In the nearby town, a stream of laments: "The young people have left; we are on our own"; "The shelling is every day, by both sides." And from one man shuffling past burned-out houses: "I don't care which flag flies here; I just want peace."

Seventy-three-year-old Galina arrived in Debaltseve from her village when it came under fire, bringing only what she could carry. Looking down at her threadbare boots, she says she is so terrified of the shelling that she feels like her heart will jump from her body. She's too scared to eat or sleep.

Peace seems unlikely as the ceasefire frays and the rhetoric gets ever more hostile. Ukraine appears to be in the throes of a vicious divorce. Prime Minister Arseniy Yatsenyuk says there will be no direct negotiations with the rebels, calling them Moscow's mercenaries. President Petro Poroshenko has ordered the withdrawal of all state services in "occupied" areas, which includes social welfare payments and state salaries for teachers and doctors. And Igor Plotnitsky, the self-declared Prime Minister of Luhansk -- the DPR's sister republic -- has challenged Poroshenko to a duel "following the example of ancient Slavic chieftains and glorious Cossack atamans."

While the chest-beating goes on, Donetsk's neediest line up at the city's former circus to be registered for food handouts by a volunteer organization. They stand under posters of trapeze artists and lions to collect a big bag of groceries, but can only come here every two weeks.

Most of these people are elderly; there are a few single mothers with anxious eyes and haggard faces. The food -- transported from beyond the DPR -- is provided by steel magnate Rinat Akhmetov, once the most powerful man in the Donbass but now in Kiev after falling out with the separatists and supporting Ukraine's unity.

Long queues snake through Donetsk bus station as people try to leave the city. Many are trying to register themselves in government-held areas so they can get pension payments, but must make the sometimes perilous return journey every few weeks. Most can't afford to live anywhere else.

There are no banks left open in the city and no cash machines working. Districts like Kyivski have been shelled so heavily they are reminiscent of the battle for Grozny, the Chechen capital, in the mid-1990s. In the bomb shelters to which many people retreat at night, outbreaks of skin diseases are reported among the children.

The Donetsk People's Republic is promising its own system of payments to people here but is woefully short of the administrative skills needed to run a region nearly the size of Connecticut. It does however have its own souvenir mugs, and has symbolically adopted a different time zone from Kiev.

There is a genuine animosity among people in Donbass toward the government in Kiev. The National Guard is widely hated; people accuse the army of random shelling. And the withdrawal of benefits and salaries on the cusp of winter has left many in despair. At the same time, people grumble about the inability of the DPR to help them, and lament its lack of basic organization. Some small protests have taken place in towns like Torez, close to where the Malaysian airliner was shot down in July.

While Ukraine's divorce gets ever uglier, the ordinary people of the Donbass focus on survival, on a hand-to-mouth existence, without the means to escape the violence that has torn apart their lives for the last nine months.

One of them, a fragile stooped woman who tells us she is 83, stands outside the last working Ukrainian bank in Donetsk, as others hammer on its door. Today it too will remain shuttered.

"I have no money," she says. "I'll probably die because I have nothing to eat."

@highlight

The battle between the government and separatists for eastern Ukraine is taking its toll on the area's residents

@highlight

Ukraine's President has cut off social services in "occupied" areas, and many in Donetsk are starving

@highlight

There are no banks left open in the city; residents in the city line up for food handouts driven in from beyond the city

@highlight

Donetsk's residents resent Ukraine's Kiev-based government, but deplore the rebels' inability to help them