(CNN) -- The problem of planes hitting birds comes down to a key fact: "We're competing for airspace," says Richard Dolbeer, a biologist who spent 20 years studying the problem at the U.S. Department of Agriculture.

Richard Dolbeer says "bird strikes that would disable both engines on an aircraft is fortunately a rare event."

Populations of large birds have increased dramatically since the 1970s, when environmental regulations were instituted in the United States. Birds have become more accustomed to living in urban environments near airports and the number of airline flights has risen sharply, according to Dolbeer.

Dolbeer, who retired in September 2008 and is now a consultant on the issue, spoke with CNN hours after a US Airways plane crash-landed in the Hudson River in New York after an apparent bird strike. He retired as National Coordinator for the Airport Wildlife Hazards Program and was chairperson of Bird Strike Committee-USA from 1997-2008.

CNN: How big a problem are bird strikes?

Dolbeer: Every year, approximately 7,000 to 8,000 bird strikes are reported to the Federal Aviation Administration primarily by commercial airlines nationwide. The reporting is a voluntary system. It's not mandatory, so we know that not all of the bird strikes are being reported. We estimate that as much as 80 percent of the strikes are not reported.

It's a fairly common occurrence to have bird strikes, but to have bird strikes that would disable both engines on an aircraft is fortunately a rare event.

CNN: What are some of the most serious instances of bird strikes?

Dolbeer: In 1995, at Elmendorf Air Force Base in Alaska, a Boeing 707, a wide-bodied jet adapted to military use as a surveillance plane, ingested Canada geese into two of four engines. It crashed a mile away and killed 24 airmen.

In Rome, Italy, in November, a Boeing 737, which is very similar to the Airbus 320, flew through a flock of starlings and both engines were disabled. The pilot was able to land the plane on the runway, but it collapsed the landing gear and did extensive damage to the aircraft. There were a few injuries, but no one was killed.

Last March in Oklahoma City, a business jet was taking off and it struck a flock of white pelicans, which is another species which is increasing. It crashed into a wood lot and killed all five businesspeople aboard.

The root of the problem right now is that because of the very successful wildlife conservation programs in North America since the 1970s, we've seen a tremendous resurgence of many wildlife species, particularly large bird species -- species that weigh over 4 pounds, including Canada geese, snow geese, bald eagles, great blue herons, double-crested cormorants, turkey vultures and black vultures.

In fact, of the 36 species of birds in North America that weigh over 4 pounds, 24 of those have shown population increases, nine have shown stable populations and only one has shown a decline in the last 30 years. The Canada goose population in the United States -- the resident Canada geese, not the migrant birds from Canada -- has increased from 1 million birds in 1990 to about 3.9 million in 2008.

In addition to these populations increasing, they've also adapted to urban environments. They're not afraid to associate with people. Traffic doesn't bother them, aircraft don't bother them. So they're more likely to be seen near airports.

Another important factor is modern turbofan aircraft like the Airbus 320. Their engines are much quieter than older aircraft. And almost all the noise comes out of the back of the engine. Birds are less able to hear or see modern aircraft. There are more airplanes in the sky, more birds in the sky and this is where the conflict comes in.

The number of strikes being reported is definitely increasing. In 1990, the FAA had approximately 1,750 strikes reported. And in 2007, the last year we have data, we had 7,600.

Some of that may be due to a little better reporting, but there are also more aircraft flying today.

CNN: What can be done to prevent these strikes?

Dolbeer: There are three basic things that airports can do and many airports are doing.

One is habitat management at the airport to make it as sterile as possible for birds -- by eliminating standing water, keeping grass where you don't have weeds producing seeds which attract birds, reducing perching areas for the birds, posts and things birds can perch on, covering up garbage, not allowing landfills close to an airport, making an airport as sanitary as possible.

That would also include rodent control -- eliminating small mammals that owls and hawks might be attracted to -- and insect controls. Habitat management is the No. 1 defense.

The second is dispersal of birds by a trained bird control crew that goes out and uses pyrotechnics and other means to scare the birds away when they do come onto the airport. Some airports use trained dogs. A few airports train falcons. The idea is to scare the birds, harass the birds.

The third area is removal of birds when the habitat management and dispersal do not work. Sometimes Canada geese become accustomed to the harassment and they're not scared by it anymore. Airports get permits to remove some Canada geese by using a shotgun to demonstrate to the other birds that this is not a place to be. These are very selective lethal controls.

Now, with regard to aircraft, there is research under way looking at can you enhance the visibility of aircraft to birds, using UV reflective paint since birds can see in the UV-range and using flashing lights. Are there things which can be mounted on aircraft to make them more visible to birds? This is just in an experimental stage.

One final area of research is the use of bird-detecting radar to help air traffic control and pilots to detect the birds and help drive planes around concentrations of birds. This is not operational, it's in a developmental stage.

None of these things are going to be silver bullets. No one technique or procedure is going to solve the problem.

CNN: Are enough resources being applied to solve this problem?

Dolbeer: It's an area that needs more attention.

Airports have bird control programs to varying degrees. It has not been a high-profile area of work. We need to devote more resources to this problem, particularly given the increasing number of birds we have. We're competing for airspace. It's a complex issue. This incident will perhaps really focus peoples' attention to do a better job of solving the problem.

@highlight

Richard Dolbeer: Planes are contending with an increasing number of birds

@highlight

Environmental rules have led to large jump in numbers of big birds like geese

@highlight

Dolbeer says airports are taking steps to reduce risk of bird strikes

@highlight

He says more attention should be paid to solving the problem