U.N. experts got to inspect the site of a reported chemical attack on civilians near Syria's capital Monday as the United States accused the Syrian government of trying to cover up the attack.

The U.N. inspectors entered the town of Moadamiyet al-Sham and appeared to be examining the area accompanied by doctors, according to videos posted on social media by Syrian activists. The team had a "very productive" day and will continue its work Tuesday after examining its findings Monday evening, U.N. spokesman Farhan Haq said in New York.

Government and opposition forces have accused each other of unleashing poison gas last week in the suburban Damascus area of Ghouta. Syria's opposition said that as many as 1,300 people were killed, prompting new calls for Western powers to intervene in the country's 2-year-old civil war.

In Washington, U.S. Secretary of State John Kerry called the use of chemical weapons a "moral obscenity" that could not go unanswered, and he said Syrian actions are "not the behavior of a government that has nothing to hide."

Read Kerry's full remarks

Kerry stopped short of directly accusing President Bashar al-Assad's government of a massacre. But he said, "We know that the Syrian regime maintains custody of these chemical weapons. We know that the Syrian regime has the capacity to do this with rockets. We know that the regime has been determined to clear the opposition from those very places where the attacks took place."

Meanwhile, he said that Syria was "systemically destroying evidence" of last week's attack by continuing to shell the area and that the danger the team faced Monday "only further weakens the regime's credibility." The Obama administration is now weighing how to respond in talks with U.S. allies and members of Congress, he said.

"Nothing today is more serious, and nothing is receiving more serious scrutiny," Kerry said.

Monday's examination took place after unidentified snipers shot multiple times at a vehicle used by the U.N. team and after an explosion near the site inspectors planned to visit, the United Nations said. There were no reports of injuries.

U.N. officials did not say who was behind the shooting or the explosion, which witnesses said may have been caused by a mortar shell. The Syrian government accused "terrorists" of firing on the inspectors, Syrian state TV reported.

U.N. Secretary-General Ban Ki-moon said inspectors visited hospitals, interviewed witnesses, survivors and doctors and collected some samples. Speaking from Seoul, South Korea, Ban said he has directed the group to register a "strong complaint" to government and opposition forces to make sure the team's safety is guaranteed.

The Syrian government agreed to grant the inspectors full access on Sunday, pledging to cease all hostilities as long as the team was on the ground, the United Nations said. And an umbrella group for the Syrian opposition, the Syrian National Coalition, said rebel forces would ensure the safety of any U.N. personnel in the area.

But the government would not let U.N. inspectors approach the site for days, and the team feared that the chemical evidence may have dissipated.

Attacks could reinforce poison gas 'taboo'

Middle East analyst Richard Haass told CNN's The Lead that Kerry's comments "went far out on a limb" and indicate that a U.S. strike on Syria was in the works, with or without U.N. Security Council backing. Haass, the president of the Council on Foreign Relations, said military action was needed "to underscore the principle, the norm, the taboo that these weapons ought to have."

"No one, Syria or anybody else, now and forevermore, should be able to use such weapons, much less biological or nuclear weapons, with impunity," he said. But he said Washington should limit its intervention in the conflict, "so we don't get enmeshed in what I think could become a quagmire."

"If we want to help the opposition, the best way to do it is through considerable arming of those elements of the opposition with agendas we can support," he said.

But with Syria already seen as a proxy war that has been spilling across its neighbors' borders for months, the prospects for improvement aren't likely to be aided by American airstrikes, said Andrew Tabler, a senior fellow at the Washington Institute for Near East Policy.

"This is just going to be one chapter in a very long struggle we have in Syria," Tabler told CNN's The Situation Room.

Russia, Syria's leading ally, has raised sharp objections to the possibility of any outside intervention. Foreign Minister Sergey Lavrov said Monday that reports of the use of chemical weapons must be "thoroughly and professionally investigated" and submitted to the U.N. Security Council.

At a news conference Monday, Lavrov said there's no proof yet that the Syrian government was involved in last week's reported attack. And Sunday, a Foreign Ministry statement compared the Western allegations against Syria to the claims that Iraq was hoarding weapons of mass destruction before the U.S. invasion in 2003 -- claims that fell apart once American troops began searching for them.

Charles Duelfer, the former head of U.S. weapons inspection teams in Iraq, said the U.N. experts will be looking to collect evidence from witnesses and survivors of last week's attack, including samples that can be analyzed later.

"They'll be looking for remnants of the munitions, which could be sophisticated munitions that a military would have -- or if it turns out, unexpectedly, to be the case that the insurgents had cobbled together some sort of CW capability, maybe they'll find that," Duelfer said.

Duelfer said he expects the U.S. government has its own sources: "Presumably, the National Security Agency can listen to people besides the United States, so they may have data which the weapons inspectors may not have," he told The Situation Room. But while Washington's evidence may be solid, U.N. inspectors "provide credibility across the board."

"When they say something, presumably all countries will say. 'OK, we can accept that, they don't have a dog in that fight,' " Duelfer said.

U.S. officials have said they have no credible evidence pointing to opposition groups using chemical weapons. And the Obama administration is expected to declassify the intelligence assessment backing up its assertion that the Syrian regime was responsible for last week's attack before any U.S. military action would take place, a senior administration official said Monday.

That evidence "includes but is not limited to" satellite images of activity at Syrian military installations identified as including chemical weapons depots, a senior administration official familiar with the intelligence told CNN.

And Kerry said he had argued to Syrian Foreign Minister Walid Moallem last week that if the government had nothing to hide, "then their response should be immediate: immediate transparency, immediate access, not shelling."

"Failure to permit that, I told him, would tell its own story," he said.

Opinion: How Al-Assad used chemical weapons to poison debate on Syria

Al-Assad: It wasn't us

The Pentagon has sent four warships armed with cruise missiles to the region, and Obama will be presented with final options regarding actions against Syria in the next few days, a senior administration official said Monday.

But as U.S. muscle plows the waters of the eastern Mediterranean Sea, al-Assad on Monday repeated his government's denial that his army had anything to do with the use of poison gas.

"The area of the claimed attack is in contiguity with the Syrian army positions, so how is it possible that any country would use chemical weapons in an area where its own forces are located?" he asked in an interview with Russian newspaper Izvestia.

Al-Assad accused the United States, Britain and France of exploiting the incident by trying to verify rebel allegations instead of verifying facts.

The use of a large amount of chemical weapons would cross a "red line" and threaten U.S. interests in the region, Obama announced last year. Tabler, who has had extensive contacts with al-Assad, said the Syrian leader may have watched as Washington reacted cautiously to previous reports of chemical warfare and gambled incorrectly that last week's attack would draw a similar response.

"I think he thought that he could push the envelope again and that he could actually show his own people that no one is going to come to their rescue," Tabler said.

Missile strikes on Syria likely response to chemical attack

Opposition accusations

Opposition members say rockets with chemical payloads were among the ordnance government troops unleashed at the rebel stronghold of Ghouta early Wednesday. More than 1,300 people died, most of them by gas, according to opposition spokesman Khaled al-Saleh.

The opposition backed up the allegations with gruesome video of rows of dead bodies, including women and children. They had no visible wounds, and some appeared to be bloated. The aid agency Medecins sans Frontieres said three hospitals it supports in Syria's Damascus governorate reported having received about 3,600 patients displaying neurotoxic symptoms on Wednesday morning.

But according to Syrian state-run television's depiction of events, government forces came into contact with a gas attack on Saturday in Jobar, on the edge of Damascus. Several of the soldiers were "suffocating" from exposure to gases as they entered the city, according to state TV.

"It is believed that the terrorists have used chemical weapons in the area," Syrian TV reported, citing an anonymous source. The government uses the term "terrorists" to describe rebel forces.

Broadcast video showed a room containing gas masks, gas canisters and other paraphernalia that could be used in a gas attack. The army said it uncovered the cache in a storage facility in the area.

CNN could not independently confirm the authenticity of video shown by the government or rebels.

Intervening in the Middle East turmoil: mission impossible?

@highlight

Strikes could be just one chapter in a long war, analyst says

@highlight

U.N. inspectors visit scene of reported poison gas attack

@highlight

Kerry's remarks indicate a strike is likely, expert says

@highlight

A vehicle used by U.N. inspectors was shot at multiple times, U.N. says