(CNN) -- Recent events have left Syria watchers near breathless: government loss of control of border crossings into Iraq and Turkey, rebels temporarily holding portions of Damascus, the unexplained movement of some of Syria's extensive arsenal of chemical weapons, and fighting spreading to the streets of the traditional Alawite stronghold of Aleppo.

Most dramatic though was the bombing of a National Security Council meeting in the heart of Syria's defense establishment, the Levantine equivalent of a bomb going off in the White House situation room. Among those killed was Assef Shawkat.

Shawkat was Syria's chief of military intelligence during my time at CIA. The agency spent a great deal of time trying to work with him to get the Syrians to stanch the flow of foreign fighters through Damascus airport and onward into Iraq.

The Syrians never offered more than token cooperation, a policy that many in Damascus may now regret as the routes they sponsored have been reversed with fighters now entering Syria from Iraq.

Our assessment at the time that Shawkat was tough, professional and loyal has stood up. Married to President Bashar al-Assad's sister, he seems to have been providing a significant fraction of the regime's spine over the past year.

No one who has met al-Assad has come away impressed with the man's leadership or decisiveness. If fate had been more kind, his elder brother Bassel would not have crashed his car and died in an automobile accident and al-Assad could have lived out his days in an environment for which he was much better suited: doing eye surgery in London, building a happy family with his thoroughly Anglicized Sunni wife.

Personally ill-equipped to enact any of the "reforms" he sometimes called for, unable or unwilling to bend the Assads, Mahkloufs and other Alawite clans to a new direction, al-Assad is now doubling down on his father's violent response to opposition with none of Hafez Assad's skill or political sense.

Opinion: Syria's chemical weapons threat demands response

I hesitate to call last week's events a tipping point, but Shawkatt's death (along with the other senior fatalities) will shake the Alawites to their core. Although some are irreversibly all in, there will certainly be others ready to cut their losses.

And so, many observers are now focusing on endgame scenarios, particularly what a successor regime might look like.

That question turns on what exactly is happening on the ground. The intelligence community has been continually asked to characterize the opposition -- its strengths, weaknesses, foreign influences. leadership, trustworthy personalities, untrustworthy components, political demands and overall intentions.

But beyond these discreet facts, the intelligence community will also have to provide a narrative and identify compelling plot lines to help inform and shape policy. There are actually several plots lines affecting Syria today, all of them true and all of them relevant.

In a curious way, at a macro-geopolitical level, we are seeing a resurgence of a broad East-West competition, with the Russians -- stung by what they view as the West's "bait and switch" U.N. resolution authorizing action in Libya -- joining the Chinese in blocking meaningful action through the United Nations.

Similarly, the broad Sunni-Shia competition in the region has Shia Iran trying to protect its lone Arab ally by putting its thumb on the Syrian scale with arms and advisors while Saudi Arabia, Qatar and other Sunni states arm and train the opposition.

The most visible narrative is the one recorded on cell phone videos and broadcast daily showing a vicious, autocratic state using superior weaponry to gun down a determined and popular opposition. This is the plot line that has galvanized world opinion, igniting calls for intervention from a variety of sources.

As true as this narrative is, it is also incomplete. Syria is a multi-ethnic and religiously plural society. The Alawites and other Shia remnants comprise about 13% of the population; for 40 years they have controlled the state and have not hesitated to brutalize the more than 60% of the population who are Arab Sunnis and who are now in the streets attempting to overthrow their persecutors.

The rest of the population -- ethnic Kurds (10%), Druze (3%) and Christians (10%) -- remain largely on the sidelines, for now at least as fearful of a Sunni successor government as they are of continued Alawite control.

Thus we should not allow the dramatic power of the most visible narrative, the struggle between oppressed and oppressor, to drown out the sad reality of another less noble story line -- namely that this is still, at least for now, a sectarian conflict.

That this is the dominant narrative, the one that is most controlling and the one we should pay most attention to, is suggested by Vali Nasr's 2006 post mortem on Iraq. Nasr observed that we mistakenly "thought of politics as the relationship between individuals and the state" rather than recognizing "that people in the Middle East see politics also as the balance of power among communities."

We would do well to keep that in mind as the Syrian end game approaches. We should accelerate work to get the minorities into the game against the regime, hastening its end and broadening its opposition. The Christian and Kurdish communities have historic ties to the West that should play to our advantage in this.

We should also meter our support to the opposition based on its inclusiveness. Syrians before the Assads lived in relative religious and ethnic harmony under largely Sunni rule. It could be so again, but Lebanon and Bosnia offer examples where historic harmonies have fractured.

The fall of the House of Assad is now as inevitable as it is welcome. But if this means a successor regime that is exclusively Sunni, trending fundamentalist and opposed by a third of the Syrian population, it could actually make things worse. And that would be a sad outcome indeed.

The opinions expressed in this commentary are solely those of Michael V. Hayden.

@highlight

Michael Hayden: The endgame is approaching for the Syrian regime

@highlight

He says bombing of a security meeting killed Assef Shawkat, a key member of regime

@highlight

Bashar al-Assad lacks his father's skill or political sense, Hayden says

@highlight

He says U.S. should back opposition elements but regime could be replaced by civil war