Ukrainian security forces battled pro-Russian militants in the eastern flashpoint city of Slovyansk on Monday as Kiev tackled the gunmen who have overrun the region.

Military gains were evident on the main highway into Slovyansk, a rebel stronghold, as government forces moved in.

A CNN team on the ground saw a substantial number of militants bolster their defensive positions and checkpoints inside the city. One civilian car was hit in the fighting, its exterior damaged by bullet holes.

At a local hospital, the CNN team saw several people injured from the heavy clashes. One woman had been shot in the head, probably in a crossfire, and two pro-Russian militants were also brought in.

Ukraine's Interior Ministry said four people were killed and nearly 30 injured in the city. It quoted local residents as saying the attackers had shot at residential buildings and set them on fire. Militants blamed Ukrainian forces for the civilian casualties.

In a separate statement, the Ukrainian Defense Ministry said a military helicopter was shot down "during a combat mission and patrolling in the area" of Slovyansk on Monday, but the pilots survived after it crashed into a river. They were later rescued.

Ukraine's embattled new leaders have launched their most intensive effort yet to dislodge pro-Russian separatists who have reportedly seized government buildings in nearly a dozen cities and towns.

Kiev authorities describe the separatists as "terrorists." But the rebels say they are defending Russian-speaking areas of the east against Ukrainian  "fascists" trying to root out Russian influence in the country.

In a statement Monday, Russia's Foreign Ministry accused the Kiev government of "continuing a war against the people of their own country."

"We again urge the Kiev organizers of terror against their own people to come to their senses, stop the bloodshed, withdraw troops and sit down, finally, at the negotiating table to start a normal dialogue on ways to resolve the political crisis," the ministry said.

Many experts say Russia may be provoking unrest in eastern Ukraine to justify an incursion.

Riot-hit Odessa

The uprisings began when President Viktor Yanukovych, a supporter of closer ties with Moscow, was toppled by demonstrations led by pro-Western figures in February, namely in Kiev, the capital.

Violence soon erupted in the east and south of the country, escalating dramatically last week.

On Sunday, pro-Russian sympathizers smashed their way into a police station in the Black Sea port city of Odessa, demanding their detained comrades be released.

In another victory for a violent crowd in east Ukraine and yet another humiliation for state authorities, police didn't try to stop them. Instead, they offered the crowd a deal, releasing 67 alleged enemies of the state if the furious crowd went home.

Sunday's storming of the Odessa police station -- just two days after more than 40 people were killed in a street battle and deadly blaze in the city -- was one more example of how Ukraine's new Western-backed leaders are struggling to maintain law and order in the south and east of the country.

It also raises questions about the ability of the army and police to confront an uprising that Kiev says is backed by Moscow -- an accusation the Kremlin denies.

The men released Sunday had been detained over the weekend after bloody clashes between supporters and opponents of Russia in Odessa on Friday, which ended in the deadly blaze. Forty-six people were killed in the bloodshed -- the deadliest since Yanukovych was ousted.

Video posted on YouTube appeared to show supporters of Kiev's government throwing Molotov cocktails at the building where pro-Russian separatists had reportedly taken up positions. The footage, which CNN could not independently confirm, showed people sitting on ledges trying to escape the fire and thick smoke.

In an attempt to reassert Kiev's authority, Ukrainian interim Prime Minister Arseniy Yatsenyuk went to Odessa to appeal for unity while accusing Russia of provoking the clashes. Ukraine's Cabinet said it would offer financial assistance to the victims' families.

"This is the wake-up call for the entire country, for reconciliation. We need to realize that Russians want to eliminate our country," Yatsenyuk said.

His message is a tough sell in a city where so many now believe people who speak Russian are being killed and arrested by forces loyal to the Ukrainian government.

Military action

Ukraine's government reported some progress over the weekend in its military campaign. Officials said security forces had regained control of a TV tower in Kramatorsk, some 10 miles (16 kilometers) south of Slovyansk.

Residents in Kramatorsk reported hearing gunfire and a CNN team on the outskirts of Kramatorsk saw troop carriers moving toward the city center Saturday. Amateur video posted online -- the authenticity of which could not be confirmed by CNN -- showed burned buses, plumes of smoke and residents calmly observing it all.

Saturday actually featured a rare bright spot in the volatility: the release of seven international military observers and five Ukrainians from the Defense Ministry who had been held hostage for eight days in Slovyansk.

However, in another challenge to Kiev, separatist leader Valeriy Bolotov in Luhansk declared a state of emergency and announced the formation of a "South-East" army for the entire region. In a video statement aired on local stations, Bolotov introduced a curfew, a ban on political parties and his expectation that local law enforcement officials will take an oath of allegiance to the people of Luhansk.

In Donetsk, separatists say they are preparing their own referendum on May 11 to ask residents whether they want sovereignty from Ukraine -- an echo of events that led to Moscow wresting Crimea from Kiev.

Denis Pushilin, the self-declared chairman of the Donetsk People's Republic, told CNN the question on the ballot paper would read: "Do you support the act of state sovereignty of the Donetsk Republic?" to which voters can respond with "Yes" or "No." He said enough ballot papers had already been printed to hold the vote.

Tensions with Russia

Separatists -- many of them of Russian descent -- say they believe the government in Kiev is illegitimate because it formed after what they call the illegal ousting of Yanukovych in February. Officials in Kiev accuse Moscow of meddling by supporting the separatists.

NATO has estimated that up to 40,000 Russian troops are now near the border with Ukraine, which has made Kiev's government and neighboring nations wary of invasion.

A senior U.S. official told CNN on Monday that the latest intelligence still showed 40,000 to 50,000 Russian troops on the border.

"There has been no major change in force disposition or readiness and no indications of preparations for an invasion," the official said, adding that the U.S. continues to assess the situation. The troops are so close to the border, an invasion could happen with little or no warning, the official said.

Russia and the West squared off diplomatically over the fate of Ukraine when Moscow annexed the Black Sea peninsula of Crimea in March after a hastily called referendum and Yanukovych's ouster. He was pushed from office after months of protests by people upset that he had turned away from Europe in favor of Moscow.

French Foreign Minister Laurent Fabius warned Monday there could be fresh sanctions on Russia if Ukraine's presidential elections do not take place on May 25.

Russia has condemned Kiev's military action in the volatile east.

Dmitry Peskov, Russian President Vladimir Putin's spokesman, said Russia's government had received thousands of calls since Friday from people in southeastern Ukraine. The callers described the situation as "horrendous" and pleaded for Russia's involvement. "Most of the people literally demand active help from Russia," he said.

The government in Kiev is bracing for further unrest in the run-up to May 9, a national holiday to commemorate the end of the second world war. Interim President Oleksandr Turchynov  told local TV that checkpoints had been set up around the capital in case of possible "provocations."

@highlight

Russia accuses Kiev of waging war on its own people

@highlight

Ukrainian forces clash with pro-Russian militants in the flashpoint city of Slovyansk

@highlight

Ukraine's Interior Ministry says four people were killed and nearly 30 injured in the city

@highlight

Kiev says it launched a military campaign to dislodge pro-Russian separatists