Tokyo (CNN) -- On the outskirts of Tokyo, behind a small government building, underneath a soccer field and skateboard park, sits a remarkable feat of engineering.

It's an example of how Japan's capital, which lies in a region at high risk from flooding and tropical cyclones, is trying to figure out how to contain the elements to protect its 13 million inhabitants.

The entrance, which is locked at all times, is so nondescript a visitor may walk past dozens of times without ever noticing it.

But today, we are given a tour down below of the so-called "Water Discharge Tunnel."

Built between 1993 and 2006 at a cost of nearly $3 billion, the stunning complex is far more impressive than its name suggests.

Winding down a series of stairs, you soon come upon a massive hall, resembling an underground Parthenon, or a scene out of a science fiction film.

In pictures: Sandy's trail of destruction

The initial water tank stretches more than 320 feet in length and towers higher than a five-story building.

When you add it all up, the complex features five massive shafts, or tanks, that are able to move water along a tunnel that stretches nearly four miles.

Special: Tokyo battles the elements

In this area of Saitama prefecture, heavy rains would often flood the Naka River Basin. But now, that valuable farmland has an incredible drain system sitting below.

When the tanks and tunnel fill, engineers are able to turn on the heart of the system, which is a series of four turbines powered by jet engines similar to those used in a Boeing 737 airplane. The turbines are then able to rapidly funnel floodwaters to the nearby Edo River.

It's worth noting that this part of suburban Tokyo can hardly be compared to the dense underground of New York City, which is a maze of subway tunnels, sewage systems and power lines.

The engineers here are the first to point out that their system, while remarkable, is meant to deal with heavy rains -- and that it would struggle to cope with a Sandy-type storm surge coming from the Atlantic Ocean into New York's Upper Bay.

Still, the underground marvel could inspire engineers to look for new ways to try to contain Mother Nature in the future.

Huge plugs could have spared subways from flooding, developers say

@highlight

Japan's "Water Discharge Tunnel" complex drains floodwater into Edo River

@highlight

Underground complex is higher than five-story building, stretches nearly four miles

@highlight

System's heart is four turbines powered by jet engines similar to those in Boeing 737 plane