(CNN) -- She is small but only in physical stature. Aung San Suu Kyi is the very embodiment of Myanmar's long struggle for democracy.

The 65-year-old human rights activist has defied Myanmar's authoritarian military junta with her quiet demeanor and grace. For that she has endured house arrest for most of the past two decades and, perhaps, has become the world's most recognizable political prisoner.

She has lived quietly by herself at her disintegrating Inya Lake villa in Yangon (the former capital, also known as Rangoon), accompanied solely by two maids.

The Nobel Peace Prize laureate has had little outside human contact except for visits from her doctor. Sometimes, though, she has been able to speak over the wall of her compound to her supporters, never once giving up her crusade to break down the tyranny of dictatorship in her beloved homeland of Burma, the alternate name for Myanmar.

Known as the "lady" in Myanmar, Suu Kyi has been compared to former South African President Nelson Mandela, who spent a chunk of his life in jail for fighting apartheid.

In an interview with CNN, Suu Kyi, in fact, likened Myanmar's plight to South Africa's former brutal race-based system.

"It's a form of apartheid," she said. "In Africa, it was apartheid based on color. Here, it is apartheid based on ideas. It is as though those who want democracy are somehow of an alien inferior breed and this is not so."

The daughter of Gen. Aung San, a hero of Burmese independence, Suu Kyi spent much of her early life abroad, going to school in India and at Oxford University in England.

She never sought political office. Rather, leadership was bestowed upon her when she returned home in 1988 after her mother suffered a stroke.

During her visit, a student uprising erupted and spotlighted her as a symbol of freedom. When Suu Kyi's mother died the next year, Suu Kyi vowed that just as her parents had served the people of Burma, so, too, would she.

In her first public speech, she stood before a crowd of several hundred thousand people with her husband, Michael Aris, and her two sons and called for a democratic government.

"The present crisis is the concern of the entire nation," she said. "I could not, as my father's daughter, remain indifferent to all that was going on. This national crisis could, in fact, be called the second struggle for independence."

She won over the Burmese people.

The following year, the military regime threw her in jail. But even with Suu Kyi sitting behind bars, her National League for Democracy won the 1990 elections by a landslide, gaining 82 percent of the seats in parliament.

The regime ignored the results of the vote and Senior Gen. Than Shwe continued to impose numerous terms of house arrest on her.

Suu Kyi, meanwhile, became the recipient of several human rights prizes and was awarded the Nobel Peace Prize in 1991.

Over the years, Suu Kyi has repeatedly challenged the junta and discouraged foreign investment in Myanmar.

In one incident in 1998, soldiers prevented her from leaving Yangon. But Suu Kyi refused to turn back and was detained in her minivan for almost two weeks. The ordeal left her severely dehydrated, but was typical of her almost stubborn determination.

"She is the symbol of the hope for the people of Burma. If she is out today the whole country will rise up, will follow her," said Khin Omar of the Network for Democracy and Development.

Over the years, Suu Kyi has made it clear that she remains devoted to bringing democracy to Myanmar. She has spoken of her separation from her loved ones as the sacrifice she chose to make for the freedom of her country.

She has not seen her sons since 2000. The year before, her dying husband petitioned the Myanmar authorities to allow him to visit his wife. He had last seen her in 1995. His request was rejected.

Instead, the junta encouraged Suu Kyi to join her family abroad. But she said she knew that if she left, she would never be allowed to return. Aris died of prostate cancer in March 1999.

Even before they were married, Suu Kyi had penned a letter to Aris professing her love of country. "I only ask one thing," she wrote, "that should my people need me, you would help me to do my duty by them."

Suu Kyi tried to break the monotony of her life by playing her piano, another passion in her life, according to the independent Irrawaddy magazine. But the piano has been broken for years and she has taken up painting to fill the void, the magazine reported. One day, maybe, people will see her canvases.

Suu Kyi has also asked her lawyers to bring her books in English and French. Last year, Nobel Prize-winning economist Joseph Stiglitz was allowed to present her with his book "Globalization and Its Discontent."

Again in 2007, people defiantly took to the streets to protest rising fuel costs. The demonstrations were seen as a direct challenge to the authority of the government.

The regime answered with a brutal crackdown. Suu Kyi's detention was extended again and again. She appeared gaunt -- and unhappy.

Even when Cyclone Nargis devastated Myanmar in May 2008, Suu Kyi was not allowed to leave her house, though trees were crashing down all around her.

The following year, Myanmar was again propelled into the headlines by a bizarre incident involving an American, John Yettaw, who improvised flippers to swim Inya Lake to Suu Kyi's compound. He said he had received a message from God to do so. Yettaw was arrested, and Suu Kyi was put on trial, charged with harboring Yettaw, and was punished with another 18 months of house arrest.

During the trial, she was able to meet with diplomats. High on her agenda was the election that was held this week. She and her party boycotted the vote, certain that it would be a sham.

"In Burma, the regime can control people but they cannot control her, they cannot shut her mouth," said analyst Win Min. "They can release other political prisoners but they are worried that if they release her she will speak out."

The junta has organized national conventions to debate their version of a new democratic Myanmar. The road map makes no mention of Suu Kyi.

Some believe that Suu Kyi's stubborn defiance has become an obstacle to progress in Myanmar. But her followers remain ardent in their admiration.

She has clung to her dream of democracy, peace and freedom for Myanmar's 50 million impoverished people, they say.

Those simple ideals have greatly complicated one woman's life.

CNN's Dan Rivers and Moni Basu contributed to this report.

@highlight

Aung San Suu Kyi has vowed to fight for freedom

@highlight

She has been under house arrest for much of the past two decades

@highlight

She has defiantly challenged the authority of the military junta

@highlight

She likens Myanmar's plight to South African apartheid