After two grueling months with no word from their loved ones, relatives of those on Malaysia Airlines Flight 370 will have to wait two more months before the search resumes underwater.

The Bluefin-21 drone is completing its final mission in the Indian Ocean on Wednesday, marking the end of the underwater hunt -- for now.

With no tangible evidence found by the drone, which costs an estimated $40,000 a day to operate, search officials are regrouping and preparing to deploy more high-tech equipment.

Only a handful of companies have such devices, which will likely include towed sonar, an autonomous underwater vehicle with mounted sonar and optical imaging equipment, Australian officials said.

Soliciting those companies and negotiating contracts will take time, and officials have said they want a single private contractor to lead the next stage of the search.

That phase, which aims to scour 60,000 square kilometers, probably won't start for at least two months. The cost? About $60 million.

Uncharted territory

In the meantime, China is using a specialized ship to map the ocean floor in a remote part of the Indian Ocean -- something that's never been done before.

While the Bluefin-21 can provide greater resolution than deep-towed sonar devices, the drone could only go about 4.5 kilometers deep.

It's unclear how deep the water is in the expanded search area because "it's never been mapped," Australian Deputy Prime Minister Warren Truss said earlier this month.

China's Zhu Kezhen ship will be joined by a contracted commercial survey vessel in June, the Australian Transport Safety Bureau said.

While 26 countries have participated in the hunt for the missing plane, Malaysia, China and Australia have held high-level talks about the future of the search.

Malaysia is where the the plane is from, China had more than 100 passengers on board, and Australia had six passengers on board and is close to the stretch of the Indian Ocean where searchers have focused their hunt.

Australia has estimated the next phase of the search will cost $60 million, with the breakdown of exactly who's going to pay for what yet to be determined.

Satellite data released

With the underwater search on hiatus, analysts are combing through a 47-page document containing hundreds of lines of communication logs between the plane and the British company Inmarsat's satellite system.

Relatives of passengers have been clamoring for the release of satellite data for months.

It was the satellite data, along with other information, that led officials to zero in on a search area in the southern Indian ocean. And some families suspect officials may be searching in the wrong spot.

But the document released Tuesday doesn't provide the whole picture. It's "intended to provide a readable summary of the data communication logs," notes at the beginning of the document say.

Some passengers' families, unsatisfied by the official explanation of the plane's fate, say they want an independent analysis of the complex information -- a process that could take weeks.

CNN safety analyst David Soucie said certain key elements, which would allow independent experts to fully test the official conclusion, are missing from the data in the document.

"There's not enough information to say whether they made an error," he said. "I think we're still going to be looking for more."

Inmarsat CEO Rupert Pearce acknowledged Tuesday that the company didn't release the model to which it applied the data to estimate the plane's path -- and said the decision on whether to release the model lies with the Malaysian government, which is leading the search.

"We'd be perfectly happy to put that model out," Pearce told CNN's "New Day."

But Pearce also said the publicized data, along with engine and radar data, are enough for experienced third parties to plug into their own models and reach their own conclusions.

Sarah Bajc, whose partner, Philip Wood, was on the missing jet, said she was "annoyed" that Inmarsat and Malaysian authorities hadn't released everything they used to reach their conclusions.

"I see no reason for them to have massaged this before giving it to us," she said.

Regardless of what information has been released, two pressing questions remain -- where is the plane, and what went wrong?

Is Inmarsat right?

Did Inmarsat data point Flight 370 searchers in wrong direction?

@highlight

The Bluefin-21 drone wraps up its final underwater mission Wednesday

@highlight

Officials are trying to solicit a private contractor to lead the next stage of the search

@highlight

That stage will use more high-tech equipment, possibly in two months

@highlight

Meanwhile, a Chinese ship is trying to map ocean floor