Washington (CNN) -- Just nine months into his tenure as Secretary of State, John Kerry successfully delivered an interim deal with Iran on its nuclear program. It is the most significant level of cooperation between the United States and the Iranians in decades and it could impact the remainder of his tenure.

While the deal that also includes other world powers has been panned by Israel -- one of the biggest U.S. allies in the region -- and some members of Congress, Kerry has praised it as a good first step.

"We believe very strongly that because the Iranian nuclear program is actually set backwards and is actually locked into place in critical places, that that is better for Israel than if you were just continuing to go down the road and they rush towards a nuclear weapon," Kerry said in an interview that aired Sunday on CNN's "State of the Union."

Related: Iran reaches nuclear deal with world leaders - now what?

The leg work

On Iran, Kerry did not have to start from zero. A series of events helped to shape the outcome.

Talks with Iran hit a high point in 2009 when it and the United States reached a tentative agreement for Tehran to export three quarters of its nuclear stockpile. But the Iranians walked away, according to Robert Einhorn, a former State Department official involved in Iran negotiations.

Stalled talks led to strict sanctions that economically hurt Iran. And in June, Hassan Rouhani, who is considered a pragmatist, won the Iranian presidency.

Related: President Barack Obama's legacy moment on Iran

A senior administration official confirmed that since the election, U.S. and Iranian officials have been holding private, previously secret discussions to generate ideas for the wider nuclear negotiations.

The dÃ©tente climaxed in a telephone conversation between President Barack Obama and Rouhani in September during the United Nations General Assembly - the highest contact between leaders of the two countries since the Islamic revolution that led to the Iranian hostage crisis in 1979.

After that phone call, President Barack Obama ordered Kerry to restart talks.

But Kerry's involvement in the negotiations quietly began even before he was named Secretary of State at the beginning of this year.

While chairman of the Senate Foreign Relations Committee, he became a player in the stalled -- and secret -- negotiations. The White House realized that the government of Oman could play a critical role in talks with Iran.

So Kerry made an unannounced trip to Oman to talk to Omani officials about Iran to see if they were interested in helping facilitate a dialogue between the U.S. and Iran.

The resume

Kerry's career is steeped in foreign policy.

As a decorated Vietnam veteran, he protested the war and testified before the Senate Foreign Relations committee about it. He later chaired the panel during his nearly three-decade Senate career.

Kerry immersed himself in details of world affairs, including Iran and its nuclear program. He served on the committee when President George W. Bush refused to negotiate with the Iranians in 2003 and in 2010, when Congress and the Obama administration ramped up economic sanctions.

In succeeding Hillary Clinton as Secretary of State, Kerry hit the ground running.

Related: One agreement, wildly different reactions

He has already logged more than 200,000 miles, rivaling Clinton, who was the most-traveled Secretary of State.

"In general, Kerry is more of an activist in terms of negotiations," Einhorn said.

Related: Meet the American 'badass' leading negotiations with Iran

Accomplishments

Kerry's enthusiastic attitude toward negotiations has yielded significant success.

When Obama was on the verge of a military strike against Syria, Kerry spearheaded the U.S. side of negotiations involving Russia to turn Bashar al-Assad's chemical weapons over to international control.

The Syria and Iranian agreements in the volatile Mideast are notable.

"I think Kerry came in determined to pursue diplomacy," Einhorn said.

A sign of the future?

Still, the accord with Iran is only an interim deal to last six months. The real work begins now on a broader, long term agreement. That's going to be a real test for Kerry and the Obama administration.

"We're in the first stage of a long and difficult road," said Suzenne Maloney, senior fellow, at the Brookings Institution.

As for the rest of the region, Michele Dunne, senior associate at the Carnegie Endowment for International Peace, said the Iran issue is a silo and not connected to other issues in the region, especially the Israeli-Palestinian talks.

Related: Deal may define Barack Obama's legacy, for better of worse

Kerry came into office determined to make progress on the Mideast Peace Process. While Israel is fuming about the Iran deal, calling it a "historic mistake," Dunne said "the Israeli-Palestinian negotiations already were not moving forward."

If Israeli Prime Minister Benjamin Netanyahu uses the Iran deal as a reason to not engage in peace talks, Dunne said it would make little difference because the talks "were not that meaningful in the first place."

While he's had some success, he still has a challenging road ahead.

CNN's Jim Sciutto and Conor Finnegan and Jim Sciutto contributed to this report

@highlight

NEW: Kerry secretly involved in discussions before becoming Secretary of State

@highlight

Just nine months into his tenure, Kerry delivers interim Iran nuke deal on top of Syrian accord

@highlight

Kerry has long been at the center of foreign policy, including decades in the Senate

@highlight

While he has had some notable success, the road ahead is tough, especially on broader Mideast peace