June 21 is the longest day of the year. Yes, from now on, we'll lose a few minutes of daylight each day.

Before that panicked feeling of time slipping away kicks in (I already have too much to do and now my days will be even shorter?), take a deep breath. There's hope.

First off, it turns out our time isn't as scarce as we have convinced ourselves it is. And second, new research has demonstrated effective strategies to help mitigate the pangs of our time famine.

No one can truly give you more time -- after all, there are only 24 hours in a day regardless of how long or short those hours feel -- but a few simple changes in how you spend your time, and your money, can turn feelings of famine into feelings of plenty.

Our general feeling of time scarcity isn't just caused by shortening days. On a larger scale, people seem to have the sense that their time has become more limited -- that compared to earlier generations, we spend more and more time working and have less and less free time to engage in leisure pursuits.

Indeed, this general feeling of an impending time famine has helped give rise to the Slow Movement, with pursuits ranging from Slow Food to Slow Parenting and Slow Gardening (which we thought was kind of slow to begin with) promising to help the time-poor get off the high-speed treadmill of modern life.

But this basic premise turns out to be an illusion. The most comprehensive data from major time-use surveys suggest that, if anything, Americans today have more free time than earlier generations. That's right: The number of hours we work has not changed much, but we spend less time now on home tasks, so we have a greater amount of time for leisure than in decades past.

So, why do we feel like time is so scarce? One problem is that our time has become more valuable. And as time becomes worth more money, we feel like we have less of it.

Workers who bill or get paid by the hour -- think lawyers and fast-food workers -- report focusing more on pursuing more money than those who get paid a salary. And the effect happens fast.

In one experiment, people were told to play the role of consultants and bill their time at either $9 an hour or $90 an hour. When people billed their time for $90 an hour, they reported feeling far more pressed for time.

Thinking about our time as money changes our behavior as well. In another study, people who billed their time were less likely to volunteer their time for good causes.

Once we start to think about how much money we are giving up (I could make $90 instead of helping out in that soup kitchen), it suddenly seems foolish to sacrifice the cash just to ladle some soup to strangers.

And the effects are evident in more everyday interactions, too. In one study, people who were instructed to think about money before entering a cafe spent less time chatting with the other patrons and more time working. Those who were thinking about their time did the reverse, spending time socializing instead of working.

So what's the problem with a little less socializing and a little less volunteering? Both of these activities are strongly associated with happiness. Volunteers are happier people, and social interaction is a key element of human well-being. Indeed, one recent study  showed that just taking the time to chat with the cashier at Starbucks left people feeling happier than simply making the same exchange as efficient as possible. Chatting, it seems, is good for our happiness.

Being happier would be nice, we can all agree, but do volunteering and socializing have any impact on solving our feelings of time famine? Luckily, the benefits of these activities extend beyond happiness.

When people feel their time is scarce, they often attempt to carve out some "me" time -- going for a massage or taking a nap. Sure, massages and snoozes are great, and undeniably nice while in progress. But research shows that once they are over, we feel just as stressed about our time as we did before.

Instead, our research shows that encouraging people to spend time on and with others -- for example, shoveling someone's driveway in the winter or helping a student with her homework -- actually makes people feel less stressed about their own time.

In fact, helping others makes us feel more effective in our ability to get our daily tasks done. Helping others makes us feel as though we accomplished a goal, and that feeling of accomplishment appears to carry over to when we turn from helping others back to checking off tasks on our own to-do lists.

The modern time famine appears to be primarily in our heads; we don't really have more to do than we did in the good old days. As a result, fixing the time famine requires intervention in the mind, via strategies that alleviate the stress of perceived time scarcity.

And lest you think that decreasing your time stress is a waste of, well, time, research shows that feelings of time affluence are a crucial contributor to our happiness. And that holds true even for people who say they like being busy.

When time feels short -- whether due to the change of seasons or the sheer number of things we must get done -- our inclination is to hunker down and focus on making more money and treating ourselves. It may be wiser when strapped for time to use the time you have to reach out and help someone else.

@highlight

Authors: Americans perceive they have less time and more to do

@highlight

They say best data show Americans aren't working more, only feeling more rushed

@highlight

As people make more money per hour, they're more likely to feel pressed for time, they say

@highlight

Authors: People feel less pressed if they spend time helping others