(CNN) -- For 585 days, Swiss adventurer Raphael Domjan braved storms, pirates and cloudy skies in an attempt to circumnavigate the globe on a boat propelled by nothing but sun beams.

The boat, christened "Turanor" after a word meaning "power of the sun" in JRR Tolkein's "Lord of the Rings" trilogy, is Domjan's brainchild. As heavy as a whale and 30 meters long, it's adorned with enough photovoltaic panels to cover two tennis courts.

After eight years of fundraising, 64,000 hours of construction, and 19 months at sea, the "Turanor" made history on May 6, when it cruised into Port Hercules, Monaco, completing the first ever round-the-world journey by a solar-powered vessel.

From the coast of Miami to the shores of Mumbai, Domjan and his four-man crew visited 28 countries on a voyage designed to showcase the practical applications of solar energy.

"The aim of this journey was to show the world that this technology is not science fiction, it is very real and it can help us change how we do things now rather than in the future," said Domjan.

"Everywhere we went people would flock around the boat. They had never seen such a strange design before," he added.

But for the 40-year-old skipper, whose youth was spent wading through pages of adventure books, the voyage was also a fruition of boyhood aspirations.

"I remember sitting on my grandfather's knee listening to him reading 'Around the world in 80 days' by Jules Verne. It made me want to go out and explore just like Phileas Fogg," recalled Domjan.

Read related: When superyacht chic meets hybrid technology

As a young man growing up in Switzerland, Domjan developed his penchant for the unknown by exploring nearby caves. He then trained to become a mountain guide and a rescue specialist in hazardous environments.

This preparation would prove invaluable during the more perilous parts of his journey. On numerous occasions the boat had to endure winds of up to 100 kilometers an hour as it was rocked by storms off the Australian and Vietnamese coasts.

"We faced some really rough weather, but the boat always operated well during those times, even better than we expected," he said.

In fact, Domjan says that the most serious threat came not from Mother Nature, but from fellow man. While crossing the Gulf of Aden -- a waterway in the Arabian Sea notorious for kidnapping and hijacking -- Domjan faced little choice but to recruit six French soldiers for protection.

"Normally ships speed up to 15 or 20 knots when crossing this area but we couldn't go faster than five knots," said Domjan. Indeed, one of "Turanor's" comparative limitations is its snail-like pace. It has a maximum speed less than that of a large oil-tanker, just 7.5 knots (14 kilometers an hour).

Fortunately for Domjan and his crew, no pirates attempted to confront the muscle-bound French commandos or the unusual looking boat.

It would have certainly made a rare and impressive bounty. The $16 million vessel not only boasts 536 square-meters of shiny photovoltaic panels, but also the world's largest rechargeable lithium battery -- capable of storing enough power to allow the "Turanor" to travel for five full days without sunlight.

"Most people think that if the sun doesn't shine the boat wouldn't work, but it is impossible to sail for one year and only have good weather. The beauty is that you never get nothing from the sun, she is always giving us energy. Not once did we run out of power," boasted Domjan.

The ship's captain has reason to be proud. Having completed the 50,000 kilometer journey, the "Turanor" returns with five Guinness World Records to its name: Longest solar journey; first solar circumnavigation; fastest solar crossing of the South China Sea; fastest solar crossing of the Atlantic and - no surprises here -- a record for the world's largest solar-powered boat.

Read more from Mainsail: The boat that Hendrix's guitar built

Domjan concedes that that the "Turanor" and its crew have little competition in these categories, but hopes this won't be the case for long.

"I really hope our journey will make people realize the sheer power of solar energy and that it can be used efficiently for long-haul travel," he said.

Now back in Europe, Domjan is taking some time off to recharge his own batteries, before getting back to work, thinking of new ways to spread the solar power message to the world.

@highlight

The "MS Turanor" is the first solar powered boat to sail around the world

@highlight

The circumnavigation took 585 days to complete

@highlight

The boat's top speed is 7.5 knots - about that of an oil tanker

@highlight

The "Turanor" set five Guinness World Records during its voyage