(CNN)He doesn't wear a uniform or hold an official rank, but Hadi Al-Amari is a powerful military leader in Iraq.

He leads the Hashd Al-Shaabi, a predominantly Shia paramilitary force doing much of the fighting in the critical battle to take Tikrit from ISIS extremists.

Ousting ISIS from Tikrit is important for dozens of countries in the United States-led coalition trying to thwart the Islamist extremist group's quest to grow its caliphate. Iran isn't a part of this coalition, but it is also working to defeat ISIS -- something that's provoked both relief and alarm in Washington.

Al-Amari is confident his men, with help from the Iraqi army and some Sunnis, can crush ISIS in Iraq without this coalition's help. He's sure because the Iranians are advising them.

"We don't need it, and we won't need it," he said. "Anyone who puts their faith in the international coalition to liberate Iraq is putting their faith on a mirage."

Iran knows what it's doing, in his view. "Yes, we declare to the world, we have Iranian advisers, and we're proud of them, and we thank them deeply for participating with us because Iran has more experience than anyone else on Earth in fighting terrorism."

Does it matter that Iran is advising militias fighting ISIS? Does it matter which countries are taking part in the fight against ISIS -- including that one of them, Iran, is a longstanding U.S. foe?

When asked questions along those lines Wednesday in Washington, it seemed that even top U.S. military officials didn't have easy answers. The view is that defeating ISIS is good, while relying on and possibly strengthening Iran is not.

In other words, Iran's involvement in Iraq is a mixed blessing.

To make sense of this all, one needs to understand not only the international landscape and Iraqi politics, but Islam itself.

The religion's two major sects are Sunni and Shia. In Iraq, Sunni Arabs comprise 15% to 20% of Iraq's population, with about half of them in urban areas like Baghdad, Mosul and Tikrit, according to the Council on Foreign Relations. About 18% of Iraq's population is Sunni Kurds.

That means the vast majority of Iraqis are Shiite Muslims.

And it matters.

During his decades-long rule, Saddam Hussein -- a Sunni whose hometown is Tikrit -- gave positions of power to Sunnis, and marginalized Shiites, experts say. Many Shiite families fled to Iran and the country gave them housing and jobs and schooled their children. That imbued Iraqi Shiites who have returned home with a fierce allegiance to Iran.

Shias have led Iraq since Hussein's ouster, often alienating Sunnis in the process. This has fueled major sectarian rifts that peaked when Nuri al-Maliki was prime minister, leading to not only millions of disaffected citizens but a weaker central government and military that ISIS frequently overran in 2013 and 2014.

Haider al-Abadi took over as Prime Minister last year in part to address these deep divisions. Still, some Sunnis haven't seen the change they want: For instance,  Sheikh Naim al-Gaoud in February called for direct U.S. arming of Sunni tribes like his or at least pressure to make Iraq's government help them more in the fight for Anbar province.

And Shiite militias sometimes have done more to hurt than help the cause of unity.

The advocacy group Human Rights Watch has documented what it calls escalating "abuses by militias allied with Iraqi security forces in Sunni areas," pointing to instances in which residents have been forced from their homes, kidnapped and executed.

Such treatment has happened in remote areas as well as the Iraqi capital, according to the group.

"Sunnis are a minority in Baghdad, but they're the majority in our morgue," an Iraqi Health Ministry doctor told Human Rights Watch last July.

Just a few days ago, Iraq's most powerful Shiite cleric Grand Ayatollah Ali al-Sistani said people "must always act with self-control," according to the New York Times. Still, there's hardly a guarantee such calls for restraint will be answered, especially amid the chaos of war.

The fear is that mostly Shia militias, like the one led by al-Amari, will inflame the tinderbox of sectarian strife -- with Human Rights Watch warning of revenge attacks on Sunnis in Tikrit.

Add to this equation the fact that ISIS is made up Sunni Muslims who consider Shias heretics and apostates, slaughtering them in large numbers. Civilians and troops alike have faced their wrath: The most glaring incident may have been last June, when the militant group overran an Iraqi military base once known as Camp Speicher -- which, notably, is near Tikrit -- and claimed to kill some 1,600 air force cadets, the vast majority of them Shias.

Given these harsh realities, it's not necessarily cut and dried what a Sunni citizen in Tikrit will think if either Shia militias or the Shia-led Iraqi military battle the Sunni group ISIS.

"Do I choose the Iraqi military (which is working with the U.S.-led coalition) or ISIS?  Do I choose leukemia or the plague? ... Which groups do they dislike more?" said Stephen Biddle, a strategy expert and the award-winning author of "Military Power: Explaining Victory and Defeat in Modern Battle."

"It's not like the Sunnis love ISIS; most don't. But some think the Shiite government is a bigger threat than ISIS."

So what should the United States do?

Jessica Stern, a lecturer on terrorism at Harvard University who this month published, "ISIS: The State of Terror," says it's imperative to address the sectarian divisions in Iraq and continue pushing for changes in its government.

She notes that "the anti-Sunni, Shia-promoting government of Maliki" was a big reason ISIS was able "to take root" in Iraq.

"Many Sunnis feel under siege. ISIS is saying, 'We're going to protect you. ISIS is presenting itself as a savior of Sunnis," she said.

But, as Biddle points out, reform in a bureaucracy comes slow.

There's been talk for years about healing Iraq's sectarian divide. What's to say talk will translate into action anytime soon?

Biddle thinks the U.S. should consider sweetening the carrots offered to the Iraqis as incentives -- and start carrying bigger sticks -- to spur it to get its act together.  The biggest stick would be pulling out of the fight against ISIS.

"Right now we seem to be limping along with whatever they do," he said. "We're not offering them many goodies to do what we want and not making them feel like they're going to suffer much either if they don't do what we want."

Enter Iran.

It's part of this quandary because it shares a border with Iraq, has its own interest in fending off ISIS, and is predominantly Shia.

It's also a staunch foe of the United States, which its leaders have cast as the "Great Satan." That lack of love is mutual, with Washington leading a years-long standoff with Tehran over its nuclear program. (There are ongoing talks aimed at resolving that impasse, but critically no deal yet.)

Yet ISIS is likewise America's enemy, with President Barack Obama saying that the goal is to "degrade and ultimately destroy" that group.

It's not in Iran's interest to have Iraq devolve into a sectarian war, says retired U.S. Air Force Lt. Col. Rick Francona, a CNN military analyst.

"The Iranians are smart enough to know that's a possibility, so they would be telling the Shia-led militias not to make this a Sunni v. Shia fight," Francona said.

But what should the United States think about Iran's efforts to defeat ISIS by backing Shia-led militias?

Speaking at a congressional hearing Wednesday about the White House's request for use of force to fight ISIS, the chairman of the U.S. Joint Chiefs of Staff opined that Iran's involvement in helping Iraqi forces is a good thing.

"Anything anyone does to counter ISIS is in the main a good outcome," Gen. Martin Dempsey said.

Defense Secretary Ashton Carter suggested that the matter was more nuanced. The U.S. is worried about Iran's role, he said.

"It is something that is concerning to us," he said of Iran's role, "in particular because the sectarian danger in Iraq is the principal thing that can unravel the campaign against ISIS."

CNN's Jomana Karadsheh contributed to this report.

@highlight

Shia militia leader in Iraq says Iran knows what it's doing; coalition help not needed

@highlight

A top U.S. military leader says anything or anyone who fights ISIS is welcome

@highlight

Yet the defense secretary says the United States is concerned about Iran's involvement