(CNN) -- It's the biggest, fiercest debate taking place across America. But it's poisoned from the get-go by a Tower of Babel predicament.

In disputes over the future of gun laws, people espousing different positions often literally don't understand each other.

"The sides are speaking different languages," says Harry Wilson, author of "Guns, Gun Control, and Elections: The Politics and Policy of Firearms."

Many of the most frequently used words and phrases in this debate mean different things to different people -- or, in some cases, don't have clear meanings to anyone. From terms like "assault weapons" to the battle between "gun control" and "gun rights," the language in the national conversation is making it tougher to find common ground.

"What language does is frame the issue in one way that includes some things and excludes others," says Deborah Tannen, a Georgetown University linguistics professor and author of "The Argument Culture: Stopping America's War of Words."

The gun language debate: Join the discussion on Facebook

It's a phenomenon that America sees all the time: "pro-life" vs. "pro-choice" in the abortion debate; "marriage equality" vs. "protecting marriage" in the battle over same-sex marriage. Those who oppose the estate tax have termed it a "death tax."

"The gun control debate is catching up to this now," says Wilson, director of the Institute for Policy and Opinion Research at Roanoke College in Salem, Virginia.

The massacre at an elementary school in Newtown, Connecticut, "was a game changer. It changed the political landscape overnight."

As the debate rages in Washington and throughout the country, here's a look at some of the flashpoint lingo muddying the waters:

'Gun control' vs. 'gun rights'

When President Obama recently announced plans to sign 23 executive orders on the issue, he avoided the phrase "gun control." Instead, he emphasized the need "to reduce the broader epidemic of gun violence in this country."

"We've seen this transformation from use of the term 'gun control' to 'gun violence,' " says Wilson, "because no one can be in favor of gun violence. That's universal."

"Gun control," to many Americans, is not a positive term, Tannen adds.

The key is "the set of associations people have with a word" -- and Americans don't like the idea of the government "controlling" many of their decisions.

That's why "gun rights" works well for the National Rifle Association in pushing against new gun laws. "For Americans, the word 'rights' is always a positive thing. That's not necessarily true in other cultures, but it is for Americans," Tannen says.

Wayne LaPierre, executive vice president of the NRA, spoke to those associations this week during his testimony before Congress.

"We believe in our freedom," he said, speaking for gun owners who are NRA members. "We're the millions of Americans from all walks of life who take responsibility for our own safety and protection as a God-given, fundamental right."

While the current debate has its own tenor, the focus on language has been around for decades. It's embodied in the title of one of the best-known gun control groups.

The Brady Campaign to Prevent Gun Violence grew out of an organization called the National Council to Control Handguns.

'Common sense'

Listen to any leading voice on this issue, and you're likely to hear that term repeatedly.

President Obama used it to describe the steps he's calling for, including universal background checks for gun owners and legislation prohibiting "further manufacture of military-style assault weapons."

The NRA, meanwhile, announced in December that LaPierre would offer "common sense solutions." He then pushed for armed guards in American schools. Many Americans were angry and argued that was the opposite of common sense. The NRA later said it believes each school should decide for itself.

Former U.S. Rep. Gabby Giffords and her husband, Mark Kelly, have begun a political action committee to take on the gun lobby's influence. In an op-ed in USA Today, they said LaPierre's initial remarks showed that "winning even the most common-sense reforms will require a fight."

Wilson says the term seems to be playing well for those pushing for new gun regulations. "It makes people say, 'these are common-sense ideas,' " he says.

Language poisoning the debate: Join the discussion on Twitter

'Assault weapons'

But what exactly are those ideas? When it comes to the most controversial one being discussed -- banning "assault weapons" -- it's unclear. That's because the term itself is abstract. There is no clear definition of an "assault weapon."

The 10-year so-called assault weapons ban enacted in 1994 named 19 semiautomatic firearms, as well as semiautomatic rifles, pistols, and shotguns with specific features.

"In general, assault weapons are semiautomatic firearms with a large magazine of ammunition that were designed and configured for rapid fire and combat use," the Justice Department said at the time.

That may be the closest thing to a simple explanation the government ever gave, but if you want to see how incredibly complicated the official definition is in the law itself, check out the language.

"I wrote a book on gun control. I don't know what an assault weapon is," Wilson says.

The National Shooting Sports Foundation and other gun enthusiasts complain that what ultimately separated an "assault weapon" from a "non-assault weapon" under the 1994 law was cosmetic.

Some Second Amendment groups and gun retailers prefer the terms "tactical rifle" or "modern sporting rifle."

The term "assault rifle" was first used by Germany during World War II, The New York Times notes. Later, U.S. manufacturers adopted the words as they began to sell firearms modeled after new military rifles.

In today's parlance, adding "military-style" doesn't draw a clear line either.

Sen. Dianne Feinstein, D-California, who has submitted legislation for a new "assault weapons ban," says it would include, among other things, "all semiautomatic rifles that can accept a detachable magazine and have at least one military feature: pistol grip; forward grip; folding, telescoping, or detachable stock; grenade launcher or rocket launcher; barrel shroud; or threaded barrel."

The previous ban included semiautomatic pistols with at least two features, including a detachable magazine, threaded barrel, a shroud allowing the shooter to "hold the firearm with the nontrigger hand without being burned," a weight of 50 ounces or more unloaded, or what was described as "a semiautomatic version of an automatic firearm."

'Semiautomatic'

An automatic weapon, as the Justice Department put it, is a machine gun that allows you to fire bullets in succession by holding in the trigger. Fully automatic weapons are severely restricted under existing law, but in some cases they are still legal to own, as the Los Angeles Times notes.

They're commonly used in the military but rarely owned by civilians.

A semiautomatic weapon can load bullets automatically, but it fires only once each time you pull the trigger.

In the effort to prevent mass killings, those pushing for a new assault weapons ban want to halt the production and sale of certain semiautomatic weapons and high-capacity "feeding devices" -- such as magazines -- that allow for a large number of rounds of ammunition.

Feinstein's bill would ban selling, transferring, importing or manufacturing 120 named firearms, certain semiautomatic rifles, handguns, "shotguns that can accept a detachable magazine and have one military characteristic" and "semiautomatic rifles and handguns with a fixed magazine that can accept more than 10 rounds."

During the previous ban, gun manufacturers were able to make cosmetic changes to evade the law. One chief question now is how a piece of legislation could avoid the same happening again.

CNN iReport: Why own a military-style rifle?

Can words help bridge the gap?

"If you get new words, there's a better chance of moving beyond the polarization," says Tannen, who is spending this year at Stanford's Center for Advanced Study in the Behavioral Sciences. But, she warns: "Words don't stay neutral for long -- because they quickly get associated with the people that use them."

When asked for a case in which more neutral language may have helped the government reach a consensus on a controversial topic, Tannen said "nothing comes to mind."

Instead, the race is on to control the semantics, which are "crucial," says Wilson.

"In American politics, the person who gets to define the issue wins."

A look at U.S. gun laws

The Newtown shooter's guns

@highlight

"The sides are speaking different languages" in the gun debate

@highlight

President Obama avoided the phrase "gun control" in announcing executive orders

@highlight

There is no clear definition of "assault rifle"

@highlight

"In American politics, the person who gets to define the issue wins," gun debate expert says