(CNN) -- The Beatles invented rock music as we know it, and as pretty much everyone has known it since the mid-1960s. But because their success was so revolutionary, it's hard to remember where the music seemed to be headed before they arrived in the United States 50 years ago -- or to imagine what might have happened if they had not.

There are some familiar myths: One is that by 1964 rock 'n' roll had become insipid music dominated by teen idols like Frankie Avalon and Fabian, and the other is that the Beatles introduced white American teenagers to the power of black music. In fact, the rock 'n' roll scene had become increasingly integrated through the early 1960s, to the point that in late 1963 Billboard magazine stopped publishing separate pop and R&B charts because so many of the same records were on both.

The big new sound in rock 'n' roll was Motown, and James Brown was coming up strong, having broken onto the pop charts with his "Live at the Apollo" album.

Back then, pop prophets were divided into roughly two camps: Some predicted that African-American artists would increasingly dominate the rock 'n' roll scene, providing a joyously danceable soundtrack to the broader story of a triumphant civil rights movement. Others continued to optimistically predict the demise of rock 'n' roll, pointing to all the young people who were abandoning teen dance music for more mature and intelligent styles like folk and jazz. All agreed that the teens buying rock 'n' roll singles and dancing up a storm to the Supremes were the opposite of the serious folk and jazz fans buying LPs and discussing them endlessly in college dorms.

That divide seemed unbridgeable: People who loved rock 'n' roll thought of it as thrilling, fun, youth music, and expected adults to hate it, while people who appreciated adult styles considered them an antidote to the stupid noise on the radio. The few who imagined rock 'n' roll growing up thought it would take the path of jazz, getting hipper, blacker, and more melodically and harmonically complex. But most people assumed it would remain kid's music and even its most passionate acolytes would grow up to prefer other styles.

No one could have dreamed that rock 'n' roll would be reshaped as a sophisticated British import, or that anyone would want to mingle the already old-fashioned sound of Chuck Berry with baroque string quartets, Indian sitars and avant-garde poetry.

The Beatles were not only unimagined, but unimaginable.

It took the Beatles a couple of years to evolve from peppy rockers to psychedelic culture-trippers, but they transformed Americans' image of rock 'n' roll within hours of stepping off the plane at Kennedy Airport. Previous rockers had been famously inarticulate -- in the movie "Jailhouse Rock," when a group of college professors asked Elvis what he thought of Dave Brubeck, his response was to sullenly slam out of the room, sure that they were laughing at him.

The Beatles, by contrast, were witty and urbane. When reporters asked them silly questions about their long hair and screaming female fans, they responded with elegant mockery. Their Liverpool accents may have struck Britons as provincial and working class, but to Americans they sounded dazzlingly sophisticated.

The Beatles backed up their exotic charm with brilliant music, but at least for the first couple of years that was somewhat secondary -- witness the success of fellow invaders like Herman's Hermits and the Dave Clarke Five. They had lovely harmonies and interesting melodies, but in retrospect those early records sound no more advanced or earthshaking than what was coming out of Motown, and "Yesterday" sounds positively archaic next to "Papa's Got a Brand New Bag."

The change that redirected the course of American pop was this: By 1965, the year those two records appeared, the British Invasion had resegregated the charts and no one was comparing the Beatles to James Brown. They are remembered as rock 'n' rollers, he is remembered as playing soul and funk. The Brits didn't do that on purpose -- they loved contemporary African-American styles (the Beatles told 16 Magazine that Brown was their favorite singer) -- but they couldn't manage the tricky new rhythms, so they fell back on older varieties of blues and rock 'n' roll.

For dancers, that made their music relatively boring, and after the first wave of Beatlemania the twisting, frugging girls abandoned them for Motown, then moved on to funk and disco.

But their blues-based, guitar-driven sound and increasingly adventurous lyrics created an unexpected bridge to the folk crowd -- they inspired Dylan to go electric, he inspired them to write obscure poetry instead of poppy love lyrics, and rock became music that boys discussed seriously in dorm rooms.

Every revolution has winners and losers. A generation of black musicians remembers the Beatles' arrival as an apocalypse, the moment when rock 'n' roll became white and they were banished to a lower-status ghetto labeled R&B or soul. On the other hand, millions and millions of listeners all around the world remember the Beatles as leveling the divide between high art and street pop, paving the way for 50 years of rock innovation, and making some of the most spectacular music of the 20th century.

The opinions expressed in this commentary are solely those of Elijah Wald.

@highlight

Elijah Wald: Familiar myth holds that Beatles introduced white kids to black music

@highlight

Quite the contrary, Wald says: The rock scene had already integrated

@highlight

He says Beatles created a bridge no one had imagined for youth pop and more adult styles

@highlight

By 1965, the British Invasion had resegregated the pop and R&B charts, Wald says