(CNN) -- Every day, we happily entrust more of our lives to automated machines at home and in our cities. But you could be forgiven for blanching at the prospect of a four-armed robot bearing over you, scalpel glinting.

But fear not, a human, and a highly-trained one at that, is at the controls of the da Vinci robotic surgical system.

"I think it's very important to explain robotic surgery," says David Rosa from da Vinci creators, Intuitive Surgical.

"The robot doesn't do anything on its own. Every movement, all of its controls are controlled by a surgeon who sits at a console."

The company's tele-operated robots have performed more than 1.5 million operations from abdominal general surgery and gynaecology procedures to thoracic and lung operations.

Interactive: Future of printing is 3-D

"The benefit is minimally invasive surgery. The patient will feel less pain, need less time to recover, generally (lose) less blood depending on the operation. There's just a raft, a whole host of benefits to the patient," Rosa said.

Three components form the operating core of da Vinci: a patient cart -- which house the robotic arms, the surgeon console and a vision system that provides all the connections, which allow the console and instruments to communicate.

Every movement of the surgeon's hand is relayed to the four arms that control up to 50 different instruments, from the basics like scissors and needle drivers to more advanced instrumentation that include electrocautery and staplers.

"When you sit down at da Vinci console, it can do things that you cannot do through other means," Rosa says. "The robotic mechanisms and the 3-D vision that come along with it (means) you can manipulate tissue and perform surgery like no one else can."

Read/Watch: Future of transport is self-driving cars

Rosa has been with the California-based company from its beginnings in the mid-1990s and has seen the da Vinci system develop from concept to the 10,000-component, $1 million-plus machine it is today. He still remembers the first time he saw it in action.

"I was nervous. There were ten engineers in the room. I remember a few people would joke about me in terms of my gloves being filled with sweat ... but we were all nervous in those days. We had a lot riding on the successful outcomes in terms of continuing to fund the company," Rosa said.

But anxiety soon turned to optimism as the benefits to patients became clear.

Consultant surgeon and chief medical adviser to Intuitive Surgical, Dr Myriam Curet has pioneered the use of the robot in hospitals.

"I spent several months developing a robotic procedure for operating on morbidly obese patients and then we did it on our first patient," Curet said.

"Things went extremely well, we were really, really pleased at what it allowed us to do that we couldn't do with traditional methods."

That said, the system is not without its detractors. Dr Martin Makary -- a senior surgeon at the John Hopkins Medical Institute in Baltimore -- is concerned that many people are not aware of its limitations.

"The Achilles heel of robotic surgery is that the robot cannot feel the tissue, so the surgeon can make an inadvertent injury to a major structure, and that is a unique problem with this kind of surgery," he said. "I'm not anti-robot, but for most of the operations where robotic surgery is used, there's no benefit to the patient. More technology doesn't necessarily mean better quality healthcare."

However, since making their first sale in 1998 -- to German customers at the Leipzig Heart Center -- the company has sold more than 2,500 robots to hospitals all over the world and reported revenues in excess of $2 billion last year.

As for the future, Rosa predicts that surgeons and their patients will be even further apart -- an idea that not so long ago would have seemed like a remote possibility.

"I can imagine being a surgeon in San Francisco and working on a patient in another state, even New York," Rosa says.

@highlight

Da Vinci robotic surgery has performed more than 1.5 million operations since late 1990s

@highlight

Surgeon operates robot remotely controlling up to 50 instruments on four robotic arms

@highlight

California-based company had turnover of $2 billion in 2012 and lead the robot surgery field