A brown bear cub clumsily splashes into the Brooks River to receive his mom's first fishing lesson. Those too-big-for-his body paws will be perfect for catching sockeye salmon, which started running the river in late June.

Witnessing this passing of ancient knowledge to the next generation is a once in a lifetime opportunity -- from at least 50 yards away, as the mother bear is as dangerous and unforgiving as the rest of Mother Nature's Alaskan creations.

These bears live on the head of the Alaskan Peninsula, which is the gateway to the chain of Aleutian Islands, formed by ancient volcanic eruptions that built the geography that eventually made region habitable for human beings.

The 1912 eruption of the Novarupta volcano was the largest of the 20th century, and four years later, the National Geographic Society sent Robert F. Griggs to explore the bottomless lakes, soaring mountains and impenetrable forests of what would become Katmai National Park and Preserve.

Griggs' prize was the Valley of Ten Thousand Smokes, Novarupta's 40-square-mile stretch of then still-smoldering volcanic ash that ranged from 100 to 700 feet deep. Katmai, a national monument since 1918 and a national park since 1980, gives visitors the opportunity to see the wilderness as Griggs saw it, to witness bears, moose, eagles and salmon within the floral beauty and rugged expanse of Alaska.

Park stats: In great part because of its remoteness, tourists didn't begin regularly visiting Katmai until the 1950s.  The 4-million acre park has averaged about 39,000 visitors a year since 2008, according to the park service. About 10,000 people visit Katmai in July to view the bears at Brooks Camp, says park ranger Roy Wood.

Summer in the Park: Great Smoky Mountains

The location: Katmai is on the Alaskan Peninsula, and park headquarters is in King Salmon. Visitors can get to the park via plane or boat, but there is no road access. There are daily commercial flights from Anchorage to King Salmon, about a 290-mile trip. Travelers can also access Katmai from Kodiak, Iliamna, Soldotna or Homer. Visitors can also charter flights and boat rides within the park, including the 30-mile ride from King Salmon to Brooks Camp.

If you go: Getting to Katmai is the hardest part, says Wood. But admission to the park is free. However, there is a camping fee for staying at Brooks Camp, and you will need a permit to do commercial filming or photography.

Summer in the Park: Grand Teton

Meet our ranger: Roy Wood is Katmai's chief of interpretation, education and partnerships. Originally from Evansville, Indiana, Wood committed to becoming a park ranger after a college internship at Grand Canyon National Park. He also worked as a seasonal park ranger at Grand Canyon, Yellowstone and Everglades national parks.

Wood came to Katmai National Park and Preserve 10 years ago and fell in love with the brown bears.

"I got to the point where I could recognize the bears," says Wood, producer of "Katmai: Alaska's Wild Peninsula," which will debut July 5 on PBS. "They ceased to be anonymous, wild animals in the forest. They became individuals with behaviors and identities. It's been really fun to see bears that I saw as cubs come back with their own cubs."

For a day trip, don't miss: Brooks Camp. The park service operates a visitor's center there from June 1 through September 17, and the area offers fishing, anthropological history and world-class bear watching. Overnight visitors can purchase a camping permit or stay at Brooks Lodge.

Katmai is home to more than 2,100 protected brown bears. Wood says that during July, 70 to 100 brown bears are concentrated within a square mile of Brooks Camp. The bears can be observed from the trail or from stands that provide increased protection.

"We don't put radio callers or ear tags on the bears," Wood says. "There is nothing to ruin your photos."

Travelers to Brooks Camp should come prepared, as the NPS website advises travelers to bring proper gear for rugged terrain and unpredictable weather, which often results in travel delays.

Summer in the Park: Yosemite

Favorite less-traveled spot: Valley of Ten Thousand Smokes. While noting that most of the park is "less traveled," Wood suggests visitors to Brooks Camp take the 23-mile daily bus ride to the valley. Created by the Novarupta volcano's 1912 eruption, it was the sight that so awed explorer Robert Griggs. Wood recommends visitors spend a night camping there.

"You have the volcanoes, the valley and beautiful uncluttered sky," he says. "That intense solitude is available to just about everyone."

Favorite spot to view wildlife: When Brooks Camp is slow for bear watching, Wood says experienced outdoor explorers should check out any place on the Pacific coast where sedges, a grass-like plant that bears eat, grow above the high-tide line.

There are pilots who will take you to Geographic Harbor, Swikshak Lagoon and Hallo Bay for bear watching during the spring and summer, he says. The northern edge of Katmai is best for viewing wildlife in August and early September, says Wood, but that the local names don't exist on a map and are known only by pilots who fly there.

Summer in the Park: Cuyahoga

Most magical moment in the park: The first time Wood stood in a river to watch salmon run to their spawning grounds. "We often speak of salmon being the lifeblood of the region and its people," he says. "When you are waist deep among them, it is easy to see why.  At first, the salmon deflect around you. But if you remain still, they gradually accept your presence and resume their normal upstream movement."

Funniest moment at the park: A dominant male bear reclaimed his favorite fishing spot from younger male by intimidating the young bear into falling over the waterfalls. "Bears can be unintentionally funny," says Wood. "Every now and then their comedic timing is impeccable."

Watch a video of the showdown here

Summer in the Park: Isle Royale

A ranger's request: Katmai is home to brown bears, which are the same species as grizzly bears but have different behavior patterns, says Wood. Keep at least a 50-yard distance from all bears, which are solitary animals.

You should never separate a mother from her cub, says Wood. The mother will interpret the separation as a threat. Since brown bears can move at speeds up 35 miles per hour, escape will be practically impossible.

"A common misconception about Katmai and Brooks Camp is that since they (the bears) don't run, they're tame or they like us," says Wood.

Can't get enough bears? View live feeds of bears in Katmai at explore.org

Another park he loves: Canyonlands National Park in Moab, Utah. Wood says he would like to return to the Colorado River Plateau, the region where his long trek to becoming a park ranger began. Canyonlands is on the plateau and is a series of geographical forms created the by ancients flows of Colorado River and its tributaries, Canyonlands is home to Horseshoe Canyon's, rock art, Island in the Sky mesa and the Cedar Mesa Sandstone spires at Needles.

What national park would you like to visit? Please share your thoughts in the comments section below.

@highlight

Katmai's 4 million acres are home to more than 2,100 brown bears

@highlight

Always maintain a 50-yard distance from bears and never separate a mother from her cub

@highlight

The 1912 Novarupta volcano eruption was the largest of the 20th century

@highlight

The eruption created the Valley of Ten Thousand Smokes, 40 square miles of volcanic ash