London (CNN) -- Tension in the stadium was at fever pitch, with the world record holder Jonnie Peacock gesturing for quiet from the partisan home crowd as two more star performers in the field settled into the blocks for what was billed as a grudge match.

At stake was a London Paralympics 100m gold medal featuring rival runners who had been involved in a spat in an earlier race. But it was also the moment I realized for the first time that I was watching the contest not through the prism of disability but as a genuinely exciting sporting event that had me riveted to the edge of my seat.

It was the first of two revelations of the night.

As a sports fan and Brit I gobbled up hours of breathtaking competition from the London Olympics but I confess I had mixed views on the Paralympics before the event started. Great for the competitors, great for the home crowd who could be confident of a high medal count, great for the profile of disabled sport -- but would we really be watching a fair contest?

For the most part, that reservation has been blown away by a week of heart-warming stories of courage and determination, and of blistering, thrilling athletics, cycling, swimming and a host of other sports I have not explored before.

Take blind football for example. It is an astonishing mixture of traditional football and a ballet in fast-forward. Players sprint across the pitch, skilfully tapping the football from foot to foot, while defenders follow the game by sound, listening for the bell inside the ball. You can only wonder at their close control and spatial awareness. It's thrilling stuff and such was their mastery that if you didn't know better, you would swear the players could see.

Then there's the passion and aggression of wheelchair rugby, or "Murderball" as it has been coined. It's fast, it's furious, and full-on. Never mind that they are in wheelchairs -- the hits are real.

The same agility is evident in the wheelchair basketball where the athletes can turn their chairs on a dime.

On Thursday night, Olympic and Paralympic sprint star Oscar Pistorius

-- "Blade Runner" as he is known -- was pipped for third place in that eagerly-anticipated 100m sprint by his South African team mate Arnu Fourie. Local boy Peacock duly delivered joy for the home crowd by winning gold, and American Richard Browne took silver.

It was an explosive race that made a change to the medal table... and my second pause for reflection. Where on earth was the United States of America in all this?

Given the size of the United Kingdom, we have no business occupying third slot in the Paralympic Games medal table. Browne ran well in the 100m but the U.S. languished in sixth place despite the team being the third largest represented at the Games.

The CNN website has given prominent coverage to the London 2012 Paralympics but U.S. host broadcaster NBC decided to show only four hour-long highlight programs on its sport channel. It's a decision that has drawn criticism from former Paralympian and chef de mission of the U.S. Paralympic team, Aimee Mullins.

"That disconnect between the U.S. being a world leader in disability issues and the broadcast coverage in real time of the Games is disappointing," she said in the UK newspaper, The Guardian.

The lack of coverage is a terrible shame because American citizens have missed out on the fantastic endeavours of their athletes and could potentially hold back the future aspirations of many more.

U.S. athlete Tatyana McFadden has won a heap of Paralympic medals since 2004. But as her own website puts it: "She probably should not be alive."

She was born with spina bifida, resulting in paralysis below the waist, and spent the first six years of her life using her hands as if they were feet because she didn't have a wheelchair. She was rescued from a Russian orphanage in 1994 by Debbie McFadden -- then Commissioner of Disabilities for the U.S. Tatyana has overcome abandonment, disability and illness to become a world beating athletic star.

Eight-time world champion Mallory Weggemann represents the U.S. in the swimming pool and described to CNN the commitment needed to win Paralympic gold.

It would be a tragedy if people like McFadden and Weggemann were denied a chance to shine on an international stage. The UK has been creating opportunities for disabled athletes since the end of World War II, and it shows on the medal table. But many nations were only able to send one or two athletes to London. I hope the interest and enthusiasm demonstrated by the sell-out crowds at London Paralympic events will be matched by other countries because the fun attached to inspiring, entertaining sport has been a welcome tonic to the economic gloom.

There may still be questions over whether there is a level playing field in all sports in the Paralympics but the exposure and debate can only improve the way the events are organized.

Perhaps the real inequality is in the sporting chance that nations give to those who wish to confront their disabilities, excel in sports they have made their own and compete in the kind of activities that the able-bodied take for granted. Perhaps too they deserve better media coverage at home.

For my part, I just can't wait for the Rio Paralympic Games. I hope you get to watch them too.

@highlight

Paralympics showed stories of courage and thrilling athleticism, writes Dave Gilbert

@highlight

Gilbert asks: Where on earth was the United States of America in all this?

@highlight

American citizens have missed fantastic endeavours of their athletes, he says

@highlight

Exposure and debate can only improve way events are organized - Gilbert