BIHAR, India (CNN) -- Extreme flooding has displaced millions of people on either side of the India-Nepal border after a river burst its banks, authorities said Thursday.

People walk along a flooded railway track in Madhepura, India.

In India's northeastern state of Bihar, almost 3 million people have been affected by the worst flooding in decades, and more than 100,000 people have been displaced in southeastern Nepal after the breach last week.

The Saptakoshi River in Nepal is the same one that flooded neighboring India's poorest state, although the Indians call it the Kosi River. In some stretches, it is three miles (5 km) wide.

Nepalese Home Secretary Umesh Mainali said that of those displaced in Nepal, "more than 40,000 are living in government run camps." Many victims are taking shelter in schools and colleges.

Residents were forced from their homes after an aged and damaged embankment on the river burst August 18 in Nepal.

Water flowed so forcefully through the breach that it actually changed the course of the river, which now flows 75 miles (120 km) east of its original bed.

Bad weather and washed-out roads -- including the region's main highway -- have hampered relief efforts, officials said.

The heavy rains have also made repairing the breach difficult. Nepalese and Indian teams have been working separately to try to stem the flow of water, Mainali said.

State-run Nepal Television reported Thursday that many Indian citizens are coming through the open border because of the availability of food and shelter.

The Indian government said that about 50 people have been killed, revising the figure down from 87 deaths reported Wednesday. The Disaster Management Department in Bihar released a death toll of 12, an increase of two since Wednesday. There was no immediate explanation for the variance in numbers.

"Flood is understatement," Bihar Chief Minister Nitish Kumar said. "It's a disaster."  Watch how India is struggling to cope »

Indian Prime Minister Manmohan Singh and Sonia Gandhi, head of the ruling Congress party, flew over the four most flooded districts of Supaul, Saharsa, Araria and Madhepura, the news agency Press Trust of India reported.

Singh announced immediate aid of about $238 million and promised the delivery of 125,000 metric tons of grain to the region.

CNN's Sara Sidner traveled by boat Thursday with some of the soldiers and called the mayhem "enormous."

"We have seen panic, we've seen sorrow, we've seen despair. ... Hundreds of people screamed to us from rooftops as we floated by."

The soldiers were trying to pull people to safety, Sidner said, "but there are simply too many people to rescue and too few boats to do so. People were literally screaming, waving, running with suitcases in water trying to get to us."

The Home Ministry said that nearly 153,000 people have been evacuated, and 31,000 are staying in 155 relief camps.

About 228,000 homes have been damaged. There was no number provided Thursday on the number of homes destroyed.

Madhepura district, where 1 million people live in 378 villages, is the worst hit, officials said. There are 900,000 residents in Supaul and 250,000 in Araria.

More than 2.7 million people in 1,600 villages have been affected, thousands of them marooned on thin strips of dry land peeking out from cloudy brown waters of the swollen Kosi River.

With heavy rainfall forecast for the next two days, officials worry that the situation will get much worse.

Indians call it the River of Sorrow. Every summer, from June to September, the relentless monsoon rains cause the Kosi to overflow, bringing untold misery.

This year, though, it swallowed entire villages in areas unaccustomed to water that deep -- with the worst flooding in 80 years in the landlocked rural state.

Government agencies, nongovernmental organizations and good Samaritans have begun doing what they can: using motorboats to rescue stranded residents, for example, or dropping thousands of food packets from the sky.  Watch as boats deliver supplies, provide rescue »

The scale of the disaster is overwhelming. About half the state is under water, a submerged area the size of the entire U.S. state of Delaware.

One man told CNN's partner network IBN that he scrounged together 2,000 rupees ($45) to pay a boatman to ferry his family to safety.

"We agreed on 2,000 (rupees), and he upped it to 2,700 ($61) just like that," he said. "What can I do? I paid him."

But many others stayed put. Nine hundred million Indians survive on less than 85 rupees ($2) a day, a British government study found this year.

Many of them live in Bihar, the poorest and considered to be the most lawless state in India. They have nowhere to go.

"It's raining here. People are on rooftops begging to be rescued," CNN's Bharati Naik said while touring some of the affected area Thursday. There are "not enough boats. Villagers are crying and extremely frustrated."

Officials worry that in coming days, stranded residents may start drinking the contaminated river water, raising fears of an epidemic.

"There is no water to drink," one man told CNN-IBN. "We are hungry. We're thirsty. We have to drink something."

Roshan Kumar, a teacher from one of the flooded villages, arrived at an army base to seek help for his neighbors.

About 30,000 people are stranded, he said. The army said it's doing all it can.

Meanwhile, the water level in many areas continues to rise even as hope, among many, is beginning to falter.

@highlight

India and Nepal battle worst flooding for decades

@highlight

India says 3 million affected in northeast; Nepal says 100,000 displaced

@highlight

River burst bank and now flows 75 miles east of its original course

@highlight

Indian prime minister tours area and announces $238 million aid package