(CNN) -- Should David Petraeus -- or anyone, for that matter -- lose a job because of marital infidelity? Four experts weigh in.

Larry Flynt: Stop being the morality police

It's "Zippergate" all over again. When will Americans realize that an active libido has no effect on how someone runs a government agency? How many leaders in the past -- whether it's in politics, business or other settings -- have done a fine job in spite of having an extramarital affair? We need to cease being the morality police and accept the fact that we're all human beings.

What's more, in the uniform code of military justice, adultery can be deemed a crime. As long as such archaic laws are part of any justice system, it makes it impossible to move out of the dark ages.

We are living in a society where over half of all marriages end in divorce. Why should it surprise anyone that adultery is commonplace? The best thing the arbiters of decency and good taste can do is to stay out of other people's lives. The greatest right that any nation can afford its people is the right to be left alone.

Larry Flynt, a prominent advocate of First Amendment rights, is chairman of the Hustler brand, which includes adult magazines, broadcasting, Internet, retail, gaming and entertainment businesses.

Laura Kipnis: Our amnesia about adultery

Should David Petraeus have had to resign over an affair? We've all been reading about legendary CIA director Allen Dulles' multiple flagrant affairs, so if you turn to history for an answer, no. But adultery matters more now than it did in Dulles' day, and there's more of a social need to rake people over the coals for it. Thus we have to keep developing amnesia about how common adultery is, and about the previous 10 adultery scandals, so that we can be outraged all over again. Society needs its scapegoats, and unfortunately Petraeus offered himself up for the role.

This is an incredibly pleasurable scandal. First, it's a classic downfall story, replete with powerful warriors and vengeful females -- there's something satisfying about familiar myths like this playing out in actual life. This scandal also has so much narrative complexity: It's a cautionary tale about unintended consequences and people not foreseeing the effects of their actions (Paula Broadwell's e-mails, Jill Kelley contacting her FBI pal, not to mention the affair itself, though these days that's obviously not so newsworthy on its own).

You can't help wondering what elements of your own life could unravel as quickly following some misguided impulse. At the same time, you get to feel superior about the terrible judgment and irrationality of supposedly rational people. And of course it confirms a lot of stereotypes we're supposed to have put aside, about catfights, spurned destructive women, and the younger woman-aging wife problem, all of which runs counter to the various enlightened and progressive things we're supposed to think and say about gender.

There's been much hypocrisy on this. You have all the news outlets running Broadwell's picture next to Holly Petraeus', more or less saying: Draw your own conclusions. Then a few days later they're all running finger-wagging articles (e.g. Frank Bruni in The New York Times) rebuking the other news outlets for focusing on Broadwell's appearance and "well-toned arms." My own view is that given Broadwell's tendency to showcase her physique in public appearances, it's a legitimate part of the story.

Finally, there's always a certain satisfaction in exposing the powerful and purportedly virtuous. It confirms a cynical view of the world, that behind closed doors everyone is up to something untoward.

Laura Kipnis is the author of "How to Become a Scandal: Adventures in Bad Behavior" (Picador).

William Doyle: No cover-up in the digital age

The resignation under fire of David Petraeus is many things: a global media circus, a made-for-cable-TV reality soap opera, a professional disintegration, a bizarre and sad spectacle.

On one level, it is also unfair, since there is no proof yet that Petraeus violated any laws in his private personal conduct. And if perpetual moral chastity were a strict requirement for public office, Washington would be a ghost town filled with chirping crickets, tumbleweed and empty offices.

But Petraeus did occupy the most sensitive and potentially high-risk job in America, and there are concerns -- not yet verified, to be sure -- that sensitive information may have passed to his mistress. From a national security risk perspective, and because of the dangers of blackmail or influence by foreign powers, it's not too much for the American people to expect from a CIA director that he or she suspend such third-party relationships while in the post.

I interviewed Petraeus a while back for my book. Like many others, I found him to be very helpful, responsive and enthusiastic, even though I believed that he did not turn the Iraq War around in 2007, but rather built on the momentum already established by Capt. Travis Patriquin and his Army and Marine colleagues the year before.

I am sorry to see Petraeus go because he seems to be a very capable man for the job.

Petraeus was America's first great digital general. He was the ultimate "PowerPoint Ranger" -- the nickname given by military officers to colleagues adept at giving dazzling digital presentations overflowing with data, graphics and bullet points. He was an inveterate e-mailer, famously accessible to journalists, historians and writers at all hours. So it's not surprising that he was brought down by a chain of e-mails.

Perhaps Petraeus and his former colleague Gen. John Allen were addicted to e-mails on some level, but in jobs like theirs, sloppiness can be fatal. In the digital age where everything seems to have a trail, there is really no escape, no appeal and no cover-up.

There's been a lot of talk from Petraeus' supporters that he did the honorable thing by quitting. The truth is, given his job and the digital world we live in, he had no choice.

William Doyle is author of "A Soldier's Dream: Captain Travis Patriquin and the Awakening of Iraq" (Penguin) and co-author of "A Mission from God: A Memoir and Challenge for America" (Simon & Schuster).

Noel M. Tichy and Chris DeRose: Resignation was honorable, necessary

David Petraeus is by equal account an honorable man, a great patriot and one of the most important generals in recent U.S. history. So was it really necessary for our country to lose one of its brightest intellects in the top spy job just because he had an affair? Can't you hear the laughter coming from France or Italy, where the reaction to discovery of a mistress or even a child out of wedlock is blasÃ©?

Petraeus' resignation was as honorable as it was necessary. He didn't lose his job over infidelity. He had to either resign or be fired because he exercised poor judgment. It's that simple.

Petraeus' surreptitious extramarital affair was investigated for fear he might have been the target of blackmail or revealed national secrets. As a long-time Washington insider, Petraeus was no naif about the consequences if the affair became public.

The moment the man in charge of the world's most powerful spy agency engaged in the affair, he took a risk that had repercussions well beyond his personal life. His self-indulgence invited an inevitable media circus that has undermined his credibility and distracted his organization at the critical moment it faces an inquiry into the September attack on the U.S. Consulate in Benghazi, Libya.

Petraeus knew that his ability to stand tall before his co-workers at the CIA, the Congress or the American people had been compromised. To enable the CIA to get on with its business, he accepted the need to step aside so that his personal life didn't become the focus.

Organizations are built on trust and shared values. When leaders exercise bad judgment and take actions that risk the well-being of their constituents -- even if it happens in their personal life and is not criminal -- they compromise that trust and have to go.

In the business world, CEOs or top leaders at Best Buy, Stryker, Highmark and Lockheed Martin have lost their jobs in recent months because of sexual affairs. Most companies have explicit rules or require disclosure of relationships within a company. These policies are to protect employees from managers who might leverage their power to sexually harass subordinates or engage in favoritism, creating intolerable work environments. Such rules apply to all employees, but these business leaders failed to acknowledge their affairs. Some simply kept secrets from their boards of directors, while others took deliberate steps to conceal them, no doubt to protect their reputations and marriages.

To Petraeus' credit, he reportedly never asked for special treatment and knew that public knowledge of his lapse in judgment would inevitably lead to his removal. Let's applaud Petraeus and thank him for his invaluable service to our country.

As Americans, we seem to love redemption stories and have been so often willing to give our leaders a second chance after they demonstrate their fallibility. Petraeus will no doubt resurface in coming years and, we hope, continue to contribute to our nation's welfare. It just won't be at the CIA.

Noel M. Tichy and Chris DeRose are co-authors of "Judgment on the Front Line: How Smart Companies Win By Trusting Their People." They have advised CEOs around the world and worked with Royal Dutch/Shell, Ford Motor Company, 3M and HP.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Larry Flynt: Why should it surprise anyone that adultery is commonplace?

@highlight

Laura Kipnis: There's always a certain satisfaction in exposing the powerful

@highlight

William Doyle: It's not surprising that he was brought down by a chain of e-mails

@highlight

Noel M. Tichy, Chris DeRose: Petraeus had to resign because he showed poor judgment