President Barack Obama's aggressive new proposal to dramatically limit carbon pollution is a policy priority that he hopes will help shape his legacy.

But a policy step that Obama considers good for the country and his presidency may be bad for certain Democrats in tight election battles this year.

Democrats' flight

Some of the toughest fights this campaign season are taking place in red or purple states where jobs and the economy are in a constant tug of war against the environment.

They are also the states where Obama's plan to limit carbon emission from power plants will have its greatest impact.

Obama's big environmental move: Demanding power plants cut carbon

Obama's proposal aims to reduce carbon pollution by 30% by 2030, but the Chamber of Commerce put out a study last week saying it will cost $50 billion and eliminate nearly 225,000 jobs.

Republicans are framing it as a job killer and electricity bill hiker, putting some Democrats in a tough position in an uneven economy.

"As he seeks to secure his legacy, Obama is finally getting his 'war on coal,'" the Republican National Committee wrote in a statement slamming the proposal.

Coal power plants, the greatest polluters, are expected to be the most impacted by the new rules, if they're finalized.

Some Democrats from conservative coal-producing states quickly and sharply broke from the President.

Kentucky produces the third-most coal in the country but has seen a reduction in coal jobs and production. A high-profile Senate race there has come down to who loves coal more.

Democrat Alison Lundergan Grimes, who is running to unseat Senate Republican Leader Mitch McConnell, put out a strong statement opposing Obama's move.

"President Obama's new EPA rule is more proof that Washington isn't working for Kentucky," Grimes said in a statement. "When I'm in the U.S. Senate, I will fiercely oppose the President's attack on Kentucky's coal industry because protecting our jobs will be my number one priority."

She is also actively attacking the President, running ads worth "six figures" in Kentucky newspapers that say "President Obama and Washington don't get it."

Her opposition is aggressive but it didn't stop McConnell for connecting Grimes to the President and fellow Democrats.

"Alison Lundergan Grimes was recruited by President Obama, who said he would 'bankrupt' the coal industry, and Harry Reid, who said 'coal makes us sick.' And she is being funded by liberals nationwide who know that a vote for her is a vote to ensure further implementation of their anti-coal agenda in the U.S. Senate," McConnell's spokeswoman Allison Moore said in a statement.

In West Virginia, which produces the second most coal, Democratic candidate for Senate Natalie Tennant also opposes the new rules.

"I will stand up to President Obama, (EPA Administrator) Gina McCarthy, and anyone else who tries to undermine our coal jobs," Tennant said in a statement.

West Virginia Rep. Nick Rahall, who is in a tough race to retain his seat, put out a statement announcing that he is introducing legislation to block Obama's proposal.

The new effort could also play out in Louisiana, where Sen. Mary Landrieu, chairman of the Senate Energy Committee, is in a tough reelection campaign.

Landrieu has been a major defender of fossil fuel-based energy industries as oil, natural gas and some coal are integral to her state's economy.

She straddled the issue carefully on Monday by saying that carbon emissions should be reduced but with the input of Congress and not through the Environmental Protection Agency.

And giving an olive branch to the powerful energy industry, she also praised it for reducing carbon. She did not praise the President.

"Congress should set the terms, goals and time frame. Greater use of natural gas and stronger efficiency measures adopted by the industry have already helped us reduce carbon emissions to their lowest levels in 20 years," Landrieu said.

Her Republican opponent, Rep. Bill Cassidy slammed Landrieu. His spokesperson, John Cummins, said she has done little to stop regulations that "tie down Louisiana's energy economy in an effort to promote a radical climate change agenda."

In North Carolina, another red state, Republican Thom Tillis called his opponent, Democratic incumbent Sen. Kay Hagan, "a rubber-stamp for Obama's anti-energy policies."

Hagan said in a statement that she would push for changes in the plan, which will be subject to public comment.

"I'm talking to business leaders and energy experts in North Carolina about what this proposed rule will mean for our state and our economy. I want to make sure that the proposal does enough to recognize the progress we've made reducing carbon emissions and promoting renewable energy," she said.

In Montana, Democratic Sen. John Walsh's statement underscores the difficulty of this issue in conservative states. He issued no position, instead saying he "will be listening to Montanans" to determine if the rule is one they can accept.

Democratic Sen. Mark Pryor of Arkansas was also noncommittal. He said he had "concerns" but would wait to hear what the people of his state thought.

The issue is likely to come up in races in Pennsylvania, Virginia and Alaska as well. All produce coal but also lean conservative and have constituencies that are turned off by greater government regulation.

But Bill Burton, a former Obama spokesman, said division among Democrats is expected, especially in campaign season.

"You're going to have instances where Democrats are going to not be perfectly aligned with the President's message, but that doesn't mean the President's policy is not the right one," he said.

The Republican Party is taking advantage, launching robocalls connecting candidates to Obama's "radical energy plan" in Virginia, Louisiana, Colorado and Alaska.

Obama's fight

Before his administration announced the planned change, Obama held a conference call with members of the House and Senate in an attempt to shore up support and enthusiasm, indicating that this would be a political landmine for some Democrats in tough races.

But addressing the issue of climate change has been at the forefront of his legislative wish list. Up until now, he hasn't done much, hitting a number of roadblocks along the way.

Since failing to pass cap and trade legislation to limit carbon emissions through the Democratic-led Senate in 2010, Obama has struggled with Congress.

He has been saddled with a struggling economy and several foreign policy crises, effectively putting climate change on the back burner.

Inaction of his own initiative has also limited Obama's influence on the issue.

He has repeatedly put off a decision to kill or approve the Keystone XL pipeline, which is still unresolved and has upset everyone with a stake or position on the issue.

The appointment of John Podesta as the President's counselor earlier this year to revive a struggling White House was also a signal that Obama was going to try again to address environmental pollution.

Podesta, who was chief of staff for former President Bill Clinton, has focused on progressive energy and environmental issues, authoring a book in 2008 that is heavy on the issues.

These proposed rules on power plants are being billed as the most aggressive effort to combat pollution and climate change in decades, and Burton says this is a legacy issue for Obama.

"Nothing has been done on this scale as it relates to combating climate change and it will absolutely be an important part of the President's legacy," he said. (Burton also does work for the environmental group the League of Conservation Voters).

Democrats' plight

Democrats who support the proposal will be backed by billionaire Tom Steyer, who has pledged to financially assist nearly a dozen candidates who support climate change proposals.

Not among those candidates are Democrats who are opposing Obama's new rule, including Grimes, Landrieu and Pryor.

Green billionaire prepares to attack 'anti-science' Republicans

Steyer praised the President's initiative and blamed Congress for not addressing the issue.

"This Congress has failed in its most basic responsibility to protect the health and welfare of the American people from this grave threat," he said, indicating his support for candidates who will do more to address the issue in the future.

And Burton says Republicans will be the ones to suffer politically for being "saddled by the notion that climate denial is salable in 2014."

@highlight

Obama announces new proposal to dramatically reduce carbon emissions from power plants

@highlight

It's a significant plan that will help to shape Obama's legacy

@highlight

Democrats facing tough election campaigns in red states have come out in opposition