Washington (CNN) -- Rep. Paul Ryan is trying to talk about the issue of poverty, but the talk so far has produced more problems than solutions.

Trying to address the latest political snafu, the Wisconsin Republican said he was "inarticulate" when he talked on a conservative radio program Wednesday about a "tailspin of culture, in our inner cities in particular, of men not working and just generations of men not even thinking about working or learning the value and the culture of work."

Ryan, the head of the House Budget Committee and 2012 Republican vice presidential nominee, has begun to examine the issue of poverty over the past 18 months.

He made the statements on Bill Bennett's "Morning in America" radio program.

California Rep. Barbara Lee called his statement "deeply offensive" and a "thinly veiled racial attack" and House Minority Leader Nancy Pelosi's press office called it "shameful."

But are Democrats Lee and Pelosi engaging in political double standards?

The scarlet 'R'

Andra Gillespie, political science professor at Emory University, said personal bias and perspective dictate their response.

"Rightly or wrongly, when Republicans make comments about structural issues, that's going to be perceived by some as paternalistic," she said.

Bob Woodson, who has known Ryan for years and heads the Center for Neighborhood Enterprise, an organization that works with people on the outskirts of society, said people "should earn a right to be critical" by either living in or working with impoverished communities.

Rand Paul fights for felon voting rights

While Woodson admires Ryan's interest in poverty and his willingness to travel to some of the most difficult neighborhoods with him and his organization, he said the lawmaker hasn't yet earned the right to be critical "at this point."

What about President Barack Obama, who has made similar statements about the structural problems of race and poverty?

Obama's advantage

At the launch of the new program "My Brother's Keeper," tailored to help African-American and Latino youth succeed, Obama reeled off statistics that show minorities are more likely to be arrested and suspended from school and less likely to graduate.

"And the worst part is, we've become numb to these statistics," Obama said last month, adding that people should not make excuses.

In addition to My Brother's Keeper, Attorney General Eric Holder has made recent announcements that attempt to change the structural disadvantages facing people of color, including his support of a plan that would reduce prison sentences for some drug offenses.

But it's what a politician says and how he says it that matters.

"It's going to be received differently from a black Democrat than from a white Republican," Gillespie said.

But criticism isn't reserved only for white Republicans.

Obama not immune

Since Obama, a black man who grew up without a father and worked in inner city Chicago, entered the national political scene, he has also been criticized for his rhetoric toward the black community.

He was criticized by some for being patronizing after his commencement speech at Morehouse College last year, where he advised students to help a fellow young black man and be a good father and spouse.

And after his Father's Day address in 2008, where he told black men to be involved in their children's lives, Rev. Jesse Jackson was caught off camera saying Obama talks "down to black folks."

John Edwards says Dems should do more on poverty

Ryan's second strike

Ryan's comments, however, were doubly troubling to some because he referenced one of the most offensive authors on the issue of race and class.

"You're buddy Charles Murray or Bob Putnam over at Harvard -- those guys have written books on this, which is -- we have got this tailspin of culture," Ryan said to Bennett.

Murray, a self-described "right-wing ideologue," is the author of the book, "The Bell Curve," which hypothesizes that African-Americans social and economic disadvantages are because they are less intelligent than whites.

Gillespie said that if a politician is going to talk about race and poverty and wants to be taken serious, "Don't invoke the man that wrote 'The Bell Curve.'"

Woodson, who worked at the conservative think tank, the American Enterprise Institute with Murray when "The Bell Curve" was released in 1994, agreed, saying he constantly tells Ryan to stop quoting conservative scholars because their polarizing rhetoric "seeps into his speeches."

"All of these guys ... do not talk to the people they write about," Woodson said. "The only thing they are passionate about is the failures of the poor."

Ryan's recent interest in poverty is likely to culminate in policy proposals that are, based on his recent speeches, going to advocate fewer government-centered poverty programs.

In a statement Thursday, one day after his controversial remarks, Ryan said he was trying to make a larger point: That "we cannot settle for this status quo and that government and families have to do more and rethink our approach to fighting poverty."

This flare-up comes less than two weeks after he released a report analyzing 92 federal anti-poverty programs, concluding that are a confusing patchwork of often ineffective prescriptions to combating the problem.

Woodson says Ryan's remarks damage his attempt to be authoritative on anti-poverty legislation and issues.

It's only "a minor setback," he added.

Instead, Woodson advised that Ryan needs to talk about the people he has met in the communities he has visited.

Ryan did a version of that last week at the annual Conservative Political Action Conference where he told a story about a child who wanted to bring a brown bag lunch to school instead of receiving free lunch because it showed that someone cared.

But that story was not true and he was forced to issue a correction.

@highlight

Rep. Paul Ryan has responded to criticism about comments over inner city "culture"

@highlight

Ryan was addressing structural problems that lead to poverty on conservative radio show

@highlight

President Barack Obama has made similar statements about inner-city poverty