(CNN) -- For women who have already seen combat, it is a decision that is well overdue. But for the skeptics, it is a setback that will damage the military.

The Pentagon's reported decision to lift the ban on women in combat units will take time to put into effect, but many former service members are lauding reports that the Defense Department will make the change soon.

"We have an all-volunteer force, and I think that this opens up a pool of folks who could serve in these positions," said Rep. Tammy Duckworth, an Iraq War veteran who lost both legs and the use of one arm when her helicopter crew was shot down in 2004. "Any time that we've opened up our military to performance-based service ... we've benefited as a military. This is good for the nation."

The new policy will be implemented over the next three years, and some units may apply for exemptions, a senior defense official told CNN.

Many readers doubt wisdom of decision

Duckworth, an Illinois Democrat, said the military should open up every unit to women and see if they can complete the required training.

"If the women can't meet the standards, they don't get to graduate from the program."

U.S. Rep. Tulsi Gabbard, a Hawaii Democrat who served with her state's National Guard in Iraq, said the move is a "major step that is long overdue."

Interviewed by CNN's Soledad O'Brien, Gabbard said it's a "great recognition ... of all the women who are currently serving overseas, many of them in these combat type situations already."

Gabbard was asked whether the move is merely semantics because front lines are constantly shifting and disappearing in today's world, and women already have been in combat situations.

"I think so," Gabbard said. "When we look at, for example, two women, the first two women who earned Silver Stars since World War II, one was a military police sergeant, another was a medic. And they both were operating on the front lines per se, under fire, under extreme duress, shoulder to shoulder with their male and female counterparts, and exhibiting great courage and heroism and saving the lives of their brothers and sisters."

Julie Weckerlein, who has served more than 13 years in the Air Force and did tours in Iraq and Afghanistan, thinks the change reflects the military catching up with the times.

Some women have already gone on patrols with ground troops, helping to talk with female civilians in Afghanistan. Some submarine crews have added female officers. Women also serve as military police officers.

Join the discussion on Twitter

Women supporting supply missions have been drawn into battle in Iraq and Afghanistan, where there are no physical front lines.

Now, Weckerlein said, "people will be able to serve in the career fields they are qualified for, and they won't be turned away because of their gender."

Weckerlein went to Iraq in May 2007 as part of then-President George W. Bush's "surge policy" to put more troops on the ground.

"The first death I experienced was a woman, within the first few weeks I was in Iraq," she said.

It was June 25, 2007, and her outpost in Nasir Lafitah came under mortar fire. In the attack, Army Staff Sgt. Trista Moretti of South Plainfield, New Jersey, was killed. Moretti, 27, was assigned to a support battalion.

Days later, Weckerlein came under mortar fire again. This time, her comrade -- a cameraman -- was injured.

Even though her deployment orders said Qatar, she spent weeks in the summer of 2007 shuttling between bases in Iraq and Afghanistan.

Like many women in the military, Weckerlein didn't get the additional combat training because she was in what was considered a support role.

"I really want to stress there was no bitterness. It was a reflection of the times, and I feel like we are now getting with the times," she said. "I see this as a positive thing."

Join the discussion on Facebook

Not everyone agrees.

Rep. Tom Cotton, an Arkansas Republican, has said he doesn't think women are physically capable of combat duty.

"To have women serving in infantry ... could impair the mission essential task of those units, and that's been proven in study after study," he told radio host Laura Ingraham this month. "It's nature -- upper body strength and physical movements and speed and endurance and so forth."

Jonn Lilyea, one of the founders of the military blog "This Ain't Hell," wrote that he thinks it was an "ill-considered decision."

Lilyea, a former sergeant who fought in Desert Storm, wrote that he is opposed to women in combat units, not because women are a distraction but because he thinks the Army and other services will be required to accept more women than are qualified or can be trained.

"If we're doing this to make the military better, fine, but if we're doing it just to beat our collective chest and show how just we are, then that's how a lot of body bags are going to get filled," he wrote.

Twitter thread: Military to open combat jobs to women

Kayla Williams, author of the memoir "Love My Rifle More Than You: Young and Female in the U.S. Army," said she thought most of the enlisted men would accept women into combat units.

"They will do their jobs, they will be professional, perhaps a few will be disgruntled," she said. "Troops grumble, that's what we do, but many of them have already served along with women."

Williams, who saw combat while with the 101st Airborne, said she thought some branches of the military would ask for exceptions to the policy, and that was hard to argue with.

"Let's take this step and let women keep proving what they have already proved before," she said.

Sgt. 1st Class Stephanie Cazares with the 4th Brigade Combat Team, 1st Armored Division, at Fort Bliss, Texas, said it was impossible to know what, if any, changes it would mean for women in the military.

"It's not just put females in combat (specialties) and let's call it a day," she said.

A number of issues, including safety regulations and cohabitation, will need to be addressed, she said.

Army Staff Sgt. Stacey Zinda said that, like Cazares, she wasn't surprised by the news.

Troops have speculated about the issue for a while, but Zinda, who is a career counselor, said she has yet to have a female soldier approach her about joining a combat unit.

By the numbers: Women in the U.S. military

Gabbard was asked about a newspaper column that argued there would be times someone would be forced to be naked in front of the opposite sex, and that would be distracting, awkward, uncomfortable and potentially traumatizing. Does the writer have a point?

"I respectfully disagree. I think that in these situations we're talking about highly trained professionals, people who build our strong military because they place the mission first and they're there to fight as a member of a team. All of the other things that differentiate us, make us unique, whether it be gender or race or religion, all of these things fall aside when you're there putting the mission first and selflessly serving as that member of a team," Gabbard said.

"I can tell you from my own firsthand experience as well as the many, many people I've had the honor of serving with, whether in training or in a deployed setting, those things are not what's crossing your mind when you're operating."

Chuck Hagel, President Obama's nominee for defense secretary, didn't comment on the issue. He was asked for his reaction after he left a meeting at the Senate on Wednesday.

"We've got a hearing I'm looking forward to next week," he said, suggesting he may confront the matter then.

What do you think about women in combat? Share your thoughts on iReport. We especially would like to hear from women.

CNN's Chris Lawrence and Ted Barrett in Washington and Joe Sterling in Atlanta contributed to this report.

@highlight

NEW: Hawaii representative who is a combat vet: "Major step, long overdue"

@highlight

Defense Department is expected to lift a policy against women in combat units

@highlight

A critic says women will be hard-pressed to meet physical requirements

@highlight

One active-duty soldier says none of her troops is interested in a combat job