(CNN)Slain Russian opposition leader Boris Nemtsov isn't the first critic of President Vladimir Putin to turn up dead.

Some Putin opponents claim it isn't a coincidence that critics of the powerful leader and his government have been killed or landed behind bars. But the Kremlin has staunchly denied accusations that it's targeting political opponents or had anything to do with the deaths.

Here's a look at some cases of outspoken critics of Putin's government who've ended up in exile, under house arrest, behind bars or dead.

The business magnate backed an opposition party and accused Putin of corruption.

He spent more than 10 years behind bars on charges of tax evasion and fraud.

In statements to CNN, Khodorkovsky said his prosecution was part of a Kremlin campaign to destroy him and take control of Yukos, the oil company he built from privatization deals in the 1990s.

The Kremlin denied the accusation. At the time of Khodorkovsky's sentencing, the Russian Foreign Ministry said in a statement that "allegations about some kind of selective prosecution in Russia are groundless. Russian courts deal with thousands of cases where entrepreneurs are prosecuted."

Due for release in August 2014, he was released nearly a year earlier, in December 2013, after Putin signed an amnesty decree pardoning him.

His release, along with the pardoning of dissident Russian punk band Pussy Riot and a group of Greenpeace protesters, was widely seen as an attempt to improve the country's image before the Winter Olympics in Sochi last February.

Khodorkovsky is now living in Switzerland. He told CNN's Christiane Amanpour last month that he wants to see regime change in his country.

"I think that my country doesn't deserve a new era of authoritarianism," he said. "But at the same time, I don't want a revolution."

She was a vocal critic of Russia's war in Chechnya. Her home was a safe place, until it became the scene of her murder.

She was shot four times at the entrance of her Moscow apartment in October 2006.

Last year, a Moscow court sentenced five men to prison for the killing.

Authorities alleged that an unidentified man asked Lom-Ali Gaitukayev, whom the jury found was a mastermind of the slaying, to kill Politkovskaya in exchange for $150,000 because of her reports of human rights violations and other issues, the Moscow city court said.

The New York-based Committee to Protect Journalists said her work chronicling human rights abuses in Chechnya led to threats against her and angered Russian authorities.

Shortly after her death, Putin denied any Kremlin involvement in her killing, saying that Politkovskaya's "death in itself is more damaging to the current authorities both in Russia and the Chechen Republic ... than her activities."

The former Russian agent was poisoned by a lethal dose of radioactive polonium, his tea spiked in a London hotel during a meeting with two former Russian security servicemen.

After leaving the Russian Federal Security Service, he blamed the agency for orchestrating a series of apartment bombings in Russia in 1999 that left hundreds dead and led to Russia's invasion of Chechnya later that year.

In a statement from his deathbed in London in November 2006, he said he had no doubt about who was to blame for his imminent death.

"You may succeed in silencing me, but that silence comes at a price," Litvinenko said at the time. "You may succeed in silencing one man, but the howl of protest from around the world will reverberate, Mr. Putin, in your ears for the rest of your life."

Officials have always dismissed the accusation as "nonsense," but suspicions linger.

A Russian federal intelligence service spokesman went as far as to say that Moscow had not carried out any "physical liquidation of unwelcome personalities" since the Soviet era.

The two prime suspects in the poisoning, Andrei Lugavoi and Dmitry Kovtun, are Russian nationals. Both are former agents of the Russian security services. But both deny involvement, and the Russian government refuses to extradite either to Britain to face trial.

In January 2009, a masked man shot and killed Markelov, a Russian human rights lawyer known for his work on abuses by the Russian military in Chechnya.

The gunman also shot Baburova, a journalist from Russia's Novaya Gazeta newspaper, when she tried to intervene.

Markelov was known for his work on high-profile cases. He represented the family of a Chechen woman killed by a former Russian colonel in March 2000.

He held a news conference hours before his death opposing the early release of Col. Yury Budanov, who had been convicted of strangling a Chechen teenage girl and was freed after serving eight years of a 10-year sentence.

At the time, Novaya Gazeta Editor-in-Chief Dmitry Muratov suggested that Baburova was killed when she tried to stop the lawyer's killer, but he said he couldn't dismiss the possibility that she was also a target.

Russian authorities said members of a neo-Nazi group were behind the killings, and two neo-Nazis were convicted for the deaths.

The Chechnya-based human rights activist was kidnapped outside her home there in July 2009 and found dead in the neighboring Russian republic of Ingushetia later the same day.

Her body was riddled with bullets, Russian prosecutors said -- several shots to the abdomen, and one to the head.

Estemirova had spent years investigating human rights abuses in Chechnya.

She told CNN in 2007 that she was investigating dozens of abductions and murders that had become the norm in Chechnya, where security forces were fighting a dirty war against separatist rebels.

The head of the group Estemirova worked for, Memorial, accuses the Kremlin-backed Chechen leadership of ordering her killing.

Her death drew the ire of European leaders.

"How many more Natalya Estemirovas and Anna Politkovskayas must be killed before the Russian authorities protect people who stand up for the human rights of Russian citizens?" Terry Davis, then the Council of Europe secretary general, said at the time.

The Guardian reported shortly after Estemirova's death that Chechen President Ramzan Kadyrov and his aides had threatened her.

Kadyrov denied involvement in her killing, calling it a "monstrous crime" that was carried out to discredit his government.

The powerful Russian businessman's falling-out with his government left him self-exiled in England.

Berezovsky accused the Kremlin of killing Litvinenko.

And for years, he bankrolled the effort of Litvinenko's widow to push for an inquest into her husband's death.

In 2013, he was found dead inside his house with a noose around his neck.

Was it a suicide? The coroner's office said it could not say.

In 2013, during a phone call to a television show, Putin said he could not rule out that foreign secret services had a role in Berezovsky's death. However, he added that there is no evidence of this.

A corruption-fighting lawyer, Navalny famously branded Putin's United Russia party "the party of crooks and thieves."

He has been a prominent organizer of mass street protests and has attacked corruption in Russian government, using his blog and social media.

The Kremlin critic was arrested in December just after hours after he was found guilty of fraud in a politically charged trial

Navalny was detained after he broke house arrest and went to join a protest against the court's verdict.

In court, he got a three-and-a-half-year suspended sentence for the fraud conviction, while his brother, Oleg, also convicted of fraud, was given a prison term of the same length.

The brothers denied charges of embezzling 30 million rubles ($540,000) from a Russian subsidiary of French cosmetics company Yves Rocher between 2008 and 2012.

Before the December ruling, he was under house arrest after he was convicted in 2013 of misappropriating $500,000 worth of state-owned timber, in what he told CNN was a fabricated case.

The Telegraph reported that the Kremlin denies fabricating the case. A spokesman for Putin said the President only learned of the sentence from the media.

Nemtsov, 55, was a top official with the Republican Party of Russia/Party of People's Freedom, a liberal opposition group.

He had been arrested several times for speaking against Putin's government. The most recent arrests were in 2011, when he protested the results of parliamentary elections, and in 2012, when tens of thousands protested against Putin.

Most recently, he had been critical of the Kremlin's handling of the Ukraine crisis.

After his death Friday night, opposition leader Ilya Yashin said his friend had been working on a report about Russian troops and their involvement in Ukraine.

In an interview with Newsweek magazine just hours before his death, Nemtsov said Russia was "drowning" under Putin's leadership and was swiftly becoming a fascist state.

"Due to the policy of Vladimir Putin, a country with unparalleled potential is sinking, an economy which accumulated untold currency reserves is collapsing," he said.

The former deputy prime minister accused Putin of using "Goebbels-style propaganda" -- a reference to Joseph Goebbels, Nazi Germany's propaganda minister -- to brainwash his countrymen.

Nemtsov was scheduled to lead an opposition rally in Moscow last Sunday. But two days before the event, he was shot dead as he walked home from dinner with his Ukrainian model girlfriend. The killing took place just meters away from the Kremlin.

The Kremlin suggested Nemtsov may have been killed by enemies of Russia intent on creating political discord. But many Nemtsov supporters suspect Putin's administration of involvement.

CNN's Matthew Chance, Ivan Watson, Alla Eshchenko, Laura Smith-Spark, Holly Yan and Richard Allen Greene contributed to this report.

@highlight

Some claim it's no coincidence that critics of Putin and his government have been killed or imprisoned

@highlight

But the Kremlin staunchly denies accusations that it's targeting political opponents