Hornets have killed dozens of people in China and injured more than 1,500 with their powerful venomous sting.

The Asian giant hornet, known scientifically as Vespa mandarinia, carries a venom that destroys red blood cells, which can result in kidney failure and death, said Justin O. Schmidt, an entomologist at the Southwest Biological Institute in Tucson, Arizona.

But perhaps a bigger problem than the toxicity of the venom is allergy, Schmidt says. Some people are naturally more allergic to stinging insects than others; a sting can trigger a deadly anaphylactic reaction, which may involve airway closure or cardiac arrest.

Since July, hornet attacks have killed 42 people and injured 1,675 people in three cities in Shaanxi province, according to the local government. Among those attacked, 206 are receiving treatment in hospitals.

What are these hornets?

In person, the Asian giant hornet, which is the largest hornet species in the world, looks like "the wasp analog of a pit bull" with "a face that looks like you just can't reason with it," said Christopher K. Starr, professor of entomology at University of West Indes in Trinidad & Tobago.

These hornets are found throughout East and Southeast Asia, in countries such as in China, Korea, Japan, India and Nepal.

And they're big. The giant hornet extends about 3.5 to 3.9 centimeters in length (1.4 to 1.5 inches), roughly the size of a human thumb, and it has black tooth used for burrowing, according to an animal database at the University of Michigan. The queens are even bigger, with bodies that can grow longer than 5 centimeters (2 inches).

The species feed their young the larvae of other insects and use their mandibles to sever the limbs and heads of their prey.

The giant hornets are attracted to human sweat, alcohol and sweet flavors and smells. They are especially sensitive to when animals or people run, according to Xinhua.

Every breeding season, the giant hornets produce an average of 1,000 to 2,000 offspring, Schmidt said. They feast on other insects such as wasps and bees, launching coordinated attacks on the hives of their prey.

Most hornet hives or nests are tucked away in secluded places, such as tree hollows or even underground.

"It's very difficult to prevent the attacks, because hornet nests are usually in hidden sites," said Shunichi Makino, director general of the Hokkaido Research Center for Forestry and Forest Products Research Institute in Japan.

Asian giant hornets and other terrifying creatures

What is the human impact?

Over the summer and early fall, hornets have invaded schools full of children and descended upon unsuspecting farm workers in China.

One of them is Mu Conghui, who was attacked in Ankang City while looking after her millet crop.

"The hornets were horrifying," she told Xinhua, the Chinese state-run news agency. "They hit right at my head and covered my legs. All of a sudden, I was stung, and I couldn't move.

"Even now, my legs are covered with sting holes."

Two months, 13 dialysis treatments and 200 stitches later, Mu still remains hospitalized and unable to move her legs.

Makino, who specializes in entomology, warned that the sting from an Asian giant hornet was severe compared with those of other insects.

The influx of venom to the human body can cause allergic reactions and multiple organ failure, leading to death. Patients like Mu have been receiving dialysis to remove the toxins from their bodies. In photos, patients bore deep, dark craters scattered across their limbs, the size of bullet wounds.

Dr. Wang Xue, director of the intensive care unit at First Affiliated Hospital of Xi'an Jiaotong University and an expert of the provincial hornet sting treatment guidance unit, warned in a Shaanxi government release that hornets tend to be aggressive and more active during September and October, their breeding season. The hornets do not go into hibernation until December, according to local government authorities.

Local authorities have deployed thousands of police officers and locals to destroy the hives. About 710 hives have been removed and at least 7 million yuan (about $1.1 million U.S.) sent to areas affected by hornets, according to a government press release.

Why so many attacks now?

The spate of attacks could be caused by the unusually dry weather in the area, authorities say. The arid environment makes it easier for hornets to breed. Urbanization could also be a contributing factor, as humans move into hornets' habitats.

Some experts cited in Xinhua stated additional factors such as increased vegetation and a decrease in the hornets' enemies, such as spiders and birds, because of ecological changes.

In other words, it's a good season for the hornet population, which makes it a bad season for people who encounter them.

The provincial government of Shaanxi has warned residents to wear long sleeves when outdoors and not to attempt to drive the swarms away or remove the hives.

Japan is familiar with Asian giant hornet stings, too. About 30 to 50 deaths are reported each year in Japan from such attacks, according to Japanese studies. Most of the deaths are due to allergies to the venom, Makino said.

The giant hornets are also destructive to western honeybees. Research in Japan suggests that tens of thousands of honeybee hives are damaged by the giant hornets each year.

How to protect yourself

People run into trouble when these hornets form a nest: a basketball-shaped nest that looks like it's made of gray paper, sometimes under an eave, Schmidt said. If you disturb one of these, or happen to whack a tree that has a nest in it, the hornets may respond as if they're under attack.

Humans can get themselves in danger by reacting poorly to these large hornets. If you see a nest or a hive, just avoid it, Schmidt says. If one of them buzzes around you, don't panic.

"Don't flap or scream or freak out," he advised. "Just calmly walk away."

One victim told local media this month that "the more you run, the more they want to chase you." Some victims described being chased about 200 meters (656 feet) by a swarm.

An area of research that hasn't been explored is how many people get stung by these hornets while taking down a nest in order to use the larvae as fish bait, or even to eat. The larvae do not have venom, Schmidt explained. But in general, people should not tamper with these nests.

As powerful as their sting can be, it is highly unlikely that these hornets would travel all the way to the United States to find a new home, Schmidt said, or in the United Kingdom for that matter. To go to Western Europe, they'd have to cross some "nasty deserts" to which they are not adapted.

As deadly as live adult giant hornets can be, some people don't shy away from them altogether.

There is a sports drink in Japan called VAAM that incorporates amino acids derived from hornets.

In Taiwan, where the giant hornet is known as the "tiger head," the insect is sometimes used in alcoholic drinks, Starr said, the idea being that "the essence of this great big strong hornet will go out into the booze, and when you drink it, you'll become strong."

That's one way to get a buzz.

@highlight

Hornet stings have killed 42 people and injured 1,675 in China since July

@highlight

Shaanxi province sees unusual level of activity; dry weather, human moves are factors

@highlight

People who have been stung are dying from allergic reactions or multiple organ failure

@highlight

Type of hornet is also a threat to honeybees, often seen in Japan