(CNN) -- Turkey's prime minister, a staunch critic of Syrian President Bashar al-Assad's regime, on Tuesday called Israel's recent airstrikes in Syria "unacceptable."

Recep Tayyip Erdogan made the statement in the capital, Ankara, during a Justice and Development Party group meeting in parliament.

"The air attack by Israel on Damascus is unacceptable. No rationale, no reason can excuse this operation. These attacks are a bargaining chip, an opportunity delivered on a silver platter to the hands of Assad, to the illegitimate Syrian regime," he said.

The heightened tensions come amid questions about the possible use of chemical weapons in Syria and international debate over how to respond to the country's bloody civil war, in which more than 70,000 people have died in more than two years of fighting.

In the latest unrest, U.N. peacekeepers have been seized in Syria near the Israeli-held Golan Heights, a U.N. spokesman said Tuesday. The four were on patrol near al Jamlah, Syria, when an armed group detained them. Officials were working "to secure their safe release," the spokesman said.

The Yarmouk Martyrs Brigade, part of the rebel Free Syrian Army, said the peacekeepers were caught in the crossfire between Syrian armed forces and FSA fighters. That prompted the brigade to extract the peacekeepers for their security, the brigade command said.

The peacekeepers, all members of a Philippine battalion of the U.N. Disengagement Observer Force, were seized near al Jamlah, in an area that's technically part of the Syrian Golan. After the 1973 war, the force was established to supervise a cease-fire and disengagement agreement.

As for Israel, it conducted strikes against Syria twice in recent days, a U.S. official confirmed Monday.

One targeted a weapons storage site containing missiles and another was directed at a Damascus research facility, the official said. The official stressed that Israel is concerned about Syria transferring weapons to the Lebanese militant group Hezbollah.

The strikes killed 42 Syrian soldiers, the opposition Syrian Observatory for Human Rights said Monday, citing medical sources. It said 100 people remained missing.

An Israeli general who commands forces on the Syrian border said "there are no winds of war," according to the Israel Defense Forces website.

But the Syrian government warned that Sunday's apparent strikes, which followed one last week that Syria also blames on Israel, open "the door wide for all the possibilities."

And Syrian ally Iran warned of a "crushing response," while Russia called reports of Israeli involvement "very worrying."

READ MORE: Q&A: Is Syrian war escalating to wider conflict?

Israel focused on Hezbollah weapons transfers

While Israel has not acknowledged responsibility for the attacks, the country has long said it would target any transfer of weapons to Hezbollah or other terrorist groups.

"We are watching everything when it comes to the movement of these types of weapons. We have the means to do that," a senior Israeli defense official told CNN's Sara Sidner on Sunday. The official is not authorized to speak to the media.

Shaul Mofaz, a lawmaker in Israel's Knesset, told Israeli Army Radio on Sunday that Israel isn't meddling with Syria's civil war. But Israel must protect itself from Lebanese militants, he said.

"For Israel, it is very important that the front group for Iran, which is in Lebanon, needs to be stopped," Mofaz said.

Tensions in Syria have been worsened by conflicting reports on the possible use of chemical weapons there. On Monday, a U.N. official said evidence points to the use of the deadly nerve agent sarin by Syrian rebel forces.

Opinion: Al Qaeda's track record with chemical weapons

Carla Del Ponte told an Italian-Swiss TV station that the findings come after interviews with doctors and Syrian victims now in neighboring countries. Del Ponte, the commissioner of the U.N. Independent International Commission of Inquiry for Syria, said the notion isn't surprising, given the infiltration of foreign fighters into the Syrian opposition.

Later, the commission issued a news release saying it "has not reached conclusive findings as to the use of chemical weapons in Syria by any parties to the conflict." Therefore, "the commission is not in a position to further comment on the allegations at this time," the statement said.

The claim of rebels using sarin gas comes after months of suspicions that the Syrian regime has used the same nerve agent against rebels.

Last week, the United States said its intelligence analysts had concluded "with varying degrees of confidence" that chemical weapons had been used in Syria and that the Assad regime was the likely culprit. In April, the head of the Israeli military's intelligence research said the Syrian government is using chemical weapons against rebel forces.

President Obama said "intelligence assessments alone are not sufficient" in guiding its assessments on chemical weapon use in Syria.

"We are working through other means to try to build on the evidence that we already have of chemical weapons use to assert in a concrete and firm way the chain of custody, when chemical weapons were used, by whom, and the full consequences of that use," White House spokesman Jay Carney said Monday.

READ MORE: 42 Syrian soldiers dead in reported Israeli strike, opposition group says

Amid violence, Syrian Internet connections go down

At least 128 people were killed in violence across the country on Tuesday, the opposition Local Coordination Committees of Syria reported.

Amid the reported violence, Internet connections across Syria went down Tuesday night, according to several global monitoring sites.

Google reported that its services became inaccessible in Syria around 9:45 p.m. (2:45 p.m. ET). The Renesys, Akamai and BGPmon Internet tracking companies also reported the loss of Syrian Internet connectivity at that time.

Opposition activists reported widespread power and Internet outages in Damascus and throughout the country, warning that the communications cutoff could be an ominous sign.

A regional conflict

The conflict in Syria, which began in March 2011 when the regime cracked down on peaceful protesters, has morphed into a civil war with sectarian overtones.

The war has pitted rebel fighters against the Assad regime, a government dominated by the minority Alawites, who represent an offshoot of Shiite Islam. Sunnis, who make up a majority of the Syrian population, are dominant in the opposition.

Syria is believed to be the main conduit to the Shiite militia Hezbollah in Lebanon, the proxy through which Iran, a predominantly Shiite nation, can threaten Israel with an arsenal of short-range missiles.

In 2009, the top U.S. diplomat in Damascus disclosed that Syria had begun delivery of ballistic missiles to Hezbollah, according to official cables leaked to and published by WikiLeaks.

The last thing Iran wants is a Sunni-dominated Syria -- especially as the Syrian rebels' main supporters are Iran's Persian Gulf rivals: Qatar and Saudi Arabia. Hezbollah's feared scenario is Israel on one side and a hostile Sunni-led Syria on the other.

Kerry talks about Syria in Russia

U.S. Secretary of State John Kerry told Russian President Vladimir Putin on Tuesday he hopes Russia and the United States can find "common ground" on Syria. Kerry was in Russia for talks.

Moscow and Washington have had profound differences over how to address the crisis. Russia, a longtime friend of Syria, has supported the regime during the conflict. The United States wants al-Assad to step aside.

"We really believe, the United States believes, that we share some very significant common interests with respect to Syria -- stability in the region, not having extremists creating problems throughout the region and elsewhere -- and I think we have both embraced in the Geneva communique a common approach. So it's my hope that today we'll be able to dig into that a little bit and see if we can find the common ground," Kerry said, according to a draft transcript of a meeting released by the State Department.

The Geneva plan was proposed last year for negotiations between members of the opposition and the Syrian regime. The United States, Russia, and European and Middle Eastern nations have signed on to the plan.

READ MORE: Analyst: Syrian hostilities bring Middle East catastrophe closer

CNN's Gul Tuysuz, Joe Sterling and Jessica King contributed to this report.

@highlight

NEW: Internet connections go down across Syria, according to monitoring sites

@highlight

Armed group detains four U.N. peacekeepers in Syria near Israeli-held Golan Heights

@highlight

Recep Tayyip Erdogan says air attacks gave the "illegitimate Syrian regime" an opportunity

@highlight

Official: Israel is concerned about Syria transferring weapons to Hezbollah militants