(CNN)I've visited Nepal at least half a dozen times over the last decade, and of the more than 100 countries that Save the Children serves, it is undoubtedly one of my favorites. There are the usual things that are said about it -- the stunning landscape, which includes Mount Everest, and the amazing food.

But Nepal has also made some of the most remarkable progress on maternal and child health in the last few years.

In fact, I remember a time just last May when I sat with a group of mothers and their tiny babies as they told me how proud they were that they now understood how important it was to make sure they prioritized breastfeeding and nutritious foods. They spoke of the wonderful future they were now expecting for their children, and they shared with me the big dreams that they had.

So you can imagine the indescribable sadness I experienced waking up this morning and seeing the news reports that Nepal had been hit by its worst earthquake since 1934, when more than 10,000 people were killed.

While casualty accounts following the magnitude-7.8 quake Saturday are still difficult to confirm -- hardly surprising considering that communication lines have been severely disrupted -- estimates we are hearing from the ground are already placing the number lost in the thousands, with the official toll now at around 1,500 expected to keep growing as the hours and days pass.

The fact that the epicenter of this quake was so close to the capital of Kathmandu, where the majority of Nepal's citizens reside, makes the situation even more dire.

Many of these people live in cramped conditions and have never lived outside the city. As a result, it is unlikely they even have a home village to go to temporarily for shelter.

Housing the scores of newly homeless will be a tall order. It is still quite cold at night in Nepal, so getting these people into shelters quickly will be of the utmost importance. Compounding this very serious problem will be the difficulty in ensuring that those affected have access to clean water in the coming days; Nepal already had one of the lowest standards of sanitation in the world before the quake.

In fact, even getting food to people will be a logistical nightmare, given that the entire country -- which is about the size of Tennessee -- is served by only two main roads, which have likely been badly damaged, if not destroyed.

We have been in situations like this before, and know what to do. But time is not on our side -- we have only a few short weeks before the rainy season begins, which will make an already difficult job close to impossible.

With that in mind, we have set up a fund to help address the immediate needs of children, who are always the most vulnerable in an emergency. We and other relief organizations will be doing everything we can to help get Nepal back on its feet without having to wait for more people to die from diseases that will inevitably come from contaminated water and the like.

Only the oldest Nepalese will remember the last major earthquake, so the psychological toll for the majority of the country will be a significant and ongoing concerning for us as we and other agencies launch our response.

And while we can rebuild Nepal after this tragedy, it will take time and help.

I hope that we can all play a role in making sure that the tremendous gains that have been made in this country that I love so dearly will not have been in vain.

@highlight

A magnitude-7.8 earthquake struck near Kathmandu, Nepal

@highlight

Carolyn Miles: Many survivors will have nowhere to go