(CNN) -- President Obama's remarks Monday on Hurricane Sandy were in some ways the most significant of his presidency. They were, at their core, about the role of government -- all governments -- and the responsibility of citizens to take care of themselves and each other when times are tough.

By embracing self-reliance and resiliency -- "take care of yourselves" and "we will get through this" were themes -- Obama did more to defend and explain the role of government than any presidential debate ever could.

The message was political, but not in the partisan sense. It was more akin to the debates at America's founding on the role of government, and included an appropriate sense of tough love. It was a statement to the nation that reality is sometimes cruel and challenging. It was not filled with a "We got this" bravado. It would have been a lie for Obama to say so; as he noted, this is a massive storm, and -- by meteorologists' accounts -- of a different nature from what responders have seen before.

He did not promise instantaneous response, explaining that first responders and utility company workers should not put themselves at risk until conditions are safer. Nor did he claim that all would be back to normal immediately.

Politics: Looking presidential -- The optics of leadership during a disaster

That messaging was not an accident, nor was it partisan. In the statements from the White House to statehouses both Republican and Democratic, there's a hint that Sandy may help engender a new discussion about our resiliency.

The measure of our success has as much to do with our initial response to a crisis as it does with restoring the mechanisms that support our commerce and transportation and all other aspects of our infrastructure. The value of a stronger infrastructure is not just that it doesn't fall apart when the winds howl, but that if operations are interrupted, it gets running again as soon as possible.

It is not too early to think about Hurricane Sandy as a key point in policy discussions about our aging infrastructure and our lack of commitment to it. For the last several years, infrastructure enhancements have often been tied to the economic debate. The stimulus package had a dual purpose: Get roads fixed, bridges modernized, transportation systems upgraded, and all while putting people back to work. It was an important effort, but its public message referred primarily to jobs and the economy, not public safety.

That we have to hunker down for the next few days is a basic -- and correct -- safety response to the wrath of such a storm. But Obama also noted an obvious fact: Our ability to bounce back -- to get the power lines restored, the transportation systems running -- is no small feat.

When a storm puts 60 million people in danger, sends tens of thousands across the Eastern seaboard fleeing to the high ground to escape a surge made more threatening by a century of rising sea level; when it essentially shuts down New York City, bringing the transportation system to a halt and even shutting down the stock exchange -- it is not just a matter of safety in this storm.

When we talk about upgrading and improving our infrastructure, we are talking about maintaining our resiliency as nature serves up ever more complicated, unpredictable weather in our new era of climate change.

Politics: 5 things to watch in hurricane-wracked campaign

How to do this?

There are plenty of solutions, many with bipartisan support. One involves creating an infrastructure bank, where the private sector directly invests in infrastructure projects, as is the case in many countries, with the promise that toll fees will bring in the financial gains. Architects embrace a concept of resilient design: For example, a new bridge across San Francisco Bay will sway with an earthquake rather than resist it.

Public policy planners from New York City to New Orleans are grappling with how to make investments and drive activity, even as big weather puts much of the last century's infrastructure at risk, and sometimes under water. Electric companies that have fought government requirements to submerge power lines will face criticism about why so many lines are vulnerable.

If storms like Sandy are likely in the future, we will begin to see a move toward a more resilient infrastructure, starting with projects that are already under way. Local and state governments are likely to require that primary power cables are underground and protected.

Design competitions are just beginning to make resiliency a priority for public projects. Anticipate much more of this in the future; and, after the election, expect the infrastructure bank idea to gain momentum as legislators recognize that it might be better for the private sector to pay for projects that benefit their communities.

Shutting down, as we all are doing this week, makes sense. But afterward, the real focus has to be on getting better at starting back up. No nation is immune to harm, but prepared nations are quicker at getting back to normal.

Sandy has caused a lot of damage and suffering, but there are many emergency managers, architects, city planners and politicians who hope that it may also refocus a political effort to invest and upgrade. It is good for the economy, yes, but more important, it is good for our safety. 

The opinions expressed in this commentary are solely those of Juliette Kayyem.

@highlight

Juliette Kayyem: Obama pointed out roles of self-reliance and government in crisis

@highlight

Kayyem: Success in dealing with emergency is measured in what we do after

@highlight

We need to improve our ability to get the power restored, transportation running, she says

@highlight

Kayyem: We need commitment from private sector, creative efforts to improve infrastructure