Washington (CNN) -- Ted Cruz says he wasn't elected to the Senate to stay quiet. And his refusal upon entering Congress to observe its protocol to sit back and learn like a freshman, as expected, rubbed some of his more senior colleagues the wrong way.

And while he has angered much of his party over his crusade against President Barack Obama's health care law and the government shutdown it could cause, Cruz says he's standing for the same principles that got him elected.

On Tuesday, he took that edict to the Senate floor in support of his plan to defund Obamacare, saying he would speak "until I am no longer able to stand." And on Wednesday morning, he was still talking.

As the hours dragged on, Cruz addressed his daughters, apologized for not being home to read them a book, and read to them from the Senate floor. After reading Dr. Seuss' "Green Eggs and Ham," he said it was applicable to Obamacare. "President Obama and Senate Democrats told the American people just try Obamacare. Just try it," he said.

Cruz will have to stop talking soon. His marathon appearance is not an official filibuster. It will not do anything to block Obamacare funding because a key procedural vote on the issue was already scheduled for Wednesday. His efforts will have to awkwardly come to an end when the vote he is fighting against is called.

A senator -- usually a freshman is tasked with the duty -- always has to be presiding over the Senate during session. And a displeased Sen. Chris Murphy, D-Connecticut, tweeted his annoyance after walking into the Senate chamber for his midnight two-hour shift. "Walking into Capitol to take 11-1 shift presiding over the Senate for this pointless fairy tale non-filibuster," he tweeted.

Critics are questioning Cruz's motives: Is this about his principles or about presidential aspirations?

CNN political analyst Gloria Borger said his Republican detractors think Cruz is putting his political career above all else.

"While many others have, no doubt, come to the Senate in the past as a springboard to the presidency, it's hard to recall someone who has created as much controversy within his own party," she said.

Cruz has been in Washington for less than a year, but his short stint has been an effective lesson in partisan politics. Only history will tell, however, if his tactics will be worth repeating.

The Texas Republican's counterparts in the House of Representatives have tried 42 times to roll back Obamacare, but their efforts have gone nowhere in the Democratic-controlled Senate.

Cruz has upped the ante. His latest battle to disrupt Obamacare is tied to funding the government in the new fiscal year that starts on October 1. The House passed the measure last week. But Senate Democrats are not about to allow the health care bill to be unraveled, therefore putting at risk a government shutdown.

Cruz's refusal to give up the fight has rankled many of his fellow Republicans, widening divisions in a splintered party. Democrats, meanwhile, are sitting back and watching the intraparty fight.

Who is this guy?

His effectiveness at political debate has landed Cruz in many successful places. He was elected to the Senate in 2012, after rebuking the Republican establishment and winning the Republican primary, paving the way to a general election victory.

Previously, he was the youngest solicitor general of Texas and has argued multiple cases before the Supreme Court. He got his start at Princeton as head of the debate team and then honed his skill at Harvard Law School.

What's his fight?

Cruz did not take his Senate responsibilities lightly. As a freshman, he refused to stand on the sidelines until he gained a measure of seniority, a common tradition in Washington. Instead, he was loud and opinionated.

"I find it amusing that those in Washington are puzzled when someone actually does what they said they would do," Cruz told CNN in February. "At the end of the day, I was elected to represent 26 million Texans and to speak the truth. You know, I think a lot of Americans are tired of politicians in Washington in both parties who play games.

Cruz was elected, promising to shrink government, especially the new health care law. That battle has been embraced by most Republicans in Congress, but his latest tactic has frustrated many.

Political novice?

New York Rep. Peter King has been an outspoken critic of Cruz's latest crusade â€” at one point calling him a "fraud."

"Whether it's Custer, whether it's kamikaze, or whether it's Gallipoli or whatever, we are going to lose this," the New York Republican said on CNN's "The Situation Room" last week.

And Republican Sen. Bob Corker of Tennessee tweeted that he "didn't go to Harvard or Princeton" but that he "can count" that Democrats outnumber Republicans in the Senate.

But Cruz said to let his critics talk.

"If you get outside of Washington, D.C., there is a frustration with Washington that is palpable. When you ask your constituents what are the problems you're facing, over and over again, the answer that comes back is Obamacare is killing jobs, is taking away my health insurance, is driving up my premiums, is causing small businesses to shrink, to go out of business. If we listen to the American people, that should be our priorities," he told CNN this week.

Still, Republicans are frustrated by his insistence on fighting a divisive, losing battle.

'Don't break filibuster'

"We are giving Obama the escape out," Republican strategist Ana Navarro said on CNN's "AC360." "Instead of now focusing on the problems with Obamacare, everybody's focused on the civil war in the Republican Party."

Navarro also noted the numerous polls, including CNN's latest poll, that said while citizens are concerned about Obamacare, they don't support shutting down the government over it.

"If you want to fix Obamacare or repeal it or fix it or change it, the best way to do it is to elect more Republicans. And the political cost of a government shutdown is really going to affect any -- any possibility of electing more Republicans," Navarro added.

Or political genius?

While Cruz is ruffling the feathers of his colleagues in Washington, he is mobilizing the grass roots outside the Beltway.

Conservative groups are praising him.

"Senator Cruz came to Washington to advance conservative policies, not play by the same old rules that have relegated conservatives, and their ideas, to the back bench," Michael Needham, president of Heritage Action, recently said about Cruz.

His group helps activate grass-roots Republicans for conservative candidates and political causes.

And Republican candidates running against Republican incumbents in the primaries are using Cruz's crusade in their races.

Matt Bevin, who is running for Senate to replace top Senate Republican Mitch McConnell, said in a statement that he would support "conservatives like Sen. Ted Cruz in his fight to defund Obamacare."

Obamacare: Can it be stopped?

Bevin bashed McConnell for coming out against Cruz's effort to shut down the government in order to stop Obamacare.

Like so many other crucial fights, Mitch McConnell has caved to (Senate Majority Leader) Harry Reid on Obamacare and is refusing to fight to defund this disastrous legislation."

And longtime Sen. Mike Enzi of Wyoming came out in support of Cruz. He is facing Liz Cheney, the daughter of former Vice President Dick Cheney, in a contentious primary.

Will Cruz be scarred or be a star?

Cruz could alienate his colleagues to a point where he becomes marginalized and completely ineffective in Washington.

He has also hinted at a possible presidential run in 2016. If he has no Republican Party support, he risks being cut off from its financing and other resources.

On the other hand, Cruz's principled stand could help to grow a movement of disenchanted conservative voters. If a groundswell of conservative grass-roots activists grows between now and 2016 -- and their financial support grows, too -- Cruz could have carved out a path to the Republican nomination.

"I think what Senator Cruz understands is that he has more to gain from adhering to his principles, staying in touch with the grass roots here and around the country, than he does being friends with other senators," said Brendan Steinhauser, a leading Texas tea party activist who worked to get Cruz elected.

Cruz calls for backup plan

@highlight

Ted Cruz doesn't follow Senate rules, irritating traditionalists on both sides of the aisle

@highlight

Unapologetic, Cruz says he was elected to do a job that includes shrinking government

@highlight

Cruz ups ante in battle to derail Obamacare, but will he chart new course or stumble?

@highlight

Latest crusade that threatens shutdown frustrates many, including some in his own party