The Arkansas Supreme Court on Friday struck down the state law governing how death-penalty inmates are executed by lethal injection.

The court ruled 5-2 that "the legislature has abdicated its responsibility and passed to the executive branch ... the unfettered discretion to determine all protocols and procedures, most notably the chemicals to be used, for a state execution."

The ruling does not invalidate Arkansas' death penalty but does leave the state without a way to execute prisoners because it struck down the entire law dealing with how the death penalty is carried out. That includes the designation of electrocution as the backup method in case of a legal challenge to lethal injection.

Associate Justice Jim Gunter, writing for the majority, said the law does not include an explicit "severabilty clause" that would allow portions of the law to stand even if others were found unconstitutional.

It is unclear whether the state will appeal the ruling, but Gov. Mike Beebe said he does not plan to call legislators into a special session to draft a new law.

"I will review what the options are, talk to the attorney general and key legislative leaders and will study the way other states have handled these rulings. I hope to have a proposed remedy in the next few months," he said.

The ruling came in a lawsuit brought by death row inmates who alleged that Arkansas' Method of Execution Act of 2009 violated the state Constitution's separation of powers doctrine.

The ruling partially affirms a decision by the Pulaski County Circuit Court judge who found the law unconstitutional on grounds that it granted too much discretion to corrections authorities in determining the cocktail of chemicals used in executions.

The law allowed corrections officials to choose from a short list of drugs or select or "any other chemical or chemicals" to put inmates to death.

The court has previously ruled that lawmakers must include "reasonable guidelines" for executive branch agencies to follow in writing laws. The law governing executions didn't follow that rule, Gunter wrote.

"The statute provides no guidance and no general policy with regard to the procedures for the (Arkansas Department of Corrections) to implement lethal injections," Gunter wrote.

The Supreme Court agreed that the measure violated the state's separation of powers doctrine but said the circuit judge erred in striking only the portion of the law that allowed corrections officials complete discretion in crafting the chemical blend.

In a dissenting opinion, Justice Karen R. Baker wrote that the ruling flies in the face of rulings in other states, including Texas, Florida, Delaware and Idaho, finding that giving discretion to corrections officials does not violate state separation of powers provisions.

The law provides a suitable "general framework" within which corrections officials must operate, she wrote.

The court also lifted an injunction imposed by the circuit judge prohibiting state officials from acquiring execution chemicals "by any means that violates state or federal law," according to the Supreme Court ruling.

In their lawsuit, inmates had argued that the state had violated federal drug-control laws by obtaining a drug -- sodium thiopental -- from a retailer in the United Kingdom.

The drug's manufacturer stopped making it in the United States in 2009 because of a shortage of raw materials and then scrapped plans to make it in Italy after authorities there objected to its likely use in U.S. executions.

Since, shortages of the drugs have disrupted executions in several states, including Texas and Arizona. Federal Drug Enforcement Administration agents also seized some of the drug from Georgia officials in 2011.

Justices said the injunction was inappropriate because the inmates had not asked for an injunction against using sodium thiopental from any source other than the U.K. retailer Dream Pharma.

Arkansas last executed a prisoner in 2005, according to the Death Penalty Information Center. Currently, 40 prisoners are under death sentences in Arkansas, according to the state Department of Corrections website.

@highlight

Governor says no plans for special session on death penalty law

@highlight

Arkansas Supreme Court says lawmakers gave too much discretion to corrections officials

@highlight

Death row inmates said law violated separation of powers

@highlight

The ruling does not invalidate the state's death penalty