(CNN)Some members of the U.S. Congress may be resisting proposed new sanctions on Iran, but their opposition doesn't seem likely to stop Congress passing legislation on Tehran's nuclear program by the end of March. As one of the negotiators who sat across the table from the Iranians for the past 15 months, though, I can assure you that legislation at this juncture risks undermining a deal that is clearly in the interest of all parties.

Fortunately, there now seems to be broad consensus that introducing more sanctions with immediate effect would simply play into the hands of Iranian hard-liners. With that in mind, ideas for moving legislation have turned to focus on two concepts: establishing a "trigger" for new sanctions, linked either to an arbitrary future date or a collapse in the talks, and defining what would constitute a good deal and requiring an "up or down" vote on it.

But as attractive as these concepts might appear, movement of such legislation still risks sparking an escalatory cycle that the talks neither need nor can handle.  Indeed, Iran's parliament has already demonstrated the risk of raising the stakes now. In a step that directly mirrors the Senate Banking Committee's decision on January 29 to bring to the Senate floor a "trigger" sanctions bill, Iranian lawmakers moved forward a bill of their own that would require the termination of all compliance with the Joint Plan of Action, or JPOA, if new U.S. sanctions were approved or imposed.

Should talks collapse, there is common understanding that the JPOA would fall apart and the status quo approach would return. But, through their separate actions, legislators on both sides guarantee it.

To justify such a risk, proponents of new U.S. legislation often suggest that there are doubts internationally that sanctions will be expanded significantly should talks fail. However, there is scant evidence to support this supposition and much to suggest otherwise.

For a start, sanctions enforcement has continued apace during the JPOA, which was originally agreed in November 2013. Nearly o100 entities and individuals have been sanctioned, and there are daily efforts by U.S. personnel to investigate cases and work with foreign partners on enforcement.

Second, although businesses are showing new interest in Iran, no new commercial deals have emerged. I have discussed this issue with companies and banks, and they have relayed that they are waiting to see whether a final deal can be reached before plunging back into Iran because it was expensive and complicated to get out in the first place, and because many underlying risks remain present.  The fact is that they won't go back until they know how the talks will turn out.

Other critics focus on the quality of the deal being negotiated and want Congress to have a say. And as a negotiator, I spent almost as much time with members of Congress over the past 15 months as I did with Iranians and the P5+1.  As a result, I was acutely aware of congressional views and ensured that they directly affected the policy options we pursued in the talks.  Congressional concerns were raised at the negotiating table not only by U.S. negotiators, but by fellow members of the P5+1, and even by the Iranians.  Congress is very much present in these negotiations.

It is also important to remember that the disadvantages of defining a deal explicitly in law outweigh the theoretical negotiating advantages. If the point is to prevent a bad deal from being implemented by the United States, then Congress has less provocative ways to do so while talks are ongoing, including by refusing to fund the implementation of such a deal once reached.  If the point is to create red lines for the Iranian negotiators, then Congress will have the opposite of its desired effect:  defining a "good deal" in detail forces Iranian negotiators to cross our red lines to maintain their revolutionary credentials and sell a deal at home. Indeed, I have seen first-hand how Iran tends to reject any P5+1 idea that is leaked, because, if accepted, then Iran would be forced to admit a concession.  Negotiating in private, with U.S. and Iranian requirements neutrally described in public, avoids this morass.

All this suggests that the push for legislation now hinges on the claim that U.S. strength needs to be reasserted.  This is staggering to me.  If nothing else, our sanctions efforts against Iran -- of which I was a leading architect since 2006 -- demonstrate the strength and reach of U.S. power, if judiciously applied. The Iranian government will have to make real concessions to correct the damage sanctions have done to its economy -- it is not the United States that needs to shore up its position and we should act accordingly.

Ironically, the one thing that could imperil our leadership abroad would be to undermine the talks at home.  And legislation can have other negative effects: a slightly noticed part of the Iranian bill would require all sanctions to be terminated before a comprehensive arrangement could be implemented.  If this became law, then Iranian negotiators would be powerless to allow the phased reduction of sanctions in response to Iran taking specific nuclear steps, a key element of the P5+1 approach.

Ultimately, there is a role for Congress to play, but lawmakers should fulfill their oversight role without being unnecessarily prescriptive and, having set expectations for negotiators already, should leave the exact contours of a deal to our scientists, experts and diplomats.

Congress should not harm its own cause by legislating on Iran now.

@highlight

Congress has been discussing whether to impose more sanctions on Iran

@highlight

Richard Nephew: Movement of such legislation still risks sparking escalatory cycle