(CNN)  -- For almost a week, tens of thousands of Iranians have taken to the streets in daily protests -- handkerchiefs shielding their faces from the pungency of tear gas, fists punching the air, and chants of "Down with the dictator" echoing against buildings.

Moussovi supporters rally Wednesday in Tehran, Iran. Released by Fars News Agency of Iran.

The massive outpouring is a result of a disputed presidential election that the protesters think coronated the incumbent hard-liner, President Mahmoud Ahmadinejad, over their candidate, Mir Hossain Moussavi.

Context can help put their grievances into perspective:

Q. The Iran that we know today is the result of the Islamic Revolution. What is it?

A. The Islamic Revolution is the name given to the Iranian revolution of 1979, when the ruling U.S.-supported monarchy was overthrown and Shah Mohammad Reza Pahlavi was forced into exile.  See timeline of recent Iranian history »

The country held a national referendum to become an Islamic republic and approve a new constitution.

The constitution was a hybrid of democracy and unelected religious leadership. It appointed Ayatollah Ruhollah Khomeini -- the leader of the revolution -- the supreme leader of the country.

Before he died in 1989, he made it known that he wanted Ayatollah Ali Khamenei to succeed him.

Q. Is it true that the ultimate power in Iran lies with Khamenei?

A. Yes. The supreme leader has the final say in all important matters of the country, such as ties with foreign nations or Iran's nuclear aspirations.

He appoints the Guardian Council -- the country's election authority. He also appoints key posts in the intelligence services and the armed forces, including the powerful Revolutionary Guard. Additionally, he confirms the president's election.

In theory, the supreme leader is appointed by a body of clerics whom voters elect. But in practice, this body -- the Assembly of Experts -- has answered to the supreme leader.

Khamenei, 70, was appointed supreme leader for life in 1989.

Q. What is the Guardian Council, which has been in the news, saying it will recount some of the votes in the disputed election?

A. The unelected Guardian Council is the second-most influential body in Iran politics. It consists of six theologians whom the supreme leader picks and six jurists nominated by the judiciary and approved by parliament.

The council approves all candidates running for office in the country, and verifies election results.

It vetoes bills passed by the parliament if they do not conform to the constitution and Islamic law.

In the present crisis, opposition leader Moussavi has had to take his grievance to the Guardian Council. It has agreed to some vote recounts.  See galleries of protests in Iran »

Q. So, how much power does the president wield?

A. It depends on how nicely he plays with the Guardian Council.

The president is elected by direct vote to a four-year term, for a maximum of two terms.

He is responsible for economic policy and social programs, but most of the larger decisions are made by the supreme leader.

In theory, his powers are second to the supreme leader's. But in practice, he is often hamstrung by the Guardian Council.

The Guardian Council has worked with hard-liner Ahmadinejad, a 53-year-old former mayor of Tehran who was elected in 2005. But it thwarted reform attempts by his predecessor, Mohammad Khatami.

Q. What is the Revolutionary Guard, who said they will take legal action against pro-Moussavi Web sites?

A. The guard was initially created to protect the leaders of the revolution. But over the years, it has broadened its scope. Today, it is directly under the control of the supreme leader and enforces the governments' Islamic codes and morality

With more than 200,000 members, it is tasked with overseeing the country's crucial interests, including guarding its oil fields and missile arsenals.

Q. What is the Basij, who are said to be behind most of the violence against opposition supporters?

A. The Basij is a volunteer paramilitary force that takes orders from the Revolutionary Guard. It plays the role of de facto morality police and is often summoned to crack down on protests.

It is unknown how large the force is, though estimates are in the millions.

Q. What evidence is there of ballot fraud?

A. There are no concrete examples of fraud, because independent monitors did not oversee polling in Iran, but the circumstantial evidence is persuasive.

The government had initially said it would take three days to verify the ballots after Election Day on June 12. But the election authority proclaimed Ahmadinejad the winner two hours after the polls closed. At the same time, the interior ministry said that 85 percent of the country's 46 million eligible voters had cast ballots -- a record turnout.

To many, so many ballots could not have been hand-counted in such a short time.

Also, the published results showed that Ahmadinejad won even in his opponents' strongholds, including Moussavi's hometown of ethnic Azeri Turks.

"This is the equivalent of Barack Obama losing the African-American vote to John McCain in 2008," said Karim Sajadpour of the Carnegie Endowment for International Peace.

Furthermore, Moussavi went into the election with massive support from the country's youth, who were unhappy with the faltering economy and an unemployment rate that tops 30 percent by some accounts. The youth make up 60 percent of Iran's population of 70 million.

Q. Is it true that Ahmadinejad still enjoys widespread support?

A. Yes. Ahmadinejad is popular across Iran's rural areas and among the Basij militia.

He presents himself as a populist and a fighter. He has paid attention to the families of the bloody Iran-Iraq war, offering special preferences to veterans' children in university admissions.

As president, his hardline approach has won him support among the Guardian Council. He has earned a reputation internationally as a fundamentalist for his Holocaust denials, calls to annihilate Israel, and cat-and-mouse games with the United States and the United Nations over Iran's nuclear activities. Many in the establishment view him as someone who does not cower to big-footing by the West.

Q. Why, then, do some analysts think the vote was manipulated?

A. Some experts say that even if it is likely that Ahmadinejad won the election, it is unlikely he could have won by the margin the government is claiming -- 62.63 percent of the vote.

Time magazine's Joe Klein explains it this way: "It is entirely possible that Ahmadinejad would have won anyway, but narrowly, perhaps with less than 50 percent of the vote, setting up a runoff election he might have lost as the other candidates united against him. It is possible that his government, perhaps acting in concert with supreme leader Ayatullah Ali Khamenei, decided to take no chances."

Q. Why is Iran's population so young?

A. After the revolution, the leaders encouraged early marriage and large families, rewarding families with cars and television sets for each additional child. During the country's devastating eight-year war with Iraq, which began in 1980, the regime continued encouraging population growth, because more children meant more future soldiers.

It is those children who are now coming of age.

Q. Why did Iran summon Switzerland's ambassador to complain about perceived U.S. involvement in Iran's election process?

A. The United States cut diplomatic ties with Iran following the hostage crisis in 1979, when students in support of the Islamic Revolution took 52 Americans hostage and held them for 444 days.

Q. Is this movement a challenge to the Islamic republic?

A. The demonstrators say their demand is simple: Hold fresh elections. They say they are not out to challenge the Islamic regime.  Watch protests Wednesday in Tehran »

Furthermore, Moussavi is an unlikely man for the job.

Though the 67-year-old former prime minister is credited for successfully navigating the Iranian economy as prime minister during the Iran-Iraq war, he also was a hard-liner whom the Economist described as a "firm radical."

He, like most Iranians in power, does not believe in the existence of Israel. He defended the taking of the American hostages in 1979. He was part of a regime that regularly executed dissidents. And as late as April, he opposed suspending the country's nuclear-enrichment program but said it would not be diverted to weapons use.

The protests have exposed a fissure in the country, however, with tens of thousands of Ahmadinejad backers taking to the streets in a show of force of their own.

Q. Are the current protests likely to continue?

A. For now, the government seems to be allowing the populace to vent pent-up frustrations. But it also is gradually cracking down, such as blocking Web sites and banning international journalists from filming the rallies.

The demonstrations have so far been focused on urban areas. Should the populace in rural areas take up the call for reform, the government might step in quickly to quash the protests, analysts say.  See map of demonstration sites in Tehran »

Q. Is this the first time Iranians have risen up in mass protests against the regime?

A. No. Iran has twice seen public calls for reform in recent years: in 1999, after the closing of a reformist newspaper, and after parliamentary elections in 2000.

On both occasions, the Revolutionary Guard descended on the streets after a few days and crushed the movements.

Q. So, can true reform come to Iran?

A. It is possible. Ahmadinejad's predecessor, Khatami, was elected president in 1997 by a landslide, despite being a reformer. During his two terms, he championed freedom of expression, tried to mend diplomatic relations, and supported a free market. He was, however, hamstrung at every step by stiff resistance from the supreme leader and the Guardian Council.

This report includes information from various sources, including the U.S. State Department, the CIA Factbook, Human Rights Watch, Amnesty International, previous CNN reports and guest commentaries.

@highlight

Protests have followed disputed presidential election results in Iran

@highlight

President Ahmadinejad is popular across Iran's rural areas, among Basij militia

@highlight

Protesters say not out to challenge the Islamic regime, just want fresh vote

@highlight

Iran previously saw protests, public calls for reform in 1999 and 2000