(CNN) -- The United Nations will investigate claims by the government and rebels that either side used chemical weapons against each other in the Syrian conflict.

The United Kingdom and France have also put in requests with the U.N. to investigate the alleged use of such weapons in three cases.

U.S. President Barack Obama and other American officials have said in recent days there was no intelligence to substantiate reports that rebels used chemical weapons against government troops.

Now analysts are also "leaning hard away" from the notion that Syria used chemical weapons against its own people, a U.S. military official directly familiar with the preliminary analysis told CNN.

That official told CNN "there are strong indications now that chemical weapons were not used by the regime in recent days." The official would not detail the indications.

The officials, who spoke on condition of anonymity, were not authorized to publicly release details of the intelligence analysis.

Game-changer: Syria's 'probability' of using chemical warfare

Syria claimed rebels used chemical weapons in an attack Tuesday in Khan al-Asal in the northern province of Aleppo. State-run media blamed rebels for the attack, which it said killed 25 people and injured more than 110 others.

Rebels, meanwhile, accused government forces of a chemical weapons attack on the rural Damascus suburb of Ateibeh.

An analysis of video of hospitalized Syrians released by state-run TV suggests people are not suffering from a chemical weapons attack, nor are they being treated as though they were in such an attack, the U.S. military official said.

"The actions in the video don't match up to a chemical weapons response," the official said, adding that Syrian hospitals may have a shortage of the supplies that would be expected to be used in such an attack.

Analysts believe it's possible people in the video were deliberately exposed to a "caustic" agent such as chlorine. But that would not be the same as using a chemical weapons as defined by international treaties, such as a nerve or blister agent.

"Something went down, but it was short of a chemical weapon," a senior State Department official told CNN. The official was speaking on condition of anonymity for the same reason as the other two officials.

NATO and U.S. radar or satellite intelligence also do not indicate there was a launch of a missile at the time Syrians say the alleged attack occurred, according to the military official.

"The fact that it's not a weapon doesn't mean it's not some creative use of a caustic agent," the official said.

Israeli minister: It's clear that chemical weapons were used in Syria

'Unfettered access'

The news came as U.N. Secretary-General Ban Ki-moon called for full cooperation from all sides, saying the investigation would begin as soon as "practically possible." He also stressed the investigation must include "unfettered access," something that has not been possible in some previous attempts to investigate claims of violence.

Ban's promise of an investigation into the claims followed a formal, written request by al-Assad's government for an independent investigation.

While Ban told reporters at the United Nations he was aware of the rebel claims of a chemical weapons attack by the government, he did not say whether those claims will also be investigated.

A senior administration official, traveling with Obama in Israel, told reporters the United States supports a U.N. investigation but said that it should include allegations by the Syrian government and the rebels.

"We believe very strongly that that investigation needs to address all allegations of chemical weapons use. Not be limited to any one allegation," said the official, who also spoke on condition of anonymity for the same reason as the others.

The United States, meanwhile, continues to monitor Syria's chemical weapons very closely, the official said.

Analysts believe the Syrian government may have one of the largest stockpiles of chemical weapons in the world. Specifically, the supply is believed to include sarin, mustard and VX gases, which are banned under international law. Syria has denied the allegation.

The Chemical Weapons Convention prohibits the production, stockpiling and use of chemical and biological weapons. Syria is not one of the 188 signatories to the convention.

In recent months, reports have repeatedly surfaced that Syrian forces moved some of the chemical weapons inventories possibly because of deteriorating security in the country, raising fears the stockpile could fall into the hands of al Qaeda-linked groups working with the opposition should al-Assad's government fall.

As a result, the United States has been talking with neighboring countries about the steps needed to secure the weapons should al-Assad be forced from office.

Cleric killed

In the latest violence to hit the country Friday, at least 100 people were killed in incidents across the country, according to the opposition Local Coordination Committees of Syria.

On Thursday a suicide bomber struck one of the main mosques in Damascus, killing a top Sunni cleric and longtime al-Assad supporter, Syrian state-run media.

Mohammad Said Ramadan al-Bouti was teaching religious class at the mosque when he was killed during the blast, state-run media reported.

There was no immediate claim of responsibility for the attack, but al-Bouti is hated among rebels for his support of al-Assad.

In one of his final sermons at the Umayyad, or Great Mosque, of Damascus, al-Bouti called on Syrians to stand by the government and condemned rebels as "terrorists."

As has become common in violent attacks that kill civilians, the government and the opposition accused one another of being behind the attack.

The LCC said the area where the mosque sits is near al-Assad's party headquarters.

"The whole area was under the full control of the regime forces with much military reinforcement," the LCC said.

The government, meanwhile, accused rebels of being behind the attack.

Sunni Arabs make up the majority of Syria's population and are dominant in the opposition, but some support the government, controlled by Alawites -- an offshoot of Shiitism.

More than 70,000 people have died in Syria since unrest began two years ago, the United Nations has said.

Syria's chemical weapon potential: What is it, and what are the health risks?

CNN's Jessica Yellin, Elise Labott, Richard Roth, Jason Hanna, Josh Levs, Joe Sterling, and Hamdi Alkhshali contributed to this report.

@highlight

The opposition blames the government for killing the cleric who supported it

@highlight

The United Nations is launching an investigation into the claims at the behest of Syria

@highlight

The Syrian government is accusing rebels of using chemical weapons in an attack

@highlight

Rebels say the Syrian government used such weapons on its own people