(CNN) -- The Supreme Court of the United States has long been a unique political and legal institution. Our justices are the only judges in the world who sit on a nation's highest court for life.

Their power to strike down the political decisions of the president, the Congress and the states (the power of judicial review) is nowhere spelled out in our Constitution. Yet, since the beginning, both the court and the American people have assumed that power to exist.

The justices don't act like normal judges bound by law (because they're not), but they are not quite lawmakers, either. Having neither the "purse nor the sword," the justices rely solely on the elected branches of government for the enforcement of their decisions.

Their power rests mostly on the prestige they hold with the governed, and lately, more and more of the governed are having grave doubts about the nine most powerful judges in the world.

Last week, a new poll by Greenberg Quinlan Rosner Research, a Democratic Party-allied pollster, for Democracy Corps set the social media world atwitter. More than 50% of those polled were reported to believe that the justices let "their own personal or political views influence their decisions," and more than 70% said that the justices should have fixed terms, not life tenure.

Not surprisingly, the poll revealed great support for television cameras in the Supreme Court, a move the justices have rejected for way too long. Over 85% of those polled also said that the justices should be bound by the same judicial code of ethics as other federal judges (they are not) and that their financial records should be more transparent.

There can be quibbles with how some of the poll questions were asked, but there is little doubt that the results demonstrated that the American people are becoming more disenchanted with the nation's highest Court.

On Sunday, Adam Liptak, the excellent Supreme Court reporter for the New York Times, wrote a lengthy story suggesting that the court is more partisan than ever before, reflecting the deep divisions in our political and media world. The tag line for an article on the new poll in Salon was "in an increasingly divided country, it seems that everyone can agree that they hate the Supreme Court." And the Huffington Post concluded that "wide majorities are losing faith in the Roberts Supreme Court."

This new poll confirms what I have been arguing, including on this website, for a long time.

There are (at least) two fundamental changes that we need to make to the Supreme Court of the United States. The first is easy and should be non-controversial. The American people have a right to see on their televisions, tablets and smartphones the oral arguments and decision announcements of the Supreme Court.

More than half of state supreme courts, and the Supreme Courts of Canada and the United Kingdom, televise their proceedings with great success, and there are simply no persuasive arguments that the most powerful court in the world shouldn't do the same. The American people feel that the justices are hiding from them, and that cannot do anything but damage the confidence we have in the justices.

The second change is much harder but even more important. Here's a simple rule that I think applies to all democracies: No governmental official who wields great power should hold their office for life. Period.

The original idea was that the justices would be appointed at a relatively old age and serve for a few years. That idea is not just quaint but antiquated. Justices John Paul Stevens and William Brennan both served for more than 30 years, and Justice Elena Kagan, who was 50 when appointed, may well serve for 40 more years.

No human being can be expected to perform their job well when they know they have such great power and can never be fired. Additionally, numerous justices such as William O. Douglas and Thurgood Marshall served past the time of competence.

Moreover, it is just crazy that presidents who serve the same number of years appoint fewer or greater justices based on either the randomness of illness and death or even politically timed judicial retirements. For example, President George W. Bush drastically changed the balance on the court by appointing Justice Samuel Alito, a staunch conservative, to replace the more moderate Sandra Day O'Connor, while President Carter didn't have the opportunity to nominate even a single justice during his four years as president.

We need a constitutional amendment giving the justices fixed terms and a salary for life. This type of system provides much-needed judicial independence without the downsides of life tenure.

As far as hoping the justices will decide cases under the law without regard to their personal value preferences, no poll can provide a solution to that problem which will be with us for as long as the justices exercise judicial review. But at least we can make them use that power more transparently for all the world to see and limit the time that each individual justice wields such extraordinary authority.

@highlight

Poll finds public believes Supreme Court decides cases on political grounds

@highlight

Eric Segall says Americans losing faith in the court because of its partisanship

@highlight

He says court should televise its proceedings and judges shouldn't have life tenure

@highlight

Segall: Extraordinary power of justices should be reined in by time limits, transparency