(CNN) -- Obamacare expands access to health insurance for tens of millions of people come January 1. Dental care for adults, however, is not included, and experts say we've got a potential oral health care crisis coming.

Studies show that people who have insurance are more likely to get regular dental care. But only about 2% of older Americans have dental insurance of any kind, according to a new report.

"Until we have an expansion of this kind of coverage, and until we have people really recognizing what this means for their overall health, I do believe we have an unimaginable tragedy on our hands," said Beth Truett, president and CEO of Oral Health America.

Truett's organization published the report "State of Decay: Are older Americans coming of age without oral health care?" which shows that baby boomers -- who have, for the most part, kept their natural teeth -- could be facing some serious oral health problems over the next decade. People with low income and racial and ethnic minorities are particularly vulnerable, according to the report.

How brushing your teeth lowers your risk of cancer

"It's an issue that is particularly important that is not always talked about," said Ira Lamster, dean emeritus of the Columbia University College of Dental Medicine. "People in the United States are retaining their teeth, and as a result, teeth that have been in use for 50 or 60 or 70 years will have problems."

Neither Medicare nor the Affordable Care Act includes adult dental coverage, although some pediatric dental care is covered. Even the Medigap insurance that adults buy to expand their plans' benefits still won't cover dental procedures. Less than 1% of dental services are covered by Medicare.

And neglected dental health can turn into even bigger medical issues.

"For instance, if you have diabetes and you have gum disease, your metabolic control will be worse," Lamster said. "There is a lot of data showing that periodontal disease can increase your risk for heart attacks and strokes. There are so many ways this can impact your overall health. That is why regular access to care is so important."

The study put together by Oral Health America ranked states in terms of the oral care their populations receive. Seventeen states received a "poor" grade.

The states were evaluated on edentulism, which is the fancy word for total loss of teeth. Other factors included community water fluoridation, adult Medicaid coverage, access to dentists and a state oral health plan that addresses older adults.

Some states' Medicaid programs cover adult dental care. However, of the 17 states that received a "poor" grade for dental care, the majority are led by Republican governors who have refused or are leaning against expanding Medicaid under the Affordable Care Act.

Dental screening that could save your life

Mississippi is ranked the worst. Tennessee and Alabama tied for second to last.

The other states rated as "poor" are Florida, Arizona, Louisiana, Delaware, Utah, Washington, Wyoming, Pennsylvania, Oregon, Montana, Kentucky, Maine, Virginia and California.

"Some of this 'poor' care is in direct relation to the economic changes our country has experienced," Truett said. "A lot of it, though, stems from the fact that some people see this as a tangential kind of medical care."

Emergency room visits for dental health have doubled from about a decade ago. In 1999-2000, there were a reported 1 million cases of adults over 65 who went to the ER for dental problems; in 2009-10, there were 2.3 million cases.

"Dental care is extremely expensive, and the older adult will require the more extensive care," Lamster said. "The frustrating part is that we have some great technology now: Dental implants, for instance, work remarkably well, but they are beyond the means of much of the population."

Baby's teeth: What you should know

Not all states fared as badly in the report. Minnesota ranked at the top of the list, with Maryland a close second.

"We wanted to show that there are states that are getting close to having a model kind of care that others could replicate," Truett said.

According to the report, Minnesota ranks high in terms of communities with fluoridated water, a Medicaid program that covers dental care for adults, a state oral health plan that addresses this population and, perhaps consequently, a low rate of edentulism. The report suggests that Minnesota still needs more dentists to serve its population.

There is some good news: The number of federally qualified health centers that provide dental care have increased, and 41 of 50 states have state oral health plans. There is also a bill in Congress that would widen the ACA, Medicare, Medicaid and veterans benefits to include dental health. That legislation, though, is in its very early stages.

The OHA also put together a website toothwisdom.org that offers a handy guide on where you can find dental care in your state. It even gives suggestion on transportation options to these caregivers if an older person is unable to drive.

Obama offers funding to help communities understand

@highlight

Only about 2% of older adults have dental insurance

@highlight

Emergency room visits due to dental problems more than doubled in the past decade

@highlight

Obamacare, Medicare do not cover dental care for adults