Chicago (CNN) -- Doctors who treat breast cancer patients are very excited about an experimental drug that presents a whole new way of knocking out cancer cells.

The drug, trastuzumab emtansine, commonly referred to as T-DM1, appears to be superior to the standard treatment for women with advanced HER2-positive breast cancer. Researchers are presenting the results of a large three-year clinical trial Sunday at the 2012 American Society of Clinical Oncology conference in Chicago.

It's a combination of the targeted drug trastuzumab (the "T" in T-DM1), better known by the brand name Herceptin, and a very powerful chemotherapy drug called emtansine (the "DM1" part). The drug is designed to work when Herceptin alone no longer can keep the cancer in check.

New drugs may help immune system fight cancer

"It's a brand new way of treating HER2-positive breast cancer," said the lead study author, Dr. Kimberly Blackwell. "This will offer a very important therapeutic option for patients faced with HER2-positive metastatic breast cancer."

In this combination drug, Herceptin is delivering the chemo drug to the cancer cell. Blackwell likens it to being used like a carrier pigeon that delivers the DM1 drug, which is what kills the cancer cell.

DM-1 is too toxic to deliver directly into the bloodstream like other chemotherapy drugs. So the Herceptin part of T-DM1 homes in on the cancer cells (sparing other healthy cells) and delivers the powerful DM1 chemo drug into the cell.

About 20% to 25% of women with breast cancer have HER2-positive breast cancer, a particularly aggressive and deadly form of the disease that was very difficult to treat until the FDA approved Herceptin in 1998, revolutionizing how this type of cancer was treated.

Herceptin is an engineered antibody that attaches to the surface of the cancer cell and blocks signals in the cell that tell the cancer to grow. It also boosts the patient's immune system to help fight the cancer.

But in some patients, the cancer comes back, and Herceptin eventually stops working. That's when doctors prescribe a combination of the drugs capecitabine (brand name Xeloda) and lapatinib (brand name Tykerb), which has had its successes.

In this clinical trial, nearly 1,000 patients were divided into two groups: One got the standard capecitabine plus lapatinib treatment; the other group got the experimental drug.

Women getting T-DM1 had 9.6 months of progression-free survival, the time between starting the treatment and the cancer getting worse again, compared with 6.4 months in the standard therapy group. That's a median improvement of three months.

This may not seem like a long time, but as Dr. Eric Winer of the Dana-Farber Cancer Institute in Boston explains, it means a lot to the individual patient.

"I've had patients on this drug for one, two, three years," he explained. Winer says that if a patient gets an additional three months before the tumors start growing again each time she goes through a treatment cycle, that can add up to almost a year.

Some doctors don't know long-term side effects of cancer care

Blackwell says that after two years, 65% of women getting T-DM1 were still alive, compared with 48% in the control group.

And even though this drug is not a cure, many oncologists call these trial results a "huge deal."

That's because another significant benefit with T-DM1 was the lack of significant side effects and better quality of life. Women on T-DM1 did not suffer the usual and often grueling chemotherapy side effects seen in the other group: diarrhea, nausea, vomiting, painful hand-foot syndrome and hair loss. Blackwell said the types of side effects they did have were the kind only a doctor would notice.

"It really changed their whole outlook on what it meant to be on cancer treatment," said Blackwell, who treats patients at Duke University. She added that seeing this benefit for her patients was incredibly rewarding as a breast cancer doctor. This is the first group of (breast cancer) patients where we have to worry about fixing their hair for media interviews. It's huge deal for these patients."

"It's producing very promising results, and as someone who sees a ton of patients, what I'm really excited about is the side effect profile," said Dr. Jennifer Litton, who treats breast cancer patients at the M.D. Anderson Cancer Center in Houston but who was not involved in the study. "It's significantly better than most chemotherapy drugs that we're giving.

"This trial is showing pretty impressive results on the tip of the iceberg where immune therapy can take us," Litton said.

Dr. Louis Weiner, director of Georgetown University's Lombardi Comprehensive Cancer Center, agrees, calling T-DM1 a "magic bullet."

"It represents the fruition of a concept that was advocated more than 100 years ago by Paul Ehrlich, the famous immunologist and Nobel Prize winner, who dreamed of creating basically Trojan horses that would be welcomed into the cell but would be dragging something that is very bad for the cell. This is pretty much how T-DM1 works," he said.

"It's a good drug. I think it will be used quite a bit," Winer said.

Right now, only women participating in the clinical trial have access to this new drug, until it gets approved in the United States and other countries.

Genentech, the company that developed T-DM1, says an application for potential approval will be sent to the FDA and the European counterpart, the European Medicine Agence, this year.

It's unclear how much this new drug will cost, but other new cancer drugs can be very expensive, costing upwards of tens of thousands of dollars, sometime even around $100,000.

"I hope it won't be priced at such a level that it that bankrupts our health care system," Winer said.

@highlight

Researchers say drug combination is superior in fighting HER2-positive cancer

@highlight

20% to 25% of breast cancer patients have aggressive HER2-positive form

@highlight

Study shows drug extended progression-free survival time, researchers say

@highlight

"Very promising results" include better quality of life