(CNN) -- In a decision that sidesteps a major shift in labor policy, the U.S. Supreme Court ruled Monday that Illinois can't force home health care workers to pay dues to unions.

The narrow 5-4 ruling applies most directly to the Illinois home care providers who challenged a state decision to classify them as public employees and require them to pay fees to a union.

But it also deals a blow to union efforts nationwide to extend their reach in an era of declining membership and political influence.

"These home workers share a lot of attributes of the new emerging work force, and for unions, it's a big blow because that was their growth area," George Washington University Law School professor Jonathan Turley said. "And it's going to be very difficult now to extend these contracts to get those types of dues."

Still, the ruling was not as broad as many union activists had feared, falling well short of what some had predicted would be a vote to gut a 37-year-old Supreme Court decision allowing for what's known in labor circles as the agency shop system.

Read the ruling (PDF)

Instead, the court created a new category of "partial public employees" who can't be compelled to pay into the union system.

"A narrow decision, a loss for the unions but not as catastrophic as many labor union people had feared," said CNN legal analyst Jeffrey Toobin.

The ruling stems from a decision by Illinois lawmakers to classify home health care workers paid by Medicaid as state employees and require them to pay fees to the Service Employees International Union.

The union exclusively bargains with the state over wages, hours and working conditions.

The employees, most of whom were hired by individual patients and reimbursed through Medicaid, argued that they were being forced to subsidize the union's efforts in violation of constitutional rights of free speech and free association.

State officials argued that mandatory union representation increased wages and benefits, reduced employee turnover and improved training and supervision.

Justice Samuel Alito, writing for the conservative majority, said the practice was a clear violation of the First Amendment.

"If we accepted Illinois' argument, we would approve an unprecedented violation of the bedrock principle that, except perhaps in the rarest of circumstances, no person in this country may be compelled to subsidize speech by a third party that he or she does not wish to support," Alito wrote.

Justice Elena Kagan wrote in her dissent that in terms of the 1977 ruling that allowed agency shops, there was no difference between the home health workers and more traditional state employees.

Labor union allies picked up on that line of reasoning.

"The Supreme Court's ruling is a serious concern for workers' rights across the country -- employees whose job qualifications, evaluations, salaries, work hours, training, and wages are all controlled by the state are, in every sense of the word, public sector employees," Rea Carey, executive director of the National Gay and Lesbian Task Force, said in a statement.

"Failure to recognize this fact, and to provide the collective bargaining rights that go along with it, will harm workers and families across the country," Carey said.

The union involved in the case, the Service Employees International Union, said in a statement that the ruling "places at risk a system of consumer-directed home care in Illinois that has proven successful in raising wages, providing affordable health care benefits, and increasing training."

But union President Mary Kay Henry said the effort to unionize workers would continue.

"No court case is going to stand in the way of home care workers coming together to have a strong voice for good jobs and quality home care," she said.

Fordham University law professor James Brudney said the ruling "strikes a blow against efforts to address the serious problem of income inequality in this country."

"Home care employees are among our lowest-paid workers, and this decision will make it harder for them to come together to improve conditions."

The conservative Competitive Enterprise Institute, however, celebrated the ruling as a major victory.

"This decision delivers a major blow to the coercive powers of government unions," institute policy analyst Trey Kovacs said in a statement. "The ruling frees thousands of home care and child care providers from financially assisting government unions that they disagree with."

CNN's Michael Pearson reported and wrote from Atlanta; Bill Mears reported and wrote from Washington.

@highlight

NEW: Illinois practice is clear First Amendment violation, Justice Samuel Alito writes

@highlight

NEW: Ruling threatens employee well-being and patient care, union says

@highlight

The ruling says Illinois home health care workers can't be forced to pay union dues

@highlight

Experts: Ruling will limit unions' ability to expand but doesn't deliver blow some had feared