Washington (CNN)  -- Anita Kramer had no idea that a 72-inch water main in her Maryland neighborhood was a ticking time bomb that was about to flood her home and ruin many of her most cherished possessions.

In the wake of the water main break, Kramer's basement kitchen was a mess. Appliances were covered in dirt, as was the floor. Dark water and mold stains marked the baseboards and walls.   "It's not the money value of what you lost," she said about the pipe burst. "You put your heart into doing something ... the memories you lose -- it was a hard experience."

Kramer's disaster was just one of an average 700 water main breaks nationwide that experts say occur each day. They warn that this is the latest sign of an aging water delivery infrastructure that results in property loss, inconvenience, and threats to public health.

The nation's drinking water system is so troubled, the American Society of Civil Engineers gave it a grade of D minus, in its 2009 Report Card of America's Infrastructure.

"Anytime you're breaking the seal of the system that brings water into your homes and apartments, you're risking contamination from bacteria and viruses," said Eric Goldstein of the Natural Resources Defense Council. He blamed infrastructure for a 2008 salmonella outbreak that sickened more than 250 people in Alamosa, Colorado. "And that's just the tip of the iceberg," he said.

Each day, leaking pipes account for an estimated 7 billion gallons of water, according to the American Society of Civil Engineers.

Much of this is blamed on age. A large part of the U.S. water delivery system dates back to the years shortly after World War II. "Now it's time to replace that system and we've got to make those investments or we'll suffer the consequences," said Goldstein.

To get an idea of how old the nation's water pipes are, 30% of pipes in systems that deliver water to more than 100,000 people are between 40 and 80 years old, according to the EPA. About 10% of pipes in those systems are older.

But as they say, timing is everything. The aging infrastructure threat also comes in the wake of a recession, when politicians are struggling to maintain state and federal budgets. Also, water systems must compete with needs for other underground systems, such as communications networks.

When crews dig to fix broken water pipes, "there's now Verizon lines that didn't used to be there, cable lines, fiber lines, electrical lines," said District of Columbia water general manager George Hawkins. "So much has been added to the underworld, that each one of the these fixes is getting more and more complicated to get done properly." The nation's capital, Hawkins said, averages about one water pipe break each day.

How much would it cost to fix? Every year, according to the EPA, the estimated price tag for repairing the nation's water infrastructure rises. The best guess at a total cost over the next 20 years has skyrocketed from about $198 billion in 1999 to the latest estimate -- $335 billion.

"We also need a national political leadership that understands the extraordinary significance and importance of this investment and why it matters to them and why it will pay us back," said Hawkins. "Conservative or liberal does not matter."

So how did things get so complicated? Through the 1970s most of the cost of building sewage plants and drinking water systems was paid for by Washington, said Goldstein. Federal leaders "understood what a national priority this is," he said. "You can't have jobs, you can't have businesses, you can't have hotels, homes, if this infrastructure isn't in place."

During the past couple of decades federal money for water systems has been cut significantly, he said. Economic stimulus legislation in 2009 was a "drop in the bucket," said Goldstein, who said about $10 billion was aimed at U.S. water infrastructure projects -- out of $787 billion in total stimulus.

Government funding of community water systems may be partially to blame for the crumbling water infrastructure, said Randal O'Toole, senior analyst for the Cato Institute policy think tank.

"The money should come from user fees," said O'Toole. "All the costs of construction and maintenance might be borne by users out of annual or monthly fees."

To keep prices down, O'Toole suggested privatizing community water utilities. "In the 19th century, almost every major American city had private water companies," said O'Toole. "And then we had this wave of socialization where the government took everything over and mismanaged it so the quality of tap water is lower and costs are higher."

@highlight

U.S. averages 700 water main breaks daily, say experts

@highlight

EPA: In biggest systems, 30% of water pipes are 40 to 80 years old

@highlight

Bacteria, viruses could enter water supply through bursting water pipes, say experts

@highlight

Officials: Cities need money to repair, maintain U.S. water pipes infrastructure