(CNN) -- Americans have become used to the fact that most of the jobs created by Apple are in China. We know that Steve Jobs told President Barack Obama that "those jobs aren't coming back." Recently, an executive at Apple said that the company has no obligation to solve America's problems by moving some of those jobs back to the United States.

As a business, Apple has a right to fear that moving the assembly work from China to the United States will entail raising labor costs so high as to make the company less competitive and profitable. But for it to say that it has no obligation to help solve America's problems is completely unacceptable.

Virtually every piece of technology in any Apple product had its origin or was partially developed on the basis of a U.S. government-funded program. In a global world where piracy of products is commonplace, Apple, like other multinationals, has continuously pressed the U.S. government to enforce copyright and patent laws to protect its intellectual property from international theft. Does Apple owe anything to Uncle Sugar? You betchum. Big time.

Skeptics are right to point out that moving the factory assembly operations to the United States is a nonstarter as long as we continue to have free trade with China. These kinds of jobs are labor-intensive, and the differential in the cost of labor between America and China is just too large. But this is not where the real value or the good jobs we want for Americans lies.

The assembly value in an iPhone is only about $7. The real treasure-trove is in the parts. For example, the displays, the processors, memory chips and other key electronic components comprise nearly half of the value of the iPhone. These components require intensive capital and technology investments, but they do not require a great amount of labor. In other words, they can all be produced in America. Indeed, according to a recent study by Booz and Co., to supply the U.S. market, the most competitive location in which to produce these components is the United States.

At the moment, however, Apple is not procuring most of these parts in America. With a few exceptions, the company is getting them from South Korea, Japan, Taiwan, China or Germany.

Let's take Gorilla Glass, a product made by Corning Inc. of Corning, New York, that is used as the display for the iPhone and iPad as well as many other smartphones and tablets. Corning can and does make that glass in America.

But to gain access to China's market, Corning is pressured by the Chinese government to make Gorilla Glass in China so that it can be used in any Chinese factory that makes a product that needs the glass. Basically, Corning must invest and produce in China, even though, in my estimates, it might be less expensive to make Gorilla Glass in America and export it to China. The same is true for other assembly line parts.

So what should Apple do?

We know that Samsung, a South Korean supplier, had started to produce a key processor for Apple in Austin, Texas. That's a good first step. Apple should go further by telling other suppliers that it wants more components to be made in America. One advantage for this move is that it can create an environment in which more research and development is possible, which in turn can strengthen overall innovation for Apple.

Apple should also move some of its assembly operations to Mexico. Mexican labor isn't as cheap as Chinese labor, but after one adjusts for the differences in the cost of shipping, establishing assembly-line factories in Mexico should be quite acceptable from a financial and quality perspective. By moving more production of advanced components to America and the human labor to Mexico, more jobs will be added to North America and help reduce the U.S.-Mexican trade deficit, which is about $55 billion annually. And by having the assembly work just over the border, Apple can ensure that costs can be kept under control.

As Apple is trying to get out of the recent controversy surrounding its suppliers' labor practices in China, where workers put in more than 60 hours a week, the world's most highly valued company would do well to consider how best to spend and invest its $100 billion cash pile. It needs to realize that what is good for Apple can also be good for the American economy.

The opinions expressed in this commentary are solely those of Clyde Prestowitz.

@highlight

Apple says the company has no obligation to help solve America's problems

@highlight

Does Apple owe anything to Uncle Sugar? Clyde Prestowitz says yes

@highlight

Prestowitz: Apple should tell suppliers it wants more components made in the U.S.

@highlight

Apple can also move some of its assembly operations to Mexico, Prestowitz says