Hickam Air Force Base, Hawaii (CNN) -- There is a skull here, hundreds of fragments of bones there. Table after table is lined with human remains. One holds a near-complete skeleton, another has hundreds of tiny pieces of bone that could come from many different people. Together, it tells the story of life and death in the military.

At the world's largest skeletal identification laboratory more than 30 forensic anthropologists, archaeologists and dentists of Joint POW-MIA Accounting Command are working to put names to the remains.

Based at Hickam Air Force Base -- site of the Pearl Harbor attack -- in Honolulu, Hawaii, JPAC is made up of all branches of the U.S. military and civilian scientists, united in the goal of bringing back all 84,000 U.S. service members who went missing during war or military action.

The unit researches old war records and combs battle sites and aircraft crash sites in some of the most remote locations around the world.

Any recovered remains are brought back to JPAC's Central Identification Laboratory.

The mission is to bring answers to families who may have been waiting 60 years or more to hear anything about a loved one.

They call it the most honorable mission in the military.

"I've been all over the world from Korea to South Africa, East Asia to South America and then, of course, in Iraq and my job is to defeat the enemy. I am proud of that," says Lt. Col. Raul Gonzalez, who works at JPAC managing 18 teams who search for remains.

"This job, though, has been one of the more healing jobs in a sense that instead of doing what I am normally planning on doing and training to do, I'm bringing people back together, bringing families back together, bringing closure and it is truly, deep down inside, one of the most rewarding experiences."

Dr. Robert Mann, a forensic anthropologist at CIL and head of the forensic science academy there. "The task is daunting. It's incredibly complicated. It goes to the peaks of the Himalayas, it goes to the jungles of Southeast Asia. It goes to the oceans of the Pacific. So from the highest point to the lowest point on the earth, we're looking for missing Americans."

The mission can start in many different ways, possibly a tip from a veteran who remembers where he lost a fellow soldier during a hectic battle, or even from someone finding remains while digging in their yard.

Most of the time, investigations begin with a researcher or historian who searches military records known as Individual Deceased Personnel Files.

The files include information about where a service member was lost and how that person may have died. It's the researcher's role to figure out if there is enough evidence to search a site.

"We'll look at all the evidence and say is it going to be worth it to actually go to the site?" explains historian Andrew Speelhoffer. "And if it is, the next time we're in that country, we'll put that on the list. And we'll go to the site and we'll locate and question any witnesses."

"I think one of the most interesting parts of my job is just learning these cases individually," Speelhoffer says. "I think one of the things about World War II is just the size of it, just the numbers you're talking about. We're missing upwards of 74,000 Americans.

"When you're dealing with those kinds of numbers, it's really interesting to look at these cases on an individual basis and learn little bits, little tidbits of information about these guys. You know, where they were from, what particular mission they were on, that kind of thing."

Once a site is approved, an investigation team interviews possible witnesses and does a preliminary search of the grounds. If they find enough evidence that remains are present a recovery team is sent back to the site to dig for remains.

Recovery sites can be grueling. Wars are often fought far away from the comforts of home, and the recovery teams sometimes camp at a dig site for up to 60 days. The end result -- finding a service member who'd been lost for decades -- makes it all worthwhile.

"I got here in 1992 and about the first five years I was in the jungles," Mann says, who with other anthropologists and archaeologists goes on recovery missions as well as working in the lab.

"I went native. I got out there and I didn't want to come back because it was so exciting. It was such an invigorating thing and I felt as though I was doing something really good to bring home these missing Americans.

"Once you do this, you get the bug, you realize what your contribution can be to science, what your contribution can be to the United States. And to these guys and gals who served and gave everything.

"I feel as though this is something that I can give back to those folks who served and to those families who are out there still that are looking for answers. I think it is the most exciting thing anybody could ever do."

Mann has been on digs with veterans who return to the site of terrifying battles to help them figure out where to find lost soldiers.

And when remains are brought back to CIL, Mann is one of the anthropologists trying to put a name to the remains -- a very long and intense process.

The work begins by identifying sex, age at death, racial or ancestral background, how tall the individual was, and what kind of trauma the person received.

Mann explains the process, starting with first knowing where the remains were recovered. "So you've narrowed it down geographically. Then you end up with say 20 individuals that are missing within a 20-mile radius of where these remains were recovered.

"You've now got it down to 20 individuals. And now the biology, the anthropology is going to say "well this is a 20-24 year old white male." You've narrowed it down again. How tall is he? He's about 5'8 to 5'9. And you can see you keep narrowing and narrowing and narrowing it to where you get it down to where the dental says, it is this individual right here."

Dental records, when they're available, are often the key to making a final identification.

Lt. Col. Lisa Franklin is a forensic odontologist -- a dentist who compares dental remains to dental records to make an identification.

"If a body is found and there are different types of dental restorations in the mouth -- say a metal crown, maybe a white filling, a composite filling or a resin filling -- those are very unique things in individual mouths and it sets them apart from somebody else who does not have those things in their teeth. So the dental profile can be very unique to one individual."

But not all remains include the jaw or teeth, which is why the scientists at CIL are constantly looking for new technology. Another identification technique is comparing mitochondrial DNA found in bones -- not the same type that can be extracted through saliva or blood -- to DNA extracted from a maternal lineage.

The scientists are also testing out a new way to use the old method of photo superimposition. Using two cameras -- one on a photograph, the other on a skull -- they are trying to determine the accuracy of layering a photo over a skull to make identifications.

It is a mission this unit says it will never tire of.

"Technology changes, technology evolves and gets better," says Mann. "So what we can't do today with this one little piece of bone, we might be able to do tomorrow with DNA.

"And we're going to keep searching, we're going to keep trying, and we're not going to give up on these guys and gals who are missing."

@highlight

Scientists and historians, military and civilians aim to recover all missing U.S. service personnel

@highlight

The Joint POW-MIA Accounting Command digs at battle sites and crash sites for remains

@highlight

In the lab they use dental records, photo recognition software and DNA tests to put a name to the remains

@highlight

They call it the most honorable mission in the military