(CNN) -- A couple of years ago I started a program to try to get rock-star tech and design people to take a year off and work in the one environment that represents pretty much everything they're supposed to hate -- government. It's called Code for America, and it's a little bit like a Peace Corps for geeks.

We select a few fellows every year, and we have them work with city governments. Instead of sending them off into the Third World, we send them into the wilds of City Hall. And there they make great apps and work with city staffers. But really what they're doing is showing what's possible with technology today.

Watch Jennifer Pahlka's TED Talk

One of the applications the Code for America fellows wrote last year is called Adopt-a-Hydrant. It lets Bostonians sign up to dig out fire hydrants when they're covered in snow.

This is a modest little app, probably the smallest of the 21 apps the fellows built. But it's doing something that very few government technologies are doing: It's spreading virally. It's open-source, so anyone can take the code.

Forest Frizzell in the IT department of the City of Honolulu found it and realized he could use it to recruit citizens to check on the tsunami sirens in his city to make sure they're functioning.

Seattle is planning to use it to get citizens to clear clogged storm drains. Chicago has rolled it out to let people sign up to shovel sidewalks when it snows. There are now nine cities we know of looking to use this app, and it's happening organically, frictionlessly.

TED.com: Being young and making an impact

This app invites us to think a little differently about government. This is not how government normally procures software; that's generally a multi-year process. One of our teams of fellows built a web app for parents trying to find the right public school for their kids. The project took two fellows about two-and-a-half months. We were told that if it had gone through normal government channels, it would have taken two years and cost over $2 million.

So an app that takes just a few days to write and spreads virally is a shot across the bow to the institution of government. It suggests how government might work more like the Internet itself: permissionless, open, generative.

But what's more important is how a new generation is tackling the problem of government, not as the problem of an ossified institution, but as a problem of collective action. This is good news, because it turns out we have actually gotten very good at enabling collective action with digital technology. And when we can put aside all the emotional baggage we all carry about government, government is simply what we do together.

If you've given up on government, I would ask you to reconsider -- because government is changing. Technology is making it possible to fundamentally reframe the function of government by being a platform for citizens to help themselves and help others.

Adopt-a-hydrant is a small example of government as a platform, but the story of the possums in Boston adds another element. Many cities now have a 311 line, where citizens can report issues. But some of them also have Web and mobile apps that do the same thing, and there's a difference. When you call in, it's person-to-person communication. If you use the app, your service request is public. One day, on Boston's 311 app, a resident reported a possum in her trash can, wondering if it was alive, and asked for help from the city in getting it removed. But because it was public, a neighbor saw it, and commented:

"Walked over to West Ninth Street. Located trash can. Possum? Check. Living? Yep. Turned the trash can on its side. Good night, sweet possum."

In this case, a citizen helped another citizen, but government had a critical role: It connected them, and it could have connected them to government services if they'd been needed. But a neighbor helping a neighbor strengthens a community. Sending out Animal Control just costs money!

TED.com: Paul Romer's radical idea -- charter cities

We have this opportunity to reframe government in very promising ways, but "we the people" are going to have to do few things differently if we want this to work.

For one, we need to understand that government is not the same thing as politics, and that voting can't be our only input into the system of government.

How often have we elected a new political leader and then expected everything to change? That doesn't work, because government is like a vast ocean, and politics is like the 6-inch layer on top. What's under that is bureaucracy. And the contempt that most people have for that word disempowers us. It allows a system that we own, and we pay for, to forever be something that works against us.

People seem to think politics is sexy, but if we want this institution to work for us, we're going to have to make bureaucracy sexy -- because that's where the real work of government happens. We can't do without government, but we do need it to be more effective.

Secondly, we need to remember that we're not just consumers. We're citizens. And we are not going to fix government if we don't also fix citizenship.

TED.com: Make data more human

The good news is there's a generation that has grown up on the Internet and knows that it's not that hard to do things together. Members of this generation have grown up taking their voices pretty much for granted. They have dozens of channels where they can express their opinions about any topic, so when they're faced with the problem of government, they don't care as much about using their voices. They're using their hands.

They're using their hands to write applications that make government work better, but they're also writing apps that let us use our hands to make our communities work better: shoveling out a fire hydrant, pulling a weed, or turning over a garbage can for a neighbor.

So, when it comes to the big important things we need to do together, are we just going to be a crowd of voices, or are we also going to be a crowd of hands?

The opinions expressed in this commentary are solely those of Jennifer Pahlka.

@highlight

Jennifer Pahlka: A new generation has the potential to reinvent government

@highlight

Her program puts software experts in city halls, leading to a flurry of innovation

@highlight

She says projects that would have taken years and millions can be done cheaply in months

@highlight

Pahlka: To overhaul government, electing leaders isn't enough; bureaucracy must be changed