(CNN) -- In my 20s, after my doctor performed a laparoscopy to examine my uterus and ovaries, he gave me a videotape of the procedure. I dubbed it "Madame Ovary," threw a party and screened it for my friends.

Three years ago, when my doctor sent me to have a colonoscopy, the last thing on my mind was seeing footage from the exam.

At 39, I was mortified about having a procedure that I associated with older people. I didn't even want to talk about it, let alone see it.

But March is National Colorectal Cancer Awareness Month, so I'm coming clean. While drinking two liters of liquid that tastes like dirty sea water to evacuate my bowels doesn't rank highly on my list of things to do, neither does dying from colon cancer. And having a colonoscopy, although unpleasant and embarrassing, was one of the best things I have ever done for my health.

Of all cancers affecting both men and women, colorectal cancer -- cancer of the colon or rectum -- is the second-leading killer in the United States, according to the Centers for Disease Control and Prevention.

Overall, the lifetime risk of developing colorectal cancer is 1 in 20, and up to 150,000 new cases a year are reported in the United States, the American Cancer Society says. A recent study published in the New England Journal of Medicine found that removing precancerous growths spotted during a colonoscopy can cut the risk of dying from colon cancer in half. More than 95% of tumors are detected during a colonoscopy.

Yet despite these statistics, people feel squeamish about the exam and tend to put it off.

"It's a potentially embarrassing procedure. It's not like an eye exam in terms of personal exposure," said Dr. Anthony N. Kalloo, the director of gastroenterology and hepatology at The Johns Hopkins Hospital.

The American Cancer Society and the American College of Physicians recommend that adults be screened for colorectal cancer starting at age 50. Doctors urge people with a family history of colon cancer to begin screening much earlier.

I guess I'm an overachiever. While I don't have a family history of that kind of cancer, I did have one of the common symptoms -- bleeding, a change in bowel habits, weight loss, poor appetite, bloating and/or abdominal pain -- that sent me running to my family doctor. He referred me to St. Jude's Knott Family Endoscopy Center in Fullerton, California, for a colonoscopy.

I can't describe the pure joy I felt at receiving THAT news.

I didn't know too much about the procedure but what I did know sounded horrible. During a colonoscopy, a doctor examines the inside of the colon and rectum by inserting a colonoscope, a thin, flexible instrument that sends images to a TV screen or computer.

In order for the doctor to do a thorough exam, the patient needs to prepare by fasting; I drank only liquids the day before the exam. He or she may also be required to chug down a solution that will ... let's just say keep them at home, near a bathroom.

"It literally takes a whole day away from your life, where you could be doing normal things and instead you are drinking this bowel prep that is uncomfortable and that limits your social life," Kalloo said.

Following the instructions I was given, I started fasting the day before the procedure. I was restricted to certain fluids and particular colors of Jell-O (nothing red or purple.) I spent the morning longing for my usual massive cup of coffee and substantial breakfast and instead downed water, Gatorade and chicken broth.

Around 5 p.m., the fun really started. I began drinking a liter of a polyethylene glycol (PEG) bowel prep. I had to down 8 ounces of this stuff every 15 minutes followed by 16 ounces of clear liquid. I drank another liter several hours later while trying not to vomit.

The manufacturers said the solution was lemon-flavored; it really resembled a noxious mix of chemicals that I can still taste to this day.

Dr. Gene Yoon, my gastroenterologist, concedes that for most patients, the preparation is the worst part. Yoon and other physicians now use magnesium citrate, which he said requires patients to drink less, is easier to tolerate and works just as well.

By the time I arrived at the Knott Family Endoscopy Center the next morning, I was nervous and praying the worst was over. It was. I don't remember anything past the point where I was sedated. An IV solution sent me into a "twilight sleep." It also made me forget the procedure, which no doubt was for the best.

When I woke up, I was groggy but I also felt incredibly well rested. I had only a small amount of discomfort, including abdominal cramping that doctors say is normal.

I don't remember getting dressed or leaving the hospital. But in my daze, I asked my father to swing by Starbucks to pick up a cup of coffee and a sandwich. When I got home, I dozed for a few hours and that was that.

Yoon called the next day with my results: He'd found and removed a 1.5 centimeter villous adenoma polyp from my sigmoid colon. After examining the polyp, Yoon estimated that there was a more than a 50% chance of that polyp becoming malignant.

Yoon removed the polyp before that had a chance of happening. Of all the polyps, villous adenomas are associated with the highest mortality and morbidity rate.

I consider myself extremely lucky I had a symptom. If I hadn't, I wouldn't have had a colonoscopy until I was at least 50 -- and who knows how long I would have put it off after that.

"Colon cancer is one of the few cancers that can actually be prevented, mainly because it goes through this polyp stage before it turns into colon cancer," Yoon says.

Given what he'd found, Yoon suggested that my younger brother also have a colonoscopy. Craig had his colonoscopy when he was 36; the doctors didn't find anything.

Two important people in my life, my husband's stepfather and my trainer, have had colon cancer. For both of them, the cancer was detected during routine colonoscopies. I thank God they were proactive about their health.

Polyps are slow-growing and asymptomatic, Yoon says. The cancer can also be slow-growing and asymptomatic -- until it starts spreading.

"Usually once you start developing symptoms from colon cancer, things are way too late," he said.

Eating a high-fat diet, consuming red meat and smoking will increase your risk of developing colorectal cancer, as is a familial history of the disease. Doctors recommend exercising and eating a diet rich in vegetables, fruit and fiber.

At Hopkins, researchers are looking into the role that curcumin - a spice commonly used in India - may play in reducing the risk of colon cancer. Preclinical and laboratory tests show it may be useful, Kalloo said. I've always loved curry, and I'm thinking about ways to incorporate this spice into our meals.

But even if you play by the rules of healthy living, it's important to get screened.

"We have to do better," Kalloo says. "Family care physicians and everyone who sees patients should ask someone over 50, 'Have you had a colonoscopy?' It's just not a convenient test. Even physicians tend to procrastinate."

After Yoon called me with the results, I sent a thank you note to my family doctor, telling him how much I appreciated him referring me for a colonoscopy. Yoon's office called me recently to set up another appointment. I'm not looking forward to it, but there's no question I will do it again.

Considering the alternative, I'd be crazy not to.

@highlight

March is National Colorectal Cancer Awareness Month

@highlight

The lifetime risk of developing colorectal cancer is 1 in 20

@highlight

Adults should be screened for colorectal cancer starting at age 50