(WIRED)  -- The Kyoto gamemaker is gearing up to launch Nintendo 3DS, a portable game machine with a glasses-free 3-D display, in the United States on March 27.

Although 3DS sports a variety of built-in features like a 3-D camera and augmented-reality minigames, out of the box it lacks some features we would call basic -- a downloadable games store, for example, and the functionality to send messages to your online friends.

But what 3DS does have is the ability to automatically receive system updates. Nintendo says it will push out firmware updates that will add content and new features to the OS without players having to do anything -- they just need to have their 3DS in sleep mode.

Owners of game machines like Xbox 360 or Sony's PSP understand why this is a big deal. Microsoft has made massive overhauls to the Xbox 360's user interface since it shipped the console in 2005, adding major features like Netflix movie streaming, Avatar characters and support for Kinect.

After five years of updates, today's Xbox 360 is practically a whole new machine. The same could happen with 3DS.

Nintendo says some features, like the 3DS eShop and a web browser, will arrive in a system update in late May. To find out what could be next, Wired.com spoke to Nintendo 3DS' producer Hideki Konno at Game Developers Conference in San Francisco earlier this month.

As the producer of games like Nintendogs and Mario Kart, Konno's background is in software development. Nintendo clearly seems to perceive that continually tweaking and adding to the onboard software for 3DS is of paramount importance to the handheld's continuing success. Here are some things 3DS probably will do in the future (and some features you shouldn't expect.)

Text chat

By exchanging 12-digit numerical codes with fellow early adopters, 3DS users can build a Friends List. Right now, there's not much you can do with it -- you can see which of your friends are online and what game they're playing, but there's no way to interact. No game invites, no voice chat, not even text messaging.

When I floated the idea of text chat to Konno, he seemed to agree. "We are going to be making updates to the system, and I think that's something that would be really interesting to do," he said through a translator.

Game demos

Nintendo has traditionally been reluctant to release demo versions of games. It experimented briefly with them on its WiiWare service, releasing a handful of demos for a limited time.

By contrast, playable demos are always available for every Xbox 360 downloadable game and many major retail ones.

"I question whether or not demos are effective," said Konno, adding that demos on 3DS would be "technically feasible" but that he isn't sure they motivate players to buy.

"There are cases where people play a demo game and they're satisfied with that play experience and they don't buy the game," he said. "There are also times when they play a demo and think, 'Wow, this is great, I'm going to buy this when I have the chance.' So whether or not it's an effective use of resources, I'm not sure."

WIRED: 3DS idea man pulls back curtain on handheld's capabilities

Konno said demo versions or even entire games could be automatically pushed to 3DS with the SpotPass feature. "You could wake up in the morning and say, 'Oh look, I've got a new game demo,' or a new game," he said.

Games that require 3-D

At last year's E3 Expo, Nintendo showed off a massive array of software demos for 3DS. While most of them will be available soon, one of the most interesting ones seems to have been shelved entirely. The demo showed a Mario-style jumping game with transparent platforms.

In the system's 2-D mode, it was virtually impossible to tell where the overlapping platforms were in relationship to each other. With 3-D on, the depth effect lets you see where to jump.

"We want to get software out to as many people as possible, and there are some people who just can't see 3-D," said Konno when asked about this demo. "We're moving away from any stance that says if you don't use the 3-D functionality you can't play this game."

Limited time offer

Game industry executives like Gabe Newell of Valve Software have presented compelling evidence that allowing game developers to temporarily reduce the price of downloadable games can have a dramatic and lasting effect on sales.

Konno says such price flexibility, a la Steam or the App Store, isn't quite what Nintendo is after.

"If what you're coming up with [is something like] the Apple iTunes store, where people can freely set their prices, I don't think that's going to be the case," Konno said. "I'd be a little sad to see if there was a product that I worked on for a couple of years go on sale for a buck."

Echoing comments made by his boss, Nintendo President Satoru Iwata, during a Game Developers Conference keynote address, Konno said the low prices on Apple's store aren't what Nintendo is aiming for on the 3DS eShop.

"Having a business model that allows for the prices to be driven down that low, as a developer it's kind of scary because we want to protect our content, and the only way we can justify creating good content is if it makes business sense," he said. "It's more than a pricing issue, it's a company value. We want to compete with ideas, we want to surprise our consumer base.

"That's the battleground for us -- are we surprising consumers?"

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Some features, like the 3DS eShop and a web browser, will arrive in late May

@highlight

3DS producer: I question whether or not demos are effective

@highlight

Nintendo moving away from games that require 3-D