(CNN)The logistics of putting James Holmes on trial are as staggering as the carnage he allegedly committed in a crowded movie theater in Aurora, Colorado, in July 2012 when 12 people were killed and 58 others injured in gunfire.

Consider this: Some 9,000 potential jurors are being summoned, and the jury selection that began Tuesday could last until May or June when the trial would finally start.

Judge Carlos A. Samour Jr. told the first pool of potential jurors Tuesday that if chosen for the jury, they cannot read, watch or hear anything about the case. "This will require great effort on your part," the judge said three times.

Also in the courtroom was Holmes, whose face remained expressionless. He faced forward toward the judge's bench the entire time without looking around or at the potential jurors in the room.

Holmes, who colored his hair red and told police he was "The Joker" upon arrest after the mass killing, is now a different picture. In court Tuesday, he had a clean haircut, trimmed beard, eyeglasses, gray sport coat, tan slacks and blue-and-white-striped dress shirt.

Here are five questions and answers about the approaching trial:

How big and long will the trial be?

In all, Arapahoe County residents stand a 1-in-50 chance of receiving a summons, court spokesman Rob McCallum said.

The enormous pool of potential jurors, designed to ensure a fair trial for Holmes, is being called one of the largest in U.S. history, legal analysts say.

"I've never heard of that many people," CNN senior legal analyst Jeffrey Toobin said. "It just shows how these high-profile cases impose such tremendous costs on the community."

Cornell law professor Valerie Hans said those who support the death penalty are also more hostile to the insanity defense.

"The public overestimates the frequency and success of the insanity plea, and misunderstands the consequences. So this hostility toward the defendant's insanity plea will be a major challenge during voir dire," which is the questioning of potential jurors, Hans said.

Holmes, a one-time neuroscience doctoral student, faces 166 counts, including murder and attempted murder charges. Now 27, he has pleaded not guilty by reason of insanity. If convicted of the most serious charges, he could face a death sentence.

The trial could last four months. If there's a conviction, the death penalty phase could last an additional month.

In sum, court proceedings could last until November -- near Thanksgiving, according to McCallum.

What is the impact of such a potential pool?

The court is casting such a wide net for jurors that it has unwittingly summoned 12 potential witnesses in the case.

Even one employee in the prosecutor's office received a summons.

Judge Samour has already excused those individuals from the jury summonses.

With the removal of 12 possible witnesses from the jury pool, the number of potential witnesses receiving a summons could now be as high as 43, though prosecutors acknowledged in court papers "that it is likely two individuals could have the same names and not be the same person as the endorsed prosecution witnesses in this case."

The judge said "the court appreciates this information" but added that prosecutors should file another notice if such a conflict arises during jury selection.

The potential conflicts don't end there.

Additionally, four potential jurors are related to the prosecutor's staff: two husbands, a father and an uncle. Another potential juror is a best friend of a prosecution staff member. A wife and a former colleague of prosecution witnesses are also potential jurors, prosecutors say..

But the judge declined immediately to excuse those seven potential jurors. "Because neither party asks the court to take any action with respect to these individuals, the court refrains from doing so at this time," the judge said.

What do the victims' families say about all this?

District Attorney George Brauchler spoke with relatives of 60 victims who died or were injured.

After consulting the families, he announced the prosecution will seek the death penalty for Holmes.

"In this case, for James Eagan Holmes, justice is death," Brauchler said in court.

Prosecutors have charged in court that Holmes "intended to kill them all," referring to patrons in the crowded movie theater watching the midnight release of the Batman film "The Dark Knight Rises."

Holmes was heavily armed and "dressed head-to-toe in protective gear," authorities said. He wore black contact lenses to conceal his eyes. His AR-15 jammed during the massacre, and police arrested him in the parking lot.

Meanwhile, Tom and Caren Teves, parents of son Alex who was among those killed, continue a campaign exhorting news outlets to focus on victims and not even mention suspects' names in mass shootings. Alex Teves died while protecting his girlfriend from bullets.

Their plea to media is now called the #NoNotoriety Challenge: "Stop rewarding mass murderers with the media attention they crave," their Facebook page says.

What does Holmes' family say?

Parents Robert and Arlene Holmes haven't given any interviews about their son, but in December, they issued a public letter stating that "we have spent every moment for more than two years thinking about" the victims and their families.

Before the mass killing, their son "never harmed anyone and he had no criminal history," the parents said.

"We have read postings on the Internet that have likened him to a monster. He is not a monster. He is a human being gripped by a severe mental illness," they wrote.

The parents want life imprisonment without parole for their son in exchange for a guilty plea, but the prosecutor has rejected such an offer from Holmes' attorneys.

Holmes' family decried the need for a trial, saying it would cause additional trauma and "force everyone to relive those horrible moments in time."

"We believe that the death penalty is morally wrong, especially when the condemned is mentally ill," the parents said.

"The focus should be on the injured and their healing," they added, referring to the theater victims.

Read the statement (PDF)

What happened to the movie theater?

Aurora's Century 16 cinema complex reopened in January 2013.

Elected officials and community members joined victims and their relatives at a remembrance ceremony timed with the theater's reopening, which featured a screening of "The Hobbit."

But relatives of nine people killed in the gunfire criticized the remembrance ceremony as a publicity stunt by Cinemark, which runs the cinema.

Those families called the event "disgusting" and "wholly offensive to the memory of our loved ones."

But Tim Warner, Cinemark's chief executive officer, which is facing lawsuits from several victims' families and survivors, noted how "recovery is an ongoing process."

CNN's Ana Cabrera contributed from Denver.

@highlight

"This will require great effort on your part," judge tells potential jurors of work ahead

@highlight

There's a 1-in-50 chance of receiving a jury summons in Arapahoe County, Colorado

@highlight

Jury summonses unwittingly sent to potential witnesses, relatives of prosecutor's staff