WASHINGTON (CNN) -- An elementary school at the center of a civil rights battle, a hospital ravaged by Hurricane Katrina and a hangar that once housed U.S. Navy dirigibles are on this year's National Trust for Historic Preservation's endangered list.

Sumner was the centerpiece of the landmark 1954 Supreme Court case Brown v. Board of Education.

The 11 sites represent the country's architectural, cultural and natural heritage, and "reflect extraordinary periods of American history," National Trust Director Richard Moe said.

The sites were chosen from about 70 nominees by the member-supported nonprofit group. Founded in 1949, it aims to protect significant buildings and locales, now protected under the 1966 Historic Preservation Act.

Of the roughly 200 places listed by the organization in the past 20 years, the National Trust says only six have been lost.

Moe said the list is designed to raise awareness.

"The 11 represent the different kinds of historic places in different parts of the country. It's a representative list," said Moe, who leads the organization of nearly 300,000 members.

Endangerment doesn't necessarily mean the building is in the potential path of a bulldozer, according to Moe. Lack of funding can be just as serious, as the case of the California state parks demonstrates.

The sites are listed in alphabetical order:

Boyd Theater, Philadelphia, Pennsylvania The Art Deco movie palace known as the Sameric was closed in 2002 and is for sale. A local group, Friends of the Boyd, is trying to save the 1928 theater, the last of its kind in Philadelphia. Only a few elaborate theaters from that era have survived, and the Boyd was the only one built in the downtown area. Moe said a "sympathetic developer" could restore the theater.

California's park system The largest state park system in the United States suffers from chronic underfunding, including $1.2 billion worth of deferred maintenance, the National Trust said. The problem is worsening because of California's budget crisis. Gov. Arnold Schwarzenegger submitted a budget proposal this year that would have closed 48 parks, but the National Trust said the revised budget restored $11.8 million of the $13.3 million in cuts he requested.

Current funds cover only 40 percent of maintenance and operations, which means irreplaceable historic and cultural resources remain endangered, the National Trust said. The system includes 278 parks, 1.5 million acres and 295 miles of ocean front. Many parks house historic buildings such as the 1820s-era Franciscan La Purisima Mission complex near Lompoc.

Charity Hospital and adjacent neighborhood, New Orleans, Louisiana Charity Hospital, once the main trauma center for southeastern Louisiana, was closed after Hurricane Katrina swamped New Orleans in 2005. The building was declared unsalvageable, according to Donald R. Smithburg, chief executive of Louisiana State University Health Care Services Division, which operates university hospitals. There are plans to demolish nearly 200 homes in the Mid-City neighborhood to accommodate construction of two new hospitals. Alternate locations for the new hospitals are available, and Charity Hospital could be rehabilitated, according to the National Trust.

Great Falls Portage, Great Falls, Montana This National Historic Landmark is one of the best-preserved landscapes along the Lewis and Clark Trail, but a massive coal-fired power plant is planned in the area. "Development abutting the Great Falls Portage, an undeveloped rural area under panoramic blue Montana skies, will irreparably harm the cultural and visual landscape," the National Trust said

Hangar One, Moffett Field, Santa Clara County, California The hangar was built in 1932 to house U.S. Navy dirigibles. It is a cavernous, 200-foot-tall, dome-shaped structure sitting on more than 8 acres. A 2003 inspection revealed carcinogenic PCBs leaking from the hangar's metallic exterior, the National Trust said. PCBs were widely used in electrical transformers. The Navy transferred Hangar One to NASA in 1992. Although the Navy remains responsible for environmental remediation, it is not required to preserve the building.

Lower East Side, New York The Lower East Side in southeast Manhattan was home for immigrants and the working class in the 19th and early 20th centuries, but it is becoming gentrified. Development threatens historic churches, theaters, schools and tenements, "a unique architectural type which, by the sheer numbers who lived in such a building, had an impact on more Americans than any other form of urban housing," the National Trust said.

Michigan Avenue Streetwall, Chicago, Illinois This 12-block stretch of historic buildings along Michigan Avenue between 11th and Randolph Streets dates back to the early 1880s. The streetwall is a collection of notable buildings by architects including Adler & Sullivan, Louis Sullivan, D. H. Burnham and Holabird & Roche, the National Trust said. Although the stretch was designated a Chicago Landmark in 2002, the National Trust says its historic character is threatened by the inappropriate addition of large-scale towers that retain only small portions of the original buildings or their facades.

Peace Bridge Neighborhood, Buffalo, New York The bridge and neighborhood, which has homes and buildings dating to the 1850s, includes two parks on the National Register of Historic Places that are part of Frederick Law Olmsted's park system. The Public Bridge Authority proposes to expand the bridge and build a 45-acre plaza that would destroy more than 100 homes and businesses, many of which are eligible for inclusion on the National Register, the National Trust said. According to the organization, the PBA has refused to "properly consider" other sites.

The Statler Hilton Hotel, Dallas, Texas When the Statler Hilton opened in downtown Dallas in 1956, it was considered the most modern hotel in the country. Today, the vacant building sits on a desirable parcel of real estate. The Statler Hilton faces pressure from encroaching development that may lead to demolition. The National Trust says a sympathetic developer is needed to restore and reopen the hotel.

Sumner Elementary School, Topeka, Kansas Sumner was the centerpiece of the landmark 1954 Supreme Court case Brown v. Board of Education. The court's decision that "separate educational facilities are inherently unequal" helped launch the civil rights movement by declaring school segregation unconstitutional.

Vizcaya and the Bonnet House, Florida The development of out-of-scale buildings and corresponding zoning changes will ruin the vistas surrounding Vizcaya Museum and Gardens in Miami and the Bonnet House Museum and Gardens in Fort Lauderdale, the National Trust said. Such development could set a precedent for high-rise structures, it added.

@highlight

National Trust for Historic Preservation releases list of 11 endangered sites

@highlight

List includes urban neighborhoods threatened by development, gentrification

@highlight

School at center of Brown v. Board of Education makes list

@highlight

The National Trust hopes the list will draw awareness to the endangered sites