(CNN) -- Imagine a transportable solar power station that tracks the sun like a sunflower and cools itself by pumping water through its veins just like a plant.

The Sunflower Solar Harvester, developed by the Swiss company Airlight Energy, can do all that and in the process produce heating, desalinated water, and refrigeration from the 12kW of energy it provides from just 10 hours of sunlight - enough to power several households.

Aimed at off-grid communities in remote regions, the all-in-one 10m-high system -- whose components can be transported in a single container and reassembled in situ - has been in development for more than two years and could be on sale as early as mid-2017.

Integrated system

"It's an integrated system so it supplies both electricity and heat," head of research at Airlight Energy, Gianluca Ambrosetti, told CNN. "You can use this heat to drive a cooling system too, if you need refrigeration."

He said the system will appeal to those that have multiple requirement and a lot of sunlight.

"It's not going to work so well if you have a lot of requirements and you have the climate of, say, Germany."

Nevertheless, off-grid regions from as disparate and far-flung places as North Africa, the Middle East, the United States, Chile and Australia have expressed an interest in the technology.

"Then there are those regions that have good solar radiation and high fossil fuel prices such as Japan which is not an obvious place for this sort of system, but where we see a lot of potential," Ambrosetti said.

Water-cooled

At the core of the technology are IBM-designed water-cooled solar panels whose microchannels carry away the heat produced by the reflector mirrors. The flower-like array of reflectors concentrate the sun's energy more than 2,000 times onto the six panels which each hold 25 photovoltaic chips.

The heat is carried away by the water at a rate that keeps the microchips at their optimum temperature, making the Sunflower Solar Harvester one of the most efficient solar energy producers around.

Developers say that it needs just a quarter of the panels to produce the same amount of power as conventional systems.

Everything about its design is aimed at bringing down costs; what would normally require large and expensive solar mirrors is achieved with metallised foil of the type found in food packaging like potato chips.

The concave shape of the reflectors is kept in place by a light vacuum, a useful failsafe if the cooling system fails. Rather than overheating the solar cells, the operator can simply release the vacuum to diffuse the reflected sunlight.

Remote appeal

While the company is not claiming the technology will completely replace fuel-powered generator sets -- which can often produce 10 times the power of one solar sunflower -- Ambrosetti said it could be possible to run some remote facilities with an array of the parabolic mirrors.

"You would, of course, not have just one Sunflower but several so you can scale it up quite easily," he said. "Hospitals, for instance, are quite energy intensive -- if you needed 1.2mW to run a hospital you'd need 100 sunflowers.

"But if you were in a small camp hospital with minimal refrigeration requirements for medicines, it could be set up in a remote location and just one dish could satisfy quite a lot of those needs."

The system produces around 20kW of thermal power from 10 hours of sunlight, enough say the developers to power a low-temperature desalinator in coastal regions. Sea water vapor would pass through a polymer membrane and condense in a separate chamber, to produce as much as 2500 liters of fresh water per day.

Vascular system

Ambrosetti said the cooling system drew its inspiration from nature where vascular systems operate to carry away excess heat.

"We are still a long way from commercialization, but what we can do is to tap into its potential. We plan to set up early adopter projects that would be running by 2016," he said. "We aim to have four or five dishes in various locations around the world to show the potential of the system so people can really start to touch it with their hands."

Ambrosetti said the system was likely to appeal commercially to green residential and commercial developments.

"It's biggest potential is in making integrated systems where you can provide several things at once such as heating, cooling and electricity," he said.

The project also recently got nominated as the top "solar wonder" of the world by Greenpeace:

Read more from Tomorrow Transformed:

Wind farms of the future go underwater

Is the Darknet a glimpse into the web of the future?

China's impact on the future of e-commerce

@highlight

A water-cooled transportable solar power station tracks the sun like a sunflower to produce off-grid energy

@highlight

The unit can provide 12kW of power and 20kW of thermal power from just 10 hours of sunlight

@highlight

The manufacturer says the integrated technology could have great potential in remote communities

@highlight

Japan, where fossil fuel prices are high, has expressed an interest in deploying the solar harvester