LONDON, England (CNN) -- Asia: Spread over one third of the world's surface, it is home to something like four billion people in 70 countries. It also produces half of the world's film.

Niki Caro avoids all the coming-of-age cliches in "Whale Rider."

Bollywood, the film industry of India's largest city, Mumbai, alone produces around 1,000 films each year -- almost two times as many as Hollywood.

This vast continent doesn't just come out on top when it comes to output, it has also sired many influential directors, actors and film-genres.

Ang Lee's 2000 homage to Chinese fantasy martial arts genre, Wuxia, "Crouching Tiger, Hidden Dragon," and Japan's unique take on horror, typified by films like Takashi Shimizu's "Ju-on: The Grudge" are just two examples of Asia's recent contribution to world film culture.

We have included films by Japan's Akira Kurosawa, China's Wong Kar-Wai and India's Mehboob Khan in our provisional list of the best of Asian cinema but we want to hear from Web site users. What are your favorites? Have we missed one? Perhaps you don't agree with our choices.  Let us know in the Sound Off box below.

'In the Mood for Love' ('Fa yeung nin wa') Hong Kong/China (Wong Kar-Wai, 2000)  Wong was heavily influenced by Hitchcock's psychological thriller "Vertigo" during the making of this poetic, exquisitely shot meditation on love and loss starring Tony Leung and Maggie Cheung. It was nominated for the Palme d'Or at the Cannes Film Festival in 2000.

'Mother India' ('Bharat Mata') India (Mehboob Khan, 1957) One of the sub-continent's first ever blockbusters, it is also known as India's "Gone with the Wind." Acting legend Nargis plays a woman who must raise her children single-handedly after her husband is maimed in an accident, and becomes the catalyst for her fellow villagers to fight for their land. It was nominated for the Best Foreign Language Film at the 1957 Academy Awards -- India's first ever Oscar nomination.

'The Host' ('Gwoemul') South Korea (Bong Joon-ho, 2006) Arguably one of the greatest monster films ever made; a staggering 20 percent of the population of South Korea have watched this film. It is based on the true story of a U.S. military employee ordered to dump formaldehyde into the sewer system that leads to Seoul's Han River. Six years later a giant mutant squid starts attacking people (this part is made up).

'Syndromes and a Century' ('Sang sattawat') Thailand  (Apichatpong Weerasethakul, 2006)  One of seven films commissioned by the New Crowned Hope Festival, part of Vienna's Mozart Year in 2006. Set in two hospitals, Weerasthakul reflects on the lives and memories of his medic parents using an experimental, anti-narrative style (a series of images, soft spoken dialogue and music) which was chosen by the hugely influential French film magazine "Les Cahiers du Cinéma" as one of the 10 best pictures of 2007.

'Whale Rider' New Zealand (Niki Caro, 2002) At just 12 years-old star, Keisha Castle-Hughes was nominated for Best Actress at the Academy Awards for her extraordinary performance as "Pai," a first-born female in the patriarchal Whangara tribe who believes she is destined to be the new Chief.

'Still Life' ('Sanxia haoren') China (Zhang Ke Jia, 2006)  Awarded a Golden Lion at Venice in 2006, this wide-sweeping film is based on the human tragedy of the Three Gorges Dam (more than one million people have been displaced) which stretches across the Yangtze River. The story focuses on a miner who travels back to his home town looking for his wife only to find that his former home is now submerged. The film illustrates the gulf between China's new world order and the soon-to-be-forgotten culture of the past.

'Shower' ('Xizao') China (Yang Zhang, 1999)  The richly humorous and touching story of Shenzhen businessman, Da Ming who returns home to Beijing where his father runs the local bathhouse, only to be caught between two cultures -- the decaying district of his childhood and the booming South where he now lives with a wife who has never met his family. When he realizes his father's health is failing, he must take stock.

'Shall we dansu?' Japan (Masayuki Suo, 1998) Successful but unhappy accountant, Shohei Sugiyama spots a beautiful woman in a dance studio window. Despite his wife and child, he secretly signs up for dance lessons hoping to get closer to her. Slowly he begins to fall in love with the art form itself. A 2004 Hollywood remake starred Jennifer Lopez and Richard Gere.

'The Ballad of Narayama' ('Narayama bushiko') Japan (Keisuke Kinoshita,1958)  In a remote 19th century village, food is so scarce that when the elderly reach 70 years old they must climb frozen Mount Narayama to die so their families won't have to feed them. Kinoshita's film is profane and shocking at times. Throughout the film, images of couples having sex are interspersed with scenes of animals and insects mating. The film won the Palme d'Or at the Cannes Film Festival in 1984.

'Infernal Affairs' ('Mou gaan dou') Hong Kong/China (Andrew Lau Wai-Keung, Alan Mak Siu-Fai, 2002)  Hong Kong cop thriller following the parallel lives of an undercover officer who infiltrates a Triad gang and policeman who secretly reports to a ruthless gang boss. "Infernal Affairs" breaks the mould of much of contemporary Hong Kong cinema by steering clear of over-the-top-action in favor of a slow-burning build up of psychological tension. Engrossing.

'Mandala' South Korea (Kwon-Taek Im, 1981)  In the film that is considered to be his breakthrough as a cinematic artist, Im follows the lives and interactions of two Buddhist monks in Korea and takes a contemplative look at the nature of individualism, religious belief and enlightenment.

'To Live' ('Huozhe') China (Zhang Yimou, 1994)  Much lauded but banned in Mainland China because of its satirical portrayal of the Communist government, this epic, sumptuous film traces the personal fortunes of Fugui and Jiazhen as they fall from wealthy landownership to peasantry over 30 turbulent years.

'When the Tenth Month Comes' ('Bao gio cho den thang muoi') Vietnam (Dang Nhat Minh, 1984) A vivid portrayal from the point of view of a young Vietnamese widow of the legacy of the Vietnam war. It was released internationally under the name "The Love Doesn't Come Back."

'Himala' Philippines (Ishmael Bernal, 1982) Young Elsa thinks she has seen the Virgin Mary and goes on a healing crusade -- just the miracle the nowhere town she lives in is looking for. The film's austere camera work, haunting score and accomplished performances sensitively portray the harsh social and cultural conditions that people in the third world endure.

'A Touch of Zen' ('Xia nu') Hong Kong/Taiwan (King Hu, 1969)  In this spiritual kung fu movie, a young artist finds himself caught up in the struggle to help a beautiful young woman escape the Imperial agents who murdered her family. A classic of the martial arts fantasy genre, it was the first Chinese film to win an award at the Cannes Film Festival. It was also a massive influence on Ang Lee's "Crouching Tiger Hidden Dragon."

'Ikiru' Japan (Akira Kurosawa, 1952)  In this profoundly moralistic fable, longtime salaryman Kanji Watanabe, learns he has terminal cancer and, ultimately, through the experiences he has, the meaning of life. Takashi Shimura  who played Watanabe was nominated in the Best Foreign Actor category at the 1960 BAFTA Awards.

'Utu' New Zealand (Geoff Murphy, 1983)  Loosely based on the events of Te Kooti's War in the 1870s, it tells the tale of Maori tribesman Te Wheke who is serving in the British army. He is prompted to seek vengeance when he returns home to find his village and family destroyed in a senseless raid by the British.

'Gabbeh' Iran (Mohsen Makhmalbaf, 1996)  An elderly nomad couple are cleaning their beautiful carpet or "gabbeh" when a young woman suddenly emerges to tell the history of her clan through the carpet. Beautifully filmed and the winner of numerous awards.

@highlight

"The Screening Room" has compiled a provisional list of the best Asian films

@highlight

List includes Akira Kurosawa's "Ikiru" and "Mother India" by Mehbook Khan

@highlight

But what are your favorites? We would like to hear from Web site users

@highlight

If you disagree or think we've missed one. Let us know in the Sound Off box