(CNN) -- Barack Obama never really had a chance when dealing with issues of race in America. From the moment he ran for office, critics questioned whether he was "black enough" or an "angry black man."

As the first African-American president of the United States, Obama is supposed to prove America is post-racial, be the president of "all of America" and show a special empathy for African-Americans, all while battling institutional racism but not calling it out.

While these debates are largely philosophical and symbolic, the nationwide protests in the wake of the non-indictments of police officers responsible for killing Mike Brown and Eric Garner have shown that race can no longer just be an academic subject for presidents and presidential contenders.

The crowds marching across America protesting the ugly intersection of racism, law enforcement and economics are some of the largest, most diverse groups of protesters seen in American history. These issues are going to be laid at the doorstep of all serious 2016 contenders. So while many are grappling with the events of the last several months, we're left to wonder: Where's Hillary Clinton?

We all know that, barring some bizarre unforeseen event, Clinton is running for president in 2016, and it's only a matter of time before she announces. She will not march smoothly to the nomination; there are questions about how much she connects with the middle class, her muddled book rollout this spring and of course, for those who still care, "Benghazi."

But the most serious problem for Hillary 2016 is the perception that she's an overly cautious politician who is afraid to take tough stances on anything, especially those issues the Democratic base might be passionate about. And nowhere is this more evident than in her almost utter silence on the recent protest marches across the nation.

Hillary Clinton took almost 19 days before she said anything about the violence and rioting in Ferguson, Missouri, and that was after Democrats and pundits called her out for her silence. At the time she said:

"Imagine what we would feel and what we would do if white drivers were three times as likely to be searched by police during a traffic stop as black drivers instead of the other way around. If white offenders received prison sentences 10% longer than black offenders for the same crimes. If a third of all white men -- just look at this room and take one-third -- went to prison during their lifetime. Imagine that. That is the reality in the lives of so many of our fellow Americans in so many of the communities in which they live."

Which was fine, at the time -- better late than never. Mind you, she slipped these comments in at a tech conference where the majority of her comments would focus on other issues.

Clinton seemed to have learned her lesson after a New York grand jury did not indict officers in the killing of Eric Garner. She only waited two days to say something about the result :

"Each of us has to grapple with some hard truths about race and justice in America, because despite all the progress we've made together, African-Americans, most particularly African-American men, are still more likely to be stopped and searched by police, charged with crimes, and sentenced to long prison terms."

But again, these comments were tagged onto a speech she was giving at a women's conference in Massachusetts and hardly echoed beyond the walls of the building where she was speaking.

While Republican 2016 contender Rand Paul can come right out and say police militarization is a problem and that the officer who killed Garner should be fired, Hillary Clinton talks about restoring "balance."

While former President George W. Bush admits that he found the grand jury decision "hard to understand," Clinton is backing limited measures, including police body cameras, contained in Obama's executive actions resulting from the Ferguson controversy.

While Obama is sitting down to do a serious interview about race, law and justice on BET, Clinton is doing events with Prince William and Catherine in New York. The point is that while other political leaders who hope to lead this country can take the time out to seriously address the longest-running protests in American history since the Montgomery bus boycott, Hillary Clinton sandwiches her comments in at the tail end of paid speaking engagements and keeps it moving. That seems a little tone-deaf.

And this isn't the first time Clinton has shown this penchant for avoiding thorny cultural and racial issues on the not-quite-yet-campaign trail. She assiduously avoided addressing race in a town hall interview earlier this year on CNN. And one has to wonder if she would've said anything about the George Zimmerman verdict in the killing of Trayvon Martin if she hadn't been giving a speech at the convention of Delta Sigma Theta (a black sorority) the night the verdict came in. She certainly hasn't said much about it since.

If Clinton thinks she's being smart by avoiding thorny race issues on the campaign trail, she's making a huge mistake. Maybe Team Clinton thinks that whatever support she may lose in the African-American vote will be made up for by high turnout among white women.

The problem with that logic is that these protests from New York to Chicago to Detroit, to Cleveland, to San Diego, Los Angeles and even St. Louis are incredibly diverse. Take a look at the crowds in Times Square after the Garner verdict and you could see white, Latino, Asian, African-American, old, young and other demonstrators all carrying signs that read "Black Lives Matter."

A new NBC News/Marist poll shows that 47% of Americans believe that the justice system applies different standards to blacks and whites. In other words, the people out there marching right now are the Democratic base, with a few independents and libertarians thrown in there for good measure.

This is the coalition that Clinton needs to win the presidency, and on the most important issue in decades she's not only not '"ready to lead," she doesn't seem to have much to say, and when she does speak on these issues it's always as an afterthought to some larger message.

America is being wracked by nationwide protests and thousands of Americans of all colors are questioning the fundamental fairness of the American justice system. Boycotts are happening, malls are being shut down and transportation all across America is being affected by protests during the biggest shopping season of the year, because many Americans are unhappy with our justice system.

No one expects Clinton to be out in Times Square marching with the #ICantBreathe hashtag plastered across her cheek. But if she decides she wants to be serious about being elected president of the United States, she needs to do more and say more than a few throwaway comments in the midst of her busy speaking and fund-raising schedule.

The foot soldiers for Clinton's political future are out marching in the cold, marching toward the change they want to see in America. Clinton might want to catch up to them, because if she doesn't, I'm sure Rand Paul, Elizabeth Warren or Andrew Cuomo would be happy to do so.

Join us on Facebook.com/CNNOpinion.

@highlight

Jason Johnson: Hillary Clinton's supporters are protesting Ferguson, Garner verdicts

@highlight

He says Clinton's comments on the issues of police and race have been late, minimal

@highlight

Others, including Rand Paul and Elizabeth Warren, have been more forceful