Chamonix, France (CNN) -- "Ever since I was a kid, I had a dream where -- if I ran fast enough on the ground -- I could lift off and start flying."

Ellen Brennan, 26 years old, wakes up. She opens her window to look out across the bustling pines of the Chamonix Valley, to the clustered snow-capped peaks of Mont Blanc.

For six years, Ellen has been throwing herself from mountaintops, with only a baggy synthetic suit to stop her from falling like a stone to a certain death.

She checks for clouds. Soon she'll set off for the "Aiguille du Midi" -- a jagged, vertical needle of granite, where she will face her hardest jump yet.

There, she will have just three seconds to speed to 100mph, twist right away from rocks and begin racing over the fearsome Alps below.

Or... "there is no option -- you have to start flying."

Inflight

In 2006, a video surfaced on YouTube that gave the unsuspecting world its first glimpse of modern "wingsuit" fliers.

They called him "The Flying Dude," and the clip showed him leaping from a helicopter 1000ft above the Swiss skiing resort of Verbier.

While many before him had attempted to leap from airplanes and buildings with improvised wings, The Dude's suit was different..

Originally developed by French skydiver Patrick de Gayardon, it worked like a body-size paraglider: creating lift thanks to airfoil-shaped arm flaps.

First used to jump from airplanes, thrill-seeking wingsuit fliers had soon relocated to low-flying helicopters, sheer cliffs and mountaintops.

In the famed YouTube video, The Dude -- real name Loic Jean-Albert -- tumbles toward the jagged crest of the mountain, then begins to glide, and skirts along the snowy piste, just feet above startled skiiers' heads.

The aim of the game had become "proximity flying" -- dipping down to within just two or three meters off the ground, to feel a bird-like sensation of clipping tree tops and swooping through gorges.

In flight, average speeds top 160kph (100mph). 200kph (124mph) is possible.

At flying pace, the tiniest mistake or a gust of valley breeze can destabilize a wingsuit pilot.

Landing requires fliers to gain extra distance from the terrain below, before pulling a parachute to slow. It can be just as perilous as scorching feet from the rock face.

The sport can count only a small group of skilled skydivers and BASE jumpers among its participants, but almost all can list friends who have died.

Around one in ten of them will lose their lives wingsuiting, they say. One in twenty, conservatively.

Ellen's story

Ellen Brennan arrived in France in 2009, hoping to learn the language and, eventually, become a nurse in western Africa.

When she found Chamonix, she gave it all up.

For Brennan, the fledgling sport offers an experience like no other: to glide across historic terrain, more like a bird than a human:

"It is unique. You know you are seeing that part of the world in a way that no one else has ever seen it before," says the 5-ft-1-inch New Yorker.

"When you land you have this feeling of relief and achievement and satisfaction... You have achieved something that no one else has done yet."

Brennan is one of the sport's top competitors. She was the only female flier to be invited to compete in the inaugural World Wingsuit League. In timed races, she shot into the competition's top 8 -- earning herself the title of "fastest flying woman on earth."

In a sport still in its adolescence, Brennan has become an unlikely pioneer. Having mastered skydiving and BASE jumping soon after her 18th birthday, she turned to wingsuits and has quickly racked up between 500 and 600 suited jumps -- being the first to take off from many of Chamonix's treacherous peaks.

But Brennan is far from the stereotypical immune-to-fear adrenaline junkie. She's a realist who admits to often being scared, and will never be too stubborn to make the lonely hike back down the mountain if conditions change for the worse.

In the early days, Brennan explains, the number one danger was equipment failure. Now it's not knowing when to say no.

The jump

After an exhausting hike to the top of the Aiguille du Midi, getting to the jump point means abseiling down to a narrow rock with barely enough room for a person to stand. As Brennan looks to her left, there is a 120m vertical drop. To her right, the same.

"You have to learn to focus on just your body -- to see only the things you need to see -- otherwise it is too much," she says.

Wrapped in her pink squirrel suit, Breenan holds her breath and checks the wind and the position of the sun.

"Ideally you see some birds flying and that gives you a good idea of what is going on in the air."

"And then you go: 'OK, this is good.'"

She dives. For two-and-a-half seconds, the earth rushes straight toward her, faster and faster, on all sides. A feeling of blissful acceptance overtakes her.

Her wings inflate and she begins to glide.

It is three kilometers to the landing area and for the next two and a half minutes she'll be flying.

"I think everyone dreams about it."

"And I still have those dreams. But now they involve wingsuits... with things I can do and things that actually happen."

@highlight

Ellen Brennan is a 26-year-old "wingsuit flier"

@highlight

She is the only female competitor in the World Wingsuit League

@highlight

She flies at up to 200kph, wearing just a synthetic "wingsuit"

@highlight

The sport is one of the most dangerous in the world