Pasadena, California (CNN) -- When President Barack Obama formally ended "don't ask, don't tell" in July 2011, ending a 17-year ban on gays serving openly in the U.S. military, Tracey Cooper-Harris felt liberated about her future as a veteran.

As a sergeant in the U.S. Army, she received more than two dozen medals and commendations during her 12 years of service, which included tours in Operation Iraqi Freedom and Operation Enduring Freedom in Afghanistan.

"Like a lot of other vets, I've had some struggles, including post-traumatic stress, but that's one of the issues that I'm taking care of," she said. While Cooper-Harris struggled with PTSD, she managed to earn a Bachelor of Science degree from California State University, Northridge, and landed a job at the Department of Veterans Affairs in Los Angeles, where she helps other veterans with disabilities.

Four years ago, Cooper-Harris disclosed her sexual orientation and married longtime partner Maggie Cooper in California, where same-sex marriages were legal under state law. Three days later, voters passed Proposition 8, an initiative that invalidated such marriages.

Supreme Court will tackle same-sex marriage

"We knew there was a possibility that Proposition 8 would not go in our favor, but on that particular day, that was not really on our minds," said Maggie, who met Tracey during a women's rugby match at Occidental College, where she coaches a women's team.

Like the 18,000 same-sex couples who obtained marriage licenses before the ballot initiative went into effect, the couple's marriage is still recognized as legal in California. They are entitled to the same protections as other married couples under state law.

Victory for lesbian, years after her longtime partner's death

But in 2010, Tracey was diagnosed with multiple sclerosis, a chronic, disabling disease that attacks the brain and nervous system and has no cure.

Because the Department of Veteran Affairs determined that the disease is connected to her military service, Tracey says she qualified for disability benefits of about $1,400 a month, which help cover medicine and doctor visits.

In late 2011, Tracey applied for additional disability compensation as a married veteran to help ensure that her spouse had supplemental support.

When the couple received a letter from the Department of Veterans Affairs denying dependency benefits, based on their marital status, it was a setback in their struggle for same-sex equality. "It hurts and it's really frustrating," Tracey said.

Federal appeals court strikes down Defense of Marriage Act

Under the Defense of Marriage Act of 1996, the federal government does not recognize Maggie as a legal dependent. Therefore, she cannot receive spousal benefits that would be available to a male spouse.

In February, Tracey and Maggie Cooper-Harris filed a federal discrimination lawsuit against the Department of Veterans Affairs and the U.S. Department of Justice.

"This unequal treatment of Tracey and Maggie's marriage under federal law demeans not only their marriage but also the remarkable sacrifices of Tracey, a woman who gave more than nine years of her life in active duty military service to this country," according to the lawsuit filed by the Southern Poverty Law Center on behalf of the couple.

"I just want to make sure that if and when something does happen to me, if any of my service-connected issues get worse, if I get really sick or incapacitated, that Maggie's provided for," Tracey said.

The U.S. Department of Justice and the Department of Veterans Affairs declined to comment on the lawsuit.

Washington starts issuing same-sex marriage licenses

What worries Tracey is how Maggie will cope if she dies from the disease. According to their lawsuit, because of her gender, there are benefits in death that Maggie wouldn't receive, like bereavement counseling or death indemnity compensation. "It's very disappointing to think that during one of the roughest times in life, Maggie would be left out in the cold," Tracey said.

What's worse, Tracey says, is that under DOMA, a same-sex spouse cannot be buried in a state or national veteran's cemetery.

Despite the Department of Veteran Affairs' rejection of disability benefits for same-sex couples, Tracey and Maggie are optimistic that their lawsuit will prevail. Although Tracey is an employee at the same institution she is suing, she says her supervisors have been supportive.

As their suit moves forward, equally important to the future of same-sex marriage, Tracey says, is what happens at the U.S. Supreme Court. Soon, it could decide on the constitutionality of the Defense of Marriage Act in eight cases under consideration and one involving Proposition 8.

"I'm very happy to be married to Tracey, and I look forward to a time when it's a fully recognized marriage in the eyes of the federal government and we don't have to worry about some of the things on our minds that add to burdens that already exist in our daily lives," Maggie said.

Being LGBT: Then and now -- how has life changed?

@highlight

Veteran Tracey Cooper-Harris married her same-sex partner four years ago

@highlight

In 2010, she was diagnosed with a disease connected to her service and received benefits

@highlight

She later sought additional disability compensation for her spouse

@highlight

The VA denied the additional benefits, and the couple filed a federal discrimination lawsuit