Atlanta (CNN) -- My name is Lauren Johnson. I'm an associate producer at CNN, and I have systemic lupus erythematosus.

It's an autoimmune disease where the body's immune system becomes hyperactive and attacks healthy tissue. It can cause damage to many parts of body such as joints, skin, kidneys, heart, lungs, blood vessels and the brain. Lupus is one of the most complicated and cruelest autoimmune diseases. Simply put: It's difficult to diagnose, hard to live with and challenging to treat.

If I could write a letter to lupus, I would say "I want me back, I've had enough."

As a junior at Kent State University, I felt like I was on top of the world. I went to a great school, I was doing exactly what I love (journalism), and then on September 11, 2001, I began to get unexplained illnesses one after another.

Eventually, I landed in a hospital bed with an IV pumping a cocktail of drugs meant to cure "a series of infections" ravaging my body. When I finally felt reasonable enough to go to class, I couldn't remember things. My essays, as one professor told me, suddenly "read like ramblings." I wasn't me.

That semester, I ended up taking incompletes in all of my classes. My doctors and professors declared I was overwhelmed with catching up in my classes and the anxiety of it all consumed me. Little did I know that it would be a decade later before I would officially find out it was really systemic lupus erythematosus.

My diagnosis came as I was entering what I considered the magical part of my life. I had married, had a beautiful daughter and was working my dream job (CNN) and finally felt like I was walking in my purpose.

I began to have horrific migraines, excruciating nerve pain down my left arm, and bruises and rashes started to appear more and more often. Initially, I thought I was just tired and it was the allergies and the bruises. I simply attributed it to being anemic.

This was until my esophagus began to feel as if it was closing up. I went to a physician, and he said I had a tumor on the shoulder and that must be causing everything I was feeling.

When I went to the surgical oncologist, she said "it's not cancer" and referred me to an amazing internist.

I had already gone through the gamut of diagnoses: leukemia, thoracic outlet syndrome, sarcoidosis. I was completely over the diagnosis portion of the process. My life had become work, bed and repeat. They ran multiple tests. I remember the appointment like it was yesterday.

When I came back in for my follow-up, I was told I had lupus. A disease that has no cure. To me, that diagnosis was not a death sentence, but a sentence to feel the way that I felt at the moment for the rest of my life. I felt pain, I felt exhausted and I was not me.

Having lupus has been like having a horrific hangover while doing two-a-day workouts -- #exhausting.

No one knows what is wrong unless you tell them. There is no escaping the pain, and the only way out is to sleep or die. I've felt like lupus at times has sucked the life out of me. It's shifted my priorities, taken away many of the things I love because I'm stuck in a holding pattern just treating the symptoms. Never being cured.

Fighting this disease has been no easy ride.

The disease has affected my brain, GI system, lungs and heart. I take nine medications to treat symptoms. Meaning, this is what I had to do to get through the day.

Those drugs include chemotherapy, an antimalarial, a beta-blocker, an anticonvulsant, corticosteroids and a drug used to treat nerve damage. None of the drugs is specifically meant to treat lupus.

When people see me, they always say, "You don't look sick."

This has sort of been a gift and a curse for me. On one hand, I didn't want people to look at me as if I had a disability. On the other, I wanted people to know what I've been able to accomplish in spite of the disease. It's an invisible fight for me, but now is my time to make some noise so we can find a cure. If no one is aware of my struggle, we can't get there.

I want me back, and I've realized that every breath I take is blessed with a responsibility. A responsibility to raise awareness about life with lupus and the need for a cure. Every day, this is what keeps me going.

Lupus is one of America's least recognized major diseases, although 1.5 million Americans are living with it.

Research is not keeping pace with the research for other diseases of similar scope and devastation. A study conducted by the Lupus Foundation of America found 72% of Americans from 18 to 34 (those most at risk for lupus) have either not heard about lupus or know nothing more than the name.

In the past century, only one drug has been developed and approved to treat the disease. With the ebbs and flows of the economy, this disease has taken the backseat to research investment priorities.

The Lupus Foundation of America is the oldest and largest nonprofit organization focused on improving quality of life and finding a cure for lupus. To find out more information about the disease or to make a contribution, head over to lupus.org.

@highlight

Lupus symptoms are unpredictable with potential to damage any organ

@highlight

Lupus has no known cause or cure

@highlight

An estimated 1.5 million Americans have Lupus

@highlight

The Lupus Foundation of America's mission is to improve lives, find cure