(CNN) -- As Portugal battles to repay its bailout, one of the country's airline executives has warned of the dangers of uncertainty in a region desperate to regain its economic footing.

The concerns of Fernando Pinto, chief executive officer of TAP Air Portugal, are being voiced as Portugal's economic conditions remain fragile, with one OECD economist saying the country's pain is "not over yet."

Pinto told CNN people need to "trust in an airline the same way that they trust in the area where we operate, and Europe is very important."

Read more: Deputy PM: Turkey 'inspiration' for Islam and democracy

Pinto pointed to the panicked Cyprus bailout as an example of the uncertainty undermining Europe's recovery. "Things like what happened in Cyprus really concern us," he said.

Constant quarrelling between debt-ridden nations and creditors has destabilized Europe, and this month the eye of the debt crisis focused on Portugal.

Watch more: Portugal's textile industry stitches itself together

Last week, finance ministers of the single currency area agreed to give Portugal and Ireland seven more years to repay their bailout loans.

Portugal's government, led by Prime Minister Pedro Passos Coelho, is struggling to plug a 1.3 billion euro ($1.7 billion) gap in public finances after the country's constitutional court rejected further cuts to state pensions and public sector wages, amounting to 0.8% of the Portugal's output.

Read more: Finnish PM: Eurozone nations must follow the rules

The center-right coalition government must find the cuts to meet the demands of international creditors and receive the next tranche of its 78 billion euro bailout.

Portugal is one of five countries -- along with Ireland, Greece, Spain and Cyprus-- to request rescue funds from the troika, made up of the European Commission, the European Central Bank and the International Monetary Fund.

Read more: GE Europe chief eyes investment in Germany

Jens Arnold, a senior economist on Portugal at the Organization for Economic Cooperation and Development, told CNN that the country was on track with its austerity program but risks of political instability and stagnating growth remained.

"We see no risk of default or of leaving the eurozone. Our impression is that Portugal is making substantial progress," Arnold said. "Investor confidence is improving," he added.

The government has, as part of its drive to balance the books, investigated plans to privatize TAP Air Portugal. However last year's talks stalled after the sole bidder, Brazil-based Synergy Aerospace, failed to provide financial guarantees, according to the Portuguese Treasury.

In 2012, the Lisbon-based airline had net profit of 15.9 million euros as the company increased its number of passengers and at reduced its total debt by 21% Pinto said.

"To survive these days, you have to be careful with costs and we are number one in costs," Pinto said.

Regulatory red tape, however, is a source of frustration for Pinto. The European Commission's long-held plans for a "Single European Sky" have been "very slow," according to the chief executive. "We've been over-regulated," he added.

Although European airlines benefit from operating in a free market, they are feeling "unloved" by regulators in contrast to other markets where aviation is central to driving economic growth, according to Graham Dunn, managing editor of Airline Business.

He told CNN that high tax burdens and a crunch in future airport capacity are to blame for the tough growth climate for European airlines.

Domestically, Pinto said Portugal's unemployment is TAP's "biggest concern." He added: "We are one of the biggest employers but of course as I said we depend on the economy here."

The southern European country is grappling with unemployment at 17.5% while the economy is forecast to contract by 1.9% for 2013, according to Europe's statistics office Eurostat.

According to Arnold, unemployment "is very high and will probably remain high over this and the next year." For Portugal, he said, "the worst -- in terms of the social cost of the adjustment -- is unfortunately not over yet."

@highlight

One of Portugal's airline executives has warned of the dangers of uncertainty in Europe

@highlight

The comments from Fernando Pinto, head of TAP Air Portugal, come as Portugal's economy remains fragile

@highlight

Finance ministers of the euro area have given Portugal and Ireland seven more years to repay bailouts

@highlight

But one economist says for Portugal, the worst "not over yet"