Shanghai (CNN) -- One of the key issues the next generation of China's leaders will have to consider when they take the reins in November is whether to let social media continue to develop as an increasingly important force in shaping government policy.

Early signs are strong that Beijing will encourage or at least tolerate the growth of microblogging sites like Sina Weibo, and instant messaging services like Tencent WeChat, which have been allowed to develop relatively unfettered despite their potential to become breeding grounds for critical public debate over social issues.

Beijing is quickly realizing these fast-developing social media can be an important way to get public feedback on social issues as China goes through a wide range of growing pains in its transformation from a planned to a more market-oriented economy.

Equally important, Beijing also understands that social media can be an important tool for getting out the Communist Party's own message as it tries to show an increasingly restless public it is hearing their concerns.

The rise of social media in China has been anything but smooth and tolerant over the last five years, as big names like Facebook and Twitter soared to global prominence on their ability to let millions of people around the world connect and interact in new ways based on factors like personal interests and social background.

Both Facebook and Twitter were gaining a nascent foothold in China with their ground-breaking services when an uneasy Beijing abruptly blocked their sites in 2009.

People power a sign of times in China's internet age

No official reason was ever given, as is always the case when propaganda officials take such actions; but the timing of the move just before the 20th anniversary of the Tiananmen Square crackdown led many to suspect that Beijing was worried the sites could become hotbeds for debate and discussion on a highly sensitive matter that to this day is banned from all Chinese media, both traditional and new.

The blockage of both Twitter and Facebook continues to this day, reflecting Beijing's clear unease at letting average Chinese form online communities through sites that are based outside China and therefore don't have to play by the country's strict self-censorship rules.

By comparison, Beijing has become more comfortable letting homegrown, China-based sites with names like Weibo, WeChat and Kaixin fill a demand from average Chinese for social networking services over the desktop Internet and increasingly via smartphones.

Unlike the big offshore-based names, domestic players, and anyone operating a China-based service for that matter, must follow Beijing's strict self-censorship rules and immediately remove any content banned by central propaganda officials or risk big fines and even closure.

The homegrown Chinese services have had to walk a difficult tightrope as they tried to build commercial services while waiting for Beijing to take a clear stance on how much it was willing to tolerate in the world of online public debate.

Beijing initially took a line of relative tolerance, only to slam on the brakes periodically when angry debate started getting out of control during discussion of sensitive topics like the high-speed rail crash in Zhejiang province last year that left more than 30 dead and 200 injured.

Beijing's growing unease with the situation came to a head in late 2011 when it ordered social networking sites to register all of their users with their real names.

China's 'Twitter' introduces contracts to curb rumors

The controversial policy was theoretically designed to limit rumor mongering, but many suspected it was actually a form of intimidation aimed at limiting public debate from people who liked to express their views under the protection of anonymity.

But despite its draconian nature, that policy was never strictly enforced as Beijing appeared to ultimately stand aside and let social networking sites implement their own less-drastic measures to limit rumor mongering and other controversial behavior.

Around the same time, Beijing also started sending a set of completely opposite signals through traditional state-run media that openly praised the new social media sites.

That campaign saw publication of a series of articles praising the sites as a powerful tool for government and other state-controlled agencies to issue regular updates on their activities and get feedback on new initiatives and steps they were taking to address public concerns.

This hot-and cold approach probably reflects Beijing's initial lack of understanding of the power of social media, followed by its growing level of comfort as it realizes the medium's potential as a valuable and also controllable tool to understand and address public concerns.

While it's too early to say what approach the new leadership will take, the absence of a broader crackdown in the space, a practice often seen at this kind of politically sensitive time, means the current atmosphere of relative tolerance is likely to continue as Beijing learns the importance of accurately gauging public opinion and responding accordingly to people's concerns.

@highlight

Beijing blows hot and cold on social media and its role as a forum for public debate

@highlight

Home-grown sites like Weibo are valued as a controllable tool

@highlight

Facebook, Twitter remain blocked amid fears they could become hotbeds of dissent

@highlight

Current atmosphere of relative tolerance is likely to continue under China's new leaders