(CNN) -- A libertarian from The Cato Institute and a progressive from Public Citizen may not often agree on politics or what the proper role of government should be, but we agree the public has been kept in the dark on the "too big to jail" issue for too long.

Just over a year ago, many were stunned when the Department of Justice decided not to indict HSBC, headquartered in London an one of the world's largest banks. The Justice Department made this decision despite the fact that the bank willfully failed to comply with anti-money laundering laws.

HSBC's criminal activities seemed to most observers to provide a strong case for the government. These activities included permitting narcotics traffickers to launder hundreds of millions of dollars of drug proceeds through HBSC subsidiaries. It also facilitated hundreds of millions of dollars in transactions on behalf of customers in countries that are sanctioned by the United States: Cuba, Iran, Libya, Sudan and Myanmar (formerly known as Burma).

But instead of charging HSBC, the Justice Department entered into a deferred prosecution agreement. Under its terms, the government agreed not to prosecute the company for its actions in exchange for HSBC acknowledging wrongdoing, paying a fine and agreeing to cooperate with the government and remedy its compliance programs. The back's CEO issued a statement accepting responsibility and saying: "The HSBC of today is a fundamentally different organisation from the one that made those mistakes."

One can question the wisdom of our drug war and whether banks should be drafted into law enforcement duties, but those policy questions do not change a bank's duty to comply with the law.

In a Senate Judiciary Committee hearing after the settlement, U.S. Sen. Charles Grassley, R-Iowa, asked Attorney General Eric Holder why the government chose not to indict HSBC.

Holder responded by saying he was not talking about HSBC in particular but that, "I am concerned that the size of some of these institutions becomes so large that it does become difficult for us to prosecute them when we are hit with indications that if you do prosecute, if you do bring a criminal charge, it will have a negative impact on the national economy, perhaps even the world economy."

From Holder's statements, it appears that the government was so worried about the dangerous repercussions that could result from prosecuting such a large, complex and globally significant institution that it shielded HSBC from criminal liability.

In a subsequent House Financial Services Oversight and Investigations Subcommittee hearing that examined the "too big to jail" problem, members of Congress asked repeatedly how the Justice Department decides which financial institutions are "too big to jail" and what information it relies upon to make those decisions. The witness, Acting Assistant Attorney General Mythili Raman, was evasive, and left Congress and the public without answers.

Now, over a year after the HSBC settlement, those questions still loom. Justice has yet to explain its policy and practice concerning the prosecution -- or refusal to prosecute -- large, complex financial institutions.

Without clear answers about how the Justice Department decides which financial institutions are "too big to jail" and what information it relies upon to make those decisions, we are left to wonder about the extent to which the department might be undermining its mission to enforce the law and ensure fair and impartial administration of justice.

If it bases enforcement actions on a bank's size and economic significance, the Justice Department would be taking on the role of financial regulator.

While we may not agree on the wisdom of allowing bank regulators to designate certain entities as "systemic," congressional intent is clear that such a decision is the purview not of Justice but of the Financial Stability Oversight Council. We have yet to see any evidence that the department conferred with the Oversight Council or any financial regulator in determining whether HSBC, or any other institution, was indeed "systemic."

Were the Justice Department to maintain a policy of basing enforcement decisions upon an entity's perceived impact on the national economy, one result would be to further entrench "too big to fail." Such an arrangement would allow these favored companies to borrow at subsidized rates and to capture market-share from smaller competitors, ultimately making these same "too-big-to-fail" companies even bigger.

"Equality under the law" demands that companies are treated similarly under the law, regardless of their size. There cannot be a separate justice system for the large and another system for the small. If certain institutions are being provided preferential treatment under the law, then the Justice Department should publicly acknowledge that that is the case, as well as its reasoning for doing so.

After passing the one-year mark, we hope that our policymakers reflect on this unresolved issue and respond appropriately. The public deserves no less.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Authors: Federal prosecutors declined to indict HSBC for wrongdoing a year ago

@highlight

They say Eric Holder has signaled concern about effects if a large bank were charged

@highlight

We can't have one law for small companies and another for big ones, they say

@highlight

Authors: Justice Department owes public an explanation of "too big to jail" standards