(CNN) -- In 2009, we wrote a book, "40 More Years: How Democrats Will Rule the Next Generation." Building on Ruy Teixeira and John Judis' 2002 tour de force "The Emerging Democratic Majority" predicting the 2008 election, we argued that America's diversifying and increasingly liberal youth voters would secure a lasting Democratic majority.

Our collaboration seemed appropriate then and is only more so now. On one half of the byline, you have James Carville, 68-year-old white man from Louisiana and professor at Tulane University. On the other side, you've got a 26-year-old second-generation Latina with a fiancée. Voters who look like James are on their way out; voters like Rebecca are our future.

A few reviewers missed the point of our focus on demographics. Others, primarily young, entitled, progressive men, critiqued us for not recommending that Democrats focus on appealing to young, entitled, progressive men. To this, we plead guilty. Our book was about demographic diversity and the future of the Democratic Party.

Politics: What the election teaches us about ourselves

After the midterm elections in 2010, we were mocked viciously. Our thesis was laughable, Republicans hooted, ignoring the book's careful caveat that midterm election turnout differs substantially from that of presidential elections.

We would like to direct these critics to the Epistle of Jude, 1:10: "Yet these men speak abusively against whatever they do not understand; and what things they do understand by instinct, like unreasoning animals—these are the very things that destroy them."

Tuesday night proved our 2009 selves could not have been more right. "Mid-20th century, white men made up half of the electorate," we wrote in 2009. "In 2008, white men made up only 36% of the electorate ... and their vote share is dropping by a percentage point a year."

Our only error was in slightly underestimating the rate at which white men's vote share is shrinking. White voters were 74% of voters in 2008; they were 72% this year. White men comprised just 34% of the electorate on Tuesday.

Politics: The new American electorate has arrived

In 2009, we also commented on the Republicans' reliance on the far right and evangelical voters: "The shrinking Christian right leaves a void in the Republicans' collection of base groups—and they can't look to any growing groups to replace those votes."

Mitt Romney outperformed Sen. John McCain, the 2008 GOP presidential candidate, by 5 points with both white voters overall (59%) and white men (62%). He also bested McCain's margin among Republicans, winning 93% of self-identified Republicans as compared to McCain's 90%, and white evangelical voters, 79% compared with McCain's 73%. Romney lost by relying on a tapped-out, ever-shrinking group of voters.

By way of contrast, Latinos now make up a greater share of the electorate than they did four years ago: 10% of all voters. Obama won 71% of Latinos, reflecting an increase in support of 4%. Similarly, the proportion of the electorate identifying as Asian increased from 2% to 3%, and Obama's support among Asian voters rose 11 points, from 62% to 73%.

There's an entire chapter in "40 More Years" on the importance of youth voters. Four years ago, 18% of the electorate was between 18 and 29. Now, youth are 19% of voters. We highlighted a critical trend within the youth vote: "Back in 1972, almost nine in 10 youth voters (87%) were white. By 2004, only 62% of youth said they were white." This year, about 58% of voters 18-29 identified as white; 42.1% of youth self-reported as African-American, Latino, or otherwise nonwhite.

Opinion: How GOP can attract Latino voters

We also predicted the implosion of Republicans' culture war strategy. Our conclusion was that "[w]hat Bush started in 2000 was a two-election trick that had met its natural and timely death by 2008." Our critics tried to answer our claim by citing the success of culture-war tactics in 2004 and their state-level effects in 2008. We ignored them.

As we said, "The consequence of Republicans' lingering preoccupation with the culture war is that it has led them to become a party of ridiculous positions." Republicans would "have to be certifiable," our sage selves circa 2009 warned, to ever try a culture war strategy again.

We could not be more delighted that Maine, Maryland and Washington became the first states in the country to pass same-sex marriage by popular vote on Tuesday. What we're downright thrilled about, however, is the fact that Mitt Romney got fewer votes than "traditional" marriage in every one of those states.

The Republicans did their damnedest to use the specter of homosexual marital bliss to incite their base voters to vote for Mitt Romney. In the past, that has worked. This time, the best they could do with millions of dollars and overt hate mongering—their favorite weapons—was mobilize a conservative minority that voted for "traditional marriage" but rejected Romney.

Some analyses have tried to make 2012 about single women or educated white women or some other narrow slice of the electorate. They're thinking small. The big picture is this: Democrats are continuing to win big with the demographic groups that are growing; Republicans are still struggling to increase support with shrinking base voter groups.

Republicans made critical, unforced errors in 2008 and 2012. Our present hope is that Republicans continue to mock rather than read "40 More Years," and that Democrats take heed. It's not that we like saying we told you so. It's just that we wrote an entire book telling you so.

Opinion: GOP voter suppression fueled black turnout

The opinions expressed in this commentary are solely those of James Carville and Rebecca Buckwalter-Poza

@highlight

Writers predicted that diverse, liberal youth voters would secure Democratic majority

@highlight

They say Tuesday election results proved them correct

@highlight

They say GOP throws money at election, clings to culture war

@highlight

Writers: Dems win with support of growing groups; GOP sees support of shrinking groups