(CNN) -- If you're part of the nearly 40 percent of Americans who are independent or centrist, it's easy to feel frustrated and politically homeless. As activists rally around the most polarizing figures in both parties, we need to play offense from the center and organize across party lines.

To that end, I've compiled two lists of centrist candidates -- six Republicans and five Democrats -- in competitive elections this fall. Their success or failure will say a lot about the strength of the center after a season of RINO hunting and DINO hunting (that's "Republican In Name Only" and "Democat in Name Only"), and it will indicate the chances of a constructive Congress in the year to come.

You'll notice that each list reflects candidates running outside their party's geographic base -- Republicans in the Northeast and Pacific Coast, Democrats in the Mountain West and South.

Neither group of candidates can afford to be captive to its party's special interests, and so it exerts its independence. These are the kind of candidates who keep the two-party system flourishing in states that otherwise would revert to one-party rule and reinforce regional red vs. blue stereotypes.

They are also the kind of candidates our country is going to rely on, after the elections are over and it's actually time to govern. Government cannot be a warfare of interests, and neither party has a monopoly on good ideas or good people. We need to define the common ground that exists and then build on it.

Hyper-partisanship is hurting our country because it is stopping us from uniting to solve the serious challenges we face. And here's an open secret: The centrists in both parties often agree more on issues than they do with extreme members of their own party. Whether that ultimately results in a third party will be seen down the line, but I know that a centrist coalition will be essential in Congress to bridge close divides and to allow common-ground decisions.

Two quick notes: I almost never used the word "moderate,"  because it connotes a mushy middle that splits the difference on every issue. The word "centrist" better communicates the decisiveness, principle and sense of responsibility that I believe the position can contain.

Second, I'm an independent rather than a Democrat or Republican, and later in the week, I'll publish a column looking at some of the independent candidates running this year. In the meantime, take in this list of stand-out centrist candidates from both parties and across the country in 2010.

Republicans

Meg Whitman, California. Yes, this self-funded GOP nominee for governor has spent an unprecedented amount money to remain competitive as a Republican in the Golden State. She is in many ways a classic centrist: fiscally conservative but liberal on social issues and committed to the politics of problem solving. She's betting that her CEO experience at the head of eBay will help her in tough but inevitable negotiations with public sector unions and restore this great but troubled state to fiscal sanity.

Mark Kirk, Illinois. He should be a GOP hero this election cycle: a Republican with a more than fighting chance to take President Obama's Senate seat. He's got fiscal conservative credentials as the first member of the House Appropriations Committee to renounce earmarks. He was a Naval Reservist. But he was opposed by Rush Limbaugh and other conservative opinion makers in the GOP primary largely because he is pro-choice and the co-chairman of the centrist Tuesday Group in the House. Nonetheless, he's running neck-and-neck to win in November, and if he wins, he will be a major player in the constructive center of the Senate for decades to come.

Chris Dudley, Oregon. This former NBA star is giving former Democratic Gov. John Kitzhaber a run for his money. Dudley can't convincingly be painted as a far-right zealot -- he's pro-choice and pro-environment as well as pushing a pro-business agenda. Oregon has a mail-in only ballot, so the election in this Pacific Northwest jewel is already well under way.

Robert Ehrlich, Maryland.  He established a more than 60 percent approval rating as a Republican governor in Maryland (his lieutenant governor was Michael Steele) before the Democratic tidal wave of 2006 swept him out of office. Now, he's back in a rematch with the man who beat him, former Baltimore Mayor Martin O'Malley. He's been a businessman and a congressman, championing some of the toughest anti-crime and innovative environmental initiatives in the country.

Nan Hayworth, New York.  She doesn't represent Carl Paladino's Republican Party, but she's a return to the NY GOP of Rudy Giuliani and George Pataki. This upstate doctor and small-businesswoman is pro-choice and is running for Congress against Democratic incumbent John Hall. It's a Republican-leaning swing district that went narrowly for George W. Bush in 2004 and Obama in 2008. Hayworth's running a few points up against Hall, but she'll have to get past the drag of Paladino at the top of her ticket.

Charlie Bass, New Hampshire. The centrist standard-bearer lost his congressional seat in the Democratic sweep of 2006, and now he's aiming for a return. He had the guts to push for Tom DeLay's removal as party leader in 2005 after the scandals involving imprisoned lobbyist Jack Abramoff. He's been a charter member of Republican Majority for Choice, Republicans for Environmental Protection and a former director of the Republican Main Street Partnership.

Democrats

John Hickenlooper, Colorado.  This popular mayor of Denver is narrowly leading in polls to take the helm of this center-right state as governor in a three-way race against immigration hardliner Tom Tancredo and GOP nominee Dan Maes. Hickenlooper, an entrepreneur and owner of a local microbrewery, got national attention this year for an ad featuring him taking a shower as a way of washing off all the "mud" from negative campaigns.

Gabrielle Giffords, Arizona. This "Blue Dog" Democrat won Jim Kolbe's vacated congressional seat in 2006 and was re-elected in 2008 despite home-state hero John McCain running for president. She's pro-choice, pro-gun and pro-energy independence. Her husband is the only active-duty military spouse in Congress.

Jack Spratt, South Carolina. This old-school budget hawk was one of the leaders of the 1990s budget compromises in Congress that brought the country from deficit to surplus under Clinton and Gingrich. He's facing a predictably tough House race in a red state like South Carolina this year, but the nation is going to need his experience to get out of its fiscal hole, given the likelihood of divided government again. He's been appointed to the bipartisan Deficit Reduction Commission, which is set to release its report in December.

Blanche Lincoln, Arkansas. This centrist senator is facing the longest odds of anyone on this list in her re-election bid against Republican congressman John Boozman. Critics say she's alienated her base. Lincoln responds that her fight against the labor unions that pumped $1 million into a primary campaign to unseat her because of her opposition to bailouts and the public option shows her independence from party labels in a state that is increasingly conservative.

Michael Bennet, Colorado. The nominee to replace Ken Salazar in the Senate was always a tough fit for Colorado -- a former investment banker turned superintendent of the Denver public school system. In this, his first campaign for public office, he's already fended off a well-financed primary challenge backed by labor unions from a former state legislative leader, who argued that Bennet hadn't been liberal enough in Washington. Now he's locked in a surprisingly tight race against Tea Party favorite Ken Buck, who was expected to be comfortably ahead at this stage of the campaign.

The opinions expressed in this commentary are solely those of John P. Avlon

@highlight

John Avlon says in polarized political climate, centrists offer best shot at actual governing

@highlight

Centrists from both sides of aisle agree more with each other than extremists in own party, he says

@highlight

He offers 11 candidates  who will close partisan divides, find common ground