West, Texas (CNN) -- Since they were little boys growing up West, Texas, brothers Doug and Robert Snokhous did everything together. They fixed cars, went hunting, golfed and barbecued together. It just made sense that they would both become volunteer firefighters, and that they were side by side last Wednesday when they rushed to a fire at the West Fertilizer Co.

The brothers were among 14 people who died after the fire led to a massive explosion at the distributor. The blast decimated not only the company's building but ravaged practically the entire north side of the small farming community.

The nine first-responders from West who died battling the blaze represented nearly one-third of the town's volunteer firefighting and EMT force. The fire destroyed three fire trucks and an ambulance. Firefighters and trucks from neighboring communities now fill the void at the West firehouse.

Among the others who rushed to the fire and lost their lives: Kenneth "Luckey" Harris Jr., a 52-year-old Dallas firefighter who lives in West, and two friends of first responders whose identities have not been confirmed by authorities.

Two other people were killed in their apartment nearby.

By Monday afternoon, a Facebook page "Prayers for West" had been "liked" nearly 80,000 times. Besides offering thoughtful messages, the page served as a kind of bulletin board for people in West trying to coordinate donations and help each other.

Reporters have been given access to the devastated area. It resembles the wake of a tornado -- trees are uprooted, an apartment building's walls are blown off, and enormous chunks of concrete litter the surrounding fields.

The disaster has rocked the community and, even in the shadow of the Boston Marathon bombings, which have received the lion's share of media coverage this past week, it has reverberated throughout the country.

President Barack Obama and first lady Michelle Obama will go to Baylor University in Waco, Texas, on Thursday to attend a memorial service for the victims of the blast, White House press secretary Jay Carney told reporters Monday.

Texas town tries to rebuild with community, spirituality

Townspeople devastated and displaced

At the time of the blast, West Fertilizer Co. was closed for business, so there were no workers inside, officials said.

The explosion injured hundreds of people who lived near the distributor, authorities said, and others were without a place to live because the blast damaged their homes. West's high school and middle school were damaged.

Investigators searched for clues Monday morning in the 22-foot-deep crater left when a stockpile of ammonium nitrate exploded.

At a Monday afternoon press conference Assistant State Fire Marshal Kelly Kistner told reporters that officials are confident the neighborhood near the site of the explosion is safe. Several authorities spoke at the news conference but offered few details about the investigation, noting that they are being methodical and that the probe will take time.

At a news conference Sunday evening, officials said determining how many volatile chemicals were in the facility will be difficult because the company's records were destroyed in the blast. They are attempting to find the records elsewhere.

The start of school Monday gave some members of this small community a feeling that many had not enjoyed for days -- a calm familiarity

The elementary school in West is the only local school that wasn't damaged in the blast. Some parents escorted their children inside the school Monday. Counselors were at the ready.

Many of the parents' cars had lettering marked by police, an indication that the families live within the area affected by the blast.

Dr. Marty Crawford, the superintendent of West Independent School District, and his staff worked through the weekend to get the elementary school ready for class Monday. On Sunday evening, the high-energy administrator barked orders to staff carrying boxes of supplies up and down the school's hallways.

The town's high school and middle school were too damaged to hold classes. So on Monday, about 500 high school and middle school students opened their books in Waco, about 15 miles south of their hometown.

In the days after the blast, officials in nearby school districts put their heads together to come up with a plan to help stranded students in West.

One school district donated 13 buses to drive the kids to Connally Independent School District in Waco, which provided extra classroom space. As the students arrived, teachers shook hands and hugged West students.

To help the West students feel more at home, volunteers worked through the weekend to paint some of the classrooms with West's colors -- yellow and scarlet -- and some Connally students wore red to school, said Wesley Holt, a Connally spokesman.

Back in West, a small town kept trying to cope. Evacuated townspeople began returning home over the weekend. Authorities allowed a second wave to revisit their homes Sunday. The process was going well, said Steve Vanek, West's mayor pro tem. Texas state police were keeping a close watch on cordoned-off areas near the blast site, he said, and a strict curfew is being enforced.

Those returning home to the areas still cordoned found a heavy police presence and numerous checkpoints. Their homes are just as they left them when they were abruptly evacuated out of fears a toxic cloud of gas would engulf the community. Many of the homes have broken windows, and all have a spray-painted "X" on the front door. The "X" shows that officials had searched the homes for victims.

Brothers and friends lost

On Sunday evening, representatives recited prepared remarks from some grieving families.

One speaker said that Doug and Robert Snokhous "were much more than brothers. They were lifelong friends."

The siblings lived a half-mile from each other in West, and both worked at Central Texas Iron Works in Waco. Doug had been there for 30 years; Robert had just reached his 20th year at the company.

"They were always together and we are comforted that they were together in the end," the family said.

The family of volunteer firefighter Jerry Chapman said that "other firemen and women survived because of the action he took."

Chapman wanted to "live on the edge," according to a statement read for reporters, and "his faith in God and fellow firefighters gave him the strength to lay down his life for others."

Chapman "died a hero," his family believes.

An obituary for the Dallas firefighter who lived in West, "Luckey" Harris, said he loved offshore fishing with his sons and spending time on his boat, the "Boots Up." He had been married, the obit says, for 28 years.

CNN is working to confirm the names of others who died.

Also a picture of the injured was beginning to emerge, as some hospital officials released details Monday.

Two patients were still in critical condition at Parkland Memorial Hospital in Dallas, officials said.

Thirty-nine patients had been treated and released from Hill Regional Hospital in Hillsboro.

Of the 28 patients admitted to Hillcrest Baptist Medical Center in Waco, seven remained there Monday.

Five of those patients were in the intensive care unit, officials said.

There were also two young "trauma" patients at a children's hospital in Temple.

CNN was still trying to gather information from other hospitals in the area that tended to the wounded from last week's explosion.

Consolation in church

Meanwhile on Sunday, as parishioners streamed out of St. Mary's Catholic Church after Sunday's service, Father Boniface Onjefu hugged and consoled his congregants, and gave reassuring smiles and high fives to the church's youngest members.

"West is a strong city. We shall definitely overcome this tragedy," Onjefu told those assembled at his church, about a mile from the explosion site. Several members of St. Mary's were killed or injured battling the blaze, Onjefu told CNN.

During the service, the priest told congregants what he saw on that awful day. He had just returned to the rectory when he heard the blast.

"I thought it was an earthquake," he said. The lights flickered on and off as his small two-story brick residence shook from the explosion.

Onjefu said that when he headed outside, he was awestruck by a large, dark plume of smoke rising on the north side of town. He got into his car and drove toward it.

The priest was one of the first to arrive in the destroyed part of town. He immediately began helping remove victims from a severely damaged nursing home. He told his congregants that he had witnessed "fear in the eyes" of people walking the streets of West.

The church's parking lot became a staging area, of sorts, for police and first responders who have flooded the north central Texas community since the blast.

Long lines of cars streamed by West's community center, dropping off food, water and other rations throughout the weekend. Numerous church groups and restaurants handed out hot meals.

"These are our neighbors. They are coming to help," Waco Police Department Sgt. William Patrick Swanton told reporters. "You will find that in Texas. You will find that across the United States. We put everything aside when it comes to these types of situations."

The cause of the fire and explosion has not been determined yet, but investigators have isolated the center of the blast, Assistant State Fire Marshal Kistner said Sunday. The explosion left a large crater in the middle of the distributor, Kistner said.

Funeral arrangements are pending for those killed.

CNN's Todd Sperry reported from West, Texas; CNN's Martin Savidge, John Murgatroyd, Eric Fiegel and Gustavo Valdes contributed to this report from West, Texas; CNN's Ashley Fantz, Matt Smith and Mark Morgenstein contributed from Atlanta.

@highlight

A business that distributed fertilizer exploded in West, Texas, on Wednesday, killing 14

@highlight

Volunteer firefighters were brothers who did everything together, family says

@highlight

Some West students whose schools were damaged are taking classes in Waco