(CNN)The tragic news that Kayla Mueller, an American woman being held hostage by ISIS, has been confirmed dead has once again raised the question of how the United States and others should respond to hostage taking.

That the United States has negotiated in the past with groups and states that have condoned and sponsored terror is beyond contention. But should it do so in the future? And, equally important, should it try to impose or try to influence others who are considering negotiating, specifically the families of those taken?

These are tough questions, so let's get the easy stuff out of the way first.

There's no question that negotiating with terror groups, paying ransoms, incentivizes these activities, undermines America's credibility, sets terrible precedents and encourages copycats and more terror. How could it not? Nothing in life succeeds like success. And whether it's a legitimate business or criminal enterprise, if something is working, the tendency is to do more of it.

As a consequence, and given the stakes, the official position of the U.S. government is that it does not negotiate with terrorist groups (even though as the nuclear negotiations with Iran attest and the recent opening to Cuba, too, the United States does engage with countries that have been designated state sponsors of terrorism).

The most obvious exception to the U.S. government's rule on negotiating was the Reagan administration's efforts during the 1980s to seek the return of hostages held by Lebanese Shia groups, famously revealed in the Iran Contra affair. And there was the green light given to Israel to release hundreds of Shia prisoners in 1985 in what amounted to a quid pro quo to win the freedom for U.S. citizens on hijacked TWA Flight 847.

But there have been other, more recent, examples. These include facilitating the exchange of Peter Moore, a British national kidnapped by Shia militiamen in Baghdad in 2007, for Qais al-Khazali, former spokesman for Shia cleric Muqtada al-Sadr, who was implicated in the killing of U.S. soldiers in Karbala. And then, of course, there was the Bowe Bergdahl exchange in 2013 for five Taliban officials, a deal that the Obama administration insists wasn't negotiating with terrorists, in part because the Taliban is an insurgent rather than a terrorist group. (But as Peter Bergen has pointed out, the Haqqani network has been designated a foreign terrorist organization). Direct or indirect, insurgent or terrorist, these are for the most part distinctions that don't really amount to real differences. And if you push the argument too far, they make the United States look inconsistent and hypocritical.

But these are in the past, you might say. What about now, particularly in the wake of the threat from ISIS and the beheading of American citizens?

Well, the French government, despite denials, was reported by The New York Times to have succeeded in buying back kidnapped nationals from ISIS. In addition, four employees of a French nuclear firm were also freed after having been held by an al Qaeda affliliate in northern Niger, reportedly in return for money, although the French government denied this. That said, the buying back of Americans from ISIS may present even greater challenges, especially when ISIS sets price tags like the $132 million it demanded for James Foley, or as it proved in the case of the two Japanese nationals and Jordanian pilot, that the group was never serious about negotiating.

Still, even given these enormous demands, should the United States change its policy and try to secure the release of its citizens, most likely for money,  when they're in mortal peril, particularly if escape or rescue aren't options?

It is interesting that in response to ISIS' hostage taking, President Obama ordered a review of U.S. policy on this issue. Even though other countries, particularly Israel, negotiate and trade with terrorist groups, it is virtually certain that Washington won't change its official policy. But it should -- in the event there are real opportunities to redeem hostages -- look the other way, if not facilitate the efforts of private individuals or family members who can raise funds to secure the release of family members? Sure nobody wants to give in to terror and enable more hostage taking. But on the other hand, do we just write these Americans off as simply unlucky souls in the wrong place at the wrong time? After all, if this was your son, father, husband, wife, daughter or sister, would that be an acceptable response from your government?

These matters raise serious moral and ethical questions that are excruciatingly painful to answer. The war against this kind of terrorism is likely going to be a long and painful one. And we may well have to wrestle again with some very tough choices. Do we maintain a principled position against negotiations, discourage private citizens from their own efforts -- even threaten to prosecute them if they try to pay ransom? Or do we approach each terror-filled hostage-taking situationally and maintain some flexibility to see whether lives can be redeemed? I'd be in favor of the latter.

Giving into murderous terrorists  is horrible. Giving up on the lives of innocent human beings in the name of a principle  when there might be real and serious possibilities of saving them is worse.

@highlight

Kayla Mueller, held hostage by ISIS, was confirmed dead Tuesday

@highlight

Aaron Miller: Negotiating with terror groups, paying ransoms, incentivizes such activities