(CNN) -- Landor Sanchez wants to practice medicine again.

But instead, he's laboring at an asbestos removal company in upstate New York.

For five years, Sanchez was a family medicine doctor in Cuba. He moved to the United States in 2011 with the dream of being a doctor there.

Like many immigrants, he had a plan to live with friends to save money and to study for the exam to become medically licensed in the United States.

But soon, his money ran out. And Sanchez found himself with less time to study and instead taking any job he could get -- from painting, to fast-food restaurants, to, now, asbestos removal.

A doctor, not practicing medicine, in a country that is short of primary care physicians.

Sanchez's story is common among Latino immigrant doctors.

In Southern California alone, there are an estimated 3,000 medically trained Latino immigrant doctors who aren't practicing medicine.

"We had always wondered, where are the (immigrant) doctors from Latin America?" says Dr. Patrick Dowling, chairman of UCLA's Department of Family Medicine. "And we stumbled upon them working in menial jobs."

Instead of treating patients, Dowling says, many doctors spend years cleaning houses or working on construction sites and in fast-food chain restaurants.

"We heard from one woman working at McDonald's in Colorado," says Dowling. "So she is selling fast food to people, and if she were licensed as a physician, she could be educating those same people, those same patients, on what a good diet is."

Latino immigrant doctors have a harder time than other immigrants transitioning into the U.S. health system, according to Dowling.

"Often they work in their own country for 10 years and then come here and they aren't licensed, and then they see how hard the process is and they have to get an odd job to support themselves."

It's a costly, time-consuming process that most immigrants aren't prepared for.

From migrant worker to neurosurgeon

That's why Dowling and his colleague, Dr. Michelle Bholat, have developed a program at UCLA that helps fast-track Latino immigrant doctors into the U.S. health care system, the International Medical Graduate program.

The IMG program provides test prep classes and clinical observations with UCLA doctors. It also covers the cost of the U.S. medical board exam and provides a monthly stipend.

Funded by private donors, the program has helped 66 Latino immigrant doctors pass the board exams and get placed into residency programs in California. In return, the doctors commit to working three years in an underserved area.

Dr. Jose Chavez is one of those graduates.

He was a doctor in El Salvador with more than eight years of medical training when he moved to the United States in 2005.

But prior to last year, he wasn't working in a U.S. hospital -- or any hospital. Instead, he was cleaning houses and installing flooring.

"I would do anything you asked me to as long as it was legal and you paid me for it," he says.

Chavez says without the help of UCLA's IMG program, he would still be working odd jobs to pay the bills while juggling his time to study for the test at night.

"It requires you study at least 10 hours a day," says Chavez. "Imagine you are working 10 hours a day, and then try to study 10 hours at night. It is really impossible."

The stipend allowed Chavez to stop cleaning homes and focus solely on his studies. He passed the U.S. medical board exam just six months after being accepted into the program.

Today, he is a first-year resident at Riverside County Regional Medical Center in California -- a place in desperate need of doctors. Riverside County has just one primary care physician for every 9,000 residents, according to the hospital.

"I personally know at least 20 more (Latino immigrant) doctors who are delivering pizza, and instead they could be working as doctors if they had the help I had," say Chavez.

And with Obamacare potentially adding 25 million to 30 million people to the health system, the doctor shortage is going to get worse before it gets better.

"When 2014 rolls around, they (Americans) may have an insurance card, but where are they going to get care?" says Bholat. "It is not enough to just issue an insurance card."

Your health care is covered, but who's going to treat you?

The problem is compounded in California because of the large immigrant population.

"Forty percent of the population here is Hispanic, but only 5% of our doctors are Latino. That is an amazing gap," says Bholat.

Dowling and Bholat say while their fast-track program may make only a small dent to help the primary care shortage in America, it's a critical start.

"We're getting dozens of applications daily, and we accept as many candidates as we can financially support in the program," says Bholat "We need these doctors in America."

Sanchez has applied to the UCLA IMG program and is waiting to hear if he gets accepted.

Until then, he'll continue to work at the asbestos removal company during the day, and study for the U.S. medical boards at night.

But he says no matter how long it takes, he won't give up on his dream to practice medicine in the United States.

@highlight

Latino immigrant doctors are working menial jobs in the United States

@highlight

Many have a hard time transitioning into the U.S. health system

@highlight

A UCLA program aims to assist the doctors in getting back into the medical field