TEHRAN, Iran (CNN)  -- Iran's president said Tuesday his country welcomes talks with the United States "in a fair atmosphere with mutual respect."

Women in Tehran celebrate the 30th anniversary of the Islamic revolution Tuesday.

Mahmoud Ahmadinejad made the remarks a day after President Barack Obama said the United States is looking for opportunities for "face to face" dialogue with Iran, even though he has "deep concerns" about Tehran's actions.

"Right now, the world is entering the era of dialogue," Ahmadinejad told hundreds of thousands of people in a celebration of the 30th anniversary of the Islamic revolution.

"The new U.S. administration announced that it's willing to bring about a number of changes and is now taking the course for dialogue. It's quite clear that real change should be fundamental, not just a tactical change, and it is quite clear that the Iranian nation will greet real changes.  "The Iranian nation is ready to hold up talks, but talks in a fair atmosphere with mutual respect," Ahmadinejad said.

In Washington, Obama was asked about U.S. relations with Iran during his first prime-time news conference on Monday night. Watch news conference in full »

"There's been a lot of mistrust built up over the years, so it's not going to happen overnight," Obama said.

He said his administration is reviewing existing U.S. policy toward Iran, which supports groups Washington has branded terrorist organizations, such as Hezbollah and Hamas, and has defied U.N. demands to halt its uranium enrichment program.

Despite those concerns, Obama said his administration wants to use "all the resources at the United States' disposal" to resolve those concerns.

"My expectation is, in the coming months, we will be looking for openings that can be created where we can start sitting across the table, face-to-face diplomatic overtures, that will allow us to move our policy in a new direction," Obama said.

"So there are going to be a set of objectives that we have in these conversations, but I think that there's the possibility at least of a relationship of mutual respect and progress."

The United States and Iran have not had diplomatic relations since 1979. During that year, the Shah of Iran was forced to flee the country and the Ayatollah Khomeini took power. Later that year, Iranian students took over and seized hostages at the U.S. Embassy. Relations have been cut since then. U.S. President George W. Bush labeled Iran as a member of the "axis of evil" after the Sept. 11, 2001 attacks.

Iran celebrated the 30th anniversary of the revolution Tuesday with crowds chanting "Death to America."  Watch the parade in Iran »

Tensions have rippled over issues such as Iran's nuclear program, Israel, and Iraq, and have been aggravated since the outspoken Ahmadinejad came to power in 2005.

Western nations believe Iran is intent on building a nuclear weapon. Ahmadinejad has been criticized for his vehemence against and provocative remarks toward Israel and for Iran's support of Hamas militants in Gaza and the Hezbollah movement in Lebanon -- militants groups that Israel has battled. Also, the United States has accused Iran of backing Iraqi insurgents.

In recent years, the Iraq conflict has provided an opportunity for Iran and the United States to cooperate since both countries support the Shiite-dominated Iraqi government and Iraqis have urged both countries to put aside their differences in helping Iraq. In 2007, U.S. and Iraqi envoys met several times in Baghdad.

Ahmadinejad addressed the conflict in Iraq, saying that 1 million people have been killed and others have been displaced because of the "Bush administration war on Iraq."

"To deal with the root cause of insecurity I think that we should go and find the main culprits, including Bush himself and his administration. They must be put on trial," said Ahmadinejad.

"The world does not want to see the dark age of Bush being repeated."

Addressing the issue of terrorism, Ahmadinejad said Iran has been fighting terror for 30 years and that Iran itself been victimized by terror.

"If you want to fight terrorism in practice come and work with the Iranian nation," he said. "If you want to eradicate the root causes of massacres and aggression, let's sit together and see what has been behind the reasons why we have had wars in the Persian Gulf and the Middle East."

As usual, he had harsh words for Israel, a state he loathes and a topic that whips up passions among his supporters.

"If you want to eradicate crime, let's work together with the Iranian nation and other nations of the world and let's put on trial the Zionist leaders of the Zionist regime," the Iranian leader said.

As for nuclear power, Iran has said it wants to harness it for energy and Ahmadinejad indicated Iran is against deploying nuclear weaponry.

"If you want to fight proliferation of weapons of mass destruction, then you should join us and help us so that we will show you the right way. Yes we're opposed to nuclear weapons of mass destruction. They're real threats and they must be destroyed. Iran has been a victim of the use of chemical weapons of mass destruction but the only way would be justice and the use of appropriate mechanisms," he said.

"If they really want to have real security, then they should be able to work with us and then we will be able to revisit the structure of the Security Council -- and remember the Security Council itself is the root cause of discrimination -- we should change this structure and then have justice."

The United States also is concerned about Iran's technological pursuits.

Iran successfully launched its first satellite into orbit last week, a step hailed by Iran's president as a "source of pride" for the Islamic republic, according to state-run news outlets. The launch of the satellite Omid -- which means "Hope" in Farsi -- was timed to coincide with the 30th anniversary celebrations of the Islamic revolution in Iran, according to Iranian media reports. U.S. Department of Defense officials confirmed the launch, and the State Department expressed "grave concern."

In August, Iran performed a test of a rocket capable of launching a satellite into orbit. Iranian officials declared that mission a success, but U.S. officials disputed that. Senior U.S. officials had expressed concerned about the test of the rocket, saying Iran could use the rocket to deliver warheads.

On Monday, Obama said Iran must "send some signals that it wants to act differently, as well, and recognize that, even as it has some rights as a member of the international community, with those rights come responsibilities."

"It's important that, even as we engage in this direct diplomacy, we are very clear about certain deep concerns that we have as a country, that Iran understands that we find the funding of terrorist organizations unacceptable, that we're clear about the fact that a nuclear Iran could set off a nuclear arms race in the region that would be profoundly destabilizing."

Praising Iran's people history and traditions as "extraordinary, Obama says the nation's actions over many years now have been unhelpful when it comes to promoting peace and prosperity both in the region and around the world."

"Their financing of terrorist organizations like Hezbollah and Hamas, the bellicose language that they've used towards Israel, their development of a nuclear weapon or their pursuit of a nuclear weapon, that all those things create the possibility of destabilizing the region and are not only contrary to our interests, but I think are contrary to the interests of international peace."

@highlight

U.S. seeking opportunities for "face to face" dialogue with Iran, says Obama

@highlight

Iranian president Ahmadinejad: We welcome Obama comments

@highlight

U.S. has not had diplomatic ties with Iran for nearly three decades

@highlight

Ahmadinejad makes speech as Iranians mark 30th anniversary of Islamic revolution.