(CNN) -- You likely know that being overweight increases your risk for cardiovascular disease and diabetes. But did you know it also increases your risk for cancer?

If you didn't, you're not alone. While around 90% of Americans know that smoking is linked to higher rates of cancer, Dr. Clifford Hudis says, the inverse is true for obesity and cancer; less than 10% of us realize how fat is related to this chronic disease.

"Obesity is a major, under-recognized contributor to the nation's cancer toll and is quickly overtaking tobacco as the leading preventable cause of cancer," Hudis and his colleagues at the American Society of Clinical Oncology write in a new position paper.

In fact, as many as 84,000 cancer diagnoses each year are linked to obesity, according to the National Cancer Institute. Excess fat also affects how cancer treatments work and may increase a cancer patient's risk of death, either from cancer or from other related causes.

The key word, Hudis says, is preventable. While we can't change the fact that we're all getting older (incidence rates for most cancers increase as patients age), we can change our weight through diet, exercise, sleep and stress management.

The link

In 2003, the New England Journal of Medicine published the results of a study that included more than 900,000 American adults. Researchers followed the healthy study participants for 16 years, and found the heaviest participants were more likely to develop and die from cancer than participants who were at a healthy weight.

After their analysis, the study authors concluded that excess fat "could account for 14% of all deaths from cancer in men and 20% of those in women."

Since then, research has simply strengthened the link between obesity and cancer. Studies have found a relationship between weight and the risk of as many as 12 cancers, says Dr. Otis Brawley, chief medical officer for the American Cancer Society, including endometrial, colorectal, esophageal, kidney and pancreatic cancers.

A recent report published in the American Association for Cancer Research's journal predicted the top cancer killers in the United States by 2030 will be lung, pancreas and liver -- in part because of rising obesity rates.

The science behind it

"It's not enough to say there's an association between obesity and cancer. We need to know why," Hudis says. "With the why, we can do something about it."

Scientists are exploring several hypotheses on how excess fat increases a person's risk for cancer. The answer may be slightly different for each type of cancer, but the encompassing explanation seems to be that obesity triggers changes in how the body operates, which can cause harmful cell growth and cell division.

Many of these changes may be linked to inflammation. In general, inflammation occurs when your body is reacting to something out of the norm -- say a virus or a splinter in your foot. Obesity seems to cause chronic inflammation, which in turn may promote cancer development.

Take for example, Hudis says, hormone-sensitive breast cancers. Chemicals in the body meant to regulate inflammation also increase production of the hormone estrogen. And studies have shown excess estrogen can cause breast cancer tumors.

Fat tissue also produces hormones called adipokines, which can stimulate or inhibit cell growth, according to a fact sheet from the oncology society. If these hormones are out of balance, the body may not be able to properly fight cell damage.

Let's talk about sex... and cancer

Treatment and mortality

Obesity can affect a cancer patient's outcome from diagnosis to remission, Hudis says.

Obesity-related pain or unbalanced hormone levels may distract patients from the early warning signs of some cancers. Fatty tissue can also make it difficult for doctors to see tumors on imaging scans. And a late diagnosis often means a lower chance for survival.

The relationship between cancer and obesity also matters after diagnosis. Cancer treatments, such as radiation or chemotherapy, may be hindered by a patient's size. If the patient needs surgery, studies show excess fat puts them at a higher risk of complications, infections and death.

Tumor Paint: Changing the way surgeons fight cancer

A recent study of 80,000 breast cancer patients found that pre-menopausal women with a BMI over 30 had a 21.5% chance of dying, compared to women with an average BMI who had a 16.6% chance of death.

Remaining obese as a survivor can also increase your risk of developing what's called a secondary cancer, the authors of this new position paper say.

What you can do to reduce your risk

In general, "people should be aware that overweight and obesity, as common as they are in our population, have serious consequences," Hudis says. "Cancer is really just another one."

Start reducing your risk now: Stay active. Eat nutritious foods that are low in calories. Get seven to eight hours of sleep a night. Manage your stress levels. All these behaviors will help you reach a healthy weight.

11 simple weight loss tips

If you or someone you know is a cancer survivor, talk to your oncologist. He or she should be aware of the link between cancer and obesity, Hudis says, and able to help you find resources in your community.

The American Society of Clinical Oncology is recommending more research be done on weight loss in the cancer survivor population to determine the best intervention method -- and whether losing weight after a diagnosis improves patient outcomes. The results of these future studies could help persuade insurance providers to reimburse patients for weight management programs.

@highlight

ASCO: Obesity may overtake tobacco as leading preventable cause of cancer

@highlight

84,000 cancer diagnoses each year can be linked to obesity

@highlight

We can change our weight through diet, exercise, sleep, stress management