(CNN) -- It's almost that time: the once-a-decade-moment when the U.S. Bureau of the Census tries to determine the population.

Counting more than 300 million residents is a complex and costly operation (an estimated $14 billion), but the results yield the basis for how we apportion Congress, distribute more than $400 billion in federal funds and understand basic changes to the number and geographic distribution of U.S. residents.

The largest challenge that the Census Bureau faces is ensuring everyone is counted, regardless of where they live, who they live with and perhaps most controversially, regardless of whether they are authorized to live in the United States.

Most households will receive a census form by mail in mid-March to be filled out as of Census Day, April 1. First results of state counts for redistricting purposes must be delivered by December 31. The rest of the results will be released over a period of time that ends in 2013.

Filling out a census form is mandatory by law. The 2010 Census  will have 10 basic questions for each household member, but it is viewed as a burdensome task by some because they see the questions as too personal or the process too intrusive. Others distrust what the government will do with the information or fear that it may be used against them. Some are hampered by language barriers. Still others have more than one residence.

Every decade, the Census Bureau works hard to make sure everyone is  counted once and only once. And it makes an extra effort to count those who have traditionally been hard to count: racial and ethnic minorities, immigrants and the poor.

This coming census -- the largest count of the U.S. population with more immigrants and minorities than ever -- will be complicated further by the economic downturn and foreclosure crisis because many people are "doubling up" or otherwise living in temporary quarters.

The census questionnaire asks for a count of all people who live and sleep in the household "most of the time," as of April 1, but not those who are living away at college or in the military or those who are living in a nursing home or who are in a jail, prison or detention facility. (They are counted separately from households.)

"Home" may have changed recently for those whose hardship leaves them little choice but to live with relatives or friends, however temporary that may be. "Home" for displaced residents of the Gulf Coast may be miles away from where they lived before the devastation that Hurricanes Katrina and Rita wrought in their communities.

"Home" for some immigrants is in U.S. communities even though they are not legally residing in the United States. And "home" may be in a prison or detention center in a state far away from the inmate's hometown residence.

These are the very residents that Census will try hardest to enumerate this spring. Abutting the challenges of where to call home are the public debates surrounding them:

-- Civil rights leaders, recognizing the unique context of the Gulf Coast region, are working hard to ensure an accurate local  Census. At the same time, other regional leaders would like to see displaced Gulf Coast residents counted where they lived before the storms.

-- A coalition of African American leaders is lobbying for inmates to be counted in their place of residence before imprisonment.

-- A tug-of-war has ensued between Latino leaders on one side who are working to get an accurate count of the population regardless of legal status and those on the other side who are advocating a census boycott by immigrants as a way to put pressure on Congress to move forward with federal immigration reform.

-- A recent amendment introduced in the Senate would have delayed the implementation and hiked up the cost of the census, had it passed. In an attempt to exclude the unauthorized population from the official count for congressional apportionment purposes, it would have required questions on citizenship and immigration status for each respondent. That data is not collected to encourage participation in the census. The senators missed the deadline by two years to make a change of that order of magnitude.

Given the demands and challenges, it is vital that we bear in mind the importance of achieving an accurate count and the economic, political and policy implications if we fail.

Understanding our changing population: State and local data on age, race and ethnicity, household size and composition help communities with projections for school enrollment, housing, transportation and health care. Businesses use census data for decisions about where to locate and for marketing purposes. Information from the census is used to prepare for emergency services, research changes and advocate for various causes.

Distributing federal dollars geographically: More than $400 billion a year is at stake, federal funds that go to states and localities to build schools, hospitals, highways and fund programs such as Medicaid.

Apportioning Congress: The redistricting and apportionment of congressional seats is contingent on census results. This is the primary purpose of the census as written into the U.S. Constitution. States and localities also use the data to redistrict; therefore it is in every state's interest to be accurately represented based on their residents.

One debate that has been resolved: Census 2010 will not use statistical sampling as many Republican leaders have feared. Sampling has been proposed as one way to mitigate the undercount of minority populations, the majority of whom are assumed to vote Democratic. The U.S. Bureau of the Census does use sampling in its annual American Community Survey that collects more detailed data including social, economic, and demographic characteristics.

The political and equity arguments will continue to surface as we head into Census 2010. Public officials, advocacy groups, and community organizations will need to work together with census officials to get the most out of what will be a difficult enumeration, but one that sets the stage for the next decade.

The opinions expressed in this commentary are solely those of Audrey Singer.

@highlight

As the 2010 Census gets underway, the counting process will be especially difficult

@highlight

Audrey Singer says recession has led to people doubling up in living quarters

@highlight

She says Latino leaders are split over how to deal with the census

@highlight

The census aims to count everyone, whether they're legally entitled to be in U.S., Singer says