About every two weeks, Rick Allen gets a series of thermal snapshots from high above Earth that show how water gets used across the western United States, a perennial source of friction in the largely arid region.

"We see all of the cold spots, which are irrigated fields," said Allen, the director of the Water Resources Research Program at the University of Idaho. "We take the relative temperatures and transform that into an equivalent of an amount of water used in cubic feet per acre per day, or cubic meters, or inches of depth. We can transform that information into types of units that are used by water managers and state agencies to manage water consumption."

The stream of data that Allen dips into has been flowing since 1984, when NASA's Landsat 5 satellite went into orbit. Landsat 5 finally shut down in November, and it successor, Landsat 7, beams back a set of images of Allen's region to the U.S. Geological Survey every 16 days -- but because of a faulty scanner, they come in with black streaks across them. A replacement is being readied for launch, but it's unlikely to make it aloft before January.

"We'll be hobbling through the year 2012 using only Landsat 7 with incomplete imagery," Allen said. "That's really hurting us badly."

It's a problem facing other scientists as well, as a combination of budget pressure, program delays and a pair of launch failures leaves the United States facing a "rapid decline" in its fleet of Earth-science satellites, the National Academy of Sciences warns. Of 23 such satellites now aloft -- carrying dozens of instruments that help weather forecasters produce storm warnings and measure pollution, ocean winds and sea levels -- only six are expected to remain in operation by 2020, and efforts to replace them have stalled, the National Research Council reports.

"These precipitous decreases warn of a coming crisis in Earth observations from space, in which our ability to observe and understand the Earth system will decline just as Earth observations are critically needed to underpin important decisions facing our nation and the world," according to a May report from the Academy's National Research Council. "Advances in weather forecast accuracy may slow or even reverse, and gaps in time series of climate and other critical Earth observations are almost certain to occur."

NASA calls the report "overly pessimistic," however. In a statement to CNN, the space agency says many of its satellites have lasted far beyond their expected lifetimes, and that scientists are getting regular data from other countries' probes.

"NASA is developing a set of missions that will both continue critical long-term data records and demonstrate new instruments and measurement approaches for important variables that are not presently being measured from space," it said. "Our research portfolio remains robust."

The NRC report follows up on a 2007 study that recommended a list of 17 satellite missions for the next decade. But Dennis Hartmann, who led the committee that produced the new report, said none of those have launched "because of a variety of reasons."

"They didn't get as much money to use as the decadal survey assumed," said Hartmann, an atmospheric science professor at the University of Washington. "Some things cost more, especially launch vehicles, so the overall cost has gone up."

Meanwhile, science budgets for both NASA and NOAA aren't keeping pace with inflation, he said, and NASA has lost two previously planned missions after liftoff.

The 2009 Orbital Carbon Observatory was to have measured the accumulation of carbon dioxide in the atmosphere, while 2011's Glory would have measured solar radiation and atmospheric aerosols. Both crashed into the Pacific Ocean when the shell around the satellites failed to break away from the boosters.

The kind of observations those probes send back are critical for climate researchers like Josh Willis, at NASA's Jet Propulsion Laboratory in California.

Willis relies on radar imaging from the Jason-2 satellite, which monitors the rise in sea levels scientists say is a sign of a rise in global temperatures. Jason-2's expected lifetime is up in mid-2013, but its scheduled replacement, Jason-3, isn't likely to be launched until late 2014. If the current satellite goes out before the new one goes up, it would break a string of uninterrupted observations that date back to the early 1990s.

"One of the reasons it's so good and powerful is we've been able to link together the satellite records before the last one gets old -- we've been able to fly a new one and get some overlap," Willis said. "What's important is not just what sea level is today, but how today's sea level relates back to the past."

The NASA-launched, NOAA-funded satellite, about the size of a refrigerator, scans nearly all of Earth's ocean surfaces every 10 days from about 800 miles up. It has been orbiting since 2008 -- and while its lifespan is officially five years, Willis said its predecessor Jason-1 is still functioning at 10.

"It's not super-healthy, but it's still collecting data and it's still being used," he said.

Of the 17 recommended missions in the 2007 survey, 15 are still in the study and review phases, NASA spokesman Steve Cole told CNN. The remaining two are expected to launch by 2016, along with a replacement for the OCO.

In the meantime, the space agency is using more aircraft flyovers to take the place of satellite observations of the Arctic and Antarctic. The program, known as IceBridge, is aimed at filling a gap between the shutdown of the ICESAT orbiter in 2010 and the espected launch of its successor, ICESAT II, in 2015. But the report by Hartmann's committee noted that the flights "must leave unobserved large portions of the major ice sheets and sea ice" until regular space-based observations resume.

NASA is already running two other airborne missions and plans to announce more in the coming year, Cole said.

And NOAA, which manages many of the satellite programs once the hardware has reached orbit, has also made arrangements to share data from a Japanese satellite launched last week. The first of a new series of NOAA satellites aimed at boosting the accuracy of long-range forecasts went into orbit in 2011, and it also carries instruments that monitor ozone levels, energy from sunlight and moisture in the air.

@highlight

Tights budgets, growing costs and failed launches hurt satellite programs, report finds

@highlight

"We'll be hobbling through the year 2012," Idaho scientist says

@highlight

Nearly three-quarters of 23 Earth-observation satellites could go dark by 2020

@highlight

NASA calls the report "overly pessimistic"