(CNN) -- Once the most popular smartphone, the BlackBerry has been losing ground in the past year to iPhone and Android models. So Research in Motion is trying to carve out a new market with the PlayBook (the upcoming BlackBerry tablet) due to hit stores in the U.S. and Canada on April 19. Prices start at $499, same as for the iPad 2.

However, the BlackBerry operating system is definitely not on the cutting edge of smartphone platforms. So there's been ample skepticism about how attractive a BlackBerry tablet might be to consumers, especially compared with slick offerings such as Apple's iPad and the growing array of Android tablets.

On March 24, in a move apparently aimed at compensating for the weaknesses of the BlackBerry OS and relatively lean BlackBerry App World offerings, RIM announced that the PlayBook will support Android apps, as well as the Java-based apps that currently run on BlackBerry smartphones.

According to the news release, "RIM will launch two optional 'app players' that provide an application run-time environment for BlackBerry Java apps and Android v2.3 apps. These new app players will allow users to download BlackBerry Java apps and Android apps from BlackBerry App World and run them on their BlackBerry PlayBook."

However, the release also notes that "The new app players for the BlackBerry PlayBook are expected to be available from BlackBerry App World this summer."

So if you rush out to buy a PlayBook this spring, you'll have to wait a few months to get those Android apps and see how well they run.

Crackberry clarified, "This doesn't mean that RIM is working with Google to bring Android marketplace to BlackBerry, but rather that developers who have made Android apps can sign up as BlackBerry App World developers (which is now free of charge) and distribute their apps to BlackBerry PlayBook owners via App World."

And as to the user experience, Crackberry notes, "Because these Android Apps and BlackBerry Smartphone apps will be running in a sandboxed environment, to use RIM's vocabulary we can likely expect the experience to be more along the lines of simple open-and-use 'apps' rather than the deeply integrated 'super apps' that RIM often likes to talk about."

Media analyst Jean-Louis Gassée sharply criticized RIM's app strategy for the PlayBook, as well as RIM's entire business approach of late. He points out that touting the PlayBook as running Android apps is misleading, since consumers won't be able to download apps from the Android app market and run them on the PlayBook.

Rather, developers will have to adapt their Android apps to run within the PlayBook's app player and then get them approved to be offered in the BlackBerry App World, a hurdle few developers are likely to be willing to jump for a new, unproven tablet with established competition.

"Launching what is clearly an immature product and trying to compensate for a dearth of applications with a misleading claim of compatibility with the wrong version of Android is insane," Gassée wrote.

I'm puzzled by the market strategy here. Clearly, RIM is using the PlayBook to push hard to get more users in the consumer media and gaming market. But that represents a huge away shift from the company's original (and still strong) market base, which is mostly corporate users focused on messaging services.

On that front, there's a further complication: The PlayBook reportedly falls short in terms of supporting the integrated messaging services that die-hard BlackBerry fans love.

According to Information Week: "The PlayBook will first launch in a Wi-Fi only configuration (Sprint will sell a WiMax version this summer). That means the PlayBook can only snag emails and other data when in range of Wi-Fi hotspots. Email, contacts, and calendar data are not 'live' on the PlayBook as they are on a regular BlackBerry. In fact, the only way to access live corporate PIM data is to tether a BlackBerry to the PlayBook via Bluetooth. The PlayBook will then mirror whatever data is on the BlackBerry."

This sounds like a huge drawback for RIM's existing business users. It means that in order to take advantage of the features BlackBerry users love, they'll have to carry around both devices and take the time to tether them.

It's good that RIM is branching out in new directions, and a tablet makes sense. But why not build on the company's strengths to create a robust tablet experience for business users rather than go flailing after the consumer and gaming markets, a strategy that pits the PlayBook squarely against the iPad? Doesn't sound like a fair fight.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

BlackBerry's PlayBook tablet hits stores April 19 and will start at $499

@highlight

In an effort to make the PlayBook more attractive, BlackBerry is opening it to Android apps

@highlight

But few Android app developers may be willing to jump through hurdles for an unproven tablet

@highlight

The PlayBook also falls short in terms of supporting integrated BlackBerry messaging services