(CNN) -- The nation's most visible budget battle was heavy on passion and light on legislative attendance Thursday as Wisconsin wrangled over a bill that would strip teachers and other public employees of most of their collective bargaining rights and cut their benefits.

Republican Gov. Scott Walker called for 16 senators -- 14 of them Democrats -- to appear at the Capitol in Wisconsin for a vote on his bill. Senate Majority Leader Scott Fitzgerald said the chamber will reconvene Friday.

Senate Minority Leader Mark Miller said he and fellow Democrats had left Madison because they were "trying to allow opportunity for democracy to work."

"We will return and do our job, but the governor has to do his job," Miller said. He noted their return is contingent on changes to the controversial legislation.

Walker called on the absent lawmakers to return to Madison "out of respect for the institution of the Legislature and the democratic process."

"Their actions by leaving the state and hiding from voting are disrespectful to the hundreds of thousands of public employees who showed up to work today and the millions of taxpayers they represent," Walker said.

CNN affiliates WREX and WTVO reported that several of the AWOL lawmakers fled to Rockford, Illinois.

And while the legislators skipped town, thousands of people came to Madison to protest the bill for a third day, including many teachers, who stand to be strongly affected by the bill. Demonstrators spilled into the state's Capitol building, chanting, "This is our house" and "Forward not backward," voicing their opposition to the bill.

The Madison Metropolitan School District canceled classes for the third day Friday, because of anticipated staff absences.

Showdowns over local and state budgets -- hurt by lower tax revenues and other trends of the economic downturn, including federal budget cuts --  are occurring from California to New York.

"There are some tough decisions that are going to have to made on the revenue side and the spending side," said Elizabeth McNichol, senior fellow at the Washington-based Center on Budget and Policy Priorities.

-- A month after Illinois lawmakers approved a massive tax hike, Gov. Pat Quinn on Wednesday unveiled a $35.4 billion budget that depends on state lawmakers approving $8.7 billion in new borrowing largely to clear a towering stack of unpaid bills.

-- In New York, Mayor Michael Bloomberg presented budget plans Thursday that could eliminate more than 6,000 teaching jobs in the next fiscal year.

-- Last month, the mayor of crime-ridden Camden, New Jersey, announced layoffs of nearly half of the city's police force and close to a third of its fire department.

-- In California, Gov. Jerry Brown imposed a statewide hiring freeze across all government agencies.

Thirty-five U.S. states and Puerto Rico reported projected budget shortfalls for fiscal year 2012 totaling $82.1 billion, according to the National Conference of State Legislatures.

"As most federal stimulus dollars will have been exhausted, a common phrase we hear from states across the country is that 'we're very much on our own this year,'" said  Arturo Perez, a budget analyst for the conference.

State revenues are -- at the national average -- 11% below pre-recession levels largely because of high unemployment and other effects of the economic downturn, McNichol said.

"People are out of work and not buying as much," McNichol noted.

With fewer budget contributions that, in part, stem from the higher unemployment numbers, public-sector services and long-standing contractual obligations could suffer, she explained.

The budget battle is somewhat unique in heavily unionized Wisconsin, where collective bargaining began. Many workers don't take kindly to what they see as a frontal assault on workers' rights.

Walker, who says the state is in a crisis, is asking legislators to pass his Budget Repair Bill to combat a $137 million shortfall through June 30. An upcoming two-year budget for 2011-13 must address a pending $3.6 billion deficit, he said.

But the state's Legislative Fiscal Bureau -- similar to the federal government's Congressional Budget Office -- reported last month that tax cuts passed late last year by Wisconsin's newly elected, Republican-led legislature had helped add more than $200 million to the state's budget shortfall.

The legislation requires workers to cover more of their health care premiums and pension contributions, although supporters say local governments will decide on health care contribution for their employees.

Pay raises would be limited to inflation, unless a referendum approves of a larger increases, and collective bargaining could cover only wages.

The legislation also requires collective bargaining units to conduct annual votes to maintain certification, a costly procedure, and eliminates the right of unions to have dues deducted from worker paychecks.

"Calling this a budget bill is a smokescreen," said Bryan Kennedy, president of AFT-Wisconsin, which represents about 17,000 employees. "This is an attack on all labor organizations."

White House Press Secretary Jay Carney said President Barack Obama described the bill as "more like an assault on unions" and their capacity for collective bargaining.

"He doesn't see that as a good thing," Carney said. "The president believes, the secretary of education believes that the best way to deal with this is for people to address these problems by sitting down at the table to collaborate and work out a solution."

But House Republicans -- many of whom were elected on budget-cutting campaigns -- have commonly taken a stricter stance on government spending and collective bargaining.

"Republicans in Congress -- and reform-minded GOP governors like Scott Walker, John Kasich and Chris Christie -- are daring to speak the truth about the dire fiscal challenges Americans face at all levels of government," House Speaker John Boehner said in a written statement.

A spokeswoman for the Wisconsin Education Association Council said the issue "goes far beyond what's being discussed as a budget."

"It affects the very people who work on the front lines who will no longer have a voice in workplace," said union spokeswoman Christina Brey.

The legislation would save the state about $30 million between now and the end of June and, if continued, an estimated $300 million during the next two years, Walker has said. He said workers in the private sector pay higher percentages of their pay for health care and pensions.

.

CNN's David Ariosto and Phil Gast contributed to this report.

@highlight

NEW: Madison school district cancels classes for third straight day

@highlight

16 Wisconsin state senators did not appear at the capitol for a scheduled vote

@highlight

House Speaker John Boehner says Walker is daring to speak the truth

@highlight

Opponents say the governor's budget is a union-busting tactic