Washington (CNN) -- Political operatives are pushing pot legalization in several states this year in the hopes of sparking high turnout in this fall's midterm elections, and are looking ahead to 2016 as well.

If voters approve a closely-watched ballot initiative in November, Florida could become the first Southern state to allow medical marijuana.

And voters in Alaska and Oregon — two states that already allow medical marijuana and have decriminalized harsh sentencing for some recreational use — will likely vote on whether to join Colorado and Washington in allowing, taxing and regulating pot for recreational use.

A look at marijuana laws in the U.S.

There's not much of a smoke screen shrouding as to why some Democratic political strategists would want marijuana measures on ballots this year given President Barack Obama's low approval numbers and the party's historic slump in terms of turnout in midterm election years, marijuana policy analysts said.

'Young adults and legalization'

"It's nothing but politics," said Jon Gettman, an assistant professor of criminal justice at Shenandoah University. "If anyone's electoral strategy is to bring out new voters, one area they would target is young adults and marijuana legalization."

That's because people under 30 are more likely to use and be arrested for pot, Gettman said. And, he added, young voter attitudes about legalizing marijuana also tends to cut across political ideologies and includes a cross section of liberals and libertarians.

According to a Pew Research Center poll conducted in February, 70% of respondents between 18 and 29 believe marijuana should be legalized. Comparatively, 32% of people 65 and older support legalization.

So, political operatives and their well-heeled backers have sallied forth, in part, with the hopes of hooking those elusive young voters with the allure of legalizing marijuana.

For example, Oregon's petition drive, which the National Conference of State Legislatures said is gaining steam, is funded by New Approach Oregon. The group last year received $50,000 from the Drug Policy Alliance, an organization with ties to billionaire and pro-marijuana legalization advocate George Soros.

Alaska's Begich in tight race

In Alaska, "the finances were right" to put money and effort into getting a ballot initiative, said Dan Riffle, director of federal policies for the Marijuana Policy Project, a pro-pot legalization group.

In that state, Democratic Sen. Mark Begich is in a competitive race to keep his seat.

Those who oppose marijuana legalization balk at the influence of big cash and election year pushes.

"It hasn't been a fair fight in terms of messaging. They've spent over $100 million to advocate this," said Kevin Sabet, an assistant professor at the University of Florida's Drug Policy Institute. "It speaks to the money in marijuana politics."

Pot Politics

"You have special interest groups lobbying, pollsters, public relations and marijuana companies that are funding this. They stand to make a lot of money if (marijuana legalizes nationally)," said Sabet who served as a drug policy adviser to both Republican and Democratic administrations and is on the board of directors of Smart Approaches to Marijuana, an anti-pot legalization group. "This is about creating the next big tobacco and getting rich off of other people's addictions."

In the effort to get marijuana-related ballot initiatives, pro-pot legalization advocates have also netted the support of older voters who perhaps may be more likely to suffer from ailments they hope marijuana can alleviate, and those who were born during the 1960s and 70s and bore witness to looser cultural attitudes about drug use, marijuana policy experts said.

Drawing voters to polls

Pot measures are more likely to draw voters to the polls, said Chris Arterton, a political management professor at George Washington University who helped conduct a national poll in late March examining the issue.

According to the poll "39% of surveyed voters reported that they would be much more likely to turn out to the polls if there was a proposal to legalize the use of marijuana on the ticket. An additional 30% said that they would be somewhat more likely to vote in the election under that circumstance."

According to the poll, 40% of Republicans and 39% of Democrats say they would be strongly more likely to turn out, Arterton said.

A CNN/ORC International poll conducted in January found that a little more than half of those surveyed — 55% — supports marijuana legalization. This is an increase from the 16% who supported legalization a quarter century ago.

Legal in 21 states, DC

Medical marijuana is legal in 21 states and the District of Columbia, according to the National Conference of State Legislatures. This year, 18 state governments had measures dealing with legalizing marijuana for recreational use, according to National Conference of State Legislatures.

Some 15 states considered whether to create new medical marijuana laws, 14 weighed creating new medical marijuana programs and 14 considered decriminalizing marijuana, according to an analysis of current state marijuana legislation efforts performed by the National Conference of State Legislatures for CNN.

Majority in Colorado say legalizing pot was good for state

Fewer than a dozen of the measures have been enacted, the analysis found.

Meanwhile, the politics of putting an initiative on the ballot to legalize medical marijuana in Florida has proven hazy indeed.

Crist running in Florida

Wealthy Orlando trial attorney John Morgan is helping bankroll not only the pot ballot initiative push and voter turnout efforts, but also the campaign of former Gov. Charlie Crist, a Republican-turned-Democrat, in his effort to reclaim that office.

Morgan said he poured $4 million of his own money into the ballot effort to help people like his brother, who is a quadriplegic, and his father, who died from esophageal cancer, whose suffering was eased by medical marijuana.

Republicans have cried foul over the connection and say Democratic operatives are just using pot as a ploy to turnout votes for Crist.

"I love Charlie Crist and I like Charlie Crist, but I don't like him $4 million dollars worth," Morgan told CNN.

United for Care, the Morgan-backed organization behind the initiative also said the GOP is blowing smoke.

"It's a very cynical argument," said Ben Pollara, the group's director and a Democratic fundraiser who is also helping raise campaign cash for Crist. "That has nothing to do with what we're doing."

Meanwhile, Republican Gov. Rick Scott, who trails Crist in the polls, stunned observers last week when, despite previously stating his opposition to legalizing medical marijuana, he vowed to sign into law a bill legalizing a limited version of the drug for some medicinal purposes.

A Quinnipiac University poll conducted in late April found that 88% of Florida voters support legal medical marijuana use by adults, backing that was high among both young and elderly respondents.

While advocates reject claims from the other side that they are being politically manipulative, they do acknowledge that politicians looking for a bump at the polls might do well to align themselves with the pro-pot legalization cause.

The 2016 play

With an eye on the 2016 elections, Riffle's organization is already anticipating backing initiatives to tax and regulate marijuana for that year's ballot in Arizona, California, Maine, Massachusetts, Nevada and possibly Montana.

His organization's efforts "might bring voters to the polls who might favor Crist in the election," Riffle said adding that politicians might want to take note. "It's important because one of the ways we're gaining traction in Congress is that it is gaining popularity in states. Florida would be the second most populous marijuana state."

Guess which politicians have tried pot

@highlight

Critical battleground state of Florida, and others, have pot legalization on fall ballots

@highlight

Advocates say marijuana legalization measures could help with youth voter turnout

@highlight

Opponents accuse legalization advocates of using the issue to influence elections

@highlight

Florida's medical marijuana vote this fall could prove a watershed moment