For the first time, someone in the Obama administration apologized for the problem-plagued Obamacare website.

Marilyn Tavenner also said on Tuesday that the online troubles were being resolved and the overall program was working, albeit slower and less successfully than hoped.

In the first congressional testimony from a government official on the botched launch of HealthCare.gov, the head of the federal Centers for Medicare and Medicaid Services told the House Ways and Means Committee that the "vast majority" of consumers would be able to successfully use the site by the end of November.

"I want to apologize to you that the website does not work as well as it should," she said, adding that HealthCare.gov "can and will be fixed."

The hearing served as a hot seat for Tavenner, whose agency has been blamed for the website troubles causing a political headache for President Barack Obama and his signature health care reforms, as well as a venting session for Republicans after their failed efforts to scuttle the reforms.

Tavenner reports to Health Secretary Kathleen Sebelius, who has come under fire for the problems that plagued the introduction of the enrollment website.

Some congressional Republicans demand her resignation or firing, and Sebelius will face a hearing by the House Energy and Commerce Committee on Wednesday.

She is expected to tell that committee the initial experience of HealthCare.gov has been frustrating for many, and unacceptable.

But she will also defend Obamacare, according to prepared remarks.

"The fact is that the Affordable Care Act delivered on its product: quality, affordable health insurance. The tremendous interest shown in HealthCare.gov shows that people want to buy this product. We know the initial consumer experience at HealthCare.gov has not been adequate. We will address these initial and any ongoing problems, and build a website that fully delivers on this promise of the Affordable Care Act," Sebelius is expected to say.

The health secretary will provide figures for the site, which has had more than 20 million unique visits to date. Over the past few weeks, nearly 700,000 applications have been submitted. People are also signing up through a call center, paper applications and in-person assistance.

"By enlisting additional technical help, aggressively monitoring errors, testing to prevent new issues from cropping up, and regularly deploying fixes to the site, we are working to ensure consumers' interaction with HealthCare.gov is a positive one, and that the Affordable Care Act fully delivers on its promise," Sebelius will say.

In an exclusive interview last week, the health secretary told CNN that Obama didn't know of the problems with the Affordable Care Act's website until after its troubled launch on October 1. This was despite the fact that insurance companies had been complaining and the site crashed during a prelaunch test run.

Policies canceled

More trouble for Obama came out of the testimony, as Tavenner conceded that some people with individual health coverage -- rather than the group coverage that most Americans have -- will be forced to get new policies because of increased requirements under the 2010 Affordable Care Act.

"These individuals in a small group, our individual markets, had no protections" before the reforms became law, Tavenner explained.

Until now, such consumers "could be kicked out any time for pre-existing conditions" or realize too late that their policies failed to cover hospitalization or cancer treatments, Tavenner said. The reforms protect them by requiring a minimum standard of coverage, she added.

For some, that means more expensive policies and any change breaks the oft-repeated pledge by Obama that "if you like your plan, you can keep your plan" when he was pushing for Congress to pass his signature reforms.

Republican Rep. Aaron Schock of Illinois hammered Tavenner on that point, noting a constituent who got a letter telling her that the health care reforms caused the cancellation of her current plan with a more expensive alternative in its place.

"She has health insurance that she likes. She's been paying her premium. She wants to keep it. But she can't," Schock said. "Isn't that a lie?"

Tavenner responded that some insurers changed or discontinued plans that failed to meet the Obamacare requirements, even though present coverage could still be offered in some cases under a "grandfather" provision in the legislation, despite lacking the full benefits of the reforms.

She advised anyone being forced to get a new policy to examine all options under the new system, including the possibility of getting federal subsidies if they are eligible.

According to the Kaiser Family Foundation website, 15.4 million people had individual health care coverage in 2011, representing about 5% of the population. The vast majority of Americans -- at least two-thirds of the population in 2011 -- had coverage through their employer, Medicare, Medicaid or other public providers and will not be affected by changes involving individual coverage.

At the White House, spokesman Jay Carney said "a significant portion" of the 5% of people with individual coverage will end up paying less for better policies when they shop around in the new exchanges.

"One of the issues that the Affordable Care Act was designed to address was the need to provide greater security to those Americans forced to seek insurance on the individual market," Carney said.

On Capitol Hill, a top House Democrat told reporters on Tuesday that his party "should have been more precise" when making the pledge about people keeping coverage they liked.

"I think preciseness would have been better," said Rep. Steny Hoyer of Maryland.

He added that the promise was made to try to allay the fears of the majority of Americans who get health coverage from their employers or government programs such as Medicare and Medicaid.

Partisan exchanges

As expected, Tuesday's hearing included fiery partisan exchanges, with Republicans saying the website problems foreshadow deeper problems that threaten higher premiums and government intrusion in future health coverage while Democrats accused them of trying to kill reforms that benefit millions of Americans.

Under GOP questioning, Tavenner said initial figures on how many people have enrolled so far for health coverage under the reforms won't be available until mid-November.

She noted that the administration has expected the initial enrollment to be small, but noted that the enrollment period ends on March 31.

When asked by Republicans about the expected initial low enrollment, Tavenner pointed out that a similar dynamic occurred with implementation of the Massachusetts health care law, when people waited until the final deadline approached to sign up.

To GOP Rep. Dave Camp of Michigan, the committee chairman, low enrollment signals the failure of the health care reforms, which need young people,  and people who are less expensive to insure, to sign up so insurers can offer affordable plans in markets that include older and people who are more expensive to cover.

"I fear we can see a fundamental breakdown of the insurance market where premiums will skyrocket, pricing millions of Americans out of health care," he said.

Later, Republican Rep. Kevin Brady of Texas asked Tavenner for a guarantee that consumers will be able to obtain coverage required by the health care law before the deadline.

"What I can guarantee is that we have a system that is working.  We are going to improve the speed of that system," she said.

But Brady interrupted her.

"Excuse me," he said. "You are saying the system right now is working?"

Tavenner didn't budge, responding: "I am saying it is working.  It is just not working at the speed that we want and at the success rate that we want."

Democratic Rep. Bill Pascrell of New Jersey lambasted Republicans on the panel for choosing to pile on the website woes in their continuing attempt to dismantle Obamacare instead of working with Democrats to improve settled law.

Citing the political battle last decade over the Bush administration's Medicare prescription drug benefit opposed by Democrats, Pascrell noted "we lost the policy fight" then but chose to help make the program work instead of trying to discredit or undermine it.

Standing up and pointing at his GOP colleagues, Pascrell shouted: "How many of you stood up to do that?  None.  Zero.  Zero."

Website problems

Late Tuesday, officials said the data hub behind the Obamacare website was experiencing an outage, prohibiting customers from submitting new applications.

Verizon, which provides some technology services behind HealthCare.gov, said federal officials asked the company to provide additional computing and storage ability.

"At the request of HHS's deputy CIO, we are now undertaking infrastructure maintenance, which should be complete overnight," Verizon spokesman Jeffrey Nelson said. "We anticipate the strengthened infrastructure will help eliminate application downtimes."

A key tech malfunction brought down the site Sunday.

In prepared testimony for the hearing, Tavenner said private contractors hired to create the website "have not met expectations." Asked about that statement, she cited one of the contractors -- CGI Federal, which has a contract worth as much as $200 million for its work on the system.

@highlight

Sebelius to testify that initial consumer experience is frustrating, unacceptable

@highlight

Data hub behind website experiencing an outage, officials say late Tuesday

@highlight

Committee hearing includes fierce partisan exchanges

@highlight

A top Democrat says his party was imprecise in selling health care law