(CNN) -- The phrase "digital detox" was added to the Oxford Dictionaries Online in August 2013 along with, interestingly enough, the term FOMO, or the fear of missing out, often brought on by posts to social media.

It seems that the former is an ideal cure for the latter: a digital detox from Facebook, Instagram, Twitter, and all the other stimuli that surround us constantly is a perfect way to shake that fear of missing out—and put that energy toward something personally worthwhile.

"Unplugging gives our brains a chance to slow down. Our blood pressure goes down. It gives us a chance to think for ourselves," says Levi Felix, California-based cofounder of The Digital Detox, which leads device-free retreats. "When you're not looking at a screen, sharing something, considering what everyone else is doing in the moment, you get to be who you are."

Hotels from Chile to Canada to the Caribbean now offer similar getaways that encourage travelers to unplug. Often devices are banned, and days are filled with meditation, yoga, nature, and communal activities.

Whether these packages are examples of bandwagon thinking (like "eco-resorts" that simply don't wash towels and linens daily) or a true reflection of travelers' yearning to break their habits is still unclear. But Felix is optimistic. "Hey, if you're staying in a hotel or somewhere where there's less cell phone use and they're promoting massage and yoga, that's an awesome shift in culture," he says. "When you successfully unplug, you'll have more awareness about yourself; you'll be more in touch."

New Camaldoli Hermitage, Big Sur, CA

Generations of travelers have known that Big Sur is a magical place removed from the hubbub of San Francisco to the north and L.A. to the south. And those seeking solitude among the area's beaches and old-growth redwoods need look no further than the New Camaldoli Hermitage, a working Benedictine monastery where guests are invited (but not required) to attend daily prayers. The simple rooms, private houses with gardens, and outdoor spaces offer a lot of calm, but little else. There's no app that can replicate the light as it hits the coast and no Spotify playlist that can beat the gentle sound of the surf as you take in the ocean views.

Remota Hotel, Puerto Natales, Chile

Designed by Chilean architect Germán del Sol, Remota's rooms feature handmade modern furniture, much of it built on-site using recovered wood. The lack of televisions encourages guests to tune in to unobstructed views of the sky, the expansive wild grass--covered Patagonian landscape, and looming glaciers. Nature and isolation are the main lures at this upscale sustainable lodge, with the option to go on guided and unguided hikes, bicycle and horseback excursions, and bird-watching expeditions that are sure to make you forget all about Twitter.

Travel + Leisure: Best secret islands on earth

Arawak Beach Inn, The Valley, Anguilla

The Arawak Beach Inn on Anguilla has devised a seven-day tech-free package called Isolation Vacation. While the rest of the hotel features televisions and Wi-Fi, guests are invited to "unplug and recharge" by handing over their devices and to stay in rooms where televisions have been removed; they're unable to purchase Internet access anywhere on the grounds. Without endless games of Candy Crush at your fingertips, you're freed up to enjoy Anguilla's gorgeous beaches, boating excursions, or a book. (Yes, they still exist.)

Tanque Verde Ranch, Tucson, AZ

This family-owned dude ranch and spa outside of Tucson plays to its natural strengths of gorgeous scenery and sunny weather. With desert horseback excursions (no cell phones allowed), day camp for the little ones, and spa treatments for the adults, you won't even think about your friends' status updates. Instead, you and the gang can share real-time updates from the day's adventures at communal dinners—then head back outside for stargazing. Rooms don't come equipped with TVs, and guests can unplug further by requesting no Wi-Fi access.

Travel + Leisure: Best affordable island hotels

Rancho La Puerta, Tecate, Mexico

Here's how Rancho La Puerta, a resort and spa in Mexico's western Baja Peninsula, describes its approach to wellness: "You don't need an 'app' to unplug from life's clutter—our Mindfulness/Reflection classes will help you tune in to your own spirit and navigate your inner terrain without the constant bombardment of outside distractions." If that sounds like your speed, you're probably ready to leave your iPhone 5S at home and take a cooking or art class, go for a hike in the 3,000 acres adjoining the property, or learn more about work-life balance during one of the resort's lectures.

Fairmont Kenauk, Montebello, Canada

When people describe this nature resort in rural Quebec as "off the grid," they mean it literally: each of the one- to six-room chalets on the property is completely off the electrical grid and reliant entirely on solar power. There's also no cell phone service in the area, so if you're tempted to check in with work, you'll have to do it using the pay phone at a nearby picnic site. Fishing, hiking, picnicking, golf, and spa access are available either on-site or nearby.

Travel + Leisure: World's greatest dream trips

The Farm at San Benito, Lipa City, Philippines

Ninety minutes from Manila sits this 118-acre oasis of health and wellness complete with a vegan restaurant. Spa packages like the Detox Cleanse promise weight loss and improved heart health, but just unplugging in such a tranquil setting will do wonders for your mental health. Activities include yoga in open-air pavilions, meditation, circuit training, and flower arranging. The Art of Living Course offers lectures on balance, breathing, and stress management that will carry you through even when you get back to civilization.

Camp Grounded, Anderson Valley, CA

Emphasizing wholesome fun and games, this tech-free summer camp for adults is held on the grounds of Camp Navarro, a former Boy Scout camp about three hours north of San Francisco. The summer 2013 inaugural session featured sing-alongs, swimming, archery, color war, and a prom. Campers were asked to hand over phones, tablets, watches, and other technology and partake in a "human search engine" (posting questions on a bulletin board to tap collective knowledge). They wrote letters home on vintage typewriters. There are three sessions planned for June 2014, with a 10 percent "Scout's Honor" discount still available.

See all of the best places to unplug

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Seek serenity at a working Benedictine monastery in Big Sur, California

@highlight

No cell phones allowed on horseback rides at Tanque Verde Ranch in Arizona

@highlight

A rural Quebec resort is entirely reliant on solar power