(CNN) -- When I heard the news of Dr. Abbas Khan's death, I was saddened and for the first time throughout my rather terrible experience with the Syrian conflict I felt bitter and angry.

I followed his case keenly and was hoping that he would have a chance to come back safe to his family and tell us what has happened. His testimony would have been more credible than any other hearsay accounts we hear every day. Mind you credibility is no longer important in making up your mind about the Syrian regime's action but somehow it comes in as a handy excuse for the international community to justify inaction.

Doubt over British doctor's Syria suicide

Death has become so normal in Syria that most people fail to notice it and acknowledge it by much more than a roll of the eyes and mumbling the words "such a terrible situation." We, the Syrians, see on a daily basis horrific scenes of torture, brutality and savagery that it takes a particularity nasty way of dying to attract our attention. This doesn't mean we are no longer compassionate -- we are simply emotionally drained.

Syrian doctor: I've lost count of amputations

But, as a Syrian, you can notice few details others perhaps won't see. For example: I don't need any "clarifications, explanations, justifications, or elaborations" on the reasons behind the death of Khan. I know the regime killed him because the pattern of events is so typical we can almost accurately predict the regime's next course of action when it comes to similar cases. Many regime officials have been assassinated in the last four decades and we were told that they committed suicide. You can also ask the Lebanese, for they can bear witness at the regime's skills in shooting somebody four times, then saying they did it to themselves.

Gun gesture at head

I will never forget the look on the face of a prominent Syrian official who was particularly angry at the Assad regime's response to the event in the Syrian city Daraa in the very early days of the revolution. He asked me why Bashar (al-Assad) failed to make his cousin, who was the mayor of Daraa, then commit suicide? He then made a gun gesture and pointed it at his head. He indirectly admitted that the regime did this before.

Khan didn't commit suicide using his pyjamas because Syrian prison inmates are not allowed to wear clothes. They are usually stripped down to their underwear and any garment that may pose danger to the prison guards is removed. Even if we did accept that there might be a slight chance he was given pyjamas to wear and that he somehow had the energy and the power to climb to one of the metal rings in the ceiling -- very popular in the Syrian prisons for their effectiveness in bearing the weight of young men when they are left hanging upside down by tying only one leg and leaving the body to swing around under extreme beating during "investigations"-- he physically couldn't have been able to tie the pyjamas around his neck then on the ring because they are usually too high.

The alternative option of hanging himself from a window is also eliminated because currently Syrian prisons don't have windows. If Abbas truly killed himself, then he was driven to it by the extreme conditions he was in. Who would kill themselves two days before they are granted a new lease of life, your pass out of true hell? Look at the picture of one of the Syrian prisons. This is a "single person" cell.

Plight of Syria's prisoners

Abbas's death will not add anything to the regime's reputation for brutality but it will attract, hopefully, the international community's attention to the prison inmates in Syria. I feel they became the lost ghosts that nobody is trying actively to help. The pain and horrific torture they go through should be enough for the entire world to try to help but somehow the politicians are busy reading between the lines asking questions about al-Assad's degree of control. Who cares if he is the one in control or not?

This regime unleashed a killing machine almost three years ago using every trick in Hitler's guide on how to kill many in one go, and it has the all means to continue until some drastic measures are taken. Al-Assad or not, Abbas's death should not raise questions about the power game within the Syrian regime; it should raise questions about how the world can help those suffering just like Abbas did before he was killed.

Syrian government agencies have yet to comment on Khan's death.

In Syria, searching for loved one taken away

The opinions expressed in this commentary are solely those of the author.

@highlight

Writer: I know the regime killed him because the pattern of events is so typical

@highlight

'Many regime officials have been assassinated and we were told they committed suicide'

@highlight

'If Abbas truly killed himself, then he was driven to it by the extreme conditions he was in'

@highlight

'His death should raise questions about how the world can help those suffering just like Abbas'