(CNN) -- When the European Union recently lifted economic sanctions on Myanmar, it closed a decades-long chapter designed to encourage democratic reform in the country.

Although an arms embargo remains in place, the action will send an unequivocal message of "mission accomplished."

But while the EU is celebrating the "new Myanmar," Rohingya Muslims in the western part of the country are targets in what appears to be an ongoing campaign of government-supported crimes against humanity and ethnic cleansing.

Killings and arson attacks between ethnic Rakhine Buddhists and Rohingya Muslims first erupted in Myanmar's Rakhine State in June 2012, and were followed in October by well-coordinated attacks on Rohingya populations. More than 125,000 Rohingya were forced into dozens of internally displaced camps while tens of thousands of others fled the country, launching Southeast Asia's newest refugee crisis.

Satellite images obtained by Human Rights Watch from just five of the 13 townships that experienced violence since June show 27 unique zones of destruction, including the destruction of 4,862 structures covering 348 acres of mostly Muslim-owned residential property.

Myanmar's government has repeatedly characterized what happened as "inter-communal violence" between bitter enemies -- Arakanese Buddhists and Rohingya Muslims -- denying any involvement of the state or abuses by state security officials.

Since June, I visited several sites of attacks and every major camp for the displaced, interviewing more than 100 victims and witnesses of abuse, as well as some perpetrators of violence. There is extensive evidence of complicity of the state in ethnic cleansing.

Following the first wave of violence and without setting foot in Rakhine State, the EU and others were quick to welcome the Myanmar authorities' "measured response" to the crisis. A spokesperson for the EU's high representative on foreign affairs, Catherine Ashton, said on June 11, "We believe that the security forces are handling this difficult inter-communal violence in an appropriate way."

The reality on the ground was very different. Rohingya survivors alleged how in June soldiers not only failed to protect them from arsonist mobs, but opened fire when they attempted to extinguish the fires, killing scores. Government authorities in Arakan State were busy bulldozing mosques, blocking humanitarian aid to Rohingya populations, conducting violent mass arrests of Muslim men and boys, and digging mass graves, impeding accountability. Human Rights Watch located the existence of at least four such grave sites.

IN PICTURES: Myanmar's sectarian crisis

Two days after the EU's June statement, a government truck dumped 18 naked and half-clothed bodies near a camp for displaced Rohingya, according to Human Rights Watch. Some of the victims had been "hogtied" with string or plastic strips before being executed. The move sent a strong message, consistent with a policy of ethnic cleansing, that the Rohingya should leave Myanmar permanently.

"They dropped the bodies right here," a Rohingya man told me on a visit to the grave site. "Three bodies had gunshot wounds. Some had burns, some had stab wounds."

After the smoke cleared in June, the Arakanese Buddhist monkhood (or the sangha), political operatives, and local government officials allegedly held public meetings in Rakhine State, plotting to drive Rohingya Muslims from their homes. They seized on President Thein Sein's remarks on July 12 that "illegal" Rohingya should be sent to "third countries," and they actively worked to isolate Muslim communities from daily necessities and income. Influential groups released public statements calling explicitly for "ethnic cleansing" and forced population transfer -- the government took no action to stop them.

The planned second wave of violence began on October 22. Thousands of Arakanese reportedly descended by foot and boat on Muslim villages in nine townships, carrying machetes, swords, spears, homemade guns, Molotov cocktails, and other weapons. Plumes of smoke dotted the sky along the fertile patchwork of Arakan State's intra-coastal waterways as entire villages were razed. State security forces once again either failed to provide protection, or actively participated in attacks.

On October 23 in Yan Thei, Mrauk-U Township, security forces took away sticks and other rudimentary weapons from Rohingya and enabled an Arakanese mob to kill about 70 villagers, including 28 children, 13 of whom were under age five.

Today, tens of thousands of displaced Rohingya are being denied access to humanitarian aid, have their movements restricted, and are unable to return home. They live in segregated, squalid camps without adequate food and health services. In just weeks the monsoon season will flood several IDP sites, intensifying the humanitarian emergency.

At the root of the persecution is the question of citizenship. The Myanmar government considers all Rohingya to be immigrants from Bangladesh. They are denied citizenship under discriminatory national legislation from 1982, although many families have resided in Myanmar for generations. Official government statements reject their very existence and refer to them as "Bengali," "so-called Rohingya," or the pejorative "kalar."

The world should not be blinded by the excitement of Myanmar's political opening. Rohingya are paying for that approach with their lives.

The opinions expressed in this commentary are solely those of Matthew Smith.

@highlight

Smith: Despite reforms, ethnic cleansing continues against Myanmar's Rohingya Muslims

@highlight

Attacks between ethnic Rakhine Buddhists and Rohingya Muslims erupted in June

@highlight

More than 125,000 Rohingya were forced into dozens of internally displaced camps

@highlight

Smith: World should not be blinded by the excitement of Myanmar's political opening