(CNN) -- Mohammed Merah had plenty of stamps in his passport, according to French intelligence officials. He traveled through at least seven Middle Eastern and central Asian countries on his way to Afghanistan in 2010.

It was a meandering journey that might have been a metaphor for a young man in search of a purpose and identity. But it's also clear that by then he had been exposed to a variety of jihadist influences.

The 23-year-old Frenchman was shot dead last Thursday after being cornered by police in Toulouse. By then he had murdered seven people in a series of gun attacks.

As more details emerge about his short and troubled life, French security services are examining family and local influences on Merah, as well as trying to establish who he may have met during that trip to Afghanistan and another two-month visit to Pakistan in 2011.

Merah certainly never made any attempt to disguise his travels. While in Pakistan in October of last year, he even contacted a French intelligence official who wanted to interview him about his previous journey, saying he was there to look for a wife.

"As soon as I get back, I will contact you," he told his contact, according to Bernard Squarcini, the head of DRCI -- France's domestic security service.

After being hospitalized with hepatitis upon his return, Merah eventually sat down with French investigators, bringing a USB drive with photographs of what he said was his touristic journey across the regon.

But as the standoff unfolded in Toulouse last week, Merah told a very different story -- boasting to French police that he had been trained by al Qaeda in Waziristan, the tribal area of Pakistan where many European jihadists have gone. Merah said he had been trained by a solo instructor rather than in a camp because he would have stood out as a French speaker. But he also said there were other French militants in Waziristan, according to Squarcini.

He also claimed that "brothers in Pakistan" had supplied him with funds, helping him buy what he said were 20,000 euros (about $26,600) worth of weapons for his attacks. French police believe it is more likely he raised the funds through a series of temporary jobs and petty crime.

But who, if anyone, trained Merah? Was his rambling confession during the siege the invention of a young man with what his attorney calls signs of a "dual personality?" Or did his skill as a gunman suggest training somewhere?

"He's a Janus, two-faced. You have to go back to his broken childhood and psychiatric troubles. To carry out what he did smacks more of a medical problem and fantasy than a simple jihadist trajectory," Squarcini told the newspaper, Le Monde.

The Long Way to Kandahar

Merah's 2010 odyssey included Cairo, where his brother Abdelkader then lived, as well as Turkey, Syria, Lebanon, Jordan, Iraq and even Israel, where according to French officials he was briefly detained and relieved of a knife by police. Israeli officials have not confirmed he was there.

French officials say Merah entered Afghanistan in the fall of 2010 through its northern border with Tajikistan, and traveled south to the Taliban heartland in Kandahar.

That's when he first appeared on French security services' radar, according to Squarcini, who told Le Monde that Merah was detained at a roadblock while traveling with a group of Afghans in November 2010. He was transferred to American custody and put on a plane back to Kabul, returning to France on December 5, 2010.

French officials have not publicly disclosed any evidence that Merah developed ties to al Qaeda or other terrorist outfits during his two trips. Nor has any "proof of mission" video yet surfaced featuring Merah, though such releases have sometimes taken many months.

However, Richard Barrett, the coordinator of the U.N. Sanctions Committee on al Qaeda and the Taliban, told CNN there were indications that Merah appeared to have had contacts with militants in the Afghanistan-Pakistan border region. And Le Monde cited security sources as saying that he may have been in touch with the Islamic Movement of Uzbekistan.

Is it possible that in just a few weeks in Pakistan Merah could have become a trained jihadist? There are precedents. Adis Medunjanin, an American citizen of Bosnian descent who goes on trial next month for an al Qaeda bomb plot against New York in 2009, spent only one month in Pakistan. According to his alleged co-conspirators Najibullah Zazi and Zarein Ahmedzay, the trio connected with al Qaeda and were trained and directed to launch a plot against the United States. Zazi and Ahmedzay have pleaded guilty to the plot.

A document found on an alleged Austrian al Qaeda operative in Berlin last year, which German authorities believe was written by a senior al Qaeda figure, recommended that foreign fighters should be trained quickly and sent back to their home countries to enhance the group's ability to target the West regularly, according to Yassin Musharbash, a reporter with Germany's Die Zeit newspaper.

A family with jihadist connections

Merah's path to radicalism remains murky but appears to have been influenced by family connections. His mother is married to Sabri Essid, a member of a Toulouse network that tried to recruit fighters to join al Qaeda in Iraq. Essid was convicted in a French court in 2009 after being detained in Syria in 2006 where he was running an al Qaeda safe house.

According to French security officials, Merah tried to visit his stepfather in prison in 2008 and sent him money.

His brother Abdelkader was also suspected of involvement in the same network but not charged. He has now been charged with complicity in the recent spate of murders.

A senior Belgian counterterrorism official has told CNN that Abdelkader Merah first came to their notice during a joint investigation in 2008 with French police into a Brussels, Belgium-based jihadist recruitment network. The network was sending Belgian and French militants to Cairo en route to join militants in Iraq -- and may also have connected Europeans to jihadist groups in the Afghanistan-Pakistan border region.

While living in Cairo, Abdelkader Merah was associated with militants, said the official, but the investigation did not result in charges against him. Investigators are now looking more closely at the time Mohammed Merah spent with his brother in Egypt.

It is also possible that Mohammed Merah became radicalized while serving a 21-month prison sentence for theft in France. He told police during the standoff that he had learned the Quran while in jail.

At some point, Merah appears to have developed connections with Forsane Alizza, a pro-al Qaeda group in France with a cluster of followers in Toulouse. The group was outlawed in January 2012 for encouraging French citizens to travel to Afghanistan to fight jihad.

According to an analysis by the International Centre for the Study of Radicalization, the group has between 30 and 100 full-fledged members and several thousand online followers. Following the ban, its leader Mohamed Achamlane warned "armed struggle is possible" should French society become more hostile to Islam.

A central Asian connection?

The only -- unlikely -- claim of responsibility for Merah's gun attacks so far has come from a recently-formed central Asian terror group -- Jund al Khilafah (JaK).

"One of the knights of Islam, our brother Yusuf al-Firansi (the Frenchman), we ask Allah to accept him, went out in an operation that shook the foundations of Zio-Crusaderdom," according to an online posting from the group translation by the SITE Intelligence Group.

Some counterterrorism officials are skeptical of the claim. "It seems highly opportunistic," said Barrett, the coordinator of the U.N. Sanctions Committee on al Qaeda and the Taliban.

Jacob Zenn, a Jamestown Foundation analyst who has researched JaK, told CNN the group has a track record of quickly and credibly claiming responsibility for attacks in Kazakhstan since its founding in September 2011.

"JaK has a history of making very relevant and current statements," typically within 48 hours, Zenn told CNN. The group, he said, had accurately provided information about attacks, before that information became publicly available.

While the group is believed responsible for several attacks against security forces in 2011 including the country's first suicide bombing and gun and grenade attacks, it has yet to launch an attack in Kazakhstan this year.

Zenn said JaK's apparent claim of responsibility posted Thursday was in similar form to others posted by the group. But he cautioned that an attack in France would be a completely new territory for the group, which had no known track record of attracting Western operatives.

Last fall JaK claimed responsibility for several attacks across Kazakhstan, including a failed bombing in October in Atyrau -- an oil town near the banks of the Caspian Sea.

Zenn believes it is possible that a crackdown by security services in Kazakhstan has driven more of its members to the relative safe haven of the Afghanistan-Pakistan border region. He says it's possible that Merah encountered jihadists on his journey through central Asia. However, JaK was not publicly known when Merah was in the region.

The JaK footprint in the Afghanistan-Pakistan border region is likely small, Zenn said. "There are reports of no more than 30 of their members being in FATA (the tribal territories of Pakistan) and it's possible they've become integrated with a larger group like the IMU (the Islamic Movement of Uzbekistan)," he told CNN.

The IMU, although not directly responsible for terrorist plots against the West, appears to have forged close ties with al Qaeda and the Pakistan Taliban in recent years, according to Western counterterrorism officials. A significant number of German militants have joined its ranks, including several implicated in an al Qaeda plot to attack Europe in late 2010.

As far as is known, Merah made no reference to any central Asian group during his standoff with authorities.

@highlight

French authorities are probing Mohammed Merah's background

@highlight

Merah was shot dead last week following a standoff with police

@highlight

Officials are looking into Merah's trips to Afghanistan and Pakistan