(CNN) -- State military forces on Friday retook a key town in northern Mali after intense fighting that included help from French military forces, a defense ministry spokesman said.

"Today, we have recaptured Konna," said the spokesman, Diaran Kone, at a briefing played over state radio.

The Mali city of Konna had been seized by Islamist forces on Thursday as they pushed southward from their strongholds in the desert of northern Mali.

"The fighting lasted for not more than two, maybe three hours; Konna was recaptured with the assistance of French, Nigerian and Senegalese troops this afternoon," said Kone. "All measures were used, including the drones given by France."

Earlier, Nigeria's defense minister had denied to CNN that Nigerian troops were involved in Friday's fighting.

But France confirmed that its armed forces had taken part in the fighting and launched airstrikes in support of the operation.

French President Francois Hollande announced that French ground and air forces were in the country to aid government forces.

"French military forces have brought their support to the Malian forces this afternoon to fight against these terrorist elements," said Hollande, speaking from the Elysee Palace in Paris. "This operation will last as long as it is necessary. I will regularly inform the French people about its course."

Read more: A ticking time bomb: What's behind the instability in Mali?

It was not clear how many French troops were deployed. But French Foreign Minister Laurent Fabius said the French military has also launched airstrikes.

Mali's interim president, Dioncounda Traore, declared a state of emergency across the country Friday and called for "a general mobilization" to defend against the advance of radical Islamists.

He acknowledged France's military help, including air support.

Hollande said Mali "is facing a terrorist aggression in the north," and added that "the whole world is aware" of the terrorists' "brutality and extremism."

"Today, it is therefore the very existence of this friendly state that is at stake, as is the security of its population and of our own 6,000 citizens living there," he said.

Read more: Troops could be headed to Mali to fight Islamist extremists

France, which has posted troops in many locations in Africa, had said it wouldn't send combat troops to Mali and had pledged to scale back on intervening in local politics and conflicts in Africa. For example, it declined a request to intervene in the Central Africa Republic, where an insurgency flared.

So the Mali operation underlines the seriousness of France's concern over its former colony. French hostages have been taken in neighboring Niger by al Qaeda in the Islamic Maghreb; Paris is trying to contain any further militant expansion in the heart of Africa.

Read more: International leaders push for military intervention in Mali

Northern Mali has been occupied by radical Islamists, who moved in after fighting broke out in January 2012 between government forces and Tuareg rebels. West African states and international leaders, worried about an al Qaeda foothold, say a rapid military intervention is essential to solving the security crisis in Mali.

Hundreds of thousands of Malians have been uprooted because of proliferation of armed groups, drought and political instability after a coup d'etat in March.

Hollande said the country is consulting with the United Nations and "intervening within the framework of international law." Parliament will be consulted as soon as Monday on the operation, he said.

"The terrorists must know that France will always be there whenever the rights of a country that strives for freedom and democracy are threatened, not just when its core interests are at stake," he said.

Europe, Fabius said, "has made some decisions to train and reshape the Malian army."

"The terrorists' breakthrough must be stopped," he said. "If not, it's the entire Mali that falls into their hands, with a threat to the whole of Africa and Europe."

The U.N. Security Council cited "grave concern over the reported military movements and attacks by terrorist and extremist groups" in northern Mali.

"This serious deterioration of the situation threatens even more the stability and integrity of Mali and constitutes a direct threat to international peace and security," the council said.

Last month, the council authorized a one-year military peacekeeping mission in Mali. The African-led International Support Mission in Mali aims to help rebuild Mali's security and defense forces and to help Malian authorities recover the areas in the north.

Read more: Northern Mali, 'magnet for international jihadis'

A regional group, the Economic Community of West African States, has pledged thousands of troops to the mission, and the Security Council has urged other member states to contribute troops.

The Malian government and rebel groups are expected to meet January 21 for peace talks in Burkina Faso's capital, Ouagadougou.

Mali held its first democratic elections in 1992, after decades of military rule.

It maintained a strong democracy until March, when a group of soldiers toppled the government, saying it had not provided adequate equipment for them to fight ethnic Tuareg rebels roaming the vast desert in the north.

Tuareg rebels, who for decades had staged rebellions seeking independence, took advantage of the power vacuum and seized parts of the north. The rebels had fought alongside Libyan leader Moammar Gadhafi and returned to Mali -- with their weapons in tow -- after he was killed in October 2011.

A power struggle then erupted in the north between the Tuaregs and local al Qaeda-linked radicals, who seized control of large parts of the desert north. The international community voiced concerns about al Qaeda in the Islamic Maghreb and its expanding presence in Mali.

The al Qaeda wing is linked to the attack last year in Benghazi, Libya, that killed the U.S. ambassador to Libya and three other Americans, U.S. officials have said.

The militants in the north have applied their strict interpretation of Sharia law by banning music, smoking, drinking and watching sports on television. They also publicly stoned a couple to death in July, reportedly for having an affair.

Public executions, amputations, floggings and other inhumane punishments are becoming common, the United Nations says.

The militants have attacked Timbuktu's historic tombs and shrines, claiming the relics are idolatrous. The picturesque city was once an important destination for Islamic scholars because of its ancient and prominent burial sites, and it is a UNESCO World Heritage Site.

Tuareg rebels retreated from the well-armed militants but have vowed to fight back and establish in the north their own country, which they call Azawad.

CNN's Saskya Vandoorne contributed to this report

@highlight

NEW: Mali's defense ministry says government forces have retaken Konna

@highlight

Mali is facing a "terrorist aggression" in northern Mali, leader says

@highlight

An al Qaeda wing has taken root in the north

@highlight

Interim President Traore calls for a "general mobilization" against radical Islamists