(CNN) -- In the heart of Belgrade, the vibrant and resilient capital of Serbia, a slow and colorful transformation is taking place.

Once ugly and industrial, the historic neighborhood of Savamala has emerged in recent years as the thriving epicenter of the city's cultural life. Following decades of neglect, Savamala is now blossoming back to life as a diverse crowd of artists and entrepreneurs have poured in to reclaim the area and transform its run-down warehouses and abandoned spaces into hubs of creativity.

At the center of this urban remake is Mikser House, a previously derelict state-owned garage that has now become a booming cultural space showcasing the best of Balkan art, thought and design.

"It's a roof for many different activities," says Maja Lalic, the creative force behind Mikser House. "It's basically connecting creative people of very different disciplines but with a similar goal and desire to be productive and constructive," continues Lalic, an Ivy League-educated architect.

"These small-scale skills of surviving and being able to make something out of nothing, this kind of bitter-sweet attitude to life, and we used to say 'who if not us,' and 'when if not now.'"

Rich history

Such a transformation is not new in Belgrade, a city that has been destroyed and rebuilt some 40 times throughout its long and tumultuous history.

Lying at the confluence of the great Danube and Sava rivers, Belgrade -- home today for some 1.5 million people -- is strategically located at the crossroads between Eastern and Western Europe and a meeting point of different civilizations.

Nowhere is Belgrade's historical and cultural significance more evident than in the imposing ancient fortress that towers over the point where the Danube and Sava rivers mingle.

Standing in some form since the second century on top of a cliff-like ridge, the sprawling castle has over the years sheltered Serbian, Roman, Byzantine and Ottoman troops -- to name just a few.

"Belgrade was so many times conquered, pulled down and built again, so, that is why we have so many layers and every of those people left its marks on the ground of this city," says art historian Bojana Ibrajter Gazibara, surrounded by a cluster of ancient statues and elaborate headstones that dot an old gunpowder storage room deep inside the fortress.

Breathtaking scenery

Now a historical monument that encompasses a large park, the fortress is a popular destination for locals and tourists thanks to its charming walking paths and spectacular river views.

It's also the ideal location for Dragan Trifunovic, the owner/pilot of Helivideo, who often comes here to fly his camera-mounted drone and capture Belgrade's grand picture -- as well as its continuous rebuilding.

"When I was kid I always dreamed how it would be nice to be able to fly and to see what birds can see, and with this equipment, my dreams came true," says Trifunovic, adding that the breathtaking shots give people more pride in their city.

"People are very proud to live in this city and to see it from another angle," he says.

Click through the gallery above to see some of Helivideo's aerial images, as well as other photographic aspects of life in Belgrade.

Read this: Europe's best music festival
Read this: The tree that charges your phone
More from On the Road Serbia

@highlight

The historic area of Savamala is today the cultural heartbeat of Belgrade

@highlight

Once neglected and ugly, the neighborhood is now the home of artists and designers

@highlight

The Serbian capital has been destroyed and rebuilt some 40 times