(CNN)Governments around the world are using the threat of terrorism -- real or perceived -- to advance executions, Amnesty International alleges in its annual report on the death penalty.

"The dark trend of governments using the death penalty in a futile attempt to tackle real or imaginary threats to state security and public safety was stark last year," said Salil Shetty, Amnesty's Secretary General in a release.

"It is shameful that so many states around the world are essentially playing with people's lives -- putting people to death for 'terrorism' or to quell internal instability on the ill-conceived premise of deterrence."

The report, "Death Sentences and Executions 2014," cites the example of Pakistan lifting a six-year moratorium on the execution of civilians following the horrific attack on a school in Peshawar in December.

China is also mentioned, as having used the death penalty as a tool in its "Strike Hard" campaign against terrorism in the restive far-western province of Xinjiang.

The annual report catalogs the use of state-sanctioned killing as a punitive measure across the globe, and this year's edition contains some mixed findings.

On one hand, the number of executions worldwide has gone down by almost 22% on the previous year. At least 607 people were executed around the world in 2014, compared to 778 in 2013.

Amnesty's figures do not include statistics on executions carried out in China, where information on the practice is regarded as a state secret. Belarus and Vietnam, too, do not release data on death penalty cases.

"The long-term trend is definitely positive -- we are seeing a decrease in the number of executions (worldwide)," Audrey Gaughran, Amnesty's Director of Global Issues, told CNN.

"A number of countries are closer to abolition, and there are some signs that some countries will be abolitionist by 2015. (There are) signals of a world that is nearing abolition."

While the report notes some encouraging signs, it also highlights a marked increase in the number of people sentenced to death in 2014. At least 2,466 people globally are confirmed to have been handed the sentence last year, an increase of 28% compared with 2013.

The report notes that the spike in sentencing is attributable to mass-sentencing in countries including Egypt and Nigeria, "against scores of people in some cases."

The organization found "positive developments" worldwide, with most regions seeming to show reductions in the number of executions.

Opinion: Sharp spike in death sentences

Sub-Saharan Africa, for example, saw a 28% fall in reported cases, and executions recorded in the Middle East and North Africa were down 23% compared to 2013.

"Even though we've highlighted some of the negative developments... I think we would always highlight that there are positive developments," Gaughran said. "Across the board, with the exception of Europe and Central Asia there were fewer reports of executions in every region."

The resumption of the use of capital punishment in Belarus -- the only country in Europe and Central Asia to execute people -- after a two year hiatus spoiled an near-universal decrease in countries using the death penalty by region.

The United States has the dubious distinction of being the only country in the Americas to conduct executions, but the number of convicts put to death here fell slightly, from 39 in 2013 to 35 in 2014. The state of Washington also imposed a moratorium on executions last year.

The U.S. remains one of the worst offenders for imposing capital punishment, with only Iran (289+), Iraq (61+), and Saudi Arabia (90+) executing more people in 2014. While figures are not available, Amnesty estimates that China also executes "thousands" of prisoners each year, "more than the rest of the world put together."

The report also highlights the imperfections in the judiciary processes that lead to many sentenced to death.

"In the majority of countries where people were sentenced to death or executed, the death penalty was imposed after proceedings that did not meet international fair trial standards," the report stated. "In 2014 Amnesty International raised particular concerns in relation to court proceedings in Afghanistan, Bangladesh, China, Egypt, Iran, Iraq, North Korea, Pakistan, Saudi Arabia and Sri Lanka."

The United Nations Secretary-General, Ban Ki-moon, last year stressed the need to move toward abolition of capital punishment.

"The taking of life is too irreversible for one human being to inflict it on another," he said, in marking World Day against Death Penalty in October.

"We must continue to argue strongly that the death penalty is unjust and incompatible with fundamental human rights."

Amnesty estimates that at least 19,094 people were believed to be on death row at the end of 2014.

@highlight

Amnesty's annual death penalty report catalogs encouraging signs, but setbacks in numbers of those sentenced to death

@highlight

Organization claims that governments around the world are using the threat of terrorism to advance executions

@highlight

The number of executions worldwide has gone down by almost 22% compared with 2013, but death sentences up by 28%