(CNN) -- Tabitha and Lucas Rainey were beginning to get suspicious.

The staff at Kentucky Children's Hospital kept telling them their infant son, Waylon, was recovering well from surgery. There had been a few bumps in the road, to be sure, but they said that was normal for a baby born with a severe heart defect.

Months passed. Waylon remained in the intensive care unit. More complications arose.

"Is everything OK?" the Raineys would ask.

Yes, the doctors and nurses assured them. Everything was fine.

Then one day, Tabitha Rainey says a cardiologist took her aside.

"She said, 'If I were you, I would move him,' " Rainey remembers. "She told me we should take him somewhere else.'"

A few days later, the Raineys arranged to have Waylon sent by helicopter to the University of Michigan. By then their son, not quite 3 months old, was in heart failure.

Secret data

If Waylon Rainey had been born 30 years ago, he almost surely would have died a few days or weeks after birth. He has a condition called hypoplastic left heart syndrome, which means the left side of his heart is so malformed it can't pump blood.

Today, surgeons perform a series of three operations on babies like Waylon. They're high-stakes surgeries -- cutting into an organ the size of a newborn baby's fist is tricky, to say the least. The blood vessels can be thinner than a piece of angel hair pasta, and one wrong move, one nick, one collapsed artery or vein can be deadly.

These children are medically very fragile, and even the best surgeons lose patients. Surgeons track their deaths and complications and take great pride in the number of babies they save. Some are so proud they publish their success rates right on their hospital websites.

Kentucky Children's Hospital is not one of these hospitals.

10 ways to get your child the best heart surgeon

Instead, Kentucky Children's Hospital has gone to great lengths to keep their pediatric heart surgery mortality rates a secret, citing patient privacy. Reporters and the Kentucky attorney general have asked for the mortality data, and the hospital has declined to give it to them. In April, the hospital went to court to keep the mortality rate private.

Parents of babies treated at Kentucky Children's say the hospital's effort to keep the data a secret, coupled with troubling events over an eight-week period last year, makes them suspicious something at the hospital has gone terribly wrong.

Four innocent lives

On August 30, Connor Wilson died after having surgery at Kentucky Children's Hospital for hypoplastic left heart syndrome. He was 6 months old.

Three weeks later, Waylon Rainey had his surgery and later went into heart failure.

Eleven days after that, newborn Jaxon Russell had a "botched" heart surgery at Kentucky Children's, according to his father.

Waylon and Jaxon both survived after undergoing additional surgeries elsewhere.

Less than three weeks later, on October 16, 6-month-old Rayshawn Lewis-Smith died after having heart surgeries at Kentucky Children's Hospital.

That same month, Dr. Mark Plunkett, the hospital's chief heart surgeon -- and the only surgeon performing open-heart surgeries at the hospital -- went on paid leave, according to hospital spokesman Jay Blanton, and the hospital stopped doing heart surgeries.

The parents say they didn't receive any explanation for why the surgeries stopped or why Plunkett left. A hospital spokeswoman said Plunkett was not available for comment.

Parents react to story

CNN met with Connor, Waylon, and Jaxon's parents in Lexington, Kentucky.

"I think they're hiding something," says Nikki Crew, Connor's mother.

Shannon Russell, Jaxon's father, said when his son had the second surgery at a different hospital it lasted four hours longer than expected because of infection and scar tissue left behind from the first surgery at Kentucky Children's. He said the second surgeon also found a hole in Jaxon's heart that the first surgeon missed, and corrected it.

"Our question is, how many other babies did this happen to?" said Russell, who, with his wife Miranda, started Lil' Heart Sluggers to help other patients of children with congenital heart defects.

A child's heart surgery amid Syria's carnage

'OK isn't good enough for me'

Dr. Michael Karpf is the first to admit his hospital's heart surgery program was not the best.

Karpf is executive vice president for health affairs at the University of Kentucky's health care system, which includes Kentucky Children's Hospital. He said he put the pediatric heart surgery program on hold because the mortality rates weren't what he wanted them to be.

"They were OK, and OK isn't good enough for me," he said. "It's got to be better. It's got to be good."

In December, a local reporter asked for more details. Brenna Angel, who worked for the university-owned radio station, asked the university for the mortality rate for all pediatric cardiothoracic surgeries performed over the past three years. She also asked for the number of surgeries performed by Plunkett, the date of his last surgery, and payments received for his surgeries.

The university answered some of her questions: Plunkett operated on 110 children in 2010, 81 children in 2011 and 62 in 2012, often performing multiple surgeries on one child. In 2010, UK HealthCare received $288,522 in payments for his surgeries; in 2011, it was $255,380.

But the university refused to release the date of Plunkett's last surgery or the mortality rate, citing the federal patient privacy law known as the Health Insurance Portability and Accountability Act of 1996. The university's lawyer said even though Angel was only asking for numbers, those numbers could eventually be linked to patients' names.

"Because Dr. Plunkett performs relatively few surgeries and because all of his surgeries are highly complex surgeries, it is relatively easy to deduce the identity of his patients," wrote William Thro, the university's general counsel.

Angel filed an appeal with Attorney General Jack Conway, citing the state's Open Records Act, which requires that public agencies, such as public universities, open most of their records to the public.

The attorney general asked the university to let him look at the data privately. The university said no, again citing patient privacy laws. The attorney general disagreed with the university and found it in violation of the open records law.

In April, the university appealed the attorney general's decision to state circuit court.

Hospital plans to do heart surgeries again

While the legal battle continues, the University of Kentucky has been doing its own internal review of the events last year.

Plunkett returned from his month's leave of absence and then later resigned from the University of Kentucky to take a position with the University of Florida.

Dr. Timothy Flynn, senior associate dean for clinical affairs at the University of Florida College of Medicine, said he spoke to surgeons who worked with Plunkett in Kentucky.

"They thought Dr. Plunkett performed very, very well," he said. "We did the due diligence on his skills, and we think he'll do excellent in our environment."

The Kentucky hospital plans on hiring a new surgeon and opening the program back up again at some point. Karpf, the UK HealthCare executive, said parents don't need to worry -- when it reopens, the program will be first class.

"I won't be satisfied until our program is as good as anybody's program," he said.

But Connor, Jaxon, and Waylon's parents aren't so sure.

They say it's troubling that doctors and nurses gave them vague answers when they asked specific questions. For example, their sons had very complex surgeries, and they wanted to know how many times Plunkett had done their specific procedures and what his success rate had been.

"I want to know statistics, I want to know hard facts," said Lucas Rainey, Waylon's father. "But they just said, 'We see this all the time. It'll be fine.' "

Karpf said he's not sure parents would understand statistics and rates.

Karpf says he worries that most people would "have a hard time understanding data."

"Data is a complex issue," he said

Rainey said he and his wife understand data just fine -- they analyzed other hospitals' mortality rates when deciding where to send Waylon after the cardiologist suggested he be moved out of Kentucky Children's.

Jaxon and Waylon are both at home now, and their parents are very pleased with the outpatient care from cardiologists at the University of Kentucky. But they said they'll continue to fight to have all safety data released to the public.

"We've not lost our child, and I thank God for that, but I'm standing up for the ones that have lost their kids -- the moms that I've had to stand in the hallway with and try to console because they've lost their children," Tabitha Rainey said. "And they don't know what's happened and there are still no answers given to them."

CNN's John Bonifield and William Hudson contributed to this report.

@highlight

Kentucky Children's Hospital refuses to provide data on pediatric heart surgery deaths

@highlight

The hospital's chief heart surgeon went on paid leave and surgeries stopped in October

@highlight

Official promises when the surgeries resume, improvement will be seen

@highlight

That's too late for the children who died after surgery, their parents say