Washington is all about the fiscal cliff these days. In Doha, Qatar, world leaders are negotiating over climate change. Federal debt and carbon emissions are indeed two big problems on the nation's front burner. But they are just the beginning.

As the fog of the election season lifts, America has a lot to worry about -- everything from competing economically with China to housing rapidly retiring baby boomers.

But there is another way to look at it. Decisively addressing the nation's primary global challenges -- backed by the market potential of powerful demographic shifts at home and abroad -- could yield opportunity unlike any other in America's history.

First, our four major challenges:

• In the last 20 years, households, businesses and the federal government accumulated exceptional levels of debt, which they are now trying, painfully, to pay down. The 2008 financial crisis triggered a spiral of unemployment and reduced demand that is nowhere near complete. As household income contracts, families consume less and try to erase debt, reducing demand for goods and services, forcing companies to reduce expenses, meaning more layoffs, deepening unemployment, and so on. Monetary policy and fiscal stimulus may have contained the worst of the pain, but they cannot cure the disease. Federal Reserve Chairman Ben Bernanke is right when he says the economy needs a broad-based and durable source of demand.

• Over the last 20 years, roughly 1 billion people entered the global middle class. In the next 20 years, there will be 3 billion more. Good news? Yes, except that these new consumers use huge amounts of resources and emit more carbon, a roughly 300% increase. Expect price increases for basic commodities like energy, food, and minerals, and deepening conflicts among the great powers over resources in familiar places: the Persian Gulf, the South China Sea, and Central Asia.

• Climate change is already with us. Superstorm Sandy, the Derecho, Arctic melting, and droughts in the Midwest, India, China, and Russia this past year confirm the scientifically proven trend. Beyond this, humanity consumes about 150% of the "goods" provided by the earth's natural systems -- including fresh water, soils, and fisheries. We are consuming our limited endowment of natural capital, reducing future returns while our global population expands to 9 billion. This is massively destabilizing, whether you're in New York City or Pakistan.

• Our infrastructure, systems, and supply chains are not designed for the scale or the risks of the 21st century. Transportation, financial, food, and industrial systems have choke points, are inefficient, and lack oversight and sufficient investment. They are magnifying threat and risk when they should be compartmentalizing them. Quiet disruptions in such things as rare-earth minerals (critical to high-tech manufacturing), auto parts,  and computer hard drives have all hit industry in the last two years, for example.

Opinion: We're living the dream, we just don't realize it

America's economy must do some heavy lifting. Just as the country transitioned from war production to civilian production 60 years ago, it must now transition to sustainable production, while building a new American dream. If it can, the United States will be ideally positioned to rebuild our middle class, compete globally and pre-empt growing confrontation over resources.

We must adapt and once again define the future.

First, America has a homegrown demographic opportunity unlike any other. Driven by baby boomers and millennials, 56% percent of homebuyers say that they want the trappings of their American dream to be walkable and convenient, not car-dependent and isolated, and home prices already reflect this.  From 2014 to 2029, these two largest American demographics, each 25% of the total population, will meet in the housing market as boomers empty their nests and as more millennials marry and have children -- creating the largest concentration of demand for housing since the period after World War II.  To seize this opportunity, however, Washington needs to let cities and towns decide how to grow,  and discourage the car-based population dispersal known as sprawl. Not only will this put Americans back to work in construction, it could reduce the environmental footprint by roughly a third.

Second, global demand for food and resources is skyrocketing. By 2050 global food production must increase by 60%, while soil and fresh water must be regenerated, not depleted. American farmers are held back by expensive, distorting, and antiquated Cold War era subsidies that essentially pay farmers to overwork the land and waste scarce water resources. We've already lost up to 50% of Iowa's topsoil, drained the Ogallala Aquifer, and created a fertilizer-based "death bloom" at the mouth of the Mississippi. While conventional agribusiness is enjoying high global prices, climate-related drought and floods have reduced the harvest to the lowest since the early 1970s. Shifting the worst of these subsidies from big commodity crops (like corn, wheat, and soybeans) to pay farmers to convert their operations to modern regenerative systems will help our farming families earn a more secure living and be better stewards of the land.

Finally, the world needs innovation. To accommodate 3 billion new middle-class aspirants in 20 years, we will need to make our resources more productive while reducing the amount of carbon emitted. By focusing on advanced materials, energy and manufacturing, we can rebuild our middle class, supplying the jobs, wages, and returns Americans deserve. To lead this revolution in resource productivity, we must stop taxing work and start taxing waste.

Washington universalized the income tax to pay for World War II, when we had full employment and needed to subsidize resource extraction to get materiel to the Allies. Now we get 80% of federal revenues from taxing individuals, are suffering from long-term unemployment, and consume far more resources than Europe for an inferior standard of living. We're conserving labor and expending resources when we need to do the opposite.

We have the demand. Do we have the capital? Plenty. There are trillions of dollars in pent-up investment capital looking for reasonable, reliable returns, as the chairman of Goldman Sachs recently wrote.

Instead of Washington footing the bill, the federal government must reorient the Cold War subsidies for housing, agriculture, and resource waste and create a new generation of regional financing mechanisms. These new regional tools must connect Wall Street's capital to the infrastructure and innovation opportunities that will arise as regions plan for and build the future. If it's done right, we'll channel excess liquidity back into the productive economy and stop it from sloshing around as underperforming corporate cash, money market funds, and high-risk derivatives.

Yes, Washington must address the issue of the fiscal cliff and make progress on climate change. But isolated solutions will only waste precious time. Tapping into the new demand pools of the 21st century, unleashing pent-up capital, and shifting American markets to lead a revolution in resource productivity will position the United States to lead the world once again.

Follow @CNNOpinion on Twitter.

@highlight

Patrick Doherty: Fiscal cliff, Doha climate talks a reminder of challenges that U.S. faces

@highlight

He says there's big opportunity too, if U.S. harnesses strengths to demographic shifts

@highlight

Smart responses to ongoing economic recovery, climate and infrastructure stresses crucial

@highlight

Doherty: If U.S. views these challenges coherently, it can once again lead in 21st century