LONDON, England (CNN) -- A spate of suicides at France Telecom has put the spotlight on workplace stress and the devastating impact it can have on employees.

France Telecom employees protest against work conditions following a colleague's suicide.

There have been 24 suicides and 13 attempted suicides among France Telecom's 100,000 employees since the beginning of 2008.

Labor unions blame restructuring and poor working conditions for creating a climate of stress.

Last week a 51-year old father of two jumped to his death from a bridge. He was reported to have left a letter blaming his death on the "atmosphere" at work, according to media reports.

The deputy chief executive of France Telecom Monday resigned in the wake of the staff suicides.

Louis-Pierre Wenes said in a message to staff: "Despite the hard edge of the technological and economic fight, especially in our business, nothing can justify men and women putting an end to their lives. Today, like before, I cannot accept it."

Patricia Pegg Jones is health and well-being program leader at the Work Foundation. She told CNN that the economic downturn has increased pressures on employees.

"In the current recession people have less control; there's more uncertainty and a lack of security," she said.

She told CNN there is evidence that workers are more likely to suffer from stress in the recession and also a higher incidence of "presenteeism" -- when employees go to work despite being unwell.

Pegg Jones says that a lack of workplace autonomy can also impact employees' health, with research showing that workers who have less control over their work are more likely to be ill.

She said employers can help workers in times of uncertainty by being open and communicating effectively with them, explaining what changes are in store.

"Employers have to recognize that people take changes differently; some people can deal with the uncertainty and other people undergo a paralysis," she told CNN.

"It's important to recognize that workers don't all respond the same way to restructuring and the impact of recession."

Stress is one workplace hazard that can be detrimental to employees' health, but working too hard can be just as dangerous. In Japan, deaths among overworked employees are so common there is even a word to describe the phenomenon -- "karoshi," or "death from overwork."

Toshiro Ueyanagi is a lawyer specializing in cases of "karoshi." He told CNN that most deaths related to overwork are from heart attacks and strokes, and that overwork can also result in mental illness.

Ueyanagi says it can be hard to prove that a death is the result of overwork and while the Japanese government recognized 377 cases of "karoshi" last year, he believes the number could be closer to 10,000.

"I think there are two reasons why "karoshi" is prevalent in Japan -- a hard-working tradition and very weak laws and regulation in the workplace," he told CNN.

Ueyanagi says the word "karoshi" came into common use around 1990, when Japanese workers began working longer hours in response to competition from overseas and in response to the recession at the time.

He adds that despite increased awareness of the dangers of overwork, de-regulation and increased global competition mean that Japanese workers are working harder than ever.

"Some workers have lost their jobs and workers who remain in the workplace have to work harder than before," he told CNN.

In July 2008 a Japanese labor bureau ruled that a Toyota employee died from heart disease caused by overwork. His wife's lawyers said that in the two months leading up to his death he averaged over 80 hours of overtime per month.

Ueyanagi says that in recent years there have been cases of "karoshi" among Japanese women, especially those working as schoolteachers and middle managers.

As well as representing victims' families in "karoshi" cases, Ueyanagi has established a "karoshi" hotline, which receives between 400 and 500 calls each year from families seeking compensation and people asking how to prevent "karoshi" or deal with stress.

But there are personal reasons behind Ueyanagi's crusade against "karoshi." "I think my father died from cancer because he was too busy to see a doctor," he told CNN.

"It's one reason why I take this phenomenon seriously."

@highlight

24 suicides among France Telecom employees since the beginning of 2008

@highlight

Recession means there is more chance of workers suffering from stress

@highlight

In Japan there are more than 300 annual cases of "death from overwork"