While most of us are familiar with the word "meme" as the 21st century's buzzword for the latest trends and multi-media conversations in social media, Internet memes actually have been in active circulation for decades. They existed long before the arrival of web 2.0, social networking and the so-called viral industry, back when 56K dial-up was your only key to the World Wide Web and even before that, during the bygone years of Usenet newsgroups.

With this in mind, let's take a look back at the top 10 most classic Internet memes that have sprung up and defined our "cyberculture" as we once knew it.

Leetspeak (1980s)

"1337speak," read as leetspeak, is a corrupt style of the English language marked by liberal interchanging of numbers and symbols in place of certain letters that arose from the so-called "leet" ("elite") subculture of hackers in the late 1980s, and later, gamers in the 1990s.

Though now considered an outdated vernacular, 1337speak established a way to "be cool" on the Internet and left many other lasting legacies in the online gaming world -- most notably "n00bs" (newbies) and "getting pwned" (owned).

Godwin's Law (1990)

In a telling sign that shows the Internet's penchant for arguing and mudslinging, one of the first Internet memes to be referred to as such is a piece of Usenet-era wisdom from Mike Godwin, who observed in 1990 that "as an Internet discussion grows longer, the probability of a comparison involving Nazis or Hitler approaches one."

Since then, Godwin's Law has matured into an unspoken rule on message boards and forums that says: "if you mention Hitler or the Nazis to advance your argument in a discussion thread, you've automatically ended and lost the debate."

Hamster Dance (1998)

This very adorable (and equally obnoxious) homage to dancing hamsters went live in 1998 and quickly spread like a wildfire through newsgroups and e-mail chains, inspiring a series of copycats and parodies like "The Pig Dance," The Matchstick Dance" and even "The Jesus Dance."

Though it may not look like much in comparison to "Nyan Cat" or "Hamster on a Piano," the dancing hamsters were declared one of the biggest sensations the Internet had ever seen at the time, along with the legendary "Dancing Baby."

All Your Base are Belong to Us (1998)

Originally found in the opening dialogue sequence from the 1989 Japanese space shoot'em up game "Zero Wing," this awkward translation of the phrase "all of your bases are under our control" swept across gaming message boards and forums in the late 1990s, giving rise to one of the first epic-scale "Photoshop memes" based on poorly translated quotes from Japanese video games and animes.

Not surprisingly, a number of other funny "Engrish" moments from Nintendo video games were brought to light in the wake of "All Your Base," including "I am Error" (The Legend of Zelda) and "A Winner is You" (Pro Wrestling).

You're the Man Now, Dog (2001)

It's impossible to talk about the state of Internet humor and remix culture in the early 2000s without bringing up the names of a few websites, one of them being YTMND.com. While the site first began as a humble monument to an awesomely awkward quote uttered by Sean Connery's character in the 2000 drama "Finding Forrester," it inadvertently grew into a major creative hub for mash-ups and parodies of all things pop culture, like "The Picard Song" or "Lindsay Lohan's Unchanging Facial Expressions."

Anonymous (2003)

The word may nowadays ring a bell with headlines about hacktivism, DDoS (distributed denial-of-service) attacks and Internet vigilantes, but the movement actually started back in 2003 as a far less political group of users on 4chan's /b/ board who would occasionally pull mass pranks on other online communities for their own entertainment under the collective pseudonym "Anonymous" -- a label that was designated to every user on /b/ by default.

In the following years, the group continued to build its notoriety through on-air prank calls and chat room raids, most notably the infamous Habbo Hotel invasion in 2006, until the launch of Project Chanology in 2008.

FAIL (2003)

Yet another classic genre of Internet humor that emerged at the turn of the century, this catch-all term quickly rose to favor in the early 2000s as people on the Internet began coming to terms with the fact that we love to laugh when others fail, a psychological behavior also known by the German word "schadenfreude."

The resounding impact of FAIL in humor can still be felt in today's Internet memescape, as we continue to celebrate others' ineptitude through an evolving generation of emoticons and slang terms, such as *facepalm*, cringe and the look of disapproval.

Badger Badger Badger (2003)

"Badger Badger Badger" is a flash animation featuring an army of badgers dancing to a repetitive electronic song interspersed with occasional mentions of "mushroom." Created by Jonti Picking in 2003, the animation not only provided a springboard for Picking's cartoon site Weeble's Stuff, but also served as the gateway meme to the Internet's fondness for mind-numbingly repetitive tunes that continues to this day. See: Nyan Cat

LOLcats (2007)

Just in case you forgot, this is the story of how cats became the lions of the animal memedom. By the mid-2000s, consumer-grade digital cameras pretty much had become a household staple, and with a stroke of genius on the meme factory of 4chan, thusly began the great invasion of the adorable and semi-literate cats, and their Cheezburgers, on the Internet.

In addition to making cats ever so popular, LOLcats also put the Impact font on the map as the standard typeface of Internet humor.

Rickrolling (2007)

"Rickrolling," or tricking someone into clicking a link under the impression it will lead to something interesting, but instead serenades the viewer with Rick Astley's "Never Gonna Give You Up," led to the song became an unlikely hit over two decades after its release and brought the British singer back into the limelight. The meme also brought the concept of trolling into mainstream consciousness.

There have been a number of successors to carry on this "bait-and-switch" tradition, some of the most popular choices being "Trololo" and the wheelchair cliff scene from "Mac and Me."

@highlight

Celebrating 25 years of the World Wide Web, Ben Huh recalls some of its finest memes

@highlight

Hamster dance was adorable, obnoxious, viral

@highlight

Lolcats took over the internet in 2007

@highlight

Rickrolling was a classic "bait and switch" meme