(CNN)In the new Republican Congress, the first priority is a pipeline.

Not jobs (not really).

Not police violence (and anti-police violence).

Not ISIS.

It's a pipeline, the Keystone XL, which, as I'm sure you've heard, would carry crude from Canada across the United States and to the Gulf Coast, where some of it would be processed and exported.

The Republican argument for the pipeline more or less fits in a single word: jobs. They cite a State Department report saying the pipeline would create 42,000 temporary jobs. But as the fact checkers at The Washington Post and elsewhere have pointed out, that's highly misleading at best.

"Most of those jobs are far from the construction site, and it's hard to argue they are new," writes Glenn Kessler. "Moreover, under State's accounting, they only last for a year. For some workers, it would be a good but brief payday. In the context of the U.S. economy, the impact is barely a ripple."

The low-ball estimate: Only 35 permanent jobs would be created.

Yep, 35.

And crazy-low oil prices make the pipeline even less of an economic boon.

Democrats and environmentalists, meanwhile, have started using the now-famous pipeline as a stand-in for climate change, a dangerously myopic proposition given the scope and seriousness of that issue. Build the pipeline and it means the United States is shirking on a cleaner-energy future. Oppose it, and that's a sign that this country -- long a laggard on stabilizing the climate -- is finally making amends.

I've been to the Tar Sands region of Canada, where the Keystone crude would originate. I've watched machines with wheel axles high above my head dig for oil in the dirt -- a form of strip mining, really, where the environmental costs of continuing to use fossil fuels are visible in enormous, earthen pits.

It does have literal and symbolic importance. It matters.

But killing Keystone has become more about politics than substance.

Plenty of other issues deserve that level of attention.

Instead of going on griping about all of it though (this is a new year, after all, a time for aspirations and optimism), I'd like to suggest five environmental issues that I hope will become part of a more grounded national debate in 2015. If you have other ideas, please shoot me a note on Twitter (I'm @jdsutter) or in the comments section below.

1. Climate change

This is a no-brainer. The world will meet in Paris this December to attempt to hammer out a truly international agreement to cut greenhouse gas emissions and stave off the very worst effects of climate change. Some worry it may be too little too late. But news out of 2014's pre-Paris talks was surprisingly hopeful -- and included, for the first time, the possibility of all countries joining a climate pact. The talks in December, writes Andrew Simms for The Guardian, are "the most significant task ahead of us in 2015."

2. Nature thieves

There's a massive black market for rare plants and animals -- and we could be living in a world without elephants, rhinos and pangolins (yes, pangolins) if we let the illegal extraction of natural resources continue. The World Wildlife Fund estimates the scale of the wildlife trade at $10 billion annually. African elephants -- massively smart creatures, and symbols of the amazing world we inhabit -- could go extinct in a matter of decades if the trade in their ivory tusks isn't stopped. Rhino poaching is also on the rise. Asia is a major market for these illicit goods. Rhino horn and pangolin scales are used in traditional medicines, for example, and other parts are sold as luxury goods. But the United States also is a significant consumer, too.

3. The soil

I tend to hate the "Year of ____" construct, but the United Nations was smart to declare 2015 the International Year of Soils. Soil isn't something most of us think much about, but it's crucial to our food system and the health of the natural environment. ("Interstellar," anyone?)

"The world will have over 9 billion people in 2050, 2 billion more than today," the U.N. Food and Agriculture Organization's director-general, José Graziano da Silva, said in a prepared statement. "And food production will have to grow by 60% to feed a larger population that will also be eating better. So there is no doubt the pressure on natural resources is bound to increase. And soils are not something we can simply fix if it breaks: It can take up to one thousand years to form one centimeter of topsoil."

4. Water conservation

Water is the new oil, and industries and governments need to get smarter about protecting this vital resource from pollution and overuse. In California, a prolonged drought has pushed farmers to drill deeper water wells and pump the resource out of the ground. The earth literally is sinking in response, according to U.S. Geological Survey research. (Take a look at this photo.) And the fundamental problem is far from isolated. About 1.2 billion people live in water-scarce regions, according to the United Nations.

In many places, climate change threatens to make droughts more severe.

5. Air pollution

Dealing with climate change also has a spinoff effect: It makes the air safer to breathe. Having fewer power plants is good on the lungs. If you're a person living in India or China (or Houston), that is undoubtedly welcome news. In 2012, outdoor air pollution was estimated to cause 3.7 million premature deaths. In China, the situation appears so dystopian that a businessman in Beijing was reportedly selling cans of clean air.

@highlight

The Keystone XL pipeline is priority No. 1 for the Republican U.S. Congress

@highlight

But CNN's John Sutter offers five other environmental issues worthy of attention