(CNN) -- Federal Emergency Management Agency officials know the agency's performance in the California wildfires will be watched closely for comparisons to its failures in Hurricane Katrina.

A volunteer distributes donated food and supplies to evacueesTuesday at San Diego's Qualcomm Stadium.

FEMA Director David Paulison promised on Tuesday "a different type of response than the federal government put together for Katrina."

Paulison said Katrina "was a wake-up call" and that "this is a new FEMA."

President Bush signed a federal disaster declaration Wednesday, freeing up federal funds for families affected by the wildfires in seven counties in Southern California.

"I will continue to make sure that our efforts are coordinated, that we are responding to the needs of people, but most importantly I want the people in Southern California to know that Americans all across this land care deeply about them," he said.

The action follows an emergency declaration by Bush on Tuesday morning for the counties of Los Angeles, Orange, Riverside, San Bernardino, San Diego, Santa Barbara, and Ventura.

He said he's "looking forward" to his visit to the region on Thursday.

According to a statement from the White House, the federal disaster declaration will allow for federal aid that "can include grants for temporary housing and home repairs, low-cost loans to cover uninsured property losses, and other programs to help individuals and business owners recover from the effects of the disaster."

FEMA and other relief and rescue services face significantly different challenges in the fire zone than they did on the Gulf Coast in 2005.

For example, the fires aren't covering every square foot of the region, as Katrina did. The devastation in California is intense but not universal.

During and immediately after Katrina, the destruction was so complete that relief personnel and supplies -- even the U.S. Army -- could not get within miles of the disaster's epicenter, New Orleans' Lower Ninth Ward, for several days.

By contrast, roads in Southern California have remained open for residents to get out and help to get in without delay. Residents there are generally more affluent and are able to use their own vehicles to escape, whereas many of Katrina's victims were poor and had no means of transportation.

Victims in California are not stranded on rooftops without food or drinkable water, but are able travel the relatively short distances to safe places.

One of those safe places is San Diego's Qualcomm Stadium, which is not endangered by the fires. FEMA and other relief agencies are able to stage supplies and meet victims' needs in an organized way.

New Orleans' Superdome, on the other hand, sitting in the center of the disaster zone, was severely damaged by hurricane winds and threatened by rising water. What had been a shelter devolved into a trap.

Katrina also wiped out the Gulf Coast's communications infrastructure, crippling the coordination of relief efforts -- even for the military.

Homeland Security Secretary Michael Chertoff acknowledged Tuesday that the government's response machinery had benefited from the Katrina experience.

"I think there's no question that [there were] a couple of the lessons from Katrina which we have put into effect here," Chertoff said.

"First of all, planning and preparation in advance for these kinds of challenges, so that we have worked together and planned together with the Defense Department and with state authorities well in advance of the crisis. That's been a big help here," Chertoff said

"Second, we have really flooded the zone as quickly as possible by staging assets to deal both with the firefighting issue and with the response issue," Chertoff said.

Chertoff said federal officials began discussing over the weekend the need to have FEMA ready, "and as we saw the evacuation issue becoming more prominent, and the number of people seeking shelter becoming more prominent, we sprang into action yesterday.

"So we've been monitoring the situation continuously. The president's been on top of it. We've been on top of it. And we're going to continue to stay ahead of this as far as we can."

Chertoff said Tuesday that he hadn't waited for the paperwork to be signed before staging assistance.

"We have been moving cots, blankets, other supplies into the area of San Diego so that we can handle any necessity for additional sheltering capacity," he said. "We've also moved air assets to be poised to take flight when we do have the opportunity to deal with the fire, once the winds begin to die down."

People left homeless by the fires can already go online to apply for federal help at www.fema.gov, Paulison said.  Watch Paulison discuss the "new FEMA" »

He denied suggestions similar to those made in the aftermath of Katrina that the federal response was hampered because National Guard equipment was in short supply because of the Iraq War.

"I just haven't seen that," he said.

The U.S. military has sent aircraft to help fight the fires, including 11 Defense Department helicopters equipped with water buckets and six C-130 aircraft able to drop water and flame retardant.

More than 17,000 National Guardsmen have been made available; 550 Marines were ready for deployment from Camp Pendleton, north of San Diego; and 12 Defense Department firefighting teams, were engaged. E-mail to a friend

@highlight

FEMA doesn't face utter devastation as in Gulf Coast in 2005

@highlight

Victims can escape in own vehicles on open roads

@highlight

Communications infrastructure remains intact

@highlight

Agencies learn from Hurricane Katrina mistakes