Washington (CNN) -- Washington has started an unpopular tradition: wreaking havoc with the holidays. And it's possible it could happen again this year.

With less than a month before the New Year, doctors who treat Medicare patients don't yet know how much the government will reimburse them, parents aren't sure if their local Head Start program will turn away students, civilians in the military don't know how many days they could be furloughed, and families can't yet estimate the price of milk.

All because Congress hasn't finished its work on must-pass legislation.

Unfortunately, it's becoming an annual occurrence.

A year ago, Congress spent the holidays battling over the "fiscal cliff." Lawmakers worked early into New Year's Day to prevent the combustible mix of tax increases and budget cuts, which experts warned would have damaged the economy.

The previous year, Congress worked on Christmas Eve to craft a short-term deal to avoid an increase in the payroll tax, a decrease in unemployment benefits, and a cut to doctor payments for Medicare patients.

And in 2010, lawmakers and Obama broke a rancorous stalemate by reaching a breakthrough agreement a full 10 days before Christmas to extend George W. Bush's expiring tax cuts.

In 2009, the Senate was in session on Christmas Eve voting on the Affordable Care Act.

Congress and the President are once again on course to shake up the holidays.

Milk and food

The Farm Bill, which sets the nation's food policy and priorities, is two years overdue. Congress has been passing short-term extensions instead of the usual five-year plan, but key negotiators now say a short-term fix is not an option.

If it fails to pass a Farm Bill, the economic impact for ordinary Americans could be quite severe.

The price of milk would more than double to an estimated $7 per gallon as government subsidies expire. The cost of food overall would go up, with supports for commodities such as corn and wheat also running out.

Washington gridlock risks $7 milk

Another huge factor: food stamps. The Farm Bill authorizes spending for that program. House Republicans want to drop 3.8 million people from those rolls next year -- about 8% of recipients - while Senate Democrats aren't keen on those cuts. But they would likely have to agree to some reductions for a deal to be reached.

Doctors and their patients

For doctors, the holidays are a stressful time if they see Medicare patients. That's because their reimbursements are caught up in political wrangling and budget negotiations. It's called the "doc fix" and they would see a 24% reduction in their reimbursements if Congress fails to act.

While there is bipartisan support for doctors to receive payments in full, there is plenty of disagreement between the two parties on how to pay for the costly program.

The latest estimate from the nonpartisan Congressional Budget Office found the "doc fix" would cost $138 billion over the next decade. While that's far lower than the $316 billion the CBO projected the previous year, it's still hard to find an extra $138 billion lying around.

The House announced a path forward but the Senate has not. It's unclear how this issue will be resolved.

If Congress fails to fully reimburse them, doctors have threatened to stop seeing Medicare patients. That's not a viable option as more and more baby boomers sign up for Medicare every day.

Defense and diplomas

A group of bipartisan, bicameral negotiators are working on a deal to fund the government for 2014. They have until December 13, the self-imposed deadline.

The group formed as part of an agreement to reopen the government after a 16-day shutdown in October.

Congressional budget talks at critical point

While the two committee leaders say they are making progress, Rep. Chris Van Hollen, D-Maryland, one of the House Democrats on the conference committee, threw cold water on any imminent budget deal, telling CNN the talks "are going way too slowly."

One key issue is the next round of annual, across-the-board spending cuts -- also known as the sequester. Those reductions this time would total $110 billion and run for the entire fiscal year.

The 2013 reductions took effect in March and ran through September, and agencies would be more limited in manipulating their budgets to account for spending reductions, according to a report by the liberal-leaning Center for American Progress.

Sequester cuts have had a wide-ranging impact on adult job training programs, schools for low-income students, civilian defense contractors and military readiness, the report says.

But that was for 2013. The role of the sequester on schoolchildren, service members and job seekers is still unclear as Congress has yet to agree on what the budget would look like. The 2014 fiscal year began two months ago.

Patients and patience

For millions of Americans who buy health insurance in the individual marketplace and for the uninsured, the option of receiving health care is supposed to be available this holiday season.

While the Obama administration has said the federal website, HealthCare.gov, for people to sign up for coverage is working much better, it's clear that problems still exist.

Officials warn glitches will persist and describe the online site as an ever-evolving work in progress.

After website woes, White House to push benefits of Obamacare

If people can't complete their application on HealthCare.gov by December 23 -- two days before Christmas -- then they won't receive coverage on January 1, causing anxiety during an already stressful time of year.

Congress and the President

In recent years, the holiday spirit has been lacking in Washington as acrimonious debates have taken over the season.

A recent move by Senate Democrats to get rid of the filibuster for many presidential nominees -- the nuclear option -- could add to the season of partisanship on Capitol Hill.

And displeasure with Obama's deal on Iran's nuclear program has added an additional layer of mistrust between the branches of government.

The Grinch might have some competition this year.

CNN's Deirdre Walsh, Lisa Desjardins, Jim Acosta, Tom Cohen, and CNNMoney's Jennifer Liberto contributed to this report

@highlight

Congress has made a habit of working until the last minute to meet fiscal deadlines

@highlight

This year, Congressional negotiators are working on a budget for 2014

@highlight

If Congress fails to act, the price of milk could spike

@highlight

Doctors face cuts to reimbursements for seeing Medicare patients