Cairo, Egypt (CNN) -- The frightened look on the Algerian players' faces said it all.

Standing in the center of the Cairo International Stadium, the 11 players representing the Desert Foxes were subjected to a barrage of boos and screams from the 100,000-strong crowd, drowning out every single note of their national anthem.

Egypt versus Algeria has always been considered one of the fiercest rivalries in world football, but this age-old dual took a new dimension when the two met in a winner-takes-all match for a place in the 2010 World Cup finals.  Egypt had to win by three clear goals to go through, or win 2-0 to force a play off.

What had been billed as a crucial game between Arab and Muslim brothers ended in violence, recriminations, diplomatic intrigue and a trail of broken glass and burned-out cars from Cairo to Marseilles.

Not since the so-called "Soccer War," when a World Cup qualifier between Honduras and El Salvador sparked armed conflict between the two feuding Central American nations in 1969, has a football match taken on such overtly political tones.

Algeria and Egypt have long been regional rivals, but the current animus stems from 1989, when Egypt faced Algeria in a winner-takes-all match for a place at Italia '90. Algeria, who had qualified for the past two finals and were considered the leading power in African football, lost 1-0 thanks to a controversial Hossam Hassan goal.

"The Algeria team was full of stars and on the pitch it was very crazy; 11 fights between every player," recalled Ayman Younis, a former Egyptian international who had played for the Pharaohs in that qualification campaign. "Everybody forgot what the coaches had to say and just fought instead. It was a battle, not a football match. It was like our war against Israel in 1973."

Violence followed between fans and players alike, with the Egyptian team doctor losing an eye via a broken bottle. Former African Player of the Year Lahkdar Belloumi was convicted in his absence. Despite denying any involvement in the attack an Interpol arrest warrant was hanging over him until the matter was resolved when the two governments met before last June's first group game, which Algeria won 3-1.

The move was designed to defuse tensions between the two countries but by the time tickets were due to go on sale a few days before the final group match, the hysteria was almost out of control. With the Egyptian league cancelled weeks before the match, so that the team could prepare for the decider, a media war had broken out between Algeria and Egypt to fill the vacuum.

The front page of Shoot, Egypt's popular weekly football newspaper, was a case in point. It depicted a scene from the film "300," a cinematic depiction of the classical battle of Thermopylaein where 300 Spartans held off an attack of over 100,000 Persian soldiers.

Only this time the Egyptian players' faces were superimposed over the faces of the Spartan soldiers. At the front, leading the charge with Egyptian flag in hand, was the coach Hassan Shehata. The headline read: "Attack," written in Arabic and smeared in blood.

The escalation of the dirty media war was highlighted when the Algerian team landed in Cairo: Their bus was attacked by stone-throwing youths, who smashed windows and injured four people, including three players.

"They let them do it," defender Antar Yahia told Algerian state radio, accusing Egyptian security guards of standing back and allowing the attack to happen. "It's shameful. In our home game we welcomed them with flowers."

But, despite a FIFA representative witnessing the attack, the Egyptian media, including the government controlled daily Al Ahram, accused the Algerians of fabricating the claim to try and force a cancellation.

Across town protests broke out in front of the Algerian embassy as hundreds of Algerians tried to pick up tickets only to be told that just 2,000 would be made available. "The Egyptians are so scared, they are trying any means [to win the match], it is a dirty game," explained 45-year-old Elias Filali, a British Algerian businessman as he waited for news about tickets. "The image of Egypt is at stake."

On the day of the match the vast majority who had arrived at the Cairo International Stadium six hours before kick off to create the intimidating wall of sound that had drowned out the Algerian anthem were convinced that the Algerians were trying to cheat their way to the finals.

The Desert Foxes, several wearing heavy bandages from the wounds they had received when their coach was attacked, were visibly rattled by the hostility, so much so that Amr Zaki managed to score in the second minute, giving 80 million Egyptians hope. Then Emad Moteab looped in a header five minutes into injury time. The Algerians were silent, halted just 30 seconds from the finishing line. The Egyptian bench stormed the pitch, the crowd exploding in disbelief.

"They [Algeria] are so disappointed now," shouted Essam Bilal, a celebrating Egypt fan, over the din of car horns from the grid locked streets outside the stadium. "It was bulls**t that they were attacked [because] I know the bus driver and he said they invented everything so they deserved to lose."

The goal set off a chain of violent events around globe. The Egyptian government eventually confirmed that 20 Algerians had been hurt in riots outside the stadium, after initially denying anything untoward had taken place. One Algerian newspaper reported, falsely, that seven "bodies" had been flown back from Cairo.

Riots flared in Marseille, where youths of Algerian origin set fire to boats and cars; Algiers was rocked when Egyptian businesses were ransacked by angry fans. Egypt recalled its ambassador to Algeria in protest.

But the result meant that the two now had to play again, in Sudan, under tight security. Tens of thousands of Algerian and Egyptian fans descended on Omdurman (a sister city of Khartoum) for the game, which Algeria won 1-0, sending them and not Egypt to South Africa. Ironically, it was Antar Yahia who scored the winning goal.

Even after the match the war of words continued. Whilst most of the world's press agreed that the aftermath had passed relatively peacefully, Egyptian media saw things differently. According to Egyptian football Web site Filgoal.com, tearful fans had phoned Egyptian TV shows from Sudan claiming to be under attack from knife-wielding Algerians. "I don't know what to say. Damn the so-called Arab unity, we should no longer talk about it," presenter Ibrahim Hegazi angrily said on his Nile Sport TV show. "We should review our situations. We can no longer bear such incidents."

President Mubarak told the Sudanese government, rather bluntly, that he would be watching the drama unfold on TV at home and would send in the army if need be. "Egypt does not tolerate those who hurt the dignity of its sons [but] we don't want to be drawn into impulsive reactions. I am agitated too, but I restrain myself," he said afterwards in a televised speech to parliament.

It was all news to the Sudanese government, who summoned the Egyptian ambassador, livid that media reports in Egypt had exaggerated the violence. FIFA charged the Egyptian FA over the attack on the Algerian team; they responded by threatening to pull out of international competition for two years.

The Algerian embassy was the scene of another riot, this time by Egyptian fans angry at the pictures they had seen emerge from Sudan.

Like in 1989, the aftermath will leave a bitter taste far beyond the football field. Unlike 1989, both teams may not have to wait two decades to revive the animosity: Algeria and Egypt play in January's African Cup of Nations and could meet in the knockout stages. FIFA, not to mention both governments, will pray that fate doesn't offer either side the chance for revenge.

@highlight

Egypt played Algeria in a winner takes all battle for a place at the World Cup.

@highlight

Violence, stoked by both country's media, broke out as Algeria qualify.

@highlight

The match created a diplomatic incident between Egypt and Algeria.

@highlight

President Mubarak has personally intervened in the row.