(CNN)Saturday's deadly earthquake in Nepal was the "big one" experts were waiting for based on the region's history.

Earthquakes are a fact of life in the South Asian country, with tremors of magnitude 4 or 5 occurring several times each year, geologist and science journalist Kate Ravilious said.

With the last major earthquake in 1934, the concern was not if, but when the next "great" earthquake would hit, said Ravilious, author of the 2014 article, "Kathmandu's earthquake nightmare."

In a landlocked country like Nepal, where infrastructure is fragile to begin with, the consequences of such an earthquake had the potential to be "much more serious," Ravilious told CNN.

Those fears were realized when a magnitude-7.8 earthquake centered less than 50 miles from the national capital of Kathmandu rocked Nepal, toppling homes, historic buildings and leaving more 1,400 dead, authorities said.

"This event, while large and tragic, is not unusual for that region of the world as the whole mountain range stretching from Tibet almost to Caspian Sea is an area of major collision between continental plates," said geological engineer Nicholas Sitar with the University of California, Berkeley's Department of Civil and Environmental Engineering.

What's different this time from 1934 is the size and density of Kathmandu, which suffered the brunt of damage in both earthquakes.

"The population has exploded in several decades," U.S. Geological Survey spokesman Gavin Hayes told CNN. "When you get a vast population in the kind of building infrastructure that isn't equipped to handle shaking of an earthquake this size, that's when you see the scale of disaster we're seeing now."

The big unknown is what happens next, now that the initial rumbles of the quake have passed, Ravilious said.

How will emergency response teams enter the landlocked country, whose single international airport is closed? How will transports carrying aid move through the country if roads are destroyed? If and when landslides start, how will mountainside villages in the Himalayan range fare?

And, will it all be resolved before monsoon season starts?

"The worry now is to get Nepal up and running again on feet," Ravilious said. "The monsoons in a couple of months could make things worse if we don't sort things out before then."

An earthquake is the ground shaking caused by a sudden slip on a fault, according to the U.S. Geological Survey. Stresses in the earth's outer layer push the sides of the fault together, releasing energy in waves that travel through the earth's crust and cause the shaking felt during an earthquake.

Nepal is located on a major plate boundary between India and Eurasia, where collisions have been in progress for about 50 million years. Those collisions are responsible for the construction of the Himalayas, which has the tallest and some of the fastest growing mountains in the world, said Chris Goldfinger, director of Oregon State University's Active Tectonics and Seafloor Mapping Laboratory.

India is moving northward into Eurasia at a rate of about 45 millimeters a year, with earthquakes of a magnitude from 8 to 9 occurring on average in the Himalaya every 500 to 1,000 years, said Marin K. Clark, associate professor of Geological Sciences with the University of Michigan's Department of Earth and Environmental Sciences.

The last major earthquake to affect this part of the Himalayas was in the 1500s, and Kathmandu was badly damaged in an earthquake that occurred farther east of Saturday's quake in 1934.

A major concern for this earthquake is damage from landslides generated by the strong shaking, Clark said. The entire area that experienced shaking was in steep, mountainous topography where landsliding is a significant hazard.

Clark compared the circumstances to the 2008 earthquake in Sichuan Province, China. The magnitude-7.9  earthquake generated more 200,000 landslides, many of which blocked roads, slowing response and recovery efforts. The landslides also blocked river valleys, which created significant flood hazard.

"We might anticipate a similar situation for Nepal."

@highlight

Earthquake scientists have been expecting major event in Nepal since 1934

@highlight

Population density, weak building infrastructure amplified damage, USGS spokesman says

@highlight

"This event, while large and tragic, is not unusual" in region, geological engineer says