(CNN) -- As a politically active Millennial invested in this year's election, I was surprised by my own response to the first presidential debate: I was bored.

But not for all the reasons the pundits are talking about. To be sure, President Barack Obama's lackluster performance and Mitt Romney's free rein over the moderator led us into the weeds of policy without a compass. But that wasn't the only reason the candidates didn't speak to me.

The debate was supposed to be about domestic issues, but focused exclusively on economic policies and health care plans. As a Millennial, or a member of the generation born in the 1980s and 1990s, I care deeply about the economy and health care. My generation faces crushing educational debt of $904 billion in 2012, up from $241 billion a decade ago; many of us don't have health insurance; and we face an unemployment rate that, at 12%, is 50% above the national average.

But we also want our leaders to connect the dots.

Opinion: A plea to millennials -- get out the vote

Among my own Millennial friends, we don't debate economic reform without addressing the immigrant labor force. We never discuss health care without also grappling with women's rights. And yet, the candidates Wednesday night managed to debate fine points of policy while missing the big picture. We can't build a moral economy or health care system without considering the major social challenges of our time: civil liberties, immigration, women's rights, domestic extremism and climate change. None of these issues was even mentioned in the debate.

The failure to speak clearly and consistently to our generation's concerns about the world we will inherit has consequences in this election. In the 2008 election, Millennials made up 17% of the electorate and voted 66% for Obama, compared with 32% for John McCain. We were responsible for Obama's decisive seven-point victory, accounting for 80% of Obama's national popular vote margin over McCain.

Our generation now makes up 24% of the electorate and could make up the deciding vote again, but only if we make it to the polls. We are not nearly as engaged this election season as the last time around. We lag behind older voters in interest in the election and intention to vote. Only 18 percent of us under 30 are following this election closely, down from 35% four years ago. Just 63% of those of us registered say we will vote, down from 72% last time around. While these numbers hold for both young Democrats and Republicans, a dip in voter turnout is most consequential for Obama, who leads among our peers.

Why are we losing interest? Let's put this election in context. For the majority of us who voted for Barack Obama, electing the president in 2008 felt like changing the course of history.

Opinion: Who are millennials?

Our generation came of age in the shadow of catastrophe -- the aftermath of 9/11, the genocide in Darfur, Hurricane Katrina and its aftermath, the wars in Afghanistan and in Iraq, and a faltering economy. We had hoped that the historic election of our first African-American president, a candidate who embodied our diversity in being and breath, would initiate a new era that broke from Bush-era politics.

Instead, the president inherited a punishing economic recession and GOP obstructionism that made even modest reforms challenging. Even worse, his administration continued some Bush-era national security policies he promised to end, from indefinite detention at home to drone warfare abroad.

As a result, Millennials I know have become disillusioned about national political change, turned to local politics and community engagement instead and focused on getting through tough times.

Still, many, like me, are not giving up.

This election year, I've sobered up about the meaning of hope. Hope requires action beyond casting a vote; it requires holding our elected leaders to task. The president repealed Don't Ask Don't Tell, came out for marriage equality and created a program that allows undocumented youth to live and work legally in the U.S.

I believe that Millennials can be critical of the political process and still have faith that incremental change is possible if we organize before and after Election Day.

Opinion: Why this election is so personal

Of course, it's difficult to organize if our candidates are not even discussing our concerns. No matter who we support, let's ask that our candidates debate all the issues that determine the future of our nation. No one has more at stake than the generation who will inherit it.

Imran Siddiqui, a South Florida-based attorney, Muslim American activist and community organizer with Emerge USA, contributed to this essay.

The opinions expressed in this commentary are solely those of Valarie Kaur.

@highlight

A politically active Millennial, Valarie Kaur was bored by debate

@highlight

Kaur: Jobs, health care are very important to her generation, but so are social challenges

@highlight

Civil rights, immigration, women's issues, climate change were unaddressed, she says