(CNN)It wasn't until her 20s that Fethiye Cetin discovered her Armenian ancestry. Her grandmother, 90 years old at the time, told Cetin that her real name was Heranus. Like many other survivors of 1915, Heranus assimilated and kept her identity hidden. Many feared a repeat of the horrors they witnessed and barely escaped.

In a crowded reception before a memorial concert in Istanbul this week, people rushed to greet Fethiye Cetin. A strong, soft-spoken woman now in her 60s, Cetin is a prominent lawyer who represented Armenian-Turkish journalist Hrant Dink. Dink was a strong proponent of reconciliation between Turks and Armenians who was tried for "insulting Turkishness." He was assassinated in 2007.

The shocking discovery of her true heritage would change Cetin's life. She tells Heranus' story in an evocative memoir titled "My Grandmother." Heranus and her family were among a massive stream of women and children being forcibly marched by Ottoman soldiers, not knowing where they were going or why they were torn away from their male relatives. Echoing throughout the procession were morbid whispers that the men and teenage boys had all been killed.

Heranus was 9 at the time. An officer spotted her and her brother and wanted to take them away. Her mother protested but she was told by others, "The children are dying one by one. No one will make it out alive from this march. If you give them, their lives will be saved."

Heranus and her brother were scooped up onto the officer's horse and taken to a garden packed with other children and fed the first warm meal they had had in days. But soon reality set in and Heranus began to cry and beg to see her mother.

Heranus was separated from her brother, adopted by the officer and his wife, who could not have children of their own. Her name was changed to Seher and she was raised Muslim. And so she survived, had children and grandchildren.

Cetin was in law school when her grandmother revealed her secret and painful memories of her Armenian roots. It shattered all that she knew to be real. The 1915 forced deportations and massacres were not taught in Turkey's schools.

"There was a huge silence" Cetin said. "It was not just the victims that were silent; it was all of society."

Cetin felt rebellion welling up inside her.

"I wanted to go on the streets and scream that they are lying to us," she remembers, "a cruelty like this happened, and I wanted to shout it out loud."

Armenia and the Armenian diaspora have been doing exactly that and demanding that the "Great Catastrophe" be recognized as genocide by Turkey and the world. Armenian President Serzh Sargysan said earlier this year that "impunity paved a path to Holocaust and genocides in Rwanda, Cambodia and Darfur."

The survivors of 1915 and witnesses remember massacres, bloodied rivers, concentration camps, rape and death marches into the Syrian desert.

The Republic of Turkey has always rejected the term "genocide." Rather, the Ottoman Empire's Committee of Union and Progress believed Armenian nationalists to be collaborating with the Russian army, which was at war with the Ottoman Empire. To prevent this alliance and stop violence against civilians, the committee undertook a policy of "relocation" to move Armenian populations residing in or near the war zone to southern provinces. Turkey argues that wartime conditions, famine and internal conflicts led to the death of millions of Ottomans, including Armenian subjects.

But it's only in the last decade that public dialogue in Turkey began.

"We just started breaking the silence recently", Cetin said. "People were quiet for 90 years in this country."

Turkish leaders have recently taken a more reconciliatory tone. Turkish President Recep Tayyip Erdogan offered Turkey's condolences last year to the descendants of the Armenians who lost their lives. He called for the establishment of a joint historical commission in order to study the "events" of 1915.

But Pope Francis' use of the word "genocide" and the European Parliament's resolution last week angered Turkish leaders. The Ministry of Foreign Affairs called the resolution "selective and one-sided," claiming it repeated "anti-Turkish clichés." Erdogan deemed it a "hostile campaign against Turkey."

This week, Turkish Prime Minister Ahmet Davutoglu repeated the call for a historical inquiry and the need for an approach based on "just memory" for a "common peaceful future." He asked that third parties, such as Pope Francis, refrain from "aggravating age-old wounds."

A century on, Cetin says the dynamism surrounding the 100th anniversary excites her, bringing together artists, musicians, scholars and intellectuals as well as Turkey's citizens of all ethnicities and Armenians from across the world. If the government were to acknowledge 1915 as a genocide, it would speed up the reconciliation and healing process, she says. "But if it does not face genocide, then it does not matter. Society coming face to face with it is more important."

Still Cetin remains hopeful that Turkey will accept its moral obligation towards history and its people. As an Armenian Turk, Cetin has helped others retrace their roots and look for long lost answers. But for many, the emotional journey remains unfulfilled as long as Turkey denies the cause of their pain.

@highlight

Fethiye Cetin learned of her Armenian heritage from her grandmother

@highlight

The grandmother survived the 1915 killings, assimilated, then kept her real identity hidden

@highlight

Cetin, others want Turkey to recognize the killings as a genocide; the government has refused

@highlight

In the last decade a more public dialogue on the subject has begun in Turkey