(CNN) -- Federal officials and residents across the country gave mixed reactions to U.S. District Judge Susan Bolton's preliminary injunction Wednesday against part of the controversial Arizona immigration law. The ruling at least temporarily blocks police from questioning people about their immigration status. Here are some of the opinions:

Arizona Gov. Jan Brewer

Brewer issued a statement Wednesday afternoon saying she's not ready to give up.

"This fight is far from over," she said. "In fact, it is just the beginning, and at the end of what is certain to be a long legal struggle, Arizona will prevail in its right to protect our citizens. I am deeply grateful for the overwhelming support we have received from across our nation in our efforts to defend against the failures of the federal government.

"I have consulted with my legal counsel about our next steps. We will take a close look at every single element Judge Bolton removed from the law, and we will soon file an expedited appeal at the United States Court of Appeals for the 9th Circuit."

Earlier in the day, Brewer told reporters she thinks the ruling is a call to action for the federal government.

"I think it is important that they, the federal government, got relief from the courts to not do their job. That means now they have got this temporary injunction, they need to step up and do the job that they have the responsibility to do for the people of America and the people of Arizona."

Department of Justice

"We believe the court ruled correctly when it prevented key provisions of SB 1070 from taking effect," the agency said in a written statement. "While we understand the frustration of Arizonans with the broken immigration system, a patchwork of state and local policies would seriously disrupt federal immigration enforcement and would ultimately be counterproductive. States can and do play a role in cooperating with the federal government in its enforcement of the immigration laws, but they must do so within our constitutional framework.

"This administration takes its responsibility to secure our borders seriously and has dedicated unprecedented resources to that effort. We will continue to work toward smarter and more effective enforcement of our laws while pressing for a comprehensive approach that provides true security and strengthens accountability and responsibility in our immigration system at the national level."

Pinal County Sheriff Paul Babeu and Cochise County Sheriff Larry Dever

The two sheriffs whose Arizona jurisdictions are near the U.S.-Mexico border issued a joint statement denouncing the court ruling.

"Incredibly, even though there is not one person who can legitimately claim to be harmed by a law that has not even taken effect, the result of an injunction is de facto amnesty through non-enforcement of laws against illegal immigration," the sheriffs said. "The ACLU and Justice Department are playing politics in demanding that law enforcement not act to protect the public but failing to do anything about our illegal crossing issue. It is putting our Deputies and the families we've sworn an oath to protect in harms way and we need the Government to stop the lawsuits and start taking corrective action. Help us, don't sue us."

"The Obama administration has a light touch when it comes to securing the border but a heavy hand when it comes to sicking their lawyers on the people of Arizona. From Washington it might be hard to see the problems that we see every day as a result of our Swiss cheese border. Maybe if they spent some time in our counties they would think about a crackdown on illegal immigration rather than a crackdown on those of us fighting illegal immigration."

American Civil Liberties Union

"This is a major step that will help protect the residents of Arizona against racial profiling and discrimination, and the Obama administration deserves praise for its principled decision to challenge this law despite pressure to stay silent," said Anthony D. Romero, executive director of the ACLU.

"A single state's frustration with federal policy cannot be allowed to hijack federal authority or dictate federal priorities in ways that impede effective law enforcement, threaten the rights of citizens and non-citizens alike and violate core American values."

U.S. Sens. John McCain and Jon Kyl of Arizona

"We are deeply disappointed in the court's ruling today and disagree with the court's opinion that the Arizona's law will unduly 'burden' the enforcement of federal immigration law," the Republican senators said in a joint statement.

"Instead of wasting taxpayer resources filing a lawsuit against Arizona and complaining that the law would be burdensome, the Obama administration should have focused its efforts on working with Congress to provide the necessary resources to support the state in its efforts to act where the federal government has failed to take responsibility."

National Council of La Raza

Janet Murguia, president and CEO of the Hispanic advocacy group, supported the ruling.

"Not only did the judge side with the Latino community, she sided with the Constitution," Murguia said in a written statement. "This is an unequivocal victory. The ruling enjoins the crux of the law that would have legitimized racial profiling."

Obama administration

White House Deputy Press Secretary Bill Burton said President Obama has not made plans to make a statement Wednesday on the Arizona immigration ruling.

National Conference of State Legislatures

The group said Wednesday that states have filled a vacuum in immigration enforcement.

The numbers of state bills addressing immigration has tripled since 2005, according to Ann Morse, program director for the center's immigrant policy project.

"This is an area where states have been involved for some time because the federal government has not," Morse told CNN.

She expects the ruling to go the U.S. Supreme Court. In the meantime, the conference will consider enforcement measures, guest worker programs and steps to put immigrants on the path to legal status.

The group wants to be a partner with the federal government and is concerned about economic issues, Morse said.

League of United Latin American Citizens

LULAC, a Hispanic civil rights group, said the Arizona law would have placed an unfair burden on undocumented workers.

"We were worried about this leading to racial profiling," LULAC communications director Lizette J. Olmos told CNN. "We're very excited [by the ruling], because this is what we've been wanting."

In a written statement, LULAC said it is also concerned about a lack of serious immigration reform.

"Arizona may be frustrated, as are we, with Congress' failure to seriously address comprehensive immigration reform," LULAC said. "Nevertheless, the solution is not a patchwork of varying state laws each trying to be more repressive than the next to force immigrants to go elsewhere."

LULAC favors border control but wants the government to provide a "pathway to citizenship," Olmos said. One provision, the Dream Act, would allow undocumented students to apply for permanent residency.

The Center for Immigration Studies

The Center for Immigration Studies, which advocates immigration reduction, was disappointed but not surprised by the ruling, said executive director Mark Krikorian.

"If the opponents hadn't turned it into this bogey man it would have been a useful, if modest, tool for the police," said Krikorian.

He told CNN the Arizona law wasn't intended to usurp federal authority.

"Arizona does not have its own immigration policy, even with the law. They are buttressing federal law," Krikorian said.

Rep. Darrell Issa, R-California, member of the House Judiciary Committee and ranking member of the House Committee on Oversight and Government Reform

"The federal government has a right and a responsibility to enforce existing laws, but when they fail to meet that responsibility, we should not stand in the way of the states that take action to respond to the very real threat of border violence, drug cartels and human smuggling," Issa said. "The people who live under the constant threat of border violence have every right to be protected and have every right to defend themselves, their families and their communities.

"I am certain that the Supreme Court would agree that there is no legal recourse or precedent for stopping a state from operating within its rights by asserting its sovereignty in support of immigration laws that the federal government has failed to enforce. There's nowhere in the Constitution that says a state is limited to what it absolutely won't do and can be stopped for what it might do and to exercise a judgment against a state that has passed a law that is consistent with existing federal law is beyond absurd."

Mexican American Legal Defense & Educational Fund

"I think it's a great victory for the Constitution," President Thomas A. Saenz said of the decision. "I think all the provisions she has blocked from implementation were the most egregious.

"Tomorrow promises to be a much brighter day for Arizona," he said.

Although he expects the legal battle to continue, Saenz said, all Arizonans will benefit from the ruling. He indicated that anyone planning to leave the state, including undocumented workers, may well change their plans.

Federation for American Immigration Reform

Dan Stein, the president of FAIR, told CNN's Rick Sanchez the ruling was "outrageous." He said the judge basically is saying the federal government has the right not to enforce immigration laws.

"We're going through a constitutional and political crisis," said Stein, whose group wants reform and an end to illegal immigration.

He said Americans won't favor amnesty for undocumented workers because "the federal government can't enforce law."

"I promise you this debate is going to get hotter and hotter and hotter," Stein said.

CNN's Jeanne Meserve, Phil Gast, Holly Yan and Becky Brittain contributed to this report.

@highlight

NEW: "The fight is far from over," says Brewer, predicting "a long legal struggle"

@highlight

Two border sheriffs denounce the ruling, calling it "de facto amnesty"

@highlight

ACLU: A state cannot be allowed to "violate core American values"

@highlight

Department of Justice: "We believe the court ruled correctly"