(Health.com) -- Middle-aged men who take steps to improve their heart health by eating better, getting more exercise, or taking cholesterol-lowering drugs may end up improving their sex lives as well, according to a new analysis of existing research.

Nearly 1 in 5 men in the U.S. has difficulty achieving or maintaining an erection, a condition known as erectile dysfunction (ED). The new study, which appears this week in the Archives of Internal Medicine, suggests that ED drugs such as Viagra aren't the only solution and aren't always enough to address the problem, says coauthor Dr. Stephen Kopecky, M.D., a cardiologist at the Mayo Clinic in Rochester, Minnesota.

"If you do take care of your lifestyle—eating right, exercising, losing weight—you respond much better to the Viagra, the Levitra, the Cialis," Kopecky says. By the same token, he adds, if these drugs become less effective "that should be a sign that...you need to take care of your lifestyle.'"

Health.com: 7 ways to treat erectile dysfunction

ED is troubling enough by itself, but to make matters worse it's also a known harbinger of heart disease. The arteries in the penis that expand during an erection can become weakened and clogged with cholesterol in the same way as the arteries that surround the heart. This is why ED often shows up three to five years ahead of life-threatening cardiovascular problems such as heart attack or stroke, especially in younger men, Kopecky says.

"The common denominator is blood flow," he explains. "If you look at a guy in his 40s who has erectile dysfunction and then you compare [him] to another guy in his 40s who doesn't have erectile dysfunction, the guy with ED is about 50 times more likely to have heart disease."

Despite this well-established link, there has been little research into whether addressing risk factors for heart disease (such as unhealthy cholesterol numbers) can also reverse ED. The studies that have been conducted have been relatively small and have looked at a single location, which means they may not apply to the population as a whole, Kopecky and his colleagues say.

Health.com: 10 heart-healthy rules to live by

To clarify the effect of heart-healthy lifestyle changes on ED, the researchers combed through the medical literature for placebo-controlled clinical trials in which men with ED modified their lifestyles or began taking cholesterol-lowering statin medications. The analysis was funded entirely by the Mayo Clinic.

In the end they focused on six studies that included a total of 740 men and were conducted in the U.S., Italy, Nigeria, and Iran. In all of the studies, which ranged in length from two months to two years, heart healthy regimens and better cholesterol numbers were associated with modest but measurable improvements on a survey that rates erectile function on a scale from 5 to 25.

The average improvement in sexual function seen in the pooled studies was three points, one point shy of the threshold experts consider "clinically important." For some men, especially those with more persistent cases of ED, a change of that magnitude would be negligible. For those with mild or occasional ED, however, it would translate into noticeable improvements in sexual function, the researchers say.

Health.com: Erectile dysfunction? Try losing weight

Dr. Kevin Billups, M.D., an associate professor of urology at the University of Minnesota, in Minneapolis, says that the close relationship between heart health and sexual function "hasn't become the public health message that it should be."

Doctors and other experts need to do a better of job of informing the public that a healthier heart often means better erections, adds Billups, who studies the link between heart health and erectile function but did not participate in the new research.

"That's the first thing I talk about with all the guys that come in now," he says, referring to the ED patients he sees in his urology practice. "'Are you watching your diet? What kind of exercise program are you on?' Just putting these men on the ED medications...probably isn't enough to get optimal results."

Health.com: The best foods for your heart

Even if they're told that it may improve their ED, getting men to change their lifestyle and lose weight is no easy task, Kopecky says. He stresses, however, that even small and simple lifestyle changes—such as eating at least five servings of fruits and veggies daily—can make a big difference.

But the "real key" is exercise, Kopecky says. Just 10 minutes of vigorous exercise three times a week "does a whole lot to improve your heart function [and] blood vessel function," he says.

Copyright Health Magazine 2011

@highlight

Nearly 1 in 5 men in the U.S. has difficulty achieving or maintaining an erection

@highlight

Erectile dysfunction is also a known harbinger of heart disease

@highlight

Doctors should inform the public of this connection, researchers say

@highlight

Exercise is key for heart health and blood vessel function