(CNN) -- As has frequently been the case in the last two-and-a-half years, I found myself this past weekend caught in an intense conversation about the ongoing civil war in Syria. This time it was with a supporter of the al-Assad government.

He was relentless, insisting that there was no choice but victory, at any cost, especially since the government has been facing foreign fighters from "83 countries." It's a common refrain I've heard in different variations from all sides of the conflict -- there is no choice but victory.

As the world debates the efficacy of a military strike against the al-Assad government in response to its use of chemical weapons on civilians, the fighting on the ground shows no signs of abating. It is clear that the Syrian people are caught between a zero-sum political game being played by the regime and rebels, and their respective backers.

Despite lofty rhetoric from a number of countries, diplomatic efforts towards a political solution could have been more vigorous.

Opinion: Syria a distraction from real U.S. challenges

Calling for an immediate cease-fire on all sides is the only path towards peace. But will the United States and other key players go down that road?

The Syrian uprising began in March 2011, partly in response to the imprisonment and brutal treatment of teenagers in the southern city of Daraa, who had tagged some buildings with anti-government graffiti. Initially, the protesters avoided mentioning dictator Bashar al-Assad by name. But the demonstrations quickly intensified in the face of continued government crackdowns.

By August of the same year, over 2,000 Syrians had been killed and the security apparatus of the regime was out in full force, attempting to crush any dissent, peaceful or otherwise through the dastardliest of means.

It was no surprise then that the standoff turned violent, as ragtag militias formed to contest government forces. Soon, there was an influx of weapons from neighboring Iraq and distant Libya, as well as foreign reinforcements on the side of the fragmented rebel fighters. By the spring of 2012, the conflict had clearly transformed into a civil war.

Since then, the violence has only escalated and the death toll climbed, as the battles have moved from city to city across the country. Entire neighborhoods in Homs, Aleppo, Hama, and elsewhere have been destroyed to rubble.

Four questions for backers of Syria mission

The al-Assad government ultimately bears responsibility for the conflict and most of the deaths. However, both sides have committed crimes against humanity.

With over 100,000 Syrians dead and millions more displaced internally or as refugees in neighboring countries, the United States, Britain, Russia, China and others have mostly looked on.

Instead of bringing the contesting forces to the table to force them to a solution, the United States and Russia and their regional allies continue to send money and arms into the conflict.

When was the last time President Obama called for an immediate cease-fire? When was the last time that the U.S. and Russia said simply and with integrity: Stop the violence.

Opinion: A U.S. strike would be self-wounding

This call has been missing for fear it could undermine the rebels (or for Russia, the regime). Nowhere was this more apparent than in the battle for Qusayr, which unfolded in front of the world's eyes earlier in the summer, with Hezbollah forces buttressing the al-Assad regime on one side and foreign fighters helping the opposition on the other side.

The United Nation envoys, including Kofi Annan and Lakdar Brahimi, have tried to facilitate talks, but with little result, mostly because they were sent to Syria with their hands tied behind their back. Without the political backing from the permanent members of the U.N. Security Council, what authority could their initiatives have?

We cannot give up on the political process and negotiations, even if the U.S. carries out a military strike, even if there are countless bombings in coming weeks, and even if we can only achieve a brief reprieve from the violence.

Opinion: On Syria, Obama must show strong grip

We need to revisit the Geneva discussions, which began in 2012 and outlined roughly a "transition plan." There's also the oft-touted Geneva 2 meeting -- which has yet to be scheduled -- where a future power-sharing agreement in Syria would be discussed.

The Geneva 2 meeting would bring together key constituents, including the rebels and the regime. While this process, held under the auspices of the U.N., is far from perfect and may well be a long shot, it offers the best chance towards a political solution to the Syrian conflict.

The opinions expressed in this commentary are solely those of Taufiq Rahim.

@highlight

Taufiq Rahim: The world is debating whether military action in Syria makes sense

@highlight

Rahim: Calling for an immediate cease-fire on all sides is the only path to peace

@highlight

He says the Geneva 2 meeting would bring together the rebels and the regime for talks

@highlight

Rahim: The best chance for a solution to the Syrian conflict is through negotiations