The turmoil in Ukraine has swept aside its president, brought about the release a prominent opposition leader and raised fears the country could break apart.

After the bloodshed in the streets of Kiev last week -- the deadliest violence Ukraine has suffered since its independence 22 years ago --  the political twists and turns came thick and fast over the weekend.

As a new week begins, uncertainty has taken a hold in the divided nation as Ukraine tries to reshape its political landscape.

An arrest warrant has been issued for ousted President Viktor Yanukovych over the killings of civilians, a government official said Monday. But officials don't know where he is.

Here's what you need to know to get caught up:

Who's in charge?

It depends whom you ask.

The Parliament voted to oust Yanukovych, a key demand of protesters. It appointed seasoned lawmaker Oleksandr Turchinov as a new speaker who will take on Yanukovych's duties until new elections in May.

Turchinov, a longtime ally of opposition leader Yulia Tymoshenko, has promised a new interim government by Tuesday.

"We have a legitimate source of authority in Kiev, which is the democratically elected Parliament and a democratically, constitutionally elected speaker of parliament, who is acting president," Polish Foreign Minister Radoslaw Sikorski, who helped broker a peace deal between the government and the opposition, said on CNN's Fareed Zakaria GPS.

But Yanukovych claims he's still in charge, saying he was forced to leave Kiev because of a "coup."

"I don't plan to leave the country. I don't plan to resign. I am the legitimate President," he said Saturday in a televised broadcast.

But acting Ukrainian Interior Minister Arsen Avakov said Monday that arrest warrant has been issued for Yanukovych.

"As of this morning, a criminal case on mass killings of civilians has been opened. Yanukovych and several other officials have been placed on the wanted list," Avakov wrote Monday on his Facebook page.

Where exactly is Yanukovych?

Unclear. He made his TV broadcast from Kharkiv, a pro-Russian stronghold near the border. And he reportedly tried to board a charter plane Saturday night in the eastern city of Donetsk, but was turned away because he didn't have the right papers.

On Sunday, he was staying at his private residence in Balaklava in the southern region of Crimea, Avakov said, adding that Yanukovych is believed to traveling in three vehicles with his chief of staff.

But Avakov said he doesn't know where Yanukovych was Monday.

He's definitely not in his lavish presidential compound near Kiev that thousands of Ukrainians have now been able to explore after he fled. People have been roaming around the mansion and its vast grounds, staring at the opulence in which Yanukovych lived, including peacocks, vintage cars and a huge galleon-style riverboat for parties.

Does the former president have any support left?

His political party appears to have turned against him, saying it blames him for the "robbery and deception" of the nation. It accused Yanukovych of making illegal orders that led to casualties, financial debt and shame in the eyes of the world.

But it's notable that Yanukovych was recently in Kharkiv, in eastern Ukraine. It's his traditional support base and a predominantly Russian-speaking region.

People in the east, the country's industrial heartland, tend to look to Russia as Ukraine's key ally. Many of them are suspicious of the Europe-leaning views of those in western Ukraine, who were at the heart of the protests against Yanukovych that filled central Kiev for months.

The demonstrations began after Yanukovych scrapped a European Union trade deal and turned toward Russia for financial support.

Does this mean Ukraine is in danger of splitting?

A lot of people with Russian heritage in eastern Ukraine feel that their cultural identity is under threat with the pro-European side in the ascendancy in Kiev.

"I think that divide goes very, very deep -- it's regional, it's linguistic, it's religious," New York Times columnist Nicholas Kristof, whose father grew up in Ukraine, told CNN's Zakaria.

In many parts of Ukraine, people have toppled statues of former Russian communist leader Vladimir Lenin, a founder of the Soviet Union. The statues are symbols of Russian pride.

In Kharkiv, a tense rift has opened up between those who want to tear down the city's Lenin statue, one of the biggest in the country, and those who want to keep it.

Some analysts say they fear parts of eastern Ukraine could push to break away from a pro-Western government in Kiev in favor of Russia.

The task for Yanukovych's opponents is to chart a course for Ukraine that keeps all sides on board.

"They need to be inclusive," said Poland's Sikorski.

Acting President Turchinov said Sunday that Ukraine is ready to talk to Kremlin to try to improve relations, but made clear that Kiev's return to European integration would be a priority.

How has Russia reacted to the political change?

Russia's ambassador to the United Nations, Vitaly Churkin, condemned what he called Western attempts to influence the outcome of the turmoil in Ukraine.

"Either they don't understand the consequences of what they're doing, or they're engaged in a very provocative game of destabilizing Ukraine and therefore Eastern Europe," he said in a post on his official Twitter account.

The Russian foreign ministry says it has recalled its ambassador from Ukraine to Moscow for consultations, citing "the aggravation of the situation."

Everybody's waiting to see what Russian President Vladimir Putin, a key backer of Yanukovych, does next.

"If you look through Putin's eyes specifically, this is his area of interest," said David Remnick, the editor of The New Yorker and a former foreign correspondent in Moscow.

Putin, whose country just finished hosting the Winter Olympics in Sochi, won't quietly let Ukraine shift into a Western orbit, Remnick said.

"I think Putin is in a very tough, assertive mode and it has nothing to do with snowboarding, it has to do with his geostrategic, regional interests," he said. "It has to do with differentiating himself from the West, morally as well as politically, and I think he's a very tough figure to deal with now."

What is the U.S. stance?

National Security Adviser Susan Rice warned that it "would be a grave mistake" if Putin intervened militarily in the crisis.

"The United States is on the side of the Ukrainian people," she said on NBC's "Meet the Press." The people expressed themselves peacefully, she said, and Yanukovych "turned on" the people by using violence against them.

But Washington has a delicate task getting involved in a crisis in an area that Russia sees as its backyard.

"This is really complicated for us," Remnick said.

On Sunday, U.S. Secretary of State John Kerry spoke with Russian Foreign Minister Sergey Lavrov about Ukraine, expressing support for the results of the Parliament's decisions and asking Russia not to not use military force in the country, according to a senior State Department official.

The State Department has warned U.S. citizens to defer all non-essential travel to Ukraine.

Poland's Sikorski, meanwhile, urged Ukrainian leaders to keep dialogue open with Moscow.

"The new Ukrainian government needs to be in touch, needs to have a conversation with Russia, which is an important neighbor, just like Poland," he said. "Because, apart from anything else, Ukraine needs the lower gas price and doesn't want Russia to play the separatist card."

Who's likely to lead Ukraine next?

There are plenty of candidates but no clear favorite yet. Turchinov, who Parliament appointed acting leader, is at the helm until elections on May 25.

The anti-Yanukovych coalition is fractious, full of different voices.

"The challenge for the opposition moving forward from here is going to be maintaining unity," said CNN correspondent Phil Black.

Who's who in Ukraine

Former world champion heavyweight boxer Vitali Klitschko has been the most well-known opposition figure during the crisis. He heads the Ukrainian Democratic Alliance for Reforms party. There's also Arseniy Yatsenyuk, a former foreign minister.

What about Tymoshenko?

Former Prime Minister Yulia Tymoshenko, considered a hero of a 2004 revolution against Yanukovych, was released Saturday after 2½ years behind bars.

She had lost to Yanukovych in elections in 2010. A year later, she was sentenced to seven years in prison after being convicted of abuse of authority over a natural gas deal negotiated with Russia.

After her release, she addressed cheering crowds in Kiev's Independence Square, calling Yanukovych a "terrible dictator."

She then passed on a not-so-subtle message.

"There'll be no Ukraine but the Ukraine you want," she said. "And I'm the guarantor of that Ukraine."

She said Sunday that she doesn't want to be considered for the nomination for prime minister, suggesting she may have her eye on the presidency.

But some observers say the protests in Kiev have fed a desire for a new, untainted generation of leaders to step forward.

"A lot of people who made this revolution feel like this movement has created a lot of new leaders, a lot of young leaders -- that now it's their turn," Julia Ioffe, senior editor at The New Republic, told "CNN Newsroom."

How did the changes come about?

The unrest began November, when Yanukovych turned his back on trade talks with the European Union. Instead, Russia offered to lend money to Ukraine in a deal worth billions of dollars and lower the gas prices it charges.

The Ukranian economy is struggling, plagued by corruption, inefficiency and heavy government debt.

But the pact with Russia prompted protesters into the streets of Kiev.

They stayed in the center of the city for months in a standoff with security forces that occasionally flared into the violence.

The situation worsened dramatically last week as clashes between the two sides intensified and gunfire broke out, leaving 88 people dead.

Amid the chaos on the streets, foreign diplomats stepped up efforts to find an agreement between Yanukovych and the opposition to end the fighting.

On Friday, the intense negotiations resulted in a breakthrough deal to reduce the president's powers and roll back parts of the Constitution, which gave them to him.

Yanukovich then left the capital and security forces withdrew from key protest areas --  setting in motion the changes that unfolded over the weekend.

@highlight

Ousted President Viktor Yanukovych was in Crimea on Sunday, an official says

@highlight

An arrest warrant has been issued for Yanukovych over the killings of civilians

@highlight

Russia recalls its ambassador from Ukraine to Moscow for consultations

@highlight

Parliament appoints an acting president; a former prime minister is freed from prison