Washington (CNN) -- President Barack Obama unveiled his administration's plan Thursday for a leaner, cheaper military, a reflection of Washington's fiscal belt-tightening and slower national economic growth.

The president insisted the new strategy -- which eliminates the military's ability to actively fight two major wars at once -- will allow U.S. armed forces to effectively combat terrorism while confronting any new threats from countries like China and Iran.

"Over the next 10 years, the growth in the defense budget will slow, but the fact of the matter is this: It will still grow, because we have global responsibilities that demand our leadership," Obama announced during a rare presidential visit to the Pentagon. "I firmly believe, and I think the American people understand, that we can keep our military strong -- and our nation secure -- with a defense budget that continues to be larger than roughly the next 10 countries combined."

Security Clearance: Does a smaller military make sense?

Alluding to the end of the U.S. military role in Iraq and plans to eventually withdraw from Afghanistan, Obama declared that "the tide of war is receding."

"The question that this strategy answers is what kind of military will we need after the long wars of the last decade are over," the president told reporters. "Yes, our military will be leaner, but the world must know: The United States is going to maintain our military superiority with armed forces that are agile, flexible and ready for the full range of contingencies and threats."

The president was flanked by an array of top Pentagon brass during his remarks, including Defense Secretary Leon Panetta and Joint Chiefs of Staff Chairman Gen. Martin Dempsey.

Republicans immediately blasted the plan, characterizing it as a retreat from the reality of America's global responsibilities.

The blueprint is "a lead-from-behind strategy for a left-behind America," said Rep. Buck McKeon of California, GOP chairman of the House Armed Services Committee. "The president has packaged our retreat from the world in the guise of a new strategy to mask his divestment of our military and national defense. This strategy ensures American decline in exchange for more failed domestic programs."

McKeon said that "in order to justify massive cuts to our military, (Obama) has revoked the guarantee that America will support our allies, defend our interests and defy our opponents. The president must understand that the world has always had, and will always have, a leader. As America steps back, someone else will step forward."

Among other things, Obama's strategy singles out China and Iran, pledging to keep strategically critical sea lanes open and successfully combat missile, electronic, cyber and other threats.

"States such as China and Iran will continue to pursue asymmetric means to counter our power projections capabilities, while the proliferation of sophisticated weapons and technology will extend to non-state actors as well," an administration document outlining the changes said.

Thursday's announcement follows multiple missile tests by Iran in recent days and comments by Iranian leaders that they could choke off the Strait of Homuz, a major transit point for world oil supplies.

The new strategy is the result of months of study at the Pentagon. It reflects a high-stakes, high-wire balancing act by the president as he faces a more austere budget climate combined with continued high U.S. responsibilities at home and overseas.

"The balance between available resources and our security needs has never been more delicate," the administration document said.

In a signed introduction to the document, Obama called this a time of transition, noting the successful raid on Osama bin Laden's compound and the death of the al Qaeda leader, as well as the end to the war in Iraq and progress in Afghanistan.

"The fiscal choices we face are difficult ones, but there should be no doubt, here in the United States or around the world -- we will keep our Armed Forces the best-trained, best-led, best equipped fighting force in history," Obama wrote.

Titled "Sustaining U.S. Global Leadership: Priorities for 21st Century Defense," the document provides the bare bones of a defense strategy that will become more detailed as the White House and Congress prepare the 2013 budget.

In a signal of how carefully the administration had orchestrated this announcement, amid fiscal austerity and during a presidential campaign year, the nation's highest-ranking military man also threw his weight behind the reforms.

"It is a sound strategy," Dempsey said in prepared remarks. "It ensures we remain the pre-eminent military in the world. It preserves the talent of the all-volunteer force. It takes into account the lessons of the last 10 years of war."

Dempsey referred to the political uproar over the change from a two-war policy.

CNN.com users debate the strategy shift

"Our strategy has always been about our ability to respond to global contingencies wherever and whenever they happen. This does not change," Dempsey said. "We can and will always be able to do more than one thing at a time. More importantly, wherever we are confronted and in whatever sequence, we will win."

Dempsey also said that "the two-war paradigm has been a bit of an anchor, frankly, in trying to help us figure out the future."

"It's not about whether we will fight adversaries as they confront us. It's how," he said.

He stressed that he was pleased with the outcome of the strategy review. "It's not perfect," Dempsey said, but added, "It gives us what we need, in this world and within this budget."

Panetta also weighed in, noting in prepared remarks "the continuing threat of violent extremism, proliferation of lethal weapons and materials, the destabilizing behavior of Iran and North Korea, the rise of new powers across Asia and the dramatic changes in the Middle East."

"The U.S. joint force will be smaller and leaner, but its great strength will be that it is more agile, flexible, ready to deploy, innovative and technologically advanced," Panetta said. The secretary said that while the United States will maintain its obligations in Europe, the U.S. military force posture there will continue "to adapt and evolve."

Security Clearance: Parts of defense budget would actually rise

Panetta joined Dempsey in taking on conservative critics who have blasted the administration's apparent step back from an active two-war strategy.

"Make no mistake -- we will have the capability to confront and defeat more than one adversary at a time," he said.

Deputy Defense Secretary Ash Carter later told reporters that one way the new strategy could accommodate looming manpower cuts would be through an avoidance of long and large stability operations, an apparent reference to what happened after the initial invasions of Iraq and Afghanistan.

Carter refused to offer specifics about the defense cuts, promising new details after Obama's State of the Union address this month and the release of additional budget documents.

Asked about the future of one of the country's most expensive weapons systems -- the F-35 Joint Fighter -- Carter said, "It is our fifth generation fighter. We need it and we want it to succeed."

The document released Thursday noted the high cost of a decade of wars, with more than 46,000 men and women wounded and more than 6,200 members of the armed forces killed.

In another recognition of hard economic times, the strategy includes a promise to help veterans find work in the civilian economy.

As the Defense Department "reduces the size of the force, we will do so in a way that respects these sacrifices," the administration document noted. "This means, among other things, taking concrete steps to facilitate the transition to those who will leave the service. These include supporting programs to help veterans translate their military skills for the civilian workforce and aid their search for jobs."

Defense contractors and civilian workers also will feel the impact of Thursday's announcement and how it ripples through the system of defense contracts in coming years. Boeing has announced it will close a plant that produces B-52s and 767 tankers and employs more than 2,160 workers in Wichita, Kansas.

"The decision to close our Wichita facility was difficult but ultimately was based on a thorough study of the current and future market environment and our ability to remain competitive while meeting our customers' needs with the best and most affordable solutions," Mark Bass, Boeing vice president, said in a news release.

Panetta, meanwhile, met with British Defense Secretary Philip Hammond in the latter's first official visit to Washington.

"They spent a good part of their meeting discussing innovative approaches to defense in an era of fiscal austerity, and agreed that NATO must continue to invest in military capabilities despite the imperative to achieve fiscal discipline," Pentagon press secretary George Little said.

The two also discussed Afghanistan, Pakistan and Iran. Finally, they signed a statement that will provide the basis for the United States assisting the Royal Navy in the development of its next generation of aircraft carriers, Little said.

CNN's Chris Lawrence and Alan Silverleib contributed to this report.

@highlight

NEW: Panetta meets with British defense secretary

@highlight

President Barack Obama outlines a review of Pentagon strategy

@highlight

The new Pentagon plan calls for measured spending cuts

@highlight

Republican critics say the plan undermines U.S. military power