(CNN)It's uncomfortable, talking about death. And that's as true for the profession devoted to staving it off as it is for the rest of us.

"I learned about a lot of things in medical school," surgeon Atul Gawande begins his New York Times best-selling book, "Being Mortal: Medicine and What Matters at the End." "But mortality wasn't one of them."

In his book, Gawande, a Harvard professor who practices endocrine surgery at Brigham and  Women's Hospital in Boston, argues that health professionals -- and the rest of us -- need to change how we approach patients' final days.

"You don't have to spend much time with the elderly or those with terminal illness to see how often medicine fails the people it is supposed to help," he writes. "The waning days of our lives are given over to treatments that addle our brains and sap our bodies for a sliver's chance of benefit."

Instead, Gawande proposes embracing death as normal. It "may be the enemy," he writes, "but it is also the natural order of things."

It's not an entirely new concept in modern medicine. Since the 1990s, the rise of hospice care and similar services has served as a stark acknowledgment that sometimes, quality of life in one's final days is more important than last-ditch efforts to fight the inevitable.

But it's an idea that's rapidly becoming more pertinent.

In 2050, roughly 83.7 million Americans will be over 65 -- nearly twice the number from 2012, according to the U.S. Census Bureau.

"The projected growth of the older population in the United States will present challenges to policy makers and programs, such as Social Security and Medicare," said a May Census report (PDF) on the aging population. "It will also affect families, businesses, and health care providers."

The National Institute on Aging, part of the government's National Institutes of Health, also emphasizes the importance of non-curative care in a loved one's final days.

"When a doctor says something like, 'I'm afraid the news is not good. There are no other treatments for us to try. I'm sorry,' it may close the door to the possibility of a cure, but it does not end the need for medical support," says an NIA guide on end-of-life care. "Nor does it end the involvement of family and friends. There are many places and a variety of ways to provide care for an older person who is dying. Such care often involves a team."

In his book, Gawande recalls a cancer patient who, for months, underwent one painful, potentially fatal treatment after another, when doctors knew they'd almost certainly only cause him more discomfort while prolonging an illness that would never be cured.

We need to do better, he says.

"Our reluctance to honestly examine the experience of aging and dying has increased the harm we inflict on people," he writes, "and denied them the basic comforts they most need."

@highlight

Surgeon wants us to think again about care for the dying

@highlight

He says the medical profession isn't trained to embrace the inevitable

@highlight

By 2050, 83 million Americans will be older than 65