(CNN) -- The expensive casinos of Las Vegas look crowded. Tickets to the popular shows sell out. To the tourist, things look back to normal.

Yet as the state's junior U.S. senator lamented in February, "I can tell you right now Nevada is nowhere close to a normal economy." Nevada's unemployment remains the second-highest in the nation, nearly 9%. The housing market there still languishes. New Federal Reserve Chair Janet Yellen acknowledged to Nevada Republican Sen. Dean Heller that full recovery for Nevada glimmers "years away."

Nevada's troubles are more than a local concern. They reveal something important about the condition of the whole U.S. economy.

Nevada makes its living from tourism, the state's most important industry, and the tourists come -- or came -- for the casinos. Before 1990, the state of Nevada and Atlantic City, New Jersey, enjoyed something close to a monopoly on the casino industry.

As more states legalized casinos, the Nevada casino industry -- and especially the Las Vegas industry -- responded by moving up-market. Dazzling theme hotels housed lavish theatrical shows and outstanding restaurants. Las Vegas, once a rather seedy place, repositioned itself as a center of glamorous entertainment.

Building the new hotels generated jobs. The people who worked in the hotels needed places to live, and building those homes generated more jobs. All that construction shaped an unusual local economy: Here was a state with low average educational attainments (only about 22% of Nevadans have a college degree, 45th in the nation), yet a median income higher than the national average.

Nevada's blue-collar prosperity was built on a faulty premise. All those glitzy Las Vegas hotels and resorts, containing typically up to 5,000 rooms each, depended on a huge influx of high-spending visitors.

So long as homeowners could pay for vacations with some of the proceeds of their home refinancings, all was well. But when the refi boom stopped, Las Vegas suddenly discovered it had built a destination too expensive for its customer base. Everything else going on in the city -- the jobs in the hotels, the homes for the people who worked in the hotels, the malls where those people shopped, the homes for the people who worked in the malls -- all that crashed around Las Vegas' ears.

And now, six years after the crash, it's hard to see a way forward from the disaster.

Nationwide, the casino industry has more or less recovered from the recession. Americans left behind $37.34 billion in casinos in 2012, only a shade below the 2007 peak of $37.52 billion. But they are spending that money in casinos closer to home. Gross revenues of Nevada casinos languish 20% below their 2007 peaks. Because of the higher cost of Las Vegas-style amenities, a 20% drop in revenues translates into a 50% drop in profitability.

So even as the industry nears recovery, the promise of a middle-class economy supported by gambling revenues has proven a mirage. Casino employment dropped in Nevada between 2012 and 2013. These were the best casino jobs in the country, which explains why total national casino wages lag 7% behind the 2007 peak even as industry revenues have nearly caught up to the 2007 level.

Nor is there much likelihood of any early return to the old ways. Americans have grown cautious about gambling. While only about 14% of Americans express a consistent moral disapproval of gambling, according to industry surveys, there has been a sharp increase in the proportion who reject gambling for themselves personally: 27% in 2004, 38% today. Unsurprisingly, 2008 was the year of the biggest change of national mind on this subject.

Meanwhile, those who do gamble are gambling in new ways that don't support the style of industry for which Las Vegas is famous. Younger gamblers are attracted to online forms of gambling, which create jobs only for computer programmers. Older gamblers increasingly prefer bare-bones casinos that offer free transportation and cheaper meals.

Las Vegas' opulent palaces for the affluent gambler seem increasingly unsupportable in a country where more and more people have less and less disposable income. That's a social trend that should concern us all, however we feel about this particular pastime.

@highlight

Nevada senator says his state is "nowhere close to a normal economy"

@highlight

David Frum: The state made a big bet on the lavish casinos of Las Vegas

@highlight

Since the recession, crowds at the casinos have fallen off, hurting job market, he says

@highlight

Frum: Families that benefited from refinancing their mortgages have had to cut back