(CNN) -- It's every African-American parent's nightmare: seeing your son being led away in handcuffs when you know he's done nothing wrong. The surreal scene happened to me one recent morning.

While sitting in my backyard I heard adult male voices around the side of the house. I opened the gate and saw a white police officer handcuffing my 13-year-old son. The plainclothes Evanston, Illinois, officer and his partner did not identify themselves as police. They did not ask our son's age or where he lived. They told him first to put his hands up and then handcuffed him. They assumed he was guilty, of what we didn't know. His crime appeared to be that he was a black male.

Later, we would listen to the 911 tape of what preceded the incident. It was apparent police had targeted my son while he was riding his bike home from a friend's house. Why? According to officers, he fit the description of a burglary suspect who had allegedly entered a nearby home. The description they offered: a black male wearing cargo shorts.

Our son was wearing cargo shorts, but that identification could have applied to hundreds of black males in Evanston on that particular day. Why didn't the 911 dispatcher ask for a more detailed description of his skin color? His build? Whether he had facial hair? (He doesn't.) Whether he had a tattoo or piercings? (He doesn't.) Or whether he was wearing a hat? (He was.)

Authorities on the scene didn't care about my son's other attributes. He is an honor roll student, saxophone player, basketball player and law-abiding teenager. All they saw was his gender and race.

To make matters worse, after handcuffing him, police paraded him to the front of our house in full view of neighbors and passersby, and at least three other armed, uniformed officers surrounded him and me. They leaned him against a cop car, his hands still cuffed behind him, and made him wait so the alleged victim could be driven over to identify him in what's known as a "show up."

When I protested, asking why my son needed to be handcuffed, they told me he might flee. Give me a break! He's going to try to run with five armed cops and his mother standing near him? The humiliation of being forced to participate in a quasi-lineup was unconscionable. When the alleged victim said our son was not the intruder, the officer uncuffed him and his partners left almost as quickly as they had swarmed in. But before the officer who handcuffed our son left, I demanded an apology.

The halfhearted response seemed insincere at best. He didn't even look either of us in the eyes. These officers clearly did not like it that I verbally resisted my son's detainment or my telling them it seemed like racial profiling.

That police could handcuff a fully cooperating, nonresisting 13-year-old boy at his home with his mother in plain sight ought to leave all Americans shaking in their boots. It was unnecessary. It was unfair -- un-American. But it happens more often than we know, particularly to young African-Americans, who often don't have the resources to advocate for themselves.

This is the United States of America, where one is supposed to be innocent until proven guilty. But this rarely applies if you're a male of African descent. Trayvon Martin's killer has claimed self-defense, but did Martin deserve to be approached by a neighborhood watchman and shot to death? He was carrying a bag with soda and some Skittles candy, not a weapon.

I'm reminded of the 2009 incident involving Harvard University Professor Henry Louis Gates, one of the nation's top African-American scholars. Gates returned home to find his key wouldn't work because his lock was jammed. Initially, police thought he was breaking into his own home. Even though he produced identification to prove he lived in the house, he was ultimately arrested for disorderly conduct after he angrily accused officers of racial profiling. Prosecutors dropped the charges.

I teach at Northwestern University, which is home to the Medill Innocence Project, a program whose work has overturned wrongful convictions and influenced Illinois Gov. Pat Quinn's effort to end the state's death penalty. It's not surprising that many of those exonerated are African-American men. In fact, the National Registry of Exonerations tracked 958 former convicts exonerated in the United States. Of that total, 45% were African-American men, even though they make up only about 6%-7% of the country's population.

Racial profiling has a long history in the United States and there seems to be little relief in the so-called "age of Obama." A 2009 American Civil Liberties Union report called racial and ethnic profiling "a widespread and pervasive problem throughout the United States, impacting the lives of millions of people in African-American, Asian, Latino, South Asian and Arab communities." In 2012 it continues to be a common rite of passage for young black males. Just ask any black male you know and he will tell you a story. No wonder some hate the police.

My husband and I cannot undo what happened to our son. At 13 he is now officially inducted into black manhood. I shudder to think what could have happened if I had not been home. Thank God we had taught him at around age 10 to cooperate with police. He complied in every way.

But what if he'd gotten scared and run? What if he had reached for his cell phone and police thought it was a weapon? The officers never patted him down. What if police had planted something on him? What if the victim had lied and said my son was the perpetrator?

To be sure, police officers have a tough and dangerous job and are vulnerable to injury at a moment's notice. They should try to catch criminals, but not at the expense of treating people with respect and dignity. We have to fight crime without automatically indicting black males. The ACLU report concluded that alienating marginalized groups would ultimately prevent police from reducing crime.

When police make mistakes, they must own up to them. They could have identified themselves first and politely asked my son some questions with me present. They also could have profusely apologized.

Despite our harrowing experience, I know we are lucky. It was 10 minutes of our lives. The truth prevailed and we will move on. But we will never be the same.

The incident is forever seared into my brain and is giving me sleepless nights. The worry I already had for my son being away from home or school is now magnified right at the time he wants to be more independent.

We've told our son that he shouldn't think all police officers are bad. However, it is clear more training of Evanston dispatchers and police officers is needed.

To parents of African-American youth, as your children (particularly males) return to the routine of classes and homework, remember to school them about the police.

They are not always their friends. It's unfair that black parents have to teach this lesson while most white parents don't. But if we don't educate them early and often we may be sending them to an early grave.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Ava Thompson Greenwell.

@highlight

Ava Thompson Greenwell: Recently her son, 13, was stopped, handcuffed by police

@highlight

She says it happened next to her house, she objected, they said they were seeking burglar

@highlight

She says her son was stopped because he was black

@highlight

Greenwell: Every black mother's nightmare, that her son could be profiled. This must stop