(CNN) -- Pope Francis' trip to South Korea memorialized the atrocities of the last century. On the way home, the Pope became embroiled in controversy about a conflict raging in the current one.

During a lengthy discussion, Francis remarked on the spread of cruelty and torture before being asked about violence against religious minorities in Iraq, and whether he approved of the U.S. bombing campaign aimed at stopping the Islamic State of Iraq and Syria, or ISIS. With what seemed careful deliberation, Pope Francis said: "In these cases where there is an unjust aggression, I can only say this: It is licit to stop the unjust aggressor. I underline the verb: stop. I do not say bomb, make war, I say stop by some means. With what means can they be stopped? These have to be evaluated. To stop the unjust aggressor is licit."

This response -- and the reaction to it -- says much about the complexity of running an organization that is at once modern and ancient, religious and political, international and parochial. But what exactly did he mean? Was he, as a few excitable writers suggested, calling for a new crusade? Certainly, much of the media response quickly fixated on what seemed to be approval for a military campaign and how a Pope -- the leader of the Catholic Church -- was seemingly sanctioning war against an Islamic caliphate.

Actually, he wasn't.

Crusading, as defined by most historians, generally involved taking religious vows to head east and assist in military expeditions against Islamic powers in exchange for spiritual rewards (redemption from sin). Historians have identified major campaigns as the First, Second, Third, etc. Crusades. In response to these conquests, the local Islamic powers leveraged the idea of jihad to rally disparate Muslim groups together.

Yet although the Crusades featured not just plenty of violence but also peaceful cross-cultural exchange, they aren't an example Francis wants to invoke. In fact, he isn't saying that anyone should take vows and go off to fight. Instead, Francis is making the point that taking action to stop evil is just.

This idea of justified violence, even from Catholics, chiefly emerged from the writing of St. Augustine (354-430). As Matthew Gabriele, associate professor of medieval studies at Virginia Tech, writes: "Augustine argued that war was never desirable but was sometimes necessary. We must protect those who suffer from unjust aggression. If that could be accomplished without war, so much the better, but force could be used by legitimate authorities as a last resort. The end goal, however, was always -- and simply -- lasting peace."

That's the context for understanding the ancient part of Francis' response.

The modern context emerged in how he concluded his answer. "One nation alone cannot judge how to stop an unjust aggressor," Francis said. "After the Second World War there was the idea of the United Nations. It is there that this should be discussed. Is there an unjust aggressor? It would seem there is. How do we stop him? Only that, nothing more."

Such pursuit of multiple perspectives to ward off bias is also Augustinian. In "On Christian Doctrine," St. Augustine argued that reading the Bible required special training because though the book contains all the truths of the universe, humans (flawed creatures that we are) are far too likely to assume that whatever we think is good is also what God thinks is good. To counteract this, St. Augustine prescribed a strict intellectual diet of the best liberal arts and science education the late Roman world could provide.

Multiple perspectives help us discern what is truly just from what might just be convenient. In a way, that's what Francis is doing with his words, too. He's concerned that any individual leader or nation is far too likely to assume that someone with whom they disagree is unjust, and thus the principles of stopping unjust action instead becomes a tool for warmongering. Instead, he argues, we should try to find consensus before acting, collectively, to put an end to atrocity.

"We must also have memory," Francis said. "How many times under this excuse of stopping an unjust aggressor the powers (that intervened) have taken control of peoples, and have made a true war of conquest."

History teaches us all about the dangers of mission creep. And it also makes clear that when two sides engage in the rhetoric of religious war, things can deteriorate rapidly. Osama bin Laden and Saddam Hussein, for example, both routinely railed against the West as "crusaders," an accusation that gained traction in the Islamic world after President George W. Bush called for "this crusade, this war on terrorism" after 9/11.

Francis doesn't want to make a similar mistake. Indeed, while he named himself after a medieval saint who lived during the era of the Crusades, that St. Francis didn't actually go to war. Instead he went on mission, seeking (at least as we remember it today) dialogue and understanding. And that's certainly been Pope Francis' path so far. But when there is great suffering in the world, as is being inflicted on religious and ethnic minorities in areas controlled by ISIS, then Francis says one must act, while also drawing on both the ancient idea of justified war and the modern concept of international cooperation.

The question, of course, is whether in a digital age -- when misinformation and misunderstanding spreads so fast -- Pope Francis can somehow find true harmony between old and new. His ability to do so will determine the lessons his papacy ultimately hands down for posterity.

@highlight

Asked about bombing in Iraq, Pope Francis says it is "licit to stop the unjust aggressor"

@highlight

David Perry says those remarks aren't a call for a new crusade, as some have suggested

@highlight

He adds that the Pope is trying to balance lessons of the ancient and modern