When it comes to mathematics, reading and science, young people in Shanghai are the best in the world, according to a global education survey released Tuesday.

In all three subjects, Shanghai students demonstrated knowledge and skills equivalent to at least one additional year of schooling than their peers in countries like the United States, Germany and the United Kingdom.

The findings are part of the 2012 Program for International Student Assessment (or PISA) -- a leading survey of education systems conducted every three years by the Paris-based Organization for Economic Cooperation and Development (OECD), a grouping of the world's richest economies.

More than half a million students, aged 15 and 16, sat a two-hour exam last year as part of the study. The pupils came from 65 countries representing 80% of the global economy.

East Asian economies performed best overall, claiming seven of the top 10 places across all three subjects.

In math, Shanghai had the highest score with 613 points -- the equivalent of nearly three years of schooling above the average for the 34 OECD member countries of 494, and six years above Peru which ranked last with a score of 368. The city also came top in 2009 rankings.

Singapore came second in mathematics with a score of 573, followed by Hong Kong, Taiwan, South Korea, and Macau.

But the math performance of most countries has not improved since the PISA tests were launched more than a decade ago. Around 60% of the 64 countries who participated in previous studies performed at the same level or worse in 2012, and nearly a third of all students scored in the lowest band for the subject.

TRY THE PISA TEST YOURSELF

U.S. lags

The United States ranked 36th, performing below the OECD average in mathematics with 481 points, and a score indistinguishable from the average for reading and science.

The United Kingdom did slightly better, ranking 26th, equaling the average score for OECD countries in math and reading. The UK performed above average in science with a score of 514.

Part of the reason pupils do so well in Shanghai, according to the OECD's deputy director of education, Andreas Schleicher, is that they have the drive and confidence to fulfill their potential.

"In China and Shanghai, you have nine out of 10 students telling you, 'It depends on me. If I invest the effort, my teachers are going to help me to be successful'," Schleicher told CNN's On China program, which will air later this month.

Similarly, in Japan -- which ranked 7th overall -- more than 80% of students disagreed or strongly disagreed that they put off difficult problems, and 68% disagreed or strongly disagreed that they give up easily when confronted with a problem.

Hard work

"Practice and hard work go a long way towards developing each student's potential, but students can only achieve at the highest levels when they believe that they are in control of their success and that they are capable of achieving at high levels," the PISA report said.

PISA tests students near the end of their compulsory education in areas that are "essential for full participation in modern society," as well as their ability to apply what they have learned in new situations.

"This approach reflects the fact that modern economies reward individuals not for what they know, but for what they can do with what they know," the report said.

In reading, East Asian economies also topped the league table. Shanghai ranked first, with a score of 570 --  the equivalent of one and a half years more schooling than the OECD average. Hong Kong ranked second, followed by Singapore, Japan and South Korea. Half the countries that took part in previous  assessments saw an improvement in reading comprehension since 2003.

Shanghai also topped the list in science, with a score of 580 compared to the average of 501 -- the equivalent of nearly two more years of schooling. In fifth place, Finland was the top performing country outside Asia, behind Hong Kong, Singapore and Japan.

Data on other Chinese provinces and cities is not yet published by PISA  because not enough regions take part in the tests to be considered representative, a spokesman said.  However,  China as a whole is expected to  be included in the 2015 assessment.

Shanghai has been at the forefront of education reforms in the country in recent years.

Rote learning?

Shanghai's outstanding performance defies preconceptions about China's education system being based on rote learning, according to Schleicher.

"The biggest surprise from Shanghai ... was not that students did well on reproducing subject matter content but that they were very, very good in those higher order skills (that reflect) what you can do with what you know," he said.

Around one in four Shanghai students performed in the top two reading bands compared to the average with just under one in 10.

Jiang Xueqin, deputy principal at the Tsinghua University High School in Beijing, told CNN that Shanghai's education system invests in teaching staff  by offering training and high salaries.

"The teachers are very well-paid, very professional," Jiang said. "The Shanghai government will spend a lot of resources in making sure that each teacher is well trained, has opportunities to go abroad, (and) has opportunities to learn from the best teachers."

Other countries whose performance improved in PISA this year, such as Brazil, Colombia and Poland, have implemented policies to raise the quality of teaching staff by increasing requirements for education licenses, providing incentives for high-achieving students to enter the profession and ongoing on-the-job training, according to the report.

Jiang also told CNN that Shanghai's success is a product of a culture that prioritizes academic achievements over other pursuits.

"A lot of it is that the students are engaged in learning. The parents, the students, the community are engaged in making sure their child succeeds," he said.

@highlight

Shanghai ranks first in math, reading and science among 15- and 16-year-olds

@highlight

East Asian economies performed better than other regions in all three subjects

@highlight

The United States ranks below average for the 65 countries assessed

@highlight

Math scores have stalled or deteriorated in most countries