Washington (CNN) -- President Barack Obama announced Thursday that he has picked William Daley, a Clinton administration commerce secretary, to serve as his new chief of staff.

The move, part of a major White House reshuffling, was warmly received by some traditional opponents of the president. It set off alarm bells among some more liberal groups that the president is shifting to the political center in anticipation of the 2012 campaign.

Daley is the son of legendary Chicago Mayor Richard J. Daley and brother of the city's current mayor, Richard M. Daley. He runs Midwest operations for the investment bank JP Morgan Chase, and his appointment is expected to help patch up Obama's frosty relations with the business community after nasty battles over health care reform, taxes and government regulations.

"Few Americans can boast the breadth of experience that Bill brings to this job," Obama said at the White House. He "possesses a deep understanding of how jobs are created" and has a "smidgen of awareness of how government works."

The president said Daley would bring "strong values" and "forward-looking vision" to the administration.

The appointment drew praise from one of the top Republicans on Capitol Hill.

"I frankly think it's kind of a hopeful sign," said Senate Minority Leader Mitch McConnell, R-Kentucky. "This is a guy who's actually been out in the private sector, been a part of business. ... My first reaction is, it sounds like a good idea."

The pick also received a positive response from the U.S. Chamber of Commerce, which lobbied heavily against expanding health care coverage and tightening regulations on Wall Street and spent millions on behalf of Republican candidates in the 2010 midterm elections.

"Bill Daley is a man of stature and extraordinary experience in government, business, trade negotiations, and global affairs," Thomas Donahue, the group's CEO, said in a statement hailing the appointment. "He's an accomplished manager and strong leader. We look forward to working with him to accelerate our recovery, grow the economy, create jobs, and tackle America's global challenges."

The reaction from the president's base with organized labor, however, was noticeably cooler.

"The president is of course entitled to choose a chief of staff in whom he has complete confidence," AFL-CIO President Richard Trumka said in a statement. "Yet President Obama and his administration will ultimately be judged by results -- whether the economy recovers robustly and begins to generate good jobs on the scale needed to improve the lives of working people."

Trumka warned that Obama "needs a chief of staff who will reach out to diverse constituencies and make sure that the voices of ordinary Americans are heard in the White House."

Daley will replace Rahm Emanuel, a former Illinois congressman who has returned to Chicago to run for mayor. Obama's interim chief of staff, Pete Rouse, will stay on as a counselor to the president for two years.

"I would not be where I am today without (Pete Rouse's) extraordinary counsel," Obama said. "I cannot imagine life here without him."

The appointment of Daley is the latest in a series of high-level personnel moves by the White House that have been announced in recent days.

Former Federal Reserve Chairman Paul Volcker is stepping down as chairman of Obama's outside economic advisory panel, Democratic sources familiar with the move said Thursday. Volcker had been a strong advocate for much tougher regulations for Wall Street in the wake of the financial crisis, although his position as chairman of the president's Economic Recovery Advisory Board gave him little clout to actually enact policy.

And senior officials say Obama is expected to name another Clinton administration veteran, Gene Sperling, as chairman of the National Economic Council. Sperling is currently a top adviser to Treasury Secretary Timothy Geithner and won high marks inside the administration for negotiating last month's tax deal with congressional Republicans. He would replace fellow Clinton alumnus Lawrence Summers.

In addition, senior adviser David Axelrod is planning to leave the White House in early 2011 to help run Obama's re-election campaign, while White House spokesman Robert Gibbs announced Wednesday that he would soon leave the administration in what Gibbs himself called a "major retooling" of a White House now dealing with a closely divided Congress.

When then-President Bill Clinton lost control of both chambers of Congress to Republicans in 1994, he tacked to the center and was able to score major legislative victories and easily win re-election in 1996. Many Democrats are rejoicing at Daley's selection now.

"Perfect for the job," said Steve Elmendorf, a lobbyist who served as chief of staff to then-House Democratic Leader Richard Gephardt in the Clinton and Bush years. "He has an impressive combination of stature and substance and political smarts."

But some liberals beyond organized labor are suspicious of Daley's close ties to the business community and are concerned that his appointment signals a sharp shift to the center.

"This was a real mistake by the White House," said Adam Green, co-founder of the Progressive Change Campaign Committee. "Bill Daley consistently urges the Democratic Party to pursue a corporate agenda that alienates both Independent and Democratic voters. If President Obama listens to that kind of political advice from Bill Daley, Democrats will suffer a disastrous 2012."

Daley currently sits on the board of the Washington think tank Third Way, a position he took in July. In a statement announcing the move, Daley said voters weren't returning to conservative ideology, but that "the left's agenda has not won the support of a majority of Americans."

It was a theme he also articulated in a 2009 piece in The Washington Post, arguing that Democrats needed to steer "a more moderate course on the key issues of the day."

Not surprisingly, the appointment drew praise from Daley's brother, who told reporters he was "very honored" that his sibling would be joining the White House.

"I believe he brings a passion, a commitment of service, both in the public and private sector," Richard Daley said. "He brings a commitment of service to both the president personally and to the United States of America."

Asked whether the appointment would mean more federal money for Chicago, the mayor said, "I'm praying."

CNN's Ed Henry, Dan Lothian and Alan Silverleib contributed to this report.

@highlight

NEW: Conservatives praise the pick of Daley while liberals question it

@highlight

Obama announces William Daley as his new White House chief of staff

@highlight

The appointment is the latest move in a White House shakeup

@highlight

Daley served as commerce secretary in the Clinton administration