(CNN) -- "Sehwag, go back to Ranji!" The jingoistic crowd was screaming when the portly batsman Virender Sehwag was dismissed in the game between the Rajasthan Royals and Delhi Daredevils in an Indian Premier League (IPL) semi-final game in 2008.

That Sehwag was one of India's leading players of the decade apparently didn't matter. The spectators were delivering their ultimate insult: Telling him to go back to the staid version of the Indian domestic circuit, the Ranji Trophy.

The crowd IPL attracted was different from the traditional Anglophile test cricket fan. They were raucous, participative and young. They were happy to see legends succeed, and happier to see them fail if they played for rival teams. The fans were united -- and partisan.

Six years after that inaugural edition, the world's top cricket players have once again been put up for sale in the annual IPL auction. The auction is the televised sale of cricket players to IPL franchises through an open bidding process. This year's auction is marked by rule changes which "nudge" teams into buying players from other teams rather than retain existing squads.

The league has exploded into a brand estimated to be worth more than $3 billion, negotiating huge deals with TV and sponsors and getting the force of India's huge fan base behind it.

The IPL's rapid rise has not been without hiccups. As the auction gets under way a high profile report on match fixing suggests a deep rot in Indian cricket overall and the IPL in particular.

But, as fans debate whether even average players should be paid more than 200 times the average Indian's annual income for less than 20 hours of "real" work, it is worth considering how the IPL became such a force in world sport. To do that, we need to step back more than 160 years.

In 1850, cricket was much bigger than baseball in parts of the United States. Newspapers in New York and Philadelphia reported cricket more often than baseball.

The moment was right for a great England-U.S. cricketing rivalry, but cricket then was run with a more imperial mind-set, and Britain's colonies and dominions such as Australia, New Zealand and the West Indies were more compliant territories to establish the game.

Then AG Spalding, a leading baseball pitcher of the 1870s, spotted the gap in the U.S. market for a people's ball game. He positioned baseball as a "made in America" game. In doing so, he relegated cricket into a colonial relic and launched a sporting empire.

And so, for decades, America snubbed cricket. Then, just a few years ago, the sport started morphing into something distinctly American.

In 2006 Andrew Wildblood, from sports marketing group IMG, and Lalit Modi, a scion of the Godfrey Philips cigarette empire, realized that the game of test cricket had one problem: length. To be precise, five days in the sun. Even the one-day game lasts more than six hours, which is about three times the attention span of young India.

Modi and Wildblood would have known that a shorter game would attract more fans, and began developing a proposal based on this.

The shorter, Twenty20 structure had already being trialled successfully around the world. Each side would get only twenty overs or 120 legitimate deliveries to play. However the Board of Cricket Control in India (BCCI), the world's biggest cricket "market," resisted the new format.

But Modi understood that eyeballs, not duration of game, would determine advertising revenue. He then single-handedly took an English game and single-mindedly Americanized it for a new India.

Modi, a U.S. college graduate, understood the NFL, the NBA and Major League Baseball, and applied his insights to the new project. This led to his meteoric rise in Indian cricket in the hierarchy, followed by a fall from grace. But how did he overcome resistance from BCCI?

It was set on its path to success in 2007, when media house Zee Entertainment Enterprises launched a rival Twenty20 league, called the Indian Cricket League. This forced BCCI into the arms of Modi as they tried to compete.

Other factors played also into the IPL's success, including timing. The league was launched just after a rookie Indian team unexpectedly won the World Twenty20 Cup in 2007 in South Africa. The younger generation of fans could relate to this game and to the new stars easily.

Modi's IPL business model was conceived using the proven American sports franchise model. The tactics included copying the NFL Draft with the IPL auction, cheerleaders and plenty of timeouts for advertising. Like the Superbowl, Modi embraced showbiz. Katy Perry performed at one of the opening ceremonies.

To this "Made in America" mix, Modi added Bollywood. For years, cinema and cricket had been the principal forms of escapism for Indians. By having film stars involved in the league either as owners or ambassadors, the IPL was to provide a double dose of escapism at one shot.

In another savvy move, star players were allocated to specific franchises, ensuring they were identifiably "Indian," while international cricketers created a global feel. Franchisee owners were in ferocious competition, leading to a disproportionate investment in players and marketing.

Finally, there was luck. In the inaugural game, New Zealander Brendon McCullum played one of the greatest Twenty20 innings, and the nation was hooked.

The IPL energized cricket in India. It is unabashedly capitalist, has brought a new generation of fans to the game and brought financial windfalls to players. However, like an unregulated banking industry, it is now in a race against its own inability to set and implement ground rules on ethics, codes of conduct and self-discipline.

Whether it will be remembered as cricket's greatest party or its biggest hangover will depend on how fast the administrators can convince fans and media that the games they are watching are clean.

Meanwhile, as the IPL franchises compete in an open market for players this week, it is also time to reflect whether the auction is confirmation that cricket's soul is now no longer English but American.

READ MORE: Kevin Pietersen's international career over

READ MORE: When cricket took on apartheid in South Africa

READ MORE: The day Sachin Tendulkar retired

@highlight

The Indian Premier League has exploded into a brand estimated to be worth more than $3 billion

@highlight

The IPL's rise is in part due to its Americanized style -- but has not been without hiccups

@highlight

To understand how big the league became, one has to go back through history

@highlight

Now, it is time to reflect whether cricket's soul is now no longer English, but American