(CNN) -- Ben Cahan wishes he hadn't damaged his old snapshot of a person in a prosthetic alien suit sitting with his Macintosh. Luckily, he still has a late-1980s picture of actor Kurt Russell with his boxy Mac desktop.

Ben Cahan worked with Hollywood films and spotted Kurt Russell sitting with his Mac in the 1980s.

Rubbing elbows with big-name celebrities was not unusual for Cahan, who is a software developer. He used his Mac to create Hollywood screenwriting software that formed the basis for programs still in use today.

Cahan never expected his old computers to become museum pieces, and he didn't think much about saving funny photos of them at the time. He almost wants to kick himself when he thinks about the lost photo of extraterrestrial attire.

"Who would have thought that would be an interesting picture?" he mused.

But as the Macintosh computer celebrates its 25th birthday Saturday, Cahan and other iReporters are seeking to preserve memories and the history of what they consider to be simple, classic and timeless designs. At the same time, they ponder the purpose of preserving such a short legacy.

Gil Poulsen of Franklin Park, New Jersey, says he can understand confusion from people who see the meticulously curated collection in his basement. iReport.com: Go behind the museum's velvet rope

"Computers almost become like antiques or dinosaurs very quickly. It does seem like a contradiction in terms to have a computer as a museum piece."  Watch Poulsen talk about his museum »

Poulsen keeps an elaborate stash of vintage Macs, portable devices, accessories and artwork. Two of his favorite pieces are a special vertical flat-screen unit made for Apple's 20th anniversary and a chassis cover designed to deflect radiation.

Small placards explain the details of each item in the collection, and a velvet rope gives the space a real museum feel.

He remembers the days when the computers ran exclusively on floppy disks, necessitating frequent disk switching whenever the onboard memory filled up. As storage innovations cropped up, users sought to purchase additional floppy drives and, later, units with hard drives. His collection chronicles many of these changes.

Upstairs, he keeps a couple "Macquariums" on display. Among Mac enthusiasts, a popular form of artwork is the conversion of an old Mac case into a shell for a fish tank. The resulting aquarium setup mimics a popular screen saver on the units that featured swimming fish. iReport.com: See iReporter Bob Mushchitz's Macquarium

Building inspectors and plumbers who visit are sometimes taken aback at the little computer museum.

"I often get very strange reactions from contractors visiting the house because they don't quite know what to make of it when they see it," Poulsen said.

Blake Patterson of Alexandria, Virginia, can certainly relate. His family is in awe of the computer room downstairs, which he calls the "Byte Cellar." He maintains a blog by the same name that chronicles his experiences with vintage computing. iReport.com: Get a peek inside the Byte Cellar

"My wife is quite amazed and sort of frightened by that. She stays out of the computer room. It's a little bit scary."

He purchased an original 128K Macintosh in 1985 and has owned several more machines. Much of his collection was built in the past eight years or so. Patterson, who operates Web sites, currently uses a three-screened Mac Pro for high-end tasks.  See both old and new photos of vintage Macs »

The legacy of the Mac, now 25 years old, is one of innovation, he says.

"It was quite a notable achievement 25 years ago when the Mac first came out. It was a big, new thing. People were a little bit baffled by the innovations."

Classic Macs were some of the first commercially successful home computers to incorporate a graphical user interface, mouse and streamlined chassis. This new form of design allowed flexibility for manipulating graphics and page layouts onscreen.

Mike Tuohy of Seattle, Washington, acknowledges that artists and the Mac seem especially well-suited for one another. In fact, he likes to do much of his art on Mac cases themselves.

"There are certainly out-of-the-box kind of approaches that appeal to me," he said. "That technology appeals to the more artistic side of the population."

Over the years, he has amassed several old Macintosh units. Some are complete with signatures from Apple developers molded onto the inside of the chassis. He likes to paint the outside of the computers to create artistic interpretations. iReport.com: See the painted Macintosh cases

One piece spins the concept of a "vintage computer" on its head with a wood paneling design. Another almost exudes a glow of primary colors.

"I don't want to create a lot of canvas work that I have to drag across the country," Tuohy said of his preference for art created on -- and with -- computers.

Cahan, the software developer, says he relishes the heyday of the early Macintosh computer lines. He could see the appeal for artistic types like himself.

"I loved Macs in the '80s and '90s," Cahan said. "The entertainment industry was one of the big movers for the Mac back in those days."

But after all these years, he has opened up to using Windows-based PCs. He points out that perhaps the greatest legacy of the Macintosh's innovation may be the many permutations and inspirations that later occurred. iReport.com: Read about Cahan's encounter with Kurt Russell

"All the innovation is on the Mac," he said. "But that's what competition is all about. You think the PC people are supposed to sit around and lose their market share? It's just plain old business."

Looking back, Cahan isn't sure he would have been as successful with computers today as he had been back then when things were simpler. Software development manuals have bloated to upwards of 3 feet thick.

"It costs a million bucks to make stuff nowadays," he said. "Back then, I could do it in my bedroom."

@highlight

iReport.com: Outpouring of photos, stories ahead of Macintosh's 25th birthday

@highlight

Software developer Ben Cahan photographed Kurt Russell with his old Mac

@highlight

Gil Poulsen's basement computer museum includes placards, velvet rope

@highlight

Mike Tuohy paints his old Mac cases to look like wood and primary colors