Hong Kong (CNN) -- Eight months ago, the international community stifled a snigger when North Korea's hyped rocket launch ended with a fizzle.

At the time, Pyongyang surprised just about everyone by actually admitting its failure, a departure from previous efforts to project success at all costs.

But this time, they've succeeded.

No one is laughing now.

Object seen in orbit after launch

"The world is not falling apart, like some would say, but at the same time this is not a joke. There was a lot of pre-media coverage that said that North Korea was not good at missile technology and were sort of ridiculing them," said Philip Yun, executive director of the Ploughshare Fund and a former adviser to the U.S. government.

"Are we that much less secure right now?" he asked. "Marginally, but at the same time, this is something that we have to worry about."

What we know is that just before 10 a.m. local time, North Korea launched the long-range Unha-3 rocket carrying "the second version of satellite Kwangmyongsong-3" from the Sohae Space Center in Cholsan County in the country's west.

It soared over Okinawa, dropping debris into the sea off the Korean Peninsula, the East China Sea and waters near the Philippines, according to the Japanese government, which slammed the launch as "unacceptable."

"The success of the launch -- which most analysts assume is a clandestine missile test -- brings North Korea one step closer to demonstrating a viable and reliable long-range delivery vehicle for a nuclear warhead," said Benjamin Habib, lecturer in Politics and International Relations School of Social Sciences at La Trobe University.

"If the missile technology is mastered, the last technical hurdle remaining is miniaturization of a nuclear warhead that can be deployed on the Unha-3 rocket."

Yun says that's still some way off.

"There's still a lot of work that needs to be done if they're actually going to mount a nuclear device or a weapon on a rocket," he said.

"The good news is we have a fair amount of time. The bad news is that if we're not proactive, and if we don't figure out a way to curtail North Korea's actions, they're going to continue to develop and learn more and over the long term we're going to have to deal with it in a much more difficult situation," he said.

Read more: The cost of the launch

In the short term, one analyst said that Wednesday's successful test was likely to encourage Pyongyang to attempt another nuclear test.

"We don't know if the one in 2009 was a nuclear device rather than a weapon itself. They might need additional refinement and testing of a weaponised as well as a miniaturized version that can fit on a warhead," said Bruce Klingner, Senior Research Fellow for Northeast Asia in the Asian Studies Center at The Heritage Foundation.

"More concerning would be an explosion that used a uranium-based warhead because the plutonium program is largely capped.

"We don't think they have any more available plutonium but the uranium path is really wide open. So if they have a uranium-based explosion, that will cause a great deal of concern in the U.S. and its allies that there is an uncapped nuclear weapons program," he said.

Read more: North Korea shouts 'look at me' with rocket

The missile that North Korea fired Wednesday appeared to be a four-stage rocket based on old Soviet technology, much less advanced than the rockets being used across the border in China, said Homer Hickam, a former NASA engineer and the author of "Rocket Boys."

"What the North Koreans have done is taken the technology the Russians developed 50 years ago and upgraded it a little bit and they're trying to use that old technology to cause a splash in the international scene and to get paid attention to," he said.

It seems to have worked.

International condemnation has been building since the launch, which came just days after North Korea admitted that technical problems could cause a delay. Multiple theories have been given for the launch's timing, but most analysts agree that a combination of domestic and international pressures and priorities came into play.

After the humiliation of the failed April launch, leader Kim Jong Un was desperate to assert his leadership credentials, some analysts say. A rocket launch was also seen as a fitting tribute to mark the first anniversary of the death of his father, former leader Kim Jong Il.

Analysts have also pointed to the curious timing of the launch, which came just days before national elections in Japan and South Korea, where the candidates' stance on North Korea is dominating debate in the final days of campaigning.

Chung Min Lee, a professor of international relations at Yonsei University, says the launch was also designed to send a message to the United States and China. "Kim Jong Un has told President Obama and Xi Jinping, 'I am not going to do business as usual. I'll go down this particular path, come what may.' This sends a very negative signal and puts the Chinese into a box. Xi Jinping must react either way. I believe that the Chinese will be a lot stronger on North Korea this time than on any other previous occasions," he said.

It's not a view shared by Dean Cheng, research fellow in Chinese Political and Security Affairs at The Heritage Foundation.

Why did North Korea launch a rocket?

"Frankly, I don't expect very much from Xi," he said. "This new Chinese leadership looks to be extraordinarily weak, in part because of the seven members of the Politburo Standing Committee. Five of them will have to retire by 2017, which means that the jockeying is already under way for the next succession."

He said the government is likely to take a "wait-and-see" attitude while the rest of the international community seeks to exert pressure on North Korea through the United Nations Security Council.

"If North Korea develops longer-range ballistic missiles, China doesn't think that they'll be aimed at Beijing. So from China's perspective, it has very little interest or need to come down very hard on North Korea until the U.S., Japan and South Korea make it clear to China that allowing North Korea to do this is going to be more costly than cracking down on them," Cheng said.

In a statement Wednesday, Chinese Foreign Ministry spokesman Hong Lei expressed regret about the launch.

"China has always insisted on bringing peace and stability to the Korean Peninsula through multilateral dialogue. We hope relevant parties stay calm in order to maintain peace and stability on the Korean Peninsula," he said.

China has traditionally been a stumbling block in efforts by the international community to pressure North Korea with sanctions imposed through the U.N. Security Council, Klingner said.

"When the U.S. and South Korea went to the U.N. working group after the April launch with a proposed 40 additional entities, China rejected all but three," he said.

He added that the U.S.'s ability to convince Beijing to back its efforts on North Korea will be a real test of U.S. ambassador to the United Nations Susan Rice and the Obama administration's policy toward China.

Timeline: North Korea's rocket-fueled obsession

@highlight

Successful North Korean launch is cause for concern, analysts say

@highlight

The launch brings Pyongyang closer to the capability to launch a nuclear warhead

@highlight

There are fears the next step could be another nuclear test

@highlight

Urgent action is needed through the U.N. Security Council, analysts say