(CNN) -- The singer Gil Scott Heron once declared that "the revolution will not be televised."

Em Hall, the "D.C. Goodwill Fashionista," transformed Goodwill's  image with a witty blog.

It is, however, going online.

Social activism is being transformed by the Web. Some of the most creative forms of protest and philanthropy are taking place online.

Activists are conducting demonstrations on YouTube, holding virtual fundraisers and using social network sites like Facebook to change the world -- one mouse-click at a time.

These cyber-pioneers include a nonprofit group that uses animated 3-D characters to protest the global shortage of drinking water; a Web company that allows ordinary people to create their own personalized charity; and a Goodwill blogger who reshaped the thrift store's image so thoroughly she was invited to New York Fashion Week.

Ted Hart, co-author of "People to People Fundraising: Social Networking and Web 2.0 for Charities," says the Web has already become a crucial source for nonprofit fundraising. Americans donated $550 million online in 2001, but that number grew to $10.4 billion in 2007, he says.

"It's a new world for a lot of nonprofit organizations," Hart says. "No longer is it good enough to say give us some money. The rules have changed."

Yet some people warn that this new world offers people an excuse to engage in "drive-by activism," superficial forms of cyber-activism that require little commitment.

"The Internet makes it very easy for people to jump in and out of social activism," says Matthew Hale, assistant professor at Seton Hall University's Center for Public Service. "If all the activism is online, it is easier to quit than going to meetings every week."

Real change: online or in-person?

Yet the Web makes it easier for a nonprofit group to reach more people than a meeting ever could, one nonprofit group says.

WaterPartners International is a U.S.-based nonprofit group that created a global campaign to create safe drinking water. Another company may have flown a spokesperson to an impoverished village and hired a film crew to promote their campaign. But WaterPartners says it saved money and time by putting its campaign online -- through animated, virtual characters built from actual people, says Nicole Wickenhauser, a company spokesperson.

Daily Web traffic doubled to WaterPartners' Web site during the campaign and the campaign attracted support from around the globe, Wickenhauser says.

"Real change is most often accomplished by committed individuals working together for a cause they feel passionately about," Wickenhauser says. "Whether they work together virtually or in person is less important."

Web-based activism not only enlarges the reach of social activists, it empowers ordinary people, its advocates say.

In another time, a person had to find a charity to give their time and money to. Now they can create their own charity through Web sites like "YourCause.com."

YourCause.com has been described as a MySpace for do-gooders. The new site allows a person to do everything a charity traditionally does -- raise money and awareness and recruit support -- all from a Web page designed especially for their needs.

Matthew Combs, the site's co-founder, says his site designs Web pages and vets charities for people who don't have the time or expertise to do it themselves.

"It's for people like the 73-year-old woman from New Jersey who created her own page to help out with a rare genetic defect she's suffering from," Combs says. "There's not a lot of 73-year-olds on MySpace. How do we make it easy as possible for them, but credible?"

Social network sites like MySpace are also throwing their support behind Web activists. MySpace has an "Impact" page that connects users with political and charitable causes. YouTube recently launched a "Nonprofits and Activism" channel.

'The reaction was priceless'

One of the most audacious forms of Web-based activism comes courtesy of Em Hall, also known by her blog name, the DC Goodwill Fashionista.

When Goodwill of Greater Washington wanted to expand its customer base, its leaders devised a campaign to reach out to a younger, hipper crowd.

The campaign's centerpiece was Hall. In her witty blog, She dispensed fashion advice, conducted an online virtual fashion show and sold Goodwill clothing on eBay (she once sold an $11.98 suit for $175 on eBay.)

Hall's blog averages 1,500 readers a week and has attracted readers from at least 100 countries, says Brendan Hurley, a Goodwill spokesman. Hall's blog became so popular she was invited in September to Fashion Week, a high-octane fashion show that features the world's most popular designers.

Hall still recalls how Fashion Week officials acted when she told them what clothing label -- Goodwill -- she represented.

"The reaction was priceless," she says. "A look of confusion came across people's faces as they desperately tried to figure out why Goodwill was at Fashion Week."

Despite the possibilities created by the Web, calling people to action still depends on people putting their bodies -- not just their mouse-clicks -- on the line, says Hale, the Seton Hall professor.

"All of the stuff you can do online ultimately has to show up in the real world," Hale says. "I don't see the Internet as a substitute [for social activism] but as a complement to it."

Paul Loeb, author of "The Soul of a Citizen,'' a book that examines the psychology of social activism, also says online activism can be powerful but limited. He tells a story from his book to make his point.

He says a friend took her kids to a protest against nuclear testing in front of the White House during the early 1960s. But she became dejected because only a few people joined her demonstration and then it rained.

Years later, the same woman attended a major march against nuclear testing. Benjamin Spock, the best-selling author and pediatrician who opposed the Vietnam War, was a featured speaker. He told marchers that he was inspired to join the march after seeing a small group of women huddled with their kids in the rain while marching in front of the White House years earlier.

"I thought that if those women were out there," Spock said, "their cause must be really important."

"He's seeing these ragged women in the rain and it touches his heart and he ends up getting changed by that," Loeb says. "That story couldn't exist in the virtual world."

@highlight

The Web unleashes new wave of cyber-activism

@highlight

Activists changing the world one mouse-click at a time

@highlight

The Web "changes the rules" for nonprofit groups, expert says