(CNN) -- Stepping into the New York office of fashion mogul Tory Burch, one can't help but notice the positive energy in the room. Elegant yet cozy, substantial yet relaxed, the space brims with creative spirit. Credit can be given to any number of factors, from the artfully layered furnishings to the welcoming personality of Burch herself. But she is quick to give due recognition. "I work with a feng shui master," she says, seated in an armchair that is positioned, according to said consultant, to yield a particularly auspicious flow of harmonious life forces.

Good vibrations have always been central to the Tory Burch brand, whose twist on preppy style makes cheerful use of classic hues and graphic patterns. In the ten years since the label's launch, it has expanded from a single Manhattan boutique into a global empire, with more than 120 outposts—a Milan flagship is next—and collections of clothing, cosmetics, home accessories, and more. This October the company will debut a line of watches as well as release its first book, Tory Burch: In Color (Abrams). Reflecting on this rapid growth, Burch remarks, "I could never have imagined."

Architectural Digest: Bette Midler's Jaw-Dropping NYC Penthouse

Another constant throughout the brand's history has been Daniel Romualdez, the AD100 architect and designer responsible for the stores' famously ebullient decor. When Burch relocated the firm to its current headquarters, in the city's Flatiron neighborhood, she immediately called upon Romualdez to collaborate on her own suite (comprising an office and waiting area) as well as the company's reception spaces. "Daniel makes the process so much fun," she says. The feeling is decidedly mutual. According to Romualdez, who helped decorate Burch's Manhattan and Hamptons homes, too, "Tory is a dream. She knows exactly what she wants, but she also lets you run with an idea."

Architectural Digest: Elton John's Beverly Hills Home

In the case of Burch's new work space, what she desired was a setting that stayed true to her brand's retail concepts while adapting its signature look into something personal, almost residential. Certain details are direct references to the boutiques. The oak wall paneling, for instance, is based on woodwork used at the label's Madison Avenue location, while the X-base stools and Louis XVI--style side chairs are variations on those installed at many of the outposts. For the most part, however, the array skews toward unique pieces, with family photos and pedigreed furnishings alongside treasured keepsakes from her travels. Particularly fine are the matching bookshelf and desk—1960s designs by Howard Dilday for Count Rodolfo Crespi's bedroom at Palazzo Odescalchi in Rome. Burch admired the set and snatched it up from antiques dealer Gerald Bland.

Architectural Digest: Incredibly Designed Vineyards

"With Tory, it's about honoring her taste at that moment," Romualdez says. "Her aesthetic is always evolving." But some elements stay the same. The combination of blue and white is a leitmotif, appearing here in various configurations, from an antique mirror framed in crystal and cobalt-blue glass to the wall-mounted collection of china. "Porcelain has always been a passion," Burch says. "I was raised around it."

Architectural Digest: Gorgeous Childrens' Rooms

Across the room, another soupçon of Burch's childhood has been given pride of place. Displayed on a brass-and-rattan side table is a vintage edition of Antoine de Saint-Exupéry's novella The Little Prince. "It's been a favorite book of mine since I was little," she says, adding, "there are also such relevant themes for adults—how you treat people, how you shape your outlook on life." They are lessons Burch applies at her company, making social responsibility part of its mission. In 2009 she established a foundation dedicated to the empowerment of female entrepreneurs, offering mentoring programs, business education, and access to low-cost capital.

As the Tory Burch brand continues to advance, its founder's office is graciously equipped to meet all challenges. "We have so many meetings here, everything from finance to fittings," she notes. "People come in and out all day. This is the hub."

Reprinted with permission of Conde Nast.

@highlight

Fashion mogul Tory Burch enjoys a harmonious working environment

@highlight

She worked with a feng shui master to achieve the right flow

@highlight

Details of Burch's retail spaces are echoed in the company's offices

@highlight

'The Little Prince' is a favorite book of hers and it is displayed prominently