(CNN) -- Last month, President Obama proposed cutting almost $72 billion from Medicaid, the program that provides health care to America's poor. Such deep reductions are necessary, he declared, to bring down our staggering national debt.

But what if there were a way to both save taxpayer dollars and improve Medicaid patients' health? We can achieve both if we are willing to consider an unorthodox solution: Pay Medicaid recipients who are smokers to quit using cigarettes.

Thirty-three percent of the Medicaid population smokes, compared with 20% of the U.S. population, according to the Centers for Disease Control and Prevention. Evidence of the dangers of smoking, coupled with smoking bans and steep tobacco taxes, has cut the smoking rate in half for the overall U.S. population over the past 50 years. Now, it is widely acknowledged that smoking is largely isolated in vulnerable populations.

Why don't Medicaid smokers quit in response to policies that are effective for others? One reason is that investing in preventive health care is difficult when you live month-to-month. But an indulgence the poor really can't afford is cigarettes. Smoking is expensive. A pack-a-day smoker could save more than $2,000 per year by quitting.

How would the proposed incentive system work? Smokers on Medicaid would receive small payments in return for quitting or getting cessation counseling as a step toward quitting. Participants would have to hold up their end of the bargain. They would get paid only if medical claims data indicated that they were getting counseling or they tested to be smoke-free. Tests can easily be conducted using breathalyzers to measure carbon monoxide levels.

It may seem implausible that such a limited compensation could push anyone to quit a practice as addictive as cigarette smoking, but there is solid evidence that it works. Research on addiction has repeatedly demonstrated that small payments have persuaded even cocaine addicts to stop using. Furthermore, in my research, I have found that the financial motivation to quit is more effective for low-income smokers than a motivation based on health concerns.

Small payments can be effective by providing tangible, immediate and clear-cut gains.

Taxpayers would have a lot to gain from this approach, too. Medical care for tobacco-related diseases costs Medicaid an estimated $22 billion every year. Treating the many illnesses associated with smoking -- emphysema, coronary heart disease and lung cancer, to name a few -- is expensive. Pregnant smokers risk premature childbirth and often expensive medical treatment for their newborns.

Sensible as they are, incentive payments to smokers on Medicaid face many obstacles before they can be adopted by the federal government.

Many people, including politicians, will chafe at paying people to do something they ought to do on their own. Smoking carries the taint of a moral vice, a bad habit that should require no incentive to abandon.

But providing incentives to promote positive behaviors is a common practice and often uncontroversial. Employers and life insurers, for example, increasingly provide financial incentives to stop smoking. They consider these incentives good investments. Paying such incentives could both improve health for the poor and lower Medicaid costs for taxpayers.

Another obstacle to implementation is a lack of research on how best to design such a program for low-income populations. While in previous studies of heroin users I found that paying higher incentive payments is both more powerful and more cost-effective, we do not know the best level of payments for Medicaid smokers. Also we do not know whether it would be better to pay for using the counseling or only for actually stopping smoking, or a mix.

We are getting closer to answering these important questions. Ten states, including my own state of Connecticut, were just granted the approval and the funds from the federal government to test the effectiveness of incentive payments in Medicaid. My research group, in collaboration with the state, will be investigating how a smoking-cessation program based on such payments could be made maximally cost-effective. We want to save Medicaid money while improving recipients' health.

What if we really could make a difference by paying a little to save a lot?

The opinions expressed in this commentary are solely those of Jody Sindelar.

@highlight

Jody Sindelar says paying Medicaid recipients to quit could save taxpayers money

@highlight

She says Medicaid recipients smoke more than rest of population, can afford it less

@highlight

She says tobacco-related disease costs Medicaie $22 billion a year; incentives can help

@highlight

Sindelar: Challenge in structuring such a program; some states are experimenting now