(CNN) -- Until the abduction of more than 200 girls at the Government Girls Secondary School in rural Chibok, Nigeria's Boko Haram insurgency received scant attention in the global media, which gave it brief airtime when the insurgents exploded their bombs or torched a school.

However, the mass abduction has brought the world's attention to the callous and unceasing violence that has become routine in northern Nigeria over the last three years.

The area has suffered more than three decades of religious violence between Muslims and Christians.

But since Boko Haram founder Mohammed Yusuf was killed in a 2009 security crackdown -- along with hundreds of his followers -- the militant Islamist group has stepped up its attacks.

Boko Haram militants have killed clerics, bombed churches and mosques and assassinated politicians and government officials.

When the militants attack churches, their aim is to start a sectarian war that will engulf the country; when they attack mosques, their aim is to exterminate Muslims they consider collaborators.

In the last three years, the Nigerian Government has opted for the use of force to exterminate the insurgents, rather than diminish the activities of the group -- and it has become more daring and audacious in its attacks.

Despite the allocation of 25% of the annual budget to defense and security, the government has been unable to crush and contain the insurgency. The group has taken on and demoralized the rank and file of the Nigerian army and police.

Boko Haram has launched deadly raids on military garrisons and police and secret intelligence offices to free their detained members. The use of force against the group has only led to allegations of a chain of rights abuses with the justification that it is a war on terror.

Nigeria's Human Rights Commission last year accused the military of arbitrary killings, torture and rape in its campaign, while the military has described reports of civilian casualties as "grossly exaggerated."

Our constitutional freedom has been formally suppressed by the authorities on the grounds of national emergency. The strategy of collective punishment, arbitrary arrests, prolonged detention and killing raids by the security forces has alienated the civil populace and turned them into victims. In the war against Boko Haram, civilians have become victims of both the military and the militants.

Meeting with Boko Haram

I mooted the idea of dialogue with the insurgents as a new option towards ending the insurgency and restoring peace to my bewildered and beleaguered nation. In September 2011, I facilitated talks with the insurgents and the former Nigerian President Olusegun Obasanjo -- then chairman of Nigeria's ruling party.

READ MORE: Swap prisoners for kidnapped Nigerian schoolgirls, ex-negotiator says

The first surprise in the encounter was that the representatives of the terror group spoke fluent English. The bigger surprise was when some of the insurgents revealed that they had university degrees. It is a prerequisite for new Boko Haram members to burn their university certificates or any paper identification that links them secular schools.

In the meeting, they justified their violence on the grounds that it was the Nigerian Government that had forced them to take up arms. They said that before they trod the path of violence, they first tried to take the path of peace.

They even showed us copies of a petition they wrote to the government complaining about the harassment and intimidation of their sect members by security forces before they picked up arms.

They showed us photographs of followers and relatives they said had been killed by the police in cold blood, even before the insurgency began and threatened more attacks until they "avenge the injustices done to them."

They expressed anger at the way people criticized and condemned them when they launched attacks but kept mute when Boko Haram members were killed, their homes demolished and their wives and children arrested by the security forces.

We took their grievances to the government and advised the government to follow through, but hawks within the corridors of power discouraged the president from taking our advice.

The second effort at dialogue involved a northern Islamic cleric and head of the Nigeria sharia council. The talks were facilitated by a freelance journalist who was later threatened by those opposed to dialogue.

This second round of dialogue took place in the last quarter of 2012.

Boko Haram accused the government of leaking the details of the talks to the media for political reasons. One of the group's conditions for talks had been that only their outcome be made public.

We were close to achieving a ceasefire but again hawks, security and defense contractors in the corridors of power sabotaged our efforts.

I have never met the Boko Haram leader Abubakar Shekau but I declined to meet him on two occasions when I got his invitation to interview him. I declined because I realized that the government was not interested in my approach.

'Preventable and avoidable'

The abduction of the girls in Chibok is one of many abductions over the last three years.

If the Nigerian authorities took lessons from earlier attacks on schools by the insurgents, the Chibok abductions couldn't have happened. The Chibok abduction was a preventable and avoidable tragedy.

When the militants abduct boys, they use them as conscripts and girls as cooks and hostages. I cannot confirm if they used abducted girls as sex slaves -- the leadership of the group denied such reports when we asked them, but abducted women who were later freed give credence to such claims.

Each day the Chibok girls spend in captivity keeps the moral flag of my country at half mast.

The #BringBackOurGirls protest and the interest shown by President Obama and other world leaders and celebrities like Alicia Keys and Angelina Jolie has kept the spirits of Chibok mothers high and the Nigerian Government on its toes.

When we were children, we used to forecast that one day the Sambisa forest in Borno state would become a game reserve which would attract foreign tourists and foreign currencies. Today it is attracting foreign interest for negative reasons.

The Chibok girls must be freed but not by the use of force except when other options fail. The schoolgirls are now innocent hostages in the hands of soulless gunmen.

We don't want the body of the girls to be brought back home, we want them back home alive.

Political future

The use of force could turn out to be tragic. Experience has shown that attempts in the past to free hostages from the insurgents through the use of force has deadly consequences.

French hostages were freed in Nigeria through negotiations but a British and Italian hostage were killed in Sokoto when UK forces went to free them.

We can get the Chibok girls back home and we must.

I was delighted to learn that the special team sent by the U.S. and UK also included experts in hostage negotiation. I strongly believe that Islamic clerics in northern Nigeria and some of the top ranking insurgents currently in detention can be used to open a channel of communication with the leadership of the sect in order to secure the release of the Chibok girls.

There are those who say that the option of negotiating to free the hostages will embolden the terrorists, I have never been a hostage but I have been a political prisoner who spent many years in prison during our struggle against military dictatorship in Nigeria in the 1990s.

Those who experience captivity appreciate freedom the most.

The situation we find ourselves in is a tough moment in our history, but I believe we shall overcome it.

Many Nigerians believe that the way the Chibok issue is resolved will determine the political future of Nigeria.

Opinion: Nigerians right to be wary of U.S. intentions

The opinions expressed in this commentary are solely those of Shehu Sani.

@highlight

Global media paid Boko Haram little attention until 200 girls were abducted, says Shehu Sani

@highlight

Boko Haram became more violent after its founder was killed in 2009, he says

@highlight

At talks in 2011, the group blamed government action for their militancy, Sani says

@highlight

He says the use of force to free hostages can be deadly and negotiations must be held