Seoul, South Korea (CNN) -- The U.S. Navy is moving a warship and a sea-based radar platform closer to the North Korean coast in order to monitor that country's military moves, including possible new missile launches, a Defense Department official said Monday.

The decision to move at least one ship, the destroyer USS John S. McCain, and the oil rig-like SBX-1 are the first of what may be other naval deployments, CNN has learned.

They follow weeks of belligerent rhetoric from North Korea, including threats to use nuclear weapons.

The United States and South Korea have gone ahead with joint military exercises despite the threats, and South Korea warned Monday that any provocative moves from North Korea would trigger a strong response "without any political considerations."

The United States has bolstered the exercises with shows of force that included overflights by nuclear-capable B-2 stealth bombers, massive Cold War-era B-52s and F-22 Raptor stealth fighters.

Read more: Threats of annihilation normal for South Koreans

"If there is any provocation against South Korea and its people, there should be a strong response in initial combat without any political considerations," South Korean President Park Geun-hye said at a meeting with senior defense and security officials, according to her office.

Her comments came after North Korea rattled off fresh volleys of bombastic rhetoric over the weekend, declaring that it had entered a "state of war" with the South and labeling the U.S. mainland a "boiled pumpkin," vulnerable to attack.

The two Koreas are technically still at war after their conflict in the early 1950s ended in a truce not a peace treaty.

The secretive regime of Kim Jong Un has delivered a steady stream of verbal attacks against South Korea and the United States in recent weeks, including the threat of a nuclear strike.

It has lashed out at the U.S.-South Korean military drills currently under way and at the tougher U.N. sanctions that were slapped on it after its latest nuclear test in February.

On Monday, Pentagon spokesman George Little warned against connecting the ship deployment to recent tensions on the Korean Peninsula.

"I would urge everyone to disconnect this ship deployment from recent military exercises in South Korea. We have regular ship movements in the Asia-Pacific region and we use our ship movements for any number of purposes," he told CNN's Christiane Amanpour.

Analysts have expressed heavy skepticism that the North has the military capabilities to follow through on many of its melodramatic threats.

But concerns remain that it could carry out a localized attack on South Korea, as it did in November 2010 when it shelled Yeongpyeong Island, killing four people.

Displays of strength

The United States has sought to show its willingness to defend its South Korean ally by drawing attention to displays of its military strength during the drills taking place in South Korea.

Washington's recent announcements concerning practice flights over South Korea by B-52 bombers and B-2 stealth bombers, both of which can carry both conventional and nuclear weapons, have not been lost on Pyongyang, which has described them as acts of U.S. hostility.

Read more: N Korea readying rockets to aim at U.S. targets

There was no immediate reaction on North Korean state media Monday to the U.S. statement saying the stealth fighters, F-22 Raptors, were sent to the main U.S. Air Force Base in South Korea to support air drills in the annual Foal Eagle training exercises there.

U.S. and South Korean officials have been trying to strike a balance between acknowledging that the North's rhetoric is cause for concern and at the same time playing down the severity of the threat.

Park said Monday that she was "viewing the threat from North Korea in a serious manner."

But a senior U.S. Defense Department official said late last week that there were "no indications at this point that it's anything more than warmongering rhetoric."

And Little, the Pentagon spokesman said Monday that recent U.S. activities with South Korea "have been about alliance assurance, about ensuring them that we are there to protect them."

"We haven't seen any kind of troop movements on the North Korean side that would indicate imminent military action. So we think that things may be dialing down just a bit on the Korean Peninsula, at least we hope so," he said.

South Korea has noted that scores of its workers have continued in recent days to enter and leave the Kaesong Industrial Complex, a joint economic cooperation zone between the two Koreas situated on the North's side of the border.

That is despite Pyongyang cutting a key military hotline on the border and threatening to shut down the complex.

Read more: Why N Korea regime is scary

Moscow and Beijing call for calm

The heightened tensions have prompted North Korea's traditional allies, China and Russia, to urge the different sides to keep a lid on the situation.

"Moscow expects all parties to exercise as much responsibility and restraint as possible in light of North Korea's latest statements," the Russian foreign ministry said Saturday according to Russian state broadcaster Russia Today.

China, which expressed frustration over Pyongyang's most recent nuclear test, also called for calm.

"We hope relevant parties can work together to turn around the tense situation in the region," Foreign Ministry spokesman Hong Lei said Friday, describing peace and stability on the Korean Peninsula as "a joint responsibility."

But the coming weeks appear laced with potential for more bouts of saber-rattling.

North Korean delegates are currently gathered in Pyongyang for the Supreme People's Assembly, the country's rubber stamp parliament.

And April 15 is the anniversary of the birth of Kim Il Sung, the nation's founder and the grandfather of Kim Jong Un. That day, the biggest national holiday in North Korea, is usually marked by large-scale parades.

Meanwhile, the U.S.-South Korean military exercises that have already stirred so much ire from the North are due to continue until the end of the month.

Some analysts have noted that Pyongyang has carried out some sort of military provocation within weeks of every South Korean presidential inauguration.

Park, the current president, took office on February 25, five weeks ago.

"You can't put it past them the idea that they are ... trying to establish a new equilibrium in which they are accepted as a nuclear weapons state," Victor Cha, former director of Asian affairs for the U.S. National Security Council and now a Georgetown University professor, said about North Korea.

CNN's Barbara Starr reported from Washington. K.J. Kwon reported from Seoul, and Jethro Mullen reported and wrote from South Korea.

@highlight

A Pentagon spokesman warns against connecting ship deployment to recent tensions

@highlight

South Korea warns North of "strong response" to any attack

@highlight

U.S. deploys F-22s to South Korea as part of joint military exercises

@highlight

North Korea said it was entering a "state of war" with the South