(CNN) -- When the Arab League asked for U.N. Security Council endorsement of its call for a new government in Syria and sought the imposition of sanctions to pressure Syrian President Bashar al-Assad, the Russians went toe-to-toe with the United States, publicly and behind closed doors.

The Russians forced significant concessions in the wording and meaning of the resolution. They won the elimination of sanctions. And then they rejected the compromise they forged.

Looks like, feels like, sounds like Cold War redux.

But this assessment is overly simplified. So too are assertions that Russia cast its veto to protect a client state or as revenge against the West after being burned by the Libya resolutions.

More precisely, the Russian tactics and veto are a rejection of the proactive, norm-enforcing Security Council that has emerged in the past decade. The Libyan case was the Russians' final straw for their claim that the Council had moved beyond the constraints that the charter places on U.N. infringement of national sovereignty, the use of force, and imposing economic sanctions.

One of Moscow's major goals is to end the Council's regular use of sanctions as a leveraging tool or to isolate a state. The Russians have maintained that Council sanctions resolutions should be the maximum method of coercion. But the West has considered such sanctions as a springboard for the U.S. Treasury and EU banks to enforce far reaching asset freezes and banking restrictions.

This week, as foreshadowed in their October veto, the Russians signaled the end of the U.N. sanctions era.

The significance of this action cannot be overstated. Beginning with the sanctions against Iraq in August 1990, the Security Council has imposed sanctions in 20 cases and placed peacekeeping missions in dangerous war zones 19 times. Such proactive council legislation has been successful in de-funding al-Qaeda, stifling murderous militias in Africa, slowing nuclear proliferation and protecting innocent civilians from slaughter. Now the Russians have taken the teeth out of the tiger that was the Security Council.

Understanding China's negative vote also requires a wider view. Beijing has only exercised its Security Council veto when Russia has vetoed. Never in council history has China been the lone "nay." Reports had been circulating in council corridors hinting that the Chinese were leaning toward abstaining on the Arab League resolution. But to judge their veto as Cold War solidarity also is too simplistic.

China's view of Security Council sanctions has moved from disrespect to outright disdain. Its undermining of sanctions began as the investigative Panels of Experts -- created by the council to monitor sanctions violations in African conflicts -- discovered increasing amounts of Chinese small arms in Sudan, Somalia and Eritrea, despite U.N. arms embargoes.

The Chinese have worked especially hard to hide and then to discredit the reports of the Panel of Experts created in Security Council resolution 1874, which monitors sanctions on North Korea. Breaking with the established transparency practice -- that U.N. Panel Reports are released on the sanctions committee's website -- the Chinese blocked release of the panel's 2011 report, even though the document was leaked and had appeared for months on global websites.

Re-enter the Russians, who reacted the same way to the first report of the Iran Sanctions Panel of Experts delivered to the council in May 2011, by blocking its publishing. This created a perfect storm for undermining the effectiveness of the U.N. sanctions championed by the West. In the Security Council Sanctions Committees, the Chinese allied with Russian condemnation of the Iran Panel report and blocked its publication. In turn, Russia supported the Chinese critique of the North Korean panel report.

On the face of it, hardball global politics in the Security Council provides a plausible explanation for the Russian-led veto of the Syria resolution. But the reasons underpinning the Moscow-Beijing veto are more far-reaching than that.

Their actions seek to roll back advances the Security Council has made in employing various methods, especially economic sanctions, that have been especially successful in achieving the charter's dual mandate to sustain peace and security and to protect human rights.

This is not the Cold War politics of the Security Council revisited -- it is much more serious than that. It is kneecapping the council after two decades of reasonable success.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of George Lopez.

@highlight

Russia vetoed Arab League call for sanctions on Syria; China went along

@highlight

George Lopez: The veto is effort to keep U.N. from imposing sanctions, period

@highlight

Russia believes the U.N. must be limited in its response to crises, he writes

@highlight

Lopez: China, Russia want to curb U.N.'s ability to promote peace, human rights