WASHINGTON (CNN)  -- The Bush administration hailed North Korea's declaration of its nuclear program as a success for the multilateral diplomacy it engaged in through the six party talks with South Korea, China, Japan and Russia.

Workers remove fuel rods on the reactor floor at North Korea's Yongbyon nuclear facility this year.

In fact, North Korea's confessions of many of its nuclear sins -- and its shutdown of its nuclear reactor at Yongbyon -- are the closest the international community has come to curbing North Korea's nuclear program.

As a result of Pyongyang's handover of the 60-page declaration document -- and Friday's expected destruction of the cooling tower at Yongbyon -- President Bush ordered some sanctions against North Korea lifted and instructed the State Department to remove the reclusive communist nation from U.S. lists of enemies and nations that support terrorism.

But as important as what the document says is what it doesn't say. There is no mention of how many weapons North Korea has or where they are hidden. Nor did North Korea admit to a suspected uranium enrichment program or what nuclear secrets it may have shared with Syria. Both issues are reduced in the declaration to "concerns" Pyongyang promises to address down the road.

Bush and Secretary of State Condoleezza Rice have pledged a robust verification process to double-check North Korea's claims. And North Korea has promised to allow U.S. inspectors access to the Yongbyon facility and to interview its nuclear experts.

But it is far from clear whether Pyongyang will allow the kind of intrusive inspections of its entire nuclear arsenal that the United States will need to get a complete picture of North Korea's program.

Congressional Republicans not so sure about Pyongyang

The stiffest opposition to the deal is coming from conservative Republicans. Once considered President Bush's strongest allies in confronting North Korea's nuclear ambition, they feel that the Bush administration has let North Korea off the hook, especially when it comes to its enriched uranium program and suspected proliferation to Syria.

Rep. Ileana Ros-Lehtinen, R-Florida, the top Republican on the Foreign Affairs Committee, expressed "profound disappointment" over Bush's announcement that North Korea would be coming off the lists of enemies and state sponsors of terrorism.

And Rep. Pete Hoekstra, R-Michigan, the top Republican on the Permanent Select Committee on Intelligence, accused President Bush of sacrificing its principles for a foreign policy success.

"A decision seemingly has been made that it is more important for the White House to reach a legacy agreement than to get to the bottom of North Korea's nuclear efforts," Hoekstra said. "Lifting sanctions and removing North Korea from the list of state sponsors of terrorism flies in the face of history and rewards its brutal dictator for shallow gestures."

Rep. Ed Royce, R-California, called North Korea's declaration late and incomplete, alleging that North Korea built a nuclear facility for Syria, considered a terrorist state by the United States, while the nuclear negotiations were ongoing. That, he said, was proof that Pyongyang can't be trusted.

"How do you have a meaningful declaration of your nuclear program without saying how many bombs you have?" Royce asked. "This is a signal to other proliferating regimes that nuclear weapons will be rewarded without ever having to give them up."

Democrats, who once criticized Bush for not talking directly to North Korea about its nuclear program, are cautiously supportive of the deal. Howard Berman, the Democratic chairman of the House Foreign Affairs Committee, called the North's submission of a declaration "encouraging."

Even former presidential candidate Sen. John Kerry, D-Massachusetts, praised the Bush administration, saying "engaging our enemies can pay dividends."

But Kerry added, "historians will long wonder why this administration did not directly engage North Korea before Pyongyang gathered enough material for several nuclear weapons, tested a nuclear device and the missiles to deliver them."

Are we headed down the same road with Iran?

In his 2002 State of the Union address, Bush termed Iraq, North Korea and Iran the "axis of evil," saying they were "arming to threaten the peace of the world." Fourteen months after delivering that speech -- and after dictator Saddam Hussein released a 12,000-page declaration that it had no weapons of mass destruction -- U.S. forces invaded Iraq.

But no such program was found, nor were stockpiles of chemical or biological weapons of mass destruction. More than five years into the war, the United States is still battling al Qaeda and Iraqi insurgents there.

Six-party talks with North Korea began in 2003, after North Korea withdrew from the Nuclear Non-Proliferation Treaty. Progress was limited until 2007, when North Korea agreed to shut down Yongbyon and allow international monitors back into the country for monitoring and verification.

Progress has been even more limited for the third member of the "axis of evil," Iran.

The Bush administration has joined the other members of the U.N. Security Council -- Britain, France, China and Russia, along with Germany -- in offering Iran a set of political and economic incentives similar to the ones North Korea was given in exchange for suspending its uranium enrichment program.

But the United States has refused to sit down with Iran until that suspension takes place.

The U.N. Security Council has passed three resolutions imposing sanctions against Iran, and the United States has worked with some success to isolate Iran from the international financial community.

But unlike North Korea, which is isolated and desperately in need of international aid, Iran is rich in oil and a powerful force in the Middle East. And it's only getting richer and more immune to sanctions as oil prices skyrocket.

And Iran seems to be running out the clock and waiting to try its luck with a new U.S. president.

Sen. Barack Obama, the presumptive Democratic nominee, has pledged to engage Iran in direct talks to try to curb its nuclear ambitions. Sen. John McCain, the presumptive GOP nominee, has taken a much tougher line, refusing to rule out military action to prevent a nuclear-armed Iran.

With the coming change in the U.S. administration, U.S. officials, diplomats and other Iran experts believe that it would be at least eight months to a year before the United States and Iran could seriously think about talking.

Meanwhile, by its own admission, Iran continues to perfect its nuclear technology.

If the North Korean experience can serve as a lesson for the next U.S. president, that lesson may well be that the longer the United States waits to talk to Iran, the higher the cost will be to get Tehran out of the nuclear business.

@highlight

Just as important as what the nuclear declaration says is what it doesn't say

@highlight

North Korea didn't admit to uranium enrichment or sharing secrets with Syria

@highlight

Many Republicans say Bush administration has let Pyongyang off the hook

@highlight

U.S. may be headed down the same road with Iran