Editor's note: CNN Contributor Bob Greene is a bestselling author whose forthcoming book is "Late Edition: A Love Story."

Police tape surrounds the scene of a shooting in southern Alabama on Wednesday.

(CNN) -- Carnage in Germany, carnage in Alabama, and one of the most saddening aspects of the killings is this:

The impulse to ask "why," while present, seems somehow muted. There will be a search for answers -- why did Michael K. McLendon, the gunman in the American South, murder 10 people, why did Tim Kretschmer, the gunman in the German South, murder 15 people -- but even when a tentative answer is arrived upon, it almost certainly won't mean much. Because the real answer we're searching for -- the answer that will stop these bursts of bloodshed -- seems destined to ever elude us.

There is always an impulse to blame obscene killing sprees on outside stimuli. In the years just after World War II, comic books were cited as an incitement for young people to harm each other. Violent television programs were subsequently blamed, as video games sometimes are today. The connective theory has long been: if society desensitizes people to violence, if violence becomes a commodity, then it will proliferate. If people are passively taught that violence is everywhere, then violence will sprout, if not everywhere, then many wheres.

But to place the brunt of the blame for this on outside forces is to duck a truth that we are understandably reluctant to face: the impulse to murder without remorse seems to be, in some people, almost like a learned language, deriving from somewhere deep and difficult to find. Thankfully, it remains relatively rare, although during weeks like this one it is not easy to take much comfort in that. Yet with each new torrent of killings, with each new demonstration that, to some among us, the idea of spreading heartache and horror is not only acceptable, but attractive...

With each new demonstration of that, we find ourselves once again looking for lessons, in a search that can seem perpetually futile.

Are the gunmen in cases like these out to make a name for themselves? If so, they are ordained to fail; there was a time when multiple, random murders were enough to give the perpetrators such notoriety that their names became catchphrases. Charlie Starkweather, whose name means nothing to most people today, had more than one movie made about him after his killing spree on the American Plains in the 1950s. There was a time when we could ascribe, to people who murdered without mercy, a dark desire for the worst kind of fame.

But that's gone. Those names you read in the second paragraph of this story -- Michael McLendon, Tim Kretschmer -- may be freshly in the news today, but you will have forgotten them in a month or two. That's one more numbing sign of just how ordinary extraordinary violence has become: the names fail to stick. The protagonists are interchangeable.

How to stop this? There has long been a debate over whether the death penalty is a deterrent to murder, but this week the murderers themselves are both dead, and almost certainly they considered that probability before they set out to kill. The learned language of violence seems to contain a concession, on the part of those who absorb it, that their acts may very well conclude with their own dying -- and that the price, in their minds, is acceptable, even, perhaps, sought.

Which may be the most chilling lesson of all. Because if even death for those who do it is not enough to stop the profane slaughters around the globe, then our impotence in the face of this feels all the more profound. Whatever our need may be to grasp for answers, the killers, by dying on the day they kill, deny us the chance for even that scant solace. It's the ultimate taunt; it is as if they are saying: You want to know why? You'll never know.

Which leaves us with only one certainty:

Before long -- in a matter of days, or weeks, or months -- we'll be asking these questions again. The names will change; the specks on the map will be different. But somewhere, someone who has learned the wordless language of spreading hurt and grief will do this once more, and we will pause anew in our daily lives to wonder what has become of us. And feel all the more empty at the silence that greets our question.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: The real reason mass murderers kill people is elusive

@highlight

He asks whether outside influences play a role in inciting violence

@highlight

Greene: These days, killers seeking lasting fame seem destined to fail

@highlight

He says killers who commit suicide prevent us from knowing their motives