Atlanta (CNN) -- Last week we learned that Barack and Michelle Obama's effective tax rate for 2011 was 20.5%. They had adjusted gross income of $789,674. We also learned that their tax rate was slightly lower than President Obama's secretary, who had about $95,000 of income.

Ours is supposed to be a progressive rate system, which means as income gets higher, so do tax rates. In a true progressive rate system, Obama would never pay a lower tax rate than his secretary.

We also know that Mitt and Ann Romney have a projected effective tax rate of 15% for 2011. They have requested an extension so we don't have their actual returns. Their household income was just shy of $21 million. In a true progressive tax system, the Romneys would never pay a lower tax rate than the Obamas.

We do not have a progressive tax system. The notion of a progressive tax system is the lie that has been perpetuated far too long.

First, not all income is taxed the same. While our income tax has always had progressive rates, for most of the 20th century a lower rate applied to certain nonwage income. That rate differential was increased dramatically as a result of the Bush tax cuts.

Most of the Romneys' income comes from stock ownership. Stock dividends and capital gains are generally not subject to our progressive rate system. Income from stock is taxed at a flat 15% rate.

Fewer than 1 in 5 Americans owns stock in a way that qualifies for the flat rate. Of that minority, very few benefit the way the Romneys do.

An analysis of IRS statistics show that for households up to $200,000, no more than about 5% of their income is eligible for the flat 15% rate. Those households combined represent well more than 90% of American households.

The Simpson-Bowles commission included a proposal that all income should be taxed the same. While some would say that is a radical step, it is precisely what we did in 1986.

Second, not all deductions are treated the same. Two-thirds of all taxpayers do not itemize their deductions but take the standard deduction. So, as a result, most Americans do not even benefit from the myriad of special interest group deductions found in our tax code.

In addition, under a progressive tax system, the value of a deduction depends upon what rate your last dollar is taxed. That is referred to as your marginal tax rate.

The more income you have, the higher your marginal tax rate and the greater the value of the deduction.

For example, if your marginal tax rate is 35%, then for every dollar you spend, you save 35 cents. If your marginal tax rate is 15%, then for every dollar you spend, you save only 15 cents. That explains why those in higher income brackets seek out tax deductions as a way to save money on their taxes.

Third, all of this is supposed to be a secret.

The only reason we have the information is because taxpayers voluntarily disclosed it -- either because they are presidential candidates or concerned citizens such as investor Warren Buffett. The IRS statistics do a great job of masking this information because the real problem lies within the top 1% of taxpayers, and the data are not presented in a way that isolates that group.

Congress decides to enact a tax law, and the president signs the bill. While presidents voluntarily release their tax returns, members of Congress do not. The first step toward real tax reform would be for every member of Congress to release his or her tax return. We can see which tax provisions benefit them, and we can compare their effective tax rates with our own.

Achieving meaningful tax reform will require very few steps.

First, tax all forms of income at the same rate. Second, repeal the progressive tax system and enact a flat tax. If a flat tax is good enough for Mitt and Ann Romney, it should be good enough for the rest of us.

Most flat tax proponents, however, want a flat tax, but they want to exempt income from stock completely. That would mean Mitt and Ann Romney's already low 15% effective tax rate would be cut even further. That would be wrong-headed tax reform.

Finally, most deductions should be eliminated. Most taxpayers do not itemize, so this change would only affect about one-third of taxpayers -- and their accountants and tax lawyers.

Whenever Congress enacts a deduction, it creates winners and losers. That must stop. To be sure, every special interest group will oppose even the hint of this suggestion. But we outnumber them.

I don't think it's fair that the richest Americans pay taxes at a lower rate than most taxpayers and neither should you.

The opinions expressed in this commentary are solely those of Dorothy Brown.

@highlight

Dorothy Brown: We live with the myth that we have a progressive tax system

@highlight

In fact, she says, people like Mitt Romney, Barack Obama pay at lower rates than secretaries

@highlight

She says the low flat rate on dividends and capital gains protects the wealthy

@highlight

Brown: Getting rid of the progressive tax brackets is a step toward a fairer system