(CNN) -- Meet Pat Conroy's family.

There's Don Conroy, his father, a much-decorated Marine fighter pilot nicknamed "The Great Santini." He had a volatile temper and terrorized his children, particularly Pat, his oldest.

"I hated my father long before I knew there was a word for hate," he writes in his recently released memoir, "The Death of Santini."

There's Peg Conroy, his mother, who presented herself as a Southern belle and raised Pat and his six siblings. She threatened to leave the abusive Don constantly, but stayed for years, helping to create what Pat saw as a household of haunted souls. One sister is now estranged; one brother committed suicide.

Of course, if you've read Pat Conroy's novels -- including "The Great Santini," "The Prince of Tides" and "Beach Music" -- you've probably already met his family.

"I've been writing the story of my own life for 40 years," he observes in the new book.

It hasn't always been fiction, either. Conroy has two other memoirs to his credit, 1972's "The Water Is Wide" (about a year teaching on a poverty-stricken South Carolina island) and 2002's "My Losing Season" (about his Citadel basketball team).

But in "The Death of Santini," Conroy decided to confront his personal history more directly. He interviewed family members and friends, retells old stories from new angles and tries to put himself in the shoes of his parents. He addresses some of his own wounds, including the stepdaughter -- brought to fictional life in "Beach Music" -- who hasn't spoken to him in more than 14 years.

"This is my punishment for coming out of this family, I think," he says in a phone interview. "It is the hardest thing I've ever dealt with."

The book has generally received positive reviews. "(It) recognizes that while fiction calls for lucid explanations and a certain tidiness, life resists both," wrote Frank Bruni in The New York Times Book Review.

CNN caught up with Conroy by phone in Minneapolis, where he was staying during an early tour stop. Though the South Carolina-based writer was still shaking off travel fatigue, he waxed eloquent on his complicated relationship with family members, the toll of violence and even bullying in the NFL.

The following is an edited and condensed version of the interview.

CNN: Why did you decide to write this memoir, considering it's material you've already used in your novels?

Pat Conroy: Mom and Dad had to die before I could do this. All my books have been hinting around at so much of this, and I wanted to get down what I think happened.

And after writing "The Great Santini," I think I owed Dad something for the way he made a turnaround. That was remarkable to me. He did something very good and very rare in a human life when he did it.

CNN: After "Santini" comes out, in the book you go from using the word "hate" about your father to what seems like respect and then love.

Conroy: He was the meanest man I ever met in my life, and I could not believe my bad fortune of me and my brothers and sisters being raised by this guy and my poor mother being married to the guy. It was only when "The Great Santini" was published he seemed to even take a look at who he was.

CNN: He doesn't seem to be the most introspective gentleman.

Conroy: Oh, please. I don't think Dad had a moment of introspection in his entire life -- ever.

Even when I relay (these stories) to the world, Dad simply denies it. He can be funny about it: "I hope you enjoy my son's latest work of fiction." Old loveable, likable Don Conroy. Dad was a very charming man. I didn't know that until the book came out.

CNN: Your mother knew more of herself than she let on. On the outside she was a polished Southern belle, and on the inside she came from hardscabble Alabama. And she hated to admit that.

Conroy: I can see it from Mom's point of view now. She was from the poorest white South possible. She ends up marrying a Marine Corps officer, so she was an officer's wife. She had these seven children, and when we would pray that she would leave Dad or divorce him, she had nowhere to go and no way to raise these children. I think Mom was perfectly trapped.

I adored her, and some of the brothers and sisters do not. They blame Mom for putting us through that. I didn't think she had a chance.

CNN: I read some of the book with my jaw hanging open, yet I have mixed feelings about your sister Carol Ann, who has cut herself off from the family.

Conroy: Carol was the one who did what was probably the natural thing -- the family damaged her, she realized it damaged her, and she said bye-bye to all this. We only see Carol at funerals and weddings. She doesn't talk to any of us. We don't have a relationship with her. But I think that's a natural order of things in families this conflicted and this brutalized. You lose a couple of 'em along the way.

CNN: Is Carol Ann really as operatic as she comes off in the book?

Conroy: Oh my God, are you kidding? She wins that award more than anybody I've ever known. It's her way with the world.

CNN: I wonder, given your violent household, if you've given any thought to what's in the headlines -- the bullying with the Miami Dolphins, the stress on military families with PTSD.

Conroy: The thing with Miami ... what I think that poor Stanford kid (Jonathan Martin) should have done is sucker-punch (Richie) Incognito. Generally, in a male situation, that is what helps. (But) obviously this guy is a thinking, feeling creation (that's) rare in the NFL. I think he'll never be forgiven. I think his career is over.

CNN: When you write about characters such as your father and his rages, how much do you put yourself in their shoes?

Conroy: Always, and totally. It's easy for me. When I hear about 13-year-old kids gunning their father down in bed, I always think, I'm lucky that's not me. I thought it a zillion times when I was growing up. It's a terrible thing to say, but I thought it.

CNN: Did you keep a journal growing up?

Conroy: No. If I'd kept one, he'd have read it, and that would have been it. There would have been no books. There would have been no me.

CNN: Despite the horrific stories, there's obviously a lot of strength in your family.

Conroy: Thank you for telling me that, because this (book) kills me.

CNN: Well, when it was over, what were your feelings? Was it cathartic?

Conroy: What I've noticed is we're sort of stoical. I gave it to my brother Jim, the dark one, and I hear he was most afraid of the book. When I called him about it, he said, "You know, Pat, I think you've written an adequate book." (laughs) I said, that's high praise from this family.

My brother Tim was the most honest. He said, "Oh, thanks, Pat. I'll tell you in 30 years whether I love it or hate it. Reading it was like hitting myself with a lead pipe for 350 pages. I hated every minute of it, and I blame you totally because Mom and Dad are dead."

CNN: Did he say that with humor?

Conroy: He said it with some humor. But he was reading it to his wife and she kept weeping. He said, "What's wrong?"

And she said, "You were just children. You were little kids."

@highlight

Pat Conroy's "The Death of Santini" is a memoir about his family

@highlight

Conroy's troubled relationship with his father fueled several novels

@highlight

The author has sympathy for his mother, but some of his siblings don't

@highlight

Conroy is best known for "The Prince of Tides" and "The Great Santini"