New Delhi (CNN) -- In New Delhi's upscale diplomatic district, Ram Dhan lives in a parallel world.

For years, his home has been a rickety shanty that he shares with his ailing wife, a young son, a daughter-in-law and two grandchildren.

Now 62, Dhan has lived through India's journey as an independent nation. He finds little reason to rejoice as the country celebrates Monday, the 64th anniversary of freedom from British rule.

"The poor have hardly benefited," he says.

Sitting on a cot in his shack huddled in a squalid slum in one of the richest neighborhoods of the Indian capital, he bitterly recalls how flooding in his native village ravaged his ancestral land way back in 1978 and forced him to move to the city in search of work.

But today, Dhan says, the family of six can barely manage $130 a month. "This is no development ... or growth. I think we have moved backwards," he says.

Dhan typifies the hand-to-mouth existence millions of Indians still live despite the nation's rise as Asia's third-largest economy.

In a speech on the eve of his country's independence in 1947, India's first prime minister, Jawaharlal Nehru, made an impassioned call to fight and end "poverty and ignorance and disease."

Sixty-four years later, his successors accept that that fight is far from over.

"We have to banish poverty and illiteracy from our country. We have to provide the common man with access to improved health services," Prime Minister Manmohan Singh said in his annual Independence Day address Monday.

According to the World Bank, India is home to one-third of the world's poor.

Corruption, policymakers have agreed over the years, is a major culprit.

"Corruption manifests itself in many forms," Singh said in what has been a refrain by Indian planners on the chronic scourge. "In some instances, funds meant for schemes for the welfare of the common man end up in the pocket of government officials. In some other instances, government discretion is used to favor a select few. There are also cases where government contracts are wrongfully awarded to the wrong people. We cannot let such activities continue unchecked."

Singh's remarks came ahead of a hunger strike anti-corruption activists have planned to press for an anti-graft law stronger than the legislation introduced in Parliament this month to create a citizen ombudsman.

Indian leaders concede no single measure will work to combat corruption, which is believed to be deeply entrenched in the system.

"I believe that there is no single big step which we can take to eradicate corruption. In fact, we will have to act simultaneously on many fronts," Singh said. He disapproved of hunger strikes as a means to push demands.

As India's finance minister, Singh unleashed economic reforms in the 1990s that dismantled stiffening regulations and opened the nation to foreign capital.

This year, India also marked another milestone event: the 20th anniversary of liberalization. But the occasion has been clouded by massive corruption scandals in Singh's administration and a rigid inflation crushing impoverished groups and the country's growing middle-class alike.

Criticism is mounting against the nation's political establishment.

"The twin monsters India faces today are inflation and corruption, both of which could derail the India growth story. To keep that story going, today's dysfunctional political class will need to radically re-invent itself," wrote the Times of India in an editorial headlined "Batting at 64."

India's marginalized communities often feel forced to compromise skills that are key to eliminating poverty.

Fears haunt Dhan that his grandchildren, like his son, also might not be able to achieve higher education if economic conditions at home do not improve.

And Dhan's cab-driver son, Ashok Kumar, leaves it to luck.

"I am trying my best to see that my children don't face the same circumstances that I went through. I am putting my best efforts. The rest is their luck," Kumar said.

@highlight

India is marking its 64th anniversary of freedom from British rule

@highlight

"The poor have hardly benefited," says one man

@highlight

Prime Minister Manmohan Singh admits much needs to be done for the "common man"

@highlight

Policymakers have agreed over the years that corruption is a major factor