(CNN) -- No one paying attention to the events in Ferguson, Missouri, since August will be surprised by the grand jury decision last week to not indict Officer Darren Wilson.

But beyond the fact that the racial make-up of a jury significantly impacts the final results, and that police are far too rarely held accountable for shooting men of color in this country, there was something else that made this ruling feel inevitable: the unmitigated failure of government at civic, local, state and yes, even national level. Sadly, the decision represents everything that is wrong with America today.

In high school, you learn that one of the greatest things about America is how multiple levels of government and society work together to solve problems. Civil society made up of churches and volunteer groups work with local government, which gets help from the state government, which itself works in concert with and sometimes independent of the federal government. But in Ferguson, nothing seemed to be working. Indeed, the poor local civil society response to Ferguson was one of the reasons why Brown's tragic death and the subsequent social unrest occurred.

In the best-case scenario, community leaders would have banded together following the shooting and developed a long-term political and protest plan to pressure for change. But that didn't happen.

Are protests taking place near you?

I attended local meetings where the white community in Ferguson pretended that nothing happened, huge church meetings were held where few African-Americans were invited, and the passive/aggressive "I Love Ferguson" campaign acted as a racial dog whistle that everyone could hear.

Meanwhile, despite a documented history of police harassment, the local black community in Ferguson was pretty disorganized as well. Much of the organizational leadership had to come from outside of Ferguson because the community was so beat down that there was a dearth of strong local voices in the area. Part of the reason why Ferguson Missouri broke into riots and every celebrity from rapper Nelly to Iyanla Vanzant descended upon the area was because there was a vacuum of local leadership to funnel anger and vocalize demands.

And although Ferguson Mayor James Knowles obviously didn't realize he'd end up in the national spotlight when he took office in April, that doesn't excuse his weak response as unrest overtook the city.

Justice system unfair to minorities

Several local mayors that I spoke to from neighboring towns said Knowles ignored their advice in the aftermath of the shooting. And it is unclear why Knowles failed to demand that the local police promptly release a police report, which is standard procedure in any shooting.

The county getting involved didn't make things any better, and placing Robert McCulloch in charge of the prosecution, a man who was seen as having strong local connections to police, was bound to leave residents skeptical. And local civic groups who reportedly collected over 3,000 new voter registrations after the shooting were allegedly quiet when a report emerged claiming that the St. Louis County Elections Board had dramatically revised down the number of registrations, with the board reportedly saying that it was simply a "mistake."

The state level government was no better. In fact, Gov. Jay Nixon's administration gave a lesson on how not to govern. A short list of his failures? Failing to send trained National Guard to Ferguson the moment that political unrest was apparent, failing to appoint a special prosecutor for the case when clearly the County Prosecutor's objectivity had been called into question, and then declaring a state of emergency a week before the grand jury even announced their decision. Both symbolically and in practical terms, he was a failure all around.

Finally, at the federal level, President Barack Obama's spectacular failure in the entire Ferguson saga has been well-documented and debated.

The fairest conclusion to draw is that he did little or nothing to help the men and women suffering in Ferguson, instead blathering on in two speeches about respectability politics. True, Obama dispatched Attorney General Eric Holder to Ferguson as protests unfolded in August, and the fact that the Department of Justice is investigating Ferguson is clearly welcome. But that is a slow and overall less than satisfying process.

After all, it's been two years since Trayvon Martin was killed and the DOJ hasn't produced any indictments there yet. There's no reason to think that the wheels of justice in Ferguson will move any faster. On top of this, there is the disturbing fact that the single solution that Obama offered, (which I suggested at the time) that the 1033 Program allowing local police to get military surplus for free, with no supervision, be reviewed by the federal government seems to have died a slow and ignominious death.

Why do I point all of these things out?

Complete coverage of what's happening in Ferguson

Because whatever you think of the decision not to indict Darren Wilson for shooting Brown, basic government functions such as voter registration, police transparency, review of controversial programs, selecting objective prosecutors and community engagement are basic government functions that should have worked far better in response. If any of these entities at any level were functioning properly, the violence in Ferguson could have been largely prevented and the public would have a lot more faith in the grand jury decision that came out today. Instead, the lack of an indictment is yet another reflection of our broken government.

It is a sad day for America when a whole nation -- and in fact the world -- can watch this country eat its own citizens in fire and tear gas. And it's a failure that falls on every single level of society.

Join us on Facebook.com/CNNOpinion.

@highlight

Jason Johnson: Ferguson response shows failures at all levels

@highlight

Both government and civil society have responded poorly, he says

@highlight

Lack of long-term political plan is noteworthy, Johnson writes