Syrian President Bashar al-Assad is the face of his country's regime, but his family members are also believed to wield a powerful influence on issues facing the country.

In the past year, as pressure on the regime increased, al-Assad's inner circle has become more of a family affair, said David Lesch, a professor of Middle East history and author of "The New Lion of Damascus: Bashar al-Assad and Modern Syria."

"That's part of what Bashar has been doing ever since he came to power," Lesch said. "He has put members of his extended family ... in various parts of government and military security apparatus. If the day came -- and it did come -- where there was a threat to the regime, he could count on the loyalty of those closest to him."

Here is a closer look at the al-Assad family, an authoritarian dynasty that has been in place for more than 40 years.

The matriarchAnisa Makhlouf al-Assad

Bashar's mother, Anisa, was married to Hafez Assad, Bashar's father and predecessor, who died in 2000.

The Makhlouf family gained wealth and status through Anisa's marriage to Hafez, taking on contracts in key industries, among them telecommunications, banking and oil. Anisa's nephew, Rami, is regarded as Syria's wealthiest man, worth some $5 billion.

Anisa is said to be an influential figure within the regime despite keeping an extremely low profile over the years (she was not even seen during coverage of her husband's funeral). Syrian writer Ayman Abdel Nour, who went to college with Bashar, says there was distance between Bashar and his father and that Anisa was "the mother and father and mentor of the family."

The first ladyAsma Akhras al-Assad

Asma al-Assad is the Syrian-British wife of the president. Born to a cardiologist father and a diplomat mother, she grew up in London, where she was known by friends and classmates as "Emma."

Asma graduated from King's College in London with a degree in computer science. She worked for JP Morgan as an investment banker before marrying Bashar in 2000, six months after he became president.

Her influence remains unclear. Andrew Tabler, a Syria expert who knew Asma al-Assad and worked with her told CNN: "No one can say what's happening behind closed palace doors, but I doubt she feels she has any control or would ultimately have much influence over what her husband is doing."

The last major profile of her was by Vogue in spring 2011; however, a cache of emails recently leaked to CNN shed deep light on the first lady's personal life over the past year, amidst the civilian uprisings taking place in her country. One e-mail features an apparent request to a friend for the latest "Harry Potter" DVD. Another series of e-mails features exchanges about shopping for high-end jewelry, furniture and art. (More about Asma al-Assad)

The younger brotherMaher al-Assad

Maher al-Assad is Bashar's youngest brother and considered by many to be the second most powerful man in Syria. He oversees two of the Syrian army's strongest units: the Republican Guard, which protects the regime in Damascus, and the elite Fourth Armored Division, which suppressed the early uprisings in the southern part of Syria.

A hard-liner with a reputation for being cruel and moody, according to television channel France 24, Maher allegedly shot his brother-in-law, Asef Shawkat, in the stomach during an argument in the presidential palace in 1999.

A New York Times profile on Maher reports that many Syrians who know him say he has a sharp intellect as well as a harsh and ruthless nature. He has apparently attempted to restructure Syria's military and intelligence so that both entities reflect his persona.

The older sisterBushra al-Assad

Bushra al-Assad is the eldest of al-Assad's five siblings. A pharmacist by training, she is said to be very intelligent. She also had a close relationship with her late father.

Described by one insider as "ruthless," Bushra, like her mother, brandishes influence in the Assad inner sanctum and stays out of the public eye. A profile of Bushra in Mideast Monitor said although "she shuns the spotlight, her behind-the-scenes political influence has been decisive at times."

There have been reports of tension between Bushra and her sister-in-law Asma. Bushra is said to disapprove of Asma's public appearances in Syrian society, according to French newspaper Le Monde.

In 1995, Bushra married Asef Shawkat, a military officer 10 years older and a divorced father of five. Despite her family's staunch objections to the union -- her brother Maher apparently had Asef imprisoned on several occasions to keep them apart -- they eventually accepted Asef into their circle, where he was appointed head of the army's intelligence services for a time.

Bushra has four children, all named after members of her family: Bushra, Maher, Basel and Anisa.

The brother-in-lawAsef Shawkat

Shawkat was once in charge of the army's intelligence services, eventually becoming deputy chief-of-staff of Syria's armed forces. He is said to be one of Bashar's close allies, although there are reports that he was demoted after Hezbollah military commander Imad Mugniyeh was assassinated in Damascus in 2008.

According to Mideast Monitor, Shawkat and Maher were once locked in a power struggle over who had the ear of the president. Bushra is said to have interceded, easing tensions and resolving the dispute.

[Update: July 18, 2012] Shawkat was killed in a blast at a national security building in Damascus during a meeting of ministers and security officials, state TV reported.

The lost brothersBasel al-AssadMajd al-Assad

Not much is known about the president's brother Majd, who in 2009 died from "a long illness" at age 43, according to Syria's official news agency SANA. Majd, like many other members of his family, remained out of the public eye.

Basel al-Assad was 31 years old when he died in a 1994 car accident, crashing his Mercedes on a city highway in Damascus.

Known to have been charismatic and outgoing, Basel was older than Bashar and groomed to be his father's heir apparent, according to The Guardian.

Upon news of his brother's death, Bashar was brought back to Damascus to undergo military training to eventually take his brother's place as successor to their father's role as president. At the time, Bashar was studying ophthalmology in London.

@highlight

Behind the scenes, the relatives of Syrian President Bashar al-Assad hold significant influence

@highlight

Al-Assad has put some of them in important government positions

@highlight

His brother Maher is a military leader often considered Syria's second most powerful man

@highlight

His nephew Rami Makhlouf is regarded as the richest person in the country