Atlanta (CNN) -- Herman Cain's assertion that blacks' overwhelming support of the Democratic Party was evidence of their having been "brainwashed" was the latest salvo in an intra-racial war of words over the state of black politics.

From President Barack Obama's recent run-ins with BET News and the Congressional Black Caucus, to attendees at a caucus conference questioning the racial consciousness of Cain and Republican Rep. Allen West because of their association with the tea party, many observers on both sides of the political aisle are trying to figure out what to make of all of the infighting.

Is there such a thing as a uniform black political agenda? Are conservatism and black cultural pride incompatible? Do blacks really behave as political lemmings, and could they benefit from embracing the Republican agenda?

The answers to these questions reflect an often overlooked fact: Neither the African-American community nor its politics have ever been monolithic. The overwhelming unity we have witnessed in black voting behavior and party identification in the last 50 years belies a surprising diversity.

For instance, in fall 2008, during the height of Obama-mania, nearly 32% of black respondents in a Joint Center for Political and Economic Studies survey indicated that they were ideologically conservative. In 2009, 53% of black respondents to a Pew Center poll on race believed that middle and lower class blacks shared different values. Indeed, robust disagreement has been a norm, not the exception.

Given the history of vigorous debate within the African-American community, it is reasonable to wonder why black voting behavior does not reflect this diversity. When we observe blacks voting for Democrats in election after election, it is easy to assume that these voters must be ill-informed or unthinking. However, many factors contribute to vote choice and party identification.

African-American political behavior is shaped by a combination of factors, many of which are rooted in the unique historical experience of blacks in this country.

For starters, black conservatism does not necessarily correlate with a belief in small government or with trust in state and local government to enforce civil rights. Historically, black civil rights were protected when activists appealed to the federal government for redress. This makes blacks more comfortable with the idea of a larger national government.

So, when Republican politicians talk about limiting the scope of federal government, many blacks will be concerned that a contraction of federal power will limit continued progress in the realm of civil rights enforcement.

Second, the conservative emphasis on individualism runs counter to blacks' more group-centered self-identity. In the 1970s, political scientists started to notice that politically active blacks were more likely to frame their ideas about politics in terms of racial group interest. By the early 1990s, Michael Dawson was able to demonstrate empirically that middle class blacks who believed in the idea that what happens to other blacks affects them were more likely to support racially redistributive policies that ran counter to their apparent class interests.

Dawson argued the belief that blacks' fates were linked together was a thoroughly rational response to historic discrimination. While blacks acknowledge that race relations have improved dramatically since the 1960s, polling data show that blacks still perceive more discrimination than whites. As long as blacks still believe that they are the targets of discrimination, it is reasonable to expect them to factor group interests into their political choices.

Thus, contrary to Cain's opinion, blacks who choose to vote Democratic have their reasons, just as he has good reasons to be a Republican. The good thing about the democratic process is that all voters have the privilege to weigh candidates' appeals and make their own decisions about who should represent them.

Cain has made headway in Republican polls recently in part because of the appeal of his policy proposals. If he hopes to make inroads among blacks, it will be on the merit of his ideas and his demonstrated ability to challenge the Republican establishment to frame its platform in a way that is culturally sensitive to the concerns of blacks. For Cain to stoop to the level of those who unfairly taunted him and the tea party at the Congressional Black Caucus Weekend undermines his candidacy and only adds fire to the fuel of political incivility.

The opinions expressed in this commentary are solely those of Andra Gillespie.

@highlight

Andra Gillespie: Herman Cain's remarks add to ongoing discussion of black politics

@highlight

Gillespie says there's a lot of diversity in political views among African-Americans

@highlight

Many blacks identify as conservative but favor strong federal government, she says