UK Prime Minister David Cameron has laid out his battle plan to counter the threat posed by Islamist extremists returning to Britain after fighting with terror groups overseas.

But already there are questions about how effective those measures would be, whether they are legal and whether Cameron, who heads a coalition government, can push them through Parliament.

"Dealing with this terrorist threat is not just about new powers, it is also about how we combat extremism in all its forms," he said as he announced his plans Monday.

His proposals, which come after the UK government raised its terror threat level Friday from "substantial" to "severe," include a radical new measure to ban Britons from coming home once they join jihadi ranks abroad.

"What we need is a targeted, discretionary power to allow us to exclude British nationals from the UK," he said.

Cameron wants to confiscate passports from would-be fighters, before they travel, and ban other suspects from boarding planes.

"Passports are not an automatic right," he said. "We will introduce specific and targeted legislation to fill this gap by providing the police with a temporary power to seize a passport at the border, during which time they will be able to investigate the individual concerned.

"This power will include appropriate safeguards and oversight arrangements."

Work to prepare legislation to allow this will begin immediately, Cameron said.

Civil liberties issue

As well as stopping would-be jihadists, Cameron said Britain needed measures to prevent the return of foreign fighters.

UK authorities estimate that 500 Britons have gone to Syria and Iraq to fight with Islamist groups.

But opposition lawmakers question whether some of the toughest plans are legal.

"We very much want to see the detail of that because some of our MPs say to do that would breach a whole number of legal and international obligations this country has," said Diana Johnson, a Labour lawmaker and shadow Home Office minister for security and crime.

She backs tough action but insists there must be a balance.

"I can categorically say that civil liberties is a big issue in any debate we have about any new powers."

The head of Britain's counter-terrorism efforts, Assistant Commissioner Mark Rowley, said in a statement Tuesday that in response to the raised alert level, more police would be seen on the streets and that there would be an increase in vehicle searches and other security measures.

Secret evidence

Pledges to safeguard citizens' rights ring hollow to British Muslim-convert Cerie Bullivant.

In 2006, he was detained by British security agents under anti-terror laws. He told CNN he was headed to Syria to volunteer helping orphans. The Syrian civil war hadn't started, and ISIS didn't yet exist.

"Suddenly you go on the basis of secret evidence from being an ordinary member of the public to the worst of the worst," said Bullivant. "Terrorism and terrorists are some of the most heinous and horrible of people. I didn't even know what I was accused of."

He believes he came under suspicion because he had unwittingly, he says, become friends with the brother of a jailed terrorist.

Bullivant was never arrested, never convicted of a crime, nor told what evidence security services had against him.

The British government imposed a "control order" on him, banning him from traveling or meeting friends and subjecting him to a curfew.  "A couple of times a week the police would come and you can't stop them and they would search your house," he added.

Two years later, a top court exonerated him.

Bullivant: Bring suspects to trial

As part of his new anti-terror drive, Cameron proposes beefing up existing terrorism prevention and investigation measures, or TPIMs, which allow restrictions on terror suspects, including overnight residence at a specified address, GPS tagging, reporting requirements, and restrictions on travel, movement, association, communication, finances, work and study.

Cameron said he would introduce legislation giving British authorities new powers that would strengthen their ability to track suspected supporters of ISIS, by providing "enhanced use of exclusion zones" or "relocation powers."

But Bullivant opposes that approach.

"If somebody is a danger to the British public, then they need to be in a British prison," he said. "The only way to do that is to bring charges and a trial in an open and fair court. If they're not a dangerous person, then you're oppressing them for no reason."

Far from defending against radical Islam, Bullivant fears tougher government powers risk turning Britain into a police state.

Analyst: UK threat is greater

Officials in the United States say there are no plans to issue a terror alert there, despite the activities of ISIS, also known as the "Islamic State" or ISIL, in Iraq and Syria.

"The most detailed intelligence assessment that I can offer from here is that there is no evidence or indication right now that ISIL is actively plotting to attack the United States homeland," White House spokesman Josh Earnest said.

U.S. Secretary of Homeland Security Jeh Johnson also pointed out there is no specific threat against the United States.

That said, Johnson noted that ISIS has proved to be a threat to Americans overseas -- notably the execution of American journalist James Foley and the threats of more killings to follow.

Paul Cruickshank, a CNN terrorism analyst, said, "The threat is much greater in the UK, and that's why you are seeing a raft of new measures in the UK to try and tackle this problem. They are very, very worried that ISIS may try and retaliate in some form or way."

UK PM: Police need power to seize passports of would-be jihad suspects

Opportunity for al Qaeda?

While the world's attention is focused on ISIS, a suspected U.S. drone strike against senior leaders of Al-Shabaab in southern Somalia on Monday has highlighted continuing concern about extremists elsewhere.

Will Geddes, a security analyst and managing director of International Corporate Protection, told CNN that the merging and consolidation of different Islamist militant groups around the world were of big concern.

"You will have various groups working together, sharing resources, sharing capability, and in this particular region, it's important to try to dismantle it where possible," he said. Somalia's porous borders mean it presents a particular risk, he added.

Daveed Gartenstein-Ross, a senior fellow at the Washington-based Foundation for Defense of Democracies, said it would be "a mistake to take our eye off the ball when it comes it al Qaeda" and warned that the rise of ISIS could aid the terror network.

Before his death, Osama bin Laden wanted to rebrand al Qaeda, Gartenstein-Ross said.

"He believed that its brand had been very much diminished by the excesses of Abu Musab al-Zarqawi, who had led al Qaeda in Iraq, which became ISIS later on," he said.

"With ISIS's rise, it gives al Qaeda a prime opportunity to rebrand itself as being a more rational, more moderate voice of jihadism, and as a result I think there's a lot of risks of more money channeling into the al Qaeda network."

Some will come from quite moderate countries in the region who are looking at whether or not al Qaeda and some of its offshoots, such as al-Nusra Front in Syria, could be viewed as a counterweight to ISIS, Gartenstein-Ross said.

"It will be seen, I think, as a real problem for us in the longer term," he added.

@highlight

British PM David Cameron announces proposals to counter extremist threats

@highlight

He wants powers to ban Britons from returning once they join jihadi ranks abroad

@highlight

Cameron proposes confiscating passports from would-be fighters before they travel

@highlight

Britain hiked its threat to the second-highest level Friday, citing events in Iraq and Syria