(CNN) -- Ten years ago, small groups of people worked feverishly on the next great revolution in digital media. It was going to be wireless. Only most people didn't know that at the time.

Some of us thought it was coming but could not be sure. It was a time of great excitement and uncertainty.

For a time during that hot summer of 2002, I worked long hours in a nondescript office building in the suburbs of Kansas City with a handful of pioneers on a coming app store: PCS Vision on Sprint. I was working on mobile for the Weather Channel, and we were trying to get weather radar maps to appear on phones for the first time.

Would people want them? What levels of zoom should we choose? Would the wireless networks be strong enough?

Meanwhile, in Japan and other Asian countries, early content services and app stores such as i-mode were paving the way. Across Western Europe, text messaging was skyrocketing, but not in the United States in the same way. Even "American Idol," launched in June 2002, did not allow viewers to choose the winner by text message until the next season.

Mobile Web, basically browsing on a phone, had been around for a few years but had not hit its stride. The browsing experience involved small screens with mostly grayscale text displaying basic information such as weather, sports scores and news headlines.

PCS Vision launched a number of new apps in August 2002, including our app from the Weather Channel, that media company's first downloadable app for a mobile phone.

At the time, we thought it was a big deal, but it clearly was an experiment, and we weren't sure it would work. Unlike most apps today, it wasn't free.

Mobile starts to take off

Other U.S. carriers were also launching app stores with news, sports, weather and games.

At the same time, some early adopters pulled out a Palm, Pocket PC or Blackberry PDA to check e-mail. And pagers had not totally disappeared from the marketplace.

By 2006, the mobile Web was growing stronger thanks to the emergence of better phones such as the Motorola Razr and handsets from Nokia and LG.

Fast-forward to 2008, the year after the iPhone's debut. Larger groups of people at media companies, wireless carriers, handset manufacturers and games companies were jumping in. Those of us in the digital media industry were pivoting from "will mobile be a big deal?" to "how big will it be?"

That first app for Sprint PCS provided a healthy revenue stream for the Weather Channel for several years and was accompanied by mobile Web, video and messaging services by 2008.

When the Weather Channel was sold to an investor group led by NBC Universal in 2008, mobile was a major area of interest in the acquisition.

That same year, Apple and Google were starting to turn the world of mobile handsets upside-down with their groundbreaking new app stores.

As apps became mainstream, people routinely listened to music, played games, checked e-mail and tapped news and info on their phones. Co-workers were frequently asking me when the next release of an iPhone or Android app would hit the market.

For some of us, mobile had moved from the kids' table to the grownups' table.

Mobile products also became central to a company's brand image, and they started to contribute in important ways to financial success.

I like to tell people that my first four years working on mobile at the Weather Channel were spent trying to persuade people not to turn out the lights and that my last four years were trying to figure out how big mobile could be.

In July 2009, I moved to CNN for the exciting opportunity to build out its mobile business.

Redefining business

Today, companies like Facebook, ESPN and CNN rely on mobile for their futures. People often find it more effective to interact with others via text than via voice or e-mail. Products like Foursquare and Twitter have joined the new mobility nobility.

Media companies around the world are seeing their businesses redefined. For example, what is a TV today? Is it really just a big stationary box in the corner of a room? What is a magazine? Is it really just a bunch of impactful pictures accompanied by text on glossy paper? And what is a website? Is it really a site designed for people who browse on a PC?

When we as consumers look for a site on a phone, we now often expect content that is easy to read and watch on a phone.

And who is the big winner? Consumers and organizations worldwide who embrace the change and see it for what it is: a change every bit as big as the advent of the telegraph, radio, television and PC.

Who loses, or at minimum misses, an opportunity? It's those who don't realize that phones and tablets are a fundamental change in terms of the ways that people interact with their world.

This mobile movement constitutes one of the most profound changes in consumer behavior in our lifetime. We see changes in many facets of our lives, from how we interact with others to where we eat, where we meet, how we experience a visit to the doctor, how we pay bills and what we know about the last play in a football game.

Today, CNN is launching "Our Mobile Society," an initiative that will explore this sea change in our lives. We're telling this story across at least four screens: TV, PC, tablet and phone.

Please tell us what you think. Go to cnn.com/ourmobilesociety or to the "Our Mobile Society" section of the CNN apps for iPhone, iPad, Android Phone and Windows Phone. Read the articles, watch the videos, and please comment if you like. Submit an iReport (from your phone, of course). Subscribe to our Twitter accounts, including @CNNbrk for breaking news, and @CNNTech and @CNNmobile. Let us know how we can serve you better.

CNN is dedicated to embracing the mobile medium and being as bold in it as we have been in TV cable news (launched in 1980) and the PC-based Web (in 1995). About every 15 years, there is a major revolution that enables us to live up to our convictions at CNN.

Thinking back to that summer in Kansas City building the weather app, we knew what we were doing could be big. But we didn't know how big. We had no way to know when some of the transformational milestones would occur. Many of the answers now unfold in front of us, in our daily lives. At least two things are certain: it's only going to get bigger, and the change affects nearly everyone.

@highlight

Ten years ago, I was working on mobile apps for the Weather Channel

@highlight

We thought a wireless revolution might be coming but could not be sure

@highlight

Media companies around the world are seeing businesses redefined by mobile tech