(CNN) -- There can be life after death -- or at least in American politics as we have just seen with the U.S. Senate's approval of Dr. Vivek Murthy as the next U.S. surgeon general. It 's a small political miracle that promises to serve the nation well over the next two years.

When President Barack Obama first nominated Dr. Murthy thirteen months ago, leading public heath officials heartily applauded. He was a fresh, dynamic young doctor who had distinguished himself by figuring out better ways to serve low-income patients in poor neighborhoods.

But opposition quickly mounted outside the medical community.

Republicans had held up his candidacy on two grounds. They said that at age 37, he was too young and inexperienced for the post. More importantly, they bowed to the National Rifle Association, which fiercely opposed Murthy because he had the temerity to say that guns are a public health issue.

Republicans were wrong on both counts. The point is that the NRA remains an extraordinary force in our politics. As it whipped up opposition, a good number of Democratic senators, especially those up for re-election this past November, soon buckled to the NRA too. The White House continued to give Murthy quiet support but ducked a public fight. Murthy's nomination went into a tailspin and has seemed doomed since April.

But then a strange thing happened -- by beginning debate on a point of order against Obama's immigration executive order, Republican Sen. Ted Cruz gave Majority Leader Harry Reid the opportunity to call a special session and put two dozen stalled Obama nominees on the agenda for confirmation before the Senate recessed.

As a result, Murthy was confirmed Monday afternoon as the nineteenth U.S. Surgeon General Monday afternoon by a 51-43 vote. (Illinois Sen. Mark Kirk was the only Republican to vote in favor of Murthy.)

Some months ago, one of us (David) had a chance to sit down with Murthy for a lengthy conversation about his background and his hopes as a possible surgeon general. We also explored his leadership capabilities with others in his generation (including David's daughter Katherine, who was his medical school classmate).

What emerged was a portrait of a doctor who not only has the quantity of experience necessary but also the quality of experience. He is a lifelong advocate for reductions in health disparities, whose focus in the job will be on obesity, smoking, vaccinations and mental health -- pressing health concerns that often break down along racial and socioeconomic lines.

Not only will he be excellent at managing imminent public health crises, but he also promises to be a solutions-oriented, data-driven leader on some of this country's most intractable health problems.

As Dr. Paul Farmer, a Harvard University professor and founder of Partners in Health, has said: "Dr. Vivek Murthy has long experience in community-based care, in communicating complex messages in a straightforward and even-handed manner, and is committed not just to passing on information to others, but to learning from them, too."

It is also important to recognize that Murthy has the resounding support of the medical community, having been endorsed by the American Academy of Pediatrics, the American Medical Association, and the American Cancer Society.

As we saw with the Ebola crisis, the nation needs a strong public health leader to step into a post that's been vacant too long. Americans were, and remain, confused about quarantine requirements and how much risk Ebola poses.

People didn't understand why government officials were not mandating quarantines for everyone who had been in contact with Ebola patients. This recent crisis highlights the need for a visible surgeon general who can educate the public during health emergencies.

As opposed to the Centers for Disease Control and Prevention and the National Institutes of Health, two agencies primarily concerned with academic research, the role of the surgeon general is to be the leading spokesperson on matters of public health in the United States -- "the country's doctor," who can be trusted by rich and poor alike.

The Ebola crisis demanded a public health official capable of leading in crisis, reassuring American families that they were safe and advocating for necessary precautions. The leadership vacuum is partly responsible for the government's initial bungling on Ebola and demonstrates just how important Murthy's confirmation is. If he goes down, the post could be vacant for another year or perhaps even two.

The root of the NRA's opposition to Murthy, and the subsequent political maneuvering to stall his nomination, stems from an October 2012 tweet in which he wrote, "Guns are a health care issue." He was right -- guns are a public health issue.

We once thought cigarettes were outside the purview of anything but the Food and Drug Administration but soon realized that they were a huge health issue. Guns are too, particularly when over 7,000 young people under age 20 are admitted to U.S. hospitals every year because of firearm injuries -- about 20 a day.

It is entirely reasonable for the NRA to stand up for its beliefs in people's rights under the Second Amendment -- this country should always welcome robust debate about rights. But the gun lobby should not hold a veto power over what is best to protect the public health of our citizens.

Doctors are right to speak out after treating so many gun victims in emergency rooms across the country. Primary care physicians are right to ask families if they have guns in their homes. A lot of young lives can be saved. It was especially fitting if the U.S. Senate were to approve Murthy on Monday, just a day after the second anniversary of the Sandy Hook Elementary School shooting in Newtown, Connecticut.

Note: An earlier version of this article gave an incorrect age for Vivek Murthy.

This article has been updated.

@highlight

David Gergen: Senate's vote to confirm Vivek Murthy a plus for public health

@highlight

He says nomination had been unfairly stalled by NRA opposition

@highlight

Murthy will play important role in future challenges like the Ebola outbreak, he says