(CNN) -- Jay Lin is the embodiment of the American dream -- and what is increasingly a Chinese dream.

Originally from Wenzhou in eastern China, he moved to New York City as a teenager. After earning degrees from Ivy League universities -- Cornell and Columbia -- he secured a comfortable job in a bucolic town in Connecticut.

Now he is helping others in China follow his path, where the desire for elite U.S. education is alive and well.

In the last decade, mainland Chinese have reshaped the international student body at U.S. colleges and universities, notably at Ivy League institutions. In the 2009-2010 academic year, China surpassed traditional "study abroad" heavyweights like Canada, India and South Korea, to lead international enrollment across U.S. higher education, according to the Institute of International Education. The U.S.-based institute's most recent figures reveal that mainland Chinese students increased 23% to more than 723,000 in the 2010-11 academic year.

A rising generation of affluent students

While Chinese students traditionally went abroad when they failed to secure a place at a top-tier local university, the best students are now forgoing elite Chinese universities to study in the United States, according to Lin, now academic director of Ivy Labs Education, an admissions consultancy in Beijing.

Many Chinese are seeking a higher quality of education that will train them to become independent and creative, he said, and they see the world's top-ranked universities are in the United States.

China's economic reforms and "opening-up" that began in 1978 under Deng Xiaoping gave rise to the first major generation of students, who were generally reliant on scholarships to study in the United States, according to Chen Shuangye, an assistant professor at the Chinese University of Hong Kong's Department of Educational Administration and Policy.

Coinciding with China's rapid economic growth, a distinctive second generation emerged in the mid-1990s comprising much more affluent students, Chen said. "There is a great increase in the phenomenon because (mainland Chinese) don't rely on scholarships anymore."

Starting early at boarding schools

The factors driving mainland Chinese to study in the United States come into play much earlier, Lin said, noting an influx of foreign Chinese students into private U.S. secondary schools, starting around 2005.

Chinese parents send their children to private U.S. high schools as a "strategic decision" to strengthen their candidacy for elite U.S. universities, Lin said. A growing number also want their children to lead happier lives rather than have them consumed by preparing for the "gaokao" in China -- the one-time, high-stakes national university entrance examination that is the sole determinant of admission.

"The goal of education in mainland China is to prepare you to take the gaokao. Everything else is secondary. In China, you would put the gaokao in the center...whereas...in American education, you put the student in the center, and everything else serves the best interests of the student. It's not exclusively about (getting into) college."

While U.S. boarding schools desire Chinese students both for their dollars and diversity, they walk a "very fine line...when it comes to recruiting Chinese students," said Lin, who assisted with admissions during his tenure teaching at Connecticut's Cheshire Academy.

Boarding schools typically admit four to five students of any foreign nationality per grade level, with international students comprising up to 20% of the overall student body, Lin said. With about 100 students for each of the four grade levels, this means admitting a maximum of 20 mainland Chinese, or five percent of the student body.

"A school could easily fill itself with all Chinese students, but no school's going to do that...It's a double-edged sword -- if you have too many Chinese, then the Chinese will stop coming to your school, and also, Americans will stop coming to your school."

Driving international enrollment at U.S. universities

By virtue of their size, U.S. universities can accept a much higher number of Chinese students than boarding schools.

Since 1999, China was the second leading place of origin for international students at Harvard, trailing only Canada. Its student numbers steadily increased to lead Harvard's international enrollment since the last academic year, with 686 students currently enrolled (nearly 16% of the international student body.)

China similarly dominates international enrollment at other Ivy League schools, including Yale and Princeton.

"International students are seen very favorably as whole, as a way to diversify and really become a global institution," said Rachel Rubin, a lecturer at Boston's Emmanuel College and a specialist in higher education admissions policy.

"Also economically -- it's very advantageous for elite schools to admit international students because the bulk of them can pay full tuition," she added. As such, there is "a lot of favoritism" toward such students, as financial aid budgets have been cut over the last decade, she said.

Limits to international enrollment at U.S. universities

But while mainland Chinese students dominate international enrollment, they comprise a small fraction of the overall student body. This is even more the case at the undergraduate level, as most international students are graduates.

Harvard has "no quotas or limits for international students," according to Harvard spokesperson Kevin Galvin. "All students are considered in the same pool for all places in the incoming class, regardless of citizenship or the school they attend."

Rubin said she has not come across evidence of undergraduate quotas for international students but found it was standard practice for top-ranked schools to assess them as a separate pool rather than with the entire pool of applicants.

Some U.S. colleges and universities aim to recruit an undergraduate cohort with around 10% international students, according to Susan Joan Mauriello, founder of the Hong-Kong-based ApplyIvy consultancy, adding that the percentage depends on the strength of the applicant pool.

Bringing U.S. education to China

As U.S. campuses cannot fully support the demand from China, Lin sees an opportunity in bringing international education to China, beginning at the secondary level.

The trend can already be seen in U.S. universities establishing local degree-granting branches. Next September, New York University will welcome its first undergraduate cohort at its new Shanghai campus.

"Instead of sending Chinese students to secondary schools in America or other foreign countries, we want to bring international curriculum into China so they don't need to travel outside the country," Lin said. He helps local high schools incorporate international systems, such as the International Baccalaureate and A-Levels, alongside Chinese curriculum.

Students at these "Chinese versions of international schools" are typically Chinese nationals, who are restricted by government policy from attending full-fledged international schools, which cater to expatriates.

"My dream is to see international schools in China accessible to Chinese citizens and other nationalities together in the same school," Lin said. "That's the future."

@highlight

Mainland China has led international enrollment in U.S. higher education since 2009

@highlight

Mainland Chinese students increased 23% to more than 723,000 at recent count

@highlight

Boarding schools, universities desire Chinese students for dollars and diversity

@highlight

International curriculum, university campuses setting up in China to meet demand locally