Congressional leaders agreed Thursday on the need for a full investigation of what one called a recent "cascade" of leaked classified information but differed on exactly how the inquiry should be conducted.

After meeting with Director of National Intelligence James Clapper, the top Democrats and Republicans on the intelligence committees of the House and Senate pledged a bipartisan effort to halt the leaks now and pass legislative changes to prevent future leaks.

However, the chairwoman of the Senate panel, Democrat Dianne Feinstein of California, was reluctant to immediately seek a special prosecutor to investigate the leaks involving a cyberwarfare program against Iran and other intelligence matters. The House panel chairman, Republican Rep. Mike Rogers of Michigan, made clear he believed an outside investigation was necessary.

CNN's Toobin: Obama has been 'very tough' on leakers

Meanwhile, an intelligence source told CNN that Clapper wants more government employees to be subject to an enhanced lie detector test as a deterrent to leaking classified information.

In particular, Clapper wants to widen the numbers of people across government agencies who would be required to take the "counterintelligence polygraph," the source said. The move would be aimed at government employees who hold top-secret clearance.

As of now, not everyone with that clearance level is required to take the enhanced  polygraph, which, the source said, would have questions added such as whether the employee has passed information to journalists.

Clapper and "every member of the leadership team in the intelligence community" are angry about the series of leaks, Sen. Saxby Chambliss of Georgia, the ranking Republican on the Senate panel, said after Thursday's meeting.

The meeting came amid bipartisan outrage over a report in The New York Times last week that provided classified details of what it described as a U.S cyberattack targeting Iran's nuclear centrifuge program.

Some Republicans led by veteran Sen. John McCain of Arizona alleged that the White House must be knowingly involved because of the nature of the leaked information. The White House rejects the accusations.

Pelosi: McCain's claims on leaks 'a sad statement'

"Any suggestion that the White House has leaked sensitive information for political purposes has no basis in fact and has been denied by the authors themselves," National Security Council spokesman Tommy Vietor said Thursday.

The intelligence committee leaders met later Thursday with FBI Director Robert Mueller, whose agency is investigating the leaks, according to legislators.

Afterward, Feinstein, who chairs the Senate Intelligence Committee, said that the U.S. attorney in Washington also is investigating.

After the briefing from Clapper, the four committee leaders said they were united in their commitment to address the problem.

"To have all four of us come forward today and talk about the severity of these leaks, I hope, sends a very clear message about how dangerous this has become," Rogers said.

Analysts: 'The ship of state always leaks'

He pushed for an outside investigation, saying that "if we're going to make this nonpartisan, if we're going to make this fair and complete, which means it has to follow the leads which they have, you're going to have to have at least some sort of an outside look."

In particular, Rogers noted problems uncovered in his panel's investigation of an unspecified leak, saying the committee "has materials suggesting that the agencies were directed to expand the scope of classified information they gave to the press."

"We know, in some cases, someone from a segment of the media was present in a classified setting," Rogers said without elaborating.

Feinstein, when asked whether a special prosecutor should be appointed, said she was more concerned with adding restrictions on access to classified information and other steps to an intelligence appropriations measure now before the committee.

"A special prosecutor can take years. We don't have years," Feinstein said, adding that she was "delaying that decision."

Intel chief plans more lie detectoring testing to deter leaks

While the cyberwarfare report brought this week's public condemnation, the issue touches on a longstanding dispute between Congress and the federal government over intelligence information.

"This charge is made in every administration," Sen. Bob Casey, D-Pennsylvania, a member of the Senate Foreign Relations Committee, said Thursday. "Sometimes it's accurate. Sometimes it should lead to accountability and sanctions, but I think we're at the very early stages of this."

Other recent possible leaks of classified information included details on the administration's efforts to expand its drone program and President Barack Obama's involvement in "kill lists" against militants in Yemen and Pakistan.

Also, the public airing of details surrounding a recently disrupted bomb plot in Yemen by al Qaeda in the Arabian Peninsula angered intelligence and national security officials.

"There is no more important issue that we have to work on than this issue," Chambliss said.

He and his colleagues said the leaks put lives at risk and damage the credibility of the United States in the intelligence community.

FBI becomes involved

Rep. Dutch Ruppersberger of Maryland, the top Democrat on the House panel, said a cultural change was needed that would require a partnership between the administration and both chambers of Congress.

The Senate panel is expected to add leak provisions to the fiscal year 2013 intelligence authorization bill this month. Although the House has passed a version of the bill without the leak provisions, they would probably be added during negotiations with the Senate on a final version.

In its report Friday, The New York Times said that, since shortly after he became president, Obama has ordered cyberattacks targeting computers that run Iran's nuclear enrichment facilities. It attributed the information to participants in the program.

McCain, the ranking Republican on the Senate Armed Services Committee, alleged that the White House authorized the leaks for political gain.

"These leaks clearly were not done in the interest of national security or to reveal corrupt or illegal actions about which the public has a right to know, as in the case of legitimate whistleblowers," McCain said. "It is difficult to escape the conclusion that these recent leaks of highly classified information, all of which have the effect of making the president look strong and decisive on national security in the middle of his re-election campaign, have a deeper political motivation."

"This administration has been blatantly political on all national security issues that I've been observing," McCain told CNN's Anderson Cooper on Thursday. "I think it's very clear that these leaks came from people within the White House itself and these people are very politically oriented."

He, too, called for a special counsel to look into the matter.

The White House pushed back, with spokesman Jay Carney saying that "this administration takes all appropriate and necessary steps to prevent leaks of classified information or sensitive information that could risk ongoing counterterrorism or intelligence operations."

Since Obama took office in January 2009, his administration has greatly increased use of the Espionage Act to prosecute alleged leakers of classified information.

Six prosecutions have been launched under the act by the administration, which is double the total from all previous administrations, according to Steven Aftergood, director of the Project on Government Secrecy for the Washington-based Federation of American Scientists.

Carney said Thursday that Obama "has demonstrated his commitment to transparency through the variety of steps he has taken, unprecedented in American presidential administration history.

"But he is also president and commander in chief, and he will not countenance the leaking of classified information that can harm our men and women in uniform, harm Americans who work on our national security, harm counterterrorism operations," Carney said.

@highlight

White House "blatantly political" on national security issues, McCain says

@highlight

U.S. attorney in Washington is investigating, Sen. Feinstein says

@highlight

Congressional leaders seek to halt increasing leaks of classified information

@highlight

The White House denies GOP allegations it authorized leaks for political gain