(CNN) -- A Saudi Arabian human rights attorney is asking the government to allow him to represent a woman who was gang-raped -- and then sentenced to prison for speaking out about the case.

Human rights groups want Saudi Arabia's King Abdullah to drop charges against the rape victim.

The attorney, Abdulrahman al-Lahim, had his license revoked last week by a judge for speaking to the Saudi-controlled media about the case, al-Lahim told CNN.

The judge more than doubled the sentence against al-Lahim's 19-year-old client because she spoke to the media about the case, a court source told Arab News, an English-language Middle Eastern daily newspaper.

The woman -- who was initially sentenced in October 2006 to 90 lashes -- had her sentenced increased to 200 lashes and was ordered to serve six months in prison under Saudi Arabia's strict Islamic law.

"We were shocked," al-Lahim said of the increased sentence.

CNN has been unable to reach Saudi government officials for comment on this report, despite repeated requests.  Watch the emotional toll the crime took on the rape victim »

Al-Lahim had petitioned the court to sentence the attackers to the death penalty, but instead the court agreed to increase their jail sentences, which had been two to three years, to two to nine years, al-Lahim said.

The case has sparked outrage among human rights groups.

"Barring the lawyer from representing the victim in court is almost equivalent to the rape crime itself," said Fawzeyah al-Oyouni, founding member of the newly formed Saudi Association for the Defense of Women's Rights.

"This is not just about the girl, it's about every woman in Saudi Arabia," she said. "We're fearing for our lives and the lives of our sisters and our daughters and every Saudi woman out there. We're afraid of going out in the streets."

Human Rights Watch said it has called on Saudi Arabia's King Abdullah "to immediely void the verdict and drop all charges against the rape victim and to order the court to end its harassment of her lawyer."

The woman, who is married, and an unrelated man were abducted and she was raped by a group of seven men more than a year ago, the lawyer said. The male victim was also given an increased sentence of 200 lashes and six months in prison, al-Lahim said.

The man and woman were attacked after they met so she could retrieve an old photograph of herself from him, according to al-Lahim. Citing phone records from the police investigation, al-Lahim said the man was trying to blackmail his client. He noted the photo she was trying to retrieve was harmless and did not show his client in any compromising position.

Al-Lahim said the man tried to blame his client for insisting on meeting him that day. It is illegal for a woman to meet with an unrelated male under Saudi's Islamic law.

Al-Lahim has been ordered to attend a disciplinary hearing at the Ministry of Justice next month, where he faces a possible three-year suspension and disbarment, according to Human Rights Watch.

He told CNN he has appealed to the Ministry of Justice to reinstate his law license and plans to meet with Justice Minister Abdullah bin Muhammad bin Ibrahim Al Al-Sheikh.

"Currently she doesn't have a lawyer, and I feel they're doing this to isolate her and deprive her from her basic rights," he said. "We will not accept this judgment and I'll do my best to continue representing her because justice needs to take place."

He said the handling of the case is a direct contradiction of judicial reforms announced by the Saudi king earlier this month.

"The Ministry of Justice needs to have a very clear standing regarding this case because I consider this decision to be judiciary mutiny against the reform that King Abdullah bin Abdulaziz started and against Saudi women who are being victimized because of such decisions," he said.

Saudi Arabia's Islamic law or sharia is not written and, therefore, subject to a wide array of interpretations. Human Rights Watch points out that a judge in Jeddah threw out a lawyer simply because he was a member of the Ismaili faith, a branch of Shia Islam.

Under Saudi law, women are subject to numerous restrictions, including a strict dress code, a prohibition against driving and a requirement that they get a man's permission to travel or have surgery. Women are also not allowed to testify in court unless it is about a private matter that was not observed by a man, and they are not allowed to vote.

The Saudi government recently has taken some steps toward bettering the situation of women in the kingdom, including the establishment earlier this year of special courts to handle domestic abuse cases, adoption of a new labor law that addresses working women's rights and creation of a human rights commission.

Christoph Wilcke of Human Rights Watch praised the female rape victim and her attorney for speaking out about the case, which he said may be indicative of "many injustices that we still don't know about."

"It's not only one court, it is the Saudi government that is fully behind punishing a woman who's been raped [and] punishing the lawyer who's trying to help her and doing that both because they've spoken to the media," Wilcke told CNN. "And if they hadn't spoken to the media, we wouldn't know about it."

Shying away from criticism of key ally, State Department spokesman Sean McCormack called the case and the punishment "surprising" and "astonishing."

"While this is a judicial procedure -- part of a judicial procedure -- overseas in courts outside of our country, still while it is very difficult to offer any detailed comment about this situation, I think most people would be quite astonished by the situation, " McCormack said.

"I can't get involved in specific court cases in Saudi Arabia dealing with its own citizens. But most people here would be quite surprised to learn of the circumstances and then the punishment meted out," he said. E-mail to a friend

CNN's Saad Abedine and Mohammed Jamjoom contributed to this report

@highlight

Woman sentenced to 200 lashes and six months in jail under Islamic law

@highlight

Judge more than doubled 19-year-old's sentence for speaking to the media

@highlight

Woman's lawyer loses law license for speaking to Saudi-controlled media

@highlight

Human rights group: Lawyer faces three-year suspension and disbarment