(CNN) -- With the retirement of Justice John Paul Stevens, the United States Supreme Court loses a judge with an unusual ability to get the big things right by getting the little things right.

Justice Stevens will be remembered for his stirring opinions in cases of great national significance. He also should be remembered for his equally compelling commitment to justice in scores of other decisions that received little public notice.

In Hamdan v. Rumsfeld in 2006, Stevens wrote the majority opinion holding that even in the face of real threats of terror, the president must follow the law. The court declared that the Constitution reached into a military detention facility in Guantanamo Bay, Cuba, and offered the protection of the rule of law to the man who served as the driver for Osama bin Laden.

For Stevens, no person was above the law, and no person was below the law.

Stevens' passion for this ideal drew support from his experience as a clerk to Supreme Court Justice Wiley Rutledge. In 1946, the Supreme Court upheld the summary trial and the death sentence meted out by an American military tribunal to accused Japanese war criminal Tomoyuki Yamashita. Dissenting, Rutledge affirmed the importance of providing "due process of law" to all people, "whether citizens, aliens, alien enemies or enemy belligerents." In Hamdan, Stevens finally vindicated that principle 60 years later.

For Stevens, that dedication to ensuring justice in all cases constituted the defining characteristic of a judge. In the 2000 presidential election decision, Bush v. Gore, Stevens penned a stinging dissent, castigating the majority for undermining the "Nation's confidence in the judge as an impartial guardian of the rule of law."

Stevens' commitment to the rule of law transcended partisan boundaries. In 1997, he spoke for the Court in Clinton v. Jones, finding that the Constitution did not shield President Clinton with immunity from civil suits.

First appointed to the bench by President Nixon and then elevated to the high court by President Ford, Stevens was a Republican from a different era. His rulings fell out of favor with the ideology of that party. However, Stevens always remained a small-R republican. He detested the idea of a monarch who stood outside of the law.

He often cited the English maxim, "The King can do no wrong," to emphasize the foreignness of that concept of immunity in our republican form of government.

Cases involving presidents are important, but rare. Stevens insisted on promoting the rule of law in all cases. When I think about Stevens, I think not only of Bush and Gore, of Clinton and Rumsfeld, but also of Vladimir Zatko and Jerome Hiersche.

It is a bedrock principle of the American legal system that lack of wealth should not translate into a denial of justice. Accordingly, courts do not charge filing fees to those who cannot afford to pay. In the early 1990s, however, the Supreme Court deviated from that practice by barring access to people it deemed frequent filers of frivolous actions. The court refused to waive the fees for these litigants despite their poverty.

When the court invoked the rule to bar access to one Vladimir Zatko, Stevens dissented. His opinion criticized the court for undermining its commitment to offering "equal access to justice for both the rich and the poor." The court continues to invoke the rule up to this day, and Stevens continues to dissent.

And then there is the tragic case of Jerome Hiersche. The United States government hired Hiersche, a professional diver, to inspect a dam on the Columbia River. Government employees assured Hiersche that the water flow system would be shut off, but it was not. Hiersche's head was pulled into an opening in the system, and he was killed.

The government denied all liability, citing language in a Supreme Court case interpreting an obscure provision of a 1928 statute. Stevens wrote separately to decry this result, imploring Congress to remedy the situation. He declared that "this obsolete legislative remnant is nothing more than an engine of injustice." In his lexicon, there was no stronger rebuke.

The rule of law requires standing up to presidents, but it also demands standing up for the notorious and the nameless, the Hamdans and the Yamashitas, the Zatkos and the Hiersches. When one develops a habit of promoting justice in the obscure cases, the courage to demand justice in the notable cases follows.

Justice Stevens pursued justice in all cases, great and small. The rule of law has lost an important champion on our nation's highest court.

The opinions expressed in this commentary are solely those of Robert Schapiro.

@highlight

Justice Stevens stood firmly for the rule of law, his former law clerk says

@highlight

Robert Schapiro says Stevens held presidents to account, said they were not above the law

@highlight

Stevens believed everyone, regardless of means, should have access to courts, he says

@highlight

Schapiro: The law requires standing up to presidents and standing up for the nameless