A federal appeals court has blocked enforcement of parts of a controversial immigration enforcement law in Alabama.

The injunction issued Friday from the 11th U.S. Circuit Court of Appeals in Atlanta came after the U.S. Justice Department -- supported by a coalition of immigrant rights groups -- requested the legislation, known as HB 56, be put on hold until the larger constitutional questions can be addressed, a process that could take some months at least.

The 16-page order gives both sides partial victories, allowing some parts of the law to go into effect while others are temporarily blocked.

The Obama administration says the Constitution does not permit states to deter illegal immigration, saying an issue with foreign policy implications is the exclusive mandate of the federal government.

Alabama's law, passed by the legislature this summer, would allow state and local officials to check the immigration status of public school students and to detain suspected undocumented immigrants without bond. It would make it a crime for immigrants who lack proper documents to conduct business with the state for things such as driver's licenses.

Among the provisions temporarily blocked from being enforced are:

-- One requiring state officials to check the immigration status of students in public schools;

-- One making "willful failure to complete or carry an alien registration card" a misdemeanor for immigrants;

But the state will be allowed to enforce these contested sections:

-- One requiring that police during "lawful" stops or arrests "attempt to determine the immigration status of a person who they suspect is an unauthorized alien of this country." That provision is similar to other laws aiming to crack down on illegal immigration passed by other state legislatures over the past year.

-- One barring state courts from enforcing contracts involving undocumented immigrants, if the hiring party had a "direct or constructive" knowledge that the person was in the country unlawfully.

-- One making it a felony for illegal immigrants to enter into a "business transaction" in Alabama, including applying for a driver's license or a business license.

In schools, towns and farms, battle heats up over immigration law

The appeals court also announced it would hear oral arguments on the constitutional questions on an expedited basis, as early as December. The issues in Alabama and in other states with similar crackdown laws may ultimately have to be settled by the U.S. Supreme Court.

A federal judge last month had temporarily blocked enforcement of some parts of the Alabama law while allowing other provisions to go into effect.

The U.S. Justice Department issued a statement welcoming the appeals court ruling, and adding that "We continue to believe that the other key provisions we challenged are also preempted and we look forward to the upcoming consideration by the court of appeals of the merits of the appeal."

Alabama Attorney General Luther Strange issued a statement saying the state disagrees with the ruling, but officials "are pleased that the court has allowed the state to proceed enforcing some of the act's central provisions.  We will continue to vigorously defend the law as we proceed through the appeals process."

Ahead of the injunction, Justice Department officials met with civic and religious leaders in Alabama Friday morning.

Assistant Attorney General Tom Perez told reporters that local leaders are concerned about reports of increased bullying in schools and a large absence of Hispanic students from classes. The section of the law that raised those worries is now blocked.

Perez also said he is "absolutely" sure that victims of crime are not going to police out of fear of being deported. Given Friday's news, that could remain a concern.

Three or four Justice Department lawyers remain in Alabama investigating the impact of the law, Perez said.

State officials confirm an unspecified number of Hispanics and other immigrants have left the state, many in fear of being arrested or targeted by police.

Workers in the agriculture, landscaping, food service, maintenance, and construction fields in particular have not been showing up on the job. Many immigrant rights groups have launched workplace boycotts in recent days.

In addition to the Justice Department, other opponents of the measure -- including state church leaders and the American Civil Liberties Union -- had filed their own separate lawsuits against the state.

"H.B. 56 creates a panoply of new state offenses that criminalize, among other things, an alien's failure to comply with federal registration requirements that were enacted pursuant to Congress's exclusive power to regulate immigration," said the brief from the federal government.

But the state argued it was only helping Washington enforce existing laws.

"Does it really cause harm to the United States when a state informs the federal government of persons who are in violation of federal law, and then leaves it to the federal government to decide whether to initiate deportation proceedings?" wrote Alabama Attorney General Luther Strange. "Of course not."

Alabama Gov. Robert Bentley, who signed the law in June, has said it would not have been needed "if the federal government would have done its job and enforced the laws dealing with this problem. However, they have failed to do that."

He added, "This law was never designed to hurt fellow human beings."

Republican Alabama state Rep. John Merrill told CNN in June that the legislation would be "good for Alabama" because it would reduce illegal immigration to the state and "provide equal opportunities for all people who want to come to Alabama legally."

In August, leaders from the Episcopal, Methodist and Catholic churches of Alabama separately sued Alabama's governor, its attorney general and a district attorney over the law.

Bishops from two of those churches have opposed the provision preventing the harboring or transporting of undocumented aliens, saying it violated their "religious liberties."

"We will continue to provide food, shelter, transportation, housing, and the church's sacraments to all of God's people, regardless of race, class, or citizenship status," said a  joint statement by Bishop Henry N. Parsley Jr. of the Episcopal Church's Alabama Diocese and Bishop William H. Willimon of the United Methodist's North Alabama Conference.

The Mexican government had also appealed, arguing the law would promote racial profiling, targeting Hispanics especially.

Alabama in its legal briefs noted a 145% rise in its Hispanic population, numbering around 186,000, or 4% of the population. Lawmakers promoting the legislation said it was motivated mainly to protect jobs of its citizens and legal residents.

Alabama's law is considered the strictest in the nation. Key portions of Arizona's immigration reform law have also been blocked while a federal appeals court and the U.S. Supreme Court consider various challenges.

Similar challenges are taking place in Indiana and South Carolina.

The case is U.S. v. Alabama (11-14532).

@highlight

The 11th Circuit acts on a Justice Department request to put the law on hold

@highlight

The Obama administration says immigration control is for the federal  government alone

@highlight

The state will be allowed to enforce some sections of the law