Washington (CNN) -- A little-known provision of the Constitution might provide a little-used way for President Barack Obama to unilaterally get around stalled efforts to prevent the country from defaulting on its debts.

It is a legal audible that was considered two years ago in a similar crisis, and ultimately rejected by Obama, a former constitutional scholar.

In remarks on Thursday, the president said the stakes were stark, if the debt ceiling were not raised, and the government unable to pay its bills.

"As reckless as a government shutdown is, an economic shutdown that results from default would be dramatically worse," he said, pointing the finger at Capitol Hill.

Congressional Republicans who control the House insist they will not act until the administration commits to delaying implementation of key parts of the healthcare reform law, or to further spending cuts-- ultimatums the White House rejects.

The game of political chicken raises the potential of a recession and market meltdown if the Treasury is not replenished by mid-month. Some economists warn the debt ceiling impasse is a far greater threat than the ongoing government shutdown.

That's where Section 4 of the 14th Amendment comes in: "The validity of the public debt of the United States, authorized by law ... shall not be questioned."

Does that mean the president could on own his raise the debt ceiling?

Some congressional allies say yes.

"It is an option that should seriously be considered," said Senate Finance Committee Chairman Max Baucus of Montana.

House Minority Leader Nancy Pelosi of California said it should have been done in 2011, the last time the two branches went through this.

Back then it was former President Clinton who led the rhetorical charge. He said he would have raised the debt ceiling "without hesitation" and "force the courts to stop me."

Then-Treasury Secretary Timothy Geithner also suggested such a legal right was possible, and plausible.

But Obama was not sure.

"I have talked to my lawyers," he said at the time. "They are not persuaded that that is a winning argument," suggesting he believed the courts would not accept such a move -- and more importantly, would the nation's creditors.

Fast forward to 2013. His spokesman Monday repeated the White House line Congress had the responsibility here.

"The president can't raise it by himself," said White House spokesman Jay Carney. "This administration does not believe that the 14th Amendment gives the power to ignore the debt ceiling. And even if the president could ignore the debt ceiling, the fact that there is significant controversy around the president's authority to act unilaterally means that it would not be a credible alternative to Congress raising the debt ceiling, and would not be taken seriously by the global economy and markets."

Legal and political scholars -- and the federal courts -- have debated just how relevant, and how far Section 4 was designed to go. The amendment was ratified in 1868, to ensure in part, the unified nation's debts from the just-ended Civil War would be honored, and that Confederate claims would not.

The unquoted part of the provision specifically mentions the public debt "incurred for payment of pensions and bounties for services in suppressing insurrection or rebellion."

The U.S. Supreme Court in 1935-- in Perry v. U.S.-- suggested Section 4 could be applied in other circumstances.

"While this provision was undoubtedly inspired by the desire to put beyond question the obligations of the government during the Civil War, its language indicates broader connotation," said Chief Justice Charles Evans Hughes in the opinion, which concluded that voiding a U.S. government debt was beyond the power of Congress.

Indeed other better-known parts of the 14th Amendment-- the "due process," "equal protection," and "privileges or immunities" citizenship clauses-- have been cited in a sweeping range of litigation beyond its original Reconstruction response to the rights of former slaves. Those cases include abortion, segregation, even the 2000 Bush v. Gore presidential ballot dispute.

Despite Mr. Clinton's bold challenge daring the courts to intervene, any unilateral action on the debt ceiling would be sure to prompt immediate lawsuits.

Whether an "aggrieved party" such as a taxpayer or bondholder, could establish legal "standing"-- allowing any legal action to proceed-- would be the first legal hurdle, a process that could drag on for months, even years before the Supreme Court would be asked to offer the final word.

But some politicians have said a default on the nation's debt would constitute the kind of national emergency requiring of bold presidential action, something that would be politically acceptable to the public.

Legal challenges, they say, would wither if the economy rebounds.

Obama urged negotiations to continue, but on Thursday said the 2011 debt crisis hurt average Americans, and could do so again.

"Our economy took a bad hit. Our country's credit rating was downgraded for the first time, just like you would be downgraded if you didn't pay your mortgage. This time, they are threatening to actually force the United States to default on its obligations for the very first time in history."

But some Republicans say a constitutional crisis is overblown and so is concern of what will happen if both sides fail to agree in coming days.

"I don't think the credit of the United States is going to be collapsed," said Rep. Steve King (R-Iowa) on CNN Thursday.

"I think that all this talk about a default has been a lot of demagoguery, a lot of false demagoguery. We have plenty of money coming in to service the debt. When we stop servicing the debt, that would be default. We're a long, long ways from that."

So the dilemma here for the White House would appear more political, less legal.

In invoking executive power to raise the debt ceiling, Obama might earn quick political points, by claiming to put the nation's financial health above congressional inaction.

But the risks to a market and credit backlash, global investor unease, and softening public support-- not to mention an eventual Supreme Court showdown-- might urge continued White House caution.

After all, the debt ceiling has been raised at least 74 times in the past half century-- 10 times in the past decade-- always through the typical back-and-forth political sparring between the White House and Capitol Hill.

@highlight

Little known legal provision could again provide opening for President Obama on debt ceiling

@highlight

Obama said that the stakes were stark if the government could not pay its bills

@highlight

Former President Bill Clinton said previously he would act unilaterally and test the courts

@highlight

But Obama had the chance in 2011 and wasn't convinced it was the correct legal strategy