(CNN) -- It may be one of the greatest victory laps of our time: Aung San Suu Kyi, Burma's political heroine, is touring the United States, offering proof everywhere she goes -- from the White House to the Capitol rotunda, from Columbia University to Hollywood, from the U.N. to CNN -- that she is indeed "the Lady."

In Oslo in June, she was able to give her acceptance speech, overdue by 21 years, for the Nobel Peace Prize she had been awarded when she was under house arrest in Burma. In the U.S., she's been able to receive the Congressional Gold Medal -- our highest honor -- she'd been awarded years ago; she was able to meet with the president, to sit with the U.N.'s secretary general and to meet many of the people who fought so hard to tell the world what the former military dictatorship was doing to her and to the Burmese people.

This week, she will visit Los Angeles, meeting with local Burmese and sitting down to dinner with members of the Hollywood community. And if one message rings through in all of her appearances, it is the strength of nonviolent reconciliation, the power of democratic ideals to triumph and what it really means to be willing to stand up for what one believes, whatever the cost.

World: Suu Kyi is 'global symbol' of progress, says U.N. secretary

It was Suu Kyi's nonviolent campaign against one of the most oppressive, dictatorial regimes of our times that gave hope to the oppressed Burmese people and to thousands of Buddhist monks, as she inspired politicians and leaders around the globe.

It was the strength of her spirit, the patience of her approach and the profound beauty of her soul. It was the message that one democratically elected ruler could withstand nearly 20 years of house arrest, could live with the memory of her father's assassination, could overcome the separation from her cancer-stricken husband whom she was not allowed to visit on his deathbed and could galvanize a movement of monks and a nation of people to rise up and take back their country.

Now, Suu Kyi is using her international visibility to address ethnic divisions in Burma and to challenge the rest of the globe to behave more responsibly, even as she forgives the very military leaders who kept her under house arrest for the better part of two decades. The nation is also called Myanmar, but Suu Kyi refuses to use that name because it was changed by the military junta.

So what does it mean for us, in America, during a polarizing election that seems to be bringing out the worst in all of us? Rhetoric, sound bites, culture wars and catchphrases are replacing substance, thoughtfulness and informed debate. And in the middle of it all, Hollywood, as usual, is manipulated by each side to demonize the other.

It wasn't so long ago, though, when our cultural leaders helped stand up and stand in for the most important voices of their day, raising issues all of us need to take more seriously. And, in fact, that's precisely what happened with Burma.

Just a few years ago, before most of us ever heard of Burma, before we could pronounce Aung San Suu Kyi's name and before we watched in horror as Cyclone Nargis ravaged its shores in 2008, a group of us from the creative and human rights communities banded together to raise our voices around what was happening to Suu Kyi and the Burmese.

We were able to pull together, left and right, young and old, Democrats and Republicans, Americans and foreigners, straights and gays, Christians, Jews, Muslims, Buddhists and atheists. All in a common cause of celebrating the voice of the people, the power of democracy and one remarkable woman. Called "Burma: It Can't Wait," it was an online video campaign featuring 38 spots to publicize what was happening in Myanmar and happening to Suu Kyi. The campaign has received about 25 million views.

What compelled nearly 100 of the industry's most creative and committed people -- in front of and behind the camera -- to rally together to produce an award-winning online video campaign? What led Shepard Fairey to create another of his iconic images, inspired the likes of Jim Carrey and Anjelica Huston to speak out and celebrities to travel to the Burmese border to show their support for the refugees?

And, in another example of what people united by a common cause can do, what inspired 27 of the world's most popular musical artists to contribute tracks in 2004 to an album called "For the Lady"?

One remarkable person. If you want to see why, read some of Suu Kyi's remarkable writings. "Freedom from Fear," published by Penguin, provides a great collection of them.

World: Myanmar democratic activist accepts tog congressional honor

In these hyperpartisan times, as approval ratings for Congress reach record lows, as our public discourse focuses on name-calling and our media oversimplify the most complex issues, it's refreshing to remember that many people were able to come together, from across a broad spectrum, to support a woman who had inspired Barack Obama, Hillary Clinton, George W. Bush, Laura Bush, Bill Clinton and Tony Blair to rally to her defense.

In a nation seemingly torn apart by divisiveness and conflict, on the eve of our presidential election, all of us should join together to champion the democratic traditions we cherish and to celebrate that much more that brings us together than divides us. As we enjoy Suu Kyi's tour of the United States, may we be reminded of the strength of her spirit and the power of unity of purpose in service of our ideals.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Burma's heroine and Nobel Peace Prize laureate Aung San Suu Kyi touring U.S.

@highlight

Suu Kyi is addressing ethnic divisions in Burma, challenging world leaders to be responsible

@highlight

Writers' online campaign for Suu Kyi united people from all political sides, famous and not

@highlight

They say in divisive times, it's worth noting power of unity in service of democratic ideals