(CNN)Last weekend, a 17-year-old apparently committed suicide in Ohio. And because she was transgender, many assigned a political or social or religious narrative to her story before even fully recognizing her death.

A disturbing trend when you consider the string of recent dramatic and, it must be said, senseless deaths that have crowded the nation's headlines. Looking through the agenda-driven prisms that helped define 2014, they all appear disconnected. But when we pause, we can see they are anything but.

Consider what happened earlier this month, when Kathleen McCartney, president of Smith College in Northampton, Massachusetts, sent a campuswide email in support of students protesting grand jury decisions not to charge the police officers who killed Michael Brown in Ferguson and Eric Garner in Staten Island. In it she said: "We are united in our insistence that all lives matter."

Later, McCartney was forced to apologize.

You see, because she didn't specifically say "black lives matter," she was accused of minimizing the pain and experience that was specific to the black community. I would argue "all lives matter" is every bit as revolutionary of a rallying cry and should hardly be said in shame.

I thought about her apology after a man who was reportedly mentally ill drove from Baltimore to Brooklyn and shot two police officers in the head while they were at work. And I'm thinking about her apology now as my heart aches over the suicide of Leelah Alcorn, the teenager who took apparently took her life on Sunday.

"The only way I will rest in peace is if one day transgender people aren't treated the way I was, they're treated like humans, with valid feelings and human rights," she wrote on Tumblr hours before stepping in front of a tractor-trailer on Interstate 71. She also wrote: "my death needs to mean something," obviously feeling her life did not.

If you fail to see the connection between Alcorn, the fallen police officers, Brown and Garner, then you are missing something important about what binds a society.

Laws and culture form sturdy beams, but the foundation of civilization is empathy. It is a slender but invaluable thread that allows us to communicate with those who speak a different language, explains why men double over at the sight of a male being struck in the groin, why our own eyes fill with tears at others' sorrow and loss and why laughter is contagious.

Our innate ability to identify with the needs and experiences of others -- to have compassion, empathy -- is the very thing that makes us human.

Thus, the less empathy we have for others -- the less "all lives matter" to us -- the less civilized we become. The less civilized we become, the less human we are.

Of course, the notion that "all lives matter" does not speak directly to the implicit biases that have led to the criminal justice system's mistreatment of people of color. It does not highlight the sacrifices law enforcers make or the dangers they face each day. "All lives matter" does not note the discrimination and ostracization of transgender people that apparently led to the torment felt by Leelah Alcorn -- discrimination and ostracization that even occurs within the larger lesbian, gay and bisexual community.

But it does remind us that before we are black, white, Christian, liberal or gay, we are human.

Because in the end, the lapses in humanity that led to each of the high-profile deaths that have rocked our culture may be different in their particulars, but they are the same in the pain experienced by loved ones left behind.

Over my 20-plus years as a journalist, I have covered numerous deaths. I can tell you about the agony in the eyes of the mother of Matthew Shepard, the 21-year-old gay man who was pistol-whipped, tied to a fence and eventually died back in 1998; it is similar to the pain in the eyes of Trayvon Martin's mother.

The cries I heard at the memorial service for Michael Brown this past summer were as hard to hear as the cries I heard at a service for Wes Leonard, a 16-year-old who collapsed and died on his high school's basketball court three years ago. Again, the circumstances surrounding each death are vastly different from one another. But when a parent buries a child, the hurt is hard to differentiate.

There is a time to dissect mitigating circumstances, but it should not come before experiencing humanity and learning something from how we feel.

It is a constant struggle to hold on to what connects us. Especially when so many forces -- politics, media, religion -- flood in to demonize our differences, alienate one group of people from another, drown our compassion and leave our very humanity gasping for air.

A 17-year-old transgender girl took her own life during the holiday season. Before we point fingers assigning blame, can we at least pause long enough to think about the meaning of a girl's lost life?

To mourn?

To feel?

To be human?

@highlight

LZ: Transgender teen killed self. Many make it social, political story; we should see humanity

@highlight

He says in reaction to deaths of cops, Garner, Brown, empathy falls away, agendas take over

@highlight

LZ: In these and teen's death, we too often show lapse in crucial empathy that binds us