Washington (CNN) -- Israeli Prime Minister Benjamin Netanyahu told a joint meeting of the U.S. Congress Tuesday that he is prepared to make "painful compromises" for a peace deal with Palestinians, but reiterated his insistence that Israel will never return to the boundaries that existed before the 1967 Middle East war.

While asserting he is prepared to be "generous" in regard to the size of a future Palestinian state, Netanyahu stressed the importance of keeping control over certain densely settled areas within the West Bank.  He stressed that Israeli security will be a major consideration in the establishment of future boundaries.

The prime minister flatly ruled out any so-called "right of return" for Palestinian families who left Israel after the state's founding in 1948.

"Jews from around the world have a right to immigrate to the Jewish state," Netanyahu said.  "Palestinians from around the world should have a right to immigrate, if they so choose, to a Palestinian state.  This means that the Palestinian refugee problem will be resolved outside the borders of Israel."

The prime minister blamed Palestinians for refusing to recognize the Jewish state's right to exist, and repeated his demand that Jerusalem remain united as Israel's capital.

Netanyahu's speech in the House chamber -- a rare honor for a foreign leader -- was perceived by many observers as a response to President Barack Obama's call last Thursday for peace talks based on the 1967 lines with "mutually agreed" land swaps.

Vice President Joe Biden and House Speaker John Boehner, R-Ohio, were both on hand for the Israeli leader's remarks.  Netanyahu was warmly received by Democrats and Republicans alike.

Top Palestinian officials, however, argued that Netanyahu's terms did not convey a serious desire to pursue a resolution.

"I am willing to make painful compromises to achieve this historic peace," Netanyahu declared.  "In a genuine peace, we'll be required to give up parts of the ancestral Jewish homeland.

"Some settlements will end up beyond Israel's (current) borders," he acknowledged.  But "Israel will not return to the indefensible boundaries of 1967."

Israel seized the West Bank, Gaza, Golan Heights and Sinai Peninsula during the 1967 war.  The Sinai has since been returned to Egypt.  Israel annexed the Golan Heights in 1981, a move not recognized by the international community and condemned by Syria, which still claims the land.

The more militant Palestinian group Hamas now controls Gaza, while the more moderate group Fatah administers the West Bank, site of a growing number of Israeli settlements. Ultimately, the Palestinians are aiming to unite Gaza and the West Bank under the authority of a new state.

Netanyahu flatly ruled out negotiations with Hamas, which is recognized as a terrorist organization by both the United States and Israel.  He also dismissed prospects of United Nations recognition of a Palestinian state later this year.

"Peace cannot be imposed.  It must be negotiated," he said.

At the same time, Netanyahu insisted Israel must be allowed to maintain a military presence along the Jordan River, the eastern boundary of the West Bank.

For their part, Palestinian officials have refused to enter into new talks with Israel on the decades-old conflict until Israel stops building settlements on occupied West Bank land the Palestinians see as part of their future state.

Looking beyond the dispute with the Palestinians, Netanyahu highlighted the growing danger posed by a nuclear-armed Iran.

"Time is running out," Netanyahu warned.  "The greatest danger facing humanity could soon be upon us: A militant Islamic regime armed with nuclear weapons.

"If history has taught the Jewish people anything, it is that we must take calls for our destruction seriously," he said.  "We are a nation that rose from the ashes of the Holocaust.  When we say never again, we mean never again.  Israel always reserves the right to defend itself."

The Israeli leader congratulated the Obama administration for the recent U.S. military mission resulting in the death of al Qaeda leader Osama bin Laden in Pakistan.

"Congratulations America," he said.  "You got bin Laden.  Good riddance."

One top Palestinian official blasted the tone of Netanyahu's remarks, insisting that the Israeli leader "is not in a negotiation mood but rather a dictation mood."

"He wants to impose on the Palestinian people what he sees as the future of the Palestinian state," said Sabri Saidam, deputy speaker of the Fatah Council. "Then he wants to call upon the Palestinians to sit for peace.  What peace?  He's turned peace into a process that he likes, and he's turned the country into pieces."

"This is more of a Swiss cheese state that Netanyahu wants to come into being," Saidam argued.

Nabil Shaath, another senior member of Fatah, criticized Netanyahu's refusal to consider a right of return for the descendents of Palestinians who left around the time of Israel's founding.

Israel is "talking about the right for a people to go back to a land they thought they had 4,000 years ago, but for refugees from Palestine that were driven out of their land only 60 years ago, this is an impossibility for them to get back to their homes," Shaath said.

Without serious peace talks, the Palestinian Authority will seek a formal recognition of statehood at the United Nations in September, Shaath insisted.  He dismissed the "furor" over the role of Hamas in such talks, calling it a "pretext for not going into any serious negotiations."

Shaath also said the repeated applause for Netanyahu by members of Congress calls into "serious question ... the even-handedness of America when it comes to a question that is that important to the people of Palestine and the people of the Middle East."

Netanyahu's speech on Capitol Hill was disrupted briefly by a protester who was heard screaming, "Equal rights for Palestine," before police escorted her out of the chamber. Capitol Police identified the woman as Rachel Abileah and said she was charged with unlawfully disrupting Congress, a misdemeanor.

On Monday night, activists from the American anti-war activist group Code Pink interrupted Netanyahu's speech to the influential American Israel Public Affairs Committee at least twice. The group criticized what it called "the theft of Palestinian land" and the Israeli blockade of Gaza.

AIPAC is a major force in U.S. politics, drawing top administration and congressional leaders to its conventions.

In his own speech to AIPAC on Sunday, Obama asserted that the "status quo" in the Israeli-Palestinian conflict is unsustainable.  The president also insisted once again that Israel's pre-1967 borders should be the starting point for negotiations over the shape of a future Palestinian state.

The proposal is a long-standing formulation in peace talks that Obama has now expressed as official U.S. policy for the first time.

"It is a well-known formula to all who have worked on this issue for a generation," Obama said to applause. "It allows the parties themselves to account for the changes that have taken place over the last 44 years," including the new demographic realities on the ground and the needs of both sides."

But Obama also criticized the Palestinian push to seek U.N. recognition of an independent state, and a Palestinian Authority-Hamas agreement to hold unifying elections in 2012.

CNN's Tom Cohen, Kevin Flower, Deirdre Walsh and Matt Smith contributed to this report.

@highlight

"Israel will not return to the indefensible boundaries of 1967," he says

@highlight

The Israeli prime minister addresses a joint meeting of the U.S. Congress

@highlight

Palestinians refuse to accept the Jewish state, Netanyahu says

@highlight

A protester screams, "Equal rights for Palestine" before police escort her out