(CNN) -- If you're at a coffee shop, anywhere in Philadelphia, or if it's late at night, hang on to your smartphone.

Losing your smartphone can be stressful, given how much important data and access to services a typical one contains. On average, people lose their smartphone once per year, according to Lookout Mobile Security.

Recently, Lookout analyzed phone loss data and found some interesting trends about where and when people lose their phones. This data is presented on a new interactive website, Mobile Lost and Found.

Lookout gathered data from its mobile security app, which is on more than 15 million cell phones around the world (mostly Android phones). In 2011, Lookout found 9 million smartphones. (The company considered a phone as having gone missing whenever a user logged in to Lookout via the Web to find a phone.)

"Losing your phone is absolutely the biggest mobile security risk cell phone owners currently face, even more than malware," said Kevin Mahaffey, Lookout's chief technology officer. "People lose their phones in the places they go every day. It's not a stray comet from the sky snatching your phone. That's why we wanted to study this."

When are people most likely to lose their phone? Lookout found that the vast majority of smartphone losses happen late at night, from 9 p.m. to 2 a.m. Looks like nightlife may be a culprit.

But on holidays, or during major events such as festivals or big sporting events, people are especially likely to lose a phone. In 2011, phone losses around the world spiked on Christmas and New Year's Eve.

And on February 27, 2011, phones in Dublin, Ireland, were lost at nearly three times the normal rate during a major international rugby tournament there.

In general, throughout the United States, the five types of places where people are most likely to lose a cell phone are coffee shops, bars, restaurants, at the office or at home.

Also, the five U.S. cities where people are most likely to lose a smartphone are Philadelphia; Seattle; Oakland, California.; Long Beach, California; and Newark, New Jersey.

Mahaffey observed that several of the top phone-losing cities also have high crime rates, but that doesn't necessarily mean that more phones are stolen in these cities.

Lookout's data does not indicate what actually happened to those missing phones -- how many were stolen vs. lost, or how many were eventually found. That might be a subject for future Lookout research, he said.

However, where you're most likely to lose your phone may depend on which city you live in. For instance, people in Austin, Texas, are most likely to lose phones at a gas station or garage, at the grocery store or at a pizza place.

But church is the third most common setting where Chicagoans lose their phones. And in Atlanta, people are most likely to lose a phone at the office.

One reason why losing your smartphone is so risky is that recent research by Symantec (another mobile security provider) showed that more than 95% of the time, people who find lost smartphones try to access sensitive data or accounts on those phones -- which can including e-mail, online banking, photos and more.

This is why it's so important to always protect your cell phone with at least a security passcode or swipe pattern.

What's the cost of a lost smartphone? Lookout estimates the average replacement cost (just the device, not counting costs associated with lost data, international phone calls, unauthorized online purchases and illicit access to online banking or other accounts) is about $200.

"For a lot of people, $200 is a lot of money," Mahaffey said. "It could be a month's rent, or groceries."

That said, Mahaffey emphasized that Lookout didn't conduct this research to frighten people, but rather to help them understand the importance of protecting your phone. "You should never be afraid of your phone," he said, "But you should know how to protect it."

Consistently using a passcode or swipe pattern to lock your phone is the most basic level of protection -- not just from a random person who finds your lost phone, or a deliberate thief or snooper, but also from police.

Courts in several states have authorized police to conduct warrantless searches of cell phones seized from people under arrest, but they probably cannot compel an arrestee to unlock a seized phone.

Several mobile security services offer additional features (for an annual fee) such as causing a lost phone to beep (which can help if you just can't find where you put it down at home), or to show the current location of the phone on a map (which in one case helped catch a carjacker), or to remotely lock or even wipe all data and contacts from a lost or stolen phone.

The opinions expressed in this report are solely those of Amy Gahran.

@highlight

95% of the time, people who find lost smartphones try to access sensitive data, research shows

@highlight

In 2011, phone losses around the world spiked on Christmas and New Year's Eve

@highlight

Smartphone security company estimates average smartphone replacement cost is $200

@highlight

Philadelphia, Seattle top list of cities where phones are lost the most