Gaza City (CNN) -- Explosions rumbled through Gaza City all night into Friday, and shortly after sunup, two detonations landed just 500 to 600 yards away from CNN's team sending it running for cover inside the hotel.

A litany of bombardments provided for a sleepless night of hearing and feel incoming ordinance exploding and watching rockets leaving Gaza for Israel.

Falling bombs made doors clatter and sometimes even one's bones. Clouds of smoke sprouted into the sky paralleling the repetition of thunderous booms.

New destruction will await Egypt's new Prime Minister Hesham Kandil, when he arrives Friday morning in Gaza to meet with Palestinian officials.

Israel reported three people were killed, and Palestinians reported 19 deaths, including at least three killed late Thursday. Hamas gave conflicting information as to how many of them were Hamas militants.

At least 422 rockets from Gaza have been fired into Israel since "Operation Pillar of Defense" began Wednesday, the Israeli military said. Israel's Iron Dome defense system has intercepted 130, the Israel Defense Forces said. The al-Qassam Brigade, Hamas' military arm, said on its Twitter feed that it had shot 527 projectiles at Israel in that time.

Q&A: Gaza strikes could be beginning of ground attack

One rocket struck an open area near Rishon LeZion, an Israeli city with more than 200,000 residents just south of Tel Aviv, the IDF said.

Also, air sirens went off inside and outside the Israeli Defense Ministry in Tel Aviv. The building was evacuated briefly, and employees were allowed back in when the sirens stopped. An explosion was heard far off in the distance.

Israeli Prime Minister Benjamin Netanyahu was in the building at the time of the evacuation, ministry officials said.

Israel has targeted more than 300 "terror sites" in Gaza, the IDF said. The military said it targeted scores of "medium and long range rocket launch and infrastructure sites across the Gaza Strip." The Israeli navy has taken aim at targets along Gaza's shoreline, the IDF said.

Airstrikes continued overnight, with planes striking sites in Gaza City.

Sources with Hamas, which controls the government in Gaza, and Palestinian Islamic Jihad said that more than 140 strikes had hit Gaza.

The al-Qassam Brigade said its operatives downed a military drone east of Gaza. An Israeli military spokeswoman told CNN that no IDF aircraft was shot down.

At least three Israelis were killed and four were wounded when a rocket struck an apartment building in the town of Kiryat Malakhi on Thursday, an Israeli police spokesman said.

Israeli military spokeswoman Avital Leibovich tweeted a photo that she said was a baby wounded from a rocket attack in Israel. The baby's face is blurred, but the child appears to be spattered with blood.

The al-Qassam Brigade tweeted a screen shot from Hamas-run al Aqsa TV, showing the mangled body of a child. "Israel's military kills Palestinian children in cold blood in #Gaza," the tweet said.

Al-Aqsa TV quoted the health ministry as saying 19 people had been killed, among them six children and two "elderly."

The channel said more than 180 people have been wounded since the Israeli strikes began this week in Gaza. Israel has reported several people wounded, including another three soldiers injured Thursday morning by rockets from Gaza.

Israel denies attacks linked to upcoming election

Hamdan insisted that Israel "started the war."

"We are defending ourselves," he said, arguing that Netanyahu was looking to cement support in advance of an election in two months.

Israeli Defense Minister Ehud Barak denied that any politics are involved in the decision.

Speaking to CNN, Barak said Israel has destroyed most of the "heavy long-range rockets" used by militants in Gaza and is working to "systematically destroy" installations in which other rockets are produced.

"It will take some time," he said.

Israeli forces are going after Hamas weapons, storage bunkers, weapons labs and workshops, an Israeli official told CNN. The official has direct knowledge of Israeli plans but declined to be identified because of the sensitive nature of the information.

The Israeli army moved nearly a division's worth of troops -- perhaps 1,500 to 2,000 -- to the border, the official said.

While multiple militant groups are behind the rocket attacks, Israel holds Hamas responsible ever since it took control of Gaza, Barak said.

Hamas' military wing has claimed responsibility for numerous operations in the past. The U.S. government and the European Union consider Hamas a terrorist organization.

Photos: Deadly attacks in Gaza and Israel

Netanyahu issued a statement Thursday saying, "In recent days and weeks, Hamas and the other terrorist organizations in Gaza have made normal life impossible for over 1 million Israelis. No government would tolerate a situation where nearly a fifth of its people live under a constant barrage of rockets and missile fire."

He added, "The terrorists are committing a double war crime. They fire at Israeli civilians, and they hide behind Palestinian civilians. And by contrast, Israel takes every measure to avoid civilian casualties."

Ghazi Hamad, Hamas' deputy foreign minister, told CNN that Hamas was sending rockets toward Israel's population because Israel thinks "that it is easy to kill people in Gaza," enter the area and "do everything" it wants in Gaza. "We send a message to them that Gaza is not an easy bone. ... You can't eat Gaza in one minute. If you do something, we will react."

Palestinian lawmaker Mustafa Barghouti said the Israeli government has "proven that it is a government of war and not peace."

Israel is "the oppressor," not the victim, he said.

Concern over possibility of a ground assault

The sudden increase in violence has raised fears of a widening conflict that could lead to an Israeli ground assault.

Tony Blair, envoy for the Middle East Quartet, which is working to bring about a peace agreement, said on Thursday: "I don't think we should be of any doubt at all that if this situation continues and it escalates, it's going to be really serious and tragic -- not just for Israelis and Palestinians, but actually it will cause a huge amount of upheaval right across the region, and this is a region, as you know, that doesn't require more upheaval right now."

British Foreign Secretary William Hague issued a statement saying he is "gravely concerned" and calling on all sides to avoid civilian casualties.

"Hamas bears principal responsibility for the current crisis. I utterly condemn rocket attacks from Gaza into southern Israel by Hamas and other armed groups. This creates an intolerable situation for Israeli civilians in southern Israel, who have the right to live without fear of attack from Gaza. The rocket attacks also risk worsening the plight of Palestinian civilians in Gaza, which is already precarious."

Read more: Palestinians: 13-year-old boy killed in Gaza

Palestinian President Mahmoud Abbas, who leads the Palestinian Fatah movement based in the West Bank, is cutting short a visit to Europe to follow developments of "the Israeli aggression on the Gaza strip," PLO Executive Committee member Saeb Erakat said.

Israel says it has called thousands of residents in Gaza to warn them of strikes and dropped leaflets in Gaza warning Palestinian civilians to "avoid being present in the vicinity of Hamas operatives," the IDF said.

It also uses "roof knocking" -- targeting a building "with a loud but nonlethal bomb that warns civilians that they are in the vicinity of a weapons cache or other target. This method is used to allow all residents to leave the area before the IDF targets the site with live ammunition."

Read more: Israel: 'All options on the table in Gaza'

Roar of planes followed by 'kaboom'

At one point Thursday morning, 13 rockets were fired in quick succession from Gaza into Israel. A CNN crew could see trails of smoke as they reported from the Israeli side of the Erez Crossing on Gaza's northern border.

The crew was forced to take cover after rockets struck near the border crossing.

Later, reporting from Gaza City, the crew witnessed airstrikes and plumes of black smoke in many parts of the city.

Read more: Violence flares as Israelis, Palestinians trade fire

Watch: Israel's deputy PM on Gaza strikes

Watch: Senior Hamas member on strikes in Gaza

Egypt watches with interest

The escalating violence is likely to further erode Israel's fragile relationship with Egypt, which recalled its ambassador to Israel on Wednesday in protest over the ongoing strikes. It also delivered a formal protest to the Israeli government.

On Thursday, when asked by CNN's Hala Gorani if treaties between Egypt and Israel are in danger, the chief of the Egyptian presidential cabinet said no.

"Not at all. Because we have declared several times, repeatedly, that we abide by our international commitments," Mohamed Refa'a al-Tahtawi said. "But respecting a peace treaty does not mean to stay idle or indifferent to what is going on along our borders.

A spokesman for Egyptian President Mohamed Morsy said the Arab League will meet Saturday in emergency session to discuss the violence.

"Egypt is taking all diplomatic measures with all parties involved to reach some sort of immediate truce or cease fire," Yaser Ali added.

A senior official in U.S. President Obama's administration told CNN that the White House is asking Egypt and Turkey -- two nations that have influence with Hamas -- to urge the group to de-escalate the rocket attacks.

But a Hamas deputy foreign minister told CNN: "I am in touch with the Egyptians they are very angry and very upset because they feel that Israel put a knife in their back" by attacking sites in Gaza.

Egypt's Prime Minister Hesham Kandil will travel on Friday morning to Gaza with a team of presidential advisers and ministers to meet with Palestinian officials.

U.N. Secretary-General Ban Ki Moon also will go to Egypt and Israel next week, because of the rising tensions between Israel and Hamas, a Western diplomat told CNN. The diplomat said the Secretary General has canceled a trip to Mozambique, Botswana, Seychelles and Mauritius to go to the Middle East.

CNN's Sara Sidner and Talal Abu-Rahma reported from southern Israel and Gaza City; CNN's Josh Levs and Chelsea Carter reported from Atlanta; CNN's Jessica Yellin, Saad Abedine and Joe Vaccarello as well as journalists Per Nyberg and Mohamed Fadel Fahmy contributed to this report.

@highlight

Israel says 422 rockets fired from Gaza into Israel in past two days

@highlight

Warplanes bomb sites in Gaza City overnight

@highlight

Both sides tweet photos of children struck by the violence

@highlight

Egyptian PM, delegation head to Gaza on Friday morning