(CNN) -- Clean water is vital to every single American. Families should be able to turn on the tap and have safe drinking water for their children, vacationers expect healthy rivers for fishing and swimming, and businesses need a steady supply of clean water to make products.

The administration is proposing a clean water rule to better protect America's most vulnerable waters -- the streams and wetlands that feed our larger rivers, lakes and bays. These bodies of water were clearly protected by the Clean Water Act when it was passed more than 40 years ago. Unfortunately, two convoluted Supreme Court decisions, actions of the previous administration and inaction by Congress have left these water bodies in a legal limbo. This poses a threat to all of us.

Without this common-sense new rule, about 2 million miles of streams and 20 million acres of wetlands are at risk. These bodies of water may seem small, but they form part of the drinking water supplies for more than one third of Americans.

Clean, healthy waters are also the engines behind a strong outdoor recreation economy. Nationally, hunters and anglers spent $90 billion in 2011 and wildlife watchers spent an additional $55 billion, according to the National Survey of Fishing, Hunting, and Wildlife-Associated Recreation.

These dollars translate into economic vitality -- filling beds in hotels and making the cash registers ring in restaurants and sporting goods stores. All told, hunting and angling expenditures contribute about $200 billion to the economy each year.

Like many Americans, I treasure our waters, and I am proud that I am able to manage my properties to preserve their natural streams, wetlands and grasslands.

On my Ladder Ranch in southern New Mexico, you can see the importance of small streams in action. These tiny streams, in a very arid area, support a diversity of animal and plant life that make this place special. In New Mexico, 55% of all vertebrate species depend on wetland habitats, and nearly 25% of the threatened or endangered species in the state live in wetlands.

It feels good to do my part to protect and restore small streams and riparian areas where I can. But water flows downhill. In order to ensure we have safe drinking water for all, communities upstream and downstream must work together.

I applaud the administration's initiative to restore Clean Water Act protections to these vulnerable waters and to keep them from pollution, and I urge the President to follow through and finish the effort this year. I urge members of Congress to support the Environmental Protection Agency's public process to clarify and restore these protections -- a public process called for by the U.S Supreme Court.

Our waters have been threatened by this uncertain status quo for more than a decade. We can't wait any longer. Now is the time to ensure the Clean Water Act effectively protects the water our children drink -- and the businesses that keep our economy strong.

Poll after poll shows that a strong majority of Americans value clean drinking water. I write now to add my voice to the chorus demanding clean water.

@highlight

Ted Turner: Clean water is vital, but sources of our rivers and lakes were not protected

@highlight

EPA will advance ruling to protect streams and wetlands, which have been in legal limbo

@highlight

Turner: If streams and wetlands become polluted, it poses a threat to all clean water

@highlight

Turner: We can't wait any longer for 40-year-old Clean Water Act to extend its protection