Washington (CNN) -- The Supreme Court will take another look at government regulation of air pollution in a high-stakes environmental and economic fight pitting the Obama administration against a coalition of states and utilities.

The justices announced Tuesday they had accepted six separate appeals for review, which will be consolidated into an hour of oral arguments scheduled for early next year. A ruling is expected by June.

At issue is whether the federal Environmental Protection Agency can tighten emission standards for stationary greenhouse gas sources, such as power plants, in what the government says is an effort to stem the effects of global warming.

The high court in 2007 affirmed the conclusions by much of the scientific community that greenhouse gases are an air pollutant, but that case dealt with emissions from motor vehicles. A range of business groups say the agency then improperly extended its regulatory authority.

Texas was among the states whose cases were accepted.

Climate change to drive annual temps to new highs within a generation, study says

The court rejected three other related appeals, including one from Virginia state officials: broader challenges to the EPA's power over carbon emissions.

Numerous environmental groups support the administration, saying the court's acceptance of only one legal question was a positive sign.

"Today's decision by the U.S. Supreme Court to deny numerous further legal challenges to EPA's science-based determination that six greenhouse gases threaten our nation's health and well-being is a historic victory for all Americans that are afflicted by the ravages of extreme weather," said Vickie Patton, general counsel of the Environmental Defense Fund. "Those decisions make it abundantly clear, once and for all, that EPA has the both legal authority and the responsibility to address climate change and the carbon pollution that causes it."

This is the second major environmental regulation case that will be heard this term.

The justices in December will decide the EPA's ability to measure emissions from an upwind state that is polluting a downwind state, requiring those upwind states to pay for greenhouse gas reductions.

Many business groups hope the conservative majority will limit the reach of government in this and a range of regulatory areas, which the Chamber of Commerce and others say is hurting the economy and stifling innovation.

"The EPA's illegal regulations threaten Texas jobs and Texas employers," Texas Attorney General Greg Abbott said of the agency's policies. "As Texas has proven in other lawsuits against the EPA, this is a runaway federal agency, so we are pleased the Obama Administration will have to defend its lawless regulations before the U.S. Supreme Court."

The new cases are Chamber of Commerce of the United States v. EPA (12-1272); Texas v. EPA (12-1269); Southeastern Legal Foundation v. EPA (12-1268); Energy-Intensive Manufacturers Working Group on Greenhouse Gas Regulation v. EPA (12-1254); American Chemistry Council v. EPA (12-1248); and Utility Air Regulatory Group v. EPA (12-1146).

Test your knowledge of the Supreme Court

@highlight

Coalition of states, utilities is challenging the government's authority to limit air pollution

@highlight

At issue is whether the EPA can tighten emission standards for all greenhouse gas sources

@highlight

The government says the tighter rules are an attempt to stem the effects of global warming

@highlight

Business groups say regulations are hurting the economy and stifling innovation