(CNN) -- Tragically, another celebrity has died after years of struggling with addiction, personal demons and multiple stints at rehab. Country singer Mindy McCready's death is in the headlines, but similar tragedies happen every day and you never hear about them.

Take the case of Wyatt D., who went to rehab at least 12 times for treatment of heroin addiction and whose family notified me last summer of his death from drug-related causes. Caroline R. went to rehab five times before medical complications related to severe alcoholism took her life. And Marnie M. died from a cocaine overdose after attending more than one famous rehab where she never received any professional psychological counseling for her troubled past. These aren't their real names, but sadly, they were real people.

All these people desperately wanted to overcome their drug and alcohol problems and, like McCready, they sought help. They attended some of the most recognized facilities in the country, only to be offered the same type of treatment over and over and to have it suggested that something was wrong with them when treatment failed.

Just this week, Drew Pinsky, who treated McCready on the third season of his show "Celebrity Rehab," said in reaction to her death, "Unfortunately, it seems that Mindy did not sustain her treatment." TV show hosts offered the typical platitudes: "Stay in treatment; treatment is effective; please get help."

I'll speculate that something else might have been going on with McCready, as it was for many of the more than 100 people I interviewed who had recently experienced the American addiction treatment system.

I visited 15 addiction treatment programs across the country -- from celebrity rehabs to high-end 12-step facilities to outpatient programs that treat indigent people.

The stories I heard illustrate what some studies show to be shortcomings of our drug and alcohol treatment system -- that the approaches tend to be one-size-fits-all, even at expensive residential rehabs -- and that patients often receive very little individual counseling. Instead, they participate in some form of group activity for around eight hours a day, not including meals, even though there is no evidence that group treatment is best for addiction recovery.

Some outpatient programs provide no one-on-one counseling at all. Many said they weren't comfortable sharing problems with peers and couldn't get sober until they found one-on-one treatment.

Although about seven out of 10 alcoholics who are encouraged to go to Alcoholics Anonymous during treatment drop out in less than a year, the 12 steps of AA are included in some form in the great majority of addiction programs. Research shows there are other ways to recover and many clients said AA didn't work for them. Still, they weren't told about other options, such as Women for Sobriety or SMART Recovery.

Rose T. thought her relapse after her first treatment might have been prevented had she been told about Women for Sobriety. She found the organization on her own and said, "To sit in a room with others like me makes me feel less alone." At AA, if addicts relapse, they're often told they must start over, losing their sober time, which can be a setup for a drug or alcohol binge rather than a fresh start.

Many programs are not using approaches that scientific studies find to be effective. For instance, only about two out of 10 programs use one of the FDA-approved medications for treating drinking problems, such as Naltrexone or Antabuse.

And some prominent programs that treat opioid addictions, heroin or prescription painkillers such as OxyContin, refuse to send patients home with the very medications that can help keep them sober or "clean." Research shows these medications, such as Suboxone and methadone, are the most effective approach for opioid addiction, and that they both lower the death rate and the relapse rate. I have talked with people who had struggled for years and finally found an end to their drug obsession when they received such long-term treatment.

A recent report in the journal Substance Use and Misuse that analyzed Dr. Drew's "Celebrity Rehab" found that "although many patients had histories of opioid use, there were no positive messages" about Suboxone or methadone -- in fact, the medications were portrayed as unacceptable treatment options. The authors believe that this further stigmatized methadone and Suboxone use and that many opportunities to provide science-based information were missed.

For people to get well, treatment for psychological problems or "demons" must be integrated into care for addictions, and by qualified professionals. Unfortunately, the standards for gaining the credentials to be addiction counselors, who provide most of the care at treatment programs, are woefully inadequate. According to a 2012 report by the National Center on Addiction and Substance Abuse at Columbia, 14 states don't require licensing or certification of all counselors, only six states require a bachelor's degree and just one requires a master's degree to gain credentials.

We'll never know if another episode or type of treatment would have saved Mindy McCready, but we do know that, for a significant number of Americans, business-as-usual addiction treatment isn't working.

The opinions expressed in this commentary are solely those of Anne Fletcher.

@highlight

Anne Fletcher: Tragedies similar to Mindy McCready's addiction and death happen often

@highlight

Fletcher went to 15 rehab programs and found one-size-fits-all addiction treatment

@highlight

She found lack of one-on-one counseling and no integrated mental health treatments

@highlight

Standards for certification of addiction counselors woefully inadequate