Hong Kong (CNN) -- Tsang Tsz-Kwan may look like an average student in Hong Kong with her standard-issue blue shift dress with a Chinese collar and sensible black shoes. But her ordinary appearance and shy manner mask a steely determination to triumph over tremendous odds.

She recently scored within the top 5% for nearly all her subjects in the city's college entrance examination -- despite being blind and severely hearing-impaired from a young age. She also lacks sensitivity in her fingertips, which denies her the ability to feel the raised dots of Braille characters.

Rather than admit defeat, the 20 year old found an alternative way to read Braille -- with her lips.

"In Primary 1 (the equivalent of Grade 1 in the United States), I noticed that she was always leaning forward," said Mee-Lin Chiu, a teacher at the Ebenezer School & Home for the Visually Impaired -- the only special needs school in Hong Kong dedicated to the blind.

"She told me it was because she could read more clearly with her lips than her hands."

Tsang herself admitted: "I know it's not a common approach and it sounds rather strange. Even I myself don't know how it came about," she added, calling it "miraculous."

In actual fact, the lips, tongue, and fingertips are particularly adept at spatial discrimination â€” they can perceive two points that are only 1-3 millimeters apart, according to the classic anatomy text, Field's Anatomy, Palpation and Surface Markings. In comparison, the legs or back of the hands can only detect two points with a separation of more than 50-100 millimeters.

While Tsang may not be the very first person to resort to lip-reading Braille, she appears to be a rare case. "This is the first I have heard of someone being successful using the lips," said Diane Wormsely, a professor at North Carolina Central University who specializes in education for the visually impaired. Chiu also said that Tsang was the only student at Ebenezer to have used their lips -- and is the sole case she is aware of in Hong Kong.

Lip-reading Braille is not without its challenges, however.

"Nobody could accept it in the beginning," Tsang said. "Even now, many people find it odd ... It's caused some embarrassment when I read in public places and in front of people that I don't have a close relationship with."

It also poses practical problems, as Braille books are typically large and heavy.

Nonetheless, Tsang said she is "grateful" to still have a way to learn about the world through the written word. Reading is one of her favorite past times -- a source of intellectual stimulation and psychological refuge.

She also believes she can transcend her disabilities through hard work, determination, and the willingness to push herself outside of her comfort zone.

"Without the courage to challenge myself, there is surely no possibility of success," she said.

At Ebenezer, her classes were comprised of only ten students, whose shared disability enabled them to easily build close friendships. All materials were prepared in Braille and teachers were specially trained to work with the blind.

But in Form 1 (the equivalent of Grade 7 in the United States), Tsang decided to leave the comfort of Ebenezer and move to a regular secondary school, wanting to immerse herself in a more authentic, mainstream environment. "I have to facilitate my adaptation to society when I finish my studies and have to enter the workplace," she said.

Her transition to the city's Ying Wa Girls' School was not always easy. Classes were much larger and teachers did not have specialized training to work with blind students. Tsang had to send all printed materials to Ebenezer or the Hong Kong Society for the Blind for transcription into Braille. Reading and writing took her twice the amount of time it did for her peers, she said.

She learned she had to be more independent and make a greater effort to express her feelings and needs with staff and students, who were welcoming but unaccustomed to dealing with a blind person.

One of her teachers, Kwong Ho-Ka, said that staff learned over time when to intervene to help her.

"If she needs something, she will let us know," Kwong said, adding that her fiercely independent student walked around the school campus unassisted, eschewing a walking stick and elevators and taking the stairs by herself.

Kwong, who clearly holds deep affection for her student, said that while Tsang was never bullied, social integration has been a gradual process.

"She has friends, but she's not part of some big group. For example, a gaggle of girls may be chatting about pop culture, but it can be difficult for her to enter the conversation. She may not recognize who is speaking in overlapping conversations and she lacks familiarity with pop culture."

Attending class with the same cohort of students over the past three years has helped a lot, Kwong said, and students have learned to make an effort to include Tsang in conversations.

Tsang said that she has made close friends. "I am grateful for their acceptance of me as a normal member of their social circle and throughout these years, they have given me a great deal of support and encouragement."

While her academic feats -- she scored 5**, the highest possible grade, for Chinese, English, and Liberal Studies, 5* for Chinese Literature and English Literature and 4 for Math â€” have won her much acclaim in Hong Kong, Tsang admits that she surprised herself.

"I was really astonished and excited when I heard that my results in some of the subjects were far from my expectations," she said. "I felt my hard work this year has finally paid off."

She hopes to study translation at university starting this fall to have a "balanced development in both Chinese and English."

"Whenever I come across some thought-provoking and touching books, I really wish I could translate them into different languages so as to share them with more readers," she added.

As she embarks on the new phase of her hard-won education, Tsang maintains matter-of-fact and philosophical. "The inconveniences and limitations (my impairments) bring will follow me my whole life ...and I must have the courage to face the facts...I'm going to treasure what I still have."

"I would like to encourage everyone to have the courage and perseverance to go through all the ups and downs in our lives because I know everyone has their own difficulties. But one thing is for sure: where there's a will, there's a way."

@highlight

Blind Hong Kong student learned to read Braille using her lips

@highlight

Tsang Tsz-Kwan unable to conventionally read Braille due to lack of sensitivity in fingertips

@highlight

She scored top marks within Hong Kong's college entrance examination