(CNN) -- Turkey's fraught relationship with France is set to erode further after the French Senate passed controversial legislation criminalizing any public denial of what the bill calls the Armenian genocide in Ottoman Turkey in 1915 -- a description Turkey has rejected.

Under the legislation, anyone denying the deaths were genocide could face a jail term and a fine of â‚¬45,000 ($58,000).

The lower house of French parliament passed the so-called Armenian genocide bill last December, prompting Turkey to recall its ambassador from Paris and to cancel certain bilateral visits between the countries. The French Senate then voted late Monday to approve the bill.

What do Armenians say allegedly happened in 1915?

Armenian groups and many scholars argue that starting in 1915, Turks committed genocide, when more than a million ethnic Armenians were massacred in the waning days of the Ottoman Empire.

The Turkish-Armenian controversy over the killings that took place last century has reverberated wherever diaspora communities representing both groups exist.

What does Turkey say happened in 1915?

Modern-day Turkey, which emerged after the collapse of the Ottoman Empire, has always denied a genocide took place in 1915. It argues instead that hundreds of thousands of Armenian Christians and Muslim Turks died from intercommunal violence, disease and general chaos -- not from a specific plan to eliminate Armenians -- around the bloody battlefields of World War I.

"It has always been a sensitive issue," said Dr. Katerina Dalacoura, a lecturer in International Relations at the London School of Economics. "Turkey has always refused to accept that it was a planned event. They argue that genocide only applies if it was a plan to exterminate people."

Why is France doing this now?

France formally recognized the killings as genocide in 2001.

As there is no new information or new recognition about what the facts are about events of 1915, some experts believe French President Nicolas Sarkozy may be using the genocide bill for political gain ahead of the country's presidential election in April.

"It's clear that President Sarkozy has put this on the table for electoral reasons - there is an Armenian community in France which will of course be voting," Christian Malard, Senior Foreign Analyst at France 3 TV, told CNN on Monday.

The bill has been applauded by Armenians, roughly 500,000 of whom live in France.

The bill's author, Valeri Bouyer from Sarkozy's ruling party, has denied any political motivation.

As for Sarkozy, he has said his country doesn't need an OK from another nation to develop its policies. In a letter to the Turkish government, he said the law is not aimed at any country, but only at addressing past suffering.

What is the public opinion in Turkey regarding the Armenian massacre?

Using the word genocide when talking about Armenia may not be as taboo as it once was, but Turks still chafe at the idea of other countries writing their history, says Fadi Hakura, Turkey Analyst at Chatham House, a London-based think tank.

"Things have been progressing, but the population does not like foreign powers defining their history," he said. "It generates a lot of misgivings."

How would passage of the genocide bill affect Turkey-France relations?

Ties between the two countries could now unravel further.

Turkey already recalled its ambassador from Paris and cancelled some bilateral visits between the two countries after the French lower house passed the bill in December, and Turkish Prime Minister Recep Tayyip Erdogan warned "this is only the first phase."

Erdogan has also accused France of committing its own genocide during the war in Algeria in the 1950s and 1960s.

"In Algeria, an estimated 15 percent of the population had been subjected to the massacre of French from 1945 on. This is genocide," Erdogan said at a conference in Istanbul last year.

"Algerians were burnt en masse in ovens. They were martyred mercilessly. If French President Mr. (Nicolas) Sarkozy does not know about this genocide, he should ask his father Paul Sarkozy. His father Paul Sarkozy served as a soldier in the French legion in Algeria in 1940s."

Once under French colonial rule, guerrillas in the North African nation fought a bloody war against the French presence there from 1954 to 1962.

The French Foreign Ministry shot back at Erdogan's comments, saying "we deplore excessive use of formulas and personal attacks that do not meet up to the standards of our mutual interest and of our relations. France recalls that it assumes with clarity and transparency its duty to remember the tragedies that have marked its history."

Erdogan has said that passage of the bill would result in Turkey initiating additional measures against France.

"This will create a lot of noise and difficulty in Turkey's overall relationships with France and other EU states that will complicate" Turkey's efforts to gain accession to the European Union, said Ross Wilson, a former U.S. ambassador to Turkey.

Turkey and France are NATO allies, and, according to official Turkish statistics, the volume of trade between Turkey and France from January to the end of October this year was more than $13.5 billion.

Do any countries recognize the killing of Armenians in Ottoman Turkey in 1915 as genocide?

Twenty countries do, including Germany, Sweden and Canada, according to Hakura.

The genocide debate is an annual source of tension between Turkey and the United States, also two NATO allies. The White House, for example, annually beats back efforts in Congress to pass a resolution which would formally recognize the 1915 massacre of Armenians as genocide.

CNN's Izzy Lemberg and CNN Wires contributed to this report.

@highlight

French Senate passes bill criminalizing public denial of Armenian genocide in Ottoman Turkey in 1915

@highlight

Armenians say Turks committed genocide against more than a million Armenians in waning days of Ottoman Empire

@highlight

Turkey says the deaths were due to war, disease and chaos -- not to a specific plan to kill Armenians

@highlight

Genocide bill threatens to further destabilize relations between France and Turkey