(CNN) -- I recently interviewed more than 60 chief executives of very large global companies. Virtually all of them said that recruiting and promoting general managers with true leadership potential was the key ingredient to their organization's long-term success. Fair enough. But the CEOs were then quick to admit that this task is much easier said than done.

Time and again, externally recruited "stars," as well as freshly promoted general managers from within their companies' ranks, failed to live up to lofty expectations. This leads to an important question: Why are we bad at picking good leaders?

The short answer is, we focus on all the wrong things, like a candidate's charm, their stellar résumé or their academic credentials. None of this has any bearing on leadership potential. And despite claims to the contrary, even a candidate's past results have little bearing on whether the promoted individual will succeed once promoted.

Want to be a leader? Act like one

At best, a "track record" tells only half of the story. In a new position, the candidate will have to face new obstacles, deal with a new team, manage more people introduce new products and do it all without a clear road map.

So what qualities should you focus on before handing out the next big promotion or making big promotion decision? One thing is certain: You better get it right. Nothing short of your reputation, and your organization's success, are at stake.

Let's cut to the chase. There are seven fundamental leadership qualities that the candidate must possess to be effective. Take just one of these away, and sooner or later, the newly elevated manager will fail. Having studied the careers of nearly 1,000 executives, over the past decade, it is clear to me that failure results when a leader lacks of one or more of these seven attributes.

Integrity

It all starts with integrity. Like a foundation for any well-constructed house, integrity is the core foundation for leadership effectiveness. It is a blend of honesty, consistency and ethics. Once integrity is squandered or even thrown into doubt, it is very hard for a leader to regain the trust of his or her troops.

Passion

Yet integrity alone doesn't matter without several other key attributes. Passion, for example, enables a leader to keep moving forward even in tough times.

Jeff Bezos, the CEO of Amazon, was ridiculed in 2001 for clinging to a company that many called "Amazon.bomb." It is now valued at $89 billion. Bezos told me that it was his inner passion that fueled his drive to keep pushing forward even in the darkest days of the dot-com crash, when the company was teetering on the brink of collapse.

Courage

Courage, another make-it-or-break-it quality, is necessary to make the difficult decisions when facing conflicts and mediating adversity. Courage springs from a leader's core values and commitment to a vision.

Vision

Without a compelling vision or destination, how can a boss effectively persuade people to embark upon a new direction? Visionary leaders inspire employees to imagine a better future and work hard to achieve it.

Steve Jobs: How to lead with purpose

Judgment

Actually achieving this vision, however, requires judgment. Good judgment allows the leader to make solid business decisions and choices. When I assess an aspiring leader, I want to see whether she can confront a complex new challenge and quickly zero in on the most important issues.

Does she ask good questions? Can she prioritize and make difficult tradeoffs? Does she know where to focus and where not to waste her time and energy? Even when looking at an individual piece of the problem, does she keep the entire chessboard in mind, recognizing the potential unintended consequences of her decisions? Judgment is needed to develop a strategy that will enable the organization to achieve its vision.

Empathy

No matter the organization, diversity of its people is the one constant. Each team member has a different personality, motivation and underlying agenda. Empathy is the attribute that allows a leader to effectively understand what makes other people tick.

Identifying the fundamental drivers of their bosses, peers and subordinates is critical. Same goes for getting people aligned and motivated around their common goals. Outside your specific organization, it is invaluable that a leader be able to quickly and accurately figure out why an important customer seems dissatisfied, even though they say everything is fine.

If a potential employee doesn't have empathy, they have very little chance of getting these, and many other, important constituents on their side. Lack of empathy is a key reason why otherwise analytically brilliant leaders often come up short.

Emotional intelligence

While empathy is externally focused, another key leadership attribute, emotional intelligence, is internally focused. An emotionally intelligent leader habitually takes a hard, honest look at himself and accurately discerns his strengths, weaknesses and blind spots. Putting personal pride aside, he actively solicits the input of others and incorporates the team's best ideas into the overall action plan.

Without emotional intelligence, hubris sets in, and a leader will overestimate his own ability and alienate others. Even though the hubris may convince him that he can bite off more than he can chew, subordinates will not be so blind. A leader who continuously lets down his or her team won't stay in the organization's good graces for long. From my vantage point, a lack of emotional intelligence is probably the top derailer of previously successful managers moving into fundamentally new and ambiguous roles.

These seven leadership attributes -- integrity, vision, judgment, passion, courage, empathy and emotional intelligence -- are all the hallmarks of great leaders, regardless of industry or geography. By gearing any candidate assessment towards these traits -- and away from false predictors of success, like a sparkling personality, a polished résumé or good interview skills -- you will be one big step ahead of the rest of the crowd who are still scratching their heads wondering why they are so bad at picking good leaders.

The opinions expressed in this commentary are solely those of Jeffrey Cohn.

@highlight

Business leaders often picked based on charm or academic credentials, says Jeffrey Cohn

@highlight

He says past results have little bearing on whether someone will succeed once promoted

@highlight

Cohn lists seven qualities a potential leader must possess to be effective