(CNN)A gleaming, modern airport terminal reduced to shattered concrete and twisted metal. Charred cars in the parking garage. The sound of artillery shells exploding nearby.

These are the sights and sounds that CNN's Nick Paton Walsh observed in and around the besieged city of Donetsk in eastern Ukraine.

Six months ago, Donetsk's once proud Sergey Prokofiev International Airport was still in use.

But the worsening conflict between Ukrainian forces and pro-Russian separatists in eastern Ukraine has transformed it into a scene of devastation -- a symbol of the wider destruction that's left the Donetsk region reeling.

Civilians are increasingly falling victim to the fighting, with at least 224 killed and more than 540 others injured in the final three weeks of January, the U.N. high commissioner for human rights said Tuesday.

The fighting has been among the fiercest in decades in Europe.

In Debaltseve, about 45 miles northeast of the city of Donetsk, a stream of civilians has fled the shelling.

The town has been the scene of bloody conflict in recent days as separatist forces seek to surround Ukrainian troops.

A morgue in nearby Artyemovsk is full with the bodies of fighters and civilians who didn't make it to safety in time.

There, CNN's Paton Walsh saw one soldier torn in half, placed in a body bag. Morgue staff who said they'd seen 200 bodies in the past month were working 24 hours a day to try to keep up with the number coming in.

In Debaltseve, some civilians sought refuge underground in the basement of a building. But after a shell hit it, leaving a gaping hole in its side, they, too, fled.

Some who spoke to CNN after evacuating to Artyemovsk aboard ramshackle buses say their politicians have failed them.

One, who gave his name as Pavel, told CNN, "Me, personally, I'll take any ruler, just don't kill me. All I want is bread and salt, just don't kill me."

A woman sitting next to him said, "We're hostages of the situation."

Pavel added, "Big politics is interested in killing simple people. They shoot and shoot and kill us."

The sense of anger is growing in Artyemovsk, where a group of women gathered in the town center despite the cold and rain to protest against the war.

Ukraine's army is so underfunded that its politicians are hamstrung, but that has not exempted them from blame for the suffering of local people.

"We use snow to clean ourselves," said one young woman, clearly emotional. "And our new president didn't do anything. Absolutely nothing. Nobody cares about anything."

Another woman said, "When they bombed one town, I waited until 5 in the evening, just to move my 2-year-old granddaughter to the train. The Ukrainian army bombed us because separatists were there."

Meanwhile, the road to Debaltseve still heaves with Ukrainian armor as the government seeks to hold off the separatists' advance.

Kiev and the West accuse Russia of sending military personnel and equipment across the border into Ukraine to bolster the separatist forces. Moscow denies the allegation.

The conflict's total death toll since mid-April, including combatants and civilians, is now at least 5,358 -- an increase of 272 in less than two weeks -- with another 12,235 injured, the United Nations said Tuesday.

Forces indiscriminately shelled residential areas in government-controlled territories such as Debaltseve and Avdiivka and rebel-held cities such as Donetsk and Horlivka as fighting escalated last month, U.N. High Commissioner for Human Rights Zeid Ra'ad Al Hussein said.

"Bus stops and public transport, marketplaces, schools and kindergartens, hospitals and residential areas have become battlegrounds in the Donetsk and Luhansk regions of Ukraine -- in clear breach of international humanitarian law which governs the conduct of armed conflicts," the high commissioner said in a statement.

Last month's most deadly single incident involving civilians occurred in the southeastern city of Mariupol when two attacks involving multiple-launch rocket systems killed at least 31 people and injured 112 others, the United Nations said.

"Any further escalation will prove catastrophic for the 5.2 million people living in the midst of conflict in eastern Ukraine," the high commissioner said.

The U.N. official called on nations with influence in the region to pressure the combatants to return to a ceasefire agreement reached in September in Minsk, Belarus -- a deal that eroded long ago.

His office also expressed concern about "the implications of the harsh winter months on civilians in conflict-affected areas, with shortages of food and water and power cuts."

As the situation deteriorates, the United States is considering sending lethal aid to help the Ukrainian government fend off attacks from pro-Russian rebels in eastern Ukraine's Donetsk and Luhansk regions.

This assistance would come in the form of so-called defensive lethal aid, which could include anti-tank, anti-air and anti-mortar systems.

The New York Times first reported the possible change in policy, saying NATO commander Gen. Philip Breedlove is in support of the new lethal assistance, and that Secretary of State John Kerry; Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff; and national security adviser Susan Rice are all open to considering the idea.

A U.S. official told CNN that military leadership supports defensive lethal aid being part of the discussion, but the administration is still trying to assess what reaction it could elicit from the Russian government, which the United States maintains is backing rebels in eastern Ukraine.

@highlight

At least 224 civilians killed and more than 540 hurt in last three weeks of January, U.N. says

@highlight

Bus stops, marketplaces, schools and hospitals have become battlegrounds, official says

@highlight

The fighting in eastern Ukraine has been among the fiercest in decades in Europe