(CNN)  -- I spent a restless night, worrying that another man-made disaster might devastate my beloved hometown, New Orleans, just as its post-Katrina motto "Recover, Rebuild, Rebirth" was becoming real.

The oil spill couldn't come at a worse time. Everybody was so up, waiting for the inauguration of our newly elected Mayor Mitch Landrieu.

The BP oil spill threatens New Orleans and the entire Gulf Coast in a way that's more insidious than Hurricane Katrina. After all, the failure of the levees and the response from the previous administration, widely criticized for incompetence and indifference, followed an act of nature: the destruction, immediate; the impact, obvious; and the pain and suffering, visible to all.

The BP disaster has only one cause: human greed, and the almost inevitable result, negligence. The immediate tragedy was that 11 people died. But the destruction that will result from BP's "crude river" will be long-term and the impact far from obvious. The "crude river" will spawn streams of suffering: economic, environmental and emotional.

So as the "Big Muddy" fights the "Big Cruddy," how do we assess the players? And what actions should be taken against rigged disasters, both once and future?

First, we must hold BP accountable and responsible. Was it an accident? Only if we define "accident" as negligence.

The failure of the "shear ram," the set of steel blades intended to slash through a pipe at the top of a well and close off the flow of crude, should not have surprised BP or the corporations that work for it. Eight years ago, the Minerals Management Service found that 50 percent of the shear rams tested failed. So calling the failure of the "last resort device" an accident is like calling the damage caused by a drunken driver an accident. Failure to take the proper precautions is not an accident; it's negligence.

BP has rightly accepted responsibility. We may grant the company a skeptical benefit of the doubt regarding its willingness to pay for the cleanup and the damages. We should, however, monitor its PR-to-payout ratio.

But we should not lose sight of the role of companies like Halliburton, under investigation because it was responsible for the cement seal that apparently leaked; Cameron International, which supplied the rig's blowout prevention system; or Transocean, which manufactured the rig.

As the federal government begins its investigation, it should ask not only who was negligent, but why. To what extent did profit preclude prudence?

Since BP can't contain the spill -- rather, the river, which is what it really is -- government at all levels must do what it's supposed to do, and do it right. For example, officials should carry out Plaquemines Parish President Billy Nungesser's plan to deploy local fishermen with booms on movable platforms in the Gulf, ready to "draw a line in the sand," depending on how the oil moves. Gov. Bobby Jindal has approved.

Already the response from the Obama administration exceeds that of the federal response to Katrina, and the oil hasn't yet begun to cause the catastrophic damage we all fear.

The morning after the explosion, Deputy Secretary of the Interior David J. Hayes was sent to the Gulf. The morning after the explosion, Deputy Secretary of the Interior David J. Hayes was sent to the Gulf.

President Obama began monitoring the situation, staying in contact with the governors of the five Gulf states, making sure every available resource be at their disposal and ordering a coordinated Cabinet-level response.

Here are a few authorizations the president has made, before his personal visit.

• The U.S. Coast Guard; the Departments of Homeland Security, Commerce and Interior; and the Environmental Protection Agency immediately began directing and overseeing BP's response.

• The Navy is using advanced technology and working with the Coast Guard to contain and disperse the oil.

• The Departments of Homeland Security and Interior will be investigating the cause and inspecting all platforms and rigs in the Gulf.

• The secretary of defense is authorizing the Louisiana National Guard to help communities in the cleanup and to protect critical habitats from contamination.

But Obama has to let people know what's being done, what will be done, and that he takes this personally. He needs to express, perhaps as only he can, that the federal government gets it. He gets the plight of the fishermen, the restaurants, the waiters, the taxi drivers -- the economic ripple effect and the environmental tide of disaster.

This is a visual and visceral crisis. If he handles it right, it will be known as a sign of Obama's competence. Obama can't split the sea, but he must help to plug the Gulf.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: Oil spill comes as her hometown of New Orleans is on the mend

@highlight

Brazile: Greed, negligence caused BP oil spill, death toll; suffering to be long-term

@highlight

50 percent of "last resort devices" that didn't work this time failed in 2002 tests

@highlight

Besides BP, she writes, companies behind failed device must come under scrutiny