(CNN) -- American drivers across the country are rejoicing at falling gasoline prices, but the world's oil producers are understandably less thrilled at the drop in revenues. That discontent could devolve into something more serious: instability, and even unrest.

And that, in turn, would drive prices back up, leaving no one feeling happy.

This is a hard cycle to break. Ultimately, there's only one way out, and that's to depend less on oil, for both producers and consumers.

In the meantime, the U.S. economy will just adjust to lower prices, even if that adjustment is painful for some companies and their investors. That may be true almost nowhere else in the world.

A number of oil-producing countries may have trouble paying their bills if oil prices stay below a certain level. Expert opinion generally puts that level between $80 and $100 per barrel, but given how much money goes missing in most oil-producing countries, it's hard to be sure about that breaking point. No one really knows the price elasticity of corruption.

In countries that are already experiencing unrest -- and unrest often goes hand in hand with oil wealth -- any shortfall could spell disaster. Some producers are more vulnerable than others. Norway, for example, will be fine. The country has a fairly diverse economy, a well-run national oil company that plays by the rules, and a democratic government. Saudi Arabia, like Norway, has a large sovereign wealth fund, which the country is actively using now to weather price volatility.

There may even be a silver lining for the U.S. in the case of some countries. For Russia and Iran, already feeling the bite of international sanctions, the domestic pressure that comes with low prices may prompt their leaders to be more accommodating in international negotiations. At least for now.

It's the countries that are already in deep trouble, such as Iraq and Libya, that are truly at risk. Oil income has been propping up embattled central governments, but with less money to ensure political and popular support, and the ongoing assaults, these governments could fall.

But there are other less obvious, but no less consequential, producers at risk.

Consider Nigeria, an important global supplier with the 26th largest GDP in the world. Nigeria should have everything going for it, but instead, the country ranks 153rd out of 187 countries in the United Nation's human development index, rating low in everything from life expectancy to education.

The nation's highly corrupt energy sector is partly to blame. 2015 is an election year for Nigeria, and if the unpopular President, Goodluck Jonathan, lacks the patronage dollars to spread around and won't step aside, expect problems.

Venezuela is not much better off. Still an important trade partner for the U.S., the country's oil production is in steady decline, even though Venezuela has the largest petroleum reserves in the world. The Chavez era was tough on Venezuela's once-respected national oil company, featuring political purges and a devastating strike.

If the increasingly decrepit energy sector can no longer bankroll social programs, that will roil an already unsettled population. Energy subsidies to other Caribbean nations may well be the first thing to go, and U.S. refiners will feel the bite, too.

One of the top energy trading partners for the U.S., Mexico, has seen its production drop by almost a quarter in the last decade. Mexico's largest field, Cantarell, has long been in decline, and the national oil company lacks the technical expertise to drill new deepwater sites. The Pena Nieto government is currently shepherding through reforms that could change that picture, but lower prices could be a complication, given that 30-40% of government revenues come from oil.

All of this instability is bad news for U.S. national security -- but also for the American consumer. This is the cruel full circle of the global oil market: unrest provoked by low oil prices in these countries can run prices back up.

The United States is still a net importer of petroleum, and even if that should change -- which is possible -- the United States will remain tied to the global oil market. Their crises will be our crises.

So, while it's nice to get the break at the gas pump and the economic benefits of an energy boom at home, the national security price of oil remains high. In the near term, the United States should be doing everything it can to diversify global energy suppliers, including allowing exports of U.S. crude oil.

In the long term, the only way out is a sustained, long-term investment in the alternatives to petroleum. This is a critical but not a quick fix, given the scale of global oil consumption and the technological challenges involved. It would help to be strategic and consistent in these investments: innovation in the transportation sector is especially important, for example, given its near-total dependence on oil.

Of course, if the U. S. succeeds in energy innovation, that will in itself be destabilizing for other oil-producing countries. Ultimately, the only way out is for them is to diversify their economies and promote good governance and rule of law for their energy sector. That is something they have to do for themselves, but the U.S. should do everything it can to press, persuade, and support such reforms as a matter of national security, no matter how much oil we produce at home.

Join us on Facebook.com/CNNOpinion.

@highlight

Oil prices have dropped sharply around the world, easing gasoline costs for U.S. drivers

@highlight

Sharon Burke: Be careful what you wish for; lower prices can have a downside

@highlight

She says they could foster instability in nations like Iraq and Libya that are dependent on oil

@highlight

Burke: Some oil-producing countries could have trouble paying bills if price stays below $80