(CNN) -- Nearly half of the nation's states have new voting measures that could stop some Latinos from heading to the polls in November, a civil rights group said Monday.

"This year, an unprecedented number of voting restrictions impose barriers to voting that disproportionately affect the Latino community," said a report from Advancement Project, which has also sued to block such voting measures in a number of states.

Monday's report from the organization, which pushes to protect voting rights, was the latest volley in a national battle over such measures that splits largely along party lines.

Advancement Project's report points to three different types of efforts in 23 states that it says will impact eligible Latino voters: efforts to purge rolls of non-citizen voters, proof of citizenship requirements for voter registration and photo ID laws.

Campaigns battle over narrow groups of voters

It is difficult to calculate exactly how many Latinos could be affected, Katherine Culliton-Gonzalez, director of voter protection for Advancement Project, told reporters in a conference call Monday.

Based on U.S. Census population data of eligible Latino voters in the 23 states with what Advancement Project calls "voter suppression policies," she said, the organization estimates that obstacles could deter or prevent more than 10 million Latino citizens from registering and voting in the 2012 elections.

Romney steps up effort to woo Latino voters

But one conservative Hispanic leader said Monday that the group's estimate sounds "completely ridiculous."

"It is a number that simply is not believable," said Rosario Marin, an advisory committee member for the Hispanic Leadership Network and a former treasurer of the United States during President George W. Bush's administration.

Advancement Project said its figure was a conservative estimate, pointing to letters it says Florida officials sent to thousands of registered voters asking them to prove their citizenship or be purged from the voting rolls.

The intimidating impact of such letters extends far beyond those directly involved, Culliton-Gonzalez said Monday.

"Discrimination works that way," she said. "It exponentially affects the entire community."

And, she said, it can influence the results of the election.

But Marin said voter ID laws were a positive step.

"It's something very important so that we have integrity of the vote. When it is not done, there are questions about whether in reality people have the right to vote," she said. "When we have the identification it eliminates the need for any questions."

Advancement Project's report said the organization's arguments are based on an analysis of government documents and data, media reports and scholarly works.

The organization has been involved in a number of legal challenges to recent state voting measures, including a high-profile case over Pennsylvania's controversial voter ID law, which requires voters to present a state-issued photo ID.

Earlier this month, the Pennsylvania Supreme Court sent the lawsuit back to a lower court to assess the availability of alternative forms of identification and whether the new law disenfranchises voters.

The law's backers argue that it strengthens voting procedures and protects against fraud.

Gov. Tom Corbett, a Republican, signed the law in March after its passage largely along party lines. He said it "sets a simple and clear standard to protect the integrity of our elections."

Justice Department approves New Hampshire voter law

In its report Monday, Advancement Project countered that evidence shows that in-person voter fraud is "virtually nonexistent."

"This is an overly broad method of trying to solve a problem that doesn't even exist that has a disparate impact on people of color," Culliton-Gonzalez said.

Debate over the Pennsylvania measure and other similar efforts across the country has largely split along party lines. Republican supporters have argued that the laws would help to fight fraud, while Democrats make the case that the new measures aid Republicans in the voting booth by limiting minority turnout in crucial battleground states.

CNN's Halimah Abdullah, David Ariosto and the CNN Political Unit contributed to this report.

@highlight

A new report is the latest volley in a battle over state voting rules

@highlight

Such measures "disproportionately affect the Latino community," group says

@highlight

The civil rights group is involved in lawsuits challenging the laws

@highlight

A conservative Hispanic leader says the report's assertion is "not believable"