LONDON, England (CNN) -- The election of 736 members from 27 member countries to the European Parliament in June will be the biggest transnational electoral contest there has ever been.  Between them they will represent more than 500,000,000 people.

About 375 million EU citizens aged 18 or over are entitled to vote.

But few understand how the low-profile Parliament affects the lives of EU citizens. Here are answers to the most frequently asked questions about the contest.

Who will be voting, when and where?

About 375 million EU citizens aged 18 or over are entitled to vote in the election of the parliament members for a five-year term. The elections will be held on Thursday, June 4 in the UK and the Netherlands. There will be voting on Friday, June 5 in Ireland and the Czech Republic. And it will begin on Saturday, June 6 in Cyprus, France, Italy, Latvia, Malta and Slovakia. The other countries will conduct their voting on Sunday, June 7. Elections will take place in all 27 member countries of the EU, with the citizens of Bulgaria and Romania included for the first time.

How many MEPs are there and how many does each country elect?

There will be 736 Members of the European Parliament (MEPs) in the new assembly. The number each country has varies according to its population. Germany, with a population of 82 million, the biggest among EU states, will have 99 members. Malta, with a total population of just 410,000, will have only 5.

Will that number stay the same if the Lisbon Treaty comes into effect?

No. The Lisbon Treaty, designed to give the EU a new streamlined constitution for the EU (and to increase the powers of the European Parliament,) has been put on ice following its rejection in a referendum in Ireland, the only country to give electors a direct voice. But the Irish are due to vote again in the autumn. If they then vote Yes and all remaining EU states ratify the treaty, then the Parliament will be increased from 736 to 751 members on a different distribution formula. That means that 15 'ghost MEPs', will be elected on June 7, entitled to attend the Parliament but not to vote in it until the Lisbon Treaty goes through.

What election system is used?

That varies according to the individual states represented, but all will be using some variant of proportional representation. In some countries candidates will all be on a single national list, making the entire country a constituency. Others elect MEPs from regional constituencies. Many countries set a threshold, insisting that parties have to gain an overall proportion of the vote -- 5 per cent in France and Germany, 4 per cent in Sweden or Austria -- to qualify for any allocation of seats.

Whom do the MEPs represent?

Most would-be MEPs contest the elections with the endorsement of national political parties. National parties such as the Christian Democrats in Germany or the Labour Party in Britain put up approved lists of candidates. But when they are in the European Parliament the MEPs mostly operate in wider groups of left or right such as the Socialist Group (PES), the Liberal Group (ELDR) or the European Greens. The main conservative grouping is the European Peoples Party (EPP). However, David Cameron, the national leader of Britain's Conservatives, has withdrawn his members from the EPP, regarding it as too federalist in its approach. The groups work as a bloc when they can and have "whips" designed to make them as cohesive as possible.

What powers do the MEPs have?

Much legislation in member states actually originates at a European level. National legislatures pass laws which have begun life as directives from the European Commission, the EU executive arm, which the MEPs have helped to shape. They are the only elected part of the European apparatus which is otherwise dominated by European Councils (meetings of the prime ministers or finance or trade or interior ministers from the 27 nations) or the European Commission.

Do MEPs really make much difference to ordinary people's lives?

It may not feel like it, day to day, but MEPs often have more influence over the shaping of European legislation which filters down to national parliaments than the members of those national parliaments do when the laws get to them. Recent EU laws which have affected citizens directly include the "roaming directive" which restricted the charges mobile phone companies can impose on customers for calls in countries other than their own.

EU directives have helped initiate the era of cut-price air travel. It was the EU which determined that telephone and data companies had to keep records for at least two years to help counter terrorism . And the so-called "REACH" directive has forced businesses to disclose what chemicals they use in their products and to ensure that they are safe.

Because driving legislation through the European Parliament requires the building of cross-party coalitions more than 50 percent of amendments proposed in the European Parliament end up as law. That is why company lobbyists spent much time in Brussels trying to make their case to MEPs.

But does the Parliament have any muscle?

It has the rather drastic power to sack the European Commission. It also holds public hearings on newly-appointed Commissioners. The Parliament also has significant powers over how much of the European Union budget is spent. Although most legislation originates with the Commission, if more than 50 percent of MEPs back a resolution calling for new laws in a particular area the the Commission has to get down to work to propose some.

The EU is one of the largest aid donors in the world, dispensing some $15 billion a year across five continents and MEPs have a significant say in that.

Where is the European Parliament situated?

Most of its meetings are held in Brussels close to the officials whose draft legislation is examined by the Parliament's subject committees. But, at a considerable cost, some plenary meetings are also held in Strasbourg, an arrangement which the French government has fought long and hard to maintain.

@highlight

Election will be the biggest transnational electoral contest ever

@highlight

About 375 million EU citizens aged 18 or over are entitled to vote

@highlight

Elections will take place in all 27 member countries of the EU

@highlight

Much legislation in member states actually originates at a European level