(CNN) -- Quick: Which U.S. president has authorized wars of various kinds in seven Muslim countries?

If you guessed Barack Hussein Obama, you are correct.

Many did not think it would turn out this way. Early on in his presidency, on June 4, 2009, Obama delivered a widely anticipated speech in the Egyptian capital, Cairo, which was billed as the start of a "reset" with the Islamic world.

President George W. Bush was, of course, widely reviled among Muslims for his invasion of Iraq and the prisons at Guantanamo and Abu Ghraib.

Many Muslims hoped that the first African-American president, who had opposed the Iraq War as a candidate, would be quite different than his predecessor.

In Cairo, Obama declared, "I have come here to seek a new beginning between the United States and Muslims around the world; one based upon mutual interest and mutual respect; and one based upon the truth that America and Islam are not exclusive, and need not be in competition."

Crucially, Obama also said in the Cairo speech: "We will, however, relentlessly confront violent extremists who pose a grave threat to our security. Because we reject the same thing that people of all faiths reject: the killing of innocent men, women and children. And it is my first duty as President to protect the American people."

Those who listened to the President's speech mostly heard that he was extending an olive branch to the Muslim world and largely ignored the fact that during the same speech he had also made a rather robust defense of the American war on al Qaeda and its allies.

A similar dissonance happened a few months later when the President went to Norway to accept the Nobel Peace Prize. The jurors who awarded the prize (and many who voted for him in 2008) seemed to have conflated Obama's opposition to the Iraq war with his presumed opposition to war in general.

The President was surely the first recipient of the Nobel Peace Prize to use the opportunity provided by his acceptance speech in Oslo to explain his philosophy of just and necessary wars.

At Oslo, Obama said, "I face the world as it is, and cannot stand idle in the face of threats to the American people. For make no mistake: Evil does exist in the world. A nonviolent movement could not have halted Hitler's armies. Negotiations cannot convince al Qaeda's leaders to lay down their arms. To say that force is sometimes necessary is not a call to cynicism; it is recognition of history, the imperfections of man, and the limits of reason."

As it turned out, Obama was one of the most militarily aggressive American presidents in decades, authorizing military operations of various kinds in seven Muslim countries: Afghanistan, Iraq, Libya, Pakistan, Somalia, Yemen and, now, Syria.

The bombing of Syria is the first time the United States has mounted a full-scale war since World War II without any one of the following

-- A U.N. resolution authorizing force.

-- As part of a NATO operation.

-- An Arab League resolution in favor of military action.

-- A specific U.S. congressional authorization for war in another country.

-- The invitation of the host country to conduct military operations as we have recently seen in Iraq, where the Iraqi government has been begging for U.S. military intervention.

Do the thought experiment where George W. Bush had gone to war in another Middle Eastern country without the cover of a U.N. resolution, or of a NATO operation, or of Arab League approval, or of a specific congressional authorization. The howls of protest from American liberals and the Muslim world would surely have been deafening.

Instead there have been no protests. That's partly because of the adept manner with which the Obama administration assembled a Sunni coalition of the willing -- Saudi Arabia, Qatar, Jordan, the UAE and Bahrain â€” to help with the airstrikes.

How Obama came to launch strikes in Syria

But it partly must be something to do with the fact that so many of his critics, and even his supporters, regard Obama as some kind of peacenik.

In fact his record shows him to be anything but:

Consider that he mandated a threefold increase in the number of American troops in Afghanistan, from 30,000 soldiers at the end of the Bush administration to 90,000, a surge of troops that played a critical role in blunting the Taliban's momentum, which had gathered strength in the final years of Bush's second term.

Consider that under Bush there were 48 CIA drone strikes in Pakistan. Under Obama there have been 328, which have killed some two-dozen al Qaeda commanders, according to a count by New America.

Consider that under Bush there was only one CIA drone strike in Yemen. Under Obama there have been 99 drone strikes and 15 airstrikes, which have killed more than three-dozen of the group's senior operatives there.

Obama is also the first American president to authorize the assassination of a United States citizen, the New Mexico-born al Qaeda operational commander Anwar al-Awlaki, who was killed in Yemen in a drone strike in 2011.

The same year Obama initiated the alliance that overthrew the Libyan dictator, Moammar Gadhafi.

Obama has also waged an effective covert war in Somalia against the al Qaeda affiliate based there, Al-Shabaab, whose leader, Ahmed Godane, was killed in a U.S. airstrike earlier this month.

And Obama, of course, also authorized the risky U.S. Navy SEAL mission that killed al Qaeda's founder, Osama bin Laden, in 2011 in Abbottabad, a city deep inside Pakistan.

This is not the record of someone who is afraid to use American power, as his critics would have it, but rather a president who is comfortable exercising American hard power even in a country like Syria, where he has launched a war without the kinds of specific international or congressional authorizations other presidents have sought since World War II.

@highlight

Peter Bergen: President Obama has authorized wars in seven Muslim countries

@highlight

Although he opposed Iraq war, Obama hasn't been at all shy about using force, Bergen says

@highlight

Obama's outreach to Muslim world, Nobel Prize may have given wrong idea, he says

@highlight

Bergen: Latest war in Syria launched without support from U.N. or Arab League