(CNN) -- It takes seven minutes to execute a death row inmate, according to the state of Texas.

Mike Graczyk poses outside the Texas death chamber prior to an execution in January.

At that rate, Mike Graczyk has spent about 40 hours of his life watching men -- and a few women -- die.

Graczyk, a correspondent for The Associated Press, is believed to hold a macabre record. He's almost certainly watched more executions than anyone else in the United States.

"I can't possibly imagine there's been someone present at more than Mike," said Michelle Lyons, the spokeswoman for the Texas Department of Criminal Justice, which uses lethal injection at its execution chamber in Huntsville.

Since the death penalty was reinstated in 1976, no state has executed more inmates than Texas. And no one has witnessed more of them than Graczyk.

He's on the witness list for 315 of the state's 439 executions -- more than any other reporter, prison employee or chaplain --  and no records were kept for another 80.  Interactive map: See how Texas compares with other states »

In his early days, he kept count. But he eventually stopped. He didn't want to know.

"In one circle, I was perceived as putting notches on my gun belt," the 59-year-old reporter said. "I didn't like that."

Prison regulations in Texas require The Associated Press to be given one of the five designated media witness passes for each execution.

Graczyk works in the AP's Houston bureau -- it's closest to the state's execution chamber in Huntsville. Since the early 1980s, he's made the hourlong drive north almost every time an inmate has faced the needle.

The first was March 13, 1984, for the execution of James "Cowboy" Autry, convicted of shooting a female store clerk between the eyes with a .38-caliber revolver while arguing over a six-pack of beer.

She died, along with a former Catholic priest that Autry killed at the crime scene.

"The first time definitely leaves an impression on you," Graczyk said.

There are others that stand out along the way.

Graczyk remembers Bob Black, convicted of killing his wife and trying to collect the insurance money.

"I walked into the death house, and he was strapped to the table and he said, 'Hey Mike, how are you doing?' It threw me for a loop."

Graczyk said it's normal for him to know the name of the condemned and not uncommon for the reverse to be true. There have been others who greeted Graczyk by name with a needle in their arm.

Once, while waiting to be let into the death house, a prisoner phoned him in the media holding area.

It was the inmate whose execution Graczyk was about to witness.

"He said, 'I just wanted to call and make sure you were OK.' I was flabbergasted."

Over the years, the inmate's name has slipped from Graczyk's memory, but not the unexpected phone conversation.

"I don't think he had any family to call," he said.

There was Ponchai Wilkerson, who once nearly escaped from death row and, years later, coughed up a handcuff key as he lay dying from his injection.

There was the "Candy Man," Ronald Clark O'Bryan -- convicted of poisoning his child's Halloween candy with cyanide -- and the gauntlet of college students wearing Halloween masks who showed up to cheer.

And Karla Faye Tucker, the first woman executed in Texas since the 1800s. He remembers a network correspondent crying after her death -- and another blow-drying his hair.

Of the entire death chamber ritual, Graczyk said, it's the final statements that stick in his mind. Some have been confessions. Others were denials.

Poetry. Prayers. Bible verses. Curses. Emotions ranging from defiance to resignation.

There was Jonathan Nobles, an electrician who stabbed two people to death. He sang "Silent Night."

"Ever since then, I think of him on Christmas or Christmas Eve when I'm in church," Graczyk said. "That's the kind of thing that haunts you."

The person who may come closest to Graczyk's status also felt things that haunted him.

Don Reid, a writer for the AP and, before that, a Texas newspaper, witnessed 189 executions in the 1960s, when Texas still strapped inmates to "Old Sparky," the nickname for the state's electric chair.

The experience changed Reid, who died in 1981, from a supporter of the death penalty to an opponent. He wrote a book, "Have a Seat, Please," chronicling that transformation.

Graczyk said he doesn't worry about the mental toll of watching so many deaths. His bosses with the AP have offered counseling. He's declined.

"To see someone go to sleep -- not to sound insensitive -- but the carnage at the murder scene is harder than what you see in the death house in Huntsville," he said.

Over a 25-year career, Graczyk said, the executions have only been a small portion of his work. He finds balance in those other stories.

As a journalist, Graczyk never answers the question when friends ask his own views on the death penalty.

"I'm not sure I really know," he said.

But as long as Texas keeps executing people, Graczyk said, it's important that he keep showing up.

The next execution in Huntsville was scheduled for Thursday before the condemned, convicted murderer Kenneth Mosley, was granted a reprieve until September.

If the execution goes ahead then, Graczyk plans to make the drive.

"I would hate for the state of Texas to take someone's life and no one be there," he said.

CNN's Doug Gross contributed to this report.

@highlight

Texas reporter has covered executions in Texas since the early 1980s

@highlight

Graczyk stopped counting, didn't want "notches on my gun belt"

@highlight

Inmates waiting to die have greeted him by name, called to check up on him

@highlight

He says he doesn't worry about the mental toll and has declined counseling