(CNN) -- The impeachment of Iranian science minister Reza Faraji-Dana last month was just the latest episode in an ongoing struggle between so-called moderates and hard-liners that has been going on in the country since the 1979 revolution. It's a bad sign for those pinning their hopes on the ability of President Hassan Rouhani to bring about change in Iran.

Tensions between reformists and conservatives have never quite brought the Islamic Republic to a breaking point, but they have been the source of economic malaise and internal instability. Unfortunately, as tempting as it has been to view Rouhani's election last year as a solution to Iran's endemic political battles, his presidency is actually likely to perpetuate -- if not increase -- the dysfunction within the Iranian regime.

Indeed, even a possible nuclear deal -- which itself is far from certain at this point -- is unlikely to be enough to provide Rouhani with a decisive political victory. Instead, it might simply dredge up the angst and anxiety that culminated in the Green Movement in 2009.

Hard-line parliamentarians managed to muster the numbers to impeach Faraji-Dana for his supposedly "un-revolutionary" educational policies, specifically his welcoming back of students and faculty associated with what hardline conservatives deem to be the "seditious" Green uprising. The previous government, under President Mahmoud Ahmadinejad, had purged the universities of reformist elements and introduced an atmosphere into academia reminiscent of the early revolutionary years, and while Rouhani hasn't enacted any major reforms since his election, higher education reform was seen as a first move in delivering on his campaign promises.

Hard-liners have generally been critical of Rouhani's nuclear negotiations, but are believed to have been restrained in their attacks on the urging of Supreme Leader Ayatollah Ali Khamenei -- while conservatives don't wish to empower Rouhani, they are also conscious of Iran's precarious economic situation and are therefore reluctant to block Rouhani's diplomatic efforts, for now at least.

But they are loathe to give Rouhani freedom of movement on domestic issues. For them, the "sedition" of 2009 was a direct challenge to the Islamic Republic as a whole. And while Rouhani condemned the 2009 uprising, he has nevertheless maintained working relations with key reformist figures such as former President Mohammad Khatami.

Yet, although a large constituency for change exists throughout Iranian society, represented by regime reformists and centrists like Rouhani as well as secular, nationalist and leftist opposition groups vigorously oppressed by the regime, it is still unclear what could actually prompt change in Iran. After all, Iranians are well aware of the Middle East burning before them. But their country, while divided and dysfunctional, is at least relatively secure and stable. And while Rouhani suggests the possibility of political evolution, the failure of the reform/centrist movement in achieving meaningful change is also obvious.

The reality for Iran is that neither revolution nor evolution might be feasible for Iran. So what is left?

The eventual passing of Khamenei might one day provide an opportunity for change, but even then, the chances of a succession remaining cordial or even peaceful are hardly guaranteed, especially given the current environment of political animosity.

Iran's competing factions see an uncertain future as they seek to position themselves for the post-Khamenei era, including Rouhani's ally and patron, former President Ayatollah Hashemi Rafsanjani, who is reportedly keen to reclaim the chairmanship of the Assembly of Experts, a clerical body with the power to appoint the next supreme leader. However, it is difficult to imagine conservatives accepting Rafsanjani or Rouhani being left in a position to shape the succession to Khamanei, as this could open the door to meaningful reforms -- and (at least as far as conservatives are concerned) the end of the Islamic Republic in its current form.

All this suggests that Faraji-Dana's impeachment is very likely a sign of some troubling times to come. And even though Rouhani offers the West's best hope of the nuclear issue being addressed, a deal could very well energize the President's rivals in their bid to stave off change.

@highlight

Reza Faraji-Dana, former Iranian science minister, was impeached last month

@highlight

Move was latest sign of internal power struggle in Iran, says Alireza Nader

@highlight

He argues Iran's conservatives are unlikely to give ground on domestic issues

@highlight

Nader says a nuclear deal might actually energize President's rivals