BAGHDAD, Iraq (CNN) -- One of Iraq's top Shiite leaders died Wednesday after a lengthy battle with lung cancer, a senior official with his office told CNN.

Iraqi Shiite leader Abdul Aziz al-Hakim, seen in a 2007 photo, was an ally of both the U.S. and Iran.

Abdul Aziz al-Hakim, who was born in 1950, died in Tehran, Iran, where he had been receiving treatment for more than two years, according to his adviser Haitham al-Husseini. Al-Hakim had recently suffered a medical setback, according to his party, which asked people to pray for him in a statement released on Sunday.

His body will be sent to Iraq and he will be buried in his hometown of Najaf, one of the holiest cities for Shiite Muslims, al-Husseini said.

U.S. Ambassador to Iraq Christopher Hill and the top U.S. commander in Iraq, Gen. Ray Odierno, issued a joint statement expressing sadness over al-Hakim's death and describing him as "a national leader."

"Throughout his life, His Eminence demonstrated courage and fortitude, contributing to the building of a new Iraq," the statement said. "We offer our sincere condolences to his family and colleagues."  Watch how al-Hakim helped shape Iraq's future »

Iraqi Prime Minister Nuri al-Maliki also offered his condolences, saying al-Hakim was "like an old brother."

Al-Maliki credited him for being a "strong supporter during the phase of fighting the ousted regime and a key figure in the process of building the new Iraq."

"His death at this critical stage that we are passing through is a great loss for Iraq," al-Maliki said in the statement.

Al-Hakim ended his more than 20-year exile in Iran in 2003, when he returned to Iraq after U.S.-led forces toppled Iraqi President Saddam Hussein and his regime.

"It was very emotional for me to meet with my people after Saddam fell," al-Hakim said in a 2006 interview. "I was longing to see them. My goal in this life is to serve those great people and I am very proud to be a part of them."

Iraqi Shiites were suppressed under the Hussein regime, which favored the country's minority Sunni Muslims.

Al-Hakim played a central role in shaping Iraq's future following his return.

During his exile, which began in the early 1980s, al-Hakim commanded the Badr Brigades, the military wing of the Supreme Council for Islamic Revolution in Iraq. SCIRI -- a religious movement that opposed the Hussein regime -- was led by al-Hakim's brother until he was assassinated in August 2003.

Al-Hakim himself was also the target of numerous assassination attempts.

He took over as the head of SCIRI and began his ascent to power as the Badr Brigades became the bulk of the Iraqi security forces in Iraq's predominantly Shiite south.

SCIRI changed its name to the Islamic Supreme Council of Iraq in 2007 to remove the word "revolution," in an effort to reflect the current situation in Iraq.

Al-Hakim had always propagated a message of peace, calling on Iraqis to stop taking part in the bitter sectarian conflict that followed the fall of Saddam Hussein. But despite his desire for a secular democracy in Iraq, he wanted a country that recognized the importance of religion, religious institutions and its authorities.

Al-Hakim successfully harnessed the fervor generated from emotional religious rituals like Ashura and turned it into a powerful political platform. That ability led some to consider him Iraq's most powerful man.

His political bloc won the most seats in the Iraqi parliament in 2005. And although al-Hakim never held a government position, he commanded respect from those who did.

Government ministers would meet with him at his office, not theirs, and he was often seen in the company of former U.S. Ambassador to Iraq Zalmay Khalilzad.

And when talks on Iraq's constitution stalled, then-President George W. Bush called al-Hakim, not the Iraqi prime minister or president.

Al-Hakim visited the United States three times during the Bush administration to address the situation in Iraq.

But he remained artfully vague about Iran's influence in Iraq, saying its role was a positive one -- in direct contradiction to the U.S. government, which raised concerns about what it called Iran's "meddling." He cited the two predominantly Shiite Muslim countries' shared border, historical and cultural relations, and emphasized the desire for strong ties.

Al-Hakim's death comes at a time of violent political turmoil in Iraq. The power of the Islamic Supreme Council of Iraq party he leaves behind is just as uncertain as the nation he so proudly wanted to serve.

Al-Hakim was diagnosed with lung cancer in 2007, and was first treated in the United States, then later in Iran.

When he returned to Iraq later that year, he told CNN that he felt good. But it was around that time that it became apparent he was grooming his son, Ammar al-Hakim, to take over as head of ISCI.

It was once Iraq's most powerful Shiite political party, but ISCI lost much of its influence following elections in January, when politicians allied with al-Maliki won control of most of Iraq's provincial councils.

CNN's Jomana Karadsheh and Mohammed Tawfeeq contributed to this report.

@highlight

NEW: U.S. officials, Iraqi PM offer condolences, praise for Abdul Aziz al-Hakim

@highlight

Al-Hakim headed Islamic Supreme Council of Iraq, helped shape Iraq's future

@highlight

He never held public office, but was one of Iraq's most powerful, respected leaders

@highlight

Al-Hakim was in neighboring Iran being treated for lung cancer