Rafael Villares is a talented Cuban artist who appears to work effortlessly in mediums such as painting and sculpture.

But for years, he has had an even more ambitious project in mind, one that seems like a fantasy from a Gabriel Garcia Marquez novel.

"The idea would be to follow in the footsteps of the first explorers to Cuba and photograph the northern and southern coasts to create one panoramic image," he said. "It would be one horizon, so you can't tell if it's an island or a continent. It's a search to capture Cuba's geography in 2012."

Villares never attempted his journey though, and not just because of the immense logistical challenges and government restrictions.

His biggest obstacle was there was zero funding available for the trip. While artists abound in Cuba, they, like everyone else, face constant shortages in materials and a United States economic embargo that complicates the sale of their work.

But now, two years after scrapping his plans to travel and photograph the island, Villares has the $1,300 he needs for his journey.

The funds came from an unexpected source, a website called Yagruma. Named for a tree native to Cuba, Yagruma is the first crowd-funding website aimed at helping artists finance projects in Cuba.

"Everyone's talking about Yagruma," Villares said. "That's the fun part, how it's getting buzz among young artists who have ideas for projects but don't have the funds to do them."

On Yagruma, artists approved by the website's creators upload a sample of their work -- a challenge itself given the island's scarce and mostly dial-up Internet. Yagruma then publishes their work along with their biography, a description of their next project and a request for contributions. The artists typically wait about 30 days as donations trickle in.

As with many crowd-funding sites, only projects that are fully financed receive Yagruma's backing. The website keeps 5% of the funds to cover operating costs.

So far, Yagruma has financed five projects and has another 10 in various stages of fundraising. The projects range from a documentary on an iconic Cuban song to a stop-motion short film of a man being chased by scissors and a straight razor.

Site creators say the artists they feature express themselves freely and represent the incredible variety of Cuba's independent art scene.

"The way people use Yagruma so far has exceeded my expectations," said Ubaldo Huerta, one of the site's co-creators along with fellow Cuban Hiram Centelles Rodriguez. "I see people who understand how to use it perfectly and how to compete for funding, present a project to attract backers and very quickly learn."

Huerta and Rodriguez live in Spain but are drawn to the notion that the Internet can improve the lives of Cubans back home.

An earlier site they collaborated on, El Revolico, is the closest thing Cuba has to Craigslist. Even though the site is blocked by the government, Cubans still find ways to access El Revolico so they can sell cars, houses and just about everything else.

Huerta said he is concerned that Yagruma might also run afoul with authorities.

"In Cuba, everything in a way is mediated by the government, the cultural establishment," he said. "We are more than happy to talk with the government if they show an interest in who we are, how the site works."

Yagruma, he said, is a rare example of what many Cubans on both sides of the Florida straits say they seek to accomplish: reconciliation.

"What I am hoping is to foster creativity in Cuba to create a bridge between Cubans like me in the diaspora and Cubans on the island," Huerta said. "It costs us nothing to shell out $20-$30, and it goes a long way in Cuba."

From his small art studio in the apartment he shares with his relatives, Villares is already at work trying to stretch the funds he received from Yagruma.

He is excited "to see the whole country, travel all of Cuba -- not just know it from outside, but meet the fishermen, the farmers who live there, the out-of-the-way places ... all the places in Cuba that you don't even imagine."

Villares is hoping to begin traveling the island this summer, when the ocean is calmer. Until then, he researches the software and cameras he could use to create a sprawling panorama of the island.

And when he finally completes the odyssey, Villares will upload his finished work to Yagruma, in the hopes of attracting more financing for Cuba's independent artists.

@highlight

Because of the U.S. embargo, many young artists in Cuba aren't able to finance their work

@highlight

But a website called Yagruma is making it easy for people to donate to Cuban art projects

@highlight

Yagruma's co-creator hopes it will "create a bridge" between Cubans inside, outside Cuba