(CNN) -- The use of mobile phones to transfer money, make payments and access financial services has revolutionized the lives of millions of people who have never had access to traditional banking services.

Particularly in emerging markets, "mobile money" means so much more than just a digital way to transact financial services.

In some countries, the majority of the population lives outside of urban centers without easy access to infrastructure like transport, electricity and even roads, let alone banking. For these communities, where literacy levels tend to be lower and incomes sporadic, mobile money is truly transforming the socio-economic landscape

Latest statistics demonstrate the tremendous growth we've seen over the past few years -- as of October 2014, there are a total of 251 live mobile money services across 88 countries. In Sub-Saharan Africa, one of the pioneering regions for mobile money, services are available in 38 out of 47 countries.

And nine of these markets -- Cameroon, the Democratic Republic of Congo, Gabon, Kenya, Madagascar, Tanzania, Uganda, Zambia and Zimbabwe -- have more mobile money accounts than bank accounts, a fact that underscores the pent-up demand.

Widening the mobile money market

This huge uptake in mobile money is connecting millions of people but there is still much work to be done to bring these services to all who are unbanked or underbanked.

For instance, in markets like Central Asia, mobile money is still in its infancy and with only 5% of the adult population in countries such as in Kyrgyzstan, Tajikistan and Turkmenistan holding an account at a formal financial institution, clearly the opportunity to effect change is enormous.

My job affords the privilege of witnessing first-hand how the mobile and financial industries are working together to overcome barriers to the adoption of financial services. Take Ivory Coast, for example, where three years after the launch of the country's first mobile money service, there were just over two million registered accounts and only 22% were active.

It was a slow start. However, positive changes in market conditions, combined with activities by mobile operators including Orange, MTN and Etisalat, have stimulated a dramatic uptake in adoption. By mid-2013, the country had close to five million mobile money accounts and active accounts climbed to 35%.

Changes in social norms are a major factor driving the adoption of financial services. For example, many people travel away from home to work and send cash back home to family. Often this might involve paying for an expensive postal service, incurring high wire money transfer fees or entrusting their cash to a third party to transport it. Mobile transactions are not free, but they're less expensive and far more secure than the alternative.

We are also seeing acceleration in the development of other types of mobile financial services, beyond payments, such as savings, credit and insurance, among others.

Empowering women

Our research has shown that women are active household financial managers and tend to reinvest up to 90% of their earnings in their families, compared to 30-40% for men, so mobile money can also be a route to female empowerment within communities. Particularly in markets where social or cultural barriers prevent women from traveling long distances or interacting with men, mobile money offers an important tool for financial independence and household security.

Operators are responding to address the needs of women; in Somaliland, mobile operator Telesom made adjustments in existing processes -- such as hiring female staff to assist with customer registrations -- and saw the percentage of women customers grow from 17% to 24% in just a few months.

Despite the great progress we are making in driving financial inclusion, the reality is that we have only scratched the surface in terms of what mobile money can do and who it can help. To extend these benefits to as much of the community as possible, there are a number of key elements that need to be in place.

Supportive and effective regulation is critical in enabling providers to effectively reach scale in serving unbanked customers around the world. Regulators can help expedite efficient mobile money distribution networks that allow customer registration, cash collection and disbursement activities to be outsourced to third parties to lower the cost of financial services and expand their reach. And perhaps the most important factor in the long-term success of mobile money is an open and level playing field that allows non-bank mobile money providers -- including mobile operators -- to enter the market.

The mobile and financial industries need to work collaboratively with each other and with regulators to unlock the transformative social impact of mobile money.

Only then can we truly deliver life-changing mobile financial services to the hundreds of millions of people across the world that still have no access to traditional banking.

Why equality makes cold, hard economic sense

The opinions expressed in this commentary are solely those of Anne Bouverot.

@highlight

2.5 billion adults have no bank account

@highlight

Mobile money connects rural areas to banking, argues Anne Bouverot

@highlight

Mobile banking can also empower women, she says

@highlight

Millions of people use mobile money, especially in Africa