(CNN) -- A high school senior's lawsuit against her mother and father for financial support and college tuition hit a hurdle Tuesday when a New Jersey judge denied the teenager's request for immediate financial assistance from the parents.

Rachel Canning, 18, alleges in her lawsuit that her parents forced her out of their Lincoln Park, New Jersey home, and that she is unable to support herself financially. The lawsuit asks that her parents pay the remaining tuition for her last semester at her private high school, pay her current living and transportation expenses, commit to paying her college tuition and pay her legal fees for the suit she filed against her parents.

Her parents say she left home because she didn't want to obey their rules.

Judge Peter Bogaard denied the request for high school tuition and current living expenses at a hearing Tuesday in New Jersey State Superior Court. Another hearing will be held in April on other issues in the suit, including whether Canning left home of her own accord, the judge said.

Canning, an honor student and cheerleader at Morris Catholic High School in Denville, says in court documents she had to leave her parents' home because of emotional and psychological mistreatment, alleging, among other things, that her mother called her "fat" and "porky" and that her father threatened to beat her.

"I have been subjected to severe verbal and physical abuse by my mother and father," Canning wrote in a court certification. "I am not willingly and voluntarily leaving a reasonable situation at home to make my own decisions. I had to leave to end the abuse."

Canning left her parents' home at the end of last October. After spending two nights at her boyfriend's home, she moved into the home of her friend in a nearby town, where she has been staying ever since, according to court documents written by the parents' attorney.

Fair or outrageous? New Jersey teen sues her parents to pay up for college

Canning seeks a court's official declaration that she is unemancipated, meaning her parents would still be required to support her financially. She also is suing to reimburse her friend's parents, John and Amy Inglesino, for legal fees that they have been paying since the lawsuit was initiated, according to the suit.

Canning's parents, Sean and Elizabeth Canning, claim that allegations of abuse are completely unfounded.

"We were always her support team, cheering her on or defending her whenever she had a problem," wrote Elizabeth Canning in a court certification. She claims that her daughter was never forced out of the family's home, but rather "took it upon herself to run away so that she could live her life without any parental supervision and without any rules."

Canning was suspended from school for truancy last October, according to court documents filed by her parents' attorney, Laurie Rush-Masuret. Her parents told the teen that she could no longer see her boyfriend, who was also suspended from school. Car and phone privileges were also taken away. Once she learned of the punishment, Canning cut school again and then decided to run away, her father said in court documents.

Once she left home, her parents notified Morris Catholic High School that they would no longer pay for their daughter's tuition, the documents state.

"They stopped paying my high school tuition to punish the school and me, and have redirected my college fund indicating their refusal to afford me an education," Rachel Canning stated in court documents.

The situation around the teen and her family initiated an investigation by New Jersey's Division of Child Protection and Permanency (DCPP), which received allegations that Rachel was being abused. The teen wrote in court documents that her school contacted the state agency.

When DCPP staffers interviewed the teen, her parents, and her two younger sisters, they ultimately "determined that allegation of emotional abuse was unfounded," a letter from DCPP states.

Sean Canning, a retired Lincoln Park police chief and current business administrator for the town of Mount Olive, told CNN affiliate WCBS that he and his wife are "distraught."

"We're being sued by our child. I'm dumbfounded. So is my wife. So are my other daughters," he said. "Living in our house, there's very few things. There's minor chores, there's curfews. When I say curfew, it's usually after 11 o'clock at night."

Sean Canning wrote in court documents that the Inglesinos, for taking in his daughter, had "enabled the situation to an absurd level. Under the guise of good intentions, they have arrogantly placed themselves in our stead and operated under the belief that their parenting style is superior to our own."

CNN's attempts to reach John or Amy Inglesino were unsuccessful.

Stephanie Frangos Hagan, a family law attorney and New Jersey State Bar Association family law officer, said to her knowledge, a case like this is unprecedented.

Though Canning is 18 years old, New Jersey law does not consider a person to be emancipated unless that person has left "the scope of his or her parents' authority," according to Hagan.

"A parent is not obligated to contribute to the support of an emancipated child," said Hagan. "A child is emancipated when he or she is beyond the control of the parents. Is she truly beyond the scope of her parents' authority, as a result of her own voluntary acts? That's for the judge to decide."

"The argument (she) is making is that she didn't leave home voluntary. She's saying 'I was thrown out,'" Hagan said.

Neither Rachel Canning nor her parents testified at Tuesday's hearing, but it saw a reunion between the daughter and her estranged parents, the first one in over four months. While Sean Canning was seen speaking to Rachel, Elizabeth was seen briefly weeping after being seated.

The parents' attorney, Rush-Masuret, told CNN that Elizabeth Canning is too upset about the situation to even talk about it. She said the Cannings have told their daughter to come home, and she has refused.

"To be clear, my clients never abandoned nor abused their child and they have asked her to come home. They simply sought to exert their own parental judgment and reasonable household rules which she is not willing to accept," Rush-Masuret said in court Tuesday.

Rachel Canning's attorney, Tanya N. Helfand, said Sean and Elizabeth Canning are being "negligent and irresponsible."

"Normal healthy parents want to help their children. They want their children to go to college. They want to help them with their difficulties," Helfand said in court.

"You may not get along wonderfully every single day with your teenager. That doesn't mean that you abandon them and you say, 'Guess what, you're on your own.'"

Judge Bogaard denied the request for the last semester of high school tuition because the school said she could continue anyway, since she is an honor student. And Rachel Canning wrote in her court certification that "The peer ministers at Morris Catholic have decided to raise funds to pay ... tuition so I don't have to leave early."

As for why he denied the request for immediate financial assistance, the judge indicated he didn't see an emergency situation, and would make further decisions at the next hearing.

The teen wrote in her court certification that she aspires to be a biomedical engineer. Her first choice for college is the University of Delaware, from which she has yet to hear back from regarding her admission decision. She said taking legal action was necessary to ensure that she is able to accomplish her future goals.

"I am a very good student. I have no drug problems. I am a good athlete. I work at a job outside of school," she wrote. "My parents simply will not help me any longer...(They) should be required to provide for my support and education until I can stand on my own two feet. In order to do this, I had to take legal action."

Girl costs father $80,000 with 'SUCK IT' Facebook post

CNN's Ronni Berke, Jean Casarez, Lauren-Ashley Morton and Tekella Foster contributed to this report.

@highlight

Rachel Canning, 18, is suing her parents for financial support, legal fees, tuition

@highlight

She alleges she was verbally and physically abused by her parents and was forced to leave

@highlight

Canning's parents say Rachel left on her own and that she is always welcome to come back

@highlight

A judge denies her initial requests for immediate financial assistance