(CNN) -- Alleged al Qaeda operative Abu Anas al Libi, accused of playing a role in the deadly bombings of the embassies in Kenya and Tanzania in 1998, denied terrorism charges when he appeared in federal court in New York Tuesday.

He told the judge he played no role in al Qaeda's 1998 attacks.

We can expect the prosecution to lay out his alleged involvement in detail, provide evidence of his close ties to Osama Bin Laden, detail his computer skills and, crucially, present information about photographs of the U.S. embassy in Nairobi he is alleged to have taken before the attack.

What we won't hear is how his trial may benefit al Qaeda today.

Libya has oil and is one of Africa's richest nations. In the two years since dictator Moammar Gadhafi was overthrown, Al Qaeda and its Islamist allies have become stronger there.

U.S. Army Delta Force soldiers seized al Libi on October 5 from outside his house in the Libyan capital Tripoli.

His arrest was followed by the kidnapping and subsequent release of Libya's Prime Minister Ali Zeidan -- an incident he called an attempted coup. The country, according to the justice minister, is on the edge of becoming a failed state. There is no national army or police. Militias like the one that took the prime minister hold sway.

Who calls the shots?

Who has the real power? It appears that is being determined not through politics but by confrontation; and right now in some parts of the country the Islamists have a strong hand.

Al Libi's trial in New York will influence events inside Libya and may provide ammunition to the Islamists.

Libya's Justice Minister Salah Marghani says he trusts the U.S. justice system, that al Libi is innocent until proven guilty. But that's the rub. Such a statement angers Libya's Islamists, who are implacably hostile to the U.S. and will use the Libyan government's relationship with Washington as a stick with which to beat it.

Most Libyans like the United States and are grateful to it and NATO for help in overthrowing Gadhafi. But in today's increasingly lawless Libya, they are often powerless to speak up.

And what does that lawlessness in Libya look like?

I found out first hand a few days ago. Filming a huge fire at Libya's foreign ministry, yards from my hotel, we were surrounded by thuggish vigilantes. The man with the longest beard, whom they called "Sheikh", was in charge. They had no uniforms or IDs and tried to take us away, even wrestling the car keys from the ignition as we tried to drive away. For a while it felt like a kidnapping.

Bergen: Good thing U.S. terrorist hunters weren't furloughed

Eventually an educated passer-by stepped in. A few hours later my camera was returned by the man I'd interviewed the night before. He controls Tripoli's militias and freed the prime minister from his kidnapping just a few days earlier.

Within sight of my hotel we'd almost been hauled off and it was a militia, not the government, that had the power to save us. That same militia, I later learned, had a representative in an office at our hotel, a young man with a wispy beard called Sheikh Hamza, who kept a pump action shotgun under his desk.

So how does al Libi's New York trial play in to this mess?

When al Libi was captured, al Qaeda threatened to kidnap Americans in Libya and target western interests. In the east of the country around Benghazi, where al Qaeda and the Islamists are strongest, and where U.S. ambassador Chris Stevens was killed last year, security for westerners has deteriorated.

In the past week the Swedish consulate in Benghazi has been attacked and Malta's diplomat, one of the last in the city, has been forced to leave. Al Qaeda is doing everything it can to use al Libi's case to leverage support. They will be watching his trial intently.

What do Libyans think about al Libi? Most Libyans I met can't understand why America picked up al Libi when they did. They know just how fragile security is in the country and fear the repercussions. Most assume his arrest had more to do with U.S. politics than benefiting Libya.

They've heard what his family has said -- that he was out of al Qaeda and living an open life in the capital. Short of evidence to contrary, they will believe that for now. They want him to get a fair trial. But if he is guilty they want him punished -- and they certainly don't want him back if he is still with al Qaeda. They fear the growth of the Islamist factions and frankly wish America would do more to help on that count.

What is Al Qaeda's game plan?

Judging by past performance, al Qaeda will try to use al Libi's trial to convince as many Libyans as possible that America is interfering in their country. Both al Libi's son and Libya's justice minister have said he should have a Libyan lawyer on his defense team. Such public pronouncements potentially set themselves up for failure that al Qaeda will gleefully exploit.

Al Qaeda and its supporters have been establishing training camps in the east of the country for the past two years. They want to turn Libya into an Islamic state and have threatened to destroy European and American interests in Libya as well as develop it as a base for terrorist attacks in Europe.

According to one official, such is al Qaeda's ease of operations in eastern Libya, that hundreds of Islamists from neighboring north African nations are gravitating to the area.

Libya is unpredictable; anyone who tells you they know what will happen is wrong. The current trend is towards instability and ultimately a showdown between Islamists and more moderate factions. Al Libi's capture has accelerated that process; his trial could bring it still closer.

Who are the world's 10 most dangerous terrorists?

@highlight

Abu Anas al Libi, seized in Tripoli and brought to the U.S., denies involvement in terrorist bombings of U.S. embassies

@highlight

Al Qaeda has strengthened its position in Libya since the overthrow of Moammar Gadhafi, says Nic Robertson

@highlight

Now al Qaeda will try to exploit the trial to convince Libyans that America is interfering in their country