TAMPA, Florida (CNN) -- After witnessing the rapid devastation of a Cayman Island coral reef where he had been diving since childhood, Todd Barber was moved from horror to action.

He gave up a six-figure salary as a marketing consultant and dedicated his life to restoring the world's ocean reef ecosystems.

"I had been following this reef since I had been 14; it was where my first dive was," recalls Barber. "When that one little tiny reef was lost, that sparked something in me. If we lost one and it took that tens of thousands of years to get here, how fast is this happening?"

Barber had caught a small glimpse of a larger global issue -- the destruction of the world's coral reefs -- and it scared him. According to the Nature Conservancy, if the present rate of destruction continues, 70 percent of the world's coral reefs will be destroyed by the year 2050. Not only are they home to 25 percent of all marine fish species, but the organization states that 500 million people rely on coral reefs for their food and livelihoods.

So Barber and his father, a marine biologist and fellow diver, sat down to devise a solution to "put the reef back." What started as a basic idea to shape concrete around a beach ball led to three years of research, testing and prototyping with the help of friends and college professors.  Watch as Barber explains his passion for saving reefs »

"Our goal was to mimic nature, not dictate nature," says Barber. "And that meant that I couldn't come up with an idea; I had to design something that would fit exactly what the reef required."

The result was what Barber calls a "Reef Ball." Made of concrete engineered to last more than 500 years, Reef Balls are circular structures with a hollow center that serve as a base habitat upon which a natural reef can grow. Portable, inexpensive and environmentally friendly, according to Barber, Reef Balls can be built anywhere and are used to mimic and rehabilitate all forms of oceanic reefs, such as mangrove, oyster and coral reefs. They can also help control erosion and stabilize shorelines.  Watch as an organization in Tampa tries to restore habitats for oysters »

To manufacture and place Reef Balls in marine habitats around the world, Barber established The Reef Ball Foundation in 1993. Today, the non-profit organization works with environmental agencies, universities, community groups and corporations and empowers others to build and restore their local marine ecosystems.

"[Reefs] have an incredible bearing on human life," says Barber. "Without conserving these resources, they're going to be all gone before we even know what we've lost."

According to Barber, marine conservation isn't just about Reef Balls, but they're one important tool.

"It's about saving natural reefs. It's about changing our behaviors," says Barber. "It's better to save the reef that you have than to build a new one."

Since its inception, the Reef Ball Foundation has placed Reef Balls in more than 59 countries.

"For me, personally, the satisfaction comes from diving on a Reef Ball and seeing that the environment has been rehabilitated; that the reef is actually there," says Barber. "And that our grandkids will be able to see the same thing." E-mail to a friend

@highlight

Most coral reefs are in danger, according to estimates from the Nature Conservancy

@highlight

The group says 500 million people rely on coral reefs for food

@highlight

Reef Balls are concrete spheres upon which a natural reef can grow

@highlight

The objects also help control beach erosion and stabilize shorelines