Pennville, Georgia (CNN)A human face appeared in white paint on the end of his finger.

It sounds crazy, but the way late folk artist Howard Finster told the story, the mysterious face said, "Paint sacred art; paint sacred art."

The vision came to the retired Baptist preacher in 1976 while he was working on a bicycle in his Pennville, Georgia, repair shop. One of a lifelong string of visions, it was just the sign he needed to devote the rest of his days to spreading God's message through art.

Finster was 59.

"When most people are winding down, he was winding up," said Jordan Poole, executive director of Paradise Garden, a 4-acre property teeming with Finster's creations, about 90 miles northwest of Atlanta.

And more than a dozen years after his death, interest in Finster seems to be winding up again, too.

He's one of the headliners in a new exhibit in Baltimore at the American Visionary Art Museum, which bills him as "America's most prolific self-tutored and 'on fire' artist." He's also the star of the documentary "Paradise Garden: Howard Finster's Legacy," released this year by Art West Film.

But perhaps most significant, there's a revival under way in the garden where he worked frenetically, day and night, to grow towering heaps of bicycle parts and a meditation chapel draped in whimsical bric-a-brac along with hand-painted Bible verses, a covered "Rolling Chair" gallery, the glimmering World's Folk Art Church and a mosaic wonderland embedded with plastic toys, fragments of mirror, shards of colored glass, Madonnas and more.

Paradise Garden is located about 90 miles northwest of Atlanta in unincorporated Pennville, Georgia. The garden is open Tuesday-Saturday from 11 a.m. to 5 p.m. and Sunday from 1 p.m. to 5 p.m. Admission is $5 for adults, $3 for seniors and $2 for children.

The documentary "Paradise Garden: Howard Finster's Legacy" is showing November 18 at 7:30 p.m. at the Goat Farm Arts Center in Atlanta.

Finster was a musician, a showman and an avid artistic collaborator.

In the 1980s, he designed album covers for R.E.M. and the Talking Heads, and charmed audiences with his tales, songs and banjo-playing on Johnny Carson's "Tonight Show." R.E.M.'s "Radio Free Europe" music video was filmed in the garden.

Yet his overarching purpose was clear, and he defined it simply: "God called me here. I'm interested in every human being in this world," he said during a 1987 event at the garden.

"I didn't come here to put nothin' on nobody, push nothin' on nobody. I didn't come here to take nothin' away from nobody. I didn't come here to start some new kind of religion.

"I come here for one thing, and that is, I have visions of other worlds. I have visions that's inimaginable. I have visions that I can't even tell people. And I try, the best I can, to draw my visions," he said.

He didn't sleep much. Finster produced 46,991 numbered works before he died in 2001 at 84. And that figure doesn't include most of what's on view in the garden.

The jumbled property in northern Georgia was in desperate need of attention after Chattooga County purchased the garden in late 2011 and handed management to the Paradise Garden Foundation in 2012.

Over the past few years, the foundation has literally been digging the art out. The new documentary film, directed by Ava Leigh Stewart, chronicles the process from the beginning.

The swampy ground where the Finster family made their home in the early 1960s had started to reclaim some of the structures that sprouted up in the garden over the years. With the help of more than $700,000 in grant money, the foundation has raised and stabilized many of the garden's key attractions.

The restoration has been a delicate balance, though.

"We went to great lengths to have it slightly decayed-looking. We don't want it to be pristine," Poole said.

Finster and his wife, Pauline, moved down the road to Summerville in the early '90s after Pauline got fed up with fans turning up at all hours for an audience with her husband. Although Finster still spent a lot of time at the garden, it didn't get as much attention after the couple moved, Poole said, and deteriorated after Finster's death in 2001.

Now, there's a new visitor center with exhibition space and an audiovisual experience that introduces guests to the "man of visions," plus new plumbing and electricity for that unglorifed but essential museum amenity: restrooms.

The site is now welcoming about 7,000 visitors a year, Poole said.

It's not a huge number but definitely a huge spike. Visitation jumped by more than 400% between August 2012 and August 2014.

The restoration is good for the garden, but it's also good for the unincorporated community of Pennville and neighboring Summerville.

"It's not just to save the place for its own sake but ... to help a community and be a part of that community and to reawaken a community that was really and truly almost dead just a couple years ago," said Poole, who grew up in Summerville.

New businesses and art galleries have opened. There's more activism around the arts, and local business are embracing cultural tourism, Poole said.

There's still a lot of work to be done. The foundation aims to raise $900,000 for the next phase of the garden's revival.

One key goal of the next phase's capital campaign is to rehabilitate the rotting interior of the World's Folk Art Church, a church that Finster bought with a grant in 1982 and retopped to look like a towering wedding cake.

Despite the work ahead, the transformation is already apparent to repeat visitors.

Theresa Dean, 56, an art teacher from Sandy Springs, Georgia, has been to the garden several times since her first visit in 2007. She visited again at the end of October with a group of middle school students.

There's been a "huge change" since her last visit about two years ago, she said.

"It's beautiful," Dean said. "I can tell they're still working, but it just seems like it's loved, well-loved."

@highlight

Paradise Garden showcases the work of late folk artist Howard Finster

@highlight

The garden in northwest Georgia is undergoing a restoration

@highlight

Finster's work is part of a new exhibit at the American Visionary Art Museum

@highlight

A film, "Paradise Garden: Howard Finster's Legacy," was released this year