Venezuelan President Hugo Chavez died Tuesday after a long battle with cancer. News of his death drew impassioned reactions from around the world, as leaders and other public figures weighed in on his legacy. Here are some of the comments:

U.N. Secretary-General  Ban Ki-moon

"President Chavez spoke to the challenges and aspirations of the most vulnerable Venezuelans. He provided decisive impetus for new regional integration movements, based on an eminently Latin American vision, while showing solidarity toward other nations in the hemisphere. His contribution to the current peace talks in Colombia between the Government of President Juan Manuel Santos and the Revolutionary Armed Forces of Colombia (FARC) has been of vital importance.

"The secretary-general renews the commitment of the United Nations to work alongside the Government and the people of Venezuela in support of its development and prosperity."

U.S. President Barack Obama

"At this challenging time of President Hugo Chavez's passing, the United States reaffirms its support for the Venezuelan people and its interest in developing a constructive relationship with the Venezuelan government. As Venezuela begins a new chapter in its history, the United States remains committed to policies that promote democratic principles, the rule of law and respect for human rights."

Chinese Foreign Ministry

"President Chavez has been an outstanding leader of Venezuela and a good friend of the Chinese people. He has made great contributions to consolidate the relations of our two countries. President Hu Jintao and Chief Secretary Xi Jinping have sent messages to Vice President Maduro to express our deep condolences. Our party, government and people treasure the long-lasting friendship with Venezuela. The two countries will keep working together to deepen this strategic partnership we've been enjoying, which we believe benefits both countries and their people."

Russian President Vladimir Putin

"Vladimir Putin praised the personal efforts of the Venezuelan leader, through which a solid foundation for the Russian-Venezuelan partnership was laid and strong political ties have developed, large-scale humanitarian and development projects were launched, and expressed his confidence to continue on this path, strengthening and developing the relationship between Russia and Venezuela," the Kremlin said.

Former Venezuelan presidential candidate Henrique Capriles

"In this difficult moment, we should demonstrate our profound love and respect to Venezuela! Unity of the Venezuelan family!"

Iranian President Mahmoud Ahmadinejad

Ahmadinejad "expressed his heartfelt condolences to the Venezuelan government and nation on the sad demise of the late President Hugo Chavez," the official Islamic Republic News Agency reported. Ahmadinejad also "paid homage to Chavez and referred to him as the symbol of fighters in Latin American history and the forerunner of the establishment of friendship among nations," the agency said.

Colombian President Juan Manuel Santos

"It's a great loss for Venezuela and for the region.

"For Colombia, and for me in particular, the loss of President Chavez has a special significance.

"Everyone knows we had many differences ... But from the first days of my administration, we decided to put aside those differences to concentrate on the best interests of the people of Venezuela and the people of Colombia."

Canadian Prime Minister Stephen Harper

"Canada looks forward to working with (Chavez's) successor and other leaders in the region to build a hemisphere that is more prosperous, secure and democratic.

"At this key juncture, I hope the people of Venezuela can now build for themselves a better, brighter future based on the principles of freedom, democracy, the rule of law and respect for human rights."

Ecuadorian Foreign Ministry

"The national government expresses its solidarity in light of this irreparable loss that puts the Venezuelan people and all the region in mourning and at the same time sends its heartfelt condolences to the family of the late champion of Latin America."

British Foreign Secretary William Hague

"I was saddened to learn of the death of President Hugo Chavez today. As President of Venezuela for 14 years, he has left a lasting impression on the country and more widely.  I would like to offer my condolences to his family and to the Venezuelan people at this time."

Nabil Sha'ath, senior Palestinian official

"The death of President Hugo Chavez of Venezuela caused a lot of sadness here in Palestine and in my heart as well as for President (Mahmoud) Abbas, who had a long meeting with him in Caracas that he always remembers. President Chavez stood by Palestine and supported the rights of the Palestinian people all along."

Former U.S. President Jimmy Carter

"President Chavez will be remembered for his bold assertion of autonomy and independence for Latin American governments and for his formidable communication skills and personal connection with supporters in his country and abroad to whom he gave hope and empowerment. During his 14-year tenure, Chavez joined other leaders in Latin America and the Caribbean to create new forms of integration. Venezuelan poverty rates were cut in half, and millions received identification documents for the first time, allowing them to participate more effectively in their country's economic and political life.

"At the same time, we recognize the divisions created in the drive towards change in Venezuela and the need for national healing. We hope that as Venezuelans mourn the passing of President Chavez and recall his positive legacies -- especially the gains made for the poor and vulnerable -- the political leaders will move the country forward by building a new consensus that ensures equal opportunities for all Venezuelans to participate in every aspect of national life."

U.S. Sen. Robert Menendez, chairman of the Senate Foreign Relations Committee

"Hugo Chavez ruled Venezuela with an iron hand and his passing has left a political void that we hope will be filled peacefully and through a constitutional and democratic process, grounded in the Venezuelan constitution and adhering to the Inter-American Democratic Charter.  With free and fair elections, Venezuela can begin to restore its once robust democracy and ensure respect for the human, political and civil rights of its people."

U.S. Rep. Ed Royce, chairman of the House Committee on Foreign Affairs

"Hugo Chavez was a tyrant who forced the people of Venezuela to live in fear.  His death dents the alliance of anti-U.S. leftist leaders in South America. Good riddance to this dictator.

"Venezuela once had a strong democratic tradition and was close to the United States. Chavez's death sets the stage for fresh elections. While not guaranteed, closer U.S. relations with (this) key country in our Hemisphere are now possible."

Actor Sean Penn

"Venezuela and its revolution will endure under the proven leadership of Vice President (Nicolas) Maduro. Today the United States lost a friend it never knew it had. And poor people around the world lost a champion. I lost a friend I was blessed to have. My thoughts are with the family of President Chavez and the people of Venezuela."

Share your reactions

@highlight

News of Chavez's death drew impassioned reactions from around the world

@highlight

Global leaders and other public figures weighed in on his legacy

@highlight

Obama: The United States reaffirms its support for the Venezuelan people