President Barack Obama has signed into law a bill to avert the fiscal cliff, a day after the House and Senate approved the much-debated legislation.

Obama, who returned to his family vacation in Hawaii after Tuesday's House vote, signed the bill via autopen on Wednesday.

But new battles over taxes and spending await Washington in the next few weeks.

Congress averted that self-built precipice late Tuesday when the House voted to stave off widespread tax increases and deep spending cuts by accepting a brokered Senate compromise. It makes permanent the Bush administration's tax cuts for individuals earning less than $400,000 per year and couples earning less than $450,000.

It raises rates on those who make more than that from 35% to 39.6%, bringing back a top tax bracket from the Clinton administration, and will raise roughly $600 billion in new revenues over 10 years, according to various estimates.

The bill also extends unemployment insurance and delays for two months the threat of sequestration -- a series of automatic, across-the-board cuts in federal spending.

Economists had predicted the combination of those tax increases and spending cuts could have thrown the U.S. economy back into recession and driven unemployment back into the 9% range.

Meanwhile, a new Congress takes office on Thursday, and lawmakers will soon be confronted by the need to raise the federal debt ceiling and what to do about the still-hanging sequester -- a legacy of the last battle over the debt ceiling, in 2011.

Read more: Five things about the fiscal cliff

"The sum total of all the budget agreements we've reached so far proves that there is a path forward that is possible, if we focus not on our politics but on what's right for the country," Obama told reporters late Tuesday, after the House approved the fiscal cliff deal. "And the one thing that I think, hopefully, in the new year, we'll focus on is seeing if we can put a package like this together with a little bit less drama, a little less brinksmanship, not scare the heck out of folks quite as much."

The Bush tax cuts expired at midnight Monday, while sequestration had been scheduled to start when federal offices reopened Wednesday.

World markets rose after the late-night vote. U.S. stocks jumped, too, with the Dow Jones Industrial Average rising nearly 2% by mid-afternoon.

Rum, electric vehicles and motor sports: Nuggets in bill

Tuesday night's 257-167 vote saw Boehner, R-Ohio, and about a third of the GOP majority lining up with Democrats against most of their own caucus, including Majority Leader Eric Cantor and party whip Kevin McCarthy. Rep. Nan Hayworth, an outgoing Republican representative from New York, said she was a "reluctant yes."

"This is the best we can do, given the Senate and the White House sentiment at this point in time, and it is at least a partial victory for the American people," Hayworth said. "I'll take that at this point."

The Senate plan was brokered by Vice President Joe Biden and Senate Minority Leader Mitch McConnell, R-Kentucky, and it passed that Democratic-led chamber 89-8. But many House Republicans complained the bill did too little to cut spending while raising taxes for them to support it.

Boehner's White House F-bomb

Conservative lobbyist Grover Norquist, whose Americans for Tax Reform pushes candidates to sign a pledge never to raise taxes, said the plan preserves most of the Bush tax cuts and won't violate his group's beliefs.

"The Bush tax cuts lapsed at midnight last night," Norquist tweeted Tuesday. "Every (Republican) voting for Senate bill is cutting taxes and keeping his/her pledge."

But Rep. Jeff Landry, R-Louisiana, told CNN's "Early Start" that Obama convinced Boehner "to undo everything he promised he would do" after the 2010 elections that gave the GOP control of the House.

"They did a debt ceiling deal, gave the president $2.1 trillion," Landry said. "They turned that deal off for two months. That's going to be another fight on top of the sequestration, a debt ceiling fight."

iReport: What's your message for Washington?

Other Republicans warned that as they did in 2011, they'll be demanding additional cuts before they agree to raise the federal cap on borrowing.

"The president has maxed out his credit card, and he is not going to get an unlimited credit card," Sen. John Barrasso, R-Wyoming, told CNN. "We're going to talk specifically about cuts and specifically focused on tax reform as well as helping to save and strengthen Medicare and Social Security.  And that's the next discussion we're going to have in Washington."

The federal government bumped up against its $16.4 trillion debt ceiling on Monday and has about two months before it runs out of ways to shuffle money around to keep Washington within its legal borrowing limit. Obama had sought to resolve the issue as part of the fiscal cliff negotiations, but the issue never made it to a final bill.

Tuesday night, the president warned Congress that he will not tolerate another round of brinksmanship that could have "catastrophic" effects on the global economy.

"While I will negotiate over many things, I will not have another debate with this Congress over whether or not they should pay the bills that they've already racked up through the laws that they've passed," he said.

How they voted: House | Senate

The last debt-ceiling battle led to the sequester, a kind of fiscal doomsday device that Congress was supposed to disarm by agreeing to more than $1 trillion in other cuts over the next decade. They didn't, leaving federal agencies preparing to slash spending by $110 billion by the end of the 2013 budget year.

Before Tuesday night, the Defense Department had been preparing to issue furlough notices for its entire civilian work force of 800,000. Those notices were stayed on Wednesday -- but Pentagon officials say they're worried that unpaid leave may be harder to implement later in the fiscal year.

"We hope Congress can find a way to end sequester once and for all," Pentagon spokesman George Little said.

While the deal gives Obama bragging rights for raising income taxes on the wealthiest Americans -- the first rate increase for any Americans since 1993 -- it also leaves him breaking a promise.

Obama had vowed to raise tax rates for the top-earning 2% of Americans, including those with household income above $250,000 and individuals earning more than $200,000.

Raising the threshold for higher tax rates shrinks the number of Americans affected. While nearly 2% of filers have adjusted gross incomes over $250,000, only 0.6% have incomes above $500,000, according to the Tax Policy Center.

By comparison, Census Bureau figures put the median U.S. household income at just over $50,000.

And despite the last-minute fiscal cliff agreements, Americans are still likely to see their paychecks shrink somewhat because of a separate battle over payroll taxes.

The government temporarily lowered the payroll tax rate in 2011 from 6.2% to 4.2% to put more money in the pockets of Americans. That adjustment, which has cost about $120 billion each year, expired Monday.

Now, Americans earning $30,000 a year will take home $50 less per month. Those earning $113,700 will lose $189.50 a month.

Opinion: Cliff deal hollow victory for American people

The legislation also caps itemized deductions for individuals making $250,000 and for married couples making $300,000. Taxes on inherited estates over $5 million will go up to 40% from 35%, and that threshold will be indexed for inflation.

The alternative minimum tax, a perennial issue, will be permanently adjusted for inflation. Child care, tuition and research and development tax credits will be renewed. The "Doc Fix" -- reimbursements for doctors who take Medicare patients -- will continue, but it won't be paid for out of the Obama administration's signature health care law.

@highlight

Boehner undid "everything he promised he would do" in 2010, GOP lawmaker says

@highlight

Obama calls for "a little less brinksmanship" next time

@highlight

Tuesday night's vote prevents tax increases for more than 98% of Americans

@highlight

It also staves off $110 billion in automatic cuts to domestic and military spending