Pirot, Serbia (CNN) -- In the backroom of a small house in Pirot in southeastern Serbia, a handful of women are fighting to keep an ancient craft alive.

Their dexterous fingers race up and down large wooden looms, weaving the bold geometric patterns distinct to Pirot carpets.

Once celebrated throughout Europe for their beauty, Pirot carpets graced the walls and floors of Serbian royal palaces, as well homes of the urban elite. Weaved for over four centuries in the town after which they were named -- Pirot, once a thriving trade center on the caravan route between east and west -- they were ceremonially rolled out for state visits, and given to foreign dignitaries.

However, what was a thriving craft practiced by 5,000 weavers a century ago is now under threat of extinction, with only 10 women still keeping the tradition going.

"Pirot carpet weaving is our treasure which is passed on from generation to generation. It's the knowledge I learned from my mother and my grandmother," says Slavica Ciric who founded the Lady's Heart cooperative in Pirot with local women in 2009, to try to stop the skills nurtured throughout centuries from passing into oblivion.

"Carpet weaving is in our DNA," she continues. "We were born on carpets and we grew up in houses filled with Pirot carpets."

Mastery of craft

Pirot carpets are very thin but extremely dense, and are said to last more than a century. They have two identical sides and are geographically protected, which means that they can only be made in the Pirot area, and out of Pirot sheep -- a rare breed with only a few flocks counting just 250 sheep remaining.

Weaving is painstaking work. It requires geometrical precision, supreme skill and creativity in equal measure. Everything is done by hand only, and in the same way as hundreds of years ago. It takes two weavers working simultaneously a month to create less than one square meter.

Traditionally a female activity, young girls would start at the loom at the age of 10, practicing every day for five years to reach a level considered good enough. Their weaving skill had a great impact on their marriage prospects -- it was considered a measure of intelligence because of the knowledge of mathematics required to calculate the size and distribution of patterns.

"When you look at a carpet with an untrained eye, you can see beautiful colorful patterns, but we work out exactly how many of these patterns we can fit within a meter," says Ciric. "We have to be visionaries and use logic to see where these patterns will stop, and where the border of the carpet will connect and finish," she adds.

And if a weaver makes a mistake, the carpet is instantly pulled apart, even if the work was nearly completed.

Magical meaning

The concentration necessary for this kind of precise work often means that once a weaver sits down at the loom, she loses all sense of time. "The pattern in a mysterious way simply possesses her, drags her into the depth and she's so taken by her work that everything around her stops. She forgets about the time, she surrenders herself to the pattern," says Ciric.

And it's those patterns that give Pirot carpets a mystical allure. Weavers say they represent ancient symbols which carry magical meanings and can be read as an image alphabet, and there are 95 varieties which weavers have to memorize. "It is very mysterious but in every single carpet there is a story which you can read. When I see a carpet I can immediately tell whether it has been made now or in a different period, whether it has been made with love or only to be sold," says Ciric.

Even though this skill is now practiced only by a handful of women, Ciric and her fellow weavers from Lady's Heart are trying to pass it on to the next generation, organizing winter courses for schoolchildren, including boys.

"There is a new generation coming along and if we manage to pass on this knowledge to them, I think there won't be any danger of this craft dying out," says Ciric. "We are the guardians of the tradition of Pirot carpet weaving, and we do this with love."

Read this: Resilient Belgrade rebuilds once again

Read this: No battery? Use a 'Strawberry Tree!'

More from On the Road Serbia

Monique Todd contributed to this report.

@highlight

Carpets have been weaved in the town of Pirot for 400 years

@highlight

They were hung in Serbian royal palaces and celebrated across Europe

@highlight

However, only 10 weavers still practice the craft today

@highlight

Weavers say patterns have magical meanings and symbolism