U.S. special operations units were sent into Syria this summer to rescue American journalist James Foley and other hostages held by Islamic militants, a U.S. official told CNN.

Several dozen of the most elite U.S. commandos from units like Delta Force and Navy SEAL Team 6 flew in aboard helicopters but couldn't find the hostages, including Foley, whose grisly execution was captured on video and released this week by ISIS, the terror group that refers to itself as the Islamic State.

"Unfortunately, the mission was not successful because the hostages were not present at the targeted location," Pentagon spokesman Rear Adm. John Kirby said on Wednesday.

It's the latest revelation about Foley's final days in the hands of ISIS, which taunted his family in an e-mail a week ago, saying he would be killed.

"The message was vitriolic and filled with rage against the United States. It was deadly serious," said Philip Balboni, CEO of the online publication GlobalPost, which employed Foley.

"Obviously, we hoped and prayed that would not be the case. ... Sadly, they showed no mercy."

Balboni told the Wall Street Journal that the captors originally demanded a ransom sum of 100 million euros ($132.5 million) from Foley's family and GlobalPost.

Then came the message sent to Foley's family last week. "There was no demand," Balboni said.

Obama: ISIS is a 'cancer'

Obama says ISIS a 'cancer' that must be eradicated

In the video, which CNN is not showing, Foley is seen on his knees as a man cloaked in black, his face covered, stands behind him.

Foley is then executed.

The video of his killing also shows another U.S. journalist, believed to be Steven Sotloff. The militant in the video, who speaks English with what sounds like a British accent, says the other American's life hangs in the balance, depending on what President Barack Obama does next in Iraq.

But the threat did little to curb U.S. military operations in Iraq, with American warplanes carrying out at least 14 airstrikes against ISIS targets.

Calling ISIS a "cancer," Obama said the United States "will continue to confront this hateful terrorism and replace it with a sense of hope and civility."

Several ISIS operatives were killed in the special operation earlier this summer that tried to rescue Foley and others, the U.S. official said. No U.S. personnel were killed, but one was slightly wounded. Fighters jets and surveillance aircraft provided overhead protection to the troops.

Who is the ISIS?

Foley's father: They showed no mercy

Messages from Foley's captors began last fall, Balboni of GlobalPost said. Foley, a freelance journalist, was on assignment when he disappeared on November 22, 2012, in northwest Syria, near the border with Turkey.

"The captors never messaged a lot. There was a very limited number with a very specific purpose. ... They made demands," Balboni said.

Some messages were political and some were financial.

Then came the final message last week, without any demand.

Foley's family, according to Balboni, responded in an e-mail, pleading for mercy and asking for more time.

They did not hear back.

The captors showed no mercy, Foley's father, John, told reporters on Wednesday, breaking down in tears.

Foley's family appears to have been among the journalist's final thoughts.

In the execution video posted Tuesday to YouTube, Foley reads a message, presumably scripted in part, if not all, by his captors. "I wish I had more time. I wish I could have the hope for freedom to see my family once again," he can be heard saying.

Foley's parents, flanked by one of his brothers, talked to reporters about their son's plight.

"Jim was innocent and they knew it," his mother, Diane, said. "They knew that Jim was just a symbol of our country."

His father broke down several times.

"We beg compassion and mercy" for the other American journalist shown in the video, said John Foley. Sotloff, a contributor to Time and Foreign Policy magazines, was kidnapped at the Syria-Turkey border in 2013.

"They never hurt anybody," John Foley said. "They were trying to help. There is no reason for their slaughter."

James Foley, 40, previously had been taken captive in Libya. He was detained there in April 2011 along with three other reporters, and released six weeks later.

Afterward, he said that what saddened him most was knowing that he was causing his family to worry.

His parents talked about asking him why he wanted to return to conflict zones.

"Why do firemen keep going back to blazing homes?" John Foley told reporters. "This was his passion. He was not crazy. He was motivated by what he thought was doing the right thing ... that gave him energy to continue despite the risk."

His mother said she remembered him telling her, "Mom, I found my passion. I found my vocation."

Source: Foley tortured, beaten

Disturbing details about Foley's final months began to emerge Wednesday.

A source who claims to have been held last year with Foley told CNN's Bharati Naik that he, Foley and another journalist were held from March to August 2013 in a prison in the Syrian city of Aleppo near Masha al-Adfaa hospital.

At the time, the source -- who spoke on condition of anonymity -- said they were being held by al-Nusra Front, a Syrian rebel group with ties to al Qaeda in Iraq.

At one point, according to the source, there were almost 100 people -- including other European journalists -- in the prison.

The source believes Foley and the other journalist, who was not Sotloff, were transferred to an ISIS training camp.

Foley and the other journalist, according to the source, were tortured in prison -- mostly beaten.

Foley and the other journalist, who the source declined to identify, said they gave him contact numbers and e-mail addresses to pass on messages to their family members.

The source told CNN he lost the contacts and did not get in touch with the families. He said he did, however, give the information about the journalists to Western government authorities in November 2013, including details about where Foley was being held.

French journalist Nicolas Henin told France Info radio he had been held with Foley in northern Syria prior to his release in April.

Henin, who has never before spoken about Foley because he didn't want to jeopardize his safety, said he was held for seven months with the American journalist.

Hostages were held in groups. At one point, he shared a cell with Foley.

Foley "was in a difficult state," Henin said. "He already suffered a lot during his first months (of captivity) and thankfully we shared a phase (in our detention) that was less difficult."

Foley, according to Henin, said he had been initially kidnapped by a group of jihadists who were fighting in Syria.

The Committee to Protect Journalists estimates there are about 20 journalists missing in Syria, many of them held by ISIS.

Among them is American Austin Tice, a freelance journalist who was contributing articles to The Washington Post. Tice disappeared in Syria in August 2012. There has been no word of or from him since his abduction.

What to know about ISIS

Searching for clues

U.S. and British counterterrorism analysts are examining every frame and piece of audio of the execution video for clues about where it took place and who the executioner is, U.S. officials, speaking on condition of anonymity, told CNN.

The voice in the video seems to have a British accent so they're trying to match any individuals known to the British government who may have gone to Syria to fight in that nation's civil war.

The analysts are looking at clothing, climate, terrain, language and wording and whether there are any National Security Agency or UK phone intercepts matching the voice, the officials said.

U.S. Official: ISIS 'credible alternative to al Qaeda'

Foley's killing recalled the murder of Daniel Pearl, The Wall Street Journal correspondent who was kidnapped while reporting in Pakistan in January 2002. His killing was captured on video and posted online by al Qaeda.

Pearl's mother, Ruth Pearl, responded to Foley's death with a tweet posted by the Daniel Pearl Foundation Twitter account that reads: "Our hearts go out to the family of journalist James Foley. We know the horror they are going through."

Foley's death also harkened to the videotaped beheadings of Americans Nicholas Berg, Eugene Armstrong and Jack Hensley carried out by al Qaeda during the height of the Iraq War.

Beheading of American journalist James Foley recalls past horrors

@highlight

GlobalPost CEO says the captors originally asked for 100 million euros in ransom

@highlight

Foley's family received a limited number of messages from them

@highlight

Several dozen U.S. troops from elite units participated in a failed rescue, a U.S. official says

@highlight

The U.S. operation killed several ISIS operatives, the official says