Editor's note: The staff at CNN.com has recently been intrigued by the journalism of Vice, an independent media company and Web site based in Brooklyn, New York. VBS.TV is Vice's broadband television network. The reports, which are produced solely by Vice, reflect a very transparent approach to journalism, where viewers are taken along on every step of the reporting process. We believe this unique reporting approach is worthy of sharing with our CNN.com readers.

Brooklyn, New York (VBS.TV) -- In the year 2050, if Ray Kurzweil is right, nanoscopic robots will be zooming throughout our capillaries, transforming us into nonbiological humans. We will be able to absorb and retain the entirety of the universe's knowledge, eat as much as we want without gaining weight, shape-shift into just about any physical form imaginable, live free from disease and die at the time of our choosing. All of this will be thrust on us by something that Kurzweil calls the Singularity, a theorized point in time in the not-so-distant future when machines become vastly superior to humans in every way, aka the emergence of true artificial intelligence. Computers will be able to improve their own source codes and hardware in ways we puny humans could never conceive. This will result in a paradigm shift that sees mankind coalescing with its own creations: man and machine, merging into one.

These grand-scale premonitions are largely based on Kurzweil's law of accelerating returns, which states that the development of technology has been increasing exponentially since the beginning of time. That concept isn't really compelling to the masses until one focuses on the "knee" of this exponential curve -- the point where the perpetual doubling of technological growth skyrockets and negates the linear models of progress that people like economists have relied on for so long. Kurzweil says we're just about to start rounding this bend and that the rate of progress will be so great it will "appear to rupture the fabric of human history." In other words, we will trump nature and take control of our own evolution.

Kurzweil's magnum opus, "The Singularity Is Near: When Humans Transcend Biology," outlines the implications of this transition in a way that is simultaneously believable, terrifying, meticulous and mind-bendingly absurd. It was published in 2005. That may seem like only a short time ago, but an incoming technological explosion of nuclear proportions isn't so far-fetched when you consider everything that's changed just between then and now. Twitter, iPhones, the comment on the Facebook wall as the new pickup line? The devices and programs we were using four years ago already seem outdated. "Transcendent Man," a documentary about Kurzweil by filmmaker Barry Ptolemy that was released digitally last week, offers a revealing glimpse inside Kurzweil's mind and elaborates on some of the ideas found in "The Singularity is Near."

See the rest of "The Singularity of Ray Kurzweil" at Motherboard.tv

People like to tag Kurzweil as the "rightful heir to Thomas Edison," and that's not a stretch considering he's responsible for some of the most useful inventions of the past century. An optical-character-recognition machine for the blind that's capable of reading most types of printed text aloud, the CCD flatbed scanner, speech-recognition software, the first synthesizer that created sounds virtually indistinguishable from those produced by their acoustic counterparts, and a whole bunch of other nifty things we can barely comprehend came from Ray's brain.

When I met Kurzweil at his office in Boston, he was dressed in a slightly crumpled navy suit jacket and slacks. As he emerged from the columns of books surrounding his desk, he seemed almost meek and startled even though he had postponed our interview by over half an hour. But after speaking with him for two minutes I wouldn't have been surprised if he told me that he had already received artificial neural enhancements and other biological upgrades. His intelligence operates on a higher plane, but his true gift is the ability to distill his complex theories into easily digestible terms. Regardless if you agree with Kurzweil's ideas, he certainly knows more than a few things that the majority of us don't. We'd be really foolish not to listen as closely as possible.

@highlight

Ray Kurzweil is an inventor, entrepreneur, author and futurist

@highlight

He predicts future in which technology will become superior to humans

@highlight

Point at which man and machine merge into one is referred to by Kurzweil as "singularity"