(CNN) -- Is it a guitar? Is it a piano? Nope, it is a crazy iPhone-powered combination of both. Plus it has a built in bass, violin and drum machine to boot. The Artiphon Instrument 1 looks something like a medieval lute, but with a smart phone jammed into its belly.

The new instrument, released for pre-order this month, combines a keyboard, fret board, built-in plectrum and accelerometer-powered wawa effect. Named the Artiphon Instrument 1, it is the invention of Mike Butera, a Ph.D. in sound studies, from Virginia Tech.

The Instrument 1 draws on the computational power of a modern smart phone to make and record sound. A downloadable app on the phone allows you to select different modes, helping you to change swiftly between instruments.

Butera says the invention of the Artiphon came to him at a dinner party in his native Nashville that descended into a late-night iPhone-based jam session.

"It was a bit comical," Butera says, "the singers staring down in their lap at the phone, fingers and hands contorted around a device that just begged to be dropped, trying to tap the right notes to songs we could have instantly played on a normal keyboard or guitar.

"It was then that I had the idea of a multi-instrument that would adapt to each person's playing technique and musical style. This wasn't a guitar or a violin or a keyboard but it could be any of them."

Butera says that he finds contemporary digital instruments such as keyboards, drum machines and laptops boring, so he invented his own device. "I wanted to make something that people at all skill levels could play, a device as agnostic to musical style as the piano but as expressive as a violin."

The Instrument 1 is made out of bamboo and hardwoods, and is produced by Nashville-based woodworkers. The speaker grilles are made of polished aluminum and the entire device is assembled locally.

Butera says it was important to him that the instrument should be high quality in its construction and materials: "I want to make instruments with innovative technologies that people want to keep and pass on rather than toss when they are obsolete," he says.

Showcased at the Consumer Electronics Show and the National Association of Music Merchants, Butera hopes the Instrument 1 will be embraced by working musicians. "I'd like to put the Instrument 1 in Brian Eno's hands, since he's broken so many barriers in electronic music throughout his career," says Butera. "And The Black Keys, because they're beyond obsessive about tone ... but I'm probably most excited about the whizkid in Japan who's going to post some killer video on YouTube and blow our minds."

The invention of new musical instruments has always come from technological leaps. The modern piano was a byproduct of mechanical development in the 18th century, and the electric guitar evolved from amplification experiments being done by big bands in the early 1900s.

The release of the Artiphon Instrument 1 coincides with the 30th anniversary of MIDI, a 1983 innovation that many musicians regard as the birth of electronic music.

Paul White, Editor in Chief of Sound on Sound magazine says the Instrument 1 "seems like a high-end take on the You Rock Guitar idea, where the fingerboard is replaced by touch switches ... though as a guitar player myself, physical strings feel much more natural than virtual strings. How widely it is accepted remains to be seen but I'm always encouraged to see new instrument ideas make it into the market and this one certainly looks to be well engineered."

In 2008 the Margaret Guthman Musical Instrument Competition was established to showcase and recognize the invention of new musical instruments. Commenting on the Artiphon Instrument 1, Gil Weinberg, organizer of the competition and director of the Georgia Tech Center for Music Technology, said: "In general, I'm a big believer in using the capabilities of smart phones to power novel hardware. The 'brain' of such devices is already in your pocket, so why not use it?

"Specifically regarding the Artiphon, I think they did a very good job in providing a wide variety of gestural input that can allow for more musical expression than interacting with the iPhone GUI. My only concern is that these new input modalities are still far from providing the expression that acoustic instruments can provide. But as long as users know what to expect, this can definitely be fun to play."

So how does it sound? According to Butera, the instrument "can sound like anything you want." So if you are in the market for a harp that plays like a violin and looks like a space-age guitar, Artiphon's new Instrument 1 may be the one instrument for you.

Milena Veselinovic contributed to this story

@highlight

Artiphon Instrument 1 can be played as a guitar, harp, violin, drum machine or keyboard

@highlight

The instrument draws on the computational power of an iPhone, housed beneath its fretboard

@highlight

"I wanted to make something that people at all skill levels could play," says creator