U.S. fighter jets and drones repeatedly bombed Sunni Islamic extremists in northern Iraq on Friday, targeting what officials described as ISIS artillery units and convoys advancing on the Kurdish regional capital of Irbil.

The airstrikes ramped up America's involvement in Iraq where ISIS, which calls itself the Islamic State, is seizing control of towns and key infrastructure in an advance that has forced hundreds of thousands to run for their lives.

The critical Mosul Dam is now in the hands of ISIS fighters, authorities said, while 150 hundred miles to the east tens of thousands of Iraq's minority Yazidis were trapped on a mountain by ISIS fighters below who vowed to kill them.

News of the second round of U.S. airstrikes came just after the governor of Irbil told CNN that ISIS may be as close as 30 kilometers (just over 18 miles) from the city of more than a million people.

The airstrikes began just hours after President Barack Obama authorized "targeted airstrikes," saying in a televised address late Thursday that the United States had an obligation to protect its personnel in Iraq and prevent a potential genocide of minority groups by ISIS.

Obama said there will be no buildup of U.S. combat troops in Iraq. "As commander in chief, I will not allow the United States to be dragged into fighting another war in Iraq," the President said.

Hitting ISIS

Two U.S. F/A 18 fighters first struck an ISIS artillery unit outside of Irbil, dropping two 500-pound laser-guided bombs at about 6:45 a.m. ET Friday, Pentagon spokesman Navy Rear Adm. John Kirby said.

Later, a drone targeted an ISIS mortar position, Kirby said. When ISIS fighters returned to the site a short time later, the drone struck the target again, he said.

That was followed a short time later by a second round of airstrikes, carried out by four U.S. fighter jets, that targeted an ISIS convoy of seven vehicles and another mortar position, Kirby said.

The F/A 18s made two passes, dropping a total of eight laser-guided bombs, he said.

Before the ISIS onslaught, the region had been the most stable in Iraq and a cooperative ally of the United States. U.S. military advisers and consular personnel are stationed in Irbil.

At this point, the United States has hundreds of military personnel in Iraq, including advisers sent in recent weeks to coordinate with Iraqi and Kurdish military officials in response to the ISIS rampage. The USS George H.W. Bush and other Navy ships also are in the region, and the FA/18s in Friday's initial strike came from the aircraft carrier, officials said.

Airstrikes are "very important" because ISIS fighters are well-armed and are outgunning the Kurdish forces, thanks to the weapons the militants seized from the Iraqi military in Mosul, Irbil Gov. Nawzad Hadi said.

Map: Where is ISIS?

Even as the airstrikes were under way, there was news that ISIS militants captured Iraq's largest hydroelectric dam, just north of Mosul, Iraq's second-largest city. According to a senior Kurdish official, the militant fighters have been using U.S.-made weapons seized during fighting from the Iraqi army, including M1 Abrams tanks.

There had been conflicting reports about who controlled the dam on the Tigris River, with heavy fighting under way between ISIS fighters and Kurdish forces, known as peshmerga. U.S. officials have warned that a failure of the dam would be catastrophic, resulting in flooding all the way to Baghdad.

In other fighting, an Iraqi airstrike killed 45 ISIS fighters and injured 60 Friday in the northern town of Sinjar, the country's state-run National Media Center said.

Sinjar is the town that ISIS overran last weekend, forcing tens of thousands of Yazidis to flee into surrounding mountains without food, water or shelter and prompting concerns of a potential genocide. The Yazidis are of Kurdish descent, and their religion is considered a pre-Islamic sect that draws from Christianity, Judaism and Zoroastrianism.

U.S. flights prohibited

In other signs of a growing regional conflict: The Federal Aviation Administration issued a notice prohibiting U.S. airlines from flying through Iraqi airspace "due to the hazardous situation created by the armed conflict."

The developments showed that the lightning advance by ISIS fighters across northern Iraq this year has become a battle for the nation's future and overall stability in a part of the world wracked for decades by periodic war.

U.S. warplanes patrolling the skies over northern Iraq have a "green light" to go after perceived ISIS threats to the Kurdish capital, Irbil, or to minority populations, said deputy national security adviser Ben Rhodes.

Airstrikes are also possible to help Kurdish forces end the siege by ISIS in the northern Iraqi mountains, where tens of thousands of Yazidis have sought refuge, Earnest, the White House spokesman, said Friday.

ISIS fighters have surrounded the Yazidis on the ground below.

"If there can be American military might that can tip (the) balance, we'll look for an opportunity to do that," Earnest said.

Kurdish pleas

In announcing his airstrike decision Thursday night, Obama said the militants would get hit "should they move towards the city."

Kurdish leaders have been pleading for the United States or NATO to buttress their forces against ISIS from the air. The President seems to have heard their appeal.

"We do whatever is necessary to protect our people," Obama said, adding, "We support our allies when they're in danger."

Before Obama announced the airstrikes, two U.S. military cargo planes airdropped 5,300 gallons of water and 8,000 meals onto Mount Sinjar, where some Yazidi children had died from dehydration.

According to a U.S. official, a Predator drone flying overhead indicates the Yazidis have 63 of the 72 pallets dropped with aid supplies. It's not clear if the other pallets missed the drop zone or are in ISIS hands.

Late Friday, the Defense Department announced that U.S. military planes made another airdrop of food and water for Iraqi citizens stranded on Mount Sinjar.

The British government said Friday it would support the U.S. humanitarian effort and planned airdrops of its own.

French President François Hollande joined the growing chorus of condemnation of the ISIS attacks and called on the international community to respond.

"France is ready to take its part," Hollande said in a statement from his office that called for the European Union "to take an active role very quickly"  and put in place all the necessary assistance to respond to the crisis.

Meanwhile, the United Nations in Iraq was "urgently preparing a humanitarian corridor to allow those in need to flee the areas under threat," said Nickolay Mladenov, the special representative to the U.N. secretary-general.

He welcomed the "cooperation between the Government of Iraq, the Kurdistan Regional Government (KRG) and the international community to help prevent genocide and fight terrorism," according to a U.N. statement.

Iraqi Foreign MInister Hoshyar Zebari told reporters Friday from Irbil that his government is working with the KRG -- including supplying the Kurdish peshmerga with ammunition and military helicopters.

This hasn't always been the case "because of political issues," the KRG's official website notes. Yet the same site reported that Zebari said "it is now clear that the peshmerga and the Iraqi security forces are fighting together against a common enemy."

Beheadings

ISIS has executed people who don't share their fanatical interpretation of Sunni Islam and posted videos of their killings to the Internet. "Convert to Islam or die" is the militants' ultimatum to those captured.

They also have beheaded victims and placed their heads on spikes to strike terror in the population, a senior administration official said.

Already, the Obama administration is rapidly funneling weapons to Iraqi forces. Factories are operating seven days a week to produce them, a senior administration official said.

The administration has pushed for Iraqi Prime Minister Nuri al-Maliki's Shiite-dominated regime to be replaced by an ethnically more inclusive government

But two Republican senators said in a statement that the President's actions do not go far enough. And the United States should not wait on Iraq to pull together before Washington takes action.

Sens. John McCain of Arizona and Lindsey Graham of South Carolina want to see U.S. forces take the fight to ISIS.

"It should include U.S. airstrikes against ISIS leaders, forces, and positions both in Iraq and Syria," their statement read.

Who will stop ISIS?

ISIS takes Iraq's largest Christian city

@highlight

U.S. makes another drop of food and water to Iraqis stranded on mountain

@highlight

Fighter jets and drones targeted an ISIS mortar position and a convoy, Pentagon says

@highlight

The warplanes targeted an ISIS convoy near Irbil, the Pentagon says

@highlight

ISIS militants capture dam north of Mosul, Kurdish official says