(CNN) -- "How do we explain this to children?"

The question echoed across the country Saturday night after a Florida jury cleared George Zimmerman in the shooting death of Trayvon Martin.

Trial watchers outside the Sanford courthouse cried and hugged after the verdict, which followed 16½ hours of deliberations. But the decision sparked shock and outrage well beyond Sanford in a case that has been racially charged from the start.

Zimmerman's supporters applauded the jury for siding with the neighborhood watch volunteer's claims that he shot the teen in self-defense. Others said prosecutors failed to prove their case beyond a reasonable doubt. But their voices were drowned out by those who viewed the trial as a referendum on race that confirmed what some said they knew all along:

"Can't be surprised... Black life has no value in this country," rapper QTip said in a tweet that was shared more than 2,000 times.

'Sanford has changed for the better'

Demonstrators gathered Saturday in New York, Tallahassee, Chicago and other major U.S. cities for mostly peaceful protests, while civil rights groups and leaders, from Rev. Al Sharpton to Rep. John Lewis, expressed disappointment with the verdict Saturday. Images of people in hooded sweatshirts flooded Twitter and Instagram tagged with combinations of #hoodsup #JusticeforTrayvon and #RIPTrayvon.

The 17-year-old was wearing a hooded sweatshirt when he left the home of his father's fiancee on February 26, 2012, to buy Skittles and a drink from a convenience store. He was on his way back when Zimmerman spotted him walking through his gated community and called 911 to report a "suspicious" person in a "dark hoodie."

He was not charged until a groundswell of protest forced officials to reexamine the case. People took to the streets in "hoodie marches" and more than two million people signed a Change.org petition asking Florida prosecutors to bring charges against Zimmerman.

A lawyer for Martin's family said Saturday the petition showed support for the idea that "a black 17-year-old child should be able to walk home from the store and not be shot.

"I think they may have saved the life of another child -- because I think that from now on, if there is someone who wants to follow someone with a gun, I think they'll think twice about it. And so for those people, I say thank you," Natalie Jackson said Saturday night. "Sanford has changed for the better. And I think there is grace and dignity in what these people did in the peaceful protests."

A legacy of racial profiling

Others, however, saw less cause for hope in the case's outcome, calling Martin the latest victim of racial profiling in a legacy that includes Rodney King, Sean Bell and Oscar Grant.

For many, the verdict confirmed that "walking while black is a crime punishable by death," as Twitter user Lola Ogunnaike said in a tweet that was shared more than 300 times.

"There will be a great deal said about what the verdict in this trial means, but most fundamentally we should understand that it means validation for the idea that the actions Zimmerman took that night were rational, the conclusions he drew sound, and that a black teen-ager can be considered armed any time he is walking down a paved street," author and educator Jelani Cobb said in a New Yorker column shortly after the verdict.

"The decision the six jurors reached on Saturday evening will inspire anger, frustration, and despair, but little surprise, and this is the most deeply saddening aspect of the entire affair. From the outset—throughout the forty-four days it took for there to be an arrest, and, then, in the sixteen months it took for the case to come to trial—there was a nagging suspicion that it would culminate in disappointment. Call this historical profiling."

Cobb was one of many who learned of the verdict after leaving a screening of "Fruitvale Station," a film about the police-shooting death of Oscar Grant four years ago in Oakland, California.

"Not surprised. But distraught. Saw 'Fruitvale Station' tonight. How ironic to come home to this verdict," author Judy Blume said on Twitter.

Of the verdict, Michael B. Jordan, the actor who plays Oscar Grant, said "I cannot believe this is the America I live in right now."

Social media erupted in response to the verdict, although chatter began earlier in the day during deliberations.

"The fundamental danger of an acquittal is not more riots, it is more George Zimmermans," New York radio host Jay Smooth, founder of WBAI's Underground Railroad, said in a tweet that has been shared more than 8,000 times.

"Like, I think, a lot of us, I pretty much expected this. Doesn't make it ANY easier to take," he said after the verdict, echoing the sentiments of many.

Mothers and fathers of various races wondered what this meant for their children.

"Here's hoping that all those kids out there in America buying Skittles with their #hoodsup stay safe tonight," Lauren Sir said.

When stand your ground doesn't work

Critics brought up the story of a Florida woman who was sentenced to 20 years in 2012 for firing a warning shot to scare off her abusive husband.

Marissa Alexander unsuccessfully tried to use Florida's controversial "stand your ground" law to derail the prosecution. Debate has swirled over the law, which allows those who believe they are in imminent danger to use deadly force to protect themselves.

But a jury convicted Alexander of aggravated assault after just 12 minutes of deliberation.

The case, which was prosecuted by the same state attorney who handled the Trayvon Martin case, gained the attention of civil rights leaders, who said the African-American woman was persecuted because of her race.

But amid the sorrow, messages of peace and hope emerged.

"Change doesn't roll in on wheels of inevitability but comes through continuous struggle. So we must straighten (our) ... backs & work 4 freedom," Cory Booker, mayor of Newark, New Jersey said, quoting Dr. Martin Luther King, Jr.

"Bigotry & hate won't just quietly disappear - nor be defeated by more hate. It'll take stubborn, relentless, unyielding love & service."

CNN's Alicia Stewart contributed to this report.

@highlight

"Black life has no value in this country," rapper QTip says

@highlight

George Zimmerman's supporters applaud jury for siding with self-defense claims

@highlight

Civil rights groups express disappointment