(CNN) -- A Christan pastor in Iran has been sentenced to death for allegedly renouncing his Muslim religion and another faces a possible indictment on the same charge of apostasy, according to a prominent activist group working for human rights in Iran.

Youcef Nadarkhani, a 32-year-old member of the Church of Iran ministry and pastor of an approximately 400-person congregation in the northern city of Rasht, faces death, according to the International Campaign for Human Rights in Iran.

In the southern city of Shiraz, another Christian pastor, Behrouz Sadegh-Khanjani, 35, is facing a possible indictment for apostasy.

"This is part of a greater trend of persecution against Christians," said Firouz Sadegh-Khanjani, brother of Behrouz and member of the Church of Iran's Executive Council.

Christians are feeling the heat in other parts of the Muslim world as well.

In Iraq, Christians have been attacked and many have fled their homes for other lands. In Pakistan, a Christian woman faces a death sentence for blasphemy for allegedly defiling the name of the Prophet Mohammed.

On September 22, Iran's 11th Circuit Criminal Court of Appeals for the Gilan Province upheld the death sentence and conviction of Nadarkhani for apostasy.

Apostasy is the "act of renouncing one's religion," the human rights group said Tuesday, but it "is not a crime under Iran's Islamic Penal Code. Instead, the presiding judge in Nadarkhani's case rested his opinion on texts by Iranian religious scholars."

"It is the low point of any judicial system to sentence a person to death outside of its own legal framework," said Aaron Rhodes, a spokesman for the campaign.

"To execute someone based on the religion they choose to practice or not practice is the ultimate form of religious discrimination and disregard for the freedom of conscience and belief."

The judgment said Nadarkhani was born to Muslim parents but converted to Christianity when he was age 19 and it said that "during interrogations Nadarkhani made a written confession admitting he left Islam for Christianity."

He said during his trial that his "interrogators pressured him into making the statement," the campaign said.

"I am not an apostate. ... Prior to 19 years old I did not accept any religion," Nadarkhani said at trial, according to the campaign.

Nadarkhani said he was coaxed by an interrogator into thinking "that a person who is born to Muslim parents, and does not accept a religion other than Islam before reaching the religious maturity age (15 for males), is automatically a Muslim."

Nadarkhani's attorney on Sunday filed an objection to the sentence with Iran's Supreme Court.

Two articles in the constitution grant Christians "the right to freely worship and form religious societies" and another "obligates the Iranian government to uphold the equality and human rights of Christians."

The judge based his decision on constitutional provisions and Revolutionary Court "civil procedures that instruct judges to consult sources when there is no codified-law that addresses a matter," according to the campaign.

There is also a part of the penal code allowing "judges to draw upon their personal knowledge when adjudicating cases."

"More and more, the Iranian judiciary is departing from any recognized form of due process, issuing arbitrary judgments based on vague, open-ended laws," said Rhodes. "Laws and evidence are increasingly irrelevant and unrelated to judicial outcomes in Iran."

Leonard Leo, chairman of the U.S. Commission on International Religious Freedom, said the "draconian language in the verdict makes it very clear that the Iranian authorities mean business. He could be executed at any time. And for what? For being a Christian."

"We call upon the Obama administration and the international community to use every means available, to raise this issue and demand the unconditional release of Mr. Nadarkhani."

USCIRF officials said the last known execution of a Christian in Iran for apostasy was 20 years ago this month.

The Rev. Hossein Soodmand -- a Muslim who converted to Christianity in 1964 and served pastor and evangelist in the Evangelical Christian Church -- was arrested and charged with apostasy and insulting Islam as a result of his own conversion and efforts to convert Muslims. He was hanged in December 1990.

Also, there have been executions of people of the Baha'i faith in Iran, including one charged with apostasy in 1998, the officials said.

In the Shiraz case, Firouz Sadegh-Khanjani told the campaign his brother was arrested in June.

"Eight members of his congregation including his wife were arrested two days later but were eventually released," he is quoted as saying.

"For several months he was in solitary confinement. We had no word from him and he had no contact with his lawyer. He has been moved to (prison) but we worry about the type of pressure he was under while in solitary confinement."

After his release from solitary confinement, Behrouz Sadegh-Khanjani and his lawyer, Mahmoud Taravatrooy, attended a hearing in which "prosecutors sought to indict him for apostasy along with the crimes of acting against national security, propaganda against the regime, and insulting sanctities."

"We are most concerned with the apostasy charge," Taravatrooy said.

"That's where most of my energy has gone, to save him from death."

The clergyman's brother said Sadegh-Khanjani was born to Christian parents and was never a Muslim, saying his mother is a Christian immigrant from the Congo and his father converted before he was born.

"Technically speaking, the court should dismiss this charge," said Taravatrooy, "but the judge has to review the accusations first."

Taravatrooy told the campaign that his office asked some top clerics to issue opinions on apostasy under Islam.

Four Ayatollah's, including the late Grand Ayatollah Hossein-Ali Montazeri, said that converting from Islam to one of the Abrahamic religions, including Christianity, is not construed as apostasy and the convert "should be treated the same way as people of other religions would be," Taravatrooy said.

Behrouz Sadegh-Khanjani was under temporary detention June 6 after he reported on a summons to the revolutionary court in Shiraz. At the time, he was free on bail stemming from a December 2009 arrest.

But Sadegh-Khanjani's temporary detention order expired on October 18, Taravatrooy said.

"Technically he is being held illegally," according to the campaign.

@highlight

The pastor facing death is from Rasht in northern Iran

@highlight

Another pastor faces possible indictment for apostasy

@highlight

Christians are feeling the heat in other parts of the Muslim world