(CNN) -- Nearly 2,000 homeowners in New Jersey who had their lives turned upside down by Superstorm Sandy were wrongfully denied recovery funds, according to a new report released Thursday.

Four of every five homeowners who appealed denials from the Reconstruction, Rehabilitation, Elevation, and Mitigation (RREM) program and the Resettlement programs in New Jersey had their rejections overturned, according to the Fair Share Housing Center, an organization that advocates for the rights of poor homeowners.

The fate of thousands of other homeowners affected by Sandy remains unclear, according to the report.

The RREM program provides up to $150,000 to cover the cost of rebuilding and elevating a home. Public records obtained by the Fair Share Housing Center show that 3,196 applicants were told by the Christie administration that they were ineligible for the program.

Of the 1,033 who appealed the denial, 788, or 79 percent, were told they were in fact eligible for recovery funds. A similar percentage of residents who were denied up to $10,000 to cover non-rebuilding costs also had their rejections overturned in the appeal process, for a total of 1,090 households.

Thousands more who were denied funds from either program did not appeal, according to the report.

"We were pretty shocked," said Adam Gordon, staff attorney at the advocacy group. "Thousands of people were wrongfully rejected, and it was impacting people all over the state. We were just shocked by the sheer magnitude of it."

The report shows that a majority of the applicants who were denied funds were minority homeowners.

"I think it's a breach of faith in the basic fairness of government and appalling behavior, especially when it is directed toward people recovering from a disaster," Gordon said.

A statement from the state's Department of Community Affairs, which administers Sandy recovery programs, said: "The Fair Share Housing analysis leaves out both significant facts and context. DCA has ensured that anyone initially rejected received a thorough review of their application, resulting in reinstatement of eligibility and the award of recovery funds in every single eligible case."

The agency is placing part of the blame on the federal government.

"Noting the high number of ineligibility determinations, we investigated and learned FEMA provided the State with inaccurate damage assessment data. As a result, we obtained (Department of Housing and Urban Development) approval to allow applicants to demonstrate damage through third party sources," the statement said.

A statement from Gov. Chris Christie's office released on Monday said that more than 5,100 Sandy-affected homeowners have been preliminarily awarded RREM grants and that approximately 3,000 would be moved off the waitlist.

Christie met on Tuesday with a few homeowners impacted by the storm in Keansburg. He acknowledged their frustration with the slow recovery process. But he said things are improving and pointed out that nearly $1.2 billion in Sandy recovery funds have either already been distributed or are in the pipeline in New Jersey.

"Half the money is going toward housing. When you had 365,000 homes damaged or destroyed in the storm, this is the longest and most difficult part of trying to deal with the problem," Christie said.

Christie blamed any delays in distributing funds on the process used to decide who gets what. There are two deciding factors: the amount of damage and the level of need based on a family's economic situation.

"That means you have to get more information to us. That means we have to review more information. That means the federal government will then review more information," he said. "And it almost invariably means one of us will ask you for more things."

The Fair Share Housing Center is standing by its findings. "The Christie administration's widespread rejection of large numbers of families actually eligible for Sandy aid shows that the Sandy recovery process has been flawed from start to finish," Gordon said.

Concerned by the findings, U.S. Sen. Robert Menendez, D-New Jersey, is calling for more oversight.

"My office is aware of complaints from constituents concerned with discrepancies, long waiting lists and delays in receiving the help they need to rebuild their homes and lives," he said in a written statement. "That is why I am calling for Senate hearings to explore ways to expedite relief to so many struggling New Jersey families still recovering more than a year after Superstorm Sandy."

U.S. Rep. Bill Pascrell, D-New Jersey, is also calling for greater oversight of Sandy recovery funds. He raised concerns about the firm hired in May to help process applications for funding. Hammerman & Gainer Inc. was fired by the state last month.

"We need a full accounting of the HGI contract, and I urge HUD to require the appointment of an independent monitor before the next round of funding goes out to ensure there isn't further mismanagement," Pascrell said in a written statement.

The report comes at a critical point in the recovery effort in New Jersey. The state is preparing to distribute $1.46 billion in a second round of Sandy funding. At the same time, the U.S. Attorney's office is investigating claims from Hoboken Mayor Dawn Zimmer that members of the Christie administration linked Sandy recovery funds to her approval of a real estate development project in her city.

@highlight

Thousands were wrongly denied Sandy recovery funds, housing group says

@highlight

About 80% of appealed rejections were later deemed eligible, report says

@highlight

Most of the residents denied were minority homeowners, group says

@highlight

State denies the allegations, saying that it received bad data from federal officials