The fortunes of potential U.S. allies among Syrian rebel groups are ebbing fast as hardline Salafist groups and especially al Qaeda's affiliate go on the offensive. The past month has dealt further reverses to already-beleaguered moderate groups, whose presence in the critical northern provinces of Idlib and Aleppo has further eroded.

This is a growing headache for the Obama administration, which is trying to identify, train and "stand up" moderate rebel factions to take on the Islamic State in Iraq and Syria. Washington has announced a $500 million program to train 5,000 fighters over one year.

But it is yet to begin, and some of these groups are now in retreat or on the verge of extinction. Those that aren't are wary of being identified as "Washington's guys" because of the administration's focus on degrading ISIS but not going after Syrian government forces.

Tough road for moderate groups

Analysts say moderate groups are caught between a rock and a hard place, pilloried by radical factions for taking Western weapons but failing to get enough of them (or quickly enough) to become serious players.

Noah Bonsey of the International Crisis Group writes in Foreign Policy, "For a rebel commander seeking to convince his fighters that cooperation with Washington is in the rebellion's best interest, American strikes that ignore the Assad regime while hitting (Islamist rebels in) Ahrar al-Sham are extremely difficult to explain."

Moderate groups also suffer from poor morale and a lack of resources.

All in all, says Kimberly Kagan, president of the Institute for the Study of War, "the forces that the U.S. has nominally been backing have suffered losses at the hands of the Islamic State, Jabhat al-Nusra (al Qaeda's Syrian franchise) and the regime." The current trajectory, she says, means "the moderate opposition remains marginal and incapable of shaping the battlefield in any material way."

Bonsey said coalition airstrikes against ISIS had allowed President Bashar al-Assad to refocus on hitting mainstream rebels, and the regime had made gains around Hama and Aleppo. Combined with al-Nusra's advances in Idlib and the threat of a renewed offensive by ISIS, moderate groups were now in danger of a rapid decline.

Kristen Gillespie, founder of the website Syria Direct, agrees: "American policy freed up the regime to step up bombings of its own civilians, which we are seeing in areas across Syria such as Jobar, Hama and Homs."

Al-Nusra appears to have benefited from the limited strikes against its subsidiary, the Khorasan Group, which the U.S. alleges is planning attacks on the West. Observers say the strikes, and reports of civilian casualties, have gained the group sympathy and support.

Making things still worse, there appears to be at least a truce between al-Nusra and ISIS, allowing each to focus on other enemies, whether moderate groups, the regime or the Kurds, and consolidate control over their respective strongholds. The U.S. director of national intelligence, James Clapper, last month spoke of "tactical accommodations" between the two groups. Other sources say smaller Salafist groups that share the jihadist outlook of al-Nusra and ISIS have helped broker local agreements.

An al-Nusra spokesman, Abu Azzam al-Ansari, told Syria Direct last month that al-Nusra is looking for a cease-fire, though not a larger merger with ISIS, because it wants to focus on fighting "just the Alawites (regime)."

Such a truce may allow al-Nusra free rein in the northwest of Syria, while ISIS focuses on its heartland in the northeast.

In the past month, it has overwhelmed forces of the Syrian Revolutionaries' Front and Harakat Hazm in Idlib, both supported by the U.S. and Saudi Arabia. The Revolutionaries' Front had been seen as a potential U.S. ally since it helped expel ISIS fighters from the region in January. Dozens of Harakat Hazm fighters defected to al-Nusra, according to local activists.

Al-Nusra fighters are within a few kilometers of border crossings into Turkey, a source of revenue and resupply.  Local activists and analysts also see al-Nusra developing a closer relationship with the most powerful group within the Islamic Front: Ahrar al-Sham.

Gillespie says Ahrar is popular in Idlib as many of its members are from the province. "They have the popularity; Nusra has more of the military might," she says. Together, "they appear to be a formidable foe for anyone looking to take over Idlib."

Al-Nusra's propaganda machine has showcased the social services it is providing and its convoys parading through Idlib.

To some analysts, al-Nusra appears to be emulating ISIS in building its own emirate in northern Syria. In a recording leaked in July, al-Nusra's leader, Abu Muhammad al-Julani, was heard saying the time had come to establish "an Islamic emirate in the Levant." Bonsey says it has "withdrawn assets from key fronts with the regime and shifted them to establish unilateral control of other areas."

Al-Nusra has begun implementing sharia law and building local government, releasing images of its Da'wah (Islamic preaching) offices in the town of Sarmada and elsewhere. But Gillespie says "they are moving slowly, because people still fear Nusra is a version of ISIS. Nusra is launching campaigns to create gardens, pick up trash and other measures that improve people's quality of life."

Even so, other factions are apprehensive that it's on the way to emulating ISIS and building its own caliphate, says Bonsey.

Stark choice

In neighboring Aleppo province, an area the al-Assad regime has fought hard to control, the battlefield is even more complex. After Damascus, the city of Aleppo remains the most important theater for both the regime and its opponents. Western reporters who have managed to get into Aleppo say the Islamic Front -- an umbrella group of Islamist militia -- is in control of rebel-held neighborhoods, while al-Nusra dominates in the countryside to the north.

Al-Nusra and its allies are engaged in a bitter battle against the regime and fighters of the Lebanese militia Hezbollah for control of two nearby towns -- Zahra and Nubul -- inhabited largely by pro-regime Shiites.

Videos and photographs uploaded in recent days suggest a sustained assault against Zahra and Nubul: In one instance, al-Nusra appears to have used a captured armored troop carrier as a massive suicide bomb.

Success against the regime in these towns would secure a vital supply route for rebels clinging on in Aleppo in the face of aerial and artillery bombardment, but for now ,the towns' defenders are holding out.

Al-Nusra is clearly taking territory while it can, perhaps wary of ISIS suddenly turning on it (as it did in August) or the emergence of better-equipped groups supported by the West. As the regime and rebels fight to a standstill around Aleppo, ISIS waits in the wings, looking for an opportunity to take further territory (if not the city itself) from exhausted combatants.

ISIS holds rural areas near the town of Marea, 20 miles north of Aleppo. Among the groups lined up against it are fighters of the Jaish al Mujahideen, a mainstream outfit that has U.S. support and claims to have about 6,000 fighters. But one of the group's commanders, Abdulaziz, told Reuters this week  that only 50 men have received training in a CIA-sponsored program. They would be hard-pressed to resist a renewed ISIS assault in the area.

Ultimately, Bonsey says, "to reverse jihadist gains, you need to strengthen moderate groups and get as many of them as possible on the same page."

The creation last week of the Revolutionary Command Council, which includes a wide spectrum of rebel groups, could be significant -- if it survives and so long as it doesn't become just a vehicle for Salafist factions such as Ahrar al-Sham. So far, says Bonsey, "the bottom line is that the pace and scale of U.S. support is not sufficient to halt, let alone reverse, the erosion of moderate forces."

Most territory in Syria is essentially shared by the "big three": ISIS, al-Nusra and its allies, and the regime.

"The Americans have painted themselves into a corner, left to work only with so-called moderates, who at this point have mostly been kidnapped, killed, exiled or absorbed into Islamist factions," says Gillespie.

That fits the al-Assad regime's game plan. Kill off the mainstream groups and leave the West with a stark choice: Bashar al-Assad or ISIS and other jihadist groups turning Syria into an Islamic state.

Inside Kobani, scenes of devastation everywhere

@highlight

Hardline Salafist groups and especially al Qaeda's affiliate on offensive in Syria

@highlight

Moderates suffer from poor morale, lack of resources, allowing others to prosper

@highlight

Making things still worse, there appears to be at least truce between al-Nusra and ISIS

@highlight

West has stark choice: Bashar al-Assad or ISIS and other jihadist groups