(CNN) -- Even back in the days when you could still use the term "peace process" with a straight face, the odds of solving the Jerusalem issue were already pretty long. Then, I would have put those odds a bit north of impossible and a little south of hopeless. Things are even worse now.

I remember day eight of the Camp David summit in July 2000, when discussion turned to Jerusalem. That day, it was clear to me that as far Camp David was concerned, it was game over. There were some intriguing moves on Israel's part, but nothing that could have settled the issue. Indeed, Ehud Barak, Yasser Arafat and Bill Clinton could have fallen into the yawning gaps that separated Israelis and Palestinians on this issue and never have been heard from again.

Fast forward a decade and a half, and not much has changed. Jerusalem is still insoluble and it now seems more explosive then ever. So what is it about Jerusalem/Yerushalayim/al-Quds that makes it so potentially contentious and deadly?

Three things stand out:

It's a perfect storm of complexity. Jerusalem is a microcosm of almost all the issues in the Israeli-Palestinian conflict packed into one small place that is marked by a big history. It combines territory (who will control land in the east and west, not to mention the four quarters -- Jewish, Muslim, Armenian, Christian -- of the old city). It involves political identity (conflicting claims to the city as a capital); it is driven by religion (see below) involving not just Jews, Muslims and Christians in the Middle East, but globally, too; and as the last few months suggest, it is also a matter of security fraught and framed now by an intimacy of killing reflected in the slayings of Israeli and Palestinian teens this past summer and last week's savage Palestinian attack on a synagogue in west Jerusalem.

Proximity can be deadly. Ben Franklin quipped that proximity breeds children, and contempt, too. In this regard, Jerusalem is unique in that it is one of the only places where Israelis and Palestinians (the vast majority who aren't Arab citizens of Israel) mix every day and have almost unrestricted access to one another. It is a stunning testament to the pragmatism and self-interest of Israelis and Palestinians -- as well as the imbalance of power -- that the city has remained as quiet and functional as it has these many years given such passions and politics.

But it should be no surprise that given those politics and passions that Jerusalem has often become a bloody flash point, often but not always a result of the perception among Palestinians that Israel is trying to change the status of some aspect of Jerusalem. The reason for this latest round of tensions, violence and bloodletting is a perfect storm of factors that include the sense of isolation and frustration on the part of the Palestinians of East Jerusalem who don't have the benefit of the social services and economic advantages of Israelis in the west; Israel's effort to expand their communities and presence in East Jerusalem; Hamas' efforts to incite and fan the flames; and the grim realization that the future seems almost certain to be more of the same. With the Israel-Gaza war over until the next round, and the West Bank relatively quiet, it's Jerusalem that has emerged as the epicenter of unrest.

Overlapping sacred space. Things in Jerusalem would be bad enough if the perfect storm were driven only by proximity as well as nationalist and political conflict. But that was not to be. Jerusalem is above all a matter of faith, of belief and of religion. The notion that the three Abrahamic faiths -- Islam, Christianity and Judaism -- share common values concerning peace, social justice and humanity may well be true. But that has never been the case when it comes to this city. History is filled with claims, conquests, crusades, occupations, massacres and violence in the name of possessing Jerusalem, not sharing it.

And nowhere has the religious complexity of the Jerusalem issue been clearer than on the question of who controls and what will happen to the Haram al-Sharif (Noble Enclosure) and Har Habayit (Temple Mount). That platform, situated within the walls of Jerusalem's Old City, is in essence a physical manifestation of overlapping sacred space.

Atop sits the goldened Dome of the Rock, a seventh century Islamic shrine built by the Caliph Abd al-Malik that houses the foundation stone, a massive rock that figures prominently in Jewish and Islamic tradition.

And nearby there's a site of even greater significance -- the al-Aqsa mosque started by Caliph Abd al-Malik in the seventh century. According to the Quran, it is reputed to be the ascension point where the Prophet Mohammed rose to heaven on his Night Journey. Below the platform are the remains of both Jewish temples, which housed the Ark of the Covenant and the Holy of Holies. The area is so sensitive to Jews that they were enjoined not to set foot on the Mount out of fear that they could be treading on that sacred ground.

It is quite extraordinary that despite incidents of violence -- October 1990, September 1996, September 2000 and of course what's transpired in recent weeks -- that the area has not been a scene of continuous struggle. Part of the answer may lie in the fact that the Israeli government has been the single greatest factor in preventing Jewish prayer there and in trying to preserve the status quo. And if there's any hope of avoiding a catastrophe, it will depend on a continued effort by the government to make clear that it won't tolerate an effort by its own ministers, members of the parliament, and a variety of hard-line groups to do precisely that. That, combined with efforts by the Palestinian Authority to cool its own rhetoric and avoid anything that could be interpreted as inciting to violence, will help minimize the chances of a blowup and buy time and space.

But buy time and space for what? Is there a solution?

Keep in mind that the sacred space issue is only one dimension of the Jerusalem problem. You also have the challenge of what to do with the Old City, how to deal with the problem of a city that will be the capitals of two states, and the more mundane but still contentious issues of how to run a city as special and complex as this one.

In July 2000, at the Camp David summit, we didn't come close to resolving any of these issues. On the sacred space issue we tried creative ideas, including sovereignty above ground for the Palestinians and below for the Israelis and (my favorite) taking sovereignty away from both and placing it with God. No deal, even though we were dealing with Israelis (Barak) and Palestinians (Arafat) who were far more willing and able to do something if the terms were right. Those are not the leaders we have today.

There were nights in Jerusalem after the negotiations had ended that I'd sit with my friend Gamal Helal, adviser and Arabic interpreter to half a dozen presidents. We'd look at the walls of Jerusalem and wonder about what the Muslim leader Saladin and the Christian crusader Richard the Lionheart would have made of American efforts. Not much, we concluded sadly. But we knew what they must have sensed, too. History teaches that Jerusalem isn't to be shared. Jerusalem is to be possessed and contested in the name of the tribe, the nation -- and above all in the name of God. And whether that past will remain prologue remains to be seen.

@highlight

Aaron David Miller: Jerusalem is a perfect storm of complexity

@highlight

Relative quiet a testament to pragmatism on both sides, Miller says

@highlight

History of city filled with claims, conquests and occupations, he says