Paris (CNN)The terrorist attacks in France last week have revealed serious breaches and lapses in the French system of intelligence, surveillance and security, according to numerous counterterrorism experts, including former government officials.

The rips in the so-called intelligence "net" reveal gaps that led directly to the tragic events that have gripped Paris and the rest of France for days and also raise serious security concerns for the future here and abroad, more than a half dozen experts on security and terrorism told CNN.

And it couldn't come at a worse time.

The brazen murders of 17 innocent people, in three separate attacks in as many days, has led to a fabled city shaken, shocked and in mourning.

The new concerns raise the serious possibility that national security and surveillance of suspected terrorists in France will need to be increased or totally reviewed and revamped to provide better safety for the nation as a whole, some experts told CNN. And with one of the suspected terrorists still on the loose of as Sunday night and new reports of "sleeper cells" being activated, the security concerns are only amplified.

On Saturday, French police were told in a briefing that sleeper cells have been activated over the past 24 hours inside France, terror expert Samuel Laurent said he had been told by a police source. He said officers were told to erase all visible online presence on social media and keep their weapons on themselves at all times, he said.

"There is a huge security failure those people were all considered as extremely dangerous," said Laurent, a French expert who has written several books on terror groups, their actions and jihadism.

"They were all supposed to be monitored. In the U.S., they were on a no-fly list. So we can ask the question whether the U.S. is more able to monitor French jihadis on French territory than the French intelligence itself," said Laurent.

One of the most common complaints heard by experts: simple math showing aspiring terrorists in France having the upper hand.

One former director of a French counterterrorism unit put it in these terms: "There are far too many of them, and far too few of us," he said, asking to speak anonymously because he did not have permission to speak to reporters.

"We cannot possibly keep track of them all, and we are seriously outnumbered," he said. Two other former French terrorist officials agreed.

Jean-Charles Brisard, head of the French Center for Analysis of Terrorism, put it like this: "To put someone under surveillance, you need two things. You need a good reason -- you need to believe someone is going to be radicalized, that someone is going to become violent.

"The second thing you need is resources. You need 25 agents ... to survey them physically, his phone, his laptops, iPads whatever. It is virtually impossible to put surveillance on 3,000 to 5,000 people in France who we know now are radicalized," he said.

Beyond concerns about the state of simple surveillance, experts point out other issues in the fight against terrorism. They're worried about the proliferation of jihadi videos on social media, the growth of radical jihadi preaching and the relative ease with which citizens of France can get into Turkey and across the Syrian border.

The week of terror began at the offices of Charlie Hebdo, where 12 journalists and others were murdered in close quarters, leaving a gruesome and violent crime scene behind the likes of which Paris has not seen in years.

The attackers were two brothers who were well-known to authorities and who would seemingly call out for increased surveillance and scrutiny.

Cherif and Said Kouachi were orphans and had criminal records. The younger brother, Cherif, was actually prosecuted and jailed for his ties to a jihadist recruitment ring in the northeast quadrant of Paris.

The ring, known by name for a park where they met, the Buttes-Chaumont, was recruiting young disaffected Parisian Muslims to join in the Iraq War as jihadis against American forces. Three of the young recruits wound up in Falluja, where American forces died in numerous fierce battles. Cherif Kouachi was arrested in 2005 when he was about to leave for Iraq. He was sentenced to three years in prison in 2008.

But Cherif didn't serve any time after the conviction -- the judge ruled that his pretrial detention had been enough. Still, his radicalization was well-known to officials, spelled out in detailed court documents back in 2007. The documents, obtained in conjunction with L'Express, show Cherif had a long history of jihadist aspirations, including going to Iraq to "combat the Americans" for the "injustices" they had "inflicted on Iraqis."

In 2010, Cherif was connected with a foiled plot to help a convicted terrorist escape from jail, though there was not enough evidence to send him back to jail.

During his stint behind bars, Cherif met Djamel Beghal, a jihadi who was jailed for plotting to bomb the U.S. Embassy in Paris. Beghal, a known al Qaeda recruiter, was also connected to Amedy Coulibaly, who died the same day as the two brothers after he killed several hostages at a kosher grocery store in eastern Paris.

At times before and after his stint in jail, Cherif Kouachi was under surveillance by French authorities. But several former top French government officials told CNN he had "dropped off" priority lists this past summer and was less carefully monitored.

Cherif's older brother, Said, traveled to Yemen in 2011, according to a U.S. official for three or more months and is believed to have trained with al Qaeda while he was there.

Coulibaly was also known by French authorities. He, too, had a criminal past with jihadi links. Like Cherif, he was connected to the plot to free a convicted terrorist from jail. A Western intelligence source told CNN that Coulibaly was arrested in connection with the plot known as BELKACEM Project in May of 2010.

He was in possession of 240 rounds of ammo for a Kalishnikov. While he was awaiting trial for the foiled plot, Cherif visited Coulibaly, according to the Western intelligence source.

Despite all these well-known links to terror concerns, and even the links between Coulibaly and Cherif, all three attackers seem to have largely dropped from French surveillance priorities up to the moment they were linked to the ongoing attacks.

"We know that the level of alert has been lowered in 2014," said Laurent. But he said the level of alert could and should have been raised.

Speaking just about the Kouachi brothers and Coulibaly, Laurent said:  "Actually, they could not be considered as a lower-level threat. Those people were extremely dangerous, they were very motivated and the French have made a huge mistake by letting them off the radar or allowing them such a level of freedom in terms of operating, finance and preparing this attack," he said.

Brisard, head of the French Center for the Analysis of Terror, agreed.

Coulibaly had made several phone calls to target police in France. Coulibaly is believed to have killed a French policewoman on Thursday.  He was killed during the hostage attack on the kosher market on Friday.

While not known previously, it is now believed the Kouachi brothers' jihadism extended beyond Iraq, to Yemen and Al Qaeda in the Arabian Peninsula.

During their rampage, the Kouachi brothers had told witnesses they were "avenging the Prophet."

On the day of their final shootout and deaths, French station BFM says it spoke with both Cherif Kouachi and Coulibaly. The men both gave details of their jihadist Yemeni ties. They said, independently, that they were financed and supported by Anwar al-Awlawki, the American-born cleric who became the a key jihadi leader in Yemen and was killed by Americans several years ago. The ties to Yemen and al Qaeda prompted many of the experts speaking to CNN to raise even more security concerns for the future.

Said Kouachi is suspected of slipping off for terror training in Yemen in July 2011 during a trip he made with another French national to Oman in July 2011, according to multiple French officials who spoke to L'Express national security reporter, Eric Pelletier. Pelletier shared the details of his reporting with CNN.

U.S. intelligence agencies developed intelligence suggesting a high probability he slipped across to Yemen during the trip to Oman, and informed their French counterparts, according to Pelletier's French sources.

The French responded by placing Said Kouachi under surveillance in November 2011 by issuing a "Fiche de Surveillance" notice, multiple French officials told Pelletier. The surveillance was conducted by both DGSI, France's domestic security service and later by the judicial police. Wiretaps were authorized for his cell phones and that of his brother Cherif.

But the surveillance of Said was terminated in June 2014 because French security services judged him no longer dangerous, Pelletier was told. The surveillance of his brother Cherif stopped earlier -- at the end of 2013. Cherif's phone calls suggested he had disengaged with violent extremism and was focusing on counterfeiting clothing and shoes.

"The fact that al Qeada's affiliate in Yemen pulled off the most deadly terrorist attack in Europe in a decade speaks for itself," said CNN national security analyst Peter Bergen, an expert on al Qaeda and Osama bin Laden. "Groups like al Qaeda in Yemen, as well as ISIS and other jihadist groups in the Middle East, are likely to continue to be a problem in Europe for the foreseeable future."

"Hindsight is, of course, always 20/20. In the case of a large-scale terrorist attack, there is often intelligence in the system that was overlooked before the event," said Bergen.

"The CIA, for instance, knew that two men associated with al Qaeda were living in the United States who later turned out to be among the hijackers of the flight that crashed into the Pentagon on 9/11; the lead bomber in the London bombings of 2005 was known to British law enforcement, and the Fort Hood shooter, Major Nidal Hasan, had come to the attention of the FBI because of emails he exchanged before the attack with Anwar al-Awlaki, an al Qaeda leader based in Yemen.

"This time it's the French that dropped the ball, but this is not a problem particular to France."

@highlight

Security will need to be increased or totally reviewed, expert and analysts tell CNN

@highlight

Author: Is the U.S. is more able than France to monitor French jihadis on French territory?

@highlight

Another expert says sheer numbers favor the jihadis at the moment