(CNN)  -- More than 1 billion people all over the globe will observe the 40th anniversary of Earth Day today, which promises to be the largest since that first event in 1970. In 2010, the environmental challenges we face are global and call for new solutions.

Forty years ago we were reactive. In 1969, the year before the first Earth Day, two environmental disasters grabbed the country's attention: a massive oil spill coated the coast of Santa Barbara, California, and the Cuyahoga River in Cleveland, Ohio, grew so polluted that it actually caught fire.

Forty years later, with climate change looming and no strong international agreement in place despite the Copenhagen Climate conference, environmental activists are taking a proactive stance. They are arming themselves with the internet and social media to create another grass-roots movement for change, even larger than the first.

How countries like India and China solve their future energy needs has an impact on people everywhere -- many developing countries are now pulling ahead of the United States on renewable energy -- and how the United States addresses its key issues will have an equal impact.

Americans of all political stripes can agree on certain essential goals, such as how we must preserve the world's natural wonders for generations to come and how we must live in harmony with this world of finite natural resources.

But not everyone sees the bigger picture -- that the global economy will improve by moving away from dependence on fossil fuel, that investments in renewable energy can create jobs and that a new revolution is needed to replace the outdated Industrial Revolution.

It took 150 years to transform our agrarian society to an industrial one. But today, we don't have the luxury of time. Climate solutions are urgently needed.

The challenge is to move from carbon-based energy and industrial systems into a post-carbon, or green, economy. A green economy relies on renewable energy and the creation of green jobs to prevent further pollution and resource depletion and sustain economic growth.

Economic growth, quality jobs and energy independence are not mutually exclusive. According to studies gathered by the Environmental and Energy Study Group, a Washington energy think tank, energy efficiency employs 8 million and renewable energy employs 450,000 in the United States.

The Earth Day Network and its partners are orchestrating large events in New York; Rabat, Morocco; Kolkata, India; Buenos Aires, Argentina, and Tokyo, Japan.  A massive climate rally is planned for Washington on April 25.

Earth Day Network is backed by more than 20,000 organizations spanning 190 countries. All these organizations have a stake in climate change, development and growth, national security and energy policy -- geopolitical issues that must be addressed.

Earth Day has become a  year-round imperative.  From public meetings to civic action, Earth Day's influence has created a green generation of activists, business leaders, and government leaders who are creating a new global green future worthy of the aspirations of the first Earth Day.

The opinions expressed in this commentary are solely those of Kathleen Rogers.

@highlight

Kathleen Rogers: More than a billion people to take part in the 40th Earth Day

@highlight

Rogers: How nations like India, U.S., China solve their future energy needs affects the world

@highlight

Rogers says global economy will benefit if it no longer depends on fossil fuel

@highlight

She says problems can't wait; renewable energy and green jobs are the future