(CNN) -- It's been 11 years since John Meletse, a deaf, gay South African man, first learned he was HIV positive.

But the events of that day are all too vividly etched on his mind: After a brief but anxious wait inside a Soweto clinic, near Johannesburg, a doctor called him in his office. The doctor, unable to communicate with him in sign language, quickly wrote something in a piece of paper and stuck it in front of him.

"You are HIV positive" read the note. "He didn't explain anything," Meletse recalls in sign language as tears roll down his face.

"He just stuck this paper in my face and I was like: 'Me? What you're telling me is the truth?' And the doctor said 'yes,' and I could lip read and I asked him 'is it the truth' and he said 'yes' and the doctor told me 'go now, bye bye.'"

The news left Meletse shocked and devastated as he struggled to grapple with how to cope with the disease and a community unsure of how to deal with him.

"It was hard for me -- first I'm deaf, secondly I'm gay and thirdly I'm HIV positive, these three things, what must I do?" says Meletse, who was 25 when he was diagnosed with HIV.

He decided, however, not to hide but to share his story and use his experience to inspire the deaf community to communicate openly about sex.

"I thought for myself, I need to make a stand and I need to be open and out -- I'm gay, this is me, it's my identity, I'm the same as everyone else. A lot of deaf people still are closed up, keep it covered in the closet and I'm taking a stand."

Today, Meletse's stance has seen him become a leading figure within the deaf and the gay rights community in South Africa.

Over the last few years, he's been visiting schools for deaf children across South Africa, organizing workshops where he uses visual techniques to teach deaf sex education counselors how to raise awareness about HIV and AIDS.

"When I turned 30," Meletse says, "my family came together and I'm out -- I'm out about being gay, about HIV positive, my sister fainted, they thought I was going to die and I said 'no, I'm going to be a role model for the deaf community, I'm going to motivate them, support everyone, I'm going to educate everyone, I'm going to try and stop HIV, I'm going to stop the blame and still I feel good about that.'"

Meletse cites South African constitutional court judge, Edwin Cameron, the first South African official to publicly announce his HIV status, as his own role model.

When Meletse heard him speak a few years ago, Cameron had already been living with HIV for 20 years. Cameron's public announcement inspired Meletse to also spread his heartfelt message.

"I wanted that same feeling, I wanted to stop this stigmatization within the deaf community.'"

"There's no education, the clinics aren't helping, we're just hitting a brick wall, what does HIV mean? Nobody knows and they're just dying, I was like I'm going to stand up and say I'm going to show you -- the same that I saw Edwin do -- for the disabled community."

Meletse recently collaborated with Human Rights Watch which chose him to be part of a public awareness campaign about HIV in the deaf community.

"People with disabilities throughout the world -- and we're talking about a billion people here -- are often ignored when it comes to issues of HIV and AIDS prevention, access to treatment, access to counseling and other preventative techniques," says Tiseke Kasambala, senior researcher in the Africa Division of Human Rights Watch.

"This is because people living with disabilities are assumed not to have a sexual life, and it's something that for us is of great concern because we're seeing an increasing number of people living with disabilities who are now at risk of contracting HIV and AIDS because they simply don't have the information or the access to that kind of information," she adds.

Driven by his desire to help others, Meletse is determined to work hard to dispel myths and change attitudes.

"People look at disabled people and they say 'ha, they don't know about sex.' No, we're all the same, deaf people have sex, hearing people have sex. So blind people also have sex, all these things, we all do it.

"But it's hard -- interpreters at clinics, there are so few. For blind people in Braille, what material is printed? Ramps for people in wheelchairs entering the clinic, it's hard. I respect the disabled people for trying in this world."

@highlight

John Meletse is a deaf, gay HIV positive South African activist

@highlight

He's been sharing his story to inspire the deaf community to communicate openly about sex

@highlight

Meletse teaches sex education to raise awareness and understanding of HIV/AIDS

@highlight

HRW chose him to be part of a public awareness campaign about HIV in SA's deaf community