(CNN) -- In these difficult economic times, it seems almost obscene that 60 men will be battling for a share of $15 million this weekend.

But the fact that they can, especially somewhere as hard-hit by the financial downturn as Dubai, is testament to the glowing health of golf's European Tour.

The Dubai World Championship, the climax to the money-spinning Race to Dubai, is the last tournament before the tour begins its 40th year of existence.

It has grown from an entirely Europe-based circuit of 20 events to an almost worldwide phenomenon which also takes many of the sport's top players to Africa, the Middle East and Asia.

In 1972 the total prize pool was the equivalent of €350,000 ($470,000) but it has mushroomed to more than €132 million ($178 million) spread across 52 tournaments and 29 destinations -- driving exposure levels with its ever-growing television unit.

Tiger holds no terror for golf's new stars

"I think the whole principle of having your own players playing on your own golf courses televised by your own television companies has remained the coherent goal," chief executive George O'Grady told CNN from the emirate.

"We've moved the tour from a good promotional outfit into a solid operating business, and we can dictate or lead the way the game should be rather than always responding to the wishes of our sponsors.

"We listen to our commercial sponsors, obviously, and the TV companies, but we decide the direction we want the sport to go in."

A new world order

When the Dubai event and rebranding for the tour's traditional Order of Merit money list was announced in late 2007, it was trumpeted as the biggest prize in golf -- worth $10 million plus the same in bonuses.

It was soon downsized to a $7.5 million tournament and that amount again in extras due to Dubai's well-documented debt problems, and the initial five-year agreement -- which was reduced to three -- is about to end.

O'Grady told CNN he was confident a new deal to keep the event in the emirate will be announced before Sunday's winner is crowned.

"We're looking at a way to keep it in Dubai if we possibly can," the 62-year-old said. "It's a perfect geographical location to finish our calendar year."

The Race to Dubai rebranding has helped the European Tour become a bona fide rival to its U.S. PGA counterpart, which has a $10 million jackpot of its own in the FedEx Cup series and still pulls in the most sponsorship.

"When we were the Volvo Tour with the Volvo Order of Merit, we united Europe on the European stage. This unites the European Tour on the global stage, and we finish in a place that is readily accessible from most of the countries we visit," O'Grady said.

European success story

Whether world No. 1 Luke Donald makes history by becoming the first player to win the European and U.S. money lists in one season, or Rory McIlroy overhauls his fellow British star, 2011 has been another bumper year for European golf.

Three of the season's four major titles were won by tour members, while Donald won one of the four World Golf Championship events and also tied for second, and Germany's Martin Kaymer triumphed at another.

O'Grady is happy with the progress made since he took over in 2005, having helped launch the tour's commercial arm in 1984 and developed the television broadcasting side.

Rights for the PGA Tour are fought over by three U.S. TV stations, but the European Tour's market is a lot more widespread.

Top tips from one of golf's best coaches

"We really grew it enormously when satellite channels began concentrating on sports, Sky specifically in the UK. Before that we had to own production ourselves otherwise we were always at the mercy of the BBC or TV in Spain, and it's a very difficult sport to televise," he said.

"Now our company televises more hours of tournament golf than anybody else in the world, and also at a lot of different times -- you've got to provide a service for 24-hour golf channels in Spain and France, then Korean television is very demanding and you've got India. It's an absolutely key part of our operation."

Alongside the main circuit, the second-tier Challenge Tour has almost €5 million in prize money while the Senior Tour offers more than €9 million.

O'Grady said what was once considered the main challenge -- of producing future stars to maintain the sport's profile -- has already been addressed.

"The current success of the European Tour is really a pat on the back for everyone involved in golf in Europe, from the amateur clubs to the coaches to people who devote their time to bringing new people into the game. There's no shortage of people wanting to become professionals," he said.

Olympic ambitions

And while growth has come from spreading to all corners of the globe, there is still a big focus on concentrating on the traditional heartlands of Britain, Spain and France -- which will host the prestigious Ryder Cup teams event in 2018.

Eastern Europe is still a largely untapped market, and the return of golf to the list of Olympic sports from 2016 could spark further expansion.

"It has given it a higher profile in developing markets where the Olympic ideal remains so strong," O'Grady said. "There's a huge number of new golf courses now in China since it became an Olympic sport, and the same with South America."

Unrest in the Middle East did lead to Bahrain losing the Volvo Golf Champions event, which will be held in South Africa next year, but O'Grady believes that golf has a big role to play in such countries.

"Golf is such a force for good and opens the doors in countries you go to, where it becomes more accessible to the local population. There's increasing accessibility. It can't all be done overnight, so you've got to make inroads."

O'Grady's goals

Players past and present serve on the tour's board and tournament committee, and O'Grady believes he has the support to continue in his role for the next few years at least.

His wife suffers from multiple sclerosis and needs 24-hour care after suffering a brain haemorrhage two years ago, so the father of two has to balance his time spent away on golf business.

"I've had a lot to do with golf going to the Olympics, and I'd quite like to be around when it first happens. And I'd quite like to see the next Ryder Cup on Continental soil," he said.

"That will probably see me through. If you're doing what you enjoy and you're making a difference and the players are very happy with me ... if the players have had enough then I'd be off tomorrow.

"Talking to them here, to a man they all seemed remarkably positive and onside -- and you'd think they would be for the kind of money they're playing for!"

@highlight

European Tour season ends this weekend with the big-money Race to Dubai finale

@highlight

Chief executive George O'Grady hopeful a new deal will extend Dubai's involvement

@highlight

The European Tour has grown into a worldwide circuit since its birth in 1972

@highlight

O'Grady is looking forward to golf's long-awaited return to the Olympics in 2016