(CNN) -- It's hard to think of a time in the history of America's intelligence community when it has been more battered by accusations of over-stepping or mismanaging its mission: to secretly gather information to support the activities of the U.S. government

The list of recent revelations grew over the weekend with allegations that America has been systematically spying on its European allies. Reports in the European press, apparently drawn from documents provided by Edward Snowden, suggested that America spied on the European Union, France, Italy, Greece and other close international friends, listening in on encrypted fax transmissions and planting bugs and other devices at 38 embassies and missions in Washington and New York, as well as locations in Europe.

The timing is not great: the eve of scheduled trade talks with the Europeans, a priority of the Obama administration. The new reports have caused a furor across the continent, stoking the uproar caused by earlier Snowden-related revelations that America has been listening in on millions of German calls and e-mails.

Top officials, like Secretary of State John Kerry, shrugged it off by saying allies often spy on each other, and others, like former Director of the NSA and CIA Gen. Michael Hayden, noted that some friends spied on us. But the damage was done to important relationships and to the Obama administration's prior claims that it would conduct itself according to a different standard than past U.S. governments.

All nations collect intelligence, Obama says

This all comes on the heels of reports that the overreach of the intelligence community begins at home. While it will be cold comfort to our NATO allies that we are only treating them as we do our own people, the details of programs that warehouse massive amounts of phone metadata and e-mail traffic were the first shock waves produced by the Snowden leaks.

But the problems go beyond what Snowden leaked to the very fact that a comparatively junior contractor could gain top level clearances and access to so much information. Indeed, it is deeply disturbing that hundreds of thousands of private contractors had Top Secret clearances and that, as we have learned, many may have gone through inadequate screening procedures or been inadequately managed.

Earlier news -- about the scope of U.S. drone programs managed by the intelligence community, "kill lists," extra-judicial targeting of perceived threats, the scope of America's cyberwarfare programs against enemies in Iran (Stuxnet), China and elsewhere -- have already called the role of the community into question. Just last week NBC News reported that a senior U.S. military leader very close to President Obama and his national security team, Gen. James Cartwright, was a target of a leak investigation concerning Stuxnet..

These are all stories of a culture of secrecy and of arrogance that has simply gone too far. Perhaps each and every one of these missions began with a reasonable national security goal. But because so much of the planning and execution takes place behind closed doors or in situations in which the term "oversight" is laughably applied to wink-and-a-nod rubber stamping of initiatives, it is perhaps more surprising we have seen so few scandals than that we are dealing now with what seems like so many.

Consider: According to the U.S. government's own figures, last year the Foreign Intelligence Surveillance Court received 1,789 applications for approval of government spying operations and OK'd all but one. Since 2001, according to a report in Salon based on government figures collected by the Federation of American Scientists, more than 15,000 applications were approved and only 10 denied. The Supreme Soviet of Cold War Russia was a less effective rubber stamp.

The FISA Court is just one of the feeble oversight mechanisms that apparently did not do its job. Congressional and executive branch officials have bought into the post 9/11 paranoia and hopped up threat mentality and come to accept that even the possibility of an attack on the United States warrants disregard for U.S. laws and international agreements. Not to mention the principles of respect for individual liberties and reasonable constraints on government power on which the United States was established.

This was well illustrated when NSA Director Keith Alexander argued that the agency's massive surveillance programs were warranted because they allegedly stopped "over 50" terror attacks, with scant reference to the size of the attacks, the real risk posed, whether other means to stop them that didn't involve massive surveillance might exist, or to the possibility that the damage done to civil liberties might be worse than that which might have been produced had the terror plans gone forward.

Opinion: Why we're all stuck in the digital transit zone with Snowden

Indeed, senior U.S. officials have told me that, in their view, a primary motivator for accepting all these programs was fear that resisting would hold dire political consequences for them, should an attack occur. In other words, in the modern U.S. intelligence community, CYA has become more important than CIA.

There are real threats out there. And, yes, other nations spy on us. Terrorists use new technologies to target American interests and citizens and must be contained. Cyberwarfare poses a growing threat to the United States as well as other nations.

All these facts require analysis and countermeasures by the U.S. government. Some require the United States to go on offense. But what the revelations show is a series of errors of overreach and bad judgment, not that all our programs should be eliminated. The problem here is one of scale and of profoundly compromised and twisted values.

That problem itself is complicated and exacerbated by America's emergence as the world's first cybersuperpower. As such, we have sought to flex our technological muscles not only in ways that make us safer but that introduce a new form of constant, low-grade, invisible conflict that makes Cold War spy games seem quaint in their narrowness--even if their stakes were much higher. In the past, I've called this Cool Warâ€”neither cold nor hot but dangerous nonetheless, not just to our enemies but also to our friends, our interests and our values.

Edward Snowden broke the law and if the United States can bring him in, he deserves to be prosecuted. But the ones who should be in their own hot seat are those who created, approved and rationalized into existence the sprawling, seemingly uncontainable global intelligence and cyberwarfare apparatus that is as much of a threat to the kind of country we want to be as any terrorist group.

Opinion: Why can the U.S. do about Snowden?

The problem for us, of course, is the only people with the power to restore balance and common sense limitations to these programs are the ones who let them get so out of control in the first place.

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

David Rothkopf: The U.S. intelligence community is being slammed as overreaching

@highlight

He says more news of spying, on United States' European allies, has drawn shock and anger

@highlight

He says it's out of control, with poor oversight and disregard for laws and U.S. values

@highlight

Rothkopf: There are real threats, but intelligence community hasn't shown spying is only answer