(CNN) -- My son has recently been released from active reserve duty in the Israel Defense Forces in Gaza, and the two sides are again talking about a serious ceasefire. I am relieved to have my son back and to see that we are talking instead of shooting, and pray that this latest round of negotiations succeeds in bringing us stability and progress towards peace.

The recent violence has left many dead and wounded, homeless and traumatized on both sides, as well as terrible destruction. Worst of all, it has overwhelmed many of us with a sense of hopelessness regarding the prospects for peace here.

Both the Hamas leadership and the Israeli government have chosen conflict over real peace negotiations again and again in the past. They are apparently only able to haggle over ceasefire deals between rounds of fighting.

The lead-up to the outbreak of hostilities included the wave of mutual hatred and fear that swept the Jewish and Palestinian populations in the wake of the kidnapping and murder of three young Israeli teenagers in the Etzion Bloc and the revenge murder of a Palestinian youth in Shuafat, followed by Israeli mass arrests of Hamas operatives in the West Bank, and the arrest of three Jewish extremists in the Jerusalem region.

Israel had also signaled its disapproval of the recently established Fatah-Hamas unity government by exacerbating its blockade of Gaza, punishing 1.8 million Gazans.

Hamas responded by unilaterally opening fire and shooting hundreds of missiles at Israeli population centers. The rest is well known -- Operation Protective Edge with the destruction and death you have seen on TV screen and other media. If not for the Iron Dome anti-missile batteries (an Israeli invention with U.S. investment) protecting those cities, the destruction and deaths on the Israeli side would have been much greater.

We Israelis on the whole supported this action, though there were some protests from the radical left and Arab citizens. The internal arguments regarding (frozen) negotiations with Palestinian Authority President Mahmoud Abbas and the future of the settlements were set aside as the country was mobilized to support the armed forces in what was seen as an act of defense against the rocket fire.

A week later, with the onset of the ground offensive, the destruction of the many tunnels dug into our territory for purposes of kidnapping and terrorist killings became the focus of popular support for the IDF. My son, an infantry soldier in reserves, was called up to protect his people, as I have had to do in the past, and as my father did in Poland when fighting the Germans as a partisan.

On the other hand, few Israelis questioned the means by which we deal with these threats or whether the path to this bloodshed was indeed unavoidable. Fewer Israelis wanted to hear criticism of the rising numbers of uninvolved Palestinian dead and wounded from the IDF's actions.

Those of us in the human rights community who asked questions about this, however carefully and hesitantly, were vilified as unpatriotic or even as traitors, and some activists were physically attacked.

Faced with these reactions, I fear for Israeli democracy and the moral fiber of the country. When faced with a struggle with a hate-fueled terrorist organization like Hamas, which has no compunction in breaking even humanitarian ceasefire agreements (they broke five or six), and which uses its own civilian population for cover, it is understandable that Israeli nerves might be frayed.

The strength of my country and my people through history has always been its ability to debate, be self-critical, and respect differences of opinion.

There is certainly no prospect for peace here in Israel if the extremists within the present government have their way. If the Palestinians, on the other hand, are able to change direction and reject the ways of Hamas as uncompromising haters of Israel's very existence, they would strengthen the hand of the many Israelis who continue to dream and strive for peace.

Some of us see that as a religious commandment -- as Hillel the elder said (Sayings of the Fathers, chapt. 1, Mishna 12, Talmud), one should pursue peace as did Aharon the high priest: "Strive for peace and pursue it". (Psalms, 34,15)

After shaky start, cease-fire extension appears to hold

Is Mideast peace as far away as ever?

@highlight

Yehiel Grenimann is based in Jerusalem and works with Rabbis for Human Rights

@highlight

Grenimann says Hamas, Tel Aviv have repeatedly chosen conflict over real negotiations

@highlight

There is no prospect for peace if extremists in the government have their way, he says

@highlight

Palestinians also need to reject the ways of Hamas as haters of Israel, Grenimann says