(CNN) -- Sometimes, it pays to eavesdrop on the next table over at lunch. That's how Brian Preston learned about the homeless people living in the woods around his suburban Georgia community.

Today, some of those men have jobs and homes thanks to Preston, in a business collaboration that's not only producing expertly crafted furniture but restoring hope.

Maybe it's because feel-good stories are hard to come by that the tale of Preston's carpentry outfit, Lamon Luther, has struck a nerve, earning a standing ovation last week from the audience at TEDxAtlanta, a series of independently organized talks modeled after the original TED conference.

Turns out that what they needed were some tools and a chance, Preston, 31, told the audience. In return, they're helping keep alive a tradition of American craftsmanship that seems to be disappearing with each generation through Lamon Luther, which is named for Preston's grandfather, a farmer and carpenter from Georgia.

It might not have happened if Preston hadn't overheard a conversation in 2009 in a restaurant in his hometown of Douglasville, Georgia, about "the village in the woods." Intrigued, he went to see for himself and discovered a makeshift camp where people lived in tents and shared firewood, propane and food that was stored in a hole in the ground. Some had recently left jail; others were builders and craftsmen who had fallen on hard times after the housing crisis of 2007 gutted the construction industry.

Photos: 'Down and Out in the South'

Preston, a married father of two, wanted to help. It hadn't been that long since his family had experienced rough financial times after losing their residential development business in the housing crisis. He and his wife sold most of their belongings so they could downsize to an apartment and start over. The more he got to know the men in the woods and learned about how they'd landed there, the more he felt he had narrowly avoided a similar fate, he says.

"I remembered calling and begging mortgage companies to help us out and wondering how we were going to put gas in the car," he said. "I knew how easy it was to fall into that. Potentially, we're all just a few steps away from it."

Watch the TEDxAtlanta talk

He began making regular visits to the camp with loads of firewood, propane and other supplies to be divvied up among the residents. But his donations didn't seem to do much to improve the long-term prospects of the men who lived there, Preston said.

Frustrated that he was enabling their destitution, he asked how he could help.

The answer was simple, one man said: They needed jobs. They had no addresses, no cell phones and no licenses.

"'No one will hire us,'" Preston's friend, Mitch, told him.

It didn't take long for Preston to figure out how he could help in a way that would change his fortune as well. By this time, Preston had a "safe" job as creative director of a New Age church designing graphics and doing photography, he said. But he was a craftsman at heart and felt a piece of himself was missing. If a story was ever written about Preston's life at that point, "no one would want to read it," he said.

With the help of his wife and her addiction to Pinterest, the online pinboard for sharing decor and design inspiration, he'd returned to carpentry on the weekends, he told the audience. He began selling his work on Craigslist and demand grew steadily to the point where Preston wondered how he could transform his weekend hobby into a full-time job. Then, it hit him.

On January 1, he picked up Roger Anthony Curtis, who goes by "TC," from the camp and brought him to a workshop to see whether his carpentry chops were up to snuff after years of wandering around Florida and Georgia homeless. Preston was pleasantly surprised by what he saw and eventually hired two more men from the camp and another who was living in a trailer.

Finally, Preston was seeing the change he'd hoped for. Soon, Curtis had saved up enough money to move out of the woods and into a group home, where he doesn't have to worry about the weather, leaky tents or where his next meal will come from, the 52-year-old carpenter said.

"I'm grateful for being able to meet new people and associate with people instead of hiding from them," said Curtis, who lived in the woods for eight months before moving out in the spring. "It's great being able to buy the things that I need, go places I wanna go to and I just enjoy working with my hands again."

Scott Miller, who was the de facto leader of the camp, had earned enough money to move into a group home after just one month working for Preston.

"Now, I'm able to provide for myself," Miller, 30, said in an interview before TEDxAtlanta. "I felt like I was the lowest person on the totem pole. It's really brought my self-esteem way up in life since I've come out of these woods."

Preston's four employees are keeping busy at work and outside the shop as they rebuild their lives. None of them lives in the woods and one who was an absentee father is rekindling a relationship with his daughter.

Preston is also seeing bottom line results with orders from clients including Chik-fil-A and smaller custom orders. While he's proud of their work, he believes a lot of the interest comes from Lamon Luther's story, as both the continuation of his grandfather's legacy and the start of a new one for his employees -- homeless or not.

"We like to say, provide hope for the craftsman, not necessarily guys who are homeless. It's more about giving work to out-of-work craftsman who were created to build," he said.

"We give them hope," he told the TEDx audience. "If we put these folks back to work we could save entire communities."

@highlight

Lamon Luther employs carpenters and builders who lost their livelihoods

@highlight

Brian Preston hired men who live in the woods of suburban Georgia

@highlight

After a few months working, some had saved enough to move into homes

@highlight

Scott Miller says his self-esteem has risen "since I've come out of these woods"