(CNN) -- "The Searchers" may be the greatest movie Western, and that reputation has only grown since its 1956 premiere.

It boasted three major reasons for its stellar reputation: actor John Wayne, director John Ford and the spectacular location shooting in Monument Valley, Arizona.

But perhaps the key ingredient to its success lies in the foundation of all creative endeavors: the story. "The Searchers" is a mix of truth and legend, obsession and violence -- played out on the rim of a growing nation.

A young white girl is abducted by warring Indians and assimilated into the tribe, while a vengeful uncle launches a years-long quest to find her. Modern directors like Martin Scorsese, Steven Spielberg and George Lucas have sung the film's praises and borrowed its themes of racial hatred, obsession and redemption.

For the first time, this movie -- and the true story of the girl, Cynthia Ann Parker -- is fully chronicled, in Glenn Frankel's new book "The Searchers: The Making of an American Legend" (Bloomsbury USA). The author, a former Washington Post foreign correspondent and now director of the University of Texas at Austin's journalism school, brings a reporter's sparkling eye for nuanced detail and context to explore the film's creation.

It is a winning account filled with larger-than-life characters: women and men who share the power to endure through personal and creative trial.

CNN spoke with Frankel recently about his New York Times best-seller.

CNN: This is a chronicle of myths and truths meshed together. Was your goal in writing this book to divide them?

Glenn Frankel: As a journalist, we're always trying to separate fact from fiction as best we can, but the farther back in time we go, the more dangerous an exercise that is. I never pretended that I was going to be able to provide a definitive version of the kidnapping of Cynthia Anne Parker in 1836 by Comanches. It was more that I was going to put things into the right perspective. When I started out, I hadn't planned on doing any of that. I was just going to do a making-of-the-movie book. But I quickly found that there was a story that it was loosely based on and that there were all these layers. Once I went there, there was no escape.

CNN: The Western is seen as essential to understanding the American identity.

Frankel: Novelist and screenwriter Alan LeMay takes that true story and changes the focus in the movie from the kidnapped little girl to the people who were searching for her over the years. (Director) John Ford put a real emphasis on the uncle who searches for her, because he asked John Wayne to play the character. So they deepened and darkened that character. And they go on to make a movie that is really about the impact of the kidnapping and of the violence of the Comanche/Texas wars-- the impact on the pioneer families.

By the early 1950s, the Western had become a deeply embedded film genre. It has its own myths -- the themes of the lone gunman, the laconic guy on horseback, the Indian fighter. And John Ford was the ultimate Western myth-maker. Ford gives us both John Wayne in all his charismatic glory and at the same time, undermining this myth all through this movie. He gives us the great hero, and yet the great hero is on this quest that is very dangerous and one that becomes almost homicidal.

CNN: Cynthia Ann Parker's story of survival was incredible -- was she a victim of competing cultures?

Frankel: Texas history has different ways of thinking about her. She's the Comanche white princess and in a sense they've glorified her, especially in recent history, as this tough Texas woman who is a survivor and comes through the ordeal in high spirits. Painting her as the ultimate victim has its problems, too, because victims aren't very interesting, are they? Cynthia Ann was a victim of the war because she was damaged and traumatized by both sides. First, these Comanches and Kiowa come along in 1836, they murder her father and grandfather in front of her, they haul her off with four other young people. She doesn't know if they're going to kill her, they speak a foreign language. She spends 24 years as a Comanche and then a second traumatic event.

This time Texas Rangers and U.S. Cavalry descend on the little camp she's in. They kill the people around her, they haul her off again. She never sees her Comanche husband or her two Comanche sons again. So really she's wrenched, and both sides feel they have a right to do this, they feel that she should be grateful for this in some way. I see her as a symbol of the damage and the violence of this protracted Comanche/Texan war. She left no narrative. When it became clear to her family that she was miserable, she became an embarrassment to them, and they packed her off to a sawmill in East Texas. This onetime celebrity died in obscurity.

CNN: The movie was ignored at first to a large extent, then later fully appreciated. What changed?

Frankel: It initially got pretty good reviews, but nobody was digging into the layers of this movie, especially with racism and gender. It was before its time. It starts emerging, I'd say, in the 1970s. Scorsese and Spielberg-- it was very formative for them. They quoted from it in many of their own films. It's an enduring film -- it's a beautiful piece of visual storytelling. Yet it's so ambiguous, and it's about such important themes, not just racism and sexism, but also about this conflict between love and hate that's going on in the movie.

CNN: You write that what entranced you most were the Comanches.

Frankel: They're such a fascinating group. They were up on the limestone plains, it was a real hard life. They were great horsemen, developed an empire, they were raiders and traders. And there were never that many of them, the tribes started kidnapping basically to replenish their population. They treated their enemies with great cruelty at times and yet they treated each other with great love and dignity. Parker's (Indian and white) families are still around, they have annual separate family reunions.

CNN: Tell us about John Ford.

Frankel: Ford was a tough guy. He was a lifelong alcoholic, but he was a great filmmaker. He managed to get this loyal band of actors and craftsmen around him, people who worked for him time and time again. He could be very abusive to them. At the same time, they would bleed for him. They knew that Ford was special and that the kind of films he was making were enduring. Wayne knew he would be stretched here as an actor.

CNN: This is John Wayne's movie.

Frankel: I think it's his greatest role. A lot of us have a problem with John Wayne. We have this vision of him as this guy in the 1960s and 1970s who was very right-wing, very pro-Vietnam War, a caricature. But before he was that guy, he was this very supple and interesting character. On the one hand, he's John Wayne -- he's very charismatic and we're rooting for him to succeed on his quest and yet, what is the quest? Our white knight is planning to kill the young damsel. He's very burdened by this mission, but he's driven by vengeance and his brand of justice.

CNN: It's a pretty amazing cast of characters.

Frankel: In many ways, they're all storytellers, they're all trying to explain themselves through stories and trying to find a safe place in the world. For Cynthia and her Comanche son Quanah, it's trying to survive. For LeMay and Ford, it's about turning this into art. I took great joy in studying these storytellers. It's a great American story they're telling and it's one that's still being told by the families.

@highlight

Glenn Frankel's new book reveals the true story behind the film "The Searchers"

@highlight

The author chronicles the life of the young girl at the center of the tale, Cynthia Ann Parker

@highlight

The classic John Wayne Western has inspired modern directors like Scorsese, Spielberg, Lucas