UK lawmakers took a big step Tuesday toward legalizing same-sex marriage, an issue that has prompted widespread rebellion within Prime Minister David Cameron's Conservative Party.

In a 400-175 vote, MPs approved the second reading of a bill legalizing such marriage, indicating a significant majority of members support the measure. However, it must go through several more stages before it can become law.

The bill faces another vote in the House of Commons and a vote in the House of Lords.

Before Tuesday's vote, three top party members appealed to Conservative MPs to get behind the controversial legislation in a letter published in the Telegraph newspaper.

The letter, signed by Chancellor George Osborne, Foreign Secretary William Hague and Home Secretary Theresa May, said that passing the bill is "the right thing to do at the right time."

The institution of marriage has evolved over time, the letter said, while "attitudes towards gay people have changed."

In a direct appeal to fellow party members, the trio added: "We believe that opening it up to same-sex couples will strengthen, not weaken, the institution. As David Cameron has said, we should support gay marriage not in spite of being Conservatives, but because we are Conservatives."

Same-sex marriage around the world

Their attitude was echoed by Kate Green, a Labour MP, during debate. Tuesday's reading was the first opportunity for lawmakers in the House of Commons to debate the bill in detail.

"By recognizing and extending the definition of marriage to reflect today's greater openness towards, and recognition of, same-sex relationships, the legislation does not weaken the institution of marriage. On the contrary, it takes it forward, it strengthens it. It helps to perpetuate it," she said.

The legislation passed the House of Commons with the support of lawmakers from Labour and the Liberal Democrats. The latter are in a coalition government with the Conservatives.

As drafted, the bill would enable religious organizations to choose to conduct same-sex marriages if they wish and includes provisions intended to make sure no religious organization or person is forced to do so.

The Church of England is among the religious bodies opposed to the legislation.

The bill would also allow same-sex couples to convert a civil partnership to a marriage and enable married transsexual people to gain legal recognition in their acquired gender without having to end their marriages.

A law recognizing civil partnerships in England and Wales was passed in 2004.

Tony and Barrie Drewitt-Barlow, who are already same-sex civil partners and have five children together, told CNN that it was important to them to be able to marry in front of their fellow churchgoers.

"We want to be able to go into our local parish church, where we are practicing Christians, and under the eyes of the Lord, get married," said Barrie Drewitt-Barlow.

"I don't want to go in front of a vicar or priest who doesn't want to do it; it's supposed to be the happiest day of my life. I want to be really happy and joyous when I get married to the man that I've been together with for 25 years."

His partner, Tony, said it was a question of equality.

"Marriage is all about the union of two people that love each other and want to bind that love in a relationship that lasts forever. And for me, it's about having that right for everybody, gay, straight or bisexual," he said.

"Whatever you are, if you love that person, then you should have the rights to be joined in matrimony with them."

Cameron has said he is determined to push through legislation allowing same-sex marriage "not only as someone who believes in equality but as someone who believes passionately in marriage."

Priests in same-sex relationships may become Anglican Bishops

But his commitment to that aim has set him at odds with many in his own party.

A number of local party members wrote to the prime minister Sunday, urging him to reconsider.

"We feel very strongly that the decision to bring this Bill before Parliament has been made without adequate debate or consultation with either the membership of the Conservative Party or with the country at large," said the letter, published on the Conservative Grassroots website.

"Long-held religious and personal freedoms and the right to free speech will be adversely affected by the passing of this Bill."

The Church of England also outlined its objections to the bill in a briefing note sent to lawmakers Friday.

It cannot support the legislation "because of its concern for the uncertain and unforeseen consequences for wider society and the common good when marriage is redefined in gender-neutral terms," it said.

It also argues that civil partnerships "already confer the same rights as marriage" and that allowing same-sex couples to marry will open the door to "continued legal disputes for years to come."

The issue of same-sex marriage has also prompted wide disagreement elsewhere.

Lawmakers in France's lower house of parliament, the National Assembly, on Saturday passed with a wide majority the most important article of a law to legalize same-sex marriage.

Debate will continue for the next week on thousands of proposed amendments to the law, which would also open adoption to same-sex couples.

The vote by French lawmakers followed big public protests against the bill, which has proved highly divisive in the majority Catholic country.

In the United States, where President Barack Obama has voiced his personal support for same-sex marriage, it has been legalized in nine states and the District of Columbia.

At the same time, 30 states have passed constitutional amendments banning same-sex marriage, according to the Pew Research Center.

Polls show the U.S. public has gradually become more accepting of same-sex marriage, with more Americans in favor in 2013 than opposed, according to Pew.

Argentina, Belgium, Canada, Spain, South Africa and Norway are among nearly a dozen countries that allow same-sex marriages.

According to a report released in May 2011 by the International Lesbian, Gay, Bisexual, Trans and Intersex Association, same-sex relations are still criminalized in 76 countries, and in five of those countries, the death penalty can be applied.

Opinion: Gay rights in France -- How even the U.S. leads the way

@highlight

British MPs vote in favor of the bill, 400-175

@highlight

To become law, it has to clear more hurdles, including a vote in the House of Lords

@highlight

Prime Minister David Cameron faces revolt within his own Conservative Party on the issue