(CNN) -- An international human rights monitor urged Haitian authorities to bring former dictator Jean-Claude "Baby Doc" Duvalier to justice for alleged human rights abuses committed during his 15-year rule.

Amnesty International published a new report Thursday with evidence of arbitrary detentions, torture, deaths in custody, killings and disappearances of Haitians from 1971 to 1985 when Duvalier was in power.

Amnesty said the abuse was systematic and widespread under Duvalier's iron-fisted rule.

"Neither the passage of time nor immunity from prosecution can be used as excuses for not investigating or prosecuting those responsible for such crimes, including Jean-Claude Duvalier himself," the report said.

Duvalier stunned the world by returning to Haiti in January. He had been living in exile in France.

After Duvalier's return to Port-au-Prince, Haitian authorities reopened a 2008 corruption and embezzlement case against him based on allegations that he stole hundreds of millions of dollars from the national treasury.

Amnesty International as well as other human rights groups want Haitian authorities to also bring Duvalier to trial for his alleged brutality.

Amnesty gave the Port-au-Prince public prosecutor 100 documents that it said detailed cases of human rights violations.

"What is needed is political will from Haiti's new administration to comply with their international obligations and their duty to the survivors and victims of abuses," said Javier Zuniga, a special advisor at Amnesty International.

"The cases of human rights abuses we documented in Haiti are likely to be only a small proportion of what really happened during Duvalier's rule," Zuniga said. "We will probably never know the true extent of the horror, but carrying out effective investigations will go a long way towards delivering justice."

Amnesty International's documents tell the experiences of cobblers, taxi drivers, filmmakers, mechanics, distillers and even hairdressers, all of whom, they say, were arrested for anti-government activity.

Among the testimonies is that of Evans Paul, a journalist who was arrested in October 1980 at the Port-au-Prince airport. He was returning from New York after interviewing the exiled former Haitian President Paul Eugene Magloire.

He was several journalists arrested for subversion, according to Amnesty International.

"Several people with sticks ... gave me a severe beating," Paul told the organization.

"A man ... pushed a long stick behind my legs and arms. I was like a ball. I felt as my body was going to break everywhere. At that point I was beaten with sticks. At one point I felt as though I were going to die. They gave me something to drink. Then they started again even worse. The skin on my buttocks had been torn away. The blood was running down. They weren't put off. On the contrary, you could say that the sight of my blood excited them even more. When I was on the point of dying, they untied me and dragged me to a dark cell. You couldn't see anything."

He was later released without charge.

Gerard Duclerville, a Catholic lay activist, was arrested in December 1982.

Duclerville told Amnesty that he was interrogated about his radio show. "They jacked me up and started raining blows on me with a baton ... I must have been hit 70 times with the baton. At some point I felt it was too much for me and I couldn't stand any more. I said to them, 'You guys, instead of torturing me like that, it would be better if you just killed me and get it over with...'"

He was released without charge and needed treatment in a hospital, including skin grafts.

He was lucky. Others died in custody, Amnesty said. Still others "disappeared," never to be seen again.

Michele Montas, a journalist and former spokeswoman for the United Nations secretary-general, said she endured threats and detention and survived an assassination attempt for her journalism.

The staff at the independent radio station of her husband, Jean Dominique, was harassed and the station was shut down during Duvalier's rule, she said. She was expelled from the country in 1980 and returned only after Duvalier's ouster.

"We have enough proof," she told CNN in January. "There are enough people who can testify."

Dominique was slain in 2000. His daughter Nadine Dominique is one of the organizers of a Duvalier victims' group in Quebec, Canada.

"We were shocked when we heard the news that he had returned to Haiti," said Nadine Dominique. "We all felt so strongly that we had to help bring him to justice, because without that, the Haitian people will never fully heal. You cannot move on without that closure."

With the release of its report, Amnesty International urged Haiti's new president, Michel Martelly, to take swift action.

"Haiti's current government led by President Michel Martelly has an obligation under international law to bring to justice those responsible for the crimes against humanity committed during Duvalier's years," Zuniga said.

CNN attempts to reach Martelly for comment were unsuccessful.

Duvalier told reporters in January that he returned to Haiti to help with rebuilding the country after last year's devastating earthquake.

In May, he was living with his companion Veronique Roy in a friend's hilltop home in a plush Port-au-Prince neighborhood. He took over Haiti at the young age of 19 -- then the youngest leader in the world -- but at 59, looked infirm beyond his years. He has since turned 60.

He agreed to speak about all the allegations against him but in the end, CNN never heard back from him.

@highlight

Amnesty International documents cases of abuse under Jean-Claude Duvalier's rule

@highlight

They claim evidence of arbitrary arrests, disappearances, torture and death

@highlight

Amnesty wants the Haitian government to put "Baby Doc" on trial

@highlight

Duvalier returned to Haiti in January after 25 years of exile