(CNN) -- "I saw these seats before the tournament began but it's not a good way to deal with it. It's a kind of segregation," explains Dr. Guilherme Cotta, a bariatric (weight-loss) surgeon in Rio de Janeiro, Brazil.

Cotta is referring to the 4,750 extra-wide seats made available in the stadiums of this year's World Cup to accommodate Brazil's burgeoning obesity problem. Set aside at the ends of rows throughout the stadium, the low-backed, wide-set seats for obese people have been built in accordance with Brazilian law, in which obesity is classed as a disability and must be accommodated.

After their national team's humiliating exit from the World Cup, Brazilians' immediate concerns might be the country's footballing future, rather than its health, but obesity has become mainstream in Brazilian society and is continuing to rise.

In 2012, around one in seven Brazilians were classed as obese. Globally, Brazil is far behind countries such as the United States and Mexico, where around a third of people are obese, but the concern is the rapid rate of weight gain. The country once vulnerable to malnutrition and the associated health impacts, such as impaired growth, is instead now vulnerable to obesity and resulting heart disease and diabetes. In 1975 just 19% of Brazilian men and 29% of Brazilian women were overweight: In 2014 those figures are now 54% and 48% respectively.

"The transition to becoming overweight has been rapid in the whole of Latin America over the past 20 years and countries have gone from having below 10% of their population overweight to over 50%," explains Ricardo Uauy, Professor of Public Health Nutrition at the London School of Hygiene and Tropical Medicine.

"Brazil is very diverse -- in the south it is like Europe but in the north you have regions of poverty and then in the Amazon basin you have rural indigenous populations," he explains. "But all over the country low-income populations have become dependent on food that is high in both carbohydrates and sugars." This change in consumption has led to a rapid change in weight and therefore health.

Cotta operates on obese people who come to him with no other hope, in a country once known for its beautiful beach bodies. "When I first started as a bariatric surgeon I had maybe one patient a week, but now I have five to 10 per week" explains Cotta, who has been treating obese patients for 10 years. "At first it was people wanting to be beautiful again, but now people are coming from across the country with a sense to be healthy."

Bariatric surgery involves a range of surgical procedures with the overall aim of reducing a patient's appetite and food consumption. It is, in Cotta's eyes, a last resort for patients who have become "morbidly obese" and is not for those who are simply overweight. The key to helping them is a change in diet and consumption habits, which have changed extensively in recent years.

Uauy puts it down to changes in the food people now have access to. "Healthy foods have become more expensive," he says. Communities across the country -- both urban and rural -- have reduced their intake of fruit and vegetables to include more meat, sugar and processed foods.

Globalization has enabled even the most rural of residents to access processed foods; Nestle, for example, has provided scheduled boats since 2010 that serve as floating supermarkets for communities residing along the Amazon. Remote communities can now buy branded goods and often to choose those instead of local farm produce.

"In Brazil, being thin is associated with poverty, so culture has accepted being heavier as a desirable trait," says Uauy. This dramatic change in food culture has made cardiovascular disease and stroke the leading cause of death in the country according to Uauy -- followed closely by diabetes.

Public health teams are calling for a change in attitudes towards health. "The healthy choices need to become the easy choices," explains Uauy. "The poor are growing as fast as the rich and everyone needs to understand more about what they are eating."

This isn't a problem unique to Brazil. However, the Brazilian government, and ministry of health, are taking the matter seriously and have been heralded for their recent projects issuing food guidelines for the public and creating programs for schools to source 40% of their food locally as childhood obesity is approaching adult levels.

Cotta believes in the power of changing national eating habits. "Surgery is a radical way to treat obesity and only for the patients I see, for which it is a necessity to live," he says.

But he believes it may be necessary to target key populations at first. "Morbid obesity is concentrated inside the city so we need to make changes there."

@highlight

More than half of Brazilians are now overweight and 1 in 7 are obese

@highlight

Cardiovascular disease and stroke are leading causes of death in Brazil, says expert

@highlight

Extra-wide seats made available for obese people at 2014 World Cup