Washington (CNN) -- The Senate Foreign Relations Committee passed a joint resolution Tuesday supporting the limited use of U.S. military force in Libya for one year -- a move sought by the Obama administration as it works to win clear congressional backing of the controversial North African mission.

The resolution, which explicitly rejects any introduction of U.S. ground troops, was approved 14-5. It now advances to the full Democratic-controlled Senate.

The Republican-controlled House of Representatives rejected a similar measure last Friday, but also voted down a bill restricting U.S. involvement in the conflict.

Deep congressional divisions over the mission stem from, among other things, a belief among some representatives and senators on both sides of the aisle that the White House has violated the War Powers Resolution.

Passed in 1973, the law gives a president 60 days to get congressional approval for sending U.S. forces to war, followed by a 30-day extension to end hostilities.

The combined 90-day period ended last week without any congressional expression of support for America's role in the NATO-led operation.

Administration officials have repeatedly asserted that the U.S. role in Libya does not meet the law's definition of hostilities. The president reportedly overruled contrary legal opinions put forward by both the Pentagon and the Justice Department's Office of Legal Counsel in declining to seek congressional authorization.

Earlier Tuesday, top State Department legal adviser Harold Koh told members of the committee that the War Powers law does not apply to the U.S. military intervention.

Koh argued that the measure is not applicable because the U.S. role in the mission is limited in terms of its scope, means, exposure of U.S. forces, and chances of escalation.

"The precedent here has been narrowly drawn," Koh asserted.

Republicans on the committee did not agree.

Indiana Sen. Richard Lugar, the committee's top Republican, said President Barack Obama's decision to intervene without explicit congressional backing was a "fundamental failure of leadership that placed expedience" before constitutional responsibility.

"There was no good reason why President Obama should have failed to seek authorization" by Congress, he added. There has been a "lack of constitutional discipline" in this case.

Sen. Bob Corker, R-Tennessee, told Koh he was "sticking a stick in the eyes of Congress,"

"I think you've undermined the integrity of the War Powers Act," Corker said.

By refusing to take a tougher stance against the administration's actions, senators are "making ourselves irrelevant" to debates over military action, he added.

Koh told committee members that a "major structural flaw" of the law is that, absent explicit congressional approval, it requires an automatic termination of military engagements after 60 days.

"You cannot run these things by autopilot," he said. Executive and legislative branch judgment is required in each instance, he asserted.

Koh, along with both Democrats and Republicans, acknowledged the act could be updated to reflect technological advances such as unmanned predator drone strikes -- something unheard of when the law was passed during the Vietnam War.

The "language needs further clarification," said Kerry, the chairman of the committee. But for Congress to now "pull the rug out from under (America's NATO allies) would have far-reaching consequences," he warned.

The allied military effort in Libya, which has formal United Nations support, was launched to protect civilians from violence stemming from a crackdown launched by longtime leader Moammar Gadhafi. Western leaders have made clear that they believe the mission cannot be successfully completed without Gadhafi's ouster.

The White House has promised not to use U.S. ground troops, but bipartisan congressional opposition to the military campaign has nevertheless been mounting over several weeks.

@highlight

NEW: The Foreign Relations Committee backs limited U.S. military action in Libya

@highlight

State Department legal adviser says the Libya mission is limited in scope, exposure of forces

@highlight

Key Republicans argue Obama has improperly circumvented the 1973 War Powers Resolution

@highlight

It requires the president to get congressional approval within 60 days after deploying military