(CNN)Talk of American exceptionalism has become headline news, with loud sputtering from Rudy Giuliani, who suggested that President Barack Obama doesn't love America in the same way that the rest of us do. Giuliani wants to dwell on our exceptionalism -- the idea that we're different from other countries, and much better.

It's an old idea that Obama took on in the second year of his presidency, when he said:  "I believe in American exceptionalism, just as I suspect that the Brits believe in British exceptionalism and the Greeks believe in Greek exceptionalism."

That comment annoyed those who wished him to say: "America is the best country in the world, bar none!"

Somehow the drumbeat for exceptionalism continues. This month, Oklahoma politician Dan Fisher introduced a bill that tried to ban Advanced Placement history classes in his state because the guidelines for teachers didn't talk explicitly about American exceptionalism. The bill passed the House Education Committee in his state by a 11-4 vote but has since been pulled back for a rewrite, the Tulsa World reported last week.

Still, it's part of a battle that has heated up around the country.  Indeed, six states have introduced bills to change the framework of AP history courses to emphasize the idea of exceptionalism and downplay aspects of American history that don't seem, well, exceptional.

Scholars have studied the concept thoroughly, and one of the best books on this topic is by Seymour Martin Lipset:  "American Exceptionalism:  A Double-Edged Sword" (Norton, 1996).  Lipset identifies five features central to the American value system:  liberty, egalitarianism, populism, individualism and laissez-faire. He suggests that we look at most trends in American history through the prism of these concepts, and to an extent this is a useful exercise.

The United States is truly remarkable, a nation founded on a set of Enlightenment ideals so beautifully expressed by the Declaration of Independence and codified in the U.S. Constitution.  We should feel good about our ideals, even when we don't quite manage to live up to them.

We are a nation of immigrants, a quilt of many colors, and we've managed over more than two centuries to create a way of life that allows for a reasonable degree of upward mobility, that prizes individual liberty, promotes freedom of religion and genuinely values equal rights for all citizens.

At certain times in history -- World War II is a fine example -- we have joined forces with those on the side of freedom, willingly sacrificing our young men and women in a war that secured the defeat of fascism.

Yet our history is, like every national story, a complicated one, and American students deserve a balanced view.  Should we really ignore the fact that Native Americans died in massive numbers (mostly from diseases carried to these shores by the earliest European invaders)?  In the 19th century, the West was "won" at considerable expense to those who actually lived on the land. Students need to know about the Trail of Tears, Wounded Knee and other sad episodes in American history. This is part of our story.

We need to talk openly about slavery. In doing so, it's useful to look at the Trans-Atlantic Slave Trade Database and see that more than 12 million Africans were kidnapped and shipped to the New World between the 16th and 19th centuries. The vast bulk of slaves, in fact, went to the Caribbean and South America. The Harvard scholar, Henry Louis Gates Jr., has written honestly about this.

Of course slavery, wherever it occurred, was a brutal system, and it set in motion a great deal of bad karma, not helped by the sad period after Reconstruction ended in 1877, when an impoverished South put into effect Jim Crow laws that effectively subjugated blacks for many decades, creating a segregated society that -- to a degree -- continues to plague us. (I recommend Eric Foner's history of this era, "Reconstruction: America's Unfinished Revolution.")

But the United States has worked hard to recognize and right its wrongs, passing major legislation on civil rights over the years, and we continue to work at this problem. It's a long and winding road, as the Beatles might have put it.

As for America's military adventures, there are lots of wrinkles. The American Revolution is an inspiring moment, well worth dwelling on with students. But the Mexican-American War was a disgrace, "one of the most unjust ever waged by a stronger against a weaker nation," as President U.S. Grant said in his memoirs.  It was this war that (in part) caused Henry David Thoreau to refuse to pay his taxes.

World War II may have been an American triumph of will and courage, but the Korean War is confusing, and students should consider its odd dimensions. Vietnam and Iraq are also complicated, and yet it's important for students to know that our interventions in both countries led to a great deal of death and destruction.  At the very least, 133,000 Iraqi civilians died as a result of our "war of choice" in Iraq.

This number should never be forgotten, as it set in motion a wave of violence that continues to this day, and it helps to explain anti-American feeling in that region. The war in Afghanistan is ongoing, and it may take decades to know what happened there and why and whether or not it was worth the effort. But it surely doesn't help anyone to push these questions under the rug.

Obama loves the United States, and he upholds its values proudly. He speaks about its history in clear, rational terms, without pumping up the good side or trying to erase the darker sides.

We should never forget that Americans continue to advocate for individual liberty, equality and self-governance.  We often step in when it's necessary to help countries in need. But our history needs no whitewashing. To attempt this does us a terrible disservice.

American politicians who dwell on American exceptionalism only dishonor us by suggesting we play dumb to our past.

@highlight

Jay Parini: Giuliani, Oklahoma AP history issue have put focus on American exceptionalism

@highlight

Parini says U.S. holds high, noble ideals and struggles to improve on flaws

@highlight

To whitewash our history dishonors our values, he says