Washington (CNN) -- If there's a student anywhere who would be able to answer a trivia question about President Abraham Lincoln, it would be on the marble steps of his memorial in the nation's capital.

But a summertime visit there backed up recent test results that showed the majority of U.S. students don't know the most basic facts about the country's history -- Lincoln and all.

Test results released in June showed that fewer than one quarter of all students are "proficient" in American history.

Would you pass the tests? Take the quiz

Many of the fourth grade students asked about Lincoln on the tests could identify him, but few could say why he was an important president.

At the memorial in Washington, students who saw the president's image on a postcard identified the tall, bearded man as Lincoln. When asked why the 16th president was important, some answers were spot-on, some were entertaining -- and some were disheartening.

One student said he was important because he had a beard.

Another said he was killed at a puppet show.

Their answers aren't surprising.

"The Nation's Report Card: U.S. History 2010," the tests results report by the U.S. Department of Education's National Center for Education Statistics, showed 20% of fourth graders, 17% of eighth graders and 12% of 12th graders showed "solid academic performance" on the tests.

The results reflected test responses of 7,000 fourth-graders, 11,000 eighth-graders and 12,000 12th-graders.

Educators and reformers have several explanations for the low scores, including apathetic and disinterested students, poor teaching or problems with standardized testing. Some said that math, science and English get higher priority in schools because those subjects are tested under No Child Left Behind.

History teachers say subject time is shortchanged

Some wonder whether schools should focus on history at all, when the ability to recall historic facts or themes might not help students land certain jobs later on.

But others say knowing how we came to our current way of life is always essential.

As another presidential election season approaches, knowledge of U.S. history is invaluable, according to Diane Ravitch, a New York University research professor of education.

"All of these students will be voters... and almost 40% were already eligible to vote when they took the assessment," Ravitch said in a statement released after the results of the study were published. "They will be making decisions in the voting booth that influence our lives. They should be well informed and capable of weighing the contending claims of candidates, especially when the candidates rest their arguments on historical precedent."

Bad history scores, like low voter turnout, are nothing new, said Jack Buckley, commissioner of the National Center for Education Statistics.

"This is a long-running story in American academic achievement," he said. "There is a core group of kids who are outstanding. There is another small percent, somewhere between 10 and 15, that we would, our policy-makers would, probably deem proficient and there is big chunk of kids who are below that line and that has not changed much."

In Sudbury, Massachusetts, Will Fitzhugh publishes The Concord Review, a journal highlighting the work of that "core group" of gifted history students. The low history scores trouble him, but he said he hasn't seen many attempts to improve them.

"Nobody is doing anything to fix it," Fitzhugh said. "History informs the present with lessons from the past and if you don't do any history than you are exploring without any background. ... Students are very smart about the way they spend their time and if they don't have to spend their time doing history they'll spend their time doing something else."

History professor: There's a better way to teach history

While politicians, educators, administrators or bureaucrats try to find ways to help students master history, the academic equivalent of varsity athletes -- the students Fitzhugh publishes -- have their own view.

"They really should try and find the fun that's present in learning history," said incoming Harvard College freshman Tianhao He, a student who was published in The Concord Review. "When it comes down to it, history is all about people, and people like us who have shaped this nation's history."

@highlight

National test results show fewer than one-fourth of students are "proficient" in American history

@highlight

Some question whether it's worth teaching, and whether it helps students find jobs later

@highlight

Educators say history teaches students how to research and make well-informed decisions

@highlight

Students say history teaching should be reframed, made more fun