The U.S. government's long-stated position is that it won't negotiate with terrorists. But are there exceptions?

U.S. Army Sgt. Bowe Bergdahl, an American prisoner of war, is believed to be held in Pakistan by the Haqqani group.

The Haqqani group is part of the larger Taliban network and has engaged in a range of attacks on civilian targets in Afghanistan, such as the U.S. Embassy in Kabul.

Earlier this month, the U.S. Treasury Department named three of the Haqqani group's leaders as "Specially Designated Global Terrorists," and noted that the organization "poses a grave threat to U.S. civilians, military personnel, and our broader interests in the Afghanistan-Pakistan region."

Two years ago, the U.S. State Department also formally listed the Haqqani network as a foreign terrorist organization.

Yet on Monday, The Washington Post quoted U.S. officials who said the government was going to resume talks with the Afghan Taliban and offer to trade five Taliban prisoners held at the detention facility at Guantanamo Bay for Bergdahl, who has been held since 2009.

Does that mean the United States is negotiating with a terrorist group?

In fact, the Haqqanis are part of the larger Afghan Taliban network, but the Afghan Taliban itself is not listed by the U.S. State Department as a foreign terrorist organization, which enables the United States to have direct talks with the Afghan Taliban, which it has been doing for years secretly, according to multiple U.S. officials familiar with the talks.

This means that discussions about the release of Bergdahl with the Afghan Taliban are not directly with a terrorist organization per se, but instead with an insurgent group that has a terrorist wing.

For some this may seem to be a distinction without a difference, but as a matter of U.S. policy this is a very important distinction. Consider the case of another American who is held hostage in Pakistan, Warren Weinstein, a contractor for the U.S. Agency of International Development who was kidnapped by al Qaeda in Lahore, Pakistan, more than two years ago.

In December, a proof-of-life video was released to international media outlets, in which Weinstein called on President Obama to negotiate for his release. As with Bergdahl, the release of Guantanamo detainees was among his captors' conditions.

U.S. officials have called for Weinstein's release. But the United States has never negotiated with al Qaeda  and would not want to encourage the group to kidnap other Americans living in Pakistan, so it seems out of the question that U.S. officials would negotiate with al Qaeda for Weinstein's release.

That said, U.S. officials will certainly be working behind the scenes to put pressure on the Pakistan government to try to secure Weinstein's release.

The fact that Bergdahl is being held by the Haqqanis does raise another issue, however, which is: Even if you get a deal with the Afghan Taliban for Bergdahl's release, would the Haqqani network, which operates quite independently from the Afghan Taliban, go along with it?

The consensus among Taliban experts is, likely, yes. Anand Gopal, a fellow at the New America Foundation who has interviewed multiple members of the Afghan Taliban and the Haqqani network, says the Haqqanis would honor such a deal because "they take great pains to present themselves as part of the mainstream Taliban movement -- even if in practice they are independent -- and not going along would be an affront to the Taliban, possibly damaging relations."

According to the Washington Post report, the U.S. government has not yet made a formal offer for Bergdahl, who has spent almost five years in captivity. But the political situation around Bergdahl's release may be shifting slightly in favor of a resolution. In 2103, the Obama administration quietly released 11 prisoners from Guantanamo and it didn't generate much criticism from opponents of the administration.

Two months ago, Congress also eased up on some of the restrictions that had previously prevented prisoners being released from Guantanamo.

Also,  U.S. combat troops in Afghanistan are pulling out at the end of December, which is, of course, a key Taliban demand. This means, as both a practical and legal matter, that the United States will then no longer be at war in Afghanistan, although there will likely be some residual force of U.S. soldiers in an advisory role post-2014.

When wars are over, the warring parties traditionally exchange their prisoners of war. With all U.S. combat soldiers returning home from Afghanistan during the course of this year, it is high time for Bergdahl to be one of them.

@highlight

Peter Bergen: The U.S. won't negotiate with terrorists, but will it make an exception?

@highlight

Sgt. Bowe Bergdahl is believed to be held by the Haqqani group, a terror wing of Afghan Taliban

@highlight

Bergen: Talks would be held with Afghan Taliban, which is not directly a terrorist group

@highlight

Bergen: U.S. combat troops leaving Afghanistan, it's time to swap POWs, including Bergdahl