(CNN) -- On December 23, 1971, President Richard Nixon signed the National Cancer Act of 1971 into law. The legislation had tremendous bipartisan support and came at a time of great optimism. Many thought its passage would lead to a cure for cancer within a few years.

The legislation never mentioned the word "war," but some considered it the country's "declaration of war on cancer." The law, and the movement supporting it, brought cancer out of the shadows and put a focus on it.

Forty years later, the war is still being waged, and much of the optimism has faded. This year, more than 500,000 Americans will die of cancer. Obviously, this is a war not won, and it is appropriate to ask: What have we gotten from this 40-year war?

Today, we know that cancer is far more complicated than imagined in 1971. Science has provided an amazing understanding of the disease at the cellular and molecular level. This understanding is causing medical science to change the definition of cancer from that used since the mid-1840s with a light microscope to a 21st-century definition based on genetics and genomics.

The National Cancer Act of 1971 gave added resources to federally sponsored research, especially those supported by the National Cancer Institute at the National Institutes of Health. The bill expanded the NCI clinical trials network, created NCI-designated cancer centers and encouraged cancer specialists to practice in the community. Most important, the act intended to stimulate basic laboratory research and clinical study and link the two in what is termed translational research.

Forty years later, clinical trials have shown impressive treatment outcomes, especially in the early stage of the disease. Unfortunately, few cancers can be cured after spreading from their initial site of origin. In clinical studies, many of the newer treatments for widespread or metastatic cancer extend median survival by just a few months. It is progress but clearly not satisfactory progress.

Improvements in clinical trials methodology allow for better understanding of how to assess screening, diagnostic and treatment interventions rigorously, leading to the realization that some interventions have risks as well as benefits. Wisdom and caution must be used when employing new technologies.

The expansion of cancer epidemiology and prevention programs combined with basic science has defined many of the causes of cancer and the ways cancer can be prevented. By 1971, studies had shown that tobacco use causes lung cancer and heart disease. Further study has linked tobacco use to 14 more cancers and numerous other diseases. Other established causes of cancer include environmental pollutants and the combination of obesity, high caloric intake and lack of physical activity.

The act improved American cancer registries. These registries documented the increase in cancer mortality rates through the 1970s and 1980s and the decline since 1991. After adjusting for age, the cancer death rate has declined 18.3% from 1991 to 2008 (the last year for which data is available).

Cancer control efforts have saved thousands from dying. Assuming that the American cancer death rate would have continued to rise from 1991 onward, as it had in the previous 20 years, these efforts prevented more than 130,000 deaths in 2008 alone. This success is largely due to the application of advances in basic, clinical and epidemiologic cancer research findings, both prevention and treatment, largely associated with the National Cancer Act of 1971.

Research shows that there is still significant potential benefit to cancer prevention. More than 20% of Americans still use tobacco, and it is still the leading cause of cancer. There has been a dramatic rise in the rate of obesity over the past 40 years. The triad of obesity, poor nutrition and lack of physical activity could emerge as the leading cause of cancer in the United States over the next decade.

Indeed, most upsetting is that research shows a substantial number of Americans are not benefiting from the advances resulting from the National Cancer Act. While it is estimated that 130,000 cancer deaths were prevented in the United States in 2008, it is also estimated that 200,000 additional deaths were avoidable. These people died because a substantial proportion of Americans get less than optimal preventive health care, and when diagnosed with cancer, a substantial number receive less than adequate treatment. These are deaths that would not have occurred if the fruits of research, known knowledge in cancer prevention, screening and treatment technologies, had been fully available and applied to the entire population.

The casualty count is where the "war on cancer" analogy breaks down. In war, more than 200,000 avoidable deaths in one year is an unacceptable outrage. In the war on cancer, it is just forgotten. We need to recommit to the anti-cancer effort; we need to work to get every American the quality health care every human deserves.

On the 40th anniversary of the "declaration of war on cancer," the most pertinent question in cancer research is not one of molecular or cell biology. It is "how do we get adequate high quality health care to include preventive care to the people who deserve it?"

The opinions expressed in this commentary are solely those of Dr. Otis Brawley.

@highlight

President Richard Nixon signed the National Cancer Act of 1971

@highlight

Legislation brought cancer out of the shadows and put a focus on it, Dr. Otis Brawley says

@highlight

Forty years later, clinical trials have shown impressive treatment outcomes, he says

@highlight

But large number of Americans not benefiting from advances due to act, Brawley says