(CNN) -- As Washington pundits watch the carnage in Kiev, images of a rapacious Russian President Vladimir Putin, puppet master of Ukraine and of its president, Viktor Yanukovych, stalk the headlines. Putin, the theory goes, is willing to stoke a civil war in order to keep Ukraine from turning to the West.

America's obsession with Putin, however, does not explain the complex realities fueling the uprising in Ukraine or the uneasy relationship between Putin and Yanukovych. Long before the uprising began, if Yanukovych had carried out real economic and political reform, he would not have been caught between a long-term promise of a closer relationship with Europe and an immediate hand-out from Moscow and with it the Kremlin's demand that he toughen up and put down the opposition's demonstrations.

But Yanukovych, up for re-election in 2015, was not willing to bite the bullet and carry out the measures the West was demanding.

Yanukovych tried to play both sides against the middle.

"Yanukovych has played Putin against Europe and the United States quite masterfully. So there is no love lost between them and no trust there," says Eugene Rumer, who, until this month, served as U.S. national intelligence officer for Russia and Eurasia at the CIA. He's now director of the Russia and Eurasia Program at the Carnegie Endowment for Peace.

"The quality of the discussion here in Washington has really been appalling," he adds. "A lot more has been said about Russia and Russia's role ... but it ignores the fact that Ukraine has had an independent life for the last 25 years, and this crisis is really a domestic political crisis in Ukraine. Not that the Russians haven't helped, but it is a Ukrainian domestic political crisis."

Opinion: Can Ukraine sustain fragile peace?

Putin does have interests in Ukraine: a desire to keep NATO and U.S. military bases out, ties with Ukrainian aircraft and shipbuilding enterprises closely linked with Russia's military-industrial complex, his own Black Sea Fleet, in Ukraine's port of Sevastopol on the Crimean peninsula, as well as ensuring unimpeded transit of natural gas to Europe.

What's more, Harvard University's Simon Saradzhyan says, Putin and his advisers essentially see Russians, Ukrainians and Belarusians as one people and "therefore, seek to draw Ukraine into Moscow's orbit."

"The size of Ukraine's population and, to a less extent, of its economy would make it a valuable asset in the Eurasian Union, which Putin is building in the post-Soviet landscape."

Yanukovych, however, "has never been Russia's man," says Dmitri Trenin, director of the Carnegie Moscow Center. "I think it's a myth. He's been a very difficult partner for Russia, a very unreliable partner, someone who let the Russians down on many occasions. Someone absolutely not to be trusted."

Yanukovych's only goal is to stay in power and to protect his wealth and the wealth of his family, says Trenin. "With Yanukovych vacillating between Russia and Europe and always having his own private interests in mind, it's mind-boggling. So the Russians have long given up on Yanukovych."

Putin's envoy to Kiev refused to sign the latest truce between Yanukovych and the opposition, in which they agreed on early elections and a return to a constitution that would shift more power from the president to the Parliament.

"I think the Kremlin feels cold-shouldered," Trenin says. "I think it feels betrayed by Yanukovych. Betrayed may be too strong a word, but certainly Yanukovych has managed to play the Europeans off the Russians."

Putin is not rubbing his hands in glee at the prospect of an epic battle with the West over Ukraine. In fact, says Carnegie's Andrew Weiss, who worked on policy toward the region in the Clinton and George H.W. Bush administrations, "I think if you're sitting in the Kremlin the prospect of a Yugoslav scenario in Ukraine is quite scary."

"As much as the political narrative in Washington and the West is that Putin, the puppet master, has guided all of this," he says, "I think there's reason to believe that he's more worried and more cautious about how dangerous this is. He's set a policy framework which, obviously, has made the situation worse but at the same time, the really scary stuff that's out there as possibilities, I think, scares the Kremlin no less than it scares Europeans and Americans."

Weiss calls it a "four-way political fiasco" involving the Ukrainians, the Europeans, the Russians and the United States, where "people didn't want to get engaged in the early stages of the conflict and events were quickly hijacked by politicians and self-interested actors on the ground."

The Partnership agreement, in which the European Union offered Ukraine eventual economic and political cooperation, was too long-term to solve Ukraine's immediate financial problems. Russia, angered by the move, stepped in to offer $15 billion.

In the anti-Putin narrative, that is depicted as "blackmail," but if the Russian President, angered by Yanukovych's deal with the opposition, does not follow through with aid for Ukraine, then the ball will be back in the court of the United States and Europe, "who are not willing to dig deep in their pockets like the Kremlin has," Weiss says.

The Yanukovych government must pay back more than $15 billion in debt payments to creditors over the next two years. And without Russia's money, the U.S. and the EU would be forced to come up with some form of emergency support.

"I don't believe there's any receptivity in Brussels or Washington to do a major financial bailout for the Ukrainian government," Weiss says, "which has a terrible track record on economic reform, a completely unsustainable currency peg, and its long track record of cozy deals for tycoons."

Clan struggles among Ukraine's oligarchs, social and political crisis, regional differences between western and eastern parts of the country -- Ukraine's home-grown problems are deepening, even without meddling by Vladimir Putin.

"What we see in Ukraine is, unfortunately, in the 20 years of independence, Ukrainian leaders have done little or nothing to create a single Ukrainian nation," says Trenin, "and the divisions within Ukraine have persisted and they have also become much more pronounced in the last few months."

Keeping Ukraine together is a priority for the Obama administration but, says Trenin, it's also a Russian policy priority. "Despite what you may hear from various Russian figures," he says, "it's very much Mr. Putin's preference, in fact, priority, that Ukraine stays in one piece. Otherwise, a civil war very close to home, next door, essentially, could be too dangerous for Russia itself."

Russia would fight to protect the ethnic Russian population and Moscow's base in Crimea, says Harvard's Saradzhyna, quoting a senior Russian government official who told the Financial Times, "If Ukraine breaks apart, it will trigger a war. ... They will lose Crimea first (because) we will go in and protect (it), just as we did in Georgia."

Tenin isn't so sure. "I don't think the Russians are about to invade Crimea," he says. "What I think is more likely is that, in the future, the various regions of Ukraine will present their own claims and may go in different directions on a number of issues. And attempts by Kiev to clamp down on those autonomous or regionalist tendencies could lead to a new spike in tensions in Ukraine."

Kiev is burning, and Ukraine is unraveling.

Yanukovych -- or the leader of a new government -- will have to find a new way to keep the country together. Vladimir Putin will not simply stand by and watch it happen, but he is not the puppet master of Yanukovych -- or of Ukraine.

The opinions expressed in this commentary are solely those of Jill Dougherty.

@highlight

Jill Dougherty: The popular image is that Putin is manipulating the Ukraine crisis

@highlight

She says reality is that Yanukovych is to blame for avoiding economic, political reform

@highlight

The turmoil in Ukraine is a major headache for Putin's regime, she says

@highlight

Dougherty: Putin not eager for an epic battle with the West over Ukraine