Havana (CNN) -- Cuban officials have accused the U.S. government of bizarre plots over the years, such as trying to kill Fidel Castro with exploding cigars. On Wednesday, they said Washington is using a new weapon against the island: spam.

"It's overloading the networks, which creates bad service and affects our customers," said Daniel Ramos Fernandez, chief of security operations at the Cuban government-run telecommunications company ETECSA.

At a news conference Wednesday, Cuban officials said text messaging platforms run by the U.S. government threatened to overwhelm Cuba's creaky communications system and violated international conventions against junk messages.

The spam, officials say, comes in the form of a barrage of unwanted text messages, some political in nature.

Ramos said that during a 2009 concert in Havana performed by the Colombian pop star Juanes, a U.S. government program blanketed Cuban cell phone networks with around 300,000 text messages over about five hours.

"It was a platform created to attack Cuban networks," Ramos said.

As first reported by The Associated Press last week, the U.S. Agency for International Development created a cell phone-based "Cuban Twitter" program, known as ZunZuneo.

It allowed U.S. government officials to send blast texts to Cubans and allowed people on the island to message each other independent of Cuban government restrictions on communications.

Under Cuban law, all Internet and communications services on the island are controlled by government-run entities.

USAID officials envisioned the program being used to organize "smart mobs" that could challenge the Cuban government's control on power, according to documents obtained by the AP.

U.S. defends 'discreet' program

Just this month, Cuba started a government e-mail service that allows people to receive e-mails on their phones.

In the country, which has the lowest rate of Internet access in the Western Hemisphere, the vast majority of people communicate via text message rather than using e-mail.

ZunZuneo -- Cuban slang for erratic, zigzag movements -- counted around 68,000 users at the height of the program's popularity, USAID said. The program ended in 2012 after U.S. government funds for it dried up.

Cuban officials have blasted the program as part of a long-running campaign by Washington to destabilize the island's single-party communist government and said other similar mass-messaging programs still exist.

U.S. government officials have defended the program, saying they were trying to foster free expression in Cuba.

Last week, State Department spokeswoman Marie Harf denied accusations that the program aimed to push a particular political agenda.

"We believe that the Cuban people need platforms like this to use themselves to decide what their future will look like, and that's certainly what we did here," she told reporters. "We were trying to expand the space for Cubans to express themselves. They could've expressed ... anti-American views on it. We didn't monitor or ... choose what they say on these platforms. That's up to them."

But other U.S. officials have been less positive about the program's value.

During a USAID budget hearing Tuesday, U.S. Sen. Patrick Leahy, D-Vermont, called ZunZuneo "a cockamamie idea" that the Cuban government had little difficulty tracing back to the United States.

USAID administrator Rajiv Shah said that ZunZuneo had been carried out "discreetly" to avoid Cuban government detection, but it wasn't a covert program that would have required congressional approval.

"Creating platforms to improve communication in Cuba and in many parts of the world is a core part of what USAID has done for some time and continues to do," Shah said. "Our administration's policy is to continue to support efforts to allow for open communications."

Shah said that USAID "continues to support platforms" like ZunZuneo, but he didn't go into details.

Alan Gross' attorney: Program is 'shocking'

Attempts by USAID employees and contractors to get U.S. government technology into the hands of Cubans has been at the heart of a high-profile case that's been a flashpoint in Cuba-U.S. relations in recent years.

Former USAID subcontractor Alan Gross is serving a 15-year sentence in prison on the island after his 2009 arrest for importing banned communications as part of a USAID program to connect Cubans to the Internet.

He was charged by a Cuban court in 2011 of being an American spy. USAID has said he was in the country working on a U.S. government project setting up satellite Internet connections.

Shah said the U.S. government continues to push Cuban officials to release Gross.

But Gross, 65, announced Tuesday that he had begun a hunger strike on April 3 from his cell at a Cuban military hospital to protest the way both countries' governments are treating him.

His lawyer said he was shocked to learn about the ZunZuneo program.

"Once Alan was arrested, it is shocking that USAID would imperil his safety even further by running a covert operation in Cuba," attorney Scott Gilbert said in a statement.

Gross has lost 10 pounds since beginning the hunger strike, a spokeswoman for his attorney said Tuesday.

A statement issued Wednesday by Cuba's Ministry of Foreign Affairs expressed "concern" about news of Gross' hunger strike but said he "was in good physical condition and his health was normal and stable."

Cuban government officials have offered to discuss trading Gross for three Cuban intelligence operatives serving lengthy prison in the United States. But U.S. officials have said that there will be no swap, saying Gross was not spying in Cuba.

Former Cuban counterintelligence official weighs in

A former member of Cuba's secretive State Security unit, which hunts what Cuban officials perceive to be internal threats, said he wasn't surprised to hear about the U.S.-funded ZunZuneo program.

It's just the sort of thing that Jose Manuel Collera Vento says he was tasked with stamping out when he worked as a counterintelligence official.

"My job was to discover and neutralize these plans against my country," said Collera, who's also a cardiologist and a top official in Cuba's Masonic community.

Stretching back centuries, the Freemasons describe themselves as one the world's oldest and largest charitable and fraternal organizations. The organization has offices, or "lodges," across Cuba and counts important Cuban historical figures like revolutionary Jose Marti among its members.

In 2004, Collera says he came face to face with Gross.

"It's impossible that he didn't know he was carrying out clandestine and illegal activity," Collera said.

Gross, Collera said, visited him to deliver camera equipment and money. At the time, USAID officials and representatives from other U.S. agencies proposed setting up satellite, Internet-based centers at the Masonic temples that Collera oversaw.

"Alan Gross as a person was nice, very friendly," Collera said. "He communicated by making gestures because his Spanish was very limited."

What Gross did not realize, according to Collera, was that Collera was a 30-year veteran of Cuba's State Security and was informing his superiors of the USAID contractor's activities in Cuba.

In 2007, a cable signed by the then-head of the U.S. diplomatic mission in Havana described Collera as a likely Cuban government "pawn," following "instructions from the Castro regime to penetrate, weaken, and divide the Masonic community."

The message also said that only 100 members of Cuba's 25,000 Freemasons had Internet access and called the organization's Havana headquarters a "neutral space" where Cubans could "participate in civil society."

U.S. diplomats in Havana, the cable concludes, "and Miami-based donors have supported the Freemason movement in the past and should continue to do so."

The cable was among the trove of U.S. government documents obtained by WikiLeaks and published in 2010.

It is unclear if Gross was ever warned that by meeting Collera, he had crossed paths with a possible Cuban counterintelligence operative and was now on authorities' radar.

In 2009, Gross was arrested as he arrived at a Havana airport carrying satellite communications gear.

According to a Cuban sentencing document from Gross' trial, he was traveling to the island to begin a project of connecting Masonic lodges to the Internet.

The next time Collera saw Gross was in a Cuban courtroom. Collera testified against Gross at his 2011 trial and revealed himself as "Agente Gerardo," a foot soldier in Cuba's vast State Security apparatus.

Gross was convicted of threatening Cuba's national security and sentenced to 15 years in prison.

His cover blown, Collera says Gross' arrest was his last case. But in an interview with CNN, Collera said Cuba's domestic intelligence capabilities make any United States-directed program, from the CIA's alleged exploding cigars to USAID's "Cuban Twitter," nearly impossible to keep secret.

"There are 11 million Cubans," Collera said. "That means there are 11 million people who could be State Security."

CNN's Kevin Liptak and Catherine E. Shoichet contributed to this report.

@highlight

Cuba accuses the United States of overloading communications networks

@highlight

The accusation comes after a report revealed details of a U.S.-funded "Cuban Twitter"

@highlight

U.S. officials defend the program, saying it aimed to foster free speech in Cuba