Wukan Village, China (CNN) -- In the end, Xue Jianwan gave up her short-lived political career after family pressure proved even harder to overcome than official intimidation.

"My enthusiasm was just extinguished by my Grandma's tears," the 21-year-old elementary school teacher posted early Sunday morning on Sina Weibo, China's equivalent of Twitter.

"I decided to call it quits as soon as they announced the initial election result -- sorry if I let anyone down."

Xue had been running to become a deputy chief of her native Wukan, a fishing village of some 12,000 residents in southern China, part of an unprecedented exercise in grassroots democracy in a country where the Communist Party usually reigns supreme.

Some 80% of the 8,300 registered voters, state media reported, flocked to Wukan School on a balmy Saturday to select a new village leadership.

As red flags fluttered in an early spring breeze and loudspeakers played folk music, villagers marked their choices in booths marked "secret balloting" with election workers and volunteers standing by to answer any questions.

Dozens of foreign reporters -- used to government interference in the field -- savored a rare moment to roam freely, filming the event and interviewing voters, as several officials watched from a second-floor balcony.

The orderly scene was soon disrupted by the appearance of Xue who was besieged by photographers jostling to get a shot of her. With her small frame disappearing in a sea of flashing cameras, Xue's friends had to rescue her from the press pack.

The young woman's celebrity only served as a poignant reminder of the tumultuous period the village had just passed through.

From September to December 2011, thousands of locals took to the streets of Wukan, protesting the illegal seizure of their farmland by corrupt officials, expelling local Communist Party leaders and clashing with anti-riot police who surrounded the village.

The months-long "siege of Wukan" culminated when security agents took several protest leaders into custody early December, and one of them -- Xue Jinbo -- soon died in jail. Authorities blamed sudden illness, but his family and most villagers believed he had been beaten to death.

As the untimely death became a rallying call, provincial authorities relented and agreed to the protesters' demands, sacking local officials, launching an investigation into the land dispute, and promising an open and fair village election.

When CNN first met Xue Jianwan, who is Xue Jinbo's daughter, in January, she was still reeling with anger and disbelief after the death of her father. Her distraught mother could barely speak.

"Dad was like Superman to us," she said at the time, her eyes welling up with tears. "How can I just accept that he's suddenly no longer with us?"

With a maturity beyond her years, Xue vowed to get her father's body back, which had been held by the authorities, confronting every official who visited the family to offer condolences.

Although her father's body was eventually returned in February, and the family received government compensation of 900,000 yuan ($143,000), Xue Jianwan made it clear she would continue to seek justice for his death.

Lighting incense sticks and kneeling in front of a large portrait, Xue paid tribute to her late father at home Saturday morning before heading to the polls.

Xue tweeted that she had decided to stand for election at the last minute, defying officials who warned her that she may lose the job that provides the only income for her mother and two younger siblings.

"The villagers want me to run," she told CNN. "And I think of my father -- I want to do something for him."

She may be the most unlikely candidate on the ballot, but plenty of voters were willing to embrace a daughter carrying on a cause her father died for.

"We all liked him and are now voting for her," said Wu Fang, a 53-year-old villager lingering on the school ground after voting. "She told us at meetings that she would follow her father's footstep to help us and look after our welfare."

As Wu and her fellow villagers exercised their hard-fought democratic right, some analysts have wondered whether the "Wukan effect" could bring wider political freedoms.

China watchers estimate the country saw some 180,000 "mass incidents" in 2010, most of which occurred in rural areas and were related to land confiscations. While the Chinese central government has permitted direct village elections since the 1980s, critics say the Wukan election is nothing more than symbolism and that the Communist Party still keeps a tight grip on dissent nationwide, especially in the wake of the Arab Spring.

Back at Wukan School, Wu Fang echoed other local villagers when she said a "fairer" election wouldn't solve the core issue that triggered the original protest: the sale of almost 1,000 acres of land by local officials to developers without any compensation to farmers.

"How can we farmers live without our land?" she said. "We want our farmland back and there hasn't been much progress. Without news coverage, our struggle would have died a long time ago."

With two prominent protest leaders declared the winners for the top two positions on Saturday night, it remains to be seen whether there will be any real change in rural China.

"A democratic election produces capable village officials who will help villagers get back their seized land and stolen assets -- so it's a necessary step in the process," Yang Semao, who was elected deputy village chief, told CNN before casting his ballot.

Xue failed to get enough votes for an outright victory, but is eligible to compete in a runoff Sunday. Worried that she may meet her father's fate, some family members had vehemently opposed her political career from the outset.

As her decision to quit the race spread online, reaction among her 25,000 Weibo followers appeared mostly encouraging.

"It doesn't matter whether or not you get elected," one supporter wrote. "Your family has already paid the ultimate price for Wukan."

"Don't blame your grandmother -- she's been through too much," another one chimed in. "You're still young and there will be time for another run."

@highlight

Daughter of Wukan villager who died in police custody ends political career

@highlight

Local election seen as unprecedented exercise of grassroots democracy in China

@highlight

Xue Jianwan's celebrity a poignant reminder of the village's tumultuous recent past

@highlight

Analysts ponder whether the "Wukan Effect" could take hold in other parts of China