St Paul, Minnesota (CNN) -- It's been described as the solution to a problem nobody realized existed.

But that hasn't stopped the humble Post-it Note from becoming a ubiquitous fixture of stationery cupboards worldwide, with manufacturers 3M producing 50 billion each year.

The sticky yellow squares did not always look destined to set the office supply world alight. In fact, it took 12 years from when the technology behind the product was first developed, to Post-its hitting the market.

The story of the Post-it -- the self-attaching note that adheres in such a way that it can be removed without causing damage -- begins in 1968.

Spencer Silver, a chemist for the giant multinational Minnesotan company 3M, was attempting to develop a better adhesive.

"It was part of my job as a researcher to develop new adhesives, and at that time we wanted to develop bigger, stronger, tougher adhesives," he said. "This was none of those."

What he came up with were microspheres, which retained their stickiness and had a "removability characteristic," allowing attached surfaces to be peeled apart easily.

For years he struggled to find a use for his invention, preaching the merits of his creation to unreceptive colleagues.

"I got to be known as 'Mr Persistent,' because I wouldn't give up," he said.

Read more: The coder club turning out tween tech prodigies

But it never found a practical application, until in 1974 he was approached by a 3M colleague, Art Fry, who had heard him talk about his microspheres at a company seminar.

Fry had been in church for choir practice, grappling with a regularly occurring problem with his hymnbook, when he had his "eureka moment" -- "the one where you get the adrenaline rush," he says -- regarding the way Silver's microspheres could potentially help.

During his Wednesday night choir practice, Fry would bookmark his hymnbook with pieces of paper -- but by Sunday morning they would have fallen out.

"I thought what I need is a bookmark that would stick to the paper without falling off and but not damage the sheets," he said.

When the team started writing messages on the notes to communicate around the office, they realized the full potential of the idea.

"I thought what we have here isn't just a bookmark," said Fry. "It's a whole new way to communicate."

Not everyone saw the value in the idea, says Fry, but the team continued to lobby for their idea and eventually in 1980, after extensive market testing, 3M released the product on to the market. From that point, the Post-it was unstoppable.

Read more: Materials that magically mend

"The Post-it notes took off so rapidly that I think it left a lot of people in marketing and sales gasping a little bit," said Silver.

It spread "like a virus," said Fry. "It was always a self--advertising product," he said, because customers would put the notes on documents they sent to others, arousing the recipient's curiosity. "They would look at it, peel it off and play with it and then go out and buy a pad for themselves."

Silver says that like many winning innovations, the Post-it was a product nobody thought they needed until they did.

"It's like having a cell phone with a camera on it," he said. "Who would have thought that would have been useful for anything but you can't buy one these days without a camera or music on it."

The make-up of the Post-it's adhesive strips remain a closely guarded secret, protected by the patents on microspheres. "Because we didn't patent it, we didn't have to tell people how we make it," said Fry, whose car license plate reads "POSTIT". "This is a product that looks so simple but is very high tech."

People wrongly assume the co-inventors of the Post-it must be extremely wealthy, he said, but they have had great careers out of the invention, and he now enjoys a "comfortable retirement."

The real satisfaction though, says Silver, is seeing a product they created embed itself in the culture -- featured in films, office mosaic pop-art and the daily lives of millions.

"You see these computers (in movies) that are just festooned with Post-it notes," he says. "The fact that the Post-it notes just exploded as a product is more than I could ever hope for."

@highlight

More than 50 billion of 3M's Post-it notes are sold every year

@highlight

Hit product reached market 12 years after it was invented

@highlight

3M employee, Art Fry realized potential of Post-it Notes in church

@highlight

Once the product was released in 1980, it spread "like a virus," he recalls