(CNN) -- When Thai monarch, King Rama, founded Bangkok in the late 18th century, he bestowed upon the bustling waterway that ran through his new capital a title fit for royalty -- "Chao Phraya" (the River of Kings).

Settlers to the city built their homes along the river's banks, its waters providing the maritime access essential for commerce as well as the fish to feed a growing population.

Today, Chao Phraya remains a busy thoroughfare. The living space that has built up aside its shores however is vastly different.

See also: Thailand's luxury property market

This transformation is no more apparent than at the edges of Khlong Ton Sai, a formerly barren neighborhood on the river's western banks.

It is here that "The River" -- an aptly named tower of condominiums and luxury living space -- soars above the bustling waters and streets below.

At 256 meters (840 feet) tall, the giant structure is 6 meters (19 feet) taller than Chao Phraya is wide, making it the tallest residential building in Thailand.

For Hans Brower, the Thai-Dutch design consultant behind the project, The River is a potent symbol of modern Bangkok -- a vibrant metropolis that can offer spectacular accommodation at cheaper rate than other big Asian cities.

Lush gardens and quiet pools in the facility grounds maintain the feel of an urban oasis amidst the surrounding concrete jungle.

"Living on the river affords you the ability to have a space like this which could be a resort if you did not have this poster which is the city of Bangkok," Brower explained. "It has that 5 star feel."

A new track

A key component of Bangkok's riverside regeneration and the rise of facilities like The River has been improved transport links, Brower explained.

Myriad boat services frequently cross Chao Phraya while the city's skytrain (known locally as the BTS) has provided faster access to areas that were once considered too out of the way and poorly connected.

See also: China's crazy property bubble

"I think the definition of a boundary changes radically depending on accessibility and mobility and that has changed," Bower said. "Today the BTS comes across and goes all the way into west (of the) country."

While the skytrain has ensured properties like The River are viable and desirable, it has also had a knock-on impact on the areas it passes through. Those who live in its shadows have seen their property values soar.

"I could earn something already (by selling)," explained said Chaiyot Suriyanonlin, standing outside the humble shop-house that has been in his family's possession for generations. "Whatever my father left for me I should do my best to keep it for (his) legacy," he added.

Developers' paradise

For developers, meanwhile, a relaxation of planning laws (restrictions on how high they can build have been set aside) has incentivized the construction of quality accommodation in areas like those which host the Suriyanonlin abode.

"The regulations limit what you can do in various places so at the time this site came up it was an opportunity to do something big," said Gerry Healey, who oversees The River for developer Raimon Land.

Although roughly 10% of apartments remain without owners (primarily those not overlooking the water), there is a strong financial incentive for developers to invest in Bangkok. As Healey illustrates, the average cost per unit was $3,400 a square meter in 2007. Today they go for $4,700, with penthouses selling for three times that amount.

"The prices that we are asking for here maybe in the higher end of the Bangkok market but by comparison with Singapore or Hong Kong we are very (affordable)," Healy said. In fact, this equates to just a fifth of the price of luxury property in Singapore.

While such sums still represent a considerable outlay, Healey's hope is that potential investors will be encouraged to snap up the remaining properties and become part of the next chapter of Bangkok's famous river.

@highlight

At 256 meters tall, "The River" is Thailand's tallest residential tower

@highlight

The luxury development has helped regenerate some of Bangkok's most neglected areas

@highlight

A key component of "The River's" success has been the development of new transport links