A private meeting on Capitol Hill with House Democrats and White House officials on Wednesday became heated when rank-and-file members expressed frustration about continued Obamacare problems, according to multiple sources in the room.

One congressional Democrat who attended the meeting said senior Obama administration officials Mike Hash and David Simas really "got hit" by House Democrats about everything from the troubled website to the broken presidential promise that people can keep the insurance plans they like.

The most pressing political challenge for House Democrats will come this Friday when they will have to vote on a House Republican plan by Rep. Fred Upton of Michigan that allows people to keep their policies if they want to.

Insurance companies have begun canceling certain individual plans mainly due to Obamacare, creating an unexpected hardship for many who could soon find themselves without coverage or wind up facing higher costs for new plans they may not want.

In California alone, more than 1 million people have received policy termination notices from several insurers because their plans do not meet minimum requirements under the Affordable Care Act, the state's insurance commissioner said this week. Insurers have, in a large number of cases, temporarily extended the time frame for ending those agreements.

Several lawmakers -- even liberals who adamantly support Obamacare -- stood and warned the officials that the White House must come up with a solution before the vote.

As CNN first reported on Tuesday, many House Democrats are feeling so much pressure from constituents on this issue that they may feel compelled to vote yes for political reasons.

"Members want to keep their promises to their constituents, which is that they would have affordable insurance  -- if they want to keep the plan they have -- they would keep it," said Rep. Marcy Kaptur, D-Ohio. "We would offer broader insurance alternatives so that people would have more competitive pricing."

Democratic congressional sources have told CNN that Friday is a de facto deadline for the administration to come up with a fix.

The preference would be an administrative remedy that circumvents the polarized Congress. But if that is not possible, Democrats are demanding the White House offer a legislative solution that they can offer as an alternative to the GOP plan.

Administration officials came to the meeting to try to convince House Democrats not to vote for the Upton bill, saying it would gum up the system and result in higher premiums for most Americans, sources told CNN.

"They were talking about the ultimate impact of voting for it. That, in fact, it would allow plans that had high deductibles, very poor coverage -- which of course we want to get rid of," said Jan Schakowsky, D-Illinois.

Democratic Rep. Jose Serrano of New York told reporters he thinks something will "develop over the next 24 hours."

White House spokesman Jay Carney said "you can expect" the Obama administration to announce plans for addressing health policy cancellations under Obamacare "sooner rather than later."

Carney said President Barack Obama has asked "his team" to come up with policy options, suggesting they were moving quickly.

He again rejected the Upton bill as "not an effective fix" because it opens up the plans to anyone, not just the people who's plans are being canceled.

Lawmakers also expressed frustration with the HealthCare.gov website, the chief portal for people who want to sign up for Obamacare through the federal government. It's October 1 launch was a debacle and the administration is scrambling to get it running up to speed.

White House tech expert says healthcare.gov getting better

Source: Nov. deadline possible

Rep. Anna Eschoo of California asked administration officials to stop using "red lines" they may have to cross and make the public relations problems worse for Democrats.

For example, sources in the meeting said she is worried that if the the website is not running smoothly by November 30 as the administration has promised, the political problems for Democrats will be worse.

Though, the focus is chiefly on the House bill over cancellations.

It would allow affected insurance plans to extend into next year and gut a major part of the Affordable Care Act by allowing anyone to purchase them, even though the existing policies don't meet the tougher requirements of the Obamacare initiative.

Can Congress really save insurance plans lost under Obamacare?

Among other things, the law prohibits discrimination for preexisting conditions and mandates coverage for mental health, prenatal care and other issues. This is a primary reason why insurance companies are dropping existing coverage.

Cancellations drive concern

Although the rocky rollout of the Obamacare website and low enrollment figures through Wednesday -- just over 100,000 -- are embarrassments for the President and Democrats in Congress who rammed through the health law in 2010 without Republican support, it is the policy cancellations that are really driving Democrats to put more pressure the White House.

Obama has apologized to those losing their coverage despite his assurances to the contrary and appears to be taking a hit for his Obamacare woes, according to the latest polling.

His approval rating among American voters has dropped to its lowest number in Quinnipiac University polling since he became President with new doubts being raised about trust.

Pressure to come up with a fix

Rep. Steny Hoyer, the No. 2 Democrat in the House, told reporters on Tuesday that Obama needs to come up with a solution "sooner rather than later."

New York Rep. Steve Israel, chairman of the Democratic Congressional Campaign Committee, criticized the House GOP plan, saying he believed it would increase premiums and remove consumer protections.

"We should do something so long as it actually fixes the problem and doesn't make the problem worse." Israel told reporters Tuesday, saying it would be helpful if the White House came out with a proposal before Friday's House vote.

But Rep. John Larsen of Connecticut,  a loyal liberal and former House Democratic leader, said he hasn't seen details of the House GOP bill, but said he thought it could "make sense" and that there "could be support" depending on the approach.

Hoyer said earlier he hadn't ruled out being open to Upton's bill, but his spokeswoman says he's now opposed since Upton has said he won't make changes and Democratic leaders will likely urge their caucus to vote against it.

More pressure on Obama

Boosting pressure further on Obama was former President Bill Clinton, who said on Tuesday that the President should find a way to uphold his initial promises about health policies.

Clinton: Obama should 'honor commitment' on keeping health plans

A growing number of Democrats have called for changes or delays to the program as many face  tough reelection bids in 2014 and are feeling pressure from challengers and constituents.

Obamacare rattling Democratic nerves

Although he didn't go nearly as far as Clinton, Sen. Richard Durbin, D-Illinois, said he is open to changes as well and noted that Obama should have been more careful with his words in the first place.

Sen. Mary Landrieu of Louisiana, introduced a narrower bill than what House Republicans are planning with Upton's plan and said that she has growing support in the Senate, including Dianne Feinstein, Joe Manchin, Mark Pryor and Kay Hagan -- all Democrats.

She noted her proposal would allow people who have individual insurance, which she says makes up about 5% of the market, to keep their coverage. Insurers would have to notify those customers what minimum coverage requirements are not being met.

A Senate Democratic leadership aide told CNN that White House officials will go to Capitol Hill on Thursday to meet with Senate Democrats about looking for a fix.

Obamacare promises: Where things stand

Official: Hackers tried repeatedly to attack Obamacare website

Many in Congress avoiding Obamacare exchanges

@highlight

Democrats vent frustrations over Obamacare to White House officials at weekly caucus meeting

@highlight

California says more than 1 million people get insurance cancellation notices

@highlight

White House officials will go to Capitol on Thursday to meet with Senate Democrats

@highlight

House to vote on Friday on proposal that would let people keep their health care plans