(CNN) -- Which country has the highest-priced hotels?

The immediate answer is the Maldives, according to Hotels.com's recently released Hotel Price Index. But the real takeaway is that for the past few years hotel prices have been rising across the globe, no matter which country you choose to visit.

The average room rate rose by an average of 3% in 2012, according to Hotels.com.

Thankfully, there are plenty of savvy ways to save money on a hotel room today -- you just need to know the insider tricks. Many have to do with navigating the increasingly complex landscape of online booking. You'll find start-up websites such as Tingo, which offers automatic refunds when a room rate drops. DealAngel, meanwhile, will help you decide if that online find is really such a steal. And all the major booking sites are embracing "bundling" as a way to drop rates.

See more of Travel + Leisure's money-saving hotel tips

Bundling

Hotels drop prices to unprecedented lows when they can "hide" their room rates from the general public. One way they do it: bundling rooms with airfares through online travel agents such as Expedia, Orbitz, and Travelocity. In a recent test, we searched for round-trip tickets from New York City to Los Angeles with a seven-night hotel stay at the Ritz-Carlton, Marina del Rey. Bought separately, we'd have had to pay $2,367. Bundled on Travelocity, however, we'd pay $632 less -- a 20% savings.

Club floors

Don't be fooled: club-level rates at brands such as Sheraton, Ritz-Carlton, Fairmont, and Marriott may be higher, but they can offer real value. Here's what you get when you pay $100 to upgrade to a Gold-floor room at Boston's Fairmont Copley Plaza: Breakfast for two: $52; Evening appetizers: $20; Evening dessert: $20; In-person wake-up call with juice, coffee, or tea: $30; Large bottled water: $7; Soft drinks and snacks from the lounge: $10; Welcome drink: $10; Wi-Fi: $15. The total amounts to $164, meaning those who pay to upgrade save $64.

Travel + Leisure: World's best hotels 2013

Deals

DealAngel, our favorite new online hotel search tool, doesn't just aggregate bargains and sort them by price; it also compares the offered rate with the hotel's average, assessing just how good a deal you're getting. Bonus: the site's handy color-coded calendar helps you figure out the most affordable times to travel to your favorite destinations.

Loyalty partnerships

The divide between airline and hotel loyalty programs is shrinking. A new partnership between Starwood Hotels & Resorts and Delta Air Lines allows Starwood Preferred Guest platinum and gold members to earn Starpoints for every dollar they spend on Delta fares. Similarly, Delta Medallion members with silver or higher status will get SkyMiles for money spent on Starwood rooms. And status members of both programs get priority treatment.

Opting in

Loyalty pays -- especially when it costs nothing to join. Many brands offer perks and benefits to even the lowest tier of loyalty-club members. So next time you're at a hotel, sign up. What do you have to lose?

Phone calls

You no longer need to pay exorbitant in-room or cellular roaming fees to make international calls. Internet phone services such as Skype, Rebtel and Line offer free calls within their networks, as well as greatly reduced rates to landlines (17 cents per minute on calls from France to the U.S., for example). All you need is a Wi-Fi or mobile hot spot and you're good to go.

Travel + Leisure: Best U.S. cities for affordable getaways

Refunds

The new website Tingo makes it extremely easy to get a partial refund if your hotel rate drops. Book a refundable room through the site, which monitors the price. If the rate goes down, Tingo will automatically refund the difference to your credit card shortly after your stay.

Social media

Three ways to use social media to get a better hotel stay.

1) Tweet the property before booking to see if any special deals are available. Hotels often broadcast deals on social media first. You can also do a keyword search (hotel name and "deal") on Twitter.

2) Introduce yourself to the hotel on Facebook and Twitter, and let the staff know how excited you are about your upcoming trip. You might be rewarded with a free upgrade.

3) "Like" hotel loyalty programs on sites such as Facebook and Pinterest to get updates on extra savings, such as the regular 24-hour Facebook flash sales for Hilton HHonors members.

Timing

If you're looking for savings, timing is everything. We asked Smith Travel Research for a month-by-month look at average room rates for destinations across the United States. New York City prices, for instance, drop in July and August, while Phoenix peaks at about $150 per night in October. On Oahu, hotel prices decline by about $20 per night between early January and early February.

Wi-Fi

At high-end hotels, free Wi-Fi remains frustratingly scarce. According to the American Hotel & Lodging Association, 84% of luxury hotels charge for in-room Internet access, while just 8 percent of economy hotels do. Here, Travel + Leisure acknowledges the upscale hotel brands that provide the best Internet service.

First Place: Peninsula and Shangri-La Hotels have free Wi-Fi not only in all hotel rooms and common areas but also in their automobile fleets.

Second Place: Andaz provides free in-room and lobby Internet access.

Third Place: Fairmont, Kimpton and Omni hotels offer complimentary Wi-Fi in common areas and guest rooms if you join their (free) loyalty programs.

On our Radar: IHG Hotels, the parent company of InterContinental, Crowne Plaza and Holiday Inn, will give free access to all loyalty-club members starting in 2014.

See more of Travel + Leisure's money-saving hotel tips

Reported by Amy Farley, Jennifer Coogan, Nikki Ekstein, Amy Farley, Jennifer Flowers, Tom Samiljan, and Peter Schlesinger.

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Bundling airline and hotel reservations is an effective savings strategy

@highlight

Connecting with a hotel via social media can unlock hidden discounts

@highlight

Avoid outrageous in-room phone rates by using Skype, Rebtel and Line