(CNN) -- On the surface, the first round of the Egyptian presidential election seemed to show that the Muslim Brotherhood and the remnants of the Mubarak regime are locked in mortal combat for the political soul of Egypt -- as Brotherhood candidate Mohamed Morsi faces pro-military candidate Ahmed Shafik in a second round of voting in June.

Buying into this simplistic formula, however, would be a total misreading of the far more complex picture. To understand the political reality of Egypt and the strengths and weaknesses of the major political forces operating in the country, one needs to look more closely at all of the electoral results.

First, it is very clear that the Muslim Brotherhood, despite Morsi's emergence as the presidential front-runner, lost almost half its support base between the parliamentary and presidential elections -- from 47% to 25%.

It is true that the well-organized Muslim Brotherhood was able to mobilize its political base in the presidential elections more effectively than its competitors. But the support of a mere quarter of the electorate is nowhere near sufficient for the Brotherhood to govern the country by itself.

Only part of this decline in support can be attributed to former Brotherhood leader Abdelmonen Abol Fotoh's 2011 defection from the party and his decision to run for president as an independent. The decline also reflects a disenchantment with the Brotherhood's poor legislative performance, its attempt to pack the constituent assembly with its supporters, reneging on its promise not to run a presidential candidate and its tendency to compromise with the military on important issues.

The election results also demonstrate that the total Islamist vote is somewhere around 40% of the electorate. That might be overstating its strength. Islamist Abul Fotoh garnered many votes from secular liberals who mistakenly considered him to be the anti-establishment front-runner. Many voted for him to prevent Mubarak-era candidates Amr Mousa and Shafik from winning.

The real surprise of the election was the emergence of Hamdeen Sabahy -- whose campaign was built on nationalism and demands for social justice -- with 22% of the vote.

Sabahy was often referred to as the Nasserist candidate who represented the legacy of the Gamal Abdul Nasser, the leader of the 1952 revolution and Egypt's first president. His campaign did not get going until very late in the day; otherwise it is more than likely that the runoff would have pitted him against Morsi. That would have given Sabahy a real shot at winning the runoff, given the anti-Islamist search for a viable candidate untainted by the Mubarak regime.

Sabahy's performance in the first round indicates that many who voted for the Muslim Brotherhood in parliamentary elections, especially the working classes, were disillusioned with its advocacy of a free market economy and lack of attention to social justice and welfare issues.

Sabahy's message of social justice worked, as demonstrated by his lead in Cairo's working-class district Imbaba, long considered a Muslim Brotherhood stronghold. Sabahy carried the two most populous cities, Cairo and Alexandria, without much organizational support -- a remarkable performance by any standards.

The fact that pro-military Shafik, the leading remnant of the Mubarak regime, took almost a quarter of the votes seems remarkable. But the superior financial capability and patron-client network of the former ruling party NDP, especially in the Nile Delta, and covert support from the military brass played a big role.

Reports are emerging that the security services and military-linked pro-Mubarak landlords coerced many of the Delta peasantry to vote for Shafik. It appears that pressure was also put on public servants and their families.

Shafiq's law-and-order message also attributed to his success. The security situation in much of the country has deteriorated markedly -- some argue deliberately engineered by the military. But his performance can also be read as the last gasp of the old regime, which can be well and truly buried if its opponents, from the Brotherhood to the Nasserists and liberals, can form a coalition capable of providing effective and legitimate government.

This should not be an impossible task.

It is clear that the Islamist forces are fractured and the Brotherhood's base is shrinking, as the political playing field becomes increasingly level in a democratizing Egypt. There are indications that the Brotherhood is aware of its limitations, which has forced it to mellow considerably, sacrificing some of its ideological purity at the altar of political pragmatism.

If the leaders of the various trends of political opposition to the Mubarak regime demonstrate adequate wisdom and put together a governing coalition that includes no remnants of the old regime, Egypt's democratic experiment could be securely launched on the road to maturity.

It is most important that the Brotherhood and Sabahy's campaign come to an understanding that would allow them to share power, possibly with Morsi as president and Sabahy as vice president of a democratic Egypt. The Brotherhood must also give the Nasserists and liberals a voice in writing a new constitution that would guarantee the fundamental rights of citizens and delineate a process for orderly political transition, based on periodic elections for the executive and the legislative branches of government.

A consensus will also have to be built on the role of Islam in the new political order. The Muslim Brotherhood has demonstrated remarkable flexibility in the past on this issue. It may be even more flexible now that it realizes a consensus on Islam that is acceptable to the majority of political parties and factions would be essential to creating a coalition.

The opinions expressed in this commentary are solely those of Mohammed Ayoob.

@highlight

Mohammed Ayoob: Muslim Brotherhood lost half its support between the two elections

@highlight

The Brotherhood can't govern by itself with support of only 22% of electorate, he writes

@highlight

Ayoob: Mubarak-linked candidate did well, but social justice proponent did well, too

@highlight

Liberals, Nasserists and Brotherhood must form their own coalition, Ayoob writes