Tea, that most ordinary of beverages, was once so highly prized that traders, travelers and seafarers risked their lives to bring the precious cargo from China to the rest of the world.

Now, a small but growing band of tea aficionados is traveling across the country in pursuit of tea at its source, fueled by an appreciation of China's ancient tea culture and traditions and a more modern interest in green methods of cultivation and artisanal production.

Tea tourism within China is still a relatively new phenomenon, gaining traction in the last few years and generally associated with an educated and upwardly mobile Chinese middle class.

For Chinese people, traveling for tea brings with it a certain cachet.

"In most public schools, there is no formal education about tea, so one's knowledge of the subject proves you have traveled, and studied about tea on your own," says tea guide Michael Wang. "In others' eyes, you are not only educated but cultivated."

'Understanding begins with a single cup'

Tea expert and guide Tracy Lesh specializes in bringing Chinese tea culture to foreign travelers and expats within China -- a small portion of her clientele are Chinese people who appreciate her depth of knowledge.

Lesh began arranging tea tours more than five years ago when she realized there was a growing interest in learning not just about the tea itself, but the culture surrounding it.

"Americans are overwhelmed and undereducated about Chinese tea culture," she says.

"Many aren't aware of the benefits of loose-leaf teas and are mainly drinking teas blended with fruits and flowers. It takes a lifetime to appreciate tea, but understanding begins with just a single cup."

Chinese tea tourists tend to have a different focus than Westerners when it comes to visiting a tea area.

Wang says non-Chinese look for a sense of adventure and don't mind hiking into the tea terraces. They have a strong interest in seeing production methods firsthand and picking tea for themselves, but don't yet understand the culture of tea.

"Foreigners have difficulty understanding the delicate taste of xian (savory) and huigan (sweetness) in tea," Wang says.

Chinese visitors, on the other hand, place an emphasis on relaxing and drinking tea without the need to hike into the tea plantation or pick leaves.

They often use artisanal teas as gifts for building good business relationships and are interested in learning gongfu tea -- a refined way of serving tea involving proper vessels, brewing techniques and atmosphere that takes patience and skill to master.

Like good wine, tea's final flavor is influenced heavily by terroir -- the microclimate in which it's grown.

For those interested in taking a tea tour, below are three starting points, corresponding to three of China's most well known teas, each different in climate, geography and taste.

Longjing (Dragon Well) green tea

Located just south of Hangzhou province's beautiful West Lake, Longjing is home to China's most celebrated green tea, which is the color of jade and has the fresh aroma of chestnuts and cut grass.

The best time to visit the area is during China's Qing Ming Festival (usually April) when most picking and roasting take place.

Longjing's tea villages and plantations -- many are open to the public -- are connected by a cycle pathway and bus route.

Longjing is home to the China National Tea Museum.

Among the temples, pagodas and gardens lining the shores of nearby West Lake sit many small tea houses where longjing tea can be enjoyed in a relaxed atmosphere.

Hangzhou is reached by high-speed train from Shanghai's Hongqiao Railway Station. Trains run every 30 minutes and take one hour.

Tracy Lesh and Michael Wang arrange small group tea tours to the Longjing tea terraces year round (shanghaiandbeyond.com; +86 159 009 03998).

China National Tea Museum, 88 Longjing Road, West Lake, Hangzhou; +86 571 8796 4221; open 9 a.m.-5 p.m., May-October 7; 8:30 a.m.-4:30 p.m., October 8-April 30;

closed Mondays; free admission

Wuyi Mountain oolong tea

Oolong tea, a fragrant partially oxidized tea midway between green teas like longjing and black teas like pu'er, has its origins in southern China's Fujian province.

The most famous of Fujian's oolongs, da hong pao or "big red robe" tea comes from Wuyi Mountain, a UNESCO-protected natural heritage site rich with rare and animal life, centered around the pristine Nine Twists River.

Genuine da hong pao is picked from just a few ancient tea trees high on Wuyi Mountain and is unobtainable to all but the wealthiest and most influential, but oolong plantations in the surrounding hills produce wonderful teas too.

Like wine, the terroir of these teas is demonstrated by oolong's floral notes, which are subtly different according to the orientation, altitude and soil mineral content of the hillside on which the tea is grown.

Nearby is the well preserved medieval tea-trading town of Xiamei and further afield are Fujian's famed tulou -- ancient rammed earth roundhouses that hold up to 400 families inside.

Wuyi Shan has its own airport with daily flights to and from major Chinese cities.

China Base Travel runs three-day Wuyi Mountain and oolong tea tours year round.

Wuyi Shan UNESCO World Heritage Site; daily from 7:30 a.m.; admission RMB 235 ($38) for a two-day pass

Southern Yunnan's pu'er tea

Pu'er, a fermented and aged black tea with a complex, earthy taste, is considered the pinnacle of all Chinese teas.

Usually pressed into cakes, it's allowed to age so that its complexity and depth of flavor increase over time (as does the price), again drawing comparisons to wine.

Pu'er has a fascinating trade history.

Tea was carried, often on foot, overland on the ancient Tea Horse Road linking Yunnan and Tibet in exchange for the Tibetan mountain ponies sought by the Chinese for their hardiness.

The area of southern Yunnan where pu'er is produced lies adjacent to Myanmar, Laos and the Mekong River.

The region features an enormous protected native jungle and wild elephant reserve, a tropical and medicinal botanic garden, hills terraced with tea plantations and areas filled with wild tea trees that are hundreds of years old.

There are daily flights to the regional capital, Jinghong, from all major Chinese cities, or you can fly directly into the smaller Pu'er airport (known as Pu'er Simao).

Pu'er tea tours can be arranged through Jinghong's Mekong Café.

Sanchahe Nature Reserve and Banna Wild Elephant Valley is 48 kilometers north of Jinghong; daily, 8 a.m.-5:30 p.m.

Menglun Botanical Garden in Menglun is located 70 kilometers east of Jinghong; daily, 7 a.m.-midnight

@highlight

Tea tourism in China is relatively new, but growing in popularity among foreign and domestic travelers

@highlight

Like wine, tea's final flavor is influenced heavily by terroir -- the microclimate in which it's grown

@highlight

Three top areas for tea lovers are Longjing, Wuyi Mountain and Yunnan