(CNN) -- Competitors and judges describe entries for their contest as wild, crazy, baffling and just plain cool.

Some of the ideas are "way impossible," but that's sort of the point, they say, when a bunch of bright, young and talented designers and architects imagine a moon colony in 2069.

The design competition, created by the nonprofit urban planning group SHIFTboston, produced wildly creative illustrations and concepts that touch on subjects as diverse as moon-based athletic games and a lunar cemetery.

As entertaining as some of the designs were, they proposed solutions to serious issues such as world hunger and shrinking energy resources.

"The most important thing was bringing together two completely different industries," said Kim Poliquin, SHIFTboston's founding executive director. "Architecture is changing as our society and technology changes. This shows how architecture could become a part of the astronautics industry."

Of course humans have been imagining space colonies in drawings and models  for more than half a century, as popsci.com reminded readers last month.

SHIFTboston's Moon Capital 2010 competition aimed to smash together two fields that often find themselves at odds: architecture and engineering.

"The tension between what is mostly ideal or perhaps impossible and what is logical and clearly achievable is necessary to arrive at passionate and creative solutions," said contest judge Madhu Thangavelu, a professor of space systems design at University of Southern California. The entries "are mostly exercises in vision and architecture and wholly meant to inform engineers where humanity's priorities lie with respect to human space activity on the moon."

The winning entry by designer Bryna Andersen imagines a moon base surrounding a massive satellite dish that would collect solar energy and beam it back to Earth. Another concept puts a moon colony in a hole in the ground called a lava tube.

How about this: a giant sports stadium that would serve as the venue for the first site-neutral international athletic games. New sporting events would be introduced that make use of the moon's low gravity, say its designers --two architecture students at California Polytechnic State University, San Luis Obispo.

"We researched a lot of energy producing and capturing technologies that we could incorporate into the project," said Keith Bradley, 23.

Bradley's collaborator, 22-year-old Brian Harms said the colony would include "places for algae farms and other plant life to grow -- for food and to produce oxygen."

Space is a perfect place to creatively imagine the impossible, Thangavelu said.

"There is something in the American psyche that caters to the stuff of 'Star Wars' and 'Star Trek' and 'Avatar,' don't you think?"

Bradley and Harms acknowledged the influence of science fiction seeping into the project.

"The illustration of the elevator core -- looking up -- I kept coming back to 'Tron' for that one," said Harms. "Now the new 'Tron' movie is coming out in December and we're excited about that."

One of the contest designs prompted urban planning blogger Nick Azer to mention another Hollywood sci-fi flick. "The visual, to me, evokes 'The Matrix's' human farms ... seeing how warm and fuzzy I am for the moon, not quite my vision :)"

Is it possible Harms or Bradley or another of the competition's designers will someday contribute to an actual design project built on the lunar surface?

"It's totally possible," said Poliquin. "We just have to be willing to spend the money on it. Let's just say it's probably going to happen, we just don't know when."

@highlight

Architects, designers show their ideas for lunar colony in 2069

@highlight

Wild, crazy, impossible designs include international sports stadium, giant solar collector

@highlight

Contest was exercise to combine architecture with engineering

@highlight

Illustration for one design was inspired by 1982 film "Tron"