(CNN) -- When I was doing my degree in computer science in Ghana's Valley View University 10 years ago, there just were seven girls in the class. After four years, only four graduated and out of that number, just two of us have stayed in technical roles. Today, my little sister's computer science class has at least 30% females and a smaller drop-off rate.

All across Africa, the number of women entering the tech industry is improving thanks to the several nonprofit groups teaching girls how to code and the bigger availability of funds. As a result, more women are training to become tech professionals. Yet, a large number of them are having to leave their jobs after a few years as they can't break the glass ceiling in an industry that's still largely male-dominated.

To address this, the Google Developer Group for women was created in Ghana less than two years ago. But soon the organizers came under attack from some men in the wider Google Developer Group community, with comments like "why do you need a women only group?" One guy's email even said, "leave them alone, maybe they want to create apps about menstrual periods together."

Such attitudes are widespread. I run the Women in Tech group in Ghana and at one of our monthly events one young female computer scientist approached me and said: "They keep telling me I cannot be really good at IT and also be a good wife and a mother." Straight away, I introduced her to Estelle Akrofi, the Google Country Manager for Ghana, a mother of two and an all-round success; then I introduced her to Otema Yirenkyi, the country manager of Microsoft Ghana and mother of a beautiful five-year- old.

Uphill task

The problems that African women in tech face are not very different from the ones female techies in many other parts of the world also come across. Yet, these challenges, coupled with some Africa-specific problems like power shortages and broadband inaccessibility, create an uphill task for women wanting to enter the industry and develop the high-level technical skills required in order to progress.

Yet, I know there is progress, and the examples are many -- female tech entrepreneurs like Regina Agyare (Soronko Solutions), Anne Amuzu (Nandi Mobile), Rebecca Enonchong (Apps Tech), and myself are all running their own tech enterprises and succeeding at it.

Read this: 5 reasons tech world needs more geek girls

Pan-African Women in Tech meet up

Up until now, no one had attempted to build a pan-African Women in Tech network that would allow us to compare our challenges, learn from each other and connect across borders to expand our influence. That lack is what motivated myself, Ethel Ella Mbawe from Zambia, Barbara Bingu from Uganda, Sam Beckbessinger from South Africa and Akaliza Keza Gara from Rwanda to organize in early August the first Women in Tech Africa meet up.

More than 150 women signed up to the event that was supposed to happen online via Google hangout on August 2. Yet, bad Internet connection and technical challenges marred the event and made it difficult for the participants to communicate.

But while we were trying to fix the technical challenges we noticed something interesting happening on the event's page: the women had already started introducing themselves and talking to each other.

We saw how big the desire was to network and to share knowledge that we quickly decided to move the discussion to Twitter and start a live chat. The need to connect, to learn and to share was greater than any technical challenge.

In the end, the Twitter conversation with the hashtag #WtechAfrica had the reach of 74,502 and 195,209 impressions on Twitter connecting female technologists all over Africa ably supported by one of our speakers Enyonam Kumahor. Here are some of the highlights of the discussion.

Looking back into history and comparing it to today we know technology is not just a man's world. It is imperative that African women take advantage of this to provide a sustainable environment that would encourage and promote technology amongst women. So of course we will run the event again, this time with the lessons we learned and maybe strong sponsorships to help us succeed.

Read this: 5 reasons tech world needs more geek girls

The opinions expressed in this commentary are solely those of Ethel Cofie.

@highlight

The first Women in Tech Africa meet up took place online in August 2

@highlight

Organizer Ethel Cofie says more African women are entering the tech industry

@highlight

Many of them, however, leave their jobs as industry remains male-dominated