(CNN) -- With so many flashy tablets and high-speed smartphones on display, it's easy to forget the important role low-cost phones play at the Mobile World Congress in Barcelona.

But while headlines are grabbed by expensive devices crammed with high-speed processors, crystal clear display screens and eye-poppingly powerful cameras, many manufacturers are still focused on the basics.

For mobile phone makers, real market expansion areas are now found in developing countries where mobiles have still to connect billions of people and offer life-changing internet access.

Google Executive Chairman Eric Schmidt warned in his keynote address to the congress that for the "aspiring majority" of five out of seven billion global citizens, "the web is still a scarce resource."

"For most people the digital revolution has not arrived yet. Every revolution begins with a small group of people. Imagine how much better it would be with another five billion people online," he said.

Read more about Schmidt's 'digital caste system' warning

Ahead of the Congress, Dr Hamadoun TourÃ©, secretary-general of the U.N.'s International Telecommunication Union, told CNN that mobiles represented the "best hope of accelerating progress" towards global poverty reduction goals.

"With seven billion people's needs to serve, information and communications technologies represent the single most powerful channel we have ever had to reach out to others, wherever they may live, whatever their circumstances," he said.

Read more about how mobiles are changing lives in Africa

But while marketing mobiles to the developing world was a major theme at the event, there was no getting away from the head-turning technology on display.

Gadget freaks were stunned by Nokia's unveiling of a phone featuring a powerful 41 megapixel camera, a coup for a manufacturer that has seen its market share eroded by Apple and Android-based technology in recent years.

Korean firm Samsung also won plaudits for its Galaxy Beam, capable of projecting images and videos onto walls.

With Apple notably absent from Barcelona (it prefers to stage manage its own product launches), its rivals were able to steal a march on its forthcoming iPad 3 by unwrapping the devices they hope will challenge it.

So-called "quad-core" processors that potentially double the speed of current mobiles were big news, with emerging Chinese player Huawei among those pushing new superfast devices.

Read more about trends at the Mobile World Congress

Quad-core is likely to be a major hit with the gaming industry, with phones and tablets able to support the graphics-intensive activities needed for high-end video software.

Not everyone was convinced with the merits of quad-core, however. A senior executive from Microsoft -- which used the event to unveil a preview of its long-awaited tablet-friendly Windows 8 operating system -- decried a quad-core "arms race" that rarely resulted in better performance.

There were also glimpses into a future in which so-called near-field communication technology will allow mobile phones to replace the cash in our pocket.

The role mobiles will play in interacting with our cars was also highlighted by Ford's unveiling of its new B-Max compact and RIM's BlackBerry-integrated Porsche 911. This also raised fresh questions about vehicle security and safety.

Read more about cars at risk from hackers

Exploration of the future of mobiles, in which our devices continue to look after our health but also snoop on our lifestyles, also stirred debate over the increasing hold they now have over us.

"With our increasing addiction to our mobile phones, we are in danger of creating a monster that we are less and less able to control," argued technology skeptic Andrew Keen.

Read more about Keen's fear of 'Frankenstein's mobiles'

But there's bad news for anyone thinking about ditching their phone down the toilet: waterproof mobiles are the next big thing.

@highlight

Supplying phones to emerging markets and connecting world's poor seen as important theme at mobile event

@highlight

Mega powerful camera phones, projector phones and super-fast processors among head-turning tech

@highlight

Mobile World Congress also raised debate over future roles mobiles will play in our lives