(CNN) -- For the last 20 years, what name is always in the top 100 most popular baby names given to boys in the United States? Jesus (pronounced hey-seus). And among 4,500 boys names in England in 2009, what was the No. 1 most popular baby name? Mohammed. In Brussels? Mohammed. Oslo? Mohammed. Amsterdam? Mohammed. And what do babies and their names have to do with the global economy? Everything.

The currency of the future is babies, because babies grow up to be taxpaying workers. Let's do Demography 101, which is basically the study of baby-making. Demographers have a fancy term called "total fertility rate," which measures the average number of babies a woman has over her childbearing years.

The magic number you need to remember is 2.1. This is the average number of babies a country needs to remain at equilibrium. It makes sense, too. When a mother and father die, they need to be replaced by two babies, or else the population declines. A rich powerful country needs lots of babies to project geopolitical power and increase its productivity. If you won't multiply, who will fight your wars? Who will pay Social Security to support grandpa? Who do you think will start the next Facebook, Amazon or Google?

The U.S. total fertility rate is at 2.09, and at that level we just replace our population. That's not good. But wait a minute, why do we keep growing? Simple: immigration.

Our favorable immigration policy and liberal treatment of the millions of people working without legal documents means our population will grow from 312 million today to 439 million in 2050. Hispanic babies, 83 million of them, will account for 65% of that growth.Â  This is where the total fertility rate comes into play again, 2.84 for Hispanics, but only 1.84 and trending much lower for non-Hispanic whites who will only add  4 million babies to the melting pot. Keep in mind that those Hispanic babies born here to Mitt Romney's "self-deportation" candidates are all red-blooded American citizens -- our future Navy SEALs, entrepreneurs, middle-class working Americans and maybe even a president.

Demography will shape the geopolitics of the two largest economies of the 21st century: the United States and the European Union. They will maintain their status as world powers principally through immigration.

U.S. politicians voted Thursday to possibly saddle our grandkids with $16.4 trillion in debt, but European politicians trying to fix their debt quagmire don't have grandkids to stick it to. Europe is dying as its nations run out of babies. Three-quarters of Europeans live in societies with fertility rates below 1.5. In the 14th century, the bubonic plague wiped out 75 million people; and in the 21st century, a larger number will be lost in Europe through demographic suicide.

Europe's demographic meltdown means it has to turn to immigrants for its workforce, and the vacuum is being filled by Muslims. From 1990 to 2010, the Muslim population of Europe grew from 30 million to 44 million. It will reach 58 million by 2030 and 10 European countries will be more than 10% Muslim.

While a spirit of integration and tolerance is central to the beliefs of the vast majority of Muslims, a radical, well-funded Islamist minority rejects tolerance, democracy and women's rights. This militant Islamist tumor has metastasized to intimidate, marginalize and silence moderate Muslims who share the values of a democratic culture.

Without baby Mohammeds, Europe will die. To survive, its leaders need to work with moderate Muslims to neutralize fundamentalist views and challenge anti-immigration voices. If Europe is unable to reform its immigration policies, then the geopolitical ramification is obvious: a neutered NATO alliance unable to project military and economic power.

The United States faces its own evolving relationship with immigrants, one that is defined by widely contrasting views as to how they should be integrated into society -- or not. Fears that immigrants will not assimilate are not new. We certainly have not lost our capacity to welcome and absorb newcomers, as America has since its birth. A recent survey by Public Agenda asked immigrants in America how long it took them to feel comfortable and part of the community. Seventy-seven percent said it took less than five years.

Hispanics are every bit as American as anyone else -- they are white, brown and black. They are self-reliant with strong family values and highly religious. For 92% of Hispanics, God is an active force in their daily lives: 66% are Catholic, 25% are Evangelical Christians and 1% are Jewish or other denominations. Hispanics are also very patriotic. More than 25% of the 58,195 names on the Vietnam War Memorial are Hispanic, and one of the first people to die in the Iraq War was Lance Cpl. Jose Gutierrez, who entered the United States illegally and was granted citizenship posthumously.

While Hispanic immigrants are accused of driving down wages, economic studies have found the opposite to be true. Conducting research on the effects of immigration on wages over the span of a decade for the National Bureau of Economic Research, Gianmarco Ottaviano, of the University of Bologna, and Giovanni Peri, of the University of California, Davis, found that nearly 90% of native born American workers actually enjoy higher wages because of immigration. They found that immigrants have a positive impact on the U.S. economy because they differ in their educational and skill levels from U.S. natives, and because more workers in the labor force increases productivity and stimulates the creation of businesses.

The sustainable competitive advantage of America over any other country is that we do immigration best. No one can touch our capacity to integrate and assimilate people from all cultures. It keeps us young, strong and dynamic.

The benefits of immigration are often taken for granted.Â  Immigrants work hard. They form strong families. They live longer. They set up businesses. They spend money and pay taxes. They take care of children so parents can work. And the number of immigrants on welfare is far lower than anti-immigration advocates would have us believe.

As the arrows fly about immigration reform, legislators and voters alike can either accept immigrants, of all faiths, as the incontrovertible engines for economic growth they are -- or we can fight the future and the facts and shoot ourselves in the foot instead.

Some choose to believe that we are being overrun by lazy immigrants that strain our welfare system. Yet every American should know by now that immigrants are the lifeblood of our future strength and economic power. And for that, we should thank a baby named Jesus.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Charles Garcia.

@highlight

Charles Garcia: Western nations need to grow in population to maintain power

@highlight

Garcia says more and more Muslims are in Europe and will fuel growth

@highlight

Garcia: In U.S., Hispanic and other immigrants are an economic growth engine

@highlight

Immigrants work hard, form strong families, pay taxes and are patriotic, he writes