(CNN) -- Thanks to several overreaching court cases, including the most well-known, the Supreme Court's disastrous Citizens United decision, the past five years have given us a whole new understanding of corporate power and its intersection with "dark money" political spending.

The price tag for elections continues to steadily rise. Candidates and outside groups are closing in on $1 billion spent in the 2014 federal election cycle, and even worse, according to the Center for Responsive Politics, undisclosed money has made up $50 million of that spending.

Luckily, the Securities and Exchange Commission could offer a way out of the darkness.

A much-needed rulemaking petition to the SEC that would require public corporations to disclose their political spending to shareholders is receiving historic support. The petition has received a historic number of public comments: over 1 million as of last week.

The SEC can and should act to protect investors and our democracy by creating this rule, which should be as comprehensive as possible, including direct campaign expenditures and gifts to conduit groups like the U.S. Chamber of Commerce that play in politics.

Hardly anyone need be told that the campaign finance landscape has changed dramatically in the past three elections. And a big part of that story is the corporate political spending that is laundered through dark money conduits, nonprofit organizations and trade associations repurposed into political spending juggernauts with the ability to keep their donors secret.

Corporations with an aversion to disclosure have found these organizations to be the perfect vehicle for influencing elections and avoiding the wrath of consumers.

Ciara Torres-Spelliscy, a law professor and expert in this type of spending, commented (PDF), "Corporate law is ill-prepared for this new age of corporate political spending by publicly traded companies. Today, corporate managers need not disclose to their investors -- individuals, mutual funds, or institutional investors such as government or union pension funds -- how funds from the corporate treasury are being spent, either before or after the fact."

And she's right. Although undisclosed corporate political spending has caused heartburn for transparency advocates and government watchdogs, another group of Americans has equal cause to fret: investors.

Investing in the United States has expanded by leaps and bounds over the past few decades; today, more than 50 million Americans participate in 401(k) retirement savings plans through their employers. The 401(k) system holds more than $2.8 trillion belonging to current employees and retirees, so when we talk about investors, we are actually talking about the public, not an elite class of shareholders.

Corporate political spending could jeopardize the retirement savings of millions of Americans. Gambling with a corporate brand through political spending is a high-stakes game for companies, for the people who depend on these companies to help them save, and the risks cannot be overstated.

For many middle-class Americans, the savings in their 401(k) plans are all they have to ensure a comfortable and secure retirement. These people cannot afford to lose their nest eggs because a company decided to gamble its name and their money on a controversial political cause.

In addition, when a CEO chooses to use corporate money to support causes or candidates, which may be antithetical to a given shareholder political views, in essence, he or she is substituting its judgment of what candidates an investing individual should support for that of their own.

Shareholders have a right to know whether the companies they invest in are playing politics with their money, and the pending SEC rule could put that much-needed information in their hands.

The SEC should immediately give priority to promulgating the rule requiring public corporations to disclose political spending. It can start by putting the petition back on the rulemaking agenda as well as by using its ongoing "disclosure review" process to recommend the rulemaking.

As we begin to crest the wave of the next tsunami of dark and outside money of the 2014 cycle, the need for this type of transparency is blatantly apparent.

This year, as we approach the five-year anniversary of the Citizens United decision, 1 million strong call on the SEC to act. Americans deserve to know who is bankrolling political advertisements, and shareholders need to know whether their investments are being wasted on politics rather than being spent on productive plans to build a better business.

Join us on Facebook.com/CNNOpinion.

@highlight

Lisa Gilbert: More than a million have commented on SEC regulation of political spending

@highlight

She says it's vital that corporations disclose political contributions they make

@highlight

Political donations can clash with stockholders' views and put brands at risk, she says

@highlight

Gilbert: SEC should give priority to issuing a rule that requires corporate disclosure