(CNN) -- The expulsion of an international medical NGO providing a vital lifeline to displaced Muslims in Myanmar's Rakhine state has raised fears other aid agencies could be next.

Advocates for the Rohingya Muslim minority -- tens of thousands of whom have been displaced by sectarian violence and are forced to live in sealed camps -- fear the move is part of a push by extremist Rakhine nationalists to cut off a lifeline to the persecuted ethnic group and help drive them from the state in western Myanmar.

"It is absolutely shocking, especially that the government seems to bow to the demands of protesters in the face of international human rights concerns," said Chris Lewa, founder of the Arakan Project, an NGO which advocates on the Rohingya issue.

"I'm really, really concerned, if the government is bowing to these extremists' requests, where it's going to go."

Medecins Sans Frontieres (Doctors Without Borders) was banned from operating in the volatile state last week, following protests by ethnic Rakhine nationalists against the organization and other international NGOs.

Myanmar's government said the organization had been banned for consistently showing bias towards the state's Muslim minority and breaching the terms of its agreement to operate in Rakhine, where it provided services to tens of thousands of patients.

Human Rights Watch slammed the move, with senior researcher David Mathieson describing the expulsion as "simply deplorable."

Lewa said MSF was the major NGO provider of healthcare in the state and its expulsion would "have devastating consequences on the Rohingya population," as well as impacting members of the Rakhine ethnic group which relied on its services.

"There is no other international NGO providing this kind of assistance," she said.

She feared other aid agencies could be next to be targeted. "The extremists have been protesting not only against MSF -- it has been against all international NGOs, the UN, even the ICRC," she said.

She feared that cutting off international aid to the Rohingya -- many of whom were prevented from working by travel restrictions that leave them stranded in vast camps -- was part of a push by Rakhine extremists to hound them from the state.

"The most worrying thing is where is it going to stop."

READ MORE: Medecins Sans Frontieres banned in Rakhine state for alleged "Rohingya bias"

The Rohingya are a stateless Muslim minority in Rakhine state, thought to number between 800,000 and one million. Myanmar does not recognize them as citizens or one of the country's 135 recognized ethnic groups.

Much of this is rooted in their heritage in East Bengal, now called Bangladesh. Though many Rohingya have only known life in Myanmar, they are widely viewed as intruders from across the border.

According to Human Rights Watch, laws discriminate against the Rohingya, infringing on their freedom of movement, education, and employment. They are denied land and property rights and ownership, and land on which they live can be taken away at any given time.

Public sentiment against aid workers rose in the impoverished state in the second half of last year, according to the U.N.'s Office for the Coordination of Humanitarian Affairs.

Last week, aid agency Mercy Malaysia withdrew staff from Rakhine due to the heightened tensions, in a move it said was temporary.

MSF has not commented on latest developments, other than to say it was "deeply shocked" and that its services were provided according to medical need only.

READ MORE: Rights group alleges "ethnic cleansing" in Myanmar

But in an editorial submitted to regional newspapers last year, the organization's Myanmar operational manager Lauren Cooney addressed the accusations of bias that had been directed at the organization in the wake of two incidents of violence on November 2 that resulted in four deaths.

MSF medical teams had transferred three injured Muslims to hospital after being notified by leaders of a displaced persons' camp, she wrote. The organization subsequently learned that injured Rakhine Buddhists had been ferried to hospital in a boat organized by their community. MSF staff would have assisted the injured Buddhists had they been notified, she wrote.

Lewa said MSF's recent public comment on an alleged massacre at Du Chee Yar Tan village near the township of Maungdaw in January had exacerbated ill-feeling toward the group.

The U.N. says at least 40 Rohingya men, women and children were killed by security forces and ethnic Rakhine assailants, but the government strongly denies the account. MSF drew criticism after it publicly stated it had treated 22 people in the area for weapon wounds after the alleged killing spree, with Myanmar's presidential spokesman Ye Htut previously telling CNN the comments had been the "final straw" for the Rakhine state government when it came to the NGO.

"The state government and local people think the MSF is intentionally creating tension in the community by spreading baseless information like this," he said, adding that he believed the government would be able to replace MSF's services itself.

Htut did not respond to requests for comment Tuesday.

@highlight

There are fears NGOs could be expelled from Myanmar's volatile Rakhine state

@highlight

Medecins Sans Frontieres was banned following protests by extremist Rakhine nationalists

@highlight

The government backs their allegations that the NGO favors Rohingya Muslims

@highlight

Advocates for the persecuted Rohingya fear the move is part of a push to drive them out