(CNN) -- The Epsom Derby is the most famous horse race in Britain -- and, arguably, the world.

Dating back to 1780, it has spawned many imitations -- 140 countries now have a "Derby," perhaps most notably in the U.S. state of Kentucky. Indeed, the word "derby" is now generally used to describe any race for three-year-olds.

"To me it's the most significant race in the world," says trainer Andrew Balding, whose Kingsclere stables have yards named after great Epsom Derby winners of the past, such as Ormonde and Flying Fox.

"There are more valuable races, but you can't buy 200 years of history. It is a very special event for anyone who is British. It's still very much the race that everyone wants to win."

The Epsom Derby counts the Queen of England as one of its biggest fans. She has attended all but two Derbies during her reign and will be there on June 2 as she kicks off her weekend of Jubilee celebrations with a visit to Epsom Downs.

The race is named after its founder, the 12th Earl of Derby who, along with his friend Sir Charles Bunbury, conceived the idea of a race to establish which horse was the best of his or her generation.

Today it draws crowds of up to 200,000 people, attracted by the sight of the best three-year-olds from England -- and ever further afield -- competing for a purse of more than $2 million.

Ormonde won the race in 1886, while fellow English Triple Crown champion Flying Fox -- also stabled at Kingsclere -- did so in 1899.

But there's one name that means more to the folk at Balding's Kingsclere headquarters than any other -- Mill Reef. Trained by Balding's father Ian, Mill Reef was considered by many to be the greatest racehorse of his day.

He easily won the 1971 Derby by two lengths from Linden Tree before going on to capture the Prix de l'Arc de Triomphe in Paris later that year. He doesn't just have a yard named after him, he has his own statue.

Now, 41 years after Mill Reef's victory, Balding believes he has a colt capable of emulating the feats of one of the greatest racehorses of the last century -- a sleek dark bay by the name of Bonfire.

The horse booked his place in Saturday's race thanks to a sparkling performance in the Dante Stakes at York in May. But Balding concedes that his spirited personality makes getting the best from the colt something of a challenge.

"He is very talented but he is quite a character -- not the most straightforward to train!"

As such he has been only lightly raced, and will go into Epsom with just three starts under his belt.

"It's not ideal," concedes Balding. "At least he's got Group 1 experience (the sport's top level of competition) from last year, so we know he is the caliber of horse that should be running in the Derby."

Balding took over the reins of the racing operation from his father in 2003 and tasted immediate success when his filly Casual Look captured the Epsom Oaks -- the fillies' equivalent of the Derby -- in June of that year.

Ian remains a familiar presence on the yard, riding out every day on his retired racehorse, Pinch of Salt.

He is an avuncular figure to many of the young exercise riders, although where training matters are concerned he is happy to defer to his son these days.

The legacy of Mill Reef is harder to shake off. His statue takes pride of place at Kingsclere, an imperious presence watching over his young pretenders as the mist rolls in from the South Downs.

Bred in the United States, the half-cousin to the great Secretariat was sent to the United Kingdom as a yearling as it was thought that his action was better suited to the turf tracks of Europe than the dirt courses of his native continent.

It was a gamble that paid off. In 14 starts, he failed to win just twice, most memorably in the 2,000 Guineas -- the first of the English "Classics" -- when he was beaten by Brigadier General, who would go on to prove himself one of the greatest milers of all time.

But it was his performance in the Epsom Derby that year that earned Mill Reef his place in the pantheon of greats: cruising around Tattenham Corner in fourth place, any doubts over his ability to handle the mile-and-a-half distance were dispelled as soon he passed the two-furlong pole. From that point on the result was never in doubt.

But if it was his exploits in the Derby that brought him to the attention of those outside the racing world, it was what happened to him next that cemented his position in the public's affection.

It was during a routine training gallop that the colt stumbled and shattered his leg, bringing his racing career to a grotesque and bitter end.

An injury such as Mill Reef's is almost always fatal. But rather than euthanize the colt, a veterinary specialist was flown in to operate.

During the course of the six-hour operation, a metal plate and three screws were inserted into the damaged leg. He would never race again, but his life had been saved.

If Bonfire is to emulate his illustrious predecessor, he will have to get past a strong field including Aiden O'Brien's unbeaten colt Camelot, who goes into the Derby having already captured the Guineas. O'Brien's second and third strings, Astrology and Imperial Monarch, have both impressed on recent outings.

In any other year, Bonfire would probably be considered the favorite to land England's premier Classic, but Camelot holds that position with the British bookmakers.

Bonfire will be partnered in the Derby, as usual, by Jimmy Fortune, who will be hoping for better luck in running than their last outing at Group 1 level, when he finished third behind French Fifteen.

Fortune is adept at managing Bonfire's quirks but he'll need all his experience to cope with the famously fast Epsom course (the track rises 150 feet in the first half-mile, leveling out before a downhill stretch round Tattenham Corner).

"My father managed to win the Derby with a great horse, who was one of the most famous horses of the last century," says Balding. "It would be lovely to do it again."

The stone masons of Kingsclere had better be prepared to work overtime after Derby Day, because there might just be a yard with Bonfire's name on it.

@highlight

Andrew Balding hoping to emulate his father Ian by training an Epsom Derby winner

@highlight

The racehorse trainer is hoping that stud by the name of Bonfire will win famous UK race

@highlight

Ian Balding enjoyed success in the 1971 derby with his horse Mill Reef

@highlight

Queen will attend Derby on June 2 as part of her Diamond Jubilee celebrations