(CNN) -- Prague has not been nicknamed "Zlata Praha" or "Golden Prague" for no good reason. The well-deserved eponym is a tribute to this city that mixes architecture, history, art and beauty like no other.

While not forgetting its more somber communist past, Prague has been one of the first East European cities to get a luxurious makeover. Designer shopping malls, exclusive restaurants and trendy nightclubs abound.

But it is the mystical atmosphere of a Prague of past eras that leaves many visitors craving to come back. Largely untouched by the ravages of WWII, Prague is arguably the only European city with so many century-old buildings left intact for people to enjoy.

All more impressive than the others, these are the historical sites you should not miss in Prague.

Wenceslas Square: In 1348, King Charles IV of Bohemia (now the Czech Republic) founded the town of Prague. The King built several open areas for markets, including Wenceslas Square, previously known as the Horse Market.

Named after Saint Wenceslas, the patron saint of the Czech state, the square is the largest in the city and was at the center of much of Prague's history, including the Nazi occupation, the Soviet invasion, and the Velvet Revolution.

In 1969, Prague student Jan Palach set himself on fire in Wenceslas Square to protest the Soviet invasion of Czechoslovakia. And in 1989, during the Velvet Revolution that overthrew the Communist regime, hundreds of thousands of demonstrators gathered here to protest.

Today the square has become one of the trendiest and busiest in the country. Lining Wenceslas Square are fashion stores, cafes, bars and kiosks. Above the square is Prague's Museum of Natural History, which was shot at by Communist troops when they mistook it for the Parliament building.

Prague Castle: Kings, Roman Emperors and Presidents have lived in this legendary castle that overlooks the city. The castle is the largest medieval castle complex in Europe and arguable Prague's prime tourist attraction. First built in the 9th century, Prague Castle has survived wars, fires and opposing political powers.

The castle complex consists of the Saint Virtus Cathedral, viewing towers, a monastery, museums and art galleries. The Czech crown jewels are also held here.

After Czechoslovakia split into the Czech Republic and Slovakia in 1993, the castle became the seat of the President of the new Czech Republic.

Charles Bridge: This magnificent 14th century gothic bridge over Prague's Vltava river is lined with a series of large stone statues that represent important religious figures and icons.

Its construction started in 1357 under King Charles IV and finished in the beginning of the 15th century. Until the 19th century, the bridge was the only way to cross between the Old Town and adjacent areas, also known as the "Lesser Town."

During the day, thousands of people traverse the bridge to watch the views of the city and enjoy the numerous street performers.

Dancing House: A masterpiece of modern architecture, Dancing House was named after dancing duo Fred Astaire and Ginger Rogers. Dancing House is also sometimes nicknamed "Drunk House" for its wavy curves.

The building was constructed between 1992 and 1996 by Czech architect Vlado Milunc and world-renowned Canadian architect Frank Gehry. The top floor houses one of the city's most exclusive restaurants, Celeste.

Old Town Square: Located in the heart of the Old Town, this square included Prague's gothic Church of Our Lady before Tyn, the main church of this part of the city since the 14th century. The church's towers are 80 meters high and topped by small golden spires.

Another fixture of the Old Town Square is the baroque-style St. Nicholas Church.

In the center of the square is a large statue of Jan Hus, a Catholic priest who was burned at the stake by the Roman Catholic Church for heresy in 1415.

But the most popular attraction for visitors of the square is the famous Astronomical Clock.

Astronomical Clock: Built in 1410, the Astronomical Clock still functions and provides accurate data on a number of astrological events, such as the relative positions of the sun, moon and major planets.

Each hour, the clock bells and a series of moving wooden puppets come out. Below the Astronomical Clock are 12 medallions with the signs of the zodiac, added by painter Josef Manes in 1865.

Prague Cathedral: Saint Vitus's Cathedral is another one of Prague's Gothic masterpieces. The Cathedral, set in the walls of the Prague Castle, was commissioned by King Charles IV and work on it began in 1344. It took nearly six centuries to complete.

Today it is the seat of the Archbishop of Prague and contains the tombs of many of the Bohemian Kings. The interior features stained-glass windows from different eras.

One of the cathedral's chambers was used to crown several Kings and it is said the room can only be opened with seven golden keys given to different members of parliament.

Vyshehrad: The old fortress of Vyshehrad and its surrounding parks is the place where the city of Prague was originally founded and around which the city was built. It is a great place to get a sense of the history of the city.

Its thick walls house the National Cemetery, where many of Prague's most illustrious citizens are buried, including Czech composer Antonín Leopold Dvorak and writer Karel Capek.

@highlight

"Golden City" is a well-deserved eponym for a city that mixes history and beauty like no other

@highlight

Largely untouched by WWII, Prague's many century-old buildings have been left intact

@highlight

CNN takes you through the top historical sights not to be missed in Prague