(CNN) -- For goodness' sake, it's just like the Ford commercials. You know the ones, where they joke that "and" is better than "or," whether it's sweet and sour chicken or a bed and breakfast inn.

Same thing with working mothers. I am not a worker or a mother. I am both: a worker and a mother. This consistent, aggressive infighting about leaning in vs. leaning out -- reignited by the New York Times story this week, "Coveting Not a Corner Office, But Time At Home" -- is just more fodder for woman-on-woman mudslinging. And it doesn't help anyone, least of all our kids, who are as a result groomed to think you can't be all you want to be.

Social media and listservs of professional women have been back and forth commenting on this seemingly neverending fight, fueled in part by media coverage and by the persistent attacks and retreats of women sniping at other women -- on both sides.

It is belittling to assert that women can handle only one role at a time. And that one role is better than the other. No one is insisting a father has to choose between his work and his children in order to be a good dad. So why can a woman perform just one role at a time?

This latest New York Times feature misses a key possibility: that it is entirely possible to be an ambitious good mother. The births of my three sons (now 24, 22 and 19) did not hormonally erase my desire to accomplish as much as possible professionally.

The work that I love -- teaching journalism at Northwestern University, writing books and articles, giving keynotes and leading professional workshops -- has not hindered my ability to attend every parent-teacher conference or scream their names from the stands for the past 20 years.

But from this latest piece of work, you can gather it is not possible as a working parent to walk and chew gum at the same time. I recoil at the way working parents are characterized in this passage: "I never miss a baseball game," said Ms. Uttech, uttering a statement that is a fantasy for millions of working mothers (and fathers) nationwide. (This attendance record is even more impressive when you realize that her children play in upward of six a week.)

Yes, Sara Uttech, you did your fair share. But I want to point out to the writer that like so many women, I went to way more than six games, matches, tournaments or conferences a week for three sons who played baseball, basketball, soccer and football before each finally settled into wrestling. There were weeks with nine to 15 games and practices for three boys.

On the extremely rare occasion I missed? It was because one son was in a game or match at the same time as another. There were plenty of Saturdays where I drove from one gym to another across the suburbs of Chicago, logging more than 100 miles. And on Monday, I went to work.

A whole lot of us do. According to a recent study from Pew Research, 40% of all households with children younger than 18 include women who are either the sole or primary breadwinners. Most of us -- 63% -- are single mothers.

What working women and stay-at-home mothers do not do is stop thinking of this as black/white either/or territory.

Millions of us waste time believing the grass is greener on the other side.

Even fashion designer Victoria Beckham, 39, feels that she may be missing out, and she comes home to David Beckham. She told US Weekly this week, "It's a huge juggling act, when you are a working mother and looking after your family. Millions and millions of women around the world are doing this every day, but it's not easy and yes, you feel guilty every time you walk out of the door to go to work."

As a single parent who is sole support and has been for many years, I have needed to work as hard as I possibly can, saying yes to every invitation to consult, speak, write or work in order to pay the mortgage, food, tuition, room and board and all else for three sons. I decided that it would be optimal to do work I love because there is no choice to opt out.

For me, it works. I am not superwoman, and I am not hissing at the neighbors who stay home with their children as I pull out of the garage at 7 a.m. I am not perfect; I do not do everything perfectly. I just really enjoy my life as a mother who is professionally ambitious, too. And I do not believe my children have suffered because of it.

Liz O'Donnell, who recently completed the upcoming book "Mogul, Mom & Maid: The Balancing Act of The Modern Woman," says her research shows that women do not want an either/or life.

"I've talked to scores of women who are trying to balance career and family. These women want fulfilling careers, and they are willing to do the hard work. But they are not willing to sacrifice their families, nor should they have to," O'Donnell said.

But the issue is not entirely decided by mothers but by their employers.

In her New York Times story, Catherine Rampell writes in defense of the story's main character's decision to scale back at work: "Ms. Uttech wants a rewarding career, but more than that she wants a flexible one. That ranking of priorities is not necessarily the one underlying best-selling books like Sheryl Sandberg's 'Lean In,' which advises women to seek out leadership positions, throw themselves at their careers, find a partner who helps with child care and supports their ambition, and negotiate for raises and promotions."

O'Donnell, a public relations executive, founder of the blog Hello, Ladies and mother of two, disagrees. "Framing the issue as leaning in vs. leaning out isn't accurate," she said. "For a variety of reasons, from overt and subtle gender discrimination at work, inflexible workplace policies, lack of support at home, outdated school schedules that don't mesh with corporate hours, women are rejecting the corner office and businesses should take heed."

As women, we do not hesitate to claim that we can be wives, mothers, sisters, daughters and friends at the same time. Why can we not be successful in our professions and parents at the same time without someone insisting it can't be done? Why can't we be good mothers and good employees?

I say it is about "and," not "or."

The opinions expressed in this commentary are solely those of Michele Weldon.

@highlight

Michele Weldon writes that women sniping about whether to "Lean In" doesn't help

@highlight

A recent New York Times story encourages more infighting among women, she says

@highlight

Weldon: "It is belittling to assert that women can only handle one role at a time"