(CNN) -- A newly discovered account of the shooting of Abraham Lincoln, and his death the next morning, gives a vivid and moving picture of the calamity.

Dr. Charles Leale was in the audience at Ford's Theater when Lincoln was shot, and was the first to attempt to treat the stricken president.

In a report believed written the next day, April 15, 1865, Leale writes, "the report of a pistol was distinctly heard and about a minute after a man of low stature with black hair and eyes was seen leaping to the stage beneath, holding in his hand a drawn dagger." Stumbling as he leaped from the president's box, the man "ran to the opposite side of the stage, flourishing in his hand a drawn dagger and disappearing behind the scene."

Leale ran to the president's box, about 40 feet from where he'd been sitting, where he encountered Mary Lincoln. She said, " 'O Doctor, do what you can for him! Do what you can!' I told her we would do all that we possibly could," Leale writes.

Then he saw the president. "He was in a state of general paralysis, his eyes were closed and he was in a profoundly comatose condition."

Leale was just 23, and had only barely begun practicing medicine after his service in the Civil War. He describes how he tried to treat the injury, beginning with asking another man to cut off Lincoln's coat and shirt to find any stab wounds.

Leale first believed Lincoln had been stabbed, because of that sighting of John Wilkes Booth wielding a knife. But soon Leale realized the president's injury was a gunshot in the back of his head.

Leale writes that he "passed the little finger of my left hand through the perfectly smooth opening made by the ball, and found that it had entered the encephalon. As soon as I removed my finger a slight oozing of blood followed and his breathing became more regular." Lincoln is then given some brandy, and two more doctors arrive.

The report was found by Helena Iles Papaioannou, a researcher for the Papers of Abraham Lincoln, at the National Archives in Washington. She discovered it among the papers of the U.S. surgeon general. Her group's mission is to collect all documents "to and from Abraham Lincoln," she said, and she came upon a copy of Leale's report by accident on May 21. The report is not in Leale's own hand, but is a "true copy" written by a clerk.

"Its immediacy makes it so very moving," said Papaioannou. "But it's also so very clinical, and you realize how awful it was -- the injury that Lincoln sustained was just horrific."

Read the full document

Standing outside Ford's Theater in downtown Washington, Papaioannou explained it was too far to take Lincoln to the White House, so the doctors took him to a house across the street. "You can see how narrow the street is," she said, pointing from Ford's Theater across to the historic Peterson House, where tourists were taking guided tours of the site. "Even that little journey was traumatic."

There is no indication that Leale and the other doctors had any way to save Lincoln.

"You get a sense of helplessness," said Papaioannou. "I think it was fairly immediate that he realized that the president wasn't going to recover." Papaioannou said that, to her, the most moving part of Leale's report is his account of covering Lincoln shortly after the president was carried to a back bedroom of the Peterson House.

"He talks about how the president's legs -- his lower extremities, from the knees down -- were cold, and they brought him hot water bottles and hot blankets. I find that a very touching part of the report."

The document also describes in clinical terms the president's deterioration that night. Near the end of the report it states: "At 7:20 a.m. he breathed his last and 'the spirit fled to God who gave it.' "

The very last line of the report seems to relay how absorbed Leale became in the gravity of the moment. "Immediately after death had taken place, we all bowed and the Rev. Dr. Gurley supplicated to God in behalf of the bereaved family and our afflicted country."

Papaioannou talks about the moment she discovered this document. "I took it out of the box, and started reading through it -- reading parts out to my colleagues who sat at the same table as me. ... We realized we had something special on our hands."

John Elliff, with the Lincoln Group of the District of Columbia, said the newly discovered report largely corroborates the account that Leale eventually published over 40 years later, in 1909.

While it adds only a few details to known accounts of Lincoln's final hours, Elliff said, "this report has more exact times and pulse rate measurements through the night -- an intriguing new detail for historians."

Agreeing with the researchers who found it, Elliff said that the document has a compelling immediacy, and is unclouded by the passage of time.

"The original report does get you right close to the event -- knowing that the doctor leaves the bedside and writes it within the day," he said.

@highlight

Newly discovered document adds historical detail to what is known about Lincoln's death

@highlight

Report believed to have been written the day after assassination

@highlight

Report has more exact times and pulse rate measurements, says expert