(CNN) -- Trees once looked like green panels for Bruce Bridgeman. He'd have to move his head to gauge the relative closeness of objects.

For most of his life, he had poor depth perception. His eyes pointed outward and did not allow him to see, in stereo, a single image with both eyes.

But in February 2012, something changed when he went to a movie theater with his wife. He put on a pair of 3-D glasses to watch the film "Hugo" and, to his amazement, the characters and scenery in this film jumped out at him in greater stereo vision than he had experienced before.

What's more, after returning the glasses and leaving the theater, Bridgeman's perception of the real world was enhanced as well. A lamppost jumped out from the background, and the trees, cars and people looked somehow more vivid. This was the world with depth. Bridgeman was "euphoric."

"Suddenly, things began to jump out at me," said Bridgeman, a professor of psychology at the University of California, Santa Cruz.

The effect has stuck around since he saw the movie 16 months ago.

It's impossible to prove scientifically that the film itself altered his visual system, but his hope is that his story could help others with similar eye conditions who struggle through months of training to attempt to see more vividly.

Other experts say the vivid 3-D movie could have indeed jolted Bridgeman's visual system in this way, but that it wouldn't work as a quick fix for most people with eye alignment problems. It's possible with Bridgeman's unique set of circumstances, it was exactly what he needed, but it would probably help few people.

"Certainly immersion in a 3-D movie could, if somebody had a marginal vision system, could absolutely improve it," said Paul Harris, associate professor at the Southern College of Optometry in Memphis, Tennessee, who has not evaluated Bridgeman. But, he adds, "I wouldn't prescribe (a movie)."

A flat world

For Bridgeman, the world used to be a much flatter place -- like a two-dimensional movie on a flat screen, he said. He often looked through only one eye or the other.

He used other cues to help him figure out relative distances. For instance, parallax is a phenomenon in which, when you move your head, objects that are closer appear to move faster than objects that are farther away. Objects also generally appear smaller when they are farther away.

"You still see the world as kind of, in theory, three-dimensional, but the experience is more flat," he said. "I didn't realize that until I began to see in proper stereo."

Bridgeman recalls having his eyes examined at age 8 at a hospital in Philadelphia. Doctors recommended against surgery, although he doubts his family could have afforded it anyway.

Because his eyes aren't completely well aligned, there's a small eye movement that occurs when he shifts from looking through one eye to the other.

"That had always been a social disadvantage, because people were never quite sure what I was looking at," he said.

He remembers in junior high school, his social studies teacher scolded him for giving him what the teacher thought was a disrespectful look. Bridgeman had no idea what he was talking about and denied it, but still remembers this experience with anger and regret.

In his early 20s, when he drove, he noticed that he couldn't read signs on freeways until he had passed the exits. He went to a clinic where he found out he had myopia and other deviations of the eye.

In 1983, at the University of California, Berkeley, he collaborated with two colleagues on a study of his own vision.

Through such testing, it was obvious that his stereo vision wasn't great, and that he had exotropic vision, meaning his eyes pointed in different directions. But he didn't know what perceptual difference it would make to view the world more in stereo, until he saw "Hugo."

Now, objects that appeared to be on top of each other seem more separate, and 2-D movies are recognizably flat -- before, they were perhaps "just as real as the real world," he said.

Stereo Sue

It is estimated that between 3% and 5% of people are stereo-blind or have large deficits in stereo vision.

Bridgeman's case reminds experts of Susan Barry, neurobiologist at Mount Holyoke College in Massachusetts, who wrote a book called "Fixing My Gaze: A Scientist's Journey Into Seeing in Three Dimensions" about how she gained stereo vision. Neurologist Oliver Sacks wrote about her as "Stereo Sue" in a 2006 article in the New Yorker.

Barry was cross-eyed from the first few months of life, and never learned how to point her eyes in the same direction, until she used a set of procedures to reposition her eyes over a period of a year. She believes this tapped into the circuitry in her brain specialized for binocular vision that hadn't been active before.

"People like me or like Bruce who are cross-eyed, have strabismus, probably have the capacity to see in stereo if you can change your visual habits so as to point the two eyes at the same place at the same time, and bring in correlated input into the brain," said Barry, who has corresponded with Bridgeman but not studied him directly.

Several scientific studies have shown that, with training, people can recover stereo vision even if they've never had it, said Suzanne McKee, senior scientist at the The Smith-Kettlewell Eye Research Institute in San Francisco.

This is a recent shift in thinking. For decades, scientists believed that stereo vision could not be recovered, once lost.

"It turns out that, in fact, with a lot of practice, like many other things you can recover capabilities, which is exciting," McKee said.

Similarly, scientists once thought that there was a "critical period" of the first few years of life, during which one would either be able to see in three dimensions or not. Barry was 48 when she started to perceive three dimensions, and at first kept her awareness secret from other scientists out of concern that "they would think I'm hysterical."

So what about that movie?

In his academic life, Bridgeman's specialty is -- guess what! -- the visual system. He's working on such projects as eliminating sickness in driving simulators and exploring illusions such as why people overestimate the slopes of hills.

After viewing "Hugo," Bridgeman read up on research on the neuroscience of vision to come up with a possible explanation of what happened.

David H. Hubel and Torsten N. Wiesel, who shared the 1981 Nobel Prize in Physiology or Medicine, had done research on kittens that gave Bridgeman ideas about what could be going on in his own brain.

The researchers studied the eyes and visual systems of young cats with misaligned eyes, showing that most cells in the brain's visual cortex would be activated by one eye or the other. But a small group of these cells also responded to both eyes. Bridgeman's hypothesis is that the analogous cells in himself got awakened during the movie, becoming newly connected to allow stereoscopic vision.

"It was sort of serendipitous that I had spent my lifetime studying vision, and then this experience happened, so I could talk about it and maybe understand it in ways that most people wouldn't be able to," he said.

The act of watching a movie isn't going to fix someone who has an eye turned abnormally, but if someone was already at the cusp of this happening, it's possible, Harris said.

In Harris' practice, patients with intermittent exotropia -- eyes that point outward much of the time -- typically go through a six-month process of training, involving exercises to help them focus both eyes together.

Harris has seen patients have overpowering emotional experiences after therapy sessions, saying, "it's the first time I've seen the space between things."

It makes sense to Harris that a 3-D movie could have had this effect on Bridgeman. Ordinary movies do not reward the brain for bringing an outward-deviating eye in, but a 3-D movie does.

"The moment he brought his eye in subconsciously, he was like, 'Oh wow, this looks cool,' and then probably maintained the effort," Harris said.

The movie probably had the effect of training not the muscles of Bridgeman's eyes per se, Harris said, but rather "the software he used in terms of how he looked at the world."

Researchers have suggested that creating video games with three-dimensional information could be used to help children and adults with eye misalignment problems achieve improved stereo vision, McKee said.

Looking for more insights

Bridgeman's vision still isn't perfect. A few months after viewing "Hugo," he went to an optometrist in Santa Cruz who administered a test for stereo threshold, the same one Bridgeman had taken at Berkeley in the 1980s. The test showed his stereo vision had improved dramatically since his earlier test, but still wasn't within normal range.

There still remain many unanswered questions. Just how common is it for an adult to acquire stereo vision? Which specific visual anomalies might respond best to watching a 3-D movie? Bridgeman wants to know.

He's in touch with Dennis Levi at the University of California, Berkeley, who led a study of five adults who went from being stereo-blind to seeing depth again through training.

Since a BBC article appeared about Bridgeman last year, he's gotten numerous e-mails from others with stereo vision problems. One man told him he had an experience similar to Bridgeman's.

"When it happens, it's very sudden and pleasant, to see things in 3-D that have been flat for all your life," Bridgeman said.

Follow Elizabeth Landau on Twitter at @lizlandau and on Google+.

@highlight

Bruce Bridgeman says he saw greater depth after watching the film "Hugo" last year

@highlight

He has a condition in which his eyes point outward

@highlight

The enhanced visual experience has continued since then