(Parenting.com) -- Revising its policy on circumcision for the first time in 13 years, the American Academy of Pediatrics now says that the preventative health benefits of infant circumcision clearly outweigh the risks.

The AAP is also emphasizing that the procedure should be covered by third party payers, including Medicaid, so more families have access to it. However, the organization stopped short of recommending circumcision routinely for all infant boys, saying it's still up to parents to weigh the health, cultural, and religious implications to make the best decision for their child.

Circumcision is the surgical removal of the foreskin, a small flap of skin that covers the tip of the penis, generally performed in the days after birth. Many Jews and Muslims circumcise their sons because of their religious beliefs. Other parents choose to snip for hygiene reasons, believing it's easier to keep a circumcised penis clean, or cosmetic ones, wanting junior to "look like dad."

The AAP's previous policy statement, published in 1999 and affirmed in 2005, took a more neutral stance on circumcision, noting "potential medical benefits," but saying it's "not essential to the child's current well-being."

However, an AAP task force formed in 2007 examined scientific studies conducted between 1995 through 2010 to evaluate if a revision was needed. The new, stronger language is a result of emerging evidence that found links between circumcision and decreased risk of urinary tract infections, some kinds of cancer, HPV, HIV, and other sexually transmitted diseases.

Parenting.com: Why one mom decided to circumcise

"The evidence was becoming clearer, and it's now obvious there's a preventative effect," says Dr. Michael Brady, chairman of the department of pediatrics at Nationwide Children's Hospital in Columbus, Ohio, and a member of the AAP task force.

The circumcision controversy

Once routine, circumcision rates have been declining since the 1980s. The Centers for Disease Control and Prevention estimate that a little more than half of all infant males are circumcised now, although that figure is likely low since it only counts in-hospital circumcisions.

Globally, about 30% of men are circumcised, although rates range drastically from country to country.

Passionate opponents of circumcision, who sometimes describe themselves as "intactivists," call the procedure barbaric and liken it to female genital cutting. The internet, and its increasing use as a resource for medical decisions, has helped anti-circumcision groups get their message out.

"We believe that circumcision of children violates numerous legal rights of the child and is highly unethical, if not unlawful," said a public notice posted by Doctors Opposing Circumcision in anticipation of the AAP's announcement.

Some groups have even tried to make the practice illegal. Activists in San Francisco proposed a measure to ban circumcision, but it was struck down by California Governor Jerry Brown. Courts in Germany recently called circumcision "grievous bodily harm," and ruled that the "fundamental right of the child to bodily integrity outweighed the fundamental rights of the parents."

Because circumcision is such a sensitive issue, moral or religious concerns might be more important than medical studies to many parents. "It's a reduction of risk, not an elimination," says Brady. "We recognize some people have very strong personal feelings about this issue, and those should be used in any decision-making."

What the research revealed

Many studies on the benefits of circumcision have been performed in Africa, where, because of the prevalence of HIV and other STDs, the effect can be seen more quickly. The task force found evidence that circumcision has a preventative effect on:

HIV: Studies in Africa and a CDC math model study found that circumcision reduces HIV infection among heterosexual men.

Parenting.com: Dad decides not to circumcise his sons

HPV: Another African study found that circumcision reduces the spread of human papillomavirus, some strains of which can cause cervical cancer in women.

Other sexually transmitted diseases: A variety of studies suggest that circumcision is linked with decreased risk of contracting syphilis and genital herpes.

Urinary Tract Infections: Although still uncommon for boys, UTIs are more common among uncircumcised males in the first year of life. Treatment at this age can be painful and require hospitalization.

Penile cancer: An association was found between circumcision and decreased risk of this rare type of cancer.

Prostate cancer: A new study suggests that circumcision could be tied to a slightly lower rate of prostate cancer.
While critics say circumcision decreases sexual pleasure, there are currently no scientific studies to support this claim. In fact, study participants in Africa who had been circumcised as adults reported either no effect or increased pleasure.

Insurance implications

One major impetus for new policy, according to Brady, was to send a message to state lawmakers that circumcision should be an option for all families. Currently, Medicaid programs in 18 states in the U.S. do not provide coverage for routine circumcision of infant boys, and so "families who could not afford it were having the decision made for them," says Brady.

In fact, over time, a higher circumcision rate might actually save money. A new study from researchers at Johns Hopkins found that not circumcising would result in an average of $313 per person in related health costs over a lifetime -- an extra $2 billion at current circumcision rates. However, opponents of circumcision may take issue with taxpayer dollars being used to pay for a procedure they find immoral.

Despite the AAP's recommendation, universal coverage is unlikely to be a reality any time soon, as states look for ways to cut back.

"I'm concerned 2012 is not the best environment for getting state lawmakers add additional health care costs to Medicaid," says Brady.

Parenting.com: Our complete guide to circumcision

What to ask your doctor

For many new parents, this is the first medical decision they are making for their child, and it's a tough one. The new policy states that parents should get clear, unbiased information from their OB/GYN or pediatrician during pregnancy, which is when the decision on whether to circumcise is usually made.

Brady suggests discussing with your doctor the health benefits and risks, and doing your homework to make sure that if you're considering circumcision, whoever is performing it has been properly trained. It should be performed in a sterile environment with analgesia for pain relief. Parents should be clear on how to care for their newborn's penis, cut or uncut.

Then, after talking to your doctor, it's up to you.

"Parents need to make the decision they feel is the best for their child," says Brady. "We don't want to put anyone in a position where they are being told what they have to do."

The new policy statement will be published in the September issue of Pediatrics. It is also endorsed by the American College of Obstetricians and Gynecologists.

This article was originally published on Parenting.com:

AAP: Health benefits of circumcision outweigh the risks

Get 2 FREE YEARS of Parenting magazine - Subscribe Now!!

Copyright 2011 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

American Academy of Pediatrics says circumcision should be covered by insurance

@highlight

Many parents choose the procedure for religious, hygiene or cosmetic reasons

@highlight

AAP's previous policy took a more neutral stance on circumcision