(CNN) -- It's a good bet that right now, someone somewhere in Washington has come up with a plan to decapitate the Islamic State of Iraq and Syria (ISIS) by assassinating its boss, Abu Bakr al-Baghdadi, and moving down through his lieutenants.

Argued in hushed tones over a polished conference table, I have no doubt this sounds like a no-lose proposition (and certainly a better alternative to invading Iraq and Syria). But if ISIS is in essence al Qaeda 2.0, then it is hard not to see the assassination of Osama bin Laden as having had very mixed results -- and as holding some important lessons for U.S. policy makers.

The fact is that assassinations are, at best, tricky -- the cure can be worse than the disease. And a cure is almost certain to fail when you have absolutely no idea what the disease is that you're treating.

It may comfort us to dismiss ISIS as a group of bloodthirsty terrorists doomed to collapse under their own psychosis and violence. But while ISIS does of course employ terror as a tactic, getting hung up on the word "terror" causes us to miss a more critical truth: that ISIS is a straight-line manifestation of an aggrieved religious sect -- orthodox Sunni Islam. And it's becoming more apparent by the day that a lot of Sunni Muslims believe they're on the losing end of history, and that if they don't hit back, things will get a lot worse.

Indeed, Sunnis, despite making up the large majority of Muslims globally, haven't fared well in recent times. The 2003 invasion of Iraq dispossessed the Sunnis in that country of both their power and wealth. Insult was added to injury when the United States handed power over to a sectarian Shia government bent on revenge against the Sunnis.

We can go on all we like about democracy and the rule of law, but the way the Sunnis view it is that we wantonly empowered their Shia rivals.

Sunnis aren't doing much better anywhere else. The minority Alawite regime in Syria -- the Alawites are a Shia offshoot -- continues to slaughter large numbers of Sunnis. Another Shia offshoot sect in Yemen recently took over Sana, the capital. And for the last decade, the American drone campaign over Pakistan's tribal belt has never let up, "breaking the back" of al Qaeda and the Taliban.We may dismiss them as terrorists, but for a small but growing number of Sunnis they're the closest thing they have to a resistance group. Even in solidly Sunni Egypt, the military is doing its best to crush the Muslim Brotherhood, the beating heart of political Sunni Islam.

An international aid worker who's negotiated with ISIS on hostage releases recently told me that militant Muslims look at their predicament in the starkest of existential terms, namely that that the United States is out to destroy Islam. They're convinced the U.S. deliberately caused the death of 300,000 Muslims in the wars in Afghanistan and Iraq and in retaliation for 9/11, and that it won't stop until the Sunnis start to fight back.

Everything to know about the rise of ISIS

There is of course no American conspiracy against Sunni Islam. But the point is that ISIS is rooted in an embattled religious sect that's had enough. Call it a Sunni intifadah, if you like -- a lashing out in frustration and fear. The fury of the impotent. But, unlike the Palestinian intifada against Israeli authority, this one promises to be more enduring and disruptive, if for no other reason than a resurgent Sunni Islam is bound to run headlong into Shia Islam, and along with it the real possibility of a hundred-years war.

While most Sunnis may want nothing to do with ISIS's apocalyptic jihad, coexisting with the Shia is less and less appealing to them.

A year ago, when ISIS started to move across the border from Syria into Iraq, I took the pulse of a couple Sunni Iraqi tribal sheiks and officers from Saddam Hussein's army, asking them why they didn't drive them back into Syria. After all, they have the arms and people to do it. Did they really want to live side by side with frenzied jihadists and risk Baghdad strafing them with American-supplied Cobra helicopters?

Who is the ISIS?

Their uniform response was that they would ally with anyone, including the madmen of ISIS, to drive the Shia government of Baghdad out of Sunni areas. They added that secession from Shia Baghdad was all but inevitable. Some said that if history favored them, they would unite with the Sunnis of Syria to form a single nation. As for ISIS and the jihadists, they would turn on them when the time came.

Letting the jihadists serve as your spearhead may sound risky to us, but what it tell us is that the divide between Iraq's Sunnis and Shia is truly unbridgeable. To be sure, we're capable of militarily destroying ISIS and eliminating its leadership. But Sunni grievances will remain -- and there will always be another Sunni strongman to take up the cudgel.

Which brings me to this: the 1916 Sykes-Picot Agreement gave the world the Middle East's modern borders. Drawn up in secret by French and British colonial administrators, those borders had -- and still have -- nothing to do with cultural and ethnic realities. This begs the question of whether it is really in our interests to defend artificial borders by waging endless war and campaigns of political murder.

The fact is that we are likely living what amount to the final agonies of the Ottoman Empire. If that's the case, drone assassinations and targeted killings will get us absolutely nowhere.

@highlight

Political assassinations are at best tricky, writes Robert Baer

@highlight

Some Sunnis may see ISIS as resistance group, not terrorists: Baer

@highlight

Middle East borders have nothing to do with cultural and ethnic reality, he says