(CNN) -- Increased militarization in Mexico, Honduras and Guatemala has created more insecurity, especially for women, a report spearheaded by two Nobel laureates found.

"The war on drugs ... has become a war on women," Nobel Peace Prize laureates Jody Williams and Rigoberta Menchu wrote in the report, based on a 10-day fact-finding mission. "Efforts to improve 'security' have only led to greater militarization, rampant corruption and abuse within police forces and an erosion of rule of law."

After consulting with presidents, high-ranking officials, human rights activists and others, the team compiled statistics to illustrate the problem.

In Honduras, for instance, the homicide rate for women has been increasing four times faster than that of men, said Gilda Rivera, of the Center for Women's Rights in that country.

The report says violence against women has become a crisis. Rivera called it an epidemic.

In the three countries studied, the respective governments are facing a national security threat from drug cartels. To wrest control from the encroaching drug cartels and to protect citizens, these countries have responded with a strong hand.

Most are familiar with Mexico's case, in which nearly 50,000 have been killed in drug cartel-related violence since 2006. More recently, Guatemalan President Otto Perez Molina was elected in part because of his promises of a strong response to the violence.

The report argues that instead of providing safety, the additional troops and police on the streets are having the opposite effect: committing abuses and stirring up more violence.

"Increasing militarization and police repression under the guise of the war on drugs has led to more violence overall and more frequent attacks on women, who lead efforts to protect their communities against threats to their lands and natural resources, and protest military and police abuses," the report states.

A segment of the militarized approach, the report notes, comes from U.S. aid.

The report found that femicides increased by 257% in Honduras from 2002 to 2010, a period that saw a doubling of U.S. money for military and police.

Using the start of Mexican President Felipe Calderon's term as a benchmark, the report says femicides there rose 40% since 2006.

In Guatemala, 685 women were killed in 2010, compared with 213 in 2000, the report states. In that time, security aid to Guatemala increased threefold, the report found.

In all, the team spoke with more than 200 female survivors who shared their stories.

The authors say they found another disturbing pattern: Most of the crimes against women in these countries are carried out with impunity.

"The mounting crimes of extreme violence and targeted repression against women remain largely uninvestigated, unsolved and unpunished, due to fragile state institutions, deep flaws in the political and justice systems of these countries and a lack of political will to reform policies and institutions that implicitly condone them," the report says.

The authors highlighted the May 11 case of four civilians killed by Honduran police on a helicopter who mistook them them for drug traffickers. Two of the victims were pregnant women. The DEA was aiding the police, though the agency says it did so only in a supporting role.

"I am horrified, but the truth is, this happens over and over again to women in the region," Williams said.

The report was a collaboration between the Nobel Women's Initiative and Just Associates.

@highlight

Jody Williams and Rigoberta Menchu led fact-finding trip to Mexico, Honduras, Guatemala

@highlight

Violence against women has increased in all three, they say

@highlight

It comes at a time of increased militarization against security concerns