(CNN) -- You may have noticed something different about your friends' profile pictures as you scrolled through your Facebook feed this week. According to the social networking site, roughly 2.7 million users changed their profile image on Tuesday as the U.S. Supreme Court pondered the future of same-sex marriage in the United States.

The Human Rights Campaign started urging people on Monday to change their Facebook profile pictures to a pink-on-red equal sign to show support for same-sex marriage, and soon the top 10 terms trending on Facebook were all related to the subject.

To get a better idea of the potential amount of support for same-sex marriage on Facebook, researchers on the Facebook Data Science Team compiled information to find out how many U.S. users changed their profile photo.

While the data isn't specific to users changing their profile photos to the several variations of the pink equal sign on top of a red background, variations of the Human Rights Campaign's traditionally blue-and-yellow logo, the Facebook data show that roughly 2.7 million more users updated their profile photo on Tuesday compared with the previous Tuesday, leading the researchers to conclude the HRC appeal had a lot to do with the numbers.

Same-sex marriage debate goes viral

"You always hope that these things will capture the imagination of those that see it," Fred Saiz, vice president of communication for the HRC, told CNN Tuesday. "I think what you can't predict and plan for how individuals with a bigger reach than your own are going to make your reach exponential in nature."

According to Facebook, users around 30 years of age changed their profile pictures the most, in response to the events surrounding the HRC campaign, about 3.5% of 30-year-old Facebook users.

Profile updates did not vary significantly based on gender. On average, according to Facebook, 2.3% more self-reported female users changed their profile photos, compared with 2.1% more self-reported males.

Where you live also appears to play a role in whether you changed your profile photo this week.

Opinion: Gay marriage hasn't won (yet...)

Facebook researchers mapped out the profile picture changes showing a fairly broad distribution throughout the country, but certain areas showed greater concentration of support than others.

Many of the top 25 counties that showed the greatest support for HRC's campaign were home to college towns, such as Washtenaw County, home of the University of Michigan and at 6.2% the county with the largest increase in profile photo changes, as well as the home counties of the University of North Carolina, Duke University, Indiana University, the University of Colorado and the University of Texas.

Major cities also showed large increases in profile photo changes: San Francisco, Los Angeles, Chicago, New York and Washington.

The Family Research Council, an organization "honoring God's design for marriage and celebrating all who have joined together as man and wife," also created its own shareable social graphic featuring a man and a woman holding hands. However, such campaigns have been overshadowed on Facebook by the efforts of groups on the other side of the issue.

Eytan Bakshy, a researcher on the Facebook Data Science Team believes the data shows the movement has broad support.

"For a long time, when people stood up for a cause and weren't all physically standing shoulder to shoulder, the size of their impact wasn't immediately apparent. But today, we can see the spread of an idea online in greater detail than ever before. That's data well worth finding."

CNN's Eric Weisbrod and Dan Merica contributed to this report.

@highlight

Group appealed to Facebook users to change their profile pics this week

@highlight

Facebook data showed a 120% bump in new profile pictures over the previous Tuesday

@highlight

Increases were greater in college towns, major cities