(CNN) -- With his Hyperloop proposal, Elon Musk isn't the only entrepreneur proposing ways to rev up American transportation.

The man who brought us sleek, clean electric Tesla cars and SpaceX -- a private space program that successfully sent a payload to the orbiting space station -- is setting his sights on a radically different mass transit proposal called Hyperloop.

Giant vacuum tubes would suck travelers across hundreds of miles in a matter of minutes.

Related: Elon Musk wants to revolutionize transportation again

Technology in the Digital Age is spurring creative ideas aimed at improving -- and even reinventing -- the way humans travel. The issue is becoming a pressing one with increasing traffic and vehicle emissions.

Musk's idea is one of countless transportation concepts being bandied about -- some of which may blow your hair back, others that may amount to pie in the sky. Some may be closer to reality than you think -- like driverless cars and space tourism. For other ideas, the future is murky.

You be the judge.

The media loves a good gee-whiz story. Remember the Segway? When that was announced in 2001, we read that these two-wheeled transportation machines would change the way we commute and how cities would be designed. How many Segway owners do you know? Or how about the Shweeb, a pedal-powered transportation system that so impressed the folks at Google, the company gave its inventors $1 million for research and development. In the three years since Shweeb won the award, it hasn't made a lot of news. The lesson is, it's a long way between the drawing board and reality.

Related: More transportation coverage

Let's take a look at some of the ideas floating out there that may influence the way we travel from Point A to Point B in the future.

Planes

By 2019, a small aircraft-maker reportedly plans to start offering a $5 million two-seater jet aimed at business execs who want to fly as fast as 720 mph -- close to the speed of sound. But, mostly, the buzz around the future of flight surrounds something even faster: supersonic combustion ramjets -- aka scramjets.

Imagine flying from New York to Tokyo in under two hours.

Scramjet technology could make that dream a reality. Experts predict scramjet engines could propel aircraft as fast as 15 times the speed of sound, according to NASA. Unlike conventional jet engines, scramjet engines have virtually no moving parts. And unlike rockets, scramjet engines would burn oxygen from the atmosphere instead of having to carry heavy tanks full of oxygen.

The result: a more efficient vehicle for military or commercial purposes.

Last year the Pentagon tested a 25-foot long scramjet called an X-51A Waverider. Such technology could be used to develop "cruise missile-like weapons that could reach a target on the other side of the planet in minutes instead of hours," one expert told CNN. Another application for the technology, he said, is an "aircraft which could put a quick-reaction force on a far-off battleground within hours instead of days."

A UK-based outfit called Reaction Engines has been working on scramjet technology. It produced a video to show its vision for a passenger aircraft called the A2, which would fly five times the speed of sound.

This month Reaction Engines announced a partnership with the European Space Agency to figure out its next system to launch vehicles into orbit.

Related: How we'll travel in 2022

Trains

Early in the Obama administration, federal transportation officials began pushing the idea of high-speed rail, by offering taxpayer dollars to interested states.

One of those states is California.

On its website, California's high-speed rail project still officially promises service from San Francisco to the Los Angeles area in under three hours at more than 200 mph.

But the program's initial projected cost of $34 billion has ballooned to $118 billion. Officials are considering a slower, less ambitious train system, CNN Special Investigations Correspondent Drew Griffin reports.

Related: Is California high speed rail for real?

Related: Would you board a moving train?

In the Northeastern United States,  Amtrak operates Acela Express -- a rail service capable of speeds up to 150 mph that shoot riders from New York City to Washington in about 96 minutes.

Responding to critics who say Acela is too slow and too infrequently reaches its top speed, Amtrak plans to run test trains at 165 mph in Delaware, Maryland, New Jersey, Rhode Island and Massachusetts.

High-speed rail critics often oppose it because they say it costs taxpayers too much.

Which is why a proposal in Texas is so interesting.

The Texas Central Railway has a plan to build a high-speed train without any taxpayer dollars.

Spanning the nearly 240 miles separating Dallas and Houston, a Japanese-style "bullet train" reportedly would haul 500 passengers in just 90 minutes. Maximum speed: around 220 mph.

If all goes as planned, the train would be running by 2020, according to organizers.

Related: Vehicles that changed the world

Automobiles

Drivers? Who needs 'em? We've got computers!

Driverless cars have been legal in California for nearly a year. Carmakers Audi, BMW, Mercedes and Volvo are planning to offer automated vehicles by the end of this year, The New York Times reported.

As more computers take the driver's seat, it remains to be seen how driverless cars will safely interact with cars piloted by humans.

Other car-related transportation ideas are winding their way through the national conversation. How about solar-powered smart-roads? Inventor Scott Brusaw has proposed building a national network of wired highways made of very strong glass. Solar electricity generated by the highways would recharge electric vehicles that use the road. The highway's streetlights and LED warning signs also would be powered by the road.

Space

Justin Bieber's on board. Who else wants to fly to the edge of space?

Bieber has signed on to be among Virgin Galactic's first passengers.

The company -- founded by billionaire Richard Branson -- says it's on track for its passenger spacecraft to reach space in a test flight for the first time by the end of this year.

More than 500 would-be space tourists have signed up to take short $200,000 flights that would involve several minutes of weightlessness.

New Mexico says it's ready for space travel.

The state has built a kind of airport for space ships called Spaceport America.

It's open for business and NASA has already used the facility for unmanned rockets.

Other ideas aimed at going up include a proposal for an elevator that would take cargo and travelers into space.

Opinion: Hyperloop could be a reality

Other ideas

What about the extreme future of transportation? Believe it or not, scientists have been talking about an idea of getting from here to there that sounds like something from "Star Trek."

Could Scotty's "transporter" ever become a real thing?

In 2007, scientists indicated to CNN that someday it might be possible to scan a person using some advanced form of the technology used to perform MRI scans, and transmit that scanned information somewhere else -- using normal electrical or sound signals -- where it would then be reassembled into an approximation of the original.

But there will always be skeptics, like Valerie Jamieson, physics editor of New Scientist Magazine. "I really don't think it is ever going to happen," she said. "Then again, one thing I've learned is never to underestimate the ingenuity of physicists, so never say never."

Hyperloop vs. world's fastest trains

@highlight

Entrepreneur Elon Musk proposes Hyperloop: shooting travelers through tubes

@highlight

Musk's idea is aimed at allowing people to travel from San Francisco to Los Angeles in 30 minutes

@highlight

The technology era is spurring countless ideas to improve transportation

@highlight

Ideas include scramjets, bullet trains and driverless cars