Washington (CNN) -- A National Security Agency program for collecting phone and Internet communications of suspected security targets outside the United States has the potential to infringe on the privacy rights of U.S. citizens, according to a report released Wednesday by an independent government review board.

The NSA's Section 702 program is still lawful, "valuable and effective" in protecting national security, according to the Privacy and Civil Liberties Oversight Board (PDF), which noted that "no evidence of intentional abuse" was found in the program.

However, "certain aspects of the program's implementation raise privacy concerns," according to the report. The large scope of that collection of Americans' information that is supposed to be off-limits -- and uncertainty about the amount of information being gathered -- "push the program close to the line of constitutional reasonableness."

Despite procedures to minimize collection of domestic and Americans' communications at home and abroad, the government doesn't know precisely how much data and content of Americans' communications is being collected, the report says.

The Section 702 program is derived from a section of the Foreign Intelligence Surveillance Act that was amended in 2008 and gave the attorney general and the director of national intelligence the authority to authorize "surveillance conducted within the United States but targeting only non-U.S. persons reasonably believed to be located outside the United States."

Even though the 702 program isn't aimed at collecting domestic communications or those of Americans abroad, "incidental" collection of such data does occur, according to the report. The board expressed concern over the use of "about" collections -- those that lead to a person who may not be involved to a suspect communication -- "and the use of queries to search for the communications of specific U.S. persons within the information that has been collected."

Among the board's conclusions was an affirmation that the "core" of the 702 program -- that is, narrowly defining those subjects targeted as non-U.S. citizens living abroad and submitting to Foreign Intelligence Surveillance Act court rules and oversight -- "fits within the 'totality of the circumstances' standard for reasonableness under the Fourth Amendment, as that standard has been defined by the courts to date."

The report lists 10 recommendations for strengthening privacy protections, such as revising the criteria for selecting targets for intelligence-gathering, limiting FBI use of Section 702 data, using more advanced "upstream" filtering technology to protect communications that are off-limits and requiring the government to supply random samples of targeting decisions to the Foreign Intelligence Surveillance Act court when reapplying for certification of the Section 702 program.

The nation's top intelligence official praised the report, but civil liberty advocates said the board failed to make effective proposals to protect privacy rights.

Director of National Intelligence James Clapper said in a statement that the report "confirms that Section 702 has shown its value in preventing acts of terrorism at home and abroad, and pursuing other foreign intelligence goals."

"We take very seriously the board's concerns regarding privacy and civil liberties, and we will review the board's recommendations with care."

Elizabeth Goitein of the Brennan Center for Justice at the New York University School of Law said the board "has failed to fulfill its responsibility here, which is to ensure that counterterrorism policies safeguard privacy and civil liberties."

"The collection of Americans' phone calls and e-mails without a warrant is unconstitutional," Goitein said, "regardless of whether they are communicating with their next-door neighbor or a suspected terrorist overseas."

"The Board made a critical point that has often been overlooked in the NSA debate: that privacy is a human right protected under international law," said Faiza Patel, also with the Brennan Center. She added that the issue "is much larger than simply the implementation of the directive and the Board should take it on directly and expeditiously."

"We urge Congress to recognize the gaps and shortcomings in the Board's recommendations," Patel said, "and provide a more meaningful level of privacy protection for Americans and foreigners alike."

The independent panel began reviewing NSA surveillance at the requests of Congress and President Barack Obama last year. The requests stemmed from media reports on two NSA programs that were based on the unauthorized disclosure of classified documents by former NSA contractor Edward Snowden.

The first report, released in January, centered on the program implemented under Section 215 of the Patriot Act (PDF), in which domestic telephone metadata (i.e., call records) are collected in bulk.

India summons U.S. diplomat over report of NSA spying

Report: NSA collects millions of facial images per day

Telecom firm pushed back on NSA data collection, papers show

CNN's Bill Mears contributed to this report.

@highlight

NEW: Privacy rights advocate says review board "failed to fulfill its responsibility here"

@highlight

Report: NSA's Section 702 program is still lawful, "valuable and effective"

@highlight

However, "aspects of the program's implementation raise privacy concerns," report says

@highlight

Report: People not involved in communications could be exposed to abuses