(Travel + Leisure)Quick, imagine a castle: it probably looks a lot like Germany's Neuschwanstein Castle, the turreted inspiration for Walt Disney's Sleeping Beauty Castle.

Each year, more than 1.5 million travelers are inspired to make the steep walk or catch a horse-drawn carriage to reach this castle perched on a rocky outcropping in the Bavarian countryside.

"People have always been interested in celebrities and powerful people and their homes," says Cordula Mauss, PR officer for the Bavarian Administration of State-Owned Palaces. "Immediately after the death of Ludwig II in 1886, the first tourists came and wanted to see what their king had built as his private residence."

While castles, palaces and châteaux naturally pique such curiosity, not all have Neuschwanstein's European fairy-tale looks. Some of the world's most-visited palaces, found across Asia, feature red exteriors, pagodas, gates and carvings.

Consider Bangkok's gold-spired Grand Palace, where Thai kings lived for 150 years, and where 8 million annual visitors now traipse through ornate rooms, manicured gardens and temples, including one that houses a revered Buddha carved from a single block of jade.

Travel + Leisure: See more of the world's most visited castles

Some longtime royal residences have been repurposed as museums. St. Petersburg's riverfront Winter Palace, for instance, is the sixth-most-visited castle, thanks to the appeal of masterworks by Titian and da Vinci along with lavish restored interiors, where Catherine the Great once held court.

America's closest approximation is California's Hearst Castle, though it fell short of Travel + Leisure's top 20 list with only 750,000 annual visitors. And while Windsor Castle squeaked in at No. 19, Buckingham Palace didn't make the grade (567,613 annual visitors), nor did Romania's Bran Castle (542,000) or a single Irish castle. Ireland's most visited, Blarney Castle, received 365,000 in 2013.

That said, there can be a downside to having too many visitors -- these are delicate, historic structures that have existed for hundreds of years, and some, like Neuschwanstein, limit daily entries. But it's hard to stem curiosity when it comes to the lives of the blue-blooded.

As Mauss puts it: "Who didn't want to be a prince or a princess or at least a knight when he or she was a child?"

The Methodology: To tally up the world's most-visited castles, T+L gathered the most recent data supplied by the attractions themselves or from government agencies, industry reports and reputable media outlets. In most cases, it was 2013 data.

Here are the top 10:

No. 1 The Forbidden City (Palace Museum), BeijingAnnual Visitors: 15,340,000

Each day, tens of thousands of visitors pour through the Forbidden City to see the 178-acre walled compound that once shielded the Imperial Palace from public view -- while housing Chinese emperors and their extensive entourages. (To handle the volume, the government has started requiring advance ticket sales during festivals and holidays and prohibiting annual ticket holders from visiting during peak seasons).

Bright red buildings topped with golden pagodas exemplify traditional Chinese architecture, while the Palace Museum showcases art, furniture and calligraphy.

Source: China National Tourist Office

No. 2 The Louvre, Paris Annual Visitors: 9,334,0000

The largest and most famous museum in the world -- displaying masterpieces like La Gioconda (the Mona Lisa) and the Winged Victory of Samothrace -- got its start as a palace. The U-shaped Louvre housed generations of French kings and emperors beginning in the 12th century, and the remnants of the original fortress that occupied the site (built for King Philippe II in 1190) can be seen in the basement of the museum.

The building was extended and renovated many times. Head to the decorative arts wing for a glimpse of Napoleon III and Empress Eugénie's opulent state apartments, built between 1854 and 1861.

Source: Atout France, the France Tourism Development Agency

No. 3 Grand Palace, BangkokAnnual Visitors: 8,000,000

Royal offices are still used within the Grand Palace, and state visits and royal ceremonies like the Royal Birthday Anniversary of the current King Bhumibol Adulyadej are held there each year. This was also the official residence of Thai kings from 1782 to 1925 and counts numerous buildings, halls and pavilions set around open lawns and manicured gardens.

The palace's Temple of the Emerald Buddha is considered one of the most sacred sites in Thailand. Its Buddha was carved from a single block of jade, and his garments, made of pure gold, are changed in a royal ceremony three times a year to reflect the Thai seasons.

Source: Thailand Tourist Services

No. 4 Palace of Versailles, FranceAnnual Visitors: 7,527,122

When Louis XIV built Versailles in the late 1600s, it became the envy of other European monarchs in Europe, and the opulent estate retains an unmistakable allure. Versailles gets seven times the visitors of any other château in France (apart from the Louvre); it helps that it's easily accessible from Paris.

No other palace in the world can match the grandeur of Versailles's Hall of Mirrors, dripping with chandeliers, and Marie Antoinette's bedroom, decorated with hand-stitched flowers. The vast grounds are free most days and an attraction in themselves, with 50 water fountains, a parterre (formal garden), a grand canal and other sites like the Grand Trianon, built for Louis XIV as a refuge from court life, and Marie Antoinette's Petit Trianon.

Source: Versailles Press Office

No. 5 Topkapi Palace, IstanbulAnnual Visitors: 3,335,000

With a lovely setting overlooking the Bosporus and Sea of Marmara, Topkapi Palace was the royal residence for about 400 years until the collapse of the Ottoman Empire in the 1920s. The sultan lived with his wives, concubines, mother and children in the harem, under the fierce protection of eunuchs.

Look for the Privy Chamber of Murat III, with its indoor pool, gilded fireplace and walls decorated with blue, white and coral Iznik tiles from the 16th century. The Palace Kitchens reopened in September 2014, displaying fine china and large cookware. And the complex also includes courtyards, gazebos, gardens and the Imperial Treasury. An emerald-and diamond-studded bow and quivers sent by Sultan Mahmud I to the ruler of Persia is just one example of the lavish gifts on view.

Source: Go Turkey, Official Tourism Portal of Turkey

No. 6 The Winter Palace (State Hermitage Museum), St. Petersburg, Russia Annual Visitors: 3,120,170

Catherine the Great and Nicholas I are among the Russian royals who occupied this green-and-white baroque palace along the Neva River from 1762 to 1917.

Today, the palace is a museum with one of the finest collections in Europe, including works by Titian, Raphael and Leonardo da Vinci (Benois Madonna). Much of the palace was destroyed by fire in 1837, but the beautifully restored interiors speak to the opulent tastes of the Russian elite. St. George Hall (a large throne room) features two tiers of windows, double Corinthian pink marble columns, patterned parquet floors and gilt bronze details.

Source: State Hermitage Museum Press Office

Travel + Leisure: World's coolest bookstores

No. 7 Tower of LondonAnnual Visitors: 2,894,698

This medieval fortress on the north bank of the River Thames was built to intimidate Londoners and keep out foreign invaders. The oldest part of the structure, the White Tower, dates back to the 12th century. While it originally served as a royal residence, the tower has become notorious for its use as a prison and the site of executions that included Henry VI and Lady Jane Grey.

Millions flock to the tower today to see historical reenactments as well as the British Crown Jewels, among them, the Sovereign's Sceptre containing the Great Star of Africa, the largest colorless cut diamond in the world. In 2014, the tower's moat was filled with 888,246 ceramic red poppies in remembrance of British soldiers who died in World War II -- an example of art installations and events held regularly.

Source: Association of Leading Visitor Attractions

Travel + Leisure: World's most-visited tourist attractions

No. 8 Schönbrunn Palace, Vienna Annual Visitors: 2,870,000

Austria's most-visited site is this Rococo palace, a summer retreat for Hapsburg emperors from the 1700s until 1918. Of the 1,441 rooms, the most famous is the Mirror Room, with white and gold Rococo decoration and crystal mirrors, where Mozart is said to have performed his first concert at age six.

The palace's elaborate gardens can claim the world's longest orangerie and the site of the first zoo (est. 1752). The guided Grand Tour provides access to all 40 rooms open to the public, including the Gobelin Salon with tapestries from Brussels and the Millions Room, an office paneled in rare rosewood.

Source: Schönbrunn Palace

No. 9 Alhambra y Generalife, Granada, SpainAnnual Visitors: 2,315,017

Refined and expanded over centuries, this hilltop palace and fortress complex combines fortifications, gardens, churches and several palaces, notably the Alhambra, and the Generalife, the country estate of the kings of Granada and Andalusia. Both are remarkable examples of Islamic architecture from Spain's medieval period.

Expect intricate arabesques, honeycomb vaunted ceilings (muqarnas) and courtyards with pools and fountains. Generalife's Moorish gardens feature large boxwood trees, rosebushes and willows and cypresses. Numbers swell in the spring and summer; to beat the crowds, consider a January visit.

Source: Communications Office of the Alhambra and Generalife

No. 10 Shuri Castle, Okinawa, JapanAnnual Visitors: 1,753,000

Shuri Castle was the seat of the kings of Ryukyu for more than 400 years. The castle was completely destroyed during the Battle of Okinawa in 1945, and reconstruction work was only completed in the early 1990s.

The results include eight Chinese-style gates or entrances, plus gardens, a study and a main hall with red-colored tiles on two layered roofs. The three-story red building houses two throne rooms and the royal family's private apartments. Ponds, bridges and miniature islands make up the royal gardens, added in 1799.

Source: Japan National Tourism Organization

Travel + Leisure: Most romantic hotel fireplaces

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2015 American Express Publishing Corporation. All rights reserved.

@highlight

Each day, tens of thousands of visitors pour through Beijing's Forbidden City to see the 178-acre walled compound

@highlight

The largest and most famous museum in the world got its start as a palace. Hint: It's in Paris