Washington (CNN) -- President Barack Obama on Wednesday outlined his foreign policy vision and defended his record to date. What caught our experts' ears was as much about what he didn't address as much as what he did.

Obama lays out foreign policy challenges

Here are their takeaways:

1. Partner in Yemen still has problems: Obama's call for a new $5 billion counter-terrorism fund to "train, build capacity, and facilitate partner countries on the front lines" may find it tough going to achieve quick results.

"These resources will give us flexibility to fulfill different missions, including training security forces in Yemen who have gone on the offensive against al Qaeda; supporting a multinational force to keep the peace in Somalia; working with European allies to train a functioning security force and border patrol in Libya; and facilitating French operations in Mali," the President said.

But the challenge in Yemen alone may be significant.

Some U.S. officials believe the problem there is that neither the Yemeni forces nor al Qaeda operatives have fundamentally changed the territory they hold on the ground.

Both sides are maneuvering, both attack and counterattack, but even with Yemeni military efforts, the basic power on the ground doesn't shift for either side. The problem with Yemen's military remains its inability to sustain itself in the field for a long period of time.

There are additional challenges.

In Libya, a training program is running into delays over how to ensure those being trained are not extremists. There is a similar challenge in training Syrian opposition forces. And in Nigeria, the U.S. military is legally banned from working with some Nigerian units because those units have been accused of human rights abuses.

-- Barbara Starr, CNN Senior Pentagon Correspondent

Transcript: Obama's foreign policy address

2. Looking through the right lens?: The President spoke very little of the three-year civil war in Syria, addressing it primarily as a counter-terrorism challenge. He referenced support for the moderate opposition, a nod to a plan to increase training for rebels now fighting both forces loyal to President Bashar al-Assad and extremists linked to al Qaeda.

But Obama made scant mention of efforts to strengthen the political opposition and glossed over the year-long effort to bring the regime and opposition to the table for peace talks that broke down months ago and now seem dead in the water.

Libya and Iraq were also treated mostly as a counter-terrorism challenge. The United States helped rid Libya of Moammar Gadhafi, but the country is now in the throes of a political crisis that is driving the current violence, which requires sustained diplomatic engagement.

The withdrawal of U.S. troops from Iraq has also seen a lessening of high-level diplomatic attention while sectarian violence is again on the rise.

The reduction of the U.S. military footprint must be matched with a redoubling of U.S. diplomatic engagement, and such a vision was lacking in the President's speech by viewing these countries through a terrorism lens.

-- Elise Labott, CNN Foreign Policy Reporter

Five foreign policy headaches for Obama

3. What about Syria? Syria was going to be the headline today. I think what we got was this partnership fund with other nations that needs to be approved by Congress and we'll look for supporting the moderate opposition on the ground more.

Even if that does substantially change the situation down the road, the way it comes across here falls a little flat, especially with some of the buildup we've seen leading into it.

"Defensive" is kind of the word here. Some of what has tainted or dampened the stance that the administration has taken even in the briefing room day-to-day is that it has been pushed into a defensive stance.

This was a sweeping speech that kind of covered everything and was a chance for the President to list what seemed like every accomplishment of his administration. But it came across at times as a defensive, lawyerly answer to critics.

-- Michelle Kosinski, CNN White House Correspondent

4. Military action as a last resort: Administration officials were aware that Obama's now infamous "singles and doubles" comment during his recent trip to Asia struck many critics as small-minded. And they intended for his West Point address to place his recent foreign policy moves in the context of broader goals and values.

On that count, the speech fell short of its target. The President instead delivered a familiar defense of current strategy with virtually no new policy announcements.

At the core, he argued that after "costly wars and continuing challenges at home," military action must be a last resort.

"I would betray my duty to you and to the country we live in if I sent you into harm's way simply because I saw a problem that needed fixing," he said.

The President's strategy will instead continue to emphasize international partnerships and institutions.

And he presented two of his most recent foreign policy challenges -- Ukraine and Iran -- as examples of where this strategy has worked, deterring a Russian invasion in the first, and bringing Tehran to the negotiating table in the second.

-- Jim Sciutto, CNN Chief National Security Correspondent

@highlight

U.S. officials still have questions about the Yemeni military's ability

@highlight

An anti-terrorism strategy without diplomacy is a short-term fix, President says

@highlight

Obama presented a lawyerly defense of his foreign policy to date