(CNN) -- In the Northern Hemisphere, the summer solstice has a history of stirring libidos, and it's no wonder. The longest day of the year tends to kick off the start of the summer season and with it, the harvest. So it should come as no surprise that the solstice is linked to fertility -- both of the vegetal and human variety.

"A lot of children are born nine months after Midsummer in Sweden," says Jan-Ã–jvind Swahn, a Swedish ethnologist and the author of several books on the subject.

Midsummer is the Scandinavian holiday celebrating the summer solstice, which this year falls on June 21. Swedish traditions include dancing around a Maypole -- a symbol which some view as phallic -- and feasting on herring and copious amounts of vodka.

"Drinking is the most typical Midsummer tradition. There are historical pictures of people drinking to the point where they can't go on anymore," says Swahn. While the libations have a hand in the subsequent baby boom, Swahn points out that even without the booze, Midsummer is a time rich in romantic ritual.

Read more: The science behind a solar eclipse

"There used to be a tradition among unmarried girls, where if they ate something very salty during Midsummer, or else collected several different kinds of flowers and put these under their pillow when they slept, they would dream of their future husbands," he says.

There is a similar mythology about dreaming of one's future spouse in parts of Greece. There, as in many European countries, the pagan solstice got co-opted by Christianity and rebranded as St. John's Day. Still, in many villages in the country's north, the ancient rites are still celebrated.

One of the oldest rituals is called Klidonas, and involves local virgins gathering water from the sea. The village's unmarried women all place a personal belonging in the pot and leave it under a fig tree overnight, where -- folklore has it -- the magic of the day imbues the objects with prophetic powers, and the girls in question dream of their future husbands.

The next day, all the women in the village gather, and take turns pulling out objects and reciting rhyming couplets that are meant to predict the romantic fortunes of the item's owner. These days, however, the festival is more an excuse for the community of women to exchange bawdy jokes.

"In my village, the older women always seem to come up with the dirtiest rhymes," says Eleni Fanariotou, who has filmed the custom. Later in the day, the sexes mingle and take turns jumping over a bonfire. Anyone who succeeds in jumping over the flames three times is meant to have a wish granted. Fanariotou says the festival often results in coupling.

Read more: 5 real-life wonderlands

"It's a good time to meet someone, because all the young people in the village go, and it's a good opportunity to socialize. Plus, all the men like to show off, and make the biggest fire they can to jump through."

In Eastern Europe, the solstice celebrations fall on Ivan Kupala Day -- a holiday that has romantic connotations for many Slavs ("kupala" is derived from the same word as "cupid").

"It was once believed that Kupala night was a time for people to fall in love, and that those celebrating it would be happy and prosperous throughout the year," recalls Agnieszka Bigaj, from the Polish tourist board. It used to be that young, unmarried women would float floral wreaths in the river where eager bachelors on the other side would try to catching the flowers. she adds.

According to Polish folklore, the man and woman in question would become a couple. Bonfires are also a large feature of the holiday, and it's tradition for a couple to leap through the flames together while holding hands -- if they don't let go, it is said their love will last.

Test your knowledge of New Year customs

One of the largest solstice celebrations in the world, though, takes place at Stonehenge, where thousands gather each year to bring in the summer season. While for many the event is an excuse to party in the lead up to the Glastonbury Festival, there is also a strong contingent of pagans and neo-druids who treat the day like the ultimate marriage ceremony.

"All druid rituals have an element of fertility, and the solstice is no exception," says King Arthur Pendragon, a senior archdruid. "We celebrate the union of the male and female deities -- the sun and the Earth -- on the longest day of the year."

@highlight

In many cultures, the longest day of the year is marked with celebrations meant to fan the flames of love and lust.

@highlight

In Sweden, Midsummer is followed by a baby boom nine months later.

@highlight

In Eastern Europe, the solstice is celebrated on Kupala Day, a kind of Slavic St. Valentine's.

@highlight

In some villages in Northern Greece, women gather around to exchange bawdy rhymes on the morning of the solstice.