(CNN)Last week, California Gov. Jerry Brown ordered mandatory statewide restrictions on water use for the first time in the state's history. His action was driven by a specific crisis unique to California at the moment -- the severe drought now in its fourth year there -- but it has significance for the whole nation.

As it has in the past, California is leading the way in recognizing that population and economic growth has to respect the physical limits imposed by planet Earth.

California developed the infrastructure and system of legal rights it uses to distribute water at a time when the population was much smaller than it is today -- and when the climate was in an unusually wet phase, historically speaking.

This led to a system that all but encourages heavy water use in dry parts of the state, with little consistency in allocation or pricing and little disincentive to waste. This has never made a lot of sense, but the new measures are the strongest acknowledgment yet that it just isn't tenable today in a serious drought.

As for the drought: It won't be the last, and surely won't be the worst to come in the remainder of this century. Brown's measures may be temporary, but we can hope that they'll be a step toward a more permanent reformation of the state's water distribution system -- one that includes large agricultural users, who are not included in the current measures, although they are the dominant consumers of California's water.

How the drought affects rest of the nation

What California does now has global significance: Lack of clean fresh water is a serious problem in much of the world. On the Indian subcontinent, where supply can't meet the demands of rapid development, groundwater is being depleted much as it is in California, and is an equally unsustainable practice in both places.

And my colleagues at Columbia recently published a study arguing that drought in Syria was one of the causes of the ongoing war there. They also presented strong evidence that the Syrian drought was in part attributable to human-induced climate change -- in itself, another physical constraint the planet places on growth. Our energy systems, like our water systems, are not sustainable.

Is the California drought a consequence of climate change? A recent National Oceanic and Atmospheric Administration report for which my colleague Richard Seager was lead author, argued that it isn't (though the authors acknowledge that global warming makes the drought worse by increasing evaporation from the soil). California, and southwestern North America, indeed saw worse "megadroughts" in the pre-Columbian past, long before any humans burned fossil fuels. At the same time, the latest projections are that the odds of such megadroughts are increasing with warming.

So we're left with a complex picture, one typical of many extreme weather events. We know that human-induced climate change is increasing the risk that an event such as this will happen, while at the same time we can't strongly blame climate change for the specific event happening right now.

Does it matter whether the drought is climate-change-induced or not? From a pragmatic public relations perspective, maybe. Extreme weather events make people aware that we are all vulnerable to them, and media coverage can draw attention to the scientific evidence that climate change is increasing the risks. At least in principle, this awareness can help to build the constituency for reducing greenhouse gas emissions.

I lived in Australia for a year in 2007-08 when the country was well into a drought that lasted about a dozen years -- and that led to water restrictions in nearly all the country's major cities. Though the role of greenhouse gases in that drought wasn't clear either, the hardship nonetheless made Australians much more concerned about climate change than Americans were at the time.

Polls showed that the issue played a significant role in the national elections held during my year there, with a climate-denialist government falling to a much more climate-proactive one (though the pendulum has since swung back).

But being able to blame climate change for a specific extreme weather event shouldn't be the only thing to spur action on reducing greenhouse gases. Whether we're talking about a drought in California, a hurricane on the East Coast, a flood in the Midwest or a tornado outbreak on the Plains, the connection of a single event to climate change is likely to be the subject of legitimate scientific controversy. The reality and seriousness of human-caused global warming, however, isn't.

The scientific case that human emissions of greenhouse gases are changing the climate, and that these changes pose serious risks to humans and other species, doesn't rest on single-event attribution, but rather on the statistics of large sets of weather events. That big picture is what should motivate us.

And when it comes to our getting better prepared for the degree of climate change that is inevitable, in many cases it matters even less to what extent a given weather event was human-induced vs. natural.

California could have had this drought, and worse, without global warming. Similarly, sea level rise is increasing the risk of coastal floods, but cities such as New Orleans, New York and many others were (and are) too vulnerable already.

Because really extreme events are by definition rare, most places haven't seen the worst nature can deliver, even without climate change, in their recent histories. So our development planning has tended to proceed under the assumption that that worst won't happen, leaving us with infrastructures that aren't properly adapted even to the current climate.

Many of the measures we need to take to close that gap -- such as making California's water distribution system less wasteful, or New York's subways more flood-proof -- will also help to prepare us for the new climates to come. They may not be enough, in the long term, but they're a start.

We call these "no-regrets" measures, because they are good ideas regardless of how rapidly or slowly global warming proceeds. If California can teach the rest of us something about how to design and implement such measures for water, it will be an upside to what otherwise is nothing but a slow-moving disaster.

@highlight

Adam Sobel: California's steps against drought are a preview for rest of U.S. and world

@highlight

Tying climate change to weather doesn't rest on single extreme event, Sobel says

@highlight

The big picture should spur us to prepare for new climates by fixing infrastructure, he says