London (CNN) -- These will be the green Games, to many they will be the austerity Games -- and they may even be the rain Games.

The long wait will be over Friday for London, the city that was awarded the Games of the 30th Olympiad in 2005 on a promise of transformation. A day after that announcement, suicide bombers struck London trains and buses, killing 52 people.

Seven years on and a security staffing fiasco has again thrust potential threats to the forefront of people's minds -- but Olympic organizers and the government say they will do everything possible to keep the Games safe.

While Britain's wettest June in more than a century may have cast a cloud over the final preparations for the Games, forecasters say the weather is now set to brighten.

And as more than 10,000 athletes from 205 countries assemble in London for Friday's opening ceremony, there is the promise of two weeks of breathtaking sport.

Can Jamaican sprinter Usain Bolt, star of the Beijing track in 2008, win gold once again in the men's 100m, 200m and 4 x 100m relay events, thus cementing his status as the fastest man on the planet?

Read why all the top sprinters come from Jamaica

Many wonder if Team USA men's basketball squad can surpass the on-court magic of the legendary Dream Team at the 1992 Barcelona Games.

And as swimmers race beneath the sweeping curves of the Aquatics Center, the pressure will be on American Michael Phelps to replicate his success in the last Olympics, when he took home a record-breaking eight golds.

Meanwhile the host nation's best hopes of gold medals may lie with Team GB's stars in sailing, rowing and cycling, including Bradley Wiggins, buoyed by an outstanding performance in the Tour de France cycle race.

Every country will have at least one female athlete after Saudi Arabia included two women in its team for the first time, setting an important precedent for women's rights. Other athletes have survived the turmoil of the Arab Spring to represent their countries for the first time free from the tyranny of dictatorship.

Read how Olympic athletes rose from the turmoil of the Arab Spring

And with medals to be handed out in 26 different sports, there's always the chance of a shock upset or the emergence of a shining new talent to captivate the crowds.

Much of the drama will play out within the landscaped contours of the Olympic Park, intended as an enduring sporting legacy in some of the city's poorest neighborhoods and touted by the London 2012 organizers as the most sustainable space yet designed for the Games.

The 80,000-capacity Olympic Stadium is built from only a tenth of the total steel used for the Bird's Nest stadium in Beijing in 2008, while in the velodrome cyclists will race round a track made from sustainably-sourced Siberian pine.

The organizers are keen to make sure the "green" theme continues beyond the Games' conclusion on August 12. Following a clean-up of the River Lea and canals that pass through the site, wildlife is being encouraged to return to wetlands downstream. Some 300,000 wetland plants have been planted, as well as more than 4,000 trees and 130,000 plants and bulbs in 250 acres of regenerated parkland.

David Stubbs, head of sustainability for the London organizing committee, LOCOG, said the event would be a golden opportunity to show what can be achieved. "If you can put sustainability at the heart of a project which is the largest logistical exercise in peace time -- across 26 different sports, with thousands of people attending and millions watching -- then you can do it anywhere," Stubbs told CNN.

Much of the cost of staging the Olympic and Paralympic Games has been met by the taxpayer, with the government overseeing Â£9.3 billion ($14.5 billion) of spending from the public purse.

According to its figures, three-quarters of the money spent by the Olympic Delivery Authority -- the public sector body responsible for building the new venues and infrastructure -- has been invested in long-term regeneration, and the Games are currently under budget by some Â£476 million.

The organizing group LOCOG, which is a private company, has a core budget of more than Â£2 billion ($3.1 billion), with almost all revenue raised from the private sector, it says.

By contrast, the Beijing Olympics in 2008 cost a whopping $40 billion, according to a December 2008 report by the state-run news agency Xinhua. China spent heavily on infrastructure, including three new subway lines, a new airport terminal and new sports facilities, the news agency said.

Watch how the Olympic spirit is still strong in Beijing

London's Games come in the wake of the global financial meltdown and against a backdrop of economic gloom in Europe and broad cuts to public spending in Britain.

But many will put aside such worries on Friday night, when crowds flock to the Olympic Stadium for the much-anticipated opening ceremony, dubbed "Isles of Wonder" and inspired by Shakespeare's play "The Tempest."

In the event the heavens don't open on the night, director Danny Boyle, the Oscar-winning director of "Slumdog Millionaire," has lined up fake clouds to shade his stage set of rolling British countryside, a pastoral vision that will include real farmyard animals -- not least 70 sheep with three sheepdogs to keep them in check.

Olympic organizers predict more than a billion people worldwide will tune in to watch the spectacle on TV.

Another side to London will come into view with the beach volleyball, to be played against the backdrop of the historic Horse Guards Parade, and the tennis at the All England Lawn Tennis club, home of the venerable Wimbledon Championships.

How are you celebrating the Olympics? Send iReport your stories, video

But while London, a bustling city of more than 8 million people, is front and center of the 2012 Games, it is not alone in hosting what will be Britain's third Olympics, after previous occasions in 1908 and 1948.

Eton Dorney in Buckinghamshire, just outside the capital, is the lake where rowers will push the boundaries of pain as they seek to bring home the gold. The testing waters of Weymouth Bay, on the Dorset coast, will be alive with the brightly-colored sails of yachts, dinghies and windsurfers.

Sites in Hertfordshire and Essex, also near London, will host canoeing and mountain biking, and Olympic football matches will be played at grounds as far afield as Hampden Park in Glasgow and the Millennium Stadium in Cardiff, before the final at the iconic Wembley Stadium in London.

The challenges of policing such a high-profile and sprawling event, which follows on the heels of Queen Elizabeth II's rain-lashed Diamond Jubilee celebrations and precedes the Paralympic Games, are significant.

A chorus of leading figures, from Home Secretary Theresa May to LOCOG chairman Sebastian Coe, have stepped up to reassure visitors that a shortfall in recruiting security guards by contractor G4S will not impact on safety.

The sight of thousands of soldiers deployed on the streets of London and elsewhere to support the security effort will be unusual but, organizers likely hope, reassuring to those at Olympic venues and transport hubs.

London's Metropolitan Police Service, known as the Met, is undertaking what it says is its biggest-ever peacetime operation, running for 66 days over 1,000 venues, including sporting and cultural events, and making use of up to 9,500 police officers on the busiest days.

Read how London faces security questions ahead of the Olympics

Away from the venues, the Met will also have to provide the usual policing for the city and its visitors. Few Londoners will forget that the Games come just a year after the capital was rocked by outbreaks of rioting and looting.

At the same time, those athletes for whom London is home, such as runners Mo Farah and Christine Ohuruogu, will surely draw a special inspiration from the support of their crowded, diverse city.

The Olympic torch, which arrived in London a week ahead of the Games, is being carried through the city's streets by almost 1,000 people on the last leg of its 8,000 mile, 70-day journey to the opening ceremony.

When the last torchbearer carries the flame into the Olympic stadium on Friday, millions of eyes around the world will watch as the cauldron is lit -- a symbol of the hopes and sporting passions that will play out over the next 16 days.

And while not everyone in Britain is overjoyed about the Olympics -- some Londoners seeing it as an inconvenience, others as an expensive luxury at a time of austerity -- surely there will be few who won't cross their fingers for no rain on that parade.

CNN's Erin McLaughlin contributed to this report.

@highlight

The 30th Olympiad starts Friday with an opening ceremony that promises to be spectacular

@highlight

Forecasters say the weather should improve after a rain-soaked summer so far

@highlight

Organizers say these Summer Olympics are the most sustainable ever

@highlight

Security issues have overshadowed preparations but authorities say safety will not be impacted