A previously secret document found at Osama bin Laden's compound in Pakistan sets out a detailed al Qaeda strategy for attacking targets in Europe and the United States.

The document -- a letter written to bin Laden in March 2010 by a senior operational figure in the terror group -- reveals that tunnels, bridges, dams, undersea pipelines and internet cables were among the targets.

It was written by Younis al-Mauretani, a senior al Qaeda planner thought to have been behind an ambitious plan to hit "soft" targets in Europe in the fall of 2010.

The U.S. Department of Justice passed the letter to German prosecutors last year for use in an ongoing trial in Dusseldorf because it possibly refers to one of the defendants, according to the German newspaper Die Zeit, which first broke the story.

CNN has obtained details of the document from sources briefed on its contents. The 17-page letter is in Arabic.

Al-Mauretani proposed that al Qaeda recruits take jobs with companies transporting gasoline and and other sensitive companies in the West,  and await the right moment to strike.

He said targets should include tunnels, airports and even "Love Parades" -- gay and lesbian events held every summer in Germany. He said recruits should infiltrate university courses in the West in key subjects useful to the group including physics and chemistry, so that they could later be re-activated and help the group, according to Die Zeit.

He also suggested attaching mines to undersea pipelines using mini-submarines -- and appears to have researched ways to circumvent safety valves on such pipelines. Al Mauretani also proposed that al Qaeda attack financial centers and think-tanks -- specifically mentioning the RAND Corporation, whose headquarters are in California.

Asked if it was aware of the threat, a spokesman for RAND told CNN that "as a matter of policy, the RAND Corporation does not comment on specific security issues or potential threats."

Yassin Musharbash, an investigative reporter with Die Zeit in Berlin, says the document seems "to support information gleaned from other terror trials that Al Qaeda in 2010 was trying to plan a comprehensive plot against the West," and al-Mauretani appears to have been bent on  "hitting Europe and the U.S. by targeting critical infrastructure and economic targets."

Some of al-Mauretani's ideas may seem far-fetched, but they underline al Qaeda's continuing fascination with bringing down airliners. He proposed that men recruited into the Yemeni al Qaeda affiliate AQAP become pilots with airlines, and then drug their co-pilots before flying the plane into a target. One target he identified was the massive petrochemical facility at Abqaiq in Saudi Arabia.

Al Mauretani suggested that Osama bin Laden signal the go-ahead for attacks in Europe with a public message that al Qaeda's patience with Europe had run out. And he had a clear sense of how to finance attacks, saying that al Qaeda in the Islamic Maghreb (AQIM)  had "millions" and its leaders trusted him, according to Die Zeit. Mauretani himself was originally from Mauritania in north-west Africa.

Sources briefed on the contents of the letter told CNN that al-Mauretani wrote that al Qaeda Central in Pakistan could only cover the starting costs of the operation against Europe and additional costs would have to be covered by AQIM and others. Analysts tell CNN al-Mauretani's call for  the various nodes of al Qaeda  to work together was emblemmatic of a shift within the terrorist network towards greater coordination and pooling of resources.

Phone call links Benghazi attack to al Qaeda commander

Al-Mauretani added that AQIM had a "great deal of trust" in him, according to the sources. According to analysts the North African operative paved the way for direct cooperation between AQIM and al Qaeda's senior leadership in the late 2000s after he travelled to Pakistan. In late 2011 Moktar Belmoktar, then a senior figure in AQIM, told a Mauritanian journalist that al-Mauretani was the "first direct contact between us and our brothers in Al-Qaeda."

Bin Laden appears to have liked the ideas in al-Mauretani's letter, and assigned them high priority. Other documents found at his Pakistani compound in Abbottabad suggest he forwarded it to at least one other senior figure in al Qaeda.

In around June 2010, bin Laden wrote to senior Libyan operative Atiyah abd al Rahman, then al Qaeda's head of operations in Waziristan, instructing him to tell the leaders of the al Qaeda affiliates AQIM in North Africa and AQAP in Yemen to "put forward their best in cooperating" with al-Mauretani "in whatever he asks of them."

"Hint to the brothers in the Islamic Maghreb that they provide him with the financial support that he might need in the next six months, to the tune of approximately 200,000 euros," bin Laden wrote.

CNN has learned the document was sent to German prosecutors by the Justice Department after they had asked for any information the United States might have about three men from the Dusseldorf area charged with planning an attack in Germany on behalf of al Qaeda in April 2011. CNN asked the Justice Department about the document but has so far received no comment.

According to Die Zeit, the reason the letter was relayed to the Germans was because al-Mauretani mentions a Moroccan in the document with exactly the same date of birth as Abdeladim el-K, who prosecutors claim was the ringleader of the alleged Dusseldorf cell and trained with al Qaeda in Pakistan in 2010.

Sources briefed on the contents of the document told CNN that al-Mauretani appears to suggest the Moroccan should travel to join up with militants in Somalia if his mission failed.

Sources say three FBI officials will testify at the trial in Dusseldorf Wednesday on the authenticity of the document. Defense lawyers say they have "fundamental doubts" about  the document.

As for al-Mauretani, he is unlikely to have any role in bringing his terror plans to fruition. He was picked up by Pakistani police in Quetta in August 2011 and remains in detention.

Pakistani authorities appear to have uncovered some of his terror plans. In announcing his arrest a month later, they stated:  al-Mauretani "was tasked personally by Osama bin Laden to focus on hitting  targets of economical importance in United States of America, Europe and  Australia, including gas pipelines, power generating dams and oil tankers."

Several of al-Mauretani's western recruits -- trained in the tribal territories of Pakistan -- have been arrested on their return home.

American al Qaeda recruit Bryant Neal Vinas testified at his trial that that he had drawn a map for al-Mauretani in mid-2008, showing Long Island Railroad lines.

Al-Mauretani had decided the best scheme would be to launch a suicide bombing on a train as it entered a tunnel. And he told Vinas that preferably a white operative with Western travel documents would be tasked to carry out the attack.

In 2010, al-Mauretani was seen as the mastermind of planned attacks in Europe.  Fears that such attacks would materialize led the U.S. State Department to issue a travel alert in October 2010.

Sources briefed on the letter told CNN that al-Mauretani requested bin Laden issue a statement saying al Qaeda's patience with Europe had run out following the al Qaeda leader's previous offering of a conditional truce, and that his statement needed to be choreographed with an attack shortly afterwards.

"We ask you undertake certain steps in order to threaten Europe before the attacks happen. And these steps should be in synch with the preparations of those attacks. Inform Europe that patience has come to an end, as has our hope that they end their campaign against us. Also [make clear] that they have not understood our message thus far. One or two weeks after that we will strike ... and then we will threaten them again. After we hit Europe we will hit America, so we isolate the Americans,"  the sources said al-Mauretani wrote in the letter.

Die Zeit's Musharbash says al-Mauretani's blueprint "has very likely little operational value now. But certain ideas may have trickled down and may still be alive elsewhere in the network."

READ RELATED: Opinion: Strange bedfellows -- Iran and al Qaeda

@highlight

It was written by Younis al-Mauretani, a senior al Qaeda planner

@highlight

He is believed to have been behind an ambitious plan to hit "soft" targets in Europe

@highlight

He proposed that al Qaeda recruits take jobs with companies transporting gasoline