San Jose, California (CNN) -- At 17 years old, Jessica Perez is an honor student who aspires to be the first member of her family to graduate from college.

But when it came to the application process, she felt lost, alone and ill-prepared.

"I didn't really know where to start," said Perez, who wants to be an astrophysicist. "There wasn't really anybody at home that could help me figure out how I could reach my dream."

Perez's grandparents, who raise Perez and her two siblings, both work long hours to make ends meet. And neither continued their education beyond elementary school.

Fortunately for Perez, she was directed by her school guidance counselor to a nonprofit called Strive for College.

"It helps students who don't really know anything about the college process," she said. "College students come to you and they tell you how to do it because they've been through it also."

Strive for College pairs high-school students with college students for free, one-on-one consultation over a yearlong period. Each pair works together through the application process for colleges, scholarships and financial aid.

"We take them through every little step of the process, because, frankly, it's a pretty detailed process -- and if you miss one step, you could ruin all your chances," said Michael Carter, who founded the nonprofit in 2007 while he was a college freshman.

So far, Strive for College has already helped 600 low-income students across the country enter four-year colleges and universities. And it expects to help an additional 900 this year.

Carter grew up in an upper-middle-class suburb of San Jose, California. He attended private school throughout his early childhood, and he remembers his grandfather calling him a "menso" -- basically translated to "moron" in Spanish -- for claiming everyone in the United States got an equal shot at success.

That pessimism started to make more sense to Carter when he transferred to a public high school in his junior year.

"Going to private schools, a lot of students who didn't do amazingly academically knew they were going to a four-year college because their parents had gone. It was just a given," said Carter, 24. "Whereas a lot of students at my public school, even if they had great GPAs and SATs, they didn't know if they could go to a four-year college. It was just very foreign to a lot of them."

It didn't help that there were two guidance counselors for roughly 1,600 students. They just couldn't devote themselves to students who failed to approach them about college -- the very students who Carter felt needed this help the most.

"This made me realize that my grandpa was right, I was a menso," Carter said. "And it made me firmly believe that this was a problem that was solvable."

Carter designed a pilot study during his freshman year at Washington University in St. Louis. Pairing his classmates with low-income high school students at a nearby high school, he hoped to prove that college acceptance rates could be dramatically changed.

The pilot's success was astounding: 24 of the 27 seniors in the study were accepted into four-year colleges. In the previous year, the school's acceptance rate was only 1 out of every 30 seniors.

"At first it was like, 'Wow, look at this amazing miracle that happened,' " Carter said. "But I quickly couldn't sleep at night thinking how many of the (students) the year before had earned the right to go (to college) and just no one helped them across the finish line."

Carter found that his study was indicative of a more widespread problem in the United States.

"There's over 400,000 low-income high school seniors every year who (are) qualified to go to a four-year college, and for whatever reason they just don't go," Carter said.

And the difference between going to college and not going to college can often mean limited career opportunities or growth. Over a 40-year career, college graduates on average make nearly $1 million more than someone with only a high school degree, according to the U.S. Census (PDF).

"When my first (mentee) called me and said, 'I got into my first college. You helped changed my life,' I started crying," Carter said. "I was like, 'I think I really did help change your life.' And it was just an amazing feeling."

Do you know a hero? Nominations are open for 2013 CNN Heroes

With the help of high-school administrators, Strive for College targets youth who attend schools where 50% or more of the students are eligible to receive free or reduced lunch.

To participate, students must have a GPA of at least 2.0. Interested students fill out a questionnaire about their academic and financial histories as well as their interests, abilities and ambitions. Then they can attend a "speed-dating-style" session in which they choose their college student mentor.

Throughout the school year, pairs meet at the high school once a week for an hour. The process takes the students through each step: selecting their target schools, filling out applications, writing essays, obtaining letters of recommendation, targeting scholarships and financial aid, reporting test scores and completing entrance exams.

"As a mentor, your role can be coach, pseudo-parent, cheerleader," Carter said. "But it's that amazing near-peer connection of young people with young people ... helping them through a process you just went through yourself, and taking the mystery and anxiety out of it, that I think is really important."

Strive for College also aims to help students graduate with the least amount of student loan debt possible, ensuring stronger graduation rates and enhancing the college experience. With scholarships and financial aid, 40% of Strive students attend four-year colleges without having to come out of pocket for their tuition -- compared with 32% of low-income college students nationwide.

Beginning this spring, mentors and mentees will be able to communicate and track progress over the interactive "UStrive" community website. The social network will allow students to track the curriculum's calendar and see when their peers complete major steps in the application process. Participants can make suggestions and bookmark items of interest for others.

Carter has found that the social component helps students stay on track with their goals.

"It creates peer pressure, but of a rare, positive kind. As they see one another looking at great universities and trying to aim for great financial aid packages, then their peers, their friends also say, 'If you can do that, I can, too.' And they start to raise their goals," he said. "It's a really powerful process in which you're building a culture of achievement in the schools."

It's a culture that helped Shanna Brancato raise her own academic ambitions. The former foster child had never considered college as part of her future when she was encouraged to attend her first Strive for College session in her junior year of high school.

"I've never really thought of myself as the greatest student. College was not on my mind," she said. "Now I'm a sophomore at San Jose State University. My full tuition is covered, and I'm mentoring a high school student."

Many former mentees, like Brancato, become Strive for College mentors.

"It's that 'paying it forward' mentality that is building a Strive movement that will solve this problem, I think, within the next decade," Carter said.

Carter graduated from college in 2010 and has devoted himself full-time to his nonprofit. Strive for College now has 12 university chapters working in 15 high schools nationwide, and it is planning to launch eight more chapters this year.

"The more we grow, the more students we help, the greater our impact, the bigger our movement," Carter said. "We'll go from changing hundreds to thousands of lives, to changing hundreds of thousands, and some day soon, even millions.

"I'm so sure this will happen, because I believe in our generation. I know our mentors. I know the students we serve. And I know that together we are going to solve this problem."

Want to get involved? Check out the Strive for College website at www.striveforcollege.org and see how to help.

@highlight

Michael Carter designed a program to help more low-income kids get into college

@highlight

College students guide high-schoolers through the entire application process

@highlight

They also work together to apply for available scholarships, financial aid

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes