(CNN) -- I am an American Muslim. When I was growing up in a small town in upstate New York, the America I lived in cherished diversity and the freedom to worship, regardless of one's religion. People of various faiths resided in my community: Protestants, Catholics, Jews, Muslims, Hindus, Sikhs and Mormons. How a person prayed was never a factor in how we treated each other.

Yet today, Muslims in America are viewed as suspect and legitimate targets for surveillance by the New York Police Department because of their faith. This is not the America I know, and it is time for the courts to weigh in and ban discriminatory policing by the NYPD.

Let me be clear: Anyone who engages in criminal acts should be stopped and brought to justice. But the NYPD can do that without targeting an entire community for blanket surveillance.

The NYPD has been spying on American Muslims in New York as well as in towns, communities and college campuses throughout the Northeast. In New Jersey, for example, the NYPD visited mosques, schools, Muslim-owned restaurants and small stores and took photographs and videos of people and their cars, collecting information about ordinary people's daily lives, clothing and eating habits.

Muslims have been a part of America since the first slave ships arrived. We have contributed to our nation's growth and fought and given up our lives defending it. Today, we are as diverse as our nation: We are white, black, Latino, Pakistani, Indian, Arab, Iranian and Indonesian. We are teachers, doctors, lawyers, engineers, store owners and business leaders. We are members of the military and Congress.

But living freely as a Muslim in America today has become increasingly difficult. In New York and New Jersey, worshipers at local mosques fear that their discussions may be monitored and misinterpreted by police informants. Store owners wonder whether one of the customers might be an undercover cop looking to eavesdrop. Parents of college students caution their children about participating in Muslim student group activities.

More than 100 faiths and civil liberties organizations have publicly objected to the NYPD's conduct. They are joined by numerous public officials, including 35 members of Congress. Newark Mayor Cory Booker and New Jersey Gov. Chris Christie have voiced their objections. In addition, Reps. Rush Holt of New Jersey, Judy Chu of California and Keith Ellison of Minnesota have recently introduced a resolution condemning the NYPD's discriminatory practices and calling for an investigation of the NYPD.

Despite all this outrage, New York, New Jersey, Pennsylvania and federal officials with an obligation to enforce the law and protect Americans have refused to launch an investigation.

That is why today, victims of NYPD's spying program have stepped up and filed a lawsuit against the police department, asking a federal court in New Jersey to ban religious discrimination by law enforcement. Since public officials with direct oversight responsibility have turned a blind eye toward this bigotry, the victims have bravely come forward, turning to the courts as a last resort.

This lawsuit is about the pervasive and discriminatory policies and practices that Commissioner Ray Kelly and his leadership team have put into motion and that need to stop. Standing up to the largest police department in the country takes courage, and these brave individuals have done so in order to protect America's future.

The plaintiffs in this lawsuit include college students, a military serviceman who has put his life on the front lines in Iraq and a small-business owner who is also a Vietnam veteran. They are ordinary Americans just trying to live a normal life, raising their families and supporting their country. These plaintiffs are parents, students, business leaders and service members who enrich our communities. Their only "crime" is that they are Muslim in America.

Throughout our nation's history, the courts have often been called upon to protect fundamental rights and defend justice. Following this well-worn path, American Muslims are now raising their voices and knocking on the courthouse door, determined that our system of justice will protect the rights of all Americans.

The opinions expressed in this commentary are solely those of Farhana Khera.

@highlight

Farhana Khera: Muslims are targets of surveillance by the NYPD because of their faith

@highlight

Khera: Victims of NYPD's spying program are stepping up to file a lawsuit

@highlight

She says living freely as a Muslim in America today has become increasingly difficult

@highlight

Khera: It is time for the courts to weigh in and ban discriminatory action by the police