No politician in Russia can draw a crowd like Vladimir Putin.

Thousands of Muscovites filled a freezing Manezhnaya Square Sunday, cheering for the former president-turned-prime-minister as he celebrated election again to the nation's highest office and delivered a patriotic speech.

"We are appealing to all people to unite for our people, for our motherland, and we will win," he said. "We've had a victory! Glory to Russia!"

The 59-year-old former KGB agent and law student has dominated Russian politics for more than a decade. He served two terms as president from 2000 to 2008, then most recently served as prime minister under current President Dmitry Medvedev.

In September, Medvedev called on the ruling United Russia party to endorse Putin for president once again -- and Putin, for his part, suggested Medvedev should take over the role of prime minister.

In that vote, however, although United Russia held on to power it saw its number of parliamentary seats significantly decreased.

The balloting sparked ongoing protests and allegations of vote-rigging directed at Putin, and fueled speculation that his sway over Russian politics might be diminishing. Putin's critics focused on attempting to end his political career.

But that seems unlikely following the election of March 4. With more than two-thirds of the vote counted, Putin was leading his closest rival by an almost 4-1 margin, dashing hopes of opponents that he could receives less than 50% and be forced into a runoff vote. Putin faced four other presidential contenders, including Russia's third-richest man, New Jersey Nets owner Mikhail Prokhorov.

Human rights groups say civil liberties and democratic freedoms have suffered during Putin's rule.

Former world chess champion Gary Kasparov is among Putin's critics.

"I think if anybody told us in August 1991 that nine years later, the country would be run by a KGB lieutenant colonel, this person would look like a laughingstock," Kasparov has said.

Putin, the married father of two daughters, rose from humble beginnings to become one of Russia's most powerful men.

He was born in St. Petersburg (then Leningrad), the son of a factory foreman, and raised in a communal apartment shared by three families.

He joined the KGB in 1975 and later was selected to attend the Red Banner Institute of Intelligence, where he learned both German and English. He was briefly assigned to counterintelligence duties in what was then East Germany before moving back to Leningrad, where he was assistant rector for international affairs at Leningrad State University.

He left the KGB in 1992, and served several posts in St. Petersburg's government before accepting a job as deputy business manager for the State Property Administration in 1996, then head of the Presidential Administration and Control Department of the Presidency under Boris Yeltsin. When Yeltsin resigned in 1999, Putin -- then acting prime minister -- was appointed acting president. He was elected to the office the following year.

He has received credit for consolidating post-Soviet Russia and bringing stability to the nation. He's also demonstrated a talent for self-promotion. Television viewers have seen him riding horseback without a shirt; on a motorcycle; diving; flying an aircraft; and demonstrating his judo skills (he holds a black belt).

"He's an extremely charismatic person," said Putin spokesman Dmitry Peskov. "He's a tough guy, but he's a very balanced guy. He's a predictable guy, and he's a constructive guy."

Russia's youth back Putin in droves, singing songs praising him and even getting tattoos of his face. The pro-Putin youth group Nashi, meaning "ours" in Russian, was formed in 2005 by the United Russia party to promote patriotism and support for the Kremlin and for Putin.

But other youth are opposed to Putin and not buying into the cult of personality. During a nearly four-hour question-and-answer session Putin held last year on state television, the Russian word for "Botox" was trending on Twitter, and rumors persist that Putin appears younger, possibly with medical intervention.

"One shouldn't react closely to rumors," Peskov said. "The less you react to rumors, the less they appear."

Putin's campaign this time was deliberately low-key -- he sent proxies to televised debates -- but he still appears daily on state television.

A primary focus of his campaign had been modernizing Russia's military, saying it's the only way to improve Russian standing and clout in the world. He's proposed spending 23 trillion rubles (about $768 billion) on the military and the defense industry over the next 10 years. While he hasn't said where the money is coming from, Putin has maintained that Russia can't afford not to spend it.

Still, Putin's critics show no sign of disappearing. Andrew Wood, a former British ambassador to Moscow, said last week that he believes the Kremlin has been "taken aback by the degree of opposition" -- so much so, he said, that it's conceivable that a reported assassination plot targeting Putin may have been a scheme to build support for him.

"There was a similar alleged plot against him the election before last," said Wood, who is now a Russia expert at the London-based think tank Chatham House. "...It's conceivable, but it seems improbable."

Wood said ahead of Sunday's vote that even if Putin won, "it won't necessarily mean he has strong and durable support."

@highlight

Vladimir  Putin has dominated Russian politics for more than a decade

@highlight

With more than two-thirds of the count in, he is expected to win the election

@highlight

He makes frequent television appearances and enjoys strong youth support