PHOENIX, Arizona (CNN) -- "Always you have to run for your life," says Boo Htoo, who grew up in a refugee camp in Thailand just across the border from Myanmar.

Boo Htoo and his family lived at the Maela Refugee Camp before being resettled in Phoenix, Arizona.

Ethnic minorities still flee the repressive military regime in Myanmar, formerly Burma. Some 111,000 Myanmar refugees live in nine camps in Thailand, according to the United Nations High Commissioner for Refugees.

Htoo, now 29, recalls making the long trek with his parents to cross the border when he was about 5.

"[It's] a very long way," he says. "We don't have a car, a plane. We don't have a bicycle to ride. My parents just take what they can carry, and then we started walking across the jungle, sleeping in the jungle."

Htoo and his family are now resettled in Phoenix, Arizona. Thanks to Carolyn Manning and her Welcome to America Project, they got a warm welcome to the big city, complete with furnishings and household items for their first apartment and toys for his two young children.

"That day that I have a lot of American friends in my apartment," recalls Htoo, "this is the day that I feel very happy."

For Htoo, it was a remarkable transition from "a really hard life in the refugee camp."

"They have a wire fence around the camp; they put soldiers around the fence," Htoo says. "You are not allowed to go outside to work. You don't have a chance to go to university even if you are willing to go. I cannot express the feeling of how difficult it is."  Watch Htoo tell his story »

According to the International Rescue Committee, about 2.7 million refugees have been resettled in the United States since 1975, and 52,000 of those have been relocated to Arizona.

Through her Welcome to America Project, Manning helps legal refugees being resettled to Phoenix by the United Nations. Since 2001, she and volunteers have provided furniture, clothing and support to more than 550 refugee families. Nominate your Hero at CNN.com/Heroes

The first family Manning welcomed came to her attention in a local newspaper. Manning's brother-in-law Terence had died in the September 11, 2001, terrorist attacks in New York. The family in the newspaper was from Afghanistan and had lost a relative to the Taliban. Manning immediately saw a parallel.

"Knowing that Terence was killed innocently and then seeing the Afghan family who had someone killed in their family, I started to make a connection between myself and that family," Manning recalls. "We lost a family member, too. The difference was we had a safe place that we lived -- and they had to flee their country."

At a time when many Americans were putting up walls and shunning foreigners, Manning reached out to them. She and her family took up a collection of furniture for them -- and The Welcome to America Project was born.

"They've been invited here," says Manning. "Everybody has a right to find a place where they belong. I want the refugees to feel that this is their home."

The families assisted by The Welcome to America Project typically have languished in refugee camps for 10-12 years, says Manning, and come from countries including Iraq, Myanmar, Liberia, Somalia, Sudan, Nigeria and Bhutan -- places where they were often persecuted because of their race, religion or political views.

"There are a number of different things they have to learn how to do when they first arrive," Manning says. "They've never seen buildings built like ours. They've lived in huts literally made out of bamboo, with leaves on top. There's a lot of transition for them."  Watch Manning describe the refugees' strikingly different backgrounds »

Over the last seven years, Manning says, she's learned a lot from the refugees and finds herself looking at American customs from a new perspective.

"We brought a toaster into a family from Africa and they didn't know what it was," recalls Manning. "The woman was very dutiful in watching [when] we tried to show them how to toast bread. But then through a translator her response was, 'Why would you want to ruin bread?'"

Manning says the refugees are resourceful and eager to start a new life, developing strong ties to their new communities, making active contributions, working hard and paying taxes.

"It's not an 'us and them,'" she says. "We're all part of one humanity. And we're trying to do what's right, and what is fair."  Watch The Welcome to America Project in action »

As word continues to spread -- the project is currently bigger than ever, says Manning -- The Welcome to America Project is nearing its 600th family donation.

Manning says she isn't surprised the project has taken off.

"That's how Terrance's life was," she says. "Every time he had an idea it was big and bold. He was a very, very generous person. I guess that's the legacy we're passing on with the project."

Want to get involved? Check out The Welcome to America Project and see how to help.

@highlight

Welcome to America Project helps refugees being resettled in Phoenix, Arizona

@highlight

Carolyn Manning founded the group after relative died in September 11 attacks

@highlight

Myanmar refugee Boo Htoo among 550-plus families the project has helped

@highlight

Nominate your Hero at CNN.com/Heroes