(CNN) -- Two decades ago, I strode out of my house and knew I'd never think of it as my home again.

I hugged my mother goodbye and climbed into the car with my dad, my tape collection and every decent piece of clothing I owned. When he made the multistate drive back from dropping me off at college, the car would be empty, and the house would, to me, no longer be our family home -- just my parents' house.

Recently, it ceased to be even that.

A few months ago, my parents handed the keys over to a real estate agent and, for the first time in more than 40 years, were no longer homeowners. They headed southeast from Kentucky to a retirement community near my sister in South Carolina. If all goes as planned, they'll spend the rest of their days in blissful, assisted leisure.

For them, there will be no more fussing over gutter clogs, leaf piles, loose shingles or any of the other burdens of ownership. While their house has weathered the passage of time well -- even gotten more elegant in the absence of two squabbling, headstrong daughters -- my mother has not. My dad will benefit from the on-hand help with her care, and she will be less isolated by her declining health and mobility.

They feel freed by shedding the house and its baggage. I am thrilled for them -- and yet unexpectedly adrift.

I know how lucky I was to grow up in that solid red brick house: leak-free, clean and warm enough when it needed to be. But I find myself not mourning its loss.

For many people, a childhood home acts as a satellite heart, the warm and beating core of family. They're at their most complete in the center of it, surrounded by loved ones, with the artifacts of an idyllic past intact. A visit home comforts and charges them to face the challenges of the outside world; for me, it always chafed and drained my spirit. This was not the fault of the people inside. I was just wired incompatibly with the place I was raised.

Every room you live in preserves a frozen version of the person you once were, for better or worse.

A few blocks from the home I share with my husband and our dogs, I can stroll by the apartment building where I spent eight bachelorette years. I thrived, loved, cried, created and blossomed there, and I almost inevitably light up in recollection of happy times inside that fifth-floor walk-up.

That's rarely the case when I think of the house where I grew up. I was a weird, low and lonely kid when I lived there, awkward in my own skin and aching for the day I could fly far, far away and metamorphose into the adult I dreamed of being. At best, the house on Manor Lane afforded me refuge from a small-town suburban world that wasn't especially thrilled to have me in it.

My parents were kind and attuned enough to let me cocoon myself in the basement, setting up a painting (and, let's face it, sulking) studio where I was free to make terrible art and dreadful poetry and go about the business of being a misfit teen, biding time until my escape.

At worst, and especially after I'd moved away and begun building a happier life, a night back in my childhood bed could easily press the air from my chest. The room exerted a nearly physical force on my body, and I'd react by shutting down: sleeping too much, mostly to shield myself from the ghosts of my misfit past.

But they've begun to haunt my home 570 miles away.

Some parents institute a purge as soon as their children move away, unsentimentally chucking report cards, finger paintings, trophies and all the other detritus of youth. ("You better come get this stuff or I'm tossing it ...")

My parents were dedicated chroniclers of their daughters' lives -- the good, the bad and the terribly ugly haircuts. In the process of streamlining their belongings, they began shipping this stuff to us. The U.S. mail became a time machine, delivering odds and ends including third-grade conduct reports and an inexplicable pencil drawing of the main characters from "Moonlighting." (Like I said, I was a weird kid.)

Rereading the "deep" and deeply hackneyed poetry you wrote in high school can take you down a peg, no matter how strong your adult self-image. And it's incredibly disconcerting to see long-forgotten fossils of the past -- a spelling bee medal, a lumpy art class ashtray, a tragically dorky class picture -- existing in the same physical space as the carefully curated objects of one's grown-up home. But these things are mine now to do with as I wish, to display or discard, celebrate or finally exorcise. It may take time.

Meanwhile, there's a slight pang at the loss of a place I once lived, and didn't quite love. I'll never again skulk in that basement, sleep like the dead in that bed or dial that number by heart to hear my parents' voices, but I suppose that now, home is just wherever they are.

Where is home for you, and where do you want to return to visit or stay? Please share in the comments below and participate in our iReport assignment.

@highlight

Kat Kinsman's parents moved from the Kentucky house where she grew up

@highlight

Kinsman: "They feel freed. ... I am thrilled for them -- and yet unexpectedly adrift"

@highlight

They sent objects from childhood, which began to pile up on her desk at work