(CNN) -- No matter the years she has been away and the miles that separate her, Crystal Roles still calls Naoma, West Virginia, home.

She left the mining town with her high school sweetheart, soon after they graduated and married in 1989. But every trip back home -- to the area the world has been watching for days -- is a reunion with a special world for the coal miner's daughter.

"It's a breed of people, a group of people that are like nobody else," says Roles, 39. "The same people who are underground now, looking for the four missing, are kids I went to high school with."

Authorities confirmed early Saturday that rescue efforts had came to a grim end after crews found the bodies of four miners who had been missing since the explosion almost a week ago.

The death toll from Monday's blast at the Upper Big Branch mine now stands at 29, making it the worst mining disaster in the United States in nearly four decades.

Rescue crews going underground, Roles says, may have had "to step over one of their neighbors, a deacon in their church or someone who recently sat on the front porch with them having a glass of tea."

Since the explosion, outsiders have tuned in to the news from her hometown. But for those who live there or were raised in mining communities, the story will continue long after the media trucks pull away. Grounded in family ties, hard work and pride, it is a story that links generations and binds people together.

It is a life driven by harsh economic realities -- the need to have work and support families. It comes with a steep price: Miners hold one of the most dangerous jobs in America.

In West Virginia, the average miner brings home $68,000 a year, according to 2007 figures provided by the National Mining Association -- a salary the organization says is 100 percent higher than the average state wage.

Because of her deep connection to Naoma, Roles, who now lives in Hickory, North Carolina, has hung on every shred of information she can get. Text messages from cousins came almost immediately Monday evening. And through phone calls to her parents, she knows her 63-year-old father, Benny Crum, is a wreck.

See Roles' iReport posting

"I've cried ever since this happened. My heart is broke," Crum, a former miner, said Thursday night. "Coal miners -- it's like a fraternity. When it comes to one of them getting hurt, we all hurt. You want to go and help."

Forced into retirement 18 years ago, after he said black lung disease made the work impossible, Crum feels there's little he can do. Dependent on oxygen tanks, he listened to his scanner Monday night and watched and worried as others raced to the Upper Big Branch coal mine. Later, from his porch, he looked on as his community formed a candlelight vigil.

Being a coal miner was in his blood and all Crum ever wanted to do. The danger of his job, roof bolting -- or supporting the ceilings to keep others safe -- was like a drug that fueled him during 18-hour days. His father began working in the mines at age 12, the day after his own father died on the job.

"My daddy was a miner for 57 years. Most of his life was spent underground," Crum said.

Among the miners are men who defy the stereotypes held by some outsiders, Crum said. Though they are miners, they are also teachers, ministers, police officers. They're people who are trained and do this work because they are proud to, or because their other career choices haven't paid enough to support their families. Crum said he's seen coal miners quit to head off to medical school.

"They're not doing this because they're too stupid to do anything else," he said. "They're skilled and educated people -- not just a bunch of hicks."

And there's a work ethic that those connected to mining communities say is unmatched.

For about nine hours a day, six days a week, Kara Scurlock's husband, Brian, 31, works in a mine not far from Upper Big Branch. If he gets vacation time, she doesn't know it, because he never takes it. Given travel time from their home in Beaver, West Virginia, and down into the mine, he's gone about 12 hours a day. Deep underground, he works beneath a ceiling that stands about 3 feet high.

See Kara Scurlock's iReport posting

"It's cold, it's wet, it's muddy," and when these miners come home, "they're sore, they're tired, they're hunched over all night," she said. "When he [Brian] gets up and walks, you can hear his knees pop. And he stays congested. He's constantly hacking."

But her husband doesn't complain, she says. In his free hours during the day, he fixed up the house he purchased. He took time off from the mines in 2003 after his brother, Rodney, was electrocuted in the same Massey Energy mine the world is watching today, she said. But he went back soon after he and Kara married in 2005.

"It gets in your blood," said Scurlock, who is the granddaughter and great-granddaughter of coal miners. "I would stand behind him, whatever he chooses."

Scurlock worries about her husband but says he shows no fear himself. When he came home Monday night, she grabbed him, held him all night and cried.

Every day, when he leaves for work, the process is always the same, she said.

"He just makes sure when he leaves for work he gives me a kiss and tells me he loves me," she said. "And I make him carry a pen and paper in his bucket, so in case something happens, he can write a note."

Country singer Kathy Mattea still feels a deep kinship with miners and their families. Her two grandfathers were miners in West Virginia, where she grew up outside Charleston. One was an organizer in the 1920s and '30s for the United Mine Workers of America. When she heard the news Monday, she said she felt "an unexplainable grief for people I've never met that's with me all the time."

That feeling, during the Sago Mine disaster in 2006, inspired her 2008 album "Coal."

Mattea was 9 when an explosion in Farmington, West Virginia, in 1968 killed 78 miners, including an uncle of the state's current governor. She remembers "the pall over our household, how all the oxygen got sucked out of the place." That moment is what she always returns to when mine disasters strike.

If the recent mine explosion affected you, share your story

She honors her coal mining history and the people still living that life in simple actions. She wishes others would, too.

"When we flip on a light switch, we're part of the story," said Mattea, who lives in Nashville, Tennessee.

"It was hot enough yesterday to turn on the AC. And I thought, because I'm doing this, I'm directly linked to what's happening there. It felt different."

@highlight

Mine disaster shines spotlight on community steeped in pride, hard work and danger

@highlight

Former miner a wreck: "When it comes to one of them getting hurt, we all hurt"

@highlight

Miners include teachers, ministers and police officers, defying stereotypes, miner says

@highlight

Country singer Kathy Mattea feels kinship with miners; her history inspired "Coal" album