(CNN) -- In the world of economic and social development, lists are easy to come by. The class of leaders gathering in Davos are well aware that ranking nations -- by levels of freedom, ease of doing business, competitiveness, fragility -- has become a preferred sport for analysts working for governments, magazines, NGOs or think tanks around the world. But it's rare to find a surprising result.

Nevertheless, that's what economists Ricardo Hausmann and CÃ©sar Hidalgo, researchers at the Harvard Center for Economic Development, have produced with their new Atlas of Economic Complexity. In their global ranking of GDP growth to 2020, Uganda comes out number one.

That's a head scratcher. How could a tiny, land-locked African nation, best known for Idi Amin, lead a list predicting economic growth? There's more: Kenya, Tanzania, Zimbabwe, Madagascar, Senegal, Malawi, and Zambia round out the top ten. Hausmann and Hidalgo project that these countries will grow faster than most others in the world, including emerging market favorites Turkey, Brazil, and China. In fact, thirteen of the top thirty countries for growth are in sub-Saharan Africa. Sweden, France and Japan rank 100, 101, and 102.

Africa's 2020 growth vision

What gives? To look at the more established lists and tables for development, Africa is doing poorly -- at or near the bottom of the heap for GDP per capita, infant mortality, primary school enrollment -- you name it. To determine that the booming economies of the next decade lie in Africa, Hausmann and Hidalgo exit the traditional framework. Using international trade data since 1964, the pair developed a metric they call "economic complexity," which suggests that population growth, industrial webs and networked knowledge may reveal more about future growth than conventional metrics like life expectancy, formal education or political risk.

Not that these factors don't matter for everyday lives in Africa and beyond -- but I like to think of GDP as a metric useful for a certain kind of evaluation that can miss the wider, more human picture. The region's economic potential is more fully realized when complexity is the baseline.

What is economic complexity? The authors explain that "society functions because its members form webs that allow them to specialize and share their knowledge with others." The Atlas focuses on exported goods (not services), tracking how easy it is for an economy to leap from the simple (growing cotton, or making steel) to the complex (manufacturing garments, or building cars). The easier it is for a nation to diversify exports and, in turn, produce skilled workers and pricy exports, the more complex it is. Thus economic complexity, per Hausmann and Hidalgo, "reflects the structures that emerge to hold and combine knowledge." Notably, this includes demographic trends and social networks -- the webs and serendipities often lost in pure GDP analysis.

To derive their ranking for future GDP growth, Hausmann and Hidalgo track the gap between complexity and current income. And here is where things get interesting.

Portugal (115) and Greece (126), for example, have long been outperforming their comparatively low levels of complexity. Based on the lackluster distribution of human skills and knowledge in the private sector, both countries should be a lot less wealthy -- a prediction that may come to fruition soon. Singapore (66) and the United States (88) are very complex, but very wealthy -- there's not much room for improvement.

In Africa, by contrast, many economies are more complex than their levels of income suggest. Like many countries in the region, Uganda is poor and poorly governed -- but it's demographically young, and its private sector is finding its footing. Since 1988, exports have diversified from tea and coffee to soaps, oils, beer, cement, iron, steel, and machinery. The next decade will see a resulting correction in GDP -- based not just on the income from these exports, but on the leap in "collective knowledge" that comes from the expanded production.

Africa can teach the world to innovate

The authors acknowledge that the powerhouse nations of the OECD will still drive global economic activity, but that African countries will leverage existing complexity into income over time.

Africa's sunny outlook also comes from the report's privileging connections and systems over GDP. Studies suggest that up to 70% of economic activity on the continent is informal. This churning, parallel marketplace is off the map of official export statistics, but supports the development of what the Atlas authors call "know-where" -- a corollary of "know-how" that is a hallmark of growing complexity. This hidden advantage is further good news for Africa.

To be sure, the Atlas ignores the service-driven aspects of the global economy. But it also rejects the analytical habit that says the Millennium Development Goals are the most useful predictors of economic development. This posture has the legitimacy of accuracy: over 40 years of trade data, the Atlas outperforms the World Governance Indicators, and is ten times more accurate than the World Economic Forum's index of competitiveness.

This demonstrates the drawbacks with empiricism generally: Freedom House political rankings, the United Nations Human Development Index, World Bank reports -- not to mention analysis from Standard & Poor's, Moody's Investors Service, and other ratings agencies that proved fallible during regent financial upheavals. These can make sweeping claims that affect public and private decision-making. This Atlas -- in which resource-poor nations like Namibia and Ethiopia outperform Italy and Israel -- gets us closer to a different truth.

The opinions expressed in this commentary are solely those of Dayo Olopade

@highlight

Harvard researchers have a new way of predicting African countries' growth

@highlight

The new metric links the level of a country's complexity with wealth creation

@highlight

Olopade argues that Africa, therefore, may have a hidden economic advantage