(CNN) -- If the excessive lifestyles of the rich have been partly to blame for destroying the environment, then it seems equitable that they use their money to preserve it. But the degree to which they are actually helping does largely depend on what they do with their money. And some 'beneficiaries' of that aid are yet to be convinced.

Richard Branson, Bill Clinton and Al Gore at the Clinton Global Initiative last September.

According to last year's Merrill Lynch survey of the world's wealth, there are 9.5 million U.S. dollar millionaires in the world today, who have pocketed a cool $37.2 trillion between them. By 2011, Merrill Lynch says, this tiny (but growing) group of people will have more than $50 trillion in their bank accounts.

That money could go a long way to aid the fight against climate change and the different ills it brings. Fortunately, a modest proportion of this exclusive group of people have realized this. Around 11 percent of the world's richest gave 7 percent of their wealth to philanthropic causes in 2006; and 17 percent of the world's "ultra rich" (those with more than $30 million to their names) gave 10 percent, says Merrill Lynch. In total those donations totaled $285 billion.

Some of the more notable donors are household names: Bill Gates, Warren Buffet and Richard Branson all dug deep into their pockets in the name of doing good, the latter specifically promising $3 billion to fight global warming over the next 10 years.

Ted Turner, George Soros and Luciano Benetton have also contributed, notably buying land in South America in the name of conservation. Turner, the founder of CNN, owns more than 100,000 acres of land there; Benetton owns 2 million acres; Soros 1 million.

If you accept the fact that much of the world's environmental ills have landed on the shoulders of the world's poorest nations, then this looks like a match made in heaven.

"It is pretty hard for a country to turn down a gift of 300,000 hectares," Doug Tompkins, founder of clothing chain Esprit, told one reporter recently. Tompkins and his wife, Kristine McDivitt, former CEO of Patagonia clothing company, specialize in investing in national parks in South America and own around 900,000 hectares of Chilean and Argentinean land between them.

With the amount of money and influence these individuals possess, one key advantage they have is that they can get things done -- and quickly. Dutch philanthropist Paul Fentener van Vlissingen, for example, brought South Africa's Marakele National Park to life in "barely two years" by investing millions of dollars of his own money in it, completing a job "that would likely have taken more than a decade without his backing" reports The Age.

Philanthropy can spur backlash

But not everyone welcomes the foreign assistance.

The implication that foreigners can do a better job than those in the host country receiving the aid has been taken as an insult by some. And it has aroused suspicion elsewhere. In the 1990s Tompkins drew ire in Chile, including the Catholic Church and former president Eduardo Frei. The accusations against him ranged from from kicking workers off his land, promoting abortion, and creating a "Zionist enclave," according to the Natural Resources Defense Council.

When it comes to rain forests there is also a degree of concern among some environmental groups that any system that allows individuals to take ownership of vast swathes of environmentally crucial land is bound to be flawed.

In the case of the Amazon rain forest, Survival International has expressed concerns over the future of the rain forest inhabitants, the indigenous people. The organization points out that if the world really wanted to protect the rain forests, it would just leave them alone and let the people who have been protecting them for centuries carry on doing what they do best.

"The forest cannot be bought, it is our life; we have always protected it," tribal leader Davi Kopenawa told the Guardian newspaper recently.

Pragmatists would argue there are many ways to "protect" a rain forest. Yes, leaving them alone is the ideal solution. But when cash-strapped governments face ongoing pressure from logging companies, mining companies, not to mention the agricultural lobby to convert the land for other uses, there is only one thing that really counts: Money. And indigenous groups don't have any.

So, the argument goes, better a philanthropist own the land than a business interest.

The business of giving

A philanthropist deciding to do charitable work does not by itself guarantee successful results. Much can depend on the philanthropist doing the "right thing" with their money. George Soros, for example, could be seen as either an environmental savior or an eco-villain, depending on one's view of biofuels.

The philanthropist manages more than 170,000 hectares of Argentinean land, but his latest venture -- worth reportedly up to $300 million -- is to produce biofuel from corn and sugar cane grown in Brazil's Cerrado. That area of land is among the most endangered on Earth, with deforestation rates easily eclipsing that of the Amazon, according to Conservation International.

More than 50 percent of the Cerrado has been converted to farm land in less than four decades and there are genuine fears that by 2030, all remaining natural vegetation will have disappeared, reports the Washington Post. There will be one predominant reason for this if that happens: Worldwide demand for ethanol.

It should not be forgotten that the art of giving is a business, too.

Some of the favored destinations for philanthropic spending have been in areas of the world offering the potential for the biggest returns. It was the collapse of the peso which led to a collapse in land prices in Argentina that helped remote Patagonia become such a favored investment destination for the world's wealthiest.

Equally, if the price isn't right, environmental concern can go out the window. Cameroon has been trying to lease 830,000 hectares of its rain forest since 2001 in an attempt to raise capital and do the right thing at the same time. It could easily lease it to logging companies, but prefers not to, according to The Economist.

The problem is, Cameroon can't find a buyer, as no one has been willing to pay the asking rate of $2 a hectare, which would work out at a mere $1.6 million a year.

"The fine words of the rich-world's armchair conservationists butter few parsnips in the poor world," writes The Economist. "Here is a good opportunity to spread some butter." E-mail to a friend

Sources: Merrill Lynch; The Guardian; Treehugger; The Age; "Generation Deluxe: Consumerism and Philanthropy of the New Super Rich"; Natural Resources Defense Council; Washington Post; Los Angeles Times

@highlight

An estimated 9.5 millionaires in world are worth $37.2 trillion, Merrill Lynch reports

@highlight

World's elite rich gave an estimated $285 billion to charity in 2006

@highlight

Philanthropy can spur a backlash from host nations