Washington (CNN) -- Shortly after his $447 billion jobs plan stalled Tuesday in the Senate, President Barack Obama vowed to break the broad initiative down into numerous, separate bills -- potentially setting up even more showdowns between Democrats and Republicans on how to boost the economy and where to get the money to do so.

The Democrat-pushed bill failed Tuesday night to get the 60 votes needed in the Senate to proceed. A total of 50 members of the chamber supported the measure, while 49 cast ballots against it.

In a statement issued Tuesday night, Obama said that despite being an obvious defeat, "tonight's vote is by no means the end of this fight." He then outlined his intention to work with Senate Majority Harry Reid and produce several smaller bills derived from the bigger plan.

"In the coming days, members of Congress will have to take a stand on whether they believe we should put teachers, construction workers, police officers and firefighters back on the job," Obama said in a statement released Tuesday night. "They'll get a vote on whether they believe we should protect tax breaks for small business owners and middle-class Americans, or whether we should protect tax breaks for millionaires and billionaires."

The latter issue -- and, more generally, how best to pay for any jobs initiatives -- has been the most contentious in the debate, and the main reason the bill failed to go anywhere in the Senate.

Specifically, Republicans vehemently oppose a recently added provision that would fund the measure through a 5.6% surtax on annual incomes over $1 million. GOP leaders have accused the president of engaging in so-called "class warfare" for political reasons, while Democrats have called the proposal fair and accused their opponents of taking the side of the rich over the vast majority of Americans.

As he has repeatedly in recent weeks, Obama again pressed for Congress on Tuesday night to "meet their responsibility, put their party politics aside and take action on jobs right now." With the legislation to be broken down in several pieces, he said that legislators will now be forced to answer to their constituents "with each vote."

While the vast majority of Senate Democrats voted in favor of the president's job plan, a few -- including Ben Nelson of Nebraska and John Tester of Montana -- did not. Tester said, in a prepared statement, that "the things I support in this bill are outweighed by the things I can't support," including "sending billions of dollars in bailout aid to states."

The Senate version of the measure has little chance of clearing the Republican-controlled House of Representatives.

Administration officials had indicated earlier that they were prepared to try to pass the president's plan in smaller parts, if necessary. But it is unclear what -- if anything -- a sharply polarized Congress is capable of passing as the election year nears.

GOP leaders dismissed the president's plea, and characterized the plan as little more than a political stunt.

"This whole exercise ... is a charade," declared Senate Minority Leader Mitch McConnell, R-Kentucky. "Democrats have designed this bill to fail. They've designed their own bill to fail in the hopes that anyone who votes against it will look bad for opposing a bill they misleadingly refer to as a 'jobs bill.'"

"What matters most to the Democrats ... is that they have an issue to run on next year," McConnell insisted.

Among other things, the package includes an extension and expansion of the current payroll tax cut, an extension of jobless benefits to help the unemployed, new tax credits for businesses that hire the long-term unemployed, and additional money to help save and create jobs for teachers and first responders such as firefighters.

But it is the proposed surtax on people earning over $1 million that has emerged as perhaps the most contentious dividing line between the two parties. The provision was added by key Senate Democrats to make Obama's bill more acceptable to his own party.

Republicans insist the measure would be devastating to small companies.

"Four out of five of these so-called millionaires are small businesses" employing over 300,000 people, McConnell claimed last week in an interview on Fox Business Network. "Raising taxes in the middle of an economic slowdown is a bad idea."

In a speech Tuesday afternoon to a union crowd in Pittsburgh, Obama said that addressing revenue streams is necessary.

"In a perfect world with unlimited resources nobody would have to pay any taxes," he said. "But that's not the world we live in. We live in a world where we have to make choices."

Asked last week if he is laying the groundwork to run against a "do-nothing Congress" -- a reprise of President Harry Truman's 1948 campaign -- Obama told reporters: "If Congress does something, then I can't run against a do-nothing Congress."

But "if Congress does nothing," he added, "I think the American people will run them out of town."

With the economy remaining shaky and unemployment hovering above 9%, the economy is virtually certain to be the dominant issue of next year's presidential campaign. Obama has touted his new plan in a series of campaign-style speeches across the country over the past couple of weeks.

"Instead of trying to get compromise, (Obama's) embracing conflict," House Budget Committee Chairman Paul Ryan, R-Wisconsin, said Sunday on NBC's "Meet the Press."

The president is "running around the country campaigning on a bill that he knows won't pass -- he can't even get it out of the Senate right now -- rather than working with us on ideas that we agree on that would actually help create jobs."

"We want to go with ideas that work," Ryan declared.

The largest measure in the package is the expanded payroll tax cut, which comes at a projected cost of $265 billion. Employees normally pay 6.2% on their first $106,800 of wages into Social Security, but they are now paying only 4.2%. That break is set to expire at the end of December, and Obama wants to cut the tax in half to 3.1%.

Republicans previously embraced the cut, but have increasingly questioned its economic merit.

A second key measure -- estimated to cost roughly $44 billion -- is the extension of emergency jobless benefits to help the long-term unemployed. Lawmakers first expanded benefits to cover 99 weeks in 2009, and have since reauthorized the expansion five times.

McConnell has also blasted the bill as a whole, calling it a rehash of Obama's 2009 economic stimulus plan. Democrats insist that measure helped prevent a more serious economic meltdown, while top Republicans have characterized it as a failure that did little beyond adding to the federal government's skyrocketing debt.

"It reminds me of an old country saying at home that there's no education in the second kick of a mule," McConnell told Fox. "Our view is we've been there, we've done that, we know that doesn't work and we shouldn't do it again."

The 2009 measure "was a success in terms of job creation," House Minority Leader Nancy Pelosi, D-California, insisted later in the week. "It wasn't fully appreciated, but the fact is that it made a big difference."

The new proposal "is a much smaller package" but would be "a good start" in terms of job creation, she added.

CNN's Ted Barrett, Jeanne Sahadi and Martina Stewart contributed to this report.

@highlight

NEW: 50 senators voted for the bill, 49 against -- below the threshold for it to proceed

@highlight

Obama says he'll create several smaller jobs bills, each to come up for a vote

@highlight

Congress' failure to pass the bill could help set the stage for the 2012 campaign

@highlight

Republicans oppose the bill's 5.6% surtax on earnings over $1 million