(CNN) -- In a typical, unassuming classroom at Rosemount High School in the suburbs of Minneapolis, U.S. history teacher Josh Hoekstra had a very novel idea about how the subject is taught.

The 39-year-old husband and father of three has been teaching U.S. history for 13 years. He's seen firsthand the demise of U.S. history education, now our high school seniors' worst subject.

This school year, after watching his students' intense interest in college basketball's March Madness tournament (rather than school), Hoekstra invented his own teaching curriculum, called Teach With Tournaments, to transform U.S. history content into a similar competitive, student-driven tournament.

"There is no reason that teaching U.S. history in the 21st century cannot be an amazing experience for all involved," Hoekstra told me. "Kids need to make a personal connection with the people they are studying. Kids who 'hate history' are the ones who never were exposed to the human side of the people they are studying."

The goal of Teach With Tournaments is simple -- immerse students in the personalities and character of the great men and women of history through competition. For this school year, the tournament focused on one theme: the most courageous figure in U.S. history.

Each student chose a historical figure he or she thought best embodies courage in U.S. history, from military heroes such as Alvin York to civil rights leaders such as Martin Luther King Jr. and Rosa Parks to humanitarian pioneers such as Clara Barton. Each choice was then paired off in the bracket system.

Students were required to research their character's accomplishments and then defend their choice in front of the class. Afterward, the class voted and the winners moved on to the next round, eventually narrowing the field of 64 to one champion.

The genius of Hoekstra's plan is that his students are required to use new arguments for each round. Like a good coach draws up a new game plan for each opponent, so too must students innovate and dive deeper into their research.

It wasn't long before their competitive juices kicked in. In the first round of the brackets, Tom Burnett, one of the heroes of Flight 93 on September 11th, lost by the slimmest of votes to U.S. Navy SEAL and Medal of Honor recipient Michael Murphy. The girl who represented Tom Burnett was in tears over the outcome.

"This is a student who had become deeply connected to the person she was researching and was overcome with emotion. To see this type of passion from a 16-year-old girl in a public high school classroom is rewarding beyond words," Hoekstra said.

Over the school year, the brackets whittled down to two final characters, the aforementioned Murphy and WWII hero and Medal of Honor recipient John Basilone.

Before the final vote, Hoekstra asked his class for any last arguments. A student with special needs raised his hand and spoke on Murphy's behalf. He praised Murphy for sacrificing his life to save his team in Afghanistan, but he said what really makes Murphy his choice was that when Murphy was in 8th grade, he defended a special needs student who was being bullied.

"For this young man a personal connection was made beyond what was in the headlines," Hoekstra recounted. "Everyone in that room, including myself, learned something because that one nervous student with a shaky voice was emotionally invested in the material."

One special needs student discovered what millions of our students are missing -- a deep, personal connection to American history.

In the course of human history, the American story is great and unique, one filled with men and women of courage, character, and compassion. We must bring it to life for other students like Hoekstra did for his.

His Teach With Tournaments innovation may very well be one of the tools. Already teachers across the country are using it, Hoekstra says, and it's replicable for any subject or any classroom. (I came to know Josh when he called into my radio show, Morning In America. He uses some of my books in his classroom.)

Teachers like Hoekstra are a great influence on their students. Education expert Eric Hanushek estimates that the difference between a great teacher and bad teacher in a child's lifetime earnings is hundreds of thousands of dollars. But more important than paychecks, a great teacher instills in his students character and a passion for self-instruction.

In one of Hoekstra's brackets, WWII hero Audie Murphy lost to Louis Zamperini, the brave prisoner of war survivor and subject of the book "Unbroken." The young man representing Murphy was heartbroken that he didn't win. Audie Murphy was more than just a war hero, this young man argued. At a young age, Murphy's father left him and his family, leaving Murphy to hunt for food and provide for his many siblings.

At the same time, back at his home, this particular young man was watching his own father slowly succumb to cancer. He would soon be without a father and in a similar position as the young Audie Murphy. Like great teachers do, Hoekstra was preparing this boy for more than a history exam.

He was preparing him for life.

The opinions expressed in this commentary are solely those of William J. Bennett.

@highlight

A history teacher started using a "March Madness" style tournament to involve students

@highlight

William Bennett says Josh Hoekstra injected excitement into history

@highlight

Students were required to pick the person they think best embodies courage in U.S. history

@highlight

Bennett: Hoestra prepares his students for more than a test; he prepares them for life