Tunis, Tunisia (CNN) -- In the days following Tunisian dictator Zine el Abidine Ben Ali's ousting last January, some media reporting on the so-called "Jasmine Revolution" presented the internet as the unique factor that led to the fall of his authoritarian regime.

But was this revolution -- which I call the Dignity Revolution -- really driven by the internet? How did internet and social media help in overthrowing dictatorship?

Initially, traditional Tunisian media ignored clashes between security forces and peaceful protestors -- who rallied after the death of Mohamed Bouazizi by self-immolation -- in Sidi Bouzid. They then lied about it because, I believe, they were trying to impose a media blackout -- as it had been the case in 2008, during the social movement triggered by protests in the Gafsa mining region.

Nevertheless, videos showing Bouazizi's burning body and the clashes immediately starting circulating on the web. People captured Bouazizi's action using their cell phones; they recorded it and uploaded to Facebook.

A year later, Bouazizi's legacy still burns

I am one of those "geeks," who are constantly connected to the internet. I was in front of my screen that day when I found the video showing what was going in Sidi Bouzid.

I was shocked as it was not the first time a young Tunisian had committed suicide by self-immolation. Some months prior, Abdesslem Trimech had done the same, for similar reasons. I wanted to travel to Sidi Bouzid and see what was happening, but I was unable to afford it.

I did, however, want to spread the word about the horrifying incident. I was already in touch with lawyers and a large network of cyber-activists, so I contacted them to collect information, verify it, write about developments and share everything online.

This was not an easy task. My blog, Facebook profile and Twitter account were blocked, before being hijacked, probably by Tunisian cyber police. At first, I was able to circumvent censorship and update both my blog and Facebook profile regularly. But after the hijacking episode, I had to create new accounts.

My profile had grown through December, as I took part in demonstrations denouncing the violence used against peaceful demonstrators, and shared my photos and video on Facebook and Twitter.

At the time, I was also assisting foreign media by giving phone and Skype interviews. On January 8 last year, some French journalists asked me to assist them in the protest areas. I did not think about it at all. I just packed and accompanied them.

Tunisians mark anniversary of president's ouster

This journey took us to Djelma, Sidi Bouzid, Regueb, Sbeitla and Kasserine. I took photos of the dead and succeeded in capturing some of the atrocities and crimes of Ben Ali's regime and police against peaceful protestors.

I was posting everything on the internet. On January 9, when I was in Regueb, I went to the house of Nizar Slimi, a young man killed just a few hours prior to my visit during a massacre in the city which I suspect was committed by police. It turned out to be a key day in my trip.

When I shared my photos, plus images and videos that young residents of the city had given to me to spread through the internet, I was contacted by journalists and people from all over the world.

By this time, cyber activists were sharing my work spontaneously, and I was doing the same with theirs. And this is the strength of the internet. The overlapping of contacts and sharing of information by those belonging to the same networks allows the dissemination of information among thousands in a short time.

What happened in Sidi Bouzid surprised us, as it surprised the entire world. I had not coordinated as I had for past campaigns; it happened automatically.

Former Tunisia leader faces trial over killings

A previous campaign I had been involved in was "Nhar Ala Ammar," a demonstration against censorship that was organized in April 2010. That campaign did, indeed, convince people to leave their screens and to act on the ground.

I do not think the internet was, in and of itself, the reason behind the success of Tunisia's uprising. However its use, and cyber activists' ability to share information and mobilize people, pressured Ben Ali's regime.

But the internet was only one in a long chain of factors which led to the revolution. Tunisian people were rising up against the socio-political situation. They were willing and determined to get rid of injustice, corruption, nepotism, and poverty.

It was the nation's longing for freedom, dignity and social justice which led to the end of Tunisia's dictatorship. People fed up with oppression and inequality defied the violence of the police of a threatened regime.

We should never forget that in Tunisia everything started on the ground, in real life. We should never forget that 300 Tunisians, both men and women, sacrificed their lives to allow us to live in dignity.

The opinions expressed in this commentary are solely those of Lina Ben Mhenni

@highlight

The Tunisian uprising was triggered by Mohamed Bouazizi's death by self-immolation

@highlight

Videos showing Bouazizi's burning body circulated the web

@highlight

Lina Ben Mhenni posted online what she saw of the revolution, it was spontaneously shared

@highlight

But she says the internet was only one thing in a chain of factors which led to the revolution