A moment of truth approaches for President Barack Obama's signature health care reforms with Saturday's self-imposed deadline to get the website to work properly for most users.

Obama and officials in charge of HealthCare.gov say the "vast majority" of people who go to the website to sign up at the end of the month will have a much improved experience than the crashes, error messages and delays users faced when it launched October 1.

However, problems continue to plague the system, and technology experts question if the fixes being deployed by a team of government workers, outside contractors and specialists can get it functioning smoothly as soon as Saturday.

Luke Chung, president of Virginia-based software developer FMS Inc., called the administration's prediction that HealthCare.gov would work at 80% capacity on or around November 30 an impractical threshold in the software world.

"I don't know how to build something that's only 80% complete," Chung told CNN. "I don't even understand how that works."

The website woes raised questions about the viability and security of the system, and opened the reforms known as Obamacare to fresh attacks by conservative Republicans who seek to dismantle or eliminate them.

More bad news emerged Wednesday when the administration announced the website will be unable to enroll small businesses online for another year.

White House: Enroll in Obamacare, but not too fast

Small businesses can enroll in other ways in the special small business system known as SHOP, but problems with HealthCare.gov have prevented their online enrollment so far. It was the third delay of the SHOP Marketplace component of the website, this time until November 2014.

For now, "small businesses will be able to enroll directly in a SHOP plan through an insurer, agent or broker and can get certified for a tax credit after they enroll," said Julie Bataille, a spokeswoman for the Centers for Medicare and Medicaid Services that oversees the rollout of the reforms.

The Affordable Care Act doesn't require companies with fewer than 50 employees to buy insurance for workers, though workers are required to have coverage. Employers who choose to provide coverage for their workers may qualify for subsidies to reduce their costs.

"We expect that making direct enrollment, tax credit applications and comparison shopping easier will help to ensure that small businesses can take full advantage of the marketplace and tax credits worth up to 50% of employee premiums in 2014," Bataille said.

However, the head of the International Franchise Association complained the delay in online enrollment made it harder for small business owners to get all the information they need to enroll.

"With this delay, it will also call into question how the small business tax credit is applied," said Steve Caldeira, the group's president and CEO. "Not having the ability to apply electronically will now make this process more confusing, cumbersome and time-consuming for employers."

Republicans pounced on the news, with House Speaker John Boehner urging Obama to delay implementation of the entire Affordable Care Act.

"This law has been an absolute disaster, leaving us to ask, 'What's next?' " the Ohio Republican said in a statement. "If the President won't repeal it, he should at least delay the entire law before it wreaks any more havoc on American families and small businesses as well as our economy."

Boehner signs up for Obamacare

Meanwhile, insurance industry insiders told CNN on condition of not being identified that problems continue with the transmission of data submitted by people signing up for coverage through HealthCare.gov.

"There's no part of us that thinks all of this will be fixed in three days from now," an industry official said, referring to the November 30 date for the site to run smoothly for most users.

Robert Zirkelbach, a spokesman for the insurance trade group America's Health Insurance Plans, said that "there is still a lot of work to be done to make sure that enrollments can be done and processed accurately."

Insurers: Despite deadline, Obamacare glitches persist

Wednesday's developments came as the Obama administration prepared for a potential surge in online enrollment over the weekend.

According to a White House official, the administration suggested this week that allied organizations hold off on launching campaigns to drive traffic to the website in the first week of December.

Officials fear another huge surge in volume that the site can't handle, which is what occurred around its launch in October.

HealthCare.gov was originally planned to handle 50,000 concurrent users, and will reach that capacity by Saturday, the White House official said.

However, big spikes in traffic -- such as the 200,000 who tried to get on at the same time on October 1 -- would cause users to go into a queue to receive e-mails advising them when to return, the official noted.

Publicly, Obama and Health and Human Services Secretary Kathleen Sebelius have been urging Americans to give HealthCare.gov another try, though they make clear it remains a work in progress.

The November 30 target for website improvements "does not represent a relaunch of HealthCare.gov; it is not a magical date," Bataille told reporters. "There will be times after November 30 when HealthCare.gov does not function properly."

Website woes aside, a new CNN/ORC International poll released Wednesday showed a majority of Americans believe the current Obamacare problems can be solved, and the figures for overall support and opposition remain little changed from a month ago.

In a conference call Tuesday with state and local officials, Sebelius listed steps taken so far to improve the website's performance.

"We've added hardware, we've added software; we're continuing to work on the parts of the website that were too confusing to people," she said, urging the officials "to not hesitate to recommend that people go to HealthCare.gov and get signed up because that experience is currently working much better and it will continue to work much better."

Sebelius: Obamacare website improvements 'on track'

A properly functioning website is crucial to implementing the most vital provisions of the Affordable Care Act that require people to have health coverage.

The failure of HealthCare.gov to enable people to enroll when the sign-up period began last month undermined the launch of new health insurance exchanges intended to provide affordable coverage for millions who previously were uninsured or under-insured.

In theory, the exchanges create large pools of customers that include generally healthier and less-costly younger people as well as older folks who tend to require more expensive health care.

Such large markets would hold down prices by allowing insurance companies to offset the higher costs of aging consumers with the money from lower-cost policy holders, the thinking goes.

For the program to work, it needs to sign up younger people less inclined to pay for health coverage they don't believe they need.

The GOP opposition targets the entire health care law, not just the website woes, as the ultimate example of big government run amok.

Enrollment figures for the first month after the opening of the new insurance exchanges were much lower than initially expected. Now some states have reported stronger numbers.

According to a CNN count based on available figures, a little more than 200,000 people have signed up for new private health insurance under Obamacare -- either through the national system or networks set up in 14 states and the District of Columbia.

In addition, more than 370,000 have signed up for Medicaid under state programs expanded through the health care reforms, the CNN count shows.

The enrollment period runs until March 31, and officials have said the target for the first year was 7 million people. To ensure they have coverage starting on January 1, consumers must sign up by December 23, the administration recently announced.

Chung, the software expert, cited December 23 as the most significant deadline, noting that demand would be huge because people by nature wait until the last minute.

Success for the website would be determined by both the number of users as well as how long they are in the system, Chung said, comparing it to a highway on which 50,000 people traveling 60 mph is smooth traffic while the same number going 10 mph is a jam.

Also Wednesday, seven Democratic senators, including some up for re-election next year, asked Obama to appoint a special health care overseer to ensure continuity in efforts to fix the problems.

Sebelius is technically the top administration official in the implementation of Obamacare, but former White House aide Jeff Zients was brought in last month to oversee efforts to fix the site. Zients will become a top economic adviser to Obama in January.

In a letter, Sens. Jeanne Shaheen of New Hampshire, Richard Blumenthal of Connecticut, Mark Warner of Virginia, Christopher Coons of Delaware, Mary Landrieu of Louisiana, Mark Udall of Colorado and Tim Kaine of Virginia called for Obama to name a  successor to Zients.

Separately,  an HHS official confirmed the government will go with a new Web-hosting contractor, Hewlett-Packard, for HealthCare.gov early next year. The current contract with Terremark ends in March.

The official said the decision to go with a different vendor was made months before any problems with HealthCare.gov were identified and was unrelated to an outage that struck the site in late October, which the administration blamed on the Verizon subsidiary. The HP contract was signed in July.

Supreme Court to take up Obamacare contraception case

CNN Analysis: No Obamacare subsidy for some

Obamacare site's Anonymous Shopper shelved

GOP Obamacare playbook: Spread negative perception

@highlight

Saturday is the administration's deadline for HealthCare.gov to work for most users

@highlight

Officials say the website will work better but warn that some problems will persist

@highlight

Latest snafu: Small businesses can't enroll online for a year

@highlight

Tech expert: Success means high traffic moving fast and smoothly