Designer Ross Lovegrove is known for his clean, organic designs with flowing lines seemingly effortlessly merged with function. CNN spoke to him about water bottles, bubble cars and his approach to design.

CNN: How would you describe what you do?

Ross Lovegrove: What am I? I'm a designer, but of course that's a loose term these days. And often when I meet people and say I'm a designer, they say, "Oh, a fashion designer." Which is not a bad thing I suppose, a bit groovy.

But I'm a designer and I work with industry, so I suppose I'm an industrial designer. It's not as grimy, not as deep and dark as that sounds, 'cause industry these days is very different.

I'm also a humanist and I'm a sort of evolutionist in some ways, because what I do conforms to the concept of evolution, progress, adaptation within the field of making objects that we use everyday.

CNN: Why did you choose design as a career?

Ross Lovegrove: This was the profession where you could converge invention with the art of drawing and communication. I'm involved in everything from highly progressive lighting systems to airline interiors. In the field of transportation I can go from the micro to the macro: architecture, transportation, industrial product design, right across the board. It's Russian dollism, because they all interrelate: one goes into the other.

CNN: Tell us about some of your designs.

Ross Lovegrove: I did the world's first commercial transparent product. It sounds a bit superficial but looking inside objects celebrates every aspect of them and that's a very beautiful thing. I did the world's first digitally generated global product, my water bottle [for Ty Nant]. I worked on the first Airbus A380 program. The world's lightest suitcase, the world's first bamboo bicycle, the world's first ceramic-bladed razor -- it lasts 25 times longer than a Bic -- the world's first solar-powered commercial light, ten years ago. See some of Ross Lovegrove's designs.

CNN: Is design a profession that's always moving forward?

Ross Lovegrove: That's a lovely question in terms of how one improves, in an incremental way, that which once existed: everyday objects that we think have been done.

The beautiful thing about design today is that we're looking at the possibility of re-inventing things. Recently I worked on a pen, for example, which is made on a 3D printer, so if you've got one of these printers you can download my data and print yourself this amazing net-like pen. It is a very complicated thing, a very beautiful, very aerated art object.

It's the idea that everyday objects could actually be revisited and improved in some way. Something like the water bottle is a perfect example of this. Why not celebrate it? Without water there's no life. It's a fundamental resource that needs to be held up in the public realm every day as something that's very important to us rather than being a disposable commodity.

CNN: Tell us about the process when you design something.

Ross Lovegrove: Take the water bottle again. You find a trinity between process -- how you make these bottles industrially and efficiently; material -- the material is nontoxic, doesn't leech into the water; and is beautifully optical; the ergonomic value that you get through the surface so it means everybody who engages with it has this sort of, "Oh my goodness!" and structure -- the new digital process -- you couldn't have done that years ago, it's a totally contemporary product. The bottle is a bit of a eureka because everything works in harmony.

CNN: The sense of touch is so important to your work. Why is that?

Ross Lovegrove: The world we live in is not purely visual. For me it's totally poly-sensorial so the tactile, sensual aspect of living in the work that I do is brought to the fore.

CNN: Tell us about your relationship with nature.

Ross Lovegrove: Nature is a very big part of my work and always has been. I've never seen it as a trend or a fashion. It absolutely can not be because it's fundamental to life. Nature has this magic to it. Things grow effortlessly, benignly without violence or heat.

One of the clues towards our future survival is the concept of bio-mimicry, where we study nature, learn from its intelligence and copy it one way or another. Nanotechnology is beginning to do that; how we apply these things to be as succinct and economic as possible so there's no waste.

CNN: What's your aim in life?

Ross Lovegrove: I'm interested in developing an aesthetic for the 21st century which comes from the intelligent use of resources, materials and structures. I'm not interested in copying the past just 'cause there was a funky chair done in the 50s, I'm interested in absolutely brand new, newborn, virgin ideas for things: lightness, transparency, things that you see in nature. Nature is fat free, it's fit. You tell me what you see in society that's fit, in terms of objects, products, people often.

CNN: Do you think that's changing?

Ross Lovegrove: Maybe in the next 15 years we'll see a fitness coming through, we'll see blending of ideas into everyday objects where we've got to make everything go a bit further, work a bit better. We've got to challenge 20th century values, which shifted from need to desire.

CNN: How do you see that happening?

Ross Lovegrove: I think people need to be less passive. They need to voice their opinions more. Things are very different now because of the way we communicate through the Internet, so maybe those big changes will not come from corporations, which are steeped in other ambitions. Maybe the future is in the hands of individuals and smaller people.

And now with the Internet, even if it's a small product you can sell a different way, rather than slogging away at large corporations.

CNN: Your designs are extremely innovative. How do you persuade people in industry to take such brave steps?

Ross Lovegrove: You sow the seeds in the hope that maybe somebody enlightened within the corporation would want to put their neck on the line to try to develop something which everybody would benefit from.

CNN: Are people ready for groundbreaking designs like "Car on a Stick"?

Ross Lovegrove: Right now, we have this massive freedom in being able to buy and use and park without really thinking about the common collective consequences.

I don't want to sound too stern about this, but in the future the city car has to become a democratic shared object. We can't all have a car. One man, one car and we're all dead. It's incredible the numbers we're talking about now in emerging cultures now like India and China.

But this is not doom and gloom: this is an amazing opportunity for somebody to build fantastic new economies out of things that we need and are not going to go away. The world needs a sensible car.

CNN: What's the next step for "Car on a Stick"?

Ross Lovegrove: The next step is to find an enlightened entrepreneur who likes the idea of building it. Prototyping it and showing it at an automotive show wouldn't be that expensive.

The difference between sitting here and just looking at one, and sitting here and driving one, is only money. Only money and a will. I'd love to have one of these parked upstairs, it'd fit the studio perfectly.

....................................

What do you think of Ross Lovegrove's work? What do you make of his "car on a stick"? Share your views -- or read others' thoughts in the Just Imagine forum. E-mail to a friend

@highlight

Lovegrove describes himself as industrial designer, humanist and evolutionist

@highlight

He says the Internet will play a crucial role in changing the world

@highlight

Lovegrove: "In the future the city car has to become a shared object."