(CNN) -- Packaging can change how people see things. And when it comes to sex, it could maybe help save lives too.

The Center for African Family Studies (CAFS), a Nairobi-based international NGO, has teamed up with Kenyan artist Michael Soi to create an eye-catching condom line with pop art-inspired packaging to promote safe sex and raise awareness about HIV/AIDS.

The group has turned to crowdsourcing website Indiegogo to raise funds for its campaign, which aims to encourage condom usage among local youth in a country where an estimated 1.6 million people struggle with HIV/AIDS.

"They were giving out free condoms when I went to the HIV conference in Cape Town recently," says CAFS director of operations Jonathan Spangler. "These condoms were brightly colored, like nothing seen in Kenya -- glow in the dark, different flavors, different prints. We put a picture of them on Facebook and we had youth calling us up asking where they could purchase them," he adds.

"We've never had that sort of reaction to CAFS programs. So we said why don't we try produce our own condom line because there seems to be a market. We want to innovate and create new programming that is sustainable and even generates income for the youth," he adds..

Stigma vs. safety

HIV/AIDS continues to be one of the most prominent public health obstacles many African countries face today. In recent years, the disease -- which had reached epidemic proportions -- has started to decline in Kenya as a result of stronger public awareness campaigns and the impact of local education programs.

While the outlook is positive, campaigners say more needs to be done to continue to reduce the threat of HIV/AIDS in the country -- a start could be made by tackling the stigma surrounding the purchase of condoms.

"Most people are actually very afraid of going to vendors in supermarkets and chemists to buy condoms because we are a fairly reserved society," explains Genevieve Imbali, communications and marketing officer at CAFS.

"Most people aren't very open to the idea that very young people might walk into a shop just to buy condoms because nobody wants to be known to be having sex ... There is so much stigma associated with condom purchase in the country."

Eye-catching designs

To address this, the bright packaging of CAFS' colored condoms is specifically designed to disguise the product inside.

Imbali explains that by making condoms less obvious, more people will be willing to buy them. She also says that the condoms currently available in the country are either too expensive or low quality -- issues, she claims, will be tackled with the CAFS condom line.

"For the condoms that are given out for free at schools, the youth still do not take them," argues Imbali. "They look at them and think: 'You know what, you are giving this for free but they are not good quality.' So they'd probably just have unprotected sex rather than use the ones that are easily accessible."

Collaborating with artists

But getting an artist to agree to provide designs for the packaging became a struggle. Many didn't want their work associated with sex and CAFS hit a roadblock -- until they met with Michael Soi.

The Nairobi-based artist is well-known for his bold, but often controversial, themes placed within his paintings. Unafraid to shy away from taboo subjects like sex and interracial relationships, Soi was more than happy to collaborate with the NGO.

"I felt like everybody is basically trying to deal with this whole issue -- HIV, unwanted pregnancies -- and when I talk about everybody I mean the church is doing whatever they can, the government is doing whatever they can," says Soi.

"I felt the project was a good thing. I wanted to try to chip in and create something that would help fight a good fight," he says.

Soi explains that sex isn't discussed openly and that as a result many young people learn about the dangers of unprotected sex the hard way -- through experience. However, he does believe awareness is increasing and he hopes his work will continue to change attitudes surrounding sex in Kenya.

"I think it's important to try and play a part and make sure that people will not go through the same mistakes as what my generation has gone through."

READ THIS: How medics saved lives at Westgate

READ THIS: Tales of triumph from a top surgeon

@highlight

Kenyan youth face social stigmas purchasing condoms, according to the Center for African Family Studies in Nairobi

@highlight

The NGO has launched a crowdfunding campaign to start a line of pop art condoms

@highlight

They say putting art on packaging disguises condoms and encourages safe sex