Monmouth, Oregon (CNN) -- Images of destroyed homes, people sleeping in the streets and broken freeways reveal the recent tragedy of Chile. Who would think that after the horror of Port-au-Prince, restless geological plates would so quickly wreak havoc in another nation? The Earth seems at war with itself.

But, as many have observed, Chile is not Haiti. Chile's economy is one of the fastest-growing in Latin America. This earthquake will do little to slow down that down. In Santiago, dominated by industries, corporate offices and financial institutions, most people will return to work within a week.

But there is another side of Chile for which the picture cannot be as optimistic: the depressed areas that have never enjoyed the nation's economic boom. These are "callampas," or impoverished wards of major cities and small towns that have been bypassed by progress. Unfortunately, the earthquake has hit these areas the hardest. The question is now, how will the government address these people's need for housing and employment?

In stark contrast to the coast, inland from the quake's epicenter are some of the finest vineyards in the country. They were spared by the tsunami that destroyed some coastal towns, and although they sustained some damage from the quake, their grapes will soon be on our tables to join the avocados and berries that Chile shares with the Northern Hemisphere.

In recent decades, the country has also become a major exporter of forest products. Tree plantations and pulp factories are situated within a hundred-mile radius of the quake's epicenter; mills will return to production soon. Farm-raised fish are harvested farther south, and these exports will likewise continue.

And Chile's most important export continues to be copper and other minerals. The majority of these mines are in the northern desert, out of range of the quake's damage. When copper prices reached all-time highs earlier in the decade, Chile created a multibillion-dollar "rainy day" fund, which it will now draw on to rebuild the country.

But now the country's greatest challenge will probably not be economic recovery; rather, it will be social recovery. Why? The globalization model followed by Chile's University of Chicago-trained economists is largely responsible for the nation's affluence.

These economists began as university professors, but under Gen. Augusto Pinochet, they designed the key policies of trade, investment and employment. While this model promoted growth, it held down wages and benefits, which prevented many working-class people from benefiting from the country's bonanza.

The export-oriented economy did not create many higher-paid manufacturing jobs. Unskilled, low-paying jobs predominated. The people employed in these positions are the most affected by the quake. In Santiago, they occupy many of the older buildings in the hard-hit core of the city. On the coast near the epicenter, they live in the humble dwellings flooded or washed away by the tsunami.

Under Chile's globalization model, some inefficient coal mines in the Concepción area closed in the 1990s when they could no longer compete with higher-grade, cheaper coal from Colombia. The same occurred with the area's textile mills. As a result, unemployment is higher in the quake area than in the country as a whole, a situation that promises to worsen in the aftermath.

Since democracy returned to Chile in 1990, a coalition of center-left parties has governed the nation. Although it has addressed social issues and sharply reduced the nation's poverty rate, the booming economy, "which raises all boats," has yet to get theirs off the beach. For many, the tsunami sank their boat.

President-elect Sebastián Piñera, who takes office March 11, is the first moderate-conservative in two decades to govern Chile. Ideologically, he opposes an activist state, which addresses poverty as an issue separate from general economic prosperity.

His first public statement after the quake called for public order and an end to vandalism. He also urged repairing water and energy services. Once in office, he will need to rebuild freeways, bridges and public buildings as quickly as possible. This will create many jobs. But Piñera, an advocate of privatization, has spoken of no plans to modify globalization policies: a plan to lift those boats.

Chilean leaders have a mixed record in rebuilding after severe quakes; effected areas rarely recovered well. In 1906, the country's main port of Valparaiso suffered a devastating quake only four months after San Francisco was almost destroyed. The rebuilding was slow as the country's economic center definitively shifted from the port inland to Santiago.

When a severe quake hit in 1939, the Popular Front government created a new business-government economic model to address the crisis. In 1960, the largest quake in world history decimated the picturesque port of Valdivia. Buildings sank, and rural grazing land turned into lakes. The conservative government borrowed heavily abroad and tried a number of fiscal innovations to get the country on its feet.

Past governments rebuilt Valparaiso and Valdivia, but the cities never regained their former leadership roles. The recent Concepcion quake hit Chile's second-largest industrial city. As the government rebuilds it, and the city attempts to regain its prominence, Piñera must carefully weigh how his privatization model will help those most affected by this tragedy.

The people in depressed communities need jobs, housing and education. Chile will continue to provide economic leadership in the hemisphere, but in addressing this current tragedy, can the nation provide social leadership as well?

The opinions expressed in this commentary are solely those of John Rector.

@highlight

John Rector says that unlike Haiti, Chile can rebuild on strong economy

@highlight

But existing problems of low-wage jobs, unemployment now made worse, he says

@highlight

Incoming president must modify globalization goals, focus on social problems, he says

@highlight

Rector: Chile must provide social leadership, not just economic