On Veterans Day, former Army special ops officer Gary Linfoot took a brisk stroll around the Statue of Liberty.

That's remarkable because Linfoot is a paraplegic -- injured while on one of his many tours of duty in Iraq and Afghanistan. He's been wheelchair-bound and paralyzed below the waist since 2008.

But new technology has offered Linfoot the opportunity to walk again.

The bionic suit

It's possible because of a kind of wearable robot -- a full-body apparatus developed by California-based Ekso Bionics. Built-in sensors detect the user's weight shifts and initiate steps. Battery-powered motors drive the legs and make up for deficits in neuromuscular function.

Linfoot is the first veteran to receive the Ekso suit for personal use.

It's a gift made possible through a nonprofit organization focused on mental and physical issues facing returning veterans and their families.

"We were able to surprise the heck out a great soldier of ours. He's now marching around," said Colin Baden, president of Infinite Hero Foundation.

The symbolic walk signals Linfoot's determination to move on -- and the backdrop of the Statue of Liberty National Monument represents "the freedom I fought for," said Linfoot.

Special veterans court marks 25th anniversary

One soldier's strength

A highly decorated soldier, Linfoot was a member of the U.S. Army's elite 160th Special Operations Aviation Regiment (Airborne). During his 19th combat tour in Iraq, his helicopter had a mechanical failure and crashed.

After just three months of rehabilitation, Linfoot returned to duty as the officer in charge of the Special Operations Aquatic Training Facility. Since retiring from service in 2010, he has pushed hard to overcome limitations. Linfoot now lives with his wife, Mari, in Clarksville, Tennessee.

He will provide crucial information to advance the technology of the bionic suit. It's in limited, trial use at hospitals and rehabilitation centers for patients with spinal cord injuries or those who've suffered strokes.

Fast-moving technology

Creators of the Ekso suit predict the kind of rapid availability seen with other technology in recent years. "We definitely see opportunity to reduce the cost (currently about $100,000). When you look back in time, only a few people could afford the first cell phones. Now, the masses can enjoy that technology," said Ekso Bionics co-founder Russ Angold.

The idea was originally funded by the Defense Advanced Research Projects Agency, the U.S. Department of Defense agency that has a history of world-changing innovations.

Today, many entities are working to broaden applications of the wearable robot. A team of engineers and medical doctors at Georgia Tech Research Institute is working to enhance sensors in the suit that would make mobility possible even in difficult terrain.

"Technology is developing not only to help people walk again, but to help retrain neural pathways and mend the ruptured spinal column so that it can regenerate," said GTRI Health Systems Technical Director Dr. Shean Phelps, a former special forces officer.

Veterans find a new way to serve -- in the kitchen

The scope of paralysis

In this country, some 6 million people -- one in 50 -- live with some degree of paralysis, according to a 2009 report by the Christopher & Dana Reeve Foundation. Actor Christopher Reeve, who was outspoken about his resolve to walk again after a paralyzing accident, died in 2004. At that time, the concept of the robotic exoskeleton was still in its infancy.

"It was science fiction technology. That is what we were working on," said Angold. "Here we are less than 10 years later, and we're helping people walk again that otherwise couldn't. And so we've brought science fiction to reality in a very short period of time."

Just five people in the world own Ekso suits. One of the pioneers is endurance athlete Mark Pollack. Though blind and paralyzed, he recently set a record -- walking the equivalent of a mile and a half in a one-hour training session.

Symbolic steps

On this day, a crisp, clear afternoon in November, Gary Linfoot stands his full 6 feet, 2 inches tall and walks again.

The site is significant on many levels. The Statue of Liberty is a universal beacon of freedom and part of the National Parks Service, which offers free, year-round access to all national parks for disabled veterans.

"Being here on Veterans Day with New York City in the background -- it's very special," says Linfoot. "It exemplifies hope for the future. One day, one day soon, we'll be able to leave that wheelchair behind."

Members of Congress thank veterans on Twitter

@highlight

Gary Linfoot has been wheelchair-bound since 2008

@highlight

On Monday, he used a new exoskeleton to walk around the Statue of Liberty

@highlight

He's the first veteran to receive the suit for personal use