Princeton, New Jersey (CNN) -- Despite all the questions surrounding the war in Afghanistan, congressional Democrats have not challenged the administration's policies since President Obama announced a surge of troops in 2009.

The release of classified documents about the war by the website WikiLeaks seemed to have no impact on Capitol Hill. The same week that the documents were released, the House approved legislation with almost no debate that will provide tens of billions of dollars for the war effort.

Even though the Senate Foreign Affairs Committee is chaired by John Kerry, who entered the national spotlight in the 1970s with his riveting testimony before the Senate Foreign Relations Committee about the problems with the war in Vietnam, the panel has been relatively quiescent.

Democrats don't want Afghanistan to become a political problem for Obama. Their party is having enough trouble as a result of the recession and the deficit that they don't want to give their opponents one more issue to run on. Democrats, who have suffered for decades when being attacked as "weak on defense," also fear that any questions about the war will open them up to those attacks again.

But Democrats who have doubts about the war can't afford to be silent. When Congress doesn't publicly ask tough questions of the White House, poor decisions have often ensued.

The decision over funding Afghanistan came one week before the the 46th anniversary of the passage of the Gulf of Tonkin Resolution on August 7, 1964.

On August 2, 1964, the North Vietnamese attacked the USS Maddox. Two days later, there were reports of another attack, although there were doubts at the time that the incident occurred.

President Lyndon Johnson used the reports of the attacks to call on Congress to grant him authority to take action. As Republican presidential candidate Barry Goldwater was criticizing the administration's Vietnam policies, Johnson requested a congressional resolution authorizing him to take "all necessary measures to repeal any armed attacks against the forces of the United States."

Congress passed the Gulf of Tonkin Resolution on August 7. The House unanimously supported the measure, and in the Senate the vote was 88-2. Johnson was elated. He watched his poll numbers rise. The resolution, according to Johnson, was like grandma's nightshirt, because it "covered everything."

There were many people in the summer of 1964 who were warning the president to avoid escalating the war in Vietnam. Most remarkable was the intensity of the opposition in Congress that came from across the political spectrum. The criticism came from all sources.

Liberal Democrats such as Frank Church of Idaho said the intervention was dangerous and unnecessary. Senate Majority Leader Mike Mansfield had asked the president, "What national interests in Asia would steel the American people for the massive costs of an ever-deepening involvement of that kind?"

Florida Democrat George Smathers, certainly no leftist radical, complained that he had been all over Capitol Hill and couldn't find any legislators who thought, "We ought to fight a war in that area of the world." The journalist Max Frankel quipped: "It is beginning to look as if the Democrats plan to be their own most vigorous critics in this year's election debate."

The most trenchant warnings came from one of the most hawkish members of Congress, Georgia Democrat Richard Russell, Johnson's mentor in the 1950s and the leading figure in the Southern caucus. On May 27, 1964, Russell had called Vietnam the "damn worst mess I ever saw" and said he felt that "the more we try to do for them, the less they are willing to do for themselves."

When confronted with proposals to withdraw forces from Vietnam, Johnson could not stop thinking about the high political price Democrats had paid in the 1950s because of Republican accusations about not being tough against communism. He hesitantly accepted the analysis of hawkish advisors like Walt Rostow, who said that if South Vietnam fell to communism, so would the rest of the region.

"I'm not going to lose Vietnam," Johnson told his ambassador to Vietnam, Republican Henry Cabot Lodge. "I am not going to be the president who saw Southeast Asia go the way China went."

The months surrounding the Gulf of Tonkin Resolution were a test, not just for Congress but for Johnson. Confronted with trenchant criticism of escalation, he decided to ignore these voices in favor of more hawkish advisors in his inner circle.

In 2010, there are many politicians, defense experts and military officials who are warning that the president needs to rethink U.S. strategy in Afghanistan. The WikiLeaks documents pointed to issues that have been known for some time.

Many experts are skeptical that the U.S. will be able to stick to the 2011 withdrawal deadline (indeed, many administration officials equivocated on this promise as soon as it announced), and there is ample evidence that the current war strategy will not produce an Afghanistan that remains free from America's adversaries.

As Richard Haas, former Bush administration official and foreign policy expert, wrote in Newsweek: "The war the United States is now fighting in Afghanistan is not succeeding and is not worth waging this way. ... Afghanistan is claiming too many American lives, requiring too much attention, and absorbing too many resources."

Democrats can't continue to write a blank check for this president. They must use the power of oversight and investigation to start addressing the problems with the war strategy and to create pressure on the administration to strengthen its military plans for the coming year. They can't simply trust the president do just to the right thing. Too often, when Congress has remained silent, presidents have made huge mistakes -- and it has taken decades for the nation to recover.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: WikiLeaks disclosures stirred hardly any reaction in Congress

@highlight

He says Democrats are trying to avoid adding to Obama's problems

@highlight

Gulf of Tonkin resolution was a case of Congress giving president blank check, he says

@highlight

Zelizer: Congress needs to use its powers to question whether war strategy is the right one