(CNN) -- Days before a key meeting with Western leaders, Iran test-fired two types of long-range missiles Monday in part of what the Islamic republic called routine military exercises, its state-run media reported.

A short-range missile is test-launched during war games in Qom, Iran, south of Tehran, on Sunday.

The tests drew condemnation from France, which noted through its Foreign Ministry that the action comes only a week after Iran revealed the existence of a covert uranium enrichment site.

"These tests can only reinforce the worries of countries in the surrounding region and the international community, especially as Iran is, in parallel, developing a nuclear program, with the existence of a clandestine uranium enrichment site having just been revealed," the ministry said.

"We ask Iran to choose cooperation and not confrontation, immediately putting an end to its profoundly destabilizing activities and responding without delay to the demands of the international community in order to find a solution in this affair."

Iran's nuclear negotiator Saeed Jalili is scheduled Thursday to meet with representatives of the five permanent United Nations Security Council members, plus Germany. European Union foreign policy chief Javier Solana will also attend the talks Thursday in Geneva, Switzerland.

In the United States, White House spokesman Robert Gibbs called the missile test provocative and said the Western powers taking part in Thursday's meeting want Iran to provide the International Atomic Energy Agency with "immediate unfettered access" to the newly discovered uranium enrichment site and people working there, as well as documents related to its planning.

Iran's Islamic Revolutionary Guard Corps began a series of missile exercises Saturday to promote the armed forces' defense capabilities, Fars News Agency reported.  Watch the missile tests »

After a series of short-range missile tests, Iran concluded Monday with the testing of the long range Shahab-3 and the two-stage Sajil missiles, according to reports from state-run media.

Both hit their targets, and Iran's air force commander hailed the exercise as a show that Iran is "fully prepared and determined to stand against all threats."

"We will give a fully decisive, crushing and destructive response to anyone who poses a threat to the existence, independence and freedom of the ruling system and our values," Brig. Gen. Hossein Salami said, according to Fars News Agency.  Watch an analyst's view of missile tests, nuclear tensions »

The Shahab-3 missile can strike targets between 800 and 1,250 miles (1,300 and 2,000 kilometers), according to the reports.

The Sajil-2 missile is a solid-fuel rocket with a similar range and has been launched twice before, in November 2008 and May 2009.

If Iran's claims are true, the missile brings Moscow, Russia; Athens, Greece; and southern Italy within striking distance.  See where the missiles could strike »

Last Monday, Iran wrote a letter to the United Nations' nuclear watchdog agency, the International Atomic Energy Agency, revealing the existence of a second uranium enrichment facility. The IAEA acknowledged the admission Friday, prompting President Obama and the leaders of Britain and France to publicly chide the Islamic republic and threaten further sanctions.

The United States and France had been aware of the unfinished nuclear site for several years, according to senior U.S. officials who declined to be identified because of the sensitive nature of the negotiations.  Watch how the tests draw a comparison to a 1960s U.S. crisis »

The facility is on a military base near the city of Qom, about 100 miles (160 kilometers) southwest of Tehran, and is thought to be capable of housing 3,000 centrifuges, according to the officials and the IAEA. That is not enough to produce nuclear fuel to power a reactor, but sufficient to manufacture bomb-making material, according to a U.S. diplomatic source who read the letter.

Iran told the IAEA there is no nuclear material at the site, an agency spokesman said.

Iran's revelation of the site could actually "strengthen their hand" as Tehran heads into Thursday's Geneva talks, according to Paul Ingram, an analyst who studies Iran and nuclear nonproliferation.

He said the timing of Iran's revelation -- in between the U.N. General Assembly sessions and the Thursday meeting -- is deliberate on Iran's part.

"This will make it more difficult to persuade them to abandon enrichment," said Ingram, the executive director of the British American Security Information Council in London.  Watch bloggers debate what should be done about Iran's nuclear ambitions »

Iran says its nuclear enrichment program is intended for peaceful purposes, but the international community accuses it of continuing to try to develop nuclear weapons.

Iran conducts research for its nuclear program in sites around the country. Until the new letter, it had acknowledged only a uranium enrichment plant in Natanz, which nuclear inspectors visited recently. Iran also has an unfinished nuclear research reactor in Arak, and U.N. nuclear inspectors were allowed access to that facility earlier this month.

Other important nuclear sites in Iran include its Bushehr nuclear power plant and the Isfahan uranium conversion plant.

@highlight

NEW: White House calls tests provocative, seeks IAEA access to enrichment site

@highlight

Military exercises come days before key meeting with Western leaders

@highlight

Tests also come days after Iran admits it has second uranium enrichment plant

@highlight

Greece, Russia, Italy among nations in range of Iranian missiles tested