(CNN) -- It's the staple of almost every kung fu action film ever made: the hero is targeted for revenge after teaching the deadly and closely guarded secrets of the martial art to outsiders and, even worse, foreigners.

But ask Lam Chun-fai Sifu -- the 73-year-old practitioner of the 300-year-old kung fu style known as Hung Kuen -- and he will tell you that making the martial art accessible to foreigners is the only way to save it from extinction.

The son of a student to Wong Fei Hung, one of the legends of the fighting style and the subject of countless films, Lam Sifu (sifu is a Cantonese term that means 'master') says the fighting art may be growing fast overseas, but struggles in the region where it was born.

To counter the decline, he has co-authored the world's first English-language manual on the ancient kung fu style that he has taught for 60 years and has been his family's trademark for more than three generations.

Called Hung Kuen Fundamentals: Fok Fu Kuen, the manual outlines scores of moves and stances that were hitherto only taught and transmitted orally.

While there are dozens of fighting styles in kung fu (the northern styles represented by fast, high kicks and rapid, fluid movements), Hung Kuen is a southern Chinese fighting art characterised by strong stances and fast footwork. One practitioner famously destroyed the bamboo planks in a demonstration platform simply by shifting his feet in the 'hard stances' of Hung Kuen.

Lam Sifu, meanwhile, teaches a steady stream of foreigners the ancient fighting art in the cramped living room of his tiny apartment on the 7th floor of a tenement block in Hong Kong's North Point.

In terms of Hong Kong kung fu, it's about as traditional as it gets, right down to the name 'Di Dat Clinic' which translates as 'Hit Fall Clinic'; a name unchanged from the days when kung fu masters, so used to treating the training accidents of their students, were the first stop for neighborhood trauma injuries and broken bones.

Using a spear against his sword-wielding son Oscar, Lam Sifu is a blur of threshing weapons amid the armchairs, ornaments and computer printers in his urban home.

"Training in a small area like this is very good for control," he says in a space so cramped it looks like two men having a knife fight in a telephone booth. For his long-standing foreign students -- Hung Kuen teachers from Italy, the Czech Republic and Germany -- the turn of fighting speed still draws a gasp of admiration.

"Many students in Italy like traditional kung fu and especially this style which is the origin of the martial art," said Massimo Iannaccone, who runs an academy in Rome but perfects the art in Lam Sifu's living room on trips to Hong Kong.

Pavel Adamek, who teaches Hung Kuen in Prague, Czech Republic, says his students are drawn as much by the Eastern philosophy associated with the martial art as they are by learning a fighting style.

"It's very popular in the Czech Republic -- people there are really looking for something more than fighting arts. They want to train their bodies and their minds -- this style is really very good for that," he said.

While there may be more dedicated practitioners overseas than in Hong Kong, Lam Sifu's co-author Hing Chao, who also studies the Hung Kuen style, said that the form remains a potent cultural symbol in Hong Kong.

"It's rooted in a very specific Hong Kong identity as well," Hing said. Both he and Lam Sifu believe the style is so important as a cultural symbol, the government should recognize it as part of Hong Kong's intangible cultural heritage.

Hing, who has studied the interaction between the media, entertainment and the martial arts, says that Hollywood sometimes gives a lopsided view of Chinese martial arts, focusing on various personalities such as Ip Man, Bruce Lee's famous teacher, to the exclusion of all other equally famous teachers and styles.

Despite this, he says its popularization in film sometimes unconsciously transmits positive aspects of kung fu culture.

"Besides the fighting, one of the reasons that Bruce Lee has been such a global celebrity until to today is because a lot of messages strike a chord and resonate among the marginalized," Hing says.

"Why would, for instance, a Black African community in the U.S. look on Bruce Lee as a hero? Because embedded in these films are messages of righteousness. Of someone who is disadvantaged but through dedication to kung fu can become empowered and through his own empowerment help the rest of the community.

"This is very positive and I would say the Bruce Lee path represents one of the best interactions between film and martial arts -- it's something we don't often see these days."

While foreigners may be beating a path to the kung fu clinic's door, local interest in Hong Kong is only just gaining ground after a long hiatus.

Lam Sifu says modern distractions like videogames are sapping young people of the ability to focus on demanding martial art forms like Hung Kuen which can require learning as many as 300 movements in a single set.

"These days pupils can't stand any hardship. They say practicing is tiring and they give up easily," he says.

@highlight

Masters of a southern Chinese style of kung fu have published the first manual in English

@highlight

The style known as Hung Kuen emphasises strong foundation stances and footwork

@highlight

Lam Chun-fai Sifu is a direct descendant of kung fu legend Wong Fei Hung

@highlight

He says the manual will help save the martial art - which has more foreign practitioners - from extinction