(CNN) -- Babylon was one of the glories of the ancient world, its walls and mythic hanging gardens listed among the Seven Wonders.

Founded about 4,000 years ago, the ancient city was the capital of 10 dynasties in Mesopotamia, considered one of the earliest cradles of civilization and the birthplace of writing and literature.

But following years of plunder, neglect and conflict, the Babylon of today scarcely conjures that illustrious history.

In recent years, the Iraqi authorities have reopened Babylon to tourists, hoping that one day the site will draw visitors from all over the globe. But despite the site's remarkable archaeological value and impressive views, it is drawing only a smattering of tourists, drawn by a curious mix of ancient and more recent history.

The city -- just 85km (52 miles) south of Baghdad, about a two hour drive, dependent on checkpoints -- still bears the marks of ham-fisted attempts at restoration by former Iraqi dictator Saddam Hussein, and a subsequent occupation by U.S. forces in 2003.

"They occupied Babylon. They wouldn't let anyone in," says Hussein Saheb, a guard at the historical sites at Babylon, recalling the day U.S. tanks rolled into view, before forces set up camp.

Read more: Is a man-made desert lake an ecological paradise or disaster?

Following excavations in the early 20th century, European archaeologists claimed key features such as the remains of the famous Ishtar Gate -- the glazed brick gate decorated with images of dragons and aurochs, built in about 575 BC by order of King Nebuchadnezzar II as the eighth gate to the inner city.

The original now stands as part of a reconstruction of the gate in Berlin's Pergamon Museum, whereas in Babylon itself, visitors enter through a replica. Yet remnants of Babylon's former glory remain, with sections of the city's walls still intact.

Later excavations and conservation work carried out under Saddam's rule greatly despoiled the site, say archaeologists.

Iraqi archaeologist Hai Katth Moussa said that during a massive reconstruction project in the early 1980s, Saddam began building a replica of the palace of Nebuchadnezzar II on top of the ruins of the ancient palace.

Like Nebuchadnezzar, he wrote his name on many of the bricks, with inscriptions such as: "This was built by Saddam, son of Nebuchadnezzar, to glorify Iraq."

After the Gulf War, Saddam began building a modern palace for himself on top of ruins in the style of a Sumerian ziggurat.

When U.S. forces arrived in 2003, they occupied the palace, which lies adjacent to Nebuchadnezzar's palace and overlooks the Euphrates River, and left their own mark. Today, a basketball hoop remains in Babylon, while concertina wire left behind by the military is used to prevent visitors from climbing over a 2,500-year-old lion statue -- an ancient symbol of the city.

Read more: A camel beauty pageant in the UAE

Even in the new Iraq, Babylon faces ongoing threats. Only 2% of the ancient city has been excavated, but those buried historical treasures are threatened by encroaching development.

Tour guide Hussein Al-Ammari says an oil pipeline runs through the eastern part of the ancient city. "It goes through the outer wall of Babylon," he says.

Yet despite the shortcomings in its preservation, Babylon holds a draw for small numbers of Iraqi visitors -- even if only to enter Saddam's marble-lined palaces, still a novelty 10 years after the dictator's downfall.

Zained Mohammed, visiting with her family for the first time from Karbala, told CNN: "We were just looking for a change of atmosphere, to have the kids see something different."

Babylon is certainly that.

@highlight

In recent years, the Iraqi authorities have reopened Babylon to tourists

@highlight

Despite the site's remarkable archaeological value and impressive views, there are few tourists

@highlight

The city still bears the marks of poor attempts at restoration by Saddam Hussein

@highlight

Babylon faces ongoing threats of development encroaching on its buried ruins