LONDON, England (CNN) -- Life after the military can be tough for many war veterans who struggle to adjust to life after combat.

John Raftery accepts his Veteran Entrepreneur of the Year award.

But a scheme at The Whitman School of Management at Syracuse University aims to provides business training for U.S. war veterans that will make that transition easier.

The Entrepreneurship Bootcamp for Veterans with Disabilities (EBV) teaches valuable skills that enable veterans to become self-employed and make their business ideas viable.

The EBV was the brainchild of Mike Haynie, a military veteran who spent 14 years in the air force before becoming an entrepreneurship professor at Syracuse, where his Dean is a Vietnam veteran.

"Self-employment is a powerful path forward for people with disabilities, who may not have a way to plug in to traditional jobs," he told CNN. "We recognized that this was an opportunity to teach entrepreneurship to serve those who have served all of us."

John Raftery, 30, was in the Marine Corps between 1999 and 2003. He left with post-traumatic stress disorder and told CNN that after leaving the military he endured a two-year "desolate period" when he was in and out of work.

Raftery attended the first EBV at Syracuse in 2007. Two months later he quit his job and started his Dallas-based business Patriot Contractors, Inc. Patriot is now a thriving enterprise, with five employees and a projected revenue of $1 million for the year.

He returned to Syracuse this year to collect the EBV's inaugural Veteran Entrepreneur of the Year award. "It's been a lot of hard work but the program gave me the tools to do it," he told CNN.

"Coming out of the military you lose part of yourself. I was a Marine for so many years, and then I found myself back in the civilian world. The big thing about the course is that it gave me the confidence to go out and do it."

The courses are open to veterans with a "service-connected disability" who have served since September 2001. Haynie is proud of the fact that the program is funded entirely by donations from alumni and partner businesses with a stake in local communities.

There is no charge for attending the program, but places are limited. Haynie said there were more than 400 applications this year for 115 places across the five schools, but there are hopes to expand the program.

Former U.S. marine Joshua Pitcher is another beneficiary of the program.

On his first tour of Iraq, with the Marines in 2005, Pitcher suffered a gunshot wound. He returned for a second tour, but in February 2007 his team came under attack from insurgents and a grenade exploded inches from his head.

Surgeons in Iraq removed half his skull to relieve swelling in his brain, but the injury brought an end to his army career.

Pitcher's bravery earned him two purple heart medals. Now 24 and living in New York State, he is trying to adjust to life after the military.

Pitcher told CNN he has found an alternative career in furniture making and now has a workshop behind his house.

Last week he attended his first session to help him on his way to building his furniture business.

The EBV has three stages -- an online module where students get up to speed with business fundamentals, an intensive nine-day "bootcamp" at a university, and a year-long mentorship from the EBV and successful local entrepreneurs.

Having completed stages one and two, Pitcher was impressed with the program. "You learn a lot on the course," he told CNN. "I had a business plan mostly set up before I went, but you're able to refine it, and that means you can actually hit the ground running when it's all done."

Syracuse University introduced the EBV in 2007. Since then the EBV Consortium of Schools has been launched and UCLA Anderson, Florida State University's College of Business, Mays Business School at Texas A&M University and Purdue University all run the EBV program developed by Syracuse.

Elaine Hagan, executive director of Harold Price Center for Entrepreneurial Studies at UCLA Anderson School of Management, told CNN that veterans possess many of the qualities the school tries to instill in their MBA students, such as leadership, discipline and teamwork.

Haynie told CNN that a key part of the EBV is to instill belief in the veterans. "The program is designed not only to teach, but to inspire the students," he said.

"We bring in world-class faculty, entrepreneurs from all over the country and business leaders. We've had senators, congressmen and CEOs of Fortune 500 companies participate in the program. It's sends out the message to the veterans that we believe they can really do it."

@highlight

Marine Joshua Pitcher was wounded in Iraq and had to rethink his career

@highlight

He took part in the Entrepreneurship Bootcamp for Veterans with Disabilities

@highlight

The program is run by five universities and teaches business skills to war vets

@highlight

"It is designed to inspire the students," says program founder Mike Haynie