(CNN) -- The simmering warfare and political instability in Iraq are probably far from over, and U.S. military involvement there could very well last years beyond the end of 2011 -- when all U.S. troops are scheduled to depart the war-torn nation, analysts who study Iraq say.

Think-tank analysts who've written about what's next in Iraq after the U.S. combat mission formally ends Tuesday say economic and infrastructure conditions need to be improved.

And, they envision a persistent American presence in an Iraq that remains unstable -- despite many improvements in the country's security forces and political culture.

While U.S. and Iraqi officials point out that violence there has dropped, the attacks, like the wave of coordinated strikes across Iraq last week, will continue, they say.

"The Iraq War is not over and it is not 'won,' " wrote Anthony Cordesman, who holds the Arleigh A. Burke Chair in Strategy at the Center for Strategic and International Studies. "Iraq still faces a serious insurgency, and deep ethnic and sectarian tensions."

Analysts say a unified government is key to stability in Iraq and the failure of lawmakers to form a new government after the March 7 national elections could exacerbate violence.

Manal Omar, director of Iraq programs of the U.S. Institute of Peace, said the "primary fear" people have with the U.S. combat mission ending is that "political parties will resort to violence to force alliances in power sharing" and "the Iraqi citizens will pay the price."

U.S. and Iraqi officials point out that troops could remain past the end of 2011 if the Iraqi government requests a new deployment and both countries agree.

Michael O'Hanlon, a Brookings Institution senior fellow who spearheads the organization's Iraq Index, says a full removal of Americans troops by the end of next year would be a tall order. He said "too many sectarian wounds" are "unhealed" and there are "unresolved" disputes -- like the territorial fight between Arabs, Kurds, and Turkomens around Kirkuk.

"Pulling all of our remaining troops out of Iraq by the end of 2011, as presently required under a U.S.-Iraqi understanding negotiated by President (George W.) Bush and Prime Minister (Nuri al-) Maliki in late 2008, seems too risky," O'Hanlon wrote in an article in The National Interest.

"Our calming presence is useful, as Iraqis themselves agreed in a recent poll by a considerable margin, and there is no military or strategic need to rush for the exits."

O'Hanlon also said that any "renegotiation" of the December 31, 2011 date " requires a new Iraqi government -- and there is no sign of one emerging."

Noah Feldman, an adjunct senior fellow at the Council on Foreign Relations and a former senior adviser to the Coalition Provisional Authority in Iraq, wrote a column for the Wall Journal that said "Iraq faces a raft of difficulties if it is to become an effective, self-governing nation, and all of them point to the need for a continuing U.S. role in security and beyond."

He noted that the U.S. troop surge blocked setbacks, such as civil war, and that only the United States "can offer a credible guarantee" that the government "is not about to collapse."

"This is the reason that many observers, including Ryan Crocker, former U.S. ambassador to Iraq, expect Iraq's elected leaders to ask for troops past the planned pull-out target," Feldman wrote.

He said Iraq's politicians have the most to lose from the pullout.

"The cost to Iraqi politicians of asking the former occupier to stick around is likely to be offset by the tremendous gains in public confidence associated with a prolonged American commitment -- especially if they ask early in their own election cycle," Feldman said.

Feldman said the situation in Iraq is similar to South Korea, where the United States left troops after the 1953 armistice for stability and security. There are nearly 30,000 U.S. troops in South Korea almost 60 years after the end of the Korean War, he said.

He said the United States was in South Korea when it "was governed by a succession of military dictators" and into the 1980s as South Korea "blossomed into a free and functioning democracy."

"In the coming year, the Iraqi government (once it is formed) is likely to ask the U.S. to keep some significant number of troops in the country after the pullout date of summer 2011. If so, President Obama may well agree, because it is just about the only way to avoid a resurgence of civil war and continue Iraq's tenuous progress toward consolidating democracy," Feldman said.

Iraq is known for its oil wealth and the U.S. Department of Energy projects oil production will expand into 2035. But Cordesman said that despite the oil industry, Iraq's "economy is one of the poorest in the world in terms of real per capita income."

"It is the second year of a budget crisis that has force it to devote most state funds to paying salaries and maintaining employment at the cost of both development and creating effective security forces," Cordesman said.

The 30 years or so of conflict in Iraq has taken its toll, Cordesman said, and "it will be years before Iraq can overcome" their effect.

"Moreover, the bulk of a massive international aid effort has either been wasted or consumed in dealing with the insurgency, and aid is phasing down to critically low levels at a time Iraq lacks both the funds and capability to replace aid or even take transfer of many aid projects."

Rachel Schneller, a U.S. Foreign Service officer who is now a fellow at the Council on Foreign Relations, in an essay for Chatham House, cautions any United States withdrawal from Iraq must be responsible and added that "getting the country electrified" would be a key stride.

"Nothing would stabilize Iraq more than reliable electricity, which would allow business growth and employment of those who might otherwise join militias to support their families," she wrote.

Cordesman said Iraq in the future can be an asset in the region. It can help limit Iran's influence, divide Iran and Syria, give Turkey a "key alternative to economic involvement with Iran, and "play a key role in securing the entire Gulf."

"The fact remains, however, that Iraq is a truly vital national security interest of the United States, and of all its friends and allies," he said.

@highlight

Political stability is important for Iraq, analysts agree

@highlight

There are similarities between Iraq and South Korea

@highlight

U.S. troops could stay beyond end of 2011