About 1 in 7, or 13.5 percent of adults who encountered intense dust clouds after the collapse of the World Trade Center on September 11 were later found to have asthma, compared with just 8.4 percent who had no dust cloud exposure, researchers in Atlanta and New York City reported on Tuesday.

Among rescue workers, the asthma risk was highest for those who worked on the pile on September 11.

Likewise, among various groups of people connected to the Twin Tower collapse, rescue and recovery workers were more likely to have a diagnosis of asthma (12.2 percent) than passers-by (8.4 percent).

The results are from a survey, conducted from November 2006 through December 2007, to assess the health status of more than 46,000 adults five to six years after the disaster. Health.com: Bad air day? Here's how to survive

That such a horrific event left lasting physical and emotional scars is, perhaps, no great surprise. Among adults with no prior diagnosis of post-traumatic stress disorder (PTSD), 23.8 percent have reported symptoms after September 11, and the prevalence of symptoms has increased over time, researchers reported in the Journal of the American Medical Association.

The mental health effects, which can be debilitating and often chronic, "seem to be the largest health problem coming out of 9/11" says Lorna Thorpe, Ph.D., the deputy commissioner of the New York City Department of Health and Mental Hygiene Division of Epidemiology and one of the coauthors of the study. "But immediately after the 9/11 event, I don't think there was a clear understanding of what the physical impacts would be." Health.com: Is your child's asthma under control? Take this test

People in the vicinity of the collapse had "the potential to inhale huge amounts of particulate matter," observes Joan Reibman, M.D., an associate professor of medicine and environmental medicine at the New York University School of Medicine and the director of the school's Bellevue Asthma Center, who was not involved in the study. "We think that could act as a real irritant to the airways."

Some 23 million Americans have asthma, a lung condition that causes airway swelling and inflammation. People with asthma may experience repeated bouts of coughing, wheezing, shortness of breath, and tightness in the chest.

Anthony M. Szema, M.D., an assistant professor of medicine and surgery and the head of the allergy diagnostic unit at SUNY Stony Brook School of Medicine, has studied the effects of the World Trade Center collapse on children living in Manhattan's Chinatown. His team's most recent study, accepted for publication in Allergy & Asthma Proceedings, will show that the rate of asthma at the closest elementary school to the World Trade Center (29 percent) is high compared with the rate of asthma in children in the general population. According to the Centers for Disease Control and Prevention (CDC), 9.3 percent of U.S. children have asthma.

"[The new study] is entirely congruous with our findings," he says. Health.com: As a new mom, I struggled with my daughter's chronic cough

The CDC's Robert M. Brackbill, Ph.D., M.P.H., led the team of New York City and Columbia University researchers whose study examined the longer-term health impact of exposure to Ground Zero and its varying effect across groups of people.

The analysis is based on data from the World Trade Center Health Registry, described as the largest post-disaster-exposure registry in U.S. history. More than 71,000 rescue and recovery workers, lower Manhattan office workers, nearby residents, and passers-by enrolled in the registry.

Participants were interviewed from September 2003 through November 2004 to record their exposure to the disaster and document their pre- and post-event health status, and again in 2006-2007. Health.com: Diabetes plus stress can equal high blood sugar

For each group followed, intense exposure to the dust plume was associated with new asthma diagnoses. Among rescue and recovery workers, for example, the asthma risk was highest for those who worked on the pile on September 11. The risk diminished with later start dates.

However, even downtown office workers and lower Manhattan residents were affected. Among these people, the risk of asthma was highest if there was a heavy coating of dust in their home or office, compared with no such damage.

"It shows that people who had heavy dust exposure in the initial period, that this was a risk to developing asthma but not the only risk," says Reibman, who also serves as the director of New York City's World Trade Center Environmental Health Center, one of three centers dedicated to treating September 11-related conditions.

Reibman says the new study is important because, in addition to corroborating previous studies, it should help people with September 11-related asthma realize that their symptoms are real. Health.com: Managing the highs and lows of manic depression

"I think it helps us understand that there's a cause for many of these symptoms," she says. She encourages people to recognize their symptoms and seek a proper diagnosis and treatment.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Health survey looked at 46,000 adults five to six years after 9/11 attacks

@highlight

Adults who were expose to intense dust clouds developed asthma at higher rates

@highlight

23 million Americans have asthma, which causes airway swelling and inflammation