Three days after a massive earthquake threw Haiti into chaos, Alvana was homeless, along with her two children.

But her nightmare was just beginning.

"I was gang-raped while I was sleeping in the middle of the street," she said. "And I got pregnant."

Alvana did not know her attackers. Depressed and unsure of what to do next, she was directed by a friend to a clinic run by KOFAVIV, a Creole acronym that translates into the Commission of Women Victims for Victims.

"By the time I got to them, my belly was already big," she said. "But they took care of me."

Alvana was given food, water, housing and prenatal care. She decided to keep her daughter, even though the psychological pain could be difficult -- and still is, two years later.

"It's terrible," said Alvana, 33. "I love my daughter ... (but) I look at myself and see that I have a child that is a product of a gang rape."

Her story is, unfortunately, all too common in Haiti, said Malya Villard-Appolon, one of KOFAVIV's co-founders.

"After (the earthquake), the situation was inhumane and degrading," Villard-Appolon said. "There was no security in the (displacement) camps. There was no food; there was no work. And now there is a rampant problem."

Accurate numbers are difficult, if not impossible, to find in the aftermath of such devastation, but KOFAVIV and other groups say they have seen a definite increase in rape cases after the January 2010 earthquake.

"Victims became more vulnerable due to a range of things," said Brian Concannon Jr., director of the Institute for Justice & Democracy in Haiti. "They lost their houses; there were no locked doors anymore. People lost family members who were a source of protection."

Terrible living conditions, including a shortage of food and water, contribute to the problem as well, said Charity Tooze, a senior communications officer with the United Nations High Commissioner for Refugees' Washington office.

"The conditions are so dehumanizing," Tooze said. "Over months and months, it increases all forms of violence, including sexual violence."

There has also been a lack of prosecution in the country. In the first two years after the quake, not one person in Haiti has been convicted of rape, according to the UNHCR.

"The big problem is, you can't find justice," said Villard-Appolon, 52.

Even before the quake, she says, rape was an issue in Haiti, historically underreported because of social stigma, retaliation from perpetrators and a lack of legal support. That is what led her and Marie Eramithe Delva to start KOFAVIV in 2004. Since the group's inception, it has helped more than 4,000 rape survivors find safety, psychological support and/or legal aid.

"We tell people to come out of silence," she said. "Do not be afraid to say that you have been victimized."

Villard-Appolon knows what it's like to be a victim of sexual violence. She has been raped twice, and her husband died as a result of beatings he endured trying to save her from being raped. In 2010, her 14-year-old daughter was raped in a displacement camp.

"I can't describe to you how I felt when I heard about that, because I was a victim," she said. "I started asking myself what kind of generation I came from. Am I cursed?"

Do you know a hero? Nominations are open for 2013 CNN Heroes

She escorted her daughter to two police stations and received no assistance, she said, just a lot of talk. One police officer told her that "girls are so promiscuous" and indicated that many young girls are asking for sex.

But she carries on, "fighting with hope that I know there will be a change," she said. Internationally, she has testified before the United Nations Human Rights Council, calling for increased security within the displacement camps and asking that women's groups be included in decision-making processes.

"I was a victim, and I did not find justice. But know I will get it for other women," she told CNN.

When the earthquake hit Haiti, KOFAVIV's founders watched their clinic and their offices collapse along with their homes.

Villard-Appolon lived in the dangerous Champ de Mars displacement camp for half a year. There, she said, she watched as conditions deteriorated.

"It was all kinds of people who ended up in one area," she said. "The jails were not destroyed, but their doors were opened, and all prisoners went free. Many of them ... were armed, and they were notorious murderers."

One criminal held Villard-Appolon at gunpoint, demanding money. The police never showed up, she said, but she managed to escape after a group of supporters arrived to fight.

Villard-Appolon said many single women had to leave their children with strangers in order to search for food, water or work. In some cases, the children were raped. The youngest victim, she says, was a 17-month-old.

"I spent six months witnessing it," she said. "Babies are not spared; adults are not spared; mothers are not spared; sisters are not spared."

Despite the escalating violence and the loss of its clinic, KOFAVIV regrouped to help victims in Haiti's "tent city" camps, where about 500,000 people still live today. The group has 66 female outreach agents and 25 male security guards who work within the camps, organizing nighttime community watch groups and providing whistles and flashlights to women. All of them have been affected by gender-based violence, whether personally or through a family member or loved one, Villard-Appolon said.

KOFAVIV also relies on more than 1,000 members to help share their stories, support the victims and urge them to come forward and fight for justice.

It usually starts by accompanying the victims to the hospital within 72 hours of being raped. Once they undergo a test, they receive the medical certificate they must have to begin legal proceedings.

"After that, we assign a lawyer to her," Villard-Appolon said. There is no cost to the victims, and they receive support from KOFAVIV through the trial.

Villard-Appolon says she is determined to keep fighting for a brighter future, even though justice has been elusive.

"My dream is that we will get to a place where we stop talking about the number of rape cases," she said. "We will stop talking about Haiti as a country where people are committing violence against others. One day, we have to be able to say that we have a country with people who respect each other."

Want to get involved? Check out www.madre.org/kofaviv and see how to help.

@highlight

Rapes in Haiti increased after the January 2010 earthquake, experts say

@highlight

CNN Hero Malya Villard-Appolon and her group are reaching out to help victims

@highlight

Villard-Appolon says rape is underreported in Haiti and rarely prosecuted

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes