(CNN) -- Was the ousting of democratically-elected Mohamed Morsy in Egypt a coup? Answering that question is clear, but not without a very clear qualification. It is a popularly legitimate coup -- and focusing on it is now far less important than what comes next.

Of course, there is an argument against calling it a coup, which few seem to be considering at present. A coup is usually understood to be an action that replaces the authority of a civilian regime by a military one. If what happened in Egypt is considered to be a coup, it takes for granted that there was indeed a civilian regime that had absolute authority over the institutions of the state, and a military under complete civilian authority. That assertion in the context of the Egyptian political arena is questionable.

LATEST: Egyptian military kills Morsy supporters

The Egyptian political reality, since 1952, has been indelibly imbued with the authority of the military establishment. When crowds took to the streets in 2011, the Egyptian military decided to sacrifice one of their own -- long-time president Hosni Mubarak. Just like all leaders of Egypt after the ousting of the king in 1952, Mubarak came from the military establishment but his continued presence was deemed to be a threat to the stability of the Egyptian state, due to popular pressure.

The military was not overthrown in that action -- indeed, it took more of a direct role in the governance of Egypt, which it had hitherto shied away from, preferring to focus on engaging within its own spheres of activities. There are many of those, in different parts of the Egyptian economy, but the armed forces' activity in this facet of Egyptian society didn't mean they didn't have power to intervene elsewhere.

READ MORE: Scientists saw Egypt turmoil coming

One should keep in mind that throughout Egypt's modern history, the Egyptian military has had overwhelming public support. That continued through the military transitional governing period of 2011-2012. Even at the height of anti-military sentiment, Gallup recorded that public confidence in the institution remained well over 85%, and at some points exceeded 90%. That figure may be less now, as pro-Morsy supporters may feel resentment towards the military for having removed him from power -- but it is still likely to be at least over 80%.

The Egyptian military is an institution in which most Egyptian families have a relative within, owing to conscription, and the historical narrative taught in Egyptian schools is extremely positive, as is the representation of it on state media. This has never changed.

READ MORE: When a coup's not called a coup

Over the past year, Morsy and his Muslim Brotherhood movement made many mistakes, and tried to implement some truly abysmal policies that could never be considered to be in the interests of the Egyptian revolution. Indeed, his harshest critics argue that instead of reforming the 'deep state', he simply tried to use it for partisan interests. One of his most strategic miscalculations, however, was to assume that after six weeks of a military establishment, Morsy had managed to place the military under his control. Morsy never removed Field Marshal Tantawi -- the military reconstituted its leadership on its own, appointing General Abdel-Fatah El-Sisi to the helm. The military sees itself as an autonomous establishment, and never considered itself to be under Morsy's control.

READ MORE: Why Americans should care about Egypt

As Egypt heads toward an uncertain future, it will have to grapple with these issues against the backdrop of a civilian population that has enduring confidence in its military. The past two and a half years has brought to light some aspects of the military reality in Egypt that few were aware of before -- some relating to the human rights abuses that took place during Tantawi's governing period, and others relating to the military's economic strength within Egypt. Nevertheless, and this must be emphasized, the military continues to be supported by the overwhelming majority of Egyptian citizens.

As Egyptians move beyond the startling events of this week, the issues that drove them to streets in 2011 remain. No one will be able to rely on the military to undertake any action in those arenas, as the generals have no interest in being involved in governance. It is likely to regard this entire episode as an unfortunate one, as they would have preferred to remain in their barracks, and not deal with the messy business of civilian governance.

WHAT NOW? Anti-Morsy protesters eye next move

In the constitution passed last year by Morsy, the autonomy and preferred status of the military was thoroughly protected and it is unlikely that any political force will be able to muster enough political consensus to change that relationship. Indeed, popular opinion might even be opposed to a change in that regard, for the time being.

Corruption remains endemic throughout the state. Morsy never tackled it. Torture continues within the police force. the Morsy government failed to address it. The Interior Ministry in general remains unreformed. Sexual harassment and violence was never taken seriously enough in the past, and dealing with it is even more of a priority now, despite the valiant work of groups such as Operation Anti-Harassment/Assault and HarassMap. Will the new government, being assembled at present, begin to tackle those issues? Will whoever wins the presidential elections, due to be scheduled soon, tackle those issues?

PROFILE: Who is Egypt's new president?

Those issues of reform remain and they will prove to be the core test of any government that emerges throughout this transitional period.

Morsy failed to fulfill the demands of the January 25th revolution, and lost his popular legitimacy with the people of Egypt. The new Egyptian authorities have an opportunity to learn from those mistakes and act accordingly. Will the military be an aid to the fulfillment of those demands, and the production of a pluralistic, genuine democracy? Time will tell.

The views expressed in this piece are solely those of H.A. Hellyer.

@highlight

The Egyptian political reality has been indelibly imbued with the authority of the military, writes Hellyer

@highlight

One of Morsy's miscalculations was to assume that he had the military under his control, he says

@highlight

Hellyer: The issues that drove Egyptians on to streets in 2011 remain

@highlight

He says it remains to be seen whether the military can aid a true democracy