(CNN) -- The legendary Jack Nicklaus may have won the most titles, a 21-year-old Tiger Woods may have been the youngest champion and Gary Player may have made the most appearances, but a little-known Chinese golfer will be added to the illustrious list of Masters record-holders on Thursday.

For when Guan Tianlang steps onto the first tee, the Chinese teenager will become the youngest competitor -- at the age of 14 years and five months -- in the 80 years of the prestigious Augusta event, beating the previous record held by then 16-year-old Matteo Manassero.

The boy who has been taking time out of school in his home city Guangzhou earned his place at golf's top table when, as the youngest player in the field, he beat a host of senior players to win last year's Asia-Pacific Amateur Championship in Thailand.

He is just the latest of a small but expanding list of teenage -- and, remarkably, even pre-teen -- golfers to be impacting upon the highest echelons of golf, despite being drawn from a playing pool estimated to be no more than 600 teenage boys and girls.

Guan was just 13 when he became the youngest player to ever contest a European Tour event in 2012, the same year that Andy Zhang, then 14, became the youngest player in the history of the U.S. Open -- while that year's Women's British Open found the youngest Chinese female golfer to ever contest a major, Jing Yan, then 16.

Cultural Revolution

Just last month, all were slightly upstaged by Ye Wocheng, who became the youngest golfer to qualify for a European Tour event -- at the age of just 12. Yes, that's right. Twelve.

"I don't think there's another country in the world that is putting as much into golf as China -- in terms of the resources, energy and money," says Michael Dickie, the Scotland-born head coach of China's women's Olympic team.

"Look at most other countries, they support players as amateurs but the support stops once they get to pro -- then, they're on their own and have to do it themselves.

"But our girls -- all they need to do is train. We do the logistics, which tournaments will suit them and where they should train. We also have a physio, fitness instructor, technical coaches and people arranging logistics, visa, flights and hotels.

"And the state is paying for it all. It is like a monster sponsorship program."

Of course, it wasn't always thus.

Opinion: For Tiger, winning does take care of everything

During China's Cultural Revolution of 1966-1976, golf was considered to be too bourgeois a pastime and any existing courses were dug up, with the land returned to farmers.

Eight years after Chairman Mao's death, though, the first modern-day golf course was built -- in 1984 -- even if there was still a reluctance to invest fully in the sport in the nominally communist nation.

Eye-wateringly expensive

For with its 1.35 billion inhabitants representing nearly 20% of the world population -- yet the country's landmass amounting to just 6% of the planet's total land area -- land in China is decidedly scarce.

So it makes no sense for politicians to allocate great swathes to golf courses, especially given ecological concerns -- primarily over water use -- that accompany their operational capacity and the association with the wealthy elite.

While the number of courses has quietly tripled in the last decade to over 600, golf is still very much a minority sport and even though significant growth is expected with the expansion of a middle class predicted to have doubled its 2010 level of 52 million by 2015, the sport is still eye-wateringly expensive.

So much so that a 2008 survey by professional services company KPMG established the average initiation cost of joining a Chinese golf club to be $53,000, with a regular round costing around $150 -- way beyond the reach of all but a fraction of the population.

But help is at hand for some following a decision taken in 2009 in, of all places, the Danish capital Copenhagen.

That was where the executive board of the International Olympic Committee voted to return golf to the Games in 2016 after a 112-year absence.

Overnight, the Chinese government -- which boasts a long history of investing in Olympic sports -- finally had a reason to back golf. Although figures are hard to come by, the intensity of their training programs indicates just how seriously the Chinese are taking a potential fairway to medals.

At his academy in Shanghai, Dickie has a team of 15 Olympic hopefuls, eight of whom attend full-time training, which is funded by a state who get value for money -- with the girls training six days a week if they are not contesting a tournament.

"On a normal day, we get up at 0630 and do a fitness session for an hour," he says. "After breakfast, we train until midday, when we rest until 1400.

"Then another two hours of training and then an hour of fitness training -- we are heavy on fitness training -- so it's three hours of fitness and five hours of golf. Quite intense."

Chinese ambition

Improving the players' ranking is the major aim of the program, for the top 15 in the world gain automatic berths to Rio de Janeiro in 2016, following which another 45 competitors will be chosen -- with a maximum of two available players from each country that does not already have two or more players among the top 15.

A further indication of the Chinese ambition is that Australian legend Greg Norman has been formally brought on board to advise and identify the country's best golf talent, which is largely drawn from privileged backgrounds -- for obvious reasons -- but he won't struggle with one name for the ladies category.

Last year, Feng Shanshan -- now 23 -- became the first Chinese golfer to win a major when she claimed the LPGA Championship by two strokes, five years after she had earned her place on the LPGA Tour as a teenage amateur.

Ranked No. 8 in the world, she does not train with the team in Shanghai but looks a certainty for Brazil -- especially since the next best Chinese female golfers are ranked 160th and 285th respectively, whose improvements represent the major challenge for Dickie, Norman and co.

Those working on the country's male golfers have an even harder task, for there are only three Chinese in the top 500, with Liang Wenchong -- the 34-year-old whose best finish, by some distance, was eighth place in the 2010 U.S. PGA -- leading the way in 169th place.

But it won't be long before the fruits of China's investment -- now reaching the grassroots for the first time -- will be clear for world golf fans to see, says a man who knows just a thing or two about the sport.

"In China, they are incredibly passionate and you see how the game is growing," says Hank Haney, who coached Tiger Woods for six years and who now runs several golf schools.

"I know from my academy that Asian golfers are incredibly great students -- they're very, very focused and without a doubt, we're going to see more and more great golfers coming from Asian.

"It won't be long before China is a big part of that."

Perhaps just as long as it takes for Guan Tianlang, Andy Zhang, Ye Wocheng and the rest to exit their teenage years.

@highlight

Guan Tianlang will become the youngest player in Masters history on Thursday

@highlight

Previous record held by then 16-year-old Italian Matteo Manassero

@highlight

China is investing heavily in golf ahead of 2016 Olympics, says women's team coach

@highlight

During China's Cultural Revolution, golf had been considered too bourgeois a pastime