Tam Dao National Park, Vietnam (CNN) -- As a hangover "cure," they don't come more brutally disturbing than bear bile.

Extracted from the animal with a long needle inserted into the gall bladder on illegal bear farms in Vietnam and China, the endangered Asiatic black bear -- also known as Moon Bears because of the crescent of white fur on their chest - is subjected to a slow death from infection and disease in tiny cages that restrict their movements.

"In Vietnam, men in particular mix bear bile with rice wine because they believe it makes them stronger and able to drink more," says Tuan Bendixsen, Vietnam director of Animals Asia, an animal welfare group.

"It's been used in traditional medicine for thousands of years and there are claims that it can cure everything from hangovers, liver cirrhosis to cancer," he says.

"People mix it with alcohol and rub it on their skin to reduce swelling. To that extent, we acknowledge that it does work, but there are alternatives; cortisone, for example, or even Dencorub."

Last month, the animal welfare group marked a coup in its fight against bear farming.

For the first time in Vietnam, a bear farmer acted on conscience, voluntarily surrendering his share of a bear farm -- with its 14 bears -- without asking for compensation.

"If he wanted to sell his share, he could have easily done it underground on the black market, but he'd seen the work we've done and approached us," says Bendixsen. "It's the first time that's happened with such a large number of bears."

At the group's Moon Bear rescue centre in the Tam Dao National Park, 43 miles (70km) north of Hanoi, chief vet Kirsty Officer said the decision by bear farmer Nguyen Ngoc Tien to relinquish his share voluntarily was an important development.

"Now that we've had one person doing this we are hoping it will lead the way for others to follow the example," says Officer.

In the sanctuary's temporary quarantine cages, where the 14 new arrivals will be slowly rehabilitated over three months before joining the 98 other bears that live permanently at the 30-acre site in Chat Dau Valley, the animals show signs of their recent trauma.

Some pace the cages, another is bald from rubbing its head repetitively against the bars, several have missing limbs -- a sign they were snared in the wild.

"This stereotypical behavior is a sign they are bored out of their brains," says Officer. "There's been nothing for them on the bear farm to express their natural bear behaviors, so they replace them with these very unnatural behaviors."

In many cases, the bears need immediate medical attention, Officer explains, including the removal of their gall bladders and other organs damaged by the bile extraction process.

The bile extraction process, she says, differs from country to country.

In China, the bears are housed in coffin-sized "crush cages" to prevent the animal moving, making it easier and safer for an operator to insert a catheter, and in some cases to simply suture the organ to an opening in the abdomen so the bile can be drained continuously into a collecting tray.

In Vietnam, however, the animal is sedated -- sometimes using illegal street ketamine -- taken into the open and a four-inch needle inserted into its abdomen and the bile drawn out.

The non-sterile conditions can quickly lead to infection, a situation which not only endangers the bear but also bile users. Bile samples have shown contamination with everything from cancer cells to pus. Some users, says Animals Asia, have become seriously ill from using it.

"There have been some recent cases of people being poisoned by bear bile," says Bendixsen. "A few months ago, we heard of a case of 76-year-old man who swallowed bear bile to help him get over injuries from a fall.

"Within half an hour his body was heating up, a shower didn't help him cool down and within two days he was in hospital with a severe reaction to the bile. His body was covered in red spots and his skin was peeling. It was a severe allergic reaction."

He said reported cases such as this have helped his group's campaign to end bear bile farming but there was still a long way to go, especially since extracted bile is expensive and sometimes gains cachet as a status symbol among Asia's nouveau riche.

How much the illegal trade in bear bile is worth is still difficult to estimate.

"It's hard to say because it's illegal," says Bendixsen. "But two years ago the police raided a farm in Halong Bay and they confiscated all the records which provided valuable information on the trade.

"From the records we could see that the farm had sold 80,000ml of bear bile in six months at between US$6 and US$30 per milliliter -- that's at least $500,000 from one bear farm alone."

While it's illegal to harvest and sell bear bile in Vietnam, it's not illegal to keep bears if they have been in captivity before 2005. Animals Asia says there are 3,567 bears held on farms throughout Vietnam, but a lack of enforcement means the trade continues.

As many as 7,000 bears are believed to be farmed in neighboring China, with farms also known to exist in Laos, Myanmar and the Republic of Korea.

The Chinese government has previously defended the practice, saying that farming protects wild bears which would otherwise be killed and harvested for their whole gall bladders, where the bile is stored. The argument is widely disputed by animal welfare groups who say farmed bile puts pressure on captive and wild populations alike.

Animals Asia estimates that wild Asiatic bears in Vietnam could now number in the hundreds and there are worrying signs that poachers are moving into the forests of neighboring Laos where the bears may be more plentiful.

Little is known about the animal in the wild and remaining numbers worldwide are estimated at anywhere between 16,000 and 50,000.

Animals Asia says it has reached an agreement with the Vietnamese government to eventually keep 200 bears at its center, but the group admits its work is only a band aid when put against scale of the problem of illegal trapping and farming.

Their best hope, says bear manager at the Moon Bear rescue center Falk Wicker, is to educate a new generation about the dangers of bear bile remedies.

"In Vietnam, especially, these remedies are not thousands of years old at all, they've been imported from China much more recently," he says. "In Vietnam, it has much more to do with new wealth and with status."

The active ingredient in bear bile -- ursodeoxycholic acid, or UDCA, which does have anti-inflammatory properties -- can be produced in a laboratory. The problem, says Falk, is that most bear bile is used in quack cures and folk remedies.

"It's the problem with many traditional remedies. People are told it cures cancer, then the thinking is if it cures cancer, then it must be good to have a shot of it every now and then," Officer adds. "The myths just keep being perpetuated."

For the workers at Animals Asia, the struggle is not just to bring the animals back to health, but to avoid getting too comfortable around a highly intelligent and sometimes socialized wild animal.

"We follow very strict protocols as far as safety is concerned," says Officer. "Even if they're hand-raised as cubs, at a certain age it's hands off," adding that it's easy to let your guard down around animals that sometimes seem and behave like pets.

"They're very quick," she says, looking at a bear eyeing its new surroundings and keepers. "But it is tempting sometimes."

@highlight

14 Moon Bears have been rescued from a bear bile farm in Vietnam

@highlight

The bears were illegally harvested for their bile which is used in folk remedies

@highlight

The painful process often leads to a slow and agonizing death for the bear

@highlight

The rescue marks the first time a large number of bears was relinquished on conscience