Princeton, New Jersey (CNN) -- After the Republicans and Democrats met at the White House summit on health care, it was clear that the parties are very far away from a bipartisan agreement. Indeed, few participants walked away with the sense that they were any closer to a deal.

The White House did make clear that it was willing to move forward on health care without Republican support. The choice now becomes whether Democrats should use the budget reconciliation process to pass some parts of health care legislation. According to recent reports, Democrats are considering having the House pass the bill that was already approved in the Senate and then dealing with a package of additional reforms through reconciliation.

Programs that are considered under the reconciliation process are not subject to a Senate filibuster. Democrats would only need 51 votes, not 60, to pass those parts of the bill that are included under reconciliation.

Reconciliation was created through the Budget Reform Act of 1974 in an effort to streamline the budget process, strengthen the ability of Congress to make tough decisions regarding deficits, and to make legislative decision-making more efficient.

Congress quickly expanded on the types of measures that could be considered under reconciliation until 1985 and 1986, when the Senate passed rules proposed by Sen. Robert Byrd that limited what could or could not be included when using this process.

Before moving forward, Democrats must consider two questions. The first is whether using reconciliation to pass health care is legitimate or an abuse of the process. Republicans have charged that this would be akin to forcing the program through the chamber rather than passing the bill through negotiation and compromise.

On this question, the answer is easy. Reconciliation has been as much a part of the Senate in the past three decades as the filibuster. According to an article that was published in The New Republic, Congress passed 22 reconciliation bills between 1980 and 2008. Many important policy changes were enacted through this process, including the Children's Health Insurance Program, COBRA (which allows people who switch jobs to keep their health care), student aid reform, expansions in Medicaid and several major tax cuts.

NPR's Julie Rovner reported that most of the health care reforms enacted in the past two decades have gone through reconciliation. President Ronald Reagan was one of the first presidents to make aggressive use of reconciliation when he pushed through his economic program in 1981. Senate Majority Leader Howard Baker said then that speed had been essential because "Every day that this is delayed makes it more difficult to pass. This is an extraordinary proposal, and these are extraordinary times."

Presidents Jimmy Carter, George H.W. Bush, Bill Clinton and George W. Bush all used reconciliation as well. It is worth noting that these presidents, particularly George W. Bush, also made use of sweeping executive power to circumvent Congress altogether.

The second question is more difficult and it involves perceptions. If the Democratic leadership wants to use this tactic, they have to convince enough members of their own party that this won't scare off independent voters. This argument was harder to make in 2009 than in 2010. But after a year of dealing with paralysis in the Senate and highly effective Republican obstruction, more Democrats are coming on board.

The leadership must be proactive in responding to the criticism about reconciliation. They will have to explain that reconciliation is a legitimate process by pointing to the history.

They will also have to connect the dots for voters frustrated with the ineffective government by explaining that the constant use of the filibuster has turned the Senate into a supermajority institution where both parties have found it extraordinarily difficult -- virtually impossible -- to pass major legislation.On this point, Republicans and Democrats actually agree.

Indeed, as Democrats make this decision, Kentucky Republican Senator Jim Bunning is objecting to a unanimous consent order and single-handedly preventing the Senate from passing an important bill to assist unemployed workers.

Democrats must also convince hesitant colleagues that the payoff could be greater than the cost. While, in the short-term, Republicans will complain that their opponents have rammed through social policy in some sort of unnatural procedural move, Democrats are facing these kinds of intense attacks anyway.

Right now, Democrats are receiving the brunt of Republican attacks without being able to pass much legislation. If they pass health care, they will be able to respond to the arguments of the GOP, not just by complaining that Republicans obstruct everything, but by pointing to specific benefits such as lowering premiums by expanding how many people purchase coverage and bringing tens of millions of Americans into the health care system.

In certain respects, the White House made the use of reconciliation more difficult by initially accepting the notion that 60 votes were needed to pass legislation through the Senate. After the election of Sen. Scott Brown, R-Massachusetts, a decision to refocus on procedures that only depend on 51 votes makes it more vulnerable to the attacks of manipulating the process.

But in other respects, the administration now has a better political opportunity to use reconciliation. After a year, the public has seen just how dysfunctional Senate procedures can be in an era when filibusters are common.

With a public that is frustrated by Washington, as the polls show, the Democrats might be able to persuade a sufficient number of their colleagues to go along. If they don't, one thing is for certain: Democrats will go into election day facing voters who are hearing all the complaints about their party but seeing very little in terms of what they can deliver on health care.

The opinions expressed in this commentary are solely those of Julian E. Zelizer.

@highlight

Democrats are considering using method to pass health bill with 50, not 60 Senate votes

@highlight

Julian Zelizer says the process has been used many times in recent decades

@highlight

He says Democrats have difficult political choice of whether to move ahead

@highlight

Zelizer: If they don't, they will be on the defensive anyway and have no accomplishment