The embattled regime of Syrian President Bashar al-Assad is not close to falling despite nearly two years of fighting between government forces and rebels seeking to depose him, Jordan's King Abdullah II said Friday.

"Anyone who says that Bashar's regime has got weeks to live really doesn't know the reality on the ground," he said during a panel appearance with CNN's Fareed Zakaria at the World Economic Forum in Davos, Switzerland.

"They still have capability. ... So (I expect) a strong showing for at least the first half of 2013."

Nonetheless, fears are growing that Syria may implode as the protracted conflict gets nastier.

Any fragmentation of the country into small states would be "catastrophic and something that we would be reeling from for decades to come," Abdullah said.

He also warned of the threat of foreign jihadist fighters now in Syria.

Al Qaeda has been established there for the past year and is getting support "from certain quarters," the king said.

"They are a force to contend with, so even if we got the best government into Damascus tomorrow, we have at least two or three years of securing our borders from them coming across and to clean them up," he said.

Comparing the militant threat with that seen in Afghanistan, Abdullah said that "the new Taliban that we are going to have to deal with will be in Syria."

Read more: Syrians find calm after carnage

Abdullah appealed for greater international help for more than 300,000 Syrian refugees who have already fled over the border into Jordan and are suffering in the grip of a cruel winter.

He also urged the stockpiling of humanitarian supplies that could be taken across Syria's borders, to try to keep people from leaving -- and to win hearts and minds.

"If these people start to starve and they don't have fuel and electricity and water, and hospitals are not running, that's when radicalization comes in and take advantage," he said.

The number of Syrians fleeing to a Jordanian desert in the dead of the night continues to skyrocket, as officials warn of dwindling resources and a prolonged humanitarian crisis.

Syrian refugees continue to flood Jordan amid warnings of crisis

About 3,280 Syrians crossed into the Zaatari refugee camp overnight on Thursday, said Anmar Hmoud, a Jordan government spokesman for Syrian refugee affairs.

A day earlier, nearly 3,000 refugees arrived in Jordan, according to the United Nations High Commissioner for Refugees.

"Indicators show they keep coming and it's much more than we're used to," Hmoud said.

As many as 36,000 Syrians have crossed into Jordan since January 1.

Syria's grim toll continues into 2013

And as more people take refuge from the upheaval, the escalating numbers are straining resources, officials said.

About 350,000 Syrian refugees have fled to Jordan since the conflict began, a number described as "staggering" by Jordanian Foreign Minister Nasser Judeh.

"The weakest refugees are struggling now just to survive this year's harsh winter," Abdullah said. "More international support is desperately needed.

"Here I cannot emphasize enough the challenges that we are all facing, both in Jordan and Lebanon. And it's only going to get worse."

He urged the international community to come together "decisively" to end the bloodshed and come up with a solution that gives all Syrians a stake in their country's future.

"The situation is now very volatile security wise. Parts of the country are changing hands at a very rapid basis," said Valerie Amos, the U.N. emergency relief coordinator. "We are trying to get to as many people as we can because people cross the borders when they really reach a desperation stage, where they can't get food, they can't get medical supplies."

About 700,000 Syrian refugees have left for neighboring nations since the conflict began, Amos said.

Young girl survives 11 hours under bomb rubble in Syria

The International Rescue Committee has noted that in Jordan and other countries, a majority of Syrian refugees are living outside of camps -- in cities and towns where social services, schools and even trash and waste systems are not equipped to meet the needs of a suddenly inflated population.

Amos urged donors to help, saying she hoped a Wednesday conference in Kuwait would yield some of the $1.5 billion in aid requested by humanitarian groups.

That money would help Syrians displaced within their own country and those who have fled to neighboring nations for six months, she said.

"If we do not receive these funds, we will not be able to reach the poorest and most vulnerable families who so desperately need our help," she said.

Zaatari is in Jordan's northern desert, northeast of Amman.

Enterprising Syrian refugees, many of whom arrived with nothing, have set up their own retail avenue amid dusty tents and prefabricated metal shelters. The facilities are providing a small source of income and -- perhaps more importantly -- something to do to stave off the boredom and discomfort of camp life.

The United Nations estimates 60,000 people have died in nearly two years of fighting between the rebels and government forces.

Violence continued in Syria on Friday, with three people killed in clashes nationwide, according to the opposition Local Coordination Committees. Heavy shelling continued in the Damascus suburbs, the group said.

Elsewhere, rebels raided the Idlib Central Prison and freed 300 prisoners, the LCC said.

Video purportedly taped by rebels showed them using pipes to pry the prison's barred windows away from the wall.

"Be patient, be patient," a man behind the camera shouts at the inmates, with one waving his hand out the cell bars.

Rebels were engaged in firefights Friday with government security forces at the prison, and the rebels managed to cross some prison walls, the Syrian Observatory for Human Rights said.

Freed, wounded prisoners and injured rebels were treated at a makeshift clinic in Amaaret Misreen about 6 miles (9 kilometers) outside Idlib, an opposition activist said.

The rebels' assault on the prison began Friday and they were in control of 60% of the facility, though fighting continued over two major buildings, said opposition activist Omar Abu Al-Huda. He told CNN he witnessed the offensive.

The inmate population includes political prisoners, and the prison is considered the last major government position in western Idlib, Al-Huda said.

Government forces have an army position, with tanks and heavy machine guns, inside the prison.

CNN cannot independently verify many claims from Syria, as the government has severely restricted access by international journalists.

On Monday, representatives from 50 countries and organizations will meet in Kuwait with two vice presidents of the National Syrian Coalition, a spokesman with the French Foreign Ministry said.

The meeting will be a follow-up to a December 12 gathering in Marrakech, Morocco, where United States, Britain, France, Turkey and the Gulf Cooperation Council recognized the opposition coalition, the spokesman said.

The meeting will address greater recognition for the coalition, confirmation of financial pledges to it, and the humanitarian situation in Syria, the spokesman said. Refugee camps in neighboring countries will also be discussed, the ministry said.

@highlight

Nations recognizing opposition coalition will meet in Kuwait on Monday

@highlight

Jordan's King Abdullah says the al-Assad regime has strength to last months longer

@highlight

He calls for international help to stave off a looming humanitarian crisis

@highlight

As many as 36,000 Syrians have fled to Jordan since January 1