(CNN) -- Albert Einstein once said that the definition of insanity is doing the same thing over and over again and expecting different results.

Following a third exploratory round of bilateral talks between the United States and North Korea held in Beijing last week, Washington looks as though it is walking into yet another goodies-for-nuclear freeze deal with the reclusive North Koreans. The State Department announced Wednesday that the United States would provide food aid to North Korea in return for Pyongyang's promise to implement a moratorium on long-range missile launches, nuclear tests and its plutonium and uranium enrichment activities. North Korea also agreed to allow the return of inspectors from the International Atomic Energy Agency to verify and monitor the moratorium.

Einstein, if he cared about the issue, would probably roll over in his grave. Why are we doing this?

We have seen this playbook several times before in our 25-plus year history of trying to denuclearize North Korea. The United States gets pulled into providing food or energy indefinitely to maintain the nuclear freeze. The North Koreans eventually cheat on the freeze and undertake augmentation of their nuclear weapons at other undisclosed facilities. We stop providing the assistance. A hair-raising crisis ensues that is ultimately resolved through another assistance-for-freeze agreement. Wash, rinse, repeat.

Political types might condemn it as insanity, naivetÃ© or both. But there may be some common-sensical reasons for doing this. Practically speaking, the achievement of a nuclear and missile-testing moratorium, as well as the reintroduction of the U.N. nuclear-watchdog agency inspectors into Yongbyon, is a useful step.

The uranium enrichment program currently meets the definition of a runaway nuclear program. It has gone unabated now for at least five years, if not longer. Getting eyes on the ground again, as in 1994 to 2002 and 2007 to 2008, is a welcome development.

For North Korea, the young Kim Jong Un may want to demonstrate a continuity of leadership after the sudden death of his father nine weeks ago, and the regime wants food in preparation for its April 15 celebrations of the 100th birthday of the first leader of North Korea, Kim Il Sung.

However, beyond these tactical solutions are longer-term strategic challenges.

First, North Korea may temporarily halt their program, but the grim reality is that it will not part with it.

Second, the IAEA inspectors will go into the facilities without a supporting U.N. Security Council resolution declaring that the uranium program is in violation of standing denuclearization agreements. (China opposed this.) So while the United States will see this move as monitoring a freeze, North Korea will see it as validating to the international community that it only has peaceful intentions with its uranium program.

Third, it is too soon to tell whether this agreement means the junior Kim is turning over a new leaf and seeking to make nice with the world.

Fourth, the slightest opening up of this brittle dictatorship under the untested son will ensure that it comes crumbling down -- something for which the United States, China and South Korea are wholly unprepared.

Fifth, a nuclear freeze is a long way from the denuclearization objectives sought in the 2005 agreement at the so-called Six-Party Talks. Indeed, one of the unmet U.S. "pre-steps" for returning to the Six-Party Talks was a commitment by the North to refrain from further provocations such as the 2010 submarining of a South Korean navy ship and artillery shelling of a South Korean island. The North made no such commitments outside of a vague reference to supporting the 1953 armistice agreement that ceased Korean War hostilities. Finally, nongovermental and humanitarian groups probably chafe at the explicit linking of food assistance to the nuclear freeze. The United States would claim that the North insisted on the linkage. But it takes two to tango.

Secretary of State Hillary Clinton correctly characterized the agreement as a "modest step forward." This may not be insanity, but it is distasteful given the nature of the regime, its human rights violations and its blatant willingness to engage in renegade nuclear activities. Unfortunately, that's the price one pays when negotiating with North Korea.

The opinions expressed in this commentary are solely those of Victor Cha, Ellen Kim and Marie DuMond.

@highlight

The U.S. and North Korea reach new deal on nuclear moratorium

@highlight

Victor Cha, Ellen Kim and Marie DuMond: We've seen this playbook before

@highlight

The writers say the grim reality is that the deal is a temporary move for North Korea

@highlight

They say Hillary Clinton correctly characterized the deal as a "modest step forward"