(CNN) -- Well, well. The boys at Augusta National Golf Club -- members and sponsors alike -- are in a big bind. Nine years after I led an unsuccessful effort by the National Council of Women's Organizations to open membership in the club to women, the "woman problem" is back.

This time it involves Virginia Rometty, the first female chief executive of IBM. IBM is a major sponsor of Augusta National's Masters Golf Tournament, and up to now its CEOs have always been given membership in the club. But none has ever been a woman. So what happens now -- will Augusta National open its doors to women? Or will IBM pull its sponsorship and force its other executives to resign their club memberships?

These are the only two real choices.

We've said all along that this is not about golf. It is about access to the places where big business is done, deals are made and careers are boosted or broken. Half of Augusta's membership (which reads like a roster of Fortune 500 CEOs) probably doesn't even care about golf, but the members do care about power relationships. According to Fortune magazine, "golf remains the true communications hub of America's business elite."

Back in 2003 when opposition to the all-male policy was making headlines, I got two calls from sponsors who said they were "in dialogue" with the club. The first was from Coca-Cola, saying its board was going to make a decision after talking to "Warren (Buffett) and Sam (Nunn)," board members who were also Augusta members. I was promised a call in the next two or three days. I'm still waiting.

My second call was much more hostile. It was from IBM, telling me my organization was "forcing" them to do something they didn't want to do, and generally dressing me down for making an issue of the bald-faced sexism that their sponsorship supported.

A few days later Hootie Johnson, then chairman of Augusta National, stepped to a microphone and announced the club was releasing its sponsors, broadcasting the tournament without commercials. The boys had clearly made a deal that went like this: We'll "release" you as sponsors, you'll keep your mouths shut, and when all this woman stuff blows over you can quietly come back. Two of the three did not return (IBM was the exception), but none of the sponsors ever condemned the male-only policy at Augusta National.

IBM is surely scrambling for what it hopes will be another face-saving deal. The CBSSports.com senior golf columnist Steve Elling predicts that club Chairman Billy Payne will offer Rometty a membership a few days after the Masters ends next week: "She shows up at the tournament in 2013 in green, after the gender issue has died down. That way, the club avoids the appearance that Payne has been backed into a corner or forced into making an accommodation."

Sorry, but that dog won't hunt. Telling Rometty to be a good girl and wait a little longer with IBM's collusion would be a disaster -- not only for the company's image, but for Rometty's credibility as its leader. Elling's scenario would scream that IBM values the relationship with a club that proudly discriminates more than it values its own integrity -- or its first female CEO.

What if, on the other hand, Rometty makes an announcement that she's not interested in membership? That won't work either. It would be widely assumed that she was under pressure from the company to make such a statement, and in the bargain accept her second-class status. After all, CEOs (male and female) don't get where they are by making waves. But fixing this shouldn't be put on her. It's the responsibility of the board of directors to insist that their CEO be treated exactly like -- well -- one of the boys.

Besides, whether she would accept a membership is completely irrelevant to the question of the appropriateness of the club's all-male policy and IBM's tacit support of it, and it doesn't get the club out of its bind anyway. Before she can reject a membership, she has to be offered one. If Augusta National admits it was prepared to make an offer but she wouldn't accept, it has admitted that membership is open to women, and it will immediately be asked who the next candidate will be and when. If the club remains silent, IBM's problem reverberates louder.

And saying the gender issue will die down is wishful thinking. The women's movement opened the doors to the executive suites for women like Rometty with 30 years of hard work that made sex discrimination in hiring and promotion in corporate America illegal. If we hadn't raised the ruckus in 2003, you can bet it wouldn't be front and center now. And though we haven't succeeded yet, we won't stop until females are treated equally in corporate-supported venues like Augusta National Golf Club, or until those companies are shamed into pulling support.

If this were about race discrimination and a black (male) CEO, IBM surely wouldn't be in the mix, and no other national sponsor would go near this club. But it's only the girls -- and sex discrimination is just not as serious. Or is it?

We're listening for IBM's answer.

The opinions expressed in this commentary are solely those of Martha Burk.

@highlight

Martha Burk: Augusta National Golf Club, site of the Masters, doesn't admit women

@highlight

But this year the CEO of IBM, a major sponsor whose CEOs are given membership, is a woman

@highlight

She says this puts IBM in a bind: Should it ditch sponsorship if CEO not admitted? She says yes

@highlight

Burk: It's IBM's directors' responsibility to insist their CEO be treated like "one of the boys"