Thailand's Constitutional Court has dismissed caretaker Prime Minister Yingluck Shinawatra from office, ruling that she is guilty of violating the country's constitution for reassigning a senior security official in 2011.

"The defendant has abused her position as prime minister," said the judge in the ruling. "Her prime ministership has ... ended."

The court ruled that nine cabinet ministers who attended a meeting over the decision to transfer the official were also to be removed from office.

Deputy PM and Commerce Minister Niwatthamrong Boonsongpaisan has been nominated by the cabinet as the next caretaker prime minister, Secretary General to the Prime Minister, Suranand Vejjajiva, told CNN.

Yingluck's dismissal, which analysts say will only deepen Thailand's protracted political crisis, was brought about by a lawsuit filed by anti-government senators. They accused Yingluck of abusing her power by unlawfully transferring National Security Council chief Thawil Pliensri from his role in September 2011, alleging the move was intended to benefit her Pheu Thai Party and a family member.

Thawil was replaced by the then national police chief, whose role in turn was later given to Priewpan Damapong, a relative of Yingluck.

In March, Thailand's Supreme Administrative Court ruled the transfer unlawful and Thawil was reinstated.

In the wake of the court's ruling, Yingluck thanked her cabinet ministers, government officials and supporters.

"It's been two years, nine months and two days that I worked as prime minister and every day of those two years, nine months and two days was a proud day," she said. "I will always stand by the people."

'More protests and dysfunction'

Analyst Paul Quaglia, director at PQA Associates, a Bangkok-based risk assessment firm, said the development set the scene for "more protests and more dysfunction in the days ahead."

"Her supporters will look at this as what they call a judicial coup, which is one of the red lines they've drawn about all of this," he said.

He said the case against Yingluck were "pretty weak," and that abuse of power was a "pretty grandiose term to describe what went on."

"What she is accused of doing is approving the removal of a military officer from a civil servant's job in 2011. This is pretty routine," he said. "Her supporters of course will view this as a technical pretext by the court simply to get rid of her and get rid of this government."

For the "yellow shirt" political bloc opposed to Yingluck, who came to office in a landslide win in 2011, her ouster would be a welcome cause for celebration, he said.

"It was the last stop on the track for them -- the army had refused to get into it, to stage a coup. They hadn't won any other battles, so it falls to the judiciary to get the job done to get rid of this elected government."

Yingluck defended herself against the charges in court Tuesday. "I didn't do anything against the law," she said. "I have performed my duty in the administration with the intention of benefiting the country."

Yingluck had led a caretaker administration since parliament was dissolved in December, ahead of a general election in February that was disrupted by anti-government protesters. The Constitutional Court subsequently ruled the election invalid.

The protests had been sparked in November by Yingluck's government's botched attempt to pass an amnesty bill that would have paved the way for the return of her brother -- the polarizing former Prime Minister Thaksin Shinawatra -- to the political fray in earnest.

Military coup

Thaksin, a telecommunications tycoon, was overthrown in a military coup in 2006 and has since lived in self-imposed exile to avoid a corruption conviction, which he says is politically motivated. The anti-government protesters, drawn mainly from Bangkok's middle class, royalist establishment, allege that Yingluck is her brother's puppet and seek to rid Thai politics of her family's influence.

In contrast, the "red shirt" supporters of Yingluck and her brother, many of whom are poor and hail mainly from rural areas in the north of the country, accuse the court of bias against their side. Thaksin's Thai Rak Thai political party was dissolved by the court in 2007.

Observers are now watching how both camps, who have large rallies planned in the capital over the coming week, respond to the verdict. Political tensions have occasionally spilled over into deadly violence during the current crisis.

"For the first time in Thailand's history of political discord, we have opposing camps threatening to stage demonstrations in relative proximity to each other in Bangkok," said Quaglia. "We could see some trouble, frankly."

He said the government had been "dealt a blow, but not a fatal blow" by the court. Under the caretaker administration, key infrastructure projects and policy decisions had already been placed on hold until after elections scheduled for July 20.

"We are headed one way or another towards elections at some point. I don't know how peaceful those elections will be or what the landscape will look like between now and July 20," he said.

Yingluck's opponents have campaigned against elections, arguing the alleged corruption of their political rivals meant that widespread reforms were necessary before any meaningful vote could be held, said Quaglia. Anti-government protest leader Suthep Thaugsuban, a former deputy prime minister for the Democrat Party, has called for power to be transferred to an unelected "people's council."

"The Pheu Thai Party ... want to have elections. They know they will win those elections. Their opponents, the Democrat Party, say 'No, we can't have elections,' because they know they will lose those elections. Therein lies the rub," said Quaglia.

Yingluck also faces a charge brought by the National Anti-Corruption Commission over a controversial state rice-buying scheme. The commission's ruling is expected this month.

@highlight

Thailand's prime minister has been ousted from office by a court ruling

@highlight

The court said she had abused her position by removing national security chief from post

@highlight

The move throws Thailand into deeper political turmoil

@highlight

Deputy PM Niwatthamrong Boonsongpaisan will be nominated as the new PM