(CNN) -- Frankie Huff is working on her doctoral degree in Florida and can tackle most complicated education theories with ease. That's not the case when it comes to picking a health insurance plan through her school.

"It is daunting -- at times, more difficult to interpret than the scholarly research I pore through for my own dissertation," Huff said. "I feel like handing it over to my partner after the first page."

Welcome to open enrollment season -- a season some people dread more than tax time.

While you've been hearing a lot about Obamacare this week, the majority of Americans don't need to buy their policies through the new health insurance marketplaces, also called exchanges. Instead, most will get next year's health insurance through work. In fact, you probably have an e-mail sitting in your inbox right now reminding you to pick a plan.

And Huff is not alone in her lack of confidence over how to pick the right policy.

A good number of people look at that open enrollment e-mail and essentially take a wild guess at what plan works best for them, according to a recent study published in the Journal of Health Care Economics.

Just 11% of the people surveyed could figure out what a four-day hospital visit would cost given a hypothetical insurance plan. These were people who thought they had a pretty good grasp on how health insurance works.

"Americans do seem a little terrified when it comes to making decisions about insurance," said Thomas M. Harte, the owner of Landmark Benefits Inc. in Hampstead, New Hampshire, and president of the National Association of Health Underwriters. "When they come in I tell them they can relax and we have a casual conversation about what it is they are looking for in insurance and what's most important to them, and I try to take that fear away."

Studies show the more you know about your insurance plan the more you can save. Here are five things to think about when you pick your health plan for next year:

Be realistic

You want to look at three costs: your deductible, your maximum out-of-pocket costs, and the premium cost contribution compared to the year before.

Glossary: Understanding health insurance terms

Just because it is the most expensive plan doesn't mean it is the right one for you. Not everyone needs a "Cadillac plan," Harte says. Less than 10% of the population is admitted to the hospital every year.

Look at what you spent last year. If you notice you didn't go to the doctor very much, or didn't get a lot of prescriptions, and you have some savings, pick the plan with the less expensive premiums. The deductibles will likely be higher, but even if you have to visit your primary care physician once or twice, it'll probably still be cheaper. Plus, with Obamacare, all plans that are not grandfathered in will cover preventive health services, whether you meet your deductible or not.

Preventive health services include immunizations, blood pressure tests, mammograms, mental health services, smoking cessation programs, depression screening, diet counseling, and other services.

Don't get sentimental

A lot of people stick with the kind of plan they've always had out of habit, but your life circumstances change over time. If you've had a new baby you may want one kind of plan that covers those costs. If your children have left home, you may not need as much coverage.

Pick the policy that fits your current needs best.

Harte says he often has to remind clients that with life changes, certain policies may be better than others.

Understand your options

Employers often offer three types of plans: Point of Service, Preferred Provider Organizations and Health Maintenance Organizations.

If you aren't attached to a particular doctor, you may want to pick the HMO option, which could save you some money. An HMO is typically the cheapest, but you've got to use doctors who are in that program's network. Even if you love your doctor, it doesn't hurt to check to see if he or she is in the HMO network as well.

With a PPO you will likely pay a higher premium, but you'll have a wider variety of doctors to choose from. It will save you money to stick with those doctors, but you can also go out of network for a higher fee.

A POS plan, which is a mix of an HMO and PPO, typically provides a wider variety of doctors as well. But with that plan you'll have to pick a primary care physician who will need to give you a referral to see any kind of specialist. POS plans are typically more expensive, but they give you the most flexibility.

Each kind of plan comes with a standardized form that includes a summary of benefits and coverage. That's mandatory under Obamacare. Read through it. It will walk you through all the benefits of each plan so you can compare them easily. It should tell you how much you will pay for it. If something isn't covered by the plan, it should say so.

Stay healthy

It may sound simple, but many people can pick a less expensive plan if they practice good health habits. Preventable illnesses make up 70% of health care costs, according to a study in the New England Journal of Medicine.

Participate in your company's wellness program. Watch what you eat, exercise, don't smoke, drink less and maintain a proper weight.

11 simple weight loss tips

The less you need to go the doctor, the less you spend. The fewer unhealthy behaviors you have, the less your -- and others' -- insurance costs. For instance, it costs 18% more for an insurance company to provide coverage for a smoker, according to the Centers for Disease Control and Prevention.

Talk to the experts

Don't guess -- find a trusted adviser who can help walk you through the details.

"People are afraid to ask questions. You should never be afraid to ask," Harte says.

Talk to someone who can explain terms to you or even help you just crunch the numbers. Your benefits person at work or a broker should be happy to help you figure out the plans and what's available.

@highlight

Study: Many Americans are confused by health care insurance open enrollment

@highlight

Be realistic about your potential costs and how much coverage you need

@highlight

Don't stick with a plan just because you had it last year -- understand your options

@highlight

Staying healthy is the best way to avoid paying more for health insurance