(CNN)  -- A parade of world leaders took the lectern at the United Nations on Wednesday. But days before the speeches on a host of issues, the global body quietly undertook an issue that often flies under the radar: Women.

The United Nations consolidated four agencies that tackle women's issues and created a new super agency.

Last week, the United Nations consolidated four agencies that tackle women's issues and created a new super agency. Humanitarian workers around the world embraced the move. It was about time, they said, that the world got serious about how half its population lives.

The 1945 charter on which the United Nations was founded mandates equal rights for men and women. Since then, the United Nations has added new agencies that focus specifically on children, the environment, refugees, health, education, atomic energy and Palestinians. All report directly to the secretary general, except the agencies pertaining to women.

Women's advocates said the agencies were run by lower-ranking officials and lacked clout.

In 2006, a high-level panel on U.N. reform described the women's agencies as "incoherent, under-resourced and fragmented." It recommended that the United Nations create a dynamic agency focused on gender equality and women's empowerment. And last year, a coalition of 300 private development agencies launched the European Campaign for Gender Equality Architecture Reform (GEAR), which pressured the United Nations to create a single organization to address what it described as consistent neglect of women's needs.

Paula Donovan, co-director of AIDS-Free World, said a double standard persists, despite the image of the United Nations as a strong women's advocacy machine. The only thing the U.N. Development Fund for Women (UNIFEM) has in common with the well-known U.N. Children's Fund (UNICEF) is a similar sounding name, Donovan said.

UNIFEM had neither the high-level U.N. staff nor the money of UNICEF, said Donovan, who worked at UNICEF for 15 years. She said UNIFEM's entire global budget equaled the budget of the UNICEF operation in Ethiopia.

Donovan hopes the new agency will "lift the ideals that are worded so eloquently in U.N. declarations and resolutions off of the inert pages they're written on and plant them in real women's lives."

"Women who have been leading and achieving for decades without the help of the U.N. system will now enjoy the strengths and benefits that the U.N. can offer," she said.

Development agencies shared high expectations for the new agency's promotion of women's rights in a world where a disproportionate number of the suffering and persecuted are female.

"This is a great move," said Helene Gayle, president of CARE, an international humanitarian agency that focuses on empowering women and girls in developing nations.

"Now, what's needed are resources, a clear mandate and strong leadership," she said. "But I think what we're looking for most is the accountability to make sure gender is integrated into all U.N. strategies. It's up to member states to move quickly, get this new agency off on the right foot and turn the plan into reality."

Ahead of this week's U.N. meetings, UNIFEM issued a report on the progress of women's rights, part of a set of development goals that global agencies have committed to achieving by 2015.

"Implementation still has a long way to go in translating commitments to women's rights into changes in women's lives," UNIFEM said.

Roughly 60 percent of the world's population living in poverty are women and girls.

According to UNIFEM:

• Women are outnumbered four to one in legislatures around the world.

• Over 60 percent of all unpaid family workers globally are women, and women still earn on average 17 percent less than men.

• About one-third of women still suffer gender-based violence during their lives.

• In some parts of the world, one in 10 women dies from pregnancy-related causes even though the means for preventing maternal mortality are cost-effective and well-known.

"Gender gaps on this scale are symptomatic of an accountability crisis," UNIFEM said. "Governments and multilateral organizations have a responsibility to do a better job of answering to women."

Last week, the General Assembly voted to merge UNIFEM and three other U.N. women's agencies to better address glaring gender inequities.

In Kenya, for example, the Parliament adopted a new sexual offense bill that hands a minimum 10-year-sentence to a man who is convicted of rape. If he is acquitted, his accuser goes to jail for 10 years. The bill was adopted two years ago over the objections of women lawmakers.

Donovan cited the Kenyan law as an example of the uphill climb women face in developing nations. She said AIDS-Free World and other non-governmental organizations are urging the United Nations to fund the new women's agency with an initial $1 billion budget. Advocates would also like to see a presence of the agency in every developing nation, she said.

HIV/AIDS agencies especially welcomed the news.

"This is a historic opportunity to advance the rights of women and girls," said Michel Sidibe, executive director of the U.N. agency on HIV/AIDS.

He noted that 60 percent of people living with HIV in sub-Saharan Africa are women. Some aid agencies say that number is as high as 75 percent.

Donovan said the new agency has the potential to change the way the United Nations functions in everything it does, as every institution -- whether it's a courtroom or classroom, a political party or a pub, a gymnasium or a country club -- opens its doors to women.

And treats them differently, once they step inside.

@highlight

United Nations consolidates agencies, creates group focused on women's issues

@highlight

Women's advocates say previous agencies lacked clout

@highlight

Roughly 60 percent of the world's population living in poverty are women and girls