LONDON, England (CNN) -- Zinedine Zidane is sure of the quality most necessary to create a successful team: mutual respect.

Zidane: the ex-footballer identifies mutual respect as the most important quality that players need to exhibit within a team.

It is a telling observation from a man whose incredible achievements on the football pitch were only slightly marred by explosions of rage that often seemed to be provoked by a perceived lack of respect from others.

"When you have 23 players (in a football team's squad), everyone has their personality, one is stronger, one more shy, one more reserved, one more arrogant," he tells CNN. "But the most important is respect between all of us."

The French maestro, who hung up his boots two years ago, certainly enjoyed the respect of his teammates.

Former coaches and fellow players speak in reverent tones about him.

In large part, this is due to his sublime talent -- few would argue with the summation that he was the most gifted footballer of his generation.

Yet this immense ability was accompanied by a shyness and humility notoriously absent among many of today's top sportsmen, and by an intense professionalism that bordered on obsession.

Aimé Jacquet, the coach of the French national team that Zidane guided to victory in the 1998 thanks to two headed goals in the final against Brazil, says the player was gifted with "an internal vision."

"He can make the ball do whatever he wants. But it is his drive which takes him forward. He is 100 per cent football," he told the British newspaper The Guardian.

It was this dedication that allowed the French-born son of Algerian immigrants to escape his tough upbringing in a deprived suburb of Marseilles and make it on the big stage.

Starting out as a 17-year-old for French side Cannes, Zidane went on to play for Bordeaux, the Italian team Juventus and finished his career at a Real Madrid side packed with many of the world's top talent.

Under the tenure of President Florentino Pérez the club made a host of big-name transfers including Portuguese international Luis Figo, Brazil star Ronaldo, Zidane and David Beckham.

Zidane says great teams need clear and defined leaders that the players can rally behind. At Real he identifies former teammate and current club captain Raúl González as such a player.

Nicknamed the Galácticos, the Madrid team frequently underperformed, however, under the sagging weight of expectation and an excess of big egos.

Zidane didn't allow Real's inconsistencies to hold him back, however. By the end his career, he had won almost every major honor in the game including the World Cup and European Championships with France and the crown of FIFA World Player of the Year a record three times.

In 2004, Forbes magazine named him the 42nd-highest paid athlete in the world, with earnings of $15.8 million a year.

"People tell me today, 'yeah, it's easy for you' and I say no, because when I started no-one knew me. I had the skills of course but I made that path myself, and for everything you have to do that."

And it is this same mental toughness that has allowed him to shrug off the taunts of the racists and emerge a national hero in a country whose immigrant community has enjoyed an uneasy relationship with the state.

Zizou, as he is known affectionately in France, has tried to stay above the murky world of race politics, only once being drawn into defending his Algerian heritage after a small-minded attack on his father's war record.

This came after the World Cup win over Brazil, when a member of the far right political party the Front National suggested Zidane's father was "a harki" -- an Arabic word for Algerians who fought alongside the French in Algeria's bloody independence struggle.

After a 2001 friendly match between France and Algeria had to be abandoned when angry young French Arabs invaded the pitch, Zidane was forced to break his silence, publically repudiating the libel.

He still seems reluctant to be turned into a spokesman for France's North African community -- he tells CNN he would prefer to be thought of as an "example" for immigrant children rather than as a hero.

Even so, his heritage is clearly something he remains deeply connected to. So that when he was famously sent off in the final of the 2006 World Cup after a headbutt on Italian defender Marco Materazzi in the last act of his career, it was an alleged slur against his family that provoked the attack.

The headbutt was shocking but not entirely unexpected. Throughout his career, Zidane was prone to flashes of temper on the pitch -- he was sent off 14 times in his years as a professional footballer.

Nevertheless, it was an ignoble end for such a prodigious talent. Zidane has refused to apologise to Materazzi because he says that would be like condoning the Italian's comments -- exactly what Materazzi said is still in dispute, and two years on, he remains philosophical and largely unrepentent about the incident.

"When people say I shouldn't have finished the World Cup on that note, I don't look at it that way," he says. "My career is much more than that moment."

@highlight

French ex-footballer Zinedine Zidane won every major honor during his career

@highlight

His talent and modesty won him the respect of his teammates and managers

@highlight

The son of Algerian immigrants, he grew up in a poor suburb of Marseilles

@highlight

He retired in 2006 after he was sent off in the World Cup final against Italy