It sounds like a dangerous combination: massive tanks holding chemicals near a major water supply.

That was the setup in West Virginia last week when a chemical spill contaminated a river supplying water to hundreds of thousands of people. Officials say there wasn't much regulation at the site where the spill occurred and that little is known about the chemical that leaked.

Now, state officials say they're considering increasing oversight.

"Absolutely," Gov. Earl Ray Tomblin told CNN. "We need to do what we can to see that this kind of incident never happens again. There's no excuse for it."

Two U.S. congressmen say the spill exposes regulatory gaps in the country's chemical control laws.

And many in the area are asking key questions: What caused thousands of gallons of a chemical used to clean coal to spill into the water? How dangerous is the chemical? And why didn't anyone catch the problem sooner?

See West Virginia American Water Co. status map

State regulators inspected site in 1991, 2010, 2012

The facility where the leak occurred is owned by Freedom Industries, which supplies products for the coal-mining industry. The chemical that spilled, known as MCHM, is used to treat coal to reduce the amount of ash.

A state environmental inspector visited the site in 2010 after a complaint about an odor, said Randy Huffman, the head of the West Virginia Department of Environmental Protection.

"We went out on site and didn't find anything that would cause concern, no leaks or anything like that," Huffman said. The licorice smell given off by the chemical that spilled, 4-methylcyclohexane methanol, can emerge when it is transferred to or from the facility -- not just during a leak.

Inspectors visited the plant again in 2012 to determine whether any processes had changed that would require the company to obtain additional air quality permits, Huffman said. The inspectors decided no new permits were needed, and they wouldn't have inspected the tanks where Thursday's leak occurred, he said.

Before that, the last inspection at the site had been in 1991. That inspection took place because the Charleston plant stored different materials that required regulation, said Tom Aluise, spokesman for the environmental protection department.

State environmental officials said the facility had the only permit it was required to have: an industrial storm water permit.

"Basically they had to monitor the runoff from the rain and send us the results every quarter. Those were the only regulatory requirements," Huffman said. "The materials they were storing there is not a hazardous material."

That's because the facility didn't process the chemicals, he said. It just stored them. The company was responsible for maintaining the tanks, Huffman said.

"There's not necessarily the kind of robust environmental controls that people might anticipate that there should be on these types of facilities," he said. That's left West Virginia officials trying "to beef up what could be viewed as a loophole with these kinds of facilities."

Booth Goodwin, the U.S. attorney in Charleston, said he's investigating whether any laws were broken when the chemical leaked into the Elk River. But even if no regulations were violated, rules in the state could change as a result of the spill.

"We are writing to request that you immediately schedule a hearing to examine the regulatory gaps that this incident has exposed in the nation's toxic chemical control laws," Rep. Henry A. Waxman, D-California, and Rep. Paul D. Tonko, D-New York said in a letter Monday.

Little known about chemical

Government health and safety officials say they don't know much about MCHM. But they told about 300,000 people in nine counties to stop using the water once they discovered that 7,500 gallons of the chemical had leaked on Thursday. On Monday, they said people in some areas could start using the water again and assured them that it would be safe.

This much is clear: somehow the chemical leaked out of the storage tank, breached a concrete wall surrounding the tank, seeped into the soil and reached the water supply.

"My guy said you could see it bubbling up out of the ground, and there was no question what was going on," Huffman said.

Freedom Industries President Gary Southern said last week that residents' safety had been his company's first priority since he learned about the leak.

"We have been working with local and federal regulatory, safety and environmental entities ... and are following all necessary steps to fix the issue," he said. "Our team has been working around the clock since the discovery to contain the leak to prevent further contamination."

An emergency official told CNN that when he saw the tank, it looked old.

"I would say the tank was antique," said C.W. Sigman, deputy director of emergency services in Kanawha County.

Elizabeth Scharman, West Virginia's poison control director, told CNN last week that the chemical inside the tanks had not been studied.

"We don't know the safety info, how quickly it goes into air, its boiling point," she said.

That raises an important question, Waxman and Tonko said Monday.

"It is critically important that we understand how the law allowed a potentially harmful chemical to remain virtually untested for nearly forty years. ... We should not have to wait for a major contamination event to learn the most basic information about a toxic chemical in commerce," they said.

A 2005 fact sheet about the chemical filed with West Virginia environmental officials offered guidance for what to do if a large spill is detected: "Prevent runoff from entering drains, sewers, or streams."

@highlight

State inspectors visited the site in 2012, 2010 and 1991, officials say

@highlight

The plant had the only permit required -- an industrial storm water permit

@highlight

West Virginia's governor says he's now considering increasing regulation