Beijing (CNN) -- China's new leaders, just one year in their posts, will meet in Beijing this weekend for the Third Plenum of the Chinese Communist Party's central committee.

China watchers will be looking closely to see if this plenum becomes a launchpad for major new reforms, as the meetings have in the past.

But in Beijing's streets and office buildings, the conclave prompts little enthusiasm.

"Those things don't really interest me," shrugged a white-collar employee, walking off for lunch in a sprawling mall lined with shops selling luxury goods. "I don't have time for such topics. Too serious."

His lackadaisical attitude is excusable.

Plenums are typically opaque; held behind closed doors.

I remember covering past plenums in the 1980s and 1990s. It involved guesswork and tea-leaf reading.

I'd look for tell-tale signs -- like an unusually large number of government-issue cars parked inside a government guesthouse -- just to confirm that the plenum had convened.

At least now, the official media announces the dates beforehand.

Press locked out

This time, as in the past, the media is still not invited. No live-streaming, no microblogging, no press briefings.

Yet, the potential impact of the plenum's decisions will be hard to ignore.

Virtually every aspect of China's three-decade-old market reforms -- and their unintended consequences -- are up for review.

A "plenum" is simply an assembly or meeting of members -- in this case, the political elite of the Chinese Communist Party.

With over 80 million members, the CCP, in effect, directs a bureaucracy the size of a several armies.

Near the tip of its pyramid-like power structure sits the central committee, with over 350 members and alternates selected once every five years.

Although the central committee meets infrequently -- about three or four times a year -- it is still the country's highest policy-making body.

It serves as a kind of parliament of the Party. It formally approves important decisions on policy and personnel matters. Most of its members hold top positions in the party, government and military.

Politburo power-brokers

Many past plenums have been largely ceremonial, with important decisions debated and made by the Party's 25-member politburo beforehand.

But on occasion, plenums have been witness to robust debates and sweeping decisions on Party and government policies.

An example of this was the plenum held in Beijing in December 1978, at which China formally adopted a policy of opening up and reform.

China as we now know was conceived at that meeting, which came just two years after the death of Mao Zedong and the end of the Cultural Revolution.

With new leader Deng Xiaoping at the helm, the plenum approved rural reforms that allowed farmers to sell a portion of their produce directly to the market, rather than farm their land collectively. In a short time, it dramatically raised standards of living.

All told, the 1978 plenum paved the way for fundamental changes: decentralization, rewarding hard work and discouraging egalitarianism and rejecting ideological dogmatism.

But few observers expect such far-reaching changes this time around.

David Zweig, political science professor at Hong Kong University of Science and Technology, says opposition from Party conservatives and vested interests may still be too strong.

"In my view ... Xi Jinping should not be strong enough so soon after taking power to pull off a major reform," he said.

Still, China's leaders will unveil some economic reforms even if there is no sweeping policy package, said Cai Hongbin, Dean of the Guanghua School of Management at Peking University - sometimes called the Harvard Business School of China.

"The Chinese economy is like a race car making a turn. You want to be very focused to stay on course and maintain constant speed," he said.

"If you slam on the brake while turning, you may easily lose control and get into trouble."

@highlight

Past Communist Party plenums have been launchpads for major reforms

@highlight

They take place in secrecy; behind closed doors

@highlight

Observers looking for clues about China's future direction

@highlight

Few expect far-reaching policy changes this time around