All eyes and ears were on St. Louis County Prosecuting Attorney Robert McCulloch late Monday when he announced there would be no indictment in the shooting death of Michael Brown.

But that wasn't all he talked about.

In his nearly 45-minute statement, including questions, McCulloch touched on a variety of topics: the role of the 24-hour news cycle, the relative unreliability of eyewitnesses and the evidence and testimony in the case.

Why was decision kept secret for hours?

"I thought of his statement in two parts. The first part was an extended whine and complaint about the news media and social media, which I thought was entirely inappropriate and embarrassing," said CNN legal Analyst Jeffrey Toobin.

"I did think it was appropriate for him to go through the evidence, but frankly it was hard to follow and I think a lot of us are going to have to go through the evidence itself and see whether his conclusions are justified," he said.

Decision to announce verdict at night devastating

CNN is combing through that evidence now.

In the meantime, here's a rundown of McCulloch's main points:

The media was a problem

The prosecuting attorney blasted the media's constant need for news.

"The most significant challenge encountered in this investigation has been the 24-hour news cycle and its insatiable appetite for something -- for anything -- to talk about, following closely behind with the non-stop rumors on social media," McCulloch said.

He acknowledged the lack of detail could be frustrating and might make those already distrustful of the system more suspicious. But the secrecy, he said, serves a point.

"Those closely guarded details, especially about the physical evidence, give law enforcement a yardstick for measuring the truthfulness of witnesses," said McCulloch.

Eyewitness accounts must be challenged

McCulloch spent a fair amount of time talking about the unreliability of some eyewitness statements. Some witnesses, he said, changed their stories. Others were proven wrong by the physical evidence.

Darren Wilson, a white officer, fatally shot Brown, an unarmed black teen, on August 9.

McCulloch offered the following example to help prove his case.

"Before the results of the private autopsy were released, witnesses on social media, during interviews with the media, and even during questioning by law enforcement claimed that they saw Officer Wilson stand over Michael Brown and fire many rounds into his back.

"Others claimed that Officer Wilson shot Mr. Brown in the back as Mr. Brown was running away.

"However, once the autopsy findings were released showing that Michael Brown had not sustained any wound to the back of his body, no additional witnesses made such a claim and several witnesses adjusted their stories in subsequent statements. Some even admitted that they did not witness the event at all, but merely repeated what they heard," the prosecuting attorney said.

Read the documents from the grand jury

Physical evidence was key

As opposed to eyewitness accounts, McCulloch stressed the importance and reliability of physical evidence.

"Physical evidence does not change because of public pressure or personal agenda. Physical evidence does not look away as events unfold, nor does it block out or add to memory. Physical evidence remains constant and as such is a solid foundation upon which cases are built," he said.

Wilson fired 12 rounds

McCulloch told reporters two shots were fired at Wilson's car, where there was an altercation with Brown. Ten more shots were fired east of the car, where the teen had run, he said.

"A nearby tenant, during a video chat, inadvertently captured the final 10 shots on tape. There was a string of several shots, followed by a brief pause, following by another string of several shots," said McCulloch.

The jurors are the only ones who know the whole story

The prosecuting attorney repeatedly praised the good work of the grand jurors.

"The grand jury worked tirelessly to examine and reexamine all of the testimony of the witnesses and all of the physical evidence. They were extremely engaged in the process, asking questions of every witness, requesting specific witnesses, requesting specific information and asking for certain physical evidence," said McCulloch.

The jurors listened to more than 70 hours of testimony from about 60 witnesses and reviewed hours upon hours of recordings. They "poured their hearts and souls into this process ... gave up their lives," McCulloch said.

"They accepted and completed this monumental responsibility in a consciousness and expeditious manner," he told reporters. "They are the only people, the only people, who have heard and examined every witness and every piece of evidence."

Brown's death has opened old wounds

McCulloch opened his statement by extending his sympathies to the Brown family.

"I've said in the past, I know, that regardless of the circumstances here, they lost a loved one to violence, and I know that the pain that accompanies such a loss knows no bounds," he said.

No young man should ever be killed by a police officer, just like no officer should be put in that position, said McCulloch.

"This is a loss of a life and it's a tragic loss, regardless of the circumstances. But it's opened old wounds, and it's given us an opportunity now to address those wounds," he said.

McCulloch added: "I don't ever want to be back here, so we have to keep that discussion going and everybody has to stay engaged in it. This is a horrible tragedy, and we don't want to see any repeats."

Complete coverage of what's happening in Ferguson

@highlight

Robert McCulloch made the indictment announcement late Monday night

@highlight

He blasted social media and the "insatiable appetite" of the 24-hour news cycle

@highlight

McCulloch stressed the importance of physical evidence