Washington (CNN) -- Chinese President Hu Jintao arrived in the United States on Tuesday for a state visit that will include high-profile talks with President Barack Obama on trade, currency, North Korea and other issues.

The three-day trip includes a state dinner on Wednesday and the eighth face-to-face meeting between Obama and the Chinese leader, which administration officials say illustrates the importance of relations between two global powers at a time described by U.S. Secretary of State Hillary Clinton as a "critical juncture."

Chinese state media has reported that Hu will stress how a constructive, comprehensive partnership between the two nations could be mutually beneficial and help ensure stability in Asia and worldwide, despite differences between Beijing and Washington on issues such as human rights and currency controls.

In addition to Obama, Hu is also scheduled to meet with top legislators and business executives. After Washington, Hu will make a stop in Chicago on Thursday.

Vice President Joe Biden greeted Hu when the Chinese leader arrived at Joint Base Andrews in Maryland on Tuesday afternoon. A military honor guard saluted Hu and a military band played the national anthems of both countries as Hu and Biden stood on a red carpet on the air base tarmac.

Hu later arrived at the White House for what officials called a small dinner gathering with Obama, Clinton and National Security Adviser Tom Donilon.

"This provides a bit of an informal setting in which to have some of these discussions," White House Press Secretary Robert Gibbs said earlier Tuesday about the dinner.

On Wednesday, the two leaders will hold bilateral talks followed by a joint news conference, and Hu will be the guest of honor at a formal state dinner in the evening.

Before Hu's arrival, U.S. legislators and demonstrators criticized China's human rights record, including political repression, and called for Obama to press the issue in his talks with the Chinese leader.

"It is more important to honor and remember those who cannot attend this State Dinner rather than those who will be in attendance," said a statement by the Rev. Patrick Mahoney, director of the Christian Defense Coalition. "While the guests are dining on expensive and extravagant food there will be scores who will be oppressed and placed behind bars by the Chinese government because of their faith and political beliefs; people like Nobel Peace Prize Laureate Liu Xiaobo who is in prison," and others.

Gibbs said that Obama would raise human rights concerns with Hu.

"Obviously that is a topic of some significance that the two leaders will talk about," Gibbs told reporters. "We will continue to have difficult conversations" with China on the subject.

This week's meeting between the leaders of the world's two largest economies also put the spotlight on criticism that the government-controlled People's Bank of China artificially undervalues the yuan, bringing down the cost of Chinese exports, which would give it an advantage in the international market.

Last week, Treasury Secretary Timothy Geithner said China must do more to address its undervalued currency and dependence on exports, adding that such a move is in Beijing's best interest because it will control inflation.

Senate Democrats this week renewed their push to crack down on countries that manipulate their currencies, with China clearly in their crosshairs.

A bill introduced Monday by New York Sen. Charles Schumer and two other Democrats would impose penalties, including possible tariffs, on nations that manipulate their currencies.

The senators told reporters in a conference call that China's currency and trade polices undercut U.S. manufacturers and are costing American jobs.

"China's currency is like a boot on the throat of America's economic recovery," Schumer said.

But Hu dismissed the argument that price stability is a reason for yuan appreciation, telling the Washington Post and the Wall Street Journal that Chinese inflation is "moderate and controllable."

In an apparent attempt to smooth relations ahead of this week's meeting with Obama, the Bank of China last week began providing the yuan directly to U.S. traders for the first time.

The Chinese president has complaints of his own, particularly with Federal Reserve policy aimed at stimulating the economy. The policies especially affect China, given that it holds billions of dollars in government debt. The Federal Reserve policy makes U.S. bonds a less attractive investment for the Chinese.

In a speech Friday at the State Department, Clinton said China must assume the responsibility of being a world power, rather than basing policies on its own self-interest.

Clinton acknowledged that relations between Beijing and Washington were at a "critical juncture," noting persisting tensions on economic and security issues and accusing China of discriminatory practices that put American firms at a disadvantage.

Still, insisting that the United States doesn't view China as a threat, she said, "our economies are intertwined and so are our futures."

One hot-button issue that Beijing addressed on Sunday was the Korean peninsula, days after Clinton urged China to use its "unique ties" with North Korea to tamp down tensions there.

Urging an early resumption of long-stalled six-party talks committed to reining in North Korea's nuclear program, Assistant Foreign Minister Hu Zhengyue told Xinhua that "the peninsula's denuclearization and the normalization of relations" was in all parties' interest.

"China will continue to work with all the parties concerned and the international community to ensure peace, stability and prosperity," he said.

CNN's Ben Rooney, Tom Cohen and Aaron Smith contributed to this report.

@highlight

Obama hosts Hu at a small White House dinner Tuesday evening

@highlight

Hu is greeted by Vice President Biden on his arrival

@highlight

China's human rights record will be a topic of the Obama-Hu talks

@highlight

Obama and Hu are expected to discuss trade, currency and North Korea