(CNN)  -- What does it mean when 86 percent of the Americans surveyed last week by CNN/Opinion Research Corp. say they believe that their system of government is broken?

It probably means, Michael Kazin says, that Americans are behaving like they always do. A repeated theme in American history, says Kazin, a historian at Georgetown University, "is Americans believing the country is in decline and then finding ways to rebound from both the fear of decline and the problems that gave rise to that fear."

There is reason for optimism, says Kazin, who specializes in populist movements and is the editor of The Princeton Encyclopedia of American Political History.

For one thing, populist movements similar to, for example, Tea Parties, have reared up repeatedly in American history to rail against social inequities and faltering financial systems. But rather than heralding the end of the republic, he says, they "often spur politicians to make changes that in the end make the country stronger."

What optimism? For another view, click here

Americans apparently understand this: Of the 86 percent in the survey who thought the government was broken, 81 percent say that it could be fixed.

"Most Americans are still optimistic about the future of the country," Kazin says, "and even of politics."

Kazin's most recent book is "A Godly Hero: The Life of William Jennings Bryan." He is also co-editor of Dissent magazine.

He talked to CNN.com last week (the interview has been edited for length).

CNN: You have said that the United States is doing rather well, and that what is in decline is a myth that America will always be richer, freer, and superior to other nations. So the country is not in decline?

Kazin: I think we are in trouble, but that's not the same as saying we're in decline. We have an economic crisis, unsolved problems, our political situation is deadlocked, many Americans are unhappy with the government.

But we've been there before. In the 1930's there was such a period: the Great Depression. And what came afterward was victory in World War II and then the greatest sustained economic boom in American history.

One of the continuing themes in American history is Americans believing the country is in decline and then finding ways to rebound from both the fear of decline and the problems that gave rise to that fear. I see no reason to believe that won't happen again.

CNN: Why do some people think America's greatness is waning?

Kazin: Many Americans believe that the United States is immune from history, that we have always been the greatest nation and are destined always to be the greatest nation -- and if we aren't living up to that promise, our politicians are doing something wrong. But the United States is doing well from the perspective of most of the rest of the world.

If decline means that we are not the mightiest economy in the world by a long shot, then we might be declining. But it's also quite possible that what we're evolving into is being part of an interdependent world economy, which includes several powerful economic centers --including Europe, China, Japan -- and if we can all get along together, it's quite possible that it'll be better for Americans rather than worse."

CNN: How would it be better?

Kazin: We would specialize in certain goods and certain services and other countries would specialize in others. That's the way a world economy is supposed to work.

We have tended to see our position vis-á-vis the rest of the world as a zero-sum game: if we are in decline, then the other countries must be gaining on us and that means we're worse off, that our economy will decline and we'll be vulnerable to threats from abroad.

There have been periods in history where several powerful nations have been able to prosper together. [For example] roughly the period from the 1870s to World War I. That was also known as the Age of Empire, so the U.S. and European nations were conquering other peoples. But history doesn't produce eras of unambiguous joy or unambiguous sorrow, it's always more complicated than that.

CNN: Can you talk about periods in history that resemble this one, but in which the country has miraculously pulled itself together and become better?

Kazin: There was a lot of fear of decline in the 1890s: a nationwide railroad strike, small farmers in the south and west joined the People's Party; the populist movement was gaining large numbers of adherents who accused the powers that be of a conspiracy against the interests of the common people.

CNN: What happened?

Kazin: What happened was the depression ended and prosperity returned, and the United States soon became the most powerful industrial nation on earth.

CNN: And what about the People's Party?

Kazin: Some Populists rejoined the mainstream political system, but the populist movement was very beneficial in pointing out problems that needed to be addressed. The Populists helped build support for national regulation of the financial system -- which resulted in the Federal Reserve System -- as well as the income tax and the Tillman Act of 1907, which banned direct corporate contributions to candidates."

CNN: Why do most of the fears of America's decline seem to come from the political right wing and not as much from the left?

Kazin: Barack Obama is in power and most people on the left supported him and so they are ambivalent about opposing him now; if he fails, they will have failed. The whole idea of a populist movement is rail against the establishment, in this case, the party in power.

Conservative ideas have been the dominant ones over the past 40 years, the way liberal ideas were dominant from the Great Depression to the late 1960s. The left doesn't have institutions that can generate mass protests right now.

Just as with the original populists and the labor insurgency of the 1930's, the actual demands that are raised by the populist movements don't usually get met but the issues that are raised by those movements often spur politicians to make changes that in the end make the country stronger.

CNN: So do you discern this vibe of pessimism in the culture -- a population beaten down by wars, a lousy economy, joblessness, etc.?

Kazin: Not beaten down. I think people are worried -- as they are in any recession, as they are when the political system seems not to be delivering solutions to problems people know exist. But there are a lot for ways in which the nation is quite strong.

First of all, we have a very vibrant culture that is popular all over the world -- in sports, in entertainment -- our universities are considered the best in the world, people come from all over to study in the United States.

And this is still the country to which most people would like to emigrate. Millions of people aren't trying to get into Russia, or Nigeria, or Japan.

We're not going to return to manufacturing inexpensive goods anytime soon -- but at the same time we'll still produce high-tech goods, we have service industry that we export around the world -- people who build things. We still have some of the best engineers in the world, and I think once we realize that we have to produce green technology, we'll be exporting that around the world.

This recession was fairly deep and millions of people are still suffering. But compared to the Great Depression it's been rather mild and short. I think the stimulus plan helped, I think bailing out the investment firms and the auto companies was also necessary. Morally, those huge Wall Street bonuses are reprehensible. But, absent a government takeover of the financial sector, keeping Wall Street in business was essential to any recovery.

In every downturn, the government has stepped in to help stabilize things, and in every downturn, it's worked."

CNN: And you think that will be the case again.

Kazin: The one thing I point to as decline is the gap between the richest Americans and average Americans has increased quite a bit. There are a lot of reasons for that, but in a society where most people consider themselves to be middle-class that we are "one people," that gap should be troubling.

It helps to generate a certain kind of populist rage--about those bonuses, for example. Few Americans want an equal distribution of income, but most do believe in economic fairness, and so they get angry when one group seems to be gaming the system.

Will this mean decline? Not for the nation as a whole, but it may increase cynicism that there's nobody able to solve our problems.

@highlight

Michael Kazin says Americans' worry about U.S. decline is repeated through history

@highlight

Americans may have to accept prospering with others, he says

@highlight

Fear of decline sparks populism, which often spurs positive change, he says

@highlight

Kazin: U.S. is strong, especially in culture, entertainment, services, intellectual capital