Hong Kong (CNN)Chinese President Xi Jinping and Indian Prime Minister Narendra Modi are two dynamic leaders at the helm of the world's two most populous nations.

And one is particularly vocal about making his mark on history.

When India successfully placed a spacecraft into orbit around Mars last year, Modi reveled in the moment.

"History has been created today," he said. "We have dared to reach out into the unknown and have achieved the near impossible.

"The success of our space program is a shining symbol of what we are capable of as a nation."

Soon after the galactic feat, he took to the stage at New York's famous Madison Square Garden and received a welcome so rapturous that Jon Stewart called him "America's First Modi."

And all along, Modi has issued his call to "Make in India," encouraging companies all over the world to manufacture their products in India where there is a vast talent pool and low-cost production.

While Modi's India is out to put its economy on the fast track, China's economy is slowing after over 25 years of breakneck growth. President Xi is managing the slowdown with efforts to boost domestic spending, while cracking down hard on corruption.

And it's been predicted that India could outpace China as the world's fastest growing economy as soon as this year.

So is the world's largest democracy primed to overtake the world's biggest single party state as the next economic miracle?

OPINION: What India can learn from China

Not so fast, says China watcher and India Today correspondent Ananth Krishnan.

"China is still pulling away from India," the Beijing-based reporter said. "If India grows 7.5% this year and China grows 7.4%, I think it makes a good headline.  But I think people shouldn't get carried away about what it means in terms of a gap between China and India."

China's economy may be slowing down but India faces a longer list of economic challenges including higher unemployment, chronic inflation and an overwhelming lack of basic infrastructure.

"In terms of education, having access to different resources, and job creation, China has done well. It has progressed far better compared to India," said Infosys China CEO Rangarajan R. Vellamore.

"Even though there is free movement across the country (in India), the paradox is there are a lot of basic issues related to access to water and basic education."

In a recent budget, the Modi government announced plans to boost infrastructure spending as well as cut taxes on businesses among other initiatives to spur economic growth.

But despite Modi's big pro-business push, India simply can't size up against China's raw economic might.

"After 30 years of dedicated efforts in building China into a manufacturing powerhouse, it would take a long time for India to build that kind of manufacturing capability," said Haiyan Wang, Managing Partner of the China India Institute.

"It's not just about lower labor costs. You have to have a complex industry cluster of supply chains. You have to have the knowledge. You have to have the skills. You have to be connected to the international market," she said.

"So when you ask if India could compete with China, I don't think that is going to be happening -- not in the next 20 years."

The Indian elephant may be charging ahead, but the sinewy dragon has the muscle to stay ahead. China has the capacity, the connectivity, and the capital to throw its weight around.

And being a single party state with no free elections, Xi can march toward a long-term goal without fretting about the next election.

But that's not to say the autocracy has the advantage on all fronts, especially when it comes to winning hearts and minds in the region.

"Even if China is putting money into the Asian Infrastructure Investment Bank (AIIB) and the Silk Road fund, it is also building airstrips on reclaimed islands on the South China Sea," said Krishnan.

"There no question that India's rise is far less threatening than China's rise."

With the 1962 border dispute still vividly remembered by many in India, the impression of China as a threat stands in the way of further economic integration between the two countries.

"If you look at India's seven northeastern states, which are probably in the most dire need of infrastructure, it's inconceivable for any of those states to allow a Chinese company to come and build roads," said Krishnan.

So when Modi touches down in Beijing next month for his second meeting with Xi, can both leaders cast aside areas of political tension to get down to business?

"As pragmatic as President Xi is, as pragmatic as Prime Minister Modi is, economic integration is going to happen regardless of 100% trust or not," said Haiyan Wang.

Eased by the pragmatism of two ambitious leaders, the elephant and the dragon could together leap at the opportunity for a strong economic alliance.

"If these two countries come together, 40% of the world's people are going to be prosperous," said Vellamore.

"If they are able to come together, there can be a new kind of world order in the entire region which is going to benefit all of Asia."

It's a moment for both leaders to make a lasting mark on history.

@highlight

India predicted to outpace China as as world's fastest-growing economy in next year

@highlight

China's economy is slowing after over 25 years of breakneck growth

@highlight

But experts say India simply can't size up against China's raw economic might