New York (CNN)"Oh please, mind your language, show some restraint: it was not a French September 11!" wrote Olivier Roy last week, in an otherwise nuanced article on the French Muslims and the emergence of extremists.

This brilliant intellectual, a researcher on Islam, meant there was no comparison between the 17 victims of Paris and the nearly 3,000 dead in the United States 14 years ago. The size and intensity of the crime and trauma, the level of destruction, defies the comparison. But so do the consequences.

French President François Hollande may have enjoyed a miraculous boost in the polls, he may pace on the deck of an aircraft carrier with a strange Bush-like swagger amid the chorus of sacred national union, but he won't bend the course of world history because of an attack on his territory.

Still, he looks at France now and finds matters of tremendous reflections, along with some similarities. Coping with anger is one of them.

In the 10 days after September 11, three innocent men were killed in Arizona, Texas and California, just because they looked Muslim in the eyes of the shooters. One was a Sikh store owner who was targeted because he wore a turban. France has had no murders but saw more anti-Muslim attacks -- ranging from insults to depredation of mosques -- in the rest of the country from January 7-20 than in all of France in 2014.

Then there's the institutional furor. I remember vividly in 2001 the cases of Muslim foreigners deported for spurious reasons, such as mere accusations of having made anti-American statements, not even related to terrorism, in reported private conversations.

Some were jailed in secret on the most outlandish suspicions. A Pakistani man with heart disease, locked up under the pretext of his overstaying a visitor's visa, died alone in a New Jersey cell of a heart attack. Others were forgotten behind bars for months.

The Cartesian French may have criticized America's hysteria at the time, but they have little to brag about lately. A week after the Charlie Hebdo attack more than 50 individuals had already been charged  -- and 10 of them sentenced to prison terms -- for the crime of incitation to terrorism.

One of them is a man arrested for driving under the influence who got a 14-month sentence, due in part to his previous arrests, after mentioning the fate of the three police officers killed. Another is a man with psychiatric problems who received three months for his rants, even though the prosecution itself recognized his place was less in prison than in a treatment facility.

French comic Dieudonné, accused of anti-Semitism, which he denies, but convicted nine times for inciting racial hatred and similar charges, will be judged by an anti-terror court for his apparent condoning on Facebook of Amedy Coulibaly, the killer at the kosher store in east Paris. Dieudonné is a pathetic merchant of hate -- not a terrorist.

Neither seem to be six other people sent to prison, one of them for two years, for their ugly posts on social network, in accordance with the same law originally aimed at jihadist propagandists on the Internet.

After September 11, Americans resented "having been too kind" in the prevention of terrorism, and many commentators urge Paris not to fall into the trap of its own patriot act.

But the French have long had a set of anti-terror laws that have been the envy of America's police and intelligence departments. Attacks by opposition politicians stating that the legal hurdles of France's "soft on crime" and "socialist" government -- which they claim prevented phone taps of the terrorists -- are a joke.

Our police let the terrorists off the hook this summer for a number of reasons. Firstly, they had nothing on them but petty violations of counterfeit laws. Secondly, they had plenty of other fish to fry -- namely 5,000 other potential French jihadists whose tracking would demand a minimum of 10 detectives per suspect. There's also the fact that more than 900 people have left France to join the ranks of ISIS in Iraq and Syria -- a mindboggling number.

America discovered in 2001 the extent of the hate brewing in the Muslim world through the acts of 19 killers -- some of whom had spent more than a year in their country.

France has to look inward, which may be even more painful, and scrutinize the three "children of the republic" born and raised in its civilization. And it does.

One of the first moves by the government was to grant citizenship in a week after the supermarket attack to the young Muslim employee, an immigrant from Mali, who had hidden captives during the siege at the kosher store.

The second was for Prime Minister Manuel Valls, who emigrated from Spain as a child, to decry the "apartheid" France's Muslim population suffers. The word may be shocking, but it conveys, officially for once, the long known reality of our ghettos, the failure of integration in France and the incapacity of our school system.

Racism? France had and still has its share of bigots, theoreticians and enforcers of the worst discriminations. But this shows more simply what American liberals would call "a lack of sensitivity" -- an incapacity, being such a diverse society, to accept that the cultural rules of the white male majority may not be entirely palatable, or accessible, by other members of the population.

Sexism, denied in the name of the rejection of American-style political correctness, is an example. Race and culture barriers are another manifestation of this orchestrated blindness. At a moment when ghettos promote the surge of religious devotion as a remedy to the denial of "Frenchness," the gap is getting even wider, and the rage more dangerous in the eyes of the most violent of the downtrodden and hopeless.

The so-called "Laicité," the official secularism of the French Republic, bears a deep responsibility. The concept has always been a political expedient, an offshoot of anti-clericalism that justified even in part the denial of the right to vote for women until 1945, out of fear their obedience to the Catholic Church would endanger the Republic.

It has later, for too long, been directed at the most different and disadvantaged immigrant population from the Maghreb region. A glorious façade of the denial of differences, one which let discriminations and injustice fester for decades, prevented any affirmative action or simple recognition of diversity.

Long before September 11, Bill Clinton, speaking of race and class relations, said that "there is nothing bad in America that cannot be solved with what is good in America." The same must be true in France as the horror of January makes us look at the truth about our country.

@highlight

France has had no murders but has seen more anti-Muslim violence since Paris attacks

@highlight

Philippe Coste: France must avoid lashing out at Muslims through the courts out of anger

@highlight

France must now inward and examine alienation that Muslims feel - Coste