In the poor suburbs of Casablanca, Morocco's largest city, home-grown hip-hop artists blare from radios, clubs and street corners around the clock.

Unlike the majority of their commercial American counterparts, these rappers don't talk much about women, partying and luxury lifestyles; but poverty, illiteracy, crime, and the high cost of living.

According to a recent report from the World Bank, nearly half of young Moroccans are either unemployed or out of school.

For 28-year-old rapper Mohammed Hoummas, who goes by the stage name Si Simo,  the situation reflects a growing inequality between Morocco's rich and poor. Indeed, his most popular song, "Kilimini" speaks directly of the wealth gap in Moroccan society.

"They have croissant for breakfast while we eat bread dipped in cheap oil. They dine on grilled meat while we fight over an ounce of meat like worms," he sings.

"Why did I write 'Kilimini?' Look around where I live and you'll understand why I wrote it. To say it simply: Here in Morocco the people who have power, they can do what they want, say what they want, and no one will judge them or say anything to them," he said.

As a child Si Simo listened to Bob Marley and was inspired to write his own music. He says he couldn't afford to buy a guitar so his words became his instrument, and he started rapping at 15.

"I expressed my feelings about things I lived through, the things that hurt me, the life experiences that marked me," he said.

Internet penetration in Morocco has increased from just 15% of the population in 2007, to 49% in 2011, according to Internet World Statistics.

As such, the country's rap and hip-hop scene has exploded in popularity in urban centers -- where internet access is highest -- as home-grown artists take advantage of the ability to share and distribute their productions more widely.

National festivals such as Casablanca's Casa Music Festival and capital city Rabat's Mawazine increasingly showcase the talents of both domestic and international musicians, including the likes of Busta Rhymes and Kanye West.

Now a stalwart on the scene, Si Simo gained fame with the rap group Fez City Clan, making enough money from concerts and touring to move out of his run-down neighbourhood in Casablanca.

He still  returns regularly, and is regarded as a local success story and inspiration.

"I listen to rap and fusion music, but mostly rap, and especially Si Simo because he's from this neighborhood," said a local man. "I'm 19 and I'm a rapper. I think hip-hop is a way to express ourselves. I think it can change a lot of things," said another.

But that change can come at a price.

In February of last year, as the Arab Spring swept across the region, pro-reform protests erupted across Morocco.

The government reacted swiftly.  Morocco's king, Mohammed VI, announced several reforms, including new parliamentary elections, civic and social equality for women,  and recognition of the indigenous Berber language as an official state language along with Arabic.

But for many, especially among Morocco's disenchanted young, it wasn't enough.

Rapper Mouad Belghouat, better known as "Al Haqed" ("The Enraged One"), became a figurehead for the pro-reform February 20 Movement when he was arrested in March 2011 for his song "Kilab Al Dawla" or "Dogs of the State," in which he criticizes the police for brutality and corruption.

"You are paid to protect the citizens, not to steal their money," read the lyrics. "Did your commander order you to take money from the poor?"

The song asks the police to arrest the wealthy businessmen who, he says, have divided the country up for themselves.

A Casablanca court sentenced Belghouat to one year in prison for hurting the image of the police.

The conviction drew widespread criticism from Belghouat's supporters on both his website and on social media outlets, as well as condemnation from Human Rights Watch, among others.

For Ali Chabani, a Moroccan sociology professor, the discontentment expressed in the lyrics of Morocco's growing band of hip hop artists is an inevitable product of the country's lack of social unity:

"The youth started suffering from unemployment, they started feeling marginalized and found it difficult to afford a dignified life or to establish themselves in society and so began to feel excluded," he said.

Follow the Inside the Middle East team on Twitter: Presenter Rima Maktabi: @rimamaktabi, producer Jon Jensen: @jonjensen, producer Schams Elwazer: @SchamsCNN, writer George Webster: @George_Web and digital producer Mairi Mackay: @mairicnn.

@highlight

Morocco's hip-hop scene is focused on the country's social inequalities

@highlight

Rappers such as Si Simo rage against perceived corruption of police and state

@highlight

Music has become more popular as internet access increased across country