(CNN)Everyone agrees -- the mysterious death of Argentine prosecutor Alberto Nisman has all the twists of a thriller. But what exactly does that mean?

A number of people have been pulled into the unfolding story of the prosecutor's death.

Nisman, a special prosecutor investigating a deadly 1994 terror attack, alleged that the country's President, foreign minister and other political leaders covered up Iranian involvement in the attack. The government told Iran it would back off in exchange for a favorable trade deal, Nisman alleged.

He filed his report, but one day before his scheduled testimony before lawmakers on the allegations, he was found dead from a gunshot wound to the head.

There were initial reports of suicide, but many had their doubts. Sure enough, suspicions appeared to be confirmed when no gunpowder residue was found on Nisman's hands, which would have been expected if he had shot himself.

Since then, a number of strange things have happened in Argentina, all seemingly related to Nisman's death.

Here's a look at the people, events and places that form part of a web that continues to unspool:

The Argentine Israelite Mutual Association, or AMIA, was the target of the July 18, 1994, terror attack that killed 85 people and injured hundreds in Buenos Aires. The attack on the Jewish community center is the worst terror attack in Argentina's history.

A suicide attacker drove an explosive-laden vehicle into the building. Argentina has the largest Jewish community in Latin America.

He was the prosecutor who accused Argentina's President and other top leaders of covering up Iran's alleged role in the Jewish center bombing. Nisman was found dead after filing a report with his allegations in court, and one day before he was slated to testify on his accusations in front of Congress.

His death remains a mystery. A gun and shell casing by his side made it look like a suicide, but an initial test found no gunpowder residue on his hands.

Almost immediately, suspicions arose that Nisman's death was linked to his allegations against the President, foreign minister and other political elites. President Cristina Fernandez de Kirchner called it a suicide, then quickly changed her tune.

The government denies it had a role in the prosecutor's death.

Nisman was appointed as special prosecutor on the AMIA bombing in 2005 by then-President Nestor Kirchner, Fernandez's late husband.

Even before Nisman became the lead investigator, previous Argentine prosecutors suspected Iran's involvement in the terrorist attack. In 2004, Argentina issued arrest warrants for 12 Iranians and requested that Interpol issue red notices for these suspects. But allegations of misconduct by Argentine investigators resulted in the case falling apart.

Nisman was appointed after this mess to sort it out.

Nisman's own investigation also pointed at Iran, and in 2007, Argentina issued new arrest warrants and went back to Interpol. This time six red notices were issued.

The Iranian suspects are Imad Fayez Moughnieh, Ali Fallahijan, Mohsen Rabbani, Ahmad Reza Asghari, Ahmad Vahidi and Mohsen Rezai. The most prominent of these suspects is Vahidi, who for a time was Iran's defense minister.

Argentina also asked for red notices for three others --  former Iranian President Akbar Hashemi Rafsanjani, former Foreign Affairs Minister Ali Akbar Velayati and Hadi Soleimanpour, the former ambassador of Iran in Buenos Aires. Interpol did not issue red notices for them.

None of the Iranian suspects are in custody and Iran has not made them available to Argentine prosecutors.

In 2013, Argentina's Congress approved the creation of a joint commission to investigate the 1994 AMIA bombing. The five-member "truth commission" would include Argentine and Iranian investigators who would work together to get to the bottom of the terror attack.

Argentine lawmakers deliberated for more than 14 hours before passing the measure by a 131-113 vote. Later, Nisman would call this agreement the public face of the alleged cover-up.

Fernandez's government heralded the agreement as a way for prosecutors to finally interrogate the Iranian suspects.

But there was much opposition, including from Jewish groups. They were worried the commission's verdict would be nonbinding and distrusted Iran.

Fernandez was elected President of Argentina in 2007. She succeeded her husband, Nestor Kirchner, who was President from 2003-2007 and who died in 2010.

Fernandez was re-elected in December 2011 to a new four-year term.

As President, she has often been combative, accusing opponents of undermining her ability to govern.

When Nisman was found dead, she made a statement calling it a suicide, followed by a second statement saying she didn't believe he took his own life.

In the wake of the Nisman scandal, Fernandez traveled to China on a business trip, where she made headlines for a tweet mocking the Chinese accent.

Hector Timerman, Argentina's foreign minister, is among those accused of conspiring to cover up Iran's involvement in the Jewish center bombing.

After Nisman's death, Timerman told CNN the allegations of a cover-up were baseless.

Fernandez's government has done more than any previous administration to get to the bottom of the bombing, Timerman said.

"I am Jewish," he said. "And to think that a person of my religion, the Jewish religion, can make a deal not to prosecute the death of 85 people, most of them Jewish in Argentina ... I have to tell you, it's not easy to live with."

He has said that he never asked to have the red notices for the Iranian suspects removed.

His reputation has taken a hit. Timerman signed the agreement with the Iranians to investigate the bombing jointly, a move criticized by Argentina's Jewish community.

At the time, he said: "I negotiated this memorandum with who I had to, not with who I wanted to. At each step, I kept in mind that us Argentinians learned with lots of pain that we have to seek justice and not condemnations, to seek the truth and not vengeance."

Diego Lagomarsino was an assistant to Nisman. He also is the only person charged in connection with the prosecutor's death, charged with illegally letting Nisman borrow a gun.

Lagomarsino faces up to six years in prison if convicted.

The IT expert broke his silence at a news conference, saying he committed no crime and that he let Nisman borrow the gun at the prosecutor's insistence.

Nisman feared for his safety after he filed his report in court and didn't trust his own security guards, Lagomarsino said.

According to Lagomarsino, Nisman was so fearful that he didn't go out to buy his own groceries and feared for his daughters.

Nisman told Lagomarsino not to worry, that he wasn't going to use the gun. But when Lagomarsino texted later to check on Nisman, the prosecutor never answered.

Viviana Fein is a federal prosecutor who leads the investigation into Nisman's death.

It's not unusual for her, or those she interviews, to be swarmed by television news cameras outside her office.

Fein's approach to the investigation has been careful and transparent. She provides occasional statements with updates on whom she has spoken with and what tests are being conducted on the evidence.

However, she made missteps that have damaged her credibility in the eyes of some. When the Clarin newspaper reported that Nisman had drafted an arrest warrant affidavit for Fernandez, Timerman and others, Fein was quoted saying it was not true. The government also denied it.

The next day, Fein said her comments were misunderstood. She confirmed that Nisman had indeed contemplated seeking the arrests of the President and others. The draft documents were found in trash can in Nisman's apartment, she said.

The Secretariat of Intelligence, or SI, is the country's domestic intelligence service. Locally, it is also known as ex-SIDE, referring to the agency's previous name, the Intelligence Secretariat of the State (SIDE by its Spanish initials).

In the wake of Nisman's death, the government has suggested that rogue intelligence agents fed Nisman false information about a cover-up and then killed him after he filed the accusations in court.

"They used him while he was alive, and then they needed him dead," the President said in a statement days after Nisman's body was found.

Fernandez then sent a bill to Congress that would abolish the SI and replace it with a new agency, to be called the Federal Intelligence Agency.

The SI has "not served the interests of the country," Fernandez said.

Lawmakers are debating the proposal.

Horacio Antonio Stiuso is his full name, but he is known by his nickname, "Jaime."

He is a key witness, but he seems to have disappeared.

When Fernandez refers to a rogue intelligence officer who fed false information to Nisman, she is talking about Stiuso.

Stiuso led the SI until Fernandez booted him last year. The former spy chief allegedly retaliated by tricking Nisman into accusing the government of a criminal cover-up, Fernandez and her supporters claim.

Fernandez moved to relieve Stiuso of his obligation to keep secrets, so that he can testify.

Stiuso was slated to testify during the first week of February but couldn't be found. Fein has since said she is confident he will testify soon.

Damian Pachter is a journalist for the English-language Buenos Aires Herald.

A dual citizen of Argentina and Israel, he broke the news of Nisman's death, reporting it via Twitter.

After the scoop, Pachter dropped off the radar, with some saying he fled Argentina fearing for his safety.

In a strange response, the Argentine government published a copy of Pachter's travel records, saying they showed he simply went to Uruguay and had purchased a return ticket.

But Pachter didn't return. He announced on Twitter a few days later that he was in Israel, in exile.

Sergio Berni is Argentina's security secretary. His tie-in to this mystery? Local media widely reported that he arrived at Nisman's apartment, with Nisman's mother, before investigators arrived. He also was the first person to publicly call Nisman's death a suicide. Not surprisingly, questions have swirled about what a government minister was doing at the scene before the investigators, and why he announced the suicide theory so quickly.

@highlight

Argentine prosecutor Alberto Nisman dies mysteriously while investigating 1994 attack

@highlight

Suspicions arose that death was tied to allegations against Argentine's President, other leaders