(CNN) -- Hans Zimmer, the creative force behind some of Hollywood's best loved film music, including the Oscar-winning Lion King score, adjusts his chair in front of a sleek black instrument that looks something like the control panel of a stealth bomber.

He raises his hands to the monochrome keyboard and presses gently. A familiar strain emerges from it: the opening lines of the Dark Knight theme, but today it sounds unlike it has ever sounded before.

The 'Seaboard keyboard' is a tech forward interpretation of the piano, that attempts to reimagine what a keyboard can do. To test the device, CNN invited Zimmer to cast an expert eye over the British invention, and give a frank assessment of how it works.

"The Seaboard is really interesting," Zimmer says, "because you're forever trying to figure out how to make music more expressive. I've always been involved in music and technology and this is quite a relationship we're developing here ... we're trying to figure out how to get beyond the boundaries of technology that was invented 600 years ago or so."

Developed in the UK, the Seaboard is the brainchild of multi-instrumentalist inventor Roland Lamb. While studying at the Royal College of Art (RCA) in London, Lamb decided to create a new keyboard that he hoped would be more expressive than the piano.

"The piano was the first object I truly loved," Lamb says. "I played it all growing up ... but I became frustrated with its inability to modulate the timbre, and pitch and volume of each note. Essentially I was jealous of guitar players who could bend notes at will on a single note."

The Seaboard takes the basic layout of a piano but allows a player to 'bend' the sound of each note by using a range of different gestures that Lamb says are based very closely on the gestures people learn when they first pick up the piano. Moving a finger left on a key makes a note 'bend' downwards. Moving it right makes it go up a little.

Lamb believes that this opens up the expressive potential of the instrument, and serves to counter the "direct and unbending" nature of notes played on a piano.

Zimmer says that in this respect, Lamb has been successful: "It behaves much more the way you imagine as a human being you would want to interact with your notes. It doesn't have that stiff 'plunky' thing that a piano has. It automatically has a sort of sensuality to it ... Look, if Debussy or Ravel had had one of these I think their music would have been X-rated."

The invention of an unusual instrument is nothing new of course. Earlier this year a device called the Artiphon came out, aiming to bridge the gap between guitar, keyboard and violin. Typically, new instruments have struggled to gain widespread traction, but some have been adopted by working musicians, such as the Swarmatron used by Trent Reznor on the Social Network soundtrack or the Reactable which, for a period, Bjork used in her live shows.

Lamb says he would love to see a Seaboard in the hands of Herbie Hancock or Vangelis, but that seeing it played by Zimmer was a particular thrill.

Lamb says that all of Zimmer's feedback was useful, but he was most surprised by the German composer's interest in the Seaboard's tactile qualities:

"One of the most surprising pieces of feedback that I got from Hans was his emphasis on the importance of the touch. I've always known that the touch is kind of the core part of the Seaboard ... but he wanted to just go back and focus on the simplicity and the beauty and the expression of the touch and that was a really nice reminder to me of what was of the greatest importance."

The Seaboard goes on sale this week.

CNN's Monique Rivalland takes a look at other unusual instruments piquing the interest of musicians around the world:

The Reactable

Music can be heard, felt and with the Reactable it can also be seen.

Mostly used in live music production, the Reactable allows musicians to compose tracks by tweaking a series of objects placed on a multi-touch screen. Those motions then trigger real-time changes in the music as well as a visual feedback that means you can 'see' the song.

Anton Funer, who forms part of a live techno act called Klangmechanik, says that the physicality of the Reactable "allows us to act on our intuitive musicality."

He says: "When I'm playing my songs, it's like I'm arranging the instruments of a band. Then I can build variations and mix it all together on the table surface in real-time.

"The visual feedback means you can actually see the music and it's also easy for the audience to understand what I am doing and connect to what I am playing."

Although Funer does admit that it has some glitches: "One problem with the Reactable is that sometimes objects connect to each other by mistake, which can lead to loud interferences in your track."

The Fingerboard Continuum

An instrument not unlike the Seaboard, the Fingerboard Continuum by Haken Audio has a similar structure to a keyboard but allows you to play multiple notes at once and have "integrated" control over pitch, volume and timbre.

Rob Schwimmer, an American composer and pianist who has worked with a number of high profile musicians ranging from Stevie Wonder to Chaka Khan, has recently recorded on the Continuum for Paul Simon.

"The Continuum blew my mind in that it is sort of a fabulous hi-speed collision between a piano and a Theremin and yet something totally unique and totally expressive. Also the sounds that have been painstakingly designed specifically for the instrument are gorgeous!" says Schwimmer.

See Schwimmer perform a version of "Because" by The Beatles.

The Swarmatron

It has a funny name and it looks ancient but in fact there has never been an electronic instrument quite like it.

"Eight analogue oscillators hum slightly out of tune with each other, which is the reason for the name: the discordant chaos sounds like being in the middle of a swarm of bees," explains Roger Cordell from Big City Music, who are the main distributors of the Swarmatron.

"The artist can control the color, intensity and direction of the swarm with an array of controls, but never to perfection, so working with the Swarmatron is always an adventure."

Fans include Trent Reznor, who used it for the soundtrack to The Social Network and British producer Dan Carey, who has worked with big name artists including Franz Ferdinand, Hot Chip and most recently, Emiliana Torrini.

"It's such a sensitive piece of equipment that when you manipulate the controls there are almost an infinite number of harmonies. I've never heard anything like it before. The noises it makes are completely unique and otherworldly," says Carey.

Carey's label Speedy Wunderground, on which he records tracks in just one day, has 10 commandments. Rule number seven is: "Somewhere on each record the Swarmatron will make an appearance."

Monique Rivalland and Andrew Stewart contributed to this article

@highlight

The Seaboard is a re-imagined keyboard that allows players to bend notes like a guitar

@highlight

Hollwood composer Hans Zimmer describes it as 'inspiring'

@highlight

The Seaboard's inventor believes it opens up expressive potential