(CNN) -- People are mourning the tragic overdose death of Oscar-winning actor Philip Seymour Hoffman, who was found Sunday morning alone in his New York apartment with a needle in his arm and empty bags of heroin.

When a beloved celebrity such as Hoffman dies of an overdose, it's front page news. But his death serves as a reminder that 105 people are dying in the United States every day from an overdose involving heroin or pharmaceutical opioids. With more than 30,000 deaths annually, accidental overdose has overtaken car accidents as our country's leading cause of accidental death for people 25 to 64.

The hundreds of billions of dollars spent on the drug war did nothing to prevent a dramatic increase in overdose fatalities; indeed, those very policies likely increased the number of people who die from an overdose.

Some people are going to use heroin, or play around with pharmaceutical opiates, no matter what we say and no matter what the government does. The real challenge is to do what we can to help people stay alive.

Here are seven steps that can help:

1. Make treatment available to those who want and need it: It is tragic that so many people who need treatment can't get it. It is outrageous that we taxpayers spend, on average, $30,000 a year to incarcerate someone with a drug problem, but we skimp on treatment programs that are less expensive and more effective in reducing illegal drug use and other crime. Too many people who want treatment are told there are no open slots and turned away.

Philip Seymour Hoffman's 'everyman' brilliance

2. Offer methadone and buprenorphine to those with opioid addiction: Methadone and buprenorphine have been the gold-standard treatment for opioid addiction for decades. These replacement therapies can allow people to live normal lives without the highs and lows of illegal heroin and other opioids.

We need to remove the obstacles to making these life-saving medications more readily available and end the stigma that discourages people from seeking out the most effective treatment.

3. Honest drug education: We urge young people to stay clear of alcohol, tobacco and other drugs, but the reality is many will experiment with using substances no matter what. We must teach them the risks and consequences of drug use.

Most overdose deaths are a result of mixing opioids and alcohol but most people don't know that. Anyone who receives a prescription for a pain medication, knows a person misusing heroin or other opioids or who cares about keeping people alive, needs to know the incredible risks of mixing with alcohol.

4. Good Samaritan laws for 911 callers: Most people who overdose don't die. But the chance of surviving an overdose, like that of surviving a heart attack, depends greatly on how fast one receives medical assistance. Unfortunately people are afraid to call 911 because they don't know if the police who respond will focus on arresting those present rather than saving someone's life.

Fourteen states and the District of Columbia have passed "911 Good Samaritan" laws that encourage people to call for help without fear of arrest. Although it appears Hoffman was alone when he overdosed, thousands of others are not. People need to call for help. It should never be a crime to call 911 to help save a life.

Philip Seymour Hoffman dead of apparent overdose

5. Make naloxone, the antidote to an overdose, more available: Naloxone is a safe, generic, inexpensive, nonnarcotic drug that works quickly and is easy to administer. It has saved hundreds of thousands of lives but could be saving many more.

Many states are just starting to take some great steps to get naloxone in the hands of more people, including law enforcement and emergency responders. Anyone who uses opioids for any reason at all should have naloxone readily available, and friends and family who know how to administer it.

There's no really good reason, moreover, why this antidote should only be available by prescription. If we really want to save lives, pharmacists should be allowed to sell it to whoever needs it.

6. Supervised injection facilities: Dozens of cities around the world have supervised injection facilities where people can inject their drugs in a clean, safe place with medical professionals on hand.

These facilities eliminate overdose fatalities, reduce dangerous drug consumption practices as well as HIV and hepatitis C, minimize the public nuisance of people using drugs in public places and more than pay for themselves by reducing the need for criminal justice and emergency medical services. It has been particularly successful in Canada.

The scientific consensus demonstrating the benefits of these facilities has yet to result in one such facility being opened anywhere in the United States. It's time already.

7. Heroin-assisted treatment: Conventional treatments do not work for many people addicted to opioids and want to stop taking them. That's why more than a half dozen countries in Europe and Canada have developed a second-line option: heroin-assisted treatment.

With this treatment, pharmacological heroin is administered under strict controls in a clinical setting to those who have failed to succeed with other treatment options. Virtually every published evaluation of HAT has shown extremely positive outcomes: major reductions in illicit drug use, crime, disease and overdose; and improvements in health, well-being, social reintegration and treatment retention.

No one can know for sure whether Philip Seymour Hoffman would still be alive if these seven steps had been implemented, but we can be certain that far fewer Americans would die accidentally from an overdose if they were.

While our country continues to mourn his death, we need to educate ourselves about the best policies and practices to reduce these tragic losses. Some of these ideas may make us uncomfortable, but we need to embrace them as soon as possible. Our sons and daughters, brothers and sisters are counting on it.

The cost of a slow learning curve is simply too great.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Writers: Actor Hoffman's death one of 105 people who die each day from overdose in U.S.

@highlight

They say people will use heroin or opiates no matter what, so challenge is to help people

@highlight

Writers: Make treatment easy, pass laws that let people call 911 without fear of arrest

@highlight

They say we need to educate ourselves about treatments that might sound radical but work