(CNN)With majorities in both chambers of Congress, it is time for Republicans to begin rolling back six years of failed Obama administration policies.

Our highest priority during the ongoing budget debate should be undoing the damage caused by defense sequestration and the hundreds of billions of dollars of defense cuts made by the Obama administration.

Regrettably, military strength is seen in many quarters as the cause of military adventurism. A strong, robust defense is seen not to deter aggression, but to provoke it. For years, we have systematically underfunded our military, marrying a philosophy of retreat with a misplaced understanding of our larger budgetary burdens and the real drivers of the debt: our entitlement programs.

As expected, almost four years after the passage of the Budget Control Act, virtually nothing has been done to address the unsustainable growth of our entitlement programs, while essential defense programs have been sacrificed.

Political leaders in Washington need to be reminded that our defense is the single most important responsibility of the federal government. Instead of starting the process by setting arbitrary defense spending levels and then forcing our military to cut vital programs in order to meet these levels, the budgeting process should start by taking into account all the threats against us, listing the programs and capabilities we'll need to protect our people and interests around the world, and then funding those efforts.

Even though we've been able to keep the homeland safe for more than a decade, the threats to Americans at home and abroad are growing.  From the rise of the Islamic State and the spread of Islamic terrorism, to Russia's aggression in Europe, to Chinese expansionism in the South China Sea, the threats to American security are growing. Yet, even as the world outside our borders is filled with more doubt and uncertainty, the United States has been steadily reducing our spending on defense.

Even before sequestration, President Obama made defense cuts of $487 billion over 10 years and redirected the savings to already bloated domestic programs. This was followed by tens of billions more in defense cuts each year because of sequestration, which, when combined with Obama's prior cuts, will total $1 trillion over the coming decade. All of these reductions were enacted despite the warnings of four secretaries of defense and our entire military leadership.

The results of these cuts have been disastrous for our military and for our ability to project power and deter our enemies. The slight increase in President Obama's proposed 2016 budget won't significantly change that. At the end of this process, our military will be significantly smaller, dramatically less capable and dangerously unready to deploy if these budget cuts remain in place. The Army is on the path to be reduced to pre-World War II levels. The Navy is at pre-WWI levels. And our Air Force has the smallest and oldest combat force in its history.

Our force reductions have been felt throughout the world -- by our friends and our enemies. They have presented not just a crisis of readiness for America, but also a perilous strategic weakness. Our adversaries have been emboldened by what they perceive as our diminished military presence.

History has shown that every time we have unreasonably cut resources from our military in anticipation of a peace dividend, it has only cost us more to make up for the deficit we create in military readiness and capability, and the expected era of perpetual peace fails to materialize.

We think we are saving money, but in the long run, we end up paying more and creating more risk and uncertainty.

We can afford the military we need, but we must make it a priority.

For this reason, we introduced an amendment to the Senate budget resolution this week to address the dangerous funding gap our military currently faces. We believe we must increase the resources available to our military to the levels proposed by (former) Defense Secretary Robert Gates in his FY12 budget, the last defense budget based solely on an assessment of the threats we face and the requisite military needs to deal with those threats.

It is the budget that the bipartisan, congressionally-mandated National Defense Panel stated was "the minimum required to reverse course and set the military on a more stable footing."

Now that Republicans control both house of Congress, it is time to support a defense budget that actually reflects the world in which we live, not the world the way we wish it was.

Until now, our approach as a country and a party since the Budget Control Act has not been one of American strength. Continuing on the current path will only invite war and conflict through weakness.

We need to heed the bipartisan warnings of our nation's military leaders and get back on track toward a defense budget that reflects the realities of the challenges we face and is worthy of our brave men and women in uniform.  In the end, it is they who will suffer the most if sequestration is not reversed and our readiness and equipment continues to degrade. As members of Congress, we have a sacred obligation to ensure that they have the best possible training and equipment so they can successfully complete their missions.

Despite the fiscal constraints imposed on our military, they are doing their part and are holding up their end of the bargain. It's time that we hold up ours.

@highlight

Senators Rubio, Cotton: As threats have grown, U.S. defense budget has faced cuts

@highlight

They say spending to strengthen U.S. forces is a necessity