(CNN) -- The Egyptian uprising, launched by young liberals hoping to bring freedom, democracy and equality to their country, has finally produced a new president.

Mohamed Morsi, long known as the hard-line enforcer of the Muslim Brotherhood, has promised to govern for all Egyptians, vowing to protect the rights of women, children, Christians and Muslims. He says he will preserve all international agreements, implying peace with Israel, and has made a commitment to democracy, saying "there is no such thing" as "Islamic democracy."

It all sounds good, and tens of millions of Egyptians, along with millions more around the world, hope he is sincere.

And yet the Muslim Brotherhood has much to prove -- beginning with whether or not it can be trusted.

For many years the Brotherhood was banned in Egypt, so it operated underground. Since the revolution, Egyptians have had a chance to see it in action. What they have seen so far is an organization impressively capable of modulating its message to suit specific audiences to achieve political gain.

More importantly, the Brotherhood has revealed a troublesome habit of breaking its word.

Morsi won the presidency, but not before his Freedom and Justice Party, the political arm of the Brotherhood, managed to lose half of its popular support in a matter of months. Millions of Egyptians soured on the Islamist group after seeing how it acted since coming out of the shadows. Its leaders knew their presence would trigger international concern and probably a harsh crackdown.

When Hosni Mubarak fell, they pledged they would not try to control Egyptian politics. But they promptly changed their minds.

The Muslim Brotherhood leaders promised to contest only a minority of seats in the legislature, rather than trying to win a majority. They broke that promise. They promised, through Morsi himself, "We will not have a presidential candidate. ... We are not seeking power."

They broke that promise. They vowed to run a thoroughly inclusive process for developing a new Egyptian Constitution. They broke that promise, too.

Clearly, the Brotherhood, and the soon-to-be Egyptian president, have developed something of a credibility problem.

In parliamentary elections this year, Brotherhood candidates won 10 million votes, almost 40% of the total. The more radical Islamist party, the Salafis, took 28%. Altogether, Islamist parties took control of a stunning two-thirds of the seats in parliament.

The courts recently disbanded that parliament, but not before Egyptian voters had a chance to see it in action. It was a sobering sight.

Despite all the promises of supporting the ideals of the revolution and embracing equal rights for women, the parliament took on proposals that would have dramatically set back women's rights.

And when they put together a panel to write the constitution, it was so loaded with Islamists that a number of groups withdrew in protest and filed lawsuits. That panel, too, was disbanded by the courts.

Support for the Brotherhood collapsed. Morsi won just 5 million votes in the first round of presidential elections, half as many as in the parliamentary election, one of every four votes, and just one in 10 eligible voters. He won the presidency only because many voters felt the runoff left two terrible choices: the Brotherhood or a return to the Mubarak era. Many opted to spoil their ballot rather than support either candidate.

What became clear in parliament is that when the Brotherhood gained power, it legislated along much less moderate lines than when campaigning, giving speeches to mixed audiences, or speaking to the foreign press.

In the past, Morsi has called for banning women and non-Muslims from running for president. His election rallies reportedly featured pledges to imposing Sharia, chants of "Our capital shall not be Cairo. ... It shall be Jerusalem," and other deeply disturbing slogans.

Still, the Brotherhood is strategically oriented. It keeps its eye firmly on its long-term goals while displaying flexible short-term pragmatism. To win the presidency it negotiated with the strongest power in Egypt, the Supreme Council of the Armed Forces. Morsi will not have a free hand to govern, at least not in the short term. The constitution is not even a work-in-progress yet. It's unclear what role the president will have. And there is currently no parliament.

Egypt is in dire economic shape, and the need to continue the flow of aid from Washington may temper rash impulses for now, particularly regarding peace with Israel. Although less than 24 hours after his "message of peace," he already seems to be backtracking on that front.

Morsi's words must be followed closely, but they must be matched against his actions, especially in the longer term, when the cameras leave Tahrir Square, the place where Egypt's revolution started with calls for real democracy and equality.

His first speech as president-elect touched on the right themes. But the Muslim Brotherhood and Egypt's soon-to-be president still need to show they are true to the ideals of the revolution, not just clever manipulators of a popular uprising.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Can Muslim Brotherhood's Mohamed Morsi be trusted as Egypt's president?

@highlight

She says Brotherhood has broken promises, modulating message for political gain

@highlight

She says public comments are worrisome on women's rights, Israeli relations, enacting Sharia

@highlight

Ghitis: Morsi, Brotherhood must show they'll hew to revolution's goals, not just grab power