(CNN) -- March brought us a series of what pundits like to call "provocations" by North Korea. On closer inspection, Pyongyang has opted for rhetoric over actual military actions.

While Kim Jong Un's pursuit of nuclear and missile capability remains worrisome, escalating signals of resolve could suggest nervousness as much as strength.

So, is the regime in trouble?

The first round of saber-rattling came as the U.N. Security Council deliberated on a new sanctions resolution after North Korea's satellite launch in December and its third nuclear test in February. The Supreme Command of the Korean People's Army, the Ministry of Foreign Affairs and a party organ dealing with North-South relations began putting out public statements in an effort to chip away at the institutions of the armistice, such as military hot lines and the stationing of a North Korean military mission in Panmunjom.

North Korea ultimately "withdrew" from the armistice, but it had done so before and it is not clear what its recent statements actually mean. The armistice is not a peace treaty, but merely a cease fire. The armistice is stable not because of verbal commitments but because of the deterrent capability of both sides.

Is anything really different as a result of this "re-withdrawal"? It doesn't seem like it.

Equally unfortunate was North Korea's decision to renege on a number of North-South agreements, such as a North-South agreement on the denuclearization of the peninsula. But Pyongyang's pursuit of nuclear weapons had made this and a number of other agreements moot in any case.

North Korea's bluster had little if any effect on the U.N. debate. If anything, its threats may have been counterproductive. Although the resolution was portrayed as the result of a U.S.-South Korean cabal, China also signed on and the resolution was passed unanimously.

The measure opens the door for tighter financial sanctions, and there is some preliminary evidence that Beijing may be cooperating in tightening economic exchanges with the country.

The next round of statements came as North Korea and the United States and South Korea entered an annual military training cycle. These periods are always fraught with tension, as Pyongyang denounces the routine exercises as provocative.

As the country effectively mobilizes, the North Korean press is filled with pictures of Kim Jong Un directing the troops in exercises, some of which were reportedly manipulated with Photoshop to increase their effect.

As a result of these exercises, there is some background of what might be called "ritualized escalation" at work.

But North Korea did possibly make one major misstep in arguing that it might undertake a pre-emptive nuclear strike. Announcing an intention to pre-empt is dangerous because even small tactical movements can be misinterpreted. Needless to say, such statements have to be taken seriously, and, if anything, the United States and South Korea may have over-reacted by such a public display of force.

In particular, the U.S. announced a major new ballistic missile defense initiative, training runs by B52 and B2 bombers, and an updated U.S.-ROK Combined Counter-Provocation Plan. In the last few days, the U.S. was again quite public about its deployment of jet fighters to the peninsula as well.

There is a larger game at work here that probably centers on the difficult-to-read domestic politics of North Korea. It is by no means assured that Kim Jong Un has fully consolidated his authority. By ramping up rhetoric, but exercising restraint with respect to actual military actions, the regime can count on the fact that the United States and South Korea are not going to take the first step either.

The result is that North Korea's exercises and threats of retaliation have been successful in deterring attack, even though none was coming. The regime can claim some sort of victory in staring down American threats in its two big political meetings this week, the timing of which suggest that some of the rhetoric has been driven by domestic politics.

North Korea's nuclear and missile programs constitute problems that the five parties in the regionâ€”China, Japan, South Korea, Russia and the United Statesâ€”need to address through concerted action. But overheated rhetoric, however disconcerting, is not the same as an intention to attack. Coolly maintaining our deterrent and not over-reacting to hyperbole is the proper course of action. With luck, the leadership will pivot away from nuclear posturing toward economic reform, the main thing that the people of North Korea really need.

Editor's note: Due to an editing error, an earlier version of this essay said North Korea instead of the U.S. announced new military initiatives.

The opinions expressed in this commentary are solely those of Stephan Haggard.

@highlight

Stephan Haggard: North Korea is mostly bluffing in its threats against South Korea

@highlight

Haggard: Escalating signals of resolve suggest nervousness as much as strength

@highlight

He says Kim Jong Un may not have fully consolidated his authority

@highlight

Haggard: As a result, some of the rhetoric could be driven by domestic politics