(CNN) -- For more than a year, Chris Bayer, a Canadian student, waited tables alongside Chinese migrant workers in a restaurant in Shanghai. While there he received an intimate glimpse of what work life is like for millions in mainland China.

"Nothing was ever really clear," said Bayer, who is now back in Canada. "In the West, people state their mind. In China, there was no sharing of ideas. When it came to new processes, no one ever offered any input. There was no teamwork. People were so afraid of doing something wrong."

Though Bayer's circumstance in China was rare -- a foreigner working alongside migrant workers in local eateries is not common -- his experience in a Chinese workplace is one that experts say is common.

Whether a restaurant or a massive company, businesses in China revolve around perplexing power structures, where innovative thinking is often stymied, partly by an education system that prioritizes rote memorization over creative thinking, and partly because employees are afraid of offering input that might insult the intelligence of their boss.

"It is still pretty much a hierarchical culture when it comes to office politics," said Helen Zhang, author of "Inside the Chinese Mind: A Guide on How Chinese Think" who believes that Chinese workplace culture is deeply rooted in Confucianism, an ancient philosophy centered on obeisance to authority.

"If you are in line with the boss and present a creative business plan, you can bypass a lot of the bureaucratic stuff," said Zhang. "On the other hand, if you are not in that line of power, even if you have creative ideas you will not be able to gain access, so in a way that is limiting creativity in all parts of the company because of the hierarchical nature of the organization."

Regardless of whether or not the Confucian tradition continues to impinge China's ability to transition its economy to one based on innovation rather than manufacturing, office culture in the country is changing. More multi-national companies have established branches in the country and tech-savvy young Chinese are exposed to international norms via the internet.

Most who work in fields related to management studies in China say that offices are becoming more democratized with traditional power structures fading away where employees are equals and ideas can be shared and criticized openly.

"It is difficult to tell how fast it is evolving," Han Jian, an associate professor of management at the China Europe International Business School in Shanghai, said. "We need to first define with what group of employees."

The group of employees who appear to be the most influential are those born in the 1980s and 1990s. According to Han members of China's "Generation Y" are less loyal to their employers, are seeking jobs that are fulfilling and are seeking to become a part of something bigger and more meaningful.

"Not only the white collar workers, even blue collar workers, they are expecting more fair status, more learning opportunities. They want their supervisors to be more advisors rather than just a boss," Han said.

"Performance evaluation has been over-focused on growth, an emphasis on the results and the numbers instead of the process," she said.

"As a result, people have been treated as human resources, which is not a very good term to refer to people. If you focus too much on growth, you ignore the relationship side of the team, the softer side of people. Many companies are trying to adjust to this problem."

Adjusting to this problem means finding leaders who break from the status quo and can foster a new culture of "empowerment and trust-based management," said Elisa Mallis, an executive coach at Management Development Services Ltd. in Beijing.

"The older managers, the command-and-control style management, that was in the past," she said. "Organizations are looking for creativity and innovative thinking, and these younger employees are thirsty to be providing that. The trick is how to have a culture to unlock that creativity. There is a catching up that needs to be done. Catching up is a possibility, but we can't expect it to happen overnight."

In Zhongguancun, a technology hub in Beijing, it does seem that change has happened almost overnight. Only a couple of years ago, debates especially among foreign executives and investors working there complained of the dearth of innovation and lack of skilled entrepreneurs in China. Now there are more start-ups than ever, with some growing into major companies with operations overseas.

A number of these new businesses as well as big Chinese internet companies, like Baidu, China's top search engine, say they have been directly influenced by the open, collaborative work environments pioneered by the likes of Google and Yahoo.

Yet while the two U.S. tech giants have had a major affect on IT companies in China, they have suffered their own well-publicized failures in the country because of what many have said was an inability to adjust to local cultural norms both in business and in office politics.

"We did learn a lot from Silicon Valley companies," Mike Li, senior director of business development for Happy Elements, a Chinese social gaming company that has grown from six employees to more than 500 and operates internationally.

"The management style changed and had to change. Now we need to respect every single employee because they are aware they are the top talent in the industry."

@highlight

Office life in China typically dominated by complex power structures

@highlight

Obeisance to authority comes from Confucianism, says experts

@highlight

New generation and international companies changing office dynamics

@highlight

Blue and white collar workers now expect more from their work life