(CNN) -- George Zimmerman, from his comments to police to the arguments of his lawyers, has steadfastly maintained he shouldn't be found guilty of murder in the death of Trayvon Martin, contending he shot the teen in self-defense.

But jurors weighing his fate won't hear that from him directly.

On Wednesday afternoon, Judge Debra Nelson asked Zimmerman if he'd made a decision about taking the stand in his own defense.

"After consulting with counsel," Zimmerman replied, he'd decided "not to testify, your honor."

Moments later -- and after Nelson refused a request from Zimmerman's team to dismiss the case before the jury could weigh in -- the defense rested its case. That closed another chapter in a case that has transfixed much of the nation on issues such as race and gun violence and set the stage for closing arguments starting Thursday and a jury decision as soon as Friday.

What exactly the jury will be deciding, though, is still in question.

Zimmerman, 29, is accused of second-degree murder in the February 26, 2012, death of Martin, a 17-year-old from Miami who was staying with his father in Zimmerman's Sanford, Florida, neighborhood. He was shot dead after an altercation with Zimmerman that occurred as he was walking back from a nearby convenience store.

Prosecutors asked the court Wednesday to let jurors consider two charges other than murder in relation to Martin's death: manslaughter and aggravated assault. Zimmerman's lawyers objected, saying it should be murder or nothing.

Nelson, with Florida's 18th Judicial Circuit responsible for overseeing cases out of Seminole County, is expected to decide that matter Thursday. Another point that will be addressed is whether Florida's controversial "Stand Your Ground" law -- which gives a person facing a "presumption of fear of death or great bodily harm" extra protections should they respond with force instead of retreat -- can be applied by the jury.

Zimmerman has never denied shooting Martin. But he's contended that he had to do so to save his own life, portraying himself as the victim and Martin as the aggressor.

But the late teen's backers insisted the shooting could not be justified, with activists leading widely attended rallies and taking other steps urging authorities to press charges. Faulting Zimmerman for ignoring a 911 dispatcher's direction not to follow the teen, they believe Zimmerman profiled Martin because he was black.

Zimmerman trial: It's about race

Many of those arguments, on both sides, will likely play out during closing arguments.

Those start Thursday afternoon, when Bernie de la Rionda makes the prosecution's case for up to two hours. Defense lawyer Mark O'Mara will make his case, for up to three hours, on Friday morning, followed by a rebuttal of up to one hour from prosecutor John Guy.

Then, later Friday, the case will be in the hands of the all-female jury.

Lawyer wrestles with foam dummy

The prosecution had once stated its intention to call up to three witnesses in the rebuttal phase of the trial. But for various reasons -- because the judge ruled they couldn't pursue one line of questioning, amid uncertainty if one witness was unavailable and in the other case unexplained -- they did not.

That means the last witness the jury will have heard from is Robert Zimmerman, George's father.

He testified -- like his wife, Gladys, had earlier in the trial -- that he believes it was his son who was screaming on the infamous 911 recording of the altercation that ended in Martin's death.

Contrast their testimony to that of Martin's mother, Sybrina Fulton, who said she was "absolutely" certain that the panicked voice was that of her son Trayvon. The late teenager's brother, Jahvaris Fulton, made a similar declaration in court.

Defense attorneys argue Zimmerman shot Martin in self-defense after the Miami teenager charged him. Prosecutors argue Zimmerman followed Martin through his neighborhood and shot him without provocation.

Besides Robert Zimmerman, others took the stand Wednesday as well in the defense team's fourth day presenting their case. They included a "use-of-force" expert and Olivia Bertalan, who spoke of being appreciative of her neighbor Zimmerman's support after being the target of a home invasion.

Still, the day's star may have been a foam dummy.

O'Mara grappled with the life-size model inside the courtroom, working to show rapt jurors the competing versions of what happened the rainy night Martin was killed.

Assistant State Attorney John Guy brought out the dummy in an effort to demonstrate that it would have been difficult for Zimmerman to retrieve his handgun from his pocket with Martin straddling him, as defense attorneys have argued was the case.

The fatal gunshot, Guy reminded defense witness Dennis Root, was fired at a 90-degree angle into Martin's body.

'Raise your voice, not your hands,' cops urge as Zimmerman verdict looms

"Wouldn't that be consistent with Travyon Martin getting off of George Zimmerman and George Zimmerman raising the gun and firing it?" Guy asked Root, a use-of-force expert.

"It could be consistent with any kind of movement ... We weren't there so the info that we have is George Zimmerman's statement," he said.

Later, defense attorney Mark O'Mara straddled the dummy himself, pounding the back of its head against the carpeted courtroom floor, demonstrating how he says Martin gave Zimmerman the head wounds seen in police photographs from the night of the shooting.

He later asked Root -- a former police officer with extensive training in firearms and self-defense -- if it would have been possible for Zimmerman to reach around Martin's body to get at a gun located near his hip.

"Yes, sir," Root replied, minutes before Nelson called a lunch break.

Earlier, Root testified the apparent fight between Zimmerman and Martin went on for a relatively long time -- some 40 seconds -- and was clearly marked by a high level of fear and anxiety.

"I have personally sat there and timed it myself, where it is about 40 seconds of time. That's a very long time to be involved in any type of physical altercation," Root said.

"We have a golden rule," he told defense attorney Mark O'Mara. "If you have not successfully completed the fight, if you have not won the fight in 30 seconds, change tactics, because the tactics you are using are not working."

In trial, it's a jury of millions

HLN's Grace Wong, Graham Winch, Jonathan Anker and Anna Lanfreschi and CNN's John Couwels contributed to this report.

@highlight

The defense rests their case after George Zimmerman declines to testify

@highlight

This comes after rapt jurors watch attorneys tussle with a dummy in the courtroom

@highlight

The judge will mull a request to include a manslaughter option

@highlight

The prosecution will close on Thursday; the defense will do so Friday