Lusaka, Zambia (CNN) -- "What are we going to call the country? What is the flag going to look like? What is the currency going to be called?" These are not questions most six-year-olds are concerned with -- unless you are Mulenga Kapwepwe.

"I grew up in an environment where the struggle for the country, the liberation of this country, was very much a part of the conversation in the home," says Kapwepwe, a renowned Zambian playwright and daughter of the country's former vice president, Simon Kapwepwe.

"For me, Zambia is not an abstract concept," she says. "It's something that I heard being birthed in the house that I lived in -- even the name of the country, the answer came from our house. Literally. My father coined the name and it was agreed that this country would be called Zambia."

Act One: Curtains up

From a young age, Kapwepwe was surrounded by the changemakers who helped liberate the African nation from British colonial rule.

An artistic child, it was not uncommon to find a young Kapwepwe at the theater or opera with her father enjoying the performance right beside her.

His encouragement for Kapwepwe to follow her passion into the arts has led to a fruitful and illustrious career as one of the nation's most beloved and respected playwrights.

Undaunted by her lack of formal theater education, Kapwepwe began writing her own plays early on in her career.

"I'd begun to write the history of my tribe," she recalls. "And as I got into it and I dug into it, I thought this would make a really good play, but I didn't know how to write a play," explains Kapwepwe. "I told myself, 'Well, I don't think Shakespeare went to a playwright school so I'm sure I don't have to."

And she was right. Over the years, Kapwepwe, who is also the chairperson of the National Arts Council, has received countless accolades for her theater work. Her plays all focused on issues that dug deep into the history and culture of Zambia, looking at the role female leaders played in traditional life prior to colonization, and questioning why this is no longer the case.

Act Two: Build it and they will come

Away from the stage, Mulenga has involved herself with many projects to try help Zambian youths. She has built libraries in Lusaka, Zambia's capital, to give young children the opportunity to read and further educate themselves.

"One thing about books and my father, is that we had a lot of books when we were growing up. So I got into building libraries because I feel other people must have the same experience that I had. And especially for me the people who might not have the opportunity.

Kapwepwe would eventually build not one, not two, but three temples of literature in Lusaka.

"What would a library in Africa look like? You know, a library is about knowledge, and a place where you can get knowledge, but also, we kind of mix it up with the traditional African hut, where you discuss things and you are mentored. You get knowledge and you interact, there's drama. There's also sorts of things going on."

Act Three: A lasting legacy

That ingenuity to inspire Zambian youth led the vivacious playwright to her next endeavor -- a record label. After stumbling across traditional native music at the National Archive, Kapwepwe wanted new ears to hear its majesty.

"I thought let me get the music and give it to young people so that they can work with it and then they can put it back into the public ear," says Kapwepwe says, record label has so far produced three albums.

The cultural ringmaster's ambition wouldn't stop there. Kapwepwe went on to found the Lusaka Youth Orchestra to provide teens with a space to embrace music, as well as create a youth sports team -- the Chilenge Girls football team -- to keep young girls "off the streets."

A true tour de force for Zambian arts and culture, Kapwepwe has no plans to slow down anytime soon. In fact, her next goal is direct a film. Ultimately she's unafraid of failure because to this patron of the arts, if you don't try, then you won't succeed.

She says: "Don't abandon your ideas. You can scale them down. You can reshape them. You can do whatever it is, but keep at it. Perseverance. And you learn, keep learning, and ducking and diving until you get what you want. That's been my lesson. Success is wonderful, but so is failure."

WATCH: Writer captures life in Malawi

@highlight

Mulenga Kapwepwe is the daughter of former Zambian vice president, Simon Kapwepwe

@highlight

Born in 1958, she was just six years old when the country gained its independence

@highlight

Surrounded by changemakers, Kapwepwe takes inspiration from Zambia's history

@highlight

"If you don't know where you're coming from then you won't be able to articulate your present"