(CNN) -- It's a question that's plagued mankind for centuries -- how do you create an earthly structure worthy of the divine?

Should it be a lavish building of rich materials and awe-inspiring stature, a grand gesture to the grandest of beliefs?

Or perhaps a humble place of reflection, a simple sanctum bowing to a power far mightier than itself?

For authorities in India, it seems bigger is better, as they have recently unveiled plans for the world's largest Hindu temple -- a sprawling, maze-like complex stretching across 190 acres.

At 123 meters tall, Viraat Ramayan Mandir in Motihari district will be almost three times the height of BAPS Swaminarayan Akshardham in New Delhi, currently the world's largest Hindu temple.

Featuring 18 dusky pink temples with golden spires reaching to the clouds, the mammoth building in the north west of the country will have enough seating for 20,000 people.

Modern marvels

Should the dream come true, it would be a remarkable feat of engineering. And as architecture continues to develop -- both technologically and stylistically -- so too do the ways we imagine our sacred structures.

A Hindu temple can now be the size of seven American football fields, if plans for Viraat Ramayan Mandir are anything to go by.

At the same time, a church no longer requires a pointed roof with a steeple. It can be a black steel cube, as slick as the skyscrapers surrounding it. Or even be transformed into a concrete bunker, partially submerged from the hot desert sun.

How is religious architecture morphing in a modern age? It was this question which prompted editors Lukas Feireiss and Robert Klanten to compile their book "Closer to God: Religious Architecture and Sacred Spaces," which examines spectacular contemporary buildings from across the globe.

"Architecture covers a wide span across the history of mankind -- from the basic housing of the mud hut to the complex system of a medieval cathedral, all the way to a modern day skyscraper," said 36-year-old Feireiss, who lectures on architecture and culture at design colleges across Europe.

"Yet even now many architects see the sacred or religious building as the architectural brief par excellence, because more than any other type of building, they demand spatial and artistic coherence."

World of wonder

From minimalist Buddhist shrines that mimic the womb, to sci-fi wedding chapels resembling glowing pods, the book's sumptuous images reveal a surprising array of sacred structures built in the last few years.

In the small town of Plasencia, in central Spain, an abandoned 15th century seminary has been converted into a home for retired priests -- with a playful twist.

Inside Casa Sacerdotal Diocesana de Plasencia, you'll find lime-colored walls, neon crosses, whacky wheel benches, and an assortment of vintage lamps.

"The whole building was organized to watch over the lives of the young males being educated there," explained architect Andres Jaque. "It was all about sacrifice, control, and austerity."

"We completely transformed it into a building where life would be seen as a celebration -- from breakfast, to laundry, and gardening. And we did that by using colors that were related to social happiness."

While the bold design was initially met with some skepticism, it appears to have opened up the once-secretive grounds to the community.

"The challenge we face as designers isn't just about architecture, it's about religion as a whole -- what role does it play in society?" said Jaque.

Function and feeling

Indeed, not only must religious architecture evoke an otherworldly feeling -- it must also function as a community center, study area, and even business space.

So how do architects tick all the boxes?

"It's quite a challenge," says Feireiss. "Architecture's usual criteria of purpose, access, capacity, construction, and financial viability are simply not enough -- in religious buildings the question of meaning, image and symbol are also integral to the task."

"What I find particularly curious and inspiring about this topic is it's inherent contradictions," he added. "Religious buildings always have to bridge the gap of being literally a 'concrete' implementation of a highly abstract idea."

Sound of silence

Cast your eye across these striking photographs, and the most evocative buildings are often the most unassuming.

Like the simple aluminum chapel in Chile, a warm glow emanating from its pine wood interior. Or the white cube prayer and meditation room in Sudan, bare except for two small trees inside.

It's part of a growing trend in religious architecture to shy away from ostentatious iconography, and instead allow the visitor to immerse themselves in light-filled serenity.

"This concise style leaves visitors free to fill it with their own thoughts, wishes, and prayers," said Feireiss.

"The interplay of light, emptiness and stillness seems to express a sacred quality in these spaces."

See: World's most exquisite libraries

Learn: Psychology of curvy architecture

@highlight

India plans to build world's largest Hindu Temple, towering 123 meters tall

@highlight

But creating sacred structures in the modern age is not for the faint-hearted

@highlight

Spectacular book explores religious architecture from across the world

@highlight

New trend rejects ostentatious iconography, in favor of minimalism