(CNN) -- Syrian President Bashar al-Assad has issued a decree authorising a multi-party political system, state media reported Thursday, a day after the U.N. Security Council condemned the Syrian government's crackdown on protesters.

The decree issued by Assad may have the power to bring to an end decades of single-party rule by the Baath Party in Syria, although it remains unclear how the new law will be implemented.

The draft law was earlier passed by Syrian lawmakers, the state-run Syrian Arab News Agency (SANA) reported, and grants citizens the right to establish political parties with the aim of contributing to political life "through peaceful and democratic means."

However, the Syrian opposition has argued the decrees are simply for show and will not bring about real change.

Assad's move comes as reports of violence continue to prompt international outrage. Security forces killed four people after evening prayers on Wednesday, the London-based Syrian Observatory for Human Rights said, one in the southwestern town of Nawa, in Daraa province, one in the central city of Palmyra, and two in Damascus.

The observatory said communications remained cut off Thursday in the western city of Hama, a center of discontent and bastion of anti-government protest. The group is concerned that many civilians may have died, as the military remains in the city.

The U.N. Security Council on Wednesday issued a presidential statement condemning the Syrian government's crackdown on protesters and calling for an immediate end to violence by all parties.

"The Security Council condemns the widespread violations of human rights and the use of force against civilians by the Syrian authorities," the eight-paragraph statement says.

It calls for "all sides to act with utmost restraint, and to refrain from reprisals, including attacks against state institutions."

The statement says those responsible for the violence should be held accountable but offers no suggestion that foreign intervention is being considered.

"The Security Council reaffirms its strong commitment to the sovereignty, independence, and territorial integrity of Syria," it says.

"It stresses that the only solution to the current crisis in Syria is through an inclusive and Syrian-led political process, with the aim of effectively addressing the legitimate aspirations and concerns of the population which will allow the full exercise of fundamental freedoms for its entire population, including that of expression and peaceful assembly."

Secretary-General Ban Ki-moon, who is to update the council on the situation in Syria within a week, welcomed the statement.

"The world has watched the deteriorating situation in Syria with the most profound concern, but the events of the past few days have been brutally shocking," he told reporters.

"Once again, I call on President (Bashar al-) Assad and the Syrian authorities to immediately cease all violence against their people, to fully respect human rights and implement reforms that they have already announced."

He urged Damascus to comply with the Security Council's demand that international humanitarian organizations be granted unimpeded access to affected areas. "Those responsible should be held to account," he said.

He praised the 15-nation Security Council for speaking out "with one voice and condemning all this violence and asking them to take necessary measures" after long discussions on the matter.

But Lebanon's ambassador, Caroline Ziade, said her country, which is Syria's neighbor, dissociated itself from the statement. However, Lebanon chose not to block the measure, as it could have done.

Resolutions usually carry with them some sort of action. Presidential statements are simply unanimous on-the-record positions.

Though a resolution would have been more significant than the presidential statement, U.S. diplomats said they were glad the United Nations had taken a stance.

U.S. Ambassador Susan Rice called the statement "long overdue." She added that she hoped Damascus will "be chastened by the strength and the unity of the condemnation."

The statement came on the third consecutive day of talks in New York to address the crisis, which a White House spokesman called "grotesque and appalling."

Witnesses said Wednesday that security forces were brazenly advancing into the heart of Hama.

Hama, which has seen massive demonstrations by anti-government protesters in Friday demonstrations, was the site of the 1982 bloody crackdown by the Alawite-dominated government against a Muslim Brotherhood uprising.

The city is under siege by security forces amid a military offensive, according to the Syrian Observatory for Human Rights, and witnesses say communications have been closed down amid the military push.

Rami Abdul-Rahman of the observatory told CNN Thursday that 1,000 families had fled west to surrounding villages and 500 families eastwards, leaving a city where violence has persisted for days.

His group monitors the unrest in Syria through many contacts on the ground, and his sources have reported hearing explosions and seeing plumes of smoke. "There are great concerns of a massacre in the city," he said Wednesday.

"The human situation is very bad," said a witness from an opposition movement who said he was in the center of Hama and asked not to be named for security reasons.

Corpses were seen on the ground after tanks occupied parts of central Hama amid heavy shelling, said a resident who fled the city.

Dozens more people have been killed in Hama and other Syrian cities in recent days, rights groups have said.

Residents said the city is running short on food. Power and water are scarce and residents said they fear a humanitarian crisis. Across Hama, intermittent gunfire and shelling rang out, helicopters whirled overhead and government snipers took positions, making it difficult for people to venture out, residents said.

Security forces also launched a series of raids and detentions in the Khaldiyeh neighborhood of Homs, another western city, and dozens of people have been detained in the area, the scene of marches by anti-government protesters.

Syria's parliament plans to meet Sunday to discuss "issues related to the homeland and citizens' interests," SANA reported Wednesday.

CNN is unable to independently confirm death tolls or events in Syria, which has restricted access to the country by international journalists, including CNN's.

Since mid-March, anti-government protesters have taken to the streets across the whole country to demand reforms from or an end to the al-Assad's regime.

The death toll in Syria since its uprising began in mid-March has reached 2,003, the observatory's Abdul-Rahman said. The dead include 1,629 civilians and 374 Syrian security forces.

The figure doesn't include tolls from the Wednesday unrest in the city of Hama, where it is difficult confirming information because of the ongoing military offensive there.

Activists blame the deaths of demonstrators on security forces, but the government has consistently attributed the violence to "armed groups."

CNN's Salma Abdelaziz, Richard Roth, Amir Ahmed, Yasmin Amer, Arwa Damon, Nada Husseini, Elise Labott and Joe Vaccarello contributed to this report.

@highlight

Assad's decree could mean an end to decades of single-party rule in Syria

@highlight

Four deaths are reported Wednesday in Syria by activists

@highlight

"The Security Council condemns the widespread violations of human rights"

@highlight

More than 2,000 people have died, an activist group says