(CNN) -- As Haitians struggle to recover from the devastation of Tuesday's 7.0-magnitude earthquake, mental health experts caution that the most severe psychological effects won't take form until individuals' situations stabilize.

Feelings of confusion, fear, agitation, grief and anger that surround a large-scale traumatic event such as the Haiti earthquake give way to more pronounced psychological disorders once people's basic human needs are taken care of, experts say.

"Once the initial resources are in, when actually most people are going to start feel out of danger, is when the psychological aftereffects are going to hit people," said Dr. Daniella David, professor of clinical psychiatry at the University of Miami's Miller School of Medicine. "People need to ask for help when that happens."

In the immediate short-term period after a large-scale traumatic event, people are concerned primarily with self-preservation and taking care of family and friends, said Dr. Sandro Galea, chair of the Department of Epidemiology at Columbia University's Mailman School of Public Health. These people experience acute stress and anxiety, which is taken up by trying to fulfill the immediate physical needs.

There is a normal and immediate stress response that comes with an event that causes damage to homes and infrastructure and loss of family members, David said.

Haiti has the potential for higher rates of mental illness and a slower recovery after this episode because the population is already strained from weak social and economic supports, Galea said. In those conditions, they may already be predisposed to developing mental illness irrespective of the earthquake itself, he said.

View or add to CNN's database of missing persons in Haiti

The stress of the disaster situation, combined with the potential predisposition toward stress disorders, could lead to an extreme emotional reaction, but that does not mean these factors predict any kind of violent or other extreme behavior, said Joan Cook, assistant professor of psychiatry at Yale University, in an e-mail.

"I'd say that if the rate of psychological problems turns out similar to previous severe natural disasters in other economically disadvantaged countries, as many as 50 percent or more could suffer in the short-term from clinically significant distress," she said.

When disaster victims have information about their situation, they tend to make rational decisions and tend to the immediate needs of themselves and those close to them, Galea said. There is little evidence of widespread panic in those cases, he said, but there is a danger of misinformation.

"People can accept uncertainty, as long as they are brought into the uncertainty and told what central authorities do know, and also what central authorities don't know," he said. "It's critically important that there is information that comes out centrally from a single source."

To assist at the early stage, the most important thing to do immediately after a disaster -- for example, at this moment in Haiti -- is to try to help with basic needs such as shelter and food, David said. In terms of psychological support, studies of natural disasters show that people should be moved to safety and informed that the immediate danger is over, something that has unfortunately been difficult to do in Haiti, she said.

About a month after a disaster occurs, once the immediate physical needs are addressed, symptoms of mental illness begin to coalesce into specific conditions such as post-traumatic stress disorder and depression, Galea said. PTSD in particular can last years after the event in a substantial portion of people, he said.

The response varies. Some people may become fearful and develop panic attacks, while others experience sadness that turns into depression, and still others have an acute stress reaction that leads to PTSD or another stress disorder, David said.

The high rates of mental illness in a population that has experienced a traumatic event go down over time, depending on how various problems in the area are resolved, Galea said.

"The extent to which we are able to assist people in rebuilding their lives becomes a tremendously important driver of whether or not the psychopathology that is caused by the trauma will go on to become severe, and how long it lasts," Galea said.

In the aftermath of Hurricane Katrina in 2005, researchers found that stressors such as not having a job, not having access to insurance and not being able to get paid contributed to the symptoms of mental illness, Galea said.

"Rebuilding lives, rebuilding social supports, rebuilding financial and practical supports will go a long way to minimizing the health consequences of the event that has passed," he said.

Health.com: How will Haitians cope with psychological aftershocks?

A population that has gone through something like an earthquake of this magnitude will typically have about 10 percent of people with PTSD and 10 percent with depression, based on studies of Hurricane Katrina, 9/11, and other events, he said. But among those who lose their homes and loved ones in an event like this, the rates can be more like 40 to 50 percent.

The life expectancy in Haiti is just 61 years, according to the World Bank, well under the average life span of 78 years for an individual in the United States. About 56 percent of Haitians live on less than $1 per day, according to the World Bank.

There is some research to suggest that fatalism -- feeling that you are powerless against life's external control -- is also related to long-term emotional consequences of disaster, Cook said.

Studies by psychologist Fran Norris at Dartmouth University have shown that adult disaster survivors who feel uncared for by others or who lack the capacity to manage stress are also at risk for PTSD, Cook said.

Recent events such as Hurricane Katrina have offered extraordinary insights into human response to natural disasters, experts said.

Retired Army Lt. Gen. Russell Honoré, who led relief efforts for Hurricane Katrina, said Thursday that a lack of information "created a lot of anxiety for people because they didn't know what was going on."

"We need to correct that, and as soon as we can, start pushing information to people, because rumors can cause the victims to make bad decisions," he said.

@highlight

After initial shock of tragedy wanes, other mental issues arise, experts say

@highlight

World Bank: Life expectancy in Haiti is 61 years; U.S. is 78

@highlight

Expert: The Haitian population is already strained from weak social and economic supports

@highlight

There is a danger of rumors spreading, leading people to make bad decisions