(CNN) -- A Vatican spokesman said Monday that Pope Benedict XVI feels much pain after revelations that members of the clergy were involved in widespread sexual abuse of children from the 1950s through the 1980s in Belgium.

"The publishing of this report is a new cause of pain for us, for the victims," Father Federico Lombardi said.

The announcement came after leaders of the church in Belgium said Catholic priests who abused children should tell their superiors.

"We want to repeat this call with force," said Bishop Johan Bonny, the bishop of Antwerp. "It is to everyone's advantage that the abuser in a pastoral relationship communicates this fact to his superior" or to a new "center for investigation, healing and reconciliation," which he announced Monday.

The church has identified four experts to start preparatory work on the center, he said, but he did not name them.

Belgian church officials will begin interviews Tuesday as a follow-up to a church-backed investigation that detailed hundreds of assertions of sexual abuse of children by clergy and others working for the church from the 1950s into the late 1980s.  It was led by Dr. Peter Adriaenssens, who is both a church investigator and a psychiatrist.

"From the mistakes of the past, we wish to take the necessary lessons," said Archbishop Andre-Joseph Leonard, the head of the Catholic Church in Belgium. "In the interviews that will be conducted from tomorrow, we will consider the relevant reflexions and proposals of Professor Adriaenssens."

The process will take time, because "it is impossible to try to resolve these traumatic experiences too quickly," Leonard said.

"We want to commit ourselves to giving the maximum support for the victims," he said. "We must listen to their questions in order to restore their dignity and help heal the suffering they have endured."

The commission said it received about 500 reports from alleged victims, about 60 percent of them from males.

It cited 320 alleged abusers, of whom 102 were known to have been clergy members from 29 congregations.

Thirteen of the alleged victims committed suicide, it said.

"We can say that not a single congregation escaped sexual abuse of minors by one or more of its members," the Commission on Church-Related Sexual Abuse Complaints said Friday.

"The stories they contain and suffering make us shudder," Leonard said.

Linda Opdebeeck told CNN that her abuse as a Belgian schoolgirl did not begin immediately.

"He had a little room at school, and when you had a problem, you could go to him," she said. "He was very charismatic; he was very friendly. I was alone. I didn't have brothers or sisters. I was an only child. I was fat, and I was lonely. So I went to him in his little room, and he listened to me, and I had a nice feeling. But a year later, he started to abuse me."

But Opdebeeck, now in her 40s, said she felt unable to tell anyone else what was going on.

"I knew I had to be silent because he was a friend of my parents," she said. "What could I say? He was always saying that I had to shut up or something bad would happen to me."

Years later, she confronted him but found little satisfaction. "There were three men at the table, and he was just telling that he didn't remember any more, and it wasn't so bad, and I had to feel pity because he was old," she said. "It seems to me that the victims are the abusers and the abusers are the victims when you hear them speaking about 'Just forgive us and continue your life.' "

The abuse, she said, has had an impact on her faith. "I try to separate my faith and the church, but it's very hard," she said. "Perhaps there is a God, but then he has nothing to do with all the men there. No. The church is finished."

In last week's report, investigators had information about when the abuse started for 233 of the alleged victims. Forty-eight were 12; one was 2; five were 4; eight were 5; seven were 6; ten were 7.

Of the 230 alleged victims about whom investigators said they had reliable information, more than 70 percent are currently between the ages of 40 and 70, it said. Ten percent are 31 to 40.

Four alleged victims are 20 to 30 years of age, and one is younger than 20, it said.

At the other end of the scale, five alleged victims are aged between 80 and 90 years old, and one is older than 90.

Belgian police raided Catholic Church headquarters in the country this year and questioned a cardinal over allegations of a cover-up by the church.

Belgian police questioned Gotfried Danneels, the country's former Catholic archbishop, for about 10 hours over accusations he knew of sexual abuse in the church but failed to stop it, the Belgian prosecutor's office said in July.

Danneels was being considered a witness but could become a suspect, prosecutor's spokesman Joseph Colain said.

Danneels, who was questioned July 5, could be interrogated again as the investigation continues, Colain said.

Danneels was archbishop of Belgium for more than 30 years before he stepped down in January.

Belgian police raided the national headquarters of the Catholic Church in June over allegations of child abuse, prompting an angry response from Pope Benedict XVI and other church leaders.

Investigators seized archdiocese archives covering 25 years as well as personal computers and other personal possessions, said Fernand Keuleneer, a lawyer for the archdiocese.

Police raided Danneels' private residence and the headquarters of the Catholic Church in Belgium as a meeting of bishops was taking place.

They detained the bishops and other church employees -- even the cook -- for about nine hours, the Rev. Eric De Beukelaer said.

Members of a Belgian church commission that helps sexual abuse victims resigned en masse to protest the raid a week after it took place, said De Beukelaer, a spokesman for the Mechelen-Brussels Archdiocese.

The commission worked with people who have been abused by clergy members, said the spokesman.

The Belgian Prosecutor's Office said in July that it is investigating death threats against witnesses and magistrates involved in clergy child abuse cases.

The Vatican criticized the raids but reaffirmed its "strong condemnation of any sinful and criminal abuse of minors by members of the church."

It cited "the need to repair and confront such acts in conformity with the law and teachings of the Gospels."

The Catholic Church is facing allegations that clergy members abused children in at least half a dozen countries, including the pope's native Germany, as well as Belgium, Ireland, Austria, the Netherlands and the United States.

CNN's Alex Felton and Atika Shubert contributed to this report.

@highlight

NEW: "The church is finished," victim says

@highlight

"A new cause of pain for us, for the victims," Vatican says

@highlight

Belgian Catholic Church officials begin interviews Tuesday

@highlight

The Belgian church is setting up a center for abuse victims