(CNN)  -- Walk into any sleek West Elm store, and the first thing you're likely to see is a giant red banner emblazoned with a white peace symbol. Peace is pretty. Browse Pottery Barn Teen, and you'll be dazzled by backlit peace signs and multicolored peace-sign bedding. Peace is cool.

Visit the ubiquitous Gap store and find peace within reach on T-shirts and bracelets. Peace is accessible, at least as an accessory.

Where are the protesters passionately waving hand-drawn peace signs at marches, calling for an end to war?

What happened to "Give peace a chance" rather than "Give peace a place in your wardrobe"?

The notion of peace has been corroded to the point that it's as fragile as a Christmas ornament. Or as dubious as a prize doled out to a president at war.

Fittingly, President Obama's Nobel speech acknowledged the paradox of being honored for contributing to world peace while sending more young Americans to kill and die in Afghanistan.

Rationalizing the contradiction, he apologetically characterized humanity as caught in the throes of our own evolution, from who we are to who we ought to be.

But what will spark that progress, from waging war to living peace? It's difficult to expect peace to take root beyond symbols and words if the symbols lose their meaning and the words ring hollow.  How will we ever evolve if we always choose pragmatism and fear over idealism and hope? When will peace truly have its season?

For starters, we must know what peace is and what it's worth. And we must practice it rather than wait for its miraculous arrival. We must stop viewing "peace" as the cry of the weak and "war" as the act of the strong. We must not envision peace as isolationist inaction or the mere absence of conflict.

Peace is a proactive choice we make in our personal lives every day. We must do the same as a nation. In order to embrace peace, we must believe it's worth doing so.

Ponder all the lives lost at war. Consider the sacrifice endured by our brave soldiers and their families.

Weigh the enormous cost to our struggling economy. Not only would thousands of lives be spared by peace, but millions more would benefit by the constructive use of the vast resources squandered on war. Diseases might be cured. World hunger might be eliminated. Prosperity and fulfillment might replace poverty and suffering around the globe.

Peace is worth it. And it's certainly not for the weak but rather for those courageous enough to take a risk.

Evolution begins with one mutation that turns out to be better, higher, smarter, stronger. Making the leap requires faith in our own ability to lead the world by example through this evolutionary process.

Peace is a bold but calculated risk, a brave and noble choice. Gandhi said, "Each one has to find his peace from within. And peace to be real must be unaffected by outside circumstances."

Pacifist A.J. Muste once declared, "There is no way to peace. Peace is the way." Martin Luther King Jr. said, "Peace is not merely a distant goal that we seek but a means by which we arrive at that goal."

What I take from these wise thinkers is that peace starts with us and our actions. Peace is not passive. It's not something we can put off forever. We must practice peace in order to attain it.

As citizens, we must demand it. Only then will elected officials -- and others around the world -- follow our lead. So when we purchase peace signs, let's honor their meaning:

The peace symbol, created in 1958 by designer Gerald Holtom, combines the signals in semaphore for the letters "N" and "D," standing for nuclear disarmament.

By the 1960s, it was adopted by anti-war protesters of the baby boom generation, perhaps explaining its now nostalgic allure in boomer-frequented retail establishments, where the only conflict is whether to pick a throw pillow in sage, cranberry or chartreuse.

Just as we must not allow peace to become a meaningless trinket, we mustn't allow the prize to become a parody. Instead, we must remember the passion with which that peace sign was first hoisted at marches on capitols and on campuses.

We must recall the fervor and nobility with which Nobel laureates like Gandhi and King gave their lives pursuing nonviolent solutions. And we must stand for peace, in our actions, in our expectations of our leaders, and in our votes. We cannot simply consume peace as an illusion.

We must stop talking about peace in terms of who we ought to be and start making it who we are. Because the day we stop fighting for peace is the day peace will be ours.

The opinions expressed in this commentary are solely those of Rudy Ruiz.

@highlight

Rudy Ruiz writes that "peace" has been reduced to meaningless symbol

@highlight

Peace is not for weak; not just isolationist inaction or absence of conflict, Ruiz says

@highlight

He writes that peace is noble, contagious action practiced by those with higher purpose

@highlight

Ruiz says Americans must stand for peace in actions, in  expectations of leaders, in votes