(CNN) -- Chinua Achebe died, aged 82, almost exactly 23 years to the day a car accident in Nigeria left him paralyzed from the waist down. I wonder what Achebe scholars might make of that.

I wonder, too, what Achebe himself might have made of that, in his final moments. I'm trying to imagine what went through his mind in those moments. Would he have pondered, for one last time, on the inauspicious beginnings of his bestselling novel, "Things Fall Apart?" (He once said that Heinemann, the publishers of the debut edition "printed very, very few. It was a risk... It went out of print very quickly.")

Would he have mused on the fact that "Things Fall Apart" never appeared in Igbo, the Nigerian language that fed its style, and rhythms, and that its characters spoke?

Would his mind have been crowded by violent images from Nigeria's civil war of 1967 to 1970, in which he lost friends, his library, and any illusions he may have had about the unity and inherent goodness of Nigeria? Or by violent images from the 1990 accident?

Would he have preferred to die in Nigeria, instead of America? Would he have chuckled at the thought of the Nigerian government unleashing a torrent of tributes -- the same government that suggested in 2004 (under another president, it must be said), in response to his criticism of it, that he didn't deserve the country?

Would he have tried to imagine how his life might have played out had Biafra and the accident not happened?

We will never know.

Watch Achebe interview: Africa's man of letters

The war has been written about extensively -- Achebe's final book was a much-awaited memoir of the war. The accident, on the other hand, is the tragedy that is not much talked about -- perhaps because Nigeria is an accident-factory. The title of Nigerian author Ben Okri's 1991 Booker-winning novel "The Famished Road" comes from a Wole Soyinka poem, "Death in the Dawn," a 1967 lament for the victim of an accident on a Nigerian road: "May you never walkÂ / when theÂ road waits,Â famished."

Achebe's accident happened in Awka, in southeastern Nigeria, not very far from his birthplace. Nigeria's hospitals could not take care of him, and soon after he had to be moved to a hospital in England, where he was told he would never be able to walk again.

In the eight years before the war Achebe published four novels, but after the war it took him 17 years to publish another. After the accident he never walked again. And never had the chance to live in Nigeria again. And never again published a novel.

"I have found that I work best when I am at home in Nigeria," he told the Paris Review in a 1994 interview. When the magazine asked if he missed Nigeria, he said: "Yes, very much." But coming back was not an option: "One reason why I am quite angry with what is happening in Nigeria today is that everything has collapsed. If I decide to go back now, there will be so many problems -- where will I find the physical therapy and other things that I now require?"

More Achebe: Father of African literature

That anger -- triggered by the Biafra civil war, and crystallized by his accident, and the continued failings of Nigeria's successive governments to bring real change to the country -- defined his relationship with Nigeria. Things were always falling apart between the writer and his country.

In 2004, the government chose to offer him a national honor. Not surprisingly, Achebe rejected it. In response the Government described his decision as "regrettable."

Seven years later, the government -- this time under a new president -- tried again. Again, Achebe said no, arguing that "the reasons for rejecting the offer when it was first made have not been addressed let alone solved. It is inappropriate to offer it again to me."

And yet again the government described his action as "regrettable" and hoped he would "find time to visit home soon and see the progress being made by the Jonathan Administration for himself."

That same government will now arrogate to itself the position of "Mourner-in-chief." Someone ought to let them know that the biggest tribute they can pay to Achebe would be to create the kind of Nigeria he would have been proud to receive a national honor from.

And for Nigerians everywhere, the biggest tribute we can pay to Achebe would be to get more familiar with his oeuvre; read his writing with the passion with which we revere his person.

Read also: Achebe was a talent and moralist

I must confess I came to his work rather late. Chimamanda Adichie has spoken eloquently of reading Achebe at 10, and having her life transformed from that moment. I came to Achebe much later -- I didn't encounter "Things Fall Apart" until I was in my mid-20s.

I love his essays and short stories the most -- essays full of wisdom and wit, and without the urge to impress with scholarly intelligence; stories marked by an expertly wielded lightness of touch, and the most compelling characters you will ever meet. And it occurs to me that the novel I'd most love to write would be a 21st-century update of Achebe's final novel, "Anthills of the Savannah" (1987).

I got an opportunity to see Achebe in person in November 2010, when he went to speak at Cambridge University, England. It was an opportunity to see for myself the sort of reverence Achebe inspired.

"I think all you need to tell the stories that I have told is to live the life that I have lived and keep your eyes and senses open and working," he once said. But that was the humble, self-deprecating Achebe, the man who insisted he never taught creative writing because, "well, I don't know how it's done."

What he did took more than just open eyes. It took vision, a certain way of seeing the world. He was a genius, laden with -- to borrow from his own description of Adichie -- "the gift of ancient storytellers."

May his soul rest in peace.

The opinions expressed in this commentary are solely those of Tolu Ogunlesi.

@highlight

Chinua Achebe was a genius, laden with 'the gift of ancient storytellers,' writes Tolu Ogunlesi

@highlight

Achebe twice rejected awards from the Nigerian government

@highlight

Anger triggered by civil war, government failures, defined his relationship with Nigeria, says Ogunlesi

@highlight

Ogunlesi: 'We should 'read his writing with the passion with which we revere his person'