(CNN)Would a taste of the finest Swiss chocolate make you happy? Or soaking in the warm Icelandic springs? Perhaps the great jazz and rock music scene in Denmark is for you?

It's not just the fun activities that make locals and travelers to those countries happy, according to the third World Happiness Report, released by the Sustainable Development Solutions Network for the United Nations on April 23.

People who live in the happiest countries have longer life expectancies and more social support, experience more generosity, have more freedom to make life choices, have lower perceptions of corruption and have a higher gross domestic product per capita, the report shows.

The tiny country of Bhutan, a very happy country famous for measuring the "Gross National Happiness" of its people, gets the credit for focusing world attention on happiness: Its Prime Minister proposed the idea of a World Happiness Day to the United Nations in 2011.

Recognizing "happiness and well-being as universal goals and aspirations in the lives of human beings around the world," the U.N. General Assembly declared March 20 as World Happiness Day in 2012. This officially designated happy date marked its fourth year last month.

Through the happiness report, the Sustainable Development Solutions Network hopes to encourage governments at every level to measure and improve their people's happiness.

"There is no single key to happiness," said Jeffrey Sachs, the network's director and an economics professor at Columbia University. "All of these countries do well in several ways. Being rich? That's good, but it's only a modest part of the story. Trusting society, having a government that ranks on low in corruption, a society where people are generous and volunteering -- all of these are important for happiness."

Even if you don't live in one of the 10 happiest countries in the world, a visit to these happy places will give you a taste of what the locals enjoy every day.

Here are the top 10 happiest places on Earth, according to the World Happiness Report.

1. Switzerland

Switzerland took the top spot from Denmark in 2015, rising from third to first place in this year's list of the world's happiest countries.

Bern, the capital city of Switzerland, has the cobblestone streets and medieval architecture that make it apparent why the old city is a UNESCO World Heritage Site. Since the city's founding in the 12th century, it has expanded in an often neat and orderly fashion. And the lovely River Aare offers in-town swimming and boating.

Looking to get out of the capital city? Book a trip to Lucerne, where you can take a boat trip on the lake, ride the panorama gondola, take in the views on the new Dragon Ride aerial cableway and ride on the world's steepest cog railway. Book the Golden Round trip and get all four trips -- and stunning views of the Alps -- in one day. (The railway reopens in mid-May.)

And no matter where you go, there will certainly be plenty of delicious chocolate to try.

2. Iceland

Nature and culture combine to make Iceland a truly happy place, so delightful that the tiny country jumped from ninth to second place this year.

Explore South Iceland, where many of the ancient tales -- called sagas -- that document Iceland's 10th- and 11th-century history are remembered.  A two-hour drive from the capital city of Reykjavik, south Iceland is home to Vatnajokull Glacier, the 60-meter (197-foot) Skogafoss Waterfall and amazing fresh seafood. (Though you could probably skip the fermented shark ...)

No matter where you visit, there's probably a geothermal swimming pool or hot spring spa to soak your weary bones after a long day of exploring. And when you get back to the capital, note that the renowned annual Reykjavik Art Festival will take place from May 17 through June 7.

3. Denmark

Never mind that Denmark lost the top spot this year and is now the third-happiest country in the world.

Looking at all that Danes have to be happy about, you won't notice the slight dip while you're enjoying jazz at the Copenhagen Jazz Festival in July, hanging out with the hipsters at Queen Louise's Bridge, taking a canal tour or playing beach volleyball in front of the Royal Danish Playhouse.

Prefer your music in the woods? Head to Smuk Fest ("The Beautiful Festival"), a rock/pop festival in the woods of Skanderborg held in August.

Wherever you go, enjoy that Danish tradition of "hygge," sometimes translated too simply as the need for "coziness." It's really a complex sense of intimacy, community and contentment that generally happens with friends and family, and it makes for one happy country.

Project Happy: 10 ways to get happy

4. Norway

The sun never sets in some parts of Norway during the summer months, and the North Cape area is one of the best spots to play when the sun stays out for 24 hours. Visitors love to golf, hike and even run a marathon during the months ruled by the midnight sun.

If your taste buds dictate your travels, head to the Norwegian capital city of Oslo, a gastronomic paradise where the Michelin food guide has awarded five stars among four restaurants: Ylajali, Statholdergaarden and Fauna (one star each) and Maeemo (two stars).

5. Canada

Canada combines European style, sensibility and history with the enormous natural wonder of North America.

Within the French-speaking province of Quebec, a tour through the historic city of Old Quebec is a treat for any Francophile. Founded in the early 17th century, it's the only North American city north of Mexico that still has its fortifications. The historic district is a UNESCO World Heritage Site.

Just a few minutes from downtown Quebec City, Ile d'Orleans is a small island where farming and agriculture are still a way of life. And if nature is what you crave, in less an hour from Québec City, you could be hiking through the Parc national de la Jacques-Cartier, home to the glacial Vallée de la Jacques-Cartier.

50 states, 50 spots to get happy around the U.S.

6. Finland

What a happy event to spot the rare Saimaa ringed seal, which adapted to freshwater living after the Ice Age cut off its lake home from the sea. There are only about 300 of them in the world, and they can be found at Lake Saimaa in eastern Finland.

But you might have more luck spotting the white whooper swan, Finland's national bird, whose arrival heralds the start of spring.

For a more urban experience, visit Helsinki's Market Square and Museum of Contemporary Art Kiasma. And you can still spot animals in the capital city: In mid-May, the cows will be herded into the fields in Viikki, a neighborhood in Helsinki, after the long winter. Locals always gather to celebrate this moo-ving event.

7. Netherlands (Holland)

Though the Netherlands' tulips are without equal, and they are most stunning at Keukenhof (known as the Garden of Europe), there are so many beautiful spots across the country to walk and bike to welcome spring and its trademark flower.

For a more regal celebration, note that the kingdom celebrates its 200th year this year with many festivities.

8. Sweden

In a country that's very fond of celebration, Swedes love to celebrate midsummer, the longest day of the year, most of all. It's a national holiday marked with traditional food and dances around a maypole.

Can't make the midsummer parties? There's still plenty to do. Just 20 minutes from the capital city of Stockholm, the Stockholm Archipelago of about 30,000 islands offers endless opportunities for contentment. Swimming, hiking, cycling, fishing, horseback riding -- it's all within your reach by booking a boat ride. (Some boat trips include meals and tours of many of the islands.)

9. New Zealand

New to the top 10 list of happiest countries, New Zealand has plenty of reasons to celebrate. Though it's always been an attractive spot to explore, Peter Jackson choosing the country to host the filming of the "Lord of the Rings" movie trilogy has given New Zealand more attention than money could buy.

The capital city of Wellington has benefited from the growth of the movie industry, developing a happening restaurant and design scene.

And many of the country's natural wonders have gained international attention, including the 2,291-meter (7,516-foot)-high Mount Ngauruhoe, which played the fictional Mount Doom. It's part of Tongariro National Park, a UNESCO World Heritage Site.

10. Australia

The Great Barrier Reef, the world's largest collection of coral reefs, is a natural phenomenon not to be missed. Australians are arguing fiercely over manmade threats to its existence  (and no one is happy about that).

Once you've had a chance to explore that magical underwater realm, head to the Australian state of Tasmania, an island 240 kilometers (149 miles) off the mainland coast. The Tasmanian Wilderness, a UNESCO World Heritage Site, includes one of the last surviving temperate rainforests in the world.

To see the wilderness up close, try hiking the stunning 65-kilometer (40-mile) Overland Track. It takes about six days for hikers (who must book the trip in advance), but day-trippers can take short hikes starting at Cradle Mountain Visitor Centre and Dove Lake.

@highlight

The World Happiness Report highlights the happiest countries

@highlight

People live longer and experience more generosity and social support in these counties

@highlight

The United Nations first declared a World Happiness Day in 2012