The world's eyes may have been focused on the breathtakingly fast political changes unfolding in Ukraine's capital Kiev this week, but it is the Crimean peninsula, where dozens of gunmen raised the Russian flag over parliament Thursday, that should now be the primary source of concern for Ukraine's fledgling government and world leaders.

Crimea is an autonomous republic whose history has long been marred by political tension. Gifted to Ukraine by Soviet Union leader Nikita Khrushchev in 1954, its population is ethnic Russian by just over half and Ukrainian by a quarter, while more than ten percent are Crimean Tatars who are fiercely anti-Russian as a result of Joseph Stalin's repression of the group a half century ago.

Russia's strategically important Black Sea naval fleet is hosted at Sevastopol, the region's largest city, an arrangement that controversially extended until 2042 by the ousted Ukrainian President Viktor Yanukovych, who was last seen fleeing Kiev. His whereabouts are unknown.

The large Russian population of Crimea has long viewed the central government of Ukraine with suspicion. In recent days the mood has turned into aggressive hostility towards the new authorities in Kiev. Crimean Russians see the newly-powerful opposition movement as illegitimate, sponsored by the West, and even fascist. Anti-Ukrainian protests are being held, Russian vigilante groups have sprung up across Crimea, Russian flags have been hoisted on government buildings, clashes have broken out between Russian separatists and loyalist Tatars and Ukrainians, and the Russian military has been seen patrolling key buildings and infrastructure.

The Russian Federation has done precious little to contain this dangerous dynamic. On the contrary, its state-sponsored media have covered the unrest in Crimea extensively and reiterated the Kremlin's view of the events in Kiev as a coup d'état. Envoys from Moscow have descended on Crimea to promise Russian citizenship to all who want it and even the region's re-integration into Russia proper.

Meanwhile, Russia's foreign ministry is warning of violations of the human rights of ethnic Russians in Ukraine, while the Russian military is reportedly preparing lists for the evacuation of the families of seamen serving at Sevastopol. Snap military exercises have been ordered by Russian President Vladimir Putin close to Ukraine's borders. In short, the Kremlin is stoking the fires of the building separatism that can be observed in Crimea, despite its official commitment to non-interference and the territorial integrity of Ukraine.

This situation bears all the hallmarks of several long-standing, often referred to as "frozen", conflicts in Eastern Europe. In Transnistria, a breakaway region of Moldova, in Nagorno-Karabakh, which is contested by Armenia and Azerbaijan, or in Abkhazia and South-Ossetia, which have seceded from Georgia, Russia has long propped up separatists, providing political backing, military support, funding and passports. This undermines the stability of its smaller neighbors, challenges those nations' sovereignty, blocks domestic reforms, and impedes European integration.

By underwriting Crimean separatism, Russia is taking the first steps toward repeating such a scenario in Ukraine. So while many in Kiev and in Western capitals are pondering what Russia will do next, the the Kremlin has already made its decision.

Russia's choice of tactics is no coincidence. Rather, it is based on a sober analysis of the post-Euro-Maidan situation in Ukraine, particularly Kiev, and of Russia's limited leverage there. The hoped-for public mayhem and political stalemate have not materialized. Western acceptance of the new government thwarts Russian claims of its illegitimacy. The country's industrial east shows little inclination to move closer to Russia, and Western financial aid is shaping up to reduce Ukraine's dependency on money from Moscow. In this constellation, Crimea is the "weakest link" in Ukraine today.

This leaves the new Ukrainian government with a very difficult choice. It is obliged by the constitution to defend the territorial integrity of Ukraine, to re-establish public order in Crimea, and to guarantee the safety of its citizens there, irrespective of their ethnic background. However, the central government is only just regaining control over the situation, and faces enormous political, economic and social challenges. Its resources are already stretched without having to deal with a strong separatist movement and its even stronger external backer. What is more, Europe and the U.S. will be of very limited help in confronting Crimean separatists and their Russian masters.

Ukraine's choice, then, is between consolidating the gains of the Euro-Maidan revolution across most of the country, and risking it all to maintain control over a historically reticent part of Ukraine that may already be lost. The question that has to be answered now is whether Crimea is a price worth paying for getting Ukraine on track for democracy and European integration.

MAP: How Ukraine is divided

@highlight

Armed men seize parliament building in Ukraine's Crimea region

@highlight

Crimea is last big bastion of opposition to new government in Kiev following President's ouster

@highlight

Tensions have simmered since President Yanukovych's overthrow last week

@highlight

Forbrig: Ukraine must decide if it's worth risking recent progress over restive Crimea