Traveling these routes inspires wonder and awe in those willing to shrug off the discomforts and heart-in-mouth moments that they entail.

Whether you're gazing through a dirt-smudged window on a clapped-out bus, its engine revving desperately to clear a narrow pass, or grinding through an endless expanse of sand in a 4WD, these roads have gained a reputation for being among the most brutal in the world.

If you long for white-knuckle adventure, sometimes it really is more about the journey than the destination.

Lonely Planet: Top sights of the Islamic world

Canning Stock Route, Australia

Crossing the historic Canning Stock Route through Australia's rugged red sand wilderness is a modern-day explorer's dream. One of the world's most remote tracks, the dust-tinged, take-no-prisoners toughness of this 1,820 kilometer old drover's trail is tempered by the opportunity to meet the traditional owners of this isolated land.

The Tjurabalan, Ngurrara, Martu and Birriliburu of the Western Desert still live along, and are the custodians of, the route. The chance to interact with these Western Desert communities and visit rock-art sites that date back tens of thousands of years is an enriching glimpse into the fascinating culture of this region.

Where: Running from Wiluna to Hall's Creek in Western Australia.

When: The cooler months of May to September.

Headless horseman and other frights

How: You can begin at either end and the route takes at least 18 days to complete. There are five communities with fuel and supply amenities along the way but for much of the journey it really is simply just you and the sprawl of the Australian desert. Understandably then, navigating the Canning Stock Route independently requires a lot of pre-emptive planning and a permit must be obtained before travel.

As well as a 4-wheel-drive vehicle, you'll need to carry all the necessary equipment, supplies and spare parts in case of breakdowns and emergencies. The track is not maintained (although it is signed clearly) and there are hundreds of sand dunes to navigate.

Prior desert driving experience and mechanical ability are mandatory for anyone contemplating a journey here. An extremely helpful booklet on preparing for and driving the route is available to download on the Four Wheel Drive Australia website.

Karakoram Highway, Pakistan and China

A centuries-old trading trail, which once formed part of the famed Silk Road, the Karakoram Highway (more commonly referred to as the KKH) is the world's highest altitude paved international road. Its 1,200 kilometers slice through the mighty Karakoram Range, passing through remarkable mountain scenery and providing access to top-notch trekking and mountaineering.

Blasted through one of the most challenging landscapes on earth, the KKH is a triumphant feat of engineering and a monumental reminder of the more than 1,000 lives lost during its construction. A journey here, in the rooftop of the world, is not only a stunning salute to the power of nature but also of man's constant struggle to contain it.

Where: From Abbottabad (near Islamabad) in Pakistan to Kashgar in China.

When: Spring (May to June) and early autumn (September to October). Parts of the road are closed during winter due to snowfall and sometimes in summer because of landslides caused by the monsoon. The Sost/Tashkurgan border post along the KKH officially closes between 31 December and 1 May each year but, depending on weather, the annual reopening can be delayed. If you're intending on traveling in early May it's worthwhile checking beforehand.

How: Public transport between the main towns on the KKH is cheap and plentiful and many travelers take two to three weeks to cover the full route, allowing time to stop off and explore.

Wherever you begin your journey, you'll need to acquire visas for both countries before you set off along the route as they aren't issued on the Sost/Tashkurgan border post that straddles either side of the Khunjerab Pass.

Road conditions deteriorate on the Pakistan side and the word 'highway' should be used in its loosest sense. However, the entire road is being overhauled (the Chinese portion is already finished) with an extensive program of road works for the Pakistan section being funded by the Chinese.

Eventually this will mean that the road will be open year-round. Travelers should be aware that rebuilding of the section of the KKH that runs through Pakistan's upper Hunza Valley is still ongoing after the 2010 landslide which created a lake submerging 22 kilometers of road. At the moment this portion of the route is navigated by boat.

Lonely Planet: Vanishing history: the most intriguing lost cities

North Yungas Road, Bolivia

Well, it's not nicknamed Camino de La Muerte (Death Road) for nothing. Bolivia's infamous route from La Paz down into the rainforest-clad Yungas region is a dizzying descent of terrifyingly tight turns flanked by sheer cliff on one side and dramatic drop-offs on the other.

Notorious for traffic accidents (an estimated 200 deaths used to occur on the 69 kilometer route annually), the Bolivian government completed a series of road modernizations in 2007, building an entirely new branch that bypasses much of the original tract. Despite (or perhaps, because of) the road's infamy, the old route has become a tourist attraction in its own right.

Where: From La Paz to Coroico

When: Due to safety considerations, it's best to avoid the rainy season from mid-December to early March.

How: For anyone who wants to experience the heart-in-mouth palpitations of the North Yungas Road, the best (and safest) option is the Death Road Cycle; a hurtling, adrenalin-junkie ride down twisting bends.

With the opening of the modernized bypass in 2007, cyclists no longer have to worry about the extra danger of dodging trucks and buses as they rush headlong down the narrow ridge chiseled out of the mountainside. The hundreds of tiny crosses scattered along the route are a sobering reminder of the many lives this road has claimed in its perilous history.

The road ends at Coroico, a 1,100-meter drop in altitude from the high Bolivian altiplano at its start. Coroico is a popular starting point for further adventures in the Bolivian Amazon and most travelers spend at least a night here before moving on to Rurrenabaque.

Manali-Leh Highway, India

Flanked alternately by vistas of staggering snow-capped mountains and arid high-altitude plains this winding 490 kilometer route is one of India's most beautiful.

Traffic along the Manali-Leh Highway ascends and descends through nail-biting mountain passes, fording across streams and glacial melts, which results in some seriously hair-raising moments but also some of the most incredible photographic opportunities the subcontinent can offer.

Where: Beginning in Manali (Himachal Pradesh) and ending in Leh (Ladakh).

When: Only open during the summer, approximately from June to mid-October.

How: Due to snow cover, the highway is only traversable for roughly four months of the year. The cheapest way to travel along the route is by bus, with both public and private transport operators running regular transport along the route during this time. The main public bus company is HPTDC and seats on their buses should be reserved a couple of days in advance.

With the highest pass along the route measuring a whopping 5420 meters above sea level, the bus journey is staggered over two days, with an overnight stop usually spent in the town of Keylong which alleviates your chances of suffering AMS (Acute Mountain Sickness).

Shared taxis are also plentiful but best avoided: completing the journey in a dizzying long haul of 16-18 hours, known as the 'Cannonball Run', is not only tough on your body due to the altitude, but also leaves you no time to contemplate the scenery.

Lonely Planet: Best 'middle of nowhere' places

Trans-Sahara Highway, Algeria, Niger and Nigeria

The ultimate desert adventure. Running for a mammoth 4,500 kilometers through three countries, driving the Trans-Sahara Highway is a test of mettle and guts which attracts the brave, the foolhardy and the crazy.

Although plagued by security risks along some sections, the bigger danger is in going head-to-head with one of the world's most intensely harsh environments. Adventure-seekers may covet traveling this route for the all-out kudos involved but its real attraction is the opportunity it affords to savor the Sahara at its most spellbinding.

Where: Algiers (Algeria), via Niger, to Lagos (Nigeria).

When: The cooler months of November to February.

How: This isn't a trip to be undertaken lightly. You'll need a 4WD, extensive desert driving and mechanical experience, and you must be self-sufficient in supplies and equipment. You'll also have to jump through several bureaucratic hoops in order to get the paperwork and visas necessary for this kind of expedition.

Anyone contemplating a trip here should be aware that travelers with their own vehicle are required by Algerian law to hire a local escort in Southern Algeria and that the Algeria-Niger border is often closed to foreigners due to instability in northern Niger.

The Trans-Sahara Highway itself is in much better condition these days. The road is sealed all the way through Algeria and Nigeria and most of Niger with only one 150-kilometer stretch from the Algeria-Niger border post to Arlit in Niger being a hard sand surface.

For the most recent developments and up-to-date advice on driving the Trans Sahara Highway, travelers should check the Sahara Overland website.

Originally published as "Strap yourself in: the world's most extreme road trips" © 2012 Lonely Planet. All rights reserved.

@highlight

Taking some of these trips can inspire both fearlessness and wonder

@highlight

The most extreme spots include stops in Pakistan,  Australia and Bolivia

@highlight

Careful preparation and advance planning are necessary for these daring trips