Tokyo (CNN) -- Japanese regulators discounted concerns about damage to the still-potent spent fuel from the Fukushima Daiichi nuclear power plant's No. 4 reactor Thursday, saying high radiation levels reported earlier this week "most probably" came from outside debris.

A high reading above the pool prompted the plant's owner, the Tokyo Electric Power Company, to take a sample from the spent fuel pool on Tuesday. But the radiation levels are far lower than they would be if there were damage to the fuel rods, said Hidehiko Nishiyama, the chief spokesman for Japan's Nuclear and Industrial Safety Commission.

"We need more analysis to identify the precise status of the spent fuel in unit 4," he said.

Tokyo Electric said Thursday night that the sample was the first time they have taken a reading off one of the spent fuel pools. The water temperature in the No. 4 pool was 90 degrees Celsius, more than twice a normal reading, and more coolant water was poured into the reservoir on Wednesday.

The company said it suspects the fuel rods were damaged due to insufficient coolant at some point since the crisis began, but could not clarify the timing.

Nishiyama told reporters Thursday evening that the fuel rods have not suffered "any particular damage." Officials are still looking at the readings from that water sample before reaching a final conclusion, but said the radiation reading was "most probably due to debris" blown into the badly damaged housing around the No. 4 reactor.

The Tokyo Electric Power Company reported a cumulative radiation reading above the pool at 84 millisieverts on Tuesday, about a third of the annual allowable dose for plant workers during the emergency. Water samples from the pool showed a concentration of radioactive iodine-131, the most commonly measured reactor byproduct, at 220,000 bequerels per liter -- more than 730 times the amount considered safe for drinking water in Japan.

Outside observers have expressed concerns about the status of the spent fuel in reactors 1, 3 and 4 several times during the month-long crisis at Fukushima Daiichi, about 240 km (150 miles) north of Tokyo. Temperature sensors in those pools have been out since mid-March, and workers have been spraying water into the damaged housings of those reactors on a near-daily basis to keep them topped off.

The battle began March 11, when the tsunami that followed Japan's magnitude 9 earthquake knocked out the plant's cooling systems. Tokyo Electric estimated the height of that wall of water at 14 to 15 m (45 to 48 feet) -- a level Nishiyama said would be the new standard for barriers around Japanese nuclear power plants.

The sea wall around Fukushima Daiichi was 5 m. In the aftermath of the tsunami, the cores of three of Fukushima Daiichi's six reactors were damaged by overheating and resulting hydrogen explosions blew apart the buildings surrounding reactors 1 and 3.

The vast amount of radiation released from the plant, largely in the first two weeks of the disaster, prompted Japanese authorities to rate the crisis at the top of the international scale that measures nuclear accidents. The Level 7 designation puts Fukushima Daiichi on par with the April 1986 Chernobyl accident in the former Soviet Union, though Japanese authorities say their plant has spewed only 10 percent of the radioactivity that was emitted from Chernobyl.

Plant workers have been pouring hundreds of tons of water a day into the three reactors that were damaged in the aftermath, and at least one of the reactors, in unit 2, is believed to be leaking highly radioactive water. Radioactive contamination spread across a wide swath of land around the plant and into the adjacent Pacific Ocean, though data released by government ministries has shown a decline in radiation levels in recent weeks.

Engineers have taken steps this week toward containing the disaster, pumping radioactive water from service trenches and tunnels into a storage reservoir for No. 2 reactor's steam condensers. And they are laying the piping needed to transfer an estimated 10,000 tons into a facility designed for treating low-level radioactive waste Tokyo Electric said Thursday.

The company dumped more than 9,000 tons of less-radioactive water into the Pacific last week to make room for the more-dangerous fluid believed to be leaking from reactor No. 2 -- a move Japanese authorities described as an emergency measure, but one that enraged the country's fishermen.

The government issued expanded evacuation orders Monday for several towns outside the 30-kilometer radius that was declared a danger zone in the early days of the disaster, warning that prolonged exposure to radiation levels there could pose a long-term danger to human health. And Japanese government data this week reported finding low levels of radioactive strontium, another reactor byproduct, in two of those towns in the days after the disaster.

Strontium-90 is considered a health hazard not only because of its 29-year radioactive half-life but because a portion of it gets absorbed by bone if ingested, according to the U.S. Environmental Protection Agency. There is no acceptable standard for strontium under Japanese regulations, but Japan's science ministry said the reported figures were not high enough to pose an immediate danger to human health.

The Japanese government has tried to limit the damage done to farmers in Fukushima and other prefectures where contamination from the plant has been found, lifting bans on farm products from surrounding areas if they pass three tests in three successive weeks.

Chief Cabinet Secretary Yukio Edano, the government's point man on the crisis, announced Thursday that kakina, a leafy green, from Tochigi Prefecture was now safe for shipment. The move follows a ban on outdoor-grown shiitake mushrooms from 16 towns and villages neighboring damaged plant to the country's banned food list Wednesday.

Asuka Murao, Gen Shimada and Susan Olson contributed to this report for CNN.

@highlight

NEW: Radiation levels at unit 4 "most probably" came from debris, a Japanese official said

@highlight

NEW: The March tsunami will set a new standard for Japaneses nuclear plants

@highlight

Samples show high radiation levels in unit 4's spent fuel pool

@highlight

Another vegetable ban lifted