(CNN) -- Lori Raines and her mother were hunting for deals at post-Christmas sales in 2009 when Raines' left leg involuntarily turned inward and an excruciating pain shot through it.

At first, she thought the pain was the result of a 2005 operation to fix a herniated disc in her lower back.

It wasn't.

As a massage therapist, yoga instructor, aspiring artist and mother, she could not afford to lose mobility. But within a couple of days, Raines was practically bedridden.

She began taking a number of medicines and steroids that changed her personality, caused friends to abandon her and destroyed her marriage.

But nothing stopped the pain or involuntary movement in her leg.

"I lost everything," she says.

Finally, eight months and about 30 doctors' opinions later, she was diagnosed with dystonia, a little-known but the third most common movement disorder.

"If you have something invisible going on, then it's all subjective," the 41-year-old says. "Dystonia doesn't show up on MRIs and it doesn't show up on tests."

Raines hasn't been able to work, slowly watching dystonia spread from her legs to her arms to her neck. Forced to get around on crutches or in a power chair, the former dancer is mostly confined to her Hendersonville, North Carolina, home.

"You don't die from dystonia," she says. "But you want to. It's sort of like a life sentence, as opposed to a death sentence."

Dystonia is often cloaked in mystery and can take years to diagnose. In most cases, dystonia's cause is unknown, and there is no cure. Patients and medical professionals agree dystonia awareness lags far behind other movement disorders such as Parkinson's disease and multiple sclerosis.

Dystonia is "characterized by sustained or intermittent muscle contractions causing abnormal, often repetitive, movements, postures, or both," according to the article "Phenomenology and classification of dystonia: A consensus update," published this year by an international panel of dystonia researchers.

Dystonia can be divided into primary and secondary types, says Dr. H.A. Jinnah, director of the Dystonia Coalition and professor in the department of neurology, pediatrics and human genetics at Emory University. It is difficult to quantify exactly how many people suffer from it.

Under the National Institutes of Health guidelines, Jinnah says pure or primary dystonia is identified as a rare disorder, but mixed or secondary dystonia occurs frequently. Combining the two classifications makes dystonia a common disorder, he says, "because we would have to include cerebral palsy, Parkinson's disease and a whole load of others."

There are two common treatments for dystonia; neurotoxin injections, such as Botox, and deep brain stimulation, which requires an operation to place a neurostimulator in the brain. The stimulator sends electrical currents to parts of the brain that control muscle movement.

Certain forms of dystonia have been linked to genetics, environmental or brain damage. But scientists are still trying to determine exactly what causes the disorder.

"What all of us would like, and most especially our patients, is a medication so that they don't have to get injections or brain surgery," Jinnah says. "That requires that we know something about the cause."

Cervical dystonia, which causes the neck and sometimes the shoulders to contract involuntarily into uncomfortable positions, is the most common form.

Cris Rogers, 46, says he believes he developed cervical dystonia due to birth complications. He didn't begin experiencing symptoms until his teens and wasn't properly diagnosed until he was 36.

"Even world-class orthopedists missed this diagnosis by a country mile," he says.

Rogers calls having cervical dystonia a "gift" compared with other forms out there. He is able to treat it with quarterly Botox injections.

"There is an emotional aspect to dystonia that people don't get," he says. "You feel hopeless."

Yet there is no guarantee the Botox will always be an effective treatment.

"If you have relief and the symptoms return, that is a level of pain that is hard to describe," he says. "Because you know what it is like to feel good."

Rogers is a member of the Facebook page Neuronauts, a closed dystonia support group with about 650 members that Raines created in 2012. Raines says she encouraged the Neuronauts to post their stories on CNN's iReport in honor of Dystonia Awareness Month.

"We are isolated as a whole," she says of the group and people who suffer from dystonia. "We have no support. We have no money. We're just trying to keep ourselves alive."

Michele Weber, a mother of two who has a Ph.D. in political science, is also a Neuronauts member. Like Raines, she has multiple forms of dystonia that affect her neck, limbs and facial muscles.

She began experiencing symptoms as a child and started seeking medical opinions in her 20s. But Weber says she wasn't diagnosed until her 40s.

"(Dystonia) is devastating to people socially and economically," the 47-year-old says. "We're not the glamour illness. We don't have the celebrity spokesman."

Weber's peers are often shocked to hear she works as a financial adviser, an "assumption" that her visible symptoms are indicative of "lesser intelligence," she says. She bucks her natural tendency to keep personal issues private because she believes raising awareness is key to advancing treatment and a cure.

"Until I know that everybody is diagnosed or have adequate treatments, I'll keep being a big mouth about this," she says.

Like Rogers, Weber considers herself fortunate because she has her husband's support and quality care from a doctor she trusts. Her symptoms constantly limit basic abilities such as using her hands and legs.

"I am disabled -- no more, no less," she says. "All of our abilities are temporary."

All three agree that the medical community's lack of understanding of dystonia contributes to the public's lack of awareness.

Dystonia's wide variety of forms has caused a lag in research and treatment, says Dr. Mahlon DeLong, medical director of the Dystonia Medical Research Foundation and professor of neurology at Emory.

"There was a period of time in the '50s, '60s and '70s when physicians thought this could be psychogenic," he says, meaning it originated in the mind. "It was a very unfortunate time."

DeLong says that the medical community now understands dystonia's symptoms are not psychological and that the recent discovery of new genes creates opportunities for advancements in treatment -- and may lead eventually to finding a cure.

"We're beginning to understand the molecular disturbances in the brain," he says.

Identifying the genes that may be involved in dystonia will allow researchers to learn about their different mutations, Jinnah says. These findings will then enable scientists to understand better how the mutations alter patients' biochemistry and how the mutations affect the brain's normal neurological functions.

But DeLong also says that not all forms of dystonia are genetic and so gene mapping is not necessarily a Rosetta stone for grasping dystonia.

"I think we're on the edge of discovery and better therapy," DeLong says. "Some of the new approaches that are coming out will prove very affective for dystonia."

More funding and research cannot come soon enough for Raines, who says her pain is constantly fluctuating between a four and an eight on a scale of 10.

She can still drive short distances, getting out about three times a week to go grocery shopping and take her son to school. In August, she will enter her first art show since being diagnosed with dystonia. But she devotes the rest of her time to supporting and encouraging fellow Neuronauts.

She says people diagnosed with dystonia need to vocalize what they are going through.

"My background is all about expressiveness and being creative," she says. "The more you can express yourself, the more healthy you are on a cellular level."

@highlight

Dystonia is often cloaked in mystery and difficult to diagnose

@highlight

Though it's the third most common movement disorder, few people understand it

@highlight

Dystonia's cause is mostly unknown, and there is no cure for it

@highlight

"You don't die from dystonia," one woman says, "but you want to"