Long Beach, California (CNN) -- Pointing to a graphic of a spider's silk-spinning organ projected on a giant screen, scientist Cheryl Hayashi said, "That's the business end of a spider," drawing laughs from hundreds in the TED2010 conference audience. "Hey don't laugh, that's my life."

Hayashi held the audience's attention with a passionate talk about her fascination with spiders even though they "jostle with rats and snakes for the title of the most despised animal."

There are 40,000 described species of spiders and Hayashi is endlessly absorbed with them, particularly with the fact that they generate an amazing variety of silk which can be used for many of their purposes -- and ours. Spider silk, she said, could potentially be used for medicine in the form of artificial tendons, guides for regrowing nerves and scaffold for tissue growth and even body armor that could be more lightweight and flexible than any in use now.

When she decodes new information about spiders in her lab at the University of California at Riverside, she said, "it's like the spiders are sharing an ancient secret with me. That's why I'm going to spend the rest of my life studying spiders."

Hayashi isn't alone. TED,  which stands for  Technology, Entertainment, Design, is a nonprofit dedicated to "ideas worth spreading." TED2010 has featured speaker after speaker for whom their subject matter is their life's work. And not just on stage -- audience members are taking turns giving their own five minute talks on subjects that obsess them and volunteering their thoughts on a wide range of issues in casual conversations in the conference's elaborately fashioned social spaces, where espresso bars and racks of organic snacks co-exist with promotional messages for the corporate sponsors.

Check out CNN's tech blog for TED2010 updates

To the strains of Jackie DeShannon's recording of "What the World Needs Now," the conference theme, the presentations began Wednesday before an audience of 1,500 and hundreds of others watching via simulcast from Palm Springs, California.

Prominent names from London, England, and Washington were represented. In a surprise appearance, British Conservative Party leader David Cameron, who's the odds-on favorite to become prime minister if his party holds its lead in this spring's election, sketched a plan for improving government without spending more money by increasing transparency, choice and accountability. And Valerie Plame Wilson, the former CIA agent whose identity was leaked, presented the case for controlling nuclear weapons before terrorists are able to explode a device in one of the world's cities.

Here are 10 big ideas from TED2010, which concludes Saturday:

$60K a year can make you happy

Psychologist and Nobel Laureate Daniel Kahneman says millions of dollars won't buy you happiness, but a job that pays $60,000 a year might help.

Happiness levels increase up to the $60K mark, but "above that it's a flat line," he said.

"Money does not buy you experiential happiness but lack of money certainly buys you misery," he said. But the real trick, Kahneman said, is to spend time with people you like.

Save the world through games

Jane McGonigal, a game designer, says playing online video games gives people "superpowers" that help them improve the real world.

We currently spend a collective 3 billion hours a week playing online games, she said, but we need to spend seven times that much time doing so to make sure we're up to real-world challenges.

"My goal for the next decade is to try to make it as easy to save the world in real life as it is to save the world in online games," she said. To do so, she develops social games that merge the real-world challenges with online gaming.

Anonymity promotes honesty

Christopher "Moot" Poole runs one of the seedier corners of the Internet. His site, called 4chan, is known as a den of porn, hacking and anonymous rants.

But Poole, a 22-year-old college student, says 4chan also protects its users privacy and promotes honest discourse. Without names in the way, people can focus on ideas, he said.

"It's anonymous and it has no memory. There's no archive. There are no barriers. There is no registration," he said of the site. "That's led to this discussion that's completely raw, completely unfiltered."

We can end slavery

Kevin Bales, founder of a group called Free the Slaves, said he was surprised to learn slavery still existed when he read a pamphlet saying just that.

Now he's on a crusade to end modern slavery, which he says is every bit as bad as the type of slavery that preceded the U.S. Civil War. Some 27 million people are enslaved today; and a person in some parts of India can be sold into slavery for about $5, he said.

But awareness and action could abolish slavery for good in 25 years, he says.

Moral ideas are right or wrong, not both

Writer Sam Harris -- who is perhaps best known as a stern critic of organized religion -- says we use science to prove or disprove hypotheses, and we should similarly use evidence to say some activities are moral and others are not.

"Why does every opinion have to count? Why does every culture have a point of view worth considering? Does the Taliban have a point of view on physics worth considering: No."

'What we eat is really our chemotherapy three times a day'

William Li, president and medical director of The Angiogenesis Foundation, which focuses on the connection between blood vessel growth and aggressive cancers. There are 11 FDA-approved drugs that inhibit growth of blood vessels that sustain cancers, but Li pointed out that there are a number of foods and beverages that could offer substances that accomplish the same thing -- and could help prevent cancer.

"Men who consume two to three servings of cooked tomatoes per week have a 40 to 50 percent reduction in risk for prostate cancer," he said.

Red grapes, strawberries, soybeans, dark chocolate, oranges, and green tea are among the foods with the ability to prevent blood vessel growth.

The ukulele can stop war

Ukulele virtuoso Jake Shimabukuro says his traditional, Hawaiian instrument, which he learned to play at age 4, can make the world a less violent place.

"I've always believed it's the instrument of peace," he said, "because if everyone played the ukulele, this would be a much more peaceful place."

Shimabukuro says people can't help but smile when they hear the two-octave, stringed instrument. He likened its tone to the sound of children laughing.

$28 billion mostly wasted on placebos

Holding up bottles of herbal supplements, writer Michael Specter spoke out against what he sees as a growing rejection of science. He says it's resulted in parents refusing to vaccinate their children due to an unfounded connection to autism and people shunning genetically modified foods that have the potential of helping the world fight increasing hunger.

The herbs, he said accomplish one thing: "They darken your urine. You want to pay $28 billion for dark urine? That's OK."

'Stop politicians doing stupid things that spread HIV'

Elizabeth Pisani, epidemiologist who has studied drug abusers and sex workers who are involved in the spread of HIV-AIDS, said nations that have followed former British Prime Minister Margaret Thatcher's example by creating programs to provide sterile needles to drug abusers are much more successful in curbing the spread of the disease.

Nations such as the United States that have resisted such programs have seen higher spread of the disease among drug users who share needles.

Every eight days, the toll of a Haiti quake

Esther Duflo, a professor in MIT's economics department, said, that every day, 25,000 children die of preventable causes, adding up every eight days to the approximate death toll of the Haiti earthquake. Though $2 billion has been pledged for the Haiti earthquake, Duflo asks why we don't make the same level of commitment to prevent the daily death toll of children.

Amid the conference's many ideas, one thing is clear -- the joy speakers experienced in having a receptive audience to share their deepest thoughts and feelings.

David Cameron noted that politics has been called "show business for ugly people." TED2010, in some ways, is summer camp for brainy ones.

Jarrett Bellini contributed to this article

@highlight

TED2010 conference, in California, features speakers deeply versed in their subjects

@highlight

Scientist Cheryl Hayashi devotes herself to the many varieties of silk spun by spiders

@highlight

Christopher "Moot" Poole, who runs 4chan, says Web anonymity promotes honest discourse

@highlight

William Li says substances in food hold promise of preventing forms of cancer