(CNN) -- Fabiola Leocal's story ought to be uncommon, but in post-earthquake Haiti, it's not.

All she has left of her previous life are a stack of photographs and a few other things scavenged off the rubble of the building she called a home.

When the catastrophe struck, as the Haitians say, her house tumbled, along with many others that dotted the hillside in the Port-au-Prince neighborhood of Canape Vert. Her husband of nine years, Rene, was crushed under concrete.

She lived in a camp for a while but returned to where she belonged. Now she has a tin shack and memories -- photographs carefully tucked away in loose, laminated photo album pages of herself and Rene. He, in a suit. She, in a much finer dress than the black sleeveless top and printed skirt she has on now.

Some people tell her she should get rid of the pictures. What good are they now? They bring the kind of sadness that seems almost pointless to dwell on.

Life has to go on for Leocal. She has to survive, if not for herself, then for her 15-year-old daughter.

Sadly, Haitians have grown used to seeing earthquake rubble and the makeshift camps that sprang up after that fateful day in January 2010.

The United Nations, Haitian officials and private aid agencies have said that Haiti has made strides in the two years since the quake. But few deny that recovery has been painfully slow.

All you have to do is look at Leocal. And she might be considered one of the lucky ones. She has a "home," however modest.

The United Nations estimated the 7.0-magnitude earthquake affected nearly 3 million people and killed about 220,000. More than 1.5 million people were left homeless in a country that was already the poorest in the Western hemisphere and wracked by crisis.

Consider that 70% of Haitians did not have stable jobs before the quake and there were only 5.9 doctors per 10,000 residents.

Two years later, almost as many Haitians are still unemployed. Debris still clutters the capital and other places. About half the rubble, the equivalent of five football stadiums full, has been removed, according to the United Nations.

Impact Your World: How to help

About half a million people are still homeless. Many still live in tents in the shadows of the collapsed presidential palace, perhaps the most visible symbol of Haiti's misery.

"You can't stay on the streets," Leocal said. "If that's what you have, you have to rebuild."

She is not alone in her frustration.

Thousands of Haitians marched Wednesday through Port-au-Prince to the Parliament building to demand a reform of land laws so they can be freed to build homes, said Marjorie Bertrand Dumornay, coordinator of the grass-roots campaign funded by ActionAid Haiti.

"The rebuilding process is mostly led by the foreigners," she said. "There is no national plan. The Haitian state does not have the will."

Michel Martelly, the former pop star who was elected president last year partly because he presented a fresh face in Haitian politics, campaigned on a pledge to fix Haiti.

But it took him months to even form a government and he recently said that motivating people to move in the nation's "culture of immobilism" has been a challenge.

CNN Photos: Haiti's children, two years later

Standing recently on a site where he said more than 600 families had been living in tents until just days ago, Martelly said the government was able to relocate them in housing.

The project, he said, cost $9 million because damaged homes had to be either repaired or reconstructed.

He acknowledged that many thousands are still waiting.

"But it's about sending the signal," he told CNN's Anderson Cooper.

"It's not about having the magic stick and making the problem disappear in one day. If you plant a tree today, in order to enjoy the shadow, you have to wait five years. So changing Haiti is going to take time and healing the wounds is going to take time."

Perhaps that signal can be seen at the tent city that sprang up on the slopes around the tony Petionville Golf Club.

Ben Krause, director of Sean Penn's aid agency J/P HRO, said the number of people living there has dwindled from a high of 60,000 to 20,000.

The focus, he said, has shifted from emergency care for the people in the camp to relocating them. The agency has been helping uncover a buried neighborhood nearby.

"What we've done in the past year is we've transitioned all our services from the camp into the neighborhood," he said. "So for right now all of our medical clinics, they're operating in the neighborhood. They're close enough to camp that the people in the camp can access them, but really they're community clinics at this point."

Trapped in Haiti: A return to site of catastrophe

It's not just about providing services but also how to make the best use of money.

Dumornay said Haitians are demanding transparency in a land enveloped by corruption.

Again, Martelly acknowledged it will be "very difficult."

"I believe the real devil in Haiti can only stop when we change our mentality, our way of doing things," he said.

After the earthquake, Haiti became a darling of the international community. Nations pledged money and policymakers vowed that out of tragedy would come a new beginning.

But two years on, Haitians are asking: Where did all that money go?

A key issue has been the disbursal of the foreign aid that was pledged for reconstruction.

The United Nations said this week that almost 53% of the $4.5 billion the international community pledged for reconstruction in 2010 and 2011 had been disbursed.

However, the Center for Economic and Policy Research said its analysis showed that only 10% of the funds disbursed by the Haiti Reconstruction Fund, which the center said received nearly 20% of all donor pledges, have been spent on the ground.

According to the Washington-based research organization, the "Interim Haiti Recovery Commission has approved over $3 billion in projects, yet most have not even begun. And only 2.4% of U.S. government contracts went directly to Haitian firms, while USAID relied on Washington area contractors for more than 90% of their contracts."

Buried alive together, survivors reunite for first time

Oxfam International, one of many international charities working in Haiti, said progress is at a "snail's pace."

"With a new government in place and billions of aid dollars pledged, Haitians are left asking why there has not been more progress in rebuilding the country," said Oxfam's country director in Haiti, Cecilia Millan.

"The second anniversary of the devastating earthquake must be a call to action," she said.

"Despite the apparent slowness of reconstruction, this remains an opportunity for HaitiÂ´s political and economic elite to address the chronic poverty and inequality that has plagued the country since independence."

Leocal got tired of waiting for aid agencies to help her.

It's difficult, she said, to live like this. Without hard walls. Without much of anything. But she thought she might as well return to the slopes of Canape Vert, dotted with crumbled structures and vacant spots. At least it was home.

CNN's Anderson Cooper, Charlie Moore, Neil Hallsworth and Edvige Jean-Francois contributed to this report.

@highlight

Fabiola Leocal lost her home and husband in the 2010 earthquake

@highlight

She is now living in the remnants of her home

@highlight

But about half a million Haitians are still in camps

@highlight

The country's new president acknowledges recovery will take time