DNA tests have confirmed that human remains found buried beneath an English car park are those of the country's King Richard III.

British scientists announced Monday they are convinced "beyond reasonable doubt" that a skeleton found during an archaeological dig in Leicester, central England, last August is that of the former king, who was killed at the Battle of Bosworth Field in 1485.

Mitochondrial DNA extracted from the bones was matched to Michael Ibsen, a Canadian cabinetmaker and direct descendant of Richard III's sister, Anne of York, and a second distant relative, who wishes to remain anonymous.

Experts say other evidence -- including battle wounds and signs of scoliosis, or curvature of the spine -- found during the search and the more than four months of tests since strongly support the DNA findings -- and suggest that history's view of the king as a hunchbacked villain may have to be rewritten.

Ibsen said he reacted with "stunned silence" when told the closely-guarded results. "I never thought I'd be a match, and certainly not that it would be so close, but the results look like a carbon copy," he told reporters.

The skeleton was discovered buried among the remains of what was once the city's Greyfriars friary. After centuries of demolition and rebuilding work, the grave's exact location had been lost to history, and there were even reports that the defeated monarch's body had been dug up and thrown into a nearby river.

Read more: Richard III: The king and the car park?

The remains will be reburied in Leicester Cathedral, close to the site of his original grave, once the full analysis of the bones is completed.

Richard III's body was found in a roughly-hewn grave, which experts say was too small for the body, forcing it to be squeezed in to an unusual position.

Its feet had been lost at some point in the intervening five centuries, but the rest of the bones were in good condition, which archaeologists and historians say was incredibly lucky, given how close later building work came to them -- brick foundations ran alongside part of the trench, within inches of the body.

What was initially thought to be a barbed arrowhead found among the dead king's vertebrae turned out instead to be a Roman nail, disturbed from an earlier level of excavation.

Archaeologists say their examination of the skeleton shows Richard met a violent death: They found evidence of 10 wounds -- eight to the head and two to the body -- which they believe were inflicted at or around the time of death.

Read more: Back from the grave, King Richard III gets rehab

"The skull was in good condition, although fragile, and was able to give us detailed information," said bioarchaeologist Jo Appleby, who led the exhumation of the remains last year.

The king had suffered two severe blows to the head, either of which would have been fatal, according to Appleby. The injuries suggest that he had lost his helmet in the course of his last bloody battle.

Appleby said there were also signs that Richard's corpse was mistreated after his death, with evidence of several "humiliation injuries," which fitted in with historical records of the body being displayed, naked, in Leicester before being laid to rest.

Richard Buckley, the lead archaeologist on the project said the unusual position of the skeleton's arms and hands suggested he may have been buried with his hands tied.

Investigators from the University of Leicester had been examining the remains for months.

Others got their first glimpse of the battle-scarred skull that may have once worn the English crown early Monday when the university released a photograph ahead of its announcement.

Read more: Will Richard III discovery rewrite history?

Turi King, who carried out the DNA analysis, said it was a "real relief" when the results came through.

"I went really quiet. I was seeing all these matches coming back, thinking, 'That's a match, and that's a match, and that's a match.' At that point I did a little dance around the lab."

King pointed out that "in a generation's time, the DNA match would not have been possible, since both individuals used in the tests are the last of their line," a fact echoed by Ibsen, who told CNN before the results came through that "they caught us just in time."

The initial discovery of the remains provoked much debate in Britain as to what would happen with the body, if it were proven to be that of Richard III, with many calling for a state funeral at Westminster Abbey, and others backing a burial in York Minster, in keeping with the king's heritage as a member of the House of York.

Opinion: Richard still the criminal king

But on Monday those involved in the search said he would be reinterred in Leicester Cathedral, the closest church to the original grave site in a memorial service expected to be held early next year.

Canon Chancellor David Monteith said it was important to remember that as well as being the subject of important historical and scientific research, the skeleton also represented "the mortal remains of a person, an annointed Christian king," and as such should be treated with dignity.

Supporters of the infamous king, including members of the Richard III Society, hope the discovery will now force academics to re-examine history, which they say has been tainted by exaggerations and false claims about Richard III since the Tudor era.

Screenwriter Philippa Langley, who championed the search for several years, told CNN she wanted "the establishment to look again at his story," saying she wanted to uncover the truth about "the real Richard, before the Tudor writers got to him."

"This has been an extraordinary journey of discovery," Langley said. "We came with a dream and today that dream has been realized. This is an historic moment that will rewrite the history books."

@highlight

DNA evidence says remains found under parking lot are those of Richard III

@highlight

Archaeologists found the body of a man buried beneath a car park in Leicester last year

@highlight

DNA tests confirm "beyond reasonable doubt" the identity of the bones

@highlight

Supporters of Richard III hope the discovery will mean history has to be rewritten