(CNN) -- Yemen is tightening security at all of its airports in the aftermath of a plot to send bombs from Yemen to the United States, the country's National Civil Aviation Security Committee said Monday.

"Every piece of cargo and luggage will go through extensive searching" at all of its airports, the agency said.

Cargo companies such as DHL, FedEx and UPS will be required to make more stringent checks before accepting any packages, according to the committee.

Other countries also put restrictions in place Monday in reaction to the security concern.

Germany banned all incoming flights from Yemen, air traffic control officials said.

And in the United Kingdom, Home Secretary Theresa May told Parliament that all passenger and cargo flights, as well as all flights holding unaccompanied freight from Yemen and Somalia, will be banned for a month, at which time the measure will be reviewed. Somalia was included in the ban because of the possibility of contact between al Qaeda in Yemen and terrorist groups there.

Britain banned passengers from carrying toner cartridges larger than 500 grams in hand baggage on flights departing the country.

South Korea is stepping up security ahead of a summit of world leaders next week, it announced Monday.

Incheon International Airport will inspect all air cargo coming from destinations on the list of nations that sponsor terrorism, South Korean customs said Monday.

The FBI has dispatched teams of explosive experts to the United Kingdom and United Arab Emirates to help examine the explosives found late last week, a federal law enforcement official said.

The parcel companies also remained on alert.

FedEx, for instance, is not transporting or accepting any parcels originating from Yemen, spokesman Jim McCluskey said. The company continues to work with U.S. authorities to assure that the highest safety levels are met, he said. It also is working to clear packages that have been held since Friday.

An embargo on shipments from Yemen, which was set to expire Monday, was extended through November 8, a U.S. Transportation Security Administration official said.

A senior Yemeni government official, who spoke on the condition of anonymity because he was not authorized to speak to the media, said the decisions to cancel flights and shipments out of Yemen will be interpreted as a "collective punishment" against the country.

The Yemeni public will see it as a collective punishment for unclear gains, the official said. Nobody benefits from this except al Qaeda, he added.

Meanwhile, Yemeni authorities are intensifying operations to capture militant cleric Anwar al-Awlaki and to capture or kill al Qaeda bomb maker Ibrahim Hasan al-Asiri, the senior official said.

Investigators in Yemen strongly suspect that al-Asiri, al Qaeda's top bomb maker in the region, is behind the explosive devices sent in the parcels, he said.

U.S. authorities are also looking at al-Asiri because the parcel bombs used the same explosive, PETN, as last year's foiled underwear bomber, also linked to him.

Authorities, however, have not divulged details about the purported links between al-Asiri and the explosives.

Yemen needs "a lot of help" to fight al Qaeda, an aide to the country's prime minister said Monday.

"Al Qaeda has got a global sort of agenda, so you need global collaboration and regional collaboration," Mohammed Qubaty said.

"We need a lot of help as regards security information, logistics," and new ways to confront them, he said, even as he emphasized that Yemen does not want foreign troops on its soil.

"We have got our security and our armed forces on the ground there," he said, saying the country does not want to become another Iraq, presumably referring to the 2003 U.S. invasion.

The U.S. military commander credited with helping reduce violence in Iraq said Washington had been concerned about Yemen for some time.

"When I was the commander in Iraq, we already saw the problems starting to loom in Yemen," Gen. David Petraeus said.

He said that when he was in charge of all U.S. military forces in the region, "We did focus a great deal of additional attention on helping our Yemeni partners there, and the events of recent days have shown why that was valid."

On Friday, authorities in the United Arab Emirates and Britain found two packages with explosives that were destined for synagogues in Chicago, Illinois.

The explosive found in the United Arab Emirates may have traveled on passenger planes to get there, airline officials said Sunday.

Both explosives appear to have been designed to detonate on their own, without someone having to set them off, the top White House counterterrorism official said.

"It is my understanding that these devices did not need somebody to detonate them," said John Brennan, President Barack Obama's assistant for homeland security and counterterrorism.

U.S. investigators believe that bomb maker al-Asiri, 28, is linked to that package and another one found on an airplane in Britain's East Midlands Airport on Friday, a federal official, who was briefed by authorities, said Sunday.

Al-Asiri, who is thought to be in Yemen, is a Saudi who was high on Saudi Arabia's list of most wanted published in February 2009. He is also believed to be the bomber who designed last year's attempt to blow up an airliner on December 25.

"The thinking is it's the same person or group of people that built the underwear bomb because of the way it's put together," said a U.S. government official, who had been briefed by multiple U.S. authorities and law enforcement sources. "But this one is about four times as powerful."

Separately, an engineering student arrested in Yemen was released Sunday, along with her mother, according to her father, Mohammed Al-Samawi.

Human rights attorney Abdul-Rahman Barman earlier identified her as Hanan Al-Samawi, a fifth-year student at Sanaa University in the Yemeni capital.

A high-level source in the United Arab Emirates said Hanan Al-Samawi's name was found on the cargo manifest of the device found in Dubai.

She said Monday that she was not guilty.

"I am totally innocent, and there is no proof against me, and that's why I have been released," she said.

Authorities do not have any American suspects, a U.S. official said.

Two schools in Yemen were being looked at in connection with the plot and had been on the radar of U.S. officials, the official said.

The explosive device found in Dubai, United Arab Emirates, was contained in a Hewlett-Packard printer and had a motherboard originating from a mobile phone but did not have a SIM card in it, the high-level source said.

The device was professionally assembled, the source said. The motherboard was connected by a striker to the printer head and then to the cartridge, which was filled with explosives.

Authorities have the serial number of the motherboard and the printer, and they are searching to see where it was sold, how it was paid for and what information they can glean about the people who performed those transactions, according to the source.

Authorities believe an explosive device found at the East Midlands airport flew from Yemen to a Persian Gulf state and then to Cologne, Germany, the official said. The device was then transferred onto a UPS plane.

Investigators are still attempting to retrace the route of the Dubai device, according to the high-level official. Some believe that it went to Doha, Qatar, on Qatar Airways, where it spent the night before traveling to Dubai the following day. However, it does appear the devices flew on commercial passenger planes, the high-level official said.

Screening the devices would have been difficult, since printers normally contain computer parts and wires, according to Richard Quest, CNN's aviation correspondent.

American authorities are now endorsing British Prime Minister David Cameron's position that the explosives were designed to take down an airplane, the official said. However, a U.S. official said Sunday that the United States has not drawn any conclusions on the intent of the bombs and whether they were intended to explode in flight, at the synagogues or somewhere else.

American and British authorities think al Qaeda's branch in Yemen is linked to the plot.

A key figure in the group is al-Awlaki, the American-born Yemeni militant cleric whom U.S. authorities have linked to Fort Hood shooting suspect Maj. Nidal Hasan and the man accused in the Christmas Day bomb attempt.

On Friday, Brennan declined to name al-Awlaki specifically as a suspect.

"Anybody who's associated with al Qaeda in the Arabian Peninsula is a subject of concern," he said.

The U.S. Transportation Security Administration is sending six inspectors to Yemen to help improve cargo security, an official with the agency said Sunday.

"Even before this incident, 100 percent of identified high-risk cargo on inbound passenger planes was being screened," TSA Administrator John S. Pistole said in a statement Sunday, noting that security procedures will evolve based on the latest intelligence information.

Over the past several months, Yemen, which wants to be seen as a committed partner in the fight against terrorism, has launched several offensives against al Qaeda in its country but has not captured al-Awlaki.

CNN's Caroline Faraj, Bharati Naik, Caroline Paterson, Jeanne Meserve, Mohammed Jamjoom, Susan Candiotti, Brian Walker and Carol Cratty contributed to this report.

@highlight

NEW: Embargo on shipments from Yemen extended to November 8

@highlight

Yemeni authorities intensify hunt for militant cleric and bomb maker

@highlight

Germany bans all incoming flights from Yemen

@highlight

United Kingdom also bans flights and the carrying of large printer cartridges