New York (CNN) -- Mayor Michael Bloomberg's administration faced its first public oversight hearing Monday as a part of a probe into what went wrong during last month's blizzard, with administration officials saying they should have declared a snow emergency.

City Council Speaker Christine C. Quinn called the response "unacceptable," as New Yorkers braced for another winter storm that forecasters say could dump six to 12 inches of snow beginning Tuesday night.

She said the holiday blizzard "brought New York to its knees in a way we have never seen before," asking administrators why a state of emergency was never called.

Deputy Mayor of Operations Stephen Goldsmith said the decision not to call an emergency was based on its requirement to remove unchained cars from roadways, which could have created confusion among the thousands of drivers who would have been forced to look for parking.

It was a move, he said, that later proved to be the wrong decision.

Goldsmith -- who is responsible for city agencies that include police, fire and sanitation -- identified several issues that led to the slow response.

He said New York had insufficient accountability tools, which led to a lack of information on street conditions, and delayed using city snow removal equipment. The city also failed to get and use private resources fast enough, didn't communicate enough with the public and had problems with emergency communications, he said.

Goldsmith also added that only half the city's sanitation trucks were equipped with radios, making it hard for them to respond to changing weather conditions as snow began falling at up to 2 inches per hour.

Sanitation Commissioner John Doherty called it the "most difficult storm" he had ever faced, blaming the coincidence of the holiday travel season that brought higher numbers of weekend travelers.

But Councilman Peter Vallone said the administration failed in the planning stages, including carrying out adequate pre-salting of roadways, plus what he called its failure to communicate the seriousness of the blizzard to the public.

Bloomberg came under intense criticism after telling New Yorkers to go to a Broadway show, seemingly downplaying the gravity of the crisis, during the height of clean-up operations.

He later reorganized the Sanitation Department and rolled out a series of measures and pilot programs meant to improve city response during future storms.

Goldsmith said the administration planned to outfit every sanitation truck with global positioning systems and other monitoring measures, including "scout teams," meant to send up-to-date information back to City Hall.

However, Vallone said equipment problems "may explain missing a few blocks," but does not explain "missing a few boroughs."

As the city grappled with one of the largest storms in its history, some neighborhoods in the city's outer boroughs remained snowbound for days.

The snow hampered morning commuters, delayed first responders and even prevented aircraft service personnel from reaching airports where 29 international flights were stuck on the tarmac for more than three hours, officials said.

Thousand of emergency calls to 911 dispatchers remained backlogged, prompting the mayor to urge residents not to dial 911 unless it was a life-threatening emergency.

Hundreds of city buses and ambulances remained stuck, prompting officials to ask the states of New York and New Jersey for ambulance loans to help reduce the backlog of emergency services requests.

In one instance, a newborn died in Brooklyn after the mother waited nine hours for emergency responders, according to New York Fire Department spokesman Steve Rittea.

"Why did we not err on the side of caution (in declaring a state of emergency) when lives were at stake?" asked Sanitation Committee Chairwoman Letitia James during Monday's hearing.

Goldsmith said the city needed a broader range of options in an emergency declaration, including one that would not require car removal.

Sanitation union representatives, who have defended workers against accusations of an intentional slowdown amid rumors of a supervisor retaliation for budget cuts and demotions, did not speak during Monday's hearing.

Department of Investigations Commissioner Rose Gill Hearn said she is conducting an independent review into the allegations.

But the rumors that appeared to reflect an inner-city squabble have also raised deeper questions into how state deficits could affect public-sector services, and vice versa.

During last month's blizzard, an army of private contractors joined thousands of public sector employees in New York, working overtime to salt, plow and shovel the city's five boroughs.

New York hired 86 private firms to bolster snow removal efforts, Doherty said, at a price tag that remains unclear.

The snow also strained budgets across the region, forcing neighboring state administrators to face the added costs of more winter weather.

In the week that left many New Yorkers stranded, Mayor Bloomberg called snow removal a top priority while also reminding residents of a state deficit "that's going to filter down to us."

New York state's $9 billion budget gap for fiscal 2012 is inherited by newly appointed Gov. Andrew Cuomo. But it could be just the beginning.

The state's budget gap looms in the $14 billion range for fiscal 2013, according to the National Conference of State Legislatures.

And New York is not alone. Neighboring New Jersey has similar problems, with projected budget gaps of $10.5 billion for the next fiscal year, according to the Conference of State Legislatures.

New Jersey Gov. Chris Christie's budget presentation is due February 22. Cuomo's is due on February 1.

And with another winter storm expected Tuesday, state and municipal governments are again expected to reach into the public coffers.

@highlight

NEW: NYC hired 86 private firms to bolster snow removal at a price that remains unclear

@highlight

NEW: Winter weather could continue to strain state and municipal budgets

@highlight

Forecasters say another storm could dump 6 to 12 inches of snow beginning Tuesday night

@highlight

Deputy Mayor Goldsmith said the city didn't communicate well, respond fast enough