Washington (CNN) -- The Pentagon has taken the first steps toward repealing the military's controversial "don't ask, don't tell" policy regarding gay and lesbian service members, Defense Secretary Robert Gates said Tuesday.

Laying the groundwork for a repeal of the policy will take more than a year, Gates said. In the interim, however, the Defense Department will start enforcing the policy "in a fairer manner," he told members of the Senate Armed Services Committee.

President Obama called for a repeal of the policy during last week's State of the Union address.

Joint Chiefs of Staff Chairman Adm. Mike Mullen also endorsed a repeal Tuesday, telling the committee it is his "personal belief" that "allowing gays and lesbians to serve openly [in the military] would be the right thing to do."

"For me, personally, it comes down to integrity," he said.

"The question before us is not whether the military prepares to make this change, but how we best prepare for it," Gates told members of the Senate Armed Services Committee. "We have received our orders from the commander in chief and we are moving out accordingly."

But the ultimate decision on whether to repeal the policy, he acknowledged, rests with Congress.

The "don't ask, don't tell" policy, enacted under President Clinton in 1993, bars openly gay, lesbian and bisexual individuals from serving in the U.S. military, but prevents the military from asking a service member's sexual orientation. It has been a political lightning rod since its implementation.

"I am mindful ... that attitudes towards homosexuality may have changed considerably -- both in society generally and in the military" since 1993, Gates said.

To prepare the military for what has been a long-anticipated change, Gates said he has already appointed a "high-level" working group to "immediately begin a review of the issues associated with properly implementing a repeal."

"The mandate of this working group is to thoroughly, objectively and methodically examine all aspects of this question and produce its finding and recommendations in the form of an implementation plan by the end of this calendar year," Gates told the committee members.

"A guiding principle of our efforts will be to minimize disruption and polarization within the ranks, with special attention paid to those serving on the front lines."

The working group will be led by Department of Defense General Counsel Jeh Johnson and Gen. Carter Ham, commander of U.S. Army Europe, Gates said.

The group will "reach out to the [military] ... to authoritatively understand their views and attitudes about the impacts of repeal," he added.

"I expect that the same sharp divisions that characterize the debate over these issues outside of the military will quickly seek to find their way into this process."

Gates noted that the Pentagon will ask the RAND Corporation to update a study it conducted in 1993 on the impact of allowing homosexuals to serve openly in the military.

He also said he has directed the Defense Department to "quickly review the regulations used to implement" the law and, within 45 days, present possible changes that will allow for more humane enforcement.

The secretary acknowledged the impatience many political observers and activists may have with the timetable for a repeal.

"I expect that our approach may cause some to wonder why it will take the better part of the year to accomplish this task," he said.

"We looked at a variety of options, but when you take into account the overriding imperative -- to get this right and minimize disruption to a force that is actively fighting two wars and working through the stress of almost a decade of combat -- then it is clear to us that we must proceed in a manner that allows for the thorough examination of all issues."

In a CNN/Opinion Research Corporation poll in April 2009, 48 percent of Americans favored maintaining the "don't ask, don't tell" policy. Thirty-seven percent opposed the policy because they believed it treated homosexuals too harshly, while another 8 percent opposed it because they believed it treated homosexuals too leniently.

"'Don't ask, don't tell' to many people, including myself, seemed so reasonable," Alex Nicholson, a former Army intelligence officer discharged for being gay, told CNN's "American Morning."

"I knew I was gay going in, and I knew about 'don't ask, don't tell,' but you know, 'don't ask, don't tell' as a sound bite sounds very reasonable. It sounds like nobody will inquire as to your sexual orientation -- as long as you don't throw it in anyone's face, you won't have a problem.

"But after I got in, I realized that 'don't ask, don't tell' was much more all-inclusive and all-encompassing," said Nicholson, who now is the executive director of Servicemembers United, an advocacy group that opposes the policy. "It was more like 'don't ask, don't tell, don't happen to be found out any time, any place, in any way.' "

After about a year, Nicholson said his sexual orientation was found out within his unit. "That information spread, and then the command was forced into a corner in which they had to discharge me," he said.

Watch Nicholson talk about his experience

Since the policy was implemented, more than 13,500 service members have been discharged, according to Rep. Jim Moran, D-Virginia. In 2009, there were 428 discharges under the policy -- the lowest rate of discharge since implementation of the policy, he said. The highest year was 2001, with 1,227 discharges, he said.

"This shows that during wartime, DADT is not being pursued aggressively because one's orientation has nothing to do with their ability to fight," Moran said in a written statement Monday.

Defense officials have said privately that the will to enforce the law is declining.

Another military official familiar with the discussion said some of the issues to be considered by the military include the cost of implementing a new policy, benefits for gay spouses, potential hate crimes, and even logistical questions such as the possible need to renovate barracks to separate straight and gay troops.

According to the official, separate housing or showers were not considered serious possibilities, but would be discussed in order to be ruled out.

Nicholson acknowledged there are legitimate concerns, but said some of the issues raised, such as showers and housing, are merely delaying tactics used to mask "reasons that people really don't want to see this happen."

At least one member of the Joint Chiefs of Staff  -- Gen. James Conway, commandant of the Marine Corps -- has expressed reservations in the past about repealing the law.

"Our Marines are currently engaged in two fights, and our focus should not be drawn away from those priorities," Conway said in November through a spokesman.

Watch how Joint Chiefs are dealing with the change

Most of the committee's Republicans strongly criticized a potential repeal Tuesday.

"Elections have consequences," said Mississippi GOP Sen. Roger Wicker, referencing Obama's promise to end the policy. But "we'll have a debate about this."

Sen. John McCain, R-Arizona, a former Navy pilot, said one of the keys to U.S. military power is "good order and unit cohesion, and ... any practice which puts those goals at unacceptable risk can be restricted."

McCain argued that while "don't ask, don't tell" has not been perfect, it has been effective.

"It has helped to balance a potentially disruptive tension between the desires of a minority and the broader interests of our all-volunteer force," he said. "It is well understood and predominantly supported by our fighting men and women. It reflects, as I understand them, the preferences of our uniformed services ... while still allowing gay and lesbian Americans to serve their country in uniform."

But other military veterans support the change. Retired Gen. John Shalikashvili, former chairman of the Joint Chiefs, said it is time to repeal the law.

"As a nation built on the [principle] of equality, we should recognize and welcome change that will build a stronger, more cohesive military," Shalikashvili wrote in a letter to Sen. Kirsten Gillibrand, D-New York, who supports repealing the policy.

Michael O'Hanlon of the Brookings Institute said the real test will be in the barracks, with the rank-and-file members of the military.

"We can talk about this delicately or we can just be fairly direct," O'Hanlon said. "There are a lot of 18-year-old, old-fashioned, testosterone-laden men in the military who are tough guys. They're often politically old-fashioned or conservative; they are not necessarily at the vanguard, in many cases, of accepting alternative forms of lifestyle."

Nicholson predicted the matter will become a "non-issue," saying his organization knows of gays serving openly in the military now.

Asked whether he would return to the military if the policy is repealed, Nicholson said he would not hesitate and that he has wanted to return since his discharge in 2002.

"I speak five languages, including Arabic," he said. "There's nothing more that I'd love than to go back right now."

CNN's Barbara Starr contributed to this report.

@highlight

NEW: Most Republicans on Senate panel oppose repeal of "don't ask, don't tell"

@highlight

Joint Chiefs boss says letting gays and lesbians serve openly is "right thing to do"

@highlight

Defense secreatry: As change is phased in, enforcement of policy to be "fairer"

@highlight

Implementation plan for ending the old policy due by end of year, says Robert Gates