Washington (CNN) -- The so-called "lame duck" session of the Democratic Congress convened Monday, with members preparing to make decisions on a host of contentious issues that could have major political ramifications for both President Barack Obama and the incoming Republican House majority.

Newly elected House members, meanwhile, were given a daylong orientation on the rules and procedures governing life on Capitol Hill. They are set to take office in January.

In the Senate, two new members -- Delaware's Chris Coons and West Virginia's Joe Manchin -- were sworn in by Vice President Joe Biden.  Coons and Manchin are both Democrats; their addition to the Senate did not change the chamber's 59-41 Democratic edge for the lame duck session.  Senate Democrats will have a smaller 53 to 47 majority next year.

Manchin was elected to fill the final two years of the late Sen. Robert Byrd's term.  Coons will serve the final four years of Biden's term.

One of the first challenges for the House is the selection of its new leadership.  Republicans are expected to tap Ohio Rep. John Boehner and Virginia Rep. Eric Cantor as speaker and majority leader, respectively.  Democrats appear ready to tap current House Speaker Nancy Pelosi of California as the new minority leader, while also keeping Maryland Rep. Steny Hoyer and South Carolina Rep. Jim Clyburn in the leadership.

But North Carolina Rep. Heath Shuler, a more conservative Democrat, appears ready to challenge Pelosi if she doesn't step down.

GOP senators face a tough vote Tuesday on whether to ban earmarks, a policy House Republicans already have in place and are expected to keep in the new Congress.  The idea of prohibiting members from designating funding for specific projects in their states or districts is popular with reform-minded deficit hawks but opposed by congressional veterans trying to steer funds to constituencies back home.

Senate Minority Leader Mitch McConnell, R-Kentucky, a longtime defender of earmarks, announced Monday that he intends to vote for the ban when the GOP Senate caucus meets Tuesday.

"I'm not wild about turning over more spending authority to the executive branch, but I have come to share the view of most Americans that our nation is at a crossroads," McConnell said on the Senate floor.  The "only way we will be able to turn the corner and save our future is if elected leaders like me make the kinds of difficult decisions voters are clearly asking us to make."

Obama responded with a statement welcoming McConnell's "decision to join me and members of both parties who support cracking down on wasteful earmark spending, which we can't afford during these tough economic times."

But, the president added, "we can't stop with earmarks as they represent only part of the problem."

Obama may weigh in more on Thursday, when he is scheduled to meet with the bipartisan congressional leadership at the White House.

At the top of the agenda: whether to extend the Bush tax cuts for families making more than $250,000.  Republicans contend that failure to extend the cuts for everyone would be a mistake in a weak economy.   Obama considers such a move a roughly $700 billion budget-busting mistake, but recently suggested he's willing to compromise.

If Congress fails to act, all the cuts will expire at the end of the year.

In addition to the tax cuts, the lame duck Congress also has to consider expiring cuts in the estate tax.  If Congress fails to act, the estate tax rate -- currently zero -- will return to 55 percent on assets over $1 million.  One bipartisan Senate proposal would cap the tax at 35 percent on assets over $3.5 million, but serious negotiations have not begun, according to aides from both parties.

Congress must also decide what to do about a bill that is keeping the government running but is set to expire December 3.  House Republicans want a nearly yearlong extension, but with funding cut to 2008 levels.  Democrats are resisting, though some Democratic senators appear to be open to some reductions.

Also on the agenda: a possible repeal of the military's "don't ask, don't tell" policy barring gays and lesbians from serving openly in the armed forces.  The repeal is attached to an annual defense authorization bill.  There is still significant opposition in the Republican caucus to lifting the ban, raising doubt about whether the defense bill will come up for a final vote this year.

The Senate must also take up ratification of the nuclear arms reduction treaty with Russia, a long-stalled food safety measure, an extension of unemployment benefits for the long-term jobless and funding for the settlement of a discrimination suit by black farmers.

At the same time, House Democrats are pushing a measure to give Social Security recipients a $250 payment to make up for not getting a cost-of- living adjustment this year because inflation is low.  They're also trying to pass a child nutrition bill backed by first lady Michelle Obama and the Dream Act, which would create a path to citizenship for young illegal immigrants if they attend college or serve in the military.

Congress is also slated to consider adjustments to the Alternative Minimum Tax and another extension of the so-called "doc-fix," preventing reimbursement cuts to doctors treating Medicare patients.

Hanging over all the deliberations of the lame duck session: the enormous pressure to cut spending being brought to bear by the incoming conservative group of congressmen.

"I'm certainly going to come up here and do the things that the people elected me to do, and that is get this out of control spending under control," Missouri GOP Rep.-elect Billy Long told CNN.  "We're going to be in bad, bad trouble if we don't get some of this under control, and I'm not afraid to make the tough votes."

Steve Southerland, a newly elected Florida Republican, also repeated the campaign mantra of pushing for a smaller government.

"As the federal government has expanded, small businesses and communities around this country have constricted," he said.  "And that's not a trend that I think should continue."

CNN's Alan Silverleib, Dana Bash, Ted Barrett, Deirdre Walsh and Paul Steinhauser contributed to this report

@highlight

The lame duck session of Congress began Monday

@highlight

Congress must tackle multiple controversial issues before the end of the year

@highlight

Senate Minority Leader Mitch McConnell announces his intention to back an earmark ban

@highlight

Newly elected House members reiterate their intention to push for smaller government