Port-au-Prince, Haiti (CNN)  -- How do you count six days when you can see neither sun nor stars?

Buried under a crumbled building, Falone Maxi marked time by the roar of tractors and bulldozers, by the sound of voices.

"There's nobody alive in there," she heard them say.

When there was silence, she believed it to be night. But Maxi, a deeply spiritual young woman, chanted the Lord's Prayer until she was discovered by Peruvian and Nicaraguan rescuers and pulled out of the rubble of Port-au-Prince's GOC University on January 18.

"I always knew I would keep breathing. I knew I would live," she said. But the miracle of rescue was only the first hurdle.

Sixteen days later, she is struggling to navigate life anew. She bears physical scars as proof of her ordeal. A bandage on her left shoulder. A fractured hipbone. Cuts and scrapes cover her head and arms. It's harder to detect the inner damage of a young woman who gave her all to endure.

Full coverage of Haiti earthquake, aftermath

That fateful day

In early January, Maxi was busy studying for final exams. She hadn't exactly wanted to pursue business administration. Since childhood, her dream was to become a nurse. But somehow, nursing school deadlines passed her by, and Maxi enrolled in a business program at the Groupe Olivier and Collaborateur University, known as GOC.

The private college wasn't cheap -- $1,000 a year. But her brother took her under his wing, paid her tuition, even gave her a place to stay at his house.

On that Tuesday, the house was empty by midmorning. Everyone had somewhere else to be. The normally bookish Maxi just wasn't in the mood for class. She might have even skipped except that her tuition was due.

She reluctantly showered and put on the gray collared shirt she always wore to school with a pair of black jeans and sandals. She didn't wear much makeup -- just some powder and eyeliner, though she fussed over her hair and nails. She liked to get a manicure every five days with a fresh coat of baby pink on her toes.

She wasn't hungry, but the housekeeper forced food on her plate. Rice, bean sauce, vegetables. She despised vegetables.

She walked down to the bus stop and waited almost an hour before one carried her to Nazon in central Port-au-Prince. By the time, she reached the university, it was almost 3 p.m.

She ran her errands and settled into class on the sixth floor with 20 other students. On this day, she took a seat by the door, though usually, she sat farther inside.

The earthquake struck just minutes into the class. The building began to rumble and sway. Maxi thought shoddy construction was causing it to fall. A school in Port-au-Prince had collapsed that way recently. Everyone fled out the door.

Maxi raced toward the stairwell, one sandal flying off her foot. A storm of dust rose before her. A block of cement struck her neck, and she fell on her back. Someone fell on top of her. It was Mica, a fellow GOC student.

Mica's leg was broken, her foot crushed. Maxi felt blood on her own head. The two women lay conjoined like Siamese twins, unable to move, trapped under layers of pancaked concrete, mortar and metal.

'We're alive'

There was no signal on Maxi's cell phone, but with the LCD light, she could see the cuts and bruises on Mica's face. She knew she probably looked the same. Above her, she could see the feet of the dead. Soon the rats would come to gnaw on fresh human flesh.

The two women maneuvered themselves so they were not smothered by concrete. They curled up together, Maxi's legs bent over her chest to allow for breathing room.

They took turns sleeping to keep their energy up. The other would stay awake and call out to the outside world. "We're alive."

She could see the levels of the building underneath her. Occasionally, the earth trembled again, and more chunks came crashing down.

When the phone finally gave out, Maxi's world went dark. She tore a page from a notebook and stuffed it up her nostrils. It wasn't enough to cover the wretched smell of human decay.

As the days passed, Maxi thirsted for water. She used her hand to collect her urine and wetted her cracked lips.

Search for the missing, found

Sister keeps vigil

Outside, Maxi's half sister, Carline Joaceus, kept vigil. The former model and waitress was fond of her. The two had talked about Maxi also pursuing modeling as a career. Nearly 5-foot-7, Maxi was tall enough but too shy, too reserved to display herself in public. It was to Joaceus that Maxi came with boyfriend tales and all the tribulations of a 23-year-old.

The day after the quake, Joaceus had frantically run from one makeshift hospital to another in Port-au-Prince, searching for her sister. When she did not find her, she stood every day before the mound of the university building, watching rescue teams dig deeper.

She watched students and teachers come out alive. Joaceus knew her sister's spirit. She knew Maxi was not dead. Nothing would convince her otherwise.

'I'm not dying today'

When she was 14, Maxi's father, a gardener at El Rancho Hotel, was shot dead by fleeing burglars. The man who gave her everything was gone. She learned to jump-start life. Under the rubble, Maxi thought of her father. "Give me strength," she said.

She pointed a finger at God and made a pact. "I'm not dying today."

Maxi wasn't much of a churchgoer -- she often skipped Sunday Mass. But she prayed twice a day, once in the afternoon and once before going to sleep.

"Our Father who art in heaven, hallowed be thy name," Maxi recited with Mica.

"We're going to die," Mica said.

"Don't do this to me. Where is your faith?" Maxi replied.

Maxi held Mica's hand tightly. She rubbed her back to soothe her. She believed God had put them there together for a reason. They were going to be one another's salvation.

There were so many things Maxi wanted to do still. To gaze upon the pristine waters of the Caribbean at Wahoo Beach. The hues of turquoise and blue had mesmerized her when she went there a year ago with her brothers and sisters.

She wanted to dance again, play tennis on her Wii. And hear Celine Dion's mellifluous voice.

Saved

On Monday, rescuers finally reached Maxi and her friend. She doesn't remember details of how they were pulled out. Just that she could breathe again and savor the coolness of water trickling down her throat. And she could see her sister, waiting in the distance.

Doctors said she was severely dehydrated and suffered a few fractures. Her blood pressure had dropped to 60/20. CNN staffers on the scene rushed Maxi to a field hospital. She was treated at three different locations before Joaceus was able to take her home four days later.

On that ride, Maxi saw for the first time what the quake had done to her beloved city. Entire blocks collapsed, tens of thousands of people sleeping on the streets. "Why? Why? Why?" she asked God.

She learned she could not go back to her mother's house. There were deep fissures and cracks in the walls. Her family was sleeping under sheets outside a neighbor's house. There, on the rocky dirt, among the chickens, Maxi's mother, Dieusana Joaceus, made her daughter a bed.

Maxi cannot walk or bathe herself, though a doctor who came to see her recently said she might be able to stand within a few weeks.

She eats only puréed food. The vegetable soup she disliked before is her favorite. Her sister massages Vaseline on her cracked skin. And fixes her hair with a pink and blue headband. On the bed is a Harlequin romance novel, though she prefers Nora Roberts or Danielle Steele, and a French-English pocket dictionary.

Maxi said she plans to become a nurse now, as she had always wanted, so she can give to others the same second chance at life. Her mother and sister said their makeshift living quarters have been a saving grace.

Maxi cannot bear to be inside anymore. She wants to leave Haiti because she knows she will never feel safe here. She cannot erase the smell of rotting flesh. She still feels the crush of concrete on her back. She knows there is video footage of her rescue but never wants to see it.

"Everything here reminds me of the earthquake," she said, managing to smile. "I don't need reminders."

She constantly thinks about her time under the rubble and wonders how many of her friends have died. Who survived? She tried to call Mica, but believes she has gone to stay with family in New York.

Maxi plans to find her. She is the only one who can understand.

@highlight

Falone Maxi survives six days buried under fallen university in Port-au-Prince

@highlight

Maxi's half-sister knew the student was not dead, kept believing

@highlight

Maxi cannot bear to be inside anymore and wants to leave Haiti