(CNN) -- Yu Ying Ho sits on the floor of his funeral goods shop surrounded by everything you could possibly want when you're dead.

There are paper versions of mobile telephones, suburban villas, even iPads and seafood platters -- all of them designed to be burned as funeral offerings. The ritual, a mixture of Confucian and Taoist customs, is meant to ease a spirit's passage through the underworld.

Meanwhile, in the land of the living, making provision for the remains of the dead is one of crowded Hong Kong's most contentious issues.

Soaring property prices, full cemeteries and increasingly limited space for cremated remains has given rise to a gray market in private columbaria for storing human ashes -- often in the middle of residential districts and sometimes of dubious legality.

"I don't blame these private operators at all," Yu says from his shop in Hong Kong's Hum Hong district. "People are not going to stop dying and their ashes have to be stored somewhere."

Yu is one of the many operators of funeral goods and services that can often be found within a stone's throw of the city's public mortuaries. Private columbaria operators approached by CNN would not comment for this article.

"The government bears a big responsibility in all of this," says Yu, as he glues beads to the mask of a Lion Dance costume. "It isn't able to provide enough space for people's remains, so how can it complain about the private operators who rise up to meet this need?

"Should people just place ashes out in the street?"

Hong Kong, however, is moving to control the industry.

In September, the government published a list of 57 private operators as part of a name and shame campaign. It contends some are operating on the margins of legality, although it has stopped short of taking direct action against them.

"We have cautioned consumers that they should know what type of columbarium they are buying," says Hong Kong Health Secretary York Chow, whose department has published an A-list of legal operators and a B-list of operators who will need to apply for a government license.

"The government is doing everything it can to regularise the supply of columbaria," he told local media. "At the same time, there are certain areas where we will never be able to accept them, especially those in residential areas."

According to the Hong Kong Census and Statistics Department, 42,200 people died in Hong Kong last year -- an average the department says will only increase over the coming decades as Hong Kong's population ages. What to do with their remains lies at the intersection of Chinese culture, big business and Hong Kong's perennial quest for space.

The conventions of Chinese funerary culture are becoming harder to support in a city of 7 million people where, according to Lands Department figures, just 8% of the land space is useable. Burial, a widespread tradition in China for several thousand years, has waiting times of as long as 56 months for a reused plot in a public burial site, according to government figures.

Long-held traditions of ancestor veneration mean that families often want a place to store ashes. This can cost as much as HK$200,000 (US$25,704) in a private columbarium, but all manner of different deals are on offer depending on the location and the size of the niche. Alternatives such as scattering the ashes are not popular, accounting for just 5% of cremations each year, according to official figures.

The government has canvassed alternatives such as constructing a large central columbarium on an outlying island off Hong Kong, and even flirted with the idea of importing Japanese technology for a mechanized facility. In these complexes, families swipe a smart card and the ashes of the deceased are lifted mechanically from an underground vault to one of 10 viewing areas.

The most pressing factor in the debate, however, is that anything connected with the funeral industry has a massively negative effect on property prices in the vicinity.

"I know someone who rents a 600-square-foot flat in this area for as little as HK$3,000 a month," says Henry Hui, whose pest control business pre-dates many of the funeral shops that have come to the neighborhood over the past 20 years to take advantage of the proximity to one of Hong Kong's largest public mortuaries.

"You tend to get low-income residents here, taking advantage of the cheap rents," he says.

For many Chinese people, urban cemeteries and columbaria carry powerfully negative feng shui -- a Chinese system of beliefs related to living spaces and orientation -- and are regarded as dangerous places that link earth, heaven and the underworld.

Contact with cemeteries and grave sites form part of a highly structured set of rites, with visits generally limited to festivals such as Ching Ming (Grave Sweeping Day) or Chung Yeung when people pay their respects to their ancestors.

While the government earlier this month announced that 40,000 new urn niches would be set up in Hong Kong, new facilities are often resisted by residents whose wealth is tied up with their properties.

Some have engaged lawyers and complaints range from increased traffic problems and noise, to health problems associated with burning joss paper and incense. Others have even cited climate change as a reason for closing down nearby funeral parlors where paper offerings are burned throughout the day.

Hui says the not-in-my-backyard issue in Hong Kong will not be resolved until a solution is found that benefits the government, the residents and the funeral industry.

"These columbaria tend to be run by people with enormous wealth and power. While they are not in the same category as drugs and prostitution, they still operate in a gray area. You need a lot of money to invest in setting up a store," he says, gesturing towards an unassuming office block opposite whose top two floors house urns containing cremated remains.

Competition in the funeral industry is intense and Hong Kong is now losing ground to the nearby gambling enclave of Macau in the urn storage market, Hui says. Alternatives are also appearing in Shenzhen, across the Chinese border, while some are even having their relatives' ashes stored in the Philippines, he added.

For those still operating illegally in Hong Kong, however, the pay-off can be worth the risk.

"For an investment of tens of millions of dollars -- usually to rent, buy and renovate a property -- you can see a return of a billion dollars very quickly," Hui says.

Alexis Lai contributed to this report

@highlight

Hong Kong running out of space for burials and even places to store cremated remains

@highlight

Private columbaria - places where ashes are stored - have sprung up but many are illegal

@highlight

The government is seeking to control the unregulated, but highly lucrative, industry

@highlight

A Chinese culture of ancestor veneration means few are willing to have the ashes of relatives scattered