(CNN)As expected, the radical left party Syriza was the big winner of the Greek elections, coming only two seats short of an absolute majority in parliament. But it's unclear if new Prime Minister Alexis Tsipras will be able to effectively pursue his anti-austerity agenda and renegotiate the terms of the Greek bailout with creditors -- and he will surely need to make a number of concessions to its coalition partners, the Independent Greeks, a right-wing anti-immigration party.

What does this victory mean for Greece and for the debt-ridden countries of southern Europe? For Greece, this is a decisive step in the demise of PASOK and New Democracy, the parties that have been in power for 40 years.

Secondly, it shows the failure of the political strategy pursued by the Troika (the European Central Bank, IMF and European Commission) to implement austerity in southern Europe by relying on centrist parties to form a cartel that is insulated from voters.

Austerity is of course the main culprit for the death of traditional politics in Greece. This is mainly because it has undermined the system of mass party patronage on which the two traditional big parties on the center-left (PASOK) and center-right (New Democracy) have relied on to alternate in power.

READ MORE: What's next for Greece?

For four decades, politicians from both parties built their electoral success on the distribution of political spoils in exchange for votes: public sector jobs (for their affiliated trade unions), infrastructure projects, protection from competitors through licensing and closed shops (for taxi drivers; truck drivers), and social benefits targeted at particular occupations, among other perks and benefits benefiting party supporters.

"Pork barrel politics," as it is known, has long been the cornerstone of Greek politics -- and also one of the causes of the deep economic problems it is facing now.

This immensely costly system was able to survive at the cost of high inflation and currency devaluations (before the euro) or mounting public debt (since Greece's entry into the euro). But when the interest rates on government bonds shot up and debt could no longer be used to finance the spoils system, Greece was taken to the brink of bankruptcy.

When the Troika imposed a drastic program of austerity and liberalization, PASOK and New Democracy were deprived of the very tools they had relied on for so long to stay in power. Turning off the tap of public spending was like slitting their own wrists: voters and their traditional clienteles abandoned them because they had no real ideological program other than running the state.

This problem was particularly brutal for PASOK, which collapsed from nearly 40% support before the crisis to 4% today. This opened up room for new challengers on the left (Syriza) promising a rupture with the old elites, but also on the far right (Golden Dawn).

The victory of Syriza also signals the broader failure of the political strategy that has been employed to implement austerity in the debt-ridden countries of southern Europe -- a strategy best described as "cartel politics".

Cartel politics involves the formation of political alliances between the ruling centrist parties to implement austerity. Just as competing firms sometimes agree to fix prices or production levels, competing political parties agree to put their ideological differences aside to cling to power together in spite of the huge unpopularity of the policies they put in place.

This is essentially what happened in Greece with the PASOK-New Democracy government, but also in Italy with the technocratic cabinet of Mario Monti or the grand coalition of Enrico Letta, which united the center-left Democratic Party and Silvio Berlusconi's right-wing PdL.

In Portugal, another country in dire economic conditions, the socialist minority government of José Socrates also benefited from the informal support of its main center-right counterpart to carry out austerity measures and avoid a bailout (which failed).

In Spain, the nascent rise of the left-wing Podemos party can also be explained by the lack of differentiation of center-left and center-right policies before and after the crisis, even if it never materialized in a de facto coalition.

Forming political cartels is understandable in a context where any party in office is bound to have to pass unpopular policies (spending cuts, tax hikes) imposed by creditors that will cost votes and alienate a sizable share of the electorate.

It is a good way to stay in office in the short term, but it is a terrible way to keep votes in the medium and long term, because no choice is presented to citizens. Whoever they vote for, the policies will be the same, and they will be painful. Abstention and apathy grows and voters become attracted to challengers promising an alternative. As the electoral base of centrist parties shrinks, the only way for them to remain in power is to band together to compensate for the loss of voters, until this electoral base becomes too small to stay in government.

Syriza is the first challenger to break the Greek political cartel. Greece may be a special case because of the extent of its economic collapse, but other movements elsewhere are also looming on the horizon.

In Spain, Podemos has been leading the polls in spite of the fact that it was created less than a year ago. In Italy, Beppe Grillo's 5 Star movement has made a breakthrough in the last European elections. Others will surge if politicians continue to believe that democracy can be put on hold to satisfy markets.

@highlight

Anti-austerity party Syriza claims victory in Greek elections

@highlight

Afonso: Syriza is the first party to break one of southern Europe's political cartels

@highlight

Afonso: Others countries may follow suit if politicians put democracy on hold to satisfy markets