(CNN) -- Hours of TV each day. The internet. Increased travel and mobility.

All these factors expose us to culture and voices on a national rather than local scale. But if you think all this exposure is homogenizing our language, think again. Regional accents are going strong around the United States, bringing with them all kinds of cultural flavor.

If you're one of the many that assume all this media exposure must be homogenizing the American accent, you're not alone. It sounds like a logical hypothesis: The accents heard in the media are far-reaching and pervasive, so local accents must be on the decline as the population is exposed to all this "standardized" speech. But experts say it's a common misconception that has no basis in fact.

"There is zero evidence for television or the other popular media disseminating or influencing sound changes or grammatical innovations," wrote linguist J.K. Chambers in a 2006 essay for PBS. And experts agree that regional accents around the United States are alive and well.

But what effect are these regional accents having on American culture? As part of the CNN iReport cultural census, which examines some of the more intangible characteristics that define the American population, we asked people around the country to read a standard passage aloud so we could evaluate their regional accent. We also asked them to tell us a little about their speech: how they feel about their accent, who influenced it, and how they think others view it.

Some of the strongest opinions came from iReporters with "country" accents: Southern or Western. These accents are among the most stigmatized in the United States, and people who possess them have a wide range of views, from pride to annoyance.

"I hope that when others hear me speak, they hear me, not my western twang," writes iReporter Sarah Beth Boynton, who was raised in Salt Lake City.

Boynton grew up singing with her family and got sick of hearing that she should only sing country music because of her accent.

"I have made a concerted effort to speak with as little 'western twang' in my accent as possible," she revealed.

Meghann Holmes also tries to modulate her accent, but for professional reasons. A native of Kentucky, she says she's proud of her accent and has "great appreciation for regional accents and dialects." But she thinks this pride may not be appropriate for her workplace.

"Because I work in public relations, and because I am aware that some employ a negative image of people with strong 'hillbilly' accents, I tend to modify my speech when I am conducting business," says Holmes, who lives in London, Kentucky.

According to law professor Mari Matsuda, concerns like Holmes' are well-founded. Matsuda, who teaches and writes at the University of Hawaii at Manoa, penned a frequently cited paper called "Voices of America: Accent, Antidiscrimination Law, and a Jurisprudence for the Last Reconstruction" for the Yale Law Journal.

"Sociolinguists have shown that in the area of speech evaluation, we are particularly susceptible to the cultural stereotypes we have absorbed," she writes. "Low-status accents will sound foreign and unintelligible. High-status accents will sound clear and competent."

Or, to put it simply, "there is significant discrimination against regional accents," she said via e-mail.

Matsuda argues that discrimination against both foreign and domestic accents, intentional or unintentional, can hurt people with a "low-status" accent when they're looking for a job. A University of Chicago psychology study from 2010 backs her up: The study found that people who spoke with a foreign accent were seen as less credible than those who spoke with a "standard" American accent.

Still, some Americans wouldn't give up their regional accent for anything. Just ask Sonya Tricie of New Orleans.

"I always hated my accent growing up, often trying to over-enunciate words to prevent sounding like the people around me," she remembers. But her tune changed, literally, when she went through the hellish experience of Hurricane Katrina.

"After Hurricane Katrina, I was horrified when I realized this very cultural and unique thing might be gone forever," Tricie explains. "I moved back home and there is almost no way to describe how happy it makes me when one of my kids says something so local in our accent!"

"I love my accent. It is a part of me," agrees Kenyotta Elijah of Lufkin, Texas. She, too, tried to change her accent for professional reasons when she was younger, and says she's gotten her fair share of jokes from people who have "preconceived notions about southerners, particularly Texans." But now, it's a point of pride.

"I love it when others, especially northerners, hear me talk," she says. "Most of the time, they find my accent cute."

@highlight

Regional accents are alive and well in the United States

@highlight

We asked iReporters to tell us about their accents

@highlight

Some feel having a local accent hurts them professionally

@highlight

Others say they take pride in their accent