Baghdad (CNN) -- Television stations in Baghdad are calling it "Iraq Day," the Saturday deadline for American troops to completely withdraw from the country under a U.S.-Iraqi security pact.

Stations aligned with Sunni and Shiite extremist groups, many of whom attacked U.S. troops, have dubbed it the "Day of Defeating the Occupier" -- others have called it the "Day of Fullfillment" or "Day of Evacuation."

It's a day many Iraqis say they have waited for since the 2003 U.S.-led invasion that toppled Saddam Hussein, even as they admit their country is mired in a political crisis that has raised fears of a return of sectarian violence that nearly tore the country apart at the height of the war.

"Iraq Day, we are all for Iraq," Prime Minister Nuri al-Maliki said in a mass text message sent Saturday morning.

"I congratulate you and our Iraqi nation on this great historic day, my love and respect to you and your families, your brother Nuri al-Maliki."

The celebrations in Iraq come nearly two weeks after the last convoy of U.S. troops crossed into Kuwait, ending an almost nine year war that saw more than 4,400 American military personnel and an estimated 115,000 Iraqis killed.

Under a security agreement signed in 2008, the United States agreed to withdraw its troops by the end of 2011. Negotiations to extend the deadline broke down in October after Baghdad's political leaders refused to grant U.S. troops immunity from Iraqi prosecution, a move that Washington leaders said was unacceptable.

Outside a Sunni mosque in northern Baghdad's Adhamiya district, a place where Sunnis and Shiites once battled one another and American troops, hundreds of men and boys gathered to listen to religious leaders who asked them to vow to preserve Iraq's independence.

One banner read: "This is the start of our spring."

The crowd outside the mosque chanted "American cowards" and "Sunnis and Shiites will remain united in this country no matter what happens."

But these celebrations come amid reports of near daily violence that continues to plague the country and a political crisis that has Iraq's fragile power-sharing government teetering on the brink of collapse.

On Saturday, gunmen attacked a checkpoint manned by anti-al Qaeda fighters in Diyala province. At least six fighters were shot in the town of Khan Ban Saad, southwest of the provincial capital of Baquba, a police spokesman said.

Iraq's Shiite, Sunni and Kurdish political leaders have square off in recent weeks over a warrant issued for the arrest of Vice President Tariq al-Hashimi, who is accused of organizing his security detail into a death squad that targeted government and military officials.

The arrest warrant was issued shortly after al-Hashimi's Sunni-backed Iraqiya party announced it would boycott Parliament, saying al-Maliki was cutting it out of the decision-making process. Al-Hashimi has denied the charges, saying the accusations are politically motivated amid the rivalry between his political bloc and al-Maliki's Shiite majority bloc.

Al-Maliki has demanded that Kurdish lawmakers hand over the Sunni vice president, who has denied the charges and refuses to return to Baghdad from northern Iraq's semi-autonomous Kurdish region.

The situation has been further inflamed this week with a political bloc loyal to radical, anti-American Shiite cleric Muqtada al-Sadr calling for the dissolution of parliament and early elections.

There was little mention of the withdrawal deadline in the United States, where weeks earlier President Barack Obama welcomed home some of the last U.S. troops.

Rather, the focus in Washington has been on pending arms sales to Iraq and concerns about its political stability.

"As you know, our main focus has been in trying to encourage the Iraqi political groups to talk to each other and to create a broad national dialogue about the way forward," Victoria Nuland, a State Department spokeswoman, told reporters Friday.

"With regard to the arms sales, these, as you know, are long planned and they're part of the transition process for the Iraqis to manage their own security within their own resources."

There are questions, though, about the actions of Iraq's security forces.

Human Rights Watch, in recent months, has reported that Iraqi security forces have beaten and detained anti-government demonstrators protesting corruption and demanding more political freedoms.

Udey al-Zaidi, the brother of Iraqi journalist Muntadhar al-Zaidi who threw his shoes at then-President George W. Bush during a 2008 news conference in Baghdad, said Saturday he was detained a day earlier at an anti-American protest.

By telephone from a Baghdad police station, al-Zaidi told CNN that he and a younger brother had been held overnight.

"If I could do it all over again, I would," he said.

Al-Zaidi was among a small group of less than a dozen protesters who gathered Friday to mark "Iraq Day" in Baghdad's Firdous Square -- the place where Saddam's statue was toppled in one of the most iconic moments of the invasion in 2003.

Al-Zaidi said they planned to burn the American flag at 2:15 p.m. -- the exact time he says U.S. troops raised the flag in the square in April of 2003.

Iraqi security forces swarmed the square shortly after the protest began, and ordered the group to disperse because they did not have a permit.

A CNN crew present at the protest was banned from filming despite having a permit to film in Baghdad. An Iraqi TV crew also present had their two cameras confiscated.

When security forces moved to quash the protest, the younger al-Zaidi brother, Dhirgham, standing on the pedestal where Saddam's statue once stood, lit the American flag on fire. Udey al-Zaida, the protest organizer, was then beaten.

A source familiar with the case told CNN a policeman hit al-Zaidi after he "provoked the policeman." The source said commanders at the scene stopped the policeman, but the CNN team, repeatedly asked to leave, saw policemen surrounding al-Zaidi as he was beaten.

The source spoke on condition of anonymity because he was not authorized to release the information.

Both al-Zaidi brothers were held at a Baghdad police station over night, according to the source, because a complaint was filed against them by local police.

The brothers told CNN Saturday that they were eventually released.

CNN's Chelsea J. Carter contributed to this report.

@highlight

Iraqis mark deadline of U.S. troop withdrawal

@highlight

Some call it the "Day of Defeating the Occupier"

@highlight

Negotiations to extend the deadline broke down in October

@highlight

"This is the start of our spring," one banner read at a gathering