(CNN) -- Even though Android is the most popular smartphone platform in the U.S., and even though there were 10 billion Android app downloads as of December 2011, many Android users are frustrated that they're still treated like a second-class app market. That's because "fragmentation" makes it more complicated to develop Android apps that will run on most Android phones.

New research from Localytics claims that Android fragmentation might be becoming less of a issue.

If correct, this could start bringing more popular apps to Android phones faster -- or maybe even first. But the catch is, the Android ecosystem is far more variable than the iPhone landscape. That makes it a bigger long-term risk for app developers.

Many popular consumer apps are still are rolled out first for the iPhone. (Hello, Instagram?) That's because many Android phones are running substantially older versions of Android, which limits which apps they can support. Plus, Android phones come in a dizzying array of sizes, configurations, and capabilities -- compared to a fairly small selection of iPhone models. Also phone manufacturers and wireless carriers tend to customize the Android interface (in "flavors" such as HTC Sense and Motorola Blur).

Localytics provides analytics tools that app developers use to monitor how people use apps. Data gathered from Localytics users during two weeks in January indicate that most Android phones now have "remarkably similar specifications." Localytics notes that this significantly simplifies the job of deploying mass market Android apps.

Nearly three-fourths of Android app usage came from devices running some version of Android 2.3 "Gingerbread." That's not the most recent version of Android (so far 4.0 "Ice Cream Sandwich" runs on only a handful of phones and tablets), but it's robust enough to run the vast majority of Android apps well.

Furthermore, Localytics found that nearly all of the remaining Android phones are running Android 2.2 "Froyo."

"Between the two, Android developers can be confident that they only need to actively target two Android OS builds in order to achieve 96% compatibility with the Android ecosystem," said the report.

Screen size and resolution are also key variables for creating Android apps. According to Localytics, just over 40% of all instances of app usage ("sessions") came from Android devices with 4.3-inch screens. Four-inch screens accounted for a further 22 percent of sessions. And over 60% of Android app sessions came from phones with a screen resolution of 800 x 480 pixels -- such as Samsung's popular Galaxy S series of phones.

What about tablets? According to Localytics, nearly three quarters of all Android tablet usage comes from devices with nearly identical characteristics -- not surprising, since Amazon's new Kindle Fire e-reader tablet is already the second most popular tablet in the world, behind the iPad.

Localytics found that 74% of Android tablet usage takes place on devices with seven-inch screens with 1024 x 600 resolution. Also, 71% of Android tablets are running Gingerbread.

However, ReadWriteWeb observed that the Localytics numbers might be overly optimistic. Also, as more Ice Cream Sandwich-capable devices hit the market this year, fragmentation could become a bigger problem again:

"The best thing we can say about these numbers is that the Android ecosystem is stable... for now. In six months when there is a flood of Ice Cream Sandwich devices on the market, developers will be dealing with the need to support a vast number of Gingerbread devices while also supporting the newest functions in Android 4.0.1."

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Localytics claims that Android fragmentation might be becoming less of a issue

@highlight

Screen size and resolution are also key variables for creating Android apps

@highlight

Nearly three-fourths of Android app usage came from devices running on "Gingerbread"