London (CNN) -- Andrei Filatov, chess expert and Russian billionaire, is turning his hand to a new business: Soviet-era art.

Filatov, a 40-year old professional chess player and businessman, is investing in his love of Soviet Union art by scouting the world for pieces created behind the Iron Curtain.

The Ukrainian-born businessman, valued by Forbes at $1.3 billion and ranked as Russia's 68th richest person, has invested heavily in Russian infrastructure through his co-ownership of N-Trans Group.

But over the last five years, he has spent $100 million collecting Soviet artworks, hoping to gather enough to eventually open a museum.

Filatov's pieces -- including 1951's "A Letter from the Front," by Alexander Laktionov, 1930's "Daisies" by Nicolai Fechin and 1893's "Comrades" by Philip Maliavin -- have been collected from around the world, where they were scattered to gather dust after the fall of the Iron Curtain in 1991.

"When the Soviet Union collapsed, a huge amount of great artworks were taken out of the country to the west and elsewhere," Filatov says. "My task is to buy these artworks and show them to people."

Laktionov is one of the Soviet Union's most famed painters of the so-called socialist realist genre, which was sponsored by the state. He was commissioned by the USSR's communist leader Joseph Stalin to create "A Letter from the Front," a warm depiction of a family receiving news from the front line.

The original piece, painted in 1947, won the Stalin Prize and remains in the Tretyakov State Gallery in Moscow. Filatov's version, painted after Stalin requested a second version of the artwork to show to the world, was found by chance in the Bahamas by his art dealer, Rena Lavery.

Despite being critiqued as propaganda for its representations of life under Stalin's dictatorship, socialist realism has enjoyed a renaissance as those living in former Soviet countries seek artifacts from the previous era.

For Filatov, "A Letter from the Front" reminds him of his grandfather Alexey Pushkar, who died in 1943 as the Soviets fought the Germans in the bloody battles of the Eastern Front. He won't reveal how much the artwork cost but says it is an "emotional painting" that allows him to imagine what it must have been like waiting for news from loved ones during wartime.

Filatov was a student in Minsk when the Soviet Union fell and recalls being stunned by the news that his country didn't exist anymore. It was a "love for the lost motherland," that prompted him to start collecting the era's art.

Filatov says he is "aware of what kind of empire I lived in, that many times this empire, the leaders put the world at risk of world war."

But, he adds, "you can't not recognize the achievements of the Soviet Union. So I believe that the most important thing here is an objective view of the achievements, and the experience of that short and bright empire."

Lavery points to the technical achievements of the artists in fields such as realism and impressionism, despite living under a repressive regime. "The artworks are reflections of the time and that era of a country that doesn't exist any more," she says.

Filatov wants to collect up to 12 new artworks a year, primarily from the period 1917 to 1991, for the Filatov Family Art Fund. He intends to loan the pieces to museums and art galleries, exhibit and promote around the world. Filatov has previously merged his love of chess and art by sponsoring this year's World Chess Championship Match at Moscow's Tretyakov Gallery.

Filatov says he will continue to invest in art as long as his business -- which he built up in the 1990s and now straddles shipping, ports and infrastructure -- allows.

And despite his interest in the past, Filatov says Russians have never "lived more freely or prosperously than today. Never have our people been so free, not only in movement but in political choice."

@highlight

Andrei Filatov, chess expert and Russian billionaire, is turning his hand to a new business

@highlight

He is scouting the world for artworks done during the Soviet Union-era

@highlight

The era's socialist realism genre has been enjoying a renaissance

@highlight

Filatov wants to collect up to 12 new artworks a year and promote them globally