(CNN) -- The distance between the Maidan in downtown Kiev, Ukraine, and the WhatsApp headquarters in downtown Mountain View, California, is 6,139 miles. This quite long distance, however, is bridged by another figure: the number 19.

On February 19, after months of protests in Kiev's center spiraled out of control, a de facto state of emergency took effect in Ukraine, eventually leading to the ouster of President Viktor Yanukovych. In Silicon Valley, February 19 marked a turning point for WhatsApp founder Jan Koum, who signed a $19 billion deal to sell his company to Facebook. For Ukraine, that same $19 billion would be the answer to its short-term bond debt and gas bills.

Though a mere coincidence, the fact that one country's economic lifeline could be equal in cost to the purchase of a mobile messaging app in another exemplifies that the real distance between the Maidan and Mountain View is not geographic.

Before Jan Koum was a billionaire and long before he was a Silicon Valley technology executive, he was Ukrainian. Koum, born in a village outside of Kiev, emigrated from a politically unstable Ukraine as a teenager.

At the turn of the 20th century, my very own Kiev-born great-grandfather made a similar choice. Disillusioned with authoritarianism, he became an anarchist at a time when anarchism was not a meme for punk rockers and skateboarders, but an actual political movement. He eventually made his way to Chicago, where he started a small business.

There are others like my grandfather and Koum in Ukraine.

I've seen first-hand the potential and technological savvy of the Ukrainian people. I was blown away by Enable Talk -- a project from four Ukrainian student developers who created gloves that translate sign language into speech. Enable Talk took home the first prize at the Microsoft Imagine Cup competition in 2012, and Time magazine named it one of the best inventions of the year.

'We were trapped': Eyewitness to the massacre in Kiev

According to the Central and Eastern European Outsourcing Association, Ukraine is the No. 1 outsourcing destination in the region for information-technology services. Tech companies in Silicon Valley, London and Berlin are teeming with Ukrainian engineers -- Ukraine's hackers-for-hire are some of the best in the world.

But such burgeoning innovators, held back by dysfunctional governance in their country, have not been able to enjoy the kind of success that WhatsApp is realizing today.

At the very moment Koum and Mark Zuckerberg were finalizing their deal, female entrepreneurs in Ukraine were preparing for an event called Startup Weekend Kyiv, meant to take place in the capital last weekend. The group's website now reads: "Due to political turmoil this event has been postponed." Mired in corruption, kleptocracy and authoritarianism, Ukraine has not nurtured the Koums of its future.

A long history of scientific and technological excellence shows that Ukraine-born talent usually realizes its full potential after leaving Ukraine's political environment behind. Nearly 100 years ago, Kiev-born Igor Sikorsky immigrated to the United States following the Bolshevik Revolution. He founded the Sikorsky Aircraft Corporation, where he built the first successful helicopter. Seventy years later, Max Levchin's family, also hailing from Kiev, sought political asylum in Chicago. In 1998, Levchin founded a company we all know well -- PayPal.

In Ukraine, the hope is that the days of fleeing political turmoil are coming to an end and that the possibility of new leadership will be a move toward a more functional democracy, less corruption, and more realized potential. But whatever early promise there is in Kiev can quickly be lost if unrest in Crimea spreads. There will be a new wave of emigration out of the Crimea region if it becomes the staging ground of a proxy conflict between Russia and the West.

Whatever happens, for Americans, Koum's Ukrainian roots should also serve as a reminder that we live in a nation of immigrants, that a continual wave of immigration is what fuels our economy.

When Koum and his mother immigrated to Mountain View in 1992, they subsisted on food stamps and welfare. Koum barely graduated from high school and dropped out of college. He taught himself computer networking from used book store manuals and created WhatsApp in 2009. In 20 years, Koum went from food stamps to billionaire, epitomizing the American dream, yet he is exactly the type of immigrant that opponents of immigration reform say they do not want in America.

As our nation continues to tackle the important issue of immigration reform, we need to remember that successful companies are not always founded by the immigrants with a master's degree in hand. Symbolically, Koum signed his $19 billion deal last week at the site where he once stood in line to collect food stamps.

Like WhatsApp, 40% of Fortune 500 companies were founded by immigrants or their children.

In March 2013, Koum tweeted about his adoptive homeland: "WhatsApp Messenger: Made in USA. Land of the free and the home of the brave." Ukraine's new leaders would do well to recognize that it can be home to multibillion-dollar breakouts if it creates a functional environment for its innovators. America would do well to remember that it needs to welcome more families like the Koums if it is going to remain the global center of innovation.

The opinions expressed in this commentary are solely those of Alec Ross.

@highlight

Alec Ross notes that price paid to Ukraine-born Jan Koum equals Ukraine's past due bills

@highlight

He says there's long tradition of entrepreneurial success for Ukraine emigres to U.S.

@highlight

New regime in Ukraine could create an environment of opportunity, he says

@highlight

Ross: U.S. should recognize how vital immigrant entrepreneurs are to its future