From a sheep ranch in Western Australia comes the oldest slice of Earth we know.

Scientists say they have dated an ancient crystal called a zircon to about 4.4 billion years, making it the earliest confirmed piece of the planet's crust. The findings -- the first to describe the zircon -- were published in the journal Nature Geoscience on Sunday.

"This is the oldest and the best dated of all the crystals that have been reported," said John Valley, lead study author and professor in the Department of Geoscience at the University of Wisconsin-Madison.

This crystal is a translucent red, Valley said, but glows blue when bombarded with electrons. At 400 micrometers long, its biggest dimension is just a tad larger than a house dust mite, or about four human hairs.

The crystal was found in an arid region north of Perth, Australia, in a low range of hills called the Jack Hills, in 2001.

Scientists say the crystal's chemistry -- specifically, the ratio of oxygen isotopes within it -- suggests that the temperatures on Earth 4.4 billion years ago would have supported liquid water, and therefore perhaps life. Two isotopes of an element are considered different if they contain different numbers of neutrons.

"What we've learned is that the Earth cooled much more quickly that people had thought," Valley said. "The surface formed a crust much more quickly than people thought."

A brief history of Earth

Our planet is thought to be about 4.5 billion years old, but the oldest fossils are about 3.5 billion years old. That doesn't necessarily mean that no life existed before that time, but no direct evidence has been found yet.

The first rocks that have been found deposited by water are about 3.8 billion years old, Valley said.

But very little is known about the first 600 million years or so of the planet's history, known as the "Hadean Eon" because it was thought to be "hell-like," Valley said.

The leading theory is that Earth was bombarded by meteors in its early history. It took a big hit from an object the size of Mars about 4.5 billion years ago, leading to the formation of the moon. These impacts vaporized the Earth's crust and formed a super-hot magma ocean.

Evidence including this zircon suggests that within the first 100 million to 200 million years of its existence, our planet cooled enough to make crust. Steam from the atmosphere condensed to make oceans.

"Once you know that there were oceans, it's very reasonable that there would have been life that early" -- even when it was only 200 million years old, Valley said.

How they did the study

Valley and colleagues reported on a different crystal from early Earth in 2001 from the same Jack Hills area. But there had been an open question regarding that crystal and others about how to determine the age.

The standard method of dating such rocks involves looking at the radioactive decay of uranium atoms to lead. But if the lead has moved within the crystal over time, this could lead to a faulty estimate of age. If lead has migrated away from the area of the rock being tested, that could make the rock appear younger than it is, or older if lead has concentrated itself.

In this new study, researchers used a technique called atom-probe tomography, which allows scientists to image single atoms of lead and determine the isotope ratio.

Scientists found that clumps of lead atoms had formed 1 billion years after the zircon crystallized. These clusters are tiny, about 5 to 10 nanometers in diameter.

All that means that the lead atoms hadn't moved enough to thwart scientist's existing methods of determining the crystal's age, Valley said. They determined that age to be 4.4 billion years old.

"Although incredibly laborious, their analytical technique can be applied to not only additional terrestrial zircons but also to zircons from meteorites and lunar samples, to perhaps tease out a detailed thermal history of magmatism and impacts," Samuel Bowring, professor of geology at Massachusetts Institute of Technology, wrote in an accompanying article in Nature Geoscience.

Meanwhile, on Mars

Earth and Mars formed around the same time in the solar system. Just as scientists are analyzing the chemical composition of rocks on Earth to learn about our planet's history, NASA's Curiosity rover is doing the same on Mars.

But one can only do so much via robot. NASA is planning a 2020 rover mission that may be able to collect samples for later delivery to Earth.

There, we may find even more extraordinary gems -- red or otherwise.

@highlight

Earth is about 4.5 billion years old

@highlight

The oldest piece was found in 2001 in Australia

@highlight

Earth could have had oceans very early in its history