Iran's new President Hassan Rouhani took the oath of office Sunday, replacing controversial President Mahmoud Ahmadinejad.

Rouhani, 65, a cleric considered moderate, won the June elections with reformist backing. He campaigned on a "hope and prudence" platform in which he appealed to traditional conservatives and reform-minded voters alike.

He pledged to improve the economy and unemployment. And as a former nuclear negotiator, he vowed to reduce the high tension between Iran and the outside world by addressing sanctions related to Iran's nuclear program.

The White House congratulated Rouhani, and in a statement called his inauguration "an opportunity" for Iran to "resolve the international community's deep concerns over Iran's nuclear program." Should Iran decide to engage on the nuclear issue, the statement read "it will find a willing partner in the United States."

Israel's Prime Minister Benjamin Netanyahu, speaking at his weekly cabinet meeting, said the president of Iran may have changed, "but the goal of the regime has not been replaced."

"Iran's intention is to develop a nuclear capacity and nuclear weapons in order to destroy the State of Israel," he added.

Iran insists its nuclear program is purely for civilian nuclear energy.

Fast Facts: Hassan Rouhani

A former commander of the Iranian air defenses, Rouhani led three war and defense councils. He was national security adviser to the president for 13 years before Ahmadinejad took office.

He has three law degrees, including a doctorate from a university in Scotland. As president of Iran's strategic research center, he regularly publishes essays.

The Ayatollah Ali Khamenei is Iran's supreme leader.

Rouhani will be a "far more powerful president than Ahmadinejad would have ever dreamt -- or even, before him, anybody else," says Hamid Dabashi, a professor of Iranian studies and comparative literature at Columbia University.

"Because his revolutionary credentials are absolutely impeccable. He's very close to Khamenei" and to the "security and military establishment," Dabashi told CNN's "Fareed Zakaria GPS."

Still, he won't have the power to make a deal with the West on his own, says Dabashi. "Iran is a very complicated regime consisting of security, intelligence, military and clerical establishments and a network."

Nazila Fathi, who was a New York Times correspondent in Tehran for 10 years, says Rouhani "is not a reformist, even according to Iranian standards. He had backed the violent crackdown against the pro-democracy student movement in 1999 and never formally aligned himself with the reformist camp."

Also, it's not clear whether Khamenei's "hard-line allies will allow Rouhani to introduce real change," Fathi, now with Harvard's Belfer Center, wrote in a column for CNN.com.

"The president sets the tone for domestic and foreign policy and can make room for more moderate voices in politics. But he holds little power compared with the authority that the constitution gives Khamenei. If Khamenei is willing to end international pressure over Iran's nuclear program, Rouhani provides the perfect opportunity."

Rouhani: Hawk or dove?

Embracing a hard-liner label

When Ahmadinejad won the presidency of Iran in June 2005, he was a little-known mayor of Tehran.

The son of a blacksmith assumed office billed as a hard-liner -- a label he embraced with rhetorical gusto.

Two months into his term, in October, Ahmadinejad called for Israel to be "wiped" off the map, repeating a remark from a former ayatollah.  Years later, he told CNN, "When we say 'to be wiped,' we say for occupation to be wiped off from this world."

Ahmadinejad speaks to CNN's Piers Morgan

Also in 2005, he declared the Holocaust a "myth," prompting condemnation by the U.N. Security Council.

Then, in April 2006, to a crowd of dignitaries, Ahmadinejad announced that "Iran has joined countries with nuclear technology" -- sparking the conflict that continues to this day.

Economy sours

Ahmadinejad created a furor when he flew to New York to address the U.N. General Assembly on its opening day in September 2006.

He took to the podium, defending his own nation's nuclear ambitions and decrying the nuclear records of other nations. The performance and the headlines that followed set a pattern that would repeat several times over the next seven years.

Back home, Ahmadinejad's time in office was marked by crackdowns and a economic malaise.

In 2009, he stood for re-election. Officially, he came out on top, but the result was disputed.

Protesters filled the streets, and the Basij, a feared paramilitary group, cracked down. With thousands jailed and scores injured, Ahmadinejad pressed forward. But political protests weren't his only concerns.

From Iranian rooftops, a view of protest and violence

Fast Facts: Mahmoud Ahmadinejad

Analyst: Ahmadinejad seeks to remain 'political force'

Later, as the price of bread and other staples rose, people again people took to the streets. Ahmadinejad responded with riot police and finger pointing, putting the blame for the economic woes on international sanctions.

While he was prevented from seeking a third term, he's unlikely to willingly give up being a "political force" in the country, says Geneive Abdo, an analyst with the Stimson Center and the Brookings Institution.

While "the odds seem stacked against" him in that effort, Abdo wrote in a column for the CNN GPS blog, "no one seems likely to convince the president to go quietly into the political wilderness."

@highlight

U.S. and Israel react to the swearing-in of Iran's new President Hassan Rouhani

@highlight

He officially ends Mahmoud Ahmadinejad's presidency

@highlight

Rouhani is a former military leader

@highlight

He will be a "far more powerful president," says one analyst