As if the deadly flooding inundating much of the Balkans wasn't alarming enough, rescuers must now grapple with another concern: the risk of landmines from the Bosnian war resurfacing.

"A vast number of landslides have worsened the situation and relief efforts," the Red Cross said, describing the rains as the "worst floods in more than a century."

The epic flooding is the worst Serbia has seen since the country began keeping records 120 years ago, meteorologists said.

"There are reports that landmines buried during the conflict and not yet removed are in some instances being shifted with the landslides, adding (to) the dangers of people living in the areas as well as rescuers," the Red Cross said.

"We cannot say exactly what happened with the mine fields," Bosnian President Bakir Izetbegovic told CNN's Christiane Amanpour.  He warned that the mines were likely displaced in the flooding along with signs warning of mines in the area. "The system of the mine fields (was) under control, and had warnings marks are now actually removed," Izetbegovic said.

In the Serbian town of Obrenovac, at least 13 bodies have been recovered, and officials in Bosnia-Herzegovina said 13 people had died there so far.  Expert predict those numbers to rise as  flood waters recede.

Even though the intense rainfall subsided Monday, the disaster is far from over. CNN meteorologist Pedram Javaheri said flooding in the region will last at least another week -- and in some places, it could get worse.

The Serbian capital of Belgrade, for example, sits at the crux of the swollen Sava and Danube rivers. As water rushes downstream, the flood level in Belgrade is expected to rise through Thursday, Javaheri said.

After a day of assessments, property damage alone is estimated a $1.37 billion (1 billion euros) said Elvir Camdzic, a presidential adviser.

"When combined with the overall economic losses due to the flooding, the full scale of the damage will be measured in billions of euros," Camdzic said.

'Happy that we didn't drown'

In Serbia alone, more than 24,000 people have evacuated to escape water that is chest-high in some areas. Bosnian officials say 30,000 people are displaced in their country.

"People were in a panic, running," an evacuee told CNN affiliate N1 in Belgrade, Serbia. "I left with a kid. I was really happy that we didn't drown."

The woman's house is now flooded, and she says she has no idea where she will live.

But many Serbians wouldn't budge.

"Some people simply do not want to leave their homes," said Novica Biorac, a volunteer from a rafting club in Raska. "We are trying to convince them to leave, but it's very difficult."

Farmland hit hard

Farmers along the Danube and Sava rivers are bracing for damage assessments as the rains have stopped.  The epic flooding followed an unusually dry winter that saw very little snowfall, meteorologists said.

Agriculture, especially row crop production, is still one of the most important parts of Bosnia's economy and takes up 47% of the countries landmass,  according to a European Commission assessment.

Small family farms populate about half of all agricultural lands and are essential for Bosnia's food security, according to the European Union.  Many of those farms are now under water, and massive landslides are a problem.

"This country is brutally destroyed by nature," said Zlatko Lagumdzija, Bosina's minister of foreign affairs.  "The lanslides are absolutely destroying the country.  We have registered up to 2,000," he said.

The World Food Programme said it plans to send food assistance to 150,000 people in Bosnia's most-affected areas. The organization is also sending food for 7,000  people in Serbia.

Bosnia-Herzegovina is not yet a member of the European Union, but the EU is its largest agricultural trading partners, and EU representatives say they will aid in the recovery.

"We need an assessment from the government," said Ambassador Peter Sorensen, the EU Special Representative in Bosnia. "We have ecological things with sewage, with water, with fuel and pesticides."

The EU will assist where it can, Sorensen said.

Deadly situation

The Serbian government said one of the 13 dead was someone who had already died "of natural causes," Prime Minister Aleksandar Vucic said.

One of the deceased was a rescuer, said Dragan Radovanovic, president of the Serbian branch of the Red Cross.

Authorities estimate that 90% of Obrenovac has been flooded.

Bosnian authorities say the flooded town of Maglaj received the average rainfall for two months in less than two days.

"Many cities and villages in western Serbia are completely under water," the Serbian Embassy in Washington said in a statement Sunday, describing the situation as an "unimaginable catastrophe."

Fighting the flood

Soldiers, rescue workers and volunteers rushed to stack sandbags in towns near rivers throughout Serbia.

The Sava River has already reached 6.3 meters (20.7 feet) -- a historic high, the Serbian government said. The Prime Minister said workers have erected a dam 7.3 meters (24 feet) tall in the area of Sabac.

In Kostolac, along the Danube River, workers built sandbag walls to protect a thermal power plant -- one that the energy minister called the most important power facility in Serbia. The plant produces 20% of the nation's power.

The Prime Minister thanked countries that have already come to Serbia's aid. He said he was especially grateful to members of the Russian special forces, including one member who swam 200 meters (656 feet) in cold water to save several people.

What is causing Balkans weather misery?

@highlight

Damage is in the billions of euros, according to first day of assessment in Bosnia

@highlight

EU warns of massive ecological damage from flooding after thousands of landslides

@highlight

At least 13 people in Serbia and 13 in Bosnia and Herzegovina are dead after epic flooding

@highlight

The Red Cross says shifting landmines could endanger rescuers and residents