(CNN)The campaign to retake the city of Tikrit from ISIS, also known as the Islamic State, involves a curious mixture of Iraqi forces -- the army and air force, federal police, powerful Shia militia  as well as Sunni tribal fighters.

It's a cast of about 30,000 fighters with an opaque command structure. And that makes it tough to be precise about numbers -- but by several estimates only one-third of those fighters are from the regular army.

A CNN team that's seen the offensive at close quarters noted that Iraqi army commanders appeared to be taking a subordinate role to leaders of the Shia militia, notably Hadi al Ameri, leader of the Badr Organization. Iranian military advisers are on hand, and highly influential on the battlefield.

As ISIS fighters in the area probably number in the low thousands, it might seem odd that the Iraqi army is unable to take them on alone. After all, the Iraqi Security Forces (ISF) received $20 billion of U.S. money between 2005 and 2012 -- for equipment, bases and training.

So just why are the ISF incapable of reclaiming territory seized by ISIS? And how long will it be before they can stand on their own feet? The answers go back to the U.S. invasion of Iraq in 2003; Iraq's military is starting over -- for the second or third time in a decade.

One of the most controversial acts of the U.S.-led Coalition Provisional Authority, which ran Iraq following the ouster of Saddam Hussein, was to disband the Iraqi army. The decision, taken in May 2003, "immediately created a large pool of unemployed and armed men who felt humiliated and hostile to the U.S. occupiers," as James P. Pfiffner put it in 2010.

President George W. Bush told his biographer Robert Draper in 2006: "The policy had been to keep the [Iraqi] army intact; didn't happen." The reasons have been disputed ever since.

In some places there were riots among demobilized soldiers; at the same time training of Iraqi police was a desperately slow process because of the rapidly growing insurgency. In 2004, as in 2014, the security forces buckled as a Sunni insurgency spread through northern and western Iraq.

Billions of dollars were spent creating a new Iraqi army from scratch. But it took two years to build a force of just 40,000 men in three light infantry divisions, so unofficial sectarian militia filled the vacuum -- militia that never quite went away.

Over a seven-year period, more than $4 billion was spent on renovating and building Iraqi bases. Logistical and maintenance support: $2.6 billion. Supply of equipment: $3.4 billion (in addition to what the Iraqis bought themselves.) Training and staffing the Iraqi police: a cool $9.4 billion.

With U.S. assistance and the "Sons of Iraq" program to coax Sunni tribes into fighting al Qaeda in Iraq, violence did diminish in 2009 and 2010. But once U.S. forces left at the end of 2011, and with them intelligence-gathering and training programs, things began to unravel.

By then, the Iraqi security forces in their many guises had become an unwieldy machine that was more a welfare program than a fighting force -- providing wages to soldiers who lacked motivation and were frequently absent from duty. The only effective units were special forces such as the Golden Division. Sophisticated U.S. equipment, such as M-1 Abrams battle tanks, was not maintained. Corruption was rife -- and political interference in the military grew exponentially.

As then Prime Minister Nouri al-Maliki tightened his grip on power between 2006 and 2013, the high command of the Iraqi military became a political football -- with loyalty to al-Maliki prized above competence. He bypassed the defense and interior ministries and used elite units to pursue political enemies.

The Institute for the Study of War reported in 2013, "the lack of oversight on military appointments has allowed al-Maliki to choose his preferred officers (nearly all Shia) to head the most significant command positions in Iraq." Al-Maliki also began integrating Shia militia into army units.

At the same time, the phenomenon of "ghost soldiers" went unchecked -- men who were either dead or AWOL but whose wages were still being paid, often to corrupt commanders. So the army, in numbers, looked much stronger than it was. In fact, by the time ISIS rolled south, the effective fighting force was less than a quarter of its peak strength of 400,000.

Nearly half the army -- four divisions -- collapsed in short order as ISIS fighters stormed south from Syria in the early summer of 2014. ISIS used speed, discipline and ruthlessness in equal measure -- attributes the Iraqi army didn't have. It had also cultivated allies among members of Sunni tribes ready to act as a fifth column, and its fearsome reputation for wholesale executions of prisoners led many soldiers to strip off their uniforms and flee.

The desperate situation in the summer of 2014 and an imminent threat to Shia shrines in Samarra prompted a rapid mobilization of Shia militia that had already been active around the elections -- including the Badr Organization and the Asaib Ahl al-Haq. Some members of these militia had gained combat experience fighting for the al-Assad regime in Syria.

In June, the most respected religious authority among Iraqi Shi'ites, Grand Ayatollah Ali al-Sistani, appealed to Iraqis to mobilize against the enemy.  The call was directed at and answered by hundreds of thousands of Shia, determined to protect gains made since the overthrow of Saddam Hussein's Baathist regime.

The militia -- called al Hashed al Shabi or Popular Mobilization Units (PMU) -- were trained, equipped and most importantly led by Iranian military advisers and quickly became battle hardened. What they lacked in military skills, they made up for in determination.

The Iranians have invested heavily in the PMUs. The commander of Iran's Revolutionary Guards Quds Force, Gen. Qassim Suleimani, seems to have spent more time in Iraq than Iran since last summer and has been photographed around Tikrit. According to several analysts, it is Suleimani that has been organizing and directing the Shia militia in what appears to have been a more deliberate and better planned assault than previous operations.

Christopher Harmer of the Institute for the Study of War says the role of both the Iranians and the Shia militia are evidence of the enduring weakness of the ISF. And he says that "if the Tikrit operation is successful it presents a lot of problems for the Iraqi government's legitimacy -- somewhere down the road the Iranians and the PMU are going to demand payback."

The role of Suleimani and al Quds -- a foreign terrorist organization in Washington's view -- means that US airpower has not been made available.

"The U.S. may not like Iranian influence in Iraq," says Harmer, "but what it absolutely cannot do is provide direct support to an Iranian-led military operation."

The chairman of the U.S. Joint Chiefs of Staff, Gen. Martin Dempsey, alluded to the dilemma when in Baghdad on Monday.

"What I'm trying to sort out, actually, is the degree to which their near-term embrace of the assistance they're receiving from Iran is a reaction to the existential threat [posed by ISIS], or whether it is something longer-term," he said.

Soon after taking office, Iraqi Prime Minister Haider al Abadi fired 26 commanders and pushed 10 others into retirement. At the time a statement on his website stressed "the need to restore confidence in the security forces through real action and by combating corruption at the individual and institutional levels." 

U.S.-led efforts to train a new Iraqi army designed to defeat ISIS are well underway. The aim is to stand up 12 brigades each of about 5,000 troops -- including three brigades of Kurdish peshmerga. These should be ready for operations by the end of this year; the first brigade has already completed basic training.

But as Harmer notes, "the Iraqi Security Forces are yet to go head-to-head with ISIS and win without help from the PMUs. ISIS is demonstrably more capable than the ISF."

Clearing ISIS from well-entrenched defenses around Mosul, Iraq's second largest city, seems well beyond the army's capability. In November, Gen. Dempsey said that roughly 80,000 effective troops would be needed in any attempt to win the city.

That's problematic for several reasons. Kurdish officials told CNN last month that the longer the battle for Mosul is delayed, the tougher it will be. They claim that they cannot maintain the siege of the city on three sides indefinitely.

The Iraqi government is under political pressure to reclaim the city and re-establish its authority there. But above all, the need for Shia militia outside the direct control of the government to help retake largely Sunni cities is fraught with peril.

Human Rights Watch has already cataloged incidents of sectarian retaliation against Sunni communities by the militia. Tikrit is an especially sensitive area: in June last year, ISIS massacred by its own account as many as 1,600 air force cadets, the vast majority Shia, at Camp Speicher. Some families of the murdered recruits, and a few survivors, have claimed local Sunni tribes may have helped ISIS or even handed over the recruits after promising them safe passage.

HRW Middle East Deputy Director Joe Stork says that "past fighting raises grave concerns that Tikrit's civilians are at serious risk from both ISIS and government forces, and both sides need to protect civilians from more sectarian slaughter." Tit-for-tat atrocities are fuelled by a stream of social media videos showing abuses committed by all sides.

ISIS' use of children: Propaganda and military training

During the Tikrit operation, both Prime Minister al Abadi and Hadi al Ameri of the Badr Organization have publicly called for civilians to be spared and human rights to be respected. Only when the city is taken, will we know whether their appeals were heeded.

Harmer says he believes a majority of Iraqis want to see their country survive; far fewer want a return to sectarian conflict akin to civil war. But it remains a possibility.

One of the greatest challenges -- politically -- will be to absorb the Shiite militia and Sunni tribal brigades into the Iraqi Security Forces, rather than have them operate as independent armies. They are meant to constitute a new National Guard, but the mechanics and timing remain problematic.

The leaders of these militia have tasted power; their men have shed blood. They are not going to just hand over the reins -- even if and when ISIS are beaten. And they won't have to fear a strong army for a long time to come.

CNN's Ben Wedeman and Kareem Khadder contributed to this story.

@highlight

Iraqi Security Forces (ISF) received $20 billion of U.S. money between 2005 and 2012

@highlight

Iraq's military is starting over -- for the second or third time in a decade