(CNN) -- "One of the unfortunate realities of policing," New York police Commissioner William Bratton said after the killings of Officers Rafael Ramos and Wenjian Liu, "is that you put that blue uniform on and you become part of the thin blue line between us and anarchy."

This "Thin Blue Line" concept, which first appeared in a 1966 police documentary, reflects the conservative worldview of police culture. Most citizens can be forgiven for going through their day without thinking of anarchy or barbarians storming the gates. But many police, especially in New York City, see themselves as a thin blue line besieged by both a liberal and criminal world, neither of which they particularly like or understand. Large protests, especially when they're anti-police, solidify this belief because police see firsthand just how thin their blue line actually is.

Police know they are outnumbered and sometimes outgunned, even while presenting a front of dominance and control. At any given moment, in this city of 8.4 million people, there are close to 6,000 police officers on duty. Certainly there are more than 6,000 violent criminals. Last year there were 86,000 felony arrests in New York. Were these felons able to rise up en masse, it's not just the police who would be overwhelmed.

When I was a police officer in Baltimore, I would drive around and put out one brush fire after another. It would have been easy to be overwhelmed by the lives broken by repeated bad choices, by the mentally ill, the children who grow up without hope, another murder victim, the literal stink of society's least wanted and the sheer magnitude of human idiocy.

As to police danger, it shouldn't be overstated (police officers are paranoid enough as is), but the danger isn't just in the small though real risk of being attacked and killed. What screws with your head is the constant occupational demand of hyper alertness -- of having to engage with and confront danger, and always on danger's terms.

When I cleared a drug corner, sometimes I couldn't help but wonder why the dealers didn't just jump me. Effective compliance is as much earned as ordered, but I don't think they obeyed me because they liked me (at least I hope not). Bluster aside, my job and safety depended on respect and deference to my authority.

That said, some of the thin blue line rhetoric is less about public and personal safety than political ideology (and contract negotiations). Of course, many police hate Mayor Bill de Blasio (just as they hate President Barack Obama). Police tend to be conservative. The last time New York had both a liberal mayor and contract negotiations, police actually rioted. Drunken officers rushed the steps of City Hall, damaged cars and slandered Mayor David Dinkins with racial epithets. Reporters were attacked. Police even took over the Brooklyn Bridge.

Ideology aside, there's no evidence that Democrats are worse for police. Despite the horrible assassinations of Liu and Ramos, we have not seen any sustained increase in violence directed toward New York City police officers. Nationwide and in New York, line-of-duty deaths have been on the decline since 1970 through Republican and Democratic administrations. Indeed, they've fallen during the Obama years.

In a democratic society, we demand a lot from our police, as we should. We owe police and each other respect and lawful compliance. In return, and without being subservient on the job, police must remain public servants. Police need to show greater empathy and tolerance for disagreeing and even disagreeable citizens, including elected officials.

But when the mayor, the President or the attorney general are seen -- incorrectly in my opinion -- as being "anti-police," this is viewed as more than a personal slight to police. Refusing a lawful order, resisting arrest or taking the side of a criminal in a fight with police is not just a "reasonable people can disagree" situation. An attack on the thin blue line is perceived as an existential threat to working policemen and women.

Blame politicians for idiotic laws; blame society for racial injustice; blame the war on drugs for mass incarceration; blame a violent gun culture; blame poverty. We can improve society without blaming police officers. And we also need to move beyond the thin blue line. We can do better.

@highlight

Peter Moskos: Many police see themselves as a "Thin Blue Line" besieged by criminals, liberals

@highlight

Police tend to be conservative, but no evidence Democrats are worse for police, he says

@highlight

An attack on the thin blue line is perceived as a personal and existential threat, Moskos says

@highlight

Moskos: Police must accept disagreement from citizens, officials and see beyond blue line