The FBI says it has opened a criminal investigation of the Veterans Affairs Department, which is grappling with a scandal over long waiting lists to provide care and allegations that paperwork was faked to make delays appear shorter.

FBI Director James Comey told a House hearing on Wednesday the bureau's Phoenix office has joined an ongoing review by the VA inspector general.

The move at least partly satisfies requests from key members of Congress from both parties who have pressed for a full probe by the Justice Department as the scandal accelerated in recent weeks and led to the resignation of VA Secretary Eric Shinseki in May.

Officials have said the inspector general is sharing findings with federal prosecutors, and the Justice Department could launch a full-blown criminal probe if any of the information meets the standard for doing so.

CNN has reported over the past seven months on the VA problems, including that managers in Phoenix and elsewhere used secret waiting lists to cover up the amount of time it took for veterans to get appointments.

At Wednesday's hearing, Comey would not say whether the investigation would be expanded beyond the initial allegations at the Phoenix medical facility, but said the FBI was "working with the VA IG and will follow this wherever the facts take us."

IGs are the internal watchdogs of federal agencies and usually conduct administrative audits for fraud or other abuse. Sometimes those reviews result in federal prosecution. Typically, the Justice Department waits for reviews by inspectors general to be completed before deciding whether to jump in.

In this case, a Justice Department spokesman said, "At the department's direction, the FBI has instructed agents in its Phoenix office to conduct an investigation into the allegations related to the VA. Federal prosecutors will be working with these investigators to determine whether there is a basis for criminal charges."

Widespread problems at the VA's health care facilities have persisted for years but questions intensified over the past several months amid fresh media and congressional scrutiny.

An internal Veterans Affairs audit released Monday found that tens of thousands of newly returning veterans wait at least 90 days for medical care, while even more who signed up in the VA system over the past 10 years never got an immediate appointment they requested.

The VA has acknowledged 23 deaths nationwide due to delayed care.

Despite efforts to address some issues in recent years, including reductions in backlogs for benefits and the number of homeless veterans, the long waits have continued for newly enrolled veterans to get initial appointments for care.

Reasons for the chronic problems include the increasing number of veterans returning from wars in Iraq and Afghanistan, and a bonus system that rewarded managers for meeting goals regarding access to treatment.

Lawmakers for weeks have flocked to TV cameras and issued statements to urge the Justice Department to start its own investigation. But there's recent precedent for the department to be wary of the political pressure.

The department quickly announced its probe into the IRS after reports of alleged targeting of conservative political groups. The IRS investigation continues, but so far investigators haven't found proof of a chargeable crime, according to people briefed on the case.

As a result, the department is under fire from Republican lawmakers for not bringing charges.

Separately, the House has unanimously approved legislation to permit veterans experiencing long wait times for medical appointments to seek care at non-VA facilities at the government's expense. A similar measure has been proposed in the Senate, which could act later this week.

Vets could get care outside VA under bill passed by House

Audit: More than 120,000 veterans waiting or never got care

@highlight

Federal criminal investigators join ongoing review by VA inspector general

@highlight

FBI director tells Congress investigators "will follow this to wherever the facts take us"

@highlight

The VA scandal involves delayed care and allegations of faking paperwork to mask the problem

@highlight

Legislation to give veterans more choices in seeking care moving through Congress