(CNN) -- Two therapists who try to turn gay people straight, along with a student who says he was successfully converted to heterosexuality, are suing nearly two dozen California state officials, including Gov. Jerry Brown, saying a new state law infringes on their civil rights.

The plaintiffs' legal team will file a motion sometime this month seeking an injunction before the law goes into effect, attorney Matt McReynolds told CNN on Thursday.

The legislation known as Senate Bill 1172 -- which the state Senate passed in May, Brown signed into law this weekend, and will take effect January 1 -- prohibits attempts to change the sexual orientation of patients under age 18.

"We have not seen the state of California go this far before in trying to restrict speech," McReynolds said.

The non-profit Pacific Justice Institute, whom McReynolds works for, filed the lawsuit Monday in U.S. District Court on behalf of family therapist Donald Welch, psychiatrist Dr. Anthony Duk, and Aaron Bitzer, who is studying to become a therapist, and who court papers say "seeks to share his personal experiences with future patients as a mental health professional."

California governor OKs ban on gay conversion therapy

The institute describes itself as a "legal defense organization specializing in the defense of religious freedom, parental rights, and other civil liberties."

The plaintiffs say they're seeking a judgment finding the new law unconstitutional, injunctions against the law's enforcement, and attorney's fees, according to the legal complaint.

Among other concerns, the complaint details arguments that SB 1172 violates Californians' rights to privacy, freedom of religion, and due process.

"Certainly, the religious freedom aspect is very strong in this case," McReynolds said.

The American Psychiatric Association -- which is the world's largest of its kind, with more than 36,000 members -- has determined that sexual orientation change efforts, as the complaint calls the controversial therapy, pose a great risk, including increasing the likelihood or severity of depression, anxiety and self-destructive behavior for those undergoing therapy. Therapists' alignment with societal prejudices against homosexuality may reinforce self-hatred already felt by patients, the association says.

"This bill bans non-scientific 'therapies' that have driven young people to depression and suicide," Brown recently tweeted. "These practices have no basis in science or medicine."

Earlier this year, psychiatrist Robert L. Spitzer apologized for his 2003 study of reparative therapy in which he suggested that the practice could help gays and lesbians become straight. He said the study was deeply flawed.

"I believe I owe the gay community an apology for my study making unproven claims of the efficacy of reparative therapy," Spitzer said in a letter to the editor of the Archives of Sexual Behavior. "I also apologize to any gay person who wasted time and energy undergoing some form of reparative therapy because they believed that I had proven that reparative therapy works with some 'highly motivated' individuals."

But according to the complaint, when Bitzer underwent "therapy described in the statute as" sexual orientation change efforts and reparative therapy, he "found it quite helpful in achieving his goals." Bitzer had "experienced same-sex attractions. ... However, he never believed the simplistic message of the Gay Community, which states that 'we are born this way and should just live accordingly,'" the complaint says.

The case revolves around a legal issue, not a moral one, according to McReynolds.

"It's not a debate in court about whether reparative therapy is a good thing, or how well it works, so much as it is a debate of the role of the government dictating to professionals, patients, and religious institutions what their options are going to be in that area," he said.

David Pickup, a spokesman for the National Association for Research and Therapy of Homosexuality, told CNN on Monday his group would file its own lawsuit against the new statute.

"We do competent therapy, therapy that truly works," said Pickup, who said he underwent such therapy and now administers it to others.

A summons filed on Wednesday requires that each of the defendants respond to the Pacific Justice Institute with an answer to the complaint within 21 days after receiving the paperwork. Beyond Brown, the defendants include state officials Anna Caballero and Denise Brown, as well as the members of the California Board of Behavioral Sciences and the Medical Board of California.

The first scheduled court hearing in the case is a pretrial scheduling conference on January 22, according to court papers. However, McReynolds said he expects the court will respond to a motion for a preliminary injunction by setting a hearing date later this year, prior to the January 1 implementation of the new law.

Opinion: Oops, I left my sexual orientation at home

CNN's Josh Levs contributed to this story

@highlight

NEW: Plaintiffs' attorney says he hopes for a preliminary injunction before the law takes effect

@highlight

Gov. Jerry Brown signed the bill into law this week

@highlight

The plaintiffs say the law infringes on their constitutional rights

@highlight

The law bans trying to change minors' sexual orientation; it will take effect January 1