(CNN) -- Family members of thousands of Colombians who were killed or who disappeared are suing Chiquita Brands International, alleging the produce company is liable because of its payments to paramilitaries.

"We're holding them accountable," said Paul Wolf, a Washington-based attorney who is handling cases for family members of more than 2,000 victims.

Chiquita counters their claims and says the lawsuits should be dismissed. The company, which had more than 200 banana farms in Colombia before selling them in 2004, argues that it was a victim of extortion and has no responsibility for any crimes armed groups committed.

A federal judge in Florida is weighing whether the lawsuits, which constitute more than 4,000 claims against Chiquita, will go to trial.

In 2007, Chiquita pleaded guilty and paid a $25 million fine for violating U.S. antiterrorism laws when it provided payments to the right-wing paramilitary United Self-Defense Forces of Colombia, known as the AUC.

But family members and representatives of people killed by paramilitaries say the criminal case settlement wasn't enough.

"This is a something entirely distinct, the reparations that (Chiquita) must make for the victims that suffered the consequences of the armed groups," said Ivan Cepeda, a Colombian lawmaker and victims' advocate.

Chiquita spokesman Ed Loyd said the civil lawsuits are "entirely without merit."

"Chiquita gave in to the extortion demands only to protect its employees from being kidnapped and killed," he said in a written statement. "Once the company became aware that these payments could potentially violate U.S. law, the company voluntarily disclosed the facts to the government and cooperated fully with the government's investigation."

The lawsuits, however, allege that the company knew it was funding terrorism.

A lawsuit Wolf filed on behalf family members of 677 victims in March alleged that Chiquita officials "were aware that their acts and omissions assisted in the violations of international law" and "acted willfully, wantonly and recklessly, with the intent to aid the terrorist acts of the AUC."

Under the guise of protecting the Colombian public from leftist rebel groups, the AUC committed numerous human rights abuses, according to the U.S. State Department and Human Rights Watch.

The abuses included "the massacre of hundreds of civilians, the forced displacement of entire villages and the kidnapping of political figures to force recognition of AUC demands," then-U.S. Secretary of State Colin Powell said in 2001, when he designated the group a terrorist organization.

In their criminal case, federal prosecutors accused the Cincinnati-based company of paying more than $1.7 million to the AUC in two parts of Colombia where the company grew bananas.

As part of those proceedings, Chiquita acknowledged that it had also made payments to the leftist Revolutionary Armed Forces of Colombia -- known as the FARC -- from 1989 to at least 1997.

At least one pending lawsuit -- also filed by Wolf -- seeks damages from Chiquita for hundreds of killings and disappearances related to the FARC.

It is unclear when U.S. District Judge Kenneth A. Marra will rule on whether the cases will go to trial, Wolf said.

In a motion filed this month asking the judge to dismiss the lawsuits, Chiquita argued that the suits did not show any connection between Chiquita and violence in Colombia "apart from the one fact that Chiquita has admitted -- that it authorized its Colombian subsidiary to accede to the extortion demands of right-wing and left-wing armed groups in Colombia in order to prevent retaliation against its employees."

If the lawsuits go to trial, Wolf said it is impossible to estimate the damages that could be awarded, but he said he hopes it will be a large figure that stops similar situations from occurring in the future.

"These kinds of lawsuits raise the price-tag for them (Chiquita). These are not completely powerless people who if they're killed, it doesn't matter, and nobody can do anything about it," Wolf said. "It does matter, because they can sue for billions of dollars."

CNN's Catherine E. Shoichet and journalist Fernando Ramos contributed to this report.

@highlight

Chiquita says it was a victim of extortion and argues the cases should be dismissed

@highlight

"We're holding them accountable," an attorney for victims' families says

@highlight

A U.S. federal judge is weighing whether the lawsuits will go to trial

@highlight

Chiquita pleaded guilty in 2007 and paid a $25 million fine for paramilitary payments