Everyone loves a good get-back-up, Rocky-style story.

But inspirational tales don't always have to star a guy in shiny shorts -- or a big city like Philadelphia.

Sometimes the best against all odds tales are real ones, taking place in unsung towns, led by regular citizens energized to resuscitate once thriving destinations just as they appeared flat on the mat.

Even big, star-studded cities face struggles and off decades, but what's kept Main Street, USA alive amid interstates, mega-malls, national chains and closed stagecoach routes? The heart and hard work of historic rebound towns like these.

Coronado, California: The little peninsula that could

Then: A storied SoCal getaway for adventure-seeking aristocrats and their servants stretching back to the Victorian era, Coronado suffered in the late 20th century with a 35 percent vacancy rate along its historic main drag, Orange Avenue, leaving locals wondering how to prevent this pretty peninsula on the far side of San Diego Bay from drowning.

Now: One of the country's most successfully revitalized coastal resort communities draws crowds of vacationers and window shoppers over the boomerang-shaped San Diego-Coronado Bridge onto streets lined with flowers and fully restored classical revival-style buildings.

Wow: The iconic Hotel del Coronado (aka "The Del") remains one of the world's grandest landmarks and most resilient beach hotels, with a who's who guest list of celebs and dignitaries several generations long.

Paducah, Kentucky: Small town with big art

Then: In the 1980s, historic Lower Town was 20 square blocks of once-beautiful homes blighted by crime and neglect. Its commercial center sat 70 percent vacant.

Now: More than $100 million in investment later, those same blocks are home to a vibrant arts and small business community that's now listed on the National Register of Historic Places. With brick- and tree-lined sidewalks that attract more than $200 million in annual tourist income, the town underwrites an Artist Relocation Program that's drawing resident artists and international visitors, and is considered a national model for utilizing the arts for municipal resurrection.

Wow: Held each May, the Lower Town Arts & Music Festival was recently tapped among the state's top spring festivals, featuring Western Kentucky's best art, music, theater and food.

New Iberia, Louisiana: Reborn on the bayou

Then: Founded by the Spanish in 1779 (originally called Nueva Iberia) and home to five brick factories in the 1890s, this vintage bayou town's main street was a barren row of boarded-up shops not long ago, with its decaying landmark art deco theater, the Evangeline, looking like the sad inspiration for a forgotten Jim Carrey movie.

Now: New Iberia's latest renaissance has yielded a Great American Main Street Award and a revitalized commercial district featuring hot (and hot) Cajun eateries, rows of new shops and the beautifully restored Evangeline (now Sliman) Theater -- home to Louisiana Live Cajun and "swamp pop" concerts.

Wow: High points of a town tour include the pin-up antebellum mansion, Shadows-on-the-Teche, and the original Tabasco factory and 250-acre Jungle Gardens on Avery Island, just seven miles down the road.

Frederick, Maryland: After the flood... cute shopping!

Then: Once a hospice for Civil War casualties, this proud Colonial-era city endured late 20th-century battle fatigue after getting sidestepped by a new interstate, losing its retail core to outlying shopping malls and being hit by a massive flood in the mid-1970s that turned nearly 100 acres of its historic downtown into a temporary swamp.

Now: Frederick is revived, with a nearly chain-proof red brick commercial district lined with indie shops, destination restaurants and weekenders from D.C. and Baltimore (both about an hour away) escaping here instead of the other way around.

Wow: Stroll along Carroll Creek Park's pedestrian bridges and brick pathways lined with public art and it's hard to believe this green space was originally a flood control project.

Ely, Nevada: The mettle of nowhere

Then: Originally a Pony Express station, this remote Nevada town's mineral mining fortunes boomed and busted through the 20th century, taking their biggest toll during the 1970s copper market crash.

Now: Copper is back, as is gold mining, but Ely's latest boom is as a weekend escape between Las Vegas, Reno and Salt Lake City (the nearest major town, 241 miles away).

Way out on Highway 50 (aka The Loneliest Road in America), you'll find wallet-friendly Wild West imagery like the Hotel Nevada & Gambling Hall (from 1929), the Jailhouse Casino's Cell Block Steak House (fine dining behind bars) and several land-of-the-lost state parks about as busy as the moon.

Wow: You can augment the Western experience by boarding an authentic steam-powered train on the Ely-based Nevada Northern Railway for a 90-minute chug through the Silver State's timeless outback.

DeLand, Florida: Classic revivalist

Then: Conceived in the 1870s as an "Athens of Florida" (emphasizing education and culture) by baking soda baron Henry DeLand, the small but big-thinking central Florida community gave rise to grand Victorian homes and Stetson University before succumbing to financial hardship, deteriorating neighborhoods and 75 percent downtown vacancy in the mid-1980s.

Now: After a magical civic recovery an hour from Disney World, downtown DeLand's rows of shops, restaurants and museums along Woodland Boulevard and Indiana Avenue include the restored 1921 art deco Athens Theater, nearby Artisan Alley and a revived Garden District that inspired an award-winning documentary about urban renewal.

Wow: Housed in the basement of an old bank building, the Mainstreet Grill has been voted DeLand's best restaurant for more than a decade, and serves a "Spectacular Sunday Brunch Buffet" to prove it.

Libertyville, Illinois: Revival, take two

Then: Established as a bedroom community for Chicago's elite in the early-mid-20th century, Libertyville receded into drab suburb status in later decades. Its first stab at revitalization in the 1960s -- a poorly conceived series of modernization projects dubbed Operation Face-Lift -- led only to more boarded-up storefronts over the next 20 years.

Now: Unveiling its old Victorian facades and regaining its roots as a homey, Midwestern Americana detour from the big city, Libertyville's four-block epicenter along Milwaukee Avenue (35 miles from the Loop, and a world apart) is lined with boutiques, foodie shops and an important microbrewery (Mickey Finn's) on Windy City pub hop maps.

Wow: If it's Thursday between 7 a.m. and 1 p.m., it's Farmer's Market time (June-October) on Church Street across from Cook Park -- a tradition for more than three decades.

El Dorado, Arkansas: Raising the boom

Then: Home to a 1920s oil rush that brought high hopes, rows of new buildings and 30,000 people to "Arkansas' Original Boomtown," the golden opportunity of El Dorado's namesake gave way to the Great Depression and perpetual economic hardship. By 1980, the town's commercial district was barely ticking.

Now: Thanks to one huge civic mobilization, mass restorations, a new $14.4 million conference facility and a roster of annual festivals, El Dorado has recouped its reputation as "the pride of south Arkansas." The once desolate downtown is now lined with more than 65 specialty shops, eateries, inns and the state's only operating art deco theater.

Wow: Each May, the Bugs, Bands & Bikes festival features thousands of revving motorcycles gathered for a bike show/parade and a two-day Battle of the Bands -- all seasoned with hundreds of pounds of the region's best crawfish.

What's your favorite small town success story? Let us know in the comments section below.

@highlight

Once down on their luck, these historic towns have become attractions again

@highlight

Coronado, California, has more than just its famous namesake hotel going for it

@highlight

In Frederick, Maryland, it's hard to believe Carroll Creek Park was originally a flood-control project

@highlight

New Iberia, Louisiana's, renaissance has yielded a Great American Main Street Award