(CNN) -- What's at stake in the conflict between the West and Russia over Ukraine is not just the future of Crimea, it's the future of international order.

Some weeks ago, Crimea was a remote place, to historians known as the center of a war in the 1850s, while ordinary people would have associated it with some kind of sparkling alcoholic beverage. But suddenly and unexpectedly, Crimea has become a geopolitical hotspot in a conflict between Russia and the West that seems to be straight out of a Cold War playbook.

Moscow has raised the stakes dramatically with a de facto annexation of this region, which is home of an important Russian naval base and inhabited by a population whose majority is oriented towards Russia (while an important minority, among them the Cossacks, is strongly attached to Ukraine).

It is unclear at the moment whether President Vladimir Putin sees this only as a first step, which may be followed by an invasion of other parts of southern and eastern Ukraine.

What is clear is that Russia is not going to leave anytime soon.

'Soviet Union lite'

The tactics and strategies of de facto-annexation have already been displayed in the Georgian regions Abkhazia and South Ossetia after the Russian-Georgian war in 2008; we're likely to see them now in Crimea. Under the cover of sham legality, the region will in essence be fully controlled by Moscow.

The current leadership in the Kremlin has never accepted that Ukraine, which achieved independence in 1991, is a sovereign state. It considers Ukraine to be in its sphere of influence, which means that on important issues the country must -- in Russia's view -- ask Moscow for permission.

Putin's broader plan is to recreate some kind of "Soviet Union lite," a ring of countries under Moscow's control, with the goal of boosting Russia's geopolitical standing. Ukraine is the cornerstone of that project.

The downfall of President Yanukovych and the triumph of the popular Maidan movement in Ukraine have signaled to Moscow, however, that it is losing its grip on Ukraine and that its grand strategy is going nowhere.

As the new government in Kiev appears committed to a close association with the EU and as Putin had lost indirect means of control, he decided to use armed force to win Ukraine back -- or at least to deny the West what he sees, in his terms, as the West's victory.

Moscow has been consistent in viewing Ukraine as a satellite country but the West has constantly ignored the risk that Russia could use armed force there.

Yes, there was the precedent of the war in Georgia, but back then Moscow had at least some arguments to back up its narrative of a humanitarian intervention, while the Georgian side lost its nerve and acted preemptively. And the U.S. and the EU were all too happy to accept Moscow's version of events and continue to do business as usual.

The Ukrainian situation is different in many regards. First, there were no serious ethnic tensions that could serve as a pretext for Russian intervention. Second, Ukraine lies between the EU and Russia, which means that the West simply cannot ignore a Russian aggression because of geographic proximity. Thirdly, the EU is already deeply involved in Ukraine.

In the case of Ukraine, the West is not going to accept Moscow's narrative. This is too obviously a case of aggression -- the use of force violating Ukraine's sovereignty. But Putin must have calculated that nevertheless the price for challenging the West over Ukraine won't be too high -- that the West is not going to unite behind a strong response.

Western cracks

Is he right? Signs of disagreement about the proper response are visible. On Sunday, German Foreign Minister Frank-Walter Steinmeier publicly voiced doubts about the proposal to exclude Russia from the G8. Berlin's tactic is to continue to act as if Russia were ultimately a constructive partner, which just has to be brought back to its senses through intense dialogue.

While Berlin wants to offer carrots to bring Moscow back on the path of virtue, others think the time for sticks has come. Washington is preparing measures to step up economic pressure. But inside the EU there is no unity about the proper reaction.

The West is far from a united stand and a forceful response. Worse, instead of keeping their differences behind closed doors, Western cracks are all too visible, emboldening Putin.

It's safe to assume that the Western reaction is shaping Putin's course of action. Moscow fears isolation and economic retaliation. The money that permits the Russian leadership to pursue costly and risky foreign policy adventures comes in large part from the EU, as payment for gas and oil. And substantial parts of the investments of the Russian elite are in the EU as well.

But it doesn't look as if the West is using its leverage. This caution may backfire. It may incentivize Putin to go beyond the de facto-annexation of Crimea and try to split larger parts away from Ukraine.

Western policymakers should raise their game and understand what is at stake.

If Russia goes beyond Crimea, there is the risk of a major war with Ukraine. No government can simply watch as another country invades its territory.

Acting like an empire

Beyond Ukraine, this conflict is also a defining moment for future Russian foreign policy. If Moscow succeeds in Ukraine, it will come to the conclusion that it can act like an empire. An empire has no borders and doesn't respect the borders of others.

Moscow's pretext of protecting allegedly threatened Russian passport-holders could be used against many countries. If the operation in Ukraine succeeds, it will scare many neighboring countries and prompt them to try to buy off Russia.

Safe borders and sovereignty are core principles of the global order, enshrined in the United Nations charter and in other documents -- many of which Russia has signed. Russia is a stakeholder in this system, its U.N. Security Council seat is an important element in ensuring its standing as a great power.

It is also in Russia's interests to insist on the sanctity of borders as it has itself a stronger neighbor on its south-eastern side -- China. Moscow cannot put the sovereignty of others into question without risking its own sovereignty.

Power vacuum

What is at stake in Ukraine is broader than just the region.

If the EU and U.S. accept Russia's land grab, they weaken the foundations of today's international order, born out of the ashes of World War II and enshrined in the U.N. charter.

A situation where powerful states set conditions according to their own interests and weaker ones have no choice but to accept is precisely what this charter is aimed at preventing.

If one state can invade another without being attacked, without having an international mandate and a clear backing by international norms (such as the responsibility to protect), the foundations of today's international order will be at risk.

In the past, it was the U.S. that promoted and guaranteed the U.N.-order. In the role of a global quasi-sovereign, and faced with major threats, it sometimes violated this principle itself. But these were exceptions to the overall beneficial role the U.S. played in the promotion of a liberal democratic order.

Nowadays, however, Washington is diminishing its global footprint, with its taxpayers no longer willing to bear the biggest chunk of the burden to uphold world order.

The Kremlin has sensed a power vacuum and is stepping in.

Now the West must decide whether to accept the new rules Russia is setting in its neighborhood -- or whether it has the power and strength to defend an order which has brought it decades of freedom, security and prosperity.

Read more: Russia blasted for military buildup

Read more: Ukraine vs. Russia - who's stronger

Map: How Ukraine is divided

The opinions expressed in this commentary are solely those of Ulrich Speck.

@highlight

What's at stake in Ukraine is not just Crimea's future, but the world order, Ulrich Speck says

@highlight

He says Moscow has never accepted Ukraine's sovereignty and considers it in its sphere

@highlight

Putin's broader plan is to create a "Soviet Union lite" with Ukraine the cornerstone, he says

@highlight

Speck says the West must now decide whether to accept Russia's rules