(CNN)Don't tell the kids, but we've got Santa Claus all wrong.

Countless Christmas songs tell us that Santa is basically the Judge Judy of juveniles. He decides who's been naughty or nice, and doles out presents or punishments accordingly.

But historians say Kris Kringle was originally created to keep adults, not children, off the naughty list. Being crafty codgers, we ducked Santa's surveillance, turning the spotlight on kids and dramatically changing Christmas celebrations.

How did we achieve this very important historical victory?

Picture this: It's the early 1800s, and America's Christian leaders -- most of whom were Protestant Reformation-types -- had banned religious celebrations of Christmas as unscriptural and paganish.

But people still wanted to party. Because, why not? It was midwinter, the crops were harvested and sailors were waiting for better weather to disembark.

So, on December 25, working-class stiffs got fall-down drunk and stumbled around cities looking for stuff to loot.

Imagine Black Friday, spring break and New Year's Eve -- then smash them together like sumo wrestlers full of saki. That was Christmas in the early 1800s.

A bunch of blue-blood New Yorkers decided all this fun must stop.

"They wanted to domesticate Christmas, bring it indoors, and focus it on children," says Gerry Bowler, author of "Santa Claus: A History," and professor of history at the University of Manitoba in Canada.

These grinches, who formed the Saint Nicholas Society of New York, would change the world with two little poems. Yep. Poems.

But let's back up for a minute.

When the Dutch came to the New World in the 1600s, they brought a fellow from folklore named Sinterklaas with them, Bowler says.

Sinterklaas, who wore a red bishop's miter and a snowy white beard, was based on St. Nicholas, a 3rd century Greek who lived in modern-day Turkey.

Despite being a bishop, this Nick was a bit of a bad boy.

An archaeologist who dug up his bones in 2005 found that Nicholas had a broken nose, perhaps a result of the persistent persecution of Christians around that time, said Adam C. English, author of "The Saint Who Would be Santa Claus."

Or could it have been Christian-on-Christian violence?

According to one medieval legend, Nicholas punched a heretic in the nose at the Council of Nicea -- the meeting in 325 that formed the first consensus on Christian doctrine. Early icons of Nicholas depict him without bishop's garb, a subtle suggestion that he had been demoted, possibly for fisticuffs.

Alas, the Nick at Nicea rumor is not true, said English. But people seem to love the story, which pops up like poinsettias on the Internet this time of year.

Thankfully, St. Nicholas, was known for more than brawling. He also had a reputation for giving gifts and protecting children.

The first quality comes from a story about a poor man with three young daughters. Without a dowry to offer suitors, the man worried that his daughters would fall into prostitution. Legend has it that Nicholas dropped three bags of gold through an open window in the man's house, saving the women from the streets.

The second story is a bit macabre: While staying at an inn, Nicholas discovered three dismembered children in pickle barrels. He reassembled and resurrected the briny kids and punished the guilty innkeeper.

These deeds, along with his everyman persona, (he wasn't a martyr or hermit like so many other model Christians of the time), made Nicholas the greatest male saint of the Middle Ages, said Bowler. One measure of his popularity is the looong list of people, places, churches and Christian groups that list St. Nick as their patron.

Bowler, Santa's biographer, says that St. Nick's feast day, December 6, (the day he supposedly died) was celebrated across Europe for hundreds of years, often by giving gifts to children.

But, beginning in the 1500s, the Protestant Reformation swept away the cult of Christian saints, denouncing them as unbiblical and idolatrous. Christmas, too, went pretty much by the wayside for much of Protestant Europe during this time.

Some countries, though, such as the Netherlands, kept alive traditions associated with Sinterklaas. And it was these customs that 19th century New Yorkers wanted to revive.

As they sought to make Christmas more family friendly, the Saint Nicholas Society found the perfect front man in their namesake, who, after all, was known for being nice to children.

It was a genius move. The real goal was getting drunks off the street, remember? Now they could do that by turning Christmas into a family event when children -- who had it pretty rough back then -- would receive gifts for good behavior.

But the Knickerbockers needed more than good cheer to change Christmas. They needed stories.

Drawing on the Dutch legends about Sinterklaas, the American author Washington Irving wrote a series of sketches featuring St. Nicholas soaring high above New York houses, smoking a pipe and delivering presents to well-behaved children.

About a decade later, in 1821, an anonymous poem called "The Children's Friend," featured a magical figure called "Santeclaus," who drove a reindeer-led sleigh full of "rewards" and filled obedient children's stockings with little presents.

Building on that, an Episcopalian scholar named Clement Clarke Moore wrote a poem for his big brood called "A Visit From St. Nicholas."  It's now better known as "The Night Before Christmas."

Strangely for a seminary professor, Moore's poem strips St. Nick of religious rhyme and reasons. Nicholas wears a fur suit, clambers down chimneys and gives presents to good children. But he says nothing about the "reason for the season," as contemporary Christmas warriors like to say.

Still, Moore's St. Nick story went viral, spreading across the northeastern United States faster than reindeer on Ritalin.

In some early depictions, Santa Claus looks like an overgrown elf; in others, he looks kind of scary, as American artists merged St. Nicholas with European traditions such as the German Krampus, who punishes bad children.

By the early 1900s, Bowler says, Santa became standardized as the white-bearded, red-suited, twinkle-eyed benevolent grandfather that we all know and love. And we're not the only ones.

"Merchants seized on this guy right away," Bowler says. "They immediately saw the possibility that this personification could be useful in their selling." In other words, Santa was pitching products almost as soon as he hitched up his sleigh.

But before you blame Kris Kringle for commercializing Christmas, think back to what it was like before he came to town, when kids -- and many adults -- really had something to pout about.

@highlight

In the early 1800s, Christmas in this country looked dramatically different

@highlight

The original St. Nicholas was a bit of bad boy

@highlight

When the Dutch came to the New World, they brought along Sinterklaas