To celebrate our 20th year of publication, Cooking Light wanted to know what places best fit our philosophy to eat smart, be fit, and live well. Using statistics from such organizations as the Centers for Disease Control and Prevention, the U.S. Department of Agriculture, and the Zagat Survey, we ranked major metropolitan areas on 15 criteria. The result, we think, is a ranking of U.S. cities that best provide the resources people need to live healthful lives.

Seattle appears to be a place where healthful living comes easily and naturally, Cooking Light says.

"Each city reflects the full spectrum of living well in its own unique way -- innovative restaurants and markets with nutritious local foods, abundant spaces for walking and other exercise, and a population that takes advantage of both," says senior editor Phillip Rhodes, who headed up the project. "It's great to know that so many people all over the country have the tools they need to eat smart, be fit, and live well," Rhodes says.

Click on each city link below to learn why the city made our list and find details about the healthiest restaurants, freshest markets, and liveliest activities in the area.

1. Seattle, Washington

An abundance of fresh local foods, walker-friendly streets, and inclusive attitudes helps make Seattle America's best city for healthy living.

2. Portland, Oregon

Life is good in our second-ranked city, thanks to its seemingly endless supply of outdoor activities, cutting-edge restaurants, and vibrant environmental consciousness.  Watch more on Cooking Light's Top 20 »

3. Washington, D.C.

Our capital city sets an accommodating agenda with farm-fresh dining, diverse cultures, and ample opportunity for exploration on foot.

4. Minneapolis, Minnesota

In our fourth-ranked best city, lush parks and shimmering lakes provide a natural backdrop to a rich cultural landscape.

5. San Francisco, California

Our fifth-ranked city steps up with one of the world's most unforgettable settings--along with great cuisine and an energetic spirit.

6. Boston, Massachusetts

Strolling historic parks and swanning around the water are but two of the pastimes that make summer prime time to enjoy our sixth-ranked city.

7. Denver, Colorado

The Mile-High City ranked seventh on our list for an outdoorsy Western lifestyle that makes living well accessible and irresistible.

8. Milwaukee, Wisconsin

Our eighth-ranked city proves a worthy destination for food lovers, adventure seekers, and culture aficionados alike.

9. Philadelphia, Pennsylvania

In America's fifth-largest city, the historic past provides a backdrop for a present that's healthful and happening.

10. Tucson, Arizona

Tucson offers a taste of the authentic Southwest in a desert setting that's ideal for a warm winter getaway.

11. Baltimore, Maryland

Baltimore, it turns out, has lots of people who eat five or more servings of fruits and veggies a day--27 percent.

12. Colorado Springs, Colorado

Graced with bountiful trail systems, no wonder 91 percent of the city's population claims to be in good health.

13. Pittsburgh, Pennsylvania

Skies, once dark with factory smoke, open above crystal-towered downtown Pittsburgh, bound on three sides by the rivers Monongahela, Allegheny, and Ohio.

14. St. Louis, Missouri

A love for local produce and healthful activities keeps this urban center well fed and on the move.

15. New York, New York

New Yorkers walk far more than most Americans, and they do it quickly. But they slow down for green markets--25 in Manhattan alone.

16. Atlanta, Georgia

Approximately 55,000 people gather on the Fourth of July at the Peachtree Road Race, the largest 10k in the world.

17. Austin, Texas

You can't swing a yoga mat in Austin without hitting a cool place to exercise--whether it's inside a gym or outdoors in a natural, spring-fed pool.

18. Chicago, Illinois

The city's environmentally friendly mentality is one of the reasons why it is home to the 2007 Cooking Light FitHouse.

19. Las Vegas, Nevada

In our list, the city ranks third in restaurants rated "extraordinary to perfection" and third in nominations for James Beard awards.

20. Kansas City, Missouri

A recent study revealed Kansas City has the purest water of any major city in the country. E-mail to a friend

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright 2008 Cooking Light magazine. All rights reserved.

@highlight

Cooking Light magazine marks 20th anniversary by naming top 20 U.S. cities

@highlight

15 criteria were grouped into categories--eat smart, be fit, live well

@highlight

Seattle tops list with lots of fresh local foods, pedestrian-friendly streets