LONDON, England (CNN) -- Shamita Naidoo said she often wonders whether anyone really ever sees her. She also wonders the same thing about the hundreds of people living around her, in tiny tin shacks perched underneath gum trees on a nearby hill.

Around one million people live near Africa's largest slum, Kibera, located near Nairobi, Kenya.

Sometimes, she said, it seems like they all are invisible.

The shantytown where Naidoo lives is on the outskirts of Durban, South Africa, in an area known as Motala Heights. The squatter community has been there for a number of years, but it's increasingly being squeezed out by nearby factories and suburban neighborhoods.

Some residents, according to Naidoo, have already been evicted. Others are afraid that they could soon be forced to move. And almost everyone fears that if they have to leave, there may be nowhere else to go.

"We are like a lost city," said Naidoo, who shares a home with her two children and 10 other families. "We are not known."

United Nations Habitat estimates that roughly 1 billion people -- or 33 percent of the world's urban population -- live in conditions like those of Naidoo and her family. By 2030, according to the UN's human settlement program, that number is likely to double.

The slum dwellers struggle to survive with little clean water and sometimes no electricity around metropolises like Rio de Janeiro, Brazil; Mumbai, India; Lima, Peru; and Istanbul, Turkey. Their shantytowns are usually vast in expanse and dense in population. In Kibera, a slum near Nairobi, Kenya, for example, more than a million people live in an area about the size of New York's Central Park.

Yet despite their overpowering nature and unavoidable presence, the world's informal cities are often overlooked -- partly, according to UN Habitat, because many aid efforts are still focused on helping the rural poor: "Rural poverty has long been the world's most common face of destitution," U.N. Secretary-General Kofi Annan said in a 2006 world city report. "But urban poverty can be just as intense, dehumanizing and life-threatening."

The problem can also seem too big. The slums appear impenetrable to outsiders. And no one wants to take full responsibility. So walls are built, blinders are put on, and the shantytowns simply fade into the backdrop of urban life.

"We still don't know what to do," said Edesio Fernandes, a professor of urban planning at the University of London. "A huge amount of money has been spent and very little has been achieved in terms of reversing the phenomenon."

Although slums, in and of themselves, are nothing new -- some Brazilian favelas are more than 100 years old, Fernandes said, and many modern cities, like New York and London, once had prolific slum-dwelling populations -- what is unprecedented is the rate at which they are growing. The UN estimates that almost 70 million people move into cities each year, many of them poor.

Yet this, according to some experts, should not be seen as a problem but rather as a potential way to win the war against global poverty.

The mindset must shift from "city as problem to city as solution," said Stewart Brand, president of the Long Now Foundation, which aims to raise awareness on solving long-term problems.

Historically, Brand said, squatter cities have always been areas of economic expansion; within them there is virtually no unemployment, and their inhabitants are constantly striving to lift themselves out of destitution, he said.

"[Slums] are generating wealth the way cities have always done," Brand said.

In India, almost 20 percent of the GDP comes from Mumbai, where half the city's 12 million residents live in slums, Brand said. And even though many slum dwellers work in the informal economy, the official economy benefts as workers accumulate income and can afford to buy more goods and services outside their shadow neighborhoods.

Urbanization also leads to lower birth rates, Brand said, which means as more people migrate to cities, the world's population could eventually level off at around 8 billion or 9 billion and then rapidly drop.

But to both capture and capitalize upon the potentialities of slums, more must also be done to embrace the people who reside in them and understand how they live their lives, said Robert Neuwirth, a journalist who spent two years living in shantytowns around the world.

Many employees working in Rio's high-end hotels and restaurants live in nearby favelas, Neuwirth said. And not all slum dwellers are necessarily poor -- a survey of more than 200 slums across India by Shelter Associates, which provides support to informal settlements, found residents with a variety of jobs, including government employees, small entrepreneurs and even doctors.

"Outsiders tend to view these as repositories of criminality, and they are not at all," he said. "These are hardworking communities whose aspirations are the same as yours and mine, and the sooner we understand that, the sooner we can begin working with these communities."

Some progress has been made, especially in Latin America, around cities like Rio. There, despite the presence of drug gangs who largely control the communities, a handful of favelas are undergoing a sort of gentrification. Businesses like cable television companies and banks have moved in, and tourists are even making reservations to stay in new shantytown hotels, Neuwirth said.

Yet in the Motala Heights slum in South Africa, along with many others around the world, the situation remains stagnant as governments continue to deny slum dwellers basic infrastructure and property rights and occasionally even demolish entire parts of shantytowns altogether, forcing their dwellers to move to another piece of land and try, once again, to build a new life.

"We have to recognize these people as people and not as statistics," Neuwirth said. "The way forward is to engage with them."

..................................................................................

What do you think should be done to solve urban poverty? What approaches might be taken to upgrade slums? What perceptions still must be changed about informal settlements? Share your ideas or stories in the "Sound Off" box below.

@highlight

UN estimates 1 billion people live in slums, number likely to double by 2030

@highlight

Urbanization could hold key to ending poverty and overpopulation, experts say

@highlight

Writer Robert Neuwirth says slums must be "engaged," not ignored