(CNN) -- Across the seas and oceans of Asia, islands and the waters around them are frequently a source of dispute and even military confrontation. Japan and Russia squabble over Hokkaido; Japan and China claim sovereignty over islands in the South China Sea (Senkaku to the Japanese; Diaoyu to China). Several nations lay claim to the Spratley Islands. But the coastline of the Yellow Sea -- where North and South Korea meet -- is the most explosive of all.

The Demilitarized Zone between the two Koreas has long been settled in the permafrost of a diplomatic cold war. Down to the last inch, the two sides know their limits. That's not so at sea, where the North and South have long disagreed on whose waters end where -- especially in the Yellow (or West) Sea, which is dotted with islands.

The South Korean warship Cheonan was torpedoed in March in this disputed area, leaving 46 sailors dead. The island of Yeonpyeong, the target of a North Korean artillery barrage this week that killed four people, is in the same area. And upcoming exercises involving the U.S. and South Korean navies will take place in this part of the Yellow Sea.

At the heart of the dispute is what's called the Northern Limit Line. In 1953, after the Korean War, the United Nations unilaterally drew this line three nautical miles from the North Korean coastline. That put five islands close to the coast under South Korean control. It also hemmed in the port of Haeju, the only deepwater harbor in the North that doesn't freeze in winter. What was supposed to be a temporary arrangement has become permanent in the absence of a full peace agreement. The Northern Limit Line is still in place today -- running close to the North Korean shoreline for about 100 miles.

Pyongyang has never been happy about the arrangement, but only in the 1970s did it begin to challenge it. North Korea has subsequently proposed a different line -- one that would roughly extend the DMZ southwest out into the Yellow Sea, rather than hug the North Korean shoreline. A few years ago, in typically colorful language, the North labeled the NLL "an illegal and brigandish line drawn by the U.S. on our sacred territorial waters." But the South has always resisted Pyongyang's alternative line -- as it would have brought North Korea's maritime boundary closer to its main port of Incheon.

Now add the fact that these waters are important fishing and crab grounds. For North Korean fishermen especially, the blue crab season between June and September is an important source of income. Ironically, those crabs have a habit of migrating south during these months. So these waters are frequently crowded with boats from both countries -- as well as vessels from China, just to complicate the picture. Disputes over fishing rights have resulted in dozens of boat seizures. According to the South Korean Maritime Police, the North seized 36 boats in the Yellow Sea in the 1990s.

More recently, the coastal waters have seen armed clashes. The most serious of them were in 1999 and 2002, which led to loss of life. The North Koreans may not wish to risk a full-scale naval engagement -- its warships came off much worse in the 1999 skirmishes and the technological gap between the two fleets has only widened since. Last year, a South Korean warship fired on and reportedly damaged a North Korean vessel that was alleged to have crossed the Northern Limit Line, leading Pyongyang to condemn what it called "a grave armed provocation."

So the coastal waters of the Yellow Sea have long been the "theater" in which Pyongyang could most easily provoke a crisis, and most easily legitimize it. Added to which, such confrontations -- using artillery and patrol boats -- can be contained and managed. Nuclear threats tend to leave less room for maneuver.

In the wake of the latest incidents, both sides appear to be hardening their positions. South Korea has strengthened its rules of engagement in the Yellow Sea. Far from reducing the marines stationed on the five islands off North Korea's coast, as was planned, they will be reinforced. And there's plenty of pressure in the South Korean media for a hard line, with the conservative Chosun Ilbo claiming Thursday that "the military has been implementing reforms that weaken defense capabilities" on the islands.

Few analysts expect any compromise on the Northern Limit Line in the near future, given the overall deterioration in relations and the complex negotiations that would be necessary to find an alternative to what was meant to be a temporary solution nearly 60 years ago.

@highlight

Asian islands are a common source of friction between countries in the region

@highlight

The Northern Limit Line was drawn in 1953

@highlight

North Korea wants to push the line further out to sea

@highlight

The dispute also involves fishing zones