(CNN) -- On June 17 and 18, the political world's focus will be on Northern Ireland, where the Group of Eight summit will take place.

Although this is a region defined by its violent history, the summit is already proving to be one of the most complex and wide-ranging security operations Northern Ireland has ever seen. Thousands of additional police officers are being brought in from England, Wales and the Republic of Ireland to assist.

During the 2005 event, which took place in Scotland and was the last G8 summit in the UK, four al Qaeda-inspired men detonated bombs on the London transport network, killing 52 people and themselves.

Although any kind of incident at or around the summit venue itself remains unlikely, there is the risk of a terrorist attack timed to distract from the event. But this year, unlike the 2005 attack, the focus is on a very different kind of group.

If you thought Northern Ireland's troubles were a thing of the past, you'd be forgiven. A brutal terrorist campaign over 35 years that saw almost 4,000 deaths came to an end thanks to a hard-fought political process. What that took should not be underestimated. Years of painstaking mediation and negotiation, risky moves by brave politicians on all sides and the crucial involvement of the U.S. saw hope prevail, despite the occasional setback that threatened destabilization.

Communities on both sides of the social and political divide cautiously welcomed the peace process and its negotiated settlements. The "Troubles" seemed finally to be over. Former paramilitaries agreed to lay down their arms, and once-sworn enemies eventually learned to share power.

Yet, peace in Northern Ireland is still described by many as fragile. In recent times, riots, gunfire and petrol bombs have returned to the streets. The "flag protests," which defined the end of 2012 and the beginning of 2013, have again highlighted the inherent divisions in Northern Irish society. The Union flag, flown proudly over Belfast City Hall for so long, was lowered after a vote by the City Council. Some among Northern Ireland's Unionist community were outraged. Protests escalated.

But it is not the rioters and flag protesters who pose the most persistent threat to this fragile peace. Another group watches from the sidelines. They are the "dissident" Republicans, splinter groups that have grown in size and impact since the peace process saw the end of the Provisional IRA as we once knew it.

The dissidents are responsible for a growing wave of low-level bombings, shootings and threats across the region. They insist that only armed resistance can force Britain's withdrawal from Northern Ireland and lead to a united Ireland. While most people in Northern Ireland view the peace process as having brought stability, the dissidents reject it.

Though tactically proficient, the dissidents lack strategic acumen. On the surface, they are united by the idea of "Brits out," with aspirations to achieve a united Ireland through violence and their disdain for the Sinn Fein leadership and the peace process that it has embraced.

Traditionally, dissidents have been split by local differences, ideological divergences, petty jealousies and competitive personalities. "Dissident Republican" came to describe a range of groups. One calls itself the Real IRA. Then there's the Continuity IRA and Ã“glaigh na hÃ‰ireann, Gaelic for Irish Volunteers.

There has been talk of a merger to unite the disparate factions. In July, the "New IRA" was announced: a merger of the Real IRA, the Derry-based Republican Action Against Drugs and other previously non-aligned Republicans. But the Continuity IRA stayed aloof from the alliance.

The new group's members and supporters may number in the few hundreds, but it seems their ranks are growing. They have killed soldiers, police officers and most recently a prison officer. They continue to target Northern Irish police stations, with weaponry of growing sophistication. They shoot suspected inner-city drug dealers north and south of the Irish border to help embed themselves in their communities while simultaneously undermining the police.

These dissident factions are capable of causing sometimes extensive disruption with actual or hoax improvised explosive devices. Just last year, police in Northern Ireland recovered an armor-piercing rocket that included the plastic explosive Semtex in the city of Londonderry.

We have monitored the dissidents' steady rise, logging thousands of events and documents in the process.

What does it all add up to?

In short, the threat posed by dissident Republican groups is evolving, and probably for the worse. Their activity has increased. Their recruitment efforts continue to expand. Many of these new recruits belong to a different generation from their forerunners. They weren't even born at the time of the 1994 Provisional IRA cease-fire, and some of the older members are senior ex-IRA members who bring much needed political acumen, as well as expertise in bomb-making, recruitment, training and targeting.

Their activities span the country, north and south, with mostly urban concentrations in Belfast, Derry, Dublin and Limerick. There is increasing evidence of training and recruitment in the Irish Republic, with evidence for some logistical support appearing in England.

True, they don't have the kind of support once enjoyed by the Provisional IRA. But the dissidents don't just acknowledge their lack of popular support. They embrace it. They revel in their "noble isolation."

Terrorism analysts have come to associate this particularly dangerous kind of thinking with Islamist terrorist groups, not Irish Republicans. Yet Ireland's newest dissidents are a different breed and pose new threats.

In responding to recent dissident activity, Northern Ireland's politicians have been vocal. We hear, time and again, "Nobody wants a return to the old days," "They have no mandate" and "They will never win." Those same clichÃ©d responses never deterred the Provisional IRA. In defiance, and in an appeal for support, the dissidents claim the ability to bring their "struggle to a successful conclusion through military operations."

The 100th anniversary of the Easter Rising, when the progenitors of Irish Republicanism were executed by occupying British forces, is in 2016. Just like their IRA predecessors, the dissidents draw their inspiration and legitimacy from an unyielding view of the past yet find a steady stream of eager recruits in the present.

In the years leading up to 2016, it is likely that the dissidents will try to strengthen their support and perceived legitimacy through a proliferation of attacks. They will promote themselves as the true heirs of the 1916 Republicans, heirs who can finally bring about a united Ireland through one last campaign of force.

The IRA itself was once just a ragtag bunch of self-appointed guardians of an age-old mission that found relevance in contemporary events. A remorseless logic in what the dissidents say reveals why they are unpredictable, dangerous and ambitious.

We have become dangerously complacent about the dissident Irish Republicans. We hope we are wrong, and the G8 summit in County Fermanagh does not become a platform on which they can bring international attention to their campaign.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Writers: G8 summit in Northern Ireland presents a security nightmare as IRA rises again

@highlight

Al Qaeda-inspired terrorists killed 52 people in London during 2005 summit in Scotland

@highlight

Writers say that this year, new energized IRA groups are an underestimated threat

@highlight

This is not the Provo IRA of old, they say; these are fanatical splinter groups