(CNN) -- It's been more than a month since Jerry Mann's 9,000-acre farm has gotten rain, and when the 56-year-old Montana man examines the dry, shriveling kernels of wheat and barley, he's understandably nervous.

"We're looking at a 30-40% drop in the usual yield if we don't get some rain here real soon," he said.

The high Tuesday in Great Falls, Montana, is 95, a number that pales in comparison to the triple digits seen recently in other parts of the country, but presents major problems for its residents -- particularly those involved in agriculture.

Extreme weather: Get ready to see more of it

With cooling temperatures in the South and Midwest, national attention has shifted to Arizona and California, where temperatures are well above 100.

But the real story is temperatures up to 15 degrees above normal in northwestern cities such as Great Falls, according to CNN meteorologist Sarah Dillingham.

Mann, 56, knows the land and knows the crops. He was born into farming, and on that land he's raised wheat, barley and a family.

A 30% to 40% drop in yield, of course, means a 30% to 40% drop in income.

"You worry," he said, sighing. "But there's nothing you can do about it."

The heat came early this year, but it isn't uncommon for Montana temperatures to swing wildly, said Great Falls Fire Chief Randall McCamley. It's one of the things he likes about Great Falls, where he has lived for 30 years.

"We can break a record high and a record low on the same day here," he said. "It keeps us guessing."

Though untimely, the temperatures in Montana haven't caused any heat-related deaths, state officials said.

But at least 51 people elsewhere in the United States have died from heat-related -- or heat-exacerbated -- causes in the past two weeks. It is difficult to determine an exact number because of a lag time in official counts and differences in the states' standards.

Triple-digit strategies for staying healthy

The National Weather Service has issued excessive heat warnings for parts of Arizona, California and Nevada through Wednesday, with temperatures forecast to peak Tuesday at 113 degrees in Las Vegas; 113 in Phoenix; 116 degrees in Yuma, Arizona; and 125 degrees in Death Valley, California.

In the Las Vegas Valley, local officials are opening up cooling stations Tuesday to give residents a place to beat the heat. Forecast highs in the 100s will continue into next week.

But as the Southwest heated up, the rest of the nation began returning to normal summertime temperatures.

A cold front pushed through the Midwest, as well as parts of the South and mid-Atlantic states, sparking severe storms and heavy rain in some areas.

The cool-down follows a heat wave that roasted much of the country for more than a week and comes as the National Climatic Data Center reported the mainland United States has experienced the warmest 12 months since record-keeping began in 1895.

Past twelve months warmest ever recorded in U.S.

The report does not take into account blistering heat from this month, with 2,116 high-temperature marks either broken or tied between July 2 and July 8 in communities nationwide.

But it does incorporate the warmest March recorded as well as extreme heat in June, which also helped make the first six months of 2012 the warmest recorded of any January-June stretch.

"There are a lot of things going on that have been very unusual over the last several months," said Dev Niyogi, earth and atmospheric sciences professor at Purdue University.

In the last half of June, 170 all-time temperature records were matched or smashed in cities across the lower 48 states. The U.S. State Climate Extremes Committee also is reviewing whether 113-degree temperatures in South Carolina and 112-degree recordings in Georgia qualify as all-time records in those two states.

Heat affecting your area? Share your photos and videos with us on CNN iReport.

Six common sun myths, exposed

Emilia strengthens to Category 4 hurricane in Pacific

Opinion: Heat wave lesson -- We take comfort for granted

Cold front forecast, but blistering heat to linger a little longer

CNN's Ed Payne, Greg Botelho, Joe Sutton, Devon Sayers and Dave Alsup contributed to this report.

@highlight

NEW: Temperatures are as much as 15 degrees above normal in the Northwest

@highlight

NEW: A Montana farmer fears he could lose 30% to 40% of his crop because of the heat

@highlight

Temperatures Tuesday in California may go as high as 125

@highlight

Last 12 months were the hottest on record in the U.S., report says