(CNN) -- What if we could use solar energy when the sun has set, or wind energy when the air is calm? Donald Sadoway is working on a way to make that happen.

The professor of materials chemistry at MIT is leading an effort to develop a new kind of battery -- a "liquid metal battery" -- that would enable the economical storage of energy from solar, wind and other sources so that it could be used when homes and businesses need it.

Sadoway's work landed him on TIME's list of the world's 100 most influential people this year and last month he was a guest on the Colbert Report.

In March, he described his project in an interview with CNN after giving a talk at the TED conference in Long Beach, California. "We need to have reliable sources of electricity. And wind and solar in harmony with a battery become reliable 24/7," Sadoway said.

Watch Donald Sadoway's TED Talk

Describing his group's work at MIT, he said, "We think it's a breakthrough because it addresses all of the uniquely demanding performance requirements of the grid, namely uncommonly high power, long service lifetime, but in addition, meeting the superlow price point of this application.

TED.com: Using nature to grow batteries

Sadoway explained the importance of the liquid metal battery in his TED Talk this way:

"The electricity powering the lights in this theater was generated just moments ago. Because the way things stand today, electricity demand must be in constant balance with electricity supply. If in the time that it took me to walk out here on this stage, some tens of megawatts of wind power stopped pouring into the grid, the difference would have to be made up from other generators immediately. But coal plants, nuclear plants can't respond fast enough. A giant battery could.

"With a giant battery, we'd be able to address the problem of intermittency that prevents wind and solar from contributing to the grid in the same way that coal, gas and nuclear do today.

"You see, the battery is the key enabling device here. With it, we could draw electricity from the sun even when the sun doesn't shine. And that changes everything. Because then renewables such as wind and solar come out from the wings, here to center stage."

TED.com: Using biology to rethink the energy challenge

Inspired by the technique developed in the 19th century to produce aluminum at very low cost, Sadoway came up with the idea of using such commonly available materials as magnesium and antimony to create the battery. He co-founded a company, Ambri, to commercialize the technology.

In an e-mail interview this month, Sadoway answered some questions about his work:

CNN: What makes the liquid metal battery (or LMB) better than other energy storage devices we have now?

Sadoway: LMB is designed to the price point of today's electricity markets. This means it's made of earth-abundant elements and is designed to be easy to manufacture.

CNN: How would this battery change our society, economically and politically?

Sadoway: LMB would make today's grid more robust (less vulnerable to power failure), reduce price volatility, and make better use of existing generating assets (allowing us to install capacity to meet average demand instead of peak demand). LMB will also allow us to fully use intermittent renewables such as wind and solar.

CNN: What are the dimensions of the battery and how much electricity can it store? And do you expect future generations of the technology to be smaller or to store more power?

Sadoway: We are exploring various cell sizes at the moment to determine which will be most economical to manufacture. The battery (which consists of many cells) will be tailored to specific applications. For example, one variant will be the size of a 40-foot shipping container and hold 2 MWh, enough electricity to meet the daily needs of 200 American households.

CNN: What stage is your research at now? Is the product commercially viable?

Sadoway: Research on campus at MIT proceeds with the search for new chemistries, i.e., new alloys for the electrodes and new salt mixtures for the electrolyte. At Ambri the focus is on design, construction and testing of a first commercial prototype ready for early 2014.

CNN: Who would market it and when do you think it would be on the market?

Sadoway: With our first commercial prototypes delivered in 2014, we expect to ramp with partners very rapidly to widespread production and adoption across the globe.

CNN: How much would a battery of this type cost?

Sadoway: Ambri is aiming to deliver electricity storage without subsidies. We are focused on delivering value equal to or greater than existing alternatives such as peaking power plants as well as building out transmission lines.

CNN: Who would buy it?

Sadoway: We expect that over time we'll see interest in LMB technology from utilities and conventional as well as renewable project developers. Ultimately, this may extend to also include electricity consumers from large industrials to individual residences.

At TED, Sadoway got enthusiastic applause when he told the audience: "If we're going to get this country out of its current energy situation, we can't just conserve our way out; we can't just drill our way out; we can't bomb our way out. We're going to do it the old-fashioned American way, we're going to invent our way out, working together."

@highlight

Solar, wind energy can't provide reliable 24/7 power without a way to store it

@highlight

Donald Sadoway at MIT is working on a battery that would enable low-cost, mass storage

@highlight

He says if power could be stored, the energy business would be changed forever

@highlight

Sadoway: Answer to our energy issues isn't only conservation or drilling, it's innovation