London (CNN) -- Andy McNab is trying to convince me that being a psychopath is good for business.

"When I look at CEOs, or even political leaders, I don't want them to have empathy," he says. "What I want them to do is to have focus and to make the best decisions possible.

"I want them to be ruthless," says the ex-soldier with a hint of passion so fierce it risks betraying his claim to "have no feelings."

If the timbre of McNab's voice gives much away, his face is inscrutable in the darkened basement room chosen for our interview.

His true identity is hidden because of the anti-terrorism operations he was once engaged in as a member of Britain's elite SAS.

McNab isn't even his real name, rather a pseudonym adopted to write the 1993 book, Bravo Two Zero, recounting his time behind enemy lines in Iraq.

Trauma, it seems, has been a recurring theme in McNab's life, which may explain the man's ability to master his emotions.

Left at the door of a London hospital as a baby in a Harrods carrier bag, McNab had a rough upbringing, in and out of juvenile detention in South West London, before finding himself suited to the discipline of the army, which he joined at 19.

Although he was only officially diagnosed as a psychopath four years ago, McNab says he always knew he was different.

"As kids you run around the housing estates in gangs," he says. "Well, when the gangs started their smoking and their drinking, it didn't interest me at all... I was always slightly detached from that."

As a professional soldier, McNab says he first killed a person during his first year in the military and was surprised to have felt no remorse.

"You are in a situation where nine out of ten times in conflict they are trying to do the same to you. So you've got a responsibility to yourself to stay alive... you've got a responsibility to keep everybody else alive," he says.

But what exactly is a psychopath? And is the disorder a hindrance or can it be a help?

From Charles Manson, to Ted Bundy, the annals of crime history are replete with examples of what you might term traditional -- or dysfunctional -- psychopaths, people capable of carrying out the most abhorrent crimes, those without feeling or the ability establish meaningful relationships.

Now after extensive research scientists have begun to realize a scale of less extreme psychopathic traits that may lie in some of us, ones which, if harnessed correctly, McNab says can be a secret weapon.

"When we look at psychopaths, we always look at the Hannibal Lecter-type character. Or Norman Bates, but it's a broad spectrum," he says.

"Focus is the key. And, in my line of work, I have found where I am on the psychopathic scale has been nothing but an advantage."

Today, though, the grenades and guns are long gone.

McNab saves his fighting talk for the boardroom, coaching top management on how to become better leaders, with a seat on five boards and a new book called The Good Psychopath's Guide to Success.

"The board room is the same as the situation room," McNab says. "Nine out of ten times the decision processes are the same.

"I tell them, get rid of the empathy. Focus on what you've got to do. The most important thing is the mission," he says. "Ask yourself what am I here to achieve?"

And "empathy," he concludes, "doesn't help you get there."

While McNab's message might sound harsh, his doctrine isn't new.

In 2011, Jon Ronson's book "The Psychopath: A Journey Through the Madness of Industry" estimated the incidence of psychopathy among CEOs was four times larger than in the rest of society at large.

In an interview with Forbes magazine, the journalist said the prevalence of psychopaths in the business world appears heightened because capitalism selects for their specific behavioral features.

The psychopath, Ronson tells the publication has been "hailed and given high powered jobs, and the more ruthlessly his administration behaved, the more his share price shot up."

And nothing makes a share price soar more than news of cost cuts.

Which brings me to the question: how does a psychopath fire someone?

McNab, it seems, is often called upon to help navigate this corporate minefield.

"One particular woman I spoke to was brought on board to make about 400 people redundant. She had empathy for these people, for their families, for their mortgages."

"For her it was [taking] a huge emotional toll. And it was a case of sitting down with her and trying to get her to think of it in a different way."

So does McNab think the free market has taken the stigma out of the word "psycho" to society's detriment?

"Certainly if we are looking at capitalism, what we have seen is the ones who step up more tend to be high on the psychopath trait level. That doesn't mean to say they're the Gordon Gekko types. Far from it."

McNab says some two million people have logged on to take his web site's psychopath test while numerous chief executives have bought his new book.

But McNab insists he isn't trying to convert all heads of industry to his unique line of thought.

"We're not trying to make everyone a psychopath. That would be totally counterproductive.

"What we are trying to do is to clear the decks for them to understand how their brands work, how their brains work, so that they can become more productive."

And to sum up his strategy McNab uses a word rarely mentioned in the context of the psychopath's condition.

"It's about striking a balance," he says.

ARE YOU A PSYCHOPATH? TAKE THE TEST HERE

@highlight

Andy McNab argues being a psychopath is good for business, and that leaders should not have empathy

@highlight

The former SAS soldier and author is a psychopath and says he always knew he was different

@highlight

He tells Nina dos Santos he did not feel remorse when he killed during his time in the military

@highlight

But McNab says being a psychopath can be a matter of striking a balance