(CNN) -- The Germans are coming -- and this time London cannot wait.

Germany suddenly finds itself in the unusual position of being uber cool, and that is in no small part thanks to the first all-German European Champions League final on Saturday, when Bayern Munich takes on Borussia Dortmund at Wembley Stadium, the home of English soccer.

From triple world champion Sebastian Vettel revving up as the poster boy of Formula One, to Oscar-winning actor Christoph Waltz, -- who is the son of a German father and Austrian mother -- starring on the big screen, Germany has a newfound confidence about itself.

And yet, some stereotypes just won't disappear.

Within minutes of Dortmund's semifinal victory over Real Madrid, the first "jokes" began to emerge with the UK's tabloid papers jesting that "fans had their towels on the seats already" -- a reference to German holidaymakers' apparent habit of claiming sun loungers at beach resorts.

Traditionally the British have had a particularly testing relationship with Germany, and it has much to do with the two World Wars of the 20th Century.

As recently as a decade ago, stereotypical images of Germans decked out in Lederhosen, socks and sandals goosestepping to the beat of the Oompah Band armed with a Bratwurst and quaffing a Weissbier were not uncommon in British red-top tabloids.

On the terraces, England fans would taunt their German opponents with songs about World War II and the infamous "Ten German Bombers song" where the victory of the Royal Air Force during the Battle of Britain is recounted.

Peep Show, one of the most popular British TV sitcoms of recent years, is one of the more contemporary programs to reference the "Sausage-munching Bosch" and "Fritz, the Bratwurst Guzzler."

But former tennis star Boris Becker believes his country's successful hosting of the World Cup in 2006 has helped transformed Germany's image.

"I think we have shown the world how diverse and multicultural Germany has become," says the six-time grand slam champion, who has been hugely popular in Britain since winning Wimbledon at the age of 17 in 1985.

"We did a great job with the visiting fans," he told CNN. "And whoever was there seven years ago has seen a different side of Germany and have realized that the new Germans are much 'cooler.'

"I wouldn't say that the English are falling in love with Germany, but I think they have respect for what Germany has achieved in the sporting world.

"There is a new multicultural wave coming from Germany, which is very international and very cosmopolitan."

Swashbuckling style

Britain, too, has come a long way in its perception of Germany since John Cleese famously goosestepped his way around Fawlty Towers as hotel owner Basil Fawlty in one of the country's most beloved TV comedies during the 1970s.

It's not just the swashbuckling style personified by Bayern and Dortmund that has helped reinvent attitudes to Germany -- it's also been reinforced by the nation's football team under the guidance of ultra-cool Joachim Low.

Comprised of players from the German, Polish, Turkish, Tunisian and African communities, Low's squad produced the kind of exhilarating and vibrant football which helped the team reach the final of the 2008 European Championships, as well as the semifinals of the 2010 World Cup and 2012 Euros.

Behind the scenes, the Bundesliga, with its low ticket prices, safe standing areas and stylish infrastructure, has eclipsed the English Premier League and Spain's La Liga as the hipsters' choice.

These days fans from all over Europe flock to stand on Dortmund's famous Sudtribune terrace, to catch a glimpse of Bayern or venture further to the likes of St. Pauli in Hamburg, a favorite with many foreign supporters.

"The weather is good and the beer is better," quipped the Bundesliga's chief executive Christian Seifert after being asked why German football attracts so many tourists.

"But I think it's more to do with safe standing, the relatively low ticket prices in relation to very attractive games and a good atmosphere at the stadium," he told CNN.

"In 2006, more English tourists were in Germany than ever before and in those four weeks we had great marketing and great weather. It was the best summer I can remember.

"After the World Cup, a lot of investment was made in stadium infrastructure, so it was really easy to get there.

"We have a relatively low amount of season tickets, so it's possible to get a ticket in the 'free' sale at a fair price. If then, somebody says they want to see a Bundesliga game, then that's great."

Football fans are also attracted to the Oktoberfest, a 16-day celebration of beer held in Munich each year, with its clubs and bars making it a popular destination for bachelor parties and weekends away.

Jingoistic stereotypes

Matthias Krug, an author and journalist, says he heard and witnessed anti-German chants and rhetoric when he lived in England between 2004 and 2007.

The nations' footballing rivalry stems back to the 1966 World Cup final, when England controversially beat West Germany in extra time at Wembley as Geoff Hurst scored a goal that is still debated to this day.

West Germany got revenge in Mexico four years later, while the English have since suffered heartbreak against "Die Mannschaft" in several high-profile tournaments since -- though 2001's 5-1 triumph in a World Cup qualifier in Munich provided some respite.

"I once traveled on a train in northern England which was completely packed and then people suddenly began singing a vivid song about one English victory in football and two in wars," says Krug, who lived in Nottingham between 2004 and 2007, but now works in Qatar.

"I think fighter pilots from the RAF were also mentioned. It must have been my looks which sparked them. I don't remember having said a word, either pre- or post-singing," he told CNN.

"Obviously stereotypes related to Germany, both positive and negative, that have been very strong as a result of history and also our sporting history.

"They also vary greatly; others in England showed a strong sense of respect for the achievements and consistency of German football."

In 1996, before England hosted a semifinal clash with Germany at the European Championships, the tabloid Daily Mirror published a front page with the words, "Achtung, surrender, for you Fritz, ze Euro 96 Championship is over."

Ten years later, The Sun newspaper provoked fury from German Chancellor Angela Merkel after publishing an unflattering photo of her from behind while she changed into a swimming costume with a headline of: "I'm bigger than the Bumdestag."

That incident provoked fury in Germany and no shortage of embarrassment in the UK.

But it's not just in Britain, where this deep-rooted hostility towards Germany is alive and kicking.

Most recently, Merkel has suffered from having her economic policies compared to those of the Nazis by the Hungarian Prime Minister, while the the German leader has also been lampooned by the Greek press.

Media perception

According to the 2011 UK census, there are 274,000 Germans living on British shores.

"At the moment it is really cool to read all the very well-informed and positive articles about German football in the British press," says Karl Pfeiffer, the director of educational links at London's Goethe-Institut.

"Since the 2006 World Cup in Germany, the media perception of German football and Germany in general has dramatically changed," added Pfeiffer, who has lived in England since 1986.

"Personally I never encountered stereotypical comments or remarks, but parts of the press here before 2006 were a different matter.

"In my job I work on a German football project with Arsenal, which has two great and popular German players, Lukas Podolski and Per Mertesacker.

"The project is for school children and it is great to see how interested they are in in German football, too."

Dortmund's success in reaching the final has particularly struck a chord with neutral fans given the club almost went out of business eight years ago.

Under the guidance of charismatic coach Jurgen Klopp, whose popularity has seen a pop song written about him, Dortmund's run to the final has left even the most hard-hearted of seasoned aficionados willing on the men in yellow and black.

"It is really nice to see how well Dortmund and Klopp are liked all over Europe," Sandra Goldschmidt, a devoted follower of the club, told CNN.

"Everyone loves a little fairytale story like ours from nearly having to go into administration to being in a Champions League final, and that is really all thanks to Klopp.

"I guess that people in England also really admire it that we have done this without making big-money signings but by finding talents."

So as Bayern and Dortmund fans walk down Wembley Way, originally constructed by German prisoners of war in the 1940s, it will provoke a timely reminder of how the world has moved on.

And it is Krug's hope that Saturday's showpiece will galvanize further change in attitudes towards Germans.

"This year's Champions League final may well prove to be a temporary culmination of changing perceptions towards Germany," he said.

"Football has the power to change worldwide stereotypes and perceptions. It's done so in the past and it will do so again."

@highlight

Bayern Munich plays Borussia Dortmund in all-German European soccer final

@highlight

Tennis ace Boris Becker believes multicultural Germany has changed country's image

@highlight

Bundesliga chief thrilled with success in attracting foreign fans to German games

@highlight

Former hostile press coverage and negative stereotypes becoming rarer and rarer