(CNN) -- At a critical moment in the newly released action-thriller movie "Contagion," the young disease detective, played by Kate Winslet, is using a dry-erase board to drive home the danger of the new virus that has wiped out thousands of people, including Gwyneth Paltrow.

Winslet's character uses a concept known as "R0" -- pronounced "R-naught"--- to explain to skeptical public health officials that the new virus could be much more contagious than influenza or polio.

"I wanted people to understand R0," explains Scott Z. Burns, who wrote the film, which was No. 1 at the box office this weekend. Here it is: R0 is the number of new cases that a single infected person will cause, on average. In most seasons, R0 for influenza is just below 2. In the devastating 1918 pandemic, it was likely above 3. With an R0 that high, the number of cases will grow exponentially, unless patients remain isolated or quickly receive effective treatment.

"Kate Winslet did an amazing job with it," says Burns. "That one scene is really a science and math lesson, but people seem to get it."

Advanced math and science aren't usually a part of a big Hollywood thriller, particularly one with "Contagion's" cast: not just Winslet and Paltrow but Matt Damon, Jude Law, Laurence Fishburne and Marion Cotillard, along with a cameo by CNN's Dr. Sanjay Gupta. But Burns and director Steven Soderbergh approached the project in an unusually dedicated way.

The germ of the idea was planted in Burns when he saw an online TED talk by Larry Brilliant, who was one of the doctors and scientists who finally eradicated the smallpox virus in the 1970s. By the time he gave the talk in 2006, he was working with Google to try and leverage the reach of the Internet to find early warning signs of a flu pandemic or other outbreak of deadly disease.

Burns reached out to Brilliant, who introduced him to Dr. W. Ian Lipkin, a scientist and disease detective at the Center for Infection and Immunity at Columbia University.

Lipkin describes himself as an experimental pathologist -- "I figure out what went wrong." As a big part of his research, he examines tissue samples from around the world, looking for new and dangerous viruses. He began to hold one-on-one seminars with Burns at his office and his lab at Columbia, which evolved into a major role as a consultant on the film.

Lipkin says the science in "Contagion" is strong enough that the film could have a long life as a teaching tool for students, politicians and even public health officials.

Soon, Burns found himself poring through the daily reports of ProMedMail.com, a sort of listserv for scientists and infectious disease specialists, flagging unusual cases or findings anywhere in the world.

"You'd see three unexplained deaths in Africa, or two people with an unusual virus in India. I'd call Ian, and frequently he'd have been sent blood and tissue, to see what it was," Burns recalls.

For the right killer for "Contagion," "I wanted to find a virus that would be especially nefarious in that it wouldn't show up in an unusual way, that could be misinterpreted in an emergency room 5,000 miles away from where a person originally caught it."

Burns and Lipkin eventually focused on a pair of deadly, closely related viruses that primarily live in bats but occasionally infect people: Nipah, found in Southeast Asia, and Hendra, from Australia. With a screenwriter's glee, they genetically modified the fictional virus to let it spread readily through bodily fluids or coughing. Voila! A global killer.

By then, Brilliant had left Google to work at the Skoll Global Threats Fund, a foundation created by eBay co-founder Jeff Skoll to conduct research on large-scale dangers, including viruses. Another Skoll venture, Participant Media, founded with a mission to support films with important social messages, agreed to underwrite the development of the script. Ricky Strauss, Participant's president, served as an executive producer of "Contagion."

Meanwhile, Lipkin was opening more doors to the scientific community, including top officials at the World Health Organization and the Centers for Disease Control and Prevention.

"Some of these places, they wouldn't have gotten the time of day," recalls Lipkin. "But I said, 'look, this is an important film. I wouldn't put my name on it if I didn't think it was going to be solid."

CDC not only allowed filmmakers to spend a day shooting "on campus," but senior scientists spent a day with Winslet to help her prepare for the role. Winslet's main guide at CDC was Dr. Anne Schuchat, who led the agency's response to the H1N1 pandemic.

"In my discussions, the key thing I wanted to get across was the intensity of these investigations, the focus you give and the 24/7 nature of it," says Schuchat. "You're disconnected from your regular life, and totally immersed in what you're doing."

Schuchat herself spent six weeks in China during the SARS outbreak in 2003, barely speaking to her family back home.

As part of its promotional effort, Participant Media also built a multifaced website, showcasing the work of leading virologists and public health experts. One of them is Dr. John Brownstein, an assistant professor of pediatrics at Children's Hospital in Boston, who has worked with Skoll to develop an online tool to flag outbreaks as they happen around the world.

Brownstein called it "a massive challenge" to break down the science of pandemics into a viewer-friendly message.

"In the absence of a vaccine or a therapeutic (medication), you couldn't come up with three things you could do right now to prevent a pandemic."

He says that people could somewhat slow the spread of a pandemic by taking simple measures like isolating themselves if they fall sick, or properly washing their hands. (Burns, incidentally, says he took away one new hand-washing lesson: Don't forget to wash your thumbs.)

Lipkin says the real message of the film is political: Don't slash budgets for disease research and early-warning systems.

In 2009, just a few months into development, it seemed as though real-world developments might hijack the film. That's when Burns put the project on hold and watched to see whether his imaginary scenario would be trumped by the real H1N1 virus. He found himself fascinated by the push and pull of officials struggling to answer questions from the public. He says the pressures are much the same for those officials and for journalists.

"It's tricky," Burns said. "You don't want to be the scientist who cried wolf, or the journalist who cried wolf. The thing is, they move so quickly, and if you don't sound the alarm quickly, you're way behind the curve."

In "Contagion," the CDC director, played by Fishburne, sends his own family into isolation, even as he offers a more reassuring take to the public. He's outed by an investigative blogger, played by Jude Law, who wins a mass following with his scoops on the pandemic -- some accurate, some deliberately misleading.

Brownstein says he loved the subplot.

"That to me is the most interesting part of the film. They have this knowledge, and people are holding it back. It plays with the idea of false reporting, and the viral nature of the Web and how it can lead to mistrust."

Schuchat says the CDC is trying to move toward more openness.

"The more we focus on transparency, the more credibility we have. We shared what we knew as we knew it, although we also were careful to say it might change -- this might not be the last word on it."

Now that his creation is decimating a world filled with some of Hollywood's biggest stars, Burns pauses when asked whether the project left him reassured or alarmed about our vulnerability to a newly emergent killer virus.

"On the one hand, writing it did freak me out. I wanted to be realistic, and I kept asking these scientists, 'Could this or that scenario really happen?' And they always said, 'Sure, it could happen.' On the other hand, I was reading an article two years ago, and it talked about how human DNA is littered with remnants of our battles with retroviruses. There's something poetic about that. So with people and viruses, when you look at in the longevity of the relationship, there's some comfort."

@highlight

Teaching advanced math and science isn't usually part of a big Hollywood thriller

@highlight

"Contagion" cast includes Kate Winslet, Gwyneth Paltrow, Matt Damon, Jude Law

@highlight

Idea for movie planted in writer Scott Burns when he saw online TED talk by Larry Brilliant