Much as exit polls in the U.S. show after the election this week, the economy is a top concern for Chinese leaders as the ruling Communist Party (CCP) gathers Thursday for the 18th Party Congress.

The party is expected to select Xi Jinping and Li Keqiang to become the president and premier, respectively, of China for the next decade. The new leaders will take over an economy at a crossroads.

On one hand, many analysts predict that when they hand over the reins to the next leaders in 2023, China will be nearing the U.S. as the world's number one economy. On the other hand, the pair will be the first leaders in three decades since China opened to economic reform that haven't presided over double-digit growth.

Xi Jinping: From 'sent-down youth' to China's top

"We're going to have to see a new normal," said Wang Feng, director of the Brookings-Tsinghua Center, at a recent conference. "The hyper-fast growth rate over the last 10 years is unlikely to be replicated in the future."

The challenge is moving China from an export and investment led economy to one based on domestic consumer-based growth.  The flood of investment and exports in the past decade helped the nation's economy grow an astounding five times -- from $1.5 trillion in 2002 to an estimated $8.3 trillion this year -- and leap-frogging from the world's sixth largest economy to its second.

The stability of modern Communist Party rule has been built on the promise that it will create a better future for China's 1.3 billion citizens, one that has largely been delivered by leaders since Deng Xiaoping opened the country to economic reform in 1979. In that time, more than 600 million people have been lifted out of abject poverty. A government think tank predicted this week that in seven years 600 million Chinese will be part of its swelling middle class. More than half of the country's workers now reside in urban areas, as rural migrants move to cities for better employment opportunities.

China's next leaders: Who's who

Now the economy has entered an adolescent phase, analysts say, with a burgeoning middle class that's spending more domestically -- making China the world's number market in everything from beer sales to car purchases. Yet the economy is still strongly tied to exports, as seen by its slowdown in the wake of the European debt crisis and anemic growth in the U.S.

Beijing set a target of 7.5% this year, the first time the government has forecast growth below 8% in the past decade.

"The average migrant worker's wages increased 15% this year, and inflation is only 1.9%, so that means lower-wage workers can spend," said Shaun Rein, managing director of China Market Research Group in Shanghai. "It's the middle class consumer that is getting squeezed, especially at multinational corporations, because their wages are being squeezed."

The expectations of China's emerging consumer class are also changing. "When I came to China 20 years ago, the average age of a Chinese worker was 24 -- now the average age is 37," said Chris Devonshire-Ellis, the founding partner of Dezan Shira & Associates in Beijing, which advises firms on foreign direct investments.

Shadow of Mao still lingers over China

"When a worker is 24, he's interested in earning a bit of wages, chasing girls, buying cigarettes and beer," Devonshire-Ellis said. "Now that guys is 37, married, has a kid, car, mortgage, wants to send kid to a good school, and travel abroad with the family on trips."

But as China's fortune's rise, more of that wealth is going into fewer hands. A study earlier this year by Southwestern University of Finance and Economics in China four that China's top 10% of households surveyed have 57% of  the country's total income and 85% of total assets.

"Inequality is no longer just a social issue," Feng said. "Very importantly, for the migrant (workers) -- there are about 200 million of them in the cities -- and their income has gone up fast but below those who are older city residents. What do you do with this? They require reform."

Addressing income disparity is a thornier proposition than simply building the new roads, airports and other infrastructure projects that have helped propel the Chinese economy.

'One party, two coalitions' -- China's factional politics

"An effective approach to reduce the inequality and to boost consumption is to shift government spending priorities away from massive infrastructure development -- roads, railroads and airports -- and toward social welfare investment," said Professor Gan Li, director of the China Household Finance Survey. "If the government creates a stronger social safety net for its citizens, Chinese workers will feel less pressure to save for health emergencies, unemployment and retirement, and more likely to buy goods and services."

The pressure on health and pension services will soon skyrocket. China's one child policy started in the 1980s curbed population growth, but Beijing now faces a rising tide of retiring workers. By 2030 the number of people over the age of 60 will "increase from about 185 million to over 350 million and that's going to be larger than the size of the United States (population)," Wang noted.

In his speech at the opening of the Party Congress, outgoing leader Hu Jintao made an ambitious target for 2020 to double per capita income in China from 2010 levels for both rural and urban dwellers -- the first time a resident's per capita income has been included in economic targets, state-run media Xinhua notes.

China's 18th Party Congress: Why so secretive?

"The development gap between urban and rural areas and between regions is still large, and so are income disparities," Hu said. "Unbalanced, uncoordinated and unsustainable development remains a big problem."

It's a clear sign Beijing is worried about income disparity, and the setting of hard targets could put fire to reforms. Time will tell if China's new leadership will be able to deliver.

@highlight

Economy is a top concern for Chinese leaders as the ruling Communist Party (CCP) gathers

@highlight

Outgoing leader Hu Jintao sets ambitious targets while noting the problem of "income disparity"

@highlight

Study: China's wealthiest 10% control 57% of total income and 85% of total assets

@highlight

New leaders confront a slowing economy, aging workforce and social safety net concerns