(CNN)There are many reasons why the Internal Revenue Service is perhaps the least-loved agency in America -- a tax code so complex that it seems like you need an advanced degree to understand it, the dreaded audit process and revelations that certain groups have been targeted based on their political beliefs.

And now, a growing awareness of instances where the IRS seized the money or property of law-abiding citizens without due process is adding to the agency's menacing reputation. According to the Institute for Justice, a public interest law firm that investigates civil forfeiture practices, these seizures carried out by the IRS had increased from 114 in 2005 to 639 in 2012.

Sounds unbelievable, but believe it.

Under a federal structuring statute, banks are required to report all cash deposits of more than $10,000 to the Financial Crimes Enforcement Network of the U.S. Treasury. To prevent money laundering, deposits purposely "structured" to evade this reporting are illegal. Enter the IRS.

In Michigan, the IRS suspected a local grocer, Terry Dehko, of money laundering. Without filing charges, it seized his $35,000 bank account. Dehko had to prove in court that his daily bank deposits were for insurance reasons and to reduce robbery at his store -- not a criminal enterprise. Fortunately, the Dehkos won their case, and the IRS returned their funds.

Iowa native Carole Hinders has made an honest living owning and operating a restaurant, Mrs. Lady's, for 38 years. But in August 2013, everything she saved -- roughly $33,000 -- was seized. The IRS targeted Hinders because her restaurant only accepted cash or checks, which made regular bank deposits necessary. After 19 months and extensive national media exposure, Hinders finally got her money back.

In Maryland, the IRS used suspicions of structuring to seize the operating accounts of locally owned South Mountain Creamery and forced owners Randy and Karen Sowers to prove their innocence. Fortunately, the Sowers settled their case by showing their deposits were legitimate but only after expending extensive time and energy.

Recent announcements by the Justice and Treasury departments that they will end most forms of equitable sharing -- the practice of federal law enforcement coordinating with local and state law enforcement for the purpose of pursuing civil asset forfeiture cases -- are a start, but this only affects a fraction of overall seizures.

In addition to the IRS, the Department of Justice and U.S. attorney's offices across the country have civil asset forfeiture authority. In fact, the U.S. attorney's office for the Eastern District of New York, run by Attorney General nominee Loretta Lynch, has been an active seizure office.

A disturbing example under her watch is the Bi-County Distributors case, where her prosecutors confiscated $446,651 from a small business run by Jeffrey, Richard and Mitch Hirsch. It took Lynch two years finally to drop the charges. In light of this case and her office's extensive practice of civil forfeiture -- more than 120 times during her tenure -- it was disappointing to hear her defend the current system during Wednesday's confirmation hearing before the Senate Judiciary Committee.

Beyond these specific examples of abuse, Congress must take a hard look at the underlying federal civil asset forfeiture policies.

Ultimately, the Equitable Sharing Program must be eliminated through legislative action as part of a larger package of reforms to the entire practice of civil asset forfeiture.

For this reason, we have combined our previous efforts to introduce the Fifth Amendment Integrity Restoration Act, or FAIR Act, in both the House of Representatives and Senate. It would bolster protections for property and property owners by raising the level of proof necessary for the federal government to prove a civil asset forfeiture case -- requiring that the IRS and Department of Justice prove guilt, rather than the individual prove innocence.

Moreover, the FAIR Act eliminates incentives for civil forfeiture by rerouting funds seized by the IRS to the general treasury rather than the unaccountable Asset Forfeiture Fund, which has little congressional oversight and has grown since its inception in 1986 to more than $2 billion in 2013. This fund is the depository for all forfeiture dollars seized by the IRS, Justice Department and equitable sharing partners -- such as local police forces -- at the state and local level.

Lastly, the FAIR Act inserts protections by mandating the IRS prove individuals have knowingly violated the structuring statute instead of simply inferring guilt from the deposits themselves. Making cash deposits does not automatically put you under suspicion of criminal activity.

The FAIR Act will ensure that federal government agencies, like the IRS and Department of Justice, no longer profit from taking the property of U.S. citizens without due process, while maintaining the ability of courts to order the surrender of proceeds of crime.

The FAIR Act intends to tilt the playing field back in favor of due process and property rights. We call on our colleagues in Congress to address this issue and join our efforts.

@highlight

Rand Paul, Tim Walberg: IRS' civil asset forfeiture policies can ensnare the innocent

@highlight

These people must sue to recover their money, Paul and Walberg say

@highlight

Authors have introduced legislation to compel government to prove guilt before asset seizures