WASHINGTON (CNN) -- Supreme Court nominee Judge Sonia Sotomayor years ago said she was a "product of affirmative action" when she was admitted to prestigious universities, but defended the contributions she offered as a Hispanic woman to classroom and workplace diversity.

"I am the perfect affirmative action baby," Supreme Court nominee Sonia Sotomayor said in the 1990s.

The statements were part of newly released videos of speeches and panel discussions dating from the mid-1980s that the 54-year-old federal judge provided to the Senate Judiciary Committee, which will begin confirmation hearings July 13.

The remarks offer often-candid insights into the New York native's views on the law, growing up poor in a Bronx housing project, juggling a career and a social life, and her 1980s divorce.

In an early 1990s panel with two other female judges, Sotomayor talked about her educational background and how it helped her in her job as a federal trial judge in Manhattan.

"I am a product of affirmative action," she said. "I am the perfect affirmative action baby. I am Puerto Rican, born and raised in the south Bronx. My test scores were not comparable to my colleagues at Princeton and Yale. Not so far off so that I wasn't able to succeed at those institutions."

She said that using "traditional numbers" from test scores, "it would have been highly questionable if I would have been accepted."

The female panel members politely objected to her characterizations of how she overcame such obstacles, pointing out she graduated from law school with honors and was on the prestigious law review. Sotomayor countered that those were signs test scores alone do not offer the full measure of a person's capability. Test scores, she said, often can be the result of "cultural biases."

In a 1986 interview with ABC News profiling young female professionals, Sotomayor said she constantly had to deal with subtle forms of discrimination, particularly when it came to public perceptions.

"I found in my experiences that it's not that men are consciously discriminating against promoting women, but I do believe as people we have self-images about what's good," she said. "What's quote-unquote a 'good' lawyer, doctor, or whatever the profession is. And if you're a male who grew up professionally in a male-dominated profession then your image of what a good lawyer is is a male image."

Years later on the federal bench, Sotomayor said she encountered similar treatment from older white men particularly, who seemed to speak longer to her than other lawyers. She said the impression she got was that was because she was a woman and a minority.

Sotomayor has been criticized by some conservatives for her remarks on diversity, and her 2001 comment that she "would hope that a wise Latina woman, with the richness of her experiences, would more often than not reach a better conclusion than a white male who hasn't lived that life."

In the legal panel, she rejected suggestions that minorities should accept "selection by merit alone." She noted, "It is critical that we promote diversity" by giving women and minorities more opportunities in the law and the judiciary.

"Since I have difficulty defining merit and what merit alone means -- and in any context, whether it's judicial or otherwise -- I accept that different experiences in and of itself, bring merit to the system," she said. "I think it brings to the system more of a sense of fairness when these litigants see people like myself on the bench."

As a judge she offered a variety of thoughts on how a judge should act on the bench.

"I have to unhook myself from my emotional responses and try to stay within my unemotional objective persona," she told a group of Hispanic lawyers in 2000.

She said in 1994 that such an attitude can be hard to maintain, when as a trial judge she had to deal with some defendants and their families. "I watch those mothers cry and I can't help but feel their pain. Does that translate into a passion or compassion that affects my judgment? No, but it makes it much more important for me to be careful when I exercise my judgment."

In another panel she noted that she sometimes spoke to some defendants and their families in Spanish in civil cases, to keep them informed of what she was doing. She said she made sure to translate what she was saying into English.

In several events she said the life of a lawyer is rarely glamorous. In a 1986 interview she admitted her divorce was caused in part by her commitment to her career, and that her subsequent social life had suffered as a result.

And as she grew into her 30s, she lamented her earlier expectations had to that point not been fully realized. "I'm very happy with where I am at this point in my life but I think my expectations were greater in '76," when she graduated from Princeton. "I mean, I really expected to turn the world on fire."

@highlight

Remarks from an early 1990s panel with two other female judges

@highlight

Sotomayor talked about education, background, and how they helped her in her job

@highlight

Says her divorce was caused in part by her commitment to her career

@highlight

Minority judges bring "to the system more of a sense of fairness," said Sotomayor