(CNN) -- A number of themes emerge from the regional reports included in the National Climate Assessment -- things like risks to infrastructure due to rising oceans both benefits and harm to agricultural production because of changing temperature, and new realities for cooling and heating costs.

Find your geographic region below and see how these issues specifically affect where you live, according to the report.

NORTHWEST

If you live in the Northwest, you can appreciate how vital the snow accumulation in the mountains is. It melts in spring to provide water for hydropower plants and irrigation for crops. But as seasonal water patterns change, caused in part by changes in snowmelt, the region's diverse ecology and geography can face challenges.

The impacts of climate change will be strongly felt along the coast -- an area important for the region's economy. People's livelihoods, recreational areas and infrastructure could be affected by rising sea levels. At the same time, wildfires are expected to increase.

White House: Climate change is here, action needed now

Examples from report:

-- "Since around 1950, area-averaged snowpack on April 1 in the Cascade Mountains decreased about 20%, spring snowmelt occurred 0 to 30 days earlier depending on location, late winter/early spring streamflow increases ranged from 0% to greater than 20% as a fraction of annual flow, and summer flow decreased 0% to 15% as a fraction of annual flow, with exceptions in smaller areas and shorter time periods."

-- As sea levels rise, coastal areas of Washington and Oregon will flood more often. Beaches and habitats will probably decline in these areas.

-- "Climate change will alter Northwest forests by increasing wildfire risk and insect and tree disease outbreaks, and by forcing longer-term shifts in forest types and species."

-- Wildfires are a natural part of the forest ecosystem in the Northwest, but warmer and drier conditions have increased the number and extent of such fires.

-- "Projected warming will reduce the availability of irrigation water in snowmelt-fed basins and increase the probability of heat stress to field crops and tree fruit."

-- In the short term, some crops will benefit from a longer growing season, but the long-term consequences are uncertain.

SOUTHWEST

Those in the Southwest, especially in California, have already seen what changes in sea levels and temperature can do. Wildfires have ravaged some communities, and there has been damage along the coast due to waves encroaching further and further inland. Residents in this region count on a reliable supply of water. Imagine if that supply becomes less reliable as snowpack and streamflow amounts decrease?

Examples from the report:

-- "Over the past 50 years across most of the Southwest, there has been less late-winter precipitation falling as snow, earlier snowmelt, and earlier arrival of most of the year's streamflow."

-- Between 1970 and 2003, warmer and drier conditions increased the burned area in the western U.S. mid-elevation conifer forests by 650%.

-- The sea level along the California coast has risen anywhere between 6.7 to 7.9 inches over the past 100 years.

--"If adaptive action is not taken, coastal highways, bridges, and other transportation infrastructure (such as the San Francisco and Oakland airports) are at increased risk of flooding with a 16-inch rise in sea level in the next 50 years."

-- "The effects of heat stress are greatest during heat waves lasting several days or more, and heat waves are projected to increase in frequency, duration, and intensity,,,,, become more humid, and cause a greater number of deaths."

GREAT PLAINS

A large chunk of the middle United States, from Texas to Montana and the Dakotas, falls into this category in the report. What do Texans and Montanans have in common when it comes to climate? Well, the entire region will see increased demand for water and energy, and temperatures rise. Changes in how much you have to cool or warm your house has large impacts on the efficiency of energy use.

Five things you can do

Climate change doesn't have just negative effects. For example, increased rainfall in the Northern Plains could increase agricultural productivity. But in the Central and Southern Plains, declines in rainfall means crop yields will be reduced.

Examples from report:

-- In the Northern Plains, warmer winters mean that there may be a reduction in heating demand, but it might be outweighed by greater demand for air conditioning during warmer summers.

-- In the Central and Southern Plains, "the climate impacts of shifting from irrigated to dryland agriculture would reduce crop yields by about a factor of two."

-- Plants and animals adjust to rising temperatures by adjusting their ranges, but that is becoming more difficult. For example: "The historic bison herds migrated to adapt to climate, disturbance, and associated habitat variability, but modern land-use patterns, roads, agriculture, and structures inhibit similar large-scale migration."

-- Native American communities face physical and political constraints as the climate changes: "Tribal members have reported the decline or disappearance of culturally important animal species, changes in the timing of cultural ceremonies due to earlier onset of spring, and the inability to locate certain types of ceremonial wild plants."

MIDWEST

The Midwest is home to one of the country's treasures, the Great Lakes. Climate change, however, means that the ecosystem might see changes such as increased invasive species and harmful algae, and declining beach health. On the flipside, less ice on the lake could increase the shipping season.

As in other regions, the growing season stands to be lengthened because of the climate change, but again, it risks being offset by extreme weather events such as freezes that ruin crops.

Examples from report:

-- The Midwest growing season lengthened by almost two weeks since 1950.

-- The longer growing season can be offset by extreme weather, such as freezes and springtime cold outbreaks.

-- The frequency of major heat waves in the Midwest has increased over the past 60 years.

-- "One study projected an increase of between 166 and 2,217 excess deaths per year from heat wave-related mortality in Chicago alone by 2081-2100."

-- "The Great Lakes, North America's largest freshwater feature, have recently recorded higher water temperatures and less ice cover as a result of changes in regional climate."

SOUTHEAST

The Southeast -- known for its beaches, its seafood and ports, and as home to two of the nation's major cities -- Atlanta and Miami -- could face risks due to climate change. Sea-level, rise, especially, can affect the region, as well as extreme weather such as hurricanes and heat spells. The risk is intensified in that so many cities, roads, energy facilities and water supplies are on the coast.

Opinion: Wake up to the reality

The hot weather is only going to get hotter, though the increases for this region are smaller than for some others.

Examples from report:

--North Carolina is raising the roadbed of U.S. Highway 64 across the Albemarle-Pamlico Peninsula on the coast by four feet, which includes 18 inches to allow for higher future sea levels.

-- "Louisiana State Highway 1, heavily used for delivering critical oil and gas resources from Port Fourchon, is literally sinking, resulting in more frequent and more severe flooding during high tides and storms."

-- Utilities will be under more pressure as rising seas means saltwater can contaminate freshwater supplies.

-- The summer heat will continue to reduce crop productively and damage crops, as happened in Georgia in 2007, when a drought cost $339 million in losses.

NORTHEAST

New York. Washington. Some of the country's most important cities are categorized together in the climate report under the Northeast region. The governmental and financial hubs of the United States will have to withstand heat waves, downpours, and a rising sea level.

The Northeast is a highly-urbanized region, where the heat and other climate factors can take a toll on the population.

Already, there are examples of cities in this region incorporating the risk into their planning. Industries such as agriculture and fishing will be tested, and farmers can choose to explore alternate crops, but this is not easy or cheap.

Examples from report:

-- "One recent study projected that temperature changes alone would lead to a 50% to 91% increase in heat-related deaths in Manhattan by the 2080s."

-- Don't forget about rural areas. Places where air conditioning is not prevalent because heat waves are rare suddenly become vulnerable when such heat events become more frequent.

-- "In New York State, two feet of sea level rise is estimated (absent adaptation investment) to flood or render unusable 212 miles of roads, 77 miles of rail, 3,647 acres of airport facilities, and 539 acres of runways."

-- Higher ocean temperatures mean that commercially important fish will be pushed northward. This means fisheries that depend on cod and lobster face significant declines.

@highlight

The National Climate Assessment includes regional reports

@highlight

Themes include infrastructure risks from rising oceans, to changing energy needs

@highlight

Forecasts are included for six U.S. regions