(CNN) -- As a mother, you send your children off to their first day of kindergarten with pride, anticipation and excitement. But a part of you can't shake those nagging questions: Will they make friends? Have someone to play with at recess? Be bullied?

As director of PACER's National Center for Bullying Prevention, and the mother of a child with Down syndrome, those questions don't just go away with time. And that worry only intensifies.

My 14-year-old son, David, was born with Down syndrome. Before he turned 3, he had undergone three open heart surgeries and a tracheotomy, and his breathing required a ventilator. Heading into kindergarten, David was nonverbal, had delayed cognitive abilities and received his nutrition from a feeding tube.

There was no doubt about it: My son wasn't like his peers. Because of his differences -- and research showing children tend to single out peers with characteristics like his -- I feared that David could become a poster child for children expected to be the targets of bullying.

We live in a small community, where David has known all of his classmates since kindergarten and will eventually graduate high school with most of them. They have the same classes, eat lunch at the same time and attend field trips together. For all of these reasons, I decided the best way to address my concerns about David would be to become his advocate -- not only with adults, but with his peers.

During his first year of school, I started visiting David's classroom to talk with his classmates about Down syndrome. I discovered that most children weren't concerned about his cognitive issues; they were actually more fascinated with why he didn't talk. At this time, I also networked with his teachers, his paraprofessionals and even made sure the lunchroom workers knew me. I hoped the more these people felt comfortable with me, the more information they would share.

Now, years later, David has just started the eighth grade. He's not bullied, and more than that, he loves school. It's the place where his peers give him high fives in the hallway, ask him to sit by them at lunch and -- best of all -- genuinely accept him.

I have been David's advocate, but I can't take all, or even most, of the credit for David's acclimating so well to school. That credit belongs to his teachers, school staff and classmates, particularly a group of students who received training in sixth grade on how to prevent bullying and speak out on David's behalf. We call them his peer advocates, and if they see bullying, they intervene, ask the bully to stop or report the situation to an adult.

The concept sounds simple, but because my son can't tell me what happens during the day, I depend heavily on these peers to act as his voice. Now, what started as four kids in sixth grade has evolved to a schoolwide project with more than 40 students volunteering to become peer advocates so they can help David and other students who are different.

I know all too well that not every parent of a child with a disability has this good fortune. Although I've found that power comes from sharing and being direct, I realize this approach won't work in every classroom where bullying exists. But there are always ways that parents, teachers and students can develop strategies and begin to teach young people the importance of inclusion, acceptance and -- most important -- respect.

The act of bullying hurts not only the children involved, but the entire community. That's why PACER Center has organized National Bullying Prevention Month in October, a time for communities nationwide to unite and promote bullying prevention through creative resources designed to engage, educate and inspire. Ignoring the problem is not the answer. Instead, our communities can take steps to raise awareness of bullying and start teaching young people that the end of bullying really does begin with them.

Bullying has affected too many for too long. But there is hope. Hope for the teachers who want bullying to end. Hope for the students too afraid to go to school. And hope for the mothers and fathers of children with disabilities -- that one day, they will drop off their children on the first day of kindergarten without having to worry about whether they will be bullied. Instead, they can expect their children will be included and respected by their peers for everything they are.

The opinions expressed in this commentary are solely those of Julie Hertzog.

@highlight

National Center for Bullying Prevention's Julie Hertzog feared for Down syndrome son

@highlight

David wasn't bullied because Hertzog was proactive, teaching kids, working with teachers

@highlight

Students were trained to be peer advocates, she says, to intervene in bullying situations

@highlight

Hertzog's organization started National Bullying Prevention Month to educate the public