London, England (CNN) -- Under constant scrutiny, hosting countless functions and attending numerous public events are just some of the practices expected of you as the wife of a prime minister.

All the while conducting yourself impeccably.

So when Tony Blair was elected British prime minister in 1997, Cherie Blair went from being a fairly obscure but accomplished barrister to the spouse of the country's political leader.

"You go in there and you kind of think you can just carry on as before," she says. "Suddenly I couldn't just speak for myself ... as the wife of the prime minister I'm supposed to be seen and not heard.

But she was never going to be a traditional political trophy wife smiling quietly in the background.

A humble upbringing

Moving the family into England's most famous political address was worlds away from how Cherie herself was brought up in a working class household in 1960s Liverpool.

The eldest of two daughters, Cherie Booth -- her maiden name, which she continues to use in her professional life -- came from a tumultuous family background.

Both parents were actors but she describes her father Tony -- a minor sitcom star -- as "flawed", recalling how he left the family when she was 8 years old.

As it turned out, Booth had an aptitude for academics along with a hardworking nature instilled through her upbringing by a "formidable" mother and grandmother.

She went on to read law at the London School of Economics graduating with first-class honors and emerging as the top law student in her class when she sat the bar exams. She continued to excel during her apprenticeship with prestigious attorney Derry Irvine. And it was there she met another advocate undergoing "pupilage" by the name of Anthony Blair.

"He didn't make a good impression on me at the time," she says. "I thought he's just another one of these public school boys but then we worked together and ... he made a different impression on me."

Ever the astute young lawyer she also noted how her gender was considered an impediment when she went up against her future husband for a position at Lincoln's Inn -- one of the four Inns of Court in London. Tony got the job.

She says it was because they assumed "I am a female, I'm bound to leave when I had children.

"In fact seven years later one of us did leave the bar but it wasn't me. It was my husband because he left to become an MP (Member of Parliament)."

A profound union

As her spouse rose in the political ranks, Booth carved out a successful career first as an attorney then, in 1995, she received the senior advocate status of Queen's Counsel. Six years later she turned her attention to co-founding her own practice, Matrix

Juggling work and home life hasn't always been easy for the high profile pairing. Blair cites her strong alliance with her partner as a key to her success.

"There were plenty of times when he would be the person who was there up with the children in [our] constituency when I was in court somewhere," she says. "He was very supportive and always has been he's been a very hands-on father."

This hands on, compromising approach to raising their children is the reason Blair doesn't believe the idea of work-life balance is solely a women's issue.

"The way we do things at the moment doesn't just disadvantage women. I think it disadvantages men and doesn't allow them to explore the caring side of their personalities."

Combining advocacy and humanitarian work

Blair says her 10 years at Downing Street helped provide a renewed purpose when it came to championing the rights of women around the world.

"So much of the oppression of women is based on some sort of fear about the power of females ... We all know actually men and women flourish best when they're both given the opportunities to reach their dreams," says Blair.

In 2008 she established the Cherie Blair Foundation for Women with the purpose of providing education and capital to female entrepreneurs in developing and emerging nations.

Projects have been launched in locations including Ghana, Tanzania and Rwanda where the foundation works with local women providing the necessary tools and technological support to take their businesses to the next level.

"The reason why I wanted to help women is obvious -- because of my own background ... I had the opportunities that my mother and my grandmother would only -- well did -- dream of," explains Blair.

"As I get older, I get more impatient, because we haven't yet succeeded making it possible for women to achieve their dreams. We still have not got gender equality anywhere.

"In this world I am afraid money talks, and the woman who has her own money, who has financial independence, can make decisions, she can make choices ... They will also change the lives of those around them, and ultimately, shape society for the better."

So what kind of legacy would Blair like to leave behind?

"I think on my gravestone, I'd like it to say 'Cherie Blair, wife, mother and feminist'."

@highlight

Cherie Blair is best known as the wife of former British PM Tony Blair

@highlight

Blair is also a celebrated legal mind specializing in human rights, public law

@highlight

Has become a strong advocate for women's rights, education since leaving political life