(Wallpaper*) -- It may be tough to teach old dogs new tricks, but perhaps they can learn to live in new houses. Japanese graphic designer and curator Kenya Hara has made it his mission to find out.

Debuting at Design Miami in early December, in collaboration with a star-studded cast of designers and architects from America, Europe and Japan, this online venture supplies free blueprints for 13 different DIY doghouses, each one earmarked for a particular breed.

Hara hopes that pet enthusiasts everywhere will build them and that their photos will go viral and kickstart an online architectural discourse about the designs when the website launches this month.

Hara has been mulling over the idea of designer doghouses for around 15 years, and the project finally caught the attention of American investors at Imprint Venture Lab. Hara knew the pet-related theme would be popular, he said, 'I have the impression that the whole world is interested in babies and dogs.'

Building on the "man's best friend" bond, he started by matching designers to dogs, choosing only small breeds that like to live inside. Some are random pairings, such as the Dachshund with architects Atelier Bow-Wow and the Toy Poodle with product designer Konstantin Grcic, but others are special requests, like architect Toyo Ito who wanted to build for his own Shiba, and Kengo Kuma who was keen to make a new home for a client's Pug.

Because conversation with their canine clients could be a bit one-sided, Hara provided each designer with a dossier of information covering the physical characteristics, temperament and health concerns of their breed. Human needs were considered in the brief, too, which stipulated that the doghouses should be easy for anyone to assemble with ordinary household tools and materials.

More from Wallpaper*: Brasilia in pictures - 50 great buildings

Leading the pack, Hara launched the project by designing two doghouses of his own: a hard, paper cone suspended from the ceiling for a Japanese Terrier and a plywood contraption for a Teacup Poodle.

Intended to improve contact between pooch and person, the poodle's structure consists of a 70cm-high, wedge-shaped wooden tunnel enclosing a puppy-sized run of stairs. They lead up to a platform at chair height where the dog can recline while gazing adoringly at their owner.

"Putting a dog on the table is not so good," says Hara. "Yet the floor is a little too far away." Located between these two extremes, Hara's proposal may have conceptual merit. But it took lots of Liver Snaps to coax a live Poodle up the stairs.

This reaction is not much of a surprise since the actual dogs did not participate much during the design phase. And when they did, many were more challenging than human clients. Architect Sou Fujimoto's subject, a Boston Terrier rented at a Tokyo dog park, refused to even go inside the prototype. Scrapping that sphere-shaped model, Fujimoto devised an open-frame structure instead, reminiscent of his House NA.

Most designers started by presenting a conceptual sketch to Hara and his staff who then investigated ways to realize the projects. "Architects are very busy so we tried to provide ideas for materials and construction methods," explains Hara.

Like a fast-paced game of fetch, ideas moved back and forth between the designers and team Hara. Sometimes it took four or five months to develop a realistic solution -- more time than required for many full-fledged buildings. And even then certain proposals, such as Toyo Ito's inflatable, vinyl roof worn on the dog's back, still proved unbuildable.

Read related: Fun gifts to spoil your pet this Christmas

Others, however, like architect Kazuyo Sejima's home for a Bichon Frise, met with more success. The Pritzker-prize winner had little time to spare, but knew that she wanted to create something fluffy for her assistant's fuzzy white pup. Running with her idea, Hara's group began exploring soft materials and ways to support them.

In due course, all agreed on a curved wooden frame enrobed by a hand-knitted cover. Though it bears little resemblance to the minimalist, glass buildings that have made Sejima famous, her doghouse got a warm reception from its canine resident who crawled inside and took an immediate liking to the soft, protective shell.

The Tokyo architecture firm Torafu also sincerely considered the needs of its Jack Russell Terrier, creating an easy-to-build, simple structure that recycles old clothes. Resembling a hammock, it consists of a wooden frame that supports an old T-shirt, preferably one well worn by the dog's owner. "The smell of the owner is very, very important for a dog," says Hara. '"t makes the dog feel safe and want to be here."

But a pooch's response is only one measure of success. "Architecture for Dogs is not a pet's project," explains Hara. "It is a project for architects." For that reason, he engaged Yugo Nakamura, one of Japan's leading web designers, to create the interactive, trilingual website where participants can download drawings and view instructional videos, as well as upload photos of their newly built pet palaces, showcasing customizations and material substitutions.

"One idea can create lots of architecture around the world," says Hara. And potentially turn Architecture for Dogs into a catalyst for architectural invention.

For more on architecture, visit wallpaper.com.

© 2012 wallpaper.com. All rights reserved.

@highlight

Japanese designer Kenya Hara has created stylish dog kennels

@highlight

Architecture for Dogs will supply free blueprints for 13 different DIY doghouses

@highlight

Hara has been mulling over the idea of designer doghouses for 15 years

@highlight

Hara hopes to turn the venture into a catalyst for architectural invention