With Republican majorities coming in both houses of Congress and a Democrat in the White House, many people in Washington believe nothing will get done. We'd like to nominate an exception to that expectation: Criminal justice reform.

Newt has talked about the need for "confidence-building measures" between the President and Republicans in Congress. The idea is that we should work on easier things first, so that we can work on harder things next.

Transforming our nation's failed prison system looks like it could be easier now than anyone expected. Leaders in both parties agree on the need and direction for reform.

They recognize that locking up millions of people for very long periods of time at ballooning costs is not a wise response to nonviolent crime. Warehousing nonviolent offenders for years behind bars has been an economic, moral and human catastrophe.

The United States has 5% of the world's population, but 25% of its incarcerated population. During the past four decades, the rate of incarceration in the U.S. has more than quadrupled, costing us more than $80 billion a year. There are now roughly 2.3 million people in prison or in jail, which is nearly one in every 100 Americans.

Today in a Florida prison, a 19-year-old man is serving a 15-year mandatory minimum sentence for drug possession. His incarceration will cost taxpayers $60,000 a year. He will receive no job training, no education and no drug treatment. He will leave prison beaten down. He'll carry the stigma and the barriers that come with being a felon, making it difficult for him to find a job and more likely that he will end up back in prison.

As a corrections system, this makes no sense. We must rethink our approach from the ground up. And for federal crimes, we can start by building on bipartisan reforms that are spreading across the country at the state level.

In the true spirit of federalism, states have led the way in passing reforms that protect public safety, more effectively punish and correct nonviolent offenders, save taxpayers money and ensure hardened and violent criminals remain behind bars.

In Georgia, Gov. Nathan Deal has implemented a bold overhaul of the state's criminal justice system, slashing prison spending and reducing harsh penalties for nonviolent offenses. The result has been a 20% reduction over five years in the number of African-American men incarcerated.

In Texas, Gov. Rick Perry has been so successful at using probation, parole and sentencing reform to both reduce the prison population while also reducing crime that people have termed his approach  the "Texas Model."

Out west, California recently passed one of the most transformational examples of bipartisan criminal justice reform. Proposition 47, the "Safe Neighborhood and Schools Act," was a sensible measure to reduce incarceration for nonviolent crimes and to increase investments in crime prevention, treatment and education.

The initiative changed six low-level offenses, including simple drug possession, from felonies to misdemeanors, and will save California hundreds of millions of dollars each year in prison spending that wasn't working, reinvesting those savings into mental health and drug treatment, K-12 schools and victim services.

While there is a lot to learn from the policy reforms brought about by Prop 47, there may be even more to learn from its politics.

The initiative had the support of crime survivors, victims groups, business groups and 1,500 clergy across the state. Everyone from rapper Jay Z and the ACLU to Sen. Rand Paul and Grover Norquist lined up behind the measure. (We both endorsed it, too.) Conservative California businessman B. Wayne Hughes Jr. was the single largest individual donor to the effort, giving more than $1.25 million.

Because of its broad-based support, Proposition 47 passed  by a huge margin of 59-41 percent. It even won in some conservative strongholds, such as Orange County and Riverside County.

California isn't the only place where criminal justice reform did well on the ballot. Deal, and senators such as John Cornyn and Cory Booker were re-elected by big margins, campaigning in part on their criminal justice reform efforts. And in New Jersey, voters passed  a state constitutional amendment reforming the bail system that was championed by both Republican Gov. Chris Christie and the Drug Policy Alliance.

If criminal justice reform can happen in places as diverse as Georgia, Texas, California and New Jersey, then it should be possible to bring similar reforms to the federal level in Washington, D.C.

There are a number of good bipartisan bills in the U.S. Senate that should be our starting point. One of the most important is the "Smarter Sentencing Act," authored by conservative Sen. Mike Lee and liberal Sen. Dick Durbin. It would reduce mandatory sentences for nonviolent drug offenses. Senators Rand Paul and Cory Booker have also introduced important, bipartisan legislation.

Even more than the current debate in the Senate, however, the approaching 2016 election season offers the opportunity for the American people to make criminal justice reform a priority. Voters should demand of each presidential and gubernatorial candidate a vision for reducing incarceration and cutting prison spending while improving public safety and helping nonviolent offenders live full, productive lives within the law.

In the interest of ensuring criminal justice reform is part of the conversation about who should be our next president, we will convene a national summit on criminal justice reform on March 26, 2015, under the banner of #cut50 -- a new bipartisan initiative of Rebuild the Dream, which Van leads, to help cut the prison population in half over the next 10 years.

Our overreliance on prisons has failed America. It is past time for both political parties to come together and fix a bad system of their own making. We believe this moment offers a once-in-a generation opportunity for reforms that will save entire communities and transform the lives of millions of Americans. We must not let it pass.

@highlight

New Gingrich, Van Jones: Criminal justice reform is easier now than people expect

@highlight

Gingrich, Jones: Leaders in both parties agree on the need and direction of reform

@highlight

They say already states have passed reforms that reduce penalties and slash spending

@highlight

Writers: Our overreliance on prisons has failed America, it's time for change