Washington (CNN) -- Noisy protests at military funerals, immigration reform and violent video games were among the issues on the Supreme Court's docket as the high court began its new term Monday.

The term also marks the debut of Justice Elena Kagan on the Supreme Court and the first time three women are serving on the nine-justice panel.

Roughly 52 appeals are currently on the high court's schedule. About another two dozen are expected to be added in coming months.

But Kagan, 50, will recuse herself from at least 24 cases already on the docket. That means she will not sit in oral arguments or vote on the outcomes.

As the former Solicitor General in the Justice Department, it was Kagan's job to supervise all pending appeals at the high court, and she has withdrawn from those cases in which she was involved or which might present a conflict of interest.

The caseload for the term is usually settled by February.

Other controversial appeals that might get added to the high court's docket cover issues related to same-sex marriage, terrorism and health care reform, among other things.

Here are some key cases the Supreme Court is scheduled to tackle in its 2010-2011 term:

MILITARY FUNERALS - Snyder v. Phelps (arguments on Wednesday, October 6)

AT ISSUE: A balancing test between the privacy rights of grieving families and the free speech/assembly rights of demonstrators, however disturbing and provocative their message.

THE CASE: A small Kansas church has gained national attention for protesting loudly at funerals of U.S. service members, promoting their anti-homosexual message.

Albert Snyder, the father of a U.S. Marine killed in Iraq sued after members of the Topeka-based Westboro Baptist Church conducted an angry demonstration at his son's burial service. The family of the Marine won a $5 million judgment from the protesters. The ruling, however, was later overturned by a federal appeals court, which said the protest did not directly refer to the lance corporal, and therefore was protected speech on an issue of national debate.

THE ARGUMENTS: The church, led by pastor Fred Phelps, believes God is punishing the United States for "the sin of homosexuality" through events including soldiers' deaths. The marchers say they obey local rules over where they can gather to protest. The Snyder family says their son was not gay, and the emotional wounds from the protest have yet to heal. They have the support of a number of members of Congress, 48 states and the District of Columbia.

THE IMPACT: The court's ruling could set new guidelines on a broad range of speech-related events, including protests. Several states have attempted to impose specific limits on when and where the church can protest. The justices may be asked to address how far states and private entities like cemeteries and churches can go to justify policies meant to silence or restrict demonstrators exercising their constitutional rights in a funeral setting.

DEATH PENALTY- Skinner v. Switzer (09-9000) (arguments Wednesday, October 13)

AT ISSUE: A Texas death row inmate claiming innocence is demanding authorities conduct more thorough DNA testing of evidence gathered at the crime scene.

THE CASE: Henry "Hank" Skinner, 47, was convicted of the New Year's Eve 1993 killings of his live-in girlfriend and her two adult sons. The justices issued a stay less than 30 minutes before his scheduled March 24 execution.

THE ARGUMENTS: In a recent death row interview, Skinner told CNN that if he loses this appeal, an innocent man will be put to death. He claims that new analysis of certain untested DNA samples would clear him and determine the real killer. The state says he is not entitled to testing of evidence that was not analyzed before his 1995 trial. It also claims the wealth of forensic evidence available -- evidence reviewed repeatedly by various state and federal courts -- points to his undeniable guilt.

IMPACT: What if an executed prisoner is later found to be innocent? Other inmates have recently pushed "actual innocence claims," prompted by growing use of DNA testing on old evidence. A court ruling could make such claims easier or harder to pursue in the future.

VIOLENT VIDEO GAMES - Schwarzenegger v. Entertainment Merchants (08-1448) (arguments on Tuesday, November 2)

AT ISSUE: A free speech dispute over a California law banning the sale of violent video games to children.

THE CASE: A 2005 state law -- designed to strengthen the current industry-controlled rating system -- would have placed an outright ban on the sale or rental of games deemed excessively "violent" to those under 18.

As defined by California, such interactive games are those in which the player is given the choice of "killing, maiming, dismembering or sexually assaulting an image of a human being" in offensive ways. Retailers could be fined up to $1,000 for any violation. The law is in limbo pending the high court's ruling.

THE ARGUMENTS: Video game makers said the ban goes too far against their free speech rights, and the existing industry-imposed, nationwide voluntary ratings system is an adequate screen for parents to judge the appropriateness of computer games. The state says it has a legal obligation to protect children when the industry has failed to do so.

THE IMPACT: The motion picture industry has its own self-monitoring ratings system, imposed decades ago after complaints that some films were too explicit for the general audience in what was seen and heard. A high court ruling allowing greater government control over the evaluation of expressive content could be applied to other media.

The Supreme Court in recent years has thwarted repeated congressional attempts to protect children from pornography, saying such legislation went too far in limiting adult access to lawful but explicit sexual content on the internet. The court has also said in various contexts that minors enjoy a variety of free-expression rights.

SCHOOLS-RELIGION- Arizona Christian School Tuition Org. v. Winn (09-987); Garriott v. Winn (09-991) (arguments Wednesday, November 3)

AT ISSUE: A lawsuit challenging Arizona's tax breaks for donations to private school scholarships.

THE CASE: The 13-year-old program provides dollar-for-dollar income tax writeoffs for donations to organizations providing aid covering school tuition. Some Arizona taxpayers have challenged the program as unconstitutional, because religious organizations award most of the scholarships and require children to enroll in religious schools.

THE ARGUMENTS: The suit says the program amounts to an unconstitutional state endorsement of religion. But in 2002, the Supreme Court upheld school voucher programs, and supporters of the Arizona measure say it is no different from a Cleveland, Ohio, program permitted eight years ago. In both cases, the government does not direct any money to religious schools.

THE IMPACT: Taken separately, disputes over education and religion are among the most contentious issues the high court faces. This case has become a hotly contested political and legal fight. The program's supporters call it "private charity," saying it has been a boon to school choice; contributions have risen to the tens of millions of dollars. Opponents call it a government spending program, and claim that private schools serve as willing state surrogates.

IMMIGRATION REFORM - Chamber of Commerce v. Whiting (09-115) (arguments Wednesday, December 8)

AT ISSUE: Do federal immigration laws trump state efforts to crack down on businesses that hire illegal aliens?

THE CASE: In 2007, Arizona passed the Legal Arizona Workers Act, allowing the state to suspend the licenses of businesses that "intentionally or knowingly" violate work-eligibility verification requirements. Companies would be required under that law to use E-Verify, a federal database to check the documentation of current and prospective employees.

THE ARGUMENTS: In its lawsuit, the Chamber of Commerce argues federal law prohibits Arizona and other states from making E-Verify use mandatory. The state argues its broad licensing authority gives it the right to monitor businesses within its jurisdiction. The Obama administration recommended review.

IMPACT: This case could serve as a bellwether to a larger, more controversial state immigration law from Arizona. That statute was tossed out by a federal judge in August and is currently pending at a federal appeals court. It would, among other things, give police authority to check a person's immigration status if officers have a "reasonable suspicion" that individual is in the country illegally.

Kagan has withdrawn from the E-Verify case after her earlier involvement in the appeal process while serving as the solicitor general in the Obama administration.

Last week, Senate Judiciary Committee Chairman Patrick Leahy (D-Vermont) proposed legislation that would allow a retired Supreme Court justice to sit on the high court if an existing justice recuses himself or herself from a case.

"Under the proposed bill, the active justices of the Supreme Court would be permitted to vote to designate a retired Supreme Court justice," a statement on Leahy's website says.

"The proposed legislation would also allow the Court to preempt potential 4-4 split decisions, in which the decision of a lower court stands."

CNN's Kate Bolduan contributed to this report.

@highlight

About 52 appeals are on the Supreme Court's schedule for the 2010-2011 term

@highlight

Issues include immigration reform, violent video games and military funerals

@highlight

Justice Elena Kagan will recuse herself from at least 24 cases

@highlight

Lawmaker to propose bill allowing retired Justice to sit in on cases of recusal