(CNN) -- For Makudu, it all started with a friend playing him a Luciano Pavarotti record; for Linda, it was a TV commercial featuring a powerful soprano singer; and for Thesele, a community choir practice in his township. These flashes of operatic singing were all it took for the three young South Africans to instantly fall under the spell of opera and never look back.

Makudu, Linda and Thesele are the stars of "Ndiphilela Ukucula: I Live to Sing," a compelling documentary released earlier this year spotlighting the rising wave of talented opera singers emerging from South Africa's black townships.

Born as South Africa was throwing off the chains of apartheid, the film's stars came to discover the enchanting world of opera in their teens, entranced by its beautiful voices and the magnificent music. Since then, they've sung their way from humble beginnings to South Africa's top stages, thrilling opera audiences in their country and beyond.

Along the way, the determined singers had to overcome everything from financial hardship and health struggles to social resistance and lack of support in order to follow their dreams.

Read this: Township girl to opera diva

"If you had told me a few years ago that classical French and Italian opera is an art form that's gaining in popularity in black South African townships, I certainly would have been surprised -- in a way that I think many of the audiences for the film are," says Julie Cohen, director of the film.

Rich tradition

What Cohen came to realize was that opera has become popular among some people in South Africa's townships thanks to the widespread culture of community choirs and competitive choral singing.

This strong musical tradition has paved the way for many talented young singers to develop an interest in classical opera, says Michael Williams, managing director of the Cape Town Opera Company, one of the continent's most famous production houses.

"The national sports in South Africa are not soccer or rugby, but choirs," notes Williams. "The culture of choral singing in South Africa is huge. It's deep rooted in the community and has a huge repertoire," he adds.

"And what happens with choir singers is they reach a sort of a ceiling -- because they're singing traditional works ... then they start moving towards opera genre and it opens up a new world for them."

Rising stars

"I Live To Sing," which was first aired in July on WNET in New York, is centered around the University of Cape Town Opera School -- once an all-white school and now home to remarkable singers from South Africa's black townships, some of whom have graced international stages such as The Met and La Scala.

The documentary follows Linda, Thesele and Makudu through their studies at the school as they set out to introduce themselves to the world of opera and become professional classical singers.

Throughout the film, the stars' charisma and personality shine through.

Thesele Kemane, 26 at the time of filming last year, is an extremely committed and disciplined bass baritone with confidence in his talent; Linda Nteleza, 24, is a shy soprano with extraordinary singing abilities; and Makudu Senaoana, the youngest of the protagonists, is a gregarious, outspoken 20-year-old with a powerful tenor voice.

The filmmakers capture the singers' preparations for a performance of "The Tales of Hoffman" at Cape Town's main opera house -- a landmark building in the anti-apartheid struggle.

Read this: Five African festivals you can't miss

They also follow the students to the United States, where they spend a summer as apprentices at the esteemed Glimmerglass Festival. While in New York, Kemane was invited to sing at the U.N. General Assembly to mark Nelson Mandela Day on July 18.

"I'd never dreamed that I would be singing at the United Nations," says Kemane. "I felt delighted," he adds, "singing there and honoring our late Nelson Mandela."

But along with capturing the triumphant performances and the intense training, the filmmakers also travel to the townships where the young singers grew up, often under challenging conditions.

Nteleza hails from Khayelitsha, a sprawling township on the outskirts of Cape Town that has been struggling not only with high unemployment and crime rates but also health scares.

"(It has) one of the highest rates of tuberculosis in the world and in fact Linda herself has suffered from a bout of tuberculosis," says Cohen. "Her parents have both passed away from health problems, so she has not had an easy life."

Kemane is from Galeshewe, a township in Northern Cape that is also struggling with rife unemployment. His extraordinary talent shone from an early age, winning several youth singing competitions, and last week he traveled to the United States to audition for, among others, Juilliard, the prestigious New York music school.

But at the time, his discovery of opera and his decision to pursue classical singing professionally didn't go down too well with his financially struggling family.

"My father wanted nothing to do with it," says Kemane, whose parents are both unemployed.

"The last thing our parents want for their children is for them to live as difficult as they did -- so now they all want careers that they know you'll definitely get money for sure, and with opera it's kind of difficult," he adds.

"Last year was actually the first time my father actually saw me singing ... that is when he actually approved of opera music."

@highlight

"I Live To Sing" is a documentary on opera students from South Africa's townships

@highlight

It follows three young singers as they set out to launch a career in opera

@highlight

The students often had to overcome adversity and resistance to follow their dreams

@highlight

Thesele Kemane is auditioning for prestigious U.S. opera schools