What a difference two years make. Instead of a band of rabble-rousing conservatives, a markedly different group was plotting campaign strategy with House Republican leaders at a recent party headquarters meeting.

Gone is the tea party-infused talk of confrontation. This diverse group -- top-tier candidates picked to be in the GOP's "Young Guns" program -- includes an openly gay former Massachusetts state legislator, an African-American female mayor from Utah and an Indian-American Ivy league graduate from California. Unlike the take-no-prisoners approach of two years ago, these candidates stressed the need to work with Democrats to get things done in Washington.

Richard Tisei, who was one of the few Republicans in the Democratic-dominated Massachusetts Senate, said that voters are frustrated with a polarized Congress and that he has a record of getting things done.

"I can bring my experience, having served in the Legislature on, you know, a state level, down here and hopefully bring some common sense and willingness to work across the aisle," Tisei told CNN.

If Tisei beats eight-term Democratic Rep John Tierney in November, he would be the first House Republican to say he's gay while running for a first term in office. He supports same-sex marriage and signed onto a legal challenge to overturn the Defense of Marriage Act, a law GOP leaders are fighting to uphold in the federal courts.

"I am a live-and-let-live Republican. I think the government, again, should get off your back, out of your wallet and away from the bedroom," Tisei said.

Further proof that he doesn't fit the traditional GOP candidate mold -- Tisei refuses to sign a pledge that he will not raise taxes.

"If there are loopholes that could be closed, help pay down the deficit, I don't want to tie myself up in knots. I want the option of being able to do what needs to be done to help the country," he said.

The Young Guns program Tisei recently joined was started in 2007 by three Republican rising stars -- Reps. Eric Cantor of Virginia, Paul Ryan of Wisconsin and Kevin McCarthy of California. The three were concerned their party wasn't doing enough to grow its base and recruit candidates in districts where the GOP lost in 2006. The program grew to support 90 candidates in 2009 and became part of the National Republican Congressional Commitee. Those selected for the program received financial and political support from the national party, and 62 of them won in 2010, helping to return the House gavel back to the GOP.

Democrats have a similar program they call "Red to Blue."

McCarthy, who led GOP recruiting two years ago, which included outreach to females and minorities, told CNN "the caliber of the candidates has only improved higher because of the success of the last one." The third-ranking House Republican said he thinks leaders will pick 30 to 40 Young Guns by this fall.

Fitting the "young" part of the bill is Indian-American Ricky Gill, 25, who hopes he'll become the youngest member of Congress next year. A Princeton University graduate who has endorsements from popular Republican Govs. Chris Christie of New Jersey and Nikki Haley of South Carolina, Gill said his campaign represents a "GOP version 2.0." He boasts that he's raised the most money of any Republican challenger in the country in his bid to unseat Democratic Rep. Jerry McNerney in California.

Gill said the 9th Congressional District in California is the "quintessential swing" district.  "The person who's going to win that race is the one who creates broad agreement about the issues of our day -- it's getting people back to work; it's focusing on our agriculture economy. Those actually are consensus issues."

More so than Tisei or Gill, Mia Love may defy most people's expectations of a GOP candidate -- a black, conservative Mormon from Utah. If elected to represent Utah's 4th Congressional District, Love, the mayor of Saratoga Springs, would be the first black Republican congresswoman.

"There are a lot of people who have tried to define me as a person," Love, a daughter of Haitian immigrants, told CNN's Kyra Phillips in an interview last month.

This year, McCarthy and other Republicans said divided government in Washington means candidates need to stress their ability to find solutions.

Brad Dayspring, a senior adviser to YG Action Fund, a super PAC that supports House Republican candidates, told CNN that in 2010 candidates talked about repealing President Barack Obama's health care overhaul, criticizing the spending in the stimulus program and opposing Democratic proposals such as cap and trade, but this year the message centers on "solving problems."

Dayspring, a former Cantor aide, said the party's ideology and issues aren't changing as Republicans work to increase the GOP majority, but he noted "a conservative in Massachusetts is going to look a lot different from a conservative in Arkansas." His group is evaluating GOP candidates across the country and plans to support 15 to 25 this cycle.

House Speaker John Boehner, R-Ohio, insists the party isn't getting a makeover, saying Friday of these candidates, "We didn't choose them for their demographics or their style. They just happen to be good candidates in districts that are winnable for us."

Democrats facing these Young Gun candidates said their talk of compromise doesn't add up. Early and often Democrats are tying all of these challengers to the House GOP budget authored by Ryan, which passed without a single Democratic vote and which, they argue, will end Medicare.

Gill refuses to get drawn in, saying he "salutes the idea of us having this discussion," but steers clear of personally endorsing the House Republican plan and instead zeroes in on his support of one piece of the plan that Ryan co-authored with a Senate Democrat.

Democrats insist Republicans will change their moderate message if they win, and they'll become just like the GOP members elected two years ago.

Tierney, Tisei's Democratic opponent in Massachusetts, told CNN, "He's going to fall right in line with them, and they're the ones that won't compromise and we've had compromise all the way up until the tea party election in 2010."

Rep. Adam Kinzinger, an llinois freshman Republican who was one of the Young Guns two years ago, said 2010 was "a very special year because people were just ticked off so you saw all these grass-roots Americans saying I can run for Congress, and I did that as a military guy with no significant legislative experience."

But Kinzinger said that 2010 was an "outlier" election and that this year candidates need to show a vision for how they'll produce results. "I think it's important that Republicans and Democrats start basically reaching across the aisle and finding the areas (where) we agree and at least moving forward on those," he said.

Despite the anti-incumbent mood and approval ratings for Congress at a record low, McCarthy, the House majority whip, said he believes voters will stick with Republicans this fall. "I think the public sees some change in Congress, but they want to finish the job," he said.

Although Boehner recently warned there was a 1-in-3 chance Republicans could lose seats in the House, McCarthy was more bullish on the party's electoral position, telling CNN that "there's an opportunity to gain in the overall number" of GOP seats.  He cited the Young Guns program as the way to "keep us on offense."

@highlight

Tea party-infused talk of confrontation absent from some GOP House candidates

@highlight

"Young Guns" stress need to work with Democrats to get things done in Washington

@highlight

Group includes openly gay ex-Massachusetts state lawmaker, black female mayor from Utah