LONDON, England (CNN) -- They are the tales of two very different people.

Director Danny Boyle's film "Slumdog Millionaire" shines a stark light on poverty in India.

One an amoral businessman pouring out his life story to the Chinese Premier, the other a lovelorn teenager appearing on "Kaun Banega Crorepati," the Indian version of "Who Wants to Be a Millionaire?"

But if their protagonists are polar opposites, both stories -- one as told in Aravind Adiga's best-selling novel "The White Tiger," the other in "Slumdog Millionaire," the new movie from "Trainspotting" director Danny Boyle -- have much in common.

Both are based in modern day India, both feature characters who succeed against all the odds, and both have garnered considerable critical acclaim, with "Slumdog Millionaire" recently awarded the three top prizes at the British Independent Film Awards.

"Slumdog," which is set in Mumbai, has also assumed a particularly poignant resonance in light of the recent terror attacks that left 174 people dead.

Above all, both narratives shine a stark light on poverty -- an aspect of Indian society that has increasingly been pushed into the background by a decade and more of upbeat headlines about the country's dramatic economic growth.

"The growth aspect has tended to receive much more attention than the darker side of the Indian story," Professor Babu Mathew, Country Director of Action Aid India, told CNN, "More and more the poverty goes unnoticed, and there is less and less of a voice for the excluded peoples."

The breadth of the divide between what Aravind Adiga calls the "India of Light," and the "India of Darkness," is both dramatic and shocking.

Since 1991 when "neo-liberal" market reforms were introduced, India's economy has ballooned. From 1991 to 2004, the world's largest democracy grew at 6.5 percent annually, a figure which increased to over 9 percent between 2005 and 2007.

The result has been a massive explosion of wealth creation among the middle and upper echelons of Indian society, with Indian billionaires now occupying four of the top eight slots on the annual Forbes rich list.

While growth has benefited one section of society, it has left a vast swathe of the population lagging far behind.

"People in urban areas, the rich, the middle classes, the educated -- all of these have benefited from economic growth," Dr Arun Kumar of Development Alternatives Group, a sustainable development organization based in Delhi, told CNN, "Those who have not benefited are the small farmers, the rural poor, the artisans -- for these their situation has worsened."

Nisha Agrawal, CEO of Oxfam India, agrees. "Economic growth has been primarily focused on manufacturing and services and largely in urban areas," she told CNN, "Rural agriculture has not received the kind of attention it deserves. And since the bulk of poor people derive their incomes from agriculture, that has left us with two Indias, one rich, one impoverished."

Even a cursory glance at the statistics reveals a problem on a huge scale.

According to World Bank estimates, 456 million people -- just over 40 percent of India's population of 1.2 billion -- now live on less than $1.25 per day, a sum recognized as the international poverty line.

Almost half of India's children are malnourished; 1000 die every day from diarrhea; hundreds of millions have no access to proper sanitation. These figures provide a grim counterpoint to the glitzy high-rises and designer shopping malls that have sprung up throughout the country's major cities.

How to narrow this gulf between the haves and the have-nots is a fiendishly complex issue and one that has no quick or easy solutions.

More investment in basic infrastructure is seen as crucial, as is a reform of international trade agreements. "Import and energy prices have increased for farmers, but global markets are not opening up for Indian agricultural products," Agrawal told CNN, "That needs to change."

Greater access to institutional finance, the creation of new jobs and economic opportunities, and the spread of information technology all have a major role to play.

"We already have small pockets of improvement," says Arun Kumar, "But these involve limited numbers in limited geographies. "We need to scale everything up. It is a huge challenge."

The global economic problems have not bypassed India. Inflation is now running close to 12 percent and the Mumbai Stock Exchange has almost halved in value from a peak in January 2008. Sensex -- the Bombay Stock Exchange Sensitive Index -- has not registered any significant drop as a result of the recent Mumbai attacks, and it remains to be seen what the longer term effect will be on the Indian economy.

Nonetheless, these difficult and uncertain times may make the challenge of poverty reduction an even harder one. Will India be able to successfully reduce the gap between rich and poor? Leave your comments in the SoundOff box below

Both Kumar and Agrawal remain hopeful that change is coming to India, albeit slowly. "We are eternal optimists," says Kumar, "I do believe things are changing."

"The government recognizes that people don't just want a high level of growth," adds Agrawal, "But also growth that is more equalizing. We need to bring the two Indias together, and I believe we can do it."

Despite their optimism, the problems remain vast, and the darkness intense.

For the foreseeable future it seems likely the question most on the minds of India's 456 million poor will be less "Who wants to be a millionaire?" than "Will I be able to feed myself and my family today?"

@highlight

Danny Boyle's "Slumdog Millionaire" shines a light on slum-dwellers in India

@highlight

Huge growth means four of top eight billionaires on Forbes rich list are Indian

@highlight

But the new wealth has bypassed India's 456 million poor

@highlight

Nisha Agrawal of Oxfam says there are: "two Indias, one rich, one impoverished"