(CNN) -- Swiss scientists say levels of polonium-210 measured in the personal effects and body tissues of Palestinian leader Yasser Arafat "moderately" support a proposition that he died of polonium poisoning.

The findings released by the University Center of Legal Medicine of Lausanne -- first reported Wednesday by Al Jazeera -- do not address how Arafat, who died in 2004 at age 75, might have been poisoned or who might have done it.

The report comes a year after Arafat's widow, suspecting he was poisoned, had the body exhumed for tests after the radioactive isotope polonium-210 was found on some of his personal belongings in 2012.

The Swiss center said it identified "significant quantities" of polonium in biological stains on those belongings. Some polonium also was found in samples of remains taken during last year's exhumation, it said.

What polonium does to the body

The scientists' findings may renew controversial allegations over how Arafat -- the most prominent face of Palestinian opposition to Israel for five decades -- died. The Palestinian Authority, which runs the West Bank, has said Israel would have been behind any poisoning of Arafat, who was regarded by many Palestinians as a father figure.

"I believe that all fingers are pointed at the Israeli occupation ... who have experience in such cases of poisoning," said Wasel Abu Yousef, a member of the executive committee of the Palestine Liberation Organization. Yousef called for a "criminal international committee" to be formed to investigate the report.

An Israeli Foreign Ministry spokesman said Wednesday that any such accusation would be "utter nonsense."

"This is nothing to do with us, and for the moment they refrained (from) making accusations," Israeli Foreign Ministry spokesman Yigal Palmor said. "They know why -- there's no strictly no connection to Israel."

The Swiss center pointed out some caveats:

-- The testing was based on "very small specimens." The center noted that blood, urine and other specimens were destroyed after Arafat's hospitalization.

-- Eight years passed between the death and the exhumation. Because polonium-210 has a half-life of just 138 days, its detection after eight years is "very difficult and subject to uncertainties."

-- The "chain of custody" of Arafat's personal effects -- from the time he died and when the center began to study them in 2012 -- is unclear, it said.

Paddy Regan, a professor of radionuclide metrology in the physics department at the University of Surrey in Guildford, England, agreed that the years that have elapsed since Arafat's death make it more difficult to estimate how much isotope was there originally.

"It's like a blindfolded man holding the tail of an elephant and using that to estimate the weight of the elephant," Regan told CNN in a telephone interview. "You can do it, but there is a huge amount of extrapolation involved."

And the mere presence of the isotope -- in amounts significantly higher than what occurs naturally -- does not necessarily mean that that is what killed Arafat, he added, citing the scientists' measurement of a urine stain on Arafat's underwear. "If you were being cynical about such a thing, if you wanted to put a false trail out there, you could put a tiny amount of polonium 210 on that urine stain," he said. "That doesn't mean that the urine stain came from inside him."

French prosecutors launch murder inquiry in Arafat's death

But the report expressed doubt that that could have occurred. It said that Arafat's widow had "certified that the measured personal effects have been stored in a secured room."

And biological samples -- including from bone -- also contained a higher concentration of the isotope, said Regan, who complimented the work of the Swiss experts.

"These are good forensic scientists," he said. "These results imply that, at the time of his death, Mr. Arafat had an amount of polonium-210 present in his system that would be significantly detrimental to his health."

How much would it take?

"It's a terrifyingly small amount," Regan said. "The size of a grain of salt, something like that."

Arafat, who first led the Palestine Liberation Organization and then the Palestinian Authority, died in a Paris military hospital in November 2004 after suffering a stroke after weeks of illness. Palestinian officials said in the days before his death that Arafat had a blood disorder -- though they ruled out leukemia -- and that he had digestive problems.

Rumors of poisoning circulated at the time, but the Palestinian Authority's then-foreign minister, Nabil Sha'ath, said he "totally" ruled them out.

French authorities -- responding to a request from Arafat's widow -- opened a murder inquiry into his death in 2012 after high levels of polonium-210 were detected on Arafat's toothbrush, clothing and his keffiyeh, the trademark black-and-white headscarf he often wore. France opened the investigation partly because Arafat died there.

Forensic experts from Switzerland and Russia took their own samples for independent analysis.

Radiation poisoning from polonium-210 looks like the end stage of cancer, according to medical experts. The radioactive substance can enter body by eating or drinking contaminated things, breathing contaminated air, or inhaling or ingesting bodily fluids from someone contaminated with it. A wound can also become contaminated.

Russian spy dies after polonium poisoning

CNN's Matthew Chance, Michael Schwartz, Kareem Khadder, Tom Watkins, Jason Hanna and Ashley Fantz contributed to this report.

@highlight

A dose "the size of a grain of salt, something like that" could be deadly, professor says

@highlight

The Palestinian leader died in 2004 at age 75

@highlight

Last year, his widow, suspecting he was poisoned, had the body exhumed for tests

@highlight

Polonium-210 -- a radioactive substance -- had been detected on his clothing and toothbrush