Abortion rates in the United States are at their lowest in 40 years, according to a new report from the Guttmacher Institute.

In 2011, the U.S. abortion rate was 16.9 abortions per every 1,000 women aged 15 to 44, the lowest it's been since abortion was legalized in 1973.

Between 2008 and 2011, the abortion rate fell 13%, resuming the downward trend that had stalled between 2005 and 2008.

Abortion rates stall after decade-long decline

"The decline in abortions coincided with a steep national drop in overall pregnancy and birth rates," Rachel Jones, lead author of the study, said in a statement. "Contraceptive use improved during this period. ... Moreover, the recent recession led many women and couples to want to avoid or delay pregnancy and childbearing."

The study, "Abortion Incidence and Service Availability in the United States, 2011," is available online and will be published in the March issue of the journal Perspectives on Sexual and Reproductive Health.

As Jones said, several variables affect abortion rates, including the economy, access to contraception and the availability of abortion services.

The pregnancy rate is the lowest it has been in 12 years. It's possible that since there were fewer overall pregnancies, there were also fewer unintended pregnancies during this time period. Both could be attributed to an uptick in more effective contraception use, the study authors say.

U.S. women having fewer children

Previous studies have shown that offering free contraception to women may prevent abortions.  Longer-term methods, such as intrauterine devices, are as much as 20 times more effective at preventing unintended pregnancies than methods that require constant action, such as the birth control pill or vaginal ring.

"Access to a range of birth control methods is playing an important role in reducing unintended pregnancy and decreasing the need for abortion," Cecile Richards, president of Planned Parenthood Federation of America, said in a statement. "This report comes just as some politicians and corporations are trying to make it harder for women to get birth control by chipping away at the historic benefit in the Affordable Care Act that requires insurance plans to cover birth control without a copay."

Women's access to certain types of abortion providers also matters, the study authors say. In 2011, abortion clinics represented just 19% of facilities offering abortion services. Yet clinics performed approximately 63% of the procedures. The researchers concluded that "the number of clinics in particular may be a more important indicator of access than the total number of providers."

The total number of abortion providers declined 4% between 2008 and 2011, according to the study. The number of clinics declined 1% nationwide, with much higher rates of decline in Arkansas, Idaho, Kansas, Oklahoma and Vermont, which each lost one clinic. Although one clinic closure may seem insignificant, it may have contributed to the larger-than-average decline in the abortion rates in Kansas and Oklahoma, the study authors say.

Study: '16 and Pregnant' led to fewer teen births

An estimated 239,400 early medication abortions were performed in 2011, 20% more than in 2008. The vast majority -- 98% -- were done using Mifepristone, more commonly known as RU-486. Mifepristone was approved in 2000 in the United States. It is used to block the hormone progesterone in women who are up to nine weeks pregnant.

"Heavy promotion of RU-486 and chemical abortions has really had an impact," Randall K. O'Bannon, director of education and research with the National Right to Life Committee, told CNN in 2011. "(Women) would consider abortion when they might not consider it before."

National Right to Life recently released its own report on "The State of Abortion in the United States," which states that more than "3,000 unborn children are still killed every day." The anti-abortion organization says the recent drop in the abortion rate can be attributed to legislative efforts at the state and federal levels.

"Abortion remains widely available. But after years of being told that abortion was 'the best choice' or 'their only choice,' women are learning that there are alternatives to abortion that affirm their lives and the lives of their children," President Carol Tobias said in a statement. "The bottom line is simple: the right-to-life movement is succeeding because even after 41 years and more than 56 million abortions, the conscience of our nation knows that killing unborn children is wrong."

Abortion Fast Facts

Between 2008 and 2010, 44 laws related to abortion were implemented in 18 states, according to the report. Most did not likely have an effect on the abortion rate, the study authors say, but a few may have. For example, a new law in Missouri that requires a woman to attend an in-person counseling session 24 hours before an abortion may have attributed to the state's 17% decline.

An additional 62 laws related to abortion were passed in 2011. Most did not go into effect until October, the study authors say, so it's unlikely they had an effect on the report's numbers. However, they may contribute to a change in abortion rates in the future.

"Over the past three years, we have seen an unparalleled attack on abortion rights at the state level, and these new restrictions are making it harder for women to access services and for providers to keep clinic doors open," Elizabeth Nash, state issues manager at Guttmacher, said in a press release.

"As we monitor trends in abortion going forward, it is critical that we also monitor whether these state restrictions are preventing women who need abortion services from accessing them."

Opinion: Let's get real about abortions

The Guttmacher Institute study does have its limitations. The study authors were unable to get in touch with every abortion provider, and some providing early medication abortions may have been missed.

"As welcome as news of this decline is, more information is needed," said Chuck Donovan, president of the Charlotte Lozier Institute. "The Guttmacher data is based on completely voluntary reporting by abortion providers. Until we have consistent reporting requirements, inclusive of states with high abortion rates and gathered by publicly accountable bodies, we cannot begin to paint a complete picture of U.S abortion trends."

@highlight

Abortion rates are at their lowest since 1973 when it was legalized

@highlight

Between 2008 and 2011, the abortion rate fell 13%

@highlight

Several variables affect abortion rates, including the economy and access to contraception

@highlight

"3,000 unborn children are still killed every day," National Right to Life says