(CNN) -- If Pakistan prosecutes one of the men who helped the CIA hunt down Osama bin Laden, what does it say about the state of relations between Washington and Islamabad?

Nothing good, according to national security experts contacted by CNN.

New questions are being raised about strained ties between the United States and Pakistan in the wake of a Pakistani commission's recommendation of treason charges this week against a Pakistani doctor who helped U.S. intelligence officials track bin Laden to a compound in Abbottabad.

Abbottabad is a largely military community on the outskirts of Islamabad.

"A case of conspiracy against the state of Pakistan and high treason is made" against Dr. Shakeel Afridi, the information ministry declared, summarizing the commission's investigation into the death of the al Qaeda leader.

The recommendation is nonbinding. It remains to be seen whether the government will act on it.

Afridi allegedly helped the CIA use a vaccination campaign to try to collect DNA samples from people who lived in bin Laden's compound. The goal of the effort was to acquire DNA evidence from bin Laden family members, according to The Guardian, a British newspaper.

The vaccination campaign, a senior U.S. official told CNN, occurred shortly before U.S. forces raided the compound and killed bin Laden on May 2.

Pakistani officials insist they were unaware of bin Laden's location, and have expressed anger over President Barack Obama's decision to move ahead with the raid without consulting them. Incidents such as the bin Laden raid and continued U.S. drone strikes within Pakistan's borders have also raised questions of U.S. violations of Pakistani sovereignty.

Several analysts also have noted lingering Pakistani anger over the case of Raymond Davis, a CIA contractor and U.S. citizen charged with killing two men in January in Pakistan. Davis was released in March after compensation was paid to the victims' families.

For their part, U.S. officials have expressed concern over the alleged infiltration of Pakistan's intelligence services by Islamic extremists, as well as growing anti-American sentiment in Pakistan, among other things.

They've also expressed concern about Afridi being jailed without charges.

"This was one small piece of a very large intelligence effort," the U.S. official said. "People need to put this into some perspective."

The recommendation is "a short-sighted move to gain leverage by the Pakistanis in a troubled U.S.-Pakistan relationship," said Fran Townsend, a former national security official in George W. Bush's administration. "They're obviously angry at the U.S. for the bin Laden raid, and this is just another way they can express their anger."

"Each time one side does something to insult the other ... it undermines the ability to rebuild trust between the two sides," Townsend said. "Every public move (such as the recommended treason charge) makes the private ability to negotiate a path forward harder."

Michael Rubin, a national security analyst at the conservative American Enterprise Institute, called the continuing uproar over the bin Laden raid the latest "in a long line of reasons for Pakistan being angry at the United States."

"Never have we had an ally with whom we've agreed on so little over such a long period of time," Rubin told CNN, noting U.S.-Pakistani ties dating back to the Eisenhower era. "The bin Laden raid was simply the icing on the cake."

But "any doubt Pakistan wasn't knee deep in the bin Laden mess has now been put to rest," Rubin argued. "The fact that they're prosecuting the doctor shows that given a choice between the United States and al Qaeda, Pakistan would rather be an ally with the latter," he said.

Some analysts, however, draw parallels between Pakistan's possible decision to prosecute Afridi for treason and an earlier U.S. decision to prosecute former U.S. Navy intelligence official Jonathan Pollard on the same charge.

Pollard was caught spying for Israel -- a close U.S. ally -- in 1985. He was ultimately sentenced to life imprisonment.

"Pakistan has a pretty legitimate" case, said Peter Bergen, a national security expert and director of the New America Foundation, a non-partisan Washington think tank. "It doesn't really matter how valid the goal is. That doesn't change the fact that you're spying for a foreign intelligence service."

Why, Bergen asked, "should Pakistan somehow not play by the same rules that a lot of countries play by?"

Bergen called the recent Davis case "seismically important" in Pakistan. It "seemed to confirm a widely held view in Pakistan that a bunch of people working for CIA are wandering around their country."

"That's the context in which (the recommendation of treason charges) is happening," he said.

Is there anything the U.S. government can do to help Afridi?

"The U.S. finds itself with very little leverage" in this case because Afridi is a Pakistani national, Townsend said, drawing a contrast to Davis' situation. A solution can be found, she argued, but "I expect the Pakistanis will exact some price for this."

It's possible, Bergen said, that Afridi "may just become a bargaining chip at some point."

Regardless of the circumstances, U.S. policymakers have an obligation to do what they can to help Afridi, Rubin asserted.

"It's not just about this man. It's about signaling we'll protect anyone who comes forward to assist our fight against terrorism," Rubin said. "Bin Laden is dead, but there's always going to be a new bin Laden out there. We'll always need help like this doctor provided."

CNN's Pam Benson and Reza Sayah and journalists Nasir Habib and Shaan A. Khan contributed to this report

@highlight

Pakistan may charge a doctor with treason for helping U.S. officials find Osama bin Laden

@highlight

Case creates new strains in already troubled U.S.-Pakistan relationship, analysts say

@highlight

The United States may have little ability to help the doctor