(CNN) -- One year after the Syrian conflict began, the numbers are staggering: more than 8,000 killed, tens of thousands detained, and dozens of towns decimated, according to the United Nations.

But beyond the statistics, the people of Syria find their tragic struggle often reduced to 45-second fragments on YouTube or static-filled Skype phone calls. The reason? The government's tight constraints on media access.

Of the few journalists brave enough to defy the Syrian government's restrictions, at least five paid the ultimate price, including veteran war correspondent Marie Colvin and award-wining photographer Remi Ochlik.

One year on, Syria still boiling

The constant danger means the media have been left to rely on official government accounts, as well as a network of opposition activists scattered across Syria and a passionate expatriate community. The opposition details what's happening on the ground through amateur videos, messages describing the latest carnage and eyewitness accounts offered over the phone or Internet.

Yet while news organizations go to great lengths to verify such amateur reporting, it is no substitute for independent eyes and ears on the ground.

In other conflicts, a handful of media personnel might capture the full-scale horror of violence. A reporter and perhaps his crew may record the moment -- for instance, a young man being shot and killed -- and then edit their content and wrap it into a television piece for air or for a newspaper or magazine story.

Journalists missing in Syria

But when it comes to Syria, it seems everyone in the country is on the front lines, witnesses to tragedies large and small.

On our Twitter accounts, on our Facebook pages, and in our e-mail inboxes, we are confronted regularly by depictions of mutilated corpses, wailing mothers and the pain of a people under siege by their own government.

How will it end?

The result is jarring: a world forced to watch as Syrian security forces appear to continually broaden their wrath, with international initiative after initiative faltering in their efforts to resolve the crisis.

The uprising began in March 2011, when at least 15 children from the southern province of Daraa were reportedly tortured at the hands of state security. Their crime was defacing a school's walls with anti-regime graffiti, at a time soon after the longtime leaders of Tunisia and Egypt had fallen under the weight of popular revolutions.

Many of the young boys and girls came home traumatized, their nails pulled out by Syrian security forces. One video showed a young boy in a red-striped shirt, his face bruised and full of fear. He introduced the world to a regime with seemingly no limits on what they would do, as well as defiant citizens who were willing to confront it.

Perhaps no video captured the plight of Daraa's children more than a 2-minute, 22-second clip showing the mutilated corpse of 13-year old Hamza al-Khateeb. After being detained for just a few days by authorities, Al-Khateeb's body was bloated almost beyond recognition.

For activists, YouTube a key weapon

More horror stories came out as the months passed by: soccer stadiums packed with detainees in Banyas, hundreds killed in the military assault of Hama during the Islamic holy month of Ramadan, thousands fleeing shelling in the border of town of Jisr al-Shughur in hopes of reaching refugee camps in Turkey. With each incident, videos came showing nameless victims pleading, crying or falling silent.

President Bashar al-Assad's regime, in statements and through official media, has routinely insisted that "armed terrorist groups" are to blame for the bloodshed. Its forces, they say, are trying to guarantee security even as they act to defend themselves.

Leaked e-mails remove al-Assad's veil

Yet the opposition and a growing number of international governments and institutions, including the United Nations, say the government is the aggressor.

More recently, and more regularly, they report that security forces have moved from targeting individuals to waging indiscriminate and widespread military assaults on opposition areas.

Amidst this broader crackdown, the people of Baba Amr -- a neighborhood in the embattled city of Homs -- made history. They became the first citizens believed to have broadcast their own destruction, live via social media. As Syrian troops pummeled the 5-square-mile area, a small group of activists pointed a live stream camera over their rooftops.

Yet many of those activist journalists, among others, have gone silent.

For example, amateur photographers Basil Al Sayed and his cousin Rami Al Sayed once had relayed a steady stream of reports before they suddenly stopped. The reason why became evident when YouTube videos showed their bullet-ridden bodies.

Many Syrian opposition members, however, said it's not death they fear most.

"Those who are dead are in the mercy of God now. But it is those who are alive, who still suffer, that we are worried about," an activist told me as he described the death in detention of his friend Ghiyath Mattar, a peace activist who'd attended demonstrations with a rose in one hand and a Syrian flag in the other.

So far, after taking steps like bolstering sanctions and withdrawing ambassadors, other nations haven't managed to end the suffering. Yet Syrians continue to point their camera phones at tanks every day in hopes of getting outsiders' attention, asking, "How many more people have to die before someone helps us?"

Early on, a common rallying cry was, "People demand the fall of the regime." Today, as the blood continues to flow, that has been replaced on many Syrian streets with the more ominous chant, "Death and not humiliation."

@highlight

Syria's government blames "armed terrorist groups" for ongoing violence

@highlight

But Syrian opposition, and other nations, say the regime is the aggressor

@highlight

Activists use videos and interviews to describe what's happening in Syria

@highlight

Few journalists have gotten inside the country, and some have died