The gruesome gunning-down of 15-year-old Malala Yousufzai spotlighted the fate of children in Pakistan, one of the world's most dangerous places to go to school. But in war zones around the world, from Afghanistan to Yemen, students, teachers and schools are regularly coming under attack. These are the world's unrecognized Malalas.

In southern Thailand, I visited a school that was still smoldering from an arson attack a few days earlier. Separatist insurgents had doused the classrooms with gasoline and dragged books from the library and mattresses from the kindergarten to fuel the flames. The insurgents view schools as places where the Buddhist Thai government indoctrinates the local Muslim Malay population.

Gordon Brown: Millions of children face Malala's fight for an education

The school's teachers were distraught but worried that if they fled the area, the children would be left with no one to teach them. These teachers' bravery is astounding: This month, three bullets to the head felled Komsan Chomyong. He was the 152nd teacher to be assassinated since violence erupted in southern Thailand in 2004.

In the past five years, armed forces and armed groups have attacked or taken over schools in at least 25 countries, endangering children's lives, education and future. Armed groups target schools and teachers as symbols of the state. They oppose what is being taught, and to whom. These attacks are not a matter of collateral damage; they are part of deliberate, despicable strategies.

Opinion: Candidates, answer the Malala question

This year in eastern Yemen, I met a 14-year-old boy who explained how al Qaeda-linked extremists had replaced the teachers and curriculum at his school. Pointing to a card I brought displaying pictures of various weapons, he identified five that his new "teachers" had taught him and his classmates to use.

I met another 14-year-old in Yemen's capital, Sanaa, who told me how frightened he had been when the principal led students into the basement to escape gunfire aimed at the militia that had established a base on the school's top floor. "You couldn't recognize that this was a school because of the military barracks here," one teacher told me.

In central India, I sifted through the shrapnel and splintered desks in a school that had been bombed by Maoist guerrillas. "This school has been badly damaged," lamented a 16-year-old student showing me around. "Everything is in ruins." In India, the Maoists attack schools because the isolated pink buildings make easy targets in rural areas otherwise devoid of government structures. But in doing so, the Maoists harm the country's most marginalized and needy: the very children for whom they claim to be fighting.

Safe schools offer essential protection for children in wartime. They can provide lifesaving information about things like avoiding land mines and preventing HIV. They can also shield children from trafficking and recruitment by armed groups. In the long term, a good education promotes peace and post-conflict reconstruction, and helps young people develop the skills to build lives for themselves and prosperity for their communities. Perhaps most important, access to a safe space to study and learn provides students with a sense of normality, routine and calm amid the chaos of war.

Opinion: A year later, can Libya tame militias?

Ending attacks on students, teachers and schools requires action at both the national and international levels. We need a shared recognition that such attacks can amount to war crimes and need global attention. Where attacks occur, the United Nations should be allowed access to negotiate with armed groups to end grave violations against children. (Thailand recently denied the U.N. access to verify the crimes being committed against children in the south.)

We also need better preventive measures and a more timely response. Destroyed schools should be quickly rebuilt, not left as piles of rubble like so many in Pakistan.

Militaries should commit to refraining from converting schools into military bases and barracks, to prevent turning schools into targets. In Syria right now, school buildings are being bombed as both sides target each other's bases set up inside classrooms.

The cause for which Malala Yousufzai risked her life -- ensuring that children, no matter where they live, can enjoy an education in safety and security -- has received new attention since her bloody attack. Let us work to ensure that it does not take more Malalas for the world to react and give attacks on schools the attention it deserves.

@highlight

Bede Sheppard: Malala shooting reminds that schools, globally, are besieged in war zones

@highlight

He says schools attacked in 25 nations in past 5 years, including Yemen, Thailand, India

@highlight

He says militias use them for fighting, they become targets; kids lose stability, education

@highlight

Sheppard: World must see this as war crime, put protections in place, even in war