(CNN) -- An Afghan designer and former refugee has developed a low-cost, wind-powered mine detonating device inspired by the toys he played with as a child.

Massoud Hassani's Mine Kafon is composed almost entirely from bamboo and biodegradable plastics, with a skeletal structure of spiky plungers that resembles a giant spherical tumbleweed from another planet.

At 70 kilograms, Hassani says his invention is light enough to be propelled by a normal breeze, while still being heavy and big enough - 190cm in diameter - to activate mines as it rolls over them.

According to the U.N., there are more than 110 million active mines scattered across 70 countries, with an equal number stockpiled around the world still waiting to be planted.

Meanwhile, manual diffusion by trained mine-clearing experts remains the most common method of removal globally, according to the Landmine Monitor, an industry publication published by the International Campaign to Ban Landmines.

But this method can be prohibitively expensive - in some cases it costs thousands of dollars to clear just a single mine.

By contrast, Hassani claims the Mine Kafon -- which includes a basic GPS tracking device used to record the area "cleared" by its tumbling path - costs as little as $40 to build.

"The core sphere that contains the GPS system is high enough from the ground to avoid damage from most anti-personnel mines," explained Hassani.

The lengths of the spikes are based on the height of an adult's leg - because the kinds of mines that it is designed to clear are those that will take a leg off below the waist of an adult.

"So, as it moves the spikes get blown off, but the center stays intact," Hassani said. "It can withstand up to four explosions before it loses too many of its legs to carry on."

As a young kid growing up in Afghanistan, Hassani did what children the world over do: made up games and created his own toys.

"One of them was a little rolling object that was carried by the wind," he recalled. "We would race them against each other in the local fields.

"Sometimes, due to the presence of landmines, they would roll off into places that we weren't permitted to go."

After his father was killed in a rocket attack during the late 1980s, Hassani fled Afghanistan with his mother, brother and sisters. Living first in Uzbekistan, then traveling through central Asia and ending up four years later as a refugee in Holland, Hassani went on to study at the Design Academy in Eidenhoven.

What started life as his final graduate design project has since undergone strength testing at the hands of the Dutch military. This year, a full-scale mock-up was tested in the deserts around Morocco and Hassani hopes to fundraise $100,000 so he can engineer the design to mass produced, industry standards.

However, some are skeptical about Mine Kafon's chances of ever meeting the official International Mine Action Standards (IMAS) -- considered to be the minimum grade of delivery for responsible mine clearing operations.

"There are many citizens who live in mine-affected areas who carry out their own DIY clearances, and while this is noble it is also very dangerous," explained Adam Komorowski, head of operations at the UK-based Mine Advisory Group.

"For any mine clearing technology to be adopted by a serious mine action organization, it needs to conform to IMAS.

"As much as I welcome all new ideas -- and I think this is a nice concept with great potential to raise awareness and perhaps inspire other solutions -- I can't see it meeting those standards in anything like its current form," he said.

Komorowski, who stresses that his assessment is based solely on what he has read and viewed online, believes that Hassani's creation is undermined by its dependence on the "serendipity of random gusts" -- making it a haphazard option in a field traditionally characterized by highly methodical techniques. "Every square centimeter of land should be properly checked," he said.

"I'm also not convinced that the device can be relied upon to necessarily detonate every mine it crosses," said Komorowski, who argues that if a couple of its spikes are blown off during a clearance, then the holes in its structure could cause it to miss other mines as it rolls on.

"It looks to me that there is also a huge limitation in terms of terrain," he added. "I can't see it working on hills or areas with dense vegetation."

Hassani says he is aware of these limitations, and claims to have a number of solutions in the pipeline.

"We are developing a remote-controlled model with a motor and a metal detector -- so that even if it fails to detonate a mine, it should map-out the presence of metal structures underneath," he said.

Whether the Mine Kaffon can be engineered to overcome the criticisms of industry insiders like Komorowski, the strikingly-designed structure with its poetic symmetry has already brought the issue of landmine clearance to new audiences in the design world.

It was recently showcased during Dutch Design Week and the Lodz Design Festival, and in March of next year will enjoy a run at New York's prestigious Museum of Modern Art.

"The design industry is perhaps too focused on tables and chairs," said Hassani. "I think we can use our talents to find design-based solutions to more serious problems."

@highlight

Mine Kafon is a cheap, light, wind-powered mine detonating device

@highlight

Created by an Afghan designer who was inspired by toys he modeled as a child

@highlight

Industry expert says concept is laudable, but does not currently meet safety standards