London, England (CNN) -- Nestled in a sheltered bay on the English Channel coast, Weymouth is one of Britain's most picturesque seaside towns. As the home to the Weymouth and Portland British National Sailing Academy it was the obvious choice to host all sailing events during the London 2012 Olympic Games.

Located in the English county of Dorset, and smack bang in the middle of what is known as the "Jurassic Coast" -- a rocky and dramatic 153 kilometer coastline dating back 185 million years -- this area is arguably one of the most historically interesting regions in the UK.

In 1348 it played a pivotal role in the spread of the Black Death, it was a major departure point for the settlement of the Americas and a critical location for Britain's defense during World War II.

See also: Beheaded Vikings found at Olympic site

It also has a great cultural heritage and its spectacular vistas and dynamic seas have inspired many great British novelists such as Thomas Hardy and Ian McEwan, who even chose one of Dorset's beaches, Chesil Beach, as the title for one of his most celebrated novels.

Throughout the summer, Weymouth and the surrounding towns and villages, are hosting countless events to celebrate the homecoming of the Olympic Games. To make your life easier CNN has selected some of the most interesting events and must-see tourist attractions right here.

Weymouth & Portland Live

For anyone visiting Weymouth during the Olympics a trip to the Weymouth & Portland Live site is a must. Located in the center of Weymouth and overlooking its golden beach, the venue will show all sailing and other major Olympic events live on two giant 60 square meter television screens. During the Games 15,000 people are expected to visit the area each day. The free site opens its doors on Friday July 27 when it will be showing the Olympic opening ceremony, followed by a big firework display in Weymouth Bay.

Interactive sports arena

If watching sports doesn't tire you out then a visit to the interactive sports arena might. Targeting the more active sports fans this venue lets visitors try out some of Britain's favorite sports including football, rugby, volleyball, cricket, bowling, sailing and kayaking. It is located right next to the Live Site and will be open July 27 - August 12.

Maritime Mix

Branded as the "London 2012 Cultural Olympiad by the Sea" the Maritime Mix is one of the most ambitious cultural events ever put on in Dorset. It is an official part of the UK-wide London 2012 Festival which celebrates the best of British cultural life during the Olympic year. There are more than 80 free separate events featuring visual arts, music, choral performances, outdoor theater and circus, earth sciences, sound installations, video projection, dance and participative street celebrations.

The Bayside Festival

For those who want to enjoy a bit of fun, light entertainment and plenty of cold beers during the Olympics, the Bayside Festival is likely to be the a popular pit stop. Located on the Weymouth peninsula the festival, which has a capacity of 9,000 people, will feature a wide range of music and entertainment along with lots of shops, food stalls and bars.

For history buffs there's the Olympic Sailing Heritage Exhibition, military displays and a chance to board the classic cruise ship MV Balmoral for a tour of the Jurassic Coast.

See also: Olympic sailors test waters for 2012 Games

Sea Life Tower

Rising 53 meter over Weymouth's Festival Pier this newly opened tower offers some stunning bird's eye views over the Olympic sailing arena. On a clear day the tower's slowly revolving observation deck reveals panoramic views of Weymouth Bay, the English Channel and the Jurassic Coast.

b-side festival

For the third year in a row this contemporary art festival is being held in Weymouth, and this year it runs throughout the Olympics and Paralympics. The b-side festival features cutting edge British and international artists from Europe, the U.S. and China who are showcasing new commissions on the theme of "margins, boundaries, portals and departure points" using visual art, digital media, performance and film to display their work.

According to organizers the aim of the festival is to "delight and provoke in equal measures" and with a program featuring "misguided" tours, telepathic drawing experiments, sound installations, film programs and interactive signage located in pubs, churches, alleyways, swimming pools and car parks it sounds like it will stay true to its word.

Jurassic Coast

For those adventurous enough to go sightseeing around Dorset there is plenty to see even after the Olympics. The Jurassic Coast was England's first UNESCO World Heritage Site and is a must see attraction for anyone visiting Dorset. It covers 95 miles of dramatic coastline and features rocks dating back 185 million years -- spanning the Triassic, Jurassic and Cretaceous periods.

The coastline has plenty of fossils, dinosaur prints and geological marvels such as the 28 kilometer long barrier beach Chesil Beach and Lulworth Cove, which attracts half a million tourists a year. One of the best ways to see the Jurassic Coast is by sea so if you left your own boat at home you can easily hop on a boat trip from any of the gateway towns along the coast. For those who want to explore the coast by foot the 1000 kilometer (630 miles) long South West Coast Path National Trail offers plenty of coastal adventures.

Inside Out Dorset festival

Held on the limestone island of Portland a few kilometers south of Weymouth, the Inside Out Dorset festival is free event that has been running since 2005. It aims to make art accessible and less "intimidating" and this year it runs from August 31- September 9. One of the year's highlights is the Harmonic Fields -- a sensory art installation featuring an ensemble of 500 instruments being played by the strong Dorset wind.

Camp Bestival

Camp Bestival is the "little sister" of the very popular music festival Bestival, both organised by radio DJ Rob Da Bank. Held annually at the end of July at the majestic Lulworth Castle it is not the average raucous British festival but one for music-loving families with small children. It won the Best New Festival in the UK Festival Awards in 2008 and this year bands like Happy Mondays, Hot Chip, Kool & the Gang, Jimmy Cliff and Rolf Harris are performing.

@highlight

Weymouth and Portland are hosting all sailing events during the London 2012 Olympics

@highlight

During the Olympics the area is bustling with numerous sport and cultural festivals

@highlight

Weymouth is located on the Jurassic Coast -- England's first World Heritage Site