(CNN) -- A 24-year-old surfer was killed last weekend in a shark attack off the coast of Western Australia, marking the fifth such reported incident in ten months.

The deaths have reopened the debate about our understanding of sharks and whether more should be done to control their population.

How many shark attacks have occurred in Australia?

Since 1791, there have been 689 unprovoked attacks recorded in Australia by the Australia Shark Attack File, 200 of which were fatal (29%). In the last decade, fatalities have occurred primarily in the states of New South Wales and Queensland, with the others in Western Australia and South Australia.

Has there been a sudden increase in shark attacks in Western Australia?

"The events in Western Australia over the last two years are unusual in that they occurred in one state," said John West, curator of the Australian Shark Attack File and Manager of Life Sciences Operations at the Taronga Conservation Society Australia.

Over the past century, there were five years that saw more than 10 annual fatalities, and eight years when five fatalities occurred over a two-year period, he said, citing the Australian Shark Attack File.

At the same time, "there is no scientific evidence to suggest that the shark-related fatalities in Western Australia are a reflection of an increase in the population size of white sharks," said Ryan Kempster, a shark biologist and founder of Support Our Sharks, reiterating his comments after the fourth attack.

"It is more likely a combination of factors, including more people in the water and white sharks being present around the southwest coast this time of year."

What brings sharks to Western Australia?

The recent attacks are believed to involve white sharks. For millions of years, white sharks in particular have been migrating along the coast of Western Australia between feeding and possibly mating grounds, explained West. While they do not lie in wait for food at beaches, he said, white sharks are particularly inquisitive and will investigate floating objects, including cigarette packets, buoys, surfboards and humans.

Historically, human encounters with sharks have typically occurred during the summer, West said. But due to improvements in wetsuit technology, people engage in water sports outside of the summer season and for longer periods, leading to shark encounters year-round.

Should I be worried about future shark attacks?

"The chance of encountering a shark remains very low, and...even if an encounter occurs, the chances of being attacked are very small," said West. Over the last decade, an annual average of 16 shark encounters has been recorded, with 27% of cases resulting in no injury or death, he said. Comparing the figure with the annual average of 87 drowning deaths at Australian beaches, he commented, "People should be more concerning with swimming at a beach than being killed in a shark attack."

"It has been said that humans are not on the shark's menu -- they are just in the way!" West added. "History seems to support this observation."

"Shark bite incidents are a rare occurrence and almost impossible to predict," Kempster said. "People need to realize that when they enter the water they are taking a risk -- albeit minimal --of encountering a large predatory shark."

What are people doing wrong?

Kempster urged beachgoers to have a sense of personal responsibility, as he pointed out that, "after the most recent attack, there were surfers in the water at the same beach the attack occurred, even though there were clear signs warning people not to enter the water."

West echoed that people should avoid areas where dangerous sharks are known to gather, as well as far-offshore areas, deep channels, drop-offs to deeper water, and areas with poor underwater visibility. People should swim at beaches patrolled by Surf Live Savers and swim with companions (although not pets, as non-aquatic animals can attract sharks.)

The Department of Fisheries recommends that all shark sightings should be reported to the water police.

What is the Western Australia government doing to address the situation?

The Department of Fisheries announced that it will spend AUD 13.65M (US$ 14M) over five years to research shark populations and movements and improve attack response procedures. This includes setting up the Shark Response Unit and extending its white shark monitoring program for two years under the unit, which includes tagging white sharks with acoustic transmitters to track their movements.

@highlight

Five deaths from unprovoked shark attacks reported within ten months in Western Australia

@highlight

While number of deaths is unusual, "no scientific evidence" to suggest increase in sharks

@highlight

Shark encounters remain very low, with annual average of 16 encounters over the last decade

@highlight

Government has committed US$14M over five years for shark attack research and prevention