Tripoli, Libya (CNN) -- Fierce fighting swept across the Libyan capital of Tripoli on Sunday, a short time after armed men stormed the country's interim parliament. The violence appeared to be some of the worst since the 2011 revolution that ousted longtime leader Moammar Gadhafi.

At least two people were killed and 66 were injured, according to the Health Ministry.

Residents of Tripoli rushed home Sunday evening. One Libyan who spoke to CNN reported seeing shop owners quickly closing up.

State media LANA reported that lawmakers had already left for the General National Congress when that attack happened as the session was over for the day. Armed men blocked the road that led to the parliament, LANA said, blocking members' access to their offices.

Some lawmakers went on Libyan TV stations to talk about the attack, saying that fighting erupted in the area around the GNC.

The attack involved members of powerful militias from the western mountain city of Zintan.

But the al-Qaaqaa brigade, a Zintan militia based in Tripoli, issued a statement that it had "heeded the call of the homeland to save it from the abusing politicians ..."

Two other militias from Zintan reportedly took part: al-Madani and al-Sawaeq.

'The brink of civil war'

Libya is on "the brink of civil war," Col. Mukhtar Farnana, a prominent commander from Zintan, said in a televised statement, which he said was from the command of the self-declared Libyan National Army.

Farnana said Libya has arrived at this point because the GNC betrayed the people by aligning itself with what he described as "ideological gangs."

The work of the GNC will be frozen, and a committee elected to draft a constitution will take over some of its duties, he announced. It's unclear whether his orders will be enforced as other militias support the GNC.

"We announce to the world that Libya will not become a cradle or incubator for terrorism," Farnana said.

At a late night news conference, Justice Minister Salah al-Marghani described what happened Sunday as "dangerous and unfortunate."

"The government condemns the use of armed force as a means of political expression by all parties and calls for an immediate stop in the use of the military arsenal the Libyan people own, to stop using it to express political views and calls on everyone to come under the umbrella of legitimacy," he said, adding that there are "no real signs" linking what happened in Tripoli to the violence in Benghazi last week.

A CNN correspondent in Tripoli could hear intense blasts and gunfire coming from the road to the city's airport. Roads were being blocked off, according to witnesses.

One of those people told the correspondent that he and his family are leaving their Abu Salim neighborhood, which is in the southern suburbs of the capital where fighting has increased and militias are engaged in battle on the street.

The man said he saw a shell hit a neighborhood building along the airport road and that a fire had started.

A Tripoli doctor told CNN that hospitals have called medical staff, telling them to come to work and to expect casualties.

Simmering tensions

Libya's main political forces have been slowly reaching an intense divide along Islamist and liberal lines.

The more liberal parties, backed by the heavily armed Zintan militias, have accused the Islamists of hijacking power and controlling the government and parliament.

These militias have previously threatened to attack the GNC. Negotiations spearheaded by the U.N. Mission in Tripoli prevented an attack in February.

The violence in the capital came as the death toll rose over the weekend from intense fighting Friday to the east in and around Benghazi.

Retired Gen. Khalifa Haftar, a renegade general whose fighters caused much of the carnage in Benghazi, vowed to continue his assault on Islamist militants and other militias in the eastern Libyan city.

One of those groups include Ansar al Sharia, which was blamed in the attack on the U.S. Consulate on September 11, 2012, that killed the U.S. ambassador and three other Americans.

Fighting initiated by Haftar has left many dead.

Seventy-five people lost their lives after attacks by his self-declared Libyan National Army on Friday. An additional 141 people were wounded, the Libyan Ministry of Health said late Saturday, citing tallies from six hospitals.

The government has vehemently rejected the actions of the former officer who fought in the 2011 rebellion.

Although Farnana and Haftar both identified as belonging to the self-declared Libyan National Army, it was unclear whether they were talking about -- and part of -- the same group.

A country awash in weapons and frustrations

Libya's revolution left the country awash in weapons in the hands of various militias divided along regional, tribal and political lines that have competing agendas and affiliations.

Many of the militias fought the Gadhafi regime in 2011 and have refused to disarm and disband. Thousands more Libyans have taken up arms since Gadhafi fell.

The government's attempts to build state security forces have failed so far, and those in authority have relied on militias for protection.

Many Libyans are frustrated by how the national elections were handled, the declining security situation and the country's general lack of progress since the revolution.

Militants have attacked foreign diplomats and Westerners as well as Libyan journalists, activists and judges, but they have aimed most of their violence at government security forces with nearly daily bombings, kidnappings and assassinations.

Residents and officials have blamed the violence particularly on Islamist militant groups, including Ansar al Sharia.

The United States designated Ansar al Sharia a terrorist organization this year.

Doggedly determined in Benghazi

Haftar vowed late Saturday that he will purge the city of extremist groups.

There is "no turning back" from "saving Libya" from "terrorism" that is killing innocent Libyans and targeting military officers, he said in a televised address.

"Operation Dignity that started ... from the cradle of the revolution and the heart of the homeland Benghazi is the answer and the response to the demands of the Libyan people for their armed forces to step up and protect it; this is its duty," Haftar said.

One of Haftar's spokesmen, in a televised statement, warned residents in three neighborhoods to evacuate.

"An urgent call to our people residing in al-Quwarsha, Sidi Faraj and al-Hawari to evacuate their homes and neighborhoods to preserve their lives and for their safety," said Col. Mohammed Hijazi.

Reported air strikes

Haftar's forces may have bombed militia bases in the city from the air. Residents reported seeing helicopters and other aircraft taking part in his assault.

At least one Libyan air force jet flew in the offensive without official approval, said acting Libyan Prime Minister Abdullah al-Thinni.

An airstrike in Benghazi on a base of Ansar al Sharia killed at least one of its members on Friday, LANA reported.

The aerial attacks prompted the army to place a strict ban on flights over Benghazi, LANA said.

Army units, security forces and revolutionary forces will target any military aircraft flying over Benghazi, the government said. The "revolutionary forces" phrase is a term the government uses to describe state-sanctioned militias.

Some of them could find themselves in Haftar's crosshairs, as well.

International air carriers, including Tunisair, Royal Jordanian and EgyptAir, have canceled their flights to Benghazi after authorities closed the city's airport as a precaution.

Fighting in Benghazi leaves 36 dead, Libyan officials say

Renegade Libyan forces attack Benghazi militants as Tripoli protests

CNN's Jomana Karadsheh reported from Tripoli, Libya, and Ben Brumfield and Ashley Fantz wrote and reported from Atlanta.

@highlight

NEW: Justice Minister calls on "everyone to come under the umbrella of legitimacy"

@highlight

"Libya will not become a cradle or incubator for terrorism," says a commander

@highlight

At least two people are killed and 66 injured, the Health Ministry says

@highlight

Armed men stormed parliament in Tripoli, state-run media reports