(CNN) -- What is it like to be thrown behind bars when you're 16 and told you'll languish there for the rest of your life, all for a crime you adamantly maintain you didn't commit?

Louis Taylor knows.

He was convicted of arson in a fire that killed 29 people.

But forensic experts now say they can no longer determine whether someone set the hotel fire on that cool winter day in 1970. And on Tuesday, in a Tucson, Arizona, courtroom, he pleaded no contest to the charges in a new hearing and was sentenced to time served -- almost 43 years.

Taylor, now 59 with a shaved head, stood quietly during Tuesday's proceedings. But the son of one of the victims of the disastrous blaze at the Pioneer Hotel left him with a warning.

"I harbor no feelings of ill will or vengeance against you, for my father is now gone and nothing can ever be done to change that fact," Paul D'hedouville II said. "Do as you choose, Mr. Taylor, but choose wisely and do not waste your new beginning at life. The eyes of this courtroom and those beyond these walls, in mind and spirit, will be watching you."

Taylor spoke briefly to reporters after he traded his orange prison garb for a T-shirt and slacks and walked out of prison, saying, "It feels good to feel Mother Earth beneath my feet -- free Mother Earth."

"It's a tale of two tragedies -- the Pioneer Hotel fire, and me getting convicted for it," he said.

A vintage landmark burns

The Pioneer Hotel, built in 1929, was renowned for its gracious ballroom. At 11 floors, it was a protruding gem in downtown Tucson's skyline at the time.

On December 20, 1970, the vintage hotel was filled with guests, and hundreds more were reveling in holiday cheer at a corporate Christmas party.

Just after midnight, a blaze broke out. The landmark building's firefighting measures were badly out of date, and the Pioneer quickly transformed into an inferno.

A morbid spectacle of human tragedy unfolded.

Twenty-eight people died from smoke inhalation, burns, or, in some cases, when they jumped out of windows to escape. The fire wiped out whole families.

Jake Crellin was the first journalist on the scene.

"I still have flashbacks from time to time from some of the stuff I saw, flashbacks of people jumping out of windows to their death," said the former news director of CNN affiliate KVOA.

He avoided looking at the scene with the naked eye, gazing instead through the viewfinder of a camera.

"It helped make it a little easier to watch," he told the affiliate. A crowd of bystanders gathered and looked on in horror.

Some hotel guests were able to knot bed sheets together to make ropes and rappel to safety.

It was one of the deadliest tragedies in Tucson's history.

A quick arrest

Within hours, police arrested a teenage boy, court documents said.

It was Louis Taylor, who had been inside the hotel.

He wasn't a guest and did not work there. And he had books of matches in his pocket.

During police interrogations, the juvenile claimed to have seen someone set the fire. This was before anyone had suspected arson.

But the young man changed his story multiple times.

It made officers suspicious: Maybe it was arson; maybe it was Taylor who started the fire.

Criminal witnesses

Journalist Crellin and KVOA kept up with the case.

Taylor told him that "he had some very tough interviews with the police." He was innocent, he said, a stance he has always maintained.

In an interview on the 25th anniversary of the fire, he told the broadcaster that the fire never goes out of his head.

"I think about it all the time, because I know in my heart and God knows that they got the wrong person. I was at the wrong place at the wrong time."

Prosecutors called two witnesses who were in juvenile detention with Taylor. They told the court that Taylor confessed to the crime to them behind bars.

Later, one of the boys said he had been coerced into his testimony and that it was false, according to court documents.

Experts for the prosecution and the defense testified that the fire, in their opinion, was caused by arson, though the details of their explanations differed.

In the end, Taylor was convicted of 28 counts of felony murder.

Judge Charles Hardy, who presided over the case, told Taylor that he didn't believe he meant to hurt anyone. But the punishment was stiff: "the rest of his natural life in prison," a sentence that at the time did not officially exist in the state of Arizona, a court document said.

In hindsight

Decades later, people involved in the conviction and sentencing began to feel bad about the case.

The CBS investigative magazine "60 Minutes" took up the case.

The judge told the program that, looking back, he would not have voted to convict.

The evidence, he said, was not strong enough. And if the then-teenager did set the fire, it was not Taylor's fault that the hotel was poorly suited to deal with any kind of fire.

Lawyers from the Arizona Justice Project got involved.

The non-profit reviews cases it feels don't live up to just legal standards.

"It is our mission to help assure that Arizona's prisons are not housing those actually innocent of crime or otherwise victims of manifest injustice," reads the mission statement on its website.

The lawyers encouraged the state to review the arson testimony in the original trial based on modern methods.

Two review committees determined that there is no longer enough evidence available to tell whether arson was in play.

They said that the experts in the original trial "used methods no longer valid in the science of today."

One of the original trial experts, Cy Holmes, still a fire investigator four decades later, still stands by his testimony today, a court memorandum filed Monday said. But his testimony can't pin it on Taylor.

CNN's Matt Smith contributed to this report.

@highlight

NEW: "It feels good to feel Mother Earth beneath my feet," Louis Taylor says

@highlight

The Pioneer Hotel in Tucson, Arizona, caught fire in 1970, killing 29

@highlight

Taylor, then 16, was quickly arrested and convicted of arson

@highlight

Modern experts have called the evidence into question