(CNN) -- Lara Zankoul and Lara Atallah are both young Lebanese photographers taking their first steps in promising artistic careers.

Their work, however, could hardly be more different. While Atallah focuses on the gritty reality of life in urban Beirut, Zankoul's images are whimsical and surreal, created from her imagination.

They are both among the latest emerging artists to be featured in the Young Collectors Auction run by Ayyam Gallery in Dubai.

The auction, held on Tuesday (May 15), featured 75 lots from 63 emerging and established Middle Eastern artists, 10 of them aged 30 or under.

Ayyam Gallery has been running Young Collectors Auctions since 2008, aimed at supporting emerging artists and opening the art market to new collectors. Almost all the works had estimates well below $10,000, with most in the region of $2,000 to $3,000.

"The art market here is quite young and people are interested in buying art, but intimidated by the gallery scene and auctions," said Hisham Samawi, Ayyam's auctioneer.

"We wanted to start something with a relaxed atmosphere, lower estimates and young emerging artists."

See also: Auctions celebrate art of Islamic world

The recipe has been a success and Ayyam has just run its 13th Young Collectors' Auction. The latest raised a total of $550,000.

Samawi believes Middle Eastern art could be on the verge of an explosion similar to that seen in the Chinese and Indian art markets in recent years.

"There's great art in this region and internationally it's undervalued," he said. "There has been a steady increase in prices and this is just the beginning. Politically there's so much going on and that's reflected by artists."

Here we feature 10 emerging Middle Eastern artists aged 30 or under from the Ayyam Young Collectors Auction who could be names to watch out for in the future.

1. Lara Zankoul, Lebanon, born 1987

Zankoul, 24, studied economics at university and only began photography as a hobby in 2009.

"Over time the hobby grew and grew and became an obsession," she said. "I promoted my work through social media and gradually started to gain more followers and feedback and eventually freelance projects."

She held her first exhibition collective two years ago and is part of Ayyam's incubator program. Zankoul's photography consists of surreal compositions she creates from her imagination, rather than an attempt to capture reality.

"I like to create worlds of my own. A lot of work goes into setting up the scene," said Zankoul, who once dragged a bed into the sea for a photograph. For now, she still works full time as an economic researcher alongside her photography.

2. Lara Atallah, Lebanon, born 1989

Atallah, 22, captures the gritty reality of urban Beirut in her photography, aiming to tackle social problems.

She had just graduated in graphic design from the University of Beirut last year when she got her break entering a competition organized by Ayyam Gallery. Her entry was a series of photographs of an abandoned school building.

"Photography is a means, not an end," said Atallah. "The ideas I like to get across do not get much attention from artists and people in general."

Other subjects she has tackled include the destruction of Beirut's architectural heritage, and street vendors and their makeshift shelters.

"There's no such thing as the right time to start out as an artist, it takes a lot of determination," said Atallah. "But since I've started I've discovered a lot of different artists from this region. There's a very rich art scene."

See also: Megabucks sex up Middle East art explosion

3. Eman Mohammed, Palestinian Territories, born 1989

Mohammed says she is the only Palestinian woman working as a photojournalist in Gaza and says she has faced prejudice over her career choice.

She began covering the Palestinian-Israeli conflict as a teenager in 2006 and has gained an international reputation for her work, which includes images of air strikes, funerals of militants, and Gaza's deep-sea fishermen.

Mohammed won the 2009 Carmignac Gestion Judges' Special Prize, received an honorable mention in UNICEF's 2009 Photo of the Year contest and has been part of collective exhibitions in the United States, Canada, Israel, Ireland and the Netherlands.

4. Babak Kazemi, Iran, born 1983

Kazemi, a graphic-design graduate, makes unusual and often surreal photographic collages. His work includes vintage-style sepia photographs superimposed with brightly colored Disney images of Mickey and Minnie Mouse.

He experiments with a technique called petroleum printing, involving immersing collages in petroleum products.

5. Saeed Salem, Yemen, born 1984

Salem, of Yemeni descent, was born in Jeddah, Saudi Arabia, and -- after studying abroad -- has set up a photographic studio there called 181 Degrees.

In his series Neonland, he explores the bright lights of Jeddah's cosmopolitan city center. In exhibition publicity he said: "These neon kiosks are a symbol of Jeddah ... they are iconic and you only find them in this city ... It's like a mini hypermarket.

"To me, they symbolize both the old Arabic culture: a place to meet and talk; as well as something very futuristic."

6. Abdalla Omari, Syria, born 1986

Painter and filmmaker Omari, from Damascus, is one of the few people on this list already working full-time as an artist.

Omari has made and collaborated in animation films, series and video arts and took part in the 2010 Damascus International Cinema Festival.

7. Ali Taptik, Turkey, born 1983

Taptik, from Istanbul, is working on a Masters thesis on the history of architecture and taught himself photography.

His series "Accident and Fate" is a narrative on urban life, exploring relationships, places, people, emotions and coincidences.

8. Navid Azimi Sajadi, Iran, born 1982

Sajadi, who describes himself as an iconoclast, works through painting, photography, installation and sculpture.

He uses symbols from his Iranian heritage as well as Middle Eastern stereotypes shown in Western media.

9. Rhea Karam, Lebanon, born 1982

Rhea Karam was born in Beirut, grew up in France and is now based in New York, where she graduated from the International Center of Photography.

She has exhibited internationally and won awards including the Best of Show at the 2011 Colorado Photographic Arts Center juried exhibition.

10. Lamya Gargash, United Arab Emirates, born 1982

Gargash's photographs document the forgotten public and private spaces in Emirati society and capture the notion of hospitality and the politics of interior design.

As well as taking part in numerous photography exhibitions, Gargash has won awards for her film-making. Gargash was the featured artist at the inaugural UAE Pavilion of the Venice Biennale in 2009.

Follow the Inside the Middle East team on Twitter: Presenter Rima Maktabi: @rimamaktabi, producer Jon Jensen: @jonjensen, producer Schams Elwazer @SchamsCNN and writer Catriona Davies @catrionadavies

@highlight

Ayyam Gallery in Dubai has run 13 Young Collectors' Auctions since 2008

@highlight

Ten of the artists at the latest auction were aged 30 or under

@highlight

Many of the young emerging artists are photographers