Port-au-Prince, Haiti (CNN) -- Survivors still emerged from collapsed buildings in Haiti's devastated capital Sunday, nearly five days after a 7.0-magnitude earthquake struck the impoverished island nation.

U.S. and Turkish rescuers plucked three people, including an American woman, from the rubble of a supermarket Sunday, and were continuing to search for more people in the ruins. The survivors had been living on the store's supply of food and water, rescuers said.

Elsewhere, a team from New York rescued a 55-year-old man from the remains of a four-story building after using a rescue camera to locate him. And an Israel Defense Forces team said Sunday it had rescued a Haitian government worker from the ruins of a customs office Saturday.

The rescues lent a sense of urgency to those still working to find signs of life among the collapsed buildings, who know that time is running out for those still alive. Nearly 30 international rescue teams continue to comb the disaster areas for more survivors.

While there has not been an official count, U.N. estimates of the number of casualties in the capital alone range from 100,000 to 150,000.

Get the latest developments in Haiti

By Friday, 13,000 bodies had been recovered, said U.N. Assistant Secretary-General for Peacekeeping Edmond Mulet. Among the dead are 16 Americans, the State Department said Sunday.

More than 300 U.N. staffers are unaccounted for. Thirty-seven are confirmed dead, including the top two civilian officials at the U.N. mission in Haiti, a peacekeeping and police force established after the 2004 ouster of then-President Jean-Bertrand Aristide.

Why Haiti is different

U.N. Secretary-General Ban Ki-moon was in Haiti Sunday and visited the site of the U.N.'s collapsed mission. He assured survivors of U.N. assistance despite the organization suffering the gravest loss in its history.

The United Nations "will continue to work with the major international donors who have been generous enough to provide humanitarian assistance, dispatching search-and-rescue teams. This is a moment of sadness but it is also a moment of Haiti's need," he said.

Former President Bill Clinton, the U.N. special envoy to Haiti, will travel to the country on Monday to meet with officials and deliver aid supplies, his foundation announced Sunday. He is set to meet with Haitian President Rene Preval and other members of the local government as well as aid workers, to discuss how to proceed with recovery operations.

The visit comes two days after President Obama announced the formation of the Clinton Bush Haiti Fund, a major fundraising effort for victims of Tuesday's earthquake led by Clinton and former President George W. Bush.  Presidents Bush, Clinton team up for Haiti   On Saturday, a man said to be the head of the capital city's tax office was carried out of the rubble on a stretcher, to wild cheers from residents. And a 2-month-old baby with broken ribs was pulled out and airlifted to Florida in critical condition.

But in many cases, rescue operations turned into recovery ones.

A Los Angeles rescue team answered the desperate pleas of a mother who believed her young daughter was trapped alive beneath the rubble of a day care center in downtown Port-au-Prince.

They searched for eight hours Saturday. At some point, the distinct sounds of tapping from within the crushed concrete stopped. As rescue personnel pulled away, the mother -- who stood praying silently during the rescue efforts -- stayed put, holding on to hope.

How to help: Impact Your World

More California rescuers patiently chipped away at concrete and debris Sunday morning, trying to reach a woman who sent a text message saying she was buried beneath the ruins of a collapsed bank. The Los Angeles County Search and Rescue team had been looking for the woman since Saturday afternoon when a text arrived: "I'm OK but help me, I can't take it anymore." But the hours ticked by, with no sign she was still alive.

Despite the best attempts by aid groups, the country remains in dire need of food, water and medical aid.

In open fields, abandoned stadiums and empty warehouses in the capital, relief workers set up makeshift hospitals. Residents flocked to them en masse.

Dr. Jennifer Furin with Harvard Medical School was tending to about 300 patients at one such hospital on a U.N. compound near Port-au-Prince's airport. Without immediate surgery, a third of them will die, she predicted.

The Port-au-Prince airport remained overwhelmed by the influx of air traffic bringing in supplies, although an overhead photo Sunday showed activity and numerous planes on the ground.

@highlight

NEW: Rescue teams from U.S., Israel, Turkey find people alive in quake rubble

@highlight

NEW: Nearly 30 teams from around the world continue to comb debris for survivors

@highlight

U.N. secretary-general visits Haiti, site of U.N.'s worst loss of life ever

@highlight

Port-au-Prince airport remains overwhelmed by planes bringing supplies