(CNN) -- You may not know the name Douglas Trumbull, but you certainly know his very influential work.

Trumbull is a special-effects giant. Among the movies that feature his magic are Stanley Kubrick's "2001: A Space Odyssey," Steven Spielberg's "Close Encounters of the Third Kind," Ridley Scott's "Blade Runner" and Terrence Malick's "The Tree of Life."

His creation of Showscan, a hypervivid film process that combined large-format film with a high-speed frame rate, was a pioneering moment for film projection. Even though Showscan never caught on in Hollywood, it helped usher in similar technology used in the "Back to the Future" ride that Universal Studios ran for more than a decade at its U.S. theme parks.

An inveterate inventor -- he says he believes he has "23 or 24" patents and even devised an appliance to fix the BP oil spill a couple years ago -- Trumbull has continued tinkering with image technology.

Though he sold Showscan many years ago, he combined with its current owners to create "Showscan Digital," a format that allows moving images to be shot at 120 frames per second (fps) -- five times as fast as the standard film speed of 24 fps. The high-rate images can be combined with those shot at the standard speed to offer particular detail to action scenes, which often blur images at 24 fps.

Now Trumbull is trying, once again, to expand the capabilities of movies.

He's in post-production on a short film to show off his new creation, a format that makes use of high frame rates, 4K digital detail, 3-D imagery and large screens to create a theatrical experience he describes, proudly, as "substantially superior to IMAX." (He knows IMAX -- he was an executive of the company when it merged with his special-effects shop.)

Of course, Trumbull has been here before. He had similar hopes for Showscan, but was stymied when neither studios nor exhibitors wanted to make the investment in new equipment. In the digital age, he has hopes that there's a market for what he calls an "immersive" experience.

CNN spoke to Trumbull in a phone interview earlier this week. The following is an edited version of our conversation:

CNN: What happened to Showscan?

Trumbull: There's been a bit of confusion about Showscan. The basic problem was, it was film and it was 70 mm and it was a lot of it, so the negative cost was very high, the print costs were very high, and it also required conversion of the projectors and theaters and a lot of costs. I just couldn't get any traction in the theatrical movie industry to do it.

CNN: So what's Showscan Digital?

Trumbull: That's where the confusion has come up. When I talk about it, they think I'm talking about a revival of Showscan, which it is not. I was contacted by the people who own Showscan about three years ago and they asked: 'Is there anything we can do with Showscan that would be a digital version of it?' And I said I do have an idea for an invention that would be a method whereby you could change the frame rate on any pixel or any character or any object or any scene ... dynamically throughout any movie.

So you could have a 24-frames-per-second movie but when the car explodes, it's 60 or 120. That turned out to be quite a unique idea, and we just did receive a patent on it ... and we got a patent under the rubric of Showscan Digital.

I think it's becoming timely. Peter Jackson is a real big hero of mine because he had the nerve to make "The Hobbit" at 48 frames per second.

CNN: That film's high frame-rate scenes looked like television to some critics. What went wrong?

Trumbull: High frame rates do make what you want fantastical to look raw and video-like. I agree that that's a quality "The Hobbit" started to assume and a lot of people felt really uncomfortable with that. (But) I've seen the movie all ways -- I've seen it in 2D at 24 frames, I've seen it in 3D at 24 frames, and I've seen it in 3D at 48 frames. And because I'm so adapted to it, I really like the 48 frames.

CNN: Do you think this is similar to when TV went to HD and they had to develop various new techniques?

Trumbull: My take on it -- and I seem to be a complete lone wolf out there -- my belief over many years is if you want to make movies more realistic and more vivid, you have to think about the entire production differently. You have to write a script that's appropriate to that experience, and you have to start thinking about your movie as a first-person experience, and not the third-person experience of normal cinematic language.

CNN: Do you think James Cameron achieved that with "Avatar"?

Trumbull: I think he got much closer. I think "Avatar" is much more appropriate to high frame rates because it's like a ride and it's futuristic, and vividness and sharp edges and clarity would be an asset.

My personal feeling is that ultra-high frame rates and ultra-vivid giant screen movies can be like a window onto reality. And if you recognize it as such, you can write your screenplay, direct your movie, edit it and present it as a live experience -- not like a movie. That's what I'm doing it right now.

CNN: Does subject matter concern you? When I think about "2001," "Blade Runner," "Silent Running," your special effects have a sense of awe. And I find that a lot more powerful than I do watching cars blow up.

Trumbull: The important aspect of "2001" is it's designed to be a first-person experience, very much of it. It's like (the computer) HAL's point of view. Kubrick wanted to get out of the way and not use traditional melodramatic production techniques. It's very much long shots that aren't much editorial intrusion. I think there's one that's 17 minutes long that's purely visual, with no dialogue, no suspense, nothing else, except the experience of you, the audience member, feeling like you're in space, going on this trip. That's first-person cinema.

I don't think (Kubrick) ever anticipated or even expected that "2001" would play on television or make any sense whatsoever on television, because it really doesn't. It depends largely on the spectacle of the giant screen and the immersiveness of the giant 70mm medium.

I think we're at a real transitional point where it's time to start thinking about the possibilities of making a motion-picture experience that's totally different from television, and much more immersive, and maybe not even compatible with it. If you want to get people to pay extra to go out to a theater, it's got to be a spectacular experience they can't get at home.

CNN: What are your thoughts on the film format?

Trumbull: I think film is great. I think film is not dead at all. I agree with some of the criticisms that people like Steven Soderbergh have. It's probably true that the major studios have fallen into a blockbuster-tentpole syndrome. The problem is that has completely crushed out any innovation or any cinema opportunities for independent or inventive or unusual, nonblockbuster content. That's pretty much left for television now.

I think there's an incredible opportunity now to experiment with what I generally call "hypercinema."

I feel because of the technical limitations in the exhibition business, the production values that (the studios are) paying for are not arriving at the audience's eyes. It's dim, the screens are small, the brightness is only 1/10 of what they see on television. And people unconsciously know that.

You can look at your television or your computer and you'll see a really vivid, bright image, with tremendous color saturation, and it's always in focus and you can see it anywhere, anytime you want.

IMAX has proved conclusively that audiences will pay more for a superior and more spectacular theatrical presentation. The problem is that all they're doing is blowing up conventional movies on to a larger screen. No one's still thinking about it as a different medium. I think it's a completely new thing. And I think the audience that pays for movies is completely ready for a new thing.

When I was a kid, I used to see Cinerama movies and Todd-AO, and it was in the days we had what we used to call roadshows, when we'd have one spectacular Cinerama theater per town, not 50. At that time, even when "2001" first came out, there were only about 55 or 60 Cinerama theaters in the world. You'd have a period of time where a movie like "2001" would run for months or epic movies like "Sound of Music" would run for two years.

And I think there's no reason to believe why you can't do that again by providing a truly spectacular experience. What if you had a new kind of a movie experience unlike you've anything you've seen before, and it's only running in one theater in each town or each region?

I'm just interested in breaking the mold and doing something different, because I'm tired of the same old, same old.

@highlight

Douglas Trumbull an influential special-effects artist

@highlight

Trumbull's latest focus: A new kind of cinema format

@highlight

Trumbull's project would use fast frame rates, huge screens, 4K digital

@highlight

He had similar ideas in '70s and hopes in digital era audiences are receptive