Frightening government overreach or valuable law enforcement tool?

That's the question politicians in Washington, and millions of citizens around the United States, asked Thursday thanks to a jolting report suggesting the government has been collecting millions of Americans' phone records.

FBI Direct Robert Mueller will be asked about the matter -- revealed after a British newspaper, the Guardian, published a Foreign Intelligence Surveillance Act (FISA) court order that applied to phone data from Verizon -- when he appears next week before the House Judiciary Committee. The panel's chairman Bob Goodlatte, R-Virginia, issued a statement Thursday saying he was "very concerned that the Department of Justice may have abused the intent of the law, and we will investigate."

Reports: U.S. spy agencies mined Internet data

The report will also be the subject of an upcoming classified briefing by Attorney General Eric Holder to the Senate Appropriations Committee. Its chairman, Sen. Barbara Mikulski, is calling for a similar closed-door briefing for the entire U.S. Senate.

When she read the news Thursday morning, the Maryland Democrat said, "It was like, 'Oh, God, not one more thing ... where we're trying to protect America and then it looks like we're spying.'"

What does the Verizon order mean for me?

An author of the Patriot Act -- the legislation used to justify the program -- added he is "extremely disturbed by what appears to be an overbroad interpretation of the act."

"These reports are deeply concerning and raise questions about whether our constitutional rights are secure," Rep. James Sensenbrenner, R-Wisconsin, wrote in a letter to Holder.

But not everyone in the nation's capital is outraged or even concerned. Some say the real travesty would be if the program, which they describe as valuable, is halted.

Sen. Dianne Feinstein, chairwoman of the Senate Intelligence Committee, said the Guardian story refers to a "three-month renewal of what has been the case for the past seven years" -- so that while the uproar may be new, the program is not. In that time, it's helped to disrupt "terrorist plots" on U.S. soil, she said.

"It is lawful," the California Democrat insisted. "It has been briefed by Congress."

Rep. Mike Rogers (R-Michigan) and Rep. Dutch Ruppersberger (D-Maryland), two key members of the House Intelligence Committee, both stressed that "this important collection tool does not allow the government to eavesdrop" and that it is routinely reviewed by Congress.

White House spokesman Josh Earnest also made those points, adding President Barack Obama "put in place a stronger regime of oversight" when he took office. He further stressed the importance of ensuring "we have the tools we need to confront the threat posted by terrorists (and to) protect the homeland."

"That is his top priority," Earnest said of domestic security. "But ... we need to balance that priority with the need to protect civil liberties and constitutional rights of American people. And that is the subject of a worthy debate."

What's been happening, and for how long?

In 2006, it was reported the National Security Agency was secretly collecting telephone records in an effort to root out terror plots.

"Verizon's wireless and wireline companies did not provide to NSA customer records or call data, local or otherwise," the company said at the time.

Like the FBI and the NSA, Verizon declined comment to the media Thursday on the Guardian report.  But company Vice President Randy Milch, in a note to employees, did say the newspaper's story may spur the company to respond in defiance of a promise of secrecy.

The newspaper published the four-page, top-secret government order requiring "originating and terminating" phone numbers plus the location, time and duration of calls from the communications giant. It lets the FBI and NSA to obtain the records from April 25 to July 19.

7 things to know

The order applies to Verizon Business Network Services, an operation not described on the company's website. Its scope was not immediately clear, though the Guardian claimed "millions of U.S. customers of Verizon" were affected by the collection of information "regardless of whether they are suspected of wrongdoing."

In his letter to Verizon employees, Milch said that his company would not provide the contents of any communications "or the name, address or financial information of a subscriber or customer."

An Obama administration official said any such order would relate "exclusively to metadata, such as a telephone number or the length of a call."

This kind of information "allows counterterrorism personnel to discover whether known or suspected terrorists have been in contact with other persons who may be engaged in terrorist activities," the unnamed official said in a statement to media.

Controversy over the Guardian report comes as the White House fends off privacy complaints on other fronts as well. The administration is under fire following revelations the Justice Department seized two months of phone records from Associated Press reporters and editors -- something done as part of an investigation into leaks of classified information.

Plus, the Washington Post and the Guardian reported that U.S. intelligence has a broad secret data mining program that allows access to central servers of nine leading U.S. Internet companies -- among them Microsoft, Yahoo, Google, Facebook and Apple -- to extract e-mail, photos and other private consumer communications.

Director of National Intelligence James Clapper challenged the Post and Guardian reports in a statement Thursday night, saying "they contain numerous inaccuracies." Specifically, he emphasized the section of the law tied to that reported program "cannot be used to intentionally target any U.S. citizen, any other U.S. person or anyone located within the United States."

In statements on that and reports about collecting phone data, Clapper also called out those behind the apparent leaks -- saying it "will have an impact on the behavior of our adversaries and make it more difficult for us to understand their intentions."

Speaking specifically about collecting personal phone records, privacy advocates called the practice perilous and claimed it gives  authorities access to information of many Americans who aren't terrorists. In fact, they might not necessarily be Verizon customers, and similar orders might also apply to other telecommunications companies.

"There is no indication that this order to Verizon was unique or novel," said the Electronic Frontier Foundation, which fights to protect privacy.

"It is very likely that business records orders like this exist for every major American telecommunication company, meaning that, if you make calls in the United States, the NSA has those records. And this has been going on for at least seven years, and probably longer."

Opinion: NSA's phone snooping a different kind of creepy

Al Gore: 'Secret blanket surveillance obscenely outrageous'

This group is hardly alone.

The American Civil Liberties Union called it "beyond Orwellian (in allowing) basic democratic rights (to be) surrendered in secret to the demands of unaccountable intelligence agencies."

The Center for Constitutional Rights blasted it as "the broadest surveillance order to ever had been issued: It requires no level of suspicion."

Many in President Barack Obama's own party spoke forcefully against it as well.

Three Democratic representatives  -- John Conyers of Michigan, Jerrold Nadler of New York and Robert Scott of Virginia -- said the program is "highly problematic and reveals serious flaws in the scope and application of the" Patriot Act.

"(The revelations) confirm our fears -- that the law would be distorted to allow for ongoing, indiscriminate collection of data," they wrote.

Sen. Mark Udall, who serves on the Senate Intelligence Committee, described the program as "the kind of government overreach I've said Americans would find shocking."

One of them: former Vice President Al Gore.

"Is it just me, or is secret blanket surveillance obscenely outrageous?" the 2000 Democratic presidential nominee wrote on Twitter.

Senator says ending program would be 'catastrophic'

Opinions were also strong on the other side of the debate.

"Terrorists will come after us if they can, and the only thing that we have to deter this is good intelligence to understand that a plot has been hatched and to get there before they get to us," said Feinstein.

Her intelligence committee's ranking Republican, Sen. Saxby Chambliss of Georgia, concurred in stating the program has let authorities gather "significant information on bad guys and only on bad guys over the years."

Former FBI Assistant Director Tom Fuentes, a CNN contributor, said that if a phone number comes up that's linked to someone suspicious, they can go back and get information tied to that number.

"It's not that someone or some group of analysts can sit there and monitor 50 million phone calls going through the computers," Fuentes explained on CNN's "Starting Point." "But it would create the ability to go back and see if you could connect phone calls."

Rep. Lindsey Graham said that, as a Verizon customer, "it doesn't bother me one bit for the National Security Administration to have my phone number." The South Carolina Republican said he's confident the government won't monitor his and other innocent Americans phone calls just because their "number pops up on some terrorist's phone."

"The consequences of taking these tools away from the American people through their government would be catastrophic," he said.

@highlight

The top U.S. intel official says leaks affect national security

@highlight

Some say the program is key to fighting terrorism and includes oversight

@highlight

The program was used to stop "terrorist plots" on U.S. soil, Sen. Feinstein says

@highlight

Critics say it's overreach, with Al Gore calling it "obscenely outrageous"