(CNN) -- The story has become a cliché when talk turns to young people and the internet:

A young adult posts pictures of a beer-soaked keg stand on Facebook. (In this modern-day parable, it's always a keg stand -- a means of guzzling beer directly from a keg -- and always Facebook.) Potential employer goes online and finds the photo. Young person doesn't get the job.

Samantha Abernethy, 26, figures this fictional over-sharer probably doesn't deserve the job. But not for the reason you might think.

"I think the employer is more likely to judge you for not understanding the (Facebook) privacy settings than they are for doing the keg stand," said Abernethy, who edits local news sites in Chicago, Illinois. "If you're concerned about what's out there, you make sure nobody can find you by Googling you."

It's a point that highlights one facet of the digital world's complex set of views about privacy.

Often, younger users -- the so-called "digital natives" who have roamed the Web for as long as they can remember -- are less worried than older people about their privacy online.

But it's not because they don't care about protecting their information. In many cases, experts say, it's because they understand how to control it better than older users. To them, it's easy to pick and choose what to share, how to share it and with whom.

"I don't really see the big deal in it," said Adam Britten, 20, a Syracuse University junior currently studying in London. "We know how to operate the system."

To be sure, concerns about how much personal information can be accessed on the Web are real, as advertisers, social-networking sites and even criminals look for data to use -- and sometimes abuse.

But research from Pew Research Center seems to show privacy concerns actually declining as people grow more comfortable with the internet. In a Pew survey released in May, 33 percent of respondents said they were worried about how much information is available about them online. That's down from 40 percent in 2006.

Only 30 percent of users between 18-29 said they were worried, the lowest of any age group except for people 65 and older, who may worry less because they don't use the internet much, if at all.

Again, Pew notes that not being worried doesn't necessarily mean no desire for privacy.

"It is important to note that the results from this question are not a measure of internet users' overall views on 'privacy' or the extent to which they wish to have control over their personal information online," the report reads.

"A relative lack of concern about the availability of personal information online does not necessarily translate into inaction. Indeed, many of the least concerned internet users have still taken steps to restrict what they share with others."

In fact, the youngest internet users were the most likely to have protected themselves on the Web, with 44 percent saying they had taken steps to limit information about themselves.

Still, the stereotype exists that sites like Facebook and Twitter are a font of digital data that bad guys use to pilfer personal details. And young folks, the thinking goes, are all too happy to spill their most intimate details.

"It's the end of privacy only if people are stupid enough to post their personal information on sites like Facebook, Myspace, Twitter, and all those other useless social-networking sites," one reader posted this week on an article in CNN's digital-privacy series.

"Most of the social-networking stuff is crap. People want to feel important by constantly updating their sites to tell the world what they had for breakfast, what movie is really, really cool, and if they had diarrhea last night."

Clay Shirky, a 42-year-old professor of new media at NYU's Interactive Telecommunications Program, compares views like that to another social phenomenon: rock 'n' roll.

You know, that noisy fad created by untalented cretins bent on leading the world's youth to hell? Just like some adults didn't get the appeal of Chuck Berry and Jerry Lee Lewis in the '50s and '60s, some don't get Twitter and Foursquare now.

"Whenever young people are allowed to indulge in something old people are not allowed to, it makes us bitter," Shirky said in a New York magazine article titled "Say Everything." "What did we have? The mall and the parking lot of the 7-Eleven? It sucked to grow up when we did! And we're mad about it now.

"People are always eager to believe that their behavior is a matter of morality, not chronology, (but) you didn't behave like that because nobody gave you the option."

Researchers say that older users, who have spent most of their lives without social-networking sites, often have to overcome privacy fears in a way that younger users don't.

Older users are the fastest-growing segment on sites like Facebook. But many remain mistrustful of such sites, perhaps because of the sometimes-complicated measures that protecting privacy requires.

In a CNN article last year, Karen Essman, then 61, said she uses Facebook, but has a hard time convincing friends to join her, in part because they're worried about scams. "It's a little bit more difficult for older people," she said.

A survey conducted this spring suggested that much of the backlash over Facebook privacy changes earlier this year came from adults over the age of 35.

Alice Marwick, a social-media researcher for Microsoft Research, predicts that the stereotype of young people oversharing online may be starting to fade.

"I think that, a few years ago when this concern was really at a peak, the people who were judging young people for their online information practices weren't really using social media themselves," she said. "As we see more people in their 40s and 50s and 60s get involved ... I think we're going to see much less of this generational schism than we do today."

Marwick is quick to point out, though, that age might not be the best way to judge attitudes, and aptitude, regarding digital privacy.

"Someone's level of education, their access to technology in the home -- those types of things are going to have more of an effect on their comfort level than their age," she said.

And while many young adults may be among the most savvy internet users, she said research shows that many teens, and even younger Web users, may not always understand online privacy and still sometimes share things without understanding the possible ramifications.

Experts say that 20-somethings like Britten and Abernethy are more comfortable with today's internet because they've never known it any other way.

So, while a 40-something Web user may feel squeamish about Facebook ads triggered by things they "like" or Google programs scanning their e-mails for keywords, 20-somethings consider it par for the course.

"I don't think those are that annoying -- they're just something we have to live with," said Britten, who started using message boards and Web chat rooms when he was about 10. "We're exposed to ads so frequently that I almost don't even see them any more."

Abernethy, who was 2 when her family first got a computer, said she's not bothered by the targeted ads either. At least, not yet.

"Not until they track me down and knock on my door and ask if I want to buy a Snickers."

@highlight

Experts: Young adults are less concerned than older adults about privacy online

@highlight

Pew research shows concerns about online data dipping, with youngest users least concerned

@highlight

Researcher says teens and younger users still might share without understanding