(CNN) -- When Entertainment Weekly published the first trailer of USA Network's new series "Common Law" in November on its website, readers were abuzz with excitement.

According to the synopsis, the show revolves around two quarreling Los Angeles homicide detectives, played by Warren Kole and Michael Ealy, who are ordered to go to couples therapy. While many were keen to see "Think Like a Man" star Ealy again, it appeared that most commenters were sure they would like "Common Law" because they knew what to expect.

"Another light-hearted show that is PERFECT on USA," one user, Tim Mahoney, said.

"I'll always give a USA Network show a chance and rarely have I been disappointed," another user named Kaiulani said.

Now, six months later, "Common Law" is set to kick off the network's 2012 summer line-up that includes returning shows "Royal Pains," "Burn Notice," "Suits," "White Collar," "Necessary Roughness" and "Covert Affairs."

The buddy-cop show, which will premiere at 10 p.m. ET Friday, will form a crucial part of USA's annual and popular summer block. The network even claimed that it "owns summer" in a recent news release. According to ratings tracker Nielsen, USA averaged 3.61 million viewers in primetime from May 30 to August 21 last year. The newspaper USA Today also reported in January that USA Network had an average of 3.2 million total viewers and remained the top-rated cable network for the sixth consecutive year in 2011.

Over the years, this success has largely been attributed to USA's original series, which are often character-driven comedy-dramas that are fun and set in bright and beautiful locations, which have become almost synonymous with destination summer viewing.

The 'Characters Welcome' branding

Jon Turteltaub, executive producer of "Common Law," told CNN that the show was originally written to air on CBS, but was picked up by USA because the focus on the detectives' relationship and therapy sessions seemed to be a better fit for them.

"USA does work differently, they push characters over plot," he said. "They were really interested in well-developed and fully drawn characters. For the creators of the show, that's music to our ears."

Turteltaub said that he sees this priority not necessarily as a formula, but more of "a guiding principle of things that have worked."

"USA has been very clear about not letting the story bog down the tone," he said. "The feel of your show is more important than the police procedural details. If we are loving the characters and feeling a sense of entertainment and fun, then three clues to solve the crime is fine, not five."

This emphasis is what drew Cory Andrew Barker to USA shows in the first place, so much so that he eventually ended up doing research on the network's programming theme.

Barker, who just graduated from Bowling Green State University in Ohio with a master's degree in popular culture, said he was intrigued by how the shows were tonally similar and yet often popular. In his university-approved thesis, "Genre Welcome?: Formula, Genre and Branding in USA Network's Programming and Promotional Content," he explained how the network has carved its own niche.

The show that really heralded the network's present style was "Monk," Barker found. When Tony Shalhoub's Adrian Monk, a brilliant detective with obsessive-compulsive disorder, was introduced in the summer of 2002, USA at that time was mostly known for reruns.

Barker, who also runs a blog called TV Surveillance, argues that since then, USA has branded itself with its "Characters Welcome" slogan to signify its shows' "quirky, sort of left-of-center" personalities. These characters tend to work toward "the greater good" in ways not always in tandem with the law, have an overarching goal and happen to live in sunny locales.

For example, the character of Monk solves crimes with his detailed-oriented abilities, lives in San Francisco and throughout the series is trying to figure out who murdered his wife. This pattern of elements or formula, Barker said, can be found in most of USA's shows, making them recognizable and easy to pick up and consume. So audiences are loyal as they automatically have an idea of what the next USA show will be like and view the network as unique.

"If you are a person who likes USA shows, you will probably like 'Common Law,' " Barker told CNN. "You have watched nine shows like these, so why wouldn't I try this?"

Robert Bianco, a TV critic for USA Today, has reviewed several USA Network shows and summarized the cultural perception of the network this way: "They have a very clever, successful marketing position for themselves, as the home of these 'blue sky,' mostly crime-based dramas with more of a comic twist than you would get on [for instance] FX."

Blue skies, all season long

The "blue sky" that Bianco refers to is the approach or philosophy that USA shows tend to have. The lighter theme is favored over a gloomy or gritty scenario because the objective is not to be overly somber, he said.

"The cable dramas these days have become very serious, and the network procedurals tend to be in the darker side of crimes," Bianco said. "USA shows tend to be glossier, on the sunnier side."

Jeff Eastin's USA series "White Collar" is a good example.

The show is about a con man named Neal Caffrey (Matt Bomer) who, after getting caught by the FBI, helps them solve white-collar crimes using his expertise. Eastin, the show's creator executive producer and show runner, said that since the crimes mostly involve white collar offenses such as art forgery, the lighter elements of the crime are shown and stressed on.

" 'White Collar' ... we're a good prototype show for 'blue sky,' what USA is," Eastin said. "There's a certain classy slickness to the show, just in the general world of police shows ... [It's] pushing for that cleverness [in a] sort of high-end world."

A part of that slickness also comes from the shows' locations.

"Burn Notice" is set in Miami, "Royal Pains" in the Hamptons, "Psych" in Santa Barbara, all of which bring to mind warm weather, beaches and an abundance of sunshine. Eastin said that for the New York City-set "White Collar," there is a tendency to shoot in places where the architecture can be exploited.

Barker said that these settings, along with the warm weather timing of the premieres, capture the allure of summer and are all about escapism.

"You are sort of immediately drawn to this place where you might want to take a vacation to," he said.

Future of USA Network

Many critics have pointed out that despite the likely success, USA's cookie-cutter model for its shows can only go so far and that viewers might tire of similar series.

But Bill McGoldrick, USA's executive vice president of original scripted programming, said he doesn't look at it that way. He said that when they go through show pitches, they certainly look for characters that stand out because of their background or relationships. However, McGoldrick added that while the network focuses on a feel that "puts you in a good mindset" it is not the motivating factor.

"We definitely stay away from the word 'formula,' he said. "It's a dirty word here."

McGoldrick, who worked on "Monk" and "Psych" early in his career, said that USA, like any other network, is evolving. When "Monk" was being developed, network executives at the time were not that interested in serialized character development or just procedurals.

"In those days, we saw that there were not a lot of shows doing throwback, where you could mix comedy and drama," McGoldrick said. "Where you didn't have to be so earnest and serious like 'Law and Order' and 'CSI.' "

After the success of "Monk" and the fan-base growth of "Psych" and "Burn Notice," McGoldrick said that USA is encouraging its older shows to have continuous and rougher plots and is green lighting new shows such as "Suits," which have more edge. "Covert Affairs," "Fairly Legal" and "Necessary Roughness" not only deal with more provocative subjects, but also have female leads. USA's political miniseries, "Political Animals," starring Sigourney Weaver as the secretary of state, is set to premiere this July.

Bianco said that the new direction might be challenging because the blue sky and escapist vibe might not accurately portray real life -- such as the workings of a law firm in "Suits" versus the workings of a law firm like in CBS' "The Good Wife." But he said that there is no need for USA shows to compete with the more serious shows for the fear of becoming too formulaic.

"I don't think there is anything wrong with simple, enjoyable entertainment when you pull it off well," Bianco said.

@highlight

New series "Common Law" is set to kick off USA network's 2012 summer line-up

@highlight

USA's original series are often character-driven comedy-dramas set in beautiful locations

@highlight

Bill McGoldrick, the executive VP of programming, said they are picking up edgier shows