It was another December afternoon back in 2000, spent like hundreds of others combing the rocky hills of the Dikika region, when Ethiopian scientist Zeray Alemseged heard one of his assistants nearby calling him.

"He said 'oh, doctor I see something there,'" recalls Alemseged, who'd been excavating the hot and dry landscape for over a year, helped only by a small inexperienced crew of locals. "And I went there and I see the cheek bone part ... sticking out of the rock. I turned it upside down and my jaw literally dropped."

Instantly, Alemseged realized this was an extraordinary discovery that could make scientific history.

"Right away I could tell this is a child of a human ancestor," says the paleoanthropologist. "You have this child in a block of sandstone, with the baby teeth still visible, very vertical forehead, small canine," he adds. "But it's so rare and so unbelievable that I just couldn't accept that was the case, that what I saw was the skeleton."

Read this: Civil war survivor creates bionic limbs

Yet Alemseged did not want to make news of his discovery public until he had a more complete picture of what he'd unearthed. So he kept it quiet as he meticulously prepared and analyzed the fossil.

"The skeleton was encaved in a block of sandstone matrix, which is very densely compact, very inured sand, so that I had to go remove the sand grain by grain," says Alemseged.

"So I took my time, and people advised me to employ technicians, and technicians can do that job, but I said 'no, it's going to take as long as it takes but I'm not going to delegate this work of the exploration of this unique child to anyone else but me.'"

Alemseged then spent years in the lab painstakingly picking away the sand grain by grain. By using a super microscope, he was able to see details in the teeth embedded in the skull that revealed to him the skeleton's age and the sex. He now knew the fossil was that of a three-year-old girl who had died 3.3 million years ago.

Finally, after more than six long years, Alemseged was ready to present to the world "Selam," the fossil known as "the world's oldest child."

"When the time came to go to the press conference," remembers Alemseged, "it was like a woman is pregnant and she is holding that baby for nine months and when the baby comes out, what happens is -- in spite of the pain, in spite of the long, tedious process of carrying the baby -- you see her smiling, you see her beautiful wonderful face trying to share the baby with her husband or the doctor.

"So I shared my baby with the audience but the different thing is that I was sharing a child that belonged not only to me but to humanity, to seven billion individuals."

Read this: African midwife, Nobel Peace Prize?

That press conference in 2006 turned Alemseged, who was just 31 when he'd discovered Selam, into a hero in the world of science.

Over the next few years, his work took him all over the world, winning him international admiration for his achievements.  Today Alemseged is the director of anthropology at the California Academy of Sciences, a multifaceted scientific institution and museum where he combines his scientific research with his passion for public education.

"When I got involved in this type of research I decided to not only read what has already been discovered but also to make my own discoveries and I can proudly say that I have achieved that with the discovery of Selam and many other fossils," he says. "Those finds are finds that change textbooks, literally, so I am happy but I'm not satisfied -- I will be satisfied only if I could instill the same type of psychology, the same type of excitement, the same type of passion to the next generations of Africans."

Read this: Ethiopian town breeding Olympians

Alemseged, a father of two, enjoys the opportunity to share his findings with the world and possibly inspire a new generation of scientists.

In recent years, he's teamed up with other scientists from his continent to create the East African Association for Paleoanthropology, a group holding regular conferences to bring together top scientists and researchers from the region and beyond.

And while his achievements have made him a success story that young Ethiopians can aspire to, Alemseged's efforts to create a positive impact on young Africans are just a small step toward his ultimate goals.

"I think both my family and Ethiopia are proud of me, but I still think that I still have so much to offer, not just to Ethiopia, but to Africa and to humanity in general," he says.

"My work is beyond nations, beyond nationalities, beyond continents -- it unites everyone on the planet. So when I achieve that, I'm sure Ethiopia and my family are or will be proud of me and I thank them for all of the opportunities they have provided me with also."

@highlight

Ethiopian Zeray Alemseged discovered the fossil known as "the world's oldest child"

@highlight

The skeletal remains belonged to a three-year-old girl who died 3.3 million years ago

@highlight

Alemseged, who made the discovery in Ethiopia in 2000, named the fossil Selam

@highlight

Today Alemseged is the director of anthropology at the California Academy of Sciences