(CNN) -- Politicians are running for office again. Despite our best efforts, there is nothing we can do stop them. Tuesday there will be an election. Here are 10 things to look for as the election returns come in:

1. Did voters choose the least recent of two evils? To adapt a quote often borrowed by my friend, Mark Shields, Mae West said that when faced with a choice between two evils, she usually picked the one she had not tried lately.

If Republicans win, even by large margins Tuesday night, was it only because they were a less recent evil? Will the GOP get the message that they are not being embraced for who they are but only given a shot because who they are not?

If Republicans don't get that message, they can write off 2016.

2. The "war on women" distraction: Michael Goodwin writes that President Barack Obama's "commitment to a more powerful government at home and abdication of American leadership around the world is being exposed as a historic calamity."

Whether you agree with Goodwin or not, it is hard to dispute that America's challenges are overwhelming American leadership. Under Democrats' watch, polls show that most Americans believe our economy has fossilized like an Egyptian mummy.

The Middle East has caught on fire, ISIS has grown from JV team to Super Bowl contender, Russia's Vladimir Putin strides the Earth unchecked, Obamacare turns out to be Medicaid and Ebola is threatening to become a pandemic.

Yet, the Democratic theme this cycle is that a Republican Party dominated by old, white men does not understand the concerns of modern women. Seriously? Is this obvious distraction the best the Democratic Party can do? Who would have thought that, when the world is burning down, it would be Democrats advising women not to worry their pretty little heads about anything other than gender issues?

Tuesday night, we will learn whether the Democratic campaign was too small for the times, insulting and demeaning.

3. Will Tuesday night empower Elizabeth Warren? On Election Night, count the number of Democrats in swing or purple states who lose their Senate seats. An untold story in Washington is that Democrats, like Republicans, are becoming a much less moderate party.

It is unlikely the Democratic base will react to Senate losses by calling for moderation instead of purity: Fewer moderates means that extreme elements in the Democratic base will be able to raise an even larger voice.

Losses in purple states such as Iowa, Colorado, New Hampshire and North Carolina will empower Warren's shrill populism. Wednesday morning, Hillary Clinton may have to apologize for apologizing for saying that "businesses don't create jobs."

4. Does success divide Republicans? Republicans have been split between establishment types, libertarians, neo-isolationists, tea party supporters, social issue conservatives and a small group that fears trigonometry. One man has brought them all together, however: Barack Obama.

Who would have thought that, if only in this perverse way, Obama would succeed George Bush as a uniter and not a divider? No GOP faction will be credited for Tuesday night's victories or blamed for defeats because Republicans actually are, if only temporarily, united.

Instead, the GOP's challenge will be to hold these factions together if Republicans gain a majority in the Senate. Tuesday night, if Republicans such as Ted Cruz are talking about repealing Obamacare or social issues, they are inviting division. If, instead, they explain that this election has given them an opportunity to lead an economic renewal, it will be a sign that Republicans are trying to hold the party together and have actually smartened up a bit.

5. Does defeat kick off WWIII within the Democratic Party? Bill Clinton is all that is left of a Democratic Party that once had a sense of humor, declared "the era of big government is over" and understood we have to create prosperity before we share it. The party's base, however, enjoys none of these fine qualities.

Its heart beats with Warren's populism and Obama's post-Clinton liberalism. Tuesday night, look to see who blames whom for Democratic losses, and keep an especially sharp eye on pro-growth, pro-business Democrats and big Democratic contributors. Will they engage in any serious self-reflection?

If Democrats only blame the consumer (voters) or the marketers (the consultants) instead of the team who made the product (Obama, Sen. Harry Reid, Warren, et al.), they are whistling past the graveyard. New Democrats need to start a war and pull their party back to the center for 2016.

6. Does Obama's presidency effectively end Tuesday night?  Recently, when we've seen someone wearing a hazmat suit on the news, it may have been a medical professional protecting us from Ebola. Or, it could have been a Democratic candidate trying to protect themselves from a presidential visit.

President Obama has deluded himself that he is not a plague upon Democratic candidates but Tuesday evening, two East Coast states may set him straight.

If Republicans win early on the East Coast, in tight races such as New Hampshire and North Carolina, denial will no longer be an option and the President may be put in quarantine. With a bad night in these states, Jimmy Carter may have a better chance of getting invited to speak at the 2016 Democratic convention than Barack Obama. Why does that matter?

Because politicians with huge egos rarely fade gracefully from public view, especially while still in office. Obama is the man who said, "I'm LeBron baby," told us his policies were "on the ballot" and made sure this midterm election was all about him. A President without the support of his country, caged in his own White House, bouncing off the walls like a wounded animal, can do great damage to his party and his country. Tuesday night will shape Obama's final two years.

7. Has the Republican Party seen its future? The most important race for Republicans Tuesday night will be the Senate race in Colorado, where the next generation of Republican has been born.

Cory Gardner, a sunny, optimistic, self-declared "new kind of Republican," may show his GOP companions how they can seize the future if they are more than the grumpy old party of "no" and explain how their principles can renew our economy and our country.

In Gardner, Republicans may see the difference between a merely acceptable and a desirable alternative to today's Democrats. Colorado matters. Watch this state to see what the Republican Party can be.

8. Is the Democratic turnout machine still the difference?  In states such as North Carolina and Georgia, Democrats have a home field advantage: big, urban areas with large concentrations of targetable voters. We should get a good read on the power of the Democratic turnout machines in the North Carolina and Georgia Senate races.

If Sen. Kay Hagan hangs on in North Carolina, credit the Democratic ground game. Alert for Republicans: There is no reason your adversaries can't squeeze two or three extra points out of their superior ground game not only this cycle, but in 2016. My bet? Hagan is trapped with about 45% of the vote and 3 points from a superior ground game won't be quite enough. But this is one of the closest races to watch Tuesday evening.

9. Is demography destiny? The Democratic Party is building its future on demography, not ideas. Short-term, their strategy is to turn around elections they might otherwise lose by driving minority and youth turnout to above average levels. Long-term, they hope to build an "emerging majority" as their targeted groups become larger parts of the electorate.

All this, of course, requires that Democrats remain the overwhelming preference of minority and younger voters. Any cracks in these elemental building blocks of the Obama coalition would not augur well for Democratic strategy, long term. Tuesday night, however, will we see new fissures here?

When first elected, Obama's messianic candidacy brought masses of rapturous millennials to the Democratic Party. Now they find themselves in a stagnant economy, bearing massive student debt, living in their parents' basements, facing decades of work to pay for debt racked up by their profligate elders and for their parents' retirement.

The higher you lift someone's hope and dreams, the further they may fall. Now, millennial voters are up for grabs. Tuesday will give us a glimpse into the future of the Democratic Party's "emerging majority."

10. Is Tuesday night's big loser Washington? For years, both Republicans and Democrats have found electoral success promising solutions from Washington: "The Five Point Plan for This or That" Act, the "Jobs Bill that Helps Politicians Keep Their Jobs" and the ever-popular "Equal Pay for the Job You Don't Have Act."

Tuesday night will measure the breadth of the chasm between what Washington promises and what voters actually see it deliver. If Republican Sen. Pat Roberts loses in Kansas, we will know that heartland America's patience with Washington has been exhausted.

Washington's currency is its ability to promise. That currency has been immensely devalued. What happens when Americans are no longer willing to accept it in exchange for their votes?

We may have reached a tipping point where voters look at promising Washington politicians and say, "The emperor has no clothes." And that's the good news for perhaps, at that point, real change will become possible.

And for political junkies wondering what to do after this election, the 2016 presidential campaign will be starting right after this commercial break. We can't stop them either.

Join us on Facebook.com/CNNOpinion.

@highlight

Alex Castellanos: Whether we like it or not, here come the election results

@highlight

Castellanos: If GOP does well, is it because voters like its message? Or just think Dems are worse?

@highlight

He asks: Will Democrats see their troubles as a reason to change course?

@highlight

Castellanos: Was it a mistake for Democrats to run on the "war on women"?