ANGOLA, Louisiana (CNN) -- He is not a killer, but the state of Louisiana is determined to execute Patrick Kennedy for his crime.

Patrick Kennedy, 43, is on Louisiana's death row for the rape of his 8-year-old stepdaughter.

The New Orleans native faces that reality as he sits on death row at Louisiana's maximum security prison, the largest prison in the nation. The Louisiana State Penitentiary, or Angola Prison, is the size of Manhattan and surrounded on three sides by the Mississippi River.

Unlike the 3,300 inmates awaiting execution nationwide -- including the 94 other men at Angola -- Kennedy, 43, is a convicted rapist. The victim was his 8-year-old stepdaughter.

For the first time in 44 years, a state is preparing to execute a man for a felony other than murder. The U.S. Supreme Court will hear arguments Wednesday on whether Louisiana can use capital punishment in child rape cases.

The constitutional question before the justices is whether the death penalty for violent crimes other than homicide constitutes "cruel and unusual" punishment. The high-profile examination of the death penalty also raises anew a national debate over selective prosecution and race.

"A lot of people think there should not be the death penalty [in this case] because the child survives," said Kate Bartholomew, a sex crimes prosecutor in New Orleans. "In my opinion the rape of a child is more heinous and more hideous than a homicide."

Kennedy's appellate attorney, Billy Sothern, argues, "When we look at what it means to be cruel and unusual, this is exactly the kind of thing that raises these serious concerns of the constitutionality of Mr. Kennedy's death sentence."

Kennedy was sentenced to die in 2003 for sexually assaulting his stepdaughter in her bed. The crime occurred in a quiet neighborhood in Harvey, across the big river from New Orleans. Besides severe emotional trauma, Louisiana prosecutors said the attack caused internal injuries and bleeding to the child, requiring extensive surgery.

The former moving company driver had claimed two teenage boys committed the crime near the family's garage, a story the girl -- identified in court papers as "L.H." -- repeated for 18 months after the ordeal.

An African-American teenager was initially arrested, based on Kennedy's allegations, but later was cleared of any wrongdoing. Kennedy also is African-American.

Police in Jefferson Parish quickly turned their suspicions on him as the attacker.

The girl later accused her stepfather, after she returned home from a temporary stay in foster care. Kennedy has denied the charges, but the state supreme court upheld the conviction and punishment.

The U.S. Supreme Court, both in 1976 and a year later, banned capital punishment for rape -- and by implication any other crime except murder. But Louisiana 19 years later passed a law allowing execution for the sexual violation of a child under 12. State lawmakers contended the earlier high court cases pertained only to "adult women."

Death penalty opponents say Louisiana is the only state to actively pursue lethal injection for child rapists, and argue, among other things, that it could give attackers a reason to murder their victims.

"If they're going to face the death penalty for raping a child, why would they leave a living witness?" said Judy Benitez, executive director of the Louisiana Foundation against Sexual Assaults.

Benitez also says testifying in a death penalty case can be deeply traumatic for child. And the risk of wrongful prosecution may be higher is such cases since children might prove to be unreliable witnesses for the prosecution, because of their susceptibility to suggestive, leading questions.

No one in the United States has been executed for rape since 1964. Other state and federal crimes theoretically eligible for execution include treason, aggravated kidnapping, drug trafficking, aircraft hijacking and espionage. None of these crimes have been prosecuted as a capital offense in decades, if ever.

In the appeal filed with the high court, Sothern argues Louisiana "flouts the overwhelming national consensus that capital punishment is an inappropriate penalty for any kind of rape."

The law's supporters counter that besides murder, no crime is more deserving of the death penalty, and the punishment would be used only in the most heinous of circumstances.

For its victims, "It takes away their innocence, it takes away their childhood, it mutilates their spirit. It kills their soul. They're never the same after these things happen," said Bartholomew, an assistant district attorney in Orleans Parish.

"Louisiana has been a pro-death penalty state for a very long time," the prosecutor added. "And I think a lot of people agree with the death penalty for this type of case here in our state."

Five other states have similar laws. Four of them -- Florida, Montana, Oklahoma and South Carolina -- have had them for years but not applied them in decades. Texas enacted its version in June, but no defendant has yet been designated death-eligible for child rape in any state but Louisiana.

Skin color has also played a role in the political and legal debate over expanding capital crimes to include rape.

"When we look at the death penalty in the South we always need to be conscious of the role that race plays," said Sothern, deputy director at the Capital Appeals Project, which represents all the state's death row inmates. "And I think that the fact that Mr. Kennedy [is] a black from Jefferson Parish, a place with a troubling record of racial discrimination, I think that that speaks volumes."

Sothern cites Department of Justice statistics showing that all 14 rapists executed by Louisiana in the past 75 years were African-American. Nationwide from 1930 to 1964, nearly 90 percent of executed rapists were black, he said.

Kennedy recently was joined on Louisiana's death row by another child rapist -- Richard Davis, who is white. Davis' legal appeals have barely begun.

The justices will no doubt consider loneliness of Louisiana's aggressive position when deciding whether a national consensus now exists to allow a broader range of crimes to become subject to capital punishment. The high court has in recent years banned execution for the mentally retarded, underage killers and those receiving an inadequate defense at trial.

Angola prison officials would not make Kennedy available for comment.

The youngster at the center of the case is now in college and wants to be a lawyer. Her family says that like most underage victims, she has been scarred forever, and they believe her assailant deserves the jury's punishment.

"It's going to be justice," said Lynn Ray, the victim's cousin. "It's going to be that she can look forwards and not backwards, and not have to look over your shoulders, and one day see him. Or see him coming after her."

A ruling from the high court is expected by late June. E-mail to a friend

@highlight

Supreme Court hears arguments Wednesday

@highlight

Only one state is pursuing capital punishment for crime other than murder

@highlight

Patrick Kennedy, 43, convicted of raping stepdaughter, then 8

@highlight

Last execution for rape was in 1964