ATLANTA, Georgia (CNN) -- Susan Todd loves her daily coffee fix. "I can drink four or five cups, easily, comfortably," said Todd, 59, of Clinton Township, Michigan.

Skeet Spillane (right) got severe headaches when he quit caffeine. His wife said he was cranky most of the time.

But if she skips her regular dose of caffeine, Todd warned, watch out.

"I feel lousy all over. It's not that anything hurts," she explained. "I just feel sluggish, and a cup of caffeine will cure that."

Todd is among the estimated 80 to 90 percent of North American adults and children who consume caffeine products every day. Experts estimate about half that number will experience headaches and other symptoms from caffeine withdrawal syndrome.

There are a number of reasons why someone might need to reduce or stop their daily caffeine intake. Experts tell pregnant women not to consume more than 200 milligrams of caffeine a day (about one 12-ounce cup of coffee). Caffeinated products are not recommended for people who are prone to panic attacks or those who suffer from anxiety. Some surgical patients may also experience the symptoms of caffeine withdrawal syndrome on the day of surgery, because they are told not to eat or drink anything.

Researchers at Johns Hopkins University in Baltimore, Maryland, recognized the condition as a disorder five years ago after reviewing decades of studies. They concluded the higher the caffeine intake, the more likely a patient was to suffer from severe withdrawal symptoms when denied the ingredient.  Watch more on caffeine withdrawal syndrome »

Researchers also reported that some caffeine users considered themselves addicted to caffeine because they were unable to quit or cut down on their usage.

Michael Kuhar, chief of the division of neuroscience at the Yerkes National Primate Research Center at Emory University in Atlanta, Georgia, prefers to use the word "dependent" rather than "addicted." Even though he called caffeine a drug, Kuhar wouldn't go so far as saying it has reached the status of cocaine or heroin.

According to Kuhar, caffeine is a mild stimulant. "If you take a cup of caffeine you're likely to feel good and energized," he said.

Miss that cup of "Joe" or can of cola and don't be surprised if you start feeling funny, Kuhar warned. He said some people complain of "headache, fatigue, sleepiness, inability to focus and concentrate." Others report experiencing flu- like symptoms, irritability, depression and anxiety after skipping as little as one cup of coffee a day.

Kuhar explained that caffeine blocks receptors in the brain that can dilate blood vessels causing headaches. "Withdrawal symptoms can start from 12 to 20 hours after your last cup of coffee and peak about two days later and can last about as long as a week," Kuhar added.

It is not just coffee that can lead to caffeine withdrawal. While a 6-ounce cup of brewed coffee contains about 100 milligrams of caffeine, tea and cola have about 40 milligrams each, a bar of milk chocolate has about 10 milligrams and hot chocolate has about 7 milligrams.

Kuhar said that means adults as well as children may be suffering daily physiological and personality effects of caffeine withdrawal.

He recommended that people who are motivated to give up caffeine, or cut back on consumption, do so very carefully. "The thing to do is what we do with so many drugs -- basically you wean yourself off slowly," Kuhar suggested. "That doesn't mean it is going to be easy at every step, but it should be easier than going cold turkey."

Johns Hopkins researchers also endorsed a stepped approach to quitting caffeine. They instruct patients to gradually substitute decaffeinated products or noncaffeinated products over time in order to reduce the likelihood of experiencing withdrawal symptoms.

Kuhar suggested the process also can begin with reducing caffeine consumption by a half to a whole cup a day.

Technology consultant Skeet Spillane, 42, of St. Petersburg, Florida, started a step-down program after years of consuming up to three cups of coffee each day. He felt he was "drinking way too much caffeine."

Spillane said he knew right away that he was suffering from caffeine withdrawal when he started getting severe headaches. His wife told him he was cranky most of the time.

He now drinks tea instead, and occasionally sneaks a cup of coffee. Looking back, Spillane admitted going through withdrawal was "tough for a while," but he's feeling better these days and he's glad he's not so dependent on caffeine.

@highlight

Up to 90 percent of North Americans consume caffeine products every day

@highlight

About half will experience withdrawal syndrome if they don't partake

@highlight

Symptoms include headache, fatigue, sleepiness, inability to focus

@highlight

The higher the caffeine intake, the more likely a patient will suffer