London (CNN) -- The success of France's anti-euro National Front party in the first round of the country's presidential elections thrust the far right into the headlines.

A day later in the Netherlands, the refusal of the far-right Freedom Party to back austerity measures led the Dutch government to collapse.

Two very different scenarios, but with a common thread: the efforts of extremist parties to win support by plugging into popular discontent over the financial crisis, against the backdrop of a wider social unease and anti-immigrant sentiment.

Across Europe, anger at a perceived mismanagement of the economic crisis, and accompanying high unemployment, low growth and painful cuts, has seen the fall of half a dozen governments.

Ireland, Portugal, Spain, Greece, Finland and Italy are among them -- and unless President Nicolas Sarkozy pulls a victory out of the bag in the second round of voting on May 6, France may be the next to see power change hands, this time in a shift to the left.

Sarkozy, for his part, says he will keep an open ear to the concerns of the National Front party, led by Marine Le Pen -- but rejected any notion of striking a deal with the far-right group.

"There will be no pact with the National Front, there will be no National Front ministers, but I refuse to demonize the men and women who in voting for Marine Le Pen expressed a crisis vote, a vote of anger, a vote of suffering and a vote of despair," he said on French radio Wednesday. "I have to take their message into account, I have to listen to them, I have to hear them and not hold my nose."

Even so, will the region's economic insecurity translate into greater gains for the far right?

Europe's far-right parties are definitely seeing a resurgence, according to Dr. Matthew Feldman, director of the Radicalism and New Media Research Group at the University of Northampton, but the austerity crisis is only one part of the picture.

He says the far right movement has been gaining ground for years, thanks partly to efforts to revamp its previously overtly racist and fascist image.

This doesn't mean that those racist or Nazi-sympathizing elements don't still exist within different countries' far right groups, he said, but those at the top have often learned to present a more acceptable public face.

Instead of open racial attacks, they play up a threat to national identity and criticize multiculturalism, Feldman said.

On the campaign trail, National Front leader Marine Le Pen called for France to leave the eurozone and restore its own currency, the franc, as well as criticizing its political integration into the European Union.

But her rhetoric also drew on an anti-immigrant, anti-Muslim sentiment that has deep roots in France and elsewhere.

A report by rights group Amnesty International released Monday highlighted the issue, saying Muslims in Europe face discrimination in education, employment and religious freedom.

This discourse was likely a factor in Sarkozy turning the labeling of halal meat into an election issue, in a bid to win far-right supporters from Le Pen.

Dr. Michael Minkenberg, a professor of political science at the European University Viadrina in Frankfurt (Oder) who has also taught at New York, Cornell and Columbia universities, said concern over immigration, law and order "and the feeling that things aren't what they used to be any more" are at the heart of support for Europe's radical right.

Euroscepticism, as resistance to greater European political integration is known, is also on the increase, he said, and "there's this anxiety about what will happen, a growing complexity and not much reassurance from either national governments or the European Union."

Coupled with a mistrust of the political elite, this has also led to a swell of support for the far right in Austria, Belgium and Scandinavian countries, Minkenberg said.

Despite that trend, analysts caution against drawing sweeping conclusions from the far right's success in France.

The National Front has been well entrenched in France's political life for decades, under Jean-Marie Le Pen before his daughter Marine took charge last year, said Thomas Klau, of the European Council on Foreign Relations.

As such, its achievement in taking a fifth of the votes in Sunday's election, while notable, does not indicate a sudden rise to prominence for the far right, he said.

Socialist Francois Hollande, who is favored to win on May 6, told France's daily Liberation newspaper that he saw the strong showing for the National Front as an expression of people's "social anger" rather than a firm adherence to the party's more extremist views.

It revealed a discontent particularly in rural areas and among working class voters, he said, with many feeling abandoned by the government. His job will be to persuade them that his left-wing party will listen to and answer their concerns, he said.

Klau argued that a feature of recent ballots in Europe has been the readiness of voters to change their governments without turning to the political extremes, pointing to Spain's election last November as an example.

"Voters have been single minded across the eurozone in terms of expressing their dissatisfaction at how the crisis has been run by the government in charge, whatever their political hue," he said. "But at the same time, they have sufficient confidence in their own political system to replace their governments with the mainstream political opposition."

If the major parties can convince voters that they hear their concerns, they are less likely to turn to the extremes of left or right, said Minkenberg.

But Sarkozy's failure to deliver on his promises on immigration during five years in power has undermined his support from the right-wing electorate despite his attempt to appeal to them in campaigning, Minkenberg said.

In the Netherlands, Klau said the impact of Dutch politician Geert Wilders' decision to withdraw his Freedom Party's support for the government, triggering its collapse, will have only a temporary destabilizing effect.

The economy will be central to the election of a new government, but the far right does not attract the same level of support as in France.

Wilders, who wants a referendum on the euro, preferred to exit the coalition than lose political credibility by backing the painful cuts demanded by Europe, said Dr. Kostas Gemenis, at the University of Twente in the Netherlands.

Outgoing Prime Minister Mark Rutte urged lawmakers to act responsibly. "The economy is stalling; unemployment is threatening to rise; and the national debt is growing more quickly than we can afford. These are the facts, and we cannot ignore them," he said Tuesday.

Debt-ridden Greece also faces an election on May 6 that hinges on the economy.

The situation is very fluid there, but the far-right LAOS party, with a couple of lawmakers in parliament, has lost ground to the ultranationalist Golden Dawn party, which has a history of street violence, Gemenis said.

Opinion polls suggest Golden Dawn may pass the threshold of 3% of the vote, which could give the party eight or nine MPs in a parliament of 300, he said.

"They won't be able to make any difference, but it's a very strong message when people vote for such an extreme party," he said.

At the moment, the most likely outcome is another coalition between the two main parties, Gemenis said. But if the radical groups manage to tie anger over the austerity measures mandated under the country's international bailout to a sense of nationalism, they might pick up more disaffected voters.

So, does the far right present a broader threat to European freedoms?

How extreme the anti-immigration debate becomes depends very much on the individual country, Minkenberg said.

Farther east, a different strand of far-right thinking dominates in countries like Poland, Hungary, Bulgaria and Romania, he said. There, far-right groups poll around 10% but tend to be more nationalistic in tone, he said, with anti-Semitism and anti-Roma views seen as more legitimate there than elsewhere in Europe.

Feldman highlights the far right's recent apparent moves to establish a pan-European cultural movement as the biggest risk.

Far-right groups from Scandinavia, the United Kingdom, Germany and Eastern Europe gathered last month in the Danish city of Aarhus for what they said was a rally to make their governments aware of the threat of Islamic extremism.

Although it was dwarfed by a left-wing counterdemonstration, the protest was significant as an attempt by the far-right groups to create a common trajectory, he said. What remains to be seen is how much traction their extreme views can gain.

"It's clear that a large minority across Europe isn't comfortable with these things, demographic change and multiculturalism," Feldman said. "But what the far right offers is not something that many can accept."

@highlight

France's National Front gained 20% of the vote in the first round of the presidential election

@highlight

The far-right group is against membership of the euro and taps into anti-Muslim sentiment

@highlight

The far right has seen gains in Austria, Belgium, Scandinavia and elsewhere

@highlight

Analysts say the austerity crisis is only one factor in the far right's rise in Europe