(CNN) -- The pool is closed in Warrenton, Missouri. Cattle ponds are drying up in Arkansas. Illinois is in danger of losing its corn crop.

Even the mighty Mississippi River is feeling low amid what the National Climatic Data Center reported Monday is the largest drought since the 1950s.

How the drought could hit your wallet

The center said about 55% of the country was in at least moderate short-term drought in June for the first time since December 1956, when 58% of the country was in a moderate to extreme drought.

The hot, dry weather in June, which ranked as the third-driest month nationally in at least 118 years, according to the center, made the problem worse. The portion of the country suffering from severe to extreme short-term drought dramatically expanded in June, up to nearly 33% from 23% the month before.

WLUK: Tree farmers battle drought

Illinois Gov. Pat Quinn called it a "natural disaster of epic proportions."

"We've never see a drought like this and we have to make sure we do something about it," he said, calling on Congress to expedite passage of the farm bill. Quinn said seven more counties will be designated Monday as disaster areas, in addition to 26 already on the list, and farmers can apply for federal relief funds.

In Arkansas -- where the National Drought Mitigation Center reported that ranchers are having to haul water for cattle because ponds have dried out and wells can't keep up with demands -- 83-year-old retired farmer Don Hudson said this is about the worst he's ever seen it.

"It's very brown right now, ain't no grass at all," he said. "We're still feeding hay because the cows aren't even going out to graze."

In all, 71% of the country was classified as abnormally dry or worse as of June, the climate agency said, citing data from the National Drought Mitigation Center at the University of Nebraska.

That's double one year ago, according to agency statistics.

Mayans may offer insight on drought management

The worst-hit areas are the southern to central Rockies, the central Plains states and the Ohio Valley, the National Climatic Data Center said.

The hot, dry weather has taken its toll on agriculture, with 38% of the corn planted in the leading 18-corn producing states reported in poor or very poor conditions this week, according to the U.S. Department of Agriculture. The numbers are an increase of eight percentage points over last week and dramatically higher than last year at this time when it was just 11%.

In Arkansas, where conditions are the driest they've been since 1925, according to one widely used measure of short-term drought, ranchers have been selling off cattle to avoid having to feed and water them, said Arkansas Department of Agriculture spokesman Zach Taylor.

"It's bad," he said. "The week of July 4, we had 17,000 head of cattle sold. That may be a record."

With parts of the country in an epic drought, water levels were also running low in the Mississippi River south of New Orleans, according to the U.S. Army Corps of Engineers. That was allowing saltwater to begin working its way upriver, which could threaten some water supplies.

WQAD: Heat kills hundreds of Asian Carp in local lake

It's not unprecedented, and there's no current threat to water supplies, but officials are prepared to start building an underwater barrier to block the denser saltwater from moving further upstream, Corps spokesman Ricky Boyett said Friday. The Corps last had to do that in 1999, he said.

There's no way of telling how much the current drought will cost U.S. businesses, farmers and consumers.

Alex Carter, who farms 3,500 acres of rice and soybean in southern Missouri, told CNN he's been running electric irrigation twice as much as most years because he's only gotten two inches of rain since March.

Extreme weather: Get ready to see more of it

Farmers have plenty of water for irrigation from wells, but the expense is a killer. Typically wells run for 12 hours, but they are running continually now, draining power and business accounts.

"A lot of guys have to go back to their banker to ask for more money" to cover added pumping costs, he said. But they have to keep the pumps going.

"That's the only thing that saves us,"

But drought conditions last summer in the Southern Plains and Southwest alone resulted in an estimated $12 billion in losses, according to the National Climatic Data Center.

The 1956 drought brought serious economic repercussions, the National Oceanic and Atmospheric Administration notes in a report on historic weather conditions.

"Crop yields in some areas dropped as much as 50%," according to the agency. "Excessive temperatures and low rainfall scorched grasslands typically used for grazing. With grass scarce, hay prices became too costly, forcing some ranchers to feed their cattle a mixture of prickly pear cactus and molasses."

WISH: Man paints yard to beat drought's brown grass

The current drought has forced disaster declarations in 26 states and a spate of emergency conservation orders, including in Warrenton, where the city ordered residents to stop watering their lawns, shut down commercial car washes and banned and just about every other non-essential use of water. That includes closing the city swimming pool amid one of the hottest summers on record.

"It's pretty sucky, to put it bluntly," said Dana Moore, who lives just a few blocks from the pool.

She's resorted to jumping in their very dirty car -- which they can't wash because of the restrictions -- to take her restless kids for a dip in other towns' water parks.

WBBM: Drought raises prices on fruit

Her photography business is also suffering. She hasn't been out on a shoot in a couple of weeks, despite high demand for high school senior portraits. Nobody wants to be sweaty or sitting on crispy, brown grass in their photograph, she said.

On the bright side, Moore's getting to spend a lot of time on indoor craft projects with her kids during what she and her neighbors rate as the worst drought they can remember.

KCTV: Intense heat affects milk supply

"But hey, we're all still living and it's not like we're starving," she said cheerfully. "We're making the best of it."

According to the report issued Monday, June was also the fourth-warmest June globally since record-keeping began in 1880, and marked the 328th consecutive month that global temperatures have remained above the 20th century average. The last time the average global temperature dipped below that average was February 1985, the agency said.

Past 12 months warmest ever recorded in U.S.

Are you affected by the drought? Share with us on CNN iReport.

CNN's Dave Alsup contributed to this report.

@highlight

Illinois Gov. Pat Quinn calls it a "natural disaster of epic proportions"

@highlight

Nearly 70% of the U.S. is in some state of drought, a climate agency says

@highlight

The 55% in moderate or worse drought is worst since 1956, agency says

@highlight

The area in severe drought jumps to nearly 32% from 23% the month before