Istanbul, Turkey (CNN) -- The party of Turkey's ruling prime minister sailed to an easy victory in parliamentary elections on Sunday, winning a third term in office with 49.9% of the vote with 99.9% of the votes counted.

But marring the night, 10 people were wounded at a post-election party, the country's Anatolian news agency said.

For nearly a decade, Recep Tayyip Erdogan has dominated Turkish politics while also defining his country's assertive new role as an economic and diplomatic power in the region.

Campaigning on his record of unprecedented economic stability and prosperity during nine years in power, Erdogan and his Justice and Development Party (AKP) succeeded in slightly increasing his mandate. The AKP won 49.9% of the vote, an increase of nearly 4 percentage points from the party's performance in the 2007 parliamentary election.

"We are thrilled after winning one out of every two voters' votes in the country," Erdogan said late Sunday night.

In a victory speech delivered from the balcony of his party headquarters in Ankara, Erdogan made a pledge to serve all Turks, regardless of ethnicity or religious sect.

"To the Turkish nation, whether you voted for AKP or not, the real winner of the 2011 elections is Turkey," Erdogan roared, to a crowd of flag-waving supporters.

"No one should have any doubt, whether you voted for us or not, all of your beliefs and values and lifestyles are our pride."

"The obvious result is another landslide big victory for the incumbent, the AKP," said Omer Taspinar, a Turkish political analyst with the Brookings Institution in Washington.

"People voted overall for stability. It's the same rule in most democracies, 'It's the economy, stupid.' People vote on bread and butter issues. They vote based on their living standards. The fact that Turkey's economy is growing at 9%. The fact that interest rates are low. People can borrow, people can spend. Consumption is very high."

Prime Minister Erdogan added another electoral victory feather to his cap. But he fell short of capturing the two-thirds majority in parliament that would have allowed the AKP to unilaterally rewrite Turkey's constitution. Erdogan has made no secret of the fact that he intends to rewrite the constitution, a deeply flawed document drafted by a military junta that seized power in 1980.

And on Sunday night, Erdogan made it clear a new constitution would still be a top priority.

"The nation has assigned us the task of creating a new constitution," he said. "We are not going to close our doors. We will go to the opposition. If they accept, we will sit down and work towards consensus with civic groups, with parties outside of the parliament, with academics."

The largest opposition party, the secular Republican People's Party (CHP) won 26% of the vote. That marked a boost of 5 percentage points over its performance in 2007. But it also fell short of predictions by the CHP officials that the rebranding of the party under new leader Kemal Kilicdaroglu would lead to a big win at the polls.

Nonetheless, Kilicdaroglu declared victory during his own brief post-election speech to supporters.

"Within a short period our party won 3.5 million new votes," he said. "We wish AKP success. But they should not forget. That there is a stronger CHP now."

A big winner on Sunday was the Peace and Democracy Party (BDP), the country's most influential Kurdish nationalist party. Young men waving yellow BDP flags raced around Istanbul in cars, celebrating the party's capture of an additional 10 seats in parliament.

A blast Sunday night at a BDP post-election celebration in the southeastern town of Sirnak wounded 10 people, six of them critically, the Anatolian news agency said. The cause of the explosion was not immediately known.

The party captured an additional 10 seats in parliament.

Turkey still bears the scars of a long guerrilla war waged between Kurdish separatist guerillas and the Turkish state. More than 30,000 people have been killed since the conflict broke out in the early 1980s.

"We have a very difficult challenge ahead with the Kurds," said Taspinar of Brookings. "They have high expectations. They really want radical reform. The new constitution will have to reflect a different understanding of Kurdish citizenship.

After polls closed Sunday, clashes erupted in the predominantly Kurdish city of Diyarbakir. A city government official, speaking to CNN on condition of anonymity, confirmed reports that police fired tear gas and water cannons to disperse Kurdish youths hurling firecrackers and gasoline bombs.

In his victory speech, Erdogan addressed the Kurds, Turkey's largest -- and long-oppressed -- ethnic minority.

"We will work harder to end mothers' crying and end the bloodshed," he said. "We did away with assimilation policies ... we say peace, freedom and democracy in the region."

Erdogan and the AKP first swept to power in 2002, after the party won 34% of the vote, bringing an end to years of weak and crisis-prone coalition governments.

The party won a much stronger mandate in 2007 parliamentary elections, capturing 47% of the vote.

In the run-up to Sunday's election, Erdogan unveiled ambitious plans titled "Turkey 2023," which include digging a canal through Istanbul from the Black Sea to the Marmara Sea, which would parallel the Bosphorus Strait.

Despite obvious flaws, Turkey's messy democracy and its booming economy are an inspiration for many in the turbulent Middle East.

During the height of the revolution in February in Cairo's Tahrir Square, many Egyptians pointed to Turkey as a possible model for future democratic development.

And more than 5,000 Syrians have fled across the border to Turkey in recent days to escape a brutal crackdown on anti-government protesters by Syrian President Bashar al-Assad.

One of the big successes of the Erdogan era in Turkey has been the assertion of civilian control over the once-meddlesome military, which overthrew four elected governments in 50 years.

CNN's Joe Duran and Jeremiah Bailey-Hoover contributed to this report.

@highlight

NEW: 10 are hurt in postelection blast

@highlight

Prime minister's party wins 49.9% of parliamentary votes in final count

@highlight

But two-thirds vote was needed to unilaterally rewrite constitution

@highlight

Strongest Kurdish party captures 10 more seats