Juba, South Sudan (CNN) -- South Sudanese wept openly as they celebrated their independence Saturday, cheering, whistling and dancing down the streets in a ceremony fitting for the birth of a new nation.

"We are free at last," some chanted, flags draped around their shoulders.

A man on his knees kissed the ground.

The red, white and green flag of the newborn nation, readied at half-staff the day before, was hoisted over the capital of Juba.

Among the world leaders bearing witness on this historic day: United Nations Secretary General Ban Ki-moon, Sudanese President Omar al-Bashir and South African President Jacob Zuma.

"This is liberation, a new chapter," said Abuk Makuac, who escaped to the United States in 1984 and came back home to attend the independence day activities.

"No more war. We were born in the war, grew up in the war and married in war."

South Sudan's sovereignty officially breaks Africa's largest nation into two, the result of a January referendum overwhelmingly approved by voters.

The referendum was part of a 2005 peace deal that ended decades of civil war pitting a government dominated by Arab Muslims in the north against black Christians and animists in the south. The war killed about 2 million people.

Amid the independence celebrations, some residents paid tribute to relatives killed in the war.

"It is very emotional. I'm excited, but I'm also thinking of all the people who died for this to happen," said Victoria Bol, who lost dozens of family members.

Salva Kiir Mayardit, a former rebel leader who is South Sudan's first president, said his people cannot forget years of bloodshed but must now forgive and move forward. He vowed his people would never again be marginalized.

"As we celebrate our freedom and independence today, I want to assure the people of Darfur, Abyei and South Kordofan, we have not forgotten you," he said referring to three conflict-mired regions.

"When you cry, we cry," he said. "When you bleed, we also bleed.

In Washington, President Barack Obama issued a statement recognizing South Sudan's sovereignty.

"Today is a reminder that after the darkness of war, the light of a new dawn is possible," Obama said. "A proud flag flies over Juba and the map of the world has been redrawn."

There were shouts of joy, big hugs and hearty handshakes at South Sudan's new Washington embassy on Saturday. Others cried as a colorful new flag was raised.

"This day means a lot to me because we achieved our victory. We got our own country," says Anai Aluong. "We are a new nation now. We are very happy because God answered our prayer."

Aluong said she lost her father, brother, sister and friends during the decades-long civil war.

British Foreign Secretary William Hague told the dignitaries gathered in Juba that his nation has opened an embassy there and appointed an ambassador.

Al-Bashir stood with his former enemies from South Sudan and congratulated them on their new homeland. He said he believed a united Sudan was still the best option but supported the dream of the South Sudanese.

The gracious tones sparked a ray of hope that the two sides would get past a bitter relationship to forge ahead. That journey will hardly be easy as many challenges await.

South Sudan is among the world's poorest, with scores who fled the long conflict coming home to a region that has not changed much over the years.

The infrastructure is still lacking -- with few paved roads in the new nation the size of Texas. Most villages have no electricity or running water.

South Sudan sits near the bottom of most human development indices, according to the United Nations, including the highest maternal mortality and female illiteracy rates.

Although the north has flourished, the South has not changed much over the years, said South Sudan native Moses Chol.

"They have schools and clean water, and their children are not dying of simple diseases," Chol said, referring to the north. "In the south, people still drink stagnant water. They have nothing."

There is also the threat of renewed fighting between the two neighbors.

Clashes have erupted recently in the disputed border regions of Abyei and South Kordofan.

And despite the 2005 peace deal brokered by the George W. Bush administration, forces aligned with both sides continue to clash.

Abyei was a battleground in the brutal civil war between forces of both sides. A referendum on whether the area should be part of the north or the South has been delayed amid disagreements on who is eligible to vote.

The two countries look set to divorce in name only -- they have not reached an agreement on the borders, the oil or the status of their respective citizens.

The U.N. Security Council, which voted to send up to 7,000 peacekeepers and 900 uniformed police to South Sudan, is expected to meet Wednesday to discuss U.N. membership for the new nation.

As dignitaries gathered in the new capital to celebrate the new nation, world leaders warned of a tough road ahead.

"Their economic prospects are dim unless the two sides can come to agreement on how to share precious resources, cooperate in other economic areas and together promote the viability and stability of each other," the U.S. special envoy to Sudan, Princeton N. Lyman, said in an editorial to CNN.

Lyman, who attended the ceremony, said both sides want food, education and security for their families.

"They want the freedom to be able to express their opinions, choose their leaders and become active participants in political and social life," he said.

South Sudan natives such as Makuac admit there are challenges ahead. However, she is pushing those thoughts to the back-burner for now.

"We have waited so long to get here ... I will worry about that later," she said. "This weekend, we celebrate."

CNN's Nima Elbagir reported from Juba, South Sudan, and Faith Karimi reported from Atlanta. CNN's Jennifer Rizzo and Moni Basu contributed.

@highlight

NEW: Flag raised at embassy in Washington

@highlight

Leaders of north and the South strike a conciliatory tone

@highlight

"We are free at last," cheering crowds chant on the streets

@highlight

South Sudan's sovereignty breaks Africa's largest nation into two