Tehran, Iran (CNN) -- Reports of more demonstrations filtered out of Iran on Wednesday, including some that mentioned attacks on people mourning the death of a prominent cleric who was critical of the government.

The reports come two days after a witness said that tens of thousands of people chanted anti-government slogans before the funeral of Grand Ayatollah Hussein Ali Montazeri, a key figure in the 1979 Iranian revolution who went on to become one of the government's most vocal critics.

On Wednesday, the semi-official Fars news agency reported on pro-government demonstrations in the neighboring cities of Isfahan and Najafabad, roughly 200 miles south of Tehran. That account did not mention clashes, but another did.

A news site maintained by reformists in the Iranian parliament said that people in plain clothes used tear gas and pepper spray to attack people who had gathered in a mosque in Isfahan to mourn Montazeri's death; it said 50 people were arrested.

Like other accounts, the report on the reformists' news site could not independently be verified.

Montazeri died Sunday at age 87.

A key figure in Iran's Islamic Revolution 30 years ago, Montazeri became the most prominent cleric to publicly criticize the presidential elections last June that returned hard-liner Mahmoud Ahmadinejad to the presidency.

Writing on his Web site after the disputed June presidential elections, Montazeri described the street protests that followed the polling as a challenge to the "very legitimacy of the Islamic Republic."

His death is "a terrible blow for the (reformist) green movement and everybody who has been active these past few months," said Mehrdad Khonsari, a senior research consultant at the Centre for Arab and Iranian Studies in London.

"He was a very senior grand ayatollah with very good revolutionary credentials, and a very vocal critic of the ruling establishment," Khonsari said.

"He was a major thorn in the back of (Iranian Supreme Leader Ayatollah Ali) Khamenei. He was a bastion for all the people opposing the excesses of the system," even within the ruling establishment, he said.

In the past six months, Montazeri had become the voice of the reformist movement on key foreign policy issues, Khonsari said. The cleric was able to comment more freely than reformist presidential candidates, he said.

Montazeri, for example, took a public stand against nuclear weapons in October, issuing a fatwa, or religious edict, declaring them to be "un-Islamic" and instructing Muslims to take the lead in banning them, said Nazenin Ansari, diplomatic editor of the weekly newspaper Kayhan in London.

Iran's nuclear program has been the subject of intense international concern, with the United Nations considering expanding sanctions against the Islamic state despite its insistence it does not intend to build a bomb.

Montazeri had a very large public following, especially since the June elections and all his statements in favor of human rights," Ansari said

He was once a confidant of Ayatollah Ruhollah Khomeini, who led Iran for a decade after the revolution.

He studied under Khomeini and then acted as his representative in Iran after Khomeini was exiled by the shah for criticizing the monarchy, Ansari said. Montazeri, too, was jailed and exiled.

After the revolution, he was the heir apparent to Khomeini, and played a key role in writing Iran's constitution as the first chair of the powerful Guardians Council. He was also the leader of Friday prayers in Tehran, one of the most public and influential pulpits in the country.

But he was supplanted by the current supreme leader, Ayatollah Ali Khamenei, and was placed under several years of house arrest in 1997.

"His problems with Khomeini started in the summer of 1988 when they started executing ... thousands of leftist prisoners," Ansari said. "He never was in agreement with that, and then he started to fade" from power.

"Once Khamenei became leader, Montazeri objected," she said.

Montazeri said Khamenei "was elevated above his (religious) qualifications," pointing out that he had not earned the title of ayatollah. "It was then he was arrested."

Recently, Montazeri has objected to the current regime's characterization of his one-time mentor Khomeini as a saint, she added.

And following the disputed elections in June, "he issued a ground-breaking fatwa articulating the policies of the green movement to the world.

Montazeri had been equally critical of the parliamentary electoral process in 2004, arguing in favor of reformist candidates.

@highlight

Reformist news site claims tear gas, pepper spray used against mourners

@highlight

Semi-official news agency reports on pro-government demonstrations

@highlight

Reports of anti-government protests at funeral of Grand Ayatollah Montazeri

@highlight

Montazeri publicly criticized last June's presidential elections