(CNN) -- Could a floating dome that can house up to 10,000 people be a model for future living?

Russian architect Alexander Remizov thinks so -- and his prototype design, called "The Ark," bears more than a passing resemblance to the classic children's toy, the Slinky.

Remizov believes his Ark, designed to be constructed from timber, steel and high-strength ETFE plastic, could be adapted for all kinds of environments and put to a number of different uses, including emergency housing -- its prefabricated structure should allow it to be constructed quickly -- and hotels. He's even suggested a variation with a honeycomb-style hull that can float.

After completing a Masters degree looking at non-polluting settlements, Remizov decided to pursue that theme with his architecture firm Remistudio and design a modern building that would be in harmony with the environment.

He says that he took a holistic approach to the problems of providing power to The Ark, working with colleague Lev Britvin on energy solutions to keep it in balance with the environment.

A wind power generator that runs through the center of the building would provide power while the outer surface would be covered with transparent solar panels. If the Ark was built on water, as Remizov suggests, he says it could also utilize thermal water energy.

"The form of a dome promotes the formation of turbulences of air, strengthening the work of wind generators," wrote Remizov in an email to CNN.

"Inside the building, the dome form promotes accumulation of warm air in the top part of a building," he continued. "This heat will be transformed to other kinds of energy and collects also in thermal accumulators."

While still on the drawing board, Remizov believes The Ark could be used for many purposes from apartments to offices and hotels, and be built on different scales to house between 50 and 10,000 people.

The way in which the Ark could be assembled from ready-made structures would reduce the cost of construction, suggests Remizov, who estimates that it would be comparable to the cost of energy-efficient "green" buildings.

"Lightweight materials, such as coating film, light design of the foundation, no insulation due to the presence of the buffer zone, reduce the weight structures, which would lead to cheaper construction," he said.

@highlight

The Ark is designed to be a multi-use environmentally friendly building

@highlight

Russian architect believes it would be a building in balance with nature

@highlight

Uses transparent solar cells on outer surface and central wind generator

@highlight

One version of design could float on water