This week, Canada became the latest country to join the U.S.-led fight against ISIS when its lawmakers voted Tuesday to contribute aircraft and personnel in the battle, though Prime Minister Stephen Harper stressed Canada will not commit ground troops.

ISIS has seized large swaths of land in its quest to create a caliphate -- an Islamic state -- that stretches from western Syria to eastern Iraq.

Turkey joined the coalition late last week as the militants continued to fight Kurdish and Iraqi forces on the ground. In September, the United States promised broad cooperation in the effort against the terror group.  So far, Great Britain, France, the United Arab Emirates, Qatar, Australia, Germany, the Netherlands and other nations are participating.

Here's a closer look at their roles.

Regional allies

Saudi Arabia: On September 17, in a speech to service members at U.S. Central Command in Tampa, Florida, U.S. President Barack Obama said that Saudi Arabia had "agreed to host our efforts to train and equip Syrian opposition forces" to fight ISIS.

In late September, Saudi Arabia joined the coalition in airstrikes in Syria, attacks that hit ISIS vehicles and logistics bases, Centcom said. And last month, U.S. officials said that Saudi Arabia had offered to train on its soil moderate Syrian rebels who would fight ISIS.

Saudi Arabia has also put $500 million into the coffers of the U.N. humanitarian aid agencies in Iraq, a senior State Department official said Sunday.

United Arab Emirates: The UAE helped launch airstrikes in Syria. The country's first female fighter pilot led one of the missions.

Turkey: Though the NATO member initially offered only tacit support for the coalition, Turkey's government recently authorized the use of military force against terrorist organizations, including ISIS, as the militant group's fighters took towns just south of Turkey's border. Foreign troops have also been allowed to launch attacks against ISIS from Turkey.  U.S. officials said it had earlier taken steps to cut the flow of money to ISIS and denied entry to or deported several thousand foreign fighters heading to Syria to join the extremists.

The nation's role in the fight against ISIS has stirred controversy, particularly last week when U.S. Vice President Joe Biden apologized to Turkey and UAE leaders for comments in a speech at Harvard, when he said the Middle East allies had inadvertently strengthened ISIS by helping opposition groups fight Syrian President Bashar al-Assad.

Jordan: The kingdom participated in airstrikes in Syria. In mid-September, former Jordanian Foreign Minister Marwan Muasher said on CNN that he doubted Jordan will commit ground troops in the fight against ISIS. "The U.S. will have to take the lead in providing military strikes," he said.

One of Jordan's key roles would be providing intelligence to the West, Muasher said. Speaking from Amman, he stressed that Jordan's intelligence on ISIS is "second to none."

Egypt: U.S. Secretary of State John Kerry has said Egypt has a critical role to play in countering ISIS ideology. There was a "very detailed conversation with the Egyptians about military-to-military cooperation" in Iraq, State Department officials said in September. There appear to be no public details about the role Egypt has played, however.

But signaling a major cultural push against ISIS, Egypt's grand mufti condemned the terror group last month, saying that its actions are not in line with Islam, Al-Arabiya reported.

Qatar: The small but very rich Gulf nation that hosts one of the largest American bases in the Middle East has flown a number of humanitarian flights, State Department officials said. And in late September, in his first-ever interview as the Emir of Qatar, Sheikh Tamim bin Hamad Al-Thani vowed to support the coalition.

Qatar has been accused of funding terrorism, which the Emir dismissed.

"We don't fund extremists," he told CNN's Christiane Amanpour. "If you talk about certain movements, especially in Syria and Iraq, we all consider them terrorist movement."

Of the coalition, he said, "We've been asked by our American friends if we can join, and we did."

Iraqi Kurdistan:

The Kurdish fighting force, the Peshmerga, is battling ISIS on the ground in Syria and Iraq.

Leaders of the semiautonomous region of Iraq are willing to send their Peshmerga forces to fight beyond their borders if there's a comprehensive international strategy put in place, President Masoud Barzani told CNN's Anna Coren.

Three Americans are fighting alongside Kurdish forces against in northern Syria, a spokesman for the Kurdish group told CNN.

Live CNN coverage has captured some of the bloodiest battles between the Kurds and ISIS.

Bahrain: The oil-wealthy Gulf nation east of Saudi Arabia has participated in airstrikes against ISIS targets in Syria. Foreign Minister Khalid bin Ahmed al Khalifa, speaking on CNN in September, called ISIS a "deviated cult" that must be fought.

Bahrain has had close relations with the United States for years, and the U.S. Navy's Fifth Fleet in based in Bahrain.

Western allies

United Kingdom: Last week, the UK launched its first airstrikes against ISIS in Iraq, striking targets four days after its Parliament approved the country's involvement. British planes helped Kurdish troops who were fighting ISIS in northwestern Iraq, dropping a bomb on an ISIS heavy weapon position and shooting a missile at an armed pickup truck, the UK's Defence Ministry said. British planes had been involved in reconnaissance missions over Iraq.

Prime Minister David Cameron has called ISIS "a menace"  and said the UK would help arm Kurdish forces, support the Iraqi government, keep supplying humanitarian help and coordinate with the United Nations to battle ISIS.

"This is not about British combat troops on the ground," he said Sunday, "it is about working with others to extinguish this terrorist threat."

Read more: Britain vows to 'confront' ISIS

Australia: Australian aircraft started flying over Iraq in support of allied operations, Prime Minister Tony Abbott told Parliament in Canberra on October 1. The Australian mission consists of inflight refueling and electronic surveillance in support of the U.S. and other allies. The country also authorized the deployment of Australian special forces into Iraq to "advise and assist" Iraqi forces, Abbott said, calling it a "combat deployment" but an "essentially humanitarian mission to protect the people of Iraq and ultimately the people of Australia from the murderous rage of the ISIL death cult."  ISIL is another acronym for ISIS.

Australian authorities believe that there are at least 60 Australians fighting in the Middle East alongside terrorist groups, chiefly ISIS, and that at least 100 more support terrorist groups through funding and recruitment. Counterterrorism police have carried out raids in Australia in recent days. In mid-September, two men were charged in connection with a terror plot that Abbott said involved plans for a "demonstration killing."  Australian media reported that the men planned to kidnap a member of the public, behead the victim and then drape him or her in an ISIS flag.

France: French planes have taken part in airstrikes against ISIS in Iraq, and the nation has flown reconnaissance flights over Iraq, contributed ammunition and made humanitarian drops over the nation. France's air force was also part of a recent operation in the Iraqi town of Amerli, along with Australia and Great Britain, that pushed back ISIS fighters. ISIS recently called for attacks against Western citizens, singling out "the spiteful and filthy French" for punishment. A video emerged last month of militants who have pledged allegiance to ISIS beheading Herve Gourdel, a French citizen who was kidnapped in Algeria.

Germany: Geared toward curbing ISIS propaganda and recruitment, Germany has banned activities that support ISIS, including making it illegal to fly the trademark black flag of the Islamic State in Iraq and Syria. Germany has also said it was sending military assistance to the Kurdish region to fight ISIS.

Read more: How ISIS makes $1 million a day

Obama said on September 17 that German paratroopers are offering training in the overall effort to fight ISIS.

Canada: The lower house of Parliament voted Tuesday to contribute aircraft and personnel in the fight against ISIS. In September, a State Department official said that Canada has provided "tangible equipment and ammunition" to the broader effort to fight ISIS.

Read more: How ISIS lures Westerners

The Netherlands: This week, the Dutch military said two F-16s dropped bombs on armed ISIS vehicles in northern Iraq that were shooting at Kurdish fighters. The ISIS vehicles were destroyed, the military said in a statement, and ISIS fighters were "possibly killed."

In late September, the Dutch government said it would contribute six F-16 fighter jets as well 250 troops to join in anti-ISIS airstrikes and provide training to Iraqi as well as Kurdish troops. The F-16s would be based outside Iraq, it said then, and used against ISIS in Iraq during a phase that could last from six to 12 months, the nation's Defense Ministry said.

Other nations: State Department officials have also listed Italy, Poland, Denmark, Albania and Croatia as having provided  equipment and ammunition in the fight against ISIS. New Zealand, Romania and South Korea were also named for providing humanitarian assistance, with officials noting that South Korea has given some $1.2 million.

@highlight

Canada voted to contribute aircraft and personnel in battle against ISIS

@highlight

Saudi Arabia, the UAE and Jordan have participated in airstrikes; Netherlands hit ISIS in Iraq

@highlight

Turkey recently authorized use of military force against ISIS as ISIS took nearby towns

@highlight

Kurdish Peshmerga forces are fighting on the ground against ISIS