(CNN) -- With a litany of stubbed toes, sprained ankles, broken bones and blistered feet, Americans' feet are hurting.

According to the National Foot Health Assessment 2012 released in June, 78% of adults 21 and older have experienced one or more foot problems in their lives.

One common culprit of America's foot pain, especially during the summer, is the flip-flop.

Whether it be on the beach, at the grocery store or even in the office, people love to free their feet. But flat sandals are nothing but bad news, says Bob Thompson, executive director for the Institute for Preventive Foot Health, who doesn't own a single pair.

"There's no heel support and structural support ... on that little slab of rubber."

Flip-flops have been around since at least 1500 B.C. They have been the choice of footwear for everyone from ancient Egyptians to California beach bums to Northwestern University's women's lacrosse team during a 2005 visit to the White House.

Providing wearers with ease and emancipation, flip-flops are hard not to love, said Brian Curin, president and co-founder of Flip Flop Shops.

"It promotes this good mental state of health," he said. "It's hard to be in a bad mood when you're wearing flip-flops."

Despite the shoe's popularity, Thompson said there are many risks involved with wearing flip-flops.

Flip-flops aren't always easy on the feet

Although feet were designed to walk barefoot on Earth's natural surfaces (grass, sand or gravel), they were not prepared to endure the concrete, asphalt and steel that covers so many landscapes today, Thompson said. These unmovable surfaces are harsh on bare feet, and the thin rubber sole of many flip-flops does little to adequately absorb the shock they produce.

Whether you are standing still or in motion, your feet are your first point of contact with the ground. The way your feet are positioned provides the foundation for the body's skeletal alignment. A flat shoe provides little arch or lateral support and even slight shifts in stance over time could lead to misalignment, causing pain in the knees, hips and back.

"Everything in your body starts with how you strike your heel to the ground," Thompson said.

With nothing to keep a wearer's foot in place, flip-flops can also lead to tumbles, twisted ankles and even broken bones.

"You're taking your five toes and grabbing your shoe to make sure it doesn't slide out," Thompson said. "That action of the toes grabbing the shoe on the toe box is not normal."

Shoes should flex where your foot bends, said Noreen Oswell, a podiatrist at The Foot Center at the Cedars-Sinai Medical Towers in Los Angeles. But the rubber soles of most flip-flops just bend all over the place, while the stiff soles of some stylish varieties may not bend at all, she said.

Flip-flops' straps can also rub as a wearer walks, creating friction that leads to blisters. And because the lightweight sandals offer virtually no protection, it's more common for wearers' feet to get cuts, scrapes and bruises.

"A little layer of rubber -- it will protect you from a stone or a glass, but a nail could puncture that," Thompson said.

Oswell said wearing flip-flops can be seriously detrimental for people whose feet are already at risk: For people with diabetes, who often have poor circulation and feeling in their feet, wearing flip-flops can expose them not only to injury but to infection. Those with balance issues may find it hard to feel secure when wearing rubbery flip-flops. And for those suffering from obesity, sporting the unstructured shoe can add strain to feet that are already stressed with carrying extra weight.

The real problem is that people are wearing flip-flops while doing everything from skateboarding to gardening to running errands, Oswell said.

"It's not that they wear them," Oswell said. "They overwear them."

But Curin said researchers, who typically refer in their studies to cheap rubber flip-flops that can be purchased at discount stores, must realize not all flip-flops are created equally.

"They seem to miss that whole other part of the industry that is creating really good footwear with innovation and technology," he said.

Curin said oftentimes it's such sandals that alleviate problems, not cause them.

"I know a lot of people, both customers of our shop, friends and family, and people in the industry that wear flip-flops because they have problems," he said. "It's more comfortable, easier to put on and off, and there's breathability."

Rather than buying a $2 pair of rubber flip-flops at the drugstore, Curin suggests spending the extra money on a pair with deep heel cups, high arch support and comfortable toe support, such as those from OluKai and Reef.

Oswell agrees that there times when wearing flip-flops can be beneficial. In the health club locker room or at the community pool, flip-flops can protect feet against fungi and wart-causing viruses that can be acquired by walking around barefoot.

The simple sandals can also shield feet against the beach's hot sand, which might otherwise cause skin to burn and blister on your walk to the water.

But flip-flop use should be limited, experts say. Oswell's go-to shoe for everyday wear is a pair of tennis shoes.

"The number one best shoe for everybody is a good athletic shoe â€” something that laces up and has good structure to it," Oswell said.

Thompson said people should always wear padded, acrylic-blend socks, which wick moisture away from the foot, under properly fitted shoes that have plenty of toe room and support.

Crocs, which have some structure, cushion and breathability, can be an easy alternative to flip-flops, while sandals with a substantial foot bed and softer and broader straps are also a better option, Oswell said.

For people who insist on indulging in flip-flops' cool convenience, Thompson's asks them to avoid uneven surfaces and wash feet thoroughly after the sandals come off.

"I tell people I'm not going to change your lifestyle; I just want you to know what the concerns are," he said.

@highlight

78% of adults ages 21 and up have experienced one or more foot problems in their lives

@highlight

One common culprit of America's hurting feet is flip-flops

@highlight

Flip-flops offer next to no protection and little arch, heel and lateral support

@highlight

Look for sandals with a substantial foot bed and softer and broader straps