(CNN) -- The Obama administration announced new standards for commercial pilot training Tuesday, with Transportation Secretary Anthony Foxx calling it a "significant advancement for aviation safety and pilot training."

The new rules from DOT and the Federal Aviation Administration will reinforce ground and flight training on aerodynamic stall and "upset," enabling pilots to prevent and recover from potential disaster. The emphasis will be on pilots gaining experience on handling a stall during simulator training.

During an aerodynamic stall, the plane loses its lift. If the pilot doesn't correct it, the plane may crash.

That is what investigators say led to the 2009 Colgan Air Flight 3407 crash near Buffalo, New York.

The pilots did not recognize the plane was slowing down too quickly, investigators said. When confronted with signs that the Colgan Air plane was entering an aerodynamic stall, the pilot pulled on the plane's control column when he should have pushed -- a simple error that led to the death of 50 people, according to the National Transportation Safety Board (NTSB).

Investigators said the pilots were not adequately trained to handle stalls.

The new pilot training standard not only calls for teaching pilots how to react and prevent aerodynamic stalls. It also mandates expanded training on how to handle crosswinds, wind gusts, enhanced runway safety procedures and more effective pilot monitoring.

NTSB board members said they were struck by the amount of conversation between the Colgan Air captain and first officer, saying it was "almost continuous." By continuously conversing, the crew "squandered time and their attention" -- resources that should have been spent gaining awareness of their surroundings and preventing errors, according to the NTSB.

The crash prompted Congress to order new rule changes and update regulations. Families of Colgan crash victims pushed hard for lawmakers to act.

"One of my first meetings as transportation secretary was with the Colgan Flight 3407 families, and today, I am proud to announce that with their help, the FAA has now added improved pilot training to its many other efforts to strengthen aviation safety," said Foxx.

Tuesday's new pilot training rule addresses a congressional mandate in the Airline Safety and Federal Aviation Administration Extension Act of 2010 to ensure enhanced pilot training.

It is the third of significant rulings required by the act, including increased qualification requirements for first officers who fly U.S. passenger and cargo planes issued in July 2013.

The FAA mandated that pilots will need more cockpit training to become fully certified first officers for U.S. passenger and cargo airlines.

Co-pilots must complete 1,500 hours' total time as a pilot under the new rules, which took effect August 1. Previously, first officers were required to have only a commercial pilot certificate, which requires 250 hours of flight time.

The rule also requires first officers to undergo new training and testing specifics to the planes they fly.

In December 2011, final rules to prevent pilot fatigue were finalized.

The sweeping pilot fatigue rule governs how much time off commercial passenger pilots must have between work shifts, ensuring they have a longer opportunity for rest before they enter the cockpit.

It sets a 10-hour minimum rest period prior to a flight duty period, a two-hour increase over the old rules. The new rule also mandates that a pilot must have an opportunity for eight hours of uninterrupted sleep within the 10-hour rest period.

FAA Administrator Michael Huerta said at Tuesday's announcement this is the first fundamental rewrite of pilot training requirements in two decades.

Air carriers will have five years to comply with the rule's new pilot training provisions, which the agencies say will allow time for the necessary software updates to be made in flight simulation technology.

René Marsh is CNN's aviation and government regulation correspondent.

@highlight

New rules for pilot training

@highlight

Crash of plane in Buffalo, New York, impetus for some changes

@highlight

Recovering from stalls, wind gusts among priorities