(CNN) -- For Canada, the cost of either meeting its commitments under the Kyoto Protocol, or failing to do so, was too much to bear.

On Monday, the country became the first signatory of the landmark climate treaty to back out of the deal, citing the huge potential cost of legally binding commitments.

Confirming the move, environment minister Peter Kent said to meet its obligations under the accord Canada would have to take every single vehicle off its roads.

"Every car, truck, ATV, tractor, ambulance, police car," he elaborated in a media briefing, before giving another equally unpalatable option of closing down the country's entire farming and agricultural sector and cutting heat to every home, building and factory.

If the country failed to do so, Kent said taxpayers would have to give $14 billion to other countries "with no impact on emissions or the environment."

How did it come to this?

Canada's move was not unexpected. Since being elected into power in 2006, Prime Minister Stephen Harper has made it clear he was not a supporter of the controversial pact.

Canada quits climate pact

The Kyoto Protocol was signed in 1997 by the previous Liberal government, which committed Canada to cutting greenhouse gas emissions 6% below 1990 levels by 2012. In fact, levels have been rising, according to readings submitted to the United Nations Framework Convention on Climate Change (UNFCCC).

The announcement came after the end of the latest round of talks involving the 195 parties to the UNFCCC in Durban, South Africa.

U.N. Secretary-General Ban Ki-moon had just finished saying that a "significant agreement" had been reached, which has been dubbed "The Durban Platform," when Canada pulled the plug.

But while Kent repeated his claim that Kyoto, for Canada, "is in the past," he described The Durban Platform as "the way forward."

What is The Durban Platform?

The new deal, agreed Sunday, brings in major emitters of greenhouse gas emissions including the United States, China, India and Brazil. For that, it was hailed a success, although critics still argue that the timetable is too loose.

The parties agreed to extend the Kyoto Protocol, which was due to expire at the end of 2012, and to discuss a legally binding pact to cover all major emitters by 2015, with any agreed deal to start in 2020.

"Right now the global climate regime amounts to nothing more than a voluntary deal that's put off for a decade," said Kumi Naidoo, the international executive director of environmental campaign group Greenpeace. "This could take us over the two degree threshold where we pass from danger to potential catastrophe."

The package includes the first contributions to a $100 billion Green Climate Fund to help developing countries to invest in clean energy and adapt to climate change. An Adaptation Committee will be formed to co-ordinate adaptation activities worldwide with agreement on a "Technology Mechanism" to smooth the way.

What impact will Canada's departure have on the treaty?

Canada is just one of the 41 "Annex 1" countries and the European Union to have ratified the Kyoto Protocol, and its departure is not expected to lead to any kind of collapse.

However, its decision to formally leave the pact does send a symbolic message to other countries which might be looking for a way out, according to Greenpeace.

"The Kyoto Protocol is still quite shaky with many countries wanting to jump out of the ship. This Canadian position to leave behind the Kyoto Protocol does destabilize the positive action," said Li Yan, the group's climate and energy manager in Beijing.

Li said the new deal, to be agreed before 2015, will also include legally binding commitments so countries that opt out now are only delaying the financial pain. "There really is no escape from the responsibility," she added.

Opinion: World needs climate change 'Plan B'

Which countries could follow?

Russia and Japan have already made it clear they're not in favor of extending the Kyoto Protocol, but are yet to formally pull out.

Nick Nuttall, spokesman for the United Nation's Environment Program, said any further departures would seem premature with new the treaty negotiations underway, as agreed in Durban.

Before the Durban talks, Russia's chief negotiator Alexander Bedritsky said the Kyoto Protocol "neither resolves the problems of global warming, nor ensures meeting the global two-degree target, nor provides for environmental integrity."

The U.S. has long refused to ratify the Kyoto Protocol on the grounds that it doesn't bind other major emitters, including China, to legally binding limits.

On Tuesday, Beijing expressed regret at the Canadian decision. "It is regrettable and flies in the face of the efforts of the international community for Canada to leave the Kyoto Protocol at a time when the Durban meeting, as everyone knows, made important progress by securing a second phase of commitment to the Protocol," Foreign Ministry spokesman Liu Weimin said at a news briefing, according to Reuters.

What does the most recent science say?

Leading scientists agree that the world is on a path to rising average global temperatures which could have a disastrous humanitarian and environmental impact.

Global carbon dioxide levels rose to an average of 389 parts per million in 2010, compared with 386 ppm in 2009, according to figures released in November by the National Oceanic and Atmospheric Administration (NOAA). A level of 350ppm is considered by scientists to be the safe upper limit for carbon dioxide in the atmosphere.

In Copenhagen in 2009, countries agreed to work towards keeping the increase in global temperatures below two degrees Celsius to avoid dangerous levels of climate change.

Extreme weather the norm in 2011

According to the World Meteorological Organization's (WMO) provisional status report, 2011 was the 10th warmest year on record and warmer than any other year with a La Nina event.

"Our science is solid and it proves unequivocally that the world is warming ..." WMO secretary-general Michel Jarraud said.

@highlight

Canada pulls out of the 1997 Kyoto Protocol on climate change

@highlight

Claims financial costs of accord were too great

@highlight

Says new deal agreed in Durban is "the way forward"

@highlight

Russia, Japan may also announce formal intention to leave