For thousands of prison inmates convicted of crack cocaine charges, the prison doors will be opening early, thanks to sentencing changes easing the disparity between the penalties for possessing or distributing crack vs. powder cocaine.

Congress passed the Fair Sentencing Act in August 2010, changing the 100-to-1 disparity between minimum sentences for crack and powder cocaine to 18 to 1. The U.S. Sentencing Commission voted this summer to make the reduced crack penalties retroactive, which means more than 12,000 current inmates are eligible to request reduced sentences.

The retroactivity took effect Tuesday. The Sentencing Commission estimates that inmates will have an average of three years chopped off their sentences. An estimated 1,800 inmates became eligible for release immediately because they had already served enough time, and prosecutors did not object to their release.

Critics of the old sentencing system say it was unfair to African-Americans, who make up the majority of those convicted of possessing and distributing crack.

"This really has been one of the great stains on our federal criminal justice system for 20 years or more," said Michael Nachmanoff, the federal public defender for the Eastern District of Virginia. "This disparity between the punishment for crack cocaine and powder was really unjustified."

Nachmanoff noted under the old guidelines someone who had just 5 grams of crack cocaine would receive a mandatory minimum sentence of five years. But someone would have to have 500 grams of powdered cocaine to receive a similar sentence.

Nachmanoff's district is believed to have the largest number of people in the country -- between 800 and 900 people -- who might benefit from the reduced sentencing guidelines on crack. He said 75 of his clients were expected to be released on the first day of retroactivity.

"A lot of people have been sitting in jail for a long time not because they didn't commit crimes, but because the punishment they faced was too harsh and unjustified compared to other people who had committed similar crimes in similar ways," Nachmanoff told CNN. He said reduced sentences will not be automatic. Judges must review the cases and determine whether an early release of an inmate represents a danger to the community.

William Johnson, a Virginia man convicted of conspiracy to distribute cocaine in 1997, was one of those released Tuesday. "It's unbelievable. I'm ecstatic," Johnson told CNN." The 39-year-old father of four said he only found out Monday he would be released the next day.

Under the terms of his original sentence, he would have been eligible for release in October  2018, and that sentence was reduced a few years ago so that his revised release date was June 2014.

Johnson, who identified himself as an African-American, said there seemed to be a racial component to the different sentences given out in the past for crack and powder cocaine, but he said he wouldn't describe himself as bitter.

"I don't have time for it," said Johnson. He said he's concentrating on catching up with family members and making plans to go into business cleaning office buildings.

Families Against Mandatory Minimums has fought for changes in mandatory cocaine penalties for years.

"Most mandatory sentences are so high and so rigid that judges can't get around them, so people are going to prison for extraordinarily long times, way beyond what they need to learn their lessons," said FAMM spokeswoman Julie Stewart.

But even with the changes, there is still an 18-to-1 disparity in sentences for crack and powder cocaine offenses. Nachmanoff said now a person with crack will have to have 28 grams before triggering a mandatory five-year minimum sentence. But the person with powder cocaine still must have a much larger amount -- at least 500 grams.

"Ultimately the right answer is 1 to 1, and people in the law enforcement community and the criminal justice system recognize that," said Nachmanoff. "But that just means that there's still more work to do."

@highlight

U.S. Sentencing Commission voted to make reduced minimum penalties retroactive

@highlight

More than 12,000 current inmates will be eligible for reduced sentences

@highlight

Some inmates were released Tuesday, the first day of retroactivity

@highlight

Critics said the old system unfairly penalized African-Americans