(CNN) -- A top defector from the Syrian military said Saturday that armed rebel groups have aligned under the leadership of the Free Syrian Army.

Uniting all efforts will bolster the anti-regime movement and safeguard the nation, Brig. Gen. Mustafa Sheikh said in a video posted on YouTube.

The move addressed a key concern for observers of the Syrian crisis both inside and outside the country -- that armed rebel groups were disjointed and divided.

Sheikh was one of the first high-ranking officers to announce his defection from President Bashar al-Assad's forces. He was accompanied in the video by Free Syrian Army commander Col. Riad al-Asaad.

"In these critical and difficult times that our beloved country is going through, all the honorable men and women in this nation are required to work on uniting all efforts to overthrow this corrupt regime," Sheikh said. "The soldiers and officers of the Free Syrian Army pledged their allegiance to protect the people and the nation."

Not long after the video was posted, fresh attacks by the regime killed at least 54 people across the country, the opposition Local Coordination Committees of Syria said. Of the dead, 25 were in the war-torn city of Homs, rife with anti-government sentiment.

Syria's state-run news agency said funeral processions were held for 18 members of the military and police. It blamed their deaths on armed terrorist groups.

CNN cannot independently confirm reports of casualties or attacks in Syria because the government severely restricts access by international journalists.

The United Nations estimates the Syrian conflict has killed more than 8,000 people; opposition activists put the toll at more than 10,000.

In the YouTube video, Sheikh outlined rebel decisions.

"First, we decided to unite all the military councils and battalions and all the armed battalions inside the country under one unified leadership of the Free Syrian Army and to follow the orders of the commander of the FSA, Col. Riad al-Asaad," Sheikh said.

Second, with the FSA serving and protecting Syrians, "any movement to carry out a military operation or do anything outside the framework of the FSA "will be held responsible for any act they carry out," Sheikh warned.

Third, the rebels called for soldiers and officers in the Syrian armed forces "who don't have blood on their hands" to defect and join the ranks of the FSA.

Sheikh's appearance with al-Asaad also mended rifts between the two main defectors' groups, the Free Syrian Army and the Higher Military Council.

In February, a spokesman for the Higher Military Council announced Sheikh was the leader of the group, which claimed to lead armed defectors within Syria.

But al-Asaad, who was leading the FSA from the Turkish border with Syria, quickly rejected the claim.

"This man represents himself," al-Asaad said of Sheikh last month. "He has nothing to do with the Free Syrian Army. ... Those people are representing themselves and do not represent the revolution and the Free Syrian Army. They don't represent anybody."

"The division is over. All the parties involved in the revolution carried out all the efforts to form one united front to better represent and defend the Syrian people," Free Syrian Army Lt. Riad Ahmed said.

"In the past, there were some minor technical disagreements, but this is all behind us from now on," he said.

Al-Asaad will lead all field operations of the FSA, while Sheikh will remain head of the Higher Military Council and will represent the FSA in trying to get weapons and international support, Ahmed said.

Some world leaders have been hesitant to send arms to the rebels, saying the opposition movement is fractured and that a political solution is still possible.

The unification also allows rebels to unilaterally deny attacks carried out by other groups. The Syrian government routinely blames the vaguely defined "armed terrorist groups" for violence in the country, while most reports from inside Syria indicate the government is slaughtering civilians in an attempt to wipe out dissidents.

Meanwhile, Kofi Annan, the U.N.-Arab League special envoy to Syria, arrived in Moscow on Saturday in an effort to seek Russian help in securing a cease-fire. Annan will also visit Beijing this weekend, his spokesman said.

Russia and China have blocked Security Council attempts to pass resolutions condemning the al-Assad regime. The two countries say they want the violence to stop but argue that previous resolutions were not evenhanded.

Russia and China have major trade deals with Syria, and again Friday they refused to condemn al-Assad's regime formally by voting against a U.N. Human Rights Council resolution condemning "appalling human rights violations in Syria." The resolution passed 41-3, with Cuba casting the other negative vote.

The Russian Foreign Ministry called the resolution a "unilateral assessment" of the crisis --blaming solely the regime for the violence.

Human Rights Watch, however, lashed out at the Russian ministry's use of an open letter published by the global monitoring group that described atrocities committed by armed groups affiliated with the Syrian opposition. The organization said it had learned that Russian diplomats used the open letter in informal U.N. Security Council discussions March 22 in an attempt to equate the violence by both sides.

"Russia's attention to concerns expressed in the letter to the Syrian opposition is a positive development," Human Rights Watch said. "The selective use of the findings, however, causes serious concern."

It said Russia had ignored detailed documentation of widespread and systematic abuses by the al-Assad regime, including killings of peaceful protesters, shelling of residential neighborhoods, large-scale arbitrary detention and torture, executions, denial of medical assistance, looting, and "disappearances."

"None of these findings have been ever acknowledged by Russian officials," the group said.

The U.N. Security Council this week urged immediate implementation of Annan's proposed peace plan. The 15-member body, including China and Russia, expressed full support for Annan's efforts.

CNN's Brianna Keilar, Arwa Damon, Ivan Watson and journalist Omar al Muqdad contributed to this report.

@highlight

At least 54 people are killed Saturday, activists say

@highlight

"The division is over," a rebel leader says as rival army defectors unite

@highlight

The unification helps dispel notions of a disjointed rebel movement

@highlight

Special envoy Kofi Annan will discuss the crisis with Russia and China