London (CNN) -- One of the first questions many people ask when they start a new job is: what type of car will I get?

However, Pope Francis -- known to opt for public transport in his home town of Buenos Aires -- refused the car that had been prepared for him after his election on Wednesday.

Instead of traveling from the Sistine Chapel to the Santa Marta residence in a car carrying the license plate SCV1 (Vatican City 1), he jumped on the bus alongside the other cardinals.

If the demands of the pontificate prove too exacting for Vatican bus schedules, however, he is unlikely to be disappointed by the vehicles on offer.

For when Janis Joplin sang "Lord won't you buy me a Mercedes-Benz" she probably didn't realise that the man Roman Catholics consider to be God's representative on Earth had already had his request granted many times.

The pope didn't actually travel in a car for state visits until 1930 when Pius XI became the first ever recipient of a Mercedes-Benz state car. The Nurburg 460 Pullman was custom-built with silk carpets and a dove motif embossed on the roof lining. The pope clearly liked the idea of becoming motorized as he apparently took it for an hour-long test drive around the Vatican gardens. Since then he's had a string of Mercedes including a 300D in 1960, a 600 Pullman Landaulet in 1965 and a 300SEL in the 1970s.

But although the pope uses Mercedes on home turf, his transport isn't restricted solely to the German car maker's products. When the Pope goes to different countries his hosts submit the details of his proposed transport. If these meet the Vatican's strict security criteria they're given the go-ahead. If it doesn't the Vatican supplies its own vehicle.

The pope hasn't always been motorized on state visits. Until 1978, his primary mode of transport for meeting his public was the sedia gestatoria, a glorified sedan chair carried on the shoulders of various papal attendants. Obviously this had certain limitations, both in how far and how fast he could travel. It fell out of favor when the reign of Pope Paul VI ended in 1978.

The early days of motorized papal transport were far removed from the Mercedes vehicles he currently drives. When John Paul II made his first visit to his home country of Poland in 1979 he was transported on a lightly modified Polish FSC Star flat-bed truck.

Then in 1980 Mercedes was commissioned to build a bespoke model. It chose the 230G and a model christened the Popemobile was readied in time for the pope to use for his first trip to Germany. The bulletproof glass came following the assassination attempt on John Paul II in 1981.

But in 1982, on his visit to Spain he was back in an open vehicle, a specially converted version of the popular SEAT Panda. This open-air vehicle had a simple grab handle so the pope could stand up and wave to his followers.

Equally rudimentary was the Leyland Motors truck supplied for the pope's 1982 visit to the UK. Such was the determination of the British authorities not to lose a Pope on their watch this armored beast was the heaviest Popemobile ever at 24 tons.

Since 2007, Benedict XVI has primarily used either a Mercedes G500 or smaller ML430 SUV. But these aren't off-the-shelf SUVs. In Popemobile spec the G500 features a fold-down windscreen along with the pope's traditional Mystic White paint.

In less secure situations, the pope has another modified G-Class. This has the more familiar plexiglass dome which protects the pontiff from adverse weather while ensuring he remains visible to his flock. At 8mm thick, the glass is also bulletproof.

But being encased in glass presents its own problems, principally overheating, so a powerful air-conditioning system was quickly added. This prevents the pope getting uncomfortably hot when the sun is shining but also ensures the glass doesn't steam up in high humidity.

Spotlights have also been installed in the sides, floor and roof compartment so direct and indirect illumination makes His Holiness more visible when darkness falls. Security too has reached new levels. The glass has been made bomb proof so it can withstand explosions, the side panels are armored for the same reason and the underneath of the vehicle is blast-proof. Should the worst happen and the pope come under attack, his compartment has its own oxygen supply.

The pope enters his compartment through a door in the back. He then sits in a bespoke chair made from white leather with gold trim. This employs a system of hydraulic lifts that raise him up so he can be seen more easily. It also means that most people won't be able to see the two papal aides who occupy two chairs in front of the pope's.

The front seats of the Popemobile are occupied by a security guard and obviously, the driver. Although it's had a lot of extra weight built into it, the engine has been uprated. It means this particular G-Class can hit 160mph even if it only spends most of its life doing a much more sedate 6mph. All this capability doesn't come cheap though: it's estimated the current Popemobile costs about $565,000.

The high cost presents a challenge to host nations, especially impoverished ones. For his 1995 visit to the Philippines, local car maker Francisco Motors produced a Popemobile based on a 4x4. As it had to be built with bomb and bulletproof parts the local faithful contributed to the extra cost.

When John Paul died in 2005, this Popemobile was put on display in a Philippine church and became a pilgrimage destination for the country's Catholics who couldn't afford to go to the Vatican for the burial ceremony. It's probably the only time a car built in the Philippines has ever been worshipped.

@highlight

Popes have used a string of Mercedes-Benz vehicles since 1930

@highlight

When popes visit different countries, hosts submit details of proposed transport

@highlight

If it's secure enough, it gets go-ahead. Otherwise, Vatican supplies own vehicle

@highlight

Since 2007 pope uses bullet-proof, bomb-proof Mercedes capable of 160mph