NEW YORK (CNN) -- In the midst of Wall Street's agonizing slide last week, there was at least one place in Manhattan where the liquor was flowing, the cigar smoke was billowing and the theme of the evening was simple: Work hard. Play hard.

"I was a crook," says Jordan Belfort, once a Wall Street fat cat who made $1 million a week before going to jail.

"It's like fiddling. Nero fiddled while Rome burned," said Thomas Graf, vice president and producer of Northmarq Capital. "We're smoking cigars while we're losing our shirts, literally."

He was among hundreds of mid-level Wall Street executives and traders gathered for a party thrown by Cigar Report magazine, published by New York-based Doubledown Media.

And if they seemed a little tone-deaf about how this kind of event could be perceived as millions of dollars were lost, at least on paper, most did not seem especially concerned.

"It is a great time," said Adam Marsh of Empire Capital Partners. "I think for at least a couple of hours in the evening, we can kind of sit back, have a few drinks, forget what's facing us on the Street tomorrow."

Few of the men and women at the party earned millions in Wall Street bonuses on top of their salaries. But nearly all did very well, they say, at the top of the Wall Street bubble. And their bosses, along with those who managed Wall Street hedge funds, did even better.

"These guys were spending more than $250 billion a year," Robert Frank said. "They bought mansions in Greenwich and Palm Beach. They bought art for $100 million a painting."

Frank, author of "Richistan," says the enormous amounts of money earned by Wall Street elite made them practically a nation unto themselves.

"They just looked at the guy with the bigger house, the nicer Ferrari, the better artwork," he said. "And it was all competitive spending."

One prominent example is the CEO of Lehman Brothers, Richard Fuld. In 2007 alone, according to the executive compensation firm Equilar, he earned total take-home compensation of more than $45 million in salary and bonuses.

Congressional researchers said he earned nearly $500 million from 2000 through 2007.

Fuld told Congress that the failure of his company centered on inaction on the part of government and a loss of confidence in the financial markets.

"This is a pain that will stay with me for the rest of my life, regardless of what comes out of this committee, regardless of when the record books get written," Fuld told Congress during a recent hearing.

Not every Wall Street executive played by the books.

Jordan Belfort was once chairman of a brokerage firm called Stratton Oakmont. In the early to mid-'90s, he called himself the Wolf of Wall Street.

He was jailed on federal charges of securities fraud and money laundering. He spent 22 months behind bars and was released in 2005.

"I was a crook," Belfort said.

At one time, he says, he was earning more than $1 million a week. Now, he has been ordered to pay back $110 million to his victims, and he said he is working on that.

Even the man who first chronicled Wall Street excess to a national audience can barely believe what has happened.

Oliver Stone, who wrote and directed the film "Wall Street" 21 years ago, says the main character in his story, unprincipled stockbroker Gordon Gekko, has been overtaken by reality.

"I never thought it would go to this level," Stone told CNN's Larry King. "I thought the Gordon Gekkos of the world would die out. But they got worse."

So what exactly did the new Gordon Gekkos do to earn those fabulous sums?

"What they really did was to figure out new and clever ways of investing," Frank said. "Of creating financial products that very few of us could understand."

"On Wall Street, there's no cost. The only cost is the employees, the executives," said Andy Serwer, managing editor of Fortune magazine. "So if a firm is creating a financial product that it can sell for $5 million, the person who sells it will get $2 million."

But people who earned relatively little on Wall Street are now paying the price as well.

Win Hornig, a 25-year-old Minnesotan who worked at both Bear Stearns and J.P. Morgan, is now out of a job. He's launched a Web site called BankerGoneBroke.com to talk about it.

"My life was basically a disaster," Hornig said. "I was working all the time, didn't have a lot to show for it. I came to the conclusion that there was more to life than money."

While it lasted, the good times on Wall Street made money for traders and, of course, for Americans who had invested in the stock market, mainly through their 401(k) contributions. But there is a "new normal" these days.

"The party is over on Wall Street -- until it comes back again," Serwer said. "I've been around long enough to see that we have these cycles. These guys get their cigars and champagne. They have a great time. The whole thing blows up. But then they re-emerge years later. This one is a really, really bad one. But I don't think Wall Street is dead."

@highlight

Wall Street elite earned enormous amounts of cash, author says

@highlight

Jordan Belfort, known as Wolf of Wall Street, said he was a crook

@highlight

Congressional researchers: Lehman Brothers CEO earned nearly $500 million

@highlight

"The party is over" for now, according to Fortune managing editor