(CNN)An ancient ring has shed new light on the ties between Vikings and the Islamic world, more than a century after its discovery.

The finger ring found in a 9th century Swedish grave is inscribed with Arabic Kufic writing. The letters appear to read "AL_LLH, researchers say, which they interpret as meaning "for/to (the approval of) Allah."

In a paper published in the journal Scanning, the researchers say it is the only ring with an Arabic inscription ever found at a Scandinavian archaeological site.

The object was originally discovered during a late 19th century grave excavation in the town of Birka, on Björkö island, about 19 miles (30 kilometers) from Stockholm. Birka was a key trading center during the Viking age and made a UNESCO World Heritage Site in 1993.

The ring is part of the Swedish History Museum's collection, originally cataloged as being made of gilded silver and violet amethyst, bearing the inscription "Allah."

Researchers led by Stockholm University biophysicist Sebastian Wärmländer say they used "scanning electron microscopy (SEM) with energy dispersive X-ray spectroscopy (EDS) to analyze the ring's composition and found that it was in fact made of silver alloy and the "amethyst" was colored glass.

"For the stone, we must remember that even though colored glass might today be perceived as a 'fake' material of lower value, this was not necessarily so in the past," the team cautioned. "Even though glass production began around 5,000 years ago in the Levant it was still an exotic material in Viking Age Scandinavia."

More significantly, the researchers found no trace of the gold that had been assumed to coat the ring and noted the presence of filing marks.

"Together with the absence of gold on the metal surface ... the file marks clearly show that the previous description of the ring as gilded was mistaken: if the surface had been gilt and the gold layer had worn away, also the file markings would be gone. But the metal surface displays no wear, and as the original file marks are still in place, this ring has never been much used."

The team, therefore, believes the ring was passed from an Arabic silversmith to the woman, with few or any other owners in between.

While imported coins were also found in the grave -- many from Afghanistan -- they were "usually worn and torn ... from passing many hands along the established trade routes" researchers said.

The owner of the ring was found wearing traditional Scandinavian clothing, but the researchers said it was impossible to determine her ethnicity due to the decomposed state of the bones in the grave.

"It is not impossible that the woman herself, or someone close to her, might have visited -- or even originate from -- the Caliphate (which then stretched from Tunisia to the borders of India) or its surrounding regions," they said.

While travel between the Islamic caliphate and the Viking world was recorded in ancient texts, tales of such journeys often included references to "giants and dragons" making it hard to tell fact from fiction, the researchers said.

"The importance of the studied Birka ring is that it most eloquently corroborates ancient tales about direct contacts between Viking Age Scandinavia and the Islamic world. Such contacts must have facilitated exchange of goods, culture, ideas, and news much more efficiently than indirect trade involving several merchants in-between," they concluded.

Modern relationship

This new evidence of ancient ties between the Vikings and the caliphate comes at a time when Sweden's relationship with the modern Islamic world seems to be problematic.

The country's foreign minister, Margot Wallstrom, has recently come under scrutiny after criticizing human rights in Saudi Arabia.

In January, she tweeted that the flogging of blogger Raif Badawi was "a cruel attempt to silence modern forms of expression," which needed to be stopped.

Saudi Arabia blocked Wallstrom from giving a speech to the Arab League in Cairo on March 9, in which she planned to refer to human rights and the rights of women.

Sweden subsequently announced that it would not renew its memorandum of understanding with Saudi Arabia on military cooperation -- and in turn Saudi Arabia and the United Arab Emirates withdrew their ambassadors to Sweden.

The United Arab Emirates said it had summoned Sweden's ambassador to protest "the abusive remarks by the Foreign Minister of Sweden, Margot Wallstrom, against Saudi Arabia."

@highlight

Swedish researchers have used scanning to examine a ring found in a Viking grave

@highlight

The ring carries an Arabic inscription thought to be "for/to (the approval of) Allah, they say

@highlight

Their analysis suggests the ring was little worn, meaning trade ties could have been close