As partisans argued pointedly over same-sex marriage outside the U.S. Supreme Court, justices inside hinted at their disparate views on the hot-button issue -- though it's far from clear how they will rule.

The stakes, though, are decidedly clearer. In the case argued Tuesday and another to be heard on Wednesday, the nine justices could fundamentally alter how American law treats marriage.

On one extreme, the court could extend a constitutional right for gays and lesbians to wed in all 50 states. On the other, it could deal a major setback to the gay rights movement. And then there are options in between.

"This was a deeply divided Supreme Court, and a court that seemed almost to be groping for an answer here," said CNN Senior Legal Analyst Jeffrey Toobin.

Hear and read the arguments in full

Toobin was among those who followed 80 minutes of arguments Tuesday over California's Proposition 8, which bans same-sex marriage. Voters approved the proposal 52% to 48% in November 2008, less than six months after the state Supreme Court ruled marriage is a fundamental right that must be extended to same-sex couples.

The overriding legal question in the California case, Hollingsworth v. Perry (12-144), is whether the Constitution's 14th Amendment guarantee of equal protection under the law prevents states from defining marriage as that state has.

From their questioning, it appeared evident how a few justices were leaning. Four of the more liberal justices seemed at least open to the idea that same-sex marriage should be allowed in California. Three of the more conservative justices seemed aligned with the view that it should only be for a man and a woman, and it's likely they'd be joined by Justice Clarence Thomas, who doesn't speak at arguments.

That could leave Justice Anthony Kennedy as, has often been the case, the swing vote.

He was among those who weighed in on whether the advocacy group appointed to defend the initiative has standing to argue the case.

While admitting the law's defenders are "not just any citizens," Kennedy raised concerns about whether just the possibility of same-sex marriage was enough to establish they had suffered harm -- a key jurisdictional hurdle allowing them to appeal in the first place.

Key questions answered

Justice Sonia Sotomayor said it is the state's responsibility -- through its elected leaders -- to defend laws in court, and that private individuals could not establish "how their injury was separate from everyone else." California Attorney General Kamala Harris, the state's top lawyer, said Tuesday she "declined to defend Proposition 8 because it violates the Constitution."

If the court dismisses the appeal on the grounds its defenders don't have the standing to defend the case in court, it may mean lower federal court rulings declaring the proposition unconstitutional would stand.

But it wouldn't allow for a broader, final rule outlining the power of states to say who can or can't get married.

Announcement of rulings unlikely before June

The justices did probe that broader legal question, including an exchange between pro-Proposition 8 attorney Charles Cooper and Justice Elena Kagan.

"The concern is that redefining marriage as a genderless institution will sever its abiding connection to its historic traditional procreative purposes, and it will ... refocus the purpose of marriage and the definition of marriage away from the raising of children and to the emotional needs and desires ... of adult couples," Cooper argued.

To which Kagan said: "Mr. Cooper, suppose a state said that, because 'we think that the focus of marriage really should be on procreation, we are not going to give marriage licenses anymore to any couple where both people are over the age of 55.' Would that be constitutional?"

"No, your honor, it would not be constitutional," Cooper replied.

Tuesday's hearing was the first of back-to-back sessions on same-sex marriage laws.

The court will listen to arguments on Wednesday on U.S. v. Windsor, a separate challenge to the federal Defense of Marriage Act which, like the California law, defines marriage as between a man and a woman.

That 1996 law prevents legally married same-sex couples from getting federal benefits and privileges, like tax breaks and survivor benefits, that are extended to opposite-sex couples.

Couple at the center of epic high court fight

The court is unlikely to announce its decisions on both matters until June.

Andrew Pugno, general counsel for the Protect Marriage Coalition, the group defending Proposition 8, said its attorney had "credibly presented the winning case for marriage."

"We think the hearing went very well," he told reporters.

Attorneys representing the two couples seeking to overturn Proposition 8, meanwhile, said they couldn't tell how the court would rule.

"We are confident where the American people are going with this," said Theodore Olson. "We don't know for sure what the United States Supreme Court is going to do, but we're very, very grateful they listened, they heard, they asked hard questions, and there's no denying where the right is."

Spirited rallies on both sides of debate

One of the plaintiff couples -- Paul Katami and Jeff Zarrillo of Burbank, California, who want to marry but can't because of Proposition 8 -- contend the state is discriminating against them because of their sexuality.

"This is about our freedom and our liberty," Katami said. "We are not trying to topple marriage. We are not trying to redefine marriage. What we are trying to say is that equality is the backbone of our country."

This view was echoed by fellow same-sex marriage supporters, who rallied outside the court with the hope that the justices would eventually issue a broad ruling to strike down bans nationwide.

5 turning points in the debate

"We are not asking for anything more than our neighbors, friends and family, but certainly expect no less," said Todd Bluntworth, who spoke with his husband and their two children.

But opponents who rallied nearby -- some of them carrying signs reading, "Kids do best with a mom & dad" -- urged the court to keep out of the issue and leave the decision to states.

"If you want to get married, go to one of the states that allows gay marriage," said Carl Boyd Jr., a conservative Nashville talk-show host. "Stop trying to force your agenda down our throats. Quit trying to bully the American people with the homosexual agenda."

Patchwork state laws

The court could historically alter how the law treats marriage, striking down laws across the country banning same-sex marriage and matching an apparent cultural shift toward acceptance of same-sex couples.

Or it could leave the current patchwork of state laws in place, choosing to let state legislatures and state courts sort it all out.

Forty-one states now forbid same-sex marriage, although nine of them allow civil partnerships. Nine other states allow same-sex marriage, and about 120,000 same-sex couples have gotten married, according to estimates.

By the numbers: Same-sex marriage

California's ban seems to run counter to polls that show rising support overall for same-sex marriage.

A CNN/ORC International poll released on Monday found 53% of Americans now support same-sex marriage, up from 40% in 2007. As to how the federal government should handle the issue -- the subject of Wednesday's hearing -- another CNN/ORC International poll out Tuesday found 56% of the public feels the federal government should also legally recognize same-sex marriages.

The Justice Department will argue against the Defense of Marriage Act, a federal law, on Wednesday.

Plaintiff: 'We were like most couples'

This comes as President Barack Obama has changed positions on same-sex marriage over his political career. Now fully supportive, he's said would strike down California's law if he sat on the Supreme Court.

Other prominent politicians have voiced timely opinions in recent weeks, indicating the matter's importance in 21st century American politics.

Hillary Clinton, the former secretary of state and possible 2016 Democratic presidential candidate, publicly backed same-sex marriage earlier this month.

The Republican party has historically backed efforts to define marriage as only between a man and a woman. But there's been notable movement of late among Republicans, including Sen. Rob Portman's recent shift to support same-sex marriage, which he made two years after his son revealed to him that he is gay.

"There is no putting this genie back in the bottle. It is undeniable. The shift is here, and we're not going back," Republican strategist and CNN contributor Ana Navarro said Sunday.

Roberts' lesbian cousin in D.C. for arguments

@highlight

California's AG says she didn't defend Proposition 8 because it's unconstitutional

@highlight

The Supreme Court heard 80 minutes of arguments on California's same-sex ban

@highlight

Justices seemed reluctant to embrace sweeping same-sex marriage right, analyst says

@highlight

On Wednesday, justices hear arguments on the federal Defense of Marriage Act