(CNN)Does Islam have anything to do with the terrorist atrocities in Paris last week? The short, uncomfortable, answer is: Of course it does.

Consider the choice of targets of the terrorists: A magazine that in the terrorists' minds had insulted the Prophet Mohammed. Before they died on Friday, one of the Kouachi brothers who carried out the attack on the Charlie Hebdo magazine spoke on the phone to a French journalist, saying, "We are just telling you that we are the defenders of Prophet Mohammed."

Consider that the other target of the terrorists was a kosher store serving Jews. Virulent anti-Semitism   is, of course, a staple of militant Islamist ideology. Militants can point to the Quranic verse, "O believers, take not Jews and Christians as friends," as religious "proof" for this position.

Consider also that the three terrorists believed in their own minds that they were holy warriors who would die "martyred" in their holy war and that they would live on in Paradise.

One of the terrorists, Cherif Kouachi, planned to fight in the Iraq War against the Americans but was detained by French authorities in 2005 before could execute his plan. Kouachi told French investigators that "the wise leaders in Islam told him and his friends that if they die as martyrs in jihad they would go to heaven" and "that martyrs would be greeted by more than 60 virgins in a big palace in heaven." This refers to the hadith, or saying of the Prophet Mohammed, that martyrs will enjoy the favor of 72 virgins.

Before he was killed, another of the terrorists, Amedy Coulibaly, recorded a "martyrdom" video in which pledged his allegiance to the leader of ISIS. In the video he said, "I am firstly addressing the caliph of the Muslims Abu Bakr al-Baghdadi. ... I pledged allegiance to the Caliph as soon as the caliphate was declared."

This statement refers to the belief that a Muslim caliphate, or empire, will stretch across the Muslim world and will be led by a caliph, who is the political and religious successor of the Prophet Mohammed.

The fact that the Paris attacks have something to do with Islamic beliefs cannot be wished away either by claims that Islam is simply a religion of peace, or by political correctness, or because we live in an increasingly secularized modern era that often doesn't take deeply held religious beliefs sufficiently seriously. (Nor, of course, does it mean that Muslims who reject fanatical beliefs bear any kind of responsibility for what happened in Paris, as Rupert Murdoch suggested in a much-criticized tweet, or have a particular obligation to do something to fight extremism.)

The reason that Islamist militants can assert that jihad is necessary against the perceived enemies of Islam is that there is sufficient ammunition in the Quran to buttress their beliefs.  The same could also, of course, be said for the Old Testament, which is full of scenes of violent death visited on the enemies of God. And it is also the case that only a tiny minority of Muslims are willing to do violence in the name of Allah.

Nonetheless, a well-known verse in the Quran, which for believers is literally the Word of God, commands Muslims that they "fight and slay the nonbelievers wherever you find them, seize them, beleaguer them, and lie in wait for them in every stratagem [of war]." The same verse adds that if the nonbelievers "repent" and pay what is rendered in some translations of the Quran as charity to the poor and in others as a tax to Muslims, then they can be spared.

Indeed, when Osama bin Laden made a formal declaration of war against "the Jews and the Crusaders" in 1998, he cited this Quranic verse at the beginning of his declaration.

Assertions, therefore, that Islamist terrorism has nothing to do with Islam are as nonsensical as claims that the Crusades had nothing to do with Christian beliefs about the sanctity of Jerusalem or that the exponential growth of Israeli settlements on Palestinian lands are not rooted in the beliefs of certain fundamentalist Jewish groups about the God-given rights of Jews to live in their God-given homeland.

After Paris attacks, seven questions being asked about Islam

Indeed, there is an explicitly religious civil war driven by terrorist groups such as ISIS, al Qaeda and Hezbollah unfolding in the Middle East in countries such as Iraq, Syria and Yemen that pits ultrafundamentalist Sunnis against ultrafundamentalist Shias. This war could well replicate the religious Thirty Years' War that tore apart 17th century Europe in both viciousness and length. Already hundreds of thousands have died in these conflicts.

Elements in the Gulf Arab states and Iran have helped to foment this regional civil war. Certain Gulf Arabs support proxy jihadist Sunni groups such as al Qaeda's affiliate in Syria, while Iran supports Shia militant forces such as Hezbollah.

Islam is, to be sure, a big tent and the one and a half billion Muslims in the world run the gamut from mystical, moderate, pacific Sufis to Salafists.

Salafism is an ultrafundmentalist branch of Islam that is particularly prevalent in Saudi Arabia. Salafism is intolerant of what its adherents consider to be Islamic deviancy such as Shia Islam, as well as of other religions such as Judaism or Christianity, and it offers scant roles for women outside the home.

Salafism is not, however, a gateway to violence for the tens of millions of its peaceful adherents around the world.

That said, while very few Salafists are terrorists, jihadist terrorists are almost invariably Salafists.

A similar point could also be made about Christian fundamentalists in the United States: Very few kill abortion clinic doctors, but anyone who kills an abortion clinic doctor in the States is almost invariably a Christian fundamentalist.

For terrorists such as those who carried out the attacks in Paris last week, their Salafism also became increasingly politicized. To boil it down, they adopted the ideology of what can be termed "Binladenism," as it was Osama bin Laden who laid out this ideology for a global audience in a series of interviews and statements he made before he was killed in 2011.

Before we get into an explanation of this ideology, it might be helpful to explore what an ideology is: It is an idea or set of ideas that claims to fully explain the world and, often, history itself.

Examples of such ideologies might include Marxist-Leninism, which claimed that history could only be understood in material terms as a class struggle between the capitalists and the workers.

Another such ideology was Nazism, which asserted that the German/Aryan race's rightful, dominant place in the world could only be attained by the enslavement or elimination of supposedly inferior ethnic groups, particularly Jews.

Ideologies, by their nature, are not susceptible to challenges posed by countervailing evidence. Whether they are secular (Marxist-Leninism) or they are religious, they are fundamentally theological in the sense they are belief systems that are not open to question or scientific inquiry. You either believe. Or you don't.

Common to many ideologies is the belief that history has a direction and a purpose and that at the end of this history, the world will be transformed into a utopia.

In Marxist-Leninism's case, this utopia was the classless society of true communism, and for Nazism, it was the Thousand Year Reich.

In the minds of the true believers, the only possible explanation for why these nirvanas haven't been attained as yet is that a pesky set of enemies are standing in the way. Since such groups are blocking the creation of utopia, they are not simply just obtuse, they are, in fact, evil and therefore must be exterminated. This belief explains both Stalin's campaign to murder millions of Russians who were purported to be counterrevolutionaries as well as Hitler's Holocaust.

Similarly, the ideology of Binladenism is the belief that the world will finally be made perfect after the restoration of a Taliban-style Caliphate that will stretch across the Muslim world from Indonesia to Morocco. Its supporters brand as evil the people and nations that they perceive are standing in the way of this dream, including Jews, Israel, any Middle Eastern regime that doesn't follow Taliban-style rule, the United States and its Western allies such as France.

In bin Laden's telling, there was a global conspiracy by the West and its puppet allies in the Muslim world to destroy true Islam, and this conspiracy is led by the United States.

Religious-based moral outrage about Western foreign policy in the Muslim world -- a key tenet of the ideology of Binladenism -- is a recurring theme that crops up with many militant Islamist militants.

The Paris terrorists shared in this. One of the terrorists,  Amedy Coulibaly, recorded a video before he died, saying that the bombing of ISIS positions in Syria and Iraq by Western countries had motivated his attacks: "If you attack the Islamic State, we will attack you. ... You and your coalition, you bombarded regularly over there."

For the Paris terrorists, as it was for bin Laden, the only answer to the purported Western assaults on Islam is revenge. That explains 9/11, and it also explains the terrorist attacks in Paris last week. To claim that these attacks had nothing to do with a number of Islamic beliefs -- albeit cherrypicked -- is preposterous.

@highlight

Peter Bergen: Debate rages about whether attacks have anything to do with Islam

@highlight

He says they are inspired by some Islamic precepts but come from ultrafundamentalist interpretations