(CNN) -- The son of Libyan leader Moammar Gadhafi early Monday proposed the speedy implementation of significant democratic reforms in the traditionally restrictive country, while warning of a chaotic civil war, return to colonialism and mass poverty if citizens sided with anti-government demonstrators.

"Tomorrow, we can speak rationally, we can spare the blood, we can stand all together for the sake of Libya," Saif al-Islam Gadhafi said during a speech on Libyan state television that he said was unscripted. But if the unrest continues, "forget about democracy, forget about reform ... It will be a fierce civil war."

While criticizing international media for overstating its extent, the younger Gadhafi acknowledged the violence in Libya as well as "mistakes" by police and military in addressing unrest. Still, he principally blamed drunks, criminals and foreigners for fanning dissent and instigating attacks that threatened to tear apart Libya.

Gadhafi: Libya's flamboyant, mercurial ruler

Eyewitnesses told CNN by phone about tear gas and gunfire targeting anti-government demonstrators in Tripoli, and claimed that -- after days of unrest that left at least 219 dead, according to medical sources -- opposition forces had taken over Benghazi. Saif Gadhafi didn't confirm that assertion, though he did call out anti-government elements for "sedition."

Who is Saif al-Islam Gadhafi?

"This is a national treason," he said. "Each one of us wants to be a leader, each one of us wants to be a prince."

Obtaining independent confirmation on events in Libya is very difficult. The Libyan government maintains tight control on communications and has not responded to repeated requests from CNN for access to the country. CNN has interviewed, however, numerous witnesses by phone.

Saif Gadhafi, appointed in 2009 as Libya's general coordinator, insisted his father, Moammar, was not like recently deposed Egyptian President Hosni Mubarak and Tunisian President Zine El Abidine Ben Ali. He also said Libya was unlike those two countries, predicting that its civil war would be "1,000 times worse" and its economic hardship even more severe should the current government fall.

He conceded these are "difficult times" and that "there are people inside Libya who are opposing us." Even while he cast blame, the leader's son also acknowledged changing times regionally and proposed "radical" reforms -- like bolstering local governments, relaxing restrictive laws, raising salaries, extending loans and drafting a constitution, which doesn't now exist.

Michele Dunne, an expert at the Carnegie Endowment for Peace, noted that the Western-educated Saif Gadhafi has pushed such reforms previously, but they have not gotten much traction.

Meanwhile, eyewitnesses -- who are not being identified, for security reasons -- told CNN about significant movement and growing violence on Sunday, the sixth consecutive day of unrest in the isolated and reclusive North African nation.

Medical sources and others on the ground have said that at least 219 had died nationwide in the violence.

Saif Gadhafi, though, claimed in his speech that international media had overstated the death toll. He also claimed foreign nations and "illegal immigrants" had stirred the uprising, with some dissenters attacking government installations as well as stealing caches of weapons.

The central government lost control of Benghazi, with multiple witnesses reporting that protesters took over Libya's second-largest city with support from some military who dropped their allegiance to Moammar Gadhafi.

However, his son continued to insist the military remained loyal to the ruling government and would be taking an increasingly active role in suppressing unrest in the coming days.

The reported power shift followed fresh clashes that left 25 dead earlier in the day, a doctor at Benghazi's Al Jalla Hospital said. A source at Benghazi Medical Center, the city's other major hospital, said there were 10 people dead there Sunday.

One man told CNN that uniformed troops opened fire on thousands of mourners as they passed through the streets during a funeral procession honoring those killed the previous day.

Protesters later Sunday packed at least one car with explosives and sent it crashing into a compound wall at a military camp in the eastern city, eyewitnesses said. Security forces then fired on the protesters as they attempted to breach the camp.

On the camp's southern side, meanwhile, protesters drove a tank from a nearby army base in another attempt to break in, witnesses said. They have also obtained other weapons, the protester said.

Libyan state television reported the camp has been defended, and that protesters were being warned on loudspeakers not to attack the compound. The network called it an act of sabotage.

The protester said that the military camp is significant because it houses Gadhafi's eastern palace.

"It's a symbol of his dominance here," he said. "And it's the last symbol, basically."

A protester said some fellow anti-government demonstrators had other weapons. Saif Gadhafi alluded to this claim in his speech early Monday, claiming criminal elements had stolen weaponry and even fired them in an attempt to cast blame on military and security forces.

People said there was a food shortage in parts of Benghazi. The internet remained down in the city and electricity was cut off for the second night in the row, but was back in the morning.

One man, a technology expert who has set up cameras airing live online video streams around Benghazi, estimated that the numbers of anti-government demonstrators in the city has grown by 20% since the protests began Tuesday.

"There are a lot of people getting killed for their freedom," he said Sunday. "Our goal is simple: We want Gadhafi to leave. We want freedom. ... We want democracy."

Others in Libya reported similar protests in the cities of al-Baida, Ajdabiya and significantly in Misratah -- an indication that the demonstrations centered in the east may be spreading west.

Meanwhile, the most significant unrest to date hit Moammar Gadhafi's doorstep of Tripoli on Sunday.

Clashes broke out between a large crowd of demonstrators and people who appeared to be African mercenaries in the center of the city, according to an activist. Elsewhere, hundreds of protesters were demonstrating in front of the courthouse, the activist said. Both groups were calling for the downfall of the regime.

A woman said she saw demonstrators running down a Tripoli street outside her window, chased by apparent mercenaries in pickup trucks. The Africans were firing at the demonstrators and throwing tear gas at them, according to the witness. Many families have closed their windows and turned off their lights out of fear, she said.

Another witness said that crowds of anti-government demonstrators hit the streets and set cars on fire. Masked, armed men in SUVs drove through the streets blasting pro-government music, said the witness, claiming that the same people had been firing at protesters and passerby.

Gunfire also rang out near Green Square and the presidential palace, according to multiple witnesses. Another man said that men were walking around Libya's streets with automatic rifles early Monday, firing seemingly indiscriminately.

The crackdown, as well as the government's role and reaction to it, stoked the ire of many opposed to Moammar Gadhafi as well as governments outside Libya.

Libya's ambassador to the Arab League said Sunday he resigned his position on Saturday over "the killing of innocent people." Abdel Elhuni said the protesters are asking for "normal things" and that Gadhafi is "over, finished." He speculated that the Libyan leader has only a day or two left in power because "he lost the people."

British Foreign Secretary William Hague spoke on Sunday with Saif Gadhafi and "made clear the U.K.'s grave concern at the escalation of violence," the Foreign Office said in a statement. "He expressed alarm at reports of large numbers of people being killed or attacked by Libyan security forces. The Foreign Secretary told Mr. Gadhafi that the Libyan government's actions were unacceptable and would result in worldwide condemnation."

The United States also said it was "gravely concerned with disturbing reports and images coming out of Libya.

"We are working to ascertain the facts, but we have received multiple credible reports that hundreds of people have been killed and injured in several days of unrest -- and the full extent of the death toll is unknown due to the lack of access of international media and human rights organizations," State Department spokesman P.J. Crowley said in a statement.

U.S. officials have communicated to Libyan officials including Libyan Foreign Minister Musa Kusa "our strong objections to the use of lethal force against peaceful demonstrators," Crowley said. "Libyan officials have stated their commitment to protecting and safeguarding the right of peaceful protest. We call upon the Libyan government to uphold that commitment and hold accountable any security officer who does not act in accordance with that commitment."

One man in Tripoli said was particularly angry at state-run TV for "pretending that nothing is happening." A medical staff member at Benghazi Medical Center was among those sharply critical of Saif Gadhafi's speech, calling him a liar and saying -- disputing his assertion that Libya could split into several parts if not united under his father's rule -- the nation was one.

"There are no divisions among Libyans," the staff member said. "We want to be united with our brothers and sisters ... All Libyans think this way, it is the regime that lacks knowledge about the people."

CNN's Amir Ahmed, Yousuf Basil, Greg Botelho, Salma Abdelaziz, Holly Yan and Mitra Mobasherat contributed to this report

@highlight

NEW:Witnesses report gunfire, masked men blasting pro-Gadhafi music in Tripoli

@highlight

NEW: Death toll nationwide now up to at least 219, medical sources say

@highlight

Moammar Gadhafi's son says foreign media have overstated the violence in Libya

@highlight

Witnesses report that protesters aided by military have taken over Benghazi