(CNN) -- The re-emergence of some vaccine-preventable diseases has prompted the California legislature to consider a bill that would make it more difficult for parents to opt out of vaccinating their kids.

The legislation would require that parents get counseling from a doctor before opting out of immunizations for their children.

Last year, the United States saw its highest number of reported measles cases in 15 years, even though the disease was eliminated from the country in 2000, according to the Centers for Disease Control and Prevention.

One theory behind this rise, according to Dr. Richard Pan, the state assemblyman who introduced the bill, is that the recent trend away from immunizing children. That's why he wants to make it more difficult to bypass vaccine requirements in his state.

Jillian Edwards, a 27-year-old mother of two, is one of a number of parents who are not at all, or only partially, immunizing their kids.

"In the first year of their life, the kids get like 15 shots, which is so much for such a tiny body," Edwards said. "I think it was more the likelihood of them catching the disease versus the likelihood of them having a bad reaction."

Dr. Steven Nishibayashi says that's a common sentiment among many parents when it comes time to immunize their kids -- even though it's not backed by science. "Most of the fears about immunizations are not well founded," he said.

Nishibayashi has been a pediatrician for 32 years. He said one of the most damaging works ever published about vaccines was a 1998 article in the medical journal The Lancet. It was written by the now-infamous Dr. Andrew Wakefield, who argued that there was a link between the measles, mumps and rubella vaccines, and autism.

Nishibayashi said, however, that no one knows what causes autism. Even with people refusing vaccines, or delaying them, or spacing them out, autism rates continue to rise, he said. Some scientists say that this is simply a function of more awareness, better diagnosis and a broadening of the definition of what constitutes the disorder.

The Lancet retracted the Wakefield article in 2004 and Wakefield lost his medical license (Wakefield is now suing the British Medical Journal and one of its authors for defamation). But the damage had already been done.

Many doctors believe parents' fears about vaccines -- brought on by the Wakefield article and other non-scientific information -- has lead to a resurgence of diseases like measles and Pertussis or Whooping Cough.

In 2010, 10 children died in from Whooping Cough in California. The outbreak lead to a requirement that at age 10, before entering the seventh grade, kids must have a Pertussis booster shot. Nishibayashi said the result was that the following year there were no deaths from Pertussis.

The World Health Organization is hopeful that legislation like the bill in California will turn the tide of parents opting out of vaccinations.

The anti-vaccine movement is not helping the fight against measles in Europe. There were 37,000 cases of measles reported last year in all of Europe, compared to 222 cases in the United States.

"I would say that you have a very active, if not the most active, anti-vaccination lobby globally in the U.S.," said Robb Butler with the WHO. "That certainly doesn't help, if I can be completely honest and open about this."

Nishibayashi said there is plenty of good and accurate science that shows there is no definitive link between vaccines and other problems like autism. The problem, said Nishibayashi, is that because vaccines are generally administered around the time that autism is first diagnosed in children -- the first two years of life -- there is no way to prove to an absolute statistical certainty that the two aren't related.

"That's where all this sort of quackery comes about," said Nishibayashi.

The bill in the California legislature requiring medical counseling has passed the assembly and is headed for the Senate. Pan, author of the bill, says it looks like it will come up for a full Senate vote, and may pass before school resumes in the fall.

@highlight

Bill would require counseling before parents can opt out of vaccinations for kids

@highlight

Many fears about immunizations are unfounded, doctor says

@highlight

World Health Organization expert says U.S. has one of the largest anti-vaccination voices