KUNA YALA, Panama (CNN)  -- Hunched over a campfire in eastern Panama, Embera tribesman Raul Mezua chanted a song his grandfather taught him when he was a boy.

Embera tribesman Raul Mezua sings traditional songs over a campfire in Panama.

The words are memorized, passed down from an aging generation to a new group of tribal youths.

"The song means a lot to me," Mezua told CNN, the fire's dying embers splashing a red glow across his face. "But I don't know what it means."

It's not just the song but their language and culture that Mezua and his tribe fear losing as deforestation from logging and cattle ranching threatens the rainforest that is part of their identity.

But recent trends could usher in a welcome reversal for Mezua and his tribe. Rural workers are migrating toward cities in search of jobs, and forests are re-emerging where now abandoned farms and cattle ranches once flourished, according to a 2009 report from the U.N. Food and Agriculture Organization.  Watch the struggle over Panama's rainforests »

Such "secondary" forests in the tropics can rapidly grow in areas once cleared for logging and cattle ranching if left alone, said Joseph Wright, senior scientist at the Smithsonian Tropical Research Institute in Panama. "After about 20 years (of being left alone) the forest will be about 60 feet tall," he said.

Deforestation and re-growth in Panama may reflect a snapshot of a bigger picture involving rainforests throughout Central America. With more than three-quarters of people across the region now living in urban centers, the United Nations expects rural farming and population growth -- the usual culprits behind deforestation -- to dwindle.

Some call forest re-growth a victory in the climate crisis. Trees consume carbon dioxide, a greenhouse gas that traps heat within the Earth's atmosphere. "Biology is the only way we can remove carbon dioxide out of the atmosphere," Wright said. "There's no way to do it faster than to let tropical forests re-grow on abandoned land."

Others say threats to primary forest, or original jungle, is the real issue and that its loss can cause irreparable damage to the surrounding ecosystem.

"Places in Colombia, places in Central America, places in Mexico, places in many of the Andean countries are the last bunkers, the last bastions of hundreds of unique species in each place," Lider Sucre, director of Panama's Museum of Biodiversity, told CNN.

"If you replant 10 times as much forest but you lose these last large pockets, you lose a huge amount of biodiversity forever and ever."

The value of primary and secondary forests is a debate heating up within the environmental community as new woodlands begin to wrap themselves around barbed-wire fences that still dot cattle-driven landscapes across Panama.

"We have to make that distinction, that fundamental difference, between re-growth and the original forest," Sucre said. "Re-growth is only a shadow in terms of the diversity of life within it."

In places like Panama's Kuna Yala, a semi-autonomous tribal region and the country's largest tract of rainforest, new growth can bridge gaps between the remaining pockets of pristine old growth forest.

"Because of its size, because of the health of the entire ecosystem, it has an extraordinary potential to serve as a kind of a Noah's Ark -- a place that can safeguard biodiversity and the full complement of species," Sucre said.

Recently, a scientific expedition unearthed 10 new amphibious species on both sides of Panama's mountainous border with Colombia, according to Conservation International, an environmental advocacy group based in Washington.

At least 25 percent of the area is being deforested, putting the rich biodiversity in jeopardy, the group said. Across the region, the United Nations says tropical rainforest land is still being lost at an alarming pace.

More than 7 million hectares of forests were destroyed globally each year between 2000 and 2005, the U.N. says.  See images of deforestation and tribal culture in Panama »

Slightly less than one-fifth of the world's carbon dioxide emissions stems from the effects of deforestation in poor countries, the U.N. said -- a figure comparable to the total output of the United States and China.

For indigenous tribes -- who rely on the rainforest for everything from medicine and food to homes and artwork -- the reality behind the figures is staggering. "The rainforest is something we depend on," Kuna tribesman Toniel Edman said, standing beside a thatched hut made from rainforest wood.

"The problem is actually with the farmers and ranchers," Edman said. "They invade our land and deforest it for their own gain." But here, cattle is king. "We don't have another way to support ourselves," rancher Oriel Gonzalez said, overlooking cow pastures where rainforest once dominated.

"We go looking for work elsewhere but there isn't any. We don't know how to do anything else." He added that loans for raising cows are just easier to come by than financing for crops or other livestock. "It's partly tradition. The banker is used to lending money for cattle -- that's what he's always done," said Wright, the Smithsonian scientist.  See how the greenhouse effect works »

Wright noted that for lenders, there is inherently less risk with raising cattle. "We have droughts. We have plagues of microbes. Plagues of insects. You can have a 100 percent loss with a row crop," he said. "That just never happens with cattle. You can always get the cattle to market and sell them."

For lawmakers, striking a balance between preservation and the "need for people to grow the land" comes with "difficulties," Panama President Martin Torrijos told CNN.

Torrijos highlighted his country's recent successes in combating deforestation; Panama recorded drops in rainforest loss during the 2000 to 2005 period, the U.N. reported. But he also recognized a brewing conflict between indigenous tribes and the ranchers, farmers and loggers who encroach on tribal land. "Every now and then, issues occur and we deal with it," Torrijos said.

Part of the problem is "unclear ownership of the land," said U.N. Forestry Officer Merilio Morell. "By law, the indigenous own the comarca (tribal district). But exercising ownership is not easy," he said. "They cannot patrol ever single meter of land ... and the borders aren't marked."

Scientists say efforts to promote carbon trading -- a process intended to get companies that exceed their allowed CO2 emissions to buy credits from groups that pollute less -- could provide the mechanism needed to slow deforestation.

Earlier this month, delegates from donor and developing countries around the world met outside Panama City to address carbon trading amid the fallout from a global recession. Environmental consequences from the economic crunch are still uncertain.

But U.N. projections show a growing global demand for rainforest products like fuel and timber. That demand could thwart the resurgence of the rainforest.

@highlight

New trends could open door to reversal in deforestation for tribes

@highlight

Rural workers are migrating toward city life in search of jobs, U.N. report says

@highlight

Secondary growth forests are emerging on abandoned farms, cattle ranches

@highlight

NEW: Watch Ariosto's interview with CNN.com Live