(CNN) -- It took only hours after the identities of the two suspects in the Boston Marathon bombing were revealed for some politicians and commentators to suggest that the tragedy was somehow the fault of a broken immigration system.

Ever since September 11, there has been a strong and understandable desire for a perfect screening system for would-be immigrants. If only the United States could put that system into place, bad people would never be admitted to the country. But such perfection is unachievable, and would not have prevented the Boston attacks. It would be a further tragedy to allow sensible overhaul of the U.S. immigration system to be derailed by such misperceptions.

Here's what we know so far. The two brothers suspected in the bombings, Dzhokhar Tsarnaev, 19, and Tamerlan Tsarnaev, 26, were brought to the United States by their parents in 2002, likely from the former Soviet Republic of Kyrgyzstan. That means one was a child and the other in his early teens when they moved to Boston.

The younger brother became a U.S. citizen last year and the older brother held a green card. The family was originally from Chechnya, a region that has long resisted Russian rule, and where the mostly Muslim Chechens have been fighting for independence from the Russian government of Vladimir Putin, and have carried out attacks again Russian civilians.

Could the two have been stopped by immigration controls? The immigrant and visitor screening systems created by the U.S. government after 9/11 are designed to identify people whose history gives cause for concern. Consular officers and Department of Homeland Security officials check names against long terrorist watch lists and search for criminal records.

Those with suspicious travel histories -- to places such as Afghanistan or Yemen -- are subject to extra scrutiny. Secure passports and the fingerprints taken from all new arrivals help prevent fraud. The database also includes records of fingerprints lifted by the U.S. military and intelligence from battlefields and safe houses in Afghanistan, Iraq and other terrorist hot spots.

All these systems make the United States far more secure than it was a decade ago against those with terrorist or criminal histories. They do nothing, however, to protect us against the children of immigrants who might later become radicalized. Like Britain after the 2005 London subway bombings, which were committed largely by young, second-generation immigrants, the United States can no longer think this is only a foreign problem. Radicalism can find fertile ground at home as well as overseas.

Does that mean the Boston attacks have nothing at all to do with immigration? That would not be a reasonable conclusion either.

A country that opens itself to immigrants, as the United States has for many decades, invites in both the goods and ills of the world. Boston, for instance, is a city teeming with bright foreign students, many of whom will go on to make great contributions to the United States. Indeed, one of the victims of Monday's bombing was Lingzi Lu, a Boston University math and statistics graduate student from Shenyang, China, who often told her friends how much she loved Boston.

But immigration also brings with it the disputes of other cultures. In 1985, when I was living in Vancouver, British Columbia, Canada -- a city that abounds with Asian immigrants -- an Air India flight from Montreal to Delhi was blown up over the Atlantic Ocean, killing 268 Canadians, 27 Britons and 24 Indians.

The architects were Sikh extremists who had emigrated from India to Canada and were fighting for causes of which few Canadians had ever heard. The two-decade long investigation that followed was traumatic for Canadians and for the many Indian immigrants with no ties to or cause with the radicals. But Canada moved on and remains a vibrant society that is largely welcoming of immigrants.

It is not yet clear what motivated the Tsarnaev brothers to allegedly detonate a pressure cooker filled with explosives, nails and ball bearings at the finish line of one of the greatest foot races in the world. Both could well have become caught up in the extremism that has roiled too much of the Islamic world and caused others to carry out horrifying, senseless attacks against the innocent. Or they may have had other dark reasons.

But what is certain is that the United States cannot shield itself by closing its doors to immigrants, or even by coming up with still better screening tools. This country needs and deserves a far better immigration system, which is the goal of the immigration effort under way. But we should be realistic about what it can and cannot do to protect us.

The opinions expressed in this commentary are solely those of Edward Alden.

@highlight

After Boston suspects ID'd, politicians start blaming immigration system

@highlight

Alden: Perfect screening is impossible and wouldn't have prevented the bombings

@highlight

The U.S. can't shield itself with better screening or by keeping immigrants out

@highlight

We need immigration reform, but must be realistic about what it can and can't do