(CNN) -- The current debate over controversial interrogation practices -- tactics that some say constitute torture -- is rooted in the early years of the fight against terrorism and the Iraq war.

The photographs from Abu Ghraib prison in Iraq sparked outrage across the globe.

After the September 11 terrorist attacks on the United States, the Bush administration crafted the legal basis for aggressive interrogation techniques of prisoners and terrorism suspects.

The techniques included keeping the prisoner in stress positions for extended periods of time, sleep deprivation, slapping, enclosing the prisoner in a box with insects, and waterboarding, which simulates drowning.

Those techniques were detailed in four Bush-era legal memos -- one from 2002 and three from 2005 -- released by the Obama administration last month. The memos concluded that such techniques did not constitute torture and were not illegal.  See timeline of events »

The Obama administration disagrees.

President Obama formally banned the techniques by issuing an executive order requiring that the U.S. Army field manual be used as the guide for terror interrogations.

"I can stand here tonight and say without exception or equivocation that the United States of America does not torture," he said during an address to a joint session of Congress in February.

More than 400 people have been disciplined based on investigations involving detainee abuse, according to Pentagon spokesman Bryan Whitman. He said the punishments have ranged from prison sentences to demotions and letters of reprimand.

"The policy of the Department of Defense is to treat prisoners humanely, and those who have violated that policy have been investigated and disciplined," he said.

The most notorious of the cases centered on Abu Ghraib prison in Iraq.

In 2004, images leaked to the media showed U.S. troops abusing Iraqi prisoners. Some prisoners were stacked atop each other while naked, and others were being threatened by dogs.  See disturbing images from Abu Ghraib (discretion advised) »

One widely disseminated photograph showed an Iraqi prisoner hooded and wired, as if an electrocution were about to take place.

Eleven American soldiers were tried and convicted of Abu Ghraib offenses, and some officers were reprimanded. Some received prison sentences.

Janis Karpinski, a brigadier general and commander of the prison during the time the photographs were taken, was demoted to colonel. She was eventually rotated out of Iraq. The prison was shut down in September 2006.

Karpinksi, now retired, said the recent disclosures have validated her earlier claims that she and her troops were following orders and that the abuses at Abu Ghraib were not simply the work of a few "bad apples," as once described by then-Defense Secretary Donald Rumsfeld.  See gallery of key players »

"That is what we have been saying from the very beginning, that, wait a minute, why are you inside pointing the finger at me? Why are you pointing the fingers at the soldiers here? There's a bigger story here," Karpinski said.

"I was never inside an interrogation room where they were conducting interrogations, but I read the memorandums many times over," she added. "Waterboarding is torture."

Other recent disclosures of harsh interrogation tactics have also raised questions.

One Bush-era memo -- dated May 30, 2005, and recently released by the Obama administration -- said CIA interrogators used waterboarding at least 266 times on two top al Qaeda suspects.

The technique was used at least 83 times in August 2002 on suspected al Qaeda leader Abu Zubaydah, according to the memo. Interrogators also waterboarded Khalid Sheikh Mohammed -- said to be the mastermind of the September 11 attacks -- 183 times in March 2003, the memo said.

Obama said last week that he felt comfortable releasing the classified memos because the Bush administration acknowledged using some of the practices associated with the memos, and the interrogation techniques were widely reported and have since been banned.

"Withholding these memos would only serve to deny facts that have been in the public domain for some time," Obama said in a statement. "This could contribute to an inaccurate accounting of the past and fuel erroneous and inflammatory assumptions about actions taken by the United States."

However, Obama recently reversed course on the court-ordered release of hundreds of additional images said to show abuse in detention facilities in Afghanistan and Iraq.

He argued that the photos could "inflame anti-American opinion" and have "a chilling effect" on further investigations of detainee abuse. The photos "are not particularly sensational, especially when compared to the painful images that we remember from Abu Ghraib," he said last week.

The Obama administration said last month that it would not object to the release of the photos.

The images are from more than 60 criminal investigations into detainee abuse between 2001 through 2006, Pentagon officials said. The release was ordered in response to a Freedom of Information Act request filed by the American Civil Liberties Union.

"Essentially, by withholding these photographs from public view, the Obama administration is making itself complicit in the Bush administration's torture policies," ACLU attorney Amrit Singh said.

Bush-era officials, especially former Vice President Dick Cheney, have defended the controversial interrogation tactics, arguing that they helped provide valuable information in the fight against terrorism and other conflicts.

"I know specifically of reports that I read," Cheney told Fox News last month, "that lay out what we learned through the interrogation process and what the consequences were for the country."

The Obama administration "didn't put out the memos that showed the success of the effort," he said.

The memos' release has added momentum to the debate over whether Bush administration officials ought to be prosecuted for authorizing such policies.

Obama said Attorney General Eric Holder would decide whether to investigate Bush administration officials who formed the legal basis for the techniques. The Obama administration has said that CIA interrogators who followed the instructions would not be prosecuted for their work.

"We are going to follow the evidence, follow the law and take that where it leads," Holder said. "No one is above the law."

CNN's Arwa Damon, Terry Frieden, Ed Hornick, Jonathan Mann, Mike Mount and Samira Simone contributed to this report.

@highlight

Recently released Bush-era memos detail controversial interrogation practices

@highlight

The practices were used to interrogate in Iraq and Afghanistan

@highlight

The Obama administration has said some of those practices constitute torture

@highlight

The memos have added to the debate over investigating Bush-era officials