Russian President Vladimir Putin signed into law on Friday a measure that bans the adoption the Russian children by U.S. families effective January 1.

The action could affect hundreds of U.S. families seeking to adopt. Americans adopted close to 1,000 Russian children last year, according to U.S. State Department figures.

Read more: Russia's lower house approves bill to ban U.S. adoption

Though the number has been dropping in recent years, Russia remains the third-most-popular country -- after China and Ethiopia -- for U.S. citizens to adopt.

The U.S. State Department said it "deeply regrets" the law announced by the Kremlin.

"The Russian government's politically motivated decision will reduce adoption possibilities for children who are now under institutional care," it said in a statement. "We are further concerned about statements that adoptions already underway may be stopped and hope that the Russian government would allow those children who have already met and bonded with their future parent to finish the necessary legal procedures so that they can join their families."

The announcement was a wrenching one for Aaron and Jenny Moyer, coming in an adoption process that was well under way for them to become parents of a Russian orphan named Vitali. They carry photographs of them and Vitali together during their visits to Russia.

"He's our son," Aaron Moyer said. "In our hearts, he is our son."

Jenny Moyer says she knows there is an orphan crisis in Russia, especially for children with special needs. Vitali has Down syndrome.

The fact that he has the genetic condition associated with mental retardation may prove to be a help. A Russian parliamentarian, Robert Shlegel, was to submit an amendment that would allow U.S. citizens to adopt Russian children with disabilities, according to the state-run Itar-Tass news agency.

The couple, who have two biological children and one adopted American child, said they are relying on their faith to see them through the uncertainty.

"We want not just our son, but all the kids over there to have families and to grow up and know the love of a mom and dad," Aaron Moyer said.

iReporter says she's devastated by the news

The Russian measure also bars any political activities by nongovernmental organizations receiving funding from the United States, if such activities could affect Russian interests, Russia's semiofficial RIA-Novosti news agency said.

And it imposes sanctions against U.S. officials thought to have violated human rights.

The law envisions the drafting of a list of U.S. citizens who will be prohibited from entering Russia, and will suspend the activity of any legal entities controlled by them in the country.

Read more: Russian lawmakers eye adoption ban to U.S.

The vote this week in the Federation Council, Russia's upper house, was unanimous, but Foreign Minister Sergei Lavrov criticized the bill ahead of its signing.

Lawmakers in the Duma, Russia's lower house of parliament, adopted it last week.

The move is widely seen as retaliation for a law that U.S. President Barack Obama signed on December 14. That bill, called the Magnitsky Act, imposes U.S. travel and financial restrictions on human rights abusers in Russia.

The Magnitsky Act is named for Russian lawyer Sergei Magnitsky, who uncovered the largest tax fraud in the country's history in the form of rebates claimed by government officials who stole money from the state. Magnitsky died in 2009 after a year in a Moscow detention center, apparently beaten to death.

The Russian bill's implementation nullifies a recent agreement between the United States and Russia in which the countries agreed to additional safeguards to protect children and parties involved in inter-country adoptions.

Backers of the Russian bill said American adoptive parents have been abusive, citing 19 deaths of adopted Russian children since the 1990s.

The Russian public has supported the bill, with 56% of respondents in a poll conducted by the Public Opinion Foundation (FOM) saying they backed the ban, RIA Novosti reported.

In 2010, an American woman sparked outrage after she sent her adopted son back to Russia alone on a one-way flight, saying the boy, then 7, had violent episodes that made her family fear for its safety.

Konstantin Dolgov, the Russian Foreign Ministry's special representative for human rights, said Wednesday on Twitter that Russians were "well aware of, and have pointed out more than once, the inadequate protection of adopted Russian children in the U.S." He also said the United States is one of three nations that have not signed the 1989 U.N. Convention on the Rights of the Child.

According to the U.N. Children's Fund, the United States is one of two nations -- the other being Somalia -- that has not ratified the convention. But the United States has signed the convention, thereby signaling its intent to ratify.

Anthony Lake, executive director of UNICEF, touted the importance of "inter-country adoption."

"While welcoming Prime Minister Dmitri Medvedev's call for the improvement of the child welfare system, UNICEF urges that the current plight of the many Russian children in institutions receives priority attention," he said.

He asked that Russia let children's "best interests" guide the "design and development of all efforts to protect children."

Groups such as Amnesty International and Human Rights Watch had urged Russian lawmakers to reject the bill.

"This bill hits back at Russia's most vulnerable children and could deprive them of the loving families they desperately need," Hugh Williamson, Europe and Central Asia director at Human Rights Watch, said last week.

John Dalhuisen, Amnesty International's Europe and Central Asia program director, has said that "this bill is frankly a childish response to the Magnitsky Act."

@highlight

Russian lawmaker pushes for exception for children with disabilities

@highlight

Measure bans the adoption of Russian children by U.S. families effective January 1

@highlight

Russian leader's action could affect hundreds of American families seeking to adopt

@highlight

Rights groups criticized the bill, which some say is retaliation for U.S. act against rights abusers