No one used the word reward, but the subtext was clear for all to see.

In April 2007, when Poland and Ukraine were surprisingly awarded the right to co-host the 2012 European Championship -- one of international football's top tournaments after the World Cup -- both countries' delegations exploded with joy.

For the Ukrainians it was especially poignant. At the center of the celebrations was President Viktor Yushchenko, who had come to power leading the 2004 Orange Revolution, ignited when the election battle between him and the then Prime Minister Viktor Yanukovych was allegedly riddled with fraud.

Massive street protests swept away the old regime, whose last desperate attempt to cling on to power, according to supporters of Yushchenko, was a plot to poison the challenger. Yushchenko barely survived.

But survive he did, and the chance to host Euro 2012 was redemption. Ukraine was finally, post communism, moving towards democracy and the rule of law. Euro 2012 represented a chance, as the Olympics did in Seoul and Tokyo decades before, for sport to welcome Ukraine into the club of free nations.

"We will be able to show millions of fans the unforgettable charm of our cities and the history they have preserved so beautifully," Yushchenko said when Ukraine's joint bid was selected to host the tournament.

"And put on display of Slav hospitality and culture."

A coronation

The final in Kiev on July 1, 2012, was to be the coronation. But with a month to go until Ukraine was to enjoy its moment in the sun, Yushchenko's words ring hollow. He was voted out of power in 2010, his Orange Revolution unraveling as, according to his supporters, the new president Yanukovych -- ironically the man he defeated in 2004 -- tries to roll back the gains made eight years ago.

And far from highlighting Ukraine's development, Euro 2012 has done the opposite. Instead European statesmen and women are boycotting the event as the blond heroine of the Orange Revolution, former Prime Minister Yulia Tymoshenko, languishes in a prison cell thanks to what her supporters claim are spurious political charges.

Last week her family released pictures of what they say is proof that Tymoshenko was beaten up in prison, which the Ukrainian government denies.

"Her condition is worsening, her physical condition," her daughter Eugenia Tymoshenko told CNN.

"That was after eight days of hunger strike. She was already much weaker because of the attacks when they beat her on April 20. Because of her protest her morale is very strong (but) we have asked her to stop her hunger strike."

Tymoshenko has been in prison since October last year. She received a seven-year sentence for abuse of power over the signing of a gas deal with Russia that the current president deemed detrimental to the national interest. But few outside of Ukraine saw it as anything other than the persecution of a political rival.

"Once she was arrested, there was a whole machine that started working," said Eugenia.

"They wanted to keep her in jail as her popularity was growing. She is now more popular. It is mostly fear that moved him and his people to keep her there until the (parliamentary) elections in October this year."

"It's just political repression and they have moved to physical destruction. That has become critical. My mother is now on hunger strike because other political prisoners are suffering in jail with no medical help."

Political controversy

The pictures of Tymoshenko, baring her bruises to the camera, have created a firestorm in Europe's corridors of power. When it emerged that Germany's Chancellor Angela Merkel was considering a boycott of the event to protest Tymoshenko's treatment, other EU leaders followed suit.

EU president Herman Van Rompuy has said he won't attend -- as has Jose Manuel Barroso, president of the European Commission, who less than 12 months ago had met with President Yanukovych and was presented with an official Euro 2012 match ball. The governments of Austria and Belgium have all said they will not be attending. Poland's opposition, who were in power when the Euros were awarded, has called for Ukraine's matches to be moved to Warsaw. The British and German governments are re-evaluating their positions.

Even some of the players have spoken out. Germany captain Philipp Lahm told newspaper Der Spiegel that he did not find his "views of democratic fundamental rights, human rights, personal freedom or press freedom to be reflected in the present political situation in Ukraine."

While Russian premier Vladimir Putin has criticized the boycotts -- stating that "you can't mix politics, business and other issues with sport" -- and the Ukrainian foreign ministry has condemned the outcry for causing "damage to the interests of millions of ordinary Ukrainians that vote for various political parties or are not interested in politics at all," others point the finger of blame for the crisis at the Ukrainian government.

"There has been progress in many ways and the last round of elections that elected Yanukovych was largely free and fair," admitted Hugh Williamson, Europe and Central Asia director of Human Rights Watch.

"But we have particular concerns about what Yanukovych has done in prosecuting his political opponents. Few (Ukrainian government figures) have spoken out about her (Tymoshenko's) mistreatment and there's clear evidence that the charges against her are politically motivated."

Should fans boycott?

While Human Rights Watch stops short of calling for a fan boycott of the tournament, it does support moves by political leaders to make a stand.

"Should politicians watch matches? We think they should speak out clearly. If they decide to not see a match ... we welcome that that is a clear signal," Williamson said.

"One could see a more extreme case with China and the (2008) Olympics. There's a clear risk that by allowing such countries to host such sporting contests, it legitimizes their actions."

Yet the scandal has highlighted a much more fundamental tension at the heart of Ukrainian society: whether, as those that led the Orange Revolution contest, Ukraine's future lays westwards, towards the EU; or whether its future is in the east and with Russia, the direction in which the current president is moving.

"The story of the European Championships was supposed to be bridge building between the two different Europes, cooperation across borders between east and west," argued Dr. Andrew Wilson, an expert in Ukrainian politics at Britain's University College London.

"But no, the story now is the good performance of Poland. Their success is in stark contrast with the problems in Ukraine."

He also suggested that the criticism that has followed the Tymoshenko case could push many Ukrainians away from EU integration, and towards the Kremlin's sphere of influence.

"Yes the boycott will have an effect," Wilson said.

"Prestige matters to this guy Yanukovych. They hoped the Euros would give them prestige. The argument that Ukrainians will turn to Russia is one made by Ukrainians. They say: 'Criticize us after we've made it, not before.' "

Not everyone is sympathetic to Tymoshenko's plight in Ukraine. President Yanukovych has repeatedly said that there was a criminal case to answer for. "If Tymoshenko were looking for a compromise she would tell the truth to the Ukrainian people about why she broke the law," he told British newspaper The Times in a bellicose interview last year.

Orange fatigue

And others point to Tymoshenko's poor political performance while prime minister for the lack of sympathy she has received in Ukraine.

"The Orange Revolution was a huge disappointment," explained Wilson.

"Media improved, civil society is stronger, but the Orange leaders fought like rats in a sack, especially Tymoshenko and former President Yushchenko. After five years of infighting, there was Orange fatigue."

Others in Ukraine point to the the failure of arguably the most infamous sporting boycott in history: the decision by the U.S. to snub the 1980 Moscow Olympics in protest at the Soviet Union's invasion of Afghanistan. The Soviets returned the favor four years after for the 1984 Los Angeles Games.

"The experience of boycotting the Olympic Games of 1980 in Moscow by the West and the counter strike (by the) Socialist camp of the Games in Los Angeles did not influence political events too much but spoiled the careers of some great athletes," says Oleg Zadernovsky, a Ukrainian sports journalist who writes for World Soccer magazine.

"The whole country expects something similar to a game of football with two halves.

"At first Ukrainians would like to host with honor and dignity the biggest ever sporting event on its territory, while the second half will start in October this year when many of them will go to the ballot boxes to support opposition parties who promise to free Yulia Tymoshenko."

Yet for all the pressure, the tournament is unlikely to be moved. In a statement, the head of Ukraine's Euro 2012 organizing committee Markiyan Lubkivskyi admitted that while "there are certain appeals by European politicians to UEFA" over the issue of Tymoshenko as well as a myriad of other security concerns, "the issue of moving the tournament (to Poland) was not considered even theoretically. It is impossible from a technical point of view or otherwise."

But as the political row rages, Tymoshenko remains in jail on hunger strike as Ukraine's reputation crumbles. What once seemed like a reward now looks like a curse. Eugenia Tymoshenko believes that the blame rests with one man.

"The political boycott is the result of the government and the actions of President Yanukovych that are against European standards that the EU wants to see," she said.

"The previous government had given (Ukraine) this wondrous opportunity for this celebration of sport with the European Championships.

"And I think European leaders do not want to be see (the president) use this politically, using repression and torture against political opponents."

@highlight

As Euro 2012 approaches, co-hosts Ukraine under fire over jailing of ex-PM

@highlight

Yulia Tymoshenko alleges they are political charges and that she was beaten in prison

@highlight

EU leaders are boycotting the finals over her treatment

@highlight

CNN talks to her daughter Eugenia and asks what went wrong?