(CNN) -- The federal government shutdown is a virtually unprecedented move by a political minority committed to rolling back one of the most significant legislative achievements in recent American history. The Affordable Care Act of 2010 was passed by two houses of Congress after 14 months of debate. Opponents then challenged the law's constitutionality and lost that battle in the Supreme Court of the United States.

Less than five months later, American voters re-elected by a 5 million-vote majority margin a president who stood foursquare behind the Affordable Care Act. In so doing, the electorate rejected a GOP presidential candidate who promised its repeal.

Apparently the democratic processes by which Americans make choices and govern themselves are not acceptable to extremists in the House of Representatives who seek to halt government or have their way. They would have Americans see their actions as a patriotic and high-minded defense of liberty. As the shutdown loomed, several GOP congressmen and analysts took to the airwaves to trivialize the significance of the House vote.

Some cited previous episodes to suggest that closing the federal government is a normal byproduct of the American people having "a very deep disagreement about the future of our country." Rep. Sean Duffy, a Wisconsin Republican and member of the House Budget Committee, took a different tack and in so doing revealed what was really under way.  Duffy insisted that President Obama was guilty of recalcitrance in the face of reasonable House Republicans who simply sought a workable compromise.

"We have moved over the last week," Duffy insisted in an interview with CNN's Piers Morgan. "We first had a defund Obamacare bill. We then moved to a delay Obamacare bill. And tonight ... we said 'let's delay the individual mandate. '"

Each step, in fact, had been an effort to shatter what the democratic process had painstakingly achieved.

Such rhetorical sleights of hand should not obscure the very radical departure the closure of most of the federal government represents. Some members of the House of Representatives apparently believe their steadfast opposition to the Affordable Care law justifies the use of coercive threats: to defund U.S. government and harm the economy.

In seeking to trump a lawful vote of both houses of Congress, a Supreme Court ruling and a reaffirming national presidential election, they tread on extremist ground. Their hubris is radical and nothing in modern American history provides a fair counterpart.

To be sure, each major expansion of the U.S. federal government's role in ensuring Social Security, access to health care, and equal civil rights has been accompanied by intense ideological and partisan conflicts. But when milestone laws have survived the gantlet of Congress, been affirmed in a presidential signing ceremony, and withstood Supreme Court review, the losing party or faction has generally settled for taking arguments about repeal or revisions to the voters.

They have also, to be sure, continued efforts to chip away at enforcement or funding through normal legislative steps. Republicans pushed back at parts of the Social Security Act of 1935 for more than 15 years, for example, but they never threatened to close down the entire federal government unless Democrats agreed to undo their own crowning New Deal legislative achievement.

Republicans also continued to try to amend the Wagner Labor Relations Act until their partial success in the Taft-Hartley legislation of 1947; but the Wagner Act itself was never a subject of extortive efforts to defund the whole government.

Since 1976, policy fights have at times shut down the federal government. Congressional disputes over federal funding of abortion led to several funding gaps during the Carter administration. Clashes over government spending, program cuts and other policy issues, including funding of the Nicaraguan Contras, led to similar results in the Reagan administration. In December 1995, the Clinton administration experienced the longest shutdown in modern American history when House Republicans attempted to extract a balanced budget from the president -- and failed as public opinion turned against the GOP.

But in none of these episodes did a minority attempt to undo a major law by the sorts of threats against democratic decisions we see today.

Some might argue that the actions of Republican House members are justified by the sweeping changes Affordable Care promises to bring. This law does seek to fulfill a century-long dream of reformers to ensure access to affordable health insurance to virtually all U.S. citizens. But the core provisions are far from radical.

Devised by the conservative Heritage Foundation and first tested in Massachusetts under Republican Gov. Mitt Romney, the central tenets of Affordable Care respect and build upon private market mechanisms and long-established public programs like Medicaid for the poor and disabled.

No, the extremism of the present moment should not be understood as a fair response to a governmental expansion some consider too vast. Unprecedented efforts to try to repeal or gut a major law by threatening the nation's government and economy are a symptom of a political party that has allowed a faction to pull it far away from fundamental democratic values. We can only hope that saner heads and hearts will soon prevail.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Writers: Never in modern U.S. history has a political minority tried to undo a law with such radicalism

@highlight

Writers: ACA won approval of Congress, Supreme Court and president who won reelection

@highlight

They say ACA was devised by conservatives and tested by Romney, and is not radical

@highlight

Writers: GOP highjacked by minority who justify extremism with high-minded rhetoric