(CNN) -- Antarctica is warming in line with the rest of the world, according to a new study on climate change in Antarctica.

Temperatures across Antarctica have traditionally varied between east and west, scientists say.

Rather than being the last bastion to resist global warming, U.S. research has found that for the past 50 years much of the continent of Antarctica has been getting warmer.

For years common belief among scientists studying climate change was that a large part of Antarctica, the East Antarctic Ice Sheet, has been getting colder while the rest of the world has warmed.

However the new research from the University of Washington has found that warming in West Antarctica exceeded one-tenth of a degree Celsius per decade for the past 50 years, which more than offsets the cooling in East Antarctica.

"West Antarctica is a very different place than East Antarctica, and there is a physical barrier, the Transantarctic Mountains, that separates the two," said Professor Eric Steig, lead author of the research paper.

The study's findings appeared in Thursday's issue of the scientific journal Nature.

At 6,000 feet (1,829 meters) above sea level the West Antarctic Ice Sheet is around 4,000 feet lower than East Antarctica and subject to warm, moist storms and more snowfall.

In gathering the data Steig and fellow researchers used information from satellites, which was crucial in providing new insight into patterns of temperature change across the continent.

Previous research on climate in Antarctica that relied solely on Antarctic weather stations, in place since 1957, could not get as much information about conditions on the interior of the continent as most are placed within a short distance of the coast.

"Simple explanations don't capture the complexity of climate," Steig said.

"The thing you hear all the time is that Antarctica is cooling and that's not the case. If anything it's the reverse, but it's more complex than that. Antarctica isn't warming at the same rate everywhere, and while some areas have been cooling for a long time the evidence shows the continent as a whole is getting warmer."

A major reason most of Antarctica was thought to be cooling was because of a hole in the ozone layer that appears during the spring months in the Southern Hemisphere's polar region.

Steig noted that it is well established that the ozone hole has contributed to cooling in East Antarctica.

"However, it seems to have been assumed that the ozone hole was affecting the entire continent when there wasn't any evidence to support that idea, or even any theory to support it," he said.

"In any case, efforts to repair the ozone layer eventually will begin taking effect and the hole could be eliminated by the middle of this century. If that happens, all of Antarctica could begin warming on a par with the rest of the world."

@highlight

Common belief that Antarctica is getting colder debunked by new report

@highlight

Evidence that western Antarctica is warming, offsetting Eastern Antarctic cooling

@highlight

Satellite data used to determine that West Antarctica warmed in last 50 years

@highlight

Antarctica isn't warming at the same rate everywhere, according to research