WASHINGTON (CNN)  -- The Supreme Court focused Wednesday on whether "evolving standards of decency" in the United States forbid a resumption of capital punishment for any felony but murder. But the justices offered no clear indication of how they will rule in the case of a man who is on Louisiana death row for raping a child.

Patrick Kennedy, 43, is on Louisiana's death row for the rape of his 8-year-old stepdaughter.

"The trend since 1995 has been more and more states are passing statutes imposing the death penalty in situations that do not result in death" to the victims, said Chief Justice John Roberts, who appeared to support the state's position.

Justices John Paul Stevens, Ruth Bader Ginsburg and Stephen Breyer expressed concern about applying the death penalty fairly.

"It gives tremendous discretion to the prosecutor to pick and choose who should be executed," Breyer said, summarizing the position of death penalty opponents. He wondered whether degrees of child abuse could be capital eligible, including molestation not involving intercourse.

Patrick Kennedy, 43, would be the first convicted rapist in 44 years to be executed in a case in which the victim was not killed.

He was sentenced to die in 2003 for sexually assaulting his 8-year-old stepdaughter in her bed. In addition to severe emotional trauma, the attack caused internal injuries and bleeding to the child, requiring extensive surgery, Louisiana prosecutors said.

Both in 1976 and a year later, the U.S. Supreme Court banned capital punishment for rape -- and, by implication, any other crime except murder. But 19 years later, Louisiana passed a law allowing execution for the sexual violation of a child under 12. State lawmakers argued that the earlier high court cases pertained only to "adult women."

In oral arguments Wednesday, Kennedy's lawyer, Jeffrey Fisher, faced spirited questioning from several conservative justices.

"Our jurisprudence just requires the narrowing of the death penalty to be [for] particularly heinous crimes," Justice Antonin Scalia said. "And one could say the rape is in and of itself particularly heinous, rape of a child of 12 or under."

But Fisher said Louisiana's law "is particularly at odds with national values" on whether the death penalty should be expanded.

The high court has in recent years banned execution for the mentally retarded, underage killers and those receiving an inadequate defense at trial.

Those exceptions drew a good deal of interest from the justices in the one-hour argument over what the trend now is.

"What about treason?" asked Justice Anthony Kennedy, a possible swing vote. He noted that the European Convention on Human Rights generally opposes the death penalty, except for treason. "You can slaughter your fellow citizens, but if you offend the state, you can be put to death."

And Texas Solicitor General Ted Cruz told the high court that "few evolving standards are more pronounced than the growing understanding in modern society of the unique and irreparable harm caused by violent child rape."

Florida, Montana, Oklahoma and South Carolina have long had death-penalty laws for rape but have not applied them in decades. Texas enacted a version in June, but no defendant has been designated death-eligible for child rape in any state but Louisiana. Texas and other states have submitted a "friend of the court" brief in the case, supporting Louisiana's position.

Kennedy recently was joined on Louisiana's death row by another child rapist, Richard Davis. Davis' legal appeals have barely begun.

Arguing for the state, Juliet Clark, Jefferson Parish assistant district attorney, described in some detail the injuries suffered by the victim in an attack Clark called "savage."

In their appeal, Kennedy's lawyers repeatedly raised the issue of skin color and whether that has played a factor in the political and legal debate over expanding capital crimes to include rape. Kennedy and the victim are both African-American.

Billy Sothern of the Capital Appeals Project cited Department of Justice statistics that all 14 rapists executed by Louisiana in the past 75 years or so were African-American. Nationwide from 1930 to 1964, nearly 90 percent of executed rapists were black, he said.

But race did not come up in court Wednesday.

No one in the United States has been executed for rape since 1964. Other state and federal crimes theoretically eligible for execution include treason, aggravated kidnapping, drug trafficking, aircraft hijacking and espionage. None of these crimes has been prosecuted as a capital offense in decades, if ever.

Supporters of Louisiana's law say that besides murder, no crime is more deserving of the death penalty, and that the punishment would be used only in the most heinous of circumstances.

Death penalty opponents contend, among other things, that it could give attackers a reason to murder their victims.

A ruling is expected by late June. E-mail to a friend

@highlight

Louisiana man is on death row for the rape of his 8-year-old stepdaughter

@highlight

Court banned execution for rape in 1970s, but Louisiana law differs

@highlight

Stevens, Ginsburg and Breyer express concern about fair application of law

@highlight

Justice Kennedy might be the swing vote