Empowered Patient is a regular feature from CNN Medical News correspondent Elizabeth Cohen that helps put you in the driver's seat when it comes to health care.

Studies have shown that acupuncture can ease pain, but researchers aren't sure of the exact mechanism.

ATLANTA, Georgia (CNN) -- Dr. Andrew Weil wasn't sure exactly how he hurt his knee; all he knew was that it was painful. But instead of turning to cortisone shots or heavy doses of pain medication, Weil turned to the ancient Chinese medicine practice of acupuncture. "It worked -- my knee felt much better," says Weil.

Americans spend billions of dollars each year on alternative medicine, everything from chiropractic care to hypnosis.

Weil says alternative medicine can work wonders -- acupuncture, certain herbs, guided imagery.

For example, Dr. Brian Berman, director of the Center for Integrative Medicine at the University of Maryland School of Medicine, has done a series of studies showing acupuncture's benefits for osteoarthritis of the knee.

Extensive studies have also been done on mind-body approaches such as guided imagery, and on some herbs, including St. John's wort.

But on the other hand, there also is a lot of quackery out there, Weil says. "I've seen it all, [including] products that claim to increase sexual vigor, cure cancer and allay financial anxiety."

So how do you know what works and what doesn't when it comes to alternative medicine? Just a decade ago, there weren't many well-done, independent studies on herbs, acupuncture, massage or hypnosis, so patients didn't have many facts to guide them.

But in 1999, eight academic medical centers, including Harvard, Duke and Stanford, banded together with the purpose of encouraging research and education on alternative medicine. Eight years later, the Consortium of Academic Health Centers for Integrative Medicine has 38 member universities, and has gathered evidence about what practices have solid science behind them.

Here, from experts at five of those universities, are five alternative medicine practices that are among the most promising because they have solid science behind them.

1. Acupuncture for pain

Hands, down, this was the No. 1 recommendation from our panel of experts. They also recommended acupuncture for other problems, including nausea after surgery and chemotherapy.

2. Calcium, magnesium, and vitamin B6 for PMS

When pre-menstrual syndrome rears its ugly head, gynecologist Dr. Tracy Gaudet encourages her patients to take these dietary supplements. "They can have a huge impact on moodiness, bloating, and on heavy periods," says Gaudet, who's the executive director of Duke Integrative Medicine at Duke University Medical School.

3. St. John's Wort for depression

The studies are a bit mixed on this one, but our panel of experts agreed this herb -- once thought to rid the body of evil spirits - is definitely promising. "It's worth a try for mild to moderate depression," says Weil, founder and director of the Program in Integrative Medicine at the University of Arizona. "Remember it will take six to eight weeks to see an effect." Remember, too, that St. John's wort can interfere with some medicines; the University of Maryland Medical Center has a list.

4. Guided imagery for pain and anxiety

"Go to your happy place" has become a cliché, but our experts say it really works. The technique, of course, is more complicated than that. "In guided imagery we invite you to relax and focus on breathing and transport you mentally to a different place," says Mary Jo Kreitzer, Ph.D., R.N., founder and director of the Center for Spirituality and Healing at the University of Minnesota.

There's a guided imagery demo at the University of Minnesota's Web site.

5. Glucosamine for joint pain

"It's safe, and it looks like it's effective," says Dr. Frederick Hecht, director of research at the Osher Center for Integrative Medicine at the University of California, San Francisco. "It may be the first thing that actually reverses cartilage loss in osteoarthritis."

All our experts warn that since alternative medicine is financially lucrative, a lot of charlatans have gotten into the business. They have these tips for being a savvy shopper:

1. Look for "USP" or "NSF" on the labels

"The biggest mistake people make is they don't get a good product," says Dr. Mary Hardy, medical director of the Sims/Mann-UCLA Center for Integrative Oncology. She says the stamp of approval from the United States Pharmacopoeia or NSF International, two groups with independent verification programs, means what's on the label is in the product.

2. Find a good practitioner

Make sure the alternative medicine practitioner you're going to is actually trained to practice alternative medicine. One place to start is the Consortium for Academic Health Centers for Integrative Medicine

3. Be wary of crazy claims

"Anything that sounds too good to be true probably is," says Weil.

And once you do start on your journey with alternative medicine, here's a piece of advice: Take it slow. Alternative medicine works, but sometimes not as quickly as taking a drug. "I tell people it's going to take a while," says Hardy. "I tell them to do a six- to eight-week trial, or even 12 weeks." E-mail to a friend

Elizabeth Cohen is a correspondent with CNN Medical News.

@highlight

A number of alternative medical practices have solid science behind them

@highlight

Acupuncture highly recommended for pain, nausea

@highlight

Research mixed, but St. John's wort viewed as worth a try for depression