Niger (CNN) -- Dark shadows were lifting themselves off the sidewalk, slowly stretching, shaking the slumber from their limbs.

It was 6:15 a.m. in Niger's capital, Niamey, and I was setting off on a 12-hour drive, leaving its lush boulevards for Agadez, the sands of the Sahara, the desert trails to Libya, and the chaos Moammar Gadhafi's war there is causing.

The sun had yet to raise itself over the roofs but already the first hints of day were breaking the sleep of the destitute at the roadside.

I have seen poverty before, but even shrouded in the predawn gray, there is no mistaking it: People with little of anything save a public place to lay their heads.

Despite tough lives, the people here are warm, welcoming and hospitable.

"Bonjour," they say, hinting at their recent French colonial past. It seems to have overlaid, in part at least, their far earlier conversion to Islam. "As-Salaamu Aleikum," the Arabic greeting, is rarely used. Long French loaves -- not Arabic flatbread -- are on sale at tiny stalls.

We've already passed through the checkpoint on the outskirts of the capital before the countryside begins to take shape.

Gendarmes in what look like fading French military fatigues checked the car's documents and a man in orange overalls took a few dollars' road toll for the 950 kilometers, or 600 miles, we will drive.

The rope blocking our way across the road was dropped and we were released onto a strangely empty highway. Slowly the countryside began to show is colors. Gray shaded to blue, to a dark olive green.

Then in an instant the sun smothers everything, washing away the stains of the night. Our journey lurches into gear, no longer feeling like we're sluggishly passing anonymous vegetation. Our momentum, at least in our minds, increases as we streak past the newly revealed rich green towering maize, the thickly leaved luxuriant trees.

This land is green and fertile. Everything is vibrant in a way Timothy Leary could truly appreciate.

In the villages, strange, bulging, round mud buildings - like an oversize, slightly squashed rugby ball - mingle with mud and straw shacks. They have no door, only a scant straw roof: grain stores hinting at the bounty of the land.

Village after village, we pass them. The more there are, the bigger they are, the more grain is held and the more prosperous the people who own them. Lest this give an illusion of wealth, consider this: Most children we see are barefoot, and that's almost half Niger's people.

Within a few hours of leaving the capital, none of the villages have electricity, running water, sanitation, a building that's not made out of mud and straw. The slightly larger towns have slightly more. But that's all.

The farther we go, the villages become fewer and farther between. The muddy ponds, courtesy of the recent rains, shrink, and the striking longhorn cattle and goats jostle for a place to slake their thirst.

The tarmac on the highway begins to break apart. We slam into potholes, lurching, juddering forward. The bright greens are gone, the vegetation paler and browner here. The great trees have shrunk to tiny shrubs.

We are still 200 miles from Agadez. Grass covers some of the land, the grain huts are long gone, and quickly so is the road. We are no longer dodging potholes, we are driving in one big long one.

The cell phone service that has surprisingly kept us company so much of the journey has also disappeared. In over a hundred miles, we pass but two tiny towns.

This is what it means to be remote, where the land and sun are so unforgiving none can live, and this is where the bonds that tie a nation together begin to fray.

The crowds that gathered about the car with rounded faces we saw in the morning have by afternoon given way to the thinner, lighter features of the Touareg. Those features are often hard to see, shrouded as they are by turbans that wrap around the face.

By instinct, by life, by tradition, they are desert mountain people. Twice in the past two decades, they've risen up in armed rebellion against the government. Some joined Gadhafi's forces over the border in Libya.

The government in Niamey worries Libya's war will create instability in Niger. Officials publicly say they fear Gadhafi's weapon stockpiles could be falling into al Qaeda's hands. Privately there's another fear, that the newly liberated guns could one day be turned on the government in another Touareg rebellion.

But for now a Touareg rebellion seems the more distant possibility, because al Qaeda in the Islamic Maghreb is exploiting the Arab spring and every crumb of opportunity that might fall unnoticed from the battlefield.

Their drug-, gun- and people-smuggling routes through the sparsely populated land we are crossing are hungry for the sustenance turmoil can bring. The more confusion and chaos there is, the easier it is to keep their networks hidden.

It is these last few miles to Agadez that worry us the most. Al Qaeda has kidnapped several foreigners in this remote region in the past few years. We don't want to be unlucky names added to the list.

While our driver is holding up well, almost 12 hours at the wheel, our fuel light has been on for a while. We've been running on reserve. He stops to top up the tank from a solitary liter bottle of fuel we purchased earlier in the day.

There have been no milestones for a while and the sun is edging down to the dirt of the desert. We're hoping Agadez will soon come into view. How far can a four-wheel-drive off-road truck go on a liter of gas? Then we see a red-topped stone marker come into view.

It reads 30 kilometers, 20 or so miles, to go. And not a soul around. We're racing the sun, our dwindling fuel and our fears. Each bend in the road I hope will be our last.

Can the red light on the fuel gauge be any brighter? Probably not; it's a trick of the fading light easily worked on tense, tired eyes.

Then, as if by clockwork, almost exactly 12 hours after we left Niamey, Agadez slips into view - low, dusty, dilapidated, but a delight to see. Uniformed gendarmes and a man in orange overalls greet us at the checkpoint, lower the rope and wave, their job for the day almost done; there can be few more drivers behind us.

The litter-strewn streets are cluttered with vendors packing up their shabby wares. Dust and smoke cloud the air, making it hard to see much of this town. With better light tomorrow we'll get a good look at this place where Gadhafi is rumored to have spent millions paving roads, putting up lights, even building a hospital.

A few hours later as I settle in to my bed, I can only wonder at the irony. Gadhafi is out there somewhere on the run, and I'll be getting a good night's sleep in the Agadez hotel he built.

@highlight

Niger's goverment worries Libya's war will destabilize the country

@highlight

Al Qaeda has kidnapped several foreigners outside Agadez in recent years

@highlight

Moammar Gadhafi is rumored to have spent millions on Niger's infrastructure