(CNN) -- It was a joyous day for Lucie Fink when she received her acceptance letter from Johns Hopkins University.

Like most prospective students, she wanted to know exactly what she was getting into before she made her decision between schools. The shiny pamphlets were all fine, but Fink really needed to hear more about the school from the students.

So she went to the Web to get her answers. There she came across student-produced videos and blog entries, along with posts in a Facebook group for accepted students.

"There were all these kids that were so passionate about sharing their experience," Fink said. "It was then that going off to Hopkins became a no-brainer, because I had already fallen in love with the school."

Fink, who is now a sophomore, was so impressed by the originality of the student content online that she eventually became a contributor to a student-run social media site, Hopkins Interactive. The site features regularly updated blogs, videos and Twitter feeds, all produced by current students for prospective and admitted students.

Daniel Creasy, the associate director of admissions and one of the people behind Hopkins Interactive, believes that it provides an uncensored look at the school.

"You definitely take a leap of faith when you put this much control of your message in the students' hands," he said. "But the students feel a sense of pride that they are part of this process."

For universities competing to attract top students, it's no longer enough to have a glossy brochure and a sleek website. Schools like Johns Hopkins are reaching out to engage with applicants on Facebook and Twitter. They're also finding that a robust social media campaign, along with such creative features as student-run blogs, can lure prospective students while a stale online presence can turn them off.

College admissions officers are indeed learning to interact with students where they hang out: online. According to a recent study by the Center for Marketing Research at the University of Massachusetts-Dartmouth, 100% of universities surveyed use social media to communicate with students, up from 61% in 2007-08. The study found that 98% of the responding colleges have a Facebook page and 84% have a Twitter account.

"Social media is past the fad phase," said Nora Barnes, director of the center. "The numbers speak for themselves. Many students can't afford to visit the campus, so they are depending on the podcasts and blogs to get answers."

Top social media colleges

When Ashmi Pathela, a University of Notre Dame senior, was applying to colleges, she was still receiving the traditional brochures. If she had the option of social media, she said, she would have learned more about the schools much faster.

"I think the younger generation has grown up with social media," Pathela said. "It's something, like electricity, they expect it to exist."

Dean Tsouvalas, editor-in-chief of StudentAdvisor.com, also noticed this reliance on social media when students in a focus group made it clear that university catalogs did not always impress them.

"Students view the brochures similarly to school propaganda," he said. "There's an aversion among them to the glossy versions that colleges put out."

Tsouvalas said that applicants often turn to the Web to talk with enrolled students about their experiences.

"They can get a sense of what life is really like on campus through social media, whether it's through a virtual tour or Twitter," he said.

Tsouvalas has come up with a ranking system, StudentAdvisor.com's "Top 100 Social Media Colleges," which classifies the universities on how well they use social media.

As subjective as it may seem, the list, which was updated last month, is compiled based on a formula that requires at least 500 Facebook "likes" and a Twitter account for a school to be eligible. Tsouvalas said the ranking takes into account factors such as enrollment size, hours between tweets and responses to posts.

Anyone browsing the Top 100 list will notice a surprising trend: It's not the Ivy League that rules the roost. Among the top 10 schools are The Ohio State University, Louisiana State University and the United States Military Academy at West Point.

Although Harvard University, where Mark Zuckerberg launched Facebook as a student, topped the list when it launched in March, it was soon dethroned by Johns Hopkins.

What colleges do right, and do wrong

In their attempts to stand out, some universities on StudentAdvisor.com's list have gone far beyond just having a Facebook page.

The chairman of the math department at Berry College made a calculus music video with his students, who sing about derivatives in a YouTube video titled "The Derivative Rag." The sixth-ranked University of Kentucky created a campaign around the school's colors of blue and white and a site, SeeBlue.com, that includes videos from students and staff.

Many top schools also make creative use of Twitter to communicate with students.

The University of Kentucky recently sent out tweets to some of its accepted students saying, "Congrats and welcome to our Big Blue family." Baylor University keeps its students updated on student affairs through its Student Activities Twitter account. And the admissions office of George Washington University has a Twitter account that messages applicants about interview weekends and decision dates.

But other universities are still slow to catch on. While Lehigh University regularly tweets updates through its LehighUNews account, its main LehighU Twitter account hasn't been updated since September 2009. And it's not the only one. Some universities neglect their websites, tweet too infrequently or fail to reply to student questions.

"It's not enough to be satisfied that your school is on Facebook," Barnes said. "Students will make a judgment about the university if it is not current and responsive online. When their post doesn't get answered, they are not interested anymore."

James Mueller, a University of Oregon senior, said he finds it annoying that many colleges do not use Twitter effectively.

"Why have a Twitter account if you only have four tweets in the past few months?" he said. "Also, colleges sometimes don't understand the difference between Facebook and Twitter. Sometimes they tweet clones of Facebook posts."

Daniella Phillips, a University of Florida senior, said the kind of language used in social media is important to her. She has seen some universities tweet archaic words such as "groovy," which can be off-putting.

"It's like reading a text message from my mom," she said. "It screams that 'I didn't do my research and I don't know my target audience.' "

Engagement is key

There is no one recipe for success when it comes to colleges' use of digital media. Tsouvalas believes universities should invite students to produce online content. He cited West Point, which uploaded a video montage of its band's drum section performing Nick Werth's "Rhythm of Conscience."

"It shows a personality to the school that I would have never seen before," Tsouvalas said. "They are having a good time, and I loved it. That's what makes it special."

Barnes thinks universities should avoid content on social media that presents a bland, pristine image of the school.

"PR people should not be doing these blogs. Students have an antenna for that," she said. "If you try to sanitize your blog, students will see right through that."

Finally, it's not enough just to have unique online features. Without attempts to interact with students, universities' fancy graphics or slick videos are good for nothing, Tsouvalas said.

"You can have an awesome page and gorgeous features, but you need to have real engagement," he said. "It makes us feel that the school really does care about its students."

Tsouvalas believes universities should think about what their focus is and what they want students to see when they Google the school.

"A successful social media campaign is when students are able to have a one-to-one connection, speak directly to the school and get interesting information that they never knew before," he said.

@highlight

Universities are reaching out to engage with applicants on Facebook and Twitter

@highlight

Expert: Colleges should make their social media interactions personal

@highlight

Student: "Why have a Twitter account if you only have four tweets in the past few months?"

@highlight

Survey: 98% of colleges have a Facebook page; 84% have a Twitter account