LABELLE, Florida (CNN) -- Bryan Beer, a citrus grower in southwestern Florida, sees himself as a bit of a pioneer. He's not digging for gold. It's more like he's planting for oil.

Bryan Beer and his family have grown citrus for 40 years. He says farmers need alternatives to diesel.

He is planting a jatropha tree, a plant that can produce diesel fuel and could one day power a 747. His plans are a little less ambitious; he just wants to plant enough to run his tractors.

"Any kind of relief or help we can get from a cheaper source of oil could impact the agricultural industry tremendously throughout the country, throughout the world," said Beer, whose family has been growing citrus for decades.

Jatropha means "doctor food." It originated in South America, where it was once used for medicinal purposes. There are three seeds within the golf-ball-sized fruit. When pressed, its oil can be used as fuel in any standard diesel engine with zero processing, experts say.

Sound like a pipe dream? It's not.

It's being taken very seriously by companies all over the world, including the Chrysler motor company and Air New Zealand. The airline is planning a test flight in November in Auckland in which jatropha biodiesel will be mixed with diesel fuel.

This is what has farmers, scientists and engineers excited.  Watch jatropha fruit as a dream fuel »

"It is a superior oil," said Roy Beckford, an agricultural scientist with the University of Florida.

Air New Zealand says the quality and quantity of the product may be so good that the airline could run the test flight without having to mix the jatropha biofuel with any normal aviation fuel.

Beckford said countries like China, India and Brazil have planted millions of acres of jatropha, but the United States has yet to make that sort of investment.

"We are way, way behind these people," he said. "But certainly we have the ability, and we have shown that over and over again that we can beat people on technology and applying that technology."

Beckford has been experimenting to see how the tree grows best. He says jatropha can be grown in soil that is not suitable for most food crops.

"Even under harsh drought conditions with minimal amount of water or moisture, it will survive," he said.

Jatropha is being tested in nurseries and farms, primarily in Florida and Hawaii, to see if it can be used as a viable alternative biofuel nationwide. Caribbean nations have used jatropha for years as biofuel and a home-made medicine to treat constipation and inflammation, Beckford said.

He says jatropha would probably never be the main biodiesel crop but should be added into the mix of biodiesel crops. "It think it's going to be part of the equation."

Beckford's research is done on a small patch of land in Fort Myers, Florida, where 176 seedlings were planted last year. Some are fertilized; some are not. Some are exposed to insects, and some plants are scattered around the foundation of an old home.

Beckford showed how the jatropha plant thrived right in the middle of the foundation, within the dirt and rocks.

He and his researchers believe that U.S. technology will aid in the growth of the trees. Currently, each tree yields only about two gallons of oil a year.

"In the next four or five years, I think we'll increase not only the fruits per jatropha tree, but we'll also increase the amount of oil in each of those seeds," Beckford said.

Right now, biodiesel is a growing industry but hasn't made an appreciable dent on the global dependence on heavy crude oil, from which diesel fuel is processed.  Watch skyrocketing fuel prices are killing farmers »

The National Biodiesel Board says that less than 1 percent of the 60 billion gallons of diesel fuel used each year comes from biodiesel, most of it produced from soybeans, animal fats and recycled oil. But, the board says, the 20 million gallons of diesel fuel saved from these alternative fuels was the equivalent of eliminating the emissions from 700,000 cars.

Some consumer groups say it's unrealistic to think that biofuel will replace oil totally. Experts also say the potential savings here may be offset by higher prices somewhere else as farmers use their more crop land to experiment with alternative fuel crops.

"There are implications to dedicating more and more crop land to fuel production rather than food production," said Tyson Clocum of the consumer watchdog group Public Citizen. "That comes in the form of tighter supplies for food production, and that leads to higher prices."

Beer says he's not looking to abandon his family's citrus business. LaBelle Grove Management has been around for more than 40 years. He's currently farming 30 acres of jatropha, compared to 2,500 acres of citrus.

Beer is trying to figure out how he's going to afford to put diesel in his heavy equipment. He has four tractors that each run on 120 gallons a day.

"We have to have these machines running. If we don't have these machines running and we don't have diesel fuel, we don't produce our crops," he said.

So, for now, Beer is taking a stab at growing his own fuel. Jatropha won't be a replacement crop for him, but it may help him fill up his tractor.

"To be a better America, we are going to have to have a secondary source besides oil," he said.

CNN's Susan Candiotti contributed to this report.

@highlight

A fruit tree called jatropha can be used to make clean biodiesel, experts say

@highlight

Florida farmer says high diesel costs are killing farmers

@highlight

Scientist on jatropha: "It is a superior oil"

@highlight

Currently, one plant produces only enough for two gallons