(CNN) -- At 5.30 a.m. an urgent knocking jolted me from sleep. Standing at my compartment door, a frantic-looking female train attendant pointed out the window.

The windows in my Turpan hotel room had distinct Islamic artwork and patterns.

We'd halted at a station, and from the worried expression on her face, I knew it was my stop.

Once again, a breakdown in communication had caused mischief. Not 12 hours before, the same attendant had told me, at least I thought she'd told me, I'd arrive at 7.30 am.

Thankfully I'd packed before going to sleep, and was able to quickly depart the train into the cool dessert air in the small juncture town of Daheyan.

My overnight train journey had taken me from Gansu into Xinjiang province -- China's most western region, and its largest, comprising almost 20 percent of the nation's area.

It's also home to the country's ethnic Uighur population, a people of Turkic descent who follow Islam, giving the area a cultural flavor more attuned to Central Asia than anything lying east.

In the station's parking lot I'd agreed on a fee of 80 RMB ($10.50) to share a taxi with three young Uighur men on the 60-kilometer (37-miles) journey south to the oasis town of Turpan, which was used as a stopover on the northern Silk Road for centuries.

The driver pushed a cassette tape into the car's 1970s-era stereo system with pleasant results. Soothing Islamic folk music oozed out from the rear speakers -- a perfect mood setter as we traveled along the desert highway at dawn.

The Turpan Basin, at 154 meters (505 feet) below sea level, is second only to the Dead Sea as the world's lowest depression. The descent wasn't noticeable as the taxi arrived into Turpan proper, but my first impressions probably were -- I was scowling.

I'd expected dusty, rustic streets with wayward farm animals and quirky bazaars within a small town center. Instead, I was greeted by drab Soviet-era architecture and bustling traffic in what appeared to be a large, sprawling city. I immediately longed for Dunhuang.

After checking in to a hotel and heading out to explore properly, I was glad to see the old adage of scratching beneath the surface ring true. Slowly but surely, Turpan began showing itself as a true gem.

Walkways around the city were more often than not grapevine-lined trellises, making a stroll both picturesque and cool -- an important feature in China's hottest city.

The people were intriguing; Chinese were evident, and of course Uighurs, who looked like a cross between Mongols and Afghanis. Uighur men often wore Islamic skullcaps, and women scarves, but there was no full-on head gear such as burqas.

The fusion of over two millenniums of Silk Road trade has left an extraordinary melting pot of ethnicities and cultures.

Islamic features appear both subtly and prominently throughout the town, including in its architecture (many buildings use domes as roofs), while the windows in my hotel room had distinct Islamic artwork and patterns (see photo).

The day had ran away from me and since it was nearing dinner, I decided to head into one of the town's bazaars. I tried some tasty lamb samosas, and an interesting cold rice dish that was mixed with vegetables and fruit, for just 10 RMB ($1.30).

I sat and ate my meal next to a Uighur man, whose initial look of sternness quickly gave way to a friendly smile and an offer to share some of his food. His traditional bread, covered in patterns as intricate as any 14th century mosaic, was delicious.

After arriving back at my digs, I noticed a flyer advertising a Uighur folk performance for that night to take place just across from my hotel.

I showered and headed over and experienced one of the best cultural performances of my life.  Listen to the show's music and look at the stunning photos »

The next morning I arranged a day's sightseeing with my hotel, and was almost immediately greeted by my guide, Omar. The tour, which included the Grape Valley, a karez (a subterranean water system), the Emin Minaret mosque, and the ancient Jiaohe Ruins, cost 100 RMB ($13).

On our outward drive, Omar, an Uighur, told me about his great-great-grandfather who'd traveled from his homeland in Kazakhstan to Turpan to fight the Chinese. The battle was lost, but the heartbreak didn't end there -- he returned home, only to find Russia had taken over his country. Homeless, he traveled the region, finally settling in what is now far western China.

A moderate Muslim (he hates extreme Islamic groups such as the Taliban, and laments how Sunnis and Shiites are killing each other in Iraq), Omar isn't upbeat about living under Chinese rule.

"I'd love to see an autonomous Uighur state," he says. "But the Chinese have been too strong for centuries, and they're set to get even stronger."

For a few reflective moments, Omar drove silently. Then, as we neared the first part of our itinerary, he began telling me about his region's wonders.  View some of Turpan's best highlights, and read about their history in our photo gallery »

Totally spent after the day's tour with Omar, I conjured up enough energy to make the last of my travel bookings, from Turpan to Urumqi.

I decided to use the taxi driver from Daheyan. The front desk of my hotel helped translate the deal, and we agreed on 300 RMB ($39) for the three-hour drive to Urumqi's airport.

The next morning the driver brought along his sister and a friend for the journey. Neither had ever been outside of Turpan, and were excited about their trip.

The road to Urumqi was excellent, with straight stretches as long as 30 km (18 miles). But as we hit the halfway mark, the sunshine and intense blue skies so prevalent in Dunhuang and Turpan gave way to gray ceilings once more.

I knew from the research I'd done on Urumqi not to expect much, and as it turned out, it was correct. It was big and soulless, with its main claim to fame being the furthest city in the world from an ocean.

Yet I was struck by just how close I was to other countries -- about 500 kilometers (310 miles) north to Russia and west to Kazakhstan -- and how far away I was from China's major cities such as Xian (2,500 km/1,550 miles) and Beijing (3,700 km/2,300 miles).

From here, you could also proceed south to the ancient Silk Road trading town of Kashgar -- if you don't mind a 24-hour bus or train journey.

But for me, it was a five-hour flight back to Shenzhen, and the normalcy of everyday life in Hong Kong.

@highlight

Xinjiang province is home to the China's ethnic Uighur population

@highlight

Turpan Basin is second only to the Dead Sea as the world's lowest depression

@highlight

Islamic features appear both subtlety and prominently throughout Turpan