(CNN) -- Animal print is as classic to fashion as the little black dress. But this spring, the orange-and-black look of leopard is heading to the back of the closet in exchange for cuddly kitten faces.

Animals are shaping what we wear, from high-fashion runways to big retail stores to resale shops -- and it has nothing to do with fur, or even zebra print. No, fashion is trying to re-chic the old sweater of a wolf howling at the bright yellow moon or a T-shirt of an iguana going for a snack.

The animal illustrations growing popular now are a departure from the sophisticated animal prints that designers used a few years ago. Pets, specifically cats, are the most popular animals within the trend, fashion watchers said.

"Pets are a language of international happiness," Susan Cernek, Glamour magazine's fashion development director said. "You can hop on YouTube and see a cute puppy video and have comments come from all over the world. There is a universal appeal."

Cernek said animal motifs cycled into trendiness about 2006. The use of animal prints like leopard and zebra took off during the recession, when designers were trying to find a luxe substitute for pricier bejeweled clothing.

"It is the kind of print that scales well," Cernek said. "You can have a great print in a $30 shoe or in a $3,000 dress."

Leah Chernikoff, the editor of Fashionista, an online fashion blog, said the graphics' transition from tacky to stylish can be attributed to designers like Riccardo Tisci and his Givenchy men's line, which prominently features Rottweiler prints.

Rapper Kayne West donned a Givenchy Rottweiler shirt during a celebrity- and media-studded event. It exposed the public to the rising trend, Chernikoff said. She also points to celebrities like Liv Tyler and lines like Burberry that brought animals like the owl to the center of fashion.

Chernikoff said city street fashion culture helped to pioneer animal fashion before it showed up in magazines.

"We were seeing people wearing these cheesy animal sweaters in an ironic way," Chernikoff said. "There is something cool about the cheekiness. Hipsters are reclaiming things... you would buy [animal prints] at souvenir shops, but there was this hipster appropriation in fall 2011."

It's the nature of the fashion industry, Glamour's Cernek said -- it's cyclical and reactive, always looking to rethink what's out there to create a different effect.

"More fashion-forward designers try to do the opposite, and do something that is more fun, like the cheeky animal prints," Cernek said.

The tongue-in-cheek animal graphics are showing up on runways, and among the work of artists like Kelly Eident.

Eident owns an Etsy store, I'm Your Present, where she sells clothes created with vintage fabrics and repurposed clothes she finds at thrift stores. One of her best-selling items is a form-fitted dress adorned sheer sleeves and a large graphic illustration of animals like wolves or cats.

She describes her clothes as fun -- with a sense of humor.

"I think animals are always in style," she said. "Everyone loves them."

Everyone -- including designers like Victoria Beckham, who came out with a line that features cat prints on dresses and blouses, and Roberto Cavalli, whose line Just Cavalli features strands of earth-tone feathers and desert sand snake print.

"Fashion went through a phase of being very serious and had a heavy vision," Cernek said. "But the best designers epitomize this sense of whimsy and they take leopard print, luxurious and serious, and do something more fun with it.""

That universal appeal has driven the trend from the street to the store. Target spokesman Joshua Carter said this season's animal fashions are well-received by customers. The store sells a Jason Wu for Target T-shirt featuring a black cat, men's shirts with large prints of huskies, pugs and beagles, plus items like snake-print skirts, faded leopard skinny jeans and cheetah-print flats.

"We have seen animal print as a growing trend and continue to incorporate it into our apparel and accessories as either a full print or an embellishment on a solid style," Carter wrote in an e-mail.

Target's success with the trend demonstrates that it is making impressions on mainstream fashion and consumerism.

Whimsy is a really important aspect to Berene Campbell when it comes to design and fashion. The Vancouver resident grew up in South Africa, where animals were incorporated in everything from fashion to dÃ©cor.

Campbell is now a graphic designer who crafts unconventional fabric patterns for handbags inspired by animals. She created a handbag in the shape of an owl, merging "geek" appeal with a colorful palette.

"I like things that are fun and whimsical and entertaining," she said. "Something that you look at and you go 'Aww,' something that makes a person turn up the creases on the side of their mouth."

Eva Kischel crafts her clothing by outfitting T-shirt sleeves with minimalist cat face designs. Kischel, who runs the Etsy shop The Petite Chouette, said she gravitates toward the animal trend not because of ironic appeal or Vogue magazine, but because of its eco-friendly appeal.

"I think wearing animal-themed clothes also demonstrates that you are against fur or other animal skin in fashion, which is a good thing," she said. "I personally like this trend because it simply makes me happy to 'wear' my favorite animals without hurting them."

Whatever the reasons, animals cute and fierce have clawed through many layers of fashion because it makes people happy, fashionistas said.

"It is joy and whimsy," Cernek said. "Why not have something like that is your clothes?"

@highlight

Graphic animal prints are a fashion trend this spring

@highlight

Sophisticated animal prints came into fashion in 2006, opening the door to other animal motifs

@highlight

Wolves, dogs and cats show up on shirts and dresses on runways and in Etsy stores