(CNN) -- While the rest of the world last week was fixating on the chimney atop the Sistine Chapel, waiting to see whether the smoke would be black or white, it wasn't the smoke that intrigued me.

It was the stuff that was making the smoke.

The cardinals, after casting their ballots in each round of voting for the new pope, burned those ballots, as is tradition. The burning ballots created the smoke the world witnessed billowing from the chimney.

The ballots, of course, were made of paper.

Which sometimes seems like an endangered species.

Had the cardinals voted on iPads, they couldn't very well have tossed the sleek tablets into the chapel's cast-iron stove.

Yet an all-but-paperless society is where some experts argue we are headed. The digital upheaval has gathered such force that every business that once depended on paper has felt the earth shift. Newspapers, magazine publishers, book companies, bookstores, offices of every kind ... the transition to digital is beginning to feel as profound as the revolution once ushered in by the invention of moveable type.

The Minneapolis Star Tribune recently noted the precipitous decline of the North American paper industry: "River towns in the forest from eastern Washington to the coast of Maine have lost more than 100 paper mills in a wave of consolidation in little more than a decade ... North American demand for three types of [coated] paper [has] fallen 21 percent." The Boston Business Journal last year quoted equity analyst Matt Arnold: "There's a secular shift to paperless. It's an overarching mind-set."

All of this echoes a 2011 projection by the research firm RISI, which advises the global forest products industry: "By 2015, most publishing paper end uses in North America, such as magazine, newspaper and book publishing, will fall 12-21 percent, compared to their 2010 levels." The firm went on to project "another 40-50 percent fall over the next 15 years."

Thus, there is a special fascination to a promotional campaign developed in recent years by Domtar, one of the world's largest manufacturers of paper. The campaign is not just for Domtar products -- it is for paper itself, no matter where it comes from or who sells it. The theme is: "Paper Because."

The campaign, hoping to persuade people, proclaims:

"Paper is good. Pass it on."

It offers heartfelt reasons:

"Paper means that you mean business."

"Paper is personal."

"Sometimes understanding the big picture means spreading it all out on the floor."

"Opening a nice envelope is surprisingly exciting."

I hasten to say that I'm not knocking those messages -- I agree with every word of them.

I just find it illuminating, and more than a little melancholy, that we have reached the point at which those messages are deemed necessary -- the point at which the paper industry feels a need to convince people that paper is important.

Before the digital age, the presence of such a campaign would have been puzzling. Tell people that paper is essential to their lives? What else were they supposed to write on -- rocks, using carving tools?

It would have been like running promotional campaigns for air, or for water. Such things did not need promotion -- they were indispensable.

(And, of course, there is the fact that, as clever and well executed as the "Paper Because" campaign is, I found it and browsed through it completely online, on a screen.)

A screen is where you are almost undoubtedly reading these words, too. But before I hit the button to send my editors every column, I print out a copy and do the editing and proofreading by hand, on sheets of paper, with a pen. I love the breadth and scope of CNN's digital reach -- the speed and efficiency with which the stories on this site are delivered around the globe makes me think of it as a planetary paperboy with the strongest arm in the world.

But there's something about paper. I'm currently about halfway through a copy of Time magazine, cover date September 25, 1950 (yes, I'm a little behind on my reading, but I'm slowly catching up). I'll often buy old magazines not just because I find them to be a wonderful way to delve randomly into America's history at precise moments in time, but also because, at the end of a day spent staring at shifting, constantly updating images on multiple screens, there is something calming about holding carefully laid out and edited sheets of paper, and luxuriating in the steadiness of it all.

Maybe you're the same way. Maybe not. Perhaps the magic of paper, and all it has always represented, is something you could just as well do without -- a source of clutter and mustiness.

But as magazines and newspapers and books and business offices and schools make their inexorable leap into the digital future, there's nothing wrong with acknowledging just how nice the tactile, comforting, here-when-you-want-me world of words and pictures on paper has been, even while recognizing and appreciating the marvels of the new way.

I'm very glad that you've found your way to these words on whatever screen you may be reading them, and I don't think any of us are fooling ourselves into thinking the paper-to-digital course will suddenly be reversed. To use a phrase connected to another once-ubiquitous part of our daily lives: That train has left the station.

But you have to hope that the departure has not been total, or at least that it won't become total for a good, long time. In that promotional campaign, there is one line that is meant to be perky and cheerful -- a line that somehow also sounds kind of bittersweet:

"Hi. I'm paper. Remember me?"

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: With advent of digital age, paper use and demand has dropped like rock

@highlight

In fact, by 2015 paper use could fall 21% -- and then over 40% more in the 15 years after

@highlight

He says new ad campaign (you'll likely read online) makes plaintive case for paper's value

@highlight

Greene: One can marvel at, use digital media, but save spot in your heart for beauty of paper