Kiev, Ukraine (CNN) -- Did a Russian fire the missile that downed Malaysia Airlines Flight 17? That depends on who you ask.

A top Ukrainian official says he has no doubt.

Vitaly Nayda, Ukraine's director of informational security, told CNN the person who shot down the flight was "absolutely" a Russian. "A Russian-trained, well-equipped, well-educated officer ... pushed that button deliberately," he said.

"We taped conversations" between a Russian officer and his office in Moscow, Nayda said. "We know for sure that several minutes before the missile was launched, there was a report" to a Russian officer that the plane was coming, he said.

"They knew the plane was coming with constant speed, in constant direction," and should have known it was not a fighter jet but "a big civilian plane," he said.

U.S. officials say pro-Russian rebels were responsible for shooting down Malaysia Airlines Flight 17, but they now believe it's likely the rebels didn't know the plane was a commercial airliner when they opened fire, U.S. intelligence officials said Tuesday.

The officials have determined that Russia bears some responsibility for the incident because of its support for the rebels, but they haven't been able to determine exactly who fired the missile, whether Russian military were at the site or whether the Russians were directly responsible for launching the missile.

Moscow has denied claims that it pulled the trigger. And Russian Army Lt. Gen. Andrei Kartapolov suggested a Ukrainian jet fighter may have shot the plane down.

Ukrainian President Petro Poroshenko rejected that in an exclusive interview with CNN, saying that all Ukrainian aircraft were on the ground at the time.

Vitaly Churkin, Russia's ambassador to the United Nations, was asked Monday about different intercepted recordings, purportedly of pro-Russian rebels talking about shooting down a plane. Churkin suggested that if they did, it was an accident.

"According to them, the people from the east were saying that they shot down a military jet," he said. "If they think they shot down a military jet, it was confusion. If it was confusion, it was not an act of terrorism."

Pro-Russian rebels have repeatedly denied responsibility for the attack.

At crash site, an eerie calm

Now that rebels have handed over the black boxes and the bodies of victims killed when Flight 17 went down, the crash site in eastern Ukraine was eerily quiet on Tuesday, a spokesman for observers in the area said.

There were no more local emergency workers or teams combing the wreckage -- even though Dutch officials said they weren't sure whether the remains of all the victims had been recovered.

"They had even taken down the tents," said Michael Buciurkiew, spokesman for the monitoring mission from the Organization for Security and Cooperation in Europe. "There was no activity whatsoever. ... We had an internal discussion today on whether to say it's already trending towards a cleanup operation. There's no active recovery of remains going on right now."

As investigators arrive at the scene, it's unclear what evidence they'll find.

Before activity died down at the site, Buciurkiew said, observers saw emergency workers moving around wreckage.

"Major pieces of the fuselage have been moved," he said.

At one point, he said, observers witnessed teams at the scene "taking out diesel-powered saws and sawing quite invasively into the cockpit."

Dutch PM: Identifying bodies could take months

A train carrying the remains of crash victims arrived in Kharkiv, Ukraine, on Tuesday.

Investigators were going through the train cars and transferring bodies to a factory, where a facility was set up to transfer them to coffins and get them on a military plane to the Netherlands for forensic investigation.

But officials offered conflicting reports about how many bodies were on the train, with a top Dutch official expressing concern that the remains of more victims could still be at the crash site.

Malaysian official Mohd Sakri, who traveled on the train with the remains, said there were 282 corpses and 87 body parts aboard -- the same tally Ukrainian officials earlier gave to describe the remains recovered from the crash site.

But Dutch investigators only confirmed there were at least 200 bodies transported from the crash site, Jan Tuinder, head of the Dutch delegation, told reporters. Another Dutch official said investigators were still going through the train cars and it was possible all the crash victims were on the train.

There were 298 people aboard the plane when it crashed.

Dutch Prime Minister Mark Rutte said he expects the first plane carrying the remains to arrive Wednesday in Eindhoven.

As soon as the remains are identified, families of the victims will be informed. In some cases, that could happen quickly, Rutte said, but in other cases, identification could take weeks or even months.

Frans Timmermans, the Dutch foreign minister, said bringing the victims' remains home is his country's top priority.

"To my dying day, I will not understand that it took so much time for the rescue workers to be allowed to do their difficult jobs," he told the U.N. Security Council on Monday, "and that human remains should be used in a political game."

What's next in the investigation?

Ukrainian rebels handed over the so-called black boxes Tuesday after what Malaysian officials said were repeated attempts to negotiate with the rebels.

"In recent days, we have been working behind the scenes to establish contact with those in charge of the MH17 crash site," Malaysian Prime Minister Najib Razak said Monday.

But the handover is only the beginning.

British Prime Minister David Cameron tweeted that Britain agreed to a Dutch request for accident investigators at Farnborough, southwest of London, to retrieve data from the boxes for international analysis.

And the U.S. National Transportation Safety Board said one of its experts will help retrieve information from the black boxes.

The voice recorder could include audio from the cockpit, which would show whether the pilots knew the plane had been hit, said Mary Schiavo, a CNN aviation analyst and former inspector general for the U.S. Department of Transportation.

And the flight data recorders will give investigators information about engine settings, pressurization and electronic communications, among other details, she said.

But even the black boxes might not answer the two most pressing questions: who shot down the plane and why.

U.S. and other officials have said it appears the plane was shot down by a sophisticated surface-to-air missile in rebel-held territory. Evidence supporting that conclusion includes telephone intercepts and video of a Buk missile launcher traveling into Russia with at least one missile missing.

U.S. President Barack Obama, Cameron and others have said the pro-Russian rebels could not have shot down such a high-flying jet without weapons and training from Russia.

Obama called on Russia to rein in the rebel fighters, who he said had treated remains poorly and removed evidence from the site. "What exactly are they trying to hide?" he said.

Russian President Vladimir Putin said Tuesday that his country would use its influence with Ukrainian rebels to push for a full investigation, the Reuters news agency reported.

But those assurances did little to stem efforts to crack down on the rebels and their supporters.

The European Union's Foreign Affairs Council agreed Tuesday to establish a new list of entitles and individuals, including some from Russia, to face EU sanctions.

Timmermans said the Netherlands would seek sanctions involving various fields, including defense, high technology, the energy sector and financial services.

A brawl broke out Tuesday in Ukraine's parliament, where fighting takes place frequently, as lawmakers voted to increase the number of troops battling pro-Russian rebels.

Nikolai Levchenko, who is from the Donetsk region and has been noticed at separatist rallies, accused the government of killing its own people. A nationalist lawmaker then ran up to him. Soon many lawmakers swarmed around them, with some apparently trying to break up the fight.

Ukraine opens criminal case

The U.S. government has released a map of what it says was the flight's path and the site from which the missile was fired. It also released images that it said showed a weapons buildup at a Russian training facility near the Ukraine border.

As Ukraine ratcheted up accusations that Moscow was involved in downing the plane, it also opened criminal cases against Russia's defense minister and a Russian businessman, calling both "accomplices of terrorists."

The Ukrainian Internal Affairs Ministry accused Russian Defense Minister Gen. Sergei Shoigu of helping form "illegal military groups" in the Donetsk region, where pro-Russian rebels have declared their own government.

"The illegal military groups, which are led by citizens of the Russian Federation, make regular attacks on government institutions and other organizations that have led to multiple human deaths, destruction and other consequences," the ministry said in a statement.

And the ministry accused Russian billionaire Konstantin Malofeev of financing the "illegal military units."

Russian officials have repeatedly denied involvement in fomenting violence in the region.

A June profile on Malofeev by Bloomberg News noted that the "self-proclaimed head of the unrecognized Donetsk People's Republic and its rebel army leader have both worked for Malofeev, though the financier denies any role in the unrest."

Earlier this month, Ukraine opened a criminal case against the head of Russia's Border Service.

The ministry's statement Tuesday contained no specific references to the downing of Malaysia Airlines Flight 17.

Who are Ukraine's pro-Russian rebels?

Ukrainian President: The world must choose sides

So much we don't know -- five unanswered questions

Who were the victims?

Should jet have flown over Ukraine?

CNN's Kyung Lah reported from Kiev; Josh Levs and Catherine E. Shoichet reported from Atlanta; and CNN's Nick Paton Walsh, Holly Yan, Carol Jordan, Pamela Boykoff, Phil Black, Gul Tuysuz, Elizabeth Joseph, Stephanie Halasz, Antonia Mortensen, Barbara Starr and journalist Victoria Butenko contributed to this report.

@highlight

NEW: It's unclear how much of a role Russia played, U.S. intelligence says

@highlight

The European Union agrees on a plan for new sanctions to include Russia

@highlight

Ukraine opens criminal cases against Russian defense minister and businessman

@highlight

Dutch official: At least 200 bodies were on the train; more could be at crash site