Around the world, aid agencies are dispatching teams to the Philippines with one initial overriding objective: Gain access to the areas hit by Super Typhoon Haiyan and understand what has happened.

The Philippines government estimates that as many as 11.3 million people have been affected, and we know that at least 28 million people were within the storm's path. A minimum of 670,000 people are displaced and 41,000 houses are damaged, with about half destroyed. And total casualty numbers continue to vary wildly, depending on different sources.

Getting a handle on a crisis on this scale is hard, but it's made even harder when you're working in an archipelago in a country that is relatively poor with weak infrastructure. That's the challenge in the Philippines, where we are facing decimated services on a truly terrifying scale. The images you have seen are only from areas we have accessed. Worse may be around the corner.

Opinion: For Filipinos, despair and prayers

Organizations such as the International Rescue Committee have learned a great deal from responding to past catastrophes, from the earthquake in Haiti and floods in Pakistan in 2010 to the Indian Ocean tsunami in 2004.

Where state resilience and infrastructure are weak, the immediate concern, beyond first aid for those harmed in the first wave of destruction, is recovering, maintaining and reconstructing basic water and sanitation services. A cholera outbreak is always a threat, and other diseases such as typhoid are often the first killers to emerge.

So the initial work is basic -- clearing debris and understanding what services are working and what aren't. The IRC will typically look to mobilize the local community by offering cash for work to clear roads and kick-start a microeconomy. This puts cash back in pockets so people can start to rebuild their lives, where they can, and rekindle economic activity.

The second priority is to assess and reinforce health care systems. The government of the Philippines has defined the typhoon event as a national calamity, and there will be thousands of casualties desperately in need of first aid.

Many survivors would be ill and reliant on a health service that the typhoon has destroyed. So, securing and providing medication for chronic conditions such as diabetes, which can quickly become life threatening if left without attention, is crucial. We are already hearing reports of closed hospitals without power and fears of electrocution if the power is switched back on.

Reports indicate that aid agencies will be able to access a robust pharmaceuticals market based out of the capital of Manila, but the supply of medical supplies and infrastructure tools will quickly dry up.

No country can be fully prepared for disasters of this scale, so aid agencies will call for and coordinate international flights and shipments of the medicines and resources that are in the shortest supply or that have already run out. This process is expensive and requires serious financial support and logistical assistance. It will require donations from people who can afford to help as well as the offer of military-scale logistical assistance from governments that can help.

When they lose their home and their family, people also often lose hope. Where food has run out, electricity cut off and communications down, then looting, violence and theft become an immediate danger.

The IRC will be assessing the nature and locations of these threats to alert the government and work with partners to offer protection services. We consider the vulnerability of women and girls to be front and center in our emergency response, as we know that in emergencies gender-based violence tragically increases.

It may sound dull, but ensuring we are transparent and accountable to the communities we are serving is critical. If the people tell us we aren't serving their needs, we need to listen and adapt our approach. So we immediately set up systems to ensure that the people we are trying to help are part of shaping our response.

Like many disasters, the event itself lasted only a few hours, but the response will take many years to achieve what it must. So this is a long-term project.

Right now, we need to first save lives. At the IRC, we have launched an immediate appeal for $10 million. You can donate here. We will then begin the greater task of helping the Philippines rebuild their lives and to be better prepared for next time.

@highlight

More than 11 million people in the Philippines are affected by Super Typhoon Haiyan

@highlight

Bob Kitchen: We are facing decimated services on a truly terrifying scale

@highlight

He says first we need to save lives, then provide basic water and sanitation services

@highlight

Kitchen: No country can be fully prepared for such a disaster; recovery will take years