(CNN) -- If you're a "zombie aficionado," a "Web marketing guru" or a "social media evangelist," you may be doing Twitter wrong.

The 160-character Twitter bio, your introduction to the site's nearly 250 million active users, has been called a "postmodern art form" by The New York Times.

But for most of us, it's a bit simpler than that. It's a digital calling card, a way to sum up our very essence within Twitter's 160-character limit and, presumably, tell people why they might want to follow us.

So how did there end up being so many self-proclaimed ninjas, mavens, rock stars, gurus and experts on the site?

Those terms, often delivered in a series of short, punchy sentences, have become copycat cliches in the Twitter age. And as Josh Schultz sees it, they're worthy of parody.

"I'd noticed that a lot of Twitter bios tended to be pretty samey," said Schultz, a Web developer and creator of the Twitter Bio Generator. "When that occurred to me, I crawled the bios of all my Twitter acquaintances and saw that ... yep ... some patterns were used a lot."

His generator is a jokey tool that mashes together a bunch of overused words and phrases, creating bios that will look impressively familiar to most Twitter users: "Professional zombie geek." "Unapologetic Internet maven." "Social media evangelist." "Coffee guru."

It's no accident that a lot of the phrases come off as blatantly self-promotional.

"This was early Twitter days, when it seemed like half the folks using the service were self-described 'social media experts,' " Schultz said. "Plenty of the rest of us were of the opinion that those folks might benefit from taking themselves a bit less seriously. So if the generator came across as poking a little fun at them, I'd be OK with that."

Schultz isn't the only one who thought that overdone bio style needed a little skewering. This month, digital media marketing publication Digiday worked up a similar, if significantly more profane, version called "What the F--- is my Twitter Bio?". (Fair warning: Lots of profanity. As if the name didn't give that away.)

"The idea was meant to be a way for people to realize the ridiculous lengths others -- and, alas, themselves -- go to to craft their Twitter bio as neatly and perfectly as a Wes Andersen movie," Digiday staffer Jack Marshall said in a blog post.

Digiday's combination of about 300 words and phrases renders bios largely similar to Schultz's generator: "Bluetooth pundit." "Tech warlock." "Interwebz scholar." Some tweak another bio that's become commonplace: A series of factual information followed by a final zinger to show that you're a serious person -- just not *that* serious.

If users don't like the result, they can click a reliably foul-mouthed link to try again.

Some of the results also play on Twitter users' seemingly limitless fondness for bacon and booze in their bios.

So, if being a bacon buff or beer trailblazer won't necessarily make for a great bio, what will? Schultz says just be yourself.

"It's an honest reflection of what you're going to be tweeting about," he said. "For some people, that will be the sort of straightforward list thing the Twitter Bio Generator pokes a little fun at. For others, it'll be something more abstract or poetic. Maybe they're more abstract or poetic people, harder to pin down."

Writing for Mashable, a CNN content partner, Amy-Mae Elliott offered a few suggestions of her own.

-- Your bio is searchable, so make sure it includes keywords about what you tweet about.

-- Avoid those generator-style cliches.

-- Double-check your spelling and grammar.

-- Look at other bios and imitate the style of the ones you like.

"Most importantly," she wrote, "use your bio to let people know what you're going to bring to their Twitter streams -- how following you is going to enrich their Twitter experience."

Of course, as with many things, if you're famous some rules don't apply to you.

Does Shaquille O'Neal really need to let you know he was a basketball player? And if you're considering following Conan O'Brien or Jimmy Fallon, there's a pretty good chance you already knew they were talk show hosts.

The creative freedom in being famous has led to some of our favorite bios:

Oscar-winning actor Kevin Spacey: "Former shoe salesman now making a go at film and theater. Wish me luck... "

Actress Ellen Page: "I am a tiny Canadian."

Comedian Will Arnett: "Jason Bateman's sponsor"

Jason Bateman: "Friend of Will Arnett's."

The Twitter bios of some celebs, like Oprah and Kanye West, go one step further -- they're blank. She's Oprah! What more can you say?

And then there's Hillary Clinton. The former first lady, U.S. senator and secretary of state joined Twitter last year and promptly wrote what's been called the "best bio of all time" -- a combination of informative and playful.

It reads: "Wife, mom, lawyer, women & kids advocate, FLOAR, FLOTUS, US Senator, SecState, author, dog owner, hair icon, pantsuit aficionado, glass ceiling cracker, TBD..."

@highlight

Cliches abound in Twitter bios, those 160-character digital calling cards

@highlight

Generators have been created to mimic "ninjas," "rock stars" and gurus"

@highlight

Good bios should be true to who you are

@highlight

Don't forget basics like spelling and grammar