Baton Rouge, Louisiana (CNN)  -- My son, Gordon, died aboard the Transocean Deepwater Horizon oil rig on April 20, 2010.

That statement, standing on its own, might say everything about my life these days. But in truth it says little. Although I am consumed with grief over the loss of Gordon, because I am a lawyer, I am needed elsewhere.

Gordon's older brother Chris and I are directing all our energies to try to make right an outdated law that would deprive my daughter-in-law, Michelle, and her two boys, my grandsons, of "more nearly fair compensation" for the loss of their husband and father.

I make careful use of the term "more nearly fair compensation" because no amount of money could ever compensate any of us for Gordon's loss. Our loss, and the loss of everyone who ever knew Gordon, is incalculable in mere dollars. But our system provides that money damages must be paid by wrongdoers when they cause the death of another. Judges and juries do their best to arrive at the "most nearly fair" amount to try to compensate loved ones for their losses.

In a system that is imperfect, the Death on the High Seas Act stands alone in the draconian way it limits the recovery of damages for wrongful deaths on the high seas. It is a law passed in 1920, almost a century ago, and it was intended to provide for widows and others who lost breadwinners to wrongful acts at sea.

But the law provides only for the recovery of "pecuniary" damages, known popularly as "out-of-pocket expenses." Michelle and her sons, one of whom was born a few weeks after Gordon was killed, are entitled to recover only the loss of the income Gordon would have earned, minus any income taxes, and minus whatever amounts it is determined he would consume himself. Once that figure is established, an economist would be employed to estimate the present day value of those future losses. As the law stands, that final number is all that BP has to pay Michelle and her sons.

Common sense tells us, though, that the loss of Gordon's paycheck is relatively insignificant compared with the loss of Gordon himself. When Michelle tells her boys about their dad, she's not going to show them a pay stub. She'll tell them how much he loved them both, how funny he was, what a good golfer he was and how much others loved to be around him. One of the last things Gordon, a 1 handicap, got to do was to give Stafford, age 2, his first golf lesson. It was, of course, the last golf lesson he will get from his father.

So how much is "most nearly enough" to compensate them for Gordon's loss? That will be for jurors to decide once they have heard evidence, not only about how the disaster happened, but about the loss that will always be felt by those who loved him.

Senate Bill 3463, introduced by Sen. Patrick Leahy; and House Resolution 5503, by chairman of the Judiciary Committee and Rep. John Conyers, seek to address the inequities of DOHSA. Both proposals, which have multiple co-sponsors, allow for the recovery not only of pecuniary damages, but non-pecuniary damages as well. "Non-pecuniary damages" are defined as "loss of care, company and companionship." That definition is intended to describe the very great loss suffered by his survivors apart from his earnings alone.

Few knowledgeable people dispute the growing evidence that BP was negligent in the way it bungled the completion of the well and caused this blowout, and that its negligence was "willful and wanton," terms used in maritime law for centuries to provide for the award of punitive damages against this kind of egregious misconduct.

Sadly, after the Exxon Valdez disastrous oil spill, the United States Supreme Court in Exxon v. Baker ruled that punitive damages may be awarded in maritime cases only on a 1:1 ratio with compensatory damages. Of course, that holding defeats the purpose of punitive damages. Punitive damages are assessed against wrongdoers for the same reasons we put criminals in jail: to punish the wrongdoer; to teach the wrongdoer not to act that way again, and to set an example for others. The punitive damages as reduced by the Supreme Court in Exxon v. Baker did none of those things.

So Sen. Sheldon Whitehouse has introduced Senate Bill 3345, which simply provides that in computing punitive damages in maritime cases, the amount of compensatory damages is not to be considered. As I testified before the House Judiciary Committee, making BP pay punitive damages will hit BP where its heart would be, if it had a heart.

Support for these bills is growing, but we expect opposition from all the companies who don't want to pay fair compensation when, by their fault, someone on board their vessel is killed. Cruise lines have consistently opposed changes to DOHSA. Many of their passengers are, because of their youth or advanced age, not providing financial support to anyone. If a cruise ship crew member negligently kills one of these passengers, the cruise line is liable for funeral expenses and nothing more. All companies involved in offshore drilling and shipping have been vigorously opposed to  changes in DOHSA.

The argument these companies make to congressmen and senators is simple: We don't want to pay "more nearly fair" compensation when we kill people. It will cost us too much money. They probably go so far as to claim a change in DOHSA will inevitably result in the loss of valuable jobs in each congressman's district.

The Transocean Deepwater Horizon disaster has shined a bright light on the deadly results of negligence on the high seas. It is time for Congress to recognize that a reprehensibly unfair situation has existed for decades. Now is the time for cruise lines, the petroleum industry and the shipping companies to finally stop using their economic might to prevent reform. They must support -- not oppose -- these bills.

The American people will be watching. More and more learn each day about the unfairness of DOHSA. Legislators who listen to lobbyists instead of their constituents may regret that choice in November.

The opinions expressed in this commentary are solely those of Keith D. Jones.

@highlight

Keith Jones' son Gordon died on BP oil rig leaving behind wife, two sons

@highlight

Jones trying to change law that deprives Gordon's family of fair compensation, he says

@highlight

Law passed in 1920 only pays for lost wages if death caused from malfeasance

@highlight

Jones: Law must change, despite big oil, shipping and cruise lines' opposition