(CNN) -- "I hope you haven't made a mistake," Pope Francis told the cardinals at his celebratory dinner after he was chosen to lead the Catholic Church. He then urged the assembled hierarchy to nourish their bodies, and said with a grin, "May God forgive you for what you've done."

It brought down the house.

Pope Francis has already brought surprising changes. He broke with tradition by asking the crowd in St. Peter's Square to pray for him, and then bowed to receive it. This struck at least one young Catholic male, interviewed for the TV cameras, as "the most humble thing I've ever seen a pope do."

Pope Francis refused to mount the platform previous popes stood on to receive the cardinals, one by one. "I'll stay down here," he told Vatican staff. He shocked many cardinals by choosing the name "Francis," after St. Francis of Assisi, a young man born to wealth, but who lived his life in rags, sitting with lepers and the poor outside the Sistine Chapel. Saint Francis is the patron saint of animals as well as the poor. He is often depicted in art with birds on his shoulder or held in his hands.

Some saw it as a sign when a seagull landed on top of the chimney that vents the smoke from burning ballots. What the press began to call "The Holy See Gull" sat for 40 minutes on the tin top over the smokestack. It then flew off, but shortly a gull landed again in the same place. The next smoke was white, for Pope Francis.

Opinion: Pope Francis is no herald of big changes

Judging from the cardinals I saw interviewed, the new pope is widely considered to be a centrist. He is socially conservative, opposing same-gender marriage, free condoms and abortion, yet he is also known for his care for AIDS patients, washing and kissing their feet, and for baptizing the babies of unwed mothers who other clerics had turned down.

He brings a number of "firsts." He is the first modern non-European pope. He is the first pope from Latin America (his father was an Italian immigrant) a continent that has 39% of the world's Catholics. He is the first pope who is a Jesuit, a Catholic order that focuses on teaching youth and social justice.

But while reporters focus on these firsts, there are other reasons that help explain why the cardinals, in Pope Francis' words, went "to the end of the Earth" to find the man to lead the Catholic world, with its 1.2 billion members.

Opinion: Pope Francis, open up the church

Four reasons repeatedly came up in interviews with Catholic clerics: They felt it was time to shift the church's geographic center, they like his pastoral centrism, they believe emphasis on ministering to the poor has been missing and they hold a strong conviction that Pope Francis is the man to reform and rebuild a church that has been beset by scandals.

That phrase, "rebuilding the church" was mentioned by him, according to reports of the pope's first homily. The phrase also comes from the story of St. Francis, who began his ministry by hearing a call to "rebuild my church." Pope Francis put his emphasis on the spirituality of the church as being first, lest the church be seen as little more than "a compassionate NGO" (non-governmental organization).

Navarrette: Pope pick a signal to Latino Catholics

As a practicing Catholic, my personal, fervent hope is that Pope Francis will revive an interest and compassion for the poor. "We live in the most unequal part of the world, which has grown the most yet reduced misery the least," Pope Francis said in 2007. "The unjust distribution of goods persists," he said, "creating a situation of social sin that cries out to heaven and limits the possibilities of a fuller life for so many of our brothers."

There are indications some cardinals hope this pope will be Christian-friendly to Islam and the developing world. Cardinal Angelo Scola, the archbishop of Milan, heads a foundation to promote Muslim-Christian understanding, and looks after Afghanistan's only Catholic Church as if it were in his diocese. Slamet Effendy Yusuf, a Muslim and head of the Indonesian Ulema Council, told the Christian Science Monitor, "We believe this is a new chapter in the history of relations between Muslims and Catholics."

I noticed that many cardinals remarked with wonder over the news that Pope Francis, while he was in Buenos Aires, lived in an austere apartment, cooked his own food and took the trolley and subway by himself. That this is a matter of wonder to some who live in stone mansions and have chauffeured cars and chefs is a strong indication change has already arrivedâ€”brought by example.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: Pope Francis has already shown humility since being named

@highlight

She says he can be seen as centrist: socially conservative, but champion for poor, afflicted

@highlight

She says among reasons he was chosen was belief he can reform church after scandals

@highlight

Brazile hopes he'll focus on inequality, set example of compassion