Kyle Nolan did his research -- his mother made sure of that.  She didn't want her 18-year-old son heading to the Amazon jungle at all -- let alone, without learning everything he could about the supposed "medicine" with the bizarre name that he insisted would help him turn his young life around.

"I really tried to discourage him ... I kept telling him over and over, there are no easy answers in life," Ingeborg Oswald said.

But she knew she couldn't stop him.

Overshadowed by his "overachieving" triplet brother and sister, Oswald said Kyle "was going through this teenage crisis, not knowing what he wanted to do with his life."

He had dropped out of junior college and was living with his mother, when he somehow discovered ayahuasca, (pronounced "eye-uh-WAHS-kuh") a psychedelic brew that some believe can help users achieve a higher state of consciousness.

"He went online and started reading all these positive things about ayahuasca, which is something I had never heard of before," Oswald said.  "Apparently there's a huge, positive movement toward ayahuasca. And he thought that that would help him maybe discover who he was."

His research led him to the Shimbre Shamanic Center in a remote corner of the Peruvian Amazon region. Oswald said the center's website made its ayahuasca experience "sound very individualized."

It wasn't cheap: Kyle paid more than $2,000 in cash to take part in the ritual.

Despite the promises of the center's website, a very different experience awaited Kyle Nolan in Peru.

A death, then a cover-up

Kyle arrived in Peru in August 2012, a rare overseas excursion for a young man who was more of a homebody than a world traveler.  He journeyed deep into Peru's Amazon with hopes of experiencing a spiritual transformation.

On the third night of Kyle's ayahuasca session, he never returned from his hut. Days later, when he didn't arrive home, Oswald called the Shimbre Shamanic Center and spoke to an interpreter for Shaman Mancoluto, who led the center's ayahuasca sessions.

"He told me, 'Oh well (Kyle) just decided he wanted to leave, he took off down the road, and he's left,'" Oswald said. "And I said, 'I don't believe you. My son would never ever do that.'"

So she and her daughter flew down to Peru to help local police search for Kyle. For three to four days, they searched hospitals and bars and talked to taxi drivers, asking if anyone had seen Kyle.

"No one ever saw him," Oswald said.

So Oswald and her daughter returned home to northern California while the Peruvian police continued their investigation. About a week later, Oswald said she learned from her contact with the Shimbre center that the shaman admitted to police that he had lied about Kyle leaving the center.

They had "found him dead outside, under a bush," Oswald said. They "panicked and covered him up, and told everyone that he wasn't feeling well, that he was in his cabin."

The shaman told authorities that he and two other men had buried Kyle's body, according to Oswald and Peruvian newspaper El Comercio.

"They said they put him in a wheelbarrow, took him about a mile down the road, dug a pit, buried him, and burned all his belongings," Oswald said.

She returned to Peru where she had to identify her son's body. An autopsy in Peru was inconclusive.

The shaman, whose real name is Jose Piñeda, and the two other men were arrested. Piñeda was eventually convicted of homicide and lying to authorities, and sentenced to five years in prison, according to local Peruvian media.

Kyle's body was eventually brought back to California where Oswald said another autopsy also came up inconclusive, and he was cremated.

According to El Comercio, the shaman told police that Kyle Nolan took too much ayahuasca.

There's no conclusive evidence of what killed Kyle, Oswald said.  "The only thing there is possibly out there is maybe the toxicology (results), but I can't get that unless I go back to Peru."

An unregulated drug

It's still unclear how ayahuasca can kill someone. Very little is known about ayahuasca and its effects and many shamanic centers, including the Shimbre Shamanic Center, require participants to cleanse their bodies for several months before taking ayahuasca -- a regiment that Oswald said her son followed very closely.

Ethnobotanical organizations are trying to raise money to study ayahuasca and its medicinal qualities, as well as create a health guide for tourists interested in traveling to shamanic centers in the Amazon.

There's a growing concern that as more Western tourists head to the Amazon looking for a psychedelic experience, more fly-by-night "shamans" will pop up looking to cash in on the boom. There have been other reported deaths, as well as reports of physical and sexual assaults.

Six things to know about ayahuasca

Oswald admits she still struggles with grief and agreed to talk to CNN about her son's death because she hopes it might help warn young people like her son who are seeking ayahuasca treatment in the Amazon.

"If you're going to do this, you really really really need to research it and make sure wherever you find is properly supervised and there's medical supervision there," she said. "And maybe even staying in the United States if you need to do it."

She remains suspicious about the whole ayahuasca tourism boom, saying  "I just think it's become a fad, maybe it's like the LSD of the '60s."

But she said she would support some sort of regulation of the ayahuasca tourism industry if it ensured that participants would be monitored by medical professionals.

"I definitely think it needs to be monitored somehow.  It's a hallucinogenic drug. ... They call it a medicine, but it is a hallucinogenic drug," she said.  "Obviously there's side effects to everything.  Anyone can have an adverse reaction to something.  You don't leave someone alone with a hallucinogenic drug (in their system)."

Oswald says she'll probably return to Peru one day when she's ready.  She is not considering any further legal action because, as she said, "I can't put myself in that position to continue hating someone."

"I just have to try to get this behind me.  I can't continue to hate the shaman. ...  I can't let him ruin my life any more than he already has," she said. "I need to get beyond it."

@highlight

Kyle Nolan, 18, traveled to the Amazon seeking ayahuasca, but never returned

@highlight

Ayahuasca is a psychedlic brew that some say can help with mental stress

@highlight

Nolan's mother agreed to speak to CNN hoping her son's story could help others

@highlight

Go inside an ayahuasca ceremony on Sunday's "This Is Life With Lisa Ling at 10p