European industrialists are sounding the alarm over a growing skills shortage on the continent that threatens their competitiveness and leaves manufacturing companies scrambling to find enough engineers.

Chief executives of some of Europe's biggest manufacturers said that problems around youth unemployment, demographics and the education system all mean that engineers could be increasingly difficult to find in the future. This would force their companies to move more research and development facilities to countries with a greater supply of engineers, such as China or India.

"By 2025, we might need 500,000 engineers," said Olof Persson, chief executive, of Volvo Group, the world's second-biggest truckmaker.

Peter Löscher, chief executive of Siemens, Europe's largest engineering group, said "the skills shortage, particularly in Germany, is a big issue. We have to ensure that our education system is providing the right engineering skills, that we have qualified immigration coming to Europe . . . And perhaps the biggest issue that European industry has to grapple with is that we have almost 24 per cent youth unemployment."

Their warnings come as the Financial Times starts a four-day series into how European manufacturing has fared in the eurozone crisis and the challenges it faces in the future.

Many of Europe's leading industrialists laid out an array of problems facing the continent's manufacturers, from more expensive energy compared with US competitors to the lack of financing, especially in countries such as Italy and Spain for small companies.

"We are losing a lot of small companies that support medium-sized business like ours due to financing problems," said Flavio Radice, chief executive of Pietro Carnaghi, an Italian company that is the world's largest maker of vertical lathes.

Industrial production in the EU remains more than 10 per cent below its pre-crisis peak from 2008, while manufacturing companies have shed 3.4m of the 35.4m workers they had at the same time.

But some manufacturing company executives also argued that European industry was holding its own against both the old-world competition from the US and Japan and newer rivals from China or India.

"Let's stop being pessimistic. Yes, we have to face a moment of crisis and a moment of restructuring in many countries but companies are continuing to develop. Europe stands for high quality and keeps on innovating even more," said Jean-Pascal Tricoire, chief executive of France's Schneider Electric.

Nonetheless, business leaders are worried about the skills of Europe's newly educated workers compared with estimates of at least 400,000 and 100,000 engineers graduating each year from China and India respectively. Germany alone currently lacks 70,000 engineers, according to the VDI, the association of German engineers.

Mr Persson said that other issues such as the availability of energy and regulation were important but meant little without skilled workers. "If you don't have a good, transparent, motivating education and innovation system, then the other things are very difficult to achieve," he added.

@highlight

European industrialists warn a growing skills shortage threatens their competitiveness

@highlight

Some of Europe's biggest manufacturers said engineers could be increasingly difficult to find in the future

@highlight

Germany currently lacks 70,000 engineers, according to the VDI