(CNN) -- When I was eight, my mother enrolled me in ballet classes. I loved it. Every Saturday we would trek across town to the building that housed the big bright room with the large mirrors. We would sit in the waiting room with the other girls my age, all of us in our pink leotards and soft pink satin shoes, with our moms at our side.

Once inside, we would be taught the most delicate of moves from first position to fourth. They were gentle and fun but I was impatient. I wanted to stand on my toes. I wanted to do the pointes and twirl. That wasn't to be. After a mere three weeks, just three lessons, I told my mother I no longer wanted to continue. I told her it just wasn't for me.

What I didn't tell her was that they weren't teaching us what I thought ballet was all about: dancing on your toes. At eight, I naively thought I could do it! My mother didn't force me but as I think back to that time, I wish she had.

In some countries, ballet and the arts are part of the cultural DNA. In Russia, there is a great respect for the heritage and pride in what they do so well. The Bolshoi Ballet is considered the preeminent ballet company in the world and across Russia similar companies are religious about their art.

In December, I was in St Petersburg where we hosted icon's ballet edition. Seeing the inner workings of a ballet company and being backstage was such an eye-opening experience.

We were fortunate enough to be in on a rehearsal as Nacho Duato, the Mikhailovsky Theatre's new Artistic Director was choreographing his first dance with his three principal dancers. This was no ordinary rehearsal, and Duato's appointment is no ordinary promotion. The Spaniard is the first foreigner to lead a major dance company in Russia since Frenchman Marius Petipa over a century ago.

There are politics even in this seemingly serene artistic world. National companies compete to get the best dancers and directors and there is pressure to deliver a style of ballet that will bring audiences to theaters. There is also  great debate over the merits of contemporary ballet versus the classics.

Conventional wisdom says that the audience wants to see what they know: "Swan Lake," "The Nutcracker," "La Sylphide" are just a few examples of what usually sells. But there are artistic directors out there who feel the art of ballet is almost a living, breathing thing -- something that needs to evolve.

Duato, is an avid supporter of contemporary ballet, so much so that he has made it is life's work. His difficulty before arriving in Russia was the reluctance of some companies to move beyond the classics and into a new world of contemporary choreographed ballet.

With the Mikhailovsky, he told me he found a good balance. He said, "Nowadays you can't have a relevant company in the world that doesn't do modern and classical at the same time ... It really is a pleasure to be in a place where ballet (has been) part of the cultural tradition for so long and at the same time they want to break through and do new things."

When I watch a ballerina move, I covet her grace, but perhaps more than anything, I am in awe of her strength. Every move has purpose and precision. Every muscle is alert and ready to perform on command.

What look like light steps and twirls take body control akin to a boxer waiting to take his next punch. Interestingly, some boxers look to ballet as part of their training, especially when it comes to moving their feet. It takes extreme discipline to move so lightly and so purposefully. Discipline that makes each move look easy.

A dancer on a stage is the culmination of years of discipline and passion for perfection; years in which each move and each sequence is like oxygen to the dancer ... something they can't or won't live without. Ballet is smooth and strong, pristine and powerful, romantic and riveting.

Even if you're not an avid fan, I'm sure you'll develop at the very least, respect for this most graceful of art forms where dancers bend their bodies in moves that would be painful for mere mortals, but that they make look so easy.

@highlight

In Russia there is a great respect for the heritage of ballet

@highlight

Mikhailovsky Theatre's new Artistic Director is Nacho Duato

@highlight

Duato is the first foreigner to lead a major dance company in Russia for over a century ago

@highlight

There is a great debate over the merits of contemporary ballet versus those of the classics