(CNN) -- The debate over funding for the Federal Emergency Management Agency continued Wednesday as federal officials traveled to New Jersey and New York to check on local recovery and response efforts after Hurricane Irene.

The agency's disaster relief fund has less than $800 million remaining and could run out before the end of the current fiscal year on September 30.

With conservative House Republicans, led by Rep. Eric Cantor, R-Virginia, calling for spending cuts to offset any increase in emergency funds -- a measure opposed by many Democrats -- the ability of Congress to act quickly on the issue remains uncertain.

"Right now, we're continuing our obligations to respond" with rescue operations and meeting the immediate needs of storm survivors, FEMA administrator Craig Fugate said Wednesday. The only thing the agency has done, he said, is state that it won't be able to fund permanent work from disasters that has not yet been started. "We are postponing the permanent work," he said.

But search-and-rescue teams are on the ground, he said, and food and water is being handed out to those in need. "This is a team effort," he said. "... Americans help Americans in disasters. We're doing our job. We're working hard."

Mayor Jeffery Jones of Paterson, New Jersey, said he was "outraged" about the funding dispute. "Mother Nature has a mind of her own, a will of her own, and we can't have the petty wrangling going on when we have folks in dire need," he said.

Gov. Chris Christie echoed those sentiments during a news conference Wednesday, saying, "We don't have time to wait for folks in Congress to figure out how they want to offset this stuff with the budget cuts. Our people are suffering now. And they need support now."

"Nobody that got hit with this flooding dodged a bullet," Fugate said Wednesday. "Loss of life, extensive damages, homes flooded. ... It may not have been as big a deal on the coast, but these flood areas definitely got hit hard."

Irene killed 43 people from Florida to New England as it marched up the Eastern Seaboard over the weekend, dumping torrential rain. Some of the worst flooding struck Vermont, New Jersey and upstate New York.

More than 1.8 million customers remained without electricity Wednesday from North Carolina to Maine, the U.S. Department of Energy said -- a decrease from the 2.8 million reported Tuesday afternoon. Outage figures include more than 366,000 in Connecticut and 323,000 in New York.

The Passaic River in northern New Jersey seemed to mock the town of Little Falls as the water surging through it looked more like Niagara Falls.

"Before Irene hit, the Passaic River was already running high from frequent precipitation this summer," Wheeler Antabanez of neighboring Montclair said.  "When the hurricane blew through and dumped all that water on north Jersey, the river began to rage."

About 1,700 residents were evacuated from their homes in Wayne, Totowa, Little Falls, Paterson and Woodland Park, said Edward O'Connell, a spokesman for Passaic County's Office of Emergency Management.

President Barack Obama will travel to Paterson on Sunday to view damage from Hurricane Irene, the White House announced.

Rescues were still taking place Wednesday, Jones said. "All it takes is someone to call and say they're under distress, and we and our boats are going out and taking people to safety," he said. City officials were opening schools and other facilities to serve as shelters, he said.

"It's been pretty much 24 hours a day," said Sgt. Alex Popov of the Paterson Police Department.

Once floodwaters begin to recede, the next step will include going house to house and checking furnaces, hot water heaters and other appliances to reduce the risk of explosions when they are restarted, Jones said.

Asked about those who did not heed an evacuation warning, Jones said, "I don't think folks were aware -- nor were we aware -- that it could get this extreme."

Flood warnings remained in effect for portions of New Jersey on Wednesday, along with parts of North Carolina, Virginia, Pennsylvania, New York, Connecticut and Massachusetts.

Also Wednesday, Obama signed disaster declarations for New Jersey, North Carolina and New York.

"I think the conversation of hype is being hyped," Connecticut Gov. Dannel Malloy said Wednesday on the debate over whether Irene was overhyped. "The reality is, the people of Connecticut are hurting. ... Although it's sunny outside, we're still experiencing the effects."

He said homes and infrastructure have been destroyed and the Connecticut River basin has experienced heavy flooding. Much of the damage is seen in the state's rural areas, he said. "We have farms that are under water."

Consolidated Edison reported that it met its goal to restore power to nearly all New York City customers by Tuesday night, New York Gov. Andrew Cuomo said in a statement Wednesday. Work to restore power elsewhere was ongoing Wednesday.

The full extent of Irene's destruction won't be known for some time. The federal government estimates that the cost from wind damage alone will exceed $1 billion. Analysts have put the total expected cost of Irene much higher.

Vermont transportation officials were able to make emergency repairs on roads to all but one of about a dozen previously isolated towns, officials said.

Air drops were being made to three towns. The National Guard is carrying supplies to other communities, said Mark Bosma, spokesman for Vermont Emergency Management.

Because the repaired roads are intended for emergency and supply delivery traffic, residents will have to wait for more permanent repairs to resume their old driving habits. That is expected to take at least several weeks or months in some cases.

"We've transitioned into the recovery stage for the most part," Bosma said. "The worst is over."

The Vermont Campground Association reported that only two of its seven member campgrounds suffered significant damage, and more than 70 campgrounds will be open for the coming Labor Day weekend.

"Some are cleaning up downed trees, but most are ready for visitors," said Peter Daniels, the association's executive director, in a prepared statement. Most roads leading to campgrounds are open, the association said. The two campgrounds that suffered extensive damage -- Camping on the Battenkill in Arlington and Abel Mountain Campground in Braintree -- remained closed.

Storm cleanup efforts also were ongoing in the Bahamas on Wednesday, a week after Irene struck there. The National Emergency Management Agency was coordinating the shipment of goods to Rum Cay, Cat Island, Crooked Island and Acklins, according to Bahamas Information Services. A shipment of goods from Jamaica was received by Mayaguana on Saturday.

Meanwhile, some of the areas that escaped Irene without major damage -- such as the state of Maryland -- still took a direct hit in the pocketbook.

Maryland lost more than $2 million in direct revenue over the past weekend, including an estimated $1.75 million in sales tax revenue and $150,000 in withholding taxes due to the evacuation of Ocean City, according to Maryland Comptroller Peter Franchot.

Officials estimated a $60,000 loss in gas tax revenue because of canceled weekend trips, and a loss of roughly $45,000 in toll revenue from the Chesapeake Bay Bridge. Additionally, Ocean City lost nearly $40,000 of admissions and amusement tax revenue from its many attractions and events

But Franchot did not question the decision to evacuate the town. "Given the disastrous impact of this storm on other parts of our country ... am profoundly grateful that Ocean City and the state of Maryland as a whole weathered this storm with minimal injury or loss of life," he said in a statement.

CNN's Mike Alhlers, Phil Gast, Ed Payne and Melanie Whitley and CNN iReport's Germain Perez and Katie Hawkins-Gaar contributed to this report.

@highlight

New Jersey Gov. Christie hits congressional budget disputes

@highlight

"We don't have time to wait for ... Congress to figure out how ... to offset this stuff"

@highlight

"Our people are suffering now. And they need support now," Christie says

@highlight

Power is restored to nearly all customers in New York City