(CNN) -- Photographer Arne Svenson's show, "Neighbors," consists of photographs taken of the residents of a building near his studio in New York through the windows of their apartments. A few residents, unaware they were being photographed, have raised objections. In this column, Svenson explains his process and his work.

My art practice has led me down many and varied paths of visual exploration -- from landscape photographs of Las Vegas to portraits of sock monkeys, chewed dog toys and medical museum specimens.

Currently, in collaboration with the Andy Warhol Museum, I am working on a long-term portrait project with a group of autistic teenagers. Given my background as a special education teacher, I find this a particularly rewarding homecoming.

First and foremost, my practice seeks out the inner life -- the essence -- of my subjects, whether they be human or inanimate. I use my camera as a writer uses text, to create a narrative that helps the viewer understand what might lie hidden or obscured. This narrative, at times only a whisper or suggestion, weaves throughout my bodies of work.

Some time ago, I began photographing the occupants of a neighboring building through the windows. I've lived in Tribeca, in Lower Manhattan, for 30 years, and have built my life and studio here. The area has gone through many changes, and I watched the building across the way built from the ground up. Made entirely of glass and steel, it offers residents views of the neighborhood -- and neighbors and passersby views into the apartments.

As people filled the empty units, I was intrigued not only by the implied stories within the frame of the glass but also by the play of light upon the subjects, the shadows, the framing of the structure. I don't photograph anything salacious or demeaning -- instead I record the turn of the head, the graceful arc of a hand, the human form obscured by drapery.

The photographs make up a show called "Neighbors," which opened a week ago at the Julie Saul Gallery in New York, and some people have raised concerns.

I am not photographing the residents as specific, identifiable individuals, but as representations of humankind. In fact, I take great care in not revealing their identity; the strength of the imagery comes from us seeing ourselves in the anonymous figures of "The Neighbors."

In New York, people are masters of being both the observer and the observed. We live so densely packed that contact is inevitable -- even our homes are stacked facing each other. It is no wonder that street photography was born in this city, and some of the best subjects and most famous works are the results of those who didn't know they were being photographed or painted.

"Neighbors" has sparked a good bit of conversation. While people differ in their opinions -- as most do when it comes to art -- I believe the images speak for themselves. I encourage everyone to draw their own conclusions after seeing the work.

The opinions expressed in this commentary are solely those of Arne Svenson.

@highlight

Fine art photographer Arne Svenson's artworks encompass many subjects

@highlight

Svenson photographed occupants of nearby building through the windows

@highlight

Their faces were hidden, but some objected because they were unaware of camera

@highlight

Svenson says portraits are powerful because we recognize ourselves in them