(CNN) -- Protesters are flooding the streets of New York and elsewhere -- chanting, blocking traffic and demanding change after the decision not to indict in the chokehold death of Eric Garner.

Demonstrators staged a "die-in" in Brooklyn, New York, late Thursday. They lay in the middle of Atlantic Avenue. An eerie silence descended as the protesters, who had cardboard coffins, stopped chanting.

The march was being led by three mothers, all of whom had lost a son to police. Protesters stopped other marchers from getting ahead of the women. They wanted them to walk in front.

"I'm so happy that people of all cultures, all ethnicities, came out to show their love and support, and basically we have to make a change because they're killing us off," a protester told CNN.

A part of the Brooklyn Bridge was closed. Protesters marched up Broadway, and police used pepper spray on the West Side Highway near Houston Street. The vast majority of the demonstrations were peaceful.

"What do we want? Justice! When do we want it? Now!" protesters shouted in New York's Foley Square.

They chanted Garner's final words: "I can't breathe!"

Garner, a black man, died in July after a white officer put him in a chokehold on Staten Island.

The case cracked open a wider discussion around policing practices in communities of color.

"I'm out here because the system has failed us too many times," Courtney Wicker, a protester, told CNN affiliate NY1. "It makes me feel like there's no justice."

Demonstrations also erupted in Boston, Washington, D.C. and Chicago, where they shut down one of the major roads downtown.

Robert Spriggs, 22, a young protester in Washington, told CNN: It feels like we're moving backwards, so if we have to march like it's the '60s, we will.

Earlier in Pittsburgh, protesters marched and lay down in the middle of a street.

"It's happening in every city, every town. It's happening here in Pittsburgh," Julia Johnson told CNN affiliate WPXI.

"Police are racially profiling people. They are harassing people," she said. "There is just no accountability and no justice for the victims."

The demonstrations raise the question: If the way we police in America is wrong, as many suggest, then what's right?

That's the problem police and communities now face in the wake of three high-profile investigations that, collectively, have sparked a national conversation around changing the status quo.

In Ferguson, Missouri, violence and chaos erupted after a different grand jury elected not to indict a white officer for killing a black teenager.

A nearly two-year investigation by the Justice Department revealed a pattern of excessive force by police in Cleveland.

And in New York, officials are still in the midst of grappling with what to do in the wake of Garner's death.

His encounter with Officer Daniel Pantaleo was captured on video.

Another video shows the dying man lying on the street for more than six minutes as officers calmly wait for an ambulance, showing no sign of urgency.

"Fundamental questions are being asked, and rightfully so, about how we respect peoples' rights -- how we reduce the use of force in the relationship between police and community, in each encounter between police and community -- how we get it right," New York Mayor Bill de Blasio said.

The mayor said: "This tragedy is raising a lot of tough questions. There's tremendous resolve here in this city to answer those questions, to get it right."

Feds launch civil right investigation

Pantaleo may not stand trial in Garner's death, but he's not off the hook.

Attorney General Eric Holder said that the U.S. Justice Department will conduct an "exhaustive and fair" civil rights probe into the incident.

The New York Police Department is taking a fresh look at the case as well, escalating its internal investigation of Garner's death by interviewing more officers. Even if it's not illegal, the city's police department patrol guide states its officers "will not use chokeholds," which it defines as any action pressuring the throat or windpipe.

"Whenever it becomes necessary to take a violent or resisting subject into custody, responding officers should utilize appropriate tactics in a coordinated effort to overcome resistance," the patrol guide says.

Once this investigation is finished, it's possible that a negotiated settlement will be reached or that there will be a department trial.

"If there's a finding of guilt, a decision will be made as to an appropriate penalty or discipline for that," said police Commissioner William Bratton, who would decide on the punishment.

Garner's family angry, calls for justice

So who was Eric Garner? Before his death at the age of 43, he was a father of six, as well as a grandfather.

He was also someone with a history of run-ins with the law, including 30 arrests. When police confronted him in July, they suspected that he was illegally selling untaxed cigarettes -- something for which he had previously been arrested.

But his family, and its supporters, can't understand how anyone could think officers' actions that day were justified.

Garner's mother, Gwen Carr, wondered how the grand jury -- which was of mixed race and heard from dozens of police and civilian witnesses between September 29 and December 3 -- could decide there wasn't "probable cause" for an indictment after seeing the widely distributed video.

And his widow, Esaw Garner, was angry that "somebody that gets paid to do right did wrong" and was not held accountable for it.

"But my husband's death will not be in vain. As long as I have a breath in my body I will fight the fight 'til the end," she added.

Battalions of police watching the protesters wore no riot gear Wednesday night in New York and refrained from the show of armored vehicles and assault rifles that appeared in the St. Louis suburb of Ferguson.

Officers -- on the lookout for people trying to block traffic for long periods of time -- ended up arresting 83 people. Bratton pointed out there was no violence, no vandalism, no looting.

This was no accident. Garner's family wanted it that way, with father Ben Carr telling a crowd outside the store where his son gasped in the chokehold, "We ain't tearing up nothing. We ain't burning up nothing... The police is our problem. No violence. That is all I ask."

Police union says officer just tried to tackle Garner

Pantaleo offered his condolences to Garner's family in a statement.

"I became a police officer to help people and to protect those who can't protect themselves," he said. "It is never my intention to harm anyone and I feel very bad about the death of Mr. Garner."

In addition to the internal investigation, Pantaleo has been the subject of two other lawsuits. In both, the plaintiffs allege false arrest, unlawful imprisonment, civil rights violations and other charges. One suit from 2013 was dismissed in January 2014, while the second, from February 2014, remains open.

Speaking specifically about the Garner case, Bratton said he understood people's anger over the scenes on the video, but that he also trusted the legal process and the grand jury's judgment in spite of the images.

"As much as we think video is the final determinant, it is not," he said. The grand jury saw much more evidence and argument than the public or he have seen, he said.

A judge ruled Thursday against releasing some of the testimony and evidence presented to jurors, one day after the Staten Island district attorney filed a motion asking for such a release, given the public interest in the case.

Certain facts about the jury, however, were released. It sat for nine weeks and heard from a 50 witnesses, including civilians, officers and medical personnel. Sixty exhibits were admitted into evidence, including four videos.

Pantaleo's police union defended his tackle, with Patrolmen's Benevolent Association President Patrick Lynch saying "it is clear that the officer's intention was to do nothing more than take Mr. Garner into custody as instructed and that he used the takedown technique that he learned in the academy when Mr. Garner refused."

"No police officer starts a shift intending to take another human being's life," Lynch said.

CNN's Ray Sanchez, Athena Jones, Brooke Baldwin, Kyung Lah, Sarah Aarthun, Catherine E. Shoichet, Dominique Debucquoy-Dodley, Shimon Prokupecz and Daniel Verello contributed to this report.

@highlight

Demonstrators block a major road in Chicago, stage a "die-in" in Brooklyn

@highlight

"I'm out here because the system has failed us too many times," a protesters says

@highlight

Demonstrators march in Pittsburgh, Boston, Chicago, Washington, D.C. and New York

@highlight

A jury opted not to indict a N.Y. police officer who had put Eric Garner in a chokehold