(CNN) -- After four years and more than $100 million spent by the international community, the Khmer Rouge Tribunal rendered its first verdict Monday.

Kaing Guek Eav, better known as Duch, was found guilty of war crimes and sentenced to serve up to 19 more years in prison in what was an open-and-shut case. From the start, Duch, a born-again Christian, fully admitted his leadership role in Phnom Penh's infamous Tuol Sleng, a school-turned-torture center, where more than 14,000 people were killed.

On this momentous occasion, I'd like to step back by reflecting upon and give voice to one victim of the Khmer Rouge: my late mother, Cam Youk Lim.

My mom passed away in October at the age of 73 in Northern California. When she was only 39, she had managed to outwit the Khmer Rouge and the Vietnamese communists by escaping Cambodia to Vietnam with five young children, including me.

She didn't live to see this day, but no matter, for her justice would inevitably be rendered the Buddhist way. She decided long ago the Khmer Rouge were Karmic pestilence who would pay the price for their crimes, if not in this lifetime, then in their next life.

She was an incredible woman. She grew up in an age and place when women were the property of men, and yet she sought independence. On her home was a sign "Propriété de Madame Lim" (Property of Mrs. Lim).

She married my father in the 1960s and on April 17, 1975, we ended up in Pursat province, where my father was made to work until he died.

One day, the Khmer Rouge chief told the village that Vietnamese citizens would be allowed to return to Vietnam. She decided to take a chance and claim to be Vietnamese. It was a dangerous gamble.

If it turned out that she was wrong, she would certainly have been killed. People in the commune warned her it might be a trap.

''Auntie, they're lying, they'll kill you when you go back there,'' they said. ''To stay is to die, to go is to die, so I might as well go,'' she told them.

As she arrived in the camp on the Cambodian border with Vietnam, she discovered that she'd given all the boys girls' names and all the girls boys' names. Her spoken Vietnamese was that bad.

But because of the kindness of a stranger, Mrs. Teuv, who pointed this out to her and then tutored her for the next couple of days, her Vietnamese improved so much that she passed the language test that the Khmer Rouge and the Vietnamese cadres gave her. Remember, if she failed, we would all be dead.

Imagine the courage it took for her to stand there and pretend to be someone she was not: Vietnamese.

On the day of the interview, she wrapped us in blankets and made us pretend to be sick so we would not be questioned. The Vietnamese cadre asked her: ''Sister what is your name?'' She answered in her best Saigon accent:

''My name is Nguyen Thi Lan,'' a name she'd given herself.

They kept asking whether my father, who had owned a small drugstore, had been a big shot. She stuck to her story. ''No, he was a trader, that's all.''

Read more about Sophal Ear and his family's journey

When at last she received permission to leave Cambodia, she was so happy. This chance to leave was like being reborn with all of her children.

On the boat to Vietnam, she was given rice and canned milk for me, as the baby. Without even warming it up, she fed it to me until I became bloated and sick. My sister Sophie cried: ''I want noodles! I want noodles!'' Mom had no money, so she sold her last ring and bought a pot and some three-layered pork fat to make our first real meal in six months.

It was her determination that allowed us to survive, for even after reaching Vietnam's Mekong Delta, we were not out of the woods. Vietnamese authorities told us to find family or we'd be taken to a collective farm, which wasn't much better than living under the Khmer Rouge.

As luck would have it, mom bumped into someone who knew her sister and brother-in-law, who lived in Ho Chi Minh City (Saigon). She asked that word be sent, and soon after, on a boat down the Mekong, her brother-in-law came to the rescue. He bribed guards to let us out in the middle of the night and in January 1976, we were finally safe.

Over the next two years, mom somehow managed to survive by her wits and the money another sister who lived in California sent her.

The next challenge was how to get out of communist Vietnam. Without diplomatic relations, the U.S. was impossible to reach after the Vietnam War, but France was an option. Getting to France in 1978 took a lot of work.

For one thing, mom had no direct family there, and someone with the same last name had to be found and persuaded to sign papers claiming a family relationship. After signing the papers, they got lost in the mail.

There again, a random person helped. A Frenchman forged signatures, cajoled and yelled at staff in a French government offices. He once demanded they reopen because, by his watch, it wasn't yet closing time.

In France, mom worked hard to sew fancy tablecloths and napkins with embroidered flowers. In 1985, she packed up her bags again and took her three youngest kids (Sam, Sophie and I were minors) to start a new life in the United States.

She worked as a seamstress in the garment factories of Oakland's Chinatown, making wedding gowns that had labels we'd never heard of, much less could afford. She used those same skills to make Sophie clothes that were just as good and custom-made.

All through this time, she pressed us to study in school and to go on to college.

She was not interested in a life of quick riches. Cutting school short to work was out of the question. She believed in education, and for her, education was not only about making money, it was about learning how to think. All this was from a woman who had seven years of formal schooling.

Somehow, she didn't need any more to know that our responsibility was to get an education. And we did. Sam graduated from San Francisco State University and now works as a software engineer. Sophie finished UC San Francisco as a pharmacist. I received my UC Berkeley PhD and became a professor.

The Talmud says that if you save a life, you save the world. The Chinese have another proverb: "When you save a life, you are responsible for that life."

My mom saved six lives from the Killing Fields, and with 14 grandkids and counting, she has saved 20 lives to date.

I say counting because two days ago, I learned that my wife is expecting our second child. Thanks, mom, for helping to bring new hope into this world.

The opinions expressed in this commentary are those of Sophal Ear and do not necessarily reflect the views of the Department of the Navy, the Department of Defense or the U.S. Government.

@highlight

A tribunal has begun prosecution of crimes committed by the Khmer Rouge regime

@highlight

Sophal Ear says his mother, who fled Cambodia, believed killers would pay for their crime

@highlight

She and her children were able to escape from Cambodia by posing as Vietnamese

@highlight

Ear's mother worked hard in France, U.S., to make sure her children got a good education