Hong Kong (CNN) -- As "Black Friday" follows Thanksgiving in the United States, "White Day" follows Valentines Day in Japan.

Card makers, retailers and advertisers have young people planning weeks ahead to make their "Friendship Day" buys in India, clicking their favorite online purchases on "Singles Day" in China, and even eating their hearts out at fast-food giant KFC in Japan for Christmas.

Much as Thanksgiving has spurred businesses to create Black Friday (and now Gray Thursday and Cyber Monday) to get shoppers into stores, countries around the world have turned average dates on the calendar into must-buy events.

We take a look at a few such engineered days that promise love and happiness through retail therapy -- and, of course, profits for the companies behind it.

White Day, March 14: Japan, South Korea and Taiwan

Cupid aims his bow and arrows a bit differently in Japan and reverses the western ways of lovers.

On Valentine's Day, or Barentain Dei in Japan, women indulge their significant others with gifts and chocolates. And so, on White Day, celebrated exactly a month after Valentine's Day in February, men are supposed to return the favor of love and the giri choco, or obligation chocolates.

White Day was first observed over 30 years ago by Japanese confectionary companies, according to Japanese media. In a ploy to boost marshmallow sales in the country, they started encouraging men to gift them to their female lovers, as a symbol of gratitude.

Today, the Valentine's return-gift can be anything white -- white chocolate, jewelry, lingerie, flowers -- not just gooey and tender marshmallows.

This holiday for the heart has now spread to South Korea and Taiwan.

Friendship Day, first Sunday of August: India

While July 30 is the official, recently-declared United Nation's "International Day of Friendship," India celebrates it a few weeks later.

The origins of Friendship Day in India though, are fuzzy at best. Some say the choice of day was cooked-up by Hallmark-founder Joyce Hall. Wherever the holiday came from, India's burgeoning youth and aspiring middle-class have welcomed it with open arms.

It is frequently featured in Bollywood movies too. Typically, friends -- platonic or romantic -- exchange the popular friendship bands, woven hemp or jute bands meant to be tied on your friends' wrists.

Retailers start their Friendship Day campaigns and deals weeks in advance. Flower vendors, restaurants, stores and e-commerce portals willingly add to the pomp and show, according to local media.

On the day, the streets of urban India are teeming with young men and women on motorcycles, huddled in the popular markets, cafes and malls, celebrating this annual fÃªte.

Archies (Hallmark's India partner), a leader in India's "Social Expressions Industry" with over 50% of the market share, has seen a continuous increase in its gift sales segment but a weakening greeting cards segment.

Click Frenzy, November 20-21: Australia

In Australia, online retail trade site Power Retail launched a 24-hour sale website called "Click Frenzy" as the country's version of "Cyber Monday."

The newcomer to this slew of commercial holidays was launched on November 20 at 7 p.m. local time and it was the first online shopping event in Australia. Clickfrenzy.com.au aimed at aggregating and posting deals from over 200 retailers and redirecting shoppers to company websites of participants such as Dan Murphy's, Camera House, Lenovo, Fila, Expedia, Dick Smith, Clinique, Roxy and Dell.

On the big day, the website experienced technical glitches and crashed under volumes of traffic. Organizer Grant Arnott apologized to shoppers for the inconvenience on its Facebook page . The Australian National Retail Association told the Australian Financial Review that technical difficulties like this were common to many big sales overseas.

Click Frenzy generated a 200% increase in revenue for some retailers that participated, according to Arnnet, an Australian IT industry news website. The eWay payment gateway reported a 240% increase in the worth of goods purchased in those 24 hours when compared to the same time the previous week.

Retail names Target, Chemist Warehouse and Dick Smith Electronics saw a surge in online traffic during the limited period, with boosts of 160,000, 120,000 and over 90,000 visits to their sites compared to the Monday before the sale, according to a local marketing and advertising industry publication.

The debacle still spawned a fury online from the public, with the #clickfail hashtag trending heavily on Twitter.

Singles Day, November 11: China

China, too, has its own shopping holiday called "Singles Day" which also takes place on the November 11. Local reports say the day is dubbed as China's busiest online shopping day.

It originated in the 1990s with college students who were inspired by the date as when written numerically (11/11), represent four single people. "Singles Day" is China's version of Valentine's Day for people without romantic partners who treat each other to dinners and gifts bought online.

Companies that cash in on "Singles Day" include Alibaba Group. Over 10 million people shopped on Toabao, a subsidiary company of Alibaba. Another online retailer, Tencent's 51buy saw a seven-fold increase in trade since last year, according to the Financial Times. T-mall, an online sales platform said its sales reached 13.2 billion yuan (US$2.1 billion).

It's also a testament to China's growing online market. China's online shopping population outranks the U.S. with 193 million versus 170 million, according to the Boston Consulting Group.

KFC Christmas, December 20: Japan

An unusual custom of eating KFC for Christmas has made its roots in Japan. The American fast-food chain has become synonymous with Christmas dinners in the country and orders are placed as early as December.

It all started when a western man in Japan substituted KFC chicken for turkey in his Christmas meal in the early 1970s, according to the company. In 1974, the company launched the "Kurisumasu ni wa Kentakki" (Kentucky for Christmas) campaign and the finger licking tradition has stuck ever since.

The marketing tactic has proved so successful for the fast-food chain that KFC's Christmas meals can be ordered up to two months in advance, according to the Financial Times.

KFC has a special Christmas menu, offering roast chicken, smoked chicken and barbeque chicken for the limited period.

Buy Nothing Day, last Saturday in November: International

A day to trump them all has also taken shape -- "Buy Nothing Day" -- to counter the global and manic consumer.

Created for people to oppose retailer-driven consumerism, the day was first observed in Mexico in 1992, and later in the U.S. in 1997, according to its organizers. In the U.S., it is the day after Thanksgiving and is meant to offset Black Friday. Internationally, it is celebrated on the last Saturday in November.

Proponents of Buy Nothing Day cite various ethical, environmental, personal, and moral reasons to dissuade shoppers.

"Everything we buy has an impact on the environment," according to the UK-based Buy Nothing Day website. "Buy Nothing Day highlights the environmental and ethical consequences of consumerism."

The Canadian not-for-profit, Adbusters Media Foundation is one of the main campaigners for what they call "A 24-hour moratorium on consumer spending."

People are encouraged to cut up their credit cards, participate in zombie walks (wandering around shopping malls with blank stares), go on Buy Nothing Day hikes, Buy Nothing Day paddles, and basically, buy nothing.

@highlight

Thanksgiving has spurred businesses to create versions of Black Friday's globally

@highlight

Artificially-engineered days that promise love, happiness and profits through retail therapy

@highlight

A day to trump them all has also taken shape to counter the global consumer