New Haven, Connecticut (CNN) -- Americans were enthralled by fake reports of an alien invasion in the Orson Welles "War of the Worlds" radio broadcast on Halloween Eve in 1938. Hundreds of science fiction movies from the 1902 silent epic "A Trip to the Moon" (featured in the current film "Hugo") to "Star Wars" to this year's "Cowboys and Aliens" have fed a deep curiosity about intelligent beings elsewhere in the universe.

Hang on to your hats, because reality is starting to catch up.

On Tuesday, scientists reported evidence from the Kepler satellite that two Earth-sized planets are orbiting a nearby star about 1,000 light years from earth -- practically our back yard compared to the extent of our Milky Galaxy, but far too distant to visit with current spacecraft.

These planets, named Kepler 20-e and Kepler 20-f, have sizes and masses similar to the Earth, and their host star is similar to our sun. But the resemblance ends there. Both orbit very rapidly -- in 6.1 days and 19.6 days, respectively, compared to 365 days for an Earth year -- so both are much closer to their star than the Earth is to the sun.

This makes both planets way too hot to support life as we know it. Still, the pace of planet discovery is astonishing. Sometime in the next few years, scientists will likely discover Earth-like planets that are capable of supporting life.

Our sun is just one star among the hundreds of billions that make up the Milky Way galaxy, which itself is only one of hundreds of billions of galaxies in the universe. Over the last 15 years, astronomers have found hundreds of planets orbiting stars in our corner of the Milky Way and the list will pass 1,000 next year.

Planets are plentiful. Discoveries of planets are limited only by the capabilities of current telescopes and instruments and by the time needed to sample several full orbits of a planet around its host star.

Most "extra-solar planets" (or "exoplanets") have been found by measuring tiny Doppler shifts (wavelength shifts) in the light of the host star. With this method it is easier to find heavy planets than light ones, and easier to find planets in close rather than distant orbits. So most of the planets found so far are big ones, similar to Jupiter or Neptune in our solar system, only orbiting much, much closer than the Earth to their host star. This is kind of like surveying your neighborhood for sumo wrestlers: You find far fewer than the number of other people who live there, and way fewer than the population of the world. So the 716 known exoplanets are just the tip of the iceberg.

The Kepler satellite uses a different method, based on transits of planets across the face of their host star. Visible light from the star dims very slightly, typically by 0.01% or less for an Earth-sized planet passing in front. Thus Kepler finds planets regardless of mass, although it more easily sees large planets (which cover more of the star's surface and thus diminish the light more) and it only sees planets that cross the star as seen from the Earth (which most planets don't).

By the way, you can help make these discoveries. At www.planethunters.org, a citizen science project started by colleagues of mine at Yale, anyone can search the Kepler data for signs of new planets. In particular, users might find unusual systems that the Kepler computer algorithms don't search for. (For a fun Christmas holiday interpretation of the Kepler plots of star brightness over time, see this video.)

"Life" can mean anything from single-celled organisms to a walking, talking homo sapiens, or possibly something much stranger. For now, scientists are focusing on conventional carbon-based life because its signatures are well known.

Such life requires liquid water, meaning a temperature between freezing (32 F) and boiling (212 F). Planets too close to their star will be too hot, like the sweltering surface of Venus, which approaches the 800 degree Fahrenheit temperature of Kepler 20-f. Planets too far away have frigid surfaces, like Europa, a moon of Jupiter.

Temperatures that allow water to be liquid define the so-called "habitable zone" -- like Goldilocks' favorite porridge, planets in the habitable zone are not too hot, not too cold, but just right for life.

We haven't yet found definitive signs of life elsewhere in the universe. But we can estimate that even the narrowest case of carbon-based life on an Earth-like planet orbiting a sun-like star in the habitable zone is likely, because planets are probably common around such stars, sun-like stars are common in our galaxy, and our galaxy is similar to many throughout the universe.

We also know the building blocks of life -- amino acids and other organic compounds -- form naturally from carbon, water and energy, as the chemists Stanley Miller and Harold Urey first showed more than 50 years ago.

Sadly, although life is likely to exist on exoplanets throughout our Milky Way galaxy, intelligent life is another thing altogether. Humans have lived at most a few hundred thousand years out of the Earth's 4.6 billion year history -- or less than 0.006% of the available time. In contrast, simple single-celled organisms probably formed several billion years ago, and thus have populated the Earth for more than three-quarters of its existence. This means it is overwhelmingly likely that the life we find elsewhere will be extremely primitive.

Face it: We're not going to be IM'ing with aliens, nor should we expect an invasion or a rendezvous in outer space.

For now, we're just looking for cells breathing and multiplying. Not "Another Earth" -- more like "The Blob" (or, "The Green Slime").

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

Scientists announce the discovery of two Earth-sized planets

@highlight

Meg Urry says they're too close to their star to host life as we know it

@highlight

She says planets like Earth likely will be discovered in the "habitable" zone

@highlight

Urry: Life is likely to exist on some planets in Milky Way galaxy