(CNN) -- On February 26, 2012, George Zimmerman, a Hispanic Neighborhood Watch volunteer at the Retreat at Twin Lakes housing complex in Sanford, Florida, shot and killed Trayvon Martin, an unarmed African-American 17-year-old.

Initially, Zimmerman was not arrested, and no charges were brought against him. Rallies, protests and a media firestorm followed, even eliciting a comment from President Obama that "If I had a son, he'd look like Trayvon."

The Rev. Al Sharpton came to Sanford and admonished residents that they were "risking going down as the Birmingham and Selma of the 21st century" if nothing was done.

Benjamin Crump, one of the attorneys representing Martin's parents and an instrumental advocate for bringing charges against Zimmerman after they were initially declined, maintains that the case is about civil rights.

Whether the killing turns out to have been racially motivated, responded to in self-defense, the act of a resident concerned about the safety of his neighborhood or the act of a trigger-happy cop wannabe, race is an inescapable issue.

In 2012: Did politics drive prosecution in Trayvon Martin case?

Sanford is the county seat of Seminole County, Florida. Although it experienced explosive growth during the economic boom and has several large, modern upscale subdivisions, it remains relatively poor.

With approximately 54,000 residents, it has a per capita income of only about $21,000, with about 18.5% of the city below the poverty line, according to the 2010 census. It is approximately 30% African-American and 20% Hispanic. It has a documented history of racial tensions between its police and its black residents.

Contrast this with Seminole County. Seminole County is more than 80% white (including white Hispanics) and only about 11% black. Overall, only 10% of the population is below the poverty line, and that factors in Sanford.

If Sanford is removed from the equation, Seminole County is overall a very affluent county, predominantly white and Republican and filled with pockets of substantial wealth and gated subdivisions. Seminole County has become more suburban, and as growth has skyrocketed, the white population has diluted the strength of Sanford's African-American vote and diminished its influence in elections.

The prosecution of Zimmerman in the Martin killing has become a lightning rod for the racial discontent that has long been brewing in Sanford. Many are invested in believing this case to be representative of the bigotry that sadly still exists in certain quarters of the town.

In 2012: Trayvon Martin shooting wasn't a case of racial profiling

A history of police indifference and societal prejudice has allowed this case, rightly or wrongly, to become the symbol for many of all things wrong with the criminal justice system and its treatment of blacks over the years, not only in Sanford but in many places throughout the country. It's a large part of the reason that there has been so much inflammatory rhetoric and passion attached to this case.

As you see the lawyers from each side pick a jury over the next week or two, don't believe for a second that they are unaware of the strong racial issues that divide opinions.

A deadly combination - guns and 'stand your ground'

The chances of the defense seeking a black juror, especially one from Sanford, are slim. Conversely, the prosecution will do all it can to select such a juror. Neither will acknowledge that race is a factor in their selection, but they know the history, the passions and the statistics. Don't kid yourself for a minute that they don't.

The opinions expressed in this commentary are solely those of Mark NeJame.

@highlight

Race has been an issue in the Trayvon Martin killing since the incident

@highlight

Mark NeJame says lawyers may deny it, but they will focus on race in picking a jury

@highlight

Sanford, Florida, has a history of racial tension, he says

@highlight

NeJame: The prosecution of George Zimmerman has become a lightning rod for that tension