The sister of a U.S. citizen sentenced to 15 years in a North Korean labor camp defended her brother Thursday, asking leaders of both nations to "please, just see him as one man."

Pae Jun Ho, known as Kenneth Bae by U.S. authorities, was found guilty of unspecified "hostile acts" against the reclusive Stalinist state, the North's state-run Korean Central News Agency reported. KCNA said the Korean-American was arrested November 3 after arriving as a tourist in Rason City, a port in the northeastern corner of North Korea.

North Korean law allows up to 10 days of processing before a sentence is enforced, so it wasn't immediately clear when Bae would report for hard labor, or where he was being held in the meantime.

"We just pray, and ask for leaders of both nations to please, just see him as one man, caught in between," Terri Chung, Bae's sister, told CNN's Anderson Cooper 360. "He's a father to three children, and we just ask that he be allowed to come home."

She said her family has spoken to Bae once in the last six months. Sounding "incredibly calm under the circumstances," he called last week and tried to reassure family members, but they are devastated, Chung told Cooper.

"You know, Kenneth is a good man; he's not a spy. He has never had any evil intentions against North Korea, or any other country for that matter," she said.

Bae is the owner of a tour company and was in North Korea for work, according to Chung.

"He didn't have any problems going there last time, last year five times, so he didn't have any reason to suspect that there would be any trouble this time around," she said.

Her brother's case raises the possibly of another delicate diplomatic dance over an American captive.

In previous instances, North Korea has released Americans in its custody after a visit by some U.S. dignitary -- in recent cases, former Presidents Jimmy Carter and Bill Clinton.

But Bae's case could get caught up in the recent tensions between the Democratic People's Republic of Korea, as the North is formally known, and the United States.

"You all are aware of the history and how this has happened in the past with U.S. citizens," State Department spokesman Patrick Ventrell told reporters in Washington. "But what we're calling for and we're urging the DPRK authorities to do is to grant him amnesty and to allow for his immediate release, full stop."

Ventrell said the State Department is still trying to confirm details of the case through Swedish diplomats who visited Bae last week. Sweden represents U.S. interests in North Korea because Washington has no diplomatic relations with Pyongyang.

"We've had longstanding concerns about the lack of transparency and due process in the North Korean legal system," he said. "So now that Mr. Bae has gone through a legal process, we urge the DPRK to grant him amnesty and immediate release."

U.S. officials have struggled to establish how exactly Bae fell afoul of North Korean authorities. The North Korean statement on his conviction provided no details of the allegations against him.

"This was somebody who was a tour operator, who has been there in the past and has a visa to go to the North," a senior U.S. official told CNN on Monday, speaking on condition of anonymity because of the diplomatic sensitivity of the issue.

Read more: The North Korea we rarely see

The news comes on the heels of weeks of superheated rhetoric from North Korea, which conducted its third nuclear test in February and launched a satellite into orbit atop a long-range rocket in December. Washington responded by deploying additional missile interceptors on the West Coast, dispatching a missile defense system to the Pacific territory of Guam and bolstering annual U.S.-South Korean military exercises with overflights by nuclear-capable B-2 and B-52 bombers.

But the intensity of the North's rhetoric appears to have subsided recently, and the U.S.-South Korean drills finished this week, removing another source of friction.

Read more: Why I fled North Korea

Previous situations involving Americans arrested in North Korea have usually been resolved with a red-carpet appearance by a prominent former official.

In 2010, former President Jimmy Carter secured the release of Aijalon Mahli Gomes, a former English teacher who had been sentenced to eight years of hard labor for entering the North from China.  In 2009, the North freed American journalists Laura Ling and Euna Lee to former President Bill Clinton. Ling and Lee had been arrested while reporting from the North Korean-Chinese border and sentenced to 12 years in a labor camp.

Analysts say high-level visits are a show of respect toward Pyongyang, a propaganda boost for the North that gives it a face-saving way to release a captive. In 2009, North Korean officials rejected several lower-level envoys before settling on Clinton, who sat for three hours of dinner and photos with then-North Korean leader Kim Jong Il.

In one recent case, however, North Korea released an American prisoner without any apparent U.S. intervention. Robert Park had been arrested after crossing into the North to bring "a message of Christ's love and forgiveness" to Kim Jong Il in December 2009; he was released the following February, after what the state-run news agency KCNA called an "admission and sincere repentance of his wrongdoings."

CNN iReport: Our global fear and fascination

But a visit to Pyongyang in January by a delegation led by Former New Mexico Gov. Bill Richardson and Google Executive Chairman Eric Schmidt didn't appear to make any breakthrough in Bae's case.

The State Department had objected to the delegation's trip, saying it was ill-timed. The visit took place about a month after North Korea had launched a long-range rocket that put an object in orbit and prompted condemnation from the international community.

North Korea is considered to have one of the most repressive penal systems in the world. Human rights groups estimate that as many as 200,000 people are being held in a network of prison camps that the regime is believed to use to crush political dissent.

The United Nations Human Rights Council said in March that it would set up a commission of inquiry to examine what it called "grave, widespread and systematic" violations of human rights in North Korea.

North Korea reacted to the move with indignation, saying it had "one of the best systems for promotion and protection of human rights in the world."

Why is North Korea cooling it?

@highlight

Terri Chung asks leaders of both nations to see her brother as just "one man"

@highlight

He is known in the U.S. as Kenneth Bae and is referred to as Pae Jun Ho by North Korea

@highlight

The U.S. State Department demands Bae's release, "full stop"

@highlight

North Korean state media report he committed "hostile acts" against the state