(CNN) -- Think of the Arab souk -- the fabled marketplaces of the Middle East -- and it immediately conjures up images straight from the Arabian Nights: mountains of yellow turmeric, shafts of light through lattices and the air thick with incense smoke.

These powerful associations have not been lost on the team from the United Arab Emirates that last month won the bid to host the World Expo 2020; exhibitors making the journey to Dubai in seven years will be setting up their pavilions in the biggest souk in history.

The 438-hectare site at the Dubai Trade Center, Jebel Ali, will be one of the largest ever developed for a World Expo.

Created in an empty desert area between Dubai and Abu Dhabi, the vast zones of the structure -- each one representing the bid themes of sustainability, mobility and opportunity - are inspired by the labyrinthine galleries of the souk.

At the core of the site will be an open plaza called Al Wasl --Arabic for "the connection" -- to fit with the Expo theme of "Connecting Minds, Creating the Future."

Certainly in terms of Expo history, Dubai has a tough act to follow.

Previous Expos have famously given the world the Eiffel Tower and unveiled products as important as the telephone and as ubiquitous as Heinz Tomato Ketchup

For Greg Lindsay, co-author of "Aerotropolis: The Way We'll Live Next", the Expo proximity to the new Al-Maktoum International Airport and Dubai World Central development is especially significant.

"(Dubai World Central) is the best organic example of an 'aerotropolis,'" says Lindsay, whose book puts the case that modern globalized cities such as Dubai are built around, and feed off, airports in much the same way as cities in the 19th century were built around the railways.

"In 1990, there was nothing really there ... it was the strategy of Emirates and the civil aviation authority to make Dubai the crossroads of the world.

"I do think winning the Expo will be a huge catalyst for its development," he said.

Hub for a new Silk Road

What can be said of Dubai World Central also holds for much of Dubai too. A generation ago, it was just a modest regional entrepot. Today its strategic position between East and West has made it one of the world's key hubs in the globalized economy.

According to Afshin Molavi, a global geo-economics specialist and senior advisor at Oxford Analytica, Chinese businesses use Dubai as a hub for Africa, Indian traders use the city to access markets across the world and Western multinationals see Dubai as a hub for the Middle East.

"Dubai sits at the intersection of one of the most transformative moments in geo-economic history in more than a century: the gradual but inexorable shift of the economic center of gravity from the West to emerging markets and the rise of the so-called "South-South" trade," Molavi said.

"I would argue that Dubai and the UAE stand at the center of 'The New Silk Road' of trade between the Middle East and Asia, and also what HSBC calls 'The Southern Silk Road' linking Latin America, Africa, and Asia in a new world of trade."

Read more: Middle East's big aviation ambitions

By the year 2020, economists estimate emerging markets will account for roughly half of global GDP, a dramatic leap from just 15% in the 1980s.

In terms of air traffic alone, Dubai 's importance as a hub cannot be underestimated. Just four hours' flight from key cities in both Europe and Asia, there are now more flights from India to Dubai than anywhere else in the world and, in the other directions, more than 300 flights weekly from Dubai to India.

Inflating property bubbles?

Despite its position at the center of a region undergoing massive change, the successful Expo bid has raised concerns that Dubai may become a victim of its own success.

Regional instability combined with rapid development has led to one of the world's most volatile property markets.

Already a magnet for the super-rich, real estate prices are now underpinned by Syrian, Libyan and Egyptian investors sitting out political troubles at home. According to property analysts, prices have already surged 20% since last year and rents in some neighborhoods are up by 40%.

Read more: Oxford, Yale or Abu Dhabi?

Dubai estimates its successful Expo 2020 bid will generate US$23 billion, or 24% of the city's GDP, between 2015 and 2021.

With memories still fresh of the bust in 2008 when property prices were slashed by 50% and Dubai had to be bailed out by Abu Dhabi to the tune of US$10 billion, some fear that another massive correction is on the way.

Faris Mansour, director of Mubadala Pramerica Real Estate Investors, told the Cityscape Global conference in Dubai recently that the city should brace for another fall.

"The (investment) capital is temporary and can quickly move out," Mansour warned. "And that's not to say it will fall necessarily as it did before. But it will fall, it will correct and this is something we should all expect to happen and I expect it to happen in the next 18 to 24 months... as capital becomes more expensive globally."

Despite the dire warning, many believe the Expo -- far from creating a bubble - will underpin property prices for many years to come in a city that recovered from the crisis in 2008 faster than anyone expected.

For Molavi, Dubai's real economic resource lies in its people and its position at the crossroads of the world.

"Dubai might be one of the most hyper-connected places on the planet," he said. "You can see it on the streets and in the malls. There are not many places where you can mingle with more than 200 different nationalities."

@highlight

Dubai won the bid to host World Expo 2020

@highlight

Site will be built upon 438 hectares between Dubai and Abu Dhabi

@highlight

Pavilions will be located in a giant, futuristic souk

@highlight

Some question impact Expo will have on property prices and development in the emirate