(WIRED) -- You want it. You want it desperately. You want it desperately, but you don't even know what it is.

Such is consumer desire for 4G data connectivity in mobile handsets. Call it proof positive that the phone carriers' marketing efforts have paid off -- this despite slow 4G infrastructure roll-outs, and actual 4G data rates that fall far, far below the promise of the 4G spec.

In-Stat, a market research firm, recently announced that 75% of more than 1,200 surveyed consumers listed 4G as one of the features that an "ideal" phone would include. The survey also found that most consumers don't know which carrier offers the fastest 4G speeds -- immediately begging the question, "Would a consumer even recognize a 4G connection if it hit him or her in face?"

4G is definitely a relevant smartphone feature. But the disparity between consumer knowledge and consumer desire is troubling, and may stem from the way that 4G technology is being advertised.

4G networks are currently underdeveloped, but carriers have been strongly pushing their networks nonetheless. And although carriers are marketing their 4G networks and 4G handset offerings nationwide, the actual availability of 4G services varies widely.

For example, AT&T's brand-new LTE network is only available in five urban markets (though the carrier does plan to cover 80% of the populace by 2013). Verizon's LTE network, which currently features the fastest network speeds in the U.S., covers 88 markets. It's a large number, yes, but Verizon's LTE network is available to just 110 of the nation's estimated 307 million people. That's around 33% of the U.S. population, a far cry from the reported 75% who crave a 4G device.

CNET has compiled a useful chart of U.S. markets that are supported by at least one 4G provider. Coverage looks substantial at first glance, but for those in more rural areas -- or even metropolitan locales like San Francisco, which suffers extremely spotty coverage -- reliable 4G access is still a few years away.

And spotty coverage isn't the only factor contributing to consumer confusion. Get this: A significant portion of people who own a 3G device mistakenly think they have 4G hardware. A July survey by Retrevo found that an astonishing 34% of iPhone 4 owners thought they had a 4G phone. These customers were probably confused by their iPhone's "4â€³ designation, as well as the fact that the official definition of 4G is a moving target, and Apple has claimed "4G-like" speeds.

But iPhone owners aren't alone in their misconceptions. In that same Retrevo survey, a quarter of BlackBerry owners thought they had a 4G phone, when at the time of the study, there was no 4G BlackBerry handset yet available!

"To be quite frank, there is no definition for what 4G is," Gartner analyst Michael King says. "Most LTE networks are pretty new, and there's not much to compare it to." This leads to even more confusion, particularly regarding what levels of speed users should be expecting from 4G service (which we'll get into soon).

Regardless, carriers have successfully managed to brand the term "4G" into our brains through successful advertising techniques.

"The industry has done a great job of associating 4G with the things a customer wants to do, but haven't been able to accomplish with 3G," iSuppli analyst Francis Sideco says. Those things include real-time gaming, streaming video and the ability to make video calls. "Marketing has focused on what you can do with it, rather than on technology for the sake of technology," Sideco says.

This approach stands in stark contrast to the confused messaging of 3G rollout campaigns, circa 2008. Back then, carriers touted improved data speeds, but many consumers didn't understand what those data rates could be used for -- completely understandable considering the relatively small installed base of smartphones in that quaint era of feature phones.

But that was 2008. Today, a boatload of 4G phones are now available, with new ones popping up with increasing frequency. This morning, AT&T announced its first two LTE handsets, the Samsung Galaxy S II Skyrocket and HTC Vivid. The HTC Vivid has a 4.5-inch, 540 x 960 display and a dual-core 1.2 GHz Snapdragon processor. The Skyrocket is AT&T's version of the popular Galaxy S II, which has a 4.5-inch, 480 x 800 Super AMOLED Plus display, and a 1.5 GHz Exynos chip. Both run Android 2.3 (Gingerbread) and will be available Nov. 6.

With consumers clamoring for 4G handsets, carriers must be able to follow through with their 4G promises -- and that means improving on two key 3G performance pain points: throughput and latency.

Throughput is the spec everyone usually talks about. Measured in bits per second (or megabits per second in the case of 4G), this spec describes just how much data can be sent through a carrier's network in a fixed time period -- that is, a second. This number refers to pure network speed -- and everyone wants speedier data service, hence everyone's preoccupation with throughput.

Latency, meanwhile, describes the time delay between when a mobile device "pings" a network and when that network actually responds. High-latency networks cause a host of problems -- most significantly, streaming video that stutters along in fits and starts. When network latency is low, however, real-time applications like video chat really begin to sing.

Bottom line: Even if you've got the fastest throughput imaginable, high latency levels will prevent you from enjoying video calls and and other types of streaming video.

Current 4G throughput speeds -- whether you're talking about LTE, WiMax or the not-quite-4G HSPA+ -- are definitely slower than what could be theoretically accomplished, but Sideco says that will always be the case. The theoretical speeds of 21 Mbps for HSPA+ and 70 Mbps for LTE could only be achieved in absolutely ideal conditions (for example, if you're standing right next to a cellphone tower, or you're the only one using the network).

But that's OK, as carriers aren't even saying they can achieve these spec-topping speeds. On Sprint's WiMax network, you're promised 3- to 6-Mbps download speeds; on Verizon's LTE, 5- to 12-Mbps download speeds; and with HSPA+, 5- to 10-Mbps download speeds (AT&T specifies 6 Mbps).

All of these real-world numbers fall far short of 4G's theoretical benchmarks. But don't stress out. As long as consumers know what they're really getting, they can make the informed decision to upgrade to a 4G phone and network.

Or not.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Survey finds 75% of consumers list 4G as one of the features that "ideal" phone would have

@highlight

4G networks are currently underdeveloped, but carriers have been strongly marketing

@highlight

AT&T's brand-new LTE network is only available in five urban markets

@highlight

Verizon's LTE network is available to 110 of nation's estimated 307 million people