WASHINGTON (CNN) -- A proposed health-care compromise by the powerful chairman of the Senate Finance Committee lacks a government-run insurance option favored by Democrats and would tax the most expensive health insurance plans, a source close to the discussions told CNN Monday.

Sen. Max Baucus, D-Montana, is the powerful chairman of the Senate Finance Committee.

As expected, the proposal from Sen. Max Baucus, D-Montana, excludes the public insurance option to compete with private insurers. However, it would allow for the creation of nonprofit health care cooperatives -- an idea that some moderate Democrats and Republicans have expressed possible interest in supporting.

The potential compromise proposal was sent to key Finance Committee negotiators Saturday night. It is considered a last-ditch effort to secure Republican votes for a health-care bill as President Obama pushes the issue with a planned speech to a joint session of Congress on Wednesday night.

So far, none of the three Republican senators involved in talks with Baucus on the compromise have indicated whether they support the version he is proposing.

Congressional liberals are pushing strongly for inclusion of a public option; conservatives are sharply opposed. Obama has said he supports a public option but has not clearly indicated he will veto a bill that fails to include it.

On Monday, Obama reiterated his support for a public option in a Labor Day speech to a union gathering in Cincinnati. He outlined Democratic health-care proposals that include a public option as part of a menu of insurance choices, including private health-care plans, that the legislation would create.

"I continue to believe that a public option within that basket of insurance choices would help improve quality and bring down costs," Obama said to loud cheers.

The president also indicated he would push hard for the House and Senate to move forward on passing health-care legislation in his upcoming address to Congress.

"The Congress and the country have been engaged in a vigorous debate for many months," Obama said. "And the debate has been good, and that's important because we have to get this right.

"But every debate at some point comes to an end," he continued, to growing applause. "At some point, it's time to decide. At some point, it's time to act. And Ohio, it's time to act to get this done."

Baucus' bill would cost less than $900 billion over 10 years, according to the source who spoke to CNN. The price tag is at least $100 billion less than any other health-care reform bill under consideration by Congress, the source said.

As with other reform proposals, the bill would bar insurance companies from dropping a policyholder in the event of illness as long as that person has paid his or her premium in full. It adds new protections for people with pre-existing conditions and establishes tax credits to help low and middle-income families purchase insurance coverage, the source noted.

It creates health insurance exchanges to make it easier for small groups and individuals to buy insurance.

The bill would be paid for, in part, by a new tax on health insurance companies that provide high-end "Cadillac" insurance plans, the source added.

Supporters of such a tax -- initially proposed by Massachusetts Sen. John Kerry and other Democrats several weeks ago -- say will it help curb the cost of health care by discouraging employers from offering such plans. They also argue that consumers, in turn, will be discouraged from overusing the health care system.  Watch senators discuss health care talks »

Critics claim the new tax will cause insurance companies to raise rates on all of their customers, even those without more expensive plans.

The so-called "Gang of Six" Senate negotiators -- a group of three Democrats and three Republicans on the Finance Committee -- is scheduled to meet Tuesday to discuss the proposal.

The source, while stressing that the proposed bill is not a final product, said it closely reflects the group's work and areas of agreement.

Obama's planned speech to Congress reflects how overhauling the nation's ailing health-care system has become his top domestic priority. He laced his speech Monday with references to health care costs rising at three times the rate of wages, and insurance industry practices that deny coverage for pre-existing conditions or prevent people from obtaining coverage if they lose their jobs.

Multiple sources told CNN Friday that the administration is preparing for the possibility of delivering its own legislation to Capitol Hill sometime after the president's address.

One source called the possibility of new legislation a "contingency" approach if efforts by Baucus to craft a deal fall through.

A big open question is whether two Republican members of the Gang of Six -- Sen. Charles Grassley of Iowa and Sen. Mike Enzi of Wyoming -- will support the bipartisan proposal.

White House and Democratic leadership sources have said for some time they do not think Grassley and Enzi will sign on.

A source close to the White House said Friday that the administration is leaning toward dropping the public option, and continues to zero in on trying to convince moderate Republican Sen. Olympia Snowe, another of the Senate Finance Committee negotiators, to come on board.

Snowe and the White House have been discussing a trigger provision that would mandate creation of a public health insurance option if specific thresholds for expanded coverage and other changes are not met.

Support by Snowe would improve the chances of the Senate's Democratic majority to compile the 60 votes necessary to overcome a Republican filibuster against a health care bill.

The Senate Finance Committee is the last of five congressional committees needed to approve health-care legislation before it can be taken up by the full Senate and House of Representatives.

Different forms of the legislation proposed by Democrats have already cleared three House committees, as well as the Senate Health, Education, Labor and Pensions Committee.

CNN's Ted Barrett and Dana Bash contributed to this report.

@highlight

Compromise lacks a government-run insurance option favored by some Democrats

@highlight

Max Baucus' proposal to negotiators would allow nonprofit cooperatives instead

@highlight

Source says bill would cost less than $900 billion over 10 years

@highlight

Some funding would come from new tax on companies with high-end plans