(WIRED) -- Researchers at Intel debuted an experimental processor at the company's developer forum this week, which could lead to devices with significantly lower energy consumption.

The chip -- codenamed "Claremont" -- is known as a near-threshold voltage processor, which allows transistors to operate at super-low, near "threshold" voltages to increase efficiency and decrease energy consumption. This level is very near the voltage at which transistors switch on and start conducting current, which is the "threshold" voltage.

In the demonstration, the experimental low-power processor was used on a PC running Linux OS, powered only off a solar cell the size of a postage stamp. The processor was used in conjunction with another experimental project, a concept DRAM called the hybrid memory cube, which is a super efficient memory interface.

"We used a solar cell in the demonstration to show how little power was required," said Intel spokeswoman Connie Brown in an interview. "But it could run on anything that has power."

Like lemon juice, or perhaps a potato as Brown suggested. "The key message is the low power and how much more transistors would be power-efficient running at near-threshold."

Several years of research have led to Intel's near-threshold voltage-processor design. It's heat-sink free, and rather than operating at those super low thresholds all the time, it switches into NTV mode (under 10 mW in power consumption) when its workload is light.

This means, rather than powering off completely, a device can stay on in an "ultra low-power state," preserving active processes and open applications -- "always-on" devices.

The technology could even be used to develop "zero-power" architectures "where power consumption is so low that we could power entire digital devices off solar energy, or off the energy that surrounds us every day", like vibrations or movements, ambient wireless signals or solar power.

NTV could find itself in a host of applications ranging from processors and mobile devices to embedded devices, appliances and automobiles.

Energy efficiency has always been a concern for device manufacturers and chipset makers, but as the hardware industry moves to mobile and more lightweight computing, it's become a much bigger issue.

So far, Intel has had some difficulties finding its way into mobile devices because of power consumption issues. Its low-power competitor ARM has dominated in that area, even threatening to displace it as the processor in Apple laptops and desktops (according to rumor).

But Intel's latest offerings, including its Atom processors and Oak Trail processors, have become much more efficient. Intel's latest, the Tri-Gate 3-D "Ivy Bridge" transistor, also marks a major improvement, both in design, and in its 30% improvement in performance.

NTV is a significantly bigger step than these commercial processors. The technology results in a 5 to 10x improvement in energy consumption.

But it's not without problems. When electrical noise is introduced, logic level readings can be inaccurate. So the challenge is to maintain a balance of performance versus efficiency.

"Most digital designs operate at nominal voltages -- about 1V today. NTV circuits operate around 400 to 500 millivolts," says Intel researcher Sriram Vangal in a blog post on the subject. Consistently running electronics at such low voltage levels is a challenge because the difference between a "0â€³ and a "1â€³ becomes very small (electrical signal-wise).

Intel's experimental NTV processor may never find itself in an actual consumer product, Vangal says, but is an important stepping stone towards future processors that will.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Chip with codename "Claremont" is known as a near-threshold voltage processor

@highlight

In demonstration, PC powered by a solar cell the size of a postage stamp

@highlight

Chip switches into NTV mode, under 10 mW, when its workload is light