(CNN) -- A virus found in healthy Australian honey bees may be playing a role in the collapse of honey bee colonies across the United States, researchers reported Thursday.

Honey bees walk on a moveable comb hive at the Bee Research Laboratory, in Beltsville, Maryland.

Colony collapse disorder has killed millions of bees -- up to 90 percent of colonies in some U.S. beekeeping operations -- imperiling the crops largely dependent upon bees for pollination, such as oranges, blueberries, apples and almonds.

The U.S. Department of Agriculture says honey bees are responsible for pollinating $15 billion worth of crops each year in the United States. More than 90 fruits and vegetables worldwide depend on them for pollination.

Signs of colony collapse disorder were first reported in the United States in 2004, the same year American beekeepers started importing bees from Australia.

The disorder is marked by hives left with a queen, a few newly hatched adults and plenty of food, but the worker bees responsible for pollination gone.

The virus identified in the healthy Australian bees is  Israeli Acute Paralysis Virus (IAPV) -- named that because it was discovered by Hebrew University researchers.

Although worker bees in colony collapse disorder vanish, bees infected with IAPV die close to the hive, after developing shivering wings and paralysis. For some reason, the Australian bees seem to be resistant to IAPV and do not come down with symptoms.

Scientists used genetic analyses of bees collected over the past three years and found that IAPV was present in bees that had come from colony collapse disorder hives 96 percent of the time.

But the study released Thursday on the Science Express Web site, operated by the journal Science, cautioned that collapse disorder is likely caused by several factors.

"This research give us a very good lead to follow, but we do not believe IAPV is acting alone," said Jeffery S. Pettis of the U.S. Department of Agriculture's Bee Research Laboratory and a co-author of the study. "Other stressors on the colony are likely involved."

This could explain why bees in Australia may be resistant to colony collapse.

"There are no cases ... in Australia at all," entomologist Dave Britton of the Australian Museum told the Sydney Morning Herald last month. "It is a Northern Hemisphere phenomenon."

Bee ecology expert and University of Florida professor Jamie Ellis said earlier this year that genetic weakness bred into bees over time, pathogens spread by parasites and the effects of pesticides and pollutants might be other factors.

Researchers also say varroa mites affect all hives on the U.S. mainland but are not found in Australia.

University of Georgia bee researcher Keith S. Delaplane said Thursday the study offers a warning -- and hope.

"One nagging problem has been a general inability to treat or vaccinate bees against viruses of any kind," said Delaplane, who has been trying to breed bees resistant to the varroa mite.

"But in the case of IAPV, there is evidence that some bees carry genetic resistance to the disorder. This is yet one more argument for beekeepers to use honey bee stocks that are genetically disease- and pest-resistant."

Bee researchers will now look for stresses that may combine to kill bees.

"The next step is to ascertain whether IAPV, alone or in concert with other factors, can induce CCD [colony collapse disorder] in healthy bees," said Ian Lipkin, director of the Center for Infection and Immunity at Columbia University Mailman School of Public Health.

Besides the Columbia and USDA researchers, others involved in the study released Thursday include researchers from Pennsylvania State University, the Pennsylvania Department of Agriculture, the University of Arizona and 454 Life Sciences. E-mail to a friend

@highlight

Colony collapse disorder has killed millions of bees

@highlight

Scientists suspect a virus may combine with other factors to collapse colonies

@highlight

Disorder first cropped up in 2004, as bees were imported from Australia

@highlight

$15 billion in U.S. crops each year dependent on bees for pollination