Washington (CNN) -- As President Barack Obama prepares to deliver one of the most important addresses of his presidency, the American public remains deeply skeptical and confused about his plan to strike Syria -- what it would accomplish, and whether it is even necessary now, given the Russian proposal to place Syria's chemical weapons stockpile under international control.

With many Americans saying they are still unclear about what Obama wants to do, here are five questions the president must answer before he can begin to sway the court of public opinion in his favor.

1. Now that there may be a diplomatic alternative -- the Russian plan -- why does the U.S. still need to attack?

This is the most important question of the day. In a major development, Syria has reportedly accepted the Russian proposal to hand over its chemical weapons stockpile to international control, but the details of what was actually agreed to are still murky. The White House is skeptical, cautioning that it could be a stalling tactic, but said it would take a hard look at the proposal.

The Obama administration has agreed to work with French President Francois Hollande and British Prime Minister David Cameron, in consultation with Russia and China, to explore the viability of the Russian proposal. These efforts will begin Tuesday at the United Nations and will include a discussion on elements of a potential U.N. Security Council resolution.

A stunning turn that could silence Syria war drums

Obama told CNN's Wolf Blitzer on Monday that he still needs the threat of military action in order to force a negotiated settlement. If he can win support from Congress for an attack, that threat will be an even more effective tool.

Many members of Congress are pushing a nonmilitary route. Sen. Jeff Merkley, D-Oregon, sent a letter to his constituents, citing other possible options: international coalitions, economic sanctions, war-crime tribunals.

Two senators are drafting a compromise resolution that would hold off on a military strike and give Syrian President Bashar al-Assad the option to sign on to the Chemical Weapons Convention within the next 45 days. If he fails to do so, then a U.S. retaliation would be warranted.

The president previously failed to garner meaningful international consensus for a military strike. Russia and China blocked any action at the Security Council. And at the G20 meeting last week, the president did not come away with additional international support, although 14 nations signed on to a letter condemning al-Assad's tactics in the civil war.

But with the Russian deal on the table, now even Iran has said it would support removing chemical weapons from Syria.

2. Why should the U.S. be worried about what Syria allegedly did? Is it worth going to war?

Obama must make a convincing case that the use of sarin gas in Syria was a moral abomination that the U.S. and the international community simply cannot tolerate, and that allowing it to go unpunished would leave an imminent and continued threat to U.S. national security.

But, simply put, Americans are sick of war.

In a CNN/ORC poll released Monday, six in 10 say the Iraq war was a mistake and about half say the same thing about the war in Afghanistan. Three-quarters say the U.S. shouldn't play the role of world policeman.

Additionally, nearly seven in 10 say that it's not in the U.S. national interest to get involved in Syria's civil war. So the president must provide a really good reason to intervene in another messy conflict in the Middle East, where politics are far more complex than the secular two-party system in the United States. Even more, 72%, say a U.S. airstrike would not achieve significant U.S. goals.

CNN Poll: Part of Syria strike opposition is the messenger's fault

Members of Congress have spoken about the same concern. Sen. Marco Rubio, R-Florida, said on CNN's "The Lead" last week that there is "no military intervention at this stage" that could lead to an outcome favorable to America's national security interests.

As part of the president's media blitz, National Security Adviser Susan Rice said Monday that al-Assad's use of chemical weapons "threatens the national security of the U.S." and Israel. She said every time chemical weapons are used, it "raises the likelihood" that terrorists will obtain the chemical weapons, which she said puts U.S. troops and diplomats overseas at risk and opens the door for use of other "weapons of mass destruction."

Obama will have to make a direct connection to national security and American interests. But after Iraq, the bar to prove a national security threat to the United States seems to be much higher.

3. What would be the endgame?

Obama will have to explain to the American people the goal of military strikes. He has said his goal is not to take out al-Assad or institute regime change or even to aid the rebels, but to enforce an international treaty outlawing chemical weapons.

Deterring future use of chemical weapons and degrading Assad's chemical weapons stockpile are the reason for U.S. military intervention, Rice argued.

Or, alternatively, Obama needs to show how critical congressional support -- and the support of the American people -- are to bringing Syria to the negotiating table to follow through on the Russian proposal.

Either way, the president will have to succinctly and clearly explain his argument to the American people. Some question if "deter and degrade" would even work. Furthermore, is it reason enough, when nearly three-quarters of Americans say a U.S. airstrike would not achieve significant U.S. goals?

U.S. Senate: How they'll vote on Syria strike

The administration promises limited military action. Rice has said the U.S. is capable of a limited strike, pointing to previous military engagements that lasted just hours, including a bombing campaign against Iraq in 1998. Secretary of State John Kerry said Monday that the campaign will be "unbelievably small."

The president will have to explain exactly what the endgame is and precisely what "limited" means.

4. If the U.S. attacks, what if al-Assad retaliates?

This is a major risk that concerns many members of Congress. If the U.S. military attack is extremely limited and al-Assad retaliates, what are the contingency plans? Sen. Susan Collins, R-Maine, asked that critical question: "What if we execute this strike and then he decides to use chemical weapons again. Do we strike again?" She said it's one of her biggest concerns.

Al-Assad has said he would respond. "You should expect everything," he told PBS and CBS interviewer Charlie Rose.

The American people are going to want to hear contingency plans for what happens next if American strikes don't cripple al-Assad's chemical weapons use.

5. Now that Syria has said it would comply with the Russian proposal, why does the president still need to address the nation?

Obama told Blitzer he isn't so convinced that Syria is telling the truth. The administration distrusts Syria and its ally, Russia, and worries that the proposal to hand over its chemical weapons stockpile is simply a tactic to buy time and derail a potential U.S. strike.

While the administration indicated that it will look into Syria's offer, the president doesn't want to get burned. So he will continue to press his case for a military strike. And if Syria's offer proves empty, the president won't have lost any time waiting on the sidelines.

Syria's offer, however, has the potential to make Obama's sales job either easier -- or harder.

If Syria is bluffing, the president can come back to the American people and make an even stronger argument for military action.

But al-Assad has at least provided the illusion that the stubborn regime is open to an alternative, making Obama's task of persuading the public to favor a military strike a little more difficult.

Still, the feeling inside the White House is that, given the Russian proposal, there may now be less urgency for a vote in Congress. White House officials tell CNN that their position has been strengthened since Syria embraced the proposal to turn over its stockpiles.

However, if the U.S. and the international community believe Syria will turn over the stockpiles, but then al-Assad drags his feet, fails to comply, or, worse yet, launches another attack, Obama could come back and say, "We tried the diplomatic approach, but it failed," leaving the nation and the world no other alternative but to attack.

CNN's Jim Acosta, Tom Cohen, Michael Pearson and David Simpson contributed to this report.

@highlight

Obama is scheduled to address the nation Tuesday night from the White House

@highlight

He will need to answer several key questions for the American public

@highlight

Poll: Many think Obama has not done a good job explaining the need to attack Syria

@highlight

New Russian proposal on Syria's chemical weapons may alter Obama's message