It may be one of the most-quoted lines in American literature -- and if you dare to quote it, you might have to pay.

In late October, Faulkner Literary Rights -- which represents Nobel Prize-winning author William Faulkner's estate -- sued representatives of Woody Allen's "Midnight in Paris" for misquoting the famous line, "The past is never dead. It's not even past."

In the film, about a writer who travels back in time to 1920s Paris, Owen Wilson's character lightly rephrases the line as "The past is not dead. Actually, it's not even past."

For the film's sin, Faulkner's estate is suing for copyright infringement and asking for "damages, disgorgement of profits, costs and attorney fees," according to the suit.

Defendant Sony Pictures Classics, which released "Midnight in Paris," quickly fired back.

Last living Faulkner talks about 'Pappy'

"This is a frivolous lawsuit and we are confident we will prevail in defending it," the studio said in a statement, according to The Hollywood Reporter. Sony is defending the quotation as a "fair use" under copyright law, which is a defense that lets others freely reproduce copyrighted works for purposes such as criticism, comment and news reporting.

Woody Allen had no comment, his publicist told CNN.

But Lee Caplin, executor of the Faulkner estate, believes the movie went over the line in its use of the quotation, which comes from Faulkner's 1950 work "Requiem for a Nun."

He points out that "Midnight in Paris" is a commercial enterprise, the line was important to the film and Allen or Sony should have asked permission. Ron Howard asked and received permission (for a fee) from the estate to use a Faulkner quotation in a Howard-produced TV series, he says, and Sony or Allen could have easily done the same.

"I don't think Woody is any less knowledgeable than Ron Howard," says Caplin, a lawyer and movie producer. "I think Woody's in the motion-picture business. It's called a business because you make a movie that sells tickets. ... When you attach Faulkner to your product, you're enhancing that product. You're enhancing it for artistic reasons, but you're mostly enhancing it for the entertaining business reasons of why you make a product more appealing."

Moreover, he adds, "If Woody could have written something better, I'm sure he would have."

But Neville Johnson, an entertainment lawyer who specializes in copyright and fair use, thinks the Faulkner estate is grasping.

The quote is short, for one thing -- nine words, a tiny fraction of "Requiem for a Nun." "You're telling me one sentence gets you a copyright infringement action? I don't think so," he says.

Caplin disagreed with that line of thinking. "It puzzles me that people think size matters," he says.

In addition, copyright infringement comes into play if it can damage the "potential market" of the original work.

"I guess the book will never sell another copy, don't you think?" Johnson thundered mockingly. "It's all over for Faulkner!"

Looking backward with the bard of Oxford

Of all the writers to be involved in a copyright infringement lawsuit, William Faulkner would seem one of the least likely.

The bard of Oxford, Mississippi, is known for colorfully evocative novels about a murky post-Civil War Southern landscape, which -- though rewarding -- are often the kinds of books forced on unsuspecting high school students. His writing isn't exactly pithy: He's been listed in Guinness World Records for constructing a record-setting 1,288-word sentence (in "Absalom, Absalom!"). Some of his best known works, such as "The Sound and the Fury" and "Intruder in the Dust," are noted for their thickets of stream-of-consciousness storytelling.

For many years, the Faux Faulkner Contest honored scribblers who attempted to reproduce the master's rhythmic prose, tormented Southern characters, and endless comma-strung clauses (with parenthetical asides).

Faulkner was no stranger to Hollywood himself, signing a series of contracts in the '30s and '40s to write for various studios. He was credited with six screenplays, including the adaptations of Ernest Hemingway's "To Have and Have Not" and Raymond Chandler's "The Big Sleep." His love-hate relationship with the movies was parodied in the Coen brothers' film "Barton Fink" through the character of W.P. Mayhew, a hard-drinking Southerner hailed by the title character as "the finest novelist of our time."

Touring the South's literary landmarks

Indeed, Faulkner is considered a titan of American literature, often evoked with Hemingway and F. Scott Fitzgerald among a trio of pre-World War II greats. His words -- particularly the ones approximated in "Midnight in Paris" -- still echo, says Jay Watson, the Howry Chair of Faulkner Studies at (where else?) the University of Mississippi.

"It describes themes in American history, and I think that's one of the reasons why that line has had such resonance," he says. Faulkner's line is haunting and backward-looking, a warning that we forget our tangled roots at our peril -- a sentiment not often expressed in this country, he points out.

"As a culture, the U.S. is pretty forward-looking and youth-oriented," Watson says, "and we very often tend to have a sharper eye on our future than on the past."

A 'very gray area'

In a way, it's looking backward that's the nub of the lawsuit. Artists routinely stand on the shoulders of their predecessors, channeling ideas through their personal lenses. Done creatively, it can provide whole new meanings to the original source. Francis Ford Coppola used Joseph Conrad's "Heart of Darkness" as the basis for "Apocalypse Now"; Conrad, in turn, relied on Dante's "Inferno."

Faulkner's books, too, are full of references to other works, particularly the King James Bible and Shakespeare's plays (which are both in the public domain).

"He even said, at moments when he was asked to give advice to young writers, that there's an element of artistic creation that is glorified stealing," says Watson. "In order to be bold and ambitious as an artist, you have to be willing to use whatever you find wherever you may find it."

Other artists have made frequent use of Faulkner. The Faulkner Institute at Southeast Missouri State University maintains a page of "Faulkner sightings."

Of course, when done less than creatively, it provides openings for the attorneys -- and in our remix-happy society, full of self-produced videos and sampled music, there's a fine line between creativity and copyright infringement (or, for that matter, outright piracy). YouTube alone is full of ripped-off video files and audio tracks, says Johnson.

"It's a morass out there of violations across the board," he says.

But it is sometimes hard to determine when the line is crossed. Artists and their estates have sued in the past when they believed their copyrights were being infringed upon. In 2001, Margaret Mitchell's estate sued author Alice Randall and publisher Houghton Mifflin over Randall's "The Wind Done Gone," a parody of "Gone With the Wind" told from the point of view of a slave. That case was eventually settled out of court, though an appeals court had upheld Randall's right to create the book.

Fair use is a "very gray area," says Julie Ahrens, who runs the Fair Use Project at Stanford University's Center for Internet and Society.

"There are lots of things that are not clear."

"I get things where people are like, 'Are you sure I can do this?' And the best I can say is, 'Yes, you should be able to,' " she says.

However, she doesn't see a problem with "Midnight in Paris" and "the past is not dead." Besides, the phrase has been used many times before -- in news headlines, TV shows and song lyrics. President Obama even used the line in perhaps the most famous speech of the 2008 campaign, known as "A More Perfect Union," which he delivered in response to the controversy involving his former pastor, the Rev. Jeremiah Wright. Obama's speech chronicled the challenges of race in America, and also misquoted Faulkner: "The past isn't dead and buried. In fact, it isn't even past," Obama said.

"The idea that one person can control the use of those particular words seems ridiculous to me," says Ahrens. "Any of kind of literary allusion is ordinarily celebrated. This seems to squarely fall in that tradition."

It seems like a lot of effort over a few words -- this case of the estate of a long-dead author going up against a multibillion-dollar Hollywood conglomerate. But the impact can be deep. Ahrens is worried about a chilling effect; Caplin is hoping that a brighter line can be introduced in the dim area of fair use.

It's nothing personal, he adds. He loved "Midnight in Paris." As executor, he's just looking out for the fiduciary responsibilities of the Faulkner estate, and he's willing to let a jury decide the merits of the copyright case.

"I'd love to have Woody Allen come down and have a free tour of (Faulkner's house) Rowan Oak," he says. "But if he wants to use any more of Mr. Faulkner, I would want him to give me a call and discuss a license fee."

@highlight

William Faulkner quotation subject of a lawsuit

@highlight

Woody Allen used much-quoted line in "Midnight in Paris"; Faulkner estate suing

@highlight

Studio believes line is protected by legal doctrine; if they're wrong, could affect other works

@highlight

Faulkner, one of America's greatest writers, generally not known for pithy quotations