Freetown, Sierra Leone (CNN) -- Millions of people will breathe a sigh of relief that Charles Taylor has finally been held to account for the years of violence, misery and suffering that he brought to the people of West Africa.

Taylor, a former president of Liberia, was found guilty after a lengthy trial by a special court sitting in The Hague for aiding and abetting rebels during the bloody conflict in Sierra Leone between 1996 and 2002.

The violence in Sierra Leone shocked the world as thousands of civilians were caught up in the fighting. Limbs were hacked off as punishment, mass killings and gang rape were common and thousands of children were forced to fight or become sex slaves. The survivors still struggle with the mental and physical scars of their ordeals.

Incredibly, despite the tens of thousands of cases of documented atrocities, only 13 people have been held to account for these crimes. And, under a 1999 amnesty agreement drawn up in a desperate bid to end the fighting, Taylor may be the last to stand trial for what happened. Everyone else -- his commanders and lieutenants and fighters on all sides -- remain free to go about their lives as if nothing happened.

Taylor's conviction brings some measure of justice to the people of Sierra Leone, but it is only the first step in a long journey back to normalcy for the people. Years after the end of the war, people are still grappling with the challenges and the legacies of the violence. Since the Truth and Reconciliation Commission published its report in 2004, only a limited number of recommendations on reparations have been implemented. Without a long-term, sustainable plan and sufficient funds to assist survivors to rebuild their lives, many are begging in the streets for a living.

Failing to prosecute the perpetrators of crimes under international law gives the impression that they will not have to face the consequences of their actions. It ignores the distress of the victims and creates a risk of further violations. The failure to address impunity weakens state institutions, denies human values and debases the whole of humanity.

Prosecutions serve to clarify the truth about what happened, establish accountability for human rights abuses and contribute to building confidence in the rule of law. Without them, victims are left to suffer without official acknowledgment of the crimes committed against them or assistance to rebuild their lives.

Although the initial prosecutions of Taylor and his cronies were restricted to those individuals considered to bear the "greatest responsibility" for crimes under international law, the government of Sierra Leone authorities must now move to hold others to account. It must rescind the 1999 amnesty and strengthen and build an independent criminal justice system so that further investigations and prosecutions can be made. Justice needs to go hand in hand with peace.

In neighboring Liberia, similar violence between 1989-1996 and 1999-2003 saw countless attacks on civilians resulting in death, disfigurement and displacement. As in Sierra Leone, government and armed opposition groups used rape and other forms of sexual violence against women and girls as deliberate strategies, as a weapon of war and to instil terror. Women of all ages were victims, including very young girls and older women. It is estimated that as much as 60-70% of the population suffered some form of sexual violence during the conflict.

By the end of the war in Liberia, more than 20,000 children were believed to be involved in the conflict. Both boys and girls were abducted and forced to fight, carry ammunition, prepare food or go to the front line. In many cases, child soldiers were forced to carry out killings, torture, rape and other forms of sexual violence, looting and abducted and forcibly recruiting other children.

Currently, there are no plans for Liberian authorities to investigate the crimes under international law committed during the 14-year conflict. Instead, the people in Liberia are expected to forgive and forget the past and just move on.

But, like the people of Sierra Leone, the victims of past human rights violations in Liberia have the right to know the truth, obtain justice and be granted full reparations for what they suffered.

With similar investigations now under way involving grave crimes committed in northern Uganda, Darfur and the Democratic Republic of Congo, Taylor's conviction sends a signal that authorities are finally moving to end impunity, establish the rule of law, promote and encourage respect for human rights and restore and maintain international peace and security.

But official moves to hold perpetrators to account must be transparent, comprehensive and fair. They must remember and involve the thousands of victims. And they must ensure that justice is done. Otherwise, those who committed some of the most egregious crimes imaginable are getting away with murder.

The opinions expressed in this commentary are solely those of Brima Sheriff.

@highlight

During Sierra Leone fighting, limbs were hacked off as punishment

@highlight

Brima Sheriff says survivors still struggle with mental and physical scars

@highlight

He says Taylor's conviction sends signal authorities moving to end impunity

@highlight

Moves to hold perpetrators to account must be transparent and fair, he says