The widow of Palestinian leader Yasser Arafat said Wednesday she wants his body exhumed to find out whether he was poisoned after tests showed high levels of a radioactive substance on some of his personal belongings.

Suha Arafat told CNN she is requesting the body be exhumed "to make sure 100% of the existence of polonium."

A Swiss doctor said Wednesday they found high levels of toxic polonium-210 on some of Arafat's belongings, though it does not mean he suffered radiation poisoning.

"We have evidence there is too much polonium, but we also have hints from the medical records that this may not be the case," said Francois Bochud, director of the Institut de Radiophysique in Lausanne, Switzerland. "The only way to resolve this anomaly would be by testing the body."

Suha Arafat said she had not made an official request to the Palestinian Authority for exhumation because no official request is needed. The Palestinian Authority said Wednesday that it would not object to exhuming the body from its tomb if Arafat's family approves.

Arafat belongings test high for radioactivity, scientist says

If it turns out that Arafat, who died in 2004, was poisoned, "Any result will be significant for us to help know the truth," said Suha Arafat, the former leader's widow. "It is a form of closure for our family. Closing one wound but opening a new one, wondering who is responsible."

Bochud's research team tested Arafat's toothbrush, clothing and keffiyeh, the trademark black-and-white headscarf he often wore, Bochud said.

But getting data from items like clothing "is really tricky business," said Cham Dallas, a professor and toxicologist at the University of Georgia's Institute for Health Management and Mass Destruction Defense.

"We don't have enough information to make any definitive statement, but it does seem a bit of a stretch" to conclude that Arafat was poisoned by polonium-210, he told CNN in a telephone interview.

Dallas questioned how much confidence the Swiss scientists could have in their measurements and said he was looking forward to results from tests carried out on the body after it is exhumed.

"I'd have a lot more confidence if you could give me a bone sample," he told CNN in a telephone interview. He cited compartments inside the bone as particularly telling. "There's old bone and then there's new bone," he said. "If you're sampling, it would come out very differently."

Arafat died at age 75 at a Paris military hospital after he suffered a brain hemorrhage and slipped into a coma. Palestinian officials said in the days before his death that Arafat had a blood disorder -- though they ruled out leukemia -- and that he had digestive problems.

Rumors of poisoning circulated at the time, but Palestinian officials denied them, and then-Foreign Minister Nabil Sha'ath said he "totally" ruled them out.

Two weeks after Arafat's death, his nephew said medical records showed no cause of death. Nasser al-Kidwa, who was the Palestinian observer to the United Nations, said toxicology tests showed "no known poison" -- though he refused to exclude the possibility that poison caused his uncle's death.

"The suspicion that he was killed, that he was deliberately murdered, has been there all along and most Palestinians believe that," said Hanan Ashrawi, a member of the Palestinian Liberation Organization's executive committee. "I personally believed it because I was with him; I saw him; I saw the transformation and it certainly was unnatural."

Ashrawi said she had spoken with Arafat's doctors, who told her that they could not rule out the possibility that he had been poisoned. "But we didn't have any kind of thread, any kind of evidence," she told CNN. "This report, in many ways, tells us our suspicions are founded that there is sufficient evidence to say that he was killed, that he was assassinated using polonium."

Only a few countries, including the United States, Israel and Russia, have stocks of polonium-210, a fact that would limit the list of possible suspects, he said. "You would only use polonium if you were making a statement, not if you were trying to hide," he said.

Someone trying to get away with murder would be better off using pharmaceutical agents, since a number of of them "disappear in the body" and cannot be identified later, he said.

"I can't figure out why they would use it, frankly," he said. "There are so many really cool agents to kill people if you want to be secret and even if you want to make a statement."

Palestinian Authority President Mahmoud Abbas has ordered a committee investigating Arafat's death to follow up on all reports "and to seek assistance from Arab and international experts to find the truth behind Arafat's illness and death," said his spokesman, Nabil Abu Rudeineh.

It should be possible to detect any remaining polonium -- a naturally radioactive chemical element -- in Arafat's body, despite the time that has elapsed since his death because he was buried in a tomb, not underground, Bochud said.

Arafat's widow asked the Swiss institute to analyze some of his belongings and medical documents, Bochud said.

The Qatar-based satellite network Al Jazeera relayed the request and broadcast a report about the test results.

The testing found no evidence of traditional poison, Bochud said.

But Al Jazeera and the family then asked him to test for radioactive material, and found an "unexplained amount of polonium-210," he said, adding, "We are testing tiny quantities so it is difficult to measure and not conclusive."

A body fluid stain contained 180 megabecquerels per liter of the radioactive isotope, while a typical sample would contain 5 megabecquerels per liter, Bochud said. A becquerel is a unit of measurement of radioactivity.

The fabric of Arafat's clothing, without body fluid, contained less than 10 megabecquerels per liter, Bochud said.

Tests involving biological samples -- such as urine, sweat or blood -- contained higher levels than other samples taken from his clothing, he said.

Arafat's widow had left his clothes inside a sports bag from the time they were returned to her eight years ago from the hospital, Bochud said.

It was not clear whether anything that may have happened to the clothes -- over the years or in the testing process -- may have affected the test results.

Asked whether polonium-210 could have been applied to the items since Arafat's death, Bochud said, "Anything is possible."

Bochud also said the Institut de Radiophysique did not verify that the clothing was Arafat's; another organization concluded that the DNA on the items was similar to that of Arafat's daughter.

Zahwa Arafat provided her DNA for the comparison, Suha Arafat told CNN. The wait for test results, which lasted months, "was emotionally difficult," she said.

Former Russian spy Alexander Litvinenko died of polonium poisoning in London in 2006.

But it's hard to compare the cases of Arafat and Litvinenko, who was diagnosed when he was alive, Bochud said.

Arafat's symptoms when he died were not entirely consistent with polonium poisoning, he said.

"For example, the bone marrow stayed in good shape until (the) death of Arafat. In other cases of polonium poisoning there is a decaying of the bone marrow," the medical expert said. "Another point, he did not lose his hair as would be expected in the case of polonium." poisoning.

Scientists performed more than 50 measurements on the belongings between February and June, he said.

@highlight

A stain contained higher levels of polonium-210 than a typical sample, a scientist says

@highlight

The test results do not necessarily mean Arafat was poisoned, the scientist says

@highlight

"There is sufficient evidence" Yasser Arafat was killed, PLO official says

@highlight

Use of polonium-210 as a poison "does seem a bit of a stretch," toxicologist says