(CNN) -- Early in 2002, shortly after the U.S. overthrow of the Taliban regime, Taliban leader Khairullah Khairkhwa phoned Afghan President Hamid Karzai asking for a job. As a member of the same tribe, he had known the Karzai family for years, and was hoping to use this link to switch allegiances to the new U.S.-backed Afghan government, a move typical of the twists and turns of the country's 30 years of war. Karzai promised to help, and referred Khairkhwa to his brother Ahmed Wali Karzai, a close CIA ally based in Kandahar province.

Ahmed Wali Karzai agreed to send a representative to meet Khairkhwa in Pakistan. But before this could transpire, a rival Taliban figure alerted the Pakistani border police to Khairkhwa's presence. He was arrested, handed over to the Americans, and sent to Guantanamo.

Khairkhwa is one of the five Taliban leaders who were released from Guantanamo over the weekend in a deal for Sgt. Bowe Berghdahl, the lone American POW in Iraq and Afghanistan.

I learned of Khairkhwa's story, which is corroborated in his Guantanamo detainee files, from interviews with the late Ahmed Wali Karzai and other Afghan government officials.

In fact, all five of the swapped prisoners were initially captured while trying to cut deals, and like Khairkhwa, three had been attempting to join, or had already joined, the Afghan government at the time of their arrest.

This history shows that the categories we take as rigid and unchanging, such as "terrorist," are in fact remarkably fluid in the context of Afghan politics. Uncovering the stories of these men tells us much about Guantanamo, the Taliban, and the possibility of a negotiated end to the conflict.

Obama: I don't apologize for Bergdahl swap

Mohammad Nabi Omari, the most junior ranking of the five, was a small-time commander linked to pro-Taliban strongman Jalaluddin Haqqani in the 1990s. After 2001, he was among the many Haqqani followers who switched allegiances to the Karzai government. Malem Jan, another ex-Haqqani commander who switched sides, remembers him vividly. "Omari was angry with the Taliban for throwing the country away (for Osama bin Laden)," he said in a 2010 interview. "He would sit there and tell me, 'if I see a Talib, I won't even let him take a piss, I'm going to turn him in.'"

Malem Jan, Omari, and other former Haqqani commanders began working for the CIA. In his Guantanamo file, Omari describes dealing with an American named "Mark." "We worked for the Americans," Malem Jan recalls. "We met them regularly to get instructions and give intelligence."

In those days, the United States was handing out money freely for such intelligence, which inadvertently provided incentive for bogus accusations. Some Afghan officials in Khost allege that Omari reaped profits from falsely accusing others of al Qaeda membership. If so, he certainly accrued enemies, and in September 2002, he, too, was accused of insurgent membership by rival warlords and politicians, despite being publicly aligned with the Karzai government. "He was on our side," said Malem Jan, who now lives in Kabul. "And then all of a sudden, he was in Guantanamo."

In October 2001, Abdul Haq Wasiq, another of the five, traveled to Ghazni province for a clandestine meeting with the CIA and Afghan warlords in an attempt to strike a deal. Wasiq worked with the Taliban's spy agency, and he was negotiating on behalf of his boss, according to the memoir of Harry Crumpton, then deputy chief of operations at the CIA's Counterterrorism Center. The CIA, however, was not interested in reconciliation, only in intelligence leading to bin Laden or other top al Qaeda figures. Wasiq could not deliver this because he, like most Taliban members, did not actually have access to the Arabs. So the American team bound and gagged Wasiq and his companion, eventually shipping them to Guantanamo.

The six soldiers at center of Bergdahl debate

Of the five, only Mullah Mohammad Fazl and Mullah Norullah Noori were significant military commanders. In November 2001, as their movement was collapsing around them, they surrendered, along with their foot soldiers, to the U.S.-backed warlord Abdul Rashid Dostum. (Fazl is a notorious human rights violator, as is Dostum).

Years earlier, Fazl had helped Dostum escape a precarious battlefield situation, and he engineered the deal in the hopes of having the favor returned. But Dostum sold them to the Americans and massacred hundredsâ€”some sources say thousandsâ€”of their foot soldiers and conscripts by suffocating them in shipping containers.

Instead of being recalcitrant terrorists bent on fighting America, this history indicates that all five can make pragmatic deals if the conditions are right. Does this mean they won't pose a threat upon their release?

How big a terror risk are former Guantanamo prisoners?

It's difficult to say; two Taliban commanders who surrendered to Dostum alongside Fazl and Noori were also sent to Guantanamo. Upon their release in 2007, they quickly joined the insurgency and rose to its top ranks. Ghulam Rohani, who was arrested with Wasiq, has rejoined the fight since his release that same year. On the other hand, other Taliban leaders have successfully returned to civilian life after their Guantanamo release, including Taliban Ambassador Mullah Abdul Salam Zaeef, Commerce Minister Mullah Abdul Razak, and Gov. Naim Kuchi.

What is clear, though, is that with the ongoing turnover of the Taliban's mid- and senior-level leadership in recent years, the arrival of a few individuals to Qatar is unlikely to make a significant impact on the battlefield in Afghanistan.

Who was swapped for Bergdahl?

So, the cost of the prisoner swap may be low, but the potential payoff is high. In a country that has seen few openings for peace in the last decade, this could mark the first tangible step toward a negotiated settlement.

There is little trust, understandably, between the Taliban and the United States, and in this vein the mutual release of prisoners could be a confidence building measure. To be sure, a grand deal may never comeâ€”there are many divergent interests within the Taliban, their patrons in Pakistan, and Afghan society at large. But when endless war is the only alternative, even the most difficult paths are worth pursuing.

Hillary Clinton wanted tougher deal for Bergdahl

Who is Bowe Bergdahl?

What's the legal case for the Bergdahl swap?

@highlight

5 Taliban leaders are released in a deal to trade for POW Sgt. Bowe Bergdahl

@highlight

Anand Gopal: Three of the five had joined or tried to join the Afghan government

@highlight

He says the notion of "terrorist" is remarkably fluid in the context of Afghan politics

@highlight

Gopal: Prisoner swap could be a step toward a negotiated settlement