(CNN) -- When I think of Brooklyn, I think of Christopher Wallace -- known to most as the Notorious B.I.G., or Biggie Smalls -- the artist whose life was cut short 15 years ago on March 9.

For others, Brooklyn might call to mind the retro-cool style, hipness and youthful vibrancy that have become associated with the borough, an image that's been aided by entertainment.

Yet whatever cultural shifts the borough sees through time, its relevancy doesn't waver. While there, you can still feel the presence of B.I.G.'s lyrics: "...spread love, it's the Brooklyn way."

I first met B.I.G. at a Clive Davis event at the Plaza hotel in June of 1994. It was for Arista employees to welcome our new joint venture with Sean "Puff Daddy" (as he was known back then) Combs and his Bad Boy label.

Puff introduced me to B.I.G. as the guy who was going to get his records played on radio. His words were few, but his presence and stature were massive. A head nod, a handshake and an acknowledgment conveying it was "all good."

He was the epitome of Brooklyn cool, but the world didn't know it yet.

At the time, hip-hop was not getting played on mainstream radio -- my job was to get B.I.G. there. Over the next two years, I would travel the country, taking B.I.G. to radio stations, lunches and promotional shows, introducing him to new audiences.

Crossing over into mainstream didn't apply to the then-22-year-old rapper in the way it does for many artists that do so today. Artists who made hip-hop were not invited to awards shows, fashion shows or the White House like they are now.

In 1994, America as a whole still seemed uneasy with the genre. But instead of conforming to appeal to the mainstream, B.I.G. creatively figured out ways to be authentic. That authenticity, combined with his talent, brought mass appeal.

And when he did breakthrough, subsequently opening doors for other rappers to benefit from his success, he never compromised that authenticity. He was always proud of his hometown of Brooklyn, never forgetting where he came from as his success took him elsewhere.

Even if the mainstream didn't know it yet at the time, Brooklyn for many years has been the breeding ground for many of today's top lawyers, doctors, celebrities and athletes. B.I.G. was proud of where he came from, showed it in his music and found success through his embrace of his roots.

Maybe the most poignant analogy that B.I.G. made in his music was a reference that he's the "rap Alfred Hitchcock."

As Andrew Noz points out in our annual ICON issue of The FADER that was dedicated to the Notorious B.I.G. (Issue No. 73, April 2011): "The boast may have been a simple comment on how B.I.G.'s rotund figure projected a silhouette similar to the filmmaker, but there's a deeper spiritual bond between the two -- the detail obsession of full-blown perfectionists."

He goes on to highlight, "Equally mind-blowing is how these skills came to be, borne practically from nothing. B.I.G. entered the game as a fully formed rapper, with seemingly no blemishes on his track record."

It's vital to point out that B.I.G. ascended from Brooklyn, and every experience in his life contributed to his outputs. Much like Hitchcock, B.I.G. was able to express his thoughts with objective and subjective points of view seemingly without effort.

He expressed his views on what he saw, from the perils of the streets to "eating shrimp a la carte, with some [women] from Brussels, eating clams or mussels [from the track, 'My Downfall']".

Creating an audio road map complete with visuals, he rhymed in intricate detail about everything from elaborate heists, to taking revenge on enemies, to bank accounts in Brazil, all without letting go of the place that shaped him -- bringing it with him wherever he went.

And the neighborhood loved him back.

Following B.I.G.'s death at 24 on March 9, 1997, the man who proclaimed he was "Ready to Die" was mourned in Brooklyn as a funeral procession made its way through the streets of his youth.

As I said in our FADER tribute to my friend, I've often wondered what B.I.G. would think of all the coverage he has gotten over the years. I think he'd appreciate the cultural impact he has had. He'd want Brooklyn represented the right way, for his crew to be acknowledged and for the world to know that he was very aware, a stand-up guy, a jokester, a caring father and son, and extremely determined.

With that in mind, we should celebrate his life -- and spread love the Brooklyn way.

@highlight

Rob Stone on his friend Notorious B.I.G: "I first met B.I.G. at a Clive Davis event"

@highlight

Stone: "I would travel the country, taking B.I.G. to radio stations, lunches"

@highlight

Stone: "B.I.G. was able to express his thoughts with objective, subjective points of view"