(CNN) -- Proponents of marriage equality for lesbians, gay, bisexual, and transgender (LGBT) persons had been on quite a winning streak -- every federal district court, save one in Louisiana, had found a constitutional right to same-sex marriage. Four federal courts of appeal -- one rung below the U.S. Supreme Court, have reached that same conclusion, with same-sex marriage now legal in conservative states like Utah, Oklahoma and Idaho. As a result of the Supreme Court's refusal to hear these cases, 32 states and the District of Columbia now allow same-sex marriage.

This string of victories, however, came to a halt on November 7, when the U.S. Court of Appeals for the Sixth Circuit, on a 2-1 vote, became the first federal appellate court to uphold same-sex marriage bans.

In the decision, DeBoer v. Snyder, the court dodged addressing the real issue -- the impact of same-sex marriage bans on the rights of lesbian, gay, bisexual and transgender (LGBT) persons. Instead, it focused on a different question -- should courts or the people through democratic processes be making decisions about marriage? In framing the issue in such a way, the court suggested that judges should not be making such decisions.

The court is wrong. It is critical for the judiciary system to play a role in our constitutional process.

The Constitution is designed to protect minority groups against the tyranny of the majority, who otherwise could legislate away all sorts of rights absent the protections found in the Bill of Rights and elsewhere.

Oddly, many people who would decry this supposed judicial usurpation of democratic processes in the context of same-sex marriage are likely the same as those who lauded the Supreme Court's striking down of gun restrictions in Washington, D.C. and Illinois in District of Columbia v. Heller and McDonald v. Chicago, respectively.

Yet, the scenario is exactly the same. Invalidating gun restrictions and same-sex marriage bans rest on the same principle -- courts strike down laws that were adopted through the democratic process but that run afoul of rights protected by the Constitution.

When the Supreme Court struck down the gun restrictions in those cases, it, too, was disrupting the outcome of our democratic processes. Yet gun rights proponents did not suggest that the Court's decisions were somehow illegitimate. Instead, the decision was about protecting the rights of people, in those cases, the rights of gun owners. The same is true with same-sex marriage bans -- protecting the rights of people against a majority who, for whatever reason, does not care for them or their relationships.

One could argue that the situations are different because the Second Amendment clearly articulates a "right to bear arms," whereas courts are merely manufacturing rights under the guise of "due process" and "equal protection." But, that argument doesn't survive a closer look.

The Second Amendment is vague, too.

The Second Amendment states "A well regulated Militia, being necessary to the security of a free State, the right of the people to keep and bear Arms, shall not be infringed." But, what exactly are "arms"? Only the weapons around when the amendment was adopted, so that Congress can't ban muskets but can ban anything else? If the meaning "arms" changes over time, then where do we draw the line -- bazookas, tanks, or nuclear weapons? Clearly, there is no constitutional right to own any of those. The language of the Second Amendment requires judicial interpretation to flesh out its limits.

To be clear, I disagree with the Supreme Court's interpretation of the Second Amendment and would have preferred that the court uphold those gun control laws. But I do not think that those decisions reflect an illegitimate act of judicial usurpation of the democratic process.

The same dynamic is taking place with the same-sex marriage cases. The courts are explaining what the protections of "due process" and "equal protection" mean. If states have violated the rights of LGBT persons by denying them access to civil marriage without sufficient justification, it is not only legitimate for the courts to strike down the bans, it is also their obligation to do so.

As the dissenting judge at the Sixth Circuit rightfully and eloquently explained, "If we in the judiciary do not have the authority, and indeed the responsibility, to right fundamental wrongs left excused by a majority of the electorate, our whole intricate, constitutional system of checks and balances, as well as the oaths to which we swore, prove to be nothing but shams."

The majority in the Sixth Circuit ignored this reality, as well as the four other appellate courts that concluded otherwise -- that they had the obligation to decide these issues. Now that there is disagreement among the federal appellate courts on this issue, the Supreme Court will have to intervene.

Let's hope the Supreme Court recognizes its obligation to decide these issues by protecting the rights of LGBT persons and opening the doors of marriage to same-sex couples.

@highlight

Tim Holbrook: For the first time, a federal appellate court upholds same-sex marriage bans

@highlight

Holbrook: Court should decide on the issue rather than letting the people decide

@highlight

Invalidating gun restrictions and same-sex marriage bans rest on the same principle

@highlight

Holbrook: Courts should make a ruling and side with protecting rights of Constitution