(CNN) -- For more than three decades, Concorde represented the pinnacle of business travel -- the ultimate status symbol for the jetset executive.

Considered a marvel of aviation technology, the distinctive droop-nosed aircraft traveled at twice the speed of sound, flying from London to New York in about three and a half hours -- half the time of commercial airliners.

But even before an Air France Concorde crashed in 2000, killing all 100 passengers and nine crew members on board, the luster was beginning to wane.

Battling high operating costs and low passenger numbers, Air France and British Airways grounded their small, aging fleet a mere three years later.

But the dream of supersonic flight has not disappeared. Aviation manufacturers such as Boeing, Lockheed Martin and Aerion are working on supersonic technology -- with the latter predicting it could have a supersonic business jet in service as early as 2020.

Industry expert Joe Lissenden, the director of aerospace and defense consulting in the Americas for IHS Jane's, says it's likely that a next-generation supersonic commercial aircraft will emerge.

High demand from passengers, historic profitability on the routes and significant technological improvements have combined to make supersonic flight all the more viable, he said.

Read also: The air fare too good to be true

For Lissenden, the one challenge that remains is fuel cost. "Faster flights consume fuel faster which makes the flight more expensive," he said. "But this is a premium route, and premium prices will be charged."

Crucial to the efforts to restore supersonic aircraft to the skies is the work of national aerospace programs such as NASA and Japan's JAXA. Peter Coen is the supersonics research project manager for NASA's fundamental aeronautics program.

While the agency is not working on a specific supersonic aircraft, he said, "we are working on technologies we feel represent barriers to bringing back successful supersonic aircraft."

Those barriers include high atmosphere emissions, noise produced when taking off and landing, and the sonic boom -- the sound associated with the shockwaves created when objects travel faster than the speed of sound, which has prevented supersonic aircraft from flying overland routes.

See also: Air Force's hypersonic test fails

Coen said his division was concentrated on addressing the sonic boom issue first, because "if you don't have overland supersonic flight, there's never going to be a market for the supersonic aircraft."

NASA has been collaborating with Boeing and Lockheed Martin on systems-level design studies, with each manufacturer producing models that have been subjected to wind tunnel testing to gauge their effectiveness.

Coen said phase one testing had successfully validated the basic design techniques. Reshaping the aircraft, the designs -- Boeing's two-jet configuration with engines mounted above the wing, and Lockheed Martin's tri-jet configuration, with two engines below the wing and a third mounted in the tail -- had been proven to significantly reduce the sonic boom to a "thump," dropping the noise from Concorde levels to close to what is considered the level of acceptability.

Coen said he expected to see a next-generation "son of Concorde" in the marketplace by around 2030, while a supersonic business jet "could happen sooner."

"The boom is the barrier and if we can get past that, I think we'll see people giving supersonic flight a lot more serious consideration," he said.

The Japan Aerospace Exploration Agency (JAXA) also hopes to develop a supersonic passenger aircraft that is quiet, economical and environmentally friendly, and expects to achieved it some time this century.

Spokesman Masahisa Honda said that while the agency currently had no aircraft in specific development, along current projections it predicted a supersonic business jet to enter the market some time after 2015.

Read also: 'Hidden' airline charges -- dirty tricks or customer choice?

One of the frontrunners to do so is the Aerion SBJ, an 8-12 passenger business jet. "It will herald a return to supersonic civil flight without Concorde's environmental and economic drawbacks," said Aerion spokesman Adam Konowe.

He said development of a joint venture with aircraft manufacturers to produce the SBJ had been slowed by the recession, but once a deal was struck he anticipated a six-year development program to bring the aircraft to market. "We believe the SBJ will be certified, and enter service around the end of the decade -- 2020," he said.

But not everyone is convinced that a return to supersonic passenger flight is just around the corner. Chris Seymour, head of market analysis with aviation experts Ascend, was skeptical that there would be much progress before at least 2030.

"I think there's so many issues to be considered that I certainly can't see it happening in the next 20 years," he said.

Seymour believes that although technological barriers will likely be overcome, the key factor in whether it will become a reality is whether a market exists that is prepared to pay a premium for the ultimate status symbol in business travel -- particularly in an air-travel market that is focused on low prices.

"Will you have enough passengers willing to pay higher fares to fly more quickly?" He said. "If you look at Concorde, that wasn't the case. It came along at a time when the 747 also came in, which carried more people for lower fares. That's where the market was."

Peter Warth, director of Complete Aviation Solutions, also believes that a return to supersonic flight is further off than some are making out.

"There seems to be multiple technological and commercial obstacles that will need to be cleared," he said.

But he conceded: "I'm sure that when the original plans for Concorde, the A380 and the 787 Dreamliner were announced, the same questions about whether it could be achieved were asked. But they eventually delivered. I think time will tell."

@highlight

The quest continues for a next-generation supersonic aircraft

@highlight

Aerion predicts it will have a business jet in service by about 2020

@highlight

NASA is close to muffling the sonic boom that prevents overland supersonic flight

@highlight

Some analysts question whether a market exists for expensive supersonic travel