Kolkata, India (CNN) -- At 65, Ian Zachariah is one of the youngest ones left.

"Can you believe it?" he says, adjusting a borrowed yarmulke in a now-empty synagogue.

His eyes scan the glittering stained glass, the blue-domed ceiling and the rows of dark wood and wicker benches, still arranged the way they were when, decades ago on the Sabbath, Maghen David was teeming.

His mind races back to his childhood, when he occupied a seat in the back left-hand corner and much to his father's chagrin, gazed upward to the second floor gallery where the girls and women sat.

But a hush has fallen within Maghen David's walls. There have not been prayers said here in a long time, for the lack of 10 able-bodied men needed to form the minyan, the quorum required for a Jewish service.

Zachariah's heart feels empty like the synagogue's pews. He knows the end is near for the Jews of Kolkata. Once a thriving community of 6,000, their numbers can be counted on fingers now. Zachariah says fewer than 30 Jews are left in this bustling eastern Indian metropolis.

Many Jews began leaving Kolkata, the city formerly known as Calcutta, after Indian independence in 1947; those who remained are slowly dying off.

Zachariah, a stalwart of the dwindling community, serves on practically every Jewish administrative board. There are simply not enough people left to go around.

"Things have to be kept going," he says of the cultural burden weighing heavy on his shoulders. "We're not lying down and waiting for the sunset."

He runs his fingers over the cold outdoor oven at Maghen David that once turned out fresh unleavened bread. He peers through a window into the basement where vats of wine were stored.

From a wooden box, he picks up a book of prayer, the pages eaten with precision by bookworms. "I always thought someone should take these away. Too late now. They are all in terrible shape."

Zachariah's ancestors arrived in India in the 18th century from the Syrian cities of Aleppo and Damascus. Others came from Iraq and Iran. All of them came to be known as Baghdadi Jews in India.

They came to British India to trade -- in jewels, spices, textiles, tobacco, tea. They made a name as exporters and real-estate dealers and bakers. India, said Judaism scholar Nathan Katz, was one of the few places in the world that was inherently hospitable to its Jews.

In Kolkata, Jewish families settled in what was known as "gray town," the central city neighborhoods that separated the whites from the "coloreds." They built graceful buildings that lined Brabourne Road in the heart of what is today Badabazaar, Kolkata's largest wholesale market.

Jewish settlers to Kolkata eventually built five synagogues, at least two schools and a hospital. The schools are still operational, though not one student is Jewish. The Beth El and Maghen David synagogues exist today more as memorials to a former era than as functional Jewish temples.

They established a landmark bakery, Nahoum and Sons, in New Market, a favorite among Jews and gentiles alike who craved its fruit cake, cream rolls and lemon tarts. It, too, like every other Jewish institution, faces a perilous future -- the last of the family in Kolkata, David Nahoum, is 84 and frail.

"They were so well integrated into the upper class of Bengali culture," said Katz, a professor of religious studies at Florida International University who has done extensive research on the Jewish communities of India. But then came Indian independence and the birth of Israel the following year. The Jews began their exodus.

"A new social and economic order came to into being and their prospects began to dry up," Katz said. By his estimate, the 12,000 Baghdadi Jews in all of India in 1947 have now dwindled down to less than 100. In a nation of 1.1 billion people, they don't even qualify as a minority group anymore -- barely a blip.

"It was a beautiful culture," Katz said. "I find it terribly sad."

Katz said Jewish communities have died violent and forced deaths in other places. Ironically, in India, where they did not face persecution, they left of their own accord.

That's what makes the tale more poignant. It's not that someone forced the clock on the Maghen David tower to stop -- it just did one day. At 3:30. No one knows the date, though the typewritten notices posted for a board meeting give a clue. The paper is yellow and frayed. "21st May, 1989."

It was probably that way when Rahel Musleah journeyed back to Kolkata in 1997 to cement the shadowy images of a way of life she had heard about. Her father, Ezekiel Musleah, 82, was a rabbi at Maghen David who saw prospects for his family dry up.

"It was very difficult to leave. But what can a rabbi do in a community that was dying?" he asked. He began a new life in Philadelphia, Pennsylvania, in 1964, determined to carry on the music, the food, the spiritual norms that had taken root from a mix of Middle Eastern and Indian traditions.

Rahel Musleah, a 52-year-old freelance writer who lives in Great Neck, New York, recalled her parents speaking Hindustani at home and celebrating birthdays with rasagollahs, a sugary Bengali confection. Women in the synagogue taught her mother -- who had relied on a cook in Kolkata -- to prepare Ashkenazic dishes including chopped liver, brisket and matzo balls. She also learned to replicate the Baghdadi-Indian specialties that her family craved.

The stories Musleah heard about Kolkata finally drew her back to the house at 11 Bowbazar Street that bore her grandfather's name: I.S. Musleah. Her great-aunt Ramah was the only one left in the house.

Musleah wandered around the dark rooms of the ancestral home, filled with heavy rosewood furniture and photographs of generations gone by. There, among the wedding pictures of her grandparents and aunts, she found her own.

Rahel Musleah sipped tea from butter-yellow cups with her aging Aunty Ramah and feasted on deep-fried kachuris and heart-shaped "queen cakes" from Nahoum's. On the Sabbath, she sat in dim morning light at Maghen David, closed her eyes and tried to imagine her grandparents and all the people who had come before her.

She tried to picture what was still vivid in her father's mind. "What sadness for my father to sit and walk where in his bones, in his heart and soul, he felt the closeness of everyone he loved. ... All dead now," she wrote in an article about her trip.

Rahel Musleah returned to Kolkata one other time with her sister several years ago. Two months after that trip, her Aunty Ramah died, severing her last link to that culture. She retrieved the wooden sign from the house bearing her grandfather's name. It now hangs in her home, above her grandparents' portraits.

The Jews who are left in Kolkata can do little but watch a way of life disappear. Zachariah thinks he might devote time to establishing a museum showcasing Jewish history; he wants to ensure that the Archaeological Society preserves standing synagogues.

"I don't think there will be a next generation," he says.

Kolkata, he says, was the kind of place that absorbed everyone. Evidence of that tolerance can be found on the same corner as Maghen David, where land is shared by a Christian church, a Hindu shrine and a Muslim mosque.

"Time marches on. People come. People go. When it was over here, they left," Zachariah says.

It is 1 p.m. And at that hour, Zachariah's voice gives way to the muezzin's call to prayer.

@highlight

Once a thriving community of 6,000, about 30 Jews are left in Kolkata, India

@highlight

Jews began arriving in India in the 18th century from Syria, Iran and Iraq

@highlight

Some 12,000 Jews began leaving when India gained independence in 1947