Islamabad, Pakistan (CNN) -- A Pakistani teenage activist shot in the head by the Taliban for demanding an education has left her beloved country for specialized medical treatment in Britain.

The Taliban's attempted assassination last week of Malala Yousufzai, 14, has sparked outrage inside Pakistan and around the world, transforming the young blogger into an international symbol of defiance against the radical Islamist group that continues to wield influence in parts of Pakistan.

After Tuesday's attack, Malala was treated immediately by Pakistani doctors who later removed a bullet lodged in her neck. She was airlifted Monday to a hospital in Birmingham, England, that treats the country's war casualties. There she will be treated by neurosurgery specialists. Her recovery could take months, doctors said.

Authorities in Pakistan said they are moving forward with their investigation into the attack. The country's interior minister, Rehman Malik, offered a $1 million bounty Monday for Pakistani Taliban spokesman Ehsanullah Ehsan.

Most Pakistanis consider the Taliban murderous ideologues, and the young girl's willingness to risk her life to attend school -- despite the Taliban's opposition to education for girls-- has struck a nerve.

Read a profile of Malala Yousufzai

One of the largest rallies supporting Malala took place Sunday in Karachi, Pakistan's largest city, where men, women and their children held signs that said, "Shame on you, Taliban." Others held signs condemning terrorism.

Massive posters and billboards said, "Malala, our prayers are with you." At another rally in the capital of Islamabad, protesters held candles and prayed for the girl's recovery.

iReport: Your views on girls' education

Malala began gaining international attention in 2009 as the Taliban gained a foothold in her home region of Swat, a Taliban-heavy valley in northwest Pakistan near the border with Afghanistan. Malala's father operated one of the few schools that defied the Taliban by keeping its doors open to girls.

At 11 years old, Malala started writing a blog for the BBC about what it was like to try to get an education under the constant threat of death by Islamist extremists. Her touching diary earned her both national and international praise.

"I had a terrible dream yesterday with military helicopters and the Taleban," she wrote. "I have had such dreams since the launch of the military operation in Swat. My mother made me breakfast and I went off to school. I was afraid going to school because the Taleban had issued an edict banning all girls from attending schools."

Millions of children face Malala's fight for an education

Now, Malala's supporters are demanding the government thoroughly investigate who stopped a van carrying Malala and her classmates, as they returned from school in the Swat Valley last Tuesday.

Gunmen jumped inside the van and ordered students to point out Malala. Horrified, they did. The men began shooting, hitting Malala in the head and neck. Two other girls were also wounded.

In recent days, as Malala breathed with the help of a ventilator in Pakistani medical facilities, the Taliban trumpeted its responsibility for the shooting.

They vowed that if she survives, they'll come after her again, and next time finish her.

'I am Malala'

Malala's story of defiance and survival has triggered an online flurry of petitions and support pages rallying for Malala and her fight for girls' education. An online "I Am Malala" petition, signed by celebrities and leaders, is demanding that girls get better access to education. The petition will be presented to Pakistani President Asif Ali Zardari and U.N. Secretary-General Ban Ki-moon.

Another online petition telling authorities to arrest Malala's attackers and end ties between the government and extremists had more than 10,000 signatures by mid-day Monday.

"All our law enforcers, intelligence agencies are hunting all those who were involved. I have got some other names which I would not like to mention on record because it may damage the investigation. But let me (as)sure my Pakistani nation, and the entire world, that we will get them very soon," Interior Minister Malik told CNN's Christiane Amanpour.

He said the attack plan was hatched in Afghanistan, and vowed to hold those responsible to account "very soon."

Attack galvanises anti-Taliban feeling

"Four people came from there. ... One of the guys, we have identified and (a) few of his associates have been arrested. One of -- the fiancee of one of the terrorists has been detained, and all possible leads which we have developed ... we are following it," the minister said, adding that the government has provided security to Malala's family and to two girls who were wounded in the same attack.

The name "Malala" has been trending on Twitter and has mobilized a large following on Facebook.

She also has attracted the attention of international leaders, including former British Prime Minister Gordon Brown, who wrote in a CNN commentary that the attack on Malala highlights the plight of "61 million young children like Malala who will not go to school today or any other day."

And, last week, U.S. Secretary of State Hillary Clinton mentioned Malala's bravery at a gathering of Girl Scouts in Washington. She said the attack on the teen should inspire support for other young women around the world who "struggle against tradition and culture and even outright hostility," to lay claim to their rights.

Even Madonna shouted Malala's name at a Los Angeles concert last week to the wild applause of fans and dedicated her hit "Human Nature" to the girl.

In Pakistan, young girls are wearing "I am Malala" T-shirts to show their solidarity with the teen activist.

Attack on teen blogger consumes Pakistan

Malala is expected to be hospitalized for "weeks if not months," said David Rosser, executive medical director of University Hospitals Birmingham.

Rosser declined to discuss details of Malala's condition, but said the decision to fly her to the United Kingdom from Pakistan was a sign that her medical team hopes she will pull through.

"They wouldn't be going through all this, if there wasn't a good hope of recovery," he said.

When Malala was rushed to a hospital in the northwestern city of Peshawar after she was shot, doctors tried to reduce swelling in her brain and removed the bullet in her neck. She was later transferred to a military hospital in Rawalpindi outside Islamabad.

At Queen Elizabeth Hospital in Birmingham, she will need to have the damaged bones in her skull repaired or replaced as well as intensive neurological rehabilitation, the Pakistani military said Monday. Malala's family has been kept up on every step of her treatment, officials say.

On Amanpour: The Malalas you'll never meet

"Malala will now receive specialist medical care in an NHS hospital," said British Foreign Secretary William Hague, referring to the country's National Health Service. "Our thoughts remain with Malala and her family at this difficult time."

'I have the right'

Malala spoke to CNN last year about her blog and her brave assertion that girls should go to school.

"I have the right of education," she said. "I have the right to play. I have the right to sing. I have the right to talk. I have the right to go to market. I have the right to speak up."

Opinion: One girl's courage in the face of Taliban cowardice

Her writing earned her Pakistan's first National Peace Prize and encouraged young people to take a stand against the Taliban -- and to not hide in their bedrooms.

But the instability of the region was highlighted late Sunday in an attack by scores of militants on a police outpost that killed six officers, police said.

On her blog, Malala often wrote about her life in Swat Valley, a hotbed of militant activity.

The valley once attracted tourists to Pakistan's only ski resort, as well as visitors to the ancient Buddhist ruins in the area. But that was before militants -- their faces covered -- unleashed a wave of violence in 2003.

They demanded veils for women, beards for men and a ban on music and television. They allowed boys' schools to operate but closed those for girls.

Learn more about how you can help at CNN Impact Your World

CNN's Saskya Vandoorne and journalist Nasir Habib contributed to this report.

@highlight

Interior Minister offers $1 million bounty for Pakistani Taliban spokesman

@highlight

Teen blogger arrives in Britain for treatment

@highlight

Malala Yousufzai has galvanized worldwide support for girls' education

@highlight

Malala was shot by Taliban gunmen who were enraged that she wanted an education