(CNN) -- Our democracies are facing a moment of truth. From the rise of extremism in the European Union to the political gridlock in the United States, leaders are struggling to respond effectively to new and complex global challenges.

Citizens feel alienated with conventional politics and frustrated by the absence of effective policies that serve societies' needs. That's why I am convinced that the real issue we face is not simply defining economic solutions, but rethinking our democratic institutions.

In any healthy democracy, there must be a balance between strong government and an empowered electorate that holds that government to account. But our democratic institutions have been captured by special interests. Policy is driven by powerful lobbies. Despite the rise of social media, media itself is increasingly concentrated in the hands of the few.

Watch George Papandreou's TED Talk

The speed and power of financial markets make democratic deliberation near impossible -- and government appears slow and weak in comparison. Banks have become too big to fail, which actually means too big to be accountable to the public good.

We've seen this before. As Franklin D. Roosevelt once said: "We know now that government by organized money is just as dangerous as government by organized mob."

The absence of a global governance system allows such interests to consolidate even more power, further constraining our capacity for democratic oversight. It's not only the Occupy movement -- the 99 percenters -- who are taking a stand against this growing concentration of global wealth and power. Last year, inequality was cited as the No. 1 challenge by the World Economic Forum. Not exactly a radical leftist group.

TED.com: Larry Lessig on rebuilding the republic

As we seek to rebuild our fragile economies after the financial crisis, economic measures must therefore be matched with democratic measures that rebalance this inequality and redistribute power to our citizens.

A case in point is Greece, where a drastic austerity program was prescribed in exchange for emergency loans to avoid bankruptcy. Those who have paid the highest price -- low- and middle-income taxpayers, and young Greeks who now face almost 60% unemployment -- are not to blame for the crisis.

Austerity has created a sense of injustice and a lack of opportunity that has fed political extremism in Greece. Opposition parties chose to enflame popular opinion rather than work together toward a common reform agenda. Such political opportunism is toxic. In Greece, it prolonged the crisis, delayed reforms and cost our country dearly.

That's why I called for a referendum on the terms of Greece's bailout loans: to give ownership of the process back to the Greek people. Although that referendum didn't happen, pushing the proposal did force wider political consensus in Greece. It led to a coalition government and has given the broader public a stake in their country's future.

TED.com: Rory Stewart on why democracy matters

My personal experience has taught me that hyper-partisan politics cannot lead us out of financial woes. No single party can push through the deep structural reforms that will make our economies sustainable. Such efforts require consensus, compromise and a sense of responsibility to future generations.

While polarization is a deeply problematic fact of democracy, it is also true that democracies have the capacity to guard themselves against the empowerment of extremist minorities. Indeed, what seem to be the dangers and weaknesses of our democracies can be dealt with only by more democracy: ensuring a public space for participation and informed deliberation.

That's why I have faith that democracies can find a way to reconcile differences and pull competing parties together for the public good. But first, we must ensure that our democracies are regenerated -- by fighting for institutions that are accountable, transparent and genuinely representative of all our citizens.

TED.com: Dave Meslin on the antidote to apathy

The recent crisis gives reason to revisit the origins of democracy. In ancient Athens, democracy was an innovation to disrupt the concentration of power and maintain equality amongst citizens. We, too, need to use innovation to reclaim these principles of democracy.

Online deliberation, citizen juries, crowd-sourcing for political solutions, and referenda are all useful tools inspired by the ancient Greek version of direct democracy.

Politics must again become the art of imagining a better world -- and collectively finding the power to do so.

The opinions expressed in this commentary are solely those of George Papandreou.

@highlight

Former Greek PM: From Euro-extremism to U.S. gridlock, this is a moment of truth for democracy

@highlight

George Papandreou says special-interest groups have too much sway, create inequality

@highlight

Papandreou: Politics, with citizen participation, must again become the art of imagining better world