(CNN) -- Obsession often brings joy and sorrow in equal measure.

Inside that thin, shiny packet giving off a mystical glow sits five stickers -- five faces of five men whose very presence can turn lives upside down.

Welcome to the world of World Cup sticker collecting.

"My girlfriend gave me an ultimatum the other day, her or the football stickers? Shame really, I thought she was the one," Daniel Blazer, a British collector, told CNN.

While most relationships survive the sticker phase, Blazer is not alone in his infatuation with the shiny adhesives which smile back at those dreaming of the holy grail -- the full sticker album.

Some are relentless in their pursuit of that holy grail, setting up spreadsheets and even calling in their spouse to increase the odds of successful swapping.

"My husband, Stephen, is obsessed with his sticker album," Emma Conway, who blogs under the name of brummymummyof2, told CNN.

"He has his own spreadsheet so he knows what he needs and what he doesn't. It does get annoying.

"Every time I go near a shop I have to get my three-year-old daughter some stickers and then get some for my 31-year-old husband.

"He's a fantastic dad to our two children but I think the opportunity to collect stickers reminds him and his friends of being kids.

"When I go to work, he gives me his swaps, and I swap them with my colleagues and then bring them back.

"I'm like a drug dealer...but with stickers."

Panini, the Italian company which creates the stickers, has been producing the iconic adhesives for the world's biggest football tournament since 1970.

Based in Modena, but with subsidiaries across the globe, Panini can produce over 25 million packets of stickers a day -- that's over 750 million individual stickers.

The company, which has a partnership with FIFA, the world's governing body, has exclusive rights to create products for the tournament.

Sold in 100 countries worldwide, the phenomenon has become synonymous with the World Cup, which is held every four years.

"I was very addicted when I was younger," Gabriel Perlaza, from Austin, Texas, told CNN, of his sticker obsession.

"All we would do in recess was trade stickers. I'd also go downtown to the street vendors with my father or grandfather. They had drawers full of stickers and would sell them for different prices individually.

"Looking back, it's just crazy how stickers would just take over and be all that mattered for those couple of months leading up to the World Cup.

"Even now, at the age of 32, when I stop by the store and buy five packets, I can't wait to get home and open them up," added Perlaza.

A quick glance at Twitter, Gumtree and other social media sites, provides a glimpse into the level of addiction that is currently gripping the world.

The hashtag #gotgotneed -- named after the phrase "got, got need" -- is usually uttered during a sticker swapping session and it's now one of the most prevalent on Twitter.

Be it on street corners or pubs and cafes, collectors trade at every opportunity, holding swapping sessions and allowing doubles to be discarded for the stickers which have so far proved elusive.

"I'm not at peace with myself if I can't get my hands on a Panini album before the World Cup," said Bernt-Erik Haaland, who lives in Norway.

"It's a really important part of the whole experience, especially the 'getting ready' and build up part to the tournament.

"It's also a really sociable thing to do because you can swap stickers with your friends."

The internet has provided a whole new dimension to the World Cup sticker craze.

Stickermanager.com is just one website which collectors can turn to in an effort to find each and every one of the 640 stickers.

Created for the 2006 World Cup in Germany, it now boasts 140,000 registered members who swap stickers online with fellow collectors around the world.

But swapping stickers in the post can be treacherous -- corners can get folded, faces can be blemished and your reputation can be ruined.

Even within the safety of the home, keeping stickers in perfect condition can be hazardous.

"We have a three-year-old girl and a one-year-old boy at home," Conway said.

"My daughter loves the stickers and is always trying to peel them out of the book.

"My husband is a very mild mannered man but if the kids go near the stickers then he'll raise his voice. He's very protective."

Keeping your stickers in mint condition is crucial in maximizing your ability to swap.

According to Stickermanager, the most popular sticker people are looking to collect is Jordi Alba, the Spain and Barcelona defender along with the German national logo in all its shiny glory.

But forget about swapping Gianluigi Buffon -- everybody appears to have the Juventus and Italian goalkeeper in their collection.

Every collector has a nemesis -- just ask Phil Smith, an avid collector from Sunderland. He is starting to feel he is being stalked by Cameroon's Alex Song.

"Song has swiftly become the scourge of my existence," said Smith.

"Collecting stickers was an attempt to try and reconnect with my childhood and an innocent love of the game.

"Alex has totally sucked the whole fun out of the whole process, though. I have five of him now, and there appears to be no end in sight

"The prospect of swapping him for someone exotic or essential to my collection is long gone. His five faces are destined to sit on top of my record player for eternity, symbolically gathering dust.

"For many, 2014 will be the summer of Samba, football, flair and joy. For me, it will be the summer of Alex Song."

One man took his love for stickers to a whole new level.

Adam Caroll-Smith, a Portsmouth fan, stumbled upon his 1996 Premier League sticker album in 2012 and was left devastated to find he was still missing six players.

The 29-year-old, who chronicles his quest to complete his collection in his book, "Six Stickers: A journey to complete an old sticker album", traveled far and wide to meet the players who he had failed to find in those hundreds of packets.

His journey proved successful, meeting the six former Premier League footballers and completing the book, before tossing the album into the sea in an act he describes as "cathartic."

"At the time, I was coming up to 30, getting married, having a child and it felt like a natural point to take stock of my life," Carroll-Smith told CNN.

"I think for a lot of people, that plays a part in the obsession. It allows them the opportunity to wallow in the excitement of their childhood.

"I think stickers are a metaphor for that -- they are something with a beautiful simplicity.

"When you're a kid, it's a chance to flash your football allegiance and gives you tangible proof to show how into football you are.

"Now, it gives a bizarre and nostalgic feel. I guess it's because it's something rooted in a particular era and has a timeless quality about it."

Such is the universal appeal of the product that Panini says in total it will sell 239,000 km of stickers - enough to stretch into space.

"Panini has the ability to create nostalgia galore amongst our 'second generation' collectors," Jessica Tadmor, head of marketing at Panini UK, told CNN.

"The media plays a large part. We've had radio DJ's collecting live on air, TV programs featuring the collection, and Twitter going sticker crazy.

"There have even been secret midnight swapping conventions in London aided by a beer or two."

Even the players are at it -- Costa Rica striker Joel Campbell, who was so desperate to find a sticker of himself that he bought a hundred packets.

But after opening each packet, he was left seething after failing to collect his own picture -- unlike his Costa Rica teammate, Bryan Ruiz.

The craze is set to continue when the tournament kicks off in Sao Paulo on June 12 with Brazil hosting Croatia in the opening fixture.

Conway is already resigned to losing the attention of her husband, Stephen, for the duration of the tournament -- even if he's finished his sticker album by then.

"I won't exist once it all starts," she jokes.

"We've been together 10 years so I know exactly what to expect and I'm sure he'll try to get the kids watching with him.

"His brother is going to Brazil so he's got a bit of envy but he'll be watching all the games.

"And he'll be making sure the kids don't go anywhere near the stickers too!"

@highlight

Panini World Cup stickers have taken the football world by storm

@highlight

People of all ages engaged in World Cup tradition

@highlight

Produces 25 million packets of stickers a day -- 750 million stickers a week

@highlight

Makes enough stickers to stretch to the Moon