(CNN) -- Scientists hailed a new method of making stem cells as a breakthrough. But questions about the data used for the two studies published in Nature in January have led one of the co-authors to call for a retraction.

Researchers had said they could turn mature cells into embryonic-like stem cells by stressing them in various ways, such as by putting them in an acidic environment. The embryonic-like stem cells can then be coaxed into becoming any other kind of cell possible.

This method, demonstrated using white blood cells of mice, could be faster and simpler than existing methods. Scientists called them STAP, or stimulus-triggered acquisition of pluripotency, cells.

Is it too good to be true?

Study co-author Teruhiko Wakayama, professor at the University of Yamanashi in Japan, told Japanese public broadcaster NHK this week he's not confident anymore the experiments generated STAP cells.

Doubts about the studies have been cropping up on blogs such as PubPeer in the weeks since their publication. The Riken Center for Developmental Biology in Kobe, Japan, said in February it was investigating "alleged irregularities" in research by Haruko Obokata, lead author of the studies who works at Riken, Nature reported.

Upon reviewing test data, Wakayama discovered multiple problems, including "questionable images," NHK reported.

What's more, outside experts were unable to reproduce the findings of Wakayama's group; Riken then disclosed detailed methods of making the cells, NHK reported.

Wakayama told NHK he has requested that his co-authors retract the studies and then would like outside experts to do verification studies. He said he is "no longer sure about the credibility of the data used as preconditions for the experiments," NHK reported.

A Riken official told The Japan News that "the basis of the articles" -- the fact that STAP cells were produced -- "is unshakable."

In a statement, Riken said that more time is needed to submit final conclusions of the ongoing investigation. The center said it is also considering retraction.

Dr. Charles Vacanti, a study co-author, said in a statement that he stands by the research.

"I firmly believe that the questions and concerns raised about our STAP cell paper published in Nature do not affect our findings or conclusions," said Vacanti, who is director of the Laboratory for Tissue Engineering and Regenerative Medicine at Brigham and Women's Hospital in Boston.

Harvard Medical School, with which Vacanti is also affiliated, said in a statement: "We are fully committed to upholding the highest standards of ethics and to rigorously maintaining the integrity of our research. Any concerns brought to our attention are thoroughly reviewed in accordance with institutional policies and applicable regulations."

Stem cell breakthrough may be simple, fast, cheap

The thriving science of stem cell research seeks to develop therapies to repair bodily damage and cure disease by being able to insert cells that can grow into whatever tissues or organs are needed.

Before the technique described in Nature, the leading candidates for creating stem cells artificially were those derived from embryos and stem cells from adult cells that require the insertion of DNA to become reprogrammable.

Stem cells are created the natural way every time an egg that is fertilized begins to divide. During the first four to five days of cell division, so-called pluripotent stem cells develop. They have the ability to turn into any cell in the body. Removing stem cells from the embryo destroys it, making this type of research controversial because some say an embryo is a human life.

Researchers have also developed a method of producing embryonic-like stem cells by taking a skin cell from a patient, for example, and adding a few bits of foreign DNA to reprogram the skin cell to become like an embryo and produce pluripotent cells, too. However, these cells are usually used for research because researchers do not want to give patients cells with extra DNA.

The new method does not involve the destruction of embryos or insertion of new genetic material into cells, Vacanti said. It also avoids the problem of rejection: The body may reject stem cells from other people, but this method uses an individual's own mature cells.

To study the STAP cell phenomenon, researchers first genetically altered mice donating stem cells to "label" those cells with the color green. For instance, they modified mice such that their cells would light up green in response to a particular wavelength of light.

The scientists exposed blood cells from these genetically altered mice to an acidic environment. A few days later, they saw that these cells turned into the embryonic-like state and grew in spherical clusters.

Scientists put the cell clusters into a mouse embryo that had not been genetically modified. It turned out, the implanted clusters could form tissues in all of the organs that the researchers tested. The scientists knew that the cells came from the original mouse because they turned green when exposed to a particular light.

Besides modifying acidity, researchers also stressed the cells in other ways, such as lowering the oxygen environment and disrupting the cell membrane. Increasing acidity was one of the most effective methods of turning mouse blood cells into STAP cells.

Among the unknowns about this technique are its effectiveness in humans, and what risks the method might pose.

Vacanti told CNN in January he hopes the process could get tested clinically in humans within three years. He noted that induced pluripotent stem cells are already being explored in Japan in humans and the same "platforms" could be used for STAP cells.

CNN's Yoko Wakatsuki contributed to this report.

@highlight

Doubts have emerged about stem cell studies

@highlight

A developmental biology center in Japan is investigating, report says

@highlight

Co-authors disagree about the validity of the data