A leading drug candidate for low sexual desire in women hasn't gotten approved for use in the United States, but the company backing it isn't giving up.

Sprout Pharmaceuticals announced Tuesday that the U.S. Food and Drug Administration gave the company "clear guidance" on "the path forward" for its drug to treat low libido in women, called flibanserin. The FDA had rejected an application to approve the drug last year, which Sprout appealed.

"The FDA has requested that Sprout complete two additional Phase I drug interaction studies and a Phase I driving simulator study," Sprout said in a statement. Such studies will look at different enzyme pathways and investigate whether the drug's side effects would impair driving.

Sprout will resubmit the new drug application for flibanserin by the third quarter of this year, the company said.

"We are encouraged by the FDA's response and view it as a significant step toward the approval of flibanserin," said Cindy Whitehead, president and chief operating officer of Sprout Pharmaceuticals, in a statement.

The FDA declined to answer specific questions regarding the matter when contacted by CNN in January.

FDA spokeswoman Andrea Fischer said in a statement: "The FDA is only able to provide information on approved drug product applications. Any information on an application that has yet to receive an approval or was denied approval belongs to the manufacturer/sponsor developing the drug."

Where's the sex drive drug for women?

Sprouting a drug

Flibanserin was initially developed by pharmaceutical giant Boehringer Ingelheim, but the company ditched it in 2010 after the FDA declined to approve their new drug application, asking for more research, said Dr. Irwin Goldstein, director of sexual medicine at Alvarado Hospital in San Diego, California, who collaborated on clinical trials for flibanserin.

A smaller operation, Sprout Pharmaceuticals, took over work on the drug in 2011, and resubmitted an application with 14 new clinical studies, encompassing data on more than 3,000 new patients, according to the company.

The drug is designed for the treatment of Hypoactive Sexual Desire Disorder in women. That's the technical term for when women have a distressing lack or absence of sexual desire or fantasy. Up to one-third of adult women may experience it, according to a 2002 study.

In total, more than 11,000 people have participated in clinical trials for flibanserin, Whitehead said. Still, the most recent attempt to get flibanserin off the ground failed; the FDA did not approve the company's revised drug application in October.

The FDA characterized the drug as having a "modest" effect in its response letter, Whitehead said. But clinical trial results show statistically significant improvement in the women who took the drug, compared to those who took a placebo, she said.

"In terms of what we see, I would say 'modest' is meaningful," Whitehead said.

Sex is doctor's life's work

A 2013 study in the Journal of Sexual Medicine showed that women taking the drug reported an average increase of 2.5 satisfying sexual events in four weeks, compared to an increase of 1.5 among women using a placebo.

Flibanserin is not a hormonal treatment and does not appear to affect fertility or interact with birth control medications, Whitehead said.

Given that the drug has been through numerous, rigorous clinical trials, and so much has been invested in it, the FDA's refusal to approve it is a turning point in the field of sexual medicine, Goldstein said.

The drug works by increasing brain blood flow in particular ways, Goldstein said. It increases levels of the neurotransmitters dopamine and noradrenaline, and lowers levels of serotonin.

Side effects of flibanserin include dizziness, nausea, fatigue and sleepiness. Unlike some treatments for men, flibanserin needs to be taken once a day, every day.

If there is no positive action on the drug, it could spell doom for pharmacological efforts to manage female sexual desire, he said. "It will go back to dark ages of saying, 'This is all a relationship problem,' even though we know it's not," he said.

Other options

There are other experimental treatments for low female sex drive in the works.

Drugs called Lybrido and Lybridos, developed by a company called Emotional Brain, have undergone several randomized studies with results that are "very promising and will be published soon," according to the company's website. A drug called Bremelanotide is being investigated by Palatin Technologies for both men and women. None of these drugs has completed phase 3 trials, which are necessary before approval.

Whitehead counts 24 FDA-approved treatments available in the United States for male sexual dysfunction, including popular drugs such as Viagra (sildenafil citrate). For women, it's zero.

"A lot of times, the medical community has really put men's needs first and hasn't really addressed women's sexual needs," said Jennifer Foust, a sex therapist in Aventura, Florida, who is not affiliated with flibanserin.

Because doctors have no solutions, women have tried less-proven treatments for their low sexual desire, such as diets and herbs. None of Foust's clients has had success with them. She said some women who aren't functioning well sexually would be "open to anything."

"I've had women complain, 'Why isn't there a female Viagra?' " Foust said.

Sex drive: It's complicated

Sex drive is more complicated for women than for men, Foust said. There are a lot of factors that could explain a woman's low desire -- and not all of them are medical, she said. Lifestyle and relationship issues may come into play.

Having a first child can be a problematic factor for some women; the adjustment and figuring out how to restructure their sex life can throw off desire. Foust has spoken to some new mothers who feel they are constantly being asked for something from their body, as if they are "touched out," but find their lack of desire troubling.

Some couples maintain satisfying sex lives over many years -- but some, over time, go on autopilot and have less and less sex.

"You have to continue to feed your sexual relationship, and feed your relationship in general," Foust said. "A lot of it depends on how much importance and energy you put toward your sex life."

Sometimes stress is the issue, too, she said.

Foust offers cognitive-behavioral, focused exercises to help women who are distressed about their low sexual desire.

Low sexual desire in women isn't necessarily a problem in menopause or later. Foust works with many women complaining of low sex drive who are in their 30s and 40s. The average age of participants in the flibanserin trials was 36, Whitehead said.

The new drug application the company will submit will be specifically for premenopausal women.

@highlight

Flibanserin is a drug that showed positive results in clinical trials

@highlight

The FDA has declined to approve this drug

@highlight

The drug's promoters have appealed that decision

@highlight

The FDA requested more study of the drug