LAGOS, Nigeria -- Incident details: "Armed pirates chased, boarded and hijacked a fishing trawler underway" southeast of Mogadishu, Somalia. "Several persons armed with machine guns, rocket-propelled grenade launchers and machetes attempting to climb onboard with use of rope" at Lagos anchorage, Nigeria.

The Yemeni coast guard patrols the Gulf of Aden in March.

Reading the International Maritime Bureau's Live Piracy Report a catalog of piracy reports from around the world, two names crop up with disturbing frequency: Somalia and Nigeria.

The list reads like a history book telling tales of the buccaneers of old -- daring raids, kidnappings and ransoms. But these days, Africa's pirates are using automatic weapons and grenades.

Thousands of miles apart, Somalia's and Nigeria's pirates have no communication, and their circumstances are very different.

Somalia is a barren, dusty failed state, and Somali pirates operate in the vast Gulf of Aden. Pirates in Nigeria operate from the sprawling metropolis of Lagos harbor to the riverine creeks of the Niger Delta region.

But they're after the same thing: money.  Watch how negotiations with pirates take place »

And to get it they seem to be feeding off each other's ideas.

"One of the interesting things about piracy offshore West Africa is that it has started to mimic piracy trends off the Horn of Africa, places like Somalia," explained Rolake Akinola, West Africa analyst at Control Risks.

"Some of the tactics used are increasingly sophisticated. Sophisticated weaponry is used by some of those pirate groups, and it's becoming much more violent."

The tactics employed often involve small speedboats pulling up alongside their target, boarding and, often resorting to violence, kidnapping the crew or cargo.  Watch a shipping company chief describe being hijacked »

Ransoms can run into the millions of dollars.

In Somalia last year, the hijacked Saudi oil tanker Sirius Star was released after a $3 million ransom was dropped by helicopter to the pirates.

Local governments in Nigeria's Niger Delta often keep a special fund to pay kidnappers. Hundreds have been kidnapped in the past few years, with American and British hostages in particular considered "high-value."

In countries where the majority of the population lives on less than $2 a day, the ransoms are considerable amounts of money.

And the money is often splashed out on flashy Humvees, flat-screen TVs and more weapons.

Visiting pirates in the swamps of the Niger Delta, we were taken to the commander's new home.

Surrounded by mud huts in the mangroves, a generator powered a refrigerator filled with bottles of champagne that the men drank as they played on their imported pool table.

They were all young men who complained about the lack of job opportunities and were enticed into piracy by promised riches on show at the commander's house.

Off Somalia's coast, a NATO-led task force is trying to crack down on Somali pirates. And the U.S. Navy is making frequent visits to West Africa to train local navies to combat pirates.

"The task force are doing a fantastic job, and they are very much welcome," said Michael Howlett, divisional director of the International Maritime Bureau. He pointed out that in February, for every eight attacks, there was only one hijacking.

But the bureau also says 2009 has seen a spike in pirate attacks, particularly off the east coast of Somalia. More than 15 attacks were reported by March.

With their attacks, pirates are challenging not just international shipping lanes but Africa's rule of law.

The pirates are now operating hundreds of miles from their bases.

Somali pirates operate freely along the coastlines of Kenya and Tanzania, with the potential to threaten tourists on the beaches. In March, Somalis hijacked a yacht and its crew of seven off the Seychelles.

Earlier this year, unknown Nigerian gunmen attacked the presidential palace in Equatorial Guinea. They were eventually chased away by a military helicopter.

To combat the problem, analysts like Akinola are agreed: More is needed than military force.

"Governments need to look at some of the social and underlying economic issues that allow piracy, so issues around governance and the provision of social services to populations in many of the countries affected."

@highlight

Risk experts say pirates in East and West Africa are after the same thing

@highlight

Tactics and weapons are becoming more sophisticated

@highlight

Ransom money is spent on luxury cars, more weapons

@highlight

International Maritime Bureau says 2009 has seen a spike in pirate attacks