Istanbul (CNN) -- A year ago, Ibrahim Qobani was an idealistic 19-year-old revolutionary who sang about freedom.

Always dressed in a scarf and fingerless gloves woven with the colors of the Syrian rebel flag, Qobani worked with a team of pro-democracy activists in Syria's northern Idlib province. He would sing from the rooftops during boisterous anti-government protests, complete with humorous animations that begged the international community to help stop Syrian government atrocities.

But today, Qobani appears much different in a series of YouTube videos.

Gone is the scarf with colors of the rebel flag. Instead of leading the chants, the young man stands in the crowd smiling as one man sings, "We destroyed America with a civilian plane, turned the World Trade Center into a pile of dirt. If you call me a terrorist, I say it's an honor."

In another video, Qobani stands cheering with a crowd of bearded men as a little boy sings, "Our commander is Bin Laden. He showed the Americans the strength of our faith." A man gives the boy a knife, which he proceeds to slice through the air as he sings, "Our police is Nusra. Just wait Alawites. We will come to slaughter you."

It was a chilling warning to the minority religious sect of Syrian President Bashar al-Assad, who has stacked the top ranks of his security forces with fellow Alawites.

Qobani declined several requests to speak with CNN. Several of his friends, however, confirmed that he is now a member of Jabhat al-Nusra, or the Nusra Front, the most famous of the hard-line Islamist rebel groups now fighting against the Syrian regime.

Qobani's ideological evolution is symbolic of a broader shift that many Syrians say they're seeing nearly two years after the anti-government uprising began.

"There is an increasing militarization and now increased radicalization of the revolution," said Rafif Jouejati. She is the English spokeswoman for the Local Coordination Committees in Syria, one of the first groups to organize peaceful anti-government protests in the spring of 2011.

"Jabhat al-Nusra continues to make gains," Jouejati said. "They continue to increase in popularity, particularly as they begin to implement social services."

In the last year, the Nusra Front has grown from a shadowy group claiming responsibility for deadly car bombs to what Syrians describe as a highly disciplined fighting force that continues to attract recruits from the more secular Free Syrian Army rebels.

Nusra Front fighters are said to be leading the ongoing siege of the Khweiris military airbase in Aleppo province. They are also credited with helping lead the capture of the Taftanaz helicopter airbase in Idlib province last month.

Opinion: Terrorist group fills power vacuum among Syria rebels

The high-profile Islamist victories on the battlefield have been accompanied by another trend. Gradually, black Islamist banners have replaced the distinctive green, black, white and red flags of the Syrian rebels at weekly anti-government protests.

"After two years of killings and butchering and the entire world standing by and watching us, now we depend on God only. So we started raising the banner of Shahada, the black banner of war," explained a Syrian activist who has spent much of the last two years organizing anti-government protests in Idlib province.

The Shahada refers to the Islamic creed "There is no god but God, Mohammed is the messenger of God." It is one of the most important pillars of Islam. It is also invoked for martyrdom on the battlefield.

The rapid rise of hard-line Sunni Muslim groups like the Nusra Front -- some of which have seen their ranks swelled by foreign jihadi fighters -- is a trend that makes Jouejati and other more secular revolutionaries deeply uncomfortable.

It is also making Washington uneasy. In December, the U.S. government blacklisted the Nusra Front, labeling it a terrorist organization.

"We blacklisted the Nusra Front because of its intimate links with al Qaeda in Iraq ... which is responsible for the killing of thousands of Iraqis and hundreds of Americans," said Robert Ford, the U.S. ambassador to Syria, in an interview with CNN last month. "We know what al Qaeda in Iraq did and is still doing, and we don't want it to start doing that in Syria."

But some Syrian opposition leaders blame Western inaction for the recent growth of the Islamist groups.

"The U.S. and the European Union didn't help us, and that created an increase in Islamic radicalism here," said Marwan Gayed in an interview in Aleppo last month. Gayed was a judge who defected from the Syrian government and helped launch the United Courts Council, an opposition-run court that is trying to institute law and order in rebel-controlled parts of Aleppo.

Like many in the opposition, Gayed has viewed Islamist groups like Nusra as uneasy partners in the campaign to overthrow the al-Assad regime.

"They are our brothers in the revolution. They bleed for it. But we differ on how to build the state," explained Gayed, who now serves as the chief prosecutor for the United Courts Council. "We call for a civil, democratic nation. They call for an Islamic state."

U.S. branding of al-Nusra may have unintended consequences

Members of the Nusra Front declined to meet face to face with CNN journalists. Instead, Salem Sabbagh, the spokesman for the Nusra Front in Aleppo, answered several questions submitted in print.

He wrote that the main object of the group in Syria was "to establish an Islamic state that can be based on the principles of the shura (consultations) where righteousness and justice will prevail based on applying God's laws."

"We already started carrying out God's law in some of the liberated areas," Sabbagh added. "And we noted a great reception among the people when it comes to these religious courts, especially when they discovered that these courts were not as some portrayed and tried to distort their reality that such a court system will enslave them and that their heads will be severed and that their only salvation is when they choose a secular Western-oriented system that can rule among them."

Competition between the United Courts Council and courts backed by the Nusra Front exploded this month. On Tuesday, the council accused Nusra Front fighters of raiding one of its courthouses in Aleppo.

"Jabhat Al-Nusra stormed the Second Circuit United Judicial Council and seized the building of the Council and attacked scholars and judges who were there and they beat them and insulted them and then they kidnapped them to Jabhat al-Nusra's headquarters," said the council in a written statement also signed by a group calling itself the Free Aleppo Lawyers.

Rebel court fills void amid Syrian war

It is not the first time tensions have flared between the Nusra Front and other revolutionaries.

One of Aleppo's most famous anti-government activists, a man known as Abu Maryam, told CNN he was briefly detained and flogged by Islamist fighters last week.

After his release, Abu Maryam posted a photo on Facebook of his bruised back.

"They accused me of protesting against the caliphate," Abu Maryam said in a brief interview with CNN.

Asked whether he thought the Nusra Front was taking over Syria's uprising, Abu Maryam said, "Yes, of course, that's true, but it's all because of the mistakes of the Free Syrian Army."

Nearly two years into the uprising, the rebel Free Syrian Army continues to be dogged by accusations of corruption.

In recent weeks, activists have mounted an online campaign accusing Ahmed Afash, a prominent commander based in Aleppo, of banditry and kidnapping. Afash has denied the charges.

But last week, a detachment of Afash's fighters raided the offices of the Aleppo Media Center. They briefly detained several Syrian journalists who had published reports that Afash's brigade had killed an innocent civilian.

Meanwhile, Islamist groups like the Nusra Front have been applauded for distributing food and fuel to hungry, freezing Syrians.

The Nusra Front also launched a cheap public service in rebel-controlled parts of Aleppo.

"Not only do they do the fighting, but they also perform a lot of civil duties such as cleaning roads, manning bakeries, installing and repairing city infrastructure like electricity," said the activist from Idlib province, who asked not to be named. "Some of the Nusra Front members are now playing even the role of street cleaners because of garbage in the city that has increased the rat population."

Even Syrians who criticize the Nusra Front concede the Islamists have offered hope to some members of a society traumatized by a brutal conflict that has claimed more than 70,000 lives and left millions of people homeless.

As Islamists within the uprising continue to attract support, leaders of the Free Syrian Army have been left fuming, blaming a lack of Western engagement for the ideological shift in the uprising.

"We see the Islamist factions gaining more ground, recruiting some of our own people," said Louai Miqdad, a spokesman for the Free Syrian Army.

"The world is handing Syria over to the unknown, to the radicals, to the Islamists."

@highlight

Hard-line Islamist groups like the Nusra Front are becoming more popular in Syria

@highlight

They're fighting the Syrian regime while providing social services for Syrian civilians

@highlight

Some attribute their rise to Western indifference and a Free Syrian Army that's lacking

@highlight

The United States blacklisted the Nusra Front in December, labeled it terrorist