Washington (CNN) -- As President Obama announced the first national HIV/AIDS strategy earlier this week, outside the gates of the White House, 3 percent of the District of Columbia's population continues to live with the disease.

HIV/AIDS rates in the district are "on par with Uganda and some parts of Kenya" where the disease has raged for years, says Shannon Hader, Washington's former HIV/AIDS administration director.

Three percent of Washingtonians live with HIV/AIDS, according to a study released by the district in 2009. The accepted threshold for a "generalized and severe epidemic," according to the study, is 1 percent.

Flanked by national health care administrators and community activists, Obama said his national strategy is to increase prevention and improve treatment while reducing disparities among groups hardest-hit by the disease.

In Washington, that's the African-American community, according to activists.

"In Washington, D.C. there's a huge disparity through race. The African-American community bears a huge burden of HIV in D.C. -- way above and beyond the proportions of the demographics of the D.C. area," says Justin Goforth, who works with the Whitman-Walker Clinic, a health center specializing in HIV/AIDS care.

And it's estimated that a third to half of Washington residents living with the disease don't know it, Goforth said.

Part of the problem is the stigma in the African-American community related to the disease, he said.

Guy Jenkins was 17 when he was infected with the virus that causes AIDS. Now 28, the gay African-American man has become an advocate within his community, speaking to groups whenever possible. But he believes the best way to reach his peers is through faith-based organizations, to stop the stigma related to testing and having the disease.

"It's a religious thing, mainly a lot of the churches don't tend to back it [HIV/AIDS testing and education] and because they don't back it and [the church] is the backbone of the black community, we find ourselves hiding behind doors."

"We don't tend to take to homosexuality or HIV/AIDS very well," Jenkins says. "It's always a tendency to put the blame on someone else. ... We tend to say it's another person, they didn't tell us, they didn't let us know what was going on. It does stand true to this day."

It's something Jenkins knows first-hand.

"For me, it took a long time to get over the stigma, get out of the closet, to stop hiding behind my status."

Goforth also believes faith-based initiatives would be helpful. His organization has worked to identify area churches where regular testing and counseling could occur.

He says the effort has yielded some positive results.

"I think in the last three or four years in this community, we slowed the freight train down and we now are looking to turn that freight train around."

Both men are hopeful that more federal dollars might help.

"Money makes the world go round," Jenkins said.

But more important, they agree the money must be carefully targeted to the communities hardest hit.

"Federal dollars need to pour to those communities, to do education, to do outreach, to do testing campaigns, and to aggressively link those people to care. It really is to get people to medical care and to treatment," Goforth said.

Obama told the crowd assembled at the White House, "We're here because we believe that while HIV transmission rates in this country are not as high as they once were, every new case is one case too many."

For Goforth, who tested HIV positive 18 years ago, the daily battle to reduce infections is more than just a job.

"I have a very personal stake in my career," he says.

"I sometimes say, I come to work to save myself every day."

@highlight

3 percent of D.C. residents live with HIV/AIDS, according to study released in 2009

@highlight

Experts estimate a third to half of D.C. residents with the disease don't know

@highlight

Rates in D.C. African-American community disproportionately higher, says expert