(CNN) -- Traditionally, you wouldn't gift someone a rat -- not someone you like, anyway. And even if a gift-wrapped rodent was in the cards, you'd likely shy away from the giant African pouched rat, which -- as the name suggests -- is rather large (think cat-sized).

Tanzania-based NGO Apopo, however, thinks rats make excellent gifts. So much so that they've launched an adopt-a-rat program, which allows participants to sponsor the animal.

"It's great for the giving season. It also works on Valentine's Day. Many people love to give their love, er, a rat," says Bart Weetjens, Apopo's founder.

Despite the creatures' reputation for thieving and spreading disease, Weetjens has proven that rats can be every bit as heroic as people. Contrary to public opinion, rats can actually save lives -- Apopo's rats have actually saved thousands.

From vermin to heroes

Weetjens' rodents have many talents. Mostly, though, they are highly trained to sniff out land mines and detect tuberculosis -- two scourges that have had a tremendously negative impact across the African continent.

And his rats are fast. A single rat can clear 200 square feet in an hour (done manually, the same area would take 50 hours to clear). A TB-detection rat can evaluate 50 samples in eight minutes (almost a day's work for a lab technician).

Though it's difficult to quantify the number of landmines buried in Africa (experts estimate the number is in the millions), there has been no shortage of casualties over the years. The Landmine Monitor estimates there have been over 18,000 landmines and explosive remnants of war (ERW) casualties in the African Union between 1999 and 2013. Aside from those fatalities, however, Weetjens notes that one of the most detrimental influences of mine fields is the amount of land they take up.

"[Affected] communities live in some kind of terror situation, where the most necessary, basic things -- like getting water and firewood or farming their land -- puts their life at peril. There doesn't even need to be landmines present. As long as there's this suspicion of landmines in these communities, there can be no real development," he says.

In 2006, Weetjens started testing his "hero rats," as he dubs them, on the mine fields in Mozambique, a country that at that time was one of the worst affected by landmines, thanks mainly to a civil war that ended in 1992. Since then, Apopo has cleared the country of 6,693 landmines, 29,934 small arms and ammunition, and 1,087 bombs. Mozambique is on track to be free of landmines by the year's end.

"It has affected Mozambique enormously," says Weetjens.

"The GDP has grown and there is a lot of economic development that formerly was not possible, so the effect on society is huge."

Next on Apopo's list is Angola -- the third most mine-affected country in the world. Together with Norwegian People's Aid, they hope to bring down the number of mines considerably over the next three years.

TB screening

In 2005, the World Health Organization (WHO) declared a TB crisis in Africa. It's a problem Weetjens realized he could address with his sniffer rats. So far, they've analyzed over 260,000 samples from health clinics in Dar es Salaam, Tanzania and Maputo, Mozambique.

"Traditional methods (for testing TB) are not so reliable, in an African environment at least," he says. WHO agrees. In 2011, the organization warned against blood testing for TB for its inaccuracy.

Weetjens notes that the HIV/AIDS epidemic in Africa also makes it difficult to get an accurate TB reading.

"People with HIV/AIDS tend to produce negative smears, as they have very few bacteria," he says.

"With scent detection, rats only need a few bacteria to be able to smell it."

The initial stages of training for the TB- and mine-detection rats are fairly similar. When the rats are still pups, they are socialized to work with people. The rats are then conditioned with clicker training, so that they associate the sound of a click with a reward (usually peanuts or bananas). They are then introduced to a target scent (TNT or positive TB samples).

TB rats stay in the lab, where they are ultimately given multiple samples at one time to evaluate. The training takes about six months. Mine-detection rats are moved first to a sandbox, where they are charged with sniffing out TNT-stuffed tea balls, before they ultimately train on a test field bearing both real and deactivated mines. Those rats can be fully trained in nine months to a year.

Why rats?

Weetjens wanted to find a locally-sourced resolution to a local problem.

"I was looking for an appropriate solution that communities at the bottom of the pyramid could use independent from expensive foreign know-how and technology," he says.

Weetjens notes that the advantage of using rodents is that they are cheap to train, cheaper to procure, and plentiful. Including all administrative and operating costs, each Apopo rat costs about $7,600 -- dogs can cost three times as much to train. Rats also have the advantage of being too lightweight to trip off a mine (Apopo boasts zero casualties so far).

"I kept rodents as a boy, so I knew they were very trainable, sociable and intelligent creatures," says Weetjens. For me, this was a natural fix."

@highlight

NGO Apopo trains rats to scent detect landmines and TB

@highlight

Apopo has almost cleared Mozambique of landmines

@highlight

A rat can clear a space 50-times faster than a manual deminer

@highlight

A rat can sniff more TB samples in 10 minutes than a lab technician can analyze in a day