Philadelphia (CNN) -- Helen Gym threw her arms around Duong-Nghe Ly.

"We did it," she said, before pulling back to look at Ly, a Vietnamese immigrant and senior at the South Philadelphia High School named in the complaint. "We did it."

The Philadelphia School District on Wednesday signed a 2½-year civil rights agreement with the U.S. Justice Department to address anti-Asian immigrant violence at South Philadelphia.

The agreement requires the school to submit an anti-harassment action plan and continue implementing policies and procedures to prevent harassment based on race, color and/or national origin.

The action serves as a nationwide standard for bullying prevention at schools, said Maureen Costello, director for Teaching Tolerance at the Southern Poverty Law Center.

"Every school needs a policy, but a policy isn't always enough," Costello said. "Everyone needs to know what to look for and how to respond."

Looking at the school system as a whole, versus creating policies that focus solely on perpetrators, is a more beneficial way to combat the issue of bullying, Costello said.

"Bullying doesn't occur in a vacuum, it occurs where it's allowed," Costello said. "What this (agreement) says to schools is don't wait until there's a problem, every school should be self-auditing."

Complaints were triggered by events on December 3, 2009, during which large numbers of Asian immigrant students from South Philadelphia High School were assaulted in and around the school throughout the day. Several students were sent to the hospital. The attacks followed years of harassment against Asian students at South Philadelphia High School, according to the complaints filed with the state and federal government.

In the days after the incident, more than 50 Asian students organized an eight-day boycott of the school in efforts to draw attention to what they felt was an inadequate response by the school staff to the ongoing harassment and violence.

The December 2009 boycott brought nationwide attention to the violence against Asian students at South Philadelphia. Months later, a federal investigation was launched after a formal civil rights complaint was filed by the Asian American Legal Defense Fund. The Justice Department, which announced its investigation in August, instructed the school system to improve the treatment of Asian students.

"We will always remember December 3, but we will refuse to be defined by that day," Wei Chen, who was a senior at the time of the melee, told the members of the Philadelphia School Reform Commission when the settlement was announced. "A year ago we came to you as victims. Today we come to you as youth activists, as organizers and leaders who have shown the power to make change."

According to the complaint, "the district and the school acted with 'deliberate indifference' to the harassment against Asian students and 'intentional disregard for the welfare of Asian students' " at the school.

The settlement proves the violence at South Philadelphia High School was racial, not gang related as once rumored, making it a bittersweet accomplishment, because the school district failed the students, said Gym, a board member for Asian Americans United, a nonprofit organization dedicated to empowering the Asian American community.

"We celebrate the lasting gains of these agreements," said Gym, who helped many Asian students document their experiences. "We hope that they are also welcomed with a measure of abiding humility and deep sorrow for the lack of action that required it."

The settlement agreement, which holds the district responsible for implementation and oversight, resolves eight discrimination complaints alleging widespread harassment of Asian students at South Philadelphia High School, and will remain in effect until June 2013.

The settlement terms "will in no way impact what is happening" unless the individuals who have been doing the bullying are brought to justice, said Steve Perry, CNN Education Contributor and principal at Capital Preparatory Magnet School in Hartford, Connecticut.

"It's not going to change anything," Perry said, adding that a coordinated, united front must be in place between school and home. "Parents need to monitor what happens at home, and schools need to monitor what happens at school."

It is important to understand what bullying is, Perry said, adding that school administrators are responsible for knowing how to detect it.

"To be bullied is to have an individual or group experience systematic or focused actions," he said. "Bullying is that behavior that makes you not want to go to school, or not want to live anymore."

Additional settlement terms require the school and/or district to retain an expert consultant in the area of harassment and discrimination based on race, conduct training of faculty, staff and students on discrimination and harassment based on race; to maintain records of investigations and responses to allegations of harassment; and to provide annual compliance reports to the department and Pennsylvania Human Relations Commission, as well as makes harassment data publicly available.

Litigation is not the solution to prevent bullying, said Michael Josephson, founder of the Josephson Institute Center for Youth Ethics.

"You can make the district police it, but as soon as they go off campus it's not dealt with," he said.

In order to combat bullying, students and schools need to do more than translating correspondence into designated languages or submitting annual compliance reports to officials, Josephson said.

"The reality is we have to create a sense of solidarity. We need a kinder, gentler society where respect is the norm," he said. "Yes, we have to pay attention to this, but we can't litigate our way out of this problem."

@highlight

Schools need to be proactive about stopping bullying, expert says

@highlight

CNN education contributor Steve Perry says bullies must be brought to justice

@highlight

Another expert says we cannot rely solely on legal measures to solve problem