SEATTLE, Washington (CNN) -- The next time you land safely in Seattle, you may want to thank Steve Osmek.

Wildlife biologist Steve Osmek checks a radar screen for information on birds close to the Seattle airport.

He's the wildlife biologist whose job is to make sure that birds don't get in the way of airplanes arriving and departing Seattle Tacoma International Airport.

Even though the bird strikes that recently caused US Airways Flight 1549 to lose both engines and land in New York's Hudson River has brought greater urgency to the issue, the danger presented by avian life is nothing new to Sea-Tac. The airport has had a wildlife biologist on staff since the 1970s, Osmek says, and annually spends about $250,000 on bird-removal operations.

Osmek and a crew of about 20 helpers use low-tech and high-tech methods to guard against bird strikes. First, they combat the environments that attract birds by planting foliage that prevents them from landing and by covering any nearby bodies of  water with netting.

"The main thing is to make sure the birds are not used to coming here to the airport," Osmek says. "They don't get used to feeding here, nesting here and in turn coming into closer contact with the aircraft."

Birds that still stray into Sea-Tac airspace are harassed relentlessly.

Osmek uses a laser with a scope on it to shine a green light near birds. The light flashing near the birds mimics a predator stalking them, Osmek says, and usually causes them to take flight. For more persistent opponents, Osmek reaches into the deep arsenal of what he calls his "pyrotechnics."

They are explosive shells that he uses to ward off birds -- sometimes large flocks of them -- entering airspace near the airport's three runways. Osmek fires the shells with a variety of pistols or a shotgun. Some boom loudly, and others scream into the sky before blowing up into puffs of smoke.

One projectile travels up to 1,200 feet before exploding like a thunderclap. It is intended to ward off high-flying birds like hawks or eagles. Osmek says the pyrotechnics only scare the birds and do not harm them.

"We're not aiming the pyrotechnics right at them," he explains. "We are usually aiming to where we can direct them to a safer place."  Watch Osmek at work at the airport »

Using the pyrotechnics is also economical. One shell costs about $10, Osmek says, while a bird strike on a plane can cost hundreds of thousands of dollars in damage or much worse.

But the airport's most valuable tool, Osmek says, isn't one that scares off birds -- it's one that helps find them. In three separate locations around the airport are avian radar terminals that track the birds within six miles of the airport and up to 3,000 feet.

The radar is similar to marine radar but used for a very different application. The avian radar allows the bird crew at the 2,700-acre airport to focus on specific areas.

"[The birds] are objects I don't see with my naked eye, but you look at the radar and it raises your awareness of those areas where you should take another look," Osmek explains. "I may scan with my binoculars, but I might not necessarily know where to scan, but now I know there's a bird there."

Innovations to the radar now help airport staff determine at what altitude the birds are flying. After studying the radar long enough, Osmek can tell from flight patterns what kind of bird he is looking at. It's important when trying to prevent bird strikes to know if you are dealing with a sparrow or Canada goose.

Ed Herricks, a University of Illinois professor who placed the radar at Sea-Tac and works with Accipiter, the maker of the radar, says the next challenge for the systems will be further implementing them into airport operations without "crying wolf."

"There is a critical need to have the data moved into the decision-making process of controllers and pilots," Herricks says. But, he adds: "You want to be absolutely sure when you say something is there that something is there."

Tim Nohara, the president of Accipiter, foresees a time soon when the radar will not only help biologists on the ground but will be part of the information coming into airport control towers like weather and wind shear data. Electronic alerts could be sent to controllers or pilots if they are flying too closely to a flock of birds, Nohara says.

"With the radar, airports can be much more effective in the strategies they employ," Nohara says. And if bird strikes do occur, the radar "will help investigators determine what happened," he says.

O'Hare in Chicago, JFK in New York and Dallas Fort-Worth are airports slated to receive similar radar systems this year.

@highlight

Airport uses low-tech, high-tech methods to ward off bird strikes

@highlight

Noisemaking projectiles are fired to scare away birds

@highlight

Radar can help determine birds' altitude and even what kind of birds they are

@highlight

Other airports slated to get radar are O'Hare, JFK and Dallas-Fort Worth