Washington (CNN) -- The U.S. Supreme Court will take another look at an 11-year-old boy's request to have Israel listed as his place of birth on his U.S. passport.

The justices announced Monday they would review a federal law giving that special right to those like young Menachem Zivotofsky, who were born in Jerusalem.

But that is a disputed region in the eyes of the Obama administration, which said the larger issue should be resolved by bilateral negotiations, not by a 2002 congressional action favoring the family and the more than 50,000 other Americans born in the holy city.

Oral arguments by the high court will be held in the fall.

At issue is whether the statute interferes with the president's power to recognize an independent sovereign.

The case is a classic fight between congressional and executive authority, with foreign policy the source of the current controversy.

U.S. policy does not recognize any country as having sovereignty over Jerusalem. Two years ago, the justices allowed the family's federal lawsuit to proceed.

The city is home to Ari and Naomi Zivotofsky. The couple and their two oldest children were born in the United States, but the family migrated to West Jerusalem more than a dozen years ago, and in 2002 the youngest, Menachem Binyamin, was born.

The boy's mother made the "Israel" request about two months after his birth, but embassy officials refused. The disputed passport shows his round, innocent face, and "Jerusalem" is listed as his place of birth.

"We're very proud of the fact that he was born in Israel and that we live in Israel and it's the modern state of Israel," Ari Zivotofsky told CNN in 2012. "Religiously and historically, that's very significant."

Just three weeks before Menachem was born, the U.S. Congress gave American citizens born in Jerusalem the individual discretion to ask that Israel be listed on passports and consular reports, where it says "Place of Birth." President George W. Bush signed the bill but issued an executive "signing statement" indicating he would not comply.

It is not the first time Congress and the White House have clashed over the region. The U.S. Embassy remains in Tel Aviv, over U.S. lawmakers' objections.

The government is thinking of the bigger picture. State Department officials would not comment on the record on a pending case, but President Barack Obama has acknowledged the stalled peace process has created divisions in that region and in the United States.

The high court case is Zivotofsky v. Kerry, but the key player in this dispute is perhaps the most famous city in the world, and one of the oldest human settlements still in existence: Jerusalem. Its name translates as "City of Peace" to some, "Holy Sanctuary" to others. Jerusalem is Israel's largest city, and the nation calls it its capital, though that is not recognized by the United Nations and most of the world community.

Divided into East Jerusalem (populated mostly by Muslims) and West Jerusalem (populated mostly by Jews), the city spans over 48 square miles (124 square kilometers), with about 775,000 people.

The terms "East" and "West" come layered with political, social, religious and geographic questions -- amorphous, often misleading terms, symbolic of the larger struggle for control and recognition of all that this city represents. Some use the terms "Jewish" or "Arab" Jerusalem to refer to the sections.

The Old City is the heart of the region, a holy symbol to the three major Abrahamic religions: Christianity, Islam and Judaism. That tiny area -- just a third of one square mile -- contains the Temple Mount, Western Wall, Church of the Holy Sepulcher, Dome of the Rock and al-Aqsa Mosque.

The case is Zivotofsky v. Kerry (13-628).

In 2011: High court looks at passports and presidential power

Supreme Court says 9-year-old can pursue passport suit

@highlight

2002 law lets U.S. citizens born in Jerusalem ask that Israel be listed as birthplace on passports

@highlight

The U.S. doesn't recognize any country as having sovereignty over Jerusalem

@highlight

At issue is whether the law interferes with presidential power