Atlanta (CNN) -- This is not your grandfather's -- or even your father's -- ol' football museum.

The new College Football Hall of Fame, opening here Saturday, is a gleaming, high-tech shrine to the pageantry of America's most popular campus sport.

Gone, mostly, are the plaques and musty displays of faded uniforms and leather helmets. In their place are vast multimedia touchscreens, movies in 4K ultra-HD, fight-song karaoke and a booth that puts fans into a simulated broadcast of ESPN's "College Game Day."

And that's not counting the indoor 45-yard replica field where fans can toss a football, run an obstacle course or kick an extra point.

"This is a great space. And it says wonderful things about our sport," said Steve Hatchell, president of the National Football Foundation, which oversees the hall. "It's not just a new building. This facility provides us a national platform for highlighting the heroes of the game and telling their stories."

Top 25 amusement parks around the world

The $68.5 million building starts a new chapter for the Hall of Fame, which had operated for 17 years in South Bend, Indiana, before relocating to Atlanta. South Bend was chosen for its star attraction, the University of Notre Dame, whose Fighting Irish have a national following and 44 Hall of Fame inductees, more than any other school.

But attendance in South Bend had slumped to fewer than 70,000 visitors a year, and officials felt that a change was needed. Enter Atlanta, which has a metro-area population of more than 5 million, a thriving convention business and a prime location in the football-mad Southeast, home to the powerhouse Southeastern Conference and the past eight BCS national champions.

"What better place for this ... than Atlanta? We are in the heart of football country," Georgia Gov. Nathan Deal said at the hall's media event Wednesday. He said the new Hall of Fame, bankrolled by Chick-fil-A, Southwest Airlines and other corporate sponsors, is expected to attract 500,000 annual visitors and an estimated $12 million in ancillary revenue to the state.

The 94,000-square-foot football shrine sits around the corner from Atlanta's massive convention center and joins a downtown cluster of tourist attractions, including the Georgia Aquarium, the World of Coca-Cola, the CNN Center and the National Center for Civil and Human Rights. It's also a short walk from the Georgia Dome, where the 2014 college football season kicks off with two games next week.

Top 20 museums around the world

Visitors are greeted in the lobby by a three-story wall adorned with the helmets of all 768 four-year colleges in the U.S. that field a football team, from mighty Alabama to the tiniest Division III school. To personalize the experience, each visitor gets a badge that can be coded with their favorite college; as they move through the hall, exhibits will read their badge and display information relevant to that team.

"The building recognizes you and starts talking to you," said Kevin Gordon, principal of tvsdesign, the hall's architect. "We want to make sure someone coming in from Idaho or Wisconsin or Oregon feels a connection to the building."

The hall's first floor is designed to help fans imagine the game-day experience from a player's perspective. Visitors pass through a replica of a stadium tunnel and out onto a truncated football field complete with lined turf and regulation-size goal posts. Inside the tunnel are replicas of iconic stadium items, such as Nebraska's horseshoe and Notre Dame's "Play Like a Champion Today" sign, that players traditionally touch for luck on their way to the field.

Once on the turf, visitors can take part in a skills challenge -- likely to be popular with young fans -- that includes kicking a football through the uprights or dashing through an obstacle course to score a touchdown. Said Brad Olecki, the hall's chief revenue officer, "this is the best place to bring your kids to tire them out."

8 weird houses worth a visit

On the second floor, fans will encounter a 52-foot-wide multimedia wall containing 10,000 pieces of content about famous games and players throughout college football's history. Touch a panel and it expands to show photos, sound and video clips.

Nearby is a 150-seat theater with continuous showings of "The Game of Your Life," a 10-minute movie that splices together audio from famed players and coaches with ultra-high-definition game footage.

Down the hall are exhibits on tailgating, mascot uniforms such as the sweater worn by Uga, the University of Georgia bulldog, and famous quotes by legendary coaches ("The man who tried his best and failed is superior to the man who never tried," from Oklahoma's Bud Wilkinson).

There's also a booth where would-be radio announcers can test their skill at narrating famous plays, such as Auburn's dramatic touchdown on a missed field goal last year to beat Alabama.

On the third floor is the actual Hall of Fame itself, a round room with searchable multimedia screens displaying information on the hall's 1,139 inductees. To be eligible, a player must have been a first-team All-American and be 10 years removed from his final college game, so you'll find USC's Marcus Allen and Navy's Roger Staubach but not Florida's Tim Tebow or Auburn's Cam Newton (at least not yet).

10 spectacular waterfalls across the United States

The Hall of Fame's honorees are an exclusive group. Of the estimated 5 million young men who have played college football since the first-ever game between Princeton and Rutgers universities in 1869, fewer than .0002% are in the hall.

"They are the best of the very best," Hatchell said. "Within these walls, we chronicle the journeys of countless greatest of our nation's leaders who got their start on the gridiron."

The College Football Hall of Fame will host a free tailgate party for its grand opening Saturday. After that, the hall will be open seven days a week. Admission is $20 for adults and $17 for kids, students, seniors and members of the military.

@highlight

The College Football Hall of Fame opens this week in Atlanta

@highlight

The hall moved from South Bend, Indiana, because of poor attendance

@highlight

The new shrine features multimedia displays and a 45-yard indoor football field

@highlight

Visitors wear a badge that can trigger customized digital content about their team