Editor's note: Peter Bergen is CNN's national security analyst and a fellow at the New America Foundation in Washington and at New York University's Center on Law and Security. His most recent book is "The Osama bin Laden I Know: An Oral History of al Qaeda's Leader."

Peter Bergen says it's crucial to correctly frame the nature of a war before beginning it.

WASHINGTON (CNN) -- President-elect Barack Obama and his foreign policy advisers and speechwriters are wrestling with one of the most important speeches of his presidency, his inaugural address.

One of their toughest conceptual challenges is how to describe and recast what the Bush administration has consistently termed the "war on terror."

The dean of military strategists, Carl von Clausewitz, explains the importance of this decision-making in his treatise "On War": "The first, the supreme, the most decisive act of judgment that the statesman and commander have to make is to establish...the kind of war on which they are embarking; neither mistaking it for, nor trying to turn it into something that is alien to its nature."

Clausewitz's excellent advice about the absolute necessity of properly defining the war upon which a nation is about to embark was ignored by Bush administration officials who instead declared an open-ended and ambiguous "war on terror" after the United States was attacked on September 11, 2001.

Bush took the nation to war against a tactic, rather than a war against a specific enemy, which was obviously al Qaeda and anyone allied to it. When the United States went to war against the Nazis and the Japanese during World War II, President Franklin Roosevelt and his congressional supporters did not declare war against U-boats and kamikaze pilots, but on the Nazi state and Imperial Japan.

The war on terror, sometimes known as the "Global War on Terror" or by the clunky acronym GWOT, became the lens through which the Bush administration judged almost all of its foreign policy decisions. That proved to be dangerously counterproductive on several levels.

The GWOT framework propelled the Bush administration into its disastrous entanglement in Iraq. It had nothing to do with 9/11 but was launched under the rubric of the war on terror and the erroneous claims that Saddam Hussein had weapons of mass destruction.

The theory was that he might give such weapons to terrorists, including al Qaeda to whom he was supposedly allied, and that he therefore threatened American interests. None of this, of course, turned out to be true.

The Bush administration's approach to the war on terror collided badly with another of its doctrines, spreading democracy in the Middle East as a panacea to reduce radicalism.

It pushed for elections in the Palestinian territories in which, in early 2006, the more radical Hamas won a resounding victory, propelled to power on a wave of popular revulsion for the incompetence and corruption of the Fatah party that had dominated Palestinian politics since the 1960s.

Imprisoned by its war on terror framework, the Bush administration supported Israel in a disastrous war against Hezbollah in Lebanon in the summer of 2006. Hezbollah is not only a terrorist group but is also part of the rickety Lebanese government and runs social welfare services across the country, yet for the Bush administration its involvement in terrorism was all that mattered.

As is now widely understood in Israel, the war against Hezbollah was a moral and tactical defeat for the Israeli military and government. Events in the current Israeli incursion in Gaza will determine whether history repeats itself.

Under the banner of the war on terror, the Bush administration also tied itself in conceptual knots conflating the threat from al Qaeda with Shiite groups like Hezbollah and the ayatollahs in Iran.

In 2006, for instance, President Bush claimed that "the Sunni and Shiite extremist represent different faces of the same threat." In reality, Sunni and Shiite extremists have been killing each other in large numbers for years in countries from Pakistan to Iraq. The groups have differing attitudes toward the United States, which Sunni extremists attacked in 1993 and again on 9/11, while Shiite militants have never done so.

So, how to reconceptualize the GWOT?

Contrary to a common view among Europeans, who have lived through the bombing campaigns of various nationalist and leftist terror groups for decades, al Qaeda is not just another criminal/terrorist group that can be dealt with by police action and law enforcement alone.

After all, a terrorist organization like the Irish Republican Army would call in warnings before its attacks and its single largest massacre killed 29 people. By contrast, al Qaeda has declared war on the United States repeatedly -- as it did for the first time to a Western audience during Osama bin Laden's 1997 interview with CNN.

Following that declaration of war, the terror group attacked American embassies, a U.S. warship, the Pentagon and the financial heart of the United States, killing thousands of civilians without warning; acts of war by any standard.

Al Qaeda is obviously at war with the United States and so to respond by simply recasting the GWOT as the GPAT, the Global Police Action Against Terrorists, would be foolish and dangerous.

What kind of war then should the United States fight against al Qaeda? For that we should learn some lessons from the conceptual errors of the Bush administration.

Nine days after 9/11, Bush addressed Congress in a speech watched live by tens of millions of Americans in which he said that al Qaeda followed in the footsteps "of the murderous ideologies of the 20th century...They follow in the path of fascism, Nazism and totalitarianism," implying that the fight against al Qaeda would be similar to World War II or the Cold War.

For the Bush administration, painting the conflict in such existential terms had the benefit of casting the president as the heroic reincarnation of Winston Churchill and anyone who had the temerity to question him as the reincarnation of Hitler's arch-appeaser, Neville Chamberlain.

But this portrayal of the war on terror was massively overwrought. The Nazis occupied and subjugated most of Europe and instigated a global conflict that killed tens of millions. And when the United States fought the Nazis, the country spent 40 percent of its gross domestic product to do so and fielded millions of soldiers.

In his inaugural address, Obama should say that the United States is indeed at "war against al Qaeda and its allies," but that as Roosevelt said in his inaugural address in 1933, the only thing we have to fear is fear itself. If Americans are not terrorized by terrorists, then the U.S. has won against them.

Al Qaeda and its allies are threats to the United States and Americans living and working overseas, but they are far from all-powerful. Barring an exceptional event like September 11, 2001, in any given year Americans are more likely to die of snake bites or lightning strikes than a terrorist attack.

Despite the hyperventilating rhetoric of Osama bin Laden, al Qaeda's amateur investigations into weapons of mass destruction do not compare to the very real possibility of nuclear conflagration that we faced during the Cold War. There are relatively few adherents of Binladen-ism in the West today, while there were tens of millions of devotees of communism and fascism.

Obama should also make it clear that instead of the Bush formulation of "Either you are with us, or you are with the terrorists," the Obama administration doctrine will be, "Anyone who is against the terrorists is with us."

After all it is only al Qaeda and its several affiliates in countries like Iraq, Lebanon and Algeria and allied groups such as the Taliban that kill U.S. soldiers and civilians and attack American interests around the globe.

Everyone else in the world is a potential or actual ally in the fight against al Qaeda and its affiliates, because those organizations threaten almost every category of institution, government and ethnic grouping.

This is the first of two commentaries on the war on terror. Read the second piece, Peter Bergen's commentary on what principles Barack Obama should follow in waging war against al Qaeda and its allies, Friday, January 9 on CNN.com

The opinions expressed in this commentary are solely those of Peter Bergen.

@highlight

Peter Bergen: Bush never correctly framed the "global war on terror"

@highlight

He says the president went to war against the tactic of terrorism

@highlight

Instead, Bergen says, the U.S. should be leading a war vs. al Qaeda

@highlight

Bergen: al Qaeda is a formidable enemy, but not the equivalent of fascism