(CNN) -- On June 4 this year, it will have been 20 years since I have seen Beijing, the city in which I spent much of my youth and attended university. It will have been 20 years since I saw my parents. My parents are older. I hear their health is not what it was, but it is something they take pains not to trouble me with. I hear Beijing is much changed. I hear China is much changed.

Wu'er Kaixi has been living in exile outside of China since 1989.

One thing has not changed. Many of us are still in exile and cannot go home. This is an odd thing, if you really think about it.

Last year, amid much pomp and ceremony, China held the 2008 Olympics. In the same year, China conducted its first space walk. In the same year, it overhauled its property laws, allowing far greater rights of ownership than China has seen since the communist revolution.

This year, amid a financial crisis of the kind the world has not seen since the Great Depression of 1929, the world looks to China as the motor of possible economic revival. Yet China -- unlike other nations that aspire to international recognition and respect -- still imprisons and exiles those with dissenting views.

The pity of this for me is that dissenting opinions have been behind every step of China's long journey to the place it now prides itself on occupying. Sacrifices were made to bring about the end of the Qing imperial dynasty and usher in a nationalist government in 1911. The student movement of May 4, 1919, against the Treaty of Versailles, which ceded German rights to Shandong province to Japan, initiated the nationalist, populist movement that arguably led to the rise of the Communist Party and the liberation of China from foreign control. Equally, it was internal pressure within China that compelled the ruling Chinese Communist Party to move from a position of insularity to what it is today - a voice that has authority in the international arena.

China has seen enormous changes since May and June of 1989, when the students of Beijing stood up and called on the Beijing government to make changes. The movement emerged largely out of a sense of frustration with a system amid unique circumstances - the death of a politician who was seen as more sympathetic to reform than most and ahead of a historic visit by then-Soviet leader Mikhail Gorbachev. It was a movement that was born out of a yearning for an end to official corruption and a stifling system that provided no opportunities to the country's best educated. But it became a wider call for change, when workers' unions and common people joined it.

Five months after the Tiananmen student movement was put down with live ammunition in Beijing on June 4, 1989, the Berlin Wall fell. Two years later, the Soviet Union collapsed. Early the following year -- in 1992 -- Chinese Communist Party leader Deng Xiaoping embarked on what is now known as the Southern Tour. In the relatively freewheeling Special Economic Zone of Shenzhen, he reiterated a dormant catchphrase of the 1980s, "To get rich is glorious," and effectively initiated a new era for China.

This new China is the only China that most foreigners who do business with the world's potentially biggest market know. But the only China I truly know is the one I was exiled from - and it was a China where you could not buy Nike or have a quiet drink in a bar, it was a China of empty department stores and streets thronging with people in drab Mao suits. To this day, I believe that the people who sacrificed their lives in Beijing in June 1989 had a huge role in transforming the China of my youth into the place it is today, the place that today the world recognizes as China - and hopes will help revive the global economy.

I am proud of what China has achieved. I simply wish it had achieved more. It is a personal tragedy for me that, after 20 years, I cannot see my parents or my homeland. But I think it is a far greater tragedy for China that, after 20 years, it cannot openly discuss its recent history, and let its people decide for themselves how and why the world's most populous nation has come to occupy the place it rightfully deserves. To me this says that China may have appeared to have stood up, but in reality it is still sitting down.

@highlight

Author was a student leader in China in 1989

@highlight

Wu'er Kaixi has been living in exile outside of China since the events at Tiananmen

@highlight

Author: Dissent has fueled historical progress in China