(CNN) -- New Zealand writer Eleanor Catton has made history as the youngest ever winner of the Man Booker Prize, the most prestigious literary prize in the Commonwealth, with her second novel, "The Luminaries."

The 28-year old's book, a murder mystery set on New Zealand's remote, forbidding West Coast during the 1860s gold rush and featuring seances, opium and a dead hermit, was described by the judges at the time it was shortlisted as a "Kiwi Twin Peaks."

The chair of judges Robert Macfarlane said it was a "dazzling work, luminous, vast" and "extraordinarily gripping."

"The characters are in New Zealand to make and to gain -- the one thing that disrupts them is love," he said.

He also praised the poise demonstrated by the young writer, who began the book aged 25 and completed it at the age of 27. "Maturity is evident in every sentence, in the rhythms and balances. It is a novel of astonishing control."

Canada's Alice Munro, 'master' of short stories, wins Nobel Prize in literature

Accepting the award at London's Guildhall Tuesday, Catton joked about her 832-page book's length -- 160 pages longer than the previous longest winner of the prize.

"I've actually just had to buy a new handbag because my old handbag wasn't big enough to fit my book," she said, before thanking her publishers for allowing her to pursue her complex, lengthy "publisher's nightmare" by freeing her from commercial pressures. "I was free throughout to concern myself with questions not of value, but of worth," she said.

Catton is only the second New Zealander to win the prize, which is awarded each year for the best English-language novel published by a citizen of Britain, Ireland or a Commonwealth country, and carries a GBP50,000 (US$79,880) award. The previous winner was Keri Hulme for "The Bone People" in 1985, also set on New Zealand's West Coast.

Canada can also lay claim to Catton, who was born in London, Ontario, where her father was completing a doctorate, and raised in Christchurch when the family returned to New Zealand.

Catton said she had drawn inspiration for her novel from classics including "The Brothers Karamazov," "Crime and Punishment" and "Moby-Dick," and drawn heavily on archived newspapers of the period for her research.

Malaysian novelist wins Man Asian Literary Prize

"I was able to see how much everything cost; what kinds of foods and wares were available to buy and sell, what entertainments were on offer, and, most importantly ... read transcripts of actual court trials from the period," she said.

"The trials are extraordinarily vivid in their detail: I recall a man sentenced to death by hanging, shouting from the dock, 'I have in me three hearts and my father knows it.' That line gives me chills."

The previous youngest winner of the Booker was Ben Okri, who was 32 when he won for "The Famished Road" in 1991.

Fergus Barrowman, New Zealand publisher of "The Luminaries" at Victoria University Press, said he realized on reading the manuscript he was dealing with a "masterpiece -- a brilliant and brave and totally successful work of art.

"I knew it had the potential to go this far, but you never count the chickens in this game," he said. "I think it will be a book that's read for decades to come."

He anticipated the win would help shine a spotlight on other New Zealand writers. "It's certainly reminded people that the best new talent can come from anywhere in the world and often if it comes from a distant part of the world it's fresher and more exciting."

Hilary Mantel becomes first woman to win Booker Prize twice

The other shortlisted authors for the prize were Indian-American Jhumpa Lahiri for "The Lowland," Irish writer Colm Toibin for "The Testament of Mary," Zimbabwe's NoViolet Bulawayo for "We Need New Names," British writer Jim Crace for "Harvest" and Canadian Ruth Ozeki for "A Tale for the Time Being."

This year's award marked the last time that entry in the awards will be limited to certain nationalities, with the organizers' decision to open the awards to competition from any novel written in English and published in the United Kingdom -- opening the door to writers from the United States and further afield.

The decision caused alarm among sections of the British literary world, with some expressing concern that the contest would come to be dominated by established American writers and lose its potential to highlight literary talent from around the world.

But Catton said she welcomed the move. "I think it's a really great thing that finally we've got a prize that is an English-language prize that doesn't make a distinction for writers who are writing from a particular country," she said.

Previous winners of the prize include Salman Rushdie, Hilary Mantel, Ian McEwen, J.M. Coetzee, Kazuo Ishiguro and Peter Carey.

Egyptian writer shares passion for her country with the world

@highlight

New Zealander Eleanor Catton, 28, wins Man Booker Prize for "The Luminaries"

@highlight

The murder mystery is set on New Zealand's West Coast during the 1860s gold rush

@highlight

Catton is three years younger than the previous youngest winner

@highlight

At 832 pages, her book was also the longest novel to win the prestigious award