(CNN) -- The recent Intergovernmental Panel on Climate Change (IPPC) report made very clear its view that the world is failing to prepare and adapt to the impacts of man-made climate change -- "in many cases, we are not prepared for the climate-related risks that we already face."

The challenge isn't new. We have known for some time that we need to act on climate change. This is a global issue requiring a coordinated global response and we need to make the most of the world's talent.

As an international ambassador for the People's Postcode Lottery Green Challenge, the largest annual international competition for green entrepreneurs, we are fortunate to see some of the best new ideas in green entrepreneurism.

However, while there has been a consistent number of female entries globally each year -- around 20% -- to really encapsulate the potential of a wider talent pool we need to see that percentage increase. As such, it was very uplifting to see that the winners of 2013 and 2012 were women, given that we want to see an increase in female participation.

Last year, U.S.-based Ginger Dosier won with her start-up bioMASON which -- inspired by coral reefs -- "grows" bricks by using microorganisms for use in building construction. These bricks can be used in place of conventional bricks, consuming far less energy and resources and as a result having a much lower impact on the environment.

In 2012, Molly Morse, another U.S.-based entrepreneur, won with her company Mango Materials, which uses bacteria to create biodegradable plastics for construction, toys, packaging or agriculture. She was driven to create more sustainable materials by seeing first-hand the use of temporary construction materials after earthquakes in India.

There are more examples from all over the world, such as the idea from Thailand-based, Orapin Sinamonvech, to turn agricultural waste into particle board. Her idea is helping to eliminate CO2 by offering farmers an alternative to burning their unwanted materials.

The impact of climate change particularly in the developing nations has a disproportionate impact on women and girls and solutions that reflect that are crucial. If we were able to encourage even a fraction more women to turn their experiences and ideas into reality, then we would be in a much stronger position to meet our climate challenge.

With greater need than ever for green businesses and innovations all around the world, l want to see more women seizing these sorts of opportunities.

As a woman who has had to overcome barriers, whether it be in my political life or the business sector, I understand that obstacles will not disappear overnight. To this end, I'm about to launch and participate in a mentoring service for women who need support in achieving their ambitions and would encourage other women in my position around the world to do the same.

Women have a strong historical record when it comes to sustainability, from Rachel Carson who wrote "Silent Spring," which many credited with igniting the environmental movement, to Vivienne Westwood who as well as campaigning for sustainability in the fashion industry has tried to make sustainability fashionable. We need to build on their record.

We should all have an interest in seeing women get ahead. We need to see more creative solutions to reduce climate change and we need to encapsulate a greater pool of imagination and invention.

As a start, with less than one month to go to the close of this year's competition, I would urge all female entrepreneurs with sustainability ideas to enter and take up the opportunity that's on offer.

SEE: Photojournalists capture the perfect shot

The opinions expressed in this commentary are solely those of Sandip Verma.

@highlight

Sandip Verma is a minister at UK Department of Energy and Climate Change

@highlight

She's also Ambassador to People's Postcode Lottery Green Challenge

@highlight

Women should be encouraged to establish green businesses, writes Verma