(CNN) -- Britain is withholding a multimillion-dollar aid payment to Rwanda over allegations that it is backing rebels who have been fighting government forces in neighboring Democratic Republic of the Congo, a minister said Friday.

The M23 rebel group seized the city of Goma in eastern DR Congo 10 days ago after days of heavy clashes with government forces.

Read more: Why the world is ignoring Congo war

Since then, regional leaders and the African Union have drawn up a plan under which the fighters would withdraw. But despite indicating that they would leave, M23 forces remained in Goma on Friday.

"The government has already set out its concerns over credible and compelling reports of Rwandan involvement with M23 in DRC," Justine Greening, Britain's international development secretary, said in a statement.

"We are committed to finding lasting solutions to the conflict in this region and will work with the governments of Rwanda and DRC to secure a peaceful resolution to the situation in eastern DRC."

Read more: DRC rebels say they will leave captured Goma

The United Nations and a number of donor countries have accused Rwanda of backing the M23 by providing it with arms, support and even soldiers. Rwandan President Paul Kagame has repeatedly denied the allegation.

Rwandan Foreign Minister Louise Mushikiwabo told CNN the measure was "very unfortunate."

"It is based on allegations of faulty reports which we have said for the last six months are wrong," she said.

"Aid shouldn't be used for political purposes. Peace in the DRC does not depend on Rwanda. We find this measure to be counterproductive."

Read more: Fighting worsens 'deteriorating' situation in eastern Congo

The 21 million pound ($33.6 million) sum was due to be paid in December.

The international community has been playing games with the DR Congo situation, Mushikiwabo said.

"We are very busy trying to talk to both parties: the M23 and the DRC government. And we are busy brokering deals, and this is very unhelpful," she said.

"We have said from the beginning that Rwanda did not support any mutiny in the Congolese army. What we regret is the level of hypocrisy. We cannot be held responsible for a country that so many people have had a hand in messing up."

She said Rwanda would have to adjust spending on social programs as a result of the British decision.

Mark Simmonds, the UK minister for Africa, visited Rwanda last week as part of international efforts to defuse the situation.

Calling for the M23 to withdraw from Goma, he said in a statement that "there can be no attempt to unseat the legitimate government of the Democratic Republic of Congo."

The conflict in DR Congo has forced more than 140,000 people to flee their homes, according to the U.N. refugee agency, on top of those already forced from their homes by previous rounds of fighting in the volatile region.

And aid groups warn the conflict risks triggering a broader humanitarian crisis.

Doctors Without Borders said Thursday that an "already fragile humanitarian situation in eastern DRC has deteriorated further" since the seizure of Goma by the rebels.

Hundreds of people have been injured, Doctors Without Borders said in a statement. Members of its staff are helping to treat dozens of patients admitted to hospitals in the area with war injuries. Cases of sexual violence have also been reported.

"The most vulnerable are in an increasingly precarious situation," said Grace Tang, head of mission in North Kivu for Doctors Without Borders. "The fighting that has plagued this region for decades has not stopped -- people cannot return home, they are being displaced from one place to another."

Tang said that the number of people in camps for the displaced has roughly doubled since the latest fighting broke out and that many of the people who have fled have nothing.

While the fighting has stopped in Goma for the moment, it carries on elsewhere in North Kivu province, she told CNN.

"Even if (the rebels) do retreat, it doesn't mean fighting cannot start again at any time," she added. "The situation is still very volatile. This is not the end."

Doctors Without Borders has teams in the field and more on standby to respond to any further deterioration, she said.

Greening, the British Department for International Development secretary, said her agency would provide a further 18 million pounds in support for immediate humanitarian needs in DR Congo.

The money will provide 100,000 people with three months of emergency food assistance, as well as access to clean water, essential household items and emergency education for more than 130,000 people, she said.

African leaders who convened in Uganda over the weekend demanded that the M23 group withdraw from Goma as a condition of initiating negotiations.

Mixed signals have come from M23 leaders and soldiers this week.

South African Minister of Defense Nosiviwe Mapisa-Nqakula told CNN that she had met with the defense ministers of Tanzania and Namibia this week following a request for help from DR Congo, a fellow member of the Southern African Development Community.

Mapisa-Nqakula said the defense ministers have called for a hybrid African Union force to be placed in eastern DR Congo to stabilize the situation.

She said that they would come up with specific plans of action next week, but that Tanzania had already volunteered to send in a battalion and South Africa to provide logistical support.

She said they had been disappointed with the actions of MONUSCO, the U.N. peacekeeping force in eastern DR Congo that essentially looked on when the M23 entered Goma.

"We warned the United Nations about this and asked them to strengthen their mandate before M23 took Goma. All they could do is wave as M23 entered," she said.

"We are very disappointed, and it's not like we didn't warn them," she said. "We saw that this was going to happen."

She also accused the M23 of multiple human rights violations.

South Africa has more than 1,000 soldiers as part of the MONUSCO contingent.

The latest unrest continues a cycle of violence and misery in eastern DR Congo, a mineral-rich region at the epicenter of political and ethnic conflict involving its neighbors to the east, Uganda and Rwanda.

The area has been embroiled in violence since 1994, when Hutu forces crossed the border from Rwanda fearing reprisals after the genocide in that country.

The M23 group was named for a peace deal of March 23, 2009, which it accuses the government of violating. The soldiers, mostly Tutsis, became part of the national army through that accord.

However, they broke away from the Congolese army in April, complaining they weren't being promoted as promised, and because of a lack of pay and poor conditions.

@highlight

Britain stops a $33.6 million aid payment to Rwanda over claims that it backs M23 rebel group

@highlight

Rwanda's foreign minister says the British decision is based on false allegations

@highlight

The rebel group seized a city in eastern Democratic Republic of the Congo last week

@highlight

More than 140,000 people have been forced from their homes by the fighting