(CNN) -- For the second time this month, a U.S. service member who worked in a military sexual assault prevention program has been accused of a sexual crime.

In the latest incident, an Army sergeant first class assigned to such a program at Fort Hood, Texas, is being investigated for alleged sexual assault, pandering, abusive sexual contact and maltreatment of subordinates. Charges had not been filed as of Wednesday morning.

A Defense Department official says "initial indications" show that are at least one person may have been forced into prostitution activity, but the matter remains under investigation no conclusions have been drawn yet.

The sergeant has not been named. In a statement that does not use pronouns that would identify the gender of the service member, the Defense Department said that the person has been suspended from all duties.

The allegations come as the military is under intense scrutiny for sexual assaults within its ranks. The number of service members anonymously reporting a sexual assault grew by more than 30% in the past two years, according to a Pentagon report released last week.

More than 26,000 troops experienced "unwanted sexual contact," a significant jump from 19,300 troops, a figure reported in a 2010 report on the topic.

The news of the Fort Hood case comes as the military prepares for a historic move: opening combat roles to women for the first time. It's unclear how that might affect the apparently increasing problem of sexual assault.

The department's own research indicates that both genders are victimized. Consider that 10,700 of the 19,300 troops were men, according to the 2010 report.

On Wednesday, the investigation into the Fort Hood case continued as special agents from the U.S. Army Criminal Investigation Command were in charge.

Defense Secretary Chuck Hagel was told about the case Tuesday and met with Army Secretary John McHugh.

"I cannot convey strongly enough his frustration, anger and disappointment over these troubling allegations and the breakdown in discipline and standards they imply," Defense Department spokesman George Little said of Hagel.

Hagel has ordered that all service members working in sexual assault prevention units be retrained and screened again. If they pass, they will get new credentials.

That should also apply to personnel and military recruiters.

An Air Force officer who was arrested the first weekend in May on allegations that he attacked a woman and groped her buttocks and breasts in an Arlington, Virginia, parking lot was a personnel officer by training, said Gen. Mark Welsh, the Air Force chief of staff.

After top Air Force officer charged in sex assault, military faces questions

In February, Lt. Col. Jeffrey Krusinski was placed in charge of a branch of the Air Force's Sexual Assault Prevention and Response program, and he oversaw a five-person office, an Air Force official told CNN after the incident. The official declined to be named, citing the ongoing law enforcement case.

Shortly after Krusinski's arrest, military officials appeared before a congressional panel for an already scheduled hearing on sexual assault in the military. Welsh described Krusinski when he was asked what made him qualified to work in the sex assault prevention program.

Krusinski, 41, is a 1994 graduate of the Air Force Academy who served tours in both Iraq and Afghanistan. He made an initial court appearance last week. He did not enter a plea.

During the hearing, lawmakers brought up yet another case that has made headlines involving sexual assault. Lt. Col. James Wilkerson III was found guilty last year by a jury of Air Force officers of sexually assaulting a woman at his home outside Aviano Air Base in Italy.

General defends decision in Aviano case

He spent four months in a Navy brig before Lt. Gen. Craig Franklin, the convening authority in the case, threw out the verdict.

Franklin was the officer who ordered Wilkerson's court-martial at Ramstein Air Base in Germany. But military law allowed him to have the final say.

"After considering all matters in the entire record of trial, I hold a genuine and reasonable doubt that Lt. Col. Wilkerson committed the crime of sexual assault," Franklin said in a letter to the Air Force secretary released publicly this week.

Pentagon officials told CNN that it is rare for charges to be dismissed in this manner. The decision angered victims' rights groups and some members of Congress.

"I am extremely disturbed," said Sen. Kirsten Gillibrand, D-New York, who chaired a hearing last month on the issue. "I don't know how you can say that having 19,000 sexual assaults and rapes a year is discipline and order."

Military rape victims: Stop blaming us

Reports of sexual assault appear to be weighing heavily on higher-ranking officers.

"This is so contrary to everything upon which the Army was built," McHugh, the Army secretary, has said during testimony before the House Appropriations Committee defense subcommittee. "To see this kind of activity happening in our ranks is really heart-wrenching and sickening."

He spoke generally about sex abuse crimes in the military.

Survey indicates troubling trend in military sexual assaults

"As I said to our new Brigadier General Corps when I spoke to them about two weeks ago, 'You can do everything from this point forward in your military career perfectly, but if you fail on this, you have failed the Army,' " McHugh reportedly said.

After assault case, Hagel seeks changes to military legal process

There were 3,374 sexual crimes reported in the military in fiscal year 2012, a 6% increase over the previous year, according to the Defense Department report issued last week.

Military officials worry that many victims don't come forward because they fear retaliation. But the numbers might indicate that more victims are willing to report crimes than in the past.

On Monday, House Armed Services Committee Chairman Howard P. "Buck" McKeon said he was outraged and disgusted by the Fort Hood allegations.

He called the case the "latest chapter in a long, sordid history of sexual abuse" in the military.

The military was rocked in the early 1990s by the Tailhook scandal. A female Navy lieutenant said she had been sexually assaulted at a military convention by other service members.

Revisiting the military's Tailhook scandal

McKeon, a California Republican, has a granddaughter in the Army.

"I see no meaningful distinction between complacency or complicity in the military's latest failure to uphold their own standards of conduct," he said. "Nor do I see a distinction between the service member who orchestrated this offense and the chain of command that was either oblivious to or tolerant of criminal behavior."

CNN's Barbara Starr, Dana Ford, Larry Shaughnessy and Steve Almasy contributed to this report.

@highlight

Prostitution-related activity may have been involved, an official says

@highlight

Number of service members anonymously reporting sexual assault is up by more than 30%

@highlight

"No meaningful distinction between complacency or complicity," says Rep. McKeon

@highlight

Soldier was assigned to a sexual harassment and assault response program