Jakarta (CNN) -- Southeast Asia's top diplomat has warned that the South China Sea disputes risk becoming "Asia's Palestine", deteriorating into a violent conflict that draws sharp dividing lines between nations and destabilises the whole region.

Surin Pitsuwan, the outgoing secretary-general of the 10-member Association of Southeast Asian Nations, told the Financial Times that Asia was entering its "most contentious" period in recent years as a rising China stakes out its claim to almost the entire South China Sea, clashing with the Philippines, Vietnam and others.

Read more: Does Norway hold the key to solving South China Sea dispute?

"We have to be mindful of the fact that the South China Sea could evolve into another Palestine," if countries do not try harder to defuse rather than inflame tensions, he said.

As it has grown economically and militarily more powerful, Beijing has become more assertive about its territorial claims in the South China Sea, which encompasses vast oil and gas reserves, large fish stocks and key global trade routes.

Interactive: Asia's disputed islands -- who claims what?

After naval clashes with Vietnam and the Philippines -- which claim parts of the South China Sea alongside Brunei, Malaysia and Taiwan -- China has further angered its neighbours by printing a map of its extensive maritime claim, known as the "nine-dotted line" in new passports.

Vietnam has hit back by marking the passports of visiting Chinese as "invalid" and issuing separate visa forms rather than appearing to recognise the Chinese claim by stamping passports.

Dangerous waters: Behind the islands dispute

The US state department on Tuesday said Washington would continue to accept the new Chinese passports as legal documents, adding that countries were free to decide what their passports looked like.

But Victoria Nuland, the state department spokeswoman, added that it was a separate issue "whether it's politically smart or helpful to be taking steps that antagonise countries".

The US has responded to a resurgent Beijing by refocusing its foreign policy on Asia and building closer strategic and military ties with old foes such as Myanmar and Vietnam, which also fear the consequences of potential Chinese hegemony in the region.

Squeezed between these two great powers, southeast Asian nations will come under growing pressure to take sides unless they can stay united, said Mr Pitsuwan, a Thai diplomat who will step down next month after five years as the head of Asean.

He argued that the deteriorating situation in the South China Sea was the result of "the internal dynamics of China", with Beijing focused on upholding its sovereignty and territory because of the recent leadership change, growing prosperity and a sense that the state-building process was still under way.

Read more: Can both sides back off peacefully?

Asean, which is the only high-level forum for security issues in Asia, has fallen into disarray this year as Cambodia, a close Beijing ally and the chairman of the organisation, has undermined efforts by the Philippines and Vietnam to form a consensus about how to respond to China's assertive stance.

"Cambodia has to balance itself within an increasingly tense power play," said Mr Pitsuwan. "I think Cambodia did what it had to do -- you have to look at it from their perspective."

He added that the best hope for avoiding conflict was for Asean and China to agree on a binding code of conduct that would discourage nations from trying to seize islands, oilfields and fishing grounds in order to back up their territorial claims.

But this would be challenging given that Asia's political institutions and dispute-resolution mechanisms were still very under-developed relative to the growing region's economic might.

@highlight

Southeast Asia's top diplomat has warned that the South China Sea disputes risk becoming "Asia's Palestine"

@highlight

Pitsuwan: Could into a violent conflict that draws sharp dividing lines between nations and destabilize region

@highlight

Beijing has become more assertive about its territorial claims in the South China Sea, with vast oil reserves

@highlight

China has angered its neighbors by printing a map of its extensive maritime claim in new passports