Washington (CNN) -- When Russia asked the FBI in 2011 to check out Tamerlan Tsarnaev because of his shift toward increasing Islamic extremism, the bureau interviewed him and his family as part of a review that found no ties to terrorism.

Two years later, Tsarnaev, 26, and his younger brother allegedly set off two bombs at the Boston Marathon that killed three people, then killed a university police officer and sparked a manhunt that paralyzed the city last week.

Now members of Congress want to know how someone who was brought to the attention of authorities and who exhibited increasingly radical leanings never came under further monitoring or questioning.

Graham backs off FBI criticism over bombing suspect

Sen. Dianne Feinstein announced Monday that the Senate Intelligence Committee she heads will look into the FBI's handling of Tsarnaev.

The hearing with FBI intelligence officials, expected to be closed to the public and media, could happen as soon as Tuesday, said Feinstein, D-California.

A look at Tamerlan's past

An aide to the House Homeland Security Committee said its chairman, Republican Rep. Mike McCaul of Texas, also intended for the panel to examine the issue.

The Tsarnaev case raised questions about the efficiency of overall security efforts, particularly involving people brought to the attention of federal authorities.

Tsarnaev, who died after a shootout with police on Thursday night, was an immigrant from the volatile Caucasus region of southwest Russia who had legal residence in the United States and sought last year to become fully naturalized, like his brother Dzhokhar, 19.

Bombing suspect's wife 'very distraught'

However, the Department of Homeland Security rejected the citizenship request due to his past questioning by the FBI before a trip to Russia.

An FBI statement said a foreign government -- later identified by legislators as Russia -- asked for information on Tsarnaev "was based on information that he was a follower of radical Islam and a strong believer, and that he had changed drastically since 2010 as he prepared to leave the United States for travel to the country's region to join unspecified underground groups."

In response, the FBI said, it "checked U.S. government databases and other information to look for such things as derogatory telephone communications, possible use of online sites associated with the promotion of radical activity, associations with other persons of interest, travel history and plans, and education history."

"The FBI also interviewed Tamerlan Tsarnaev and family members," it said in the statement on Friday. "The FBI did not find any terrorism activity, domestic or foreign, and those results were provided to the foreign government in the summer of 2011."

In addition, the FBI "requested but did not receive more specific or additional information from the foreign government," its statement said.

That failed to satisfy Feinstein and other legislators.

"I have asked the staff director of Intelligence this morning to set a hearing, particularly with FBI intelligence," Feinstein told CNN on Monday, adding she hoped for answers about what Tsarnaev did during the trip.

What was Tamerlan Tsarnaev doing in Russia?

"And when he came back to this country, why didn't it ring a bell with the FBI intelligence unit that he should be checked out and vetted again?" she asked.

Feinstein also noted that Homeland Security officials later denied Tsarnaev's application for citizenship, raising another question about who knew what about him.

The purpose of the hearing was "not to criticize, because I am a big fan of the FBI's, but to go back and see that we plug loopholes," Feinstein said.

Timeline: A look at Tamerlan Tsarnaev's past

Tsarnaev, who's ethnically Chechen but came to the United States from Kyrgyzstan, spent six months in Russia, causing some legislators and analysts to speculate he may have received training during the trip.

Conservative Sen. Lindsey Graham, who said Sunday the FBI may have dropped the ball in its investigation of Tsarnaev, began easing off that claim on Monday.

The South Carolina Republican confirmed he talked to the assistant director of the FBI and learned how the bureau interviewed Tsarnaev, his parents and classmates in 2011.

"They put his name through the system and they sent back this information to the Russians and said, 'Do you have anything else?' And they never got a reply back," Graham said.

Graham also noted that Tsarnaev wasn't flagged upon returning from Russia because of an apparent misspelling of his name by the Russian airline Aeroflot.

"It didn't get into the system because of a misspelling," Graham said. "Now whether or not he intentionally changed his name or Aeroflot just got the spelling wrong, I don't know. That's to be determined."

As for apparent warning signs that occurred within the last year, such as YouTube postings of radical Islamists, Graham said the FBI told him "they have limitations on what they can do."

Dead Boston bomb suspect posted video of jihadist, analysis shows

"So maybe it's the system failed, didn't provide the FBI with the tools, or maybe they didn't use it properly," he added. "That's why maybe we need to find out what happened."

His comments sounded similar to those made by House Intelligence Committee Chairman Mike Rogers, who defended the FBI on Sunday.

Rogers told NBC the agency "did their due diligence" but Russian authorities "stopped cooperating" when the United States sought further clarification. Rogers also said he believed Tsarnaev may have traveled overseas using an alias.

CNN law enforcement analyst Tom Fuentes, a former FBI official, said there was little the bureau could do once Russia failed to respond to its request for further details.

5 key questions

"If they don't give you more, then everything that can be done has been done unless you know that there should be more to the story," Fuentes said.

He detailed how the FBI employs what amounts to "triage" to deal with what he said were tens of thousands of similar inquiries a year that require some level of bureau investigation.

"If you are getting this from a hot place like Afghanistan or the tribal area of Pakistan or places where we have had specific training camps and people deployed on purpose to come and attack us, then that is the highest priority," he said. "And even there, many of the people that go back and forth are visiting family. I mean, they are not always going back to be trained to be terrorists or always going back for refresher courses on terrorism."

Regarding Russia, Fuentes noted the ongoing conflict with Chechen separatists that may have caused Moscow's request for information on Tsarnaev.

Lohr: What we know about Chechnya

"That's been an ongoing fight, but it's been localized," he said, adding that he couldn't recall a case in which a Chechen trained at home came to attack the United States.

However, Fuentes noted that al Qaeda had sent people to the Caucasus region for training that included bomb building.

Now U.S. investigators need to find out if the Tsarnaevs "had connections, were they deployed by a bigger group, and are there other terrorists in the United States," Fuentes said.

"Are there other explosive devices hidden somewhere or booby traps created, a cache of weapons?" he wondered. "That'll be the task."

de Waal: Suspects' culture of migration and machismo

CNN's Ashley Killough contributed to this report.

@highlight

Former official: FBI uses "triage" approach in checking out possible terror links

@highlight

Sen. Feinstein says the intelligence committee will hold a hearing as soon as Tuesday

@highlight

The FBI interviewed Tamerlan Tsarnaev before he traveled to Russia last year

@highlight

Some legislators question why Tsarnaev wasn't questioned again on his return