(CNN) -- Marjorye Heeney knew something was wrong when she saw a bulging cloud of black dust darken the sky.

Drought-like conditions dried this Kern River bed last year near Bakersfield, California.

She then heard an eerie, train-like whistle as fierce winds rattled her front door and windows. When she looked outside, hordes of grasshoppers and crows swarmed over her father's barren farm. After the storm broke, her father walked outside and muttered curses as he scanned the horizon for rain clouds.

"I can remember my dad just watching the sky so closely," Heeney says. "A sprinkle would excite him so much."

That's how Heeney, now 83, describes growing up on an Oklahoma farm during the Dust Bowl storms in the 1930s. For much of that decade, "black blizzards" -- formed by a prolonged drought and poor farming techniques -- ravaged much of the nation.

Now a new generation of Americans is again anxiously looking to the sky. Drought has returned to the United States, and some warn that more tough days are ahead.

The value of water is starting to become apparent in America. Over the past three years a drought has affected large swaths of the country, and conflicts over water usage may become commonplace in the future, climatologists say.

"Our focus is oil, but the critical need for water is going to make water the most significant natural resource that we're going to have to worry about in the future," says Larry Fillmer, executive director of the Natural Resources Management & Development Institute at Auburn University in Alabama.

At least 36 states expect to face water shortages within the next five years, according to a report from the U.S. Government Accountability Office. According to the National Drought Mitigation Center, several regions in particular have been hit hard: the Southeast, Southwest and the West. Texas, Georgia and South Carolina have suffered the worst droughts this year, the agency said.

Yet most people don't need scientists to tell them there's a water shortage. Plenty of cities have implemented water bans while state squabbles over water usage are common in some regions. What may surprise people, though, are the causes for the recent drought.

It's not global warming, some climatologists say. The droughts are caused by rapid population growth and unwise agricultural choices.

John R. Christy, a professor of atmospheric science at the University of Alabama in Huntsville, says the last three years have been drier than usual in many parts of the United States, but overall there's been no shortage of rainfall. He says the U.S. mainland experienced worse droughts in the 12th and 16th centuries.

"The demand for water has gone up," Christy says. "The demand has skyrocketed in places like California and New Mexico because they've tried to grow crops in deserts."

Even drought conditions in the Southeast can't be blamed on a shortage of rainfall, Christy says. The region's water delivery systems can't keep pace with the growth, he says.

"The rain is still falling, but you're out of water because the storage facilities are not big enough," Christy says.

There's also a public perception that ordinary people are wasting more water, but that's not true, says Mark Svoboda, a climatologist with the National Drought Mitigation Center.

"Per capita use of water is down because we're learning to be more efficient," Svoboda says.

Water shortages don't have to remain a fact of modern life, drought experts say. Many offer the same solutions: Build better water delivery systems to accommodate population growth, develop more efficient uses of irrigation, and shift agriculture from the West to the East where it's easier and cheaper to water crops.

Svoboda believes a change in attitude is even more vital than changing habits.

"We take water for granted," he says. "We think it's a cheap commodity that's always going to be there."

Heeney, the Dust Bowl survivor, doesn't appear to need that lesson. She remembers how precious water was in the 1930s when people fetched water in buckets. And when the rains finally ended the Dust Bowl, she vividly remembers her joyous father driving his family out into his fields just to watch the water settle into the soil.

Heeney, who now lives in Topeka, Kansas, gets upset when she sees people throw away bottled water or use too much water to wash their cars.

"We don't value water and we're going to regret it," Heeney says. "We forget. We're as dumb as we can be and we don't learn."

@highlight

Over the past three years a drought has affected large swaths of the U.S.

@highlight

Report: At least 36 states expect to face water shortages within the next five years

@highlight

Experts say main causes are rapid population growth and unwise farming practices

@highlight

Marjorye Heeney, 83, remembers the Dust Bowl storms of the 1930s in Oklahoma