(CNN) -- News of a recent meningitis outbreak has sent many Americans into panic mode.

As of Thursday afternoon, 170 people in 11 states had become sick with the noncontagious fungal meningitis; 14 of those have died. Health officials expect those numbers to rise as the investigation continues.

The cases have been linked to injections of contaminated steroid medication made by the Massachusetts-based New England Compounding Center.

"I'll be skipping my allergy shot," @TheAnchorMom tweeted.

"Maybe this is crazy but ever since the meningitis outbreak I am scare(d) to get a flu shot even (thinking) it will be contaminated," Lana Flores posted on Facebook.

The Centers for Disease Control and Prevention said Thursday as many as 14,000 people may have received the contaminated steroid injections. Health officials have been able to contact about 90% of those to warn them.

The idea that a medication created to fix health problems could potentially harm people is frightening, especially when that medication was contaminated in something called a compounding center.

Typically medications are mass-produced by drug manufacturing companies. So what's a compounding center, and why are we getting our medications from it?

Compounding pharmacists customize medications to fit an individual's needs. Doctors prescribe these custom medications when the manufactured drug won't work -- for example, when a dosage is too large, or a patient has an allergy to a dye or ingredient in the original product.

Pharmaceutical compounding is a common practice, said David Miller, executive vice president and CEO of the International Academy of Compounding Pharmacists. In fact, compounding is the way all medications were made up until about the 1950s, when mass manufacturing of medications began.

"That was the only way that medications could be filled for people -- having pharmacists making it from scratch," Miller said.

Meningitis outbreak: Your questions answered

Now compounding pharmacists work in pharmacy centers like the New England Compounding Center, in hospitals, in small independent drugstores, and in drugstore chains like Walgreens or CVS across the country. But only 1% to 3% of all prescriptions currently dispensed in the United States are compounded, according to the IACP.

Dr. Jennifer Shu, a pediatrician in Atlanta, said she regularly writes prescriptions for compounded medications for her child patients.

Sometimes it's to ask the pharmacist to turn a manufactured pill into liquid form so children can take it easily. Other times the compounding pharmacist adds a flavor to the medication to make it more appealing.

"That's just our only option," Shu said, "unless you want to sneak it into their food."

Hospitals often ask for compounded drugs to receive the correct dosage for specific surgeries. If the manufactured bottle contains too much, they would have to waste the rest of the medication since the sterilized seal has been broken.
Compounding pharmacists also work for veterinary practices. Many of the same medications we take can be customized for our pets or the animals in zoos.

Kevin Outterson, an associate professor of health law and bioethics at Boston University, said there's been a recent increase in reliance on compounding pharmacies in the United States. Physicians and clinics are increasingly getting material from compounding pharmacies because they can sell drugs at a lower cost than major manufacturers, he said.

Compounding pharmacies usually make only a couple of doses for a specific patient, which can lower the cost of production. Of course, the opposite can also be true -- if the compound is a complex cancer drug, producing just a few doses would be exponentially more expensive than mass production.

Miller said compounding pharmacies also fill gaps when there's a drug shortage. As drug companies struggle to keep up with orders, or when they stop producing altogether because they're not seeing a profit, these pharmacies can access the raw drug ingredients and provide the medications for patients who are already in midtreatment.

One question the outbreak has raised is why and how a compounding pharmacy was shipping out medications to 23 states. Did all 75 facilities that received the contaminated steroid injections have prescriptions filled for the medication? Or was the NECC acting as a manufacturer?

One woman's fight for compounding pharmacy guidelines

"The saddest part about this is that there were so many doses administered," Miller said. "(Meningitis) takes up to a month to a month and a half to develop. We've got patients who may have been exposed who are literally waiting to see if anything happens. As a pharmacist, that really upsets me personally, and it upsets my entire profession."

On Wednesday, Massachusetts Gov. Deval Patrick accused the NECC of misleading regulators and operating outside its license by shipping large batches of drugs nationwide.

And the state pharmacy board took the step of requiring all compounding pharmacies in Massachusetts to sign affidavits stating they are complying with state regulations requiring compounders to mix medications for specific patients.

With so many questions still unanswered, the public's worries about allergy shots, flu shots and other prescription medications are understandable, Miller said.

Unfortunately, this kind of contamination could happen with any drug -- manufactured or compounded. Yet the vast majority are perfectly safe, Miller said, and patients shouldn't avoid a needed medication out of fear.
However, he said, patients should feel free to ask their doctor or pharmacist: Where does this drug come from?

Meningitis outbreak highlights failed oversight efforts

CNN's Miriam Falco, Danielle Dellorto and Ashley Fantz contributed to this report.

@highlight

NEW: The CDC says 14,000 people may have received contaminated injections

@highlight

170 people have been sickened, 14 have died in outbreak

@highlight

Pharmaceutical compounding is a common practice, experts say

@highlight

Only 1% to 3% of all prescriptions dispensed in the United States are compounded