Washington (CNN) -- Israeli Defense Minister Moshe Ya'alon traveled to Washington last week expecting to see top Obama administration officials.

Instead, he found himself with a lot of time on his hands.

The White House denied him meetings with Vice President Joe Biden, Secretary of State John Kerry and National Security Adviser Susan Rice. Senior administration officials attributed the snub to numerous negative comments Ya'alon made earlier this year criticizing the administration in general and Kerry in particular.

"It shouldn't have been a surprise given some of his comments," a senior administration official said about Ya'alon's visit. "We give you $1.3 billion of aid and you are dumping on us. None of our friends have been disrespectful to the extent of Israel."

He was granted meetings with Defense Secretary Chuck Hagel and Samantha Power, the U.S. ambassador to the United Nations.

Still, the episode offers a startling illustration of how badly relations have deteriorated between the U.S. and Israel -- long-term allies -- because of irritation with Ya'alon. It also reflects years of pent-up frustration in the White House over Israel's role in the Middle East peace process.

In January, the Obama administration -- and indeed many of Ya'alon's fellow Israeli politicians -- were apoplectic when he was quoted in Israeli media calling Kerry "obsessive and messianic," in his efforts to forge a peace deal between Israelis and Palestinians. Ya'alon added he hoped Kerry "gets a Nobel Prize and leaves us alone."

Ya'alon apologized after protests by Washington and a strong rebuke from Prime Minister Benjamin Netanyahu. But tensions grew again in March, when Ya'alon harshly criticized the way the Obama administration was dealing with Iran, saying the president was trying to leave the issue for his successor to deal with.

David Makovsky, an advisor to former US peace envoy Martin Indyk who now works at the Washington Institute for Near East Policy, said that while he does not believe Israel is currently trying to accentuate its differences with the United States, the resentments on both sides are bubbling over.

"It's an accumulation of baggage that each side has carried for some time," Makovsky said "What I see is the wear and tear of these six years working together where the sum of the problems becomes greater than the parts on policy. It's sad."

In addition to the public dissing of Kerry, who spent the better part of a year in a failed effort to broker a framework agreement between Israelis and Palestinians, officials said Israel's inflexibility on security arrangements proposed for the plan by General John Allen further aggravated the already strained ties.

But the biggest culprit, the officials said, is continued Israeli settlement construction in defiance of continued American objections. Washington has warned Israel against such unilateral moves that could prejudice the outcome of a future peace deal.

The row over settlements turned ugly last month after Netanyahu left Washington amid news of settlement expansion in the West Bank. When the prime minister said that U.S. objections to Israeli settlement activity went against American values, the White House slapped him down, calling the criticism "odd."

"It's clear how American values dictate or at least guide our thinking," White House spokesman Josh Earnest said.

On Monday, Netanyahu announced Israel would fast-track planning for more than 1,000 new apartments in East Jerusalem, prompting swift and strong condemnation from the State Department, which said it was "deeply concerned" by the announcement.

"If Israel wants to live in a peaceful society, they need to take steps that will reduce tensions," said State Department Spokesperson Jen Psaki. "Moving forward with this sort of action would be incompatible with the pursuit of peace."

In a phone call this weekend, Kerry warned Netanyahu against going ahead with the planned settlement units. He also pressed the prime minister to speed up an investigation of last week's killing of a Palestinian American teen by Israeli forces.

"He told him it can't be business as usual where these things drag on and then don't say anything," one U.S. official said.

Several U.S. officials said a growing frustration with Israel on a host of issues has prompted a discussion within the administration about how to best to express it

"We are in the process of re-evaluating exactly that question," one senior administration official said, adding "various options are being drafted."

The tension comes as several important decision points related to Israel are coming to a head. The U.S. must decide how it will respond to Palestinian President Mahmoud Abbas's proposal to the United Nations to declare a Palestinian state, something Israel is adamantly opposed to but an idea that has growing support in Europe. Washington must also weigh how much effort to expend on dissuading its European allies from taking tougher measures against Israel such as boycotting products made in settlements or sanctioning Israeli companies that do business in what is considered occupied territory.

"There is a ton the U.S. does behind the scenes," another senior administration official said. "We bail them out of everything - pushing back the Europeans, pushing back at the UN. We are their last good friend in the world."

The officials, who all spoke on the condition of anonymity to speak with candor, stressed that the US remains fully committed to Israel's security and all policy decisions are made from that starting point. But they add that the unequivocal political support the U.S. expends to Israel may not always be a given.

"We will never, ever stop funding for Iron Dome or withhold anything that is related in any way to their security, but the question is, how much do we continue to do politically?" an official said. "It is easy to do less on that front while making sure it doesn't impact our security relationship."

@highlight

The White House snubbed the Israeli defense minister when he traveled to Washington

@highlight

Relations with Israel have deteriorated as Americans try to broker with Palestinians and engage in nuclear talks with Iran