(CNN) -- The mixed reaction to the conviction of a New Jersey college student of a hate crime, after he spied on his gay roommate while he was having sex, has revealed an interesting generational split in the gay community.

Many people my age, who grew up in the '50s and the '60s, when nearly everyone felt they had to be in the closet, seem to be sympathetic to the idea that a conviction that will discourage the kind of behavior Dharun Ravi engaged in is a good thing. The fact that his roommate committed suicide the day after the spying occurred, by throwing himself off the George Washington Bridge, certainly contributed to the climate that made many people satisfied by Ravi's conviction.

But quite a few younger gays -- 20-somethings -- seem more interested in a nuanced interpretation of Ravi's behavior, and much more concerned that he faces the possibility of a 10-year prison sentence.

It's partly their closeness to the age of the defendant that makes them empathetic to the perpetrator of an offensive prank, which may have sparked a catastrophic outcome.

But this is also a generation of gay people who grew up recognizing three distinct groups among their straight peers: supporters, neutrals and committed homophobes.

And despite the jury's verdict, they remain unconvinced that Ravi belongs in that third category. They are also more skeptical about the connection between Ravi's spying and the subsequent suicide of Tyler Clementi. "We don't really know why Clementi jumped from that bridge," is a typical assessment.

After his conviction, Ravi told the New Jersey Star-Ledger, "I won't ever get up there and tell the world I hated Tyler because he was gay, or tell the world I was trying to hurt or intimidate him, because it's not true."

Many younger gay men believe him: They say the seemingly anti-gay messages Ravi sent to his friends fall far short of proving the kind of hatred they think is worthy of a hate crime conviction. "I've seen so much worse," Tyler Picone told Ian Parker for a piece about the case in The New Yorker.

"The stuff that Dharun says is understandable, in a sense. If you find you're sharing a room with somebody gay, and you haven't been raised in an open home, you're going to say, 'Oh my God, what am I going to do?' "

Writing in Slate, 24-year-old gay editor and columnist J. Bryan Lowder said that while he certainly was not "excusing Ravi for his actions," he believes that "these civil rights statutes are being stretched to go after teenagers who acted meanly, but not violently. This isn't what civil rights laws should be for. ... We live in a world that validates adult bullies all the time."

It was also Lowder who said the precise reason for the boy's suicide is ultimately unknowable. "Based on the evidence that we do have, the image of Ravi as a malicious homophobe getting his just deserts looks dubious at best."

The complex point of view of this younger generation demonstrates how far we have come from the black and white world of the 1950s, when anti-gay prejudice was so commonplace that even the American Civil Liberties Union refused to oppose an executive order in 1953 when the federal government banned gay employees in all of its agencies and all of their contractors.

A new generation of gay people believe that Ravi is far from being an outright bigot. They see his acts as immature and unfortunate, but they reject the view of the New Jersey jurors who decided he should be punished for hate.

Ravi refused a plea bargain that could have spared him a prison term, but would have required him to plead guilty to a crime that he believes he did not commit. The usual practice in criminal courts across America is to punish someone with a harsh prison sentence when he is convicted by a jury after he has declined such a bargain.

But my younger friends have convinced me that Ravi deserves a more nuanced punishment.

Since Ravi insists he is without prejudice, he should be sentenced to speak at a different high school every week for a year. The nightmare he has already experienced makes him the perfect person to share a vital lesson: You don't have to hate gay people in your heart to cause misery to others. Just the perception that you are anti-gay can sometimes have disastrous consequences.

The opinions expressed in this commentary are solely those of Charles Kaiser.

@highlight

New Jersey college student faces 10-year prison sentence on hate crime conviction

@highlight

Charles Kaiser says some younger gays are questioning the wisdom of a harsh sentence

@highlight

He says there's some doubt whether Dharun Ravi is really guilty of a hate crime

@highlight

Kaiser: A better sentence would be for him to tell high school students what he's learned