Omoa, Honduras (CNN)Alexis González walks slowly and with some hesitation, using the outside wall of his house for balance.

"I'm getting used to the prosthesis," the 16-year-old says. He tries to smile, but an expression of sadness quickly returns to his face.

When he was 15, González made a decision that would forever change his life -- to leave Omoa, an impoverished village in Honduras  -- with dreams of getting to the United States.

At the end of the trek -- about 2,500 kilometers (1,500 miles) across Mexico and Guatemala -- he saw hope, school, a job and the chance to send money home.

"Sometimes we don't even have food to eat and I also wanted to get a higher education," González says.

His mother was singlehandedly raising nine children, working odd jobs in restaurants and the nearby fields. They lived in a single room, an adobe house with dirt floors built on a steep and muddy hill. Chickens being raised for food roamed around the structure.  González says his father left the family when he was little boy.

When Gonzalez left in January 2014, he didn't ask his mother for permission. He only left a letter telling her about his plans. "I wouldn't have let him go," his mother Mercedes Meléndez says. "When he left I went looking for him everywhere." She even went to Corinto on the Honduras-Guatemala border to ask authorities if they had seen him, she says.

González says he traveled by land through Honduras and Guatemala with a teenage cousin.  They took the bus and also walked and hitch-hiked in some places.

Once in Mexico, they got on the cargo train migrants call "The Beast." Migrants get a risky, but free ride clinging to the outside of the train. Violent gangs sometimes board the train to rape, rob and kill migrants. Those without money to pay off the gangsters are thrown off, sometimes to their deaths in deep ravines or sharp rocks.

González says he never faced any gangs. Things seem to be going well for him and his cousin for a while.  They had been traveling for a few days on the train and were excited at nearing the U.S.-Mexico border and crossing into the land of their dreams.

But they were also tired. They ate what they could, but were unable to sleep for more than an hour at a time.  They were hanging onto the grate above the train car's couplers.  "We used our own sweaters to tie ourselves to the train so we wouldn't fall off," González says.

But tragedy was just around the corner. Somehow, he doesn't know how, he fell off the train while sleeping. He woke up bleeding profusely. "The train had severed my right leg and part of my left heel," he says.

He was eventually rescued by the Mexican Red Cross and taken to a hospital where he recovered for a month. He stayed at a shelter for wounded migrants for another two months. There he was fitted with a prosthesis free of charge.

It's not difficult to find stories of minors in Central America who have lost limbs, been kidnapped or died while trying to travel through Mexico with the dream of migrating to the United States.

Juan Armando Enamorado, a 22-year-old who lives in the coastal town of Tela, Honduras, says he almost lost his life at 17 when he jumped off the train, fleeing from gangs.

"They got on the train to steal money from people. When I heard they were coming, I jumped off the train traveling at more than 30 mph," he says.

Enamorado says he was barely able to make it to the nearest town after walking for four days without food and very little water.

Children are fleeing endemic poverty and drug violence in Central America.

Last year, U.S. immigration authorities in the United States detained nearly 18,000 minors from Honduras as they were trying to cross the border without documents.  Altogether, more than 67,000 minors, mainly from Central America, were detained, according to U.S. government figures.

To understand why children are fleeing in droves, CNN traveled to San Pedro Sula, Honduras.  The second largest city in the country. It has the highest reported murder rate in the world.  Violence is fueled by turf wars between two powerful gangs that control entire neighborhoods. The Honduran government is trying to change this harsh reality by deploying security forces to hotspots.

Vilma Maldonado says her son was forced to leave because of death threats from gangs when he was only 15 years old.  He left La Lima, just outside San Pedro Sula, four years ago at the age of 19. The last time she heard from him he was in Monterrey, Mexico, hoping to cross into the United States.

"Sometimes I think he's dead," Maldonado says crying. "But then I seek refuge in God and try to think the opposite and ask God to take these ideas out of my mind because if I'm trusting God you have to have faith that my son is still alive."

For Monsignor Rómulo Emiliani, Auxiliary Bishop of San Pedro Sula, the migration of Central American children to the United States is a regional disgrace.

"It's something terrible, sad and shameful for us Hondurans that nearly 18,000 of our children have desperately left because of hunger and violence. It's a slap on our faces and there are people that don't care about these 18,000 children.

"Can you imagine the trip for a child who's 4, 6, 10, 12 years old all the way to the United States?  Many girls have been fondled and raped by the smugglers," Monsignor Emiliani says.

Honduran President Juan Orlando Hernández says his country has fallen victim to powerful criminal organizations fueled by drug dollars and weapons coming from the north and drugs from the south, but insists his government is working hard to stem the tide.

"We have our own responsibility.  We accept that and we're doing our work. We are pushing this forward with all that we have. Other countries are responsible for this war that we're living," President Hernández says.

Back in Omoa, Mercedes Meléndez, the mother of Alexis González, says she's deeply worried about her son.

"He has told me that he's depressed. He has recently been better, but he used to say he wanted to die.  I was getting very worried because he said that he wanted to kill himself," Meléndez says.

The teenager says he now draws and writes to forget. He shows us a drawing of a family of four holding hands. He uses pastel colors and soft features in the drawing and inscribed words like "happy," "love," and "I love you" throughout.

He may never be able to go to college or help his family the way he wanted.

But asked if he regrets his decision to leave, he says he doesn't: the rewards were so high, it was worth the incredible risk.

And for countless others like him -- from across Central America -- the same is true.

And they will keep trying.

@highlight

Honduran teen tells how he lost his leg trying to get to the U.S.

@highlight

He fell from the outside of a train rumbling through Mexico

@highlight

It's a trip also attempted by tens of thousands of other desperate children