(CNN) -- Minimalist blogging platform Posterous drew its last breath earlier this week.

The service, a favorite among mobile bloggers who liked to post on the go, officially shut down four years after it was originally created, one year after it was purchased by Twitter, and two months after it informed users that it was closing.

That came on the heels of other closures, and announcements thereof. Google Reader, the popular RSS tool, will shut down July 1 and EveryBlock, the hyper-local news site, was shuttered in February.

It's a reality of the Internet that sites are constantly starting up, shutting down or getting acquired. But that doesn't make the loss of a beloved site any less upsetting or inconvenient for its faithful fans.

To preserve your sanity, and your data, here are a few tips for handling the death of a favorite website or service.

Pay attention to warnings

Most sites won't shutter without giving their users official notice. To avoid being caught off-guard, read any updates, e-mails, blog posts or tweets from the company warning of major changes or sharing goodbyes.

There are also less obvious signs. When a company starts neglecting a site's design or features, that could mean it's shifting resources to other projects or running low on money.

Google Reader's last significant update happened in late 2011. Nearly a year and a half later, Google finally announced the beloved RSS reader was being "retired." So ask yourself, does a site seem like it's stayed exactly the same for the past year, unloved and a little retro around the edges? Does it still have a button to share content on Google Buzz but nothing for Pinterest?

It might be time to pack it in.

The decision to close a site might come suddenly after an acquisition by another company. If the purchase is labeled an "aqui-hire" that means the purchasing company is interested in the people on staff, not in the product they've built.

Of course, a slow, steady drop in popularity can be a solid sign of a site nearing the end. If you are the last of your friends using a social network, it might be time to move on before Justin Timberlake shows up.

Save your data

A site shutting down can be especially upsetting if you've invested time in it, become part of a community, or created or uploaded content. Blog posts, photo libraries, bookmark collections, conversations, messages, friend networks and carefully curated folders of RSS feeds will typically disappear with the site.

Most services do the courteous thing and offer a way to save data. Posterous added a way for bloggers to export their sites as XML files before it closed. Google has a site dedicated to exporting data from all its various services called Google Takeout. When a major site announces it is closing, competing sites often step up and offer ways to transfer content directly to a new blog, RSS feeder, album or other service.

But not all companies follow these rules. When NBC shut down EveryBlock, the announcement was sudden and the closure immediate. There was no way for community members to preserve or download the lively discussion threads that were the heart of the site, and they weren't publicly archived.

If you have valuable content stored on a site, make periodic backups, even if you think that company will be around forever.

Stay in touch

If a site includes a strong community, find other ways to connect with the friends and contacts you've made once it is offline. Even when you can export your own data, connections with other people will disappear with the site.

Be sure to connect on e-mail, IM, Twitter or Facebook. You can also reunite on the site you move to next, which is what some EveryBlock members did when they migrated to NextDoor, a newer hyper-local community site.

Delete your profile

Once you've extracted all the content you need from a dying site, consider hitting the self destruct button on your profile. Any information left on the service can linger on the Internet for years, and personal information might even be sold off to other companies.

When people abandoned MySpace for Facebook's greener pastures, many left behind old profiles adorned with what seemed like hysterical photos at the time. Now those people are older, perhaps trying to get jobs or dates, and old MySpace pages still haunt their search results. Unless you remember your password, getting rid of old profile pages can be difficult.

Find an alternative

Once you've been dumped by a favorite website it can be hard to learn how to trust again. Early adopters are used to constantly signing up for new services that close months or a year later. But most people might be hesitant to jump right in and invest time and energy in a new site.

When you are ready, there are some things to consider when choosing a replacement. New startups are still finding their legs and could be bought or go under, but if you don't mind the uncertainty, they often have some of the most exciting new designs. Look for sites that offer ways to import your old data, and if you crave stability, for companies that are profitable and still growing.

There are many good alternatives to Posterous vying for the attention of the newly homeless bloggers. WordPress is established and dependable, Tumblr is easy and attractive, and newer companies like Medium are exciting, but their futures are uncertain.

If you can wait a bit, two Posterous co-founders are working on a new project called Posthaven. They pledge never to sell the company and to keep all URLs online no matter what. "This one is made to last forever," reads the site's tagline.

Forever is a pretty bold promise online. Make a backup, just in case.

The gallery above shows some sites that have disappeared over the years. What websites would you add to the list?

@highlight

Popular or not, no site's future is guaranteed on the Web

@highlight

Blogging platform Posterous was shut down for good this week by new owner Twitter

@highlight

Make sure to transfer data, get contact information for online friends

@highlight

Look for an alternative in a site that is both profitable and growing