(CNN) -- The embattled Syrian army is being pushed to the limit as anti-government demonstrations persist across the restive landscape, and the opposition "will likely take on an increasingly armed aspect in the face of brutal oppression," a new report says.

"There are signs that army units are increasingly identifying with protesters, especially where security forces are employing violence against unarmed demonstrators," according to a report by the Washington Institute for Near East Policy, a think tank.

"Although the regime's forces are not defeated and the army's potential tears may prove to be small, the dynamics for greater problems are in place. Given the widespread nature of the disturbances, the regime cannot mass personnel in more than a few places."

The report, written by Washington institute defense fellow Jeffrey White and published Monday, is entitled "Syrian Army Shows Growing Signs of Strain." It says the various units deployed to put down disturbances since mid-March are facing "unprecedented" challenges.

"The continuing pressure of the demonstrations, which are liable to swell during Ramadan, will stretch the army still thinner, with more defections likely given the regime's increasingly violent tactics," the report said.

"As the army becomes less reliable, strain will increase on the regime protection forces, stretching them further and tiring them faster. Clashes within army units and between army and security forces may increase as well. And escalating regime violence will likely provoke a more violent response over time, fueled by armed defectors."

This grim assessment comes as two dozen people were killed overnight by security forces in various cities and towns and international condemnation against the regime rolls in toward the Bashar al-Assad regime.

The army is a conscript force "in which largely Alawite officers lead largely Sunni soldiers," and it has "traditionally been marked by a difficult relationship between officers and enlisted personnel, making it ill suited for the internal security missions it is now being given." The government is dominated by the minority Alawites, who are an offshoot of Shiite Islam.

"The security forces have not been able to permanently secure any area and have had to shuttle personnel from one flashpoint to another, sometimes over considerable distances. As disturbances have spread, additional divisions and brigades have been pulled into the struggle," the report said.

The report said the government appears "reluctant to order regular army units to fire on demonstrators, though it has done so in some cases where regime protection forces were inadequate." But that produced "breakdowns in loyalty and cohesion among the army units so ordered."

"Current trends suggest that the army's loyalty and cohesion are not just fraying, but beginning to tear."

The opposition's "center of gravity," the report said, "is increasingly moving to the cities," and that is a challenge, "forcing the regime to conduct a 360 degree defense."

With the exception of the Alawite heartland in the northwest, the report said, no area appears secure. Other than Aleppo, which has seen only "isolated protest," "disturbances have erupted in more than 50 localities."

"Subduing restive urban populations is a demanding and troop-intensive task, one that will become more difficult as demonstrations grow in size and as protesters or defectors take up arms. More forces will be required, and without adequate training, they are more likely to resort to violence early. More opportunities for violent, casualty-producing incidents will emerge as well. This was reportedly the case in Hama on Sunday, as tanks and infantry fighting vehicles encountered protestors armed with sticks and stones," he said.

The government also faces problems along the borders, saying the flow of refugees into Turkey has been embarrassing to the government, and both Lebanon and Iraq "are potential sources of arms and fighters." There have been several attacks on oil facilities and a train derailment, but the cause is not known.

"If such incidents mount in numbers and seriousness, the regime will have to stretch its forces even thinner to protect key facilities," the report said.

The report thinks the opposition could adopt "an increasingly armed aspect in the face of brutal repression" as defectors join them.

"As you get more defectors and guys who take their guns with them and they see people get killed when they yell 'Allahu Akbar,' or God is greatest, some people are going to say 'we've got to do something,' " White said.

@highlight

Report raises the specter of an "increasingly armed" opposition

@highlight

The army is a largely conscript force led by Alawite officers

@highlight

Sabotage and border control are other big concerns