(CNN) -- Development in Bahrain has not been slow. In half a century, the small Gulf Island has grown from a hilly, desert landscape with 143,000 inhabitants to an overcrowded metropolis of 1.2 million residents. The most striking change, however, has been topographical.

Up until the 1960s, the country boasted the world's largest collection of prehistoric burial mounds -- an archaeological wonder left over from the 4,000-year-old Dilmun civilization.

In the decades that followed, 90% of these funerary hills fell victim to housing and infrastructure pressure, and were demolished to make room for causeways and residential estates.

"It's a really important archive," notes Steffen Laursen, an archaeologist with the Moesgaard Museum who has been excavating a collection referred to as the "royal" mounds in the northern district of A'ali. The royal mounds are so called because of their stature -- many measure 40 feet in height. The entombed, however, ranged from community leaders to the heads of commercial dynasties.

Aside from the sheer breadth of mounds -- at their peak they numbered 76,000 -- their importance rests in their age, rarity and what they reveal about ancient society. Laursen has found that that the oldest mounds date from 2050 BC, when Dilmun (the name the Sumerians used to refer to the country) was little more than a collection of tribes, to 1750 BC, by which time it had morphed into an economic powerhouse in the region.

Read more: Mysterious structure found at bottom of ancient lake

"People's lives and the development of their society are frozen in these cemeteries in a way you don't see anywhere else. I see them as a unique laboratory for the study of social improvements. It's really an important archive," he says.

Unfortunately, the mounds have for decades been at odds with development in the country. Bahrain is only 760 square kilometers yet it has the third highest population density in the world.

"There is huge pressure to build houses for the expanding population. It's an issue that's probably present in other counties, but it's exacerbated in Bahrain because of how little land is available," says Robert Killick, an archaeologist who in the 1990s led excavations of a settlement near the burial field at Saar in the northwest.

Killick remembers leaving the site only to return and find a set of particularly impressive mounds bulldozed by a private developer.

"Bahrain's archeology department was able to carry out a little rescue work, but it was minimal, and over a very short time span," he recalls."Now, it's a wasteland of flattened land with half-built houses on it."

Britta Rudolff, the managing director at Think Heritage!, an organization working with the Ministry of Culture to secure heritage status, points out that the sheer percentage of land the mounds covered makes preservation a thorny, and at times unfeasible prospect.

"Housing is a strong need here. There are a good number of young families looking for flats, who in the meantime are forced to live with their parents. The need for development and the use of cultural resources needs to be balanced in a useful way," she says.

In the last five years, however, there's been a push by Bahrain's Ministry of Culture to better preserve the country's national treasures.

Video: Reviving 'lost' Ottoman cuisine

"Bahrain feels a huge responsibility to preserve the remaining mounds, and to transfer them to future generations," says Rudolff, who estimates that should UNESCO approve their petition, the mounds should be granted protection by 2016.

"We hope that the concept will also allow the communities near the fields to gain a financial benefit."

Some experts, however, argue the bulk of damage has already been done.

"It's really too little, too late," says Killick.

"When I worked in Bahrain in the 1990s and saw what happened to the burial field at Saar, I thought, in 20 years, Bahrain will be concrete from one side of the island to the other. It's only when a society looks back and realizes its heritage is gone that it truly understands what it has lost."

@highlight

Bahrain has the largest collection of prehistoric burial mounds in the world

@highlight

Some of the mounds date back to 2050 BC

@highlight

Housing strain has led to the demolition of 90% of the mounds

@highlight

Bahrain has nominated the remaining mounds for World Heritage status