(CNN) -- Unlike the A-list star of Cambodia's tourism show -- Siem Reap -- Phnom Penh doesn't have an ancient UNESC0-listed temple complex filled with beautiful archeological wonders to seduce global tourists.

Most visitors hit the riverside capital as a quick stopover on the way to or from Angkor Wat -- the real reason they flew across the globe to visit Cambodia.

It's to be expected, really.

More: Cambodia's amazing Phare Circus

Not many bucket lists are topped with visits to the ghosts of genocidal dictatorships. Among Phnom Penh's most popular tourist attractions are a former killing field that exhibits skeletal remains from its Khmer Rouge era and a haunting memorial at the site where thousands of executions took place under their rule.

But a cosmopolitan buzz that's lately been humming through the cracks of this city of 2 million-plus (and growing) is helping Phnom Penh drown its rep as just a sobering war history stop on the Angkor trail.

Boutiques run by French-Cambodians trained at some of the top Paris design schools dot city streets.

New pubs where well-dressed locals enjoy cocktails seemingly open every week, venues holding no likeness to the decaying hostess bars that once dominated the nightlife scene.

French influence

Though Cambodia's French colonial period ended in 1953, France's cobwebs remain.

Colonial architecture still lines the streets.

The local love of crusty baguettes means good bread can be found citywide.

More: 10 meals every visitor to Cambodia should try

Impressive restaurants serving innovative cuisine from as far off as Latin America and fine dining venues that celebrate the underrated Khmer cuisine are also on the rise.

It's an exciting time for Phnom Penh, which is slowly laying the groundwork to become a top weekend urban getaway for those in the region.

Affordability brings visitors

It'd be foolish to pretend price isn't a big factor in the city's growing bag of allures.

Phnom Penh is cheap.

A dinner for two at a high-end restaurant with a bottle of good wine will rarely put you out more than $50.

A night at the hottest hotel ticket in town, the incomparable Raffles Le Royal, starts from $180, even lower on some booking websites. A transfer from the airport in one of its BMW series 5 cars costs $30.

More: Insider Guide: Best of Cambodia

Well-designed boutique hotels range from $50 to $100 a night.

An impeccably made original full-length gown can be purchased from one of those aforementioned boutiques for less than $200.

Returning Cambodians fueling the city's rise

Though expats are contributing to the cosmopolitan growth, another exciting segment is making a mark -- returning Cambodians bringing experiences from abroad.

Many are young adults who grew up in Western countries such as the United States, Australia, Canada and France, where their parents moved to escape the horrific events of the 1970s.

Some don't remember Phnom Penh, having left as young children.

Others were born overseas.

Soreasmey Ke Bin is a 36-year-old French-Cambodian who moved to Phnom Penh in 2002.

He's president of the Anvaya Initiative, a nonprofit group founded in 2010 to support Cambodian diaspora looking to give the country another chance.

"I think we can bring a lot of positive things to this country, in terms of work experience, investment and culture," he says, adding that a challenge is convincing potential returnees that the country has a lot to offer.

More: Phnom Penh's In-and-Out-inspired burger joint

When asked to name some of the individuals behind the city's new flavor, he quickly rattles off a good two dozen notable returning Cambodians in fields as diverse as architecture, music, design, art and choreography.

Standouts include Visal Sok, who's behind the city's first hip-hop group and about to release his first movie in November; and artist Borany Mam, a French-Cambodian doing restoration work at the National Museum.

Then there's Armand GerbiÃ©, a former French Foreign Legion soldier who worked for years at famed Paris cabaret Lido before moving to Phnom Penh to open the popular Armand's The Bistro.

And well-known French-Cambodian designer Romyda Keth, who recently opened a restaurant and boutique hotel.

"I hope we can become a niche country," says Soreasmey of his vision for Cambodia's future. "A boutique market. We are small. We can't compete with Singapore or Thailand for big brand shopping. But we've got culture, the sea, the outdoors. I think it's a good mix."

Dreams vs. reality

Cosmopolitan potential aside, tourists who like their travel destinations wrapped up in postcard-pretty packages will be uncomfortable in Phnom Penh.

The ongoing economic growth on the backs of footwear and garment manufacturing, foreign investment and tourism might be putting Cadillac SUVs and even the odd Rolls Royce on Phnom Penh's perennially dusty streets.

More: 10-step guide to Siem Reap

But most live well below the poverty line, with 40% of Cambodia's population surviving on less than $1.25 a day according to non-government organization ActionAid.

Though violent crime is rare, petty theft is extremely common.

Multiple locals share stories of having their iPhone 5s yanked out of their hands mid-text or a carelessly laid bag snatched from the seat of a tuk-tuk by a passing motorbiker.

At popular tourist spots like the Grand Palace, tourists still need to walk a heart-wrenching gauntlet of amputees and child beggars before they can enter.

The first page of a local magazine targeted at tourists has an arresting full-page ad sponsored in part by UNICEF, reminding visitors that "children are not tourist attractions."

It's part of a campaign to educate about the harm of "orphanage tourism," in which visitors pay to visit local institutions, thereby creating a market for more orphans.

But for visitors who can handle a side of grit, Phnom Penh is definitely worth a few days of exploration -- even if it's just for a stopover on the way to Siem Reap.

In the end you might just find the capital gives those old Angkor ruins a bit of competition in your mental Cambodia highlight reel.

More: Inside Cambodia's stunning new temple discoveries

@highlight

UPDATE: The U.S. Embassy in Phnom Penh issued a statement on October 1 alerting travelers to an increase in armed robberies in the city

@highlight

Offspring of those who left during Khmer Rouge era bringing back expertise from abroad

@highlight

Phnom Penh's growing sophistication making it an enticing urban getaway, though it's not for everyone