President Barack Obama's chief anti-ISIS coalition envoy, retired Gen. John Allen, arrived Thursday in Ankara, where it will be up to him to convince the Turkish government to take more decisive action against the terrorist group.

"The events of last week have made it clear that urgent and rapid steps are needed to halt [ISIS'] military capabilities," State Department spokeswoman Jen Psaki said, "and Gen. Allen and [diplomat Brett] McGurk will make that clear in their meetings with Turkish officials."

Within the United States there is growing frustration with the Turks, whose participation in the U.S.-led coalition is vital. But they have been slow to respond to ISIS advances just beyond their southern border.

ISIS is fighting to take the Syrian town of Kobani, a predominantly Kurdish town just steps from Turkey. In recent days, the United States has ramped up its airstrikes in the area, but without combat boots on the ground -- something the Obama administration is unwilling to commit -- the air campaign is unlikely to keep the town from falling into ISIS hands.

The United States hopes Turkish troops could help turn the tide. The Turkish Parliament greenlit military action against ISIS last week, and they already have tanks and troops along the border.

So far, those troops are hanging back.

"We want to see them be helpful," Pentagon spokesman Rear Adm. John Kirby said Wednesday. "We know they have information and capabilities militarily that we just don't have, because they're there. They're a neighbor."

For his part, Secretary of State John Kerry said he expects Turkey's role in the coalition to become clearer after Allen's meetings.

"He is going to have long meetings through [Thursday] and Friday which we hope to determine exactly how Turkey will now enter this having resolved their hostage crisis," Kerry told reporters. "Clearly, on their border -- this is of enormous concern to Turkey and they recognize that."

But Foreign Minister Mevlut Cavusoglu said Thursday it's not "realistic" for the world to expect Turkey to launch a ground operation against ISIS alone but that, "once we reach a joint decision Turkey will continue to act and do its utmost."

Prime Minister Ahmet Davutoglu says it's the United States that must do more.

In an interview with CNN's Christiane Amanpour, Davutoglu said the U.S. must be willing to expand its role in Syria to take on the Bashar al-Assad regime, as well as extremist groups such as ISIS

"We are ready to do everything if there is a clear strategy that after ISIS, we can be sure that our border will be protected," he said. "We don't want the regime anymore on our border pushing people against -- towards Turkey."

In other words, Turkey is willing to help fight ISIS, if the United States can make certain commitments.

Turkey willing to put troops in Syria "if others do their part"

"The Turks could make a tremendous difference," former U.S. ambassador to Iraq James Jeffrey tells CNN. "What they're trying to do is to leverage their extraordinary geographic, military and political position -- and it is unique in the Middle East -- to get the United States to sign up more aggressively" against Assad.

Negotiating with Washington

Turkey also is holding out for help in creating a buffer zone to ward off the Syrian air force and protect refugees teaming into camps along the border.

The Obama administration has long resisted that proposal, though the window seemed to open a bit on Wednesday, when Kerry said it was "worth looking at very, very closely."

But Turkey's strategy of holding out for concessions is not without risk.

"If [Kobani] falls that will be a dramatic development," said Jeffrey, "and it will of course expose Turkey to 500 miles of ISIS-controlled territory on its southern boundary. They don't want that."

And as the negotiations with Washington unfold, Turkey is also feeling internal pressure.

Turkish Kurds, closely aligned with Kurds in Syria, are desperate to see their government take action.

The Turkish government and Kurdish separatist parties recently opened the door for negotiations after decades of fighting. Now, the crisis in Kobani and the governments perceived inaction threaten to derail that progress and reignite violence inside Turkey.

Thousands have taken to the streets of Turkey to protest their government's reluctance to act in Kobani. On Thursday, some of those protests turned violent, leading to the deaths of at least 24 people, according to the country's semi-official news agency, Anadolu.

Meanwhile, Turkey's main opposition party said it will back a motion to authorize ground operations as long as they are limited to rescuing Kobani and repelling ISIS, Anadolu also reported.

Despite mounting frustration with its coalition ally, the United States cannot afford to lose Turkey as an ally in the fight against ISIS.

Turkey's key geography

Their location makes them a key regional partner, and the United States needs Turkey to cut off the flow of foreign fighters into Syria, most of whom enter by crossing the Turkish border.

The United States also needs the Turkish government to crack down on black market sales of illegal oil, a main funding source for ISIS' activities.

These issues are all on the table as Allen meets with Turkish officials over the next  two days.

@highlight

A special U.S. envoy is in Turkey to wrangle more support for the fight against ISIS

@highlight

Turkey's geography makes it a key partner for the U.S.

@highlight

It wants to receive some concessions during talks