(CNN)It's a golfing paradise forged from the ashes of the space race.

And, according to owner Dave Pelz, it might just be the best back garden on the planet.

One thing is certain, no self-respecting golfer would emerge from a stint patrolling the perfectly coiffured turf at Chez Pelz in Austin, Texas any worse around the greens.

"They say it's the world's best backyard," one of golf's most renowned short game coaches, and former NASA employee, told CNN's Living Golf show.

"It's my dream. I have a dream job and I live in my dream house. I live with my dream girl. I'm a happy guy."

It's no wonder Pelz is content. His named is etched in the evolution of golf.

His students, including five-time major champion Phil Mickelson, have amassed a combined 20 majors between them and as one of golf's most fertile brains, Pelz has 26 golf patents to his name.

The 70-year-old still works with Mickelson prior to major tournaments and the player known as "Lefty"credits Pelz with helping to elevate his game to the elite level.

"I was 0-for-43 in majors before I met him, and I've won four, plus a Players Championship since," Mickelson was quoted as saying prior to capturing his fifth major -- the British Open -- in 2013.

"That says it all about him, in my book."

The septuagenarian pioneered the use of statistics back in the 1970s and 80s, his analysis of the game sculpted by a 15-year stint working for space agency NASA.

His insistence on short game practice, and invention of clubs to help players hone their skills in that department, have informed the modern professional's approach.

"I did space research and golf research on my own time," explained the brains behind the two-ball putter, one of the best-selling clubs of all time that helped golfers line up their putts more accurately.

"NASA has the most unbelievable equipment in the world and that was the dawn of the space race. Sputnik had just gone up.

"We were trying to catch the Russians in terms of space exploration. And I got in a wonderful group of scientists and learned to do honest to God research."

Pelz banked a place at Indiana University thanks to a golf scholarship and chose to study physics.

He famously played the legendary Jack Nicklaus 22 times and lost to the 18-time major champion on every occasion, but made significant improvements to his game once he began working for NASA.

Using the one variable at a time method favored by scientists, Pelz began grading his own performance using the methods he'd picked up at the Goddard Space Flight Center.

And gradually, piece by piece, he began to deconstruct each facet of his game and isolate the improvements he needed to make.

"I started measuring my own putting," he said. "I started measuring my short game. I started measuring my driving.

"I learned how to measure things at Goddard Space Flight Center because they had the best instruments in the world and I learned the practical application of the scientific method.

"I finally started understanding my game after 10 years of research. It's funny to say from a person who went to college for four years on a golf scholarship.

"Those thousand lessons that taught me virtually nothing ... they might not have been teaching right but it was also partly I wasn't listening and I wasn't looking for the things that I needed to look for.

"All of a sudden I qualified again for the U.S. Amateur (America's leading competition for amateur golfers) and I'm not practicing at all like I used to but my game was better. I was a better player."

Despite this spike in quality, Pelz was still hesitant when it came to the prospect of throwing his lot in on the PGA Tour with other professionals.

"I had a serious thinking period," he explained. "And I thought the game really doesn't need another good player.

"I believed by now that if I really worked hard I could be a really good player and I might be able to make it on the Tour, but I'd never be the best player in the world.

"I didn't have that kind of practice time in me. At this stage I'm 35 now and I got so involved in the research of golf, in finding out about my own game, I thought 'I could help a lot of players.'

"What the world really needs is for somebody to tell them what they're doing wrong so they can score better and enjoy the game more.

"That's really what golf is about. It's really not what you shoot, it's whether or not you are improving."

While Pelz's brain power is not in question, his business acumen is -- by his own admission.

After taking a year-long leave of absence from Goddard and securing funding from a group of friends, he embarked on a journey that would eventually lead to his space age backyard in Austin.

But it was a bumpy ride to say the least. "I'm a terrible businessman to this day," he joked.

"I don't do anything in my company except teach golf and do golf research. My wife is the CEO. She runs the company and makes all the decisions.

Of that first year in business he recalls: "I spent all the money and lost every dime. And they said 'Well, here's some more.' I lost that the second year.

"Then they said: 'We're out. That's all the money we have. We're not going throw money down a rat hole. You don't know what you're doing in business.' Which is true, I did not."

However, by this time Pelz had hit upon the idea that would help him make an indelible mark on golf -- the importance of the short game.

After three years studying players on the PGA Tour he deduced they were neglecting one of the most important areas of the game -- from 100 yards in.

His calculations underlined the short game accounted for as much as 65% of golf, and also happened to be the one area in which most professionals struggled.

Most players had a range of clubs that essentially fulfilled the same function -- to hit the ball long distances -- while they relied on just one club to take care of business from 100 yards out or closer.

Pelz said: "Thirty five years ago nobody even talked about short game -- the term wasn't used. It was golf.

"When I was taught golf I was taught that it was a drive and a shot to the green and then you putted.

"But if you can't get to the green you can't play golf so everybody practices the long game and they didn't even call it the long game. That was just the game.

"But I did my research and I measured how many shots people hit and it turns out everybody does hit the first two shots.

"They hit the ball off the tee, then they hit the ball at the green -- most people miss the green -- then they hit a chip shot or a pitch shot, sometimes it's not very good and they do another one and then two or three putts.

"So the truth is there are two long shots and three or four or five short game shots every hole and people don't think about these. They just think it looks like it's easy to do.

"It is easy to do if you know how to do it but it's not easy to do right if you don't know how to do it and you never practice it.

"If all you practice is the long game, practicing that for the rest of your life will not help your short game because they take different swings. They are truly different games."

Pelz's breakthrough came just at the right time.

With money running out he had mortgaged his house, resigned from his role with NASA and was relying on the players he was working with to fund his fledgling start-up.

At year five he had reached break even point, and would continue to do so until year 21, when he finally started making money.

By this time his portfolio of players was ever expanding, and grew to include Mickelson, widely regarded as one of the finest short game exponents ever.

"I've worked with over 100 players now on the tour and Phil Mickelson and everybody says, 'oh he has a natural god-given talent with a short game," Pelz said.

"No he's not. He's very talented but he also works very hard. He has practiced and practiced and tested and experimented."

The pair still work together, but it is often missed by the mainstream media as they tend to meet two weeks out from a major tournament.

Pelz is still as enthusiastic about golf as he ever was, especially about the dynamics of the short game and how important it is to keep practicing.

While some players will never be able to match the game's power hitters no matter how hard they train, short game is one area pros and amateurs can make huge strides in.

"I will never hit it as far as Rory McIlroy," Pelz said. "I can't do it. Now you give me that kind of (extensive) practice and I will kill him in the short game and putting.

"That's saying a lot because he's good at short game and putting. He's not bad but he's not practicing it 12 hours a day, every day, seven days a week.

"So I'm saying no matter what you do you'll never conquer the full power game as much as you can conquer the short game and putting for amateurs. I think there's a lot of potential for amateurs.

"I want them to focus there and enjoy the game more."

@highlight

Renowned short game coach Dave Pelz has turned his backyard into a golf paradise

@highlight

Pelz has replicas from Augusta TPC Sawgrass and St Andrew's at his Texas home

@highlight

The 70-year-old spent 15 years working for NASA before becoming a golf coach

@highlight

He's worked with over 100 pros including five-time major champ Phil Mickelson