"My definition of fast food?" Alice Waters said. "Letting someone loose in a garden with a bottle of balsamic vinegar and saying, 'have at it.'"

"(The price of) fast food simply doesn't take account of that meal's true cost -- to soil, oil, public health, the public purse, etc," Michael Pollan said. "Costs which are never charged directly to the consumer but, indirectly and invisibly, to the taxpayer (in the form of subsidies), the health care system (in the form of food-borne illnesses) and obesity, and the environment (in the form of pollution). Not to mention the welfare of the workers in the feedlot and the slaughterhouse and the welfare of the animals themselves."

Both these quotes are explanations of what's wrong with the Western diet, the aesthetic and the socio-ecologic. Both are right on target; both are compelling. Yet both are completely powerless to bring about any sort of change in food policy.

Because tastebuds, food-borne illnesses, the environment and animal welfare don't count. Money counts.

The food industry continues its juggernaut of revenues and profits. Despite a sales dip at McDonald's, domestic fast food industry revenues have exhibited a 20% rise, adjusted for inflation, over the past decade, according to Statista, a website that aggregates statistics from more than 18,000 sources. That's despite a U.S. population that grew by only 8.4% over the same interval.

Fast food was worth $184 billion a year in 2010, up from $165 billion in 2009, and is projected to reach $210 billion in 2016, according to Statista. That pales in comparison to the total revenue of the entire food industry: $1 trillion.

The U.S. government has hitched its wagon to the food industry. Our food is the cheapest in the world, made possible in part by federal subsidies to farmers. Yet the United States is the fattest country in the world.

OK, then what about obesity and its associated diseases? Shouldn't that get Washington's attention? After all, we annually waste $44 billion on disability, $73 billion in decreased work productivity and $190 billion in health care because of obesity. Add to that a $2,741 increase in personal annual health insurance premiums to cover these costs, even for normal-weight adults. Medicare will be broke by the year 2024.

Until we get a handle on obesity, all the Obamacare in the world can't stop the ravages of metabolic syndrome or the resultant health care expenditures.

Surely all that money is enough to offset the government's margin on food? Unfortunately in the eyes of politicians, obesity remains an issue of "personal responsibility." Don't blame the industry. Just eat less and exercise more, they say. But then how do you explain our epidemic of obese 6-month-olds? They don't diet and exercise. Something more insidious is going on.

How about the biochemical explanation? Would that hold any more sway with politicians? Scientific evidence now supports the concept that our glut of sugar -- in particular, the molecule fructose, which is what makes sugar sweet -- can trigger processes that lead to the metabolic syndrome.

These include:

-- Hypertension -- fructose increases uric acid, which raises blood pressure.

-- High triglycerides and insulin resistance through synthesis of fat in the liver.

-- Diabetes via increased liver glucose production combined with insulin resistance.

-- The aging process, due to damage to lipids, proteins and DNA through binding of fructose to these molecules.

It can be argued that fructose exerts toxic effects on the liver similar to those of alcohol. Furthermore, sugar, like alcohol, has a clear potential for abuse.

Sugar acts on the brain to encourage subsequent intake by dampening the suppression of the hunger hormone ghrelin. It also interferes with the hormone leptin, which helps produce a feeling of satiety and reduces dopamine signaling in the brain's reward center, thereby reducing the pleasure derived from food.

The majority of foods are laced with added sugar, thus effectively co-opting your choice. Where there's no choice, how can there be personal responsibility?

Need more science? How about the lack of fiber in the Western diet, which was removed partially to increase shelf life?

Lack of fiber in processed food means rapid absorption and overloading the liver, higher levels of "bad" cholesterol, proliferation of obesogenic bacterial species in the intestine, and slower transit of food through the intestine, delaying the onset of the satiety signal. Here's my definition of fast food: fiberless food. Fast cooking (white rice cooks in half the time of brown rice), and fast eating. And fast absorption from the GI tract, overloading the liver, driving insulin resistance and metabolic syndrome, while increasing total food consumption. It's a vicious cycle.

So there you have it. A Faustian bargain to be sure: your time or your health; your wallet or your health.

Government's job is to generate money. Public health spends money, with the hope of eventually saving money. The food supply has not changed; it has only gotten worse.

Public health policies for obesity prevention thus far have not worked, and the president and Congress can't justify spending more money on this. But both the science and the balance sheet say otherwise.

Robbing us to pay both Peter and Paul. It's time for government to step up and amend our current food policy — for the aesthetic, for the socio-ecologic and for the biochemical damage that it is doing to America.

@highlight

The fast food industry continues its revenue and profit, doctor says

@highlight

Many politicians think obesity remains an issue of personal responsibility

@highlight

Sugar can trigger processes that lead to obesity, other diseases