(CNN) -- The cell phone video stutters as it records the movement of soldiers and Syrian militia on the streets from an upstairs window. A whispered commentary describes the scene. Another video shows vehicles riddled with bullet holes, shattered apartments, glass shards and concrete lumps mixed with patches of blood. In yet another, protesters flee as heavy-caliber weapons fire ricochets off buildings.

All are scenes purportedly filmed in recent days in Homs, Syria's third-largest city. Security forces have sealed off entire neighborhoods; others are blocked by barricades thrown up by protesters. At night, street rallies take place in areas "liberated" from government control. The many videos uploaded on social media sites, as well as residents' accounts, suggest some neighborhoods in Homs -- at the heart of opposition to the regime of President Bashar al-Assad -- are beginning to resemble Sarajevo at the height of the Bosnian civil war.

That resistance is now becoming more organized and armed. Army deserters calling themselves the Free Syrian Army are helping with the defense of districts opposed to the regime. Some opposition activists say it's time for the international community to declare a no-fly zone over Syria, as it did in Libya, to blunt the regime's overwhelming military advantage. (There is no sign that Western powers are willing to do this.)

Confrontations are also taking on sectarian overtones that could lead to a wider explosion of communal violence. There have been sectarian shootings and assassinations of prominent local people outside their homes. Residents say the government has begun deploying largely Alawite militia in Sunni neighborhoods such as Khaldiye, Bab Sbaa, Bab DreÃ¯b and Bab Amro. Though Syria is majority Sunni, its leadership tends to belong to the Alawite sect.

Homs has long been a divided city, with Alawites living in the south and a rapidly growing Sunni population predominant in other neighborhoods. Opposition activists claim that the regime is trying to incite sectarian strife in an effort to divide opponents and show what civil war in Syria might look like.

Residents of Homs who recently fled to neighboring Lebanon, and don't want to be identified due to security concerns, say that sectarianism is neither endemic nor widespread, but admit that tensions between communities are increasing. They say that they want a united Syria but accuse the al-Assad regime of stoking sectarian flames.

The unrest is not confined to Homs. There are daily reports of protests, deaths and clampdowns by the security forces in the suburbs of Damascus, in Daraa to the south (where the unrest began in March), and elsewhere.

Army defectors who have reached the relative safety of Lebanon speak of exhaustion after months on the streets, in some cases being ordered to fire on unarmed demonstrators. CNN spoke to one soldier in a hospital in northern Lebanon. "Too much killing, we were always in the streets," he said. State media report ambushes of security personnel by armed gangs on a regular basis, though other accounts suggest these ambushes may often be clashes between defecting conscripts and elite units loyal to the regime. Even so, the U.S. ambassador to Syria, Robert Ford, told Reuters last month that the military was still "very powerful and very cohesive."

Against this background of growing violence, the Syrian economy is suffering -- its oil revenues declining just as government spending spirals.

The government has announced spending will increase 60% in 2012 -- much of it going for subsidies as it tries to tamp down the unrest. Analysts say the state has little chance of improving tax revenues to cover this spending.

International sanctions, including those against oil exports and Syrian banks, are adding to the pain. Last week, the European Union followed the U.S. in freezing transactions with the Commercial Bank of Syria, which handles all letters of credit for the regime. The Syrian economy is growing more and more isolated from international trade -- and sources of hard currency.

Last month, the Syrian government banned a wide range of imports in an effort to save dwindling foreign exchange reserves, before the economy minister reversed the ban two weeks later "due to the legitimate demands of citizens, as it had more negative repercussions than anticipated."

Many of those "legitimate demands" appear to have come from powerful business interests in Aleppo, Syria's second-largest city and its commercial hub. Its Chamber of Industry had roundly condemned the ban. Just how much Aleppo means to the al-Assad government was illustrated Wednesday, when a large pro-government rally there was broadcast on Syrian TV. Marchers carried the flags of Russia and China -- two countries that have resisted sanctions against Syria.

Commentators say keeping Aleppo onside will be critical to the regime's survival. If the city's merchants and financiers -- the engine of Syria's beleaguered economy -- decide that the al-Assad regime is no longer viable, a key pillar of support will crumble.

For much of the last seven months, opposition to the regime has been spontaneous and leaderless. Now al-Assad's opponents seem to be more organized and are opening some important doors. The Syrian National Council, which was formed in Istanbul last month, comprises both representatives of local committees inside Syria and exiled personalities, and includes Islamist and secular strands of opinion. Earlier this week, Turkish Foreign Minister Ahmet Davutoglu met with members of the Council in Ankara and advised them to work for peaceful change.

But with every passing day, the prospect of peaceful change in Syria appears to diminish.

@highlight

Opposition to the al-Assad regime is becoming more organized and armed

@highlight

Violence is also taking on sectarian overtones

@highlight

Along with the increased violence, the Syrian economy is worsening