(CNN) -- William Searing is an Eagle Scout who loves hiking, adventure, art and sports. At age 19, he's in an education program that bridges the gap from high school to getting a job. Wil has autism.

Doctors diagnosed Wil Searing, 19, with autism when was 18 months old.

The neurological disorder was diagnosed when he was 18 months old.

Mia Newman's epilepsy and autism weren't diagnosed until she was almost 3 years old. Now 9, she and her family still face many challenges in coping with her conditions.

It's been a year since the first U.N.-declared World Autism Awareness Day. In those past 365 days, nobody has discovered the cause of autism, which the most recent statistics from the Centers for Disease Control and Prevention suggest affects one in 150 children. Nor has a cure been found. However, new research and major court decisions have emerged to explain further what may contribute to the developmental disabilities of the brain known as "autism spectrum disorders" or ASDs.

One thing that has been known for a while is that there is not one type of autism, but rather several types under the autism umbrella, including Asperger's syndrome, classic autism and pervasive developmental disorder-not otherwise specified (PDD-NOS). More and more doctors and researchers are referring to autism as autisms (plural) because each child's case is different, as are the causes, helpful therapies and potential future cures. iReport.com: Does autism touch your life?

While the past year hasn't yielded definitive answers, new information about what may or may not cause autism, prevalence and accompanying issues like paying for treatment have made headlines.

Here are just a few:

Do vaccines cause autism?

In 1998, a theory emerged that the measles-mumps-rubella (MMR) vaccine caused autism, the theory being that the vaccine lingered in the gut, causing gastrointestinal problems, and that those GI problems led to autism.

A few years later, the very small study that was the basis of this theory was debunked and discredited. However, this did not quash the belief among many parents that vaccines caused autism, leading them to stop or delay immunizing their children.

Since the first World Autism Awareness Day last year, a couple of studies and a major court decision declared definitively that vaccines do not cause autism.

In September, researchers in the United States and Europe re-created the original 1998 study, even using one of the same laboratories to analyze their results. The study authors concluded that "no evidence" linked the MMR vaccine to autism or the GI problems.

While many experts said this study is conclusive and "puts the issue to rest," some groups that hold to the belief vaccines are the cause of autism called the research flawed.

Another study, published in the March 2009 issue of Pediatrics, provided an explanation of why the MMR vaccine does not cause GI problems and autism.

Daniel Campbell, a researcher at Vanderbilt University, suggested that he has found a reasonable explanation for why many children also have GI problems. According to his research, a genetic variation of a protein called MET contributes to both autism and GI problems, rather than GI problems causing autism.

In addition, a decision inside a courtroom rather than a laboratory drew the conclusion that the vaccines do not cause autism.

On February 12, a special vaccine court ruled in three test cases, representing more than 5,000 families, that the "combination of the thimerosal-containing vaccines and the MMR vaccine are not casual factors in the development of autism."

It's probably still too early to tell whether these rulings changed anyone's opinions. "I don't think they were important from the standpoint of changing the minds of those with firmly held beliefs regarding vaccines," said Dr. Bryan King, director of child psychiatry at Seattle Children's Hospital. He said that it will not be until we find credible causes for autism that people can leave this debate behind.

"We still support research that would potentially identify small groups with underlying medical or genetic conditions who may be more vulnerable to the adverse effects of vaccines," said Dr. Geraldine Dawson, the chief science officer of Autism Speaks, the nation's largest advocacy group.

"For the vast majority of kids, vaccines are safe and we support vaccine programs," Dawson said, adding that more research into vaccines is needed.

Are autism rates going up?

Using data from 2000 and 2002, the CDC released a report two years ago with the statistic that one in 150 8-year-olds have autism, up from the previous estimate of 1 in 166. What remains unclear is if the numbers really went up or if counting these children differently led to the increase.

According to a study done by the MIND Institute at the University of California-Davis and published in January, "The incidence of autism rose seven- to eightfold in California from the 1990s through the present."

"The incidence of autism has not yet plateaued," said Irva Hertz-Picciotto, lead author of the study. "We don't know the reason for the increase." But she said that expanding the definition of autism and greater awareness and diagnosis alone can't account for the increase. "Looking at the environmental cause of autism is the next logical step" to find more answers, she said.

A Danish study from December seems to suggest the opposite. It concluded that the shift in age at diagnosis, "especially the earlier diagnosis at younger ages, artificially inflated the observance of autism in younger children."

Dr. Max Wiznitzer, a child neurologist at Rainbow Babies & Children's Hospital in Cleveland, Ohio, has been treating children with autism for more than 30 years. He said he's still not quite convinced that the incidence is going up either. One explanation is that the way autism cases were counted in the CDC study and in the California study are not the same. "We need to investigate if there's a true rise," Wiznitzer said.

What are environmental factors?

In the past year, more has been said about exploring how environmental factors, in addition to genetic factors, may contribute to autism.

Hertz-Picciotto said environmental factors include anything that's not in the child's DNA, from viruses and bacteria to chemicals in the brain or personal care products. She said more research needs to be done.

CDC epidemiologist and autism researcher Diana Schendel said that any nongenetic factor, including a mother's illness during pregnancy or treatment of a baby in the hospital during or after birth, are other possible environmental factors.

The CDC is conducting a five-year study at six sites looking at genetic and environmental risk factors for autism.

Autism Speaks also said studies should look more closely at environmental factors. "Everything from vitamin D to folic acid, a mother's health condition or pesticides" may play a role, said Dawson.

Her organization recently announced it is investing $5 million to fund studies on genetic and environmental risk factors for autism.

How to afford therapies?

Another issue that has gained momentum in the past year is how to pay for the therapies and treatment for children with autism and the now growing numbers of adults with autism.

Elizabeth Newman, Mia's mother, is helping raise $10,000 for five families in her hometown of Atlanta, Georgia, because she knows how difficult it is to pay for treatments that helped her daughter (more information at http://www.livingthemosaic.com/ ).

Wiznitzer said that one of the ongoing issues for the parents of the children he treats is "What will we do with them as adults?" He said there is an urgent need for developing programs for adults with autism to be productive rather than putting them in institutions.

Most of the 8-year-olds who were counted in the CDC study in 2000 are now becoming young adults. However, there are few programs to help them when they are too old to receive therapies through the educational system.

Dawson said she's encouraged to see the Obama administration earmark $211 million for autism research and more.

According to the 2010 federal budget proposal, "the president is committed to expanding support for individuals, families, and communities affected by ASD."

"One of the things that Obama featured in his plan is money toward adult services," Dawson said.

Wil's mom wants her adult son to be the best he can and the happiest he can -- but she also wants him to be a productive citizen.

"I want to get a job," Wil said. "I want to be a designer -- I will have to learn how to be a designer." He hopes to go to a college with special programs for students with disabilities. He's already designed business cards for a few people; his mom hopes this might be something he could do professionally in the future.

Aside from doing the morally right thing, Jane Searing said, funding more programs for adults with autism makes economic sense.

"If you get them employed, you won't have to pay for them forever," Searing said, adding it's much better to "turn these people into taxpayers instead of tax takers."

@highlight

Thursday is second World Autism Awareness Day

@highlight

In last 365 days, no cause or cure found, but baby steps made along the way

@highlight

Special vaccine court ruled in three test cases, found no link with autism

@highlight

Researchers look to environmental causes; parents look for insurance coverage