(CNN) -- Through time the art and architecture of the Islamic world has defined a civilization that once extended from Cordoba in Spain to the Mogul empire in China and India.

Today a new cultural landmark in Qatar brings together 14 centuries of that history under one roof at the Doha Museum of Islamic Art.

Designed by architect I.M. Pei, best known for his glass pyramids at Paris' Louvre museum, the stunning building houses 3,800 square meters of treasures, spanning three continents.

From intricate metal work and calligraphy to ceramics, textiles and precious stones, the collection represents the feverish efforts of the Qatari royal family to assemble an unrivalled collection of Islamic antiquities over the past few years.

"One of the enormous achievements is to have built up such a collection of such enormous historic and aesthetic importance in such a short space of time," Museum Director Oliver Watson told CNN.

Treasure trove of antiquities

Among the standout pieces in the museum's collection are the earliest surviving pages of the Koran, dating from the late 7th century, the earliest surviving silk carpet from Iran and a 9th century Iraqi porcelain bowl.

Such objects bore enormous influence on the Islamic world and beyond. For example, Iraqi pottery such as the museum's white glazed bowl with blue calligraphy was copied by the Chinese, eventually becoming the largest ceramics industry in the world.

"The interesting thing is not only that the Islamic world had trade connections out to China, but that this kind of ware, that wasn't used in China [at the time] was commissioned. These were works that were commissioned by merchants in Basra to be made in central China," Watson explained.

The Chinese "took the blue color from the Middle East, and the Middle East was the first major customers for Chinese blue and white [porcelain]."

In a nearby gallery rests the jade pendant of Shah Jahan. The Mogul Emperor wore it as a necklace in the 17th century to calm the despair in his heart after his wife died during childbirth. Shah Jahan is perhaps better known for the mausoleum he built to his wife -- the Taj Mahal in India.

"There is the whole history of a whole culture, a whole civilization embedded in these objects, and we are just beginning to explore that," said Watson.

Modern architectural icon

The Doha museum opened in 2008 with extravagant celebrations. In a region known for its glass and steel towers, this structure stands out as a modern icon paying homage to ancient traditions.

"This building is very special to me, simply because it helped me to learn something about another world, another religion, another culture," said Pei at one of the opening events.

The building's design combines minimalism, cubism and the arabesque. It has wide open spaces, geometric patterns typical of Islamic art, octagons, circles, domes and cubes.

Pei found his inspiration for the design in the courtyard of Cairo's Ibn Tulun mosque, specifically the 13th century ablution fountain in the center, the sabil.

@highlight

Doha Museum houses antiquities spanning 14 centuries and three continents

@highlight

Earliest surviving Koran, Shah Jahan's jade pendant among treasures

@highlight

Architect I.M. Pei designed the modern building based on Ibn Tulun mosque in Cairo