LONDON, England (CNN) -- As airlines slash flights and cut spending in the wake of rising fuel prices, rail travel across Europe is entering into a period of renewal.

Eurostar launched services from its new London station, St Pancras International in November 2007.

By 2010, the continent's rail operators expect 25 million passengers to be using its high-speed networks, up from around 14 million today.

And this staggering growth is expected to spill into the next decade.

This week, Network Rail, the owner and operator of Britain's rail infrastructure, has commissioned a study that could lead to the biggest overhaul of the nation's rail industry since the 19th century.

The study will consider five new intercity lines running north and west of London. New lines, built alongside existing tracks, could accommodate high-speed trains similar to France's TGV that travels at 186 miles per hour (300 km/h).

If approved, journey times between London and Manchester could be slashed to just over one hour, and two hours between London and Glasgow.

The cost of such expansion is large, says a Network Rail spokesperson, but crucial to absorb the nation's increasing demand for rail travel.

Despite complaints over overcrowding and affordability of rail travel in Britain, passenger numbers have soared by 40 percent to 1.13 billion journeys a year in the last decade.

And if growth continues as predicted, Network Rail expects many lines to be full by 2025.

The popularity for rail is driven partly by a growing determination among passengers to become more environmentally friendly.

A journey on high-speed train Eurostar between London and Paris generates one-tenth of the carbon dioxide produced by an equivalent flight, according to independent research commissioned by Eurostar.

Rail's city-center-to-city-centre service is also becoming an increasingly attractive alternative to flying.

Research has shown that business travelers are now willing to travel up to four hours on rail because of the increased productivity versus the airlines. Leisure travelers are prepared to go further, using trains on journeys of up to six hours.

If plans for new high-speed routes across Britain are agreed, the earliest construction could begin is 2014, says Network Rail.

But expansion is already underway across the European rail network to handle growing passenger numbers.

Britain's first high-speed rail line was opened by Eurostar last November. This links the new St. Pancras International station in central London with Paris in just 2 hours 15 minutes and Brussels in 1 hour 51 minutes.

Last June, TGV Est opened in France, slashing journey times between Paris and Reims to 45 minutes from 90 minutes, and from Paris to Strasbourg in 2 hour 20 minutes instead of 4 hours.

This line opens development of a 1,500-km European railway line intended to link Paris and Bratislava via Strasbourg, Stuttgart, Munich and Vienna.

Other upcoming high-speed rail routes include the HSL Zuid between Antwerp, Belgium and Amsterdam; a number of Alta Velocidad Española (AVE) high-speed rail links between Madrid and Spain's provincial cities; and a high-speed connection between Spain and Portugal.

New high-speed lines are also expected in Italy in early 2011. And if plans for a rail tunnel under the Strait of Gibraltar from Spain to Morocco are finalized, trains could link Europe and Africa by 2025.

The efficiency of trans-European rail travel will be further boosted following the formation of Railteam, an alliance of high-speed rail operators across western Europe. These include Deutsche Bahn from Germany, SNCF in France, Eurostar as well as operators from Netherlands, Austria, Switzerland and Belgium.

At the moment making connections, for example between a Eurostar service from London to Paris and then to a TGV across France or an ICE high-speed train through Germany can be complicated.

The new alliance, that works like a code-sharing airline alliance, means travelers can book tickets on a multilingual website to 100 cities, rising to 400 by 2020.

The alliance will also cut waiting time between connections. And frequent business travelers will eventually be able to use a 'train mile' program across the entire network.

Railteam currently does not include operators in Italy and Spain where high-speed networks are less developed. But more train operators are expected to join in the future.

What's more, legislation approved by the European Union last year that requires national rail systems to open up to operators from other countries by 2010, will further push development of a European network of high-speed rail.

As this network develops, and as appeal of air travel falters, riding the rails between Paris and Bratislava, or Birmingham and Brussels may not seem like such a bad idea after all.

@highlight

European rail travel is having a renaissance boosted by new high-speed links

@highlight

Network Rail will conduct a review into building new rail lines across Great Britain

@highlight

New high-speed links recently opened between UK and Europe and into east France