(Budget Travel) -- In the lodging world, green has gone mainstream. Once chided for being wasteful, the big hotel chains are now constantly trying to one-up each other with smart eco-design upgrades and stringent water and energy conservation policies.

Hyatt has begun recycling its own aluminum, plastics and paper in countries where such programs don't exist.

Consider this fact: In a recent survey, 68 percent of U.S. hotels said they had energy-efficient lights, and two thirds had implemented towel- and linen-reuse programs, up from just over half five years ago.

The number of properties trying to become LEED (Leadership in Energy and Environmental Design) certified, the most recognized standard for building sustainability, is also on the rise: Applications to the U.S. Green Building Council for the award spiked by 550 percent between 2006 and 2008. More than 500 hotels could soon earn the label; until four years ago, only one had the designation.

Although all the major players are making strides toward better green policies, some are doing more than others. Here's what the leaders have achieved in four earth-changing categories:

ENERGY CONSERVATION

Replacing inefficient lighting, one energy-draining bulb at a time

Accor: More than 8,600 Motel 6 locations in at least a dozen states have been retrofitted with occupancy sensors that cause the thermostat to readjust when guests go out.

InterContinental: A trial program has been rolled out at 650 hotels that aims to cut energy consumption by as much as 25 percent. If successful, it could be expanded to all of the chain's 4,000 properties, including Holiday Inns.

Marriott: Over the past decade, 450,000 incandescent bulbs have been replaced with compact fluorescent ones, and more than 250 hotels (including some Residence Inns) have earned an Energy Star efficiency label from the U.S. Environmental Protection Agency.

Starwood: The new Element brand's goal is for every hotel to be LEED certified. Its first property, which opened last year in Lexington, Massachusetts, is fully loaded with Energy Star appliances, LED lighting, and top-notch ventilation systems. All together, that saves enough energy annually to power 236 homes.

WATER CONSERVATION

Tightening up on all the drips and drops in hotel bathrooms

Hilton: The company's aim: to reduce water use at all of its brands, such as Hilton, DoubleTree, and Embassy Suites, by 10 percent by 2014. Its nearly 90 European properties have taken the lead, installing water-saving toilets, showerheads, and faucets over the past three years. Home-turf hotels are next.

Hyatt: Nearly all North American properties have "low-flow" showerheads (which use a maximum of 2.5 gallons of water per minute) and toilets (1.6 gallons of water per flush). The improvements helped reduce the chain's overall water consumption by 3 percent in 2007.

Marriott: Over the past 10 years, the company has added some 400,000 low-flow showerheads and toilets to all of its locations worldwide. Marriott also buys 1 million towels annually that don't require prewashing, conserving 6 million gallons of water each year.

Starwood: All new Element hotels will have low-flow water fixtures in rooms and water-efficient landscaping; its Lexington star has led the way, saving up to 1 million gallons of water per year.

GREEN DESIGN

Thinking about the environment from the foundation up

Accor: The Motel 6 brand broke ground last year on an ultra-green building near Dallas, with laminate flooring made from recycled wood chips and a solar-powered water-heating system.

Best Western: Opening this year in Golden, Colorado, the chain's first LEED-certified hotel will run partially on solar power and have a porous asphalt parking lot to reduce storm-water runoff.

Hilton: The company's green gem is in Vancouver, Washington: a LEED-approved hotel with low-emission paint on the walls and special drains that funnel rainwater into wells for future use.

Hyatt: Seattle's Hyatt at Olive 8, which opened in January, has an 8,000-square-foot rooftop garden, water-efficient dual-flush toilets, outlets in the parking lot for electric cars, and lighting controlled by room key cards.

Marriott: In 2005, the Marriott in College Park, Maryland, was the first chain hotel in the U.S. to become LEED certified. Among the earth-friendly frills: kitchen composting, in-room recycling bins, water pitchers instead of plastic bottles, and an organic restaurant.

Starwood: All eight Element locations being built across the country this year have carpets and cushions made from recycled materials, art mounted on frames constructed from old tires, and priority parking for guests with hybrids.

RECYCLING

Allowing not a single can, bottle, or plastic key card to go to waste

Hyatt: Starting this year, the company will only use key cards and shampoo and lotion containers made from recycled plastics. Hyatt has also begun recycling its own aluminum, plastics, and paper in countries such as Russia and Chile where such programs don't exist.

Intercontinental: As part of a pilot program started two years ago, about 140 Candlewood Suites properties donated old furniture and linens to local families following renovations -- helping to cut back on landfill. It hopes to replicate the initiative nationwide.

Marriott: Each year, the chain buys 47 million pens and 24 million key cards made from recycled plastics; it has also eliminated Styrofoam and plastic utensils at all of its locations. Coming soon: bed pillows made from the polyester fibers of recycled plastic bottles.

Wyndham: Debuting later this year at Super 8 motels across the country: new staff uniforms fashioned entirely from recycled plastic bottles.

Get the best travel deals and tips emailed to you and enter to win a free trip - CLICK HERE!

Copyright © 2009 Newsweek Budget Travel, Inc., all rights reserved.

Note: This story was accurate when it was published. Please be sure to confirm all rates and details directly with the companies in question before planning your trip.

@highlight

Survey: 68 percent of U.S. hotels said they had energy-efficient lights

@highlight

InterContinental aims to cut energy consumption by as much as 25 percent

@highlight

Nearly all North American Hyatt properties have "low-flow" showerheads and toilets