WASHINGTON (CNN) -- The White House refused to indicate Monday whether President Obama will issue a posthumous pardon for Jack Johnson, the African-American boxing champion convicted in 1913 for dating a white woman.

Jack Johnson's 1910 defeat of Jim Jeffries, the "Great White Hope," sparked riots.

The House of Representatives on July 29 unanimously passed a resolution urging Obama to grant a pardon; the Senate passed a similar measure by a voice vote on June 24.

The push for a rare posthumous pardon has been spearheaded for years by Sen. John McCain, R-Arizona, and Rep. Peter King, R-New York, two of Congress' top boxing enthusiasts.

"It is our hope that you will be eager to agree to right this wrong and erase an act of racism that sent an American citizen to prison," they wrote Friday in a letter to Obama.

Johnson, the first African-American to win the heavyweight title, was convicted for violating the Mann Act, which outlawed the transportation of women across state lines for "immoral" purposes.

He served 10 months in prison on charges "brought forward clearly to keep him away from the boxing ring, where he continued to defeat his white opponents," McCain and King said.

Almost a century after Johnson's conviction, his compelling saga has continued to capture the interest of sports writers, civil rights activists and historians. It provides, they agree, a unique window into American politics and culture at a time when Jim Crow-style racism reigned supreme.

Johnson was first arrested for breaking the Mann Act in 1912, four years after winning the heavyweight crown. That case fell apart, but investigators soon after charged him with a similar offense involving a woman he had dated years earlier.

Justice Department lawyers argued it was a "crime against nature" for him to have a sexual relationship with a white woman.

Judge Kenesaw Mountain Landis, later to become the first commissioner of Major League Baseball, set Johnson's bail at $30,000, the equivalent of more than $660,000 today. When a bail bondsman showed up, Landis jailed him, too, according to an account that filmmaker Ken Burns relays in his documentary "Unforgivable Blackness: The Rise and Fall of Jack Johnson."

An all-white jury convicted Johnson in less than two hours.

"Mr. Johnson was perhaps persecuted as an individual, but ... it was his misfortune to be the foremost example of the evil in permitting the intermarriage of whites and blacks," one of the prosecutors later said.

Johnson's real crime, in the eyes of many, was committed on July 4, 1910, when he successfully defended his boxing title against Jim Jeffries, a white boxer who came to be called the "Great White Hope" because many white fans saw him as the best chance to wrest back a boxing title from the African-American champ.

Johnson beat Jeffries, who had come out of retirement for the fight, before a stunned, almost entirely white crowd in Reno, Nevada.

Race riots followed. More than 20 people were killed and hundreds were injured. Most victims were black.

So when they "couldn't beat him in the ring, the white power establishment decided to beat him in the courts," Burns said in his documentary.

Johnson fled to Europe in 1913 while free on appeal. But after years of fights overseas, including the eventual loss of his title in Havana, Cuba, in 1915, Johnson came home. He turned himself over to U.S. authorities at the Mexican border in 1920 and served 10 months in prison.

He died in a car wreck in 1946.

"Back then, if you were black and you were told that you did something wrong, you really had no recourse," Linda Haywood, Johnson's great-niece, recently told CNN.

"You just accepted what was done because black people were basically powerless and voiceless. Jack may have been a rich boxer, but he couldn't fight the system."

McCain and King introduced resolutions calling for a presidential pardon in 2005 and last year. McCain, who says he made a mistake by once voting against a federal holiday for the Rev. Martin Luther King Jr., sees the pardon as a way to right an old wrong.

"The Jack Johnson case is an ignominious stain on our nation's history," he said on the Senate floor in the spring.

"Rectifying this injustice is long overdue. [The resolution recognizes] the unjustness of what transpired, and sheds light on the achievements of an athlete who was forced into the shadows of bigotry and prejudice."

@highlight

Jack Johnson, the African-American boxing champion, convicted in 1913

@highlight

Sen. John McCain, Rep. Peter King back posthumous pardon

@highlight

Resolutions passed House and Senate this summer

@highlight

Johnson served 10 months in prison for dating a white woman