(CNN) -- When Al Charette traveled to the North Pole, he went under it.

The USS Nautilus, the world's first nuclear-powered submarine, made history when it reached the North Pole on August 3, 1958, beneath the ice.

Charette, who was part of that Cold War crew, recalls how this milestone was of much more significance than being a historical first.

"What we did," he says, "is really expose 3,000 miles of coastline of the U.S.S.R."

Submarines, which submariners call boats, played a pivotal role in intelligence gathering and nuclear deterrence at a time of political tension between the United States and Soviet Union. Attack submarines sought out and tracked Soviet ballistic missile submarines, while U.S. Navy missile boats tried to keep from being discovered.

"We didn't want to make any kind of a noise that a fish didn't make, " the 79-year-old Charette remembers.

The Cold War may be remembered as a conflict without any battles, but for submariners, the danger on the front lines was real.

Jack Gallimore started on diesel-electric submarines, including the USS Hardhead and the USS Sablefish in 1958. Cat-and-mouse games of two superpowers aside, risks remain even today for sailors who head out beneath the waves, says Gallimore, now 73.

"All the submariners," he says, "when they go to sea, they're in harm's way."

Gallimore remembers an incident that happened during the turnover of older diesel subs to the Greek navy. He and other crew members acted as observers during the training phase. During a dive, the boat angled down steeply and the propellers shook. The sub managed to surface eventually, yet Gallimore insisted the danger was part of the job.

"We've all experienced when something went wrong," Gallimore says.

Before any sailor can be called a submariner, he has to earn his "dolphins," a pin that's the equivalent to a pilot's wings. The sailors must qualify on the submarines they are to serve by knowing the systems inside and out. The training and testing are rigorous.

Greg Kane, 63, another Cold War veteran, qualified on the ballistic missile sub USS George C. Marshall. Earning that qualification was an enormous source of pride, he says.

"When you had those dolphins on," he says, "you were a submariner. You were a part of the brotherhood of the fin."

The standards to be part of that "brotherhood" exist to this day. Surrounded by a hostile environment at all times while submerged, any mistake by a single submariner could prove dangerous or even fatal for the entire crew.

"My life depended on my other shipmates," says retired Master Chief Bud Atkins, 77, "and it didn't matter whether they were a seaman or a captain." Atkins, who spent time in diesel-electric and nuclear-powered boats, served below the waves from 1950 to 1980, when he retired.

In addition to meeting these tough standards, submariners also faced the responsibility of knowing their boats might have to launch nuclear warheads at a foreign country. Kane, who maintained the launching systems for Polaris missiles during the Vietnam War era, says crew members underwent vigorous psychological testing well before even seeing a submarine.

Various scenarios were thrown at them: What if your boat was called to launch a strike? Could you do it?

"The whole idea was really being aware of what the world situation was, what the dire consequences would be if you ever had to go through it and what would happen ... if you didn't have a deterrent force out there to stop something like that from happening," Kane says.

Tom Russell, whose 20-year Navy career took him on a variety of vessels, also served on fleet ballistic missile boats in the 1960s.

"We just hoped that every time we went to battle stations that it was a drill because we all knew if it was not a drill, home would be in pieces," says Russell, 82.

All these retired submariners speak of their service with pride, but they are guarded when it comes to details of their missions long ago.

Charette grows nostalgic when recalling how a submarine could be in harbor or along a coastline and go unnoticed. Or suddenly surface somewhere unexpectedly just to send a message.

Asked if he could describe any of these experiences, he replies with a grin, "Not that I care to talk about."

@highlight

The USS Nautilus was the first submarine to reach the North Pole in 1958

@highlight

Submarines played pivotal role in intelligence gathering and nuclear deterrence in Cold War

@highlight

Submariners face rigorous training and high standards to qualify