ATLANTA, Georgia (CNN)  -- From the time her daughter was very young, Briana Vartanian knew something was wrong.

Lola Vartanian, whose autism was diagnosed two months ago, is already doing better with therapy, Mom says.

Lola didn't smile. She didn't laugh. When she and Lola took walks in the park, Vartanian noticed how the other babies loved to be held by their mothers. Lola hated being touched and even more being held. But there was something even more devastating to Vartanian, who lives in Ladera Ranch, California.

"Lola never looked at me -- she looked through me. She had no idea who Mommy was," Vartanian said. "And other kids love it when someone comes up to them and smiles. She'd freak out if someone approached her -- even if it was me or my husband."

Vartanian told her pediatrician she was worried, the doctor told her Lola was fine. "She kept telling me wait and see, wait and see, and that really annoyed me," Vartanian said.

At first she took the took the doctor's advice but then decided to seek a second opinion. A couple of months ago, when Lola was 14 months old, she saw a pediatric neurologist, who diagnosed autism. Lola immediately started receiving special therapy.

"You always wonder if it would have made a difference if they'd caught it earlier," Vartanian said.

The American Academy of Pediatrics is making a push to have every child screened for autism twice by age 2. The academy's new report gives explicit instructions for the warning signs of autism at various ages.

Parents should watch for signs, including not making eye contact, not recognizing a parent's voice, not babbling by age 9 months and not using pre-speech gestures such as waving, pointing and showing.  Watch for other autism signs to look out for »

Autism encompasses a range of developmental disabilities that affects communication and social interaction. The Centers for Disease Control and Prevention estimates as many as one in 150 8-year-olds has a form of autism.

Dr. Pauline Filipek, a child neurologist at the University of California-Irvine, said she hears much too often that even when parents push pediatricians, the doctors miss the signs of autism.

"I hear this from parents all the time, that the pediatrician said, 'Don't worry,' or 'You're imagining things' or 'Let's wait,' " Filipek said. "When I give lectures to pediatricians, I tell them, 'Get these phrases out of your lexicon. Get them out of your vocabulary.' "

Earlier diagnosis is crucial, she said, because it means earlier treatment.

"The research is very clear -- the earlier a child is treated, the better," according to Dr. Ami Klin, Harris associate professor of child psychology and psychiatry at the Yale Child Study Center. "It's never too early to start treatment."

Usually autism is diagnosed at around 3, Klin said. The new American Academy of Pediatrics report tells pediatricians how to screen for the disorder in babies. For example, the report said a child at around 6 months should have a "to-and-fro pattern of vocalizations between infant and parent" instead of "vocalizing without regard for the parent's speech."

The academy's Web site links to videos of children with autism alongside those of "typical" children. For example, one video shows a "typical" child at 20 months playing make-believe games with two adults and trying to feed a bottle to a Big Bird stuffed animal. The accompanying video shows a child of the same age with autism in the same setting, ignoring the adults and stuffed animal and becoming aggravated when someone reaches out to him. (The video, part of a visual autism "glossary" on the Web site of the advocacy and education group Autism Speaks, requires registration.)

Alison Singer, executive vice president of Autism Speaks, said she hopes the academy's report will help families get an earlier diagnosis than the one she received for her daughter Jodie, 10.

"I often think Jodie's life would be different right now if she'd been diagnosed earlier," Singer said. "She was diagnosed when she was 2 years and 8 months old. What if she'd been able to have early intervention when she was 12 or 18 months old?"

Singer said she also missed the signs, including echolalia, a tendency to parrot back large chunks of words a child has heard. "She could recite entire lines from the 'Madeline' books, so we thought she was advanced," Singer said. "So when the doctor asked if she could put two words together, I said, 'She speaks in full sentences.' "

Vartanian said she'll always wonder whether Lola would be different if her autism been diagnosed at 6 months, when she first expressed concerns to her pediatrician, instead of more recently. But the child has had therapy for about two months, and Vartanian is thrilled with her progress.

At 16 months, Lola can crawl and hold a bottle by herself, Vartanian said. She doesn't talk but is starting to coo and babble. And last month, for the first time, Lola looked at, rather than through, her mother.

Vartanian cried as she described how it happened: "She was in her highchair, and I asked her what she wanted to eat. She looked at me and smiled. It was so exciting. I said 'Mommy, you see Mommy.' She smiled, so I knew that she knew it was me." E-mail to a friend

Elizabeth Cohen is a correspondent with CNN Medical News.

@highlight

American Academy of Pediatrics: Screen every child for autism twice by age 2

@highlight

Report gives explicit instructions for the warning signs of autism at various ages

@highlight

Autism a range of neurological disorders that affects communication, interaction

@highlight

CDC estimates as many as one in 150 8-year-olds has a form of autism