(CNN)President Obama's new tax plan includes some sensible ideas. Unfortunately, it would mean increasing taxes on saving and investment, which are key drivers of economic growth, according to various experts. On balance, I believe the plan moves in the wrong direction.

The President's proposal to boost the earned income tax credit for childless low-wage workers is a sensible step to strengthen the social safety net and encourage people to work. Expanding the credit, an idea also put forward by Ways and Means Committee Chairman Paul Ryan, R-Wisconsin, would draw childless adults into the labor force and give them income support.

The President is also proposing two supply-side measures that would reduce barriers to work. Under today's tax system, secondary earners often face high tax rates based on the couple's combined earnings. That penalizes two-earner couples and discourages spouses from entering the work force. Some supporters of the tax penalty see it as a way to strengthen their vision of traditional family values. But Americans should be free to choose their own family values, without interference from the tax system.

Obama tax plan: Middle-class credits, increases for rich

The President's plan would reduce the tax bias against two-earner couples by providing a second-earner credit and expanding the credit for child care costs. A bigger child care credit is particularly good tax policy. Any tax system that taxes workers on their income should offer relief for work-related costs. Child care costs are definitely work-related; statistical studies confirm that the availability of cheaper child care promotes work by parents, particularly mothers.

However, even as the President's plan eases tax barriers to work, it introduces major obstacles to saving. The plan starts on the right track, with measures to make it easier for people to save at their workplaces. But it turns around and strikes a heavy blow against saving by taxing some capital gains at death and raising the top tax rate on capital gains and dividends.

Those proposals would amplify the income tax's central flaw, its penalty on saving. People who earn wages and spend them immediately pay tax only on their wages. But those who earn wages, save and consume the proceeds in the future pay tax on both their wages and the returns on their saving. It doesn't make sense to put heavier tax burdens on people who choose to save for the future rather than spend today, particularly when their savings finance the investments that drive the economy's long-run growth.

Taxing capital gains at death could be a step forward if tax rates on capital gains and dividends were cut by enough to prevent an increase in the overall burden on saving. For that matter, the combination of taxing gains at death and raising the rates could be a step forward if it was offset by scaling back the corporate income tax, a particularly complicated and destructive levy on saving and investment.

But that's a far cry from what the President is proposing. His plan would leave the corporate income tax in place while taxing capital gains at death  and increasing the top tax rate on gains and dividends by more than 4 percentage points (on top of an increase of almost 9 percentage points in 2013). Taxing the savings of "the 1%" to finance tax cuts for the middle class may be good politics, but it's a shortsighted approach that could  undermine long-run economic growth. A better approach would have been to curtail the growth of entitlement benefits for those well above poverty and to limit tax breaks for expensive owner-occupied homes.

The President has put forward some good ideas to help childless low-wage workers and ease the tax penalty on two-earner couples. But it would be a big mistake to pay for them by penalizing the saving and investment on which our economic future depends.

@highlight

Alan Viard: President Obama's plan to increase taxes on saving and investment may not be wise

@highlight

Viard: It doesn't make sense to put heavier tax burdens on people who choose to save for the future rather than spend today