There may be a number of good reasons to vote against Mitt Romney, but based upon what we know so far, his honesty about his tenure at Bain Capital does not seem to be one of them.

Let me acknowledge upfront what I have said several times on CNN: I have a past relationship with the top partners at Bain that is both personal and financial. I have worked with them in support of nonprofit organizations such as City Year. I have given a couple of paid speeches for Bain dinners, as I have for many other groups. I was on the board of a for-profit child care company, Bright Horizons, that was purchased by Bain Capital. It was a transaction with financial benefits for all board members and shareholders, including me.

So, yes, I have a bias.  But let me also add how that bias plays out: I have come to admire and like the leaders of Bain Capital because I have learned firsthand that in a private equity industry, where there are obviously some predatory companies, Bain stands out for the respect in which it is generally held and for the generous philanthropy of some of its partners.  Nothing I have seen so far has shaken that view.

With that on the table, let's turn to the controversy and offer answers to some basic questions:

Are President Barack Obama and his team right to demand close scrutiny of Romney's leadership at Bain?  Absolutely.  Central to Romney's candidacy is his claim that he will be better at creating jobs and growth than Obama because of his experience at Bain.  Just as Republicans have relentlessly questioned Obama's record (often to the point of sheer demagoguery), it is absolutely fair to question Romney's.

And given that critics have argued that Bain helped outsource jobs through its investments in the years immediately after Romney's departure to head the Olympics, it would be a significant revelation if it turned out that in fact he had still played a meaningful role in the company.

Has Romney handled the scrutiny well?  No, he hasn't.  He and his team should have prepared a thorough, written record of his time at Bain and made it publicly available long before this stage of the campaign -- a record that would have explained in advance his accomplishments and failures while at Bain, the manner of his departure and the conflicts that have arisen over what he has said and filings Bain has made with the Securities and Exchange Commission.  Had he been proactive in laying it all out, it is unlikely he would be facing the barrage of today.

(In another life, I made a similar argument to Bill and Hillary Clinton -- people I enormously respect -- over Whitewater and that went nowhere; naturally enough, politicians are not inclined to put out documents that may be discomforting, even if they also help clear the air.)

Donna Brazile: Why Obama's Bain charges are working

Should Romney disclose his tax returns and other information relating to off-shore accounts?  Yes, he should.  Like many others who have been financially successful and as a result have complicated financial histories, Romney has shown a deep reluctance to disclose anything more than the bare minimum and has only released his tax return for one year.  But he is asking voters to entrust him with the most powerful and important office in the world.  In return, voters have a right to know who he is and how he got here.  Put it out, take whatever hits are coming, and move on.  If he has been as honest as all his friends believe, he will ultimately be a stronger candidate and can refocus on what matters: the country.

Has Romney basically lied about when he actually departed Bain?  Has he tried to mislead the public or investors? Here we come to the heart of the recent controversy.  I may be wrong but based on what we know so far, I would conclude that we do not have persuasive evidence to show that he has.

Romney has argued for years that after he was called in to rescue the Salt Lake City Olympics in February 1999, he turned his full attentions there and no longer exercised active management at Bain.  The story is a complicated one because Bain was a complex partnership and because the company filed various SEC papers after February 1999 still listing Romney in various key roles, including CEO and chairman.  But if one takes time to look behind the SEC filings, what emerges is much more supportive of Romney's statements.

David Frum: Mitt Romney's painfully bad week

When the story first broke Thursday in The Boston Globe suggesting that Romney and Bain had fudged, CNN asked if I would do some reporting. I reached two of the top people whom I know in the company and, on background, they told me the same story that Bain sources told CNN's John King: When the call came from the Olympics that February, Romney met with his partners and said he and wife, Ann, had concluded that they had to do this and as difficult as it would be for the partnership, he had to leave in a matter of several days.

That set off consternation within Bain because the company had exploded in size and Romney was not only CEO (or managing partner) but was also deeply tied into a variety of investments and partnerships.  The partners had to turn quickly to reorganizing their teams and the way they ran their business.  That was their priority.

Had they known that one day Romney would be running for president, they might have acted with equal haste on cleaning up the many filings and paperwork that bore Romney's name but at the time, they didn't think that was an urgent task.  So, as the company slowly unwound its records, some papers from Bain continued to list Romney even though he had left the partnership.

A sloppy mistake?  Yes.  An attempt to mislead?  The evidence so far doesn't show that.  Also of note: At the time, it seemed that he might return from the Olympics to active management, but in any event, he did not. Secondly, I do not know of (nor is there any controversy suggesting) his involvement in other companies during that time.

As the New York Times reports Monday, there was an expectation at first that Romney might return to active management of Bain so he did not sever his ownership ties right away -- an additional reason why his name was not struck from documents for a while. The Times account goes on to say there is no evidence that during this interim he was actively engaged in managing the firm.

Both partners with whom I spoke firmly and unequivocally said that after he physically left in February 1999, Romney no longer made decisions for Bain regarding investments, hiring, firing or any other management issues.  Subsequent to that February, the firm in 2000 offered another round of financing and, according to Bain, the investors well understood that Romney was no longer actively managing the company.

Could these Bain partners now be lying?  Possibly.  On a rare occasion in the past, when I was wearing a reporter's hat, a friend has lied to me for self-protection.  But based on relationships over several years, I trust his or her account.  Even so, knowing my bias, you may well ask: Is there any corroborating evidence?  As it turns out, there is.

FactCheck.org, a respected website that nails candidates for inaccuracies, earlier investigated the whole issue of Romney's departure and reached a conclusion that he was telling the truth.  Last week, little noticed by Romney's critics, FactCheck went back, reviewed the evidence again, and based on what we know so far, reaffirmed its earlier conclusion. FactCheck's recent article was co-written by a man who was once a top investigative journalist for CNN.  (The piece last week also recalled an Associated Press report on the Olympics that said in his early tenure at the Olympics, Romney was working 112-hour weeks to save the Salt Lake City games.  Does this sound like a man who was also managing a private equity firm on the East Coast?)

Last week, in another article that critics tend to ignore, Fortune reported that it had obtained confidential documents that Bain gave to prospective investors in advance of that seventh round offering in 2000.  The prospectus is the way a company such as Bain informs possible investors who will manage their money.  The prospectus listed 18 managers at Bain who would have responsibility.  Romney's name was not among them.

It remains possible, of course, that new evidence will emerge that could sharply contradict both Romney and Bain.  If so, that will be a whole new ball game.  Both he and the company would be grievously damaged.

But judgments today can only be fairly made on the evidence at hand and the reputations of the people who are coming forward.  From my perspective -- yes, with a bias -- the weight comes down on the side that as he has said all along, Romney ended his active management at Bain when he left for the Olympics.  Again, there are many other reasons why one might oppose his candidacy, but this does not strike me as a fair one.

As long as fairness is the standard, it would be reassuring if some of the harshest critics of Romney and Bain would acknowledge their own biases.  And for goodness sake, will the Obama campaign please withdraw its heavy suggestion that Mitt Romney could well have committed a felony?  That was an injustice to both Romney and the president.

Follow @CNNOpinion on Twitter

@highlight

Obama campaign says Mitt Romney didn't leave Bain when he joined Olympics

@highlight

David Gergen: So far the facts don't support the Obama campaign's charges

@highlight

He says Romney has mishandled the response and should release more tax returns

@highlight

Gergen: Obama campaign should back off idea that Romney might be guilty of felony