(CNN) -- While China is seriously cracking down on the exchange of virtual currencies for real cash, virtual economies backed by newfound legitimacy elsewhere are quickly gaining ground in the real world.

There's gold in them there screens: Real-money transactions in virtual worlds are finding new legitimacy.

On June 24, 2009, the role-playing game 140 Mafia launched on Twitter, following in the footsteps of highly lucrative games Mob Wars and Mafia Wars on Facebook (and now iPhone) to link virtual-currency exchanges to real-money transactions.

In March 2009, MindArk -- creator of the MMORPG (massively multiplayer online role-playing game) Entropia, where one player famously bought an island for US$26,500 in 2004 -- saw its wholly owned subsidiary Mind Bank granted a banking license from the Swedish Financial Supervisory Authority.

The new license allows Mind Bank to be the first bank to directly incorporate real-money transactions with virtual-world activities. Selling virtual assets directly between players for real-world cash has been strictly prohibited by most game publishers, which find themselves looped out of the profits.

What has been profitable in the meantime to some hardcore players of World of Warcraft and EverQuest (and other games) is "gold farming" -- accumulation of "gold," weapons and other status symbols of a seasoned player -- followed by the online auction of such assets or user accounts.

Since games publishers began policing eBay for this type of unauthorized activity, several Web sites such as PlayerAuctions have adopted a PayPal-like approach in order to broker the trading legally, acting as an open marketplace for player-to-player exchange of digital assets.

Dual-currency economies

However younger games (often aimed at younger audiences) are ditching the conventional subscription-based model of the above games to adopt the "freemium" model, which lets users play for free, but allows them to enhance their experience by purchasing accessories or other premiums through micropayments.

Frenzoo, a "3D fashion game for girls", is one game that has adopted this model. CEO Simon Newstead explains: "The idea with dual currencies is that there is a paid currency [Gold Coins], which is paid for using real money and exchanged between sellers and buyers. In addition, there is a second currency -- a free or so-called 'earned' currency [Silver Coins] -- which is gained through activity and progression in the world or game."

"In this way," he continues, "the economy can recognize different forms of contribution, and in newer economies these can also be traded between each other. For example, people earning currency and selling it to people who have less time but have real money."

Mirrored economies

As one of the first successful virtual economies, Second Life's huge marketplace includes objects and services for sale, as well as a real estate market.

In 2008, more than $100 million worth of the world's Linden dollars were bought and sold on Second Life's official LindeX exchange, according to its Web site.

"In Linden Exchange, the U.S. dollar part of the transaction is via PayPal, a well-known entity, so there's a certain amount of trust that comes with it," says Darrly Chang, co-founder of D&D Dogs, a two-man freelance venture that sells virtual dog pets and avatars to Second Life residents.

Recently, however, business has slumped along with the real-world recession.

"We'll continue to see a proliferation of alternative currencies associated with specific platforms and communities, much as frequent-flier miles are associated with individual airlines or even networks of airlines," says Dan Jansen, CEO of Virtual Greats, which specializes in creating branded, copyrighted material for virtual worlds.

"In the longer term we may see a global standard for virtual currencies, but it will take some time."

Golden e-currency?

James Turk, chairman of digital-gold company GoldMoney, agrees.

"But," he adds, "inevitably digital gold currency will make significant inroads in global commerce because it lowers the cost of transacting with one another. Reducing transaction costs creates more opportunities for global commerce."

In March 2009, GoldMoney launched a dedicated iPhone application allowing its account holders to exchange gold and silver units within minutes.

Putting a trendy iPhone application that allows people to manage their own digital gold on par with other popular banking applications branded by well-established banks brings e-currency a step closer to the modern mobile end-user.

Furthermore, GoldMoney is firmly anchored to real-world assets and individuals, notably strictly forbidding anonymous accounts -- unlike the former incarnation of the pioneering company E-Gold, whose founder this month ends his six-month house arrest in Florida after pleading guilty to money laundering-related crimes.

So how realistic is the prospect of a single, global, digital currency?

"It all comes down to trust," says senior economist Frederic Neumann.

"We trust the government to guarantee our 'virtual' money for real currency. [With digital gold] the gold standard is guaranteed by a private company. Governments already have several hundred years of sovereignty engrained in people's minds, so that trust is very difficult to establish."

@highlight

Entropia Universe's Mind Bank has been granted a real-money banking license

@highlight

Dual-currency economy allows for free trading between virtual and real money

@highlight

Second Life can be profitable, but also suffers from real-world recession

@highlight

Digital gold currency may be promising, but still lacks trust of people