Casablanca, Morocco (CNN) -- King Mohammed VI of Morocco declared sweeping constitutional reforms Friday that will boost the power of the prime minister and take away some of his own.

Morocco's revamped draft constitution will make officials more accountable, the parliament in Rabat more dynamic and will give the government greater powers, the 47-year-old king said in a nationally televised address.

In the 30-minute speech, the sovereign described the draft constitution as "a bedrock of the special Moroccan democratic development model -- a new historical bond between the throne and the people," while describing himself as a "citizen king."

His actions followed a series of unprecedented protests not seen before in this North African modern Muslim country, where street protests are normally tolerated by the state, unlike in most other Arab countries.

If the draft is ratified in a referendum set for July 1, its most radical change would be empowering voters to select a prime minister, thereby ending the longstanding practice in which the king has selected his own man for the job. The prime minister has tended to take his lead from the sovereign on key matters of state.

If Moroccans back the draft, then the new prime minister would have new powers in decision-making and in day-to-day management -- relieving the king of a number of duties and aligning the style of management along the lines followed by some European Union countries.

In an example of power sharing, the draft constitution empowers the prime minister to dissolve the House of Representatives, and stresses that the king shall consult him before announcing the dissolution of parliament.

"It specifies the conditions to be observed in each case in order to ensure the separation of powers as well as balance and cooperation between the branches," the king said.

Friday's speech stems from a process that was first announced in March, after widespread civil unrest in the wake of the revolutions in Tunisia and Egypt. The king instructed a hand-picked committee to consult with political parties, trade unions and civil society groups on constitutional changes with a brief to trim the monarch's political powers and make the judiciary independent. But not all civil society groups were consulted, which sparked a wave of demonstrations across the kingdom from groups who feared they would be left out of the new plan.

This move alone -- to grant real power to an elected prime minister -- could satisfy a number of demands from those members of society who have called for change.

Confirming the full authority of the head of government over cabinet members, the draft constitution gives the prime minister the power to propose and dismiss cabinet members.

"This is good news as the power of the prime minister will be greater than before," commented Jihad Oufargi, a leader of Fevrier 20, Morocco's Facebook youth movement, after watching the speech in a crowded cafe in the center of Casablanca. "Now the prime minister can change any minister who he sees is not doing his job properly. It was not like that before."

But King Mohammed will remain a key power-broker in the security, military and religious fields, according to the draft. For example, the king would still serve as "the supreme commander of the armed forces" and would not relinquish the power to appoint ambassadors and diplomats under the new constitution. Furthermore, the king would retain the power to dissolve parliament after consultations with the new constitutional court, half of whose members he would have appointed.

The blueprint also takes the first steps toward making the judiciary independent -- a hot subject in Morocco, where judges are aligned to political parties and appointed by the king himself and so -- according to critics -- are seldom guided exclusively by law in their rulings.

And the country will remain a Muslim state, though Moroccans in theory will be free to practice other faiths, since freedom of religion is supposed to be guaranteed under the constitution. Unlike other Arab countries, Morocco has a large Jewish community, whose members have been free to worship as they wish.

CNN's Saad Abedine contributed to this story.

@highlight

Moroccans will vote for the constitution in a referendum slated for July 1

@highlight

King Mohammed's role would be that of "citizen king"

@highlight

Mohammed says the constitution will guarantee independence of the judiciary

@highlight

Human rights would be safeguarded by the constitution