(CNN) -- Twice she has been felled by life-threatening illnesses -- a brain tumor and then cancer -- and twice Criquette Head-Maarek has recovered. 

For her, the secret to recovering full health is simple -- a love of horses. 

"Horses were the cure when I was ill," says the veteran trainer, a pioneering female figure in the male-dominated racing world.

"With the brain tumor, the doctor told me life was 50-50, a one-in-two chance," she added, reflecting on her first serious illness in 1990.

"For me, that was enough of a chance to come back. It's like a race, you're never beaten until you cross the finishing line." 

A month after surgery to remove the brain tumor, she was back working with the horses in her stable -- and did the same again following her cancer scare in 2005.

"They were my drug, my cure," says Head-Maarek, whose horse Treve will compete in Sunday's prestigious Prix de l'Arc de Triomphe in Paris, where she won by five lengths last year to claim European racing's biggest prize. 

"I'm not scared of dying, I've had a fantastic life and don't have any worries. A lot of people have cancer and die young but I'm 66 and have had a fantastic life. If I go, I go. I'm in life to be positive and it's important to be positive for the people around you." 

Allied to Head-Maarek's resilience are some impressive genes which suggest she won't be shuffling off This Mortal Coil anytime soon -- her father, the esteemed former trainer Alec, celebrated his 90th birthday in August and is still going strong. 

The family has been an integral force in French flat racing since William Head, a former English jockey, relocated to France towards the end of the 19th century. 

Their association with the Prix de l'Arc Triomphe began with his son, another William, who trained Le Paillon to victory two years after the end of the World War Two and again triumphed in 1966 with Bon Mot. 

In turn, his son Alec was a four-time winning trainer (1952, 1959, 1976 and 1981) while grandson Freddy rode four winners -- the last of which was his sister Criquette's first success in 1979, Three Troikas -- a horse owned by their mother. 

For Head-Maarek -- christened Christiane but known from an early age as Criquette after her parents took to the name of one of their friends' daughters -- it was a remarkable start to her career as a trainer. 

It came barely a year after she had been awarded her horse-training license. 

Growing up, she rode on her pony to the stables each day with her father, telling him of her dream to follow in his footsteps. 

"He just said, 'No, it wouldn't happen,' " she recalls. "You have to remember I was born in 1948 and there were no women trainers at all. That just did not exist. But from very young, that's all I wanted to be. I worked my whole life for that." 

Sent to boarding school in England to learn the language, she was miserable. Rather than study, she spent her time leafing through copies of Sporting Life to check the form and ensure she did not miss a trick in flat racing. 

A seven-year stint in Madrid from 1967 ensured she is trilingual, able to switch between the three languages as quickly as Treve's turn of pace on the gallops. 

But she missed France, with the lure of home and horses proving too much.

Her first equine job at home was as a bloodstock agent before becoming her father's assistant and then applying for her license in 1978, a female trailblazer along with compatriot Myriam Bollack-Badel, who applied for a license at a similar age and still trains today.

Head-Maarek's list of victories since have been impressive -- virtually every race imaginable on French soil, as well as a host of international ones, most notably in England with the 1,000 Guineas (four times), the Coronation Stakes and the Champion Stakes.

But the standout wins are the two Prix de l'Arcs, 34 years apart.

"When I won in 1979, I didn't think when will I win it again?" she says. "I had horses that ran well some years but it was a case of if I win it, I win it. For me, it was no problem not to win it. It's a hard race, the race that everyone wants to win.

"It's the best race in Europe, actually for me it's the best race in the world. Okay, there's more money with the Dubai World Cup but this has got an aura that no other race possesses. It's something special and, between my family, we've been lucky to have won it a few times."

Head-Maarek finds it impossible to pick her favorite Arc winner, akin to picking a favorite child. She bought Three Troikas in England on behalf of her mother, while Treve -- the filly now owned by Sheik Joann Al Thani, a member of the Qatari royal family -- was bred by her father.

"I have had a few bad years so to then have Treve..." she says trailing off, almost silenced by the impression arguably the best filly she has ever seen has had on her.

Frankie Dettori, Joann's jockey of choice, has been replaced by Thierry Jarnet, who rides Treve regularly and was on board for last year's success.

It was a difficult discussion with Dettori, who she calls "a very nice boy that understood by point of view," arguing the blow may have been softened by Treve's relatively lackluster displays of late.

"Treve will go to the Arc whatever," says Head-Maarek of the filly's race chances at Longchamp. "She is not what she was last year because she's had problems with her foot and back. But she's fine, she's getting better. She is a fine champion whatever happens but how will she go? I don't know."

Whether Treve can become the first horse since Alleged, originally ridden by brother Freddy and father Alec, in 1978 to pull off a successful defense is the $5 million question in a race with a purse to match that sum.

Head-Maarek insists she is not driven to match the four Arc wins of her father -- "it's difficult to do what he has done" -- and she still leans on him for advice as she always done.

She still follows his old-school methods of feeding the horses just oats, carrots and artichokes and not using supplements.

He, though, was reluctant to let her train, she says because of a fear she might fail, and he protected her in those early years.

"Everyone thought he was just training the horses so, when I made mistakes and they didn't run well, everyone thought it was him," she says. "Although with that he was also credited with the wins. But I didn't mind, I knew what I had done.

"For me, I don't see him so much anymore but I will always listen to him."

Head-Maarek now has the full run of Le Quesnay, the Head base bought by her father and grandfather in 1958.

It was a rundown property, left to ruin after the Nazis and their commander for Normandy -- who used it as their base -- were eventually driven out of France. Even today, some of the bunkers remain. "We couldn't blow those up," she says matter-of-factly.

Her grandfather was virtually speechless when he first viewed the property, thinking it would ruin the family.

But the entire site was rebuilt and has become a horse-racing empire in the intervening five and a half decades.

She was 10 when she arrived there, for her it has always been home, a lifetime surrounded by horses, and not once has she ever felt claustrophobic in the equine world.

A suggestion that she might ever have been tempted to escape such a life leads to a baffled response.

"Escape?! No, I love it too much and there's still so much to achieve. I want to win the English Derby and every year is different," she says referring to Britain's most prestigious race.

"I'm not ready to stop."

@highlight

Criquette Head-Maarek remains a key figure in racing despite two serious health scares

@highlight

The trainer of last year's Prix de l'Arc de Triomphe winner Treve, she is once more aiming to win

@highlight

She is part of a racing dynasty that has been a dominant force in the Prix de l'Arc for decades

@highlight

Something of a trailblazer, she was one of the world's first female racehorse trainers