(CNN) -- Growing up in the United States, my summers were filled with trips to Little Havana in Miami, where my family and I would watch anti-communist plays featuring popular Latino actors. Those trips would include hours-long pig roasts, where family members would animatedly discuss the big policy issues of the day, like the impact of the fall of the Soviet Union on Cuba's government.

My parents were among the men and women who fled the country in the 1960s, and from them, I learned about human rights abuses, lack of political and press freedoms and other forms of repression, something that helped mold my opinions about U.S. policy towards Cuba. In fact, having grown up in this kind of environment, it should come as little surprise that I've been a hardliner on U.S.-Cuba policy issues.

But after the better part of three decades, I'm starting to change my mind. Indeed, I've begun to question the 52-year-old U.S. embargo against Cuba, and have grown less and less sure that its continuation is really helping the Cuban people.

Why?

Like many U.S.-born children of Cuban exiles, I have a complicated identity. But while I will never support Cuba's current repressive political system, I have started to see how the United States' embargo against the communist island could bolster government officials there, who can simply blame the embargo for any shortcomings.

Five decades ago, my father boarded a plane from Havana to New York and vowed never to return to the island. My mother last saw her beloved Cuba when she left by boat for Asturias, Spain, in 1961. She says she saw her family and friends lose their homes and possessions, and told me how other exiles were excoriated as "gusanos," or worms, for leaving.

So my recent decision to visit the country for the first time troubled my parents. For example, I'm outspoken about human rights issues, and my mother was worried that I'd be punished for speaking my mind. And remember, this is a country known for its media censorship, a place where just-released American, Alan Gross, sat in jail for five years "for facilitating uncensored Internet contact between a small, religious community on the island and the rest of the world."

In fact, Gross's plight was a topic of discussion among the group of about a dozen of us who went on a tour of Cuba last November that was organized by the Denver-based nonprofit organization Chamber of the Americas, whose mission is "to facilitate commerce and understanding between the businesses and governments of the Western Hemisphere."

During my politically active teen years and into my 20s, when I protested the U.S. decision to send Elian Gonzalez home and had anti-communism banners and Ronald Reagan quotes adorning my dorm room, I vowed not to visit the island until the current dictatorship was part of Cuba's distant past. Yet here I was, in my early 30s, hearing directly from Cuban officials, economists, professors, students, musicians and others. We also visited the U.S. chief of mission while we were in Havana.

And I was pleasantly surprised that some of our guest speakers openly criticized government policies, talking about everything from the need for more private business to their dismay that the government had shut down beloved 3-D theaters, arguing they'd never been authorized.

This isn't to say that I wasn't exposed to things that troubled me, even during this short trip: I saw billboards filled with socialist propaganda, there was clearly a lack of press freedom, and there is the fact that even though they're highly educated, Cubans still don't earn a decent wage: the average Cuban earns 20 Cuban dollars a month -- about $20 USD. But this last fact highlighted to me one of the strongest arguments against the embargo -- that it harms average Cubans, rather than the government.

And I know I'm far from the only one hoping for an end to the embargo. As noted by CNN, millennials of Latino descent are generally in favor of ending the embargo, with one poll noting that more than half of Cuban-Americans surveyed in Miami wanted an end to the embargo, while a solid majority of them also favored restoring diplomatic relations with Havana.

Across the water, many of the college age students I spoke to said they'd like to see government reform, and they told me that they yearn for more access to information on the island. Part of their desire comes from meeting young Cuban-Americans and other visitors from the United States who discuss some of the freedoms many of us take for granted, including the right to protest and express ourselves without repercussions from state officials.

All this said, I can never personally forgive the decades-long human rights abuses in my parents' homeland. But ultimately, opening dialogue between Cubans on the island and overseas would be a good start on the path of trying to repair a long and painful rift. If we can embark on this journey, then we might be able to help those young Cubans with whom I spoke to secure some of the freedoms that so many of us here take for granted.

(This is an updated version of a story that was originally published December 11, 2014)

@highlight

Carmen Cusido says she grew up taking a hard line on Cuba embargo

@highlight

Says that after visiting island for first time her opinion started to change

@highlight

Author says students she spoke with would like to see Cuba reform