(CNN) -- Every chief justice of the United States picks a signature issue. After Wednesday's argument on the future of the Voting Rights Act, it's clearer than ever that John Roberts has made his choice: to declare victory in the nation's fight against racial discrimination and then to disable the weapons with which that struggle was won.

Roberts' predecessors staked their ground in many ways. In the '50s and '60s, Earl Warren wanted to integrate the South. In the next decade, Warren Burger decided to fight crime. In the '80s and '90s, William Rehnquist sought to revive states' rights. Roberts came of age as a young lawyer in the Reagan administration, and there he discovered a cause that he has made his own: the color-blind Constitution.

In Roberts' first major decision as chief justice, he rejected the school integration plans of Seattle and Louisville. The authorities in those cities used several factors to determine where kids went to school: neighborhood, sibling attendance, but also racial diversity. Roberts' decision banned the schools from considering the race of the students in determining where they went to school. "The way to stop discrimination on the basis of race is to stop discriminating on the basis of race," the chief justice wrote.

The voting rights martyr who divided America

Last October, the court heard a challenge to the race-conscious admissions policy at the University of Texas. No decision has yet been made in that case, but during the oral argument, the chief justice peppered the lawyer defending the university's plan with a series of sarcastic questions:

"Should someone who is one-quarter Hispanic check the Hispanic box or some different box?"

"What is the critical mass of African-Americans and Hispanics at the university that you are working toward?"

"So you, what, you conduct a survey and ask students if they feel racially isolated?"

As Roberts wrote in a different case, summing up his views: "It's a sordid business, this divvying us up by race."

All of that stands as background to the Voting Rights Act case, which was argued Wednesday. It is generally acknowledged that this law, passed in 1965, had a tremendous effect in finally making the right to vote real for African-Americans, especially in the South.

Under Section 5 of the act, nine Southern states (and a few other counties) must get the advance approval for all electoral changes from the Department of Justice in Washington. This process, known as pre-clearance, covers everything from drawing the lines of legislative districts to deciding the location of polling places.

Several counties have challenged the law, saying, in effect, that it's obsolete. According to this view, the South has changed and now Section 5 represents a demeaning and unconstitutional burden on the covered jurisdictions.

At oral argument, Roberts seemed very receptive to this claim. He asked Donald Verrilli, the solicitor general who defended the law, "Is it the government's submission that the citizens in the South are more racist than citizens in the North?"

Verrilli said no, but he said Congress still had the right to draw distinctions among states.

Throughout the argument, Roberts had nothing but tough words for the lawyers defending the law and little to say to the challengers. A justice's questions at oral argument do not always indicate how he is going to vote, but Roberts' record on these racial issues is already well-established.

What does this mean for the country? It depends on whether you believe, like Roberts, that the work of the civil rights movement is done.

Race-conscious policies have transformed our schools and workplaces. Diversity is a value cherished by many. Likewise, the Voting Rights Act has given the South new and very different politics. But affirmative action, in Roberts' view, has become discrimination against whites.

The country may be about to discover how America looks in the way that the chief justice wants to reshape it.

The opinions expressed in this commentary are solely those of Jeffrey Toobin.

@highlight

Jeffrey Toobin: From arguments on Voting Rights Act, it's clear chief justice opposes it

@highlight

In past rulings, John Roberts has voted down affirmative action policies, he says

@highlight

Toobin: He thinks race equality has been won, remedies are reverse discrimination

@highlight

Toobin: Voting Rights Act made the right to vote real for blacks, especially in the South