Washington (CNN) -- Remembering Wilma Mankiller, who died this week, isn't hard, because first of all, who can forget a name like that?

Wilma Pearl Mankiller. What a perfect name. Perfect, that is, after you've won two terms as leader of the Cherokee Nation of Oklahoma and a Presidential Medal of Freedom, traveled the world, acquired celebrity friends like Gloria Steinem and become one of the most famous American Indians on the planet.

Not so perfect in 1969, when you're 25 years old and a soon-to-be-divorced mother of two living in San Francisco. Try making a dentist appointment with a name like Mankiller or Crow Dog or Pretty Shield: half the time people would think it's a crank call and hang up on you.

But that was the least of her problems. Wilma Mankiller's biggest problem was being an Indian in 1969. We were so square, and so invisible.

Why was she in San Francisco then, instead of Oklahoma? She had moved there with her family (she was one of 11 children) because the United States said there wasn't any future in Indians living on reservations. So it began a program imaginatively called Urban Indian Relocation, which moved Indians to cities. It wasn't a terrible idea, just a bad one, at least for most Indians.

Was life better in Cleveland or Dallas or San Francisco than life in Mescalero, Tahlequah, or Wanblee? Sometimes yes, usually no. The thing is, it wasn't clear where any of this was going. What was even the point of being Indian, anyway? Why can't there be a future back home? Why is being an unemployed aerospace worker in California better than being unemployed in Montana?

Mankiller may have been pondering these questions when something amazing happened. In a daring nighttime invasion, a few dozen Indian college students took over the abandoned federal prison on Alcatraz Island and reclaimed it on behalf of a group they had just invented, called Indians of All Tribes.

This was electrifying because Indians in those days did not stage daring nighttime invasions and break laws and trespass on federal property -- any property, for that matter.

That occupation of Alcatraz in November 1969 lasted for 19 months. Mankiller visited the ragtag settlement frequently, and said it changed her life. She wasn't the only one.

I moved to San Francisco in 1977, and met Mankiller and other "veterans" of Alcatraz. The occupation was endlessly debated -- so many good and bad things happened during those months -- but nobody argued how important it was, and how much had changed. We weren't so boring, and we were becoming visible. More than anything else, Alcatraz signaled new possibilities.

Wilma Mankiller saw them clearly and seized every one. She finished college, divorced, moved with her two daughters back to Oklahoma, and began her own series of audacious takeovers: running and revolutionizing community development projects for the tribe, then successfully running for principal chief of the Cherokee Nation. She served two terms and became an icon.

Just like Alcatraz, none of this was supposed to happen. Did I mention she was a woman? We Indians in the U.S. talk a good game about being matriarchal and so forth, but it was no accident that in the 20th century no woman had lead a major tribe before her. (The unofficial logo of the American Indian Movement was the Playboy bunny. Ha ha!) So she had no chance to lead her Nation, but did so anyway.

The other reason none of this was suppose to happen is her near-fatal car crash in 1979, her kidney transplant, her battles with breast cancer, lymphoma, and numerous operations. She beat them all -- all except pancreatic cancer. The health disasters were horrible and unrelenting, but I bet you dollars to donuts Mankiller would tell you it wasn't nearly as bad as the tribal politics.

Alcatraz feels like a million years ago. We have profitable Indian casinos and a Smithsonian museum and many strong women leading our tribes and communities. Indian college students are getting Ph.D.'s instead of criminal records. Some people, including me, wonder if we've lost the kind of daring that would lead college kids to break into an abandoned prison seeking some kind of justice, and a woman to find a calling there that would change a piece of the world.

And this is where I write she was tough as nails and one of a kind, and we won't see the likes of her ever again. It's all true, but there's something more. Her life made a new future possible one that is still unwritten.

The opinions expressed in this commentary are solely those of Paul Chaat Smith.

@highlight

Paul Chaat Smith says Wilma Mankiller was one of the most accomplished, famous Indians

@highlight

She was inspired by the Alcatraz occupation in 1969 to become politically involved

@highlight

He says she endured health disasters, other challenges and persevered

@highlight

Smith: Her life made a new future possible