(CNN) -- Instead of opining on the proposed deal with Iran taking shape in Geneva, let's decode it.

From the reported outline of the proposal, we learn four things:

1) Iran remains intensely committed to achieving a nuclear weapon.

Iran's new president, Hassan Rouhani, promised his countrymen relief from international sanctions. Since coming into office this summer, he has made various conciliatory noises. Was he readying Iran for a real deal?

The message of Geneva is: No, no real deal.

Iran's red line at Geneva, the thing it would not trade away, was a capacity to continue and resume nuclear bomb development at any time. Iran's offer at Geneva amounted to a six-month delay of its nuclear program that will not in any way impair its ability to get back to bomb-making at any time.

Iran won't neutralize or surrender any of its fissile material; that is, material used to fuel reactorsâ€”or nuclear bombs. It won't disable any of its nuclear facilities. It will only pause. Economists use the phrase "revealed preference" to describe the way in which our actions indicate our priorities. Iran's priority remains gaining a weapon; post-Geneva, there can be no doubt about that.

2) The Iranian economy has collapsed into desperate condition.

At Geneva, Iran gained a promise of the potential release of $3 billion in frozen international reserves and the right to import potentially up to $9.5 billion of gold. For a major oil producing nation, these should be petty sums. (Iraq's oil revenues amounted to about $7 billion per month in 2013.)

Iran itself holds title to an estimated $80 billion of international reserves. The Kirk-Menendez sanctions passed by Congress at the end of last year, then reluctantly accepted by the Obama administration, have effectively denied Iran the use of these funds. Any bank anywhere in the world that deals with Iran will be cut off from the international payments system. If Iran earns $1 billion inside a sanctions-busting country, it must either buy goods worth $1 billion inside that country or else find a way to physically move that much cash -- assuming the sanctions-busting country has that much physical cash, which few do. (A billion dollars in cash would fill all the carrying space on a large truck.)

A study conducted for the Foundation for the Defense of Democracies by Roubini Global Economics estimates that Iran's actual on-hand, accessible foreign reserves have dwindled below $20 billion, and maybe further. This amount could cover only three months worth of minimally essential imports, a level that would normally be considered a warning of crisis ahead. In Iran's case, however, the crisis has already arrived. In just the past two years, the rial has plunged from 10,800 to the dollar to about 32,000 to the dollar. Prices have soared, and goods have vanished from Iran's shelves. By any usual definition of the word "desperate," Iran desperately needs a deal on its nuclear program. If Iran still won't yield, that is one more confirmation of point 1.

3) The Obama administration wants an Iranian nuclear deal more than Iran does.

By most reports, it was the United States that came to Geneva armed with proposals, and Iran that did most of the refusing.

As Eli Lake and Josh Rogin reported in the Daily Beast last week, the Obama administration began relaxing sanctions simply to get talks started. Iran, by contrast, has offered no such concessions to the United States.

Since the breakdown of the talks last week, Iran has insisted on its willingness to walk away if it does not gain a deal to its liking. Secretary of State John Kerry - by contrast again - has blitzed the media, defending the agreement as better than nothing at all.

Iran is the country more willing to live with the failure of the talks. Its worst-case scenario at Geneva is more sanctions, more economic privation, more public discontent, and more need for political repression. This last is not an outcome that need frighten the regime very much: The mullahs crushed protests in 2003 and 2009 and there's no reason to doubt that they can crush any future protest equally effectively.

The Obama administration seems much more frightened of its worst-case outcome: the need to use military force to stop the Iranian nuclear program. Compared with that scenario, it seems to prefer any deal, no matter how flimsy or one-sided. And the Iranians seem to understand that preference.

4) America's allies are not deferring to American leadership on this one.

It's not only France that has rebelled against the outlined deal in Geneva. Israel is protesting vocally and publicly; America's Gulf Arab allies are protesting less publicly, but nearly equally vocally. On "Meet the Press" on Sunday, Kerry insisted that there was "zero gap" between the United States and its regional allies. Then he immediately got on a plane to the United Arab Emirates on Sunday, presumably to try to upgrade his Sunday talk-show words into something closer to reality.

Just in case, though, the UAE will also be buying $4 billion worth of U.S. munitions -- its own private line of defense against a threatening Iran and the turmoil that will ensue if America's deal-at-all-costs mentality compels Israel to strike Iran on its own. As of today, you have to guess that it's that latter scenario that looks like the most likely outcome of American over-eagerness.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum says no real deal with Iran came out of Geneva

@highlight

Iran still wants a nuclear weapon, he says

@highlight

United States is more interested in a deal than Iran, Frum says