When I read about the rape of a 23-year-old photojournalist in Mumbai, I thought, here we go again. On December 6, 1992, when I was a 29-year-old reporter covering the demolition of a mosque in northern India, I was attacked. I wasn't raped, but my attackers sexually assaulted and then tried to kill me.

Someone dragged me to a trench outside the mosque and pulled my shirt off. But a passerby jumped in, fought off my attackers and saved me.

When I appeared in court to testify against the attackers, their lawyers asked me questions that implied I was responsible. How could the daughter of a good family have gone to cover the demolition? Did I smoke? What kind of clothes was I wearing? Did I believe in God?

The judge did not stop them. It was a demoralizing and toxic experience, but one that is not unknown to women in India who choose to speak out against sexual attacks. They are silenced by a process that heaps shame, fear and guilt on them.

Indian women feel sorrow, anger at U.S. student's harassment

In rural Rajasthan in 1992, a judge dismissed charges filed by a low-caste, or Dalit, grassroots social worker, Bhanwari Devi, who said she was gang raped. She had been campaigning against child marriage. A judge said, "a middle-aged man from an Indian village could not possibly have participated in a gang rape in the presence of his own nephew."

A judgment like this not only deters other women from testifying against their rapists, it also emboldens the attackers, who know that they will get away with it.

Most women say they would never tell the police about an attack, afraid that they would be ignored or even abused by the cops themselves.

Keeping chivalry alive in India: Men respond to rape crisis

In June, 13 anti-rape protesters were arrested outside the home of the West Bengal chief minister and detained for more than eight hours. Ironically, they were protesting the lack of police protection for women in the state following the rape and murder of a 20-year-old college student whose body was found lying near a river near the outskirts of Kolkata, and that of a 14-year-old girl who was raped and killed in the town of Gede, 90 miles away, only three days later.

Few women want to appear in court only to be stigmatized and traumatized -- unlike treatment of the suspects. While India's legal framework has improved for women over the past 20 years, the people implementing it are mostly male cops and lawyers who live in a deeply patriarchal society.

Incidents of rape have gone up by 873% in India in the past 60 years. On average, each day, three Dalit women are raped in some part of our country. The conviction rate for rape cases in 2011 was 25% -- although some estimate only one in 10 rapes is reported. The conviction rate for men accused of raping Dalit women is almost nil.

The National Crime Records Bureau's annual report of crime statistics also reports disturbing findings: A woman is raped somewhere in India every 20 minutes, and the number of children raped has increased by 336% in the past 10 years.

This culture of impunity is certainly one of the reasons rape has too often become the weapon of choice for frustrated young men who blame women, increasingly visible in the workplace, for their unemployment, and who hope to regain jobs by frightening women back home through sexual violence.

The desire to blame women is fed by a cult of masculinity promoted by corporate and political leaders who serve as role models for the rest of society.

Harassment in India: 'The story you never wanted to hear'

In the course of my work with Apne Aap Women Worldwide, I have seen the steady creeping of a rape culture into the fabric of India. We work to organize women in prostitution to resist their own and their daughters' rape. The biggest challenge we face is the attitude of politicians, senior police officials, heads of foundations and even policy makers who view rape as a normal part of society. Many have told me: "Men will be men."

Recently, when National Crime Records Bureau pegged West Bengal as the state with the highest incidence of crimes against women, the chief minister contested the bureau's statistics rather than tackling the problem.

Continually, budget allocations to the Ministry of Women and Child Development are reduced. Debates to ensure equal power sharing between the sexes through the Women's Reservation Bill  have gone nowhere.

But no amount of violence and intimidation is going to force women back into their homes. In fact, homes are often the places where females are in the most danger --  from the time they are conceived to old age. An average Indian female could likely be a victim of foeticide, infanticide, malnourishment, dowry, child marriage, maternal mortality, domestic servitude, prostitution, rape, honor killings and domestic violence -- simply because she is female.

Equipped with better education, women are courageously taking their place in the public sphere as doctors, lawyers, journalists, bankers, politicians, farmers, teachers and more.  They are signing up for social justice movements to end the growing inequality and unemployment in our country.

As yet another gang-rape victim suffers in a Mumbai hospital in India, we have to recognize the need to overhaul the criminal justice system.

In December 2012, India and the world were shocked by the brutal gang rape and beating aboard a moving bus of a 23-year-old physiotherapy intern, who later died of massive internal injuries. It prompted desperate calls for reform, protests and close examination of India's attitudes toward rape.

But after the initial outrage, it seems that the law has only changed on paper.  The rape in Mumbai might not have happened if the culture of rape was truly overcome and sexual assaults were taken seriously.

@highlight

Ruchira Gupta says the rape of a photojournalist in Mumbai is not surprising

@highlight

Gupta: Women don't report rapes because they will be stigmatized and traumatized

@highlight

When Gupta appeared in court to report an attack, lawyers held her responsible

@highlight

Gupta: Culture of rape is ingrained in misogynistic society where men in control don't care