(CNN) -- Between your new regimen of daily workouts, volunteering, painting or whatever else you've resolved to do more of in the New Year, make time for a few tech-centric resolutions.

They're low impact and will keep your memories and online identity safer, your mind sharper and your friendships healthier.

Here are six you can do right now. You'll thank yourself later.

Back up your stuff

Back up your files. Do it now, do it often, do not put it off until your hard drive suddenly and unexpectedly perishes or until your laptop is stolen from a cafe when you run to the bathroom.

Everyone will have different backup needs, but for the most basic computer backups there are a few basic options. You can use an external hard drive or a cloud service. There are services like Carbonite, which will automatically back up photos, music, documents and emails for an annual fee. If you have an Apple computer, turn on Time Machine and it will backup your files to the drive of your choice in the background.

You also can use a cloud storage service like Dropbox or Google Drive to save a copy of select files. A nice Dropbox feature is that it can automatically save new photos from connected cameras or smartphones to the cloud.

Turn on 2-factor authentication

Hopefully by now you know and follow all the best practices for protecting your passwords: Avoid dictionary words; use multiword pass phrases; don't use the same password across multiple sites; keep it memorable but not obvious. But strong passwords aren't enough to keep you completely secure. When it comes to your important online accounts, one of the most effective security measures you can take is turning on two-factor authentication.

Two-factor authentication requires you to confirm your identity with two separate things. Typically it's something you know, like a password, and something you have, like your cell phone or a key fob. For example, when you try to log in to a Gmail account from an unrecognized location, Google will text you a code you need to enter.

Start with your e-mail accounts, which can be used to gain access to your other online accounts. Gmail and Yahoo both offer two-factor authentication, but Outlook currently does not. Cloud storage services with two-factor include Dropbox, Google Drive and Microsoft's Sky Drive. Apple's iCloud does not yet offer it. Facebook has its own two-factor feature called login approvals.

Two-factor can be a hassle to use and will take some getting used to, but it's a small inconvenience to avoid the much larger, more devastating inconvenience of being hacked.

Scan old photos

We all have them. The stacks of old photos hidden in boxes under the bed or collecting dust in basements. If you don't have digital copies of these gems, stop stalling and start scanning. Natural disasters, floods and fires can wipe out film memories in an instant. To scan your images, get a flatbed scanner and place multiple images on the bed at a time. You can crop and retouch individual pictures later.

If manually scanning in each old photo sounds like too big (or boring) of an undertaking, you can hire a company to do it for you. Many local camera stores offer bulk-scanning services and will return your originals along with high-resolution TIFFs or JPEGs on a CD or hard drive. And you can store copies of your photos online in case your laptop crashes (see resolution No. 1).

If you're comfortable sending your photos away, the best option is using a company that specialize in bulk photo scanning. They'll even do light retouching and repairs for older pictures, videos and slides. Check out ScanDigital.com or ScanCafe.com.

Step away from the smartphone

If you spend most of the day with your nose buried a smartphone, tablet or computer, make an effort to break out of the digital world and interact more with the humans around you in 2013. Don't habitually check your online social networks while hanging out with your flesh-and-blood friends. On a date? Don't even think about texting. (Unless the date is going horribly and they're in the bathroom and you need to arrange an emergency extraction.)

Attempt to live in the moment instead of just documenting the moment on Instagram. Yes, that sunset will look stunning with the Valencia filter, but it will look even better through your own eyeballs.

There's a time and a place for texting and e-mailing and checking Twitter. But this year, let's try to leave the screens in our pockets and bags more often and engage with the world around us.

Read the TOS and check privacy settings

Terms of service are long, boring documents filled with impenetrable legalese. But before you upload content or share personal information with a site, take a few minutes to read over its terms of service -- and any privacy agreements -- so you have a better idea of who owns your data and what the company can do with it. Start with the biggies you're probably already using such as Google, Facebook, Instagram, Yahoo and Twitter.

Next, take a trip to your privacy settings. Even if you had your settings just the way you wanted them a year ago, the company could have updated the controls and left some of your information exposed.

Learn something new online

Tech resolutions aren't all preventative measures to avoid doom and gloom. You can also embark on fun, self-improvement projects. Quality classes are free and plentiful online. There are courses for every age, interest and attention span, from major universities and organizations.

Pick up a language, learn how to code at Codecademy or just be inspired by the best Ted Talks. Apple's iTunes U is stocked with videos and podcasts of classes, as well as supporting materials like worksheets and ebooks. You can access them from a computer or download the ITunes U iPad or iPhone app. The YouTube Education channel has instructional videos on math, business, language and the other usual suspects, including fun experiments you can try at home. Check out the Spangler Science channel and prepare to simultaneously mess with and impress your kids.

Coursera offers free college courses from big name universities including Princeton, Emory, Stanford, Johns Hopkins and Columbia. Get the knowledge without the student loans (or course credit, unfortunately).

@highlight

Keep your data safe this year with backups and two-factor authentication

@highlight

For a fun New Year's project check out the many free online courses and start learning

@highlight

Take a moment to read the terms of service for your e-mail, photo sites and social networks

@highlight

Cut down on checking your phone and engage with the world around you