Washington (CNN) -- Two women who say they suffered severe medical complications from a generic drug lost their Supreme Court appeal Thursday, essentially ending their separate lawsuits against pharmaceutical manufacturers.

The justices in a 5-4 ruling said generic drug companies do not share the same level of responsibility as makers of brand-name equivalents, to update their warning labels when significant new risks emerge.

The financial and safety implications from the court's ruling, could prove enormous. Generic drugs currently account for more than 70% of prescriptions filled in the United States. That number is expected to rise in the coming years, with patent protection due to expire on several popular and lucrative consumer drugs, including Lipitor and Viagra. The blockbuster health care reform bill championed by President Barack Obama would also encourage greater use of generics. About a third of generic drugs have no brand name competitors.

The court split along conservative-liberal lines. "It is beyond dispute that the federal statutes and regulations that apply to brand-name drug manufacturers are meaningfully different than those that apply to generic drug manufacturers," said Justice Clarence Thomas. "Indeed it is the special, and different, regulation of generic drugs that allowed the generic drug market to expand, bringing drugs more quickly and cheaply to the public."

In dissent, Justice Sonia Sotomayor countered, "These divergent liability rules threaten to reduce consumer demand for generics... Nothing in the court's opinion convinces me that, in enacting the requirement that generic labels match their corresponding brand-name labels, Congress intended these results." Justices Ruth Bader Ginsburg, Stephen Breyer, and Elena Kagan supported Sotomayor.

Gladys Mensing of Minnesota and Julie Demahy of Louisiana both were prescribed metoclopramide -- marketed as Reglan by Wyeth Pharmaceuticals -- to treat their heartburn and acid reflux. Their pharmacists separately filled the prescription with a generic equivalent made by PLIVA, Inc. and Actavis, Inc.

After four years of taking the drugs, the women each developed tardive dyskinesia, a severe longterm neurological disorder that causes involuntary muscle movements.

They sued the generic manufacturers of the metoclopramide, claiming that inadequate warnings were provided about the long-term risks of taking the medicine. It was also alleged there was growing evidence of the dangers posed by the drug, but that the companies took no steps to change the warning labels.

In 2009, the FDA acted on its own and issued an order to the makers of both brand-name and generic versions of metoclopramide to add a specific warning about the increased risks of developing tardive dyskinesia.

The generic drug makers are trying to dismiss the lawsuits. They cite a 1984 congressional law pre-empting state "failure-to-warn" claims.

Drug companies have long asserted various doctrines of pre-emption, saying they are protected from most product-liability claims if they have met federal safety approval standards. They argue that federal regulatory judgments trump state consumer safety laws, which are often tougher than Washington's standards.

But the high court had given a big victory to patients and consumer rights groups in 2009 when it ruled in favor of plaintiff Diana Winn Levine, when she sued Wyeth -- now owned by Pfizer -- after losing an arm to gangrene from a common, brand-name anti-nausea prescription medication. She had won a $7 million judgment from a Vermont jury for her claims.

Thomas acknowledged that from the plaintiffs' perspective in the latest cases, "finding pre-emption here but not in Wyeth makes little sense." But he added, "because pharmacists, acting in full accord with state law, substituted generic metoclopramide instead, federal law pre-empts these lawsuits. We acknowledge the unfortunate hand that federal drug regulation has dealt Mensing, Demahy and others similarly situated." The majority noted Congress and the FDA, not the courts, can now change the law if they want.

Sotomayor, expressing her frustration, said, "As a result of today's decision, whether a consumer harmed by inadequate warnings can obtain relief turns solely on the happenstance of whether her pharmacist filled her prescription with a brand-name or generic drug. The court gets one thing right: This outcome makes little sense."

The American Association of Justice -- representing trial attorneys -- said the ruling was "disastrous" for consumers.

"Patients will now be taking generic drugs at their own risk," said the group's president Gibson Vance. "It is absurd that doctors and patients will have to make medical decisions knowing that only brand-name drug manufacturers -- not generics -- can be held accountable for their drugs' dangerous side-effects."

But one of the generic drug makers sued applauded the high court's decision. "This ruling furthers meaningful consumer protection while also safeguarding against lawsuits that threaten the availability of safe and affordable pharmaceutical products by misconstruing the labeling responsibilities of generic manufacturers," said Activis CEO Doug Boothe.

The Obama administration was backing the plaintiffs, concerned that if state lawsuits are pre-empted by federal law, that will reduce the incentive for generic drug makers to provide the most current safety information to the FDA.

@highlight

Court: Generic drug companies don't have same responsibility as makers of name brands

@highlight

The court split along conservative-liberal lines

@highlight

Sotomayor: "These divergent liability rules threaten to reduce consumer demand for generics"