(CNN) -- A week into the Haitian disaster, the desperate and dusty faces of both survivors and rescuers tell a plaintive story: We need more, more, more. And fast.

The capital's airport, the country's roads and its ports were devastated by last week's 7.0-magnitude earthquake, leaving Haiti's crumpled infrastructure the chief obstacle to fresh supplies as well as food and water.

"The significant limiting factor in terms of our ability to move forward is a reality of the infrastructure in Haiti," U.S. State Department spokesman P.J. Crowley told reporters Tuesday.

"But to the credit of the United States military, we started the operation (at Port-au-Prince's airport) with maybe 20 or so flights a day. They're now up well over 100."

The goal, he said, is to double that number. Opening a second runway would help, he said. So, too, would lighting at the airport.

Search list of missing and found

"Last night, we couldn't see to land the plane that was supposed to land," said Renzo Fricke, the chief of Haiti operations for the aid organization Doctors Without Borders. "The night before we were supposed to receive two planes that couldn't land. The night before it was the same. That's our fourth plane that's not able to land."

Fricke told CNN's Christiane Amanpour Tuesday that although the organization was "facing huge problems" in receiving supplies, the work went on.

"This morning we had to buy a saw in the market, in the city ... for our surgeons to do amputations," he said. "We had to buy a saw because our materials -- the medical equipment is not coming as it should arrive."

Fricke said that some equipment and other materials are coming into Haiti by road from the Dominican Republic, a route that Crowley cited as one of several that are slowly being opened to channel aid. The airport, the ports, U.S. Navy ships with helicopters and a U.S. Marine unit are all important to getting vital supplies into the country, Crowley said.

High-resolution images of damage

Maj. Gen. Dan Allyn, the U.S. commander of the Haiti task force, told reporters that Haiti should see some "initial operating capacity" at its ports by the end of the week -- including the capability of bringing in fuel needed to take trucks into more remote areas.

Additionally, he said that officials were looking into the possibility of opening an airstrip at the city of Jacmel "to relieve some of the immediate pressure on Port-au-Prince airfield."

Cassandra Nelson, spokeswoman for Mercy Corps, which has a long-standing program in Haiti, said that aid is clearly increasing daily, but much more needs to be done.

"Operations here have been an incredible challenge, and Mercy Corps has done emergency response for years and years and is very seasoned," she said. "[But] we have to say this is probably one of the hardest ones we've had.

"We are working out of an office. Right now our office is overflowing. It's a place where we all sleep, we all eat granola bars, and we all do our work there."

Full coverage | Twitter updates

A more-than-welcome sight arrives off Haiti Wednesday morning: the U.S. Naval Ship Comfort, a state-of-the-art hospital ship that saw duty during the aftermath of Hurricane Katrina in 2005 in New Orleans and the 2001 terror attacks in New York, among others.

The ship, which can house up to 1,000 patients, brings with it more than 1,000 medical and support personnel.

But on the ground, caregivers struggle to provide the kind of care their patients need. Dr. Robert Fuller of the International Medical Corps, a group of volunteer medical personnel, said that his group is hoping to have intensive-care units in "a handful of days."

"Things are coming together, but it is certainly not the way it is back home," he said. "Right now we have seven operating rooms up and running on the campus. We could really use 20 probably. At times we run so low on medications that it gets difficult to know whether we will continue to operate."

Dr. Mark Hyman from Partners in Health, which also has a long-standing program in Haiti, said the military effort to get Haiti running again is working, but the need is simply unimaginable.

"Look, there's hundreds of thousands of patients that are injured," he said. "There's hundreds of thousands of others that have been killed probably, that we haven't even accounted for, and there's 150 nurses buried a few feet from here in the rubble of the nursing building."

And even those military personnel on the ground were spread widely. Brig. Gen. Floriano Peixoto, force commander of the Brazilian troops who make up the U.N. command in Haiti, said his soldiers were there to do whatever is needed.

"We understand that the country deserves more in terms of humanitarian aid and security, but our forces are dedicated to different fronts, including aid, security, search or bodies, recovery of missing people," he said. "It's a large amount of tasks to be done."

@highlight

Capital's airport, country's roads and ports were devastated by last week's earthquake

@highlight

Haiti's crumpled infrastructure chief obstacle to fresh supplies as well as food and water

@highlight

Some equipment and other materials coming into Haiti by road from Dominican Republic

@highlight

Officials looking into the possibility of opening an airstrip at Haitian city of Jacmel