(CNN)They came by the thousands -- in France and in Israel -- to cry, to honor and never to forget.

Mourners on Tuesday remembered beloved sons and daughters who became terrorist targets in three attacks last week in France. They died at the hands of three Islamist extremists who tried to use religion to justify their slaughter.

"He was killed by false Muslims," said Malek Merabet, whose brother Ahmed -- also a Muslim -- was one of three French police officers killed in the attacks. "One must not confuse extremists with Muslims. Mad people have neither color nor religion."

French authorities on Friday killed the three people directly behind the wave of terror. It began two days earlier with the massacre of 12 at the offices of the satirical Charlie Hebdo magazine; continued Thursday with police officer Clarissa Jean-Philippe's slaying in the Paris suburb of Montrouge; and climaxed the next day with a hostage siege at a kosher grocery store that killed four.

Since then, many around the globe have joined France in rallying against the Islamist terror threat. That spirit was evident Sunday in Paris when world leaders joined an estimated 1.5 million people marching in defiance of the killers and in solidarity with one another.

But if Sunday was a day for unity, Tuesday was a day to grieve.

That's what happened in Jerusalem, where Israeli leaders joined thousands to remember the four victims of the eastern Paris grocery store siege and to support their loved ones as they were buried. The four men -- Philippe Braham, Yohan Cohen, Yoav Hattab and François-Michel Saada -- were shot dead Friday.

"I'm crying," Braham's wife told the mourners. "But I know that you all cry with me."

At a ceremony 2,000 miles away in Paris, French President François Hollande posthumously gave the Legion d'Honneur to Merabet, Jean-Philippe and Franck Brinsolaro, laying medals on the coffins of all three slain police officers. Merabet was buried later Tuesday, while the other two will be laid to rest in the coming days.

"They shared one desire: that of protecting their citizens," Hollande said. "They had one ideal: that of serving the republic. They died in accomplishing their mission with courage, with bravery, with dignity.

"They died as police officers."

At Tuesday's ceremony, Hollande spoke about the three officers individually as well as their shared profession and values.

Brinsolaro was a protection officer for Charlie Hebdo's editor, Stéphane Charbonnier, who was also killed Wednesday.

"He had become one of those policemen especially trained to ensure the safety, the security of people who are particularly vulnerable," Hollande said.

And Jean-Philippe was responding to a traffic accident when she was killed by a gunman suspected in last week's terror attacks.

"She was cowardly shot in the back," Hollande said. "How can one justify that one can kill so cowardly a young woman of 26 years of age, with all the future before her devoted to others?"

Hollande spoke of the "wonderful future" Merabet had ahead of him before his horrific death, which was caught on video -- with a gunman walking right up to him as he lay sprawled on the ground, then opening fire.

Merabet was laid to rest at the Bobigny Islamic cemetery in a Paris suburb after a brief ceremony. Mourners applauded other police officers on hand and watched as Merabet's coffin -- draped in a French flag -- was carried to the grave site.

One target of the terrorists -- Charlie Hebdo, the magazine -- will live on.

"There is a future," said Gerard Briard, the magazine's editor-in-chief, "but we don't know yet what it will resemble. (But) there will be no interruption. In two weeks' time, there will be another edition of Charlie Hebdo."

The publication -- known for its provocative jabs at religion, politics, society and more -- went to the presses Tuesday for the first time since the attack.

Three million copies will be printed, up from the usual 60,000, in several languages, including Arabic. The issue will hit newsstands Wednesday.

This time, the cover features a drawing of a frowning Prophet Mohammed with a teardrop coming from his eye.

"All is Forgiven," the cover headline says in French.

Charlie Hebdo puts Mohammed on its new cover

In the prophet's hands, a sign says, "Je suis Charlie" -- or "I am Charlie," the phrase adopted around the world in protest of the attacks.

The UK-based Ramadhan Foundation condemned such depictions of Mohammed as offensive to "millions of Muslims around the world."

Yet cartoonist Renald Luzier told reporters Tuesday that the new edition's cover felt appropriate to him, adding that he cried after finishing it.

"I'm sorry that I've drawn him again, but the Mohammed that we've drawn" is, above all, a Mohammed who is crying, said Luzier, who goes by the pen name Luz.

Muslims worldwide have condemned last week's attacks on Charlie Hebdo and elsewhere in France.

But al Qaeda in the Islamic Maghreb, the terror group's North Africa branch, is threatening more of them, according to a warning posted on jihadist websites.

The group has battled French forces before in Africa. Many former French colonies are in that area, with Paris often coming to their support to fight against Islamist militants. More than 6,000 forces are involved in operations in and around Africa, according to Defense Ministry spokesman Sacha Mendel.

"France pays the cost of its violence on Muslim countries and the violation of their sanctity," the terror group said in a statement.

"As long as its soldiers occupy countries such as Mali and Central Africa and bombard our people in Syria and Iraq, and as long as its lame media continues to undermine our Prophet (Mohammed), France will expose itself to the worst and more."

France's National Assembly voted later Tuesday to extend airstrikes against ISIS in Iraq.

But before doing so, assembly members stood tall together, proudly singing France's national anthem, "La Marseillaise."

Among its lyrics, these timely words: "Liberty, cherished liberty, fight alongside your defenders."

That fight is happening inside France, where, Mendel says, there will be more than 10,000 French troops deployed by Wednesday.

And outside France, the battle against ISIS and al Qaeda is in full force in parts of the Middle East and beyond.

Then there's the ongoing investigation and intelligence work, aimed at preventing future attacks and learning more about the latest one.

Tracking down the assailants' contacts is also a priority for authorities.

A French citizen admitted in court Tuesday that he knows one of the brothers blamed for the attack on Charlie Hebdo,  CNN affiliate TV7 Bulgaria reported.

Bulgarian authorities first arrested Fritz-Joly Joachin near the country's border with Turkey on a warrant for allegedly kidnapping his son. Now, he also faces terrorism charges, and a French court has requested his extradition, the Bulgarian Foreign Ministry said Tuesday.

Bulgarian public prosecutor Darina Slavova told Agence France-Presse that the 29-year-old Joachin "was in contact several times" with Charlie Hebdo attacker Cherif Kouachi.

According to AFP, the prosecutor said the charges against Joachin "are for participation in an organized crime group whose aim was organization of terrorist acts."

CNN's Mohammed Tawfeeq, Salim Essaid, Pamela Brown, Gul Tuysuz, Stephen Collinson, Lindsay Isaac and Hande Atay contributed to this report.

@highlight

France's National Assembly votes to extend support for airstrikes against ISIS in Iraq

@highlight

Spokesman: Over 10,000 troops soon to be deployed around France

@highlight

French, Israelis remember victims of last week's terror attacks