(CNN) -- When the highly anticipated movie "X-Men Origins: Wolverine" opened Friday in theaters, many fans had already seen it.

The pirating and distribution of "Wolverine," starring Hugh Jackman, is being investigated by the FBI.

The online leak of a pirated, unfinished version of the 20th Century Fox film a month ago sent federal authorities springing into action and stoked a heated conversation within the entertainment industry about digital piracy.

Piracy of upcoming films is not new, but the theft of "Wolverine" is especially troubling for an industry concerned with a stalled economy and the financial bottom line.

It's rare for high-quality copies of a big-budget blockbuster to appear on the Internet more than a month before the film's release, experts say.

Within a week of "Wolverine's" March 31 leak, more than a million people had downloaded the movie, according to TorrentFreak, a blog devoted to the BitTorrent file-sharing protocol.  Watch intrepid reporter look for answers »

"Unfortunately, the recent leak of the Fox film 'Wolverine' provided a stark backdrop to the impact that digital piracy has on the large investments that producers make in creating state-of-the-art films," said Rep. Howard Berman, chairman of the House Committee on Foreign Affairs, who oversaw a congressional hearing on piracy after the leak.

"During our hearing in Los Angeles, director Steven Soderbergh said that in 2007, the entertainment industry generated a trade surplus of $13.6 billion," Berman added. "Imagine what those numbers would be if we could rein in piracy."

Bootleg, or illegally copied, movies have long been a thorn to the film industry.

In 2003, a version of Universal's "The Hulk" appeared on the Internet two weeks before the film opened. A New Jersey man pleaded guilty to the theft. And in 2005, a pirated print of "Star Wars: Episode III -- Revenge of the Sith" was uploaded to the Web within hours of the movie's release.

But where Hollywood's biggest headache used to be murky, muffled copies of films taken by someone who snuck a camcorder into a theater, today's pirates are getting more sophisticated and gaining access to better-quality goods.

Greg Sandoval, who covers media and digital entertainment for CNET News, said that in the digital age, thieves can gain access to near-perfect advance copies of films on DVD that have greater potential to undermine a movie's box-office prospects.

And even studios' attempts at safeguarding their products against piracy, such as by encoding DVDs with digital watermarks that allow authorities to trace individual copies, aren't enough, Sandoval said.

He said tech-savvy thieves have figured out how to strip such watermarks from DVDs.

"When you're talking about digital content ... it's impossible to lock it down completely" from theft, Sandoval said. "These hackers are very creative. Sometimes, they're one step ahead of the security experts."

20th Century Fox issued a statement vowing to prosecute the "Wolverine" thief "to the fullest extent of the law." The FBI is investigating, but as of Thursday, no arrests had been made.

Darcy Antonellis, president of technical operations for Warner Bros. (which is owned by the parent company of CNN), said the growth of technology has aided the pirates.

"Digital piracy has continued to increase with greater access to [files] and improved broadband services," said Antonellis, who helps oversee Warner Bros.' anti-piracy efforts.

"As broadband services increase their capacity to support legitimate services, they also enable increased illegal file-sharing. Technologies have evolved to encumber such distribution but must compete with the strength of viral or super distribution of content."

The bad guys aren't the only ones keeping up with the technology.

Keith Bolcar, special agent in charge of the FBI's cyber division in Los Angeles, said agents and their partners as "doing everything we can to keep up with the learning curve of technology, hopefully just as fast as our criminal subjects."

The FBI meets routinely with studio representatives to share intelligence, to discuss strategy and to detect and fix vulnerabilities in security measures, he said.

"While I can't discuss investigative techniques, we employ a myriad of sophisticated methods to solve these crimes," said Bolcar, whose office is investigating the "Wolverine" leak. "Our investigators receive extensive training and are technologically savvy."

Hollywood also faces the challenge of protecting digital files that pass through so many hands while in production and post-production. Antonellis said Warner Bros. works diligently to safeguard its properties.

"Each project, for us, is unique, with its own unique set of challenges," she said. "Whether there are 50 or 500 people involved in the process, we try to focus on ownership/responsibility of our assets throughout the entire production through to distribution process."

John Malcolm, director of worldwide anti-piracy operations for the Motion Picture Association of America, said digital piracy can take many forms, including peer-to-peer file sharing and streaming.

Malcolm said the association is conducting a lot of outreach to universities and Internet service providers to help them address piracy that occurs over their systems.

The issue is global, Malcolm said, as evidenced by pending litigation in France that would shut down Internet accounts of illegal downloaders.

The association is in litigation against an Australian service provider, iiNet, to try to establish the legal parameters of its responsibility in policing its system, Malcolm said.

"In some cases, we are making great progress with ISP, and in some cases, it's a little bit tougher going," Malcolm said. "After all, it's their broadband that's being eaten up, and it slows down their systems."

Berman, D-California, said advances in technologies that enable filtering and other anti-theft tools will help curb piracy. So will creating more sites where viewers can legitimately access movies, shows and music, such as Hulu and the recently announced Vevo, a partnership between Universal Music and YouTube.

"Given how pirated materials often damage computers with viruses, spyware and other problems, consumers will continue to embrace the innovative, legitimate sites that are becoming more and more available," Berman said.

Malcolm agrees. He said there are more than 350 sites that legitimately distribute digital content.

If a person is a true movie lover, they will want to respect the art, the artists and the countless people behind the scenes who make the magic happen, Malcolm said.

"I hear periodically, 'Well, Tom Cruise has enough money' or 'Tom Hanks has enough money,' " Malcolm said. "I would say to movie lovers, stick around and watch all of the credits. When you see hundreds of names scrolling across the screen, those are the people whose talents contributed to making that movie, and they need to make a living."

CNN.com's Brandon Griggs contributed to this story.

@highlight

Pirated version of "Wolverine" distributed online weeks before movie's debut

@highlight

Industry employs technology like digital watermarks to hinder thieves

@highlight

Pending French legislation would shut down Internet accounts of downloaders

@highlight

MPAA exec says fans should consider the livelihood of those who make films