WASHINGTON (CNN) -- The star of the show did not appear -- and the film in question was not shown -- but Hillary Clinton's big-screen moment was all the talk Tuesday at the Supreme Court.

The Supreme Court is tackling a First Amendment case involving a movie about Hillary Clinton.

The justices heard arguments in a free-speech case over a 2008 documentary, shown in theaters, that was sharply critical of the onetime presidential candidate and current secretary of state.

At issue was whether the 90-minute "Hillary: The Movie" and television ads to promote it should have been subject to strict campaign finance laws on political advocacy or should have been seen as a constitutionally protected form of commercial speech.

The high court's decision will determine whether politically charged documentaries can be regulated by the government in the same way as traditional campaign commercials.

A ruling is expect by late June.

A conservative group behind the movie wanted to promote it during the heat of the presidential primary season last year, but a federal court had blocked any ads, as well as airings on cable TV video-on-demand.

The film later aired in several theaters and was released on DVD, outlets that were not subject to federal regulation.

The Supreme Court justices appeared divided on how to find balance between Congress' expressed desire to control the power of well-financed private groups to spread their political messages and concerns over the First Amendment's guarantee of free speech.

"This is targeted at a specific candidate for a specific office to be shown on a channel that says 'Election '08'," said Justice Ruth Bader Ginsburg. "Now if that isn't an appeal to voters, I can't imagine what is."

"There's a possibility," said Justice Antonin Scalia, "that the First Amendment interest is greater when what the government is trying to stifle is not just a speaker who wants to say something, but also a listener who wants to hear what the speaker has to say," noting that viewers would have paid to see the film on cable television.

On its Web site, Citizens United promoted its film as featuring 40 interviews.as well as a "cast to end all casts." It promised, "If you want to hear about the Clinton scandals of the past and present, you have it here! 'Hillary: The Movie' is the first and last word in what the Clintons want America to forget!"

The group, a Washington-based nonprofit corporation and advocacy organization, had balked at campaign finance rules that would have required them to disclose their financial backers and would have restricted when the film could air. The film was partially financed with corporate funds.

A three-judge U.S. District Court panel last spring rejected the group's arguments that the documentary was more akin to news or information programs such as PBS' "Nova" or CBS' "60 Minutes."

During Tuesday's oral arguments, the justices seemed uneasy about arguments from both sides.

"This sounds to me like campaign advocacy," said Justice David Souter.

But attorney Theodore Olson, representing Citizens United, said the law "smothered" free speech. He said groups like General Electric (which owns NBC News), National Public Radio and progressive financier George Soros (who often privately funds his political projects) could air such films in the name of informing the American people, but not his clients because of the film's perceived negative tone.

"If it's all negative it can be prohibited, and it's a felony. Or if it's all favorable, you can go to jail. But if you did half and half, you couldn't" be convicted, said Olson, criticizing the law's "incomprehensible" regulations.

Several on the court wondered whether a 90-minute message was different than a 30-second commercial.

"It seems to me you can make the argument that 90 minutes is much more powerful in support or in opposition to a candidate," said Justice Anthony Kennedy.

"We have no choice, really, but to say this is not issue advocacy, this is express advocacy saying don't vote for this person," which is subject to regulation," Souter said. "The difference between 90 minutes and one minute is a distinction that I just can't follow."

The comprehensive 2002 McCain-Feingold law bans broadcast of "electioneering communication" by corporations, unions and advocacy groups if it would be aired close to election dates and would identify candidates by name or image. The law also requires an on-screen notice of the groups financing such ads, as well as public disclosure of all donors to the sponsoring organizations.

Lawyers representing the Federal Election Commission urged the justices to subject the ads to the disclosure law, arguing that without it, voters would be "unable to know who's funding the ads." Justice Department attorney Malcolm Stewart called it "an easy case."

Some on the bench were not sure, probing the limits of the definition of candidate advocacy.

"So if Wal-Mart airs an advertisement that says we have candidate action figures for sale, come buy them, that counts as an electioneering communication," asked Chief Justice John Roberts.

Justice Samuel Alito wondered about the differences between broadcast or cable TV, where the film could not be run, and the Internet or theaters where it could.

When Stewart implied "additional media" could also be subject to future regulation, the newest justice replied, "That's pretty incredible. You think that if a book was published, a campaign biography that was the functional equivalent of express advocacy, that could be banned?" Most book publishers are corporations subject to campaign finance restrictions, he noted.

Legal observers say Alito and Roberts' votes could be key to the case's outcome.

At the time of the movie's premiere, Clinton was locked in a tough primary fight with then-Sen. Barack Obama for the Democratic nomination for president.

Critics slammed her qualifications and character.

People say, "Well, she's flipping, she's flopping. No, she's not flipping and flopping, she's lying," Bay Buchanan, a political commentator and regular analyst for CNN, said in the film.

"We must never understate her chances of winning," warned Dick Morris, a former political adviser to President Clinton. "And we must never forget the fundamental danger that this woman poses to every value that we hold dear. You see, I know her."

Ads for the movie were available on the Internet, which is not subject to federal regulation.

"I've seen this movie," Justice Stephen Breyer wryly noted, "It's not a musical comedy."

David Bossie, head of Citizens United and producer of the "Hillary" film, was also behind several conservative documentaries, including a rebuttal to Michael Moore's anti-Bush film "Fahrenheit 9/11."

The case is Citizens United v. FEC (08-205).

@highlight

Supreme Court takes up First Amendment case involving Hillary Clinton movie

@highlight

Justices heard arguments over a 2008 documentary critical of then-candidate Clinton

@highlight

Court determining if "Hillary: The Movie" should have faced campaign finance laws

@highlight

The decision will determine whether political documentaries can be regulated