COCHABAMBA, Bolivia (CNN)  -- A hundred years ago a Brazilian physician, Carlos Chagas, showed that monkeys were susceptible to a rare parasitic illness carried by a particular Latin American bug.

A mother and baby visit a clinic in Bolivia to get tested for Chagas.

Today an estimated 16 to 18 million people are infected with Chagas, as the disease is now known, and it claims some 50,000 lives each year. Yet most people have never heard of it.

Chagas disease is exclusive to Latin America, and kills more people there than any other parasitic illness, including malaria.

In Bolivia, an estimated one in five people are infected. So why is so little known about the disease?

One crucial reason is that it only affects the poor.

In the mud and thatch homes of rural villages and urban slums, bugs known locally as vinchuca, make their home in cracks in the walls and holes in the roofs. The bugs carry the parasite that causes chagas, in their saliva and their feces.

Infection occurs when they bite, or if their are unknowingly eaten in uncooked food, or rubbed in the eye.

Infected women can transfer chagas to their child during pregnancy, delivery or while breastfeeding.

In its early stages, Chagas it is eminently treatable, but there are many problems.

"Most people don't know they've been infected," says Dr. Tom Ellman, who works in Bolivia with humanitarian agency, Doctors Without Borders.

He told CNN: "Many of them will drop down dead usually from heart problems cause by the disease 10, 20, 30 years after they've been infected and no one will know why."

For Dr. Ellman, this lack of effective treatment is a symptom of a much sadder cause.

"In terms of getting better treatment, you're not going to have the interest of pharmaceutical companies, who will only investigate new drugs if there is a market that is willing to buy them.

"What we need now is more interest. We're still using drugs invented over forty years ago, that have huge numbers of side effects and take sixty or ninety days to work," he told CNN.

Even after these extensive courses of anti-parasitic drugs, there is no definitive test to see if the patient has been cured. Doctors can only advise patients to return in two years.

Dr. Ellman also has particular concerns for children over the unavailability of new drugs: "At the moment we have to cut adult doses of tablets into much smaller sizes for children which brings pricks of getting the dosage wrong and makes it much more complicated."

Chagas can be detected via blood test. In the clinics where Doctors Without Borders work, they advise parents to have themselves and their children tested whenever they visit a clinic.

But the challenge they face is vast. How to make a population wise to the threat of a disease that is already plaguing them, and that many have still never heard of.

Tom Peck contributed to this report

@highlight

Chagas is a deadly disease that largely affects people in Latin America

@highlight

An estimated 16 to 18 million people are infected with Chagas

@highlight

The disease remains largely unknown, even where infection is rife

@highlight

There have been no new drugs discovered in 40 years