(CNN) -- I come from a family with diverse religious traditions: Baptist, Methodist, Apostolic, Buddhist and nondenominational. My mother was a spiritual seeker, and when she became Catholic, I was baptized into the Catholic faith as a young child.

Growing up, I attended a parish with Irish, Polish and black Catholics, and observed that the spiritual gifts of black Catholics were often diminished. When it was suggested that we include a gospel song in the liturgy, we were told that was not Catholic. "Ave Maria" was sung, but not "Mary had a Baby," a Negro spiritual. I learned about St. Theresa the "Little Flower," but not St. Benedict the Black. A Kwanzaa table was a no-no.

I learned while the word "catholic" meant "universal" and "involving all," much of the gifts and experience of black Catholics were not included.

Black Catholics have a heightened awareness of what W.E.B. Dubois called "double consciousness." This emerges from the tension between one's awareness of self and how others perceive one. Dubois used this term to speak of the experience of black people within the segregated United States. Today, a particular form of double consciousness is experienced by black Catholics: as a religious minority within the broader black Church community, who defend our religious affiliation to our black Protestant brothers and sisters while also confronting discrimination and ignorance from those within our own Catholic churches.

What has helped black Catholics survive in the midst of almost insurmountable odds is a spirituality that bridges both our African-American experience and our Catholic faith.

Father Augustus Tolton, the first recognized African-American priest, lived a similar struggle. His mother escaped slavery with him and his siblings, settling in Quincy, Illinois. He was baptized as a child, and by the time he was 16, he felt "called" to the Roman Catholic priesthood. No American Catholic seminaries accepted a black man, so in 1880, he traveled to Rome, Italy. He was ordained six years later, then returned to America to begin his pastoral ministry.

After returning to Quincy, he was invited to Chicago, Illinois, by the local bishop. He began his new ministry at St. Mary's Church in Chicago. The basement of the church became the sanctuary for the emerging black Catholic congregation, the St. Augustine Society. His remaining years in Chicago were focused on ministering with and building a church for this community. He was a priest for only 11 years before he died from heat stroke.

Earlier this year, Cardinal Francis George of the Archdiocese of Chicago announced that he planned to nominate Father Tolton for sainthood. It begins a process that will take some time to complete. Bishop Joseph N. Perry was appointed to highlight his cause. In literature promoting that cause for sainthood, the bishop wrote "Fr. Tolton grew accustomed to adversity during his short life. He brought hope and comfort to the dying and promises of better days for the living." His model of perseverance and holiness is a testament to all Catholics and persons of faith who are confronted with challenges.

Father Tolton's experience resonates with many black Catholics. For every two steps forward -- the ordination and cause for sainthood of Father Augustus Tolton, the National Black Catholic Lay Congresses of the 19th and 20th centuries -- there are two steps back, like the recent shuttering of the African-American parishes and schools in the inner cities of Chicago, St. Louis, Missouri, and Los Angeles, California, and the struggles of black Catholic lay ministerial leadership who strive to be accepted within the broader church.

I have experienced the tension and the joys of being both black and Catholic in my 25 years of ministry. I struggle with the fact that many of my brothers and sisters of African descent do not know this history or see themselves mirrored in the leadership within the Catholic Church in the United States. It is why I went on to study and teach at a graduate school, to help my brothers and sisters understand, and see their story as a part of the Catholic Church.

Despite the challenges, our lives are enriched by our faith and sturdied by the example of Father Tolton.

The opinions expressed in this commentary are solely those of Dr. C. Vanessa White.

@highlight

C. Vanessa White was baptized a Catholic as a young child

@highlight

She says growing up she saw spiritual gifts of black Catholics were often diminished

@highlight

She says she works to help blacks see their story as a part of the Catholic Church