After his party's losses in the midterm elections, President Barack Obama will wade into a mass of foreign policy challenges during his trip to Asia this week.

Obama made America's pivot to Asia a centerpiece of his foreign policy architecture. But some commentators say the President, beset by crises elsewhere, has failed to put words into action.

"The Asia pivot remains more rhetoric than reality," CNN's Fareed Zakaria said. "Having promised a larger U.S. military presence in the Philippines, Singapore and Australia, there is little evidence of any of this on the ground."

Obama arrived Monday in Beijing, where the greater U.S. focus on Asia is viewed with deep suspicion.

"Two prevailing sentiments -- perceived U.S.-led containment of China and the threat posed to America by China's growing economic and military strength -- have set the two major powers on a confrontational course," said Cheng Li, a senior foreign policy fellow at the Brookings Institution.

Obama is in Beijing for Asia-Pacific Economic Cooperation (APEC) meetings, but he will also hold direct meetings with Chinese President Xi Jinping, where sensitive issues like cybersecurity will be on the agenda.

"To put this crucial bilateral relationship back on track, President Obama and President Xi must use the summit in Beijing to deepen mutual understanding and publicly challenge these misperceptions," Li said in comments published by Brookings.

"The United States welcomes the rise of a prosperous, peaceful and stable China," Obama said in a speech Monday at the APEC CEO Summit.

He announced that the U.S. and China have agreed to extend the maximum length of tourist, business and student visas for each others' citizens.

While in Beijing, Obama also spoke about North Korea's release of American detainees Kenneth Bae and Matthew Todd Miller over the weekend.

He said the release did not involve high-level talks on any pressing issues between North Korea and the United States.

ISIS fight in new phase, Obama says

Myanmar reforms 'sliding backwards'

After China, Obama will travel to Myanmar, a country where, two years ago, he became the first sitting U.S. President to visit. There was much fanfare then about the introduction of political reforms after decades of oppressive military rule.

The opening up of Myanmar, also known as Burma, became held up as a positive example of U.S. engagement in Asia. But concerns are now rife about the halting progress of those changes and the plight of the Muslim minority group, the Rohingya.

"Since the high point of Myanmar's reform process in 2012 and early 2013, the country's political opening has stalled and, in my opinion, slid backwards," wrote Joshua Kurlantzick, a senior fellow for Southeast Asia at the Council on Foreign Relations.

He said Obama, who will be attending regional summits in the country, should pressure the Myanmar government to push ahead with political changes and rethink its "racist" plan for the Rohingya.

But a senior U.S. official cautioned not to expect any major leaps forward any time soon.

"I don't think we're going to see breakthroughs in the short term," Tom Malinowski, the U.S. assistant secretary of state for human rights and labor, told CNN's Christiane Amanpour last week. "Burma was an opening to a breakthrough and it's one that we always knew would take years to move from its starting point to its finishing point."

Will Obama and Putin meet?

The last country on Obama's itinerary is Australia, where the G-20 summit will take place in Brisbane.

He plans to deliver "a very significant policy address discussing U.S. leadership in the Asia Pacific," as well as holding a trilateral meeting with the Australian and Japanese prime ministers, Evan Medeiros, senior director for Asian affairs at the National Security Council, said Friday.

But much attention will be focused on how Obama will navigate the presence of Russian President Vladimir Putin, who has angered Western leaders with his aggressive actions in Ukraine.

They already suspended Russia from the G8, the group of leading industrialized nations, earlier this year.

But Putin will be in Brisbane for the G-20, and could even bump into Obama earlier in the week at the APEC meetings in Beijing.

U.S. National Security Adviser Susan Rice didn't rule out the possibility of an encounter in Brisbane.

"I imagine, as in the past, that there will be an opportunity for the G-20 leaders to engage informally on the margins," she said at a news briefing Friday. "There's no formal bilateral meeting scheduled or planned, but I wouldn't be at all surprised if they had some informal communication."

The two leaders had a brief conversation about the Ukraine crisis on the sidelines of the D-Day commemorations in France in June.

@highlight

Obama: North Korea's release of Americans didn't involve major talks on pressing issues

@highlight

The U.S. "welcomes the rise of a prosperous, peaceful and stable China," Obama says

@highlight

He announces an agreement with Beijing to extend the maximum length of visas

@highlight

The U.S. President will visit Myanmar and Australia later this week