Washington (CNN) -- The Supreme Court has backed an Arizona law that punishes businesses hiring illegal immigrants, a law that opponents, including the Obama administration, say steps on traditional federal oversight over immigration matters.

The 5-3 ruling Thursday is a victory for supporters of immigration reform on the state level.

It was the first high court challenge to a variety of recent state laws cracking down on illegal immigrants, an issue that has become a political lightning rod.

The outcome could serve as a judicial warmup for a separate high-profile challenge to a more controversial Arizona immigration reform law working its way through lower courts. That statute would, among other things, give local police a greater role in arresting suspected illegal immigrants.

The hiring case turned on whether state law tramples on federal authority.

"Arizona has taken the route least likely to cause tension with federal law," wrote Chief Justice John Roberts. "It relies solely on the federal government's own determination of who is an unauthorized alien, and it requires Arizona employers to use the federal government's own system for checking employee status."

Arizona passed the Legal Arizona Workers Act in 2007, allowing the state to suspend the licenses of businesses that "intentionally or knowingly" violate work-eligibility verification requirements. Companies would be required under that law to use E-Verify, a federal database to check the documentation of current and prospective employees. That database had been created by Congress as a voluntary, discretionary resource.

The U.S. Chamber of Commerce filed a lawsuit against the state, arguing that federal law prohibits Arizona and other states from making E-Verify use mandatory. The group was supported by a variety of civil rights and immigration rights groups. The state countered that its broad licensing authority gives it the right to monitor businesses within its jurisdiction.

The Obama administration recommended a judicial review and sided with businesses and civil rights groups.

A 1986 federal act significantly limited state power to separately regulate the hiring and employment of "unauthorized" workers. An exception was made for local "licensing and similar laws." Under the law, employees are required to review documentation to confirm someone's right to work in the United States, including checking the familiar I-9 immigration form. Civil and criminal penalties were strengthened, but businesses making a "good faith" effort to comply with I-9 procedures were generally immune from prosecution.

Roberts, backed by his four conservative colleagues, said, "Arizona went the extra mile in ensuring that its law tracks (the federal law's) provisions in all material aspects."

In dissent, Justice Sonia Sotomayor noted E-Verify is a voluntary program and said criticism that the federal government is not doing enough to enforce the law is irrelevant.

"Permitting states to make use of E-Verify mandatory improperly puts states in the position of making decisions ... that directly affect expenditure and depletion of federal resources," she wrote. Justices Stephen Breyer and Ruth Bader Ginsburg also dissented.

Justice Elena Kagan did not participate in the case, since she had been the administration's solicitor general last year when the case was being appealed to the high court.

Gov. Jan Brewer had backed the law, saying in December when the case was argued, "The bottom line is that we believe that if the (federal) government isn't going to do the job, then Arizona is going to do the job. We are faced with a crisis."

This case could serve as a bellwether to how the court will view a larger, more controversial state immigration law from Arizona. Much of that statute was tossed out by a federal judge in August and is pending at a federal appeals court. It would, among other things, give police authority to check a person's immigration status if officers have a "reasonable suspicion" that the individual is in the country illegally.

One human rights group, the Border Action Network of Tucson, called the ruling dangerous because it could promote anti-immigrant atmosphere.

"Arizona's residents and businesses have suffered enough in the wake of unnecessary immigration enforcement legislation," Jennifer Allen, executive director of Border Action Network, said.

"This decision will only exacerbate those struggles, as it could be misinterpreted by Arizona politicians with unwarranted anti-immigrant agendas as a license to enact measures that increase bureaucracy, slow down business operations and erode the civil rights of job seekers, who could now be denied an employment opportunity because of their last name," she said.

CNN's Michael Martinez contributed to this report.

@highlight

The high court ruled 5-3 in favor of the state law

@highlight

The law punishes businesses hiring illegal aliens

@highlight

Roberts: "Arizona has taken the route least likely to cause tension with federal law"