BILOXI, Mississippi (CNN)  -- It's been almost three years since Hurricane Katrina cut a merciless path of destruction across the U.S. Gulf Coast, killing more than 1,800 people and displacing tens of thousands more.

Cameron Sinclair on site in Biloxi, Mississippi -- one of many rebuilding projects that Architecture for Humanity is overseeing.

The coastal resort of Biloxi was among the hardest hit; hurricane-force winds leveled homes, stripped branches from trees and created a trail of devastation that rendered the popular Casino town virtually uninhabitable.

Three years on, homes are still being rebuilt to house people who were forced to seek shelter wherever they could. For some, that's meant spending years living in cramped conditions in caravans until they could afford to rebuild.

Cameron Sinclair, Co-founder of Architecture for Humanity, is leading a project to rehouse residents of Biloxi affected by the storm. On July 9, he'll be taking part in a Principal Voices debate on Design for Good: How can clever design conserve precious resources and lead to a greener way of life?

CNN caught up with Cameron Sinclair in Biloxi and started by asking him what the difference is between design and design for good?

Cameron Sinclair: Design is about creating spaces for people to enjoy and of course, creating moments where you elevate the spirit, but design for good is figuring out a program that not only creates better spaces, but creates jobs, creates new industry and really kind of raises the conversation about how we rebuild.

CNN: How many countries are you working in and what are you doing?

CS: We are currently in about 26 countries and we have around about 4000 volunteer architects and designers globally. We are working on a whole range of projects whether it be bringing health services into remote Nepal or working on a chocolate factory in the Amazon which is actually a conservation project, or doing low income housing in Cape town, South Africa, so we're pretty global in our reach.

CNN: You have worked all over the world, Iran, Africa, and Asia. When you think of people's living conditions, are you surprised that Americans don't realize how tough people have it in their own country? Have you seen things in the U.S., for example, that are worse than in so-called developing countries?

CS: Yeah, I mean people find it kind of shocking when I talk about this. You know, there are places in rural America, especially in places like the reservations, we've done a lot of work with Hopi and Navajo and we're about to start work with the Iroquois where I look at the housing stock and it is far worse then I've seen in somewhere like South Africa or you know, in Ghana.

You know, Americans are unbelievably open, welcoming and helpful, they donate to everybody. But quite often we don't look at the reality of our own lives. The fact that we have a crumbling school system, that our healthcare in this country is just diabolical, the support for nurses and teachers is just out of control and I look at all these facilities that are happening in the U.S. and I begin to question. This is supposed to be the most powerful place in the world but we can't build a decent school for our kids so you know there is a reality check that needs to happen.

CNN: When you look at the big picture of the problems the world is facing, what solutions can you see that cities and their designs can offer when it comes to global issues such as global warming?

CS: What worries me the most is you have all these global issues that are out there, whether its lack of education or lack of healthcare or climate change, and people think they are separate compartmentalized issues, but they're all interweaved so that when we're working on structures, we're thinking about how can we make the building energy efficient. How can we make the design open, allowing access to everybody so that you're hitting on all these things.

We're working in neighborhoods where sustainability is a matter of life or death for people so climate change is an issue for us, but we may not be putting solar panels on the side of the building we just may be looking at creating a way of getting clean water into the village and that mechanism is important.

CNN: How vital is sustainability?

CS: It's very vital. I mean, we've never pushed ourselves as a green organization. We've never done that kind of branding, you know, of great green buildings but all our architects and all our designers in the field realize that they have to have an element of sustainability because communities can't maintain things they can't afford and if its not sustainable both materialistic and also financially then the building will be underutilized so it's a waste of everybody's time.

If you build something that is out of the reach of the community, then they can't own it. There's no empowerment in taking over that structure.

CNN: How do you see your role in all of this?

CS: The main thing is, I'm not the architect on this. We have architecture firms in a 100 countries right now, who are working on projects and as a way, we're working as a bridge, so architecture humanity bridges that kind of leg between the community, the design and the funding, so we have to bring in all the funding. We have to make sure that we have the legal and financial constraints in place and understood that the designers are committed to the process so in a way we're acting as that mediator between all those different stake holders.

CNN: I'm curious how on a personal level it has impacted your life, I mean you came out of college or university and basically went straight into this. It is your life in a way.

CS: Yeah, no. I mean, this really has become my life and a lot of other people that work with me, it's their life but we haven't become financially rich but we've become rich in many other ways. Just in the last month some of the communities that we have sat down and had dinner with and talked about their lives and the things their hopeful about is incredibly inspiring. It's what keeps us going.

CNN: So it's not a job, is it?

CS: No, I don't think anyone could live if they just had a job. A career is a job you love, right? That's what a career should be. If you're in a job that you hate, you should quit. That's the way I look at it. I'm in a job that I love so I'm going to make it my career.

Do you have a question for our panelists? If so, click on the "Sound Off" box below or fill out the form on www.cnn.com/pv.

@highlight

Cameron Sinclair is taking part in Principles Voices debate on July 9

@highlight

Sinclair helping rebuild Biloxi three years after it was ravaged by Hurricane Katrina

@highlight

Architecture for Humanity operates in 26 countries and has about 4000 volunteers