Bangui, Central African Republic (CNN) -- Two French soldiers sent to the Central African Republic as part of an international peacekeeping mission have been killed, the French presidency said Tuesday.

The two soldiers, both paratroopers in their early 20s, were killed in combat in the capital, Bangui, on Monday night, a statement from the Elysee Palace said.

"They lost their lives to save others," it said.

French President Francois Hollande learned of the soldiers' deaths "with great sadness," the statement said. He also "reiterates his full confidence in the French forces deployed alongside African forces to restore security in the Central African Republic, protect civilian populations and ensure access to humanitarian aid."

Hollande arrived in the Central African Republic Tuesday evening local time, public service broadcaster Radio France reported, after attending the official memorial service for the late South African President Nelson Mandela in Johannesburg.

France, the former colonial power in the Central African Republic, has deployed 1,600 personnel there to support African Union troops, after a vote last week in the U.N. Security Council authorizing military intervention.

Hollande's visit, during which he was expected to meet with troops, pay his respects before the soldiers' caskets and speak with local leaders, may be intended to help shore up public support back home.

Surveys indicate about half the French public back the mission. Hollande did not need parliamentary approval to send troops to the Central African Republic, but the move has wide support from lawmakers.

Christian, Muslim militias fight

Violence has raged in the Central African Republic since a coalition of rebels deposed President Francois Bozize in March, the latest in a series of coups since the nation gained independence. Bozize fled the country after his ouster.

Christian vigilante groups have formed to battle Seleka, the predominantly Muslim coalition behind the president's removal.

More than 415,000 people -- nearly 10% of the population -- have been internally displaced by the fighting, according to the United Nations, and 68,000 more have fled to neighboring countries.

French forces began their operation in the country, east of Cameroon and north of the Democratic Republic of the Congo, on Friday, a day after the U.N. resolution authorizing their deployment was approved.

"France is determined to act to restore basic security in the Central African Republic, in order to halt the spiral of abuses and sectarian drift, allow the return of humanitarian workers and basic state structures," Defense Minister Jean-Yves Le Drian said.

A deadline was set by the African-led peacekeeping force, backed by the French, for the warring militias to disarm by midday Monday.

But a CNN team traveling with a U.N. convoy back to Bangui from the town of Bossangoa, about 185 miles north of the capital, said Seleka roadblocks were still in evidence on the main road. The team also saw Christian anti-Balaka militiamen along the road.

Smoke could be seen rising a short distance off the road a number of times from what looked like burning villages.

As the convoy neared its destination, automatic weapons fire was directed at the main French checkpoint leading into Bangui, where there's a buildup of French forces.

Muslim militia: We are true government of CAR

Calling for 'calm and peace'

The Pentagon said Monday that American military aircraft would help the peacekeeping efforts by flying African and European peacekeepers to the Central African Republic from Burundi.

In a statement, President Barack Obama appealed for the country's citizens to reject violence and urged the transitional government to join "respected leaders" in Muslim and Christian communities in calling for "calm and peace."

"Individuals who are engaging in violence must be held accountable in accordance with the law. Meanwhile, as forces from other African countries and France work to restore security, the United States will support their efforts to protect civilians," Obama said.

The chief prosecutor for the International Criminal Court, Fatou Bensouda, said the deteriorating security situation over the past few days had "contributed to the escalation of unlawful killings, sexual violence, recruitment of child soldiers and other grave crimes, across the country."

She urged all parties in the conflict "to stop attacking civilians and committing crimes, or risk being investigated and prosecuted."

A spike in fighting in Bangui since Thursday has claimed at least 400 lives according to the official count, rights group Amnesty International said in a statement Monday.

However, the group estimates as many as 1,000 people may have been killed, with many hastily buried before they could be accounted for. "The true number of the dead may never be known," it said.

An estimated 60,000 have been displaced within Bangui, Amnesty International added, as it appealed for urgent steps to protect civilians in vulnerable areas.

Doctors Without Borders, or Medecins Sans Frontieres, said its staff had witnessed summary killings inside one hospital in Bangui on Thursday. It called for all sides to respect civilians and medical facilities in Bangui and across the country.

Bossangoa camps

As well as carrying out patrols in Bangui, French forces have been sent to Bossangoa, where more than 40,000 of those displaced by fighting have sought refuge in camps.

The French intend to make Bossangoa safe and to push out to the even more insecure bush past the city limits, where 100,000 people have been hiding for the past six months in fear for their lives.

An official from FOMAC, the multinational force for Central Africa, said the Seleka militia would no longer be allowed to run the country as local administrators, and instead police will begin to do that.

Also, members of the militia group will be restricted to their camps, and when they venture out, they will be forced to leave their weapons behind. This rule also applies to the Christian anti-Balaka militia, which includes vigilante groups. If any of the groups defy this order, said the official, they will be forcefully disarmed.

But the commander of the Seleka militia, Col. Saleh Zabadi, told the CNN team in Bossangoa that his force has no intention of going anywhere.

"We are this country's government. Leave power? Maybe if we are dead," he said defiantly.

Fears of genocide: 10 things to know about the Central African Republic

CNN's Nima Elbagir reported from the Central African Republic and Laura Smith-Spark wrote in London. CNN's Jim Bittermann, Lillian Leposo, Nana Karikari-apau and Sandrine Amiel contributed to this report.

@highlight

NEW: French President Francois Hollande visits the Central African Republic

@highlight

Two French soldiers die after their patrol is attacked in Bangui, Defense Ministry says

@highlight

France has 1,600 troops in the Central African Republic in support of an African force

@highlight

Violence has escalated in the Central African Republic since a coup in March