(CNN) -- "You won't believe what just happened!" It's usually a phrase that precedes gossip, but it takes an entirely different meaning when you hear it from a head of state. That's what a Central American president told me in February of 2010. I was covering the Summit of Unity in the beach resort of Cancun, Mexico. Latin American and Caribbean presidents were in attendance.

The aforementioned president, whose name I will not publish for obvious reasons, had just walked out of a closed-door meeting attended by several Latin American heads of state. What he told me next was unprecedented, as far as I know, in the realm of Latin American diplomacy.

"We almost had a fistfight," the president said. At first, he wouldn't say who was involved, but after persistent questioning by several of us reporters he finally disclosed that then- Colombian President Alvaro Uribe and his Venezuelan counterpart Hugo Chavez had an argument that escalated into a shouting match, and were it not for their colleagues present, would have ended up in a fight.

I left it at gossip at first, but Chavez himself later confirmed it. In an interview with CNN en Espanol, the shoot-from-the-hip leftist leader, now relaxed and smiling, told the story. "I think that if the table hadn't been there as an obstacle and our friends weren't sitting right there, president Uribe physically would have attacked me," Chavez said.

By then, Chavez had already assumed the role of provocateur-in-chief in Latin American politics -- a title previously held by former Cuban president Fidel Castro until he ceded power to his younger brother Raul due to illness in 2006.

That confrontation was not the first time that Chavez had a run-in with a foreign leader. The Venezuelan firebrand caused none other than Spanish King Juan Carlos to lose his patience. The king, normally polished and refined as it's proper for his stature, shouted at Chavez: "Why don't you just shut up!" after the Venezuelan president called Spanish Primer Minister Jose Maria Aznar a fascist several times at an Ibero-American summit held in Chile in November of 2007.

I started wondering how such a renegade lacking diplomatic skills, former coup conspirator who served time in jail and supporter of an economic model that had already failed in the world had become so popular in Latin America? What was it about Chavez that made him electrifyingly popular in his homeland and leftist circles in Latin America?

And then I remembered Chapeu Mangueira.

I had traveled to Brazil in early 2010 and visited some slums on the hills surrounding Rio de Janeiro. These slums, known in Brazil as favelas, are a stone's-throw away from the main tourist attractions in Rio, like Copacabana Beach.

Chapeu Mangueira was one of those slums where people lived in shacks, survived on pennies a day, lacked access to basic services and, in general, lived in extreme poverty and marginalized from the rest of society.

I also remembered Chimalhuacan, a slum in Mexico City that mirrors Chapeu Mangueira. I thought as well of Ciudad Bolivar, a barrio in Bogota, the Colombia capital -- that is just as marginalized and poor.

The Venezuelan capital has its own favelas. Petare, a shantytown in western Caracas, is a painfully sobering example. This is where the poor among the poor in Venezuela live. It's an area that had been ignored and marginalized for decades.

After coming to power in 1999, Chavez focused on developing welfare programs for the poor. The programs, called misiones sociales, have measurably reduced poverty in places like Petare.

Chavez killed two birds with one stone. He transformed the politically apathetic PetareÃ±os into fierce Chavistas who voted en masse and took to the streets to celebrate Chavez as his power increased, and to show support after he announced he was suffering from cancer in June of 2011.

The poor, traditionally ignored and marginalized by Latin American politicians, became Chavez's main political weapon.

It is true that Chavez squandered oil revenues (estimated at $120 billion a year), scared away investment by nationalizing foreign and domestic companies and neglected the Venezuelan infrastructure. Spending $30 billion a year in social programs (used as government propaganda) while driving away foreign investment is unsustainable in the long term.

He managed to stack the Supreme Court with loyalists who ruled consistently in his favor. Socialist policies that undermined production and produced shortages of basic food products also fueled inflation, while a depreciation of the currency shortly before Chavez's death promised to worsen those problems. Venezuela still has one of the highest murder rates in the hemisphere. More recently, Chavez had taken steps to revoke the license of the last opposition TV network in the country.

Human rights groups consistently raised alarms that Chavez was using the judicial system as a political tool to repress the opposition and silence dissent.

"By his second full term in office, the concentration of power and erosion of human rights protections had given the government free rein to intimidate, censor, and prosecute Venezuelans who criticized the president or thwarted his political agenda," New York-based Human Rights Watch said this week, adding that the Chavez government had shown "open disregard for basic human rights guarantees."

Regardless, Argentine President Cristina Fernandez de Kirchner eulogized the fallen leftist leader on her Twitter account by saying that "The great legacy of Chavez is the social inclusion of millions of Venezuelans that used to be invisible and today are protagonists."

I would argue his legacy goes beyond that. An argument could be made that the Cuban economy would have collapsed without the oil it gets from Venezuela. Chavez also ushered in a new area of populist leaders including Rafael Correa in Ecuador, Evo Morales in Bolivia and Daniel Ortega in Nicaragua. They have all borrowed Chavez's playbook by catering to the poor and railing against the United States, a country they call "the evil empire." They all benefited from cheap oil from Venezuela while Chavez made allies who helped him slowly but surely tilt Latin American politics to the left.

But, for the outside world, at least, the inclusion of the poor will probably remain at the top of Chavez's legacy.

The formula is so simple it makes you wonder why nobody though of it before. After all, a 22-year-old single mother of two in Petare, Chapeu Mangueira, Chimalhuacan or Ciudad Bolivar, doesn't care about macroeconomic policies or free market economies, but about a leader who will make it possible to feed her children tomorrow. And to millions of Venezuelans, that was Hugo Chavez.

@highlight

Chavez fashioned himself as provocateur-in-chief in Latin American politics

@highlight

The poor, usually marginalized by Latin American politicians, became Chavez's main weapon

@highlight

Support of the poor made Chavez popular in his homeland, leftist circles in Latin America

@highlight

Chavez ushered in new area of populist leaders in Latin America