(CNN) -- What is it about Americans and guns?

How much time do you have?

"I can tell you that I don't think there's any other developed country in the world that has remotely the problem we have," New York Mayor Michael Bloomberg said after the shooting rampage in Colorado.

There are an estimated 270 million guns in the hands of civilians in the United States, making Americans the most heavily armed people in the world per capita. Yemen, a tribal nation with no history of strong central government or the rule of law, comes in a distant second.

From Washington to the well-stocked shelves of Walmart stores nationwide, guns are regarded in the United States as a commonplace if controversial consumer item for millions of law-abiding hunters, collectors and citizens concerned about their safety. They are also in the hands of thousands of killers too; a Washington-based anti-gun lobby says those guns shoot more than 100,000 people a year. In 2010, there were more than 30,000 deaths caused by firearms when the number of homicides, suicides and accidental deaths are tallied.

America's collective memory -- of the Wild West in the 1800s, the assassinations of John F. Kennedy and Martin Luther King half a century ago and the front-page news from last week -- is marked time and time again by guns.

"It's undeniable," writes Clayton Cramer, author of "Armed America: the Remarkable Story of How and Why Guns Became as American as Apple Pie." "Guns are at the center of much of America's history, its legends, and its horrors."

There were guns in America long before the America we know today was even born. Early settlers in several states were required by law to own and maintain weapons as a matter of collective defense.

By the time the United States was established, its citizens had taken up arms not only against their Native American neighbors but the army of their own king. Their new constitution reflected that in its Bill of Rights, declaring that "A well regulated militia being necessary to the security of a free state, the right of the people to keep and bear arms shall not be infringed."

For more than two centuries, that remained an important but largely overlooked guarantee, subjected to a modest series of controls. But in 2008 and 2010, landmark Supreme Court rulings gave that constitutional right sweeping new power, dramatically diminishing the authority of state and local governments to limit gun ownership.

Gun-friendly lawmakers have been active, too. Roughly half of the 50 U.S. states have adopted laws allowing gun owners to carry their guns openly in most public places. About as many states have "stand your ground" laws that allow people to kill if they come under threat, even, in some cases, if they can escape the threat without violence.

The laws are being driven by politics, and the politics are being driven by groups such as the National Rifle Association. Once a relatively modest organization of gun enthusiasts and hunters, it has become one of the most powerful political groups in the country. The Washington Post estimates that the NRA succeeded in helping elect four out of every five candidates it endorsed in the most recent congressional election.

In addition to that extraordinary impact in Congress, it has been working to overturn gun-control laws in the courts.

The NRA and other gun-rights groups have allied themselves with the Republican Party and, especially, a sector of the American public suspicious of government intrusions into private life and often flatly hostile to Washington.

Read Dana Bash: For Democrats, gun politics are bad politics

"When they tell you that a government ban on certain firearms will somehow make you safer, don't you believe it, not for a second, because it's a lie just like the lies they've told you before," NRA CEO Wayne LaPierre told a recent gathering of his members. "Their laws don't work."

Poll results suggest most Americans wouldn't agree. CNN and Gallup surveys going back years suggest that Americans are split between those who approve of current gun-control laws and respondents who would like to see them made more restrictive. Americans who'd like no controls at all are a small minority.

But even after the rampage in Colorado, American attitudes and laws aren't likely to change much. Last year's nearly fatal shooting of congresswoman Gabrielle Giffords didn't move her state or federal colleagues to adopt any new gun control measures.

Both President Barack Obama and Republican challenger Mitt Romney issued statements in the hours after the Colorado shootings, and Sunday, Obama flew to the state to visit with shooting victims and their families. But neither proposed any changes to American attitudes toward guns.

"You know, soothing words are nice, but maybe it's time that the two people who want to be president of the United States stand up and tell us what they are going to do about it, because this is obviously a problem across the country," said New York's Bloomberg, who is both a declared "independent" politically and a vocal proponent of gun control.

America is not unique. Norwegians are marking the first anniversary of a shooting massacre that took the lives of 69 people at a summer camp outside of Oslo. Eight more people were that day killed by a bomb in the Norwegian capital itself. The confessed killer is awaiting the verdict of his trial.

But America seems to be the place the whole world thinks of when apparently ordinary people use guns for grotesque acts of violence. America stands alone in its historic and cultural attachment to guns. America stands armed.

Do you own a gun? Tell us why.

Opinion: Mass murder and powerful firearms

Opinion: Gun control or carry permits won't stop mass murder

Opinion: Fear drives opposition to gun control

@highlight

After Colorado shootings, neither Obama nor Romney talked about gun laws

@highlight

Mann: Even after the rampage, American attitudes and laws aren't likely to change much

@highlight

Americans are most heavily armed people per capita, with Yemen a distant second

@highlight

Mann: World thinks of U.S. when apparently ordinary people use guns for grotesque violence