(CNN) -- The funeral of the North Korean leader Kim Jong Il unfolded across the snow-laden streets of Pyongyang on Wednesday, a three-hour event that displayed the secretive regime's ability to choreograph elaborate state ceremonies.

A North Korean state television broadcast of the services showed a tearful Kim Jong Un, the son and chosen successor of Kim Jong Il, trudging through the snow alongside the procession as it began at the Kumsusan Memorial Palace, where Kim Jong Il's body had been lying in state since his death earlier this month.

One black car carried on its roof a coffin draped in the flag of the nation's Worker's Party. Another transported a giant portrait of a smiling Kim.

Senior officials accompanied the younger Kim, including Jang Song Taek, his uncle and a vice chairman of the National Defense Commission.

Soldiers stood with their heads bowed, their caps in hand. Their green uniforms contrasted starkly with the bright white snow as mournful music played.

The long funeral cortege then sped up, weaving through the streets of the city past throngs of emotional mourners. In footage that the state television repeated several times, the mourners wailed and beat their chests, their hair damp from the falling snow.

"That is our general," said one soldier interviewed by the station. "In this snow, we have to send him off and it's heart ripping."

The snow also gave the country's state-run media fresh material with which to eulogize the dead leader.

"The feathery snowfall reminds the Korean people of the snowy day when the leader was born in the secret camp of Mt. Paektu and of the great revolutionary career that he followed through snowdrifts," the Korean Central News Agency said in a report Wednesday, referring to a mythical tale of Kim Jong Il's birth on a sacred mountain.

The North Korean media had attributed a number of supernatural feats and events to Kim over his lifetime.

"All streets in Pyongyang and all towns and villages throughout the country are now inundated with people sweeping away snow before bidding their last farewell to the leader," the KCNA report said. "They, who spent a sleepless night, missing him, have turned out in all roads covered by him in his lifetime."

The funeral procession, consisting of dozens of cars, went as far as Kim Il Sung Square, named after the founder of North Korea and father of Kim Jong Il, before returning to the palace. At that point, soldiers fired a 21-shot salute as Kim Jong Un and other officials stood with their heads bowed.

The reclusive nation had revealed no details ahead of time about the funeral of the elder Kim, who was revered as a godlike "dear leader" by his people. He died December 17 -- reportedly of a heart attack -- after 17 years of repressive rule.

Analysts were parsing the funeral footage for clues on the transition under way within the regime.

The route the procession took appeared to follow that taken for Kim Il Sung's funeral in 1994, reported Yonhap, the official South Korean news agency. But Kim Jong Il received three fewer shots in the salute than his father did.

The funeral Wednesday gave a prominent role to a third generation of the family: Kim Jong Un, the man designated the "great successor" by the nation's Worker's Party.

"This is a very scripted funeral. They've expected this for the last several years," said Lee Chung Min, dean of the Graduate School of International Studies at Yonsei University in Seoul.

"As you can see by the clockwork procession, the funeral basically signals a new era in North Korea" under Kim Jong Un, Lee said.

Questions have been raised about Kim Jong Un's ability to take the reins of the communist nation, given his young age -- he is thought to be in his late 20s -- and relative inexperience.

State news media have described the younger Kim as "Supreme leader" and "Sun of the 21st century," suggesting he is succeeding in rallying support within the regime's hierarchy.

"As far as we can see from the TV cameras and from all of their state media projections, everything basically is going according to plan," Lee said. "Whether Kim Jong Un will be able to remain in power over the longer term -- that's the $64 million question."

Analysts were also watching the ceremonies to gauge where leading figures stand in the new hierarchy.

Jang Song Taek, who was shown walking behind Kim Jong Un on Wednesday, is expected to serve as a regent for the younger Kim as he builds leadership experience, said Denny Roy, a North Korea analyst at the East-West Center in Honolulu.

Ri Yong Ho, who holds a number of key military and political posts, also took a prominent position in the procession.

The ceremony is to be followed by a memorial on Thursday. The state-run KCNA said when the national memorial service is held, gun volleys will be fired in the capital as well as in provincial seats.

"All the people will observe three minutes' silence and all locomotives and ships (those on voyage included) will blow whistles and those units with sirens will sound them all at once," KCNA said.

CNN's Ashley Hayes and Matt Smith contributed to this report.

@highlight

NEW: The funeral suggests everything is "going according to plan," an analyst says

@highlight

Kim Jong Un, the son of the late dictator, walks alongside the procession

@highlight

'It's heart ripping,' says one soldier interviewed on state TV