(CNN) -- Hours after January 12's earthquake in Haiti, Drs. Claude and Yolene Surena were treating more than 100 wounded people -- not in a medical facility but outside their own Port-au-Prince home.

City medical facilities were decimated or overwhelmed, and makeshift triage areas like the one in the Surenas' yard tried to keep patients alive long enough to get the next available hospital bed. Yolene called her daughter in Maryland to assure her the couple was fine and to make a request.

"She was overwhelmed with patients," said Fabiola Surena, a 28-year-old U.S. Army staff sergeant studying to be a physician's assistant. "She needed me to come help."

Surena and eight U.S.-based relatives and friends -- all of whom were raised in or have relatives in Haiti -- went to the Surenas' Haiti home to assist the doctors, deliver food and first-aid supplies, and to see how their loved ones fared.

Surena, who was granted time off from the Army, and her cousin Anne-Rene Louis have been documenting their trip on CNN's iReport.com. They talked to CNN.com by phone on Thursday, their seventh day in Haiti; the group planned to return to the United States this weekend.

iReport.com: Fabiola and Anne-Rene's journey to Haiti

The nine, none of whom had any medical experience except for Surena, flew to the Dominican Republic and traveled by bus to Haiti's capital on January 15. At the Surenas' house, one of the few in the neighborhood that didn't collapse, patients were in bad shape.

"I've seen crushed bones, fractures, dislocations, a lot of lacerations. We've had kids who lost digits," Fabiola Surena said. "We've also had people just suffering from just diabetes or high blood pressure, whose medication was stuck in their [destroyed] house, so they're going into diabetic comas."

Many patients needed surgery, but the one surgeon assisting the couple had no post-school experience. The Surenas' home, stocked mostly with first aid and suture kits and over-the-counter medications, had "no surgical capabilities outside of sutures," Fabiola Surena said.

Because surgeries couldn't be done immediately and infection was setting in, many patients would need amputation later. A few people died before Surena's group arrived, and one has died since, after being moved to a hospital, she said.

iReport: List of missing, found | Are you there?

Fabiola Surena dressed bandages and took vital signs. The other eight from the U.S. made sure patients took medication, sterilized tools and did small dressing changes. The crew also tried to find hospitals that could take the critical patients, she said.

Patients rest on mattresses in the yard, covered by tents. Food, water and medical supplies, though bolstered by trips to the Dominican Republic and aid brought by others, are constantly low. The family eats whatever it serves to the patients -- perhaps rice, beans and tuna -- and sometimes it's just one meal, Surena said.

"We're basically out of painkillers. We receive a lot of medication for adults, but not for kids, so children are barely getting painkillers at all," she said.

Surena, who was born in New York but was raised in Haiti, says her feelings are difficult to put in words.

"It can be very depressing," she said in Port-au-Prince, in and around which tens of thousands were killed in the quake. "After a while, you're looking at the things you can't do. ... Some people beg for water, and we don't have water for us to drink."

"People look calm and try to go on with life and joke, but then a scared, panicked look comes over their faces when a helicopter flies overhead, because it sounds like an aftershock," she added.

Full coverage | Twitter updates

Haitians took the wounded to the Surenas' house after the quake because they knew they were doctors. They also knew that Claude Surena, a pediatrician who heads the Haitian Medical Association and directs Rotary International's disaster preparedness committee for Haiti, sometimes sees patients at his home, Rotary spokeswoman Elizabeth Dwyer said.

Besides tending to patients, the U.S. nine have connected with relatives to find out who survived. Not all the news was good.

Louis, 25, of Orlando, Florida, said her parents' Port-au-Prince-area house collapsed during the quake, killing her grandfather and a maid. Also killed was the best friend of Louis' 18-year-old sister, she said.

The sister, Soraya Louis, a U.S. college student visiting her parents' home, was trapped for a few hours in the rubble. She passed out briefly during the collapse, and she awoke to "everybody screaming," she said.

"I heard footsteps overhead. People were walking on the bricks," Soraya Louis, a student at Connecticut's University of Bridgeport, said by phone from Port-au-Prince on Thursday. "I was crying and screaming for help."

People dug her out after she helped them find her. She found a piece of wood, stuck it between bricks and moved it until someone saw it, she said.

Impact Your World

Soraya Louis and her cousin were injured but are OK. Also escaping the collapse were one of her sisters and another friend; her parents were at work.

Anne-Rene Louis arrived in Haiti in time for her grandfather's funeral January 15.

By Thursday, many of the Surenas' patients had been sent to hospitals. Only about 20 remained in the yard.

Claude and Yolene no longer tend to the patients during the day -- Claude was just named the country's coordinator for disaster medical care, and Yolene, who already worked for Haiti's government, is helping determine which hospitals are running and where more can be set up, Fabiola Surena said.

Some of the U.S. nine went to work with Claude Surena on Thursday, helping to direct hospital workers to medical supplies, Anne-Rene Louis said.

Though the nine plan to leave Haiti this weekend, some may return soon. Soraya Louis said it was a relief to see the group.

"It's been hard for us here, and it feels good to know people are supporting us," she said. "Now our whole family is together. ... They give us strength every day."

CNN's Katie Hawkins-Gaar, Nicole Saidi and Christina Zdanowicz contributed to this report.

@highlight

Two doctors in Port-au-Prince turn their home into a makeshift clinic after quake

@highlight

Doctors' relatives in U.S., including their Army daughter, arrive to help

@highlight

Food, medical supplies remain constantly low, they say

@highlight

Survivor on being trapped: "I heard footsteps overhead" -- searchers walking on rubble