Tokyo (CNN) -- The owner of the stricken nuclear power complex in northeastern Japan said Saturday that it will hike the radiation exposure limit for its workers at the plant from 100 millisieverts per shift to 150 millisieverts, Japan's public broadcaster NHK reported.

Tokyo Electric Power Company said some workers at the Fukushima Daiichi plant have already been exposed to more than 100 millisieverts and that the company, citing the unprecedented nature of the crisis, has raised the limit to 150 millisieverts for some outdoor workers.

"This is a considerable amount of radiation," said G. Donald Frey, a medical physicist and professor of radiology at the Medical University of South Carolina. "The limit for radiation workers in the United States is 50 millisieverts per year, but we try to keep them to less than 5 millisieverts per year."

TEPCO said it is doing all it can to protect workers' health and that it will not return to the plant any worker already exposed to more than 100 millisieverts. Japan's Nuclear and Industrial Safety Agency said Friday that several hundred workers, including non-TEPCO employees, remained on site.

After a single acute exposure of 1,000 millisieverts, people tend to start feeling nauseated and vomiting, Frey said. At 5,000 millisieverts over the course of a few hours, "people start dying."

After exposure to 150 millisieverts per day, "you're definitely in the range where you have significantly increased risk of radiation-induced cancers."

For work involving recovery and restoration in an emergency operation, the International Commission on Radiological Protection recommends no more than 50 millisieverts in any given year. But in cases where the lives of a great number of people may be at stake, the ICRP says it recommends no restriction on dose as long as "the benefit to others clearly outweighs the rescuer's risk."

TEPCO Managing Director Akio Komiri, upon leaving a news conference Friday in Fukushima at which worker exposure levels were discussed, burst into tears.

The announcement came a day after the country's nuclear safety agency adjusted its assessment of the disaster.

NISA raised its rating for the most serious issues from 4 to 5 -- putting those problems on par with those in the 1979 incident at Pennsylvania's Three Mile Island.

TEPCO President Masataka Shimizu said Friday in a written statement that he was taking "very seriously" the increase in level of seriousness. "We sincerely apologize to all the people living in the surrounding area of the power station and people in Fukushima Prefecture, as well as to the people of society for causing such great concern and nuisance," he said.

According to the International Nuclear Events Scale, a level 5 indicates the likelihood of a release of radioactive material, several deaths from radiation and severe damage to a reactor core. Each step on the scale indicates an increase of 10 times the severity of the step below it, the International Atomic Energy Agency says.

The Chernobyl nuclear accident in the former Soviet Union rated a 7, the highest level on the scale, while Japan's other nuclear crisis -- a 1999 accident at Tokaimura in which workers died after being exposed to radiation -- rated a 4. The partial meltdown of a reactor core at Three Mile Island was deemed the worst nuclear accident in U.S. history.

But the rating change was not due to new problems at the plant, said Hidehiko Nishiyama, deputy head of the nuclear safety agency.

In fact, the situation at the plant -- while still serious -- did not worsen Friday for the second consecutive day, according to the IAEA.

The change instead came after engineers reviewed images showing damage to fuel rods and other structures inside the reactor buildings, Nishiyama said.

Despite the more serious assessment, no expansion of the 20-kilometer (12.4-mile) evacuation zone was necessary, Nishiyama said Friday at a briefing.

Earlier evacuation orders took into account the possibility of greater damage to the plant, he said.

IAEA Director General Yukiya Amano cautioned against reading too much into the raised disaster assessment. He said it's too early to compare the plant's situation to Three Mile Island, and he said the disaster unfolding at Fukushima is not like what happened at Chernobyl.

But Peter Bradford, a member of the U.S. Nuclear Regulatory Commission when the Three Mile Island incident occurred, said Fukushima is worse than TMI.

"In terms of severity, this accident left Three Mile Island in the rear-view mirror several days ago," he said.

Amano also appeared to defend Japan's evacuation response, saying that IAEA guidelines call for exactly what Japan has ordered -- an evacuation radius of 20 kilometers in the event of a reactor meltdown and a suggestion that people 20 kilometers to 30 kilometers stay inside.

U.S. officials have urged Americans to evacuate to a radius of 50 miles.

The level 5 rating applies to the plant's No. 2 and No. 3 reactors. The Japanese nuclear agency assigned a rating of 3 to the problems with the used storage pool at the No. 4 reactor. That's the spent-fuel pool that a U.S. nuclear official on Wednesday said had run dry, dangerously exposing fuel to the air.

Tokyo Electric Power Co. reported Friday that "we have confirmed that the water level of the pool is secured."

The decision to raise the level was announced as Japanese authorities came under fire Friday over the lack of timely information on the unfolding disaster.

People near the plant, which is 240 kilometers (150 miles) north of Tokyo, have expressed frustration over the lack of information from authorities, an official with a city government near the plant said.

"Evacuees, and that can be said of myself as well, are feeling anxious since we are not getting the needed information from the government in a timely manner," said Seiji Sato, a spokesman for the government of Tamura City, about 20 kilometers from the nuclear facility.

Work at the plant Friday focused on restoring electricity and trying to fill the spent-fuel storage pool at the No. 3 reactor.

Soldiers and utility employees sprayed about 50 tons of water from seven fire trucks into the No. 3 reactor building in an effort to refill the pool there, Kyodo News reported.

It was unclear how effective the effort was, said Chief Cabinet Secretary Yukio Edano.

"We observed vapor after the water was (shot in), so we believe that water did reach the pool, for sure," he said.

The storage pool at the No. 4 reactor also remains a concern, Graham Andrew, special assistant to the IAEA director, told reporters Friday.

But efforts to cool three damaged reactors with sea water appeared to be working, Andrew said. Despite damage to the nuclear core at each reactor, each appeared relatively stable, the IAEA reported.

Of the plant's other three reactors, one had no fuel in it and two were being cooled by emergency generators that crews got working on Friday, the IAEA said. They were helping restore water to the reactors' spent-fuel ponds and lower the reactors' temperature, the agency reported.

The effort to restore offsite power to the site also continued. Officials had hoped to have power to part of the plant restored by Friday, but the work was progressing slower than expected, they said.

Japanese officials have studied a plan to dump tons of sand and concrete on the plant to encase it, putting out any fires and preventing further radiation from escaping, Nishiyama said. But he said they have ruled out such a course as "not a realistic option" and will focus instead on restoring power and cooling fuel.

Significant amounts of radiation were released after the 9.0-magnitude earthquake on March 11 was followed by a tsunami that knocked out the plant's backup power generators.

Radiation levels Thursday hit 20 millisieverts per hour at an annex building where workers have been trying to re-establish electrical power, "the highest registered (at that building) so far," a Tokyo Electric official told reporters.

By comparison, the typical resident of a developed country is naturally exposed to 3 millisieverts per year.

The company said Friday afternoon, though, that radiation levels at the plant's west gate, at 0.26 to 0.27 millisieverts, had been fairly stable over the prior 12 hours.

As of Friday, monitoring of radiation levels at 47 sites across Japan showed minor increases in radiation, but at doses that are "far from levels which would require action," Andrew said.

An initial sampling of the air in Tokyo by IAEA monitors on Friday found no evidence of radioactive materials there, Andrew said. A second sampling was scheduled for Saturday.

CNN's Brian Walker, Stan Grant and Steven Jiang contributed to this report.

@highlight

NEW: Limit raised from 100 millisieverts to 150 millisieverts

@highlight

TEPCO president apologizes

@highlight

TEPCO official bursts into tears

@highlight

U.N. nuclear agency: No harmful radiation is detected at any of 47 sites