(CNN) -- "What's wrong with your foot?" asked the medicine man as I ducked into his grass hut to escape the tropical downpour. He could see that I walked with a slight limp.

Like many an aging athlete, I had injured myself while training for a hike. I knew I had to condition myself to be able to walk 50 miles carrying a backpack at 9,000 feet. So strenuous was the training that I hurt my foot and had to hobble into the offices of physicians, orthopedists and chiropractors -- in short, anyone who might heal my affliction.

I tried massage, ice packs, heating pads and whirlpool baths. I took aspirin, ibuprofen, anti-inflammatories, prescription pain pills and a cortisone injection in search of relief. The pain was reduced to the point where it became bearable, and I completed the hike. But I felt my injury every step of the way.

In the ongoing debate over the enormous health care costs in America, we can do well to look southward at the tropical American countries where shamans reside and practice their healing.

Like physicians, shamans are not infallible and vary in abilities. This shaman -- Amasina of the Trio tribe in southern Suriname -- I knew to be a master of his craft. He looked up from a fire he was stoking, over which he was boiling local herbs in a battered old aluminum pot. The smell of the plant potion filled the dwelling as I entered. Amasina wasted no time on pleasantries, even though he had not seen me for almost a year.

"Take off your shoe," he ordered, and I complied. He examined my foot carefully, and then issued another order: "Give me your machete!"

I removed the machete from my belt and passed it to him. With one clean stroke, he sliced a fuzzy fern off the bark of a nearby palm tree, carried it back to the hut and threw it directly into the flames. After less than a minute, the shaman snatched the fern from the fire and applied it to the base of my foot, causing me to howl with pain.

When both my foot and the fern had cooled, however, the pain had disappeared. He then threw the fern in another pot of water, warmed it over the fire, and had me drink the entire potion.

The pain in my foot went away. And for seven months, there was no pain. Then I returned to the jungle for another successful treatment.

To some, the term "shaman" may conjure up images of tricksters more than healers. But authentic shamans are masters of a sacred craft, living repositories of centuries of therapeutic wisdom.

The depth of shamans' knowledge on preventive medicine and diagnostics has astonished even physicians who have studied their approach. Dr. Christopher Herndon, a Yale-trained physician and ethnobotanist specializing in the Amazon, recently noted, "when asked about disease conditions, shamans present highly detailed and specific descriptions of disease characteristics and associated symptomatology. They frequently comment on disease associations and responsiveness to therapy, often demonstrating a remarkable insight into the natural history of disease processes as we understand them."

Many scientists who study tribal people's use of plants can recount experiences of injuries or ailments that physicians failed to cure that were then treated successfully by an "uneducated" herbalist, or shaman. In other words, we have a lot to learn from shamans.

But our pharmaceutical industry is often dismissive of nature as a source of healing. It seems to overlook the fact that many of the most important classes of prescription drugs like ACE inhibitors for high blood pressure (first developed from Brazilian snake venom), beta blockers (from hallucinogenic Mexican fungi), and cholesterol-lowering statins (from Penicillium fungus) came from natural sources.

And new finds continue to be made. Herndon and his colleagues in Peru have recorded indigenous people employing hallucinogenic frog slime to heighten sensory acuity. It may contain properties to treat high blood pressure. And I have observed medicine men in the northeastern Amazon using insects to treat arthritis and bacterial infections, indicating that local wisdom regarding the healing potential of plants and animals has been underestimated.

When I entered the field of rainforest conservation more than three decades ago, there were two basic areas of focus: protecting rainforest ecosystems and protecting traditional rainforest cultures. Many in the first group overlooked the opportunity to enlist tribal inhabitants of the rainforest, its natural guardians, as allies. Many in the second passed over the hard truth that these cultures cannot survive unless the forests are preserved intact.

In the spirit of the interconnectedness of all things, we launched the Amazon Conservation Team to protect the forests, preserve the tribal populations and their cultures and knowledge, and along the way, hopefully discover new medicines from nature.

The Amazon Conservation Team has joined forces with our tribal colleagues and local governments to achieve these goals. We have partnered with elderly medicine men and women to establish shamans' apprentice programs and clinics to improve local health care and transmit traditional healing knowledge to succeeding tribal generations.

We hope you'll join us to broaden the world's knowledge.

The opinions expressed in this commentary are solely those of Mark Plotkin.

@highlight

Mark Plotkin: In the debate over huge health care costs, we should look south

@highlight

Plotkin: The shamans of the Amazon possess centuries of therapeutic wisdom

@highlight

He says we have a lot to learn from the shamans about healing power of plants

@highlight

Plotkin: We need to protect the Amazon forests and preserve the tribal cultures