(CNN) -- The feds call industrial hemp a controlled substance -- the same as pot, heroin, LSD -- but advocates say a sober analysis reveals a harmless, renewable cash crop with thousands of applications that are good for the environment.

Industrial hemp, left, looks a lot like its cousin in the cannabis family, marijuana.

Two North Dakota farmers are taking that argument to federal court, where a November 14 hearing is scheduled in a lawsuit to determine if the Drug Enforcement Administration is stifling the farmers' efforts to grow industrial hemp. The DEA says it's merely enforcing the law.

Marijuana and industrial hemp are members of the Cannabis sativa L. species and have similar characteristics. One major difference: Hemp won't get you high. Hemp contains only traces of delta-9 tetrahydrocannabinol, or THC, the compound that gets pot smokers stoned. However, the Controlled Substances Act makes little distinction, banning the species almost outright.

Marijuana, which has only recreational and limited medical uses, is the shiftless counterpart to the go-getter hemp, which has a centuries-old history of handiness.

The February 1938 issue of Popular Mechanics magazine heralded hemp as the "new billion-dollar crop," saying it had 25,000 uses. Today, it is a base element for textiles, paper, construction materials, car parts, food and body care products.

It's not a panacea for health and environmental problems, advocates concede, but it's not the menace the Controlled Substances Act makes it out to be.  Watch why a North Dakota official thinks the U.S. should be in the hemp business »

"This is actually an anti-drug. It's a healthy food," explained Adam Eidinger of the Washington advocacy group Vote Hemp. "We're not using this as a statement to end the drug war."

Rather, Eidinger said, Vote Hemp wants to vindicate a plant that has been falsely accused because of its mischievous cousin.

North Dakota farmers Wayne Hauge and Dave Monson say comparing industrial hemp to marijuana is like comparing pop guns and M-16s. They've successfully petitioned the state Legislature -- of which Monson is a member -- to authorize the farming of industrial hemp.

They've applied for federal permits and submitted a collective $5,733 in nonrefundable fees, to no avail, so they're suing the DEA.

North Dakota is one of seven states to OK hemp production or research. California would have made eight until Gov. Arnold Schwarzenegger last week vetoed the California Industrial Hemp Farming Act, citing the burden on law enforcement which would have to inspect hemp fields to make sure they were marijuana-free.

Administration skeptical of initiatives

The DEA claims the farmers' lawsuit is misguided because the agency is obligated to enforce the Controlled Substances Act.

"Hemp comes from cannabis. It's kind of a Catch 22 there," said DEA spokesman Michael Sanders. "Until Congress does something, we have to enforce the laws."  The difference between marijuana, industrial hemp »

Asked if the DEA opposes the stalled House Resolution 1009, which would nix industrial hemp from the definition of marijuana, Sanders said the Justice Department and President Bush would make that call.

"When it comes to laws, we don't have a dog in that fight," he said.

The Justice Department has no position yet on the resolution, said spokesman Erik Ablin. The White House Office of National Drug Control Policy, however, is skeptical because of the burden hemp would place on law enforcement resources. Also, hemp advocates are regularly backed -- sometimes surreptitiously -- by the pro-marijuana movement, the office alleges.

"ONDCP cautions that, historically, the hemp movement has been almost entirely funded by the well-organized and well-funded marijuana legalization lobby," said spokesman Tom Riley. "All we do is ask people not to be naive about what's really going on here."

Often, the hemp movement -- like hemp legislation -- is inextricably tied to marijuana. Pot advocates like actor Woody Harrelson and activist Jack Herer have double or ulterior agendas when they expound the virtues of hemp.

Not so with Monson, 57. The assistant GOP leader in the state House, who returned to the family farm where he was reared in 1975, said he became interested in hemp in 1993 when scab, or Fusarium head blight, devastated his wheat and barley crops.

Monson grows canola, too, but wants another crop in his rotation. Soybeans are too finicky for the weather and rocky soil. Monson also tried pinto beans, fava beans and buckwheat with no luck.

"None of them seemed to really be a surefire thing," he said. "We were looking for anything that was potentially able to make us some money."

Hemp, said the lifelong farmer, seemed an apt fit. It likes the climate, its deep roots irrigate soil, it doesn't need herbicides because it grows tall quickly and it breaks the disease cycles in other crops, Monson said.

States follow Canada's lead

About 20 miles north of Monson's Osnabrock farm lies the Canadian border, the hemp dividing line. Just over the border in Manitoba, farmers have been reaping the benefits of hemp since 1998, when Health Canada reversed a longtime ban.

In a Vote Hemp video, Shaun Crew, president of Hemp Oil Canada Inc., a processing company in Sainte-Agathe, praised Canada's foresight in differentiating between hemp and marijuana.

While marijuana THC levels can range between 3 and 20 percent, Canada demands its hemp contain no more than 0.3 percent. In some hemp, the THC levels can sink as low as one part per million, Crew said.

"There's probably more arsenic in your red wine, there's more mercury in your water and there's definitely more opiates in the poppy seed bagel you ate this morning," Crew said on the video.

The North Dakota Legislature is convinced, as are the general assemblies in Hawaii, Kentucky, Maine, Maryland, Montana and West Virginia.

With his state's blessing, North Dakota Agriculture Commissioner Roger Johnson is backing the farmers and has proposed modeling North Dakota's hemp laws after Canada's strict regulations.

"We weren't just going to tell the DEA to take a hike," Johnson said. "We're serious about this, and we want to do it in concert with the DEA."

In a March 27 letter to Johnson, Joseph Rannazzisi of the DEA's Office of Diversion Control, said the permits were denied because the state hadn't satisfied the agency's security and logistical requirements.

Security aspects require careful evaluation because "the substance at issue is marijuana -- the most widely abused controlled substance in the United States," Rannazzisi wrote.

"We've been terribly brainwashed"

Hemp wasn't always banned in the U.S. Jamestown Colony required farmers to grow it in 1619. Even after Congress cracked down on marijuana in 1937, farmers were encouraged to grow the crop for rope, sails and parachutes during World War II's "Hemp for Victory" campaign.

Jake Graves, 81, heeded the call. Graves, whose father grew hemp in both world wars and whose grandfather grew it during the Civil War, was a teen when his father died in 1942. At the time, Graves' family was growing hemp for the Army.

The Graveses continued growing hemp on their 500-acre Kentucky farm until 1945, when the market dried up after the advent of synthetic fabrics and the post-war reinvigoration of international trade.

But Graves stands by the crop and its versatility and says that by lumping hemp in with marijuana, lawmakers "threw the baby out with the wash."

"We've been terribly brainwashed as a society," Graves said. "Man didn't use it for all those hundreds and hundreds of years without knowing what they were doing."

In the U.S., tapping hemp's versatility relies on imports. The DEA clamped down on most hemp imports in 1999 and 2001, but relented after a Canadian company sued, saying the ban violated its rights under the North American Free Trade Agreement.

Though advocates considered it a victory, Johnson said hemp won't be fully utilized until it can be grown and researched stateside.

"For us to grow it isn't enough. You have to build that infrastructure," Johnson said. "None of those uses is really going to develop to any great degree until we're able to grow this commodity."

Johnson said the farmers' Vote Hemp-funded lawsuit has no hidden agenda. It's aimed solely at allowing farmers to grow hemp -- without going to jail because federal law says hemp and marijuana are the same.

"I've got a state Legislature saying they aren't and the entire world saying they aren't. This is about a crop that is a legitimate crop every place else in the world," Johnson said. "It's not a crusade thing. It's a crop. Let farmers grow it. We don't want anyone to be growing drugs." E-mail to a friend

@highlight

Fast-growing hemp used for food, paper, textiles and car parts

@highlight

Hemp and marijuana have tetrahydrocannabinol, but the level in hemp is lower

@highlight

North Dakota is one of seven states that have OK'd production or research

@highlight

The DEA will not approve permits for two farmers in that state