Cairo, Egypt (CNN) -- Egypt braced for a "march of millions" in anti-government protests Tuesday as embattled President Hosni Mubarak tried to throw up literal and figurative roadblocks in the way of demonstrators calling for his ouster.

Major demonstrations are planned for Cairo, Alexandria and other cities, the latest in a series of rallies that began a week ago. Protesters have defied orders for a curfew, and the country's powerful military announced Monday that it would not open fire on peaceful demonstrators.

A leading opposition figure told CNN that the United States needs to be ready to "let go of Mubarak," a longtime ally.

"You shouldn't be behind the curve, and you need to start building confidence with the people, and not with the people who are smothering the people," Mohamed ElBaradei, the former head of the International Atomic Energy Agency, told CNN's "Anderson Cooper 360."

Mubarak's newly appointed vice president, longtime intelligence chief Omar Suleiman, announced Monday that he had begun discussing reform with opposition parties. Speaking on the state television network, Suleiman said a reform package should be drawn up "expeditiously."

"The other parties will also have a role to play, which will lead to real political reform," Suleiman said.

But there were no details of what proposals might be on the table, nor was there any immediate reaction from opposition figures or any indication of which parties were taking part. And at the same time, the government has shut down the country's rail network, posted troops at key locations, closed banks and schools and pulled the plug on mobile phone and internet service ahead of Tuesday's protests.

Mubarak has ruled Egypt for nearly 30 years under a sweeping emergency decree, imposed after the 1981 assassination of his predecessor, Anwar Sadat. A wave of protests against his regime erupted following the uprising in Tunisia that ousted its longtime strongman January 14, and Arab League Secretary-General Amre Moussa -- Mubarak's former foreign minister -- called Monday for a peaceful transition of power "from an era to the other," the French news agency AFP reported.

Egypt's military announced Monday evening that it recognized "the legitimate demands of the honest citizens" and would not open fire on peaceful protesters.

"The presence of the armed forces in the Egyptian streets is for your benefit to protect your safety and peace," an unnamed spokesman announced on state television Monday night. "Your armed forces will not use violence against this great people, who have always played a significant role in every moment of Egypt's great history."

And human rights activist and blogger Ramy Raoof told CNN's "Parker Spitzer" that troops are mingling with demonstrators in Cairo's Tahrir Square.

"There is no aggressive behavior from the army toward the peaceful assemblies," he said early Tuesday. "We hope that within a few hours, the same also will happen. We hope the army will not escalate violence against us."

Though Mubarak has given no indication that he will bow to demands for his ouster, he fired his Cabinet on Saturday, and his designation of Suleiman as vice president marks the first time he has filled that post since he came to power in 1981.

Monday, Mubarak swore in Mahmoud Wagdy as the new interior minister to replace Habib el-Adly, who has been criticized by protesters because of police actions. Others sworn in on Monday were Finance Minister Samir Radwan, a former economist at the International Labor Organization, and Health Minister Ahmed Hosni Farid.

Radwan told CNN's "Quest Means Business" that his priority is "to show that this is a government that responds to the demands -- the fair demands, I would say -- of the people in Tahrir Square."

"We need to use public expenditure to achieve some sort of social justice and a better distribution of the fruits of growth, as to the bottom 40% of this country," Radwan said. At the same time, he said, Egypt shouldn't sacrifice economic reforms and gains "that enabled it to stand the storm of two successive crises -- the food crisis and the financial crisis."

State television reported Monday that the crisis has cost the country an estimated 69 billion Egyptian pounds (nearly $12 billion) and set its economy back six months.

Meanwhile, there are international indications that the world could accept a changed Egypt without Mubarak. In Washington, U.S. officials have been calling for an "orderly transition" that will include free elections in September, when Mubarak's current term expires.

"The United States government does not determine who's on the ballot," White House spokesman Robert Gibbs told reporters. "The question is whether or not those elections are going to be free and fair. That's what we would weigh in on and weigh in on strongly."

While it was widely believed Mubarak was grooming his son, Gamal, as his successor, that plan now has been complicated by demands for democracy.

ElBaradei is one of several opposition figures whose names surface when protesters talk about possible future leaders of Egypt. Another possibility is Moussa, a veteran diplomat who was Mubarak's foreign minister until 2001.

But several opposition movements have been represented on the streets in the demonstrations, and Raoof said, "There is no leader for the revolution."

"There is no political group leading the people. There is no one leading the people. People are going in a very organic way ... people are just doing it."

Mounir Fakhry Abdel Nour, secretary-general of the Wafd Party, told CNN the group's followers have been "extremely active."

In Alexandria, an armored personnel carrier fired warning shots Monday as about 2,000 to 3,000 people gathered. The shots were seen as an apparent effort to intimidate protesters near a hotel.

@highlight

NEW: Egypt tries to cut off travel, communications ahead of new rallies

@highlight

NEW: "There is no aggressive behavior from the army," activist says

@highlight

Mubarak's VP promises reform, and the army says it won't shoot protesters

@highlight

U.S. needs to "let go of Mubarak," ElBaradei says