(CNN) -- Ever since the Montgolfier brothers launched the first manned hot air balloon flight in France in 1783, enterprising balloonists have capitalized on our fascination with open-air flight by offering rides that soar over some of the world's most stunning landscapes.

Just watching the graceful globes aloft is mesmerizing, especially when they're en masse. Here's where to catch them or hitch a ride.

Quebec, Canada

International Balloon Festival of Saint-Jean-sur-Richelieu (August 11-19): Every August, more than 125 balloonists descend on Saint-Jean-sur-Richelieu, midway between Montreal and Vermont, for the largest hot-air festival in Canada.

Mass balloon launches at dawn and dusk bookend nine days filled with live music performances that range from Canadian folk group Cowboys Fringants to rapper T Pain, and family activities, including Balloon Planet, an inflatable amusement park. Come dark, dozens of tethered balloons are illuminated for "night suns," a multimedia event with music and projections. Reserve your own flight starting at $170.

Glen Falls, New York

Adirondack Balloon Festival (September 20-23): This is the 40th anniversary of the Adirondack Balloon Festival, the oldest and largest balloon gathering on the East Coast. Some 100 balloonists, including a slew who man special-shaped airships like dragons and bald eagles, converge on the region's parks and airports to launch against a backdrop of mountains awash in fall foliage. Spectators can arrange flights privately with pilots.

"It's so beautiful seeing the meandering Hudson River, the Adirondacks to the north, the Green Mountains in Vermont and the Catskills to the south," says pilot Greg Livadas, a Rochester, New York pilot who has been flying in the festival for more than 30 years. The free event keeps the fun going in the afternoons with live music, aircraft displays, kite flying and meet-and-greets with pilots.

Albuquerque, New Mexico

Albuquerque International Balloon Fiesta (October 6-14): What started in 1972 as a local radio station promotion to round up the most hot air balloons in one place has become the world's largest ballooning gathering and, boast organizers, the most photographed event anywhere. Fueled by Albuquerque's crisp fall climate and predictable air currents that allow balloonists to control their flights, the Balloon Fiesta attracts some 700 balloons from more than 50 countries.

The weeklong festivities include fireworks and concerts and showcase all manner of dazzling displays, from a special shape rodeo to lighted nighttime "balloon glows," but the climax is the handful of spectacular mass ascensions in which all participants take to the sky in two waves.

Cappadocia, Turkey

Book a private balloon flight in Cappadocia, Turkey, and you'll get to see lava deposits at Turkey's Mount Erciyes twisted by two millennia of erosion into hundreds of pillars and minarets known as fairy chimneys, making the landscape in the country's central Anatolian region look like a set from Lost in Space. Soak up the spires in all their glory, as well as hand-hewn churches and homes carved from the limestone, from 1,000 feet on a 90-minute balloon flight from Royal Balloon.

Napa Valley, California

With a patchwork of vines stretching for miles across gently rolling countryside, Napa Valley's signature landscape is even more breathtaking by air. By late summer, the fog dissipates and you might even spy San Francisco and the bay in the distance. Napa Valley Balloons has been offering sunrise, hourlong flights from Yountville for some 30 years. Passengers enjoy a champagne brunch at the winery after touching down at Domaine Chandon.

Luberon, France

From the vineyards of Champagne to the peaks of the Pyrenees, France's diverse topography packs plenty of potential for ballooning. Named for the pastime's French inventors, the more than 25-year-old France Montgolfieres company offers launches from nine sites throughout the country.

The newest base, Forcalquier in Haute Provence, has fast become one of the most popular. Nestled between the Alps and the Mediterranean, it's the perfect jumping off point to float over the medieval hilltop villages and lavender country of Provence. Upon landing you'll celebrate with a traditional toast de l'aeronaute.

Serengeti National Park, Tanzania

A bird's eye view of unsuspecting wildlife takes safaris to new heights. Serengeti Balloon Safaris offers year-round flights over the Seronera Valley in the vast Serengeti National Park, home to zebra, giraffes, hippos, lions and leopards. The company also offers seasonal flights in other areas of the park during the annual wildebeest migration. Equipped with "stealth" burners, the balloons quietly float above the acacia treetops, launching at dawn when winds are favorable and game are most active.

@highlight

Looking to see the world from a different perspective? Ballooning could be for you

@highlight

Visit Albuquerque or Quebec for mass displays of ballooning enthusiasm

@highlight

If you're looking for a refined aerial trek, check out Napa Valley and Luberon, France