(CNN) -- Dominican Republic President Leonel Fernandez continues to shuffle his top military commanders as he tries to make good on his recent promise to cleanse the government of corruption.

Dominican Republic President Leonel Fernandez has faced political pressure to act on government corruption.

After firing 700 police officers and forcing the retirement of 31 military and police generals Sunday, Fernandez on Monday removed more generals and reassigned others.

The government also has announced that more than 535 members of the nation's 24,000-strong military have been forced out in the past six months due to their suspected involvement in the drug trade.

Among the generals forced to retire was the former head of the nation's top anti-drug agency, the Dominican National Drug Control, known by its Spanish acronym DNCD.

In his state-of-the-nation speech Friday, Fernandez said, "In the Dominican Republic -- listen well -- narcotrafficking will not pass."

Despite the president's strong words, many Dominican citizens and outside analysts said narcotrafficking already has taken hold.

"The situation in the Dominican Republic is that organizations that are supposedly involved in fighting corruption and narcotrafficking are involved in it," said Tomas Castro Monegro, an anti-corruption attorney for 25 years in Santo Domingo, the capital.

Tobias Friedl, a regional manager for Latin America at Washington-based iJET Intelligent Risk Systems, which helps companies assess and deal with dangers abroad, said, "The security forces -- the army and the police -- have been corrupted."

The Dominican government generally carries out military promotions and retirements on February 27, the day in which the nation celebrates its 1844 declaration of independence from Haiti. But this year's numbers are unprecedented, Castro said.

In 1978, he said, 48 generals were let go -- some for perceived corruption, others for political reasons. But Castro said he never has seen 700 police officers fired or more than 500 military personnel relieved of their duties.

"In the majority of cases," he said, "there has to be something linking that person to narcotrafficking or corruption in general."

National police chief Rafael Guzman addressed his force Monday, admonishing them not to cave in to the many temptations they face.

"Today, more than ever, harassed by increasingly demanding challenges that jump out from all sides, just when drug trafficking persists in crippling society, it's time for all police agents and officers, the men and women of our dear institution ... to raise our chest, since this is the moment to define ourselves. We're with the nation or we're against it," he was quoted as saying in the Dominican Today and Listin Diario newspaper Web sites.

Castro and others said police and the military have been involved in organized crime "for a long time." The evidence lies in the lavish lifestyles many of these officials are able to sustain on a public salary, they said.

"They live in contradiction with their salaries," Castro said. "They live in houses that cost millions of pesos and drive big vehicles."

Corrupt officials prefer to work in customs, at the airport and the border and in anti-drug units, the lawyer said. They receive bribes from traffickers, Castro said, and also profit by arresting people involved in the drug trade and taking their possessions.

Castro, a well-known attorney in a nation of less than 10 million, has represented drug suspects and has argued cases before the Dominican Supreme Court. In 2000, a published report said, he filed a suit against Fernandez alleging padded road-construction contracts.

Friedl, the risk analyst, notes that Caribbean routes for drug shipments have diminished due to strong interdiction efforts by the U.S. Coast Guard. The majority of shipments now travel through Mexico, Costa Rica and Panama, he said.

However, Friedl and others said, the drug trade still flourishes in the Dominican Republic.

"The Dominican Republic is not a major drug-producing country, but it acts as a transit point for cocaine, heroin, marijuana and ecstasy bound for the United States and Europe," said Jane's Sentinel Security Assessment, a publication that offers country-by-country risk analysis. "The main trafficking routes are by sea from South America, and the drugs are then transferred by go-fast boats to islands such as Puerto Rico and St. Martin, on the way to the U.S."

The indexmundi Web site, which offers analyses on nations worldwide, said the Dominican Republic has become "a trans-shipment point for ecstasy from the Netherlands and Belgium destined for the U.S. and Canada."

Jane's and indexmundi point out that substantial money-laundering also takes place in the Dominican Republic.

Deteriorating conditions in Haiti, with which the Dominican Republic shares a 193-mile border, have led traffickers to go next door.

"Haiti was the place where drugs used to come through," Friedl said. "Some of this now has shifted to the Dominican Republic."

Drug use in the Dominican Republic also has shifted.

Ramon Cruz Benzan, a reporter for the Listin Diario newspaper who has been covering corruption cases, relates what many Dominicans say: "Before, it used to come in and it would go. Now, it's not like that. It comes in and it stays."

Friedl points out that tourism creates a demand for drugs. "Tourism is a huge thing in the Dominican Republic. Local consumption has definitely gone up."

And large Dominican communities in the United States and Puerto Rico "create a natural connection" for drug smuggling into those countries, Friedl said.

Federal officials in New York have been battling -- and indicting -- Dominican natives on drug charges for years.

Some observers see Fernandez's crackdown as a sign that he is getting serious.

"Fernandez is trying to weed out corruption," said Chris Kimble, a Latin America analyst also with iJET Intelligent Risk Systems.

Others, such as the lawyer Castro, said Fernandez was forced to act after public outcry concerning the shootings deaths in August of seven Colombians in a drug-related case. A high-level commission appointed by Fernandez concluded that low- and midlevel officials from the national police were involved.

But many Dominicans said they believe higher-ranking officers were responsible and the political pressure has been mounting on Fernandez to act. And many observers don't expect this will be the last of it.

@highlight

President Leonel Fernandez fires 700 police officers in Dominican Republic

@highlight

He shuffles more commanders after forcing retirement of 31 military, police generals

@highlight

Fernandez vows in a state-of-the-nation speech to rid the government of corruption

@highlight

Fernandez says, "Listen well -- narcotrafficking will not pass"