(CNN) -- When I was at Cambridge University 10 years ago, there was a story of a history professor who began his lecture series with this piece of advice: "We all know that Margaret Thatcher was evil, but don't write that in the exam."

The sweep of his judgment -- including the presumption that his students all thought the same -- articulates the way that Margaret Thatcher's legacy divides Britain. The things she did may have been necessary, but the way that she did them cleaved the country in two.

Thatcher was a paradoxical figure: a radical conservative. Conservatives traditionally want to uphold the social order that they inherit, but she wanted to upend the postwar British consensus and return the country to what she regarded as its older glory. When she became prime minister in 1979, she inherited a country in which public services were nationalized, unions were all-powerful and British power was in retreat overseas.

Her time in office proved revolutionary: The top rate of tax fell from 83% to 40%, major industries and services were privatized, the unions were reformed and their influence diminished and the UK successfully liberated the Falkland Islands from Argentinian occupation. Britain owes its present wealth and global reputation to Thatcher, a woman who saw accepting decline as an immoral affront to patriotism.

Opinion: How 'Lady T' built transatlantic bridges

There were many winners. People such as my parents were permitted to buy the house that they rented from the local government and so gained a stake in the property market. Share ownership blossomed and the size of the banking industry broke 100% of the GDP for the first time. Average earnings increased 181%. Aspiration became fashionable in a land where people had always been taught that they were defined by the class in which they were born. I'm very much one of "Thatcher's children" -- education and hard work have given me opportunities that were, for my parents, the stuff of dreams.

But there were also losers. Thatcher insisted that her policies were about uniting the country by giving the working class an investment in capitalism. But she also demonized her opponents and spoke of the organized left as an "enemy within." Class conflict worsened as some felt that the government was prioritizing the needs of the southern middle class over the northern working class. There were riots in major cities, particularly among ethnic minorities, and the coal miners took Britain into a yearlong strike that sometimes felt like a civil war.

Opinion: Why Thatcher was the 'Iron Lady'

The conflict was motored as much by Thatcher's personality as her policies. I suspect that any government running Britain in the 1980s would have been forced to accept some degree of economic liberalization. Left-wing governments in New Zealand and Australia also experimented with deregulation -- because the economic circumstances of the time demanded it, regardless of the political character of the government. What made Thatcherism unique was its hard-headedness.

There were episodes of compromise. Thatcher caved into one threat of a coal strike before refusing to cooperate with the second, and she held back from overhauling the welfare state, pouring money into the National Health Service. But the tone of her administration was aggressive. When confronted by moderates within her own party, she famously said, "U-turn if you want to. The lady's not for turning."

Such rhetorical ferocity was common. Thatcher on consensus politics: "To me, consensus seems to be the process of abandoning all beliefs, principles, values and policies. So it is something in which no one believes and to which no one objects." On society: "There is no such thing as society. There are individual men and women, and there are families."

Often Thatcher is compared to President Ronald Reagan, and there are philosophical similarities. But a key difference is that Reagan rhetorically always tried to find common ground between Americans and could be loved even by those who disagreed with him. Thatcher -- perhaps because of the scale of the challenges she faced -- almost always divided. Today, you can instantly tell the politics of a Brit by the face they pull when you mention her name.

Opinion: Why Britain needs another Thatcher

However controversial her legacy it might be, her importance remains beyond dispute. Thatcher destroyed socialism in Britain, turned outdated public services into effective enterprises, broke the dead grip of militant unionism on everyday life and restored confidence to Britain on the global stage. Imitation is the sincerest form of flattery, and the very Labour Party opposition that fought her so bitterly in the 1980s stole most of her policies in the 1990s -- and won themselves three elections as a result.

Former Prime Minister Tony Blair of the Labour Party said on hearing the news of Thatcher's death, "I always thought my job was to build on some of the things she had done rather than reverse them."

And for a younger generation without clearer memories of the past, she can be admired as a woman from a humble background who broke through the ceiling of gender prejudice to transform her country. In an age when we seem to be led in the UK by gray men from privileged backgrounds with a habit of chasing poll numbers rather than dreams, her ambition and zeal are truly missed.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Timothy Stanley says Margaret Thatcher was a paradox as a radical conservative

@highlight

He says she upended Britain's post-war trajectory, cut taxes and increased privatization

@highlight

She made country aspirational but demonized opponents and stoked class warfare, he says

@highlight

Stanley: As woman, she broke ground; as PM, she was important but divisive figure