Macau (CNN) -- Triad attacks. Prostitute calling cards. Illicit money flows.

This is the dark underbelly of Macau -- Asia's gambling capital. The only Chinese territory where casinos are permitted, the city has transformed itself in little more than a decade from a sleepy backwater to a neon-lit monument to China's passion for gambling.

Gambling revenues in the city surpassed Las Vegas in 2006 and are now six times greater. But the former Portuguese colony's dramatic rise has come at a cost, with many in Macau questioning whether growth has been too fast and furious.

"You really don't know whether society as a whole has benefited," said Samuel Huang, an associate professor in gambling studies at the Macau Polytechnic Institute.

Portuguese lawyer Jorge Menezes, 47, has experienced first hand the city's more brutal side.

Last month, he was attacked in broad daylight by two men as he walked his five-year-old son to pre-school in what he believes was an intimidation attempt linked to his work as a lawyer.

"I was walking with my son and suddenly I felt a huge blow on the back of my head," he told CNN from his office just a block away from where the attack took place.

"I turned around, already bleeding, and he threw another blow toward my head and then a second guy came at me from behind.

"I couldn't run away because my son was there. I needed to protect him."

Menezes, who injured his wrist and required stitches to his head, said the two assailants each had a brick tied to one of their hands.

"I was told it's a technique used by mafioso in mainland China, because they can carry it without being seen as a weapon."

A spokesman for Macau's Public Security Police, confirmed that the lawyer was attacked by two Chinese men brandishing hard objects who later fled. They added the case was under investigation.

In the run-up to the city's return to China, gang violence was commonplace, claiming the lives of some 37 people in 1999 alone -- though violent crime became rarer as the city's gaming market boomed.

However, some recent cases have unsettled residents. In 2012, a longtime operator of VIP casino junkets, Ng Man-sun, was beaten by six men in his hotel in what was reportedly a dispute with his ex-lover.

The city also feared a return to violence after the release of a notorious gangster known as Wan Kuok-kio or "Broken Tooth" in December after 15 years in prison.

WATCH: 'Broken Tooth' released from prison

Menezes says he rarely goes out to socialize and he cannot think of a personal motive for the attack: "I have no doubt that it's linked to work. It is definitely an attempt to intimidate me or put me out of action for a few months.

"I was working on cases that could bring direct or collateral damage -- collateral in the sense that there are third parties that are affected by what I am doing," he said, declining to say who he thought was behind the attack.

As a precaution, he has recruited a security guard cum secretary, but Menezes says he intends to stay put and continue representing his clients.

Steve Vickers, a former intelligence officer with the Hong Kong police and a specialist in triad activities, claimed Macau's gaming sector retains deep ties to organized crime.

"The scene has changed over the past 10 years as the pie has vastly increased," said Vickers, who now runs a specialist risk mitigation and corporate intelligence consultancy SVA. "It's not the cowboy town it was when Broken Tooth was running around.

"The big boys have moved in ... and they do not want visible street fights, with people being beaten up because it's bad for business and brings attention."

By and large, Macau remains a safe place with 182 violent crimes reported in the first three months of this year, up one from the same period a year earlier, according to figures from the Secretary for Security. The city is home to 500,000 people, while Macau's three dozen casinos attract more than 28 million visitors a year.

Vickers says that while the city's big casinos, some owned by U.S. tycoons Steve Wynn and Sheldon Adelson, operate correctly and legally, they work in a "messy environment."

They are reliant on income from high rollers and these VIPs are usually brought in from China by junket operators.

"The junkets are an integral part of the gaming scene and they facilitate the transfer of funds, the finding of the high rollers and they facilitate the breaching of Chinese capital controls.

"You won't find their names on the front (door) but the hard reality is that Chinese junkets are largely controlled by triad societies."

China tightly controls the amount of money individuals can take out of the country, with a limit of 20,000 yuan ($3,262) per day and citizens traveling to Macau, which is considered a special administrative region, are subject to these limits.

However, China has turned a blind eye to the abuse of capital controls, said Vickers although he added, this could change as the country's new leaders look to crack down on corruption amid worries about officials funneling money through the city.

Macau government officials did not immediately respond to a request from CNN for comment.

The triads are also said to be involved in prostitution rings, another bone of contention for local Macau residents -- although prostitution is not illegal.

Macau is on a U.S. State Department watch list for human trafficking and according to the 2012 report, criminal syndicates are involved in recruitment.

It says many women fall prey to false advertisements for casino jobs but upon arrival are forced into prostitution.

Many of the city's sidewalks and underpasses are littered with prostitutes' calling cards and fliers for saunas and pole dancing clubs.

"I don't know how to explain this to my children," said Huang at the Macau Polytechnic Institute.

Authorities are keen to diversify Macau's appeal and turn the city into a broader entertainment destination that attracts families and not just casino goers.

New resorts boast attractions like wave pools, fake beaches and high-class dining but there's little evidence that sales of spa treatments and slap-up meals will ever begin to approach revenue from the gambling tables.

"I don't think promoting a more family-friendly environment will be easy," said Huang.

@highlight

Macau home to three dozen casinos and six times bigger than Las Vegas

@highlight

Locals are questioning whether growth has been too fast and furious

@highlight

A gaming lawyer claims he was attacked in broad daylight in an intimidation attempt

@highlight

Macau's gaming sector is thought to retain deep ties to organized crime