(CNN) -- Imagine a future passenger experience. One that considers both consumer needs and trends in society. One that draws from the next generation of technologies that are changing the flying game. One in which the flying experience reflects air transport's environmental responsibility and thus looks for inspiration from nature.

This is what Airbus designers are busy imagining with the Airbus Concept Cabin: A holistic, future-oriented approach inspired by nature. I discussed this in a TED talk I delivered at TEDGlobal this past June.

The approach is presented in our award-winning "Flying Green Experience" showcase in Hamburg and the amazing Autodesk gallery in San Francisco. These demos offer a platform for discussion and the growth of fresh ideas -- ideas about eco-efficiency combined with eco-effectiveness, and aimed at making sustainability not just another buzzword but something that makes future cabin innovations worth doing.

When looking at future trends in society, we see a couple of core developments shaping the kinds of passengers that will fly and what they will expect.

For instance, women are projected to account for more than 70% of higher-educated students in the UK and for an average of 59% across the nations of the Organization for Economic Co-operation and Development (OECD) by 2025. More women business travelers will mean more of a desire for privacy in a very dense area like an aircraft cabin.

The graying members of society will have their own requirements: better accessibility to services on board during flights and less stress during boarding and deboarding. The list goes on: Tall passengers would like more seat pitch, and obese passengers simply need more seat width to enjoy their flight.

Of course, we already have female travelers, old and obese people on board. But in the future passenger landscape, how well their travel needs can be accommodated will have a decisive impact on how they choose to spend their vacation and which vehicle they use to get there.

Their growing awareness of the human impact on the environment will cause them to take responsibility for how they travel. And there could be a time when some are asked to pay a fee for greenhouse gas emissions. Passengers may ultimately select airlines based on their environmental profile, not only by the ticket price.

As we envisioned our future air transportation we needed to consider how technology could help us to combine both passenger comfort and operational efficiency.

We consulted technology experts, futurists and also experts from other industries for their insights, while staying close to our philosophy: "inspired by nature."

For starters, weight reduction is of course key in the aviation industry, and plays a role in improving the environmental profile of the aircraft. It's not enough to build the plane with biodegradable eco-materials if they don't reduce its weight.

But airframe structures are already very efficient in terms of weight and structural performance. How to improve this further, then? One way would be to remove all windows and replace them with "digital windows" or simply displays. But we wanted to look for other weight-reducing solutions that enhanced the passenger experience. Thus we came along with structures that are inspired by such things as bird bones, trees and plants.

A concrete example: Slime mold -- a single-celled organism that lives in soil and can spread rapidly -- creates very efficient redundant structures. This behavior can be transformed in mathematical equations which are implemented into software. Using it, we "create" structures that are very light and stable at the same time.

Another example of inspiration for strong, light structure is the water lily "Victoria Regia" which creates very large leaves that float like pie plates on the water, stable enough for kids to sit on. Nature is full of similar examples and therefore it is in our interest to preserve its natural diversity. We understand nature as an open space from which to get fresh ideas.

We came up with a portfolio of technologies that would help us turn the ideas into something usable and eco-friendly. It included direct manufacturing, fiber optics for data transmission and the idea of transparent Glass Fiber Reinforced Polymer (GFPR) as a strong and unorthodox material for the aircraft's outer shell. We were trying to determine how different technologies might evolve in context to others -- important, because only if you understand certain technologies and their huge potential are you able to pick the appropriate ones.

Then we used this portfolio of technologies in the context of passenger needs to rethink the traditional class system in the aircraft.

Our concept plane has three different zones. First we put our focus on the entrance area with wide central doors, "active surfaces" and shape-changing materials. This helped us to create a space which is entirely customizable and transformable during the flight.

As a passenger you won't need to stay in the galley during the flight anymore, when you wish to stand for a while. You will meet other passenger in this "interaction zone" to share your thoughts, play digital sports or just have a drink together. For the airliner, or customers, new business opportunities come along with this.

The interaction zone divides the cabin into two other sections: the "smart tech zone" and the "vitalizing zone." The smart tech zone, which is located in the aft fuselage, is focused on business travelers and people who like to use the latest technologies. It could also feature seating options -- seats that change shape, have increased pitch and even rows that fold up when they're empty.

The vitalizing zone is the big highlight of the concept cabin. It responds to passengers' behavior by tracking their well-being through sensors that can recognize gestures and could perhaps even determine when a passenger is, for example, dehydrated. It could also afford an impressive 360-degree outside view through translucent ceiling and walls.

As a consequence we had to relocate the cockpit to the cargo bay. Yes, in the future we consider that pilots are still important.

You might think that these guys just produced some inspiring pictures of cool, nature-inspired aircraft and futuristic, high-tech interiors. Or maybe you find our concept cabin disturbing and you never would believe that this might even become reality from the technical perspective. Or maybe you only would be afraid to imagine sitting as a passenger under a transparent roof while flying at an altitude of 30,000 feet.

But the core objective is not to consider whether this imagined future is the only way to go, but to paint a picture of the future -- based on scientific trends and technology research -- so that we can understand the core driving forces for air travel and point towards potential solutions.

You need a picture to make that potential future tangible.

You need a story about the future -- with images to go along with it -- to help extend the imagination. It's how you turn critical reflection on how to use the technology into a vision of aviation that pushes the boundaries even further.

See-through cabins and passenger pods: Is this the future of flight?

The opinions expressed in this commentary are solely those of Bastian Schaefer.

Watch BackStory 2200-2230 GMT weekdays. For the latest from BackStory click here.

@highlight

Bastian Schaefer: Future flying experience will be consumer-centered, eco-friendly

@highlight

He says Airbus envisions a holistic approach, with a rethinking of airplane interiors

@highlight

Ideas for materials can come from structure of water lilies, slime molds, bird bones

@highlight

Schaefer: You need an illustrated story of the future to help extend the imagination