(CNN) -- I got married the Saturday before Labor Day. My partner Jená and I had been a couple for nearly nine years and living together for six. Which is why the most frequent refrain she and I heard all weekend was, "It's about time!"

So why, after all these years, did we decide to tie the knot? Well, it has something to do with gay marriage.

We live in Seattle, Washington. Ever since the voters of our state enacted marriage equality in a 2012 referendum, dozens of friends have entered into same-sex marriages. Many had been together for years or even decades but rushed to get the seal of the state on their unions.

What has struck me about this boomlet of connubial bliss -- a steady parade of weddings with double white dresses or double tuxedos, and all the traditional trappings and rituals -- is that something very deeply American is happening: We are using progress to conserve an institution. And/or: We are conserving something to make progress.

I'd supported Referendum 74 and spoken out in favor of it. The argument I'd made most often was that interracial marriage had once been illegal, and a ban on same-sex marriage was similarly unjust and repugnant. The analogy seemed direct, and the need for straight allies of color to stand up for marriage equality seemed urgent.

After the campaign, watching all these couples who'd fought for recognition finally achieve it and joyfully claim it, I was stirred by something other than social justice. I began to appreciate more deeply what marriage truly means, why it matters, and how the experience of a ceremony and a public commitment -- to say nothing of the shared life that's thereby transformed -- is so necessary.

Now, to be sure, there were some visceral reasons why Jená and I had for so long stuck with cohabitation and "practically married" status. Each of us had been married once before, and the endings had left us both a little wary.

What helped get us over that wariness was in part the passage of time and the strengthening of our bond as we experienced life together, for better and worse. Part of it too was the catalytic example of our gay and lesbian friends, neighbors and colleagues.

They showed us that marriage is different. That "wife" and "husband" are different from "partner" or "girlfriend/boyfriend." That vows spoken publicly are different from assurances whispered privately. That if fear should block us from exercising a right like the right to marry, then we should consider how it'd feel to be denied the right altogether. That the reason this institution is vital is that in the end it's not about rights; it's about responsibility -- of one spouse to the other; of the couple to their people, and vice versa.

Opponents of marriage equality have claimed that letting gays and lesbians marry would devalue marriage, subvert its purposes, lead to the collapse of families. In poll after poll, across the country, the anti-equality advocates are losing. More importantly, though, in state after state, they're being proven wrong.

Marriage today has a new glow to it, a vibrancy that comes with the entry of all these same-sex newcomers. It's akin to the way that immigrants have revitalized dying rural towns and neglected urban neighborhoods, injecting new blood, new money, and new energy into dilapidated structures.

Eight days before we spoke our vows in front of family and friends, Jená and I went to the courthouse. Our friend who performed the legal wedding there is a justice of the Washington State Supreme Court. Since the passage of marriage equality she's been the go-to judge for same-sex weddings. There are two reasons why. One, she is lesbian and a pioneer in the legal community. Two, her name is Mary Yu.

When someone named Mary Yu marries you, things feel right. And when our big wedding ceremony a week later concluded with vows that all our people made to us, the larger implications of marriage equality became vividly clear. Far from subverting or undermining the institution of marriage, gays and lesbians are fortifying it. Not just by forming their own families. But also by giving people like me and Jená the courage to remake ours.

So yes, I speak stoutly in defense of marriage -- marriage for all -- and I do so because I am grateful to be reminded by those once excluded what a powerful thing it is to join the matrimonial tribe.

@highlight

Eric Liu: My longtime partner, Jená, and I finally got married before Labor Day

@highlight

Liu: So why, after nearly nine years, did we decide to tie the knot?

@highlight

He says seeing many friends fight so hard for same-sex marriage rights was inspiring

@highlight

Liu: I began to appreciate what marriage truly means and why it's so important