Washington (CNN) -- If you listen carefully, you can hear something important being debated in this election, in fact one of the most important questions of them all:

What hope is there for the average American worker?

Once upon a time -- in the far-off days after World War II -- the average worker could look forward to a steadily rising standard of living. You didn't have to be anyone special or do anything special. Just keep doing your job, and over the three decades from the mid-1940s through the mid-1970s you could expect your wages to double. And that's after inflation.

That was a long time ago.

Even before the Great Recession, wages tended to stagnate or decline, except for the most skilled workers in the most robust industries: technology, finance, and so on. The middle stayed put; the top pulled away. There's little reason to expect that situation to change after recovery arrives.

Opinion: Republicans risk being the party of mean

We live in a world of global competition now, where even white-collar jobs can be outsourced to India. If the jobs can't be exported, then the workers are imported, via legal or illegal immigration. Outside the government sector, unions wield little clout -- where they exist at all. For those reasons and others, the wage share of the economy had already sunk to record lows as of 2007.

What -- if anything -- should be done? Barack Obama and Mitt Romney each have answers, although you have to listen carefully to reconstruct them.

Here (as I read it) is President Obama's answer. (These are my words, except for the speech quote.)

Purely free markets won't be generating wage increases any time soon. There's just too much low-wage competition out there. But we can do two things. As I outlined in my November 2011 speech in Osawatomie, Kansas, we can put more people to work in jobs funded by government contracts, where government can ensure high wages and benefits. That's what I meant when I said,

"[M]anufacturers and other companies are setting up shop in the places with the best infrastructure to ship their products, move their workers, communicate with the rest of the world. And that's why the over 1 million construction workers who lost their jobs when the housing market collapsed, they shouldn't be sitting at home with nothing to do. They should be rebuilding our roads and our bridges, laying down faster railroads and broadband, modernizing our schools -- all the things other countries are already doing to attract good jobs and businesses to their shores.

"Yes, business, and not government, will always be the primary generator of good jobs with incomes that lift people into the middle class and keep them there. But as a nation, we've always come together, through our government, to help create the conditions where both workers and businesses can succeed."

Government contractors can't employ everybody, however. So we'll plump up the low wages of those in the purely private economy with a growing array of wage supplements. We top up low pay with the Earned Income Tax Credit. We've added 14.6 million food stamp beneficiaries. After 2014, we'll be enrolling as many as 17 million additional low-wage workers in the country in Medicaid. We've increased subsidies for college tuition, and we subsidize heating fuel costs as well.

Vote for me, and government benefits and government employment will compensate for the wage increases the private job market does not deliver.

Mitt Romney has called the president's vision a "government-centric" one - and that seems exactly right.

Here's the Romney alternative (again these are my words, not his):

I probably can't deliver rising wages for the typical worker any better than the president can. That's why I hardly talk about wages at all -- they're barely mentioned in my most important economic policy statement, the 57-point plan I released last year.

My concern is less with the typical worker and more with the most ambitious and most talented. I want to protect the "right to rise," as my supporters in the conservative media often phrase it. Under the president's approach, that right will be crushed by the weight of debt and taxes -- and what's debt, but future taxes?

Instead of greater subsidies for those content to stay where they are, I offer lower taxes to those who want to better their condition. Their hard work and innovation will yield benefits for everyone.

OK, maybe money wages haven't risen much since 1973 for the typical worker. But today that worker has a safer car, a bigger house, and smarter appliances. He or she enjoys products and services unimagined in 1973: personal computers, cellphones, video on demand. Food, furniture, and vacations are all cheaper and better. You can choose Coke with zero calories, and you don't have to line up at the DMV to renew your license plates. All these improvements were brought to you by people who got rich along the way -- and so will the next wave of improvements after that. The president's call for higher taxes on the rich will only stifle and slow consumer progress.

The president is offering higher taxes to support more benefits. I'm offering lower taxes to drive more improvements in the private economy and better products and services for you. Vote for me.

Don't expect the candidates ever to speak that frankly -- too risky. But if you pay attention, you can discover the inner message behind the warm fog of campaign rhetoric. So there's your choice, America: because while we may have put 100 new cereal varieties on the shelves, at the voting booth it's still just Red or Blue.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: American workers have been losing ground for decades

@highlight

He says President Obama's answer is to make up for wage declines with government aid

@highlight

Romney's view is that government can't prop up wages but should enable innovators, Frum said

@highlight

Frum: The candidates won't fully own up to their visions, but you can read between the lines