Earlier this year, a European court ruled that search engine operators such as Google could be held responsible for personal data which appear on web pages published by third parties and found through their searches.

As thousands of people ask for their information to be removed, is Google is trying its best to provide a workable solution or trying to undermine a ruling that, from the very start, it really did not like?

In the commentary I wrote for CNN the day after the ruling in the Google Spain case, I suggested the result created a headache -- and potentially huge costs -- for Google, and that it could open the door to a flood of cases, each of which would need a resolution.

I wrote that how Google responded to the ruling would be critical -- and the initial signs are that the company's response has already caused problems.

As predicted, Google received a huge volume of requests to have links removed -- more than 40,000 in the first four days after the ruling. The company has now begun the process of responding to them.

If the request appears valid -- and how that is determined is one key issue -- there seem to be three parts to their response:

First is the removal of the search result -- and it must be remembered that it is only search results when a particular name is searched for that are removed, not the source material nor search results for that material when searched for in any other way.

Second is that search results for individuals using European versions of Google (that is, google.co.uk rather than google.com) will now often include a message at the bottom that reads: "Some results may have been removed under data protection law in Europe." The curious are then offered the chance to "learn more" on the company's privacy and terms page.

This alert does not, however, mean that search results have been removed -- it appears if any search is made for an individual's name where there are no "public figures" with that same name.

Thirdly comes the part of the response which has triggered the most dramatic results: If a link to an article is blocked as a result of a request, notification is sent to the publisher of that article. When journalists receive that notification they are, quite naturally, upset.

Two particular examples involving prominent journalists in the UK have highlighted this -- and both have written about it. The first was James Ball in the Guardian, the second Robert Peston for the BBC. Both wrote pieces about the experience; Peston's had an understandably dramatic headline: "Why has Google cast me into oblivion?"

In both Ball's and Peston's cases, many of the stories that they had been notified about did not seem to fall into categories covered by the Google Spain ruling: old, irrelevant stories about people who were not public figures. Ball's stories included pieces from 2010 and 2011 -- scarcely old -- while Peston's covered critical events in the banking world in 2007 -- the ousting of banker Stan O'Neal from Merrill Lynch -- something that cannot be described as irrelevant or not in the public interest.

It looked as though this was exactly what the opponents of the right to be forgotten were worried about: censorship and the rewriting of history.

Peston, however, was not quite convinced, hence his headline that Google was casting him into oblivion, not the European Court of Justice.

Was it, in fact, that Google were overreacting -- either that they were, as Peston put it, "clumsy" or that, perhaps, they were deliberately attempting to undermine the ruling by making it seem either unworkable or a dangerous form of censorship.

That Google might be deliberately undermining the ruling seems possible; all three parts of their response could contribute to this view.

Firstly, they seem to be erring on the side of the people wishing for things to be blocked -- and hence they do create more censorship.

Secondly, by alerting about far more search results than are actually affected by the rulings, they create an atmosphere in which people feel more censored.

Thirdly, by the form which their notification to journalists takes, they make journalists feel censored -- and might make strong, important and expert journalists into allies in their attempts to undermine the ruling.

The combination of these three is a potent one.

On the other hand, it is possible that it is simply clumsy, and that these are teething troubles.

Peston says: "Google insists it is simply complying with the relevant articles in the European Court of Justice's ruling."

In a message to those seeking to have content removed, Google itself acknowledges it is still "working to finalize our implementation of removal requests."

The individual cases that have made the headlines have begun to unravel a little: Google has reversed its decisions on James Ball's pieces, recognising there is a public interest. Peston's piece is more interesting.

The assumption Peston made, reasonably enough, was that the link would be blocked when people search for Sean O'Neal, since his was the only name that appeared in the article in question.

But in fact, it turns out that the request to block the story related to a member of the public whose name appeared in the comments on the piece -- the link removed relates to searches for that person. Searching for Sean O'Neal still brings up the article.

Google's response is in line with the law -- but it looks far worse than it is.

That, indeed, may be true of the whole story surrounding the right to be forgotten. It looks worse than it is.

I hope that is the case, and that these events are just teething troubles, and that better, more workable solutions will appear, and a more appropriate balance between privacy and freedom of expression can be struck.

How Google's response develops in the weeks and months to come is the key -- and whether they really want to find a way to make it work will determine that.

This whole affair demonstrates the huge power that Google already wields. Because, ultimately, it is Google carrying out this "censorship," not the court.

Google does similar things already, though without such a fanfare, in relation to copyright protection, links to things like obscene or illegal content and so forth.  They are already acting as censors -- and as they tailor search results to the individual anyway, they are already choosing what people see and read -- and what they don't see and read.

The most important thing that Google can do in response to the court ruling is to engage positively and actively with the ongoing reform process of the Data Protection Regime.

A well-executed reform, with a better written, more limited and more appropriate version of the right to be forgotten could be the ultimate solution here. If that can be brought in soon -- rather than delayed or undermined -- then we can all move on from the Google Spain ruling, both legally and practically. Everyone might benefit from that.

@highlight

Thousands of people request removal of information about them from Google searches

@highlight

Appeals follow court ruling that members of the public have a "right to be forgotten"

@highlight

High profile journalists have questioned why their stories have been blocked

@highlight

Paul Bernal says Google may be sticking to letter of law to undermine ruling