(CNN) -- When our helicopter flew into Port-au-Prince, it almost felt like we were on some silent glide.

The sharp sound of the rotor blades faded into background noise. Sound did not rise from the ground. There was not enough traffic or people or life to raise a ruckus. There were no fires burning or that dark energy that rises up from the ground when there is danger in the air.

There was silence, people huddling in tents alongside flattened buildings, people sifting slowly through the rubble of their lives, people adrift.

We entered Haiti like a lot of the folks entering Haiti, down right nervous. Haiti has a history of horrible acts of violence against its own people and visitors. Journalists have died in Haiti. There are many guns and many vendettas. It's not just that there is an earthquake whose aftershocks could rattle away at what remains.

There is an expectation of danger, a question in the air. Will these desperate, disheartened, wounded people rise to violence and theft in the wake of this latest, largest disaster?

We landed without incident in the yard of the Dominican Embassy with precious supplies brought in by relief organizations. A CNN convoy laden with water and money and fuel followed us in by land without a hitch. And in the days that followed, we did not see a population breaking into buildings or fighting over scant resources. The Haiti we saw is not a land of fires and violence and looting. This is a land where desperation has been supplanted by despair.

Each day, we left our workspace with security people, drivers, big guys that were supposed to help us navigate presumed dangers. They mostly hung out and chatted with kids playing around our cars. They walked us into a huge plaza where a massive tent city had formed. It was so quiet. People just sitting there, holding their children beneath sheets so they aren't burned in the sun.

Some mothers are bathing their kids in murky water. There is one remedial medical station beneath a tent. Three medical volunteers with meager supplies tend to the wounds of dozens.

Anguished mothers wait patiently with children wounded and wailing. No one complains. No one pushes.

One afternoon we happened upon Capital Bank, a building that also housed a Western Union and some local money order services. A flotilla of United Nations folks from Ghana and France and Canada descended with major artillery.

A tank, a string of armored cars and high-ranking officials with bright stripes decorating their uniforms rushed around on high alert. They shut down the street as they entered the building and brought out sacks that seemed to be filled with money.

Full coverage

When we went to take a picture, they became very agitated. Some of them yelled that we had no business here and pushed us back into the road where the oncoming cars fortunately stopped in time. They were so overwhelming that a female official from Ghana began to laugh at her colleagues. "Let them take the photo," she told a muscular Canadian officer. "Here," he said handing her his walkie talkie. "You be in charge of this mission." But the "mission" was barely picture worthy. The Haitians ambled by, as the apparent sacks of money were removed for safe keeping.

The scene was the same at the building where taxes are collected. A great crane lifted rubble while a crowd watched peacefully. No one seemed to be trying to get into the flattened presidential palace nearby even though there was not much visible security.

We also passed gas lines. Gas is the key to so many things right now, powering the car that can get you out of this disaster, running the generator that can turn on your lights or make it possible to call for help on a cell phone. The cars sit quietly, drivers holding their places without a quarrel.

We drove around day after day and saw nothing but sad people sweeping their streets of rubble and bodies and wreckage. We drove out to Leogan, the epicenter of the quake, and people calmly moved bananas, sugar cane and water from the fields into tent cities erected in open space.

Haiti's missing, found

We saw an organized crowd being handed water bottles from soldiers who flew in from Camp Lejeune. We did not see one gun, except the ones carried by security guards, police officers and soldiers.

In Jacmel, two hours south, a group of young Haitians ran around with expensive video cameras documenting the destruction of their hometown, Haiti's cultural capital. They had water flown in by their sponsors as well as food and generators, but no one tried to steal them. The hotels that survived were unguarded but not a soul ventured in to take the furniture or bedding that might have made life in the tent cities more bearable.

Haitian doctors staffed the "hospital," a patch of grass outside the real hospital that fell down. Cuban doctors helped them with their work, rationing antibiotics and painkillers. People were in great pain, but no one screamed for help or painkillers. They seemed to think that they were getting whatever was available.

The Canadians posted guards at one gate to keep folks from getting to the piers where they brought in supplies, but no one was trying to get in anywhere around this huge dock. They stood in line at distribution centers, grabbed a broom or shovel to help the soldiers clear streets.

When the French erected a mobile medical unit, the people formed a peaceful line and repeatedly expressed their gratitude. These are people with injuries that make you gasp. Many amputations have been done by amateurs in bad circumstances. It's hot. No one said a word.

We followed the directors of an orphanage as they traveled through some of Port-au-Prince's poorest neighborhoods. They didn't have many supplies, but they wanted to share. No one tried to rob us. A woman broke down in tears begging us to help us find her son. She ignored our bottles of water and food. She just wanted her son.

Impact Your World

A few nights later, her orphanage was hit by bandits who didn't take anything, but scared the kids. At another orphanage we visited, bandits struck twice but left both times with nothing. The orphanage director said they left it because they didn't want to steal supplies from children.

My colleagues saw a few folks break into places and even captured a few scuffles on tape. But those who have spent a lot of time in Haiti was certain there was no more crime, possibly even less crime, than would visit this city of millions on a regular day.

The story of Haiti, at this time, is not one of unending violence, looting and a population angry enough to fight over scant resources. But the people we met were wounded and weary and afraid to go back inside. The earth could shake at any moment and death could visit once again.

@highlight

Despite desperate times, many Haitians not turning to violence

@highlight

Tent cities, makeshift hospitals are new way of life in quake-ravaged country

@highlight

Many residents orderly, appreciative in wake of chaos