(CNN) -- More than 1 million babies born prematurely die each year before they are a month old, the March of Dimes said Sunday in the first comprehensive global report on premature births.

A premature baby rests at a hospital in Kabul, Afghanistan, in October 2007.

The organization suggested the situation could worsen if the rate of premature births increases.

Each year, 12.9 million infants -- or nearly 10 percent of the annual worldwide birth total -- are born before 37 weeks of development in the womb, the organization said. More than 85 percent of the premature births occur in developing countries in Africa and Asia.

"Premature births are an enormous global problem that is exacting a huge toll emotionally, physically and financially on families, medical systems and economies," March of Dimes President Jennifer Howse said in a statement. "In the United States alone, the annual cost of caring for preterm babies and their associated health problems tops $26 billion."

The March of Dimes report, which used data collected by the World Health Organization, breaks down premature birth rates by continent.

The highest premature birth rate is in Africa, where 11.9 percent of births each year are preterm, with more than 4 million premature deliveries annually. In populous Asia, although the preterm birth rate is lower at 9.1 percent, the number of premature births is higher, at nearly 7 million a year.

While North America -- consisting of the United States and Canada in this report -- counts fewer than 500,000 premature births a year, its preterm birth rate is close to that of Africa, at 10.6 percent of all births, according to the report. The rate is the world's second highest.

In the United States, the rate of preterm births has increased 36 percent in the past 25 years, with births between the 34th and 36th week of gestation accounting for the majority of the increase, the organization found. Much of the hike in preterm births is linked to more pregnancies after the age of 35 and the use of fertility treatments that can lead to multiple births.

"Wherever trend data are available, rates of preterm birth are increasing," the report said.

Infants who survive premature birth face lifelong health risks, including the possible development of cerebral palsy, blindness, hearing loss, learning disabilities and other chronic conditions, according to the March of Dimes.

"Preterm birth is a global problem that needs greater attention by policymakers, researchers, health care providers, the media, donor organizations and other stakeholders," the report said.

"The marked disparities in preterm birth along racial/ethnic lines in many high-income countries and the concentration of preterm births in Africa and Asia also clearly indicate that addressing preterm birth is essential for reducing the pronounced inequities in neonatal health and for the world to achieve," it added.

The March of Dimes, a nonprofit agency engaged in pregnancy and baby health research, said some premature births can be prevented by addressing risk factors in mothers, including diabetes, high blood pressure, nutrition, body weight and tobacco and alcohol use. Women who earlier gave birth to a preemie face a greater risk of having another.

While doctors know some of the health and behavior factors in mothers that increase the risk of preterm births, doctors have yet to identify a reliable remedy to prevent early labor, said Christopher Howson, vice president for global programs of the March of Dimes.

"While much can be done right now to reduce death and disability from preterm birth even in low-resource settings, we need to know more about the underlying causes of premature birth in order to develop effective prevention strategies," Howson said.

@highlight

March of Dimes: Nearly 10 percent of world's births are premature

@highlight

More than 85 percent of premature births are in developing parts of Africa, Asia

@highlight

But North America has world's second-highest premature birth rate

@highlight

Doctors have yet to identify a reliable remedy to prevent early labor, group says