Kathmandu, Nepal (CNN)The death toll from the devastating earthquake that struck Nepal two days ago surged past 3,000 on Monday, a government official said. The desperate search for survivors from the country's worst natural disaster in more than 80 years continued.

The number of people confirmed dead in Nepal stands at 3,218, said Nepalese Ministry of Home Affairs spokesman Laxmi Dhakal. India has reported 56 deaths, and China another 20.

The death toll is expected to climb further as officials get information from the rugged countryside that makes up most of Nepal.

As day broke Monday, Nepal was still in survival mode after suffering a series of aftershocks following the huge initial quake on Saturday.

The damage was everywhere. Stunned residents wandered the streets of Kathmandu, the capital city of roughly 3 million people that's now the focus of international disaster relief efforts.

People dug through piles of debris where their homes once stood, seeking pieces of their former lives and, possibly, family members. Many of the injured were treated outside overflowing hospitals, where crowds of people gathered looking for relatives.

Dhakal, the government spokesman, said Monday 6,525 people were reported to have been injured.

One video aired on Nepal State Television captured a rare bright moment amid the death and devastation.

It shows uniformed officers digging though rubble, desperately trying to free a man who is hurt but alive. Rescuers lift him up, and cheers of joy erupt from the crowd. The clip shows him being put on a stretcher and carried to safety.

But often, searchers have found bodies rather than survivors. And the odds of saving the living decrease as the crucial first 72 hours tick by.

The earthquake and its aftershocks have turned one of the world's most scenic regions into a panorama of devastation.

"The journey towards my family home in Sitapaila was a map of quake destruction, with many houses -- old and new -- torn apart," wrote freelance journalist Sunir Pandey.

"A high wall surrounding a monastery had collapsed and the nuns had run to a nearby field," he wrote. "A mud-and-brick cottage had fallen on a blue motorbike but no trace could be found of its rider. Everywhere, survivors gathered wherever they could find open space -- fields, private compounds, empty roadside lots."

At night, many Nepalis slept in the open, shivering in the frigid air of the Himalayan Mountains but at least safe from falling debris.

"The entire city was under darkness," Christina Berry of England wrote for CNN affiliate IBN from Kathmandu. "There was not a single light anywhere. The power supply had been cut off. Our caring hotel manager gave us some food and some candles, too. Me and Alexandra were so scared. We slept in the open verandah of the hotel fearing more quakes in the night."

Read earthquake stories from social media

CNN producer Ingrid Formanek, who arrived Sunday night, said Kathmandu "looks like a city where buildings have been abandoned. People are hanging out in public squares and at intersections to avoid rubble from buildings."

"We were able to drive the main road to the hotel we're staying at, but they're not allowing anyone inside because of the aftershocks. The guests are in a big tent used for functions on the lawn. People are squeezed in. There are probably about 100 people in there," Formanek said. "The tents are covered, but water is seeping in from streets puddled with water, especially around the edges of the tent."

Residents of Kathmandu are banding together to get by, with stores shuttered and very few sources of food and drinkable water.

"Communal kitchens have been set up for cooking," Formanek said. "Not by the government -- people set them up on their own."

Many of the city's centuries-old buildings, which had stood stalwart for generations and provided a sense of national pride, have been toppled.

Dozens of bodies were pulled from Dharahara, the historic nine-story tower that came crashing down during the quake. A backhoe chipped away at the nub left protruding through its crumbled ruins.

When it seemed as if things couldn't get worse, a powerful aftershock jolted Nepal on Sunday, sending people screaming into the streets and causing new injuries for already traumatized residents. Climbers said it set off fresh avalanches on Mount Everest, where at least 17 people were reported to have been killed on Saturday.

The magnitude of the new quake Sunday was initially estimated at 6.7 by the U.S. Geological Survey, considerably weaker than the magnitude-7.8 of the devastating one of a day earlier.

Four Americans were confirmed to be among the dead.

Google executive Dan Fredinburg was one of them. According to an Instagram post by his sister on his account, an avalanche killed Fredinburg on Mount Everest.

Marisa Eve Girawong, who went by her middle name, of New Jersey also was killed by an avalanche on Everest. The physician's assistant was working as an Everest base camp doctor for Seattle-based Madison Mountaineering, when she was swept away to her death.

Tom Taplin, a filmmaker from Santa Monica, California, was making a documentary on Everest climbers, when wind stirred by the avalanche caused him to take a fall, CNN affiliate KABC reported.

Looking for missing loved ones in Nepal? CNN iReport wants to help

The mountains that define Nepal make it difficult to deliver relief, though international efforts are in full swing. Aftershocks are also complicating operations.

A team of 260 emergency responders was about an hour away from departure at Israel's Ben Gurion Airport when an aftershock in Kathmandu delayed its departure.

The U.S. Agency for International Development's Disaster Response Team, made up of 54 urban search and rescue specialists from Fairfax County, Virginia, and six K-9s, headed to Nepal on Sunday on a C-17 military transport plane. The dogs are trained to find signs of life in rubble after a disaster.

But the trip was expected to take about 24 hours, reducing the precious hours left in which survivors are likely to be found.

Are you in Nepal or do you have loved ones affected? Please share with us if you are in a safe place.

How to help the earthquake victims

Fast Facts on earthquakes

CNN's Manesh Shrestha reported from Kathmandu; CNN's Ralph Ellis wrote and reported from Atlanta; and CNN's Jethro Mullen wrote and reported from Hong Kong. CNN's Harmeet Shah Singh, Sumnima Udas, Oren Liebermann and Brian Walker also contributed to this report.

@highlight

The death toll in Nepal rises to 3,218, a government official says

@highlight

The number of injured is reported to be more than 6,500, he says

@highlight

Another 56 people are dead in India, and 20 in China