(CNN)With tensions running high after the shooting of two officers in Ferguson, Missouri, state and county police took over protest security in the St. Louis suburb Thursday.

St. Louis County Police and the Missouri State Highway Patrol are assuming "command of the security detail regarding protests," St. Louis County Police said, while Ferguson Police will remain responsible for "routine policing services" in the city.

The takeover came less than a day after two police officers standing guard outside Ferguson police headquarters were shot in what St. Louis County Police Chief Jon Belmar called an "ambush," spurring a manhunt for those responsible for targeting the line of officers.

"We could have buried two police officers," Belmar told reporters. "... I feel very confident that whoever did this ... came there for whatever nefarious reason that it was."

Belmar said several people "have been very forthright" with investigators, but authorities haven't released the names of any possible suspects.

Investigators believe they have identified two people they want to question in the shooting, and one of them might be the shooter, a law enforcement official said. Police are also trying to find anyone who may have helped the shooter get away.

This isn't the first time that county police and state troopers have stepped in to handle protest security.

When clashes between police and protesters boiled over last year, Missouri's governor declared a state of emergency and tapped the State Highway Patrol to take over. After that emergency declaration expired in December, Ferguson Police resumed command of protest security. Officers from other agencies have continued to provide backup at larger protests.

At a candlelight vigil Thursday night near the scene of the shooting, religious leaders led prayers for the wounded police officers and protesters.

Dozens of demonstrators gathered again outside the police headquarters Thursday night.

This time, Jeff Roorda of the St. Louis Police Officers Association said, the security situation on the streets is different.

"It's a very tense situation, as you can well imagine," he told CNN's "The Situation Room." "In my communications as a union official with police commanders, I've been assured that tactics will be different tonight. I assume that means not only more officers, but a wider perimeter, with coverage, perhaps, of these blind spots from which the shots were fired last night."

Shots rang from a hill overlooking the station out shortly after midnight Wednesday, at the end of a protest against the Ferguson Police Department.

Officers saw "muzzle flashes ... about 125 yards away," Belmar said.

Protesters have disavowed any ties to the shooting, saying the demonstrators believe in nonviolence.

"As the protest was dying down, someone, somewhere got violent. Now who they were and what group they were affiliated with, we don't know," said Antonio French, a St. Louis alderman. "In no way are they representative of the thousands of people...who have been protesting."

Belmar believes someone targeted the police, who have faced heated criticism for months, for a reason. "These police officers were standing there, and they were shot just because they were police officers," he said.

That department has been under fire since one of its officers, Darren Wilson, shot and killed black teen Michael Brown in August, and more recently since a scathing U.S. Department of Justice report came out documenting a pattern of racial discrimination. Police Chief Thomas Jackson resigned from his post Wednesday.

While the demonstrators' focus was Ferguson, neither of the wounded officers works in that St. Louis suburb's Police Department.

One is from Webster Groves, a city about 13 miles south of Ferguson. The officer -- a 32-year-old with seven years' experience -- was shot at the high point of his cheek, just under his right eye, Belmar said.

The other wounded officer was hit in the shoulder and the bullet came out the middle of his back, Belmar said. He is a 41-year-old from St. Louis County Police who has been in law enforcement for the past 14 years.

Both men were treated and released from St. Louis' Barnes Jewish Hospital.

Brown's parents condemned the shooting as "senseless," saying such violence against law enforcement "will not be tolerated."

So did the White House, with a tweet signed with President Barack Obama's initials offering prayers for the wounded officers and calling "violence against police ... unacceptable."

And U.S. Attorney General Eric Holder, who visited Ferguson in the aftermath of Brown's shooting and unrest that spurred, decried what happened as a "heinous and cowardly (and) repugnant attack."

"What happened last night was a pure ambush," Holder said. "This was not someone trying to bring healing to Ferguson. This was a damn punk who was trying to sow discord."

Iresha Turner says police banged on her door in the middle of the night.

"I opened the door and stood back. I look at my chest, there's a red dot on it," she said. "I have my hands up, start crying. I said, 'please, don't shoot me."

Turner was one of three people who were questioned for hours by investigators Thursday and eventually released.

But they never saw the shooting and had no idea who opened fire, she said. Turner thinks police questioned her because she was in a car of people who sped away after the shooting -- not because they had anything to do with it, she said, but because they were scared after hearing gunshots.

It's not known what connection, if any, the shooter or shooters had to Wednesday night's protest.

One irony is that, for some protesters, Wednesday was a day to celebrate: They'd called for Jackson's resignation for months, and finally it was happening.

But for others, it was not enough. That's why they congregated in Ferguson, to demand changes like disbanding the city's entire Police Department and ousting Mayor James Knowles.

Some chanted, "Racist cops have got to go." Others held signs with slogans such as "They don't really care about us!" and "Black lives matter."

"It was a great group (with) great, great energy," protester Markus Loehrer said.

Three were arrested in a crowd Belmar characterized as agitated and "pretty rowdy" at times. Demonstrator DeRay McKesson told CNN that one fight that occurred had nothing to do with the protests.

At its peak, some 150 protesters congregated Wednesday night in front of the Ferguson police station, Belmar said.

About 70 law enforcement officers from multiple departments came in to stand in front of the station, as they have on many other nights -- with the turnout of demonstrators the highest since the November grand jury decision not to indict Wilson.

There's the manhunt, of course. And then there's the likelihood of more protests and the possibility of more violence as well.

Even though Jackson, City Manager John Shaw, Ferguson's top court clerk and two police officers are gone or on their way out, some activists are vowing to keep pressing for change.

"We aren't satisfied with this," Reed said of the police chief's exit. "It's a step in the right direction, but it's not what total justice looks like in Ferguson."

Jackson expressed optimism that, in his view, the Justice Department report concluded that Ferguson "can do the tough work to see this through and emerge the best small town it can be."

But what are the prospects after Thursday's shooting?

Loehrer worried that the shooting will undercut the protesters' message against discrimination and violence.

"It's a shame that somebody had to take advantage of this great group," he said, "to do something so despicable."

And Belmar said it underscores the fact that, eight months after Brown's death, the streets of Ferguson are still simmering and law enforcement officers there are on edge.

"This is beginning at times to be very difficult for any law enforcement agencies, anywhere, to really wrap their arms around," he said. "I want everybody ... to understand how difficult this is."

CNN's Holly Yan, Joe Sutton, Sara Sidner, Jason Carroll, Shimon Prokupecz, Evan Perez, Don Lemon and Tina Burnside contributed to this report.

@highlight

Protests resume outside Ferguson's police headquarters

@highlight

Investigators identify two they want to question; one might be the shooter

@highlight

State troopers and county police will take over protest security