USS George Washington, East China Sea (CNN) -- By his own admission, one of the U.S Navy's top commanders says his Pacific fleet "gets all the best stuff" when it comes to state-of-the-art weaponry -- an undeniable reflection of President Barack Obama's so-called pivot towards Asia.

The flagship of its 7th fleet, the Nimitz-class USS George Washington aircraft carrier boasts a formidable arsenal; from the latest FA-18 fighter jets, to anti-submarine helicopters and early-warning surveillance aircraft. Add to this the fleet's numerous missile destroyers, cruisers and submarines and the statement of intent is clear to see -- Washington is serious about its role in the region.

"It's a long-term effort for us here," Fleet commander Vice Admiral Robert L. Thomas, told CNN aboard the giant vessel amid the muffled roar of jet engines from the flight deck directly above. "From a policy perspective it's a shift in balance of not only our resources but our thinking across diplomatic, information, economic and military lines to the Pacific.

"But I would offer that the 7th Fleet never left -- we've been a strong presence here for the past 70 years. We're slowly shifting from a 50/50 mix in the United States Navy to a 40% Atlantic, 60% Pacific mix," he added, referring to the gradual swing away from traditional areas of operation in the West.

'Most advanced' weapons

"From a military point of view -- my narrow swim lane of responsibility -- we measure our presence in two ways: capability and capacity. The capacity is coming -- more numbers over time -- but it's the capability that's leading the charge here.

"I get the preponderance of Virginia-class warships. I get the front-line submarine deployments out here. The carrier air wing that operates from the George Washington is the most advanced in the U.S. Navy -- and our task force commanders out here get the full support of the 'home office' in Washington."

In the past few days, these hugely expensive military "assets" have been deployed on a high-profile combat exercise with an armada of ships from the Japan Maritime Self-Defense Force (JMSDF) off the island of Okinawa, playing out a series of scenarios including the defense of Japan and the response to a regional crisis -- timely given China's increasingly assertive behavior in the region.

China looms over U.S.-Japan drills

At the same time, China's own military development has been emphasized by the first deployment of its own aircraft carrier -- The Liaoning.

While most analysts would point to it being decades behind its American counterparts technologically -- it's actually a refitted Soviet-era vessel purchased from the Ukraine in the 1990s -- its very existence is emblematic of Beijing's growing ambitions.

Diverse security threats

Yet beyond the waters of the East China Sea, the threats to global stability in recent years have become far more complex and diverse and less likely to be played out on traditional battlegrounds where huge armies or navies face off against each other.

The threat has become more asymmetric and complex in nature, with unseen enemies striking in less predictable but equally damaging ways -- something Thomas concedes -- prompting inevitable questions about whether these huge fleets are a worthwhile investment and relevant in this new security landscape.

"The maritime domain in general has got more complex, with the undersea domain a huge part of that with more sophisticated submarines and the emergence of long-endurance, unmanned or remotely operated vehicles," he said.

"You see it just in oceanographic capabilities. Frankly the way countries globally are using technology in the undersea domain is going to make it a very interesting operational space. So the traditional 'hey I've got a submarine and I get to play here,' mindset I think is naÃ¯ve. You're going to have to bring a lot more capability into that operating space to ensure you stay dominant -- economically as well as militarily.

"As to the asymmetric threats, the one thing that cannot be counted out is the ability of terrorists to use the maritime domain. It's not just in close, such as we saw when the USS Cole was attacked (in port in Yemen in 200), all of a sudden it's threats to commercial shipping and 'choke' points.

"Major commercial carriers such as Maersk all have immediate response actions already in place in case the Singapore Strait is cut off or they can't use a port due to a weapon of mass destruction."

He said this was a major "economic game changer" when you consider the cost of shutting down major waterways or ports due to terrorist threats. "So a lot more thinking has to be done" about how to counter these kind of challenges, he added.

The nature of the joint exercises with Japanese forces -- known as AnnualEx 2013 and involving more than 23 ships and 20,000 servicemen and women -- in part acknowledges this, he said, with the fleet deployed on a variety of "graduate level" missions, from anti-submarine warfare, to defending against hostile incursions against territory.

Awesome power

Standing on the flight deck of the USS George Washington, the noise of combat jets as they take off and land just meters away generates an incredible vibration that almost lifts you from your feet -- awesome power that is very difficult not to be impressed by whether you're a journalist or a foreign power.

But Thomas seems anything but a man on the verge of using this immense force in anger -- especially against any perceived Chinese threat.

U.S. 'advising' airlines to 'comply' over disputed zone

He said the China's People's Liberation Army Navy was becoming a highly professional organization and improving the way they operate and communicate -- and far from being one prone to making rash moves.

"I can tell just by our bridge-to-bridge communications that they're getting better at it. They've got a three-ship surface action group coming back from South America. They've been operating in the Gulf of Aden doing counter-piracy operations. And they're operating here in the Western Pacific all at the same time. Two years ago it was a big deal if they were able to conduct an exercise in the Philippines Sea for a week, now it's routine."

From carrier to 'lily pad'

Thomas was also keen to expand on the U.S. Navy's diversity of operations, most notably their recent humanitarian mission in the Philippines after Super Typhoon Haiyan had flattened much of the eastern parts of the country.

Within 48 hours, the carrier and nine other surface vessels had left Hong Kong and arrived in the Philippines Sea to begin carrying our relief operations.

Combat aircraft were deliberately flown off the carrier to make room for more helicopters able to deliver badly needed assistance to areas made inaccessible by the typhoon and the subsequent storm surge. Thomas said in many cases, the U.S. Seahawk helicopters were "first responders" able to relay back previously unknown information about local conditions and the extent of the disaster.

"We transitioned (the carrier) into a vertical lift lily pad for the delivery of food and water supplies," he said.

Critics may point to this being an example of Washington adopting a "soft power" approach politically in the region at a time when its influence is being challenged by China, though there was little doubting the pride expressed by many of the carrier's highly-trained and motivated crew in performing such a role in the Leyte Gulf.

Relief effort boosts U.S. soft power in Asia region

But does serving as a deterrent or performing aid missions with hugely expensive weapons of war justify the vast cost of maintaining such an arsenal?

The use of unmanned drones in other theaters illustrates that massed armies with boots on the ground, tanks and artillery are not necessarily the most effective way of dealing with terrorism or insurgencies with a minimal cost in terms of deaths to combatants.

With military expansion seemingly inextricably linked to economic progress, and the exponential growth of armed forces fueled by territorial disputes in the Asia-Pacific region, the large-scale presence of this carrier strike group seems unlikely to change, though the scope of its missions will adapt to meet the increasing diversity of challenges -- both hard and soft.

Beijing's choice: Control or stability?

@highlight

U.S. 7th Fleet commander says his fleet gets the preponderance of the latest weapons

@highlight

Vice Admiral Robert L. Thomas says Asia region is now the most important strategically

@highlight

The carrier strike group has been conducting exercises with Japan amid tension with China

@highlight

Thomas concedes threat to security no longer about vast opposing armies and navies