(CNN) -- Photographers and artists have a long relationship with art books as vehicles that share their work with audiences beyond the gallery circuit. But do those books have a shelf life beyond their era?

To explore their influence on contemporary artists, photography nonprofit Aperture Foundation asked 10 artists to create new works inspired by a photo book or magazine from the publisher's backlist. The final "responses" make up the multimedia exhibit "Aperture Remix: A 60th Anniversary Celebration" at New York's Aperture Gallery. The exhibit will travel internationally after the show ends Nov. 17.

Viewers will be able to see the original books and images that inspired the "interventions," which come in various forms, from new photo books and video slideshows to a functioning camera made of books.

"We want everyone to be able to look at the original work in its purest form as prints, how they were reproduced in Aperture books and what the artists were able to do with it," said Lesley Martin, publisher of the Aperture Foundation's book program and the foundation's director of content.

"It was a good time in general to look at the way the photo book has an enduring influence that crosses time and geography," she said. "We wanted to choose artists who represent how far photography has come in the last 60 years."

Most of the artists worked with Aperture before, allowing them to reflect on their relationships as artists with photo books.

"Photo books are the ultimate collaboration between text and images. It's a very complete vehicle for anybody who is or is not interested in photography," said visual artist Vik Muniz, who used "The Daybooks of Edward Weston, Vol. I, Mexico" (1973) as the inspiration for his Aperture piece.

Fine art photography: When 'reality isn't good enough'

Muniz, who is known for recreating iconic images with unconventional materials, like syrup and peanut butter, seemed like a natural fit for the project, Martin said. He was the subject of the award-winning documentary "Waste Land," which follows the development of his 2008 series of photographic portraits made from trash.

For his piece, Muniz wanted to use an Aperture title that he felt exemplified the connection between text and images. He chose a collection of American photographer Edward Weston's journal entries in the 1920s and 1930s, a time of personal and professional transformation for the iconic American photographer.

"I chose it because it was written by a photographer, and it tells a beautiful story in a very personal way," Muniz said. "He's talking about his feelings and has a very interesting way of looking at how the entire creative process took place in the time it did, not to mention it's a very romantic book."

While the book itself is a 310-page novel that's light on images, Muniz sought to "create a sort of image that would be emblematic of the whole experience of reading the book." Using torn up pages from a first edition copy of "Daybooks" as source material, he pieces together a photographic collage of Weston's lover, Italian photographer Tina Modotti.

Purists might call it desecration of a vintage novel, but he sees it as a recreation of a beloved story.

"Most of my work is about emphasizing the bits and parts, the mechanisms and gears that make an image work," he said.

"We all take bits and pieces of books when we read them in a way that we can never look at a book in the same way," he said. "The words in the book will survive because they're proven to have historical value, but the material has transcended mechanism into something else."

Penelope Umbrico approached the entire canon of "Masters of Photography" as a singular project in her search for images of mountains. Using her iPhone, she photographed and processed images by Wynn Bullock, Henri Cartier-Bresson, Roger Fenton and Eikoh Hosoe, among others, through a series of camera apps to create 87 "reimagined" images as a way of transforming a (mostly) stable landscape feature into a "disorienting, unstable condition," she said.

The notion of instability also applies to photography as a medium whose nature is constantly being changed by technology, she said.

"I wondered if there was a correlation between the medium becoming so unstable and idea of a mountain as the most stable object on the planet," she said. "I thought it would be interesting to take a look at that with a device that's changing our day-to-day lives."

She downloaded seven or eight apps onto her iPhone but ended up using the same four most often (Lo-mob, Pictureshow, Plastic Bullet and Hipstamatic) for the "disorienting" effects of their filters, creating a candy-colored assortment of images.

The resulting project, "Moving Mountains," has three components on display. One is an array of framed images of different sizes arranged on a wall "in an odd block," she said. She also produced a video slideshow and a photo book that she likens to a "replica" of the "Masters of Photography" book with mountains.

Photography has been at the forefront of the "remix culture" within art and music in the past century, she said. From pop art photo collages to Photoshop and smartphone apps, the evolution of photography has led the way for bigger cultural shifts.

"The idea of intervention and remix is relevant to what's been happening in the last 10-15 years, where we have a kind of remix culture of things being collected and mashed up," she said. "It's in the air. It makes sense for Aperture to do this for its 60th anniversary."

@highlight

Aperture asks 10 artists to create new works inspired by images from its backlist

@highlight

Finished works used in Aperture's 60th anniversary multimedia exhibit

@highlight

Reinterpreted works take various forms: photo books, video slideshows