(CNN) -- Iranian officials said Sunday that the Middle Eastern nation will create a court focusing on "media crimes," according to state-run media reports, a move that has fueled fears Tehran is further intensifying its crackdown on journalists.

Abbas Zagholi, the head of Iran's Government Employees Court, said the new judicial branch "was necessitated by the special media crimes," according to a report in Khabar, a conservative publication run by backers of parliamentary Speaker and Tehran Mayor Ali Larijani.

"For certain reasons, such as great developments in mass media, the Tehran prosecutor felt the need to create a more independent court to deal with media affairs," Zagholi said.

Omid Memarian, a native Iranian and U.S.-based freelance journalist who said he talks regularly with journalists in Iran, said the new apparatus could spell greater attention, and prosecution, of those who don't mimic Tehranian government positions.

"The fear is that the media ... will be watched more intensely than in the past," said Memarian. "They will have more money, more judges and more people to focus on the media and target journalists."

According to the Committee to Protect Journalists, 34 journalists were detained at the end of last year in Iran -- tying it with China for the most imprisoned journalists of any country. They include Mohammad Davari, editor of the news website Saham News, who landed behind bars after reporting on detainees who were raped and tortured in Kahrizak Detention Center.

Just last week, the advocacy group delivered a petition signed by 1,102 people to Iran's ambassador to the United Nations urging Iran to end what it called its "unjustifiable crackdown" on the media.

Memarian said that, in the present system, journalists cannot publicize any information -- especially if it could be construed as critical -- unless it is from a government source or ran on a state-sponsored media outlet first. He himself was editor of a publication in Iran from 2003 through 2005, the same year that he won Human Rights Watch's Human Rights Defender Award.

"You cannot criticize government policies ... If somebody says something inappropriate, you cannot report that," said Memarian, whose work has appeared on the website Huffington Post, in the Los Angeles Times and elsewhere. "The government has an official narrative (and) no one can challenge that."

Currently, cases involving journalists are tried in Iran's Government Employees Court. But Zagholi told Khabar that the explosion of mass media, including the Internet and satellite communications, prompted the judicial system change.

Abbas Jafari Dolatabadi, Tehran's chief prosecutor, said "cultural and media crimes" will be addressed exclusively in the new court "so that they can be dealt with by specialists," according to the official Islamic Republic News Agency.

"The intention is not to replace the country's cultural organizations with this court," Dolatabadi said.

The new media court will likely start on or around March, Al Akbar Kasaian, secretary of Iran's supervising media board, told the semiofficial Fars News Agency.

Zhagoli predicted its judges will do a "great job (to) protect the rights of those working the media and will bring about judicial justice."

"It is now much easier for people to connect with each other and, therefore, certain new crimes are being committed that cannot be overlooked," he added, according to a translation of his remarks from Khabar.

Sunday's announcement comes days after the fall of Egyptian President Hosni Mubarak. The head of Iran's National Security Council and other Iranian authorities had lauded this development, comparing "the Egyptian Revolution with the victory of Iran's Islamic Revolution," according to Iran's state-run media.

But while publicly praising the Egyptian revolution, the Iranian government has rounded up activists after Iran's two leading opposition figures called for a rally Monday in support of the uprising in Egypt.

On Saturday, Iranian authorities had blocked key internet searches in an apparent effort to obstruct access to sites touting the rally, according to an opposition website and two Tehran residents.

Iranian authorities on Wednesday warned against any attempt by the opposition movement to hold a rally. Revolutionary Guard Cmdr. Hossein Hamedani told the state-run Islamic Republic News Agency, "We definitely see them as enemies of the revolution and spies, and we will confront them with force."

The White House says such threats to stifle dissent and mass communication suggest that Iran's government is not willing to let its people voice their views and embrace freedom.

"They are scared," press secretary Robert Gibbs said Friday, hours after Mubarak stepped down. "That's why they threatened to kill anybody that tries to do this. That's why they have shut off all measure of communication."

Even with restrictions on journalists, Memarian said many Iranians have been able to track recent developments in Egypt and elsewhere in forums beyond state-run media, including watching news reports from international media and viewing stories online.

He said independent journalists still exist within Iran, even after a massive crackdown following popular unrest after the 2009 elections. Their accounts may become important if, as he predicts, opposition forces find renewed strength and voice their views publicly in the coming days.

"We challenge the narrative of the government," Memarian said, noting that reports get out funneled through journalists like himself and posted online more anonymously. "They do their role, even if they don't go public in that role."

@highlight

Iranian officials say a new special court will focus on "media crimes," state media say

@highlight

The court will include justices specializing in media, cultural issues

@highlight

A U.S.-based Iranian journalist say independent media will likely be even more targeted

@highlight

A journalist rights group says 34 journalists are jailed in Iran, as much as in any nation