Cairo (CNN) -- I strolled through the halls of the Arab League's headquarters in Cairo the other day, perusing all the family photos of Arab leaders at various summit meetings over the years.

There was deposed Egyptian President Hosni Mubarak, deposed and violently disposed of Libyan "Brother Leader" Moammar Gadhafi, exiled Tunisian President Zine Abedine Ben Ali, Yemen's beleaguered President Ali Abdullah Saleh, and Syria's embattled President Bashar Al-Assad.

Uneasy, I thought, must sit the other heads of state featured in those photos.

But it was those surviving leaders, of such less-than-democratic countries as Saudi Arabia, Algeria and Sudan, to name a few, who instructed their foreign ministers to vote Saturday to suspend Syria from the Arab League over its bloody suppression of the eight-month-old uprising there.

In the final months of 2011, the future is looking very uncertain for the creaking Arab political order. Egypt and Tunisia are no longer solid, reliable members of the bloc of conservative, pro-Western "moderate" Arab regimes the United States cobbled together in the aftermath of the October 1973 Arab-Israeli war.

Revolutions and revolts -- finished and ongoing -- must be depriving many rulers of a good night's sleep.

The citizens of the Arab world have finally had enough of the tired charades of the past.

Increasingly endangered are the sham referendums where presidents won 99 percent of votes, where hardly anyone took the time to cast a ballot, the "parties" that were little more than mafias with empty slogans, and the state intelligence thugs who were a law unto themselves.

That stuff just doesn't cut it anymore.

As we strolled together through a ransacked intelligence headquarters in Sabha, Libya, a few months ago, one man told me: "We used to fear our rulers. Now they fear us."

This year almost every Arab state, from the Atlantic to the Gulf, has had to at least go through the motions of initiating political reform.

And while they'd be loathe to share their true motivations, I suspect Arab rulers didn't vote against Syria because they are new converts to people power or support the bloodied opponents of al-Assad. No, there is more to this vote than the so-called "Arab Spring."

As much as aging Arab autocrats fear their people, they also fear Iran. The last 10 years have been good for Iran.

First, the United States led an international coalition to oust Iran's bitter enemies, the Taliban, from power in Afghanistan.

Less than two years later, the Americans did it again in Iraq, bringing down another implacable foe of Iran, Saddam Hussein, and then installing a new political order in Baghdad much more friendly to Tehran.

In 2006 the Americans backed Israel's ill-fated summer war against Iran's Lebanese ally, Hezbollah, which emerged from the 33-day conflict stronger than ever.

In 2007, Hamas, also friends with Iran, ousted the U.S.-backed Fatah faction of Palestinian President Mahmoud Abbas from Gaza. Iran was an enthusiastic backer of the revolt against the leaders of Bahrain earlier this year, though that uprising was crushed with Saudi help.

In the meantime, there is growing fear over Iran's perceived nuclear ambitions, those fears stoked by regular pronouncements over the past two decades from Tel Aviv that Iran "is on the verge of producing a nuclear weapon."

Against this backdrop is an across-the-board diminution of American power in the Middle East.

At the end of this year the United States will end its military presence in Iraq, and soon afterward, it will do the same in Afghanistan.

The Obama administration, with 2012 elections looming and after several half-hearted false starts and high-profile humiliations by Israeli Prime Minister Benjamin Netanyahu, appears to have given up trying to broker real peace between Israel and the Palestinians.

Above and beyond regional issues, the U.S. economy -- and thus, its political clout -- is in decline. Increasingly, America is viewed in the Middle East as an economically bankrupt, militarily and diplomatically overextended, withering superpower.

In short, a huge vacuum looms in the region, and Iran could be the chief beneficiary.

Saudi Arabia and the other Gulf states are alarmed, and are eager to cut Iran down to size. The uprising in Syria went a long way to undercut Iran's oldest and most reliable Arab ally in Damascus, and Saturday's vote to suspend Syria from the Arab League was an added bonus. Syria is now isolated more than ever before, which means Iran's other allies in the region -- Hamas and Hezbollah -- could suffer, too.

There are other players in this great game.

Turkey, having been repeatedly rebuffed in its attempts to gain membership in the European Union, has struck out on its own under Prime Minister Recep Tayyip Erdogan.

Missing in the emerging regional equation are any Arab counterweights to a resurgent Turkey, but more immediately, Iran.

Saddam Hussein, who fought an 8-year war with Iran, has been replaced by a government in Baghdad with close ties to Tehran. Egypt, the Arab world's most populous nation and once one of the main pillars of the old order, is in the throes of post-revolutionary upheaval.

The surviving members of those group photos at the Arab League are clutching at anything they can to make sure they can live for another summit meeting -- and another group photo.

@highlight

There is more to the vote against Syria than the "Arab Spring"

@highlight

As much as Arab autocrats fear their people, they also fear Iran

@highlight

Iran's regional position has strengthened in the last decade

@highlight

America's is perceived to be withering