(CNN) -- One of the most watched cases in China in the last few decades reached a conclusion of sorts on August 20th as Gu Kailai was declared guilty of murder and sentenced to death with a two-year suspension, meaning an almost certain commutation.

The one-day trial of Gu on August 9th was, quite literally, a spectacle: something meant to be watched. (But not recorded, apparently, except by approval, even pencils were confiscated from the pre-selected audience.)

Gu, the wife of the fallen high-ranking Chinese politician Bo Xilai, had been charged in the death of Neil Heywood, a British businessman. Gu confessed to poisoning Heywood, allegedly because he threatened her son following a botched business deal.

The case has caught the attention of many because of the prominent status of the defendant and its steamy mix of allegations of murder, corruption, and even sex. But does it tell us anything new or interesting about the Chinese legal system? I think not.

China's legal system is heavily politicized. The Communist Party controls key appointments through a nontransparent process. Judges have no security of tenure and can be dismissed at any time. Courts must answer to local governments, who hold the purse strings and pay judges' salaries. The court president, typically an official who hears no cases, can effectively dictate the decision in any case, whatever the judges who heard the case might think. And while there's no doubt that in many cases politicians don't interfere -- who has the time? -- the system as a whole does not give courts and judges the resources to resist orders from senior politicians when they do come.

Few doubt that those orders have come in the Gu case, in all likelihood from the summit of political power in China, the Standing Committee of the Communist Party's Political Bureau. Before his fall, Gu's husband seemed headed for the Standing Committee himself. This makes the case too politically important to be left to chance, that is, to the whims of a judge deciding on the basis of evidence presented in court. Certain questions must be avoided: What did Bo Xilai know and when? Can powerful politicians in China cover up a murder?

As for Gu's sentence, that too couldn't be left to chance. Bo Xilai may be in disgrace, but he was still a high flyer before his descent. The post-Mao leadership has established a solid tradition of not killing losers in political fights, and it's in the interest of everyone to extend that protection at least as far as spouses. Gu's suspended death sentence was widely predicted and comes as no surprise at all; such sentences are virtually always commuted to life imprisonment after two years, and can ultimately be reduced down to as little as fifteen years following commutation.

Timeline: Bo Xilai's fall from grace

Given all of this, most China-watchers assume that proceedings in this case have been tightly controlled to ensure that only the officially approved narrative emerges. They assume that the verdict was decided in Beijing before the opening gavel sounded, and that the proceedings were merely a performance for the benefit of the public, a kind of judicial Shakespeare-in-the-park, but without the drama.

That's the conventional wisdom. And at times like this, it's the job of the think-outside-the-box expert to explain why the conventional wisdom is wrong. But it's not. In fact, the trial is as predictable as it is banal. If anything is surprising, it's the degree to which it utterly fails to upset our assumptions about how Chinese politics and the legal system work.

A criminal trial, for example, is normally at the place of the crime or where the defendant lives. But Gu's trial took place in Hefei. We all know the reason: too many possible sympathizers in Chongqing. The decision to have it in Hefei was political, not legal.

Gu seems to have tried to hire a lawyer experienced in defending anti-corruption cases, as is her right under Chinese law. But one account of the trial says the government vetoed her choice, and she had to be represented by a local lawyer with no known experience in criminal law.

Chinese law generally requires trials to be public, and the official report of the proceedings ritualistically invoked the term "public trial" to describe the proceedings. But they were in no sense public: the audience was carefully selected.

The real lesson in this case, then, is twofold. First, it offers us no reason to change our understanding of the Chinese legal system as directly subservient to politics when sufficiently powerful politicians choose to get involved. Second, it reflects the cynicism that seems so pervasive in Chinese society. Nobody I know, Chinese or foreign, with the remotest knowledge of the Chinese legal system thinks that anything of importance will be decided as a result of what went on at the Gu trial.

Those who were waiting for a sign of fundamental change in the system will have to keep waiting.

Editor's Note: This op-ed has been updated to reflect news of the verdict of Gu Kailai.

The opinions expressed in this commentary are solely those of Donald Clarke.

@highlight

Gu Kailai, wife of the disgraced Chinese politician Bo Xilai, is charged with murder

@highlight

Donald Clarke: Her one-day trial was a spectacle for the benefit of the public

@highlight

He says few doubt that Gu's sentence has been determined by the Communist Party

@highlight

Clarke: The Gu case tells us that the Chinese legal system is still subservient to politics