(CNN) -- Twenty-five years ago, Chinese college students in Beijing, Shanghai, and Xi'an began gathering to publicly mourn the death of a purged high-level official, Hu Yaobang.

A week later, thousands of students marched into Tiananmen Square for Hu's funeral.

The demonstrations escalated, culminating in the tragic military crackdown on the students on June 4, 1989 when Chinese troops opened fire on civilians and students. An official death toll has never been announced, but estimates range from several hundred to thousands.

In the lead-up to the 25th anniversary of the bloody incident this year, there are mixed signals from the Chinese authorities on their attitude towards the normally taboo subject.

After three generations of leadership since the student protests, there are signs of the authorities loosening online censorship of related subjects, although direct mention of "June 4th" is still banned.

Marking death

Formerly the general secretary of the Communist Party, Hu Yaobang was a close ally of Deng Xiaoping. He worked with Deng to consolidate power and move China toward a more open political system, becoming a symbol of democratic reform.

Hu died of complications from a heart attack on April 15, 1989, two years after he was purged by party conservatives for advocating "bourgeois liberation." His death sparked a wave of student demonstrations across China that escalated into a hunger strike and the eventual military crackdown at Tiananmen Square.

With such a close link to the crackdown -- which the Chinese government has yet to acknowledge or apologise for -- Hu's name was banned from media until 2005 when his protégé, Hu Jintao, came into power and rehabilitated his mentor's name.

Last week, retired president Hu Jintao paid his respects at the late Hu's former residence in Jiangxi. Online reports and images of the visit were taken down by Chinese censors.

By Tuesday, the official anniversary of Hu's death, his former residence in Beijing was sealed and guarded by police, according to Hong Kong media. The home is normally open to public on the anniversary.

Hu's son, Hu Dehua, also visited his father's cemetery yesterday in Jiangxi Province. He told the media that had gathered at the gravesite that he was bewildered by the lack of official contrition for the Tiananmen Square incident. "What crime did the students commit?" he asked.

He further pointed out the contrast in the way authorities have handled the possible deaths of the Malaysian Airlines passengers against those of the students in 1989, calling it a double standard.

Still touchy

Despite all this, Chinese censors loosened their grip that same day. Hu Yaobang's name could be freely searched and online commemorations began to flood microblogging sites. Chinese news sites also published commemorative features on the ousted leader, including photos of Hu with his most famous protégés Hu Jintao and Wen Jiabao.

The Beijing News gathered sentimental quotes from past essays on the late leader, written by other high-ranking officials. One by Hu Jintao reads: "After Comrade Hu passed away, I would visit his home every Spring Festival and gaze with deep affection at his portrait in the living room. His far-reaching vision and determined expression always gave me strength and encouragement."

But censors draw the line at any direct mention of the tragic crackdown. Searches for "June 4," "Tiananmen Square," and "Zhao Ziyang" (an official who was seen as sympathetic to the student protestors) yield nothing.

And by linking Hu Yaobang's career to any discussion of China's political system, you will get swiftly banned from the Chinese online world. An interview by the South China Morning Post with Hu's outspoken son, criticizing the lack of political reform and press freedom was deleted from the paper's Chinese Weibo account.

As the June 4 date draws near, this litmus test of the authorities' tolerance shows Tiananmen Square is no less an issue after 25 years.

From a Chinese prison to Wall Street

@highlight

Hu Yaobang's death sparked student demonstrations in 1989, ending in tragedy

@highlight

Netizens were allowed to mourn Hu's death anniversary on Tuesday

@highlight

All other mentions of the student protests or political reform still censored