Editor's Note: David Hawkins is Director of Public Policy and Research for the National Association for College Admission Counseling, a nonprofit organization that represents more than 11,000 high school counselors and college admission officers from across the country. He was the author of a report last month by the organization's commission on the use of standardized tests.

David Hawkins says test scores shouldn't be used to rank college quality

ARLINGTON, Virginia (CNN) -- A recent controversy at Baylor University has brought new attention to the widespread misuse of standardized college admission tests to rank the quality of America's colleges and universities.

The SAT and ACT have achieved nearly iconic status in America and throughout the world. As the late author and scholar Stephen Jay Gould noted, the tests are viewed by many as "abstruse and mysterious," with powerful effects on public policy, social mobility, and even individual identity.

Misuse of test scores as college ranking criteria creates undue pressure on admission offices to pursue increasingly high test scores and fuels the tests' disproportionate influence.

Last June, Baylor University encouraged its already admitted first-year students to retake the SAT. The reward for students who retook the test was $300 in bookstore credits. Students who increased their score by more than 50 points got a $1,000 merit aid scholarship. If enough students retook the SAT and increased their scores, the gains might be enough to move Baylor up the rankings list.

The scarce financial resources allocated for this plan are too badly needed elsewhere, particularly among low-income students in rural and urban areas around the country, to spend on an effort to raise a college's SAT profile. A Baylor spokesman told The Associated Press Thursday that the university "goofed" and would likely end the incentives.

It's critical to understand that high SAT and ACT scores alone do not equate to merit. Last month, our organization's Commission on the Use of Standardized Tests in Undergraduate Admission issued a report calling for change in the way everyone involved in college admissions uses the tests.

Test misuses feed the public perception that the scores are the most influential factor in college admission. For the past 15 years, National Association for College Admission Counseling (NACAC) research has shown that students' grades in high school, particularly grades in college preparatory courses, are by far the most important consideration in college admission decisions.

One of the most pressing problems regarding the SAT and ACT scores is their misuse in the U.S. News and World Report college rankings formula.

The SAT and ACT were designed to provide information about a student to colleges and universities and were never meant to be measures of college quality. Accordingly, the commission encouraged U.S. News and World Report to eliminate test scores as a measure of institutional quality.

The U.S. News ranking formula includes a "student selectivity" score that constitutes 15 percent of a college's overall rank. SAT or ACT scores of enrollees make up 50 percent of the student selectivity score.

In response to the NACAC report, U.S. News and World Report said, "As long as standardized tests play an integral role in the college admissions process, U.S. News will use them as part of our ranking methodology."

The situation at Baylor is a reminder of the inflated value assigned to the SAT and ACT in higher education. The fervor surrounding the rankings, as well as the lengths to which colleges go to increase them, are unfortunate distractions in higher education and admissions.

The impression students and families get from the rankings is that higher test scores mean higher quality colleges. To borrow a phrase familiar to admission deans, many colleges recruit great students and then graduate great students. Is that because of the institution, or the students?

Some credit undoubtedly should go to both. But is a college of lower quality because its students' SAT scores are lower than those of students at another college?

Generally speaking, the ability of admission tests to predict success in higher education is much more limited than most people think. Colleges most often determine the utility of admission test scores by assessing how well they predict first-year grades.

Colleges are wrong to place so much emphasis on test scores as measurements of their institutional worth when admission offices across the board consider the scores to be one among many indicators of a student's merit.

As influential as the rankings have been with students and families, is it any wonder that colleges whose stakeholders often demand higher ranks go to such lengths to influence their position in the rankings?

Misuse of test scores has real ramifications for students and families. For every student able to afford test-performance tutoring and fees for taking the test many times, there are many qualified students from under-served backgrounds who become discouraged that they will be unable to compete.

For every college that raises its SAT or ACT profile for rankings purposes, there are hundreds, if not thousands, of qualified students who will never apply because artificially inflated test scores signal yet another barrier to higher education.

It is critical to re-evaluate the varied uses of admission tests, and protect against their misuse in all forms.

The opinions expressed in this commentary are solely those of David Hawkins.

@highlight

David Hawkins: Admission tests are wrongly used to rank college quality

@highlight

Hawkins says Baylor University's incentives for test scores are a mistake

@highlight

Grades are much more important than test scores in admissions decisions, he says

@highlight

Hawkins: U.S. News should drop SAT and ACT scores in rankings