Washington (CNN) -- Democrats aiming to keep the Senate are facing tough odds in next week's election with their chances depending on convincing a surge of women and African-Americans to vote.

Both sets of voters will be vital in two of the crucial races — in North Carolina and Iowa — which new CNN polls show are headed for photo-finishes with only three days of campaigning left.

Republicans are especially bullish in Iowa, where their candidate, Iraq war veteran Joni Ernst, leads Bruce Braley by 49% to 47% for a Senate seat Democrats have held for nearly 30 years. Braley leads among women voters by 12 points in the CNN/ORC International survey — but Ernst does three points better than that among men and also dominates the potentially decisive bloc of rural voters.

In North Carolina, home of the most expensive midterm race in history, Sen. Kay Hagan leads by two points and enjoys a slim gender gap. Her advantage comes after she spent much of this election cycle slamming Republican foe Thom Tillis over his attitude to equal pay legislation.

The GOP has a solid grip on the House but Republicans need a net gain of six seats to grab the Senate for the first time in nearly a decade. They're expected to easily win South Dakota, Montana and West Virginia to bring them to the cusp of victory on Tuesday.

Other battlegrounds are in Alaska, Arkansas, Louisiana, New Hampshire and Colorado, making the outcome of the election too close to call.

And Republicans have to watch a few seats of their own. Democrat Michelle Nunn is surprisingly strong in Georgia and Republican Sen. Pat Roberts is struggling to put away an independent challenger in Kansas.

Election day might be Tuesday, but more 14.8 million Americans have voted already, casting early, absentee and mailed-in ballots, according to Dr. Michael McDonald of the United States Elections Project.

Both parties are claiming the early edge.

In North Carolina, for instance, 48 percent of the more than 870,000 early voters were Democratic, a potentially significant boost for Hagan.

Democratic National Committee spokesman Michael Czin said the party is encouraged because it is seeing early voting from people who didn't show up in the last midterm elections in 2010. That election was disastrous for Democrats when the tea party wave helped Republicans take control of the House.

But in Iowa, a state where Democrats usually have the edge in early voting, Ernst is tied in early returns. And in another danger sign for Democrats, Republican Cory Gardner is up 10 points in Colorado.

Republican National Committee spokeswoman Kirsten Kukowski said that the GOP's predictive analysis shows Democrats are behind in early voting.

"We have changed our strategy and are turning out more voters who normally wouldn't vote in midterm elections and are turning them out earlier than we ever have before," she said.

Early voting is especially crucial for the Democrats, because their base voters are historically less prone to show up in midterm elections. A heavy early turnout for the party could help offset expected enthusiasm among Republicans on Election Day.

Setting the stage for a frantic final weekend of campaigning for an election that will set the stage for the early skirmishes of the 2016 presidential campaign, top party surrogates were out in force.

Bill Clinton is blitzing states where President Barack Obama, with his tattered political brand, would not be effective and was hitting the trail for Hagan on Friday.

Obama did, however, get off a few blows in friendly territory in Rhode Island on Friday, saying that Republicans backed policies towards women and politicians that belonged in a "Mad Men" episode.

On the Republican side, New Jersey Gov. Chris Christie is visiting three states -- Arkansas, Kansas and Wisconsin and Rand Paul was at a lunch in Pennsylvania with embattled GOP Gov. Tom Corbett.

As both parties focus on turnout, the discussion in the competitive Louisiana Senate contest is turning to race. Democratic Sen. Mary Landrieu angered Republicans by suggesting to NBC News that Obama has a tough time in the South because the region has not "always been the friendliest place for African-Americans."

Louisiana Gov. Bobby Jindal, a Republican, blasted Landrieu's comment as "remarkably divisive" and said Obama was unpopular because of his policies.

"She appears to be living in a different century," he said in a statement. "Trying to blame it on race is ridiculous."

Landrieu later repeated her line in a statement that also attributed Obama's unpopularity in Louisiana to energy policies, including a moratorium on offshore oil drilling.

"In addition, the south has not always been the friendliest or easiest place for African Americans to advance, and it's been a difficult place for women to be recognized as the leaders we are," she said. "Everyone knows this is the truth, and I will continue to speak the truth even as some would twist my words seeking political advantage."

And as the midterm season winds down, potential 2016 presidential contenders are getting a taste of what life might be like on the campaign trail if they decide to seek the White House. Hillary Clinton was repeatedly heckled Thursday in Maryland by activists backing a path to citizenship for young, undocumented immigrants.

"I am a strong supporter of immigration reform," the former secretary of state shouted over the rowdy rally.

@highlight

Tuesday's election could determine Senate control

@highlight

Turnout will be key if Democrats want to maintain their majority

@highlight

Obama appealed to women during a trip to New England