(CNN) -- From Morocco to the foothills of the Himalayas, the call for revenge echoes across the internet. Online forums associated with al Qaeda overflow with eulogies for Osama bin Laden, and with declarations that global jihad will continue. Even Facebook groups have emerged to mourn the demise of the world's most wanted man.

Al Qaeda's affiliates across the Muslim world have published effusive tributes to bin Laden and pledged support for al Qaeda "central." The Islamic State of Iraq made a point of pledging loyalty to bin Laden's deputy, Ayman al-Zawahiri: "May Allah increase your reward and may Allah grant you the best consolation in this calamity," the group declared.

Along with the condolences have come threats, both vague and specific. In a message posted on the Shumukh al-Islam forum and translated by the SITE Institute (a U.S.-based group which monitors jihadist sites), one contributor wrote: "We declare that all American interests, wherever they may be, are legitimate targets for the mujahideen, and the interests of the NATO countries as well, because they are one alliance." The leader of Al Qaeda in the Arabian Peninsula -- the most active of the group's franchises, warned Americans: "You have to fight another generation in the wake of another, until your life is ruined, your days are disturbed and you face disgrace."

There have also been calls in jihadist forums for al Qaeda to revive its experiments with weapons of mass destruction. The SITE Institute translated one such appeal on the Shumukh al-Islam forum: "We want to manufacture soman, ricin, mustard gas and VX nerve gas," it declared. But there have also been calls for more basic attacks. "Go out at night in a targeted infidel compound with thirty canisters and a phone," read one.

Some want immediate retribution. A contributor calling himself Abu Suleiman al Nasser wrote: "We direct the supporters of jihad to the necessity of taking immediate action," he wrote, according to SITE. "We will not be content but with tens of casualties, if not hundreds, if not thousands," wrote another. But there are also appeals for careful planning. Hussein bin Mahmoud, a frequent contributor to jihadist websites, wrote on May 2: "We do not want operations here and there for vengeance; we want specific operations that are planned with wisdom and patience."

So much for aspirations. In its only statement since bin Laden's death, al Qaeda issued familiar threats -- to the leadership of Pakistan and the people and interests of the United States. The Pakistani Taliban, in a show of solidarity, also declared President Asif Ali Zardari of Pakistan its No.1 target. Perhaps no idle warning: Pakistan blamed a senior al Qaeda figure for planning a bomb attack that nearly killed then-President Gen. Pervez Musharraf, at the end of 2003. And the Pakistani Taliban has assassinated many senior Pakistani officials.

Most analysts concur that al Qaeda wants to launch a large-scale attack to prove its resilience and rally supporters. But that's easier said than done. Al Qaeda "central" has spent much of the past decade on the defensive -- deflated by the loss of senior leaders, the drone campaign in the Afghanistan-Pakistan border area and a withering bank balance. Some Europeans who went to wage jihad in recent years told of being asked for money by their hosts, having to purchase their weapons and being on the run from one mountain refuge to another. CNN Terrorism Analyst Paul Cruickshank, who studied their experiences for the New America Foundation, wrote that one Belgian-French group "was trained inside small mountain shacks, away from the all-seeing eyes of the drones. The loss of an increasing number of operatives prompted an order from al-Qaeda's top command that fighters remain inside as much as possible," according to Walid Othmani, a French recruit.

Better intelligence has made it more difficult to launch coordinated attacks in the United States and Europe. In the last decade, U.S. surveillance of would-be jihadists, and their movements in and out of the country, has improved dramatically - as shown by the arrest and conviction of conspirators such as Najibullah Zazi, Bryant Neal Vinas and others. Similarly, cells in Europe have been broken up -- especially in Belgium, Germany, Spain and Denmark. The last major attack attributed to al Qaeda sympathizers was the London subway bombings in 2005.

So al Qaeda may look for other targets. Mario Mancuso was deputy assistant secretary of defense for special operations and counterterrorism during the Bush administration. "The U.S. homeland is relatively harder now, logistically," he said. "My chief worry at the moment is the Saudi and Gulf oilfields. Energy security has been a principal rationale for U.S. involvement in the region.

"Such an attack would be highly symbolic, practically significant, and logistically easier" than trying to mount an attack in the United States, said Mancuso. An attack on oil sources would fit with al Qaeda's long-held belief that the U.S. economy is vulnerable.

"Just as it claimed credit for bringing down the Soviet Union because of the cost it imposed on the Soviets for invading Afghanistan, it has the aim of bringing us to our knees economically," Mancuso said.

Sabotaging Gulf oil exports would also fit with al Qaeda's core goals. In 2004, bin Laden urged supporters: "Be active and prevent them from reaching the oil, and mount your operations accordingly, particularly in Iraq and the Gulf." It became known as al Qaeda's "bleed until bankruptcy" strategy. Since bin Laden's death, jihadist forums have talked of attacks on shipping in the Strait of Hormuz at the tip of the Gulf, and in the Suez Canal.

There are precedents. In the last year, al Qaeda has launched several attacks on oil installations and pipelines in Yemen. In October 2002, a suicide attack by a small boat on the French tanker Limburg, off the coast of Yemen, left one crew member dead and 90,000 barrels of oil in the Gulf of Aden. And in February 2006, militants in vehicles loaded with explosives tried to break through the gates of the Abqaiq oil refinery in eastern Saudi Arabia. However, Saudi intelligence has been successful in subduing al Qaeda cells in the kingdom in recent years, while security at oil refineries and pumping stations has been reinforced.

For the United States, there remains the threat from "lone wolf" radicals, enraged by bin Laden's assassination but with little in the way of training and infrastructure to carry out an attack on the scale of 9/11. Faisal Shahzad's attempt to explode a car bomb in New York's Times Square a year ago is the most obvious recent example of such an attack. That's the foremost concern of the FBI and Department of Homeland Security, which issued a bulletin to law enforcement saying bin Laden's death "is likely to provide motivation for Homeland attacks, particularly from like-minded, ideologically focused lone offenders ... unburdened by organizational constraints."

So far, as information from the Abbottabad compound is analyzed, no concrete plots to the United States have emerged. But according to one document recovered in February 2010, al Qaeda had discussed derailing trains in the U.S. Such a modest objective compared to the 9/11 attacks may be an acknowledgment of the group's tougher surroundings -- and a sign that al Qaeda is moving toward attacks focused on causing maximum disruption and economic cost. The Yemeni cleric Anwar al Awlaki has championed this approach. Last year, al Qaeda in the Arabian Peninsula -- in its online magazine 'Inspire' -- boasted of spending just $4,000 in an effort to bring down U.S.-bound cargo planes by hiding PETN explosive in printers.

Assassinations may also play a greater role. In 2009, an attempt to kill the Saudi security chief, Prince Muhammed bin Nayef, using a suicide bomber with PETN in his underwear, came within feet of achieving its aim. A few months later, a suicide bomber killed seven CIA employees at a base in Khost.

Whatever the future brings, it is likely al Qaeda's plans will be more difficult to track. In the past 10 years it has spawned cells active from Casablanca to Java -- thriving wherever the authority of the state is absent and the territory remote. Al Qaeda ideologue Abu Musab al-Suri once said: "Al Qaeda is not an organization, nor do we want it to be. It is a call, a reference."

Counter-terrorism analysts say that operationally, al Qaeda in the Arabian Peninsula, strengthened by some veteran Saudi jihadists, may now pose a greater threat than al Qaeda central. In Somalia, al Qaeda affiliate Shabaab has taken advantage of anarchy; in the Sahel, al Qaeda in the Islamic Maghreb has made money from smuggling and possibly drug-trafficking. Some analysts say it may have used the proceeds to acquire sophisticated weapons such as shoulder-launched ground-to-air missiles. There is also growing evidence that Salafist cells have established themselves in the Gaza Strip.

Add to this the risk that al Qaeda and other Salafist groups, after being bypassed by the largely secular nature of the Arab Spring, will try to take advantage of new instability in Arab states. The likely heir to bin Laden, Ayman al Zawahiri, has already spoken at length about such opportunities, focusing on his native Egypt. In Iraq, al Qaeda (whose animosity toward Shiite Muslims almost matches its hatred of the West) has already shown it will take drastic steps to inflame Sunni-Shiite tensions by attacking shrines and religious festivals. Growing tensions in Bahrain and the Shia-populated provinces of eastern Saudi Arabia could provide openings. Al Qaeda in the Islamic Maghreb has already warned of the struggle to come against "Shi'ites and the apostates and their men so that Allah will judge between us and them."

For now, al Qaeda's core leadership is probably focused on survival, anxious that the "treasure trove" of Abbottabad might give away its refuges and tactics. But, says Mancuso, "the succession dynamic itself may fuel the urgency of a spectacular attack. There may even be regional competition to do this, so bin Laden's demise might make al Qaeda more dangerous structurally."

@highlight

Better intelligence has made an attack on U.S. or Europe more difficult

@highlight

Sabotaging Saudi and Gulf oilfields would fit with al Qaeda's core goals

@highlight

Al Qaeda in the Arabian Peninsula may be a greater threat now, some say

@highlight

Salafist groups may want to take advantage of instability from recent uprisings