(CNN)The scene of devastation is staggering in Debaltseve, the town at the heart of the battle between Ukrainian forces and pro-Russian separatists in recent days.

Barely a house is unscathed by shelling. Elderly civilians trapped by the fighting still cower in basements. After most Ukrainian forces pulled out Wednesday, the separatists are now in control.

It's obvious there's been a seismic shift on the battlefield. But it's not yet clear what the Ukrainian withdrawal means for the shaky peace deal that came into force Sunday.

Will the separatists halt their offensive, satisfied with the territory they hold? Or will they be emboldened to push for more?

The leaders of Ukraine, Russia, France and Germany spoke Thursday by phone in an attempt to patch up the deal, rocked by the fierce fighting for control of Debaltseve, a strategic railroad hub.

They called for the ceasefire to be respected along the entire front line and for the withdrawal of heavy weaponry by both sides to create a buffer zone, as agreed to in Minsk, Belarus.

But skeptics may wonder whether it's too late to salvage the deal, hammered out a week ago by the four leaders -- Germany's Angela Merkel, France's François Hollande, Ukraine's Petro Poroshenko and Russia's Vladimir Putin.

The ramifications for the West are huge because the 10-month-long conflict in eastern Ukraine has hiked tensions with Russia to a level not seen since the end of the Cold War, affecting trade and raising the specter of a Russian threat to Eastern Europe.

CNN's Nick Paton Walsh, who was able to return to Debaltseve on Thursday after a two-week absence, said the physical change in the town was astounding, with destruction on a wide scale.

Terrified elderly women are still taking shelter in the basement of a building formerly held by Ukrainian forces but now in rebel hands, he said.

Humanitarian aid deliveries have started quickly, with food parcels brought in on trucks run by the separatists. Those still in Debaltseve -- a fraction of its former population of 25,000 -- are angered by what has happened to their hometown.

A Ukrainian tank and other destroyed military armor could be seen across the town, and the noise of machine gun fire could be heard, suggesting some Ukrainian soldiers are still holed up on the edges of Debaltseve, Paton Walsh said. The rumble of shelling also continued, mostly in the distance.

It's not clear yet how many civilians, separatist militants or Ukrainian soldiers died during the days of fighting for Debaltseve or in attempts to leave the town.

Ukrainian leaders claim their troops' withdrawal was strategic and organized, but the signs indicate that a vastly better equipped separatist force outgunned them and that they came under fire while retreating. Separatist fighters who spoke to CNN said the road out of town was still a contested area.

Kiev and the West accuse Russia of arming and training the separatists and sending Russian troops over the border to fight with them. Russia has steadfastly denied the claim.

Debaltseve: Inside the ghost town

Ukraine's Poroshenko has not hesitated to point the finger at Russia over the fighting this week in Debaltseve.

"The whole world saw that Russia doesn't adhere to its commitments," he said after his troops' hasty retreat.

"In my telephone conversation with Merkel, Hollande and Putin I stressed that the situation around Debaltseve was in breach of Minsk accords," he tweeted a day later.

According to his office, Poroshenko asked for "definite guarantees in case there are further attempts to violate the agreements."

The Organization for Security and Co-operation in Europe, which is tasked with monitoring the ceasefire, has criticized the separatists for refusing to allow its monitors into Debaltseve.

Michael Bociurkiw, the OSCE spokesman in Kiev, told CNN on Thursday that the organization had made contact with both the Ukrainians and the separatists regarding access to Debaltseve.

Separatist leaders in Luhansk and Donetsk said they were unable to provide safe passage for the OSCE monitors, he said, so "at the moment it is not possible for us to visit the area."

Poroshenko said all four leaders had agreed in their phone call that the OSCE should be supported in its mission and that full access should be ensured starting Thursday, particularly around Donetsk's airport and in other towns where fighting has occurred in the past hours.

Only after a full ceasefire is achieved will the drawback of heavy weapons start under direct OSCE observation, he said.

A statement from Hollande's office said the leaders had agreed the ceasefire should be in effect on the entire front line without exception.

The leaders called for an acceleration in the release of prisoners held by both sides, as agreed to under the Minsk deal. Poroshenko said this release should include those captured in Debaltseve.

A statement from the Kremlin said the leaders had stressed that the start of the implementation of the Minsk agreement had led to a decrease in military activity in eastern Ukraine and fewer civilian casualties.

"The leaders emphasized the need of holding a ceasefire, taking real steps to withdraw the heavy weapons and release of prisoners," it said.

Poroshenko sought to portray his forces' retreat from Debaltseve as organized and orderly, disputing separatists' claims that the Ukrainian troops were surrounded and surrendered their arms.

The separatists regarded Debaltseve as already being their territory when the front lines for the ceasefire were drawn.

Hours after Kiev pulled its troops out of Debaltseve, Ukraine's National Security and Defense Council said it would ask for U.N. peacekeepers to be sent to eastern Ukraine.

But a spokesman for Russia's Foreign Ministry, Alexander Lukashevich, said Moscow rejects any such call.

The Minsk agreement is the basis for the ceasefire and resolution of the conflict, so there's no need for international monitoring, Lukashevich said at a televised briefing. He added that the government in Kiev was responsible for its implementation.

"We're convinced the full responsibility of fulfillment of the agreement lies only on the parties of the conflict," Lukashevich said.

Poroshenko said the question of deploying peacekeepers along the front line and the Ukraine-Russia border had been included in the Minsk agenda.

Speaking later Thursday in Kiev, he insisted that Russia, given its alleged involvement in the conflict, could not play a role in peacekeeping operations in Ukraine.

"Ukraine will not agree to a peacekeeping format, which threatens to legalize thousands of Russian militaries -- we already have enough such 'peacekeepers,' " he said.

In a sign of the heightened tensions between Russia and other European nations, Britain's Royal Air Force scrambled fighter jets Wednesday after Russian aircraft were identified flying close to UK airspace, the Ministry of Defence said.

"The Russian planes were escorted by the RAF until they were out of the UK area of interest. At no time did the Russian military aircraft cross into UK sovereign airspace," a spokeswoman said.

UK Defence Secretary Michael Fallon told Britain's Telegraph newspaper that there's a "real and present danger" that Putin would use murky tactics to destabilize the Baltic states of Lithuania, Latvia and Estonia, which border Russia on NATO's eastern flank.

CNN's Alla Eshchenko, Matthew Chance and Khushbu Shah contributed to this report as did journalist Victoria Butenko in Kiev.

@highlight

A CNN team finds wide destruction in Debaltseve, now in separatist hands

@highlight

Leaders of Russia, Ukraine, France and Germany speak a week after forging peace deal

@highlight

Ukrainian President says a separatist offensive in Debaltseve breached the deal