Dr. Sanjay Gupta, a neurosurgeon, is author of the new book "Cheating Death," which will be published next month. This article originally appeared in the September 20, 2009, issue of Parade and Parade.com.

(Parade) -- I am going to let you in on a secret: When a person's heart stops beating, it's not the end. Contrary to what you may think, death is not a single event. Instead, it's a process that can be interrupted.

Sanjay Gupta says the latest CPR techniques can save the lives of vicitims of cardiac arrest.

Mike Mertz knows this firsthand. On January 23, 2008, the 59-year-old Arizona man was driving home from work. The last thing he remembers is pulling into his complex's driveway. Then his heart stopped. Corey Ash, a passing UPS driver, noticed a silver Saturn wedged between a palm tree and a wall, with the engine running and a person slumped at the wheel. Ash stopped to investigate. He switched off the car's engine, pulled Mertz out, and laid him on the ground. Ash called 911 and started pumping the older man's chest. The next few minutes would be absolutely critical for Mertz.

If you had been there, standing over Mertz's lifeless body, would you have known what to do?

A person's life can slip away in a few minutes. Without a heartbeat, circulation slows to a halt. Blood no longer flows to the organs, and the brain is the first one to suffer. In normal times, the brain, which constitutes 2 percent of our body mass, consumes about 20 percent of the oxygen the body takes in. After 10 seconds without oxygen, the brain's functions slow. Without oxygen or signals from the brain, other organs begin to break down. Diaphragm muscles no longer contract and release to bring in air. The kidneys stop filtering blood. At the same time, an elaborate chain reaction triggers a breakdown in cells throughout the body. Parade.com: 4 diseases you can fight with exercise

Scientists and physicians are now learning that this process can be reversed. When it comes to cardiac arrest, however, the chances of surviving an episode outside a hospital are poor. Only 2 percent of victims pull through without long-term damage.

The No. 1 thing that has been shown to make a difference is the action of a bystander. If a passerby jumps in and gives CPR, as Corey Ash did, the likelihood of survival rises significantly. But if onlookers do nothing, those chances drop -- fast. According to the American Heart Association, for every minute that goes by without someone attempting CPR, the survival rate decreases 7 to 10 percent.

Studies have found that bystanders perform CPR in only 20 to 30 percent of cases. Researchers say it's not because people don't want to help -- it's because they're apprehensive about putting their mouths on someone else's, especially if the person is dying. But what I'm about to tell you may change your mind about what you can do in a situation like Mertz's.

More than 15 years ago, cardiologist Gordon Ewy and researchers at the University of Arizona's Sarver Heart Center were puzzling over how to get more people to give CPR. To simplify the method, they wondered what would happen if they advocated performing compressions without mouth-to-mouth respiration. After running successful laboratory trials, Ewy spoke to emergency-services directors in Arizona, Wisconsin, and Missouri. They were intrigued by his findings and agreed to promote the use of compression-only CPR among people in their states. They also implemented a protocol for their paramedics and firefighters that emphasized giving chest compressions with minimal interruptions to keep the patient's blood circulating. Parade.com: 8 ways to stay healthy

The results were remarkable: Not only were survival rates for people who got only compressions just as good as those for people who got traditional CPR, they actually were better. Why was it so effective? Mouth-to-mouth resuscitation supplies oxygen, which we need continuously. As it turns out, our bloodstreams contain plenty of oxygen at any moment. Even if we stop breathing, our oxygen levels remain normal for quite a while. If we do stop breathing, however, the sole way to make the oxygen circulate is by having someone pump our chests.

In 2007, Japanese researchers revealed the results of a massive study on bystander intervention. They looked at cases where a person (not in a hospital) suffered cardiac arrest in view of a bystander -- and with his or her heart in a rhythm that would respond to a defibrillator. The survival rate was 11 percent for those who got standard CPR -- mouth-to-mouth plus chest compressions -- before an ambulance arrived. The rate was 19 percent for those who got only compressions. The act of keeping oxygen circulating could increase a victim's chances of surviving by as much as 70 percent.

This is not a fancy technology born in a gleaming lab, yet it is one of the most significant recent breakthroughs in medicine. Because heart disease is the biggest killer in the United States, this simple act could save thousands of people's lives every year.

Like Mike Mertz's. Shortly after Corey Ash began CPR, paramedics trained in the compression-only technique arrived. Thanks to them and to an alert bystander, Mertz survived. One day, the bystander could be you. Parade.com: 7 habits for a longer life

Remember: As soon as you see someone suffer what you think may be cardiac arrest, call 911, start giving chest compressions 100 times a minute, and don't stop for anything. To get more information and to find classes in your area in emergency cardiovascular care, go to the American Heart Association Web site.

Advances in saving hearts

• Stem cells: Back when I was in medical school, I learned that any damage to the heart from a heart attack was permanent. This past summer, Mayo Clinic researchers working on mice converted adult scar cells into stem cells, which they injected into damaged hearts. The cells restored heart-muscle performance, stopped the progression of damage, and regenerated injured tissue. Scientists at Mayo tell me this will soon be tested on humans.

• Drug-releasing stents: People at risk for heart disease who have a blockage in the vessels supplying blood to their hearts may undergo an angioplasty to open the vessel. Afterward, doctors often insert a stent (a mesh tube) to continue holding the artery open. The newest stents serve a dual role: They also release medication that prevents scar tissue from developing.

• CRP testing: You should have your cholesterol levels checked regularly. But you might also ask your doctor about getting your C-reactive protein, or CRP, checked. It is a marker for inflammation, a powerful risk factor for heart disease. Changes in diet and exercise can usually reduce high CRP levels.

@highlight

Gupta: Death is not a single event; it's a process that can be interrupted

@highlight

Without a heartbeat, circulation slows to a halt; brain is first organ to suffer

@highlight

In CPR, compressions are more important than mouth-to-mouth breathing

@highlight

Compressions keep oxygen-rich blood circulating to brain, other organs