(CNN) -- Thanks to 3-D printers, dentists can today print false teeth and medical device manufacturers can print hip replacements.

Such creations are useful, but not exactly sexy. Thankfully, artists are demonstrating another dimension of the technology, printing remarkable creations that wouldn't have been possible even a decade ago.

Take Tobias Klein. The German artist wanted to meld the architecture of St. Paul's Cathedral with representations of his own body.

Approximating the shape and dimensions of your own heart is a challenge, but Klein did not have to guess. He underwent a series of MRI scans, and then, with a few clicks of the mouse, was able to view his own heart in 3-D.

He then merged that with a representation of the dome of St. Paul's and sent the design to a 3-D printer, which deposited material layer by layer to create a solid object.

The result was 'Inversive Embodiment,' a twisting, mind-boggling sculpture that links man-made architecture with the architecture of a man.

"It allows me to move into more eccentric areas," Klein says. "We see a super beautiful influx of people working with the medium. We're just seeing how far this can go."

New possibilities

According to Wohlers Associates, a manufacturing research firm, the market for 3-D printing topped $2 billion in 2012, up nearly 30% from the year before. And while most of the cash comes from manufacturing companies, artists are throwing ever more dollars at 3-D printers and related technologies.

The desire to innovate is driving the trend, as are falling prices and the increased availability of 3-D printers.

Suzy Antoniw organized "3D: Printing the Future", an exhibition running at London's Science Museum until June 15.

"Although 3-D printing as a technology isn't that new, there has been an explosion of creativity around it in recent years," she says. "It gives artists more design freedom and enables them to create amazing things."

Bernat Cuni, one of the artists featured in the exhibition, takes children's drawings and, using computer aided software, blows the images up like balloons. A 3-D printer then produces these so-called 'crayon creatures,' turning scribbles into mini sculptures.

Michaela Janse van Vuuren, an artist and former puppet maker, focuses on designs that can only be made using 3D printing.

Her white horse marionette includes an elaborate set of wings made of countless interlocking parts, all printed in one go. That means there is no assembly required and the piece is ready for sale immediately.

"There is absolutely no way you can make this design using traditional manufacturing or handcraft methods," she says.

Fashion has benefited as well.

For the Victoria's Secret Fashion Show in September, the lingerie giant wanted model Lindsay Ellingson to have spectacular wings that captured the intricacy of snowflakes.

Designer Bradley Rothenberg relied on a 3-D printing process called Selective Laser Sintering that can fabricate complex interlocking support without additional support materials. 3-D printing also ensured a snug fit.

"We actually scanned the model and then wrote code that generated the snowflakes around the 3D mesh of Lindsay's body."

Financial incentive

For artists who live outside of the world's major art markets, 3-D printing helps them access customers further afield.

Janse Van Vuuren, who is based in South Africa, says it can be costly to reach new markets and to travel to meet potential clients.

"3-D printing removes many of these barriers and has the potential to level the playing field," she says. "My designs can be printed at a location close to the buyer and many online repositories exist where buyers can choose products."

Museums see commercial promise in new printing techniques as well.

Amsterdam's Van Gogh Museum, which holds the world's largest collection of paintings by the Dutch artist, has teamed up with Fujifilm to create 3-D replicas of five Van Goghs, including the iconic "Sunflowers" and "Almond Blossom."

Fujifilm scanned the works and then printed 260 replicas of each—a process that takes three months.

Known as "Relievos", the copies capture not only the colors—there are 32 shades of yellow in "Sunflowers"—but also the particulars of Van Gogh's brushstrokes, including height and direction.

They also include the frame and the backside of each painting, which have stickers and other markers of where the paintings have traveled.

"This way people can see the history of the painting," says Milou Halbesma, the head of public affairs at the museum. "A painting travels around the world. People can see it was in exhibitions at the Moma and other museums."

The Relievos sell for €25,000 each, about $34,000, and will help the museum pay for essential renovations. Previous sales in Hong Kong and Taiwan were a huge success, so the museum has launched similar sales in Belgium and the Netherlands. It will take its works to Los Angeles in the new year.

Baby steps

Critics of 3-D art reproductions like to point how much they vary from the original.

But Joris Dik, a professor of materials science at Holland's Delft University of Technology, believes it is more interesting to compare 3-D reproductions to earlier 2-D reproductions. It shows how far technology has come.

Working with Canon and the Rijksmuseum, Dik and one of his graduate students developed a scanning technique that allows them to capture the ridges and cracks of a painting, and to see beyond the surface layer of paint to understand the structure of the painting.

To the untrained eye their reproduction of Rembrandt's "Jewish Bride" might be mistaken for the original.

But for Dik that's not the point. What's important is that his 3-D representation is an incremental step forward. In the future 3-D scanning techniques and printing may even replicate layers and luminescence, the quality whereby particles in paint make it appear to shine.

"The one thing that is certain is that 3-D printing is advancing rapidly," Dick says. "I'm quite sure that in a couple of years we'll be a couple of steps further."

@highlight

3-D printing is opening new avenues for artists

@highlight

The Van Gogh Museum is printing 3-D replicas of iconic paintings

@highlight

Even Victoria's Secret has embraced the technology