A Facebook policy that asks users to provide real names on profiles has people from all walks of life worrying their accounts might be in jeopardy.

Several gay and transgender entertainers reported last week that Facebook temporarily suspended their personal accounts for not providing their "real name."

San Francisco drag queen Sister Roma -- a member of activist group Sisters of Perpetual Indulgence -- begrudgingly made the change on her personal profile to Michael Williams, a name she has not used publicly for 27 years. She registered her contempt for the policy on social media, leading others to come forward with similar claims using the hashtag #MyNameIs.

Since then, the issue has raised concern beyond the lesbian, gay, bisexual and transgender community that anyone could lose their account for not agreeing to Facebook's definition of a "real name." It also raises questions around identity and the right to self-determination on social media  -- whether you're a drag queen, a mental health provider or an everyday user grasping for some semblance of privacy.

Facebook met Wednesday with San Francisco city officials and activists, including Roma, to discuss the policy. For now, the policy remains unchanged, but Facebook said it would "temporarily reactivate" the profiles of several hundred members of the LGBT community who'd been affected.

"We had a good discussion with the group about their perspectives on our real name standard, and we stressed how the standard helps prevent bad behavior while creating a safer and more accountable environment," Facebook spokesman Andrew Souvall said. "Over the next two weeks, we hope that they will decide to confirm their real name, change their name to their real name, or convert their profile to a Page."

Many people use fake names on Facebook for safety reasons, Roma said. Victims of stalking and relationship abuse have a right to participate in social media anonymously, as do members of the LGBT community who cannot safely be "out," she said. Public figures such as Roma have spent years building personas under their drag names on Facebook and continue to rely on it for socializing and networking.

"This is bigger than the trans community," Roma said. "I don't have a problem with Facebook. I have a problem with the policy. It's shortsighted, and I don't think (Facebook) realizes the far-reaching implications of this policy."

What's in a 'real name'?

Many outside the LGBT community sided with Roma's view of the policy, calling the right to anonymity "an important element of free speech." But with more than 1 billion users, Facebook says it relies on the community to self-police, suggesting that other users may have reported Roma and her contemporaries.

"We require everyone to provide their real names, so you always know who you're connecting with. This helps keep our community safe," its name and birthday policy states.

If people want to use alternative names on Facebook, they have several different options, Souvall said. They can provide aliases under their names on their profiles, or create fan pages specifically for those alternative personas.

"As part of our overall standards, we ask that people who use Facebook provide their real name on their profile," Souvall said.

So, what's a real name? The name you use on your credit card, driver's license or student ID, according to Facebook. Nicknames are allowed as a first or middle name if they're a variation of your real first or last name.

Memoir details transgender sibling's journey

For many, it's not enough. Blissom Booblé is a retired burlesque dancer who does advocacy work for LGBT homeless youth and HIV awareness, but her main source of income comes from being a flight attendant. Using a "pen name" on her personal profile allows her to earn a living "while also doing work that I feel is vital" but not always recognized as acceptable.

"Facebook is key to connection for just about everyone these days, and many of us are known more by our chosen names than by our legal ones. My concern is that this rule has less to do with names and more to do with whose identity is acceptable versus whose identity is not."

Those who no longer identify by their real name worry it will cause confusion among friends and professional contacts. New York drag queen Ruby Roo reluctantly changed his Facebook profile last week to his legal name so he would not lose friends and contacts going back to his high school years. Still, he's worried that people who never knew him as Christopher Van Cleave will ignore his messages and posts.

"It's like Facebook is telling me I can't promote myself in the way I wanna promote myself, personally or professionally," he said. "While my drag career is my business, my only source of income, if Facebook wants us to use fan pages then they need to give us the same benefits that regular profiles have, like tagging statuses and pictures."

At least one person says he was targeted, even though he used his real name. Chase Silva was born in Hawaii, and his full name is Chase  Nahooikaikakeolamauloaokalani Silva, according to a birth certificate posted on his Facebook account.

Silva says he also received a notification from Facebook temporarily suspending his account because "it looks like you're not using your real name."

"I am a proud Hawaiian who wants to be able display my Hawaiian given name," Silva said in a Facebook post. He did not respond to CNN's request for comment.

Doctors, mental health professionals and therapists also are known to use pseudonyms or fake names so clients cannot friend them.

"It is counterproductive for a client of mine seeking mental health services to be able to, especially at the beginning of our work together, know and see me as I appear on Facebook," said Benjamin Harden, a pre-doctoral therapist intern in the San Francisco Bay Area, who uses a fake name on Facebook.

"Many of my colleagues also use a fake last name to prevent this exact type of access by our clients."

Public pages vs. personal profiles

The policy also raises concerns among entertainers and public figures who maintain personal and professional Facebook accounts under their stage names. A coalition of performers launched an online petition asking Facebook to let them use stage names on personal accounts.

"Our chosen names are an important part of our identities and how we interact with our peers and audiences," the petition says. "We build our networks, community, and audience under the names we have chosen, and forcing us to switch our names after years of operating under them has caused nothing but confusion and pain by preventing us from presenting our profiles under the names we have built them up with."

The petition, which has drawn nearly 20,000 signatures so far, cites safety from stalkers and overzealous fans as one reason performers use stage names on public pages and personal profiles.

Sex educator Sunny Megatron (not her real last name) is a frequent talk show guest, and has a show debuting on Showtime this fall. Over the years she said she has received numerous emails from stalkers threatening to attack her in her home.

"Divulging my real name publicly could very well put me and my family in danger. Anonymity is important not only to people in the public eye but to anyone who may feel threatened having their private info publicly available."

The petition also cites the limited functionality of public pages, implying that Facebook has financial motivations for pushing performers to use fan pages. Business pages only reach about 16% of their fans on average, according to Facebook's own accounting, but many performers cannot afford to pay $30 or more to boost posts, the petition states.

Megatron uses her public page to engage with fans, but it's a "one-way street" because she cannot post or comment on other people's pages using her public account.

That's why she uses her personal profile under her stage name for socializing, networking and building business opportunities.

"Engagement on business pages is a fraction of what it is on personal pages. Although I have three times the amount of followers on my business page as my personal, the interaction just isn't there," Megatron said.

"If I want to interact with them I need to have a personal page that I also do some business on," she said.

"And, frankly, in this day and age when you freelance, it's nearly impossible to completely separate online personal interactions from online business interactions. Any interaction could generate business."

@highlight

Facebook temporarily reactivates hundreds of profiles after meeting with activists

@highlight

LGBT performers cry foul over Facebook policy requiring them to use their real names

@highlight

Policy worries others who use pseudonyms or fake names for safety, privacy concerns

@highlight

Facebook says enforcing real identities helps keep the community safe