(CNN) -- Our gun debate continues to revolve around measures to prevent deranged people from using military-style weapons to massacre innocent people. This is a worthy goal. We should do all we can do, within the limits of our Constitution, to reduce the number and deadliness of these tragedies.

But I am increasingly concerned that the debate will never evolve to include deeper sources of gun violence in our country. After all, most people killed by guns in the United States are not killed in school massacres by villains carrying AR-15s.

They are killed one at a time, and usually by handguns. All too often, they die in urban and rural communities in economic distress. More people die in gun suicides than gun murders. This is the real gun violence epidemic. And universal background checks -- as important and necessary as that step is -- will not do much to curb it.

I had hoped the national debate might expand to include a deeper discussion of what is really happening with gun violence in America. So far, it has not. The conversation did not change much, even after Hadiya Pendleton, who marched with her Chicago classmates in President Obama's second inaugural parade, was shot and killed in a park while talking with her friends. She was only 15 years old. The truth is that her story is tragically common in America. And the most disputed ideas out of Washington, like an assault weapons ban, wouldn't do much to change that reality.

Opinion: More gun mayhem, and yet we wait for action

What can be done to really reduce the senseless slaughter in schools like Sandy Hook and on the streets in cities like Chicago?

Should we close the loophole that allows people to buy guns without a basic background check? Yes. Get illegal guns off the street? Yes. Ban assault weapons? Of course.

These things should have been done years ago. For the decades of inaction, we can thank the National Rifle Association, a gun manufacturers' lobby that has divorced itself from reality.

Should we put armed guards in every school? Probably not. More weapons do not necessarily make us safer. And the price for doing so might keep us from measures that are smarter and statistically more effective, like better mental health services and counseling for students on the edge. Proposals for "armed schools" may help the NRA sell more guns, but they don't address the underlying problems. They also risk leaving the rest of us in a perpetual high-fear, low-trust society.

What could really turn the tide? Much of the daily violence is linked to economic desperation and despair. Areas of concentrated poverty continue to be linked to violent crime. In Chicago, the most poverty-stricken neighborhoods have the highest homicide rate. Studies by the Brookings Institution, Johns Hopkins, and even the Federal Reserve Bank of San Francisco note the link between lack of opportunity and violence.

We should be focused on connecting people, especially young men, to training and employment. As I said recently on "Piers Morgan Tonight," nothing stops a bullet like a job.

As author and journalist Alex Kotlowitz told CNN, in violent Chicago neighborhoods, "The American Dream is fiction."

NRA chief: Why we fight for gun rights

Fixing that by making sure every American has a chance to climb the ladder to opportunity is a good place to start. Beyond that, many community programs are having success at creating more peaceful streets.

For example: in South Los Angeles, the Community Coalition has created a safer neighborhood by working with residents to shut down a troublesome liquor store and connecting families to jobs resources. The Harlem Children's Zone is a successful example of an Obama administration program, Promise Neighborhoods, that has received too little money and too little attention.

Baltimore's Safe Streets program reduces gun violence by providing mediating services and resources for youth to participate in community service programs and job training. A University of Philadelphia study even found that greening vacant lots in cities helps reduce gun violence.

These programs and the crying need for jobs should be at the center of any discussion about reducing the horrifying death toll in our nation. Every child dead is a massacre, whether it happens in unspeakable numbers in a schoolhouse or one by one on the streets of Chicago.

The opinions expressed in this commentary are solely those of Van Jones.

@highlight

Van Jones: Gun debate needs to go beyond background checks and assault weapons

@highlight

Jones: Gun violence also tied to poverty, mental illness, lack of opportunity

@highlight

Jones: Most people killed by guns in suicides, then in murders, not in mass shootings

@highlight

Jones: We need jobs, education, activist community groups to help young people