(CNN) -- News that a 14-year-old Pakistani girl was gunned down by the Taliban simply because she wanted to go to school has sparked a wave of protests and condemnation across the world.

As she fights for her life in hospital, Malala Yousafzai is being adopted as every child's sister and every parent's daughter.

Wearing "I am Malala" t-shirts, young people in Pakistan are not only challenging the Taliban's brutality and dogma, they're boldly affirming the right of every child to education.

'I Am Malala' -- a chorus across of support across the world

The protests reveal a generation no longer willing to tolerate the gap between the promise of opportunity for all and the reality for millions of boys and girls shut out from even the most basic of primary schooling. Indeed, they are doing more to assert their right to education than the leaders who promised to deliver it.

If there is one idea that has been pre-eminent in the modern world, it is that every child should have the opportunity through schooling to rise as far as their talents can take them. For decades we have assumed the inevitability of the forward march of education, the inexorable year-on-year, continent-by-continent progress towards universal education.

But if there is one reality that exposes our failure to deliver, it is that there are 61 million young children like Malala who will not go to school today or any other day. Written off at five and six years old, they will never be able to bridge the gap between what they are and what they have in themselves to become.

The Malalas you'll never meet

New figures to be published by UNESCO on Tuesday will show that birth and background -- where you come from and who you were born to -- matters far more in deciding your child's prospects than talent and merit, and that for millions of children educational opportunity is a hollow promise.

Fifteen million children under 14 who should be at school are working full time around the world. Every year, ten million girls leave education to become child brides and never return to school. Millions more are trafficked. And the UNESCO report will highlight the shameful neglect of 28 million refugee girls and boys, displaced children living in the camp tents and shacks of broken down regimes and conflict zones with no teachers or schoolbooks.

In some areas of the world, such as in Africa and the Indian subcontinent, progress is not just stalling but is sliding backwards. By current global trends education for all will be a distant dream until at least 2064.

Photos: Pakistanis pray for recovery

When I visited South Sudan, the newest country in the world where there are more than 100,000 girls aged between 14 and 16, only 400 are at school. As these girls and others become connected globally -- through the Internet and other ways -- while still denied education locally, their impatience at their fate will grow. The absence of genuine educational opportunity for millions has become, in the words of former U.S. Secretary of State Condoleezza Rice, "the civil rights issue of our generation."

I have never believed that the wealthy must do badly for the poor to do well. Such a politics of envy holds no attractions. When, however, the advantages of birth and background account for 80% of global inequality, we cannot sit back and do nothing. The way forward is to invest in education to bridge the opportunity gap. Too often we allow girls to be excluded from school without much complaint, and we continue to tolerate child labor and child marriage. Meanwhile in the West, we are willing to pay upwards of $100,000 to school our children when much of the world invests just $400 per child -- 250 times less.

Learn more about how you can help at CNN Impact Your World

We have one chance left to deliver by 2015 our Millennium Development Goal promise that every young child will go to school. A new initiative, Education First, launched last month by U.N. Secretary General Ban Ki-moon, is bringing together every U.N. and World Bank institution concerned with education to work with governments to deliver new school places and train new teachers.

The idea is that each country prepares a national plan setting out its exact teacher needs and school-building and financing requirements for achieving this 2015 target of universal schooling. At the core of each plan should be strategies for policing an end to child labor, enforcing laws against child marriage, and clamping down on discrimination against girls.

Money set aside for more investment in teachers and training should extend to meeting the needs of the most marginalized -- 18 million blind and disabled boys and girls, as well as rural girls from poor households. A joint summit between the international agencies and governments, to be held in April in Washington, should agree how to overcome obstacles to delivery with precise plans, timetables and budgets.

But can the education of a child in a poor country be seen as a worthwhile investment for a citizen of a rich country?

Today just $3 billion of global aid goes to education, amounting to a meager, shameful $13.50 per child in Africa -- hardly enough to finance a textbook, far less a teacher or a school. By 2015, even that alarmingly small amount of aid will not be rising but falling.

No parent I know would conclude that the 25 cents a week we offered the developing world in educational aid per child is generous. The outpouring of public support for Malala -- and for a child's right to an education -- tells me that we can persuade not only governments but the public to give more.

The opinions expressed in this commentary are solely those of Gordon Brown.

@highlight

Malala Yousafzai was shot by Taliban simply because she wanted to go to school

@highlight

Brown: Malala's plight highlights struggle for education millions of children face

@highlight

Condoleezza Rice: Education the "civil rights issue of our generation"

@highlight

Nations also must work harder to end child labor, enforce laws against child marriage