(CNN) -- Up to three Ebola-infected travelers might board an international flight each month in West Africa, according to a new study, and potentially spread the deadly virus to other countries.

Scientists used a model to predict that, on average, three people who are infected with Ebola will leave Guinea, Liberia or Sierra Leone in each of the coming months to fly to another country. They based their model on scheduled flights for September 1 to December 31, 2014, historic flight itineraries from 2013, and Ebola surveillance numbers from the current outbreak. The results were published in The Lancet this week.

"We understand there could be global risks associated with the current outbreak," said study author Dr. Isaac Bogoch, a specialist in infectious diseases and tropical medicine at the University of Toronto. "We wanted to understand what those risks were."

Three passengers per month, or 2.8 to be exact, was around what Bogoch was expecting. Considering the number of people living in these West African countries, he says, the prevalence of the disease is still relatively low. Guinea, for example, has around 11.4 million people, and just over 1,500 recorded cases of Ebola.

Nonessential travel to and from these countries has also been reduced significantly over the past six months.

Of the approximately 500,000 travelers who flew out of Guinea, Liberia and Sierra Leone in 2013, more than half flew to one of five countries: Ghana, Senegal, the United Kingdom, France and Gambia. In fact, the study authors say the likelihood of someone traveling to the United Kingdom or France with Ebola is about eight times higher than the likelihood of someone traveling to the United States with the disease.

Of course, Ebola has already come to the United States.

The study authors note that the majority of people flying out of Guinea, Liberia and Sierra Leone are traveling to other low- or middle-income countries. As one hospital in the United States has had some trouble preventing transmission, experts question whether less-equipped nations will be able to stop the virus.

"If you look at how challenged the U.S. has been in dealing with this one imported case, I think it's really important for WHO and other countries to up the preparedness in areas where they might have less resources," said Dr. Jesse Goodman, professor of medicine and infectious diseases at Georgetown University, who was not involved with the study.

The researchers also looked at the effectiveness of airport screenings in stopping the spread of the Ebola virus. Overall, they concluded that exit screening is more effective than screening passengers for Ebola when they arrive in another country. Exit screening at three airports is easier, Bogoch says, and requires fewer resources than doing entry screening at hundreds of airports around the globe.

But even exit screening, he says, is unlikely to have much effect because of the virus' long incubation period.

Someone can be infected with Ebola for up to 21 days before becoming symptomatic. That's how Thomas Eric Duncan made it to the United States with the virus; his temperature was taken before he boarded, but his symptoms didn't start until several days after his flight landed.

Airport screenings are "a control measure, but an imperfect control measure," says Dr. William Schaffner, an expert on infectious diseases at Vanderbilt University.

Schaffner compares it to making fresh-squeezed juice: Airport screenings, from a fundamental public health point of view, he says, are "very much squeeze with very little juice."

The bottom line is that the vast majority of our resources, Bogoch said, should be focused on preventing the spread of infection in Guinea, Liberia and Sierra Leone.

"If there are fewer cases in West Africa, fewer (infected) people will be boarding planes to other parts of the world," he says. "That said, we still have to be prepared elsewhere. Because we know from experience that it can land on our doorstep."

@highlight

Scientists use model to predict number of Ebola-infected travelers leaving West Africa

@highlight

Up to three people with the deadly virus might travel internationally each month

@highlight

Majority of people flying out of affected countries are going to low- or middle-income nations