Houston, Texas (CNN) -- Joel Osteen strides into the former Compaq Center. Some 20,000 people are standing and singing. Purple lights softly pulse across the ceiling, and mist floats around two giant screens flashing words to the songs.

It's not a pulpit but a podium. It's not an altar but a stage. There is no cross. Instead a huge globe spins, and two massive bubbling creeks flank the stage. A lighting system softens distant corners of the massive arena and spreads colored light and smoke in strategic spots. Somehow, the space that will hold 40,000-plus on Sunday morning doesn't feel like a sports arena.

In the control room, producers watch multiple camera angles and feeds.

Smiling broadly, Osteen bounds up the few stairs to the stage, closes his eyes, lifts his hands and leads a prayer.

"God, I'm going to start this week off in faith. Expecting your goodness. Expecting to have a blessed and a prosperous week. Amen. Well, God bless you. Give him your very best today."

Welcome to Sunday morning at Lakewood Church in Houston, Texas. It's reportedly the nation's largest congregation and probably one of the most diverse places in America. One third of these churchgoers are Hispanic, one-third African-American and a quarter white. There are dozens of nationalities.

Osteen will give this sermon twice. He later said he knows immediately which segments to edit together into a sermon that will air on television to millions three weeks later.

Between services, he is signing his most recent book in the lobby, just past the bookstore that is one of the highest-grossing Christian bookstores in America.

His wife, Victoria, is co-pastor of the church and a best-selling author in her own right. In fact, the Osteens are not paid to be pastors at Lakewood, according to the church, but they live off the considerable proceeds of their books. Joel Osteen's advance for "It's Your Time," his third book, an instant best-seller, was $12 million, according to the church.

Settled into the pastor's suite after two Sunday services and book signings, Osteen explains why he is telling people it's the time to "thrive."

"I tell them that this is not the time to get discouraged or put your life on hold and really to be talked into having a down year," Osteen said.

"I really believe that fear is contagious, that worry and anxiety ... if you let that get into you long enough, it almost paralyzes you."

"So if you get talked into saying, 'Well, I'm just going to survive this year and make it and not get laid off,' I believe you draw more negativity in, versus if you get up and say, 'OK, yes, we're not in denial the economy is terrible, stuff's not going great, but I believe that God calls me to be at the right place at the right time' and you know put your faith out there -- don't have a survival mentality, believe that you can thrive."

That message is resonating. His publisher, Simon & Schuster, said some 850,000 copies of "It's Your Time" are already in print.

Osteen shrugs off criticism from mainstream Protestants, evangelicals and others who call Lakewood Christianity lite, more showbiz than theology -- a religious Disneyland, where after the "ride," the doors open into the gift shop to buy books DVDs, calendars and all things Osteen.

"I'm not a debater," he said, shrugging. He said he's been called to deliver God's message to as many people as possible, and God gave him a unique set of gifts to do so.

One of those gifts is the ability to market brand Osteen across multiple media: podcasts, Twitter, books, DVDs, CDs and television. He produced his father's telecasts for years and stepped into the spotlight after his death. Osteen's expertise behind the camera has taken his father's church to a stratospheric level.

Osteen's supporters and associates suggest mainstream Christian mistrust of his success may be as much jealousy as theology.

"Have you been to church in America recently?" one aide said. "They put on a funeral. If you put on a funeral every week, eventually people stop coming."

Osteen's is the largest, but according to Hartford Seminary, there are 1,350 megachurches in the country, and they are spreading, while more traditional Christian churches struggle to fill the pews.

"What megachurches represent for good or bad is the world that we live in," said Scott Thumma, a sociology of religion professor at the Hartfold Seminary in Connecticut.

"I don't think it is the only form of religion that is going to survive into the future; I think there is also a very strong place for small intimate worship settings, like house churches and small cell churches. But the megachurch is appealing and attracting people for a reason; it parallels the experience that we have with rock concerts and sports arenas and the mall."

Joel and Victoria Osteen appear profoundly, unfailingly positive. On the screen that recent Sunday are these words -- God plans to prosper you and not harm you.

"I don't believe it's just money -- money is a part of it -- but prosper is to give you a good life, meaning good relationships, and give you health," Osteen said, explaining the "prosper" phrase comes from the Book of Jeremiah. It's to "give you a good job and money to pay your bills and do other things, but you know I encourage people to have a prosperous mindset." Osteen said.

Osteen is often characterized, and criticized, for being a "prosperity preacher."

"I don't like to be called a prosperity minister because I think in most people's minds that don't know me they think, 'Well, all he talks about is money,' " Osteen said, "Which I don't, I talk about being blessed in so many different ways."

Yet he does offer advice about finances and he has some experience. Osteen said Lakewood still has $40 million to pay off on $100 million he borrowed to convert Compaq Center from a basketball arena into a church.

In "It's Your Time," he writes, "If you have a burden of heavy debt, you need to announce to that debt, 'It is finished.' Look at that house payment. 'It is finished.' Look at that college loan. 'It is finished.' Look at those unpaid bills. 'It is finished.' "

Can God really wipe out your debts?

"It starts ... with the vision that you have to believe that God can help you to get out of debt to fulfill your dreams," Osteen said. "I don't think anything is going to happen if you don't believe, so I think that's where you start."

And what of the Bible verse that it is easier for a camel to go through the eye of needle than for a rich man to enter the kingdom of heaven? Or that Jesus preached his followers to give up all their belongings and follow him?

"Years back at least, you know you had to be poor and to show you were holy," Osteen said. "You're supposed to sacrifice everything, and I'm all for sacrifice and I believe in that, but I also believe that God wants us to be leaders. He's put gifts and talents in every person, that they're supposed to come out to the full."

CNN's Ben Tinker contributed to this report.

@highlight

Joel Osteen preaches before 40,000 people in Houston, Texas, plus millions more on TV

@highlight

Osteen reported received $12 million advance for his latest book

@highlight

Osteen says he doesn't think he's a "prosperity preacher," but he offers advice on finances

@highlight

The balance between faith and finances on CNN's "In God We Trust" at 8 p.m. ET Saturday