(CNN) -- Eight people have died from a rare, noncontagious form of meningitis linked to contaminated steroid injections, the Centers for Disease Control and Prevention said Monday.

In addition, 105 people in nine states have been infected with the illness as a result of the shots, the CDC said.

The number of reported cases has increased significantly in recent days as federal and state authorities continue to investigate the outbreak.

As many as 13,000 people may have received the medicine between May 21 and September 24, a spokesman for the CDC told CNN.

Tennessee is reporting the most number of overall cases, with 35 infections and four deaths, according to the CDC.

"In our state we estimate there are about 1,000 people who we believe are at risk," said Tennessee Commissioner of the Department of Health Dr. John Dreyzehner. "In other words they have potentially received some of the contaminated medication."

He told reporters Monday that because not enough was known about the incubation period for the disease, his department continues to stay in contact with people who might have been exposed.

Dreyzehner said there haven't been any new exposures since the department contacted clinics in the state two weeks ago about the contaminated injections. The number of cases grows as the state learns of more people with meningitis, he explained

The fourth death reported in Tennessee on Monday occurred in late September, he said.

The patients contracted the deadly fungal meningitis after being injected in their spines with a preservative-free steroid called methylprednisolone acetate that was contaminated by a fungus. The steroid is used to treat pain and inflammation.

What is meningitis?

The New England Compounding Center (NECC), the Massachusetts-based pharmacy that made the contaminated injections, voluntarily recalled three lots of the injected steroid last week.

On Saturday, the same pharmacy announced a voluntary nationwide recall of all its other products as well. NECC said that the new recall was being announced out of an abundance of caution and that there is no indication any of its other products are contaminated.

The Food and Drug Administration has already asked doctors, clinics and consumers to stop using any of the pharmacy's products. The pharmacy on Wednesday voluntarily surrendered its license to operate until the FDA investigation into the contamination is complete.

Health officials say 75 medical facilities in 23 states received the contaminated steroid injections from NECC.

List of medical facilities that received the contaminated injections

Other than Tennessee deaths have been reported in Maryland, Michigan and Virginia.

There are also confirmed cases in Florida, Indiana, Minnesota, North Carolina, and Ohio.

CDC: State-by-state breakdown of meningitis cases

The other states that received the contaminated products from NECC are California, Connecticut, Georgia, Idaho, Illinois, New Hampshire, New Jersey, Nevada, New York, Pennsylvania, Rhode Island, South Carolina, Texas and West Virginia.

Federal health inspectors began inspecting the NECC plant last Monday. Inspectors found foreign particles in unopened vials, and after testing one of the unopened vials, they determined the substance was a fungus.

The investigation is still under way.

Nearly 10% of drugs administered in the United States come from compound pharmacies, according to a 2003 Government Accountability Office report.

Drugs manufactured by compound pharmacies do not have to go through FDA-mandated premarket approval. Instead, state health pharmacy boards are responsible for the oversight and licensing of these pharmacies.

Compound pharmacists create customized medication solutions for patients for whom manufactured pharmaceuticals won't work, according to the International Academy of Compounding Pharmacists.

Meningitis is an inflammation of the protective membranes covering the brain and spinal cord. It is usually caused by an infection, frequently with bacteria or a virus, but it can also be caused by less common pathogens like fungi, according to the CDC.

Fungal meningitis is very rare and, unlike viral and bacterial meningitis, it is not contagious.

Symptoms of fungal meningitis are similar to symptoms from other forms of meningitis, but they often appear more gradually and can be very mild at first, the CDC says.

Dr. William Schaffner, chairman of the Department of Preventive Medicine at Vanderbilt University Medical Center, told CNN that fungal infections are not usually mild. He said when a fungus invades small blood vessels, it can cause them to clot or bleed, which can lead to symptoms of small strokes.

In addition to typical meningitis symptoms like headache, fever, nausea and stiffness of the neck, people with fungal meningitis may also experience confusion, dizziness and discomfort from bright lights. Patients might just have one or two of these symptoms, the CDC says.

Health officials say any patients who received an injection at one of the facilities beginning May 21 and who began showing symptoms between one and three weeks after being injected should see their doctor right away.

The earlier a patient gets treatment, the more likely he or she will survive.

Patients are treated with anti-fungal medication, which is given intravenously, so patients have to be admitted to the hospital, the CDC said. Patients may need to be treated for months.

The FDA is urging anyone who has experienced problems following an injection with the NECC product to report it to MedWatch, the FDA's voluntary reporting program, by phone at 1-800-FDA-1088 or online at www.fda.gov/medwatch/report.htm.

CNN's Elizabeth Cohen and Miriam Falco contributed to this report.

@highlight

NEW: CDC: As many as 13,000 people may have received medicine

@highlight

No new exposures have occurred in recent weeks, Tennesse official says

@highlight

Patients have contracted meningitis after receiving contaminated steroid injections

@highlight

Nine states have reports of this rare, noncontagious form of the disease