Fort Meade, Maryland (CNN) -- Prosecutors say a 25-year-old Army private accused of aiding the nation's enemies through the largest leak of classified information in U.S. history "craved" notoriety.

The defense on Monday painted Pfc. Bradley Manning as "naive but good-intentioned."

So began the first day of the former intelligence analyst's court-martial at Fort Meade in Maryland. It could be the beginning of the end of a saga that began three years ago when thousands of classified Afghanistan and Iraq war documents appeared on WikiLeaks.com.

Some of the U.S. documents that appeared on WikiLeaks were shared and then analyzed and reported on by major news outlets such as The New York Times, the UK newspaper the Guardian and Germany's der Spiegel.

Though WikiLeaks' founder, Julian Assange, has grabbed much of the international media spotlight since that time, Manning's trial has fanned debate. Is he a hero or a traitor?

In February, Manning pleaded guilty to 10 of the 22 charges he faced and could be sentenced to two decades in prison on those charges.

But he has not admitted to the most serious count -- aiding the enemies of the United States. If convicted on that count, he could go to prison for life.

In an hourlong opening statement Monday, prosecutor Capt. Joe Morrow said Manning had access and incentive to provide information to the enemy, including information later found in Osama bin Laden's hideout.

He said the government will provide evidence that material al Qaeda operators had delivered to bin Laden can be traced to Manning's illicit downloading and transmission to WikiLeaks.

Morrow also said Manning helped WikiLeaks edit the cockpit video from a U.S. helicopter gunship attack that killed about a dozen people in Iraq, including two Reuters photojournalists, in 2007. An Army aviator will testify how the video can be useful to adversaries, Morrow said.

The video showed Reuters photographer Saeed Chmagh had survived an initial strafing by the gunship, but he apparently died when the fliers opened fire on people attempting to get him off the sidewalk where he lay. A U.S. investigation into the attack found that the crew mistook the journalists' cameras for weapons while seeking out insurgents who had been firing at American troops in the area.

Morrow said disclosures such as the video and other documents WikiLeaks released represented "potentially actionable information for targeting U.S. forces." And he said Manning, who appeared in court in his full-dress uniform, "used his military training to gain the notoriety he craved."

The prosecutor showed slides as part of his statement. The first slide was said to be a quote from a message Manning once posted, using the instant message handle "bradass87."

"If you had unprecedented access to classified networks 14 hours a day 7 days a week for 8+ months, what would you do?" it read.

That is purportedly part of a string of instant messages that a person -- alleged to be Manning -- sent to ex-hacker Adrian Lamo. Manning, who was based in Iraq, allegedly instant-messaged Lamo and, over a period of days, said that he had accessed documents.

Lamo has said he reported Manning to authorities.

Prosecutors also said Monday that they plan to call forensic experts who recovered chat logs from computers, purported conversations between Manning and Assange, that will allegedly show how they worked together.

The government's case hopes to convince the military judge that Manning, an intelligence analyst, "systematically harvested 700,000 government documents, and attempted to hide what he was doing."

Soldier's supporters

Manning's supporters have adopted the phrase: "I am Bradley Manning."

One of the country's most famous leakers, Daniel Ellsberg, who leaked the Pentagon Papers, says Manning should be viewed as a hero. The Pentagon Papers showed that the government had lied to Congress and the public about the progress of the Vietnam War. Ellsberg provided all 7,000 pages to The New York Times, which published them in 1971.

During the February hearing, Manning spent more than an hour reading a statement that detailed why and how he sent classified material to WikiLeaks.

He said he passed on information that "upset" or "disturbed" him but he didn't give WikiLeaks anything he thought would harm the United States if it were made public.

"I believed if the public was aware of the data, it would start a public debate of the wars," he told the court.

On Monday, Manning's civilian lawyer, David Coombs, told the military judge his client lives by a philosophy that values life, and that he had a custom-made inscription with the word "humanist," on the back of his dog tags.

"He's 22, excited to be in Iraq, hopefully to make Iraq a safer place," Coombs said, characterizing his client's mindset as he began his deployment.

But Manning became deeply affected by an attack on a convoy with his comrades. A roadside bomb exploded beneath a car full of civilians that had pulled aside to let the military vehicles pass.

Although members of his 305th Military Intelligence Battalion were not hurt, Coombs said, at least one civilian was killed. That changed Manning's outlook on the war, his lawyer said. He "struggled."

Manning was affected by knowing that civilians were hurt while trying to getting out of the way of the U.S. convoy.

Manning then started selecting information to reveal, believing that it would be better if it were public, Coombs said.

Coombs said his client was selective in the information he diverted from a controlled-access computer system where he worked as an "all source" intelligence analyst. That includes U.S. State Department cables that WikiLeaks published.

The diplomatic messages, Manning felt, "showed how we dealt with other countries, how we valued life, and how we didn't," Coombs said in court Monday. "Unfortunately, in his youth, he didn't think we (the United States) always did the right thing."

Memory card from an aunt's computer

Military officials at Fort Meade say the spectators in the courtroom Monday included Manning's aunt and a cousin.

Prosecutors said investigators recovered a computer memory card from the aunt's home in Potomac, Maryland. The government said it contained classified information that Manning downloaded, and that forensic analysts would testify how they traced it back to him.

Also among the spectators Monday was Medea Benjamin, a co-founder of the activist group Code Pink, who recently disrupted a presidential speech to protest conditions for detainees the U.S. holds at the Navy base at Guantanamo Bay, Cuba.

Manning is accused of downloading and transmitting hundreds of detainee assessments conducted at Guantanamo. Prosecutors say investigators recovered chat logs in which Manning later discusses the value of those reports with Assange.

Prosecutors plan to call several forensic investigators as witnesses.

In his statement in February, Manning said he initially contacted The Washington Post and The New York Times to offer information.

He said he either wasn't taken seriously or got voice mail, so he gave the material to WikiLeaks.

WikiLeaks has never confirmed that Manning was the source of its information.

Protests before the trial

On Saturday, Manning's supporters rallied outside Fort Meade.

"People came from great distances to stand with a true American hero," said Jeff Paterson, director of the Bradley Manning Support Network. "From Bradley's demeanor in court, it's clear he takes strength from the outpouring of support."

Manning was formally charged in February 2012.

On the eve of the court-martial, his lawyer, Coombs, issued a rare public statement through his website.

He thanked those who raised money and awareness over the past three years, bringing "worldwide attention to this important case."

2012: Prosecutors say Manning didn't report any mistreatment to them

CNN's Paul Courson reported from Fort Meade and Ashley Fantz wrote in Atlanta. CNN's Carol Cratty, Larry Shaughnessy and Mark Morgenstein contributed to this report.

@highlight

Pfc. Bradley Manning's lawyer calls his client "naive" and says he "struggled" in Iraq

@highlight

Manning is accused in the largest leak of classified documents in U.S. history

@highlight

In February, he pleaded guilty to 10 of the 22 charges against him

@highlight

He did not plead guilty to the most serious charge -- that of aiding U.S. enemies