Los Angeles (CNN) -- Pro-pot groups cheered passage of referendums legalizing recreational marijuana in Colorado and Washington state as the "light at the end of the tunnel" in their 50-year campaign to make the drug legal nationwide.

"Yesterday's elections have forever changed the playing field regarding cannabis prohibition laws in America (and probably in large parts of the world, too)," Allen St. Pierre, executive director of NORML, the National Organization for the Reform of Marijuana Laws, wrote in a celebratory blog Wednesday.

But Colorado Gov. John Hickenlooper warned it's too soon to "break out the Cheetos," because his state must still navigate federal laws before citizens can legally buy and sell cannabis.

Highs and lows of using marijuana

The Drug Enforcement Administration quickly tried to spoil the Rocky Mountain high, issuing a statement Wednesday morning saying the DEA's "enforcement of the Controlled Substances Act remains unchanged."

"In enacting the Controlled Substances Act, Congress determined that marijuana is a Schedule I controlled substance," the DEA statement said. "The Department of Justice is reviewing the ballot initiatives, and we have no additional comment at this time."

Voters in Massachusetts -- and possibly Montana, pending final vote counts -- also approved medical marijuana referendums, allowing doctors to prescribe the drug to patients suffering serious medical problems, which were carefully spelled out.

Colorado, Washington pass marijuana legalization; Oregon says no

In Massachusetts, a doctor who has a "bona fide" relationship with a patient would have to certify the patient suffered "a debilitating medical condition, such as cancer, glaucoma, HIV-positive status or AIDS, hepatitis C, Crohn's disease, Parkinson's disease, ALS, or multiple sclerosis."

Medical marijuana is already legal in 17 states, including California, where it was estimated two years ago that Los Angeles County had more medical marijuana shops than liquor stores.

Salesmen invited tourists walking along the Venice Beach boardwalk into a store, next to the T-shirt and sunglasses stall, to see a doctor who would give them a marijuana license and prescription.

The smell of burning cannabis wafted through the air along Hollywood streets and neon green crosses marked where citizens could get their pot supplies.

In the past two years, however, local city councils have enacted restrictions on where the shops can locate, forcing many to close.

"Some medical marijuana clinics have been taken over by illegal for-profit businesses that sell recreational marijuana to healthy young adults and attract crime," Los Angeles Police Chief Charlie Beck said in September.

Federal prosecutors have aggressively worked to rein in the proliferation of pot distribution locations, contending the operations draw criminals because of the large amounts of cash involved.

Three forfeiture lawsuits were filed and warning letters were sent to 71 "illegal marijuana stores" in Los Angeles and Huntington Park, California, in September by federal authorities.

Voters approve same-sex marriage for the first time

Last month, a federal grand jury indicted 14 people "associated with a chain of nine marijuana stores" in Orange and Los Angeles counties on federal drug trafficking charges. The indictment included tax evasion and weapons charges.

NORML's main argument is that marijuana is "far less dangerous than alcohol or tobacco," which are the only recreational drugs more popular than pot in the United States.

"Marijuana is nontoxic and cannot cause death by overdose," while hundreds of thousands die from tobacco and alcohol use each year, NORML's website says.

Legalization could save U.S. taxpayers the $10 billion spent each year on enforcing marijuana prohibition, and eliminate the criminal cases against more than 750,000 people arrested per year for possession, which NORML says is "far more than the total number of arrestees for all violent crimes combined, including murder, rape, robbery and aggravated assault."

"The voters have spoken and we have to respect their will," Colorado Gov. Hickenlooper said in a written statement released by his office.

"This will be a complicated process, but we intend to follow through. That said, federal law still says marijuana is an illegal drug, so don't break out the Cheetos or Goldfish too quickly," he said, referring to two snack food products.

Marijuana could be legal across Colorado within two months, according to a spokesman for the governor's office.

The 536 medical marijuana dispensaries in Colorado could begin selling to the general public then, according to University of Denver law professor Sam Kamin.

Whether the federal government allows that to happen is "a billion dollar question," Kamin said.

"Every store that sells marijuana here is violating federal law," he said. "The federal government could come in and seize assets. They could charge people criminally. They could send people to jail for scores of years. They have chosen, so far, not to do that."

With almost half the states now legalizing marijuana to some degree, the federal government will have to make a decision, he said.

"It simply can't go on the way it is," Kamin said. "It can't be a big industry and a Federal crime at the same time."

Highs and lows of using marijuana

Amendment 64 in Colorado will alter the state constitution to legalize and regulate the production, possession, and distribution of marijuana for people age 21 and older.

The Washington state measure includes a 25% tax imposed when the grower sells marijuana to a processor, again when the processor sells it to a retailer, and a third time when the retailer sells it to a customer.

Supporters estimated it would raise as much as $500 million for the state -- a figure analysts say is overstated.

While Washington and Colorado voters became the first to legalize marijuana for recreational use, a similar proposal was rejected in Oregon Tuesday. And Arkansas voters narrowly said no to a medical marijuana referendum similar to the one that passed in Massachusetts.

"Will there continue to be fits and starts, federal government incursion into state sovereignty and obstinate politicians?" NORML's St. Pierre wrote. "Surely. However, the dye for major cannabis law reforms is now cast."

"The proverbial light at the end of the tunnel is before us all."

CNN's Stephanie Oswald contributed to this report.

@highlight

Votes have "forever changed the playing field" on marijuana laws, NORML says

@highlight

Feds are reviewing the measures, the Drug Enforcement Administration says

@highlight

"The voters have spoken and we have to respect their will," Colorado's governor says

@highlight

Massachusetts -- and maybe Montana -- approved medical marijuana referendums