(CNN) -- Formal trial proceedings against the alleged planners of the 9/11 atrocities have finally begun. Khalid Sheikh Mohammed and four co-defendants were arraigned on capital charges before a military judge in Guantanamo Bay, Cuba, on Saturday. The Obama administration claims that its improved military commission rules ensure a fair and credible trial. But outside the United States, who will view a U.S. military trial and potential execution of our enemies as credible?

Doubters will have ample reason for skepticism: If there is indeed sufficient evidence of the defendants' guilt, why not try them before the same civilian courts that try homegrown terrorists like Oklahoma City bomber Timothy McVeigh?

Resorting to trial by military commission amounts to an admission that the government is unwilling to take the risk of proving the 9/11 defendants guilty beyond a reasonable doubt, under the same rules that apply to trials of heinous criminals. If we want to hand al Qaeda a re-energizing martyrdom, this may be a good way to do it.

Doubts will be magnified by the fact that the Obama administration initially planned to try the defendants in federal court in New York City. It backed down only under intense political pressure. So the decision to try one of the most important crimes in American history before a military commission was made for reasons of politics, not justice.

The Pentagon's military commissions web site is headlined, "Fairness, Transparency, Justice." All three are dubious.

The rules overlook forests of unfairness for trees of trivia. For example, after the government held the 9/11 defendants incommunicado in CIA "black sites" for years, without access to lawyers, family or the Red Cross, and then imprisoned them without trial for five more years at Guantanamo, it seems ludicrous that it had to arraign them in an unusual Saturday session, in order to comply with a rule requiring their arraignment within 30 days of being charged.

Transparency also took a hit on Saturday. During their long imprisonment, the 9/11 defendants say, they were repeatedly tortured or otherwise abused. Mohammed, for example, was subjected to "water board" torture 183 times, according to a former CIA official. Yet none of this could be mentioned at the arraignment. One defendant refused to enter the courtroom voluntarily and so was brought in shackled to a chair.

When his military defense counsel, Capt. Michael Schwartz, explained that his client was reacting to longstanding abuse, the audio feed to press observers in the U.S. was cut. Apparently Schwartz had dared to say the word "torture." The military judge admonished him not to cross over the line of what could be said in open court. So much for transparency.

Finally, and above all, justice will be cheated at this trial. For example, although the rules now prohibit admission of statements obtained by torture or by cruel, inhuman or degrading treatment, the rules still allow admission of evidence derived from statements made under torture, so long as a military judge concludes that admission is "consistent with the interests of justice."

It did not have to be this way. There are better ways to reconcile the competing demands of justice for 9/11 victims and their families, versus justice for defendants who have been detained and allegedly brutalized for years in violation of standards recognized by international law.

One way might have been to let the defendants pursue their torture claims through separate lawsuits against the Bush administration officials who authorized their alleged mistreatment. But U.S. courts have blocked these lawsuits on the ground that the officials enjoy immunity from such suits.

Another way might have been to refer the 9/11 prosecutions to an international criminal court whose judgments would have more credibility in the world in general, and in the Muslim world in particular. U.S. officials have raised objections to the International Criminal Court. But the ICC is not the only such court. The U.S. has supported the Special Court for Sierra Leone, where former Liberian tyrant Charles Taylor was recently convicted, and the Special Tribunal for Lebanon, which has indicted individuals for the assassination in 2005 of former Lebanese Prime Minister Rafik Hariri.

Granted, every approach has its drawbacks. But the U.S. has settled on the worst alternative of all: military trials. As a former lawyer in the Navy Judge Advocate General's Corps, I know that military trials -- of American service personnel -- can be scrupulously fair. However, as the common law maxim states, justice must not only be done, it must be seen to be done. In the long view of history, and around the world, justice will not be seen to be done if convictions and death sentences are imposed on our alleged enemies by a U.S. military court.

The opinions expressed in this commentary are solely those of Douglass Cassel.

@highlight

Military trial of the alleged planners of the 9/11 attacks on America began on Saturday

@highlight

Douglass Cassel: Trying them in a U.S. military commission will not be seen as credible

@highlight

He asks, why not try them before the same civilian courts that try homegrown terrorists?

@highlight

Cassel: The decision to use a military trial was made for reasons of politics, not justice