WASHINGTON (CNN) -- Former Vice President Dick Cheney says documents released Monday support his view that harsh interrogation techniques used on terrorism suspects prevented attacks and yielded crucial information about al Qaeda.

Former Vice President Dick Cheney disagrees with a federal investigation of harsh CIA interrogations.

Cheney also criticized the Obama administration's decision to ask a federal prosecutor to determine whether U.S. intelligence agents violated the law in interrogations that some have equated to torture.

"The documents released Monday clearly demonstrated that the individuals subjected to enhanced interrogation techniques provided the bulk of intelligence we gained about al Qaeda," Cheney said in a written statement. "This intelligence saved lives and prevented terrorist attacks."

The former vice president spoke after the federal government released hundreds of pages of documents Monday related to the CIA interrogations of terrorism suspects.

The government released a 2004 report from the CIA inspector general as well as other documents in which the CIA described information that it had obtained by interrogating terrorism suspects -- those are the documents to which Cheney referred in his statement.

The 2004 inspector general's report says that in an effort to get the men to talk, U.S. interrogators threatened a captured al Qaeda operative with a power drill and threatened to kill another top captive's children. That 2004 report was released as a result of a lawsuit filed by the American Civil Liberties Union.

The report also outlines the use of multiple unauthorized interrogation methods on suspected terrorists, including threats, "blowing cigar smoke, employing certain stress positions, the use of a stiff brush on a detainee, and stepping on a detainee's ankle shackles."

Interrogators staged mock executions -- which are banned by the U.N. Convention Against Torture -- to try to frighten detainees into talking, the report says. In one instance, a gun was fired in a room next to the one in which a suspect was being questioned so he would think another prisoner was being killed.

CIA Director Leon Panetta called much of what was in the report "an old story," and the White House said President Obama still prefers "to look forward, not back" when it comes to the treatment of suspected terrorists.

But Attorney General Eric Holder has asked a federal prosecutor to examine whether the interrogations violated the law, and the White House said Obama will leave any decision on charges to the Justice Department.

And the Obama administration announced it would put the FBI in charge of a special unit set up to question suspected terrorists under White House oversight.

Cheney criticized those changes, saying Obama's decision to let the Justice Department "investigate and possibly prosecute CIA personnel ... serves as a reminder ... of why so many Americans have doubts about this administration's ability to be responsible for our nation's security."

The former vice president pointed to CIA documents, released Monday, that say many captured al Qaeda suspects provided information that led to the arrest of other terrorism suspects.

"The activities of the CIA in carrying out the policies of the Bush administration were directly responsible for defeating all efforts by al Qaeda to launch further mass-casualty attacks against the United States," Cheney said.

Holder has said the Justice Department would not prosecute intelligence officers that followed legal guidance from the administration "in good faith." But he said Monday that after reviewing the inspector general's report and an internal Justice Department review, he has asked federal prosecutor John Durham to lead a preliminary investigation into the interrogations featured in the documents.

Durham was appointed in 2008 by Holder's predecessor, Michael Mukasey, to investigate the destruction of CIA interrogation tapes, and Holder's decision broadens his investigation. But in a written statement, Panetta said Monday's report is "in many ways an old story."

"The outlines of prior interrogation practices, and many of the details, are public already," he said. "The use of enhanced interrogation techniques, begun when our country was responding to the horrors of September 11th, ended in January. For the CIA now, the challenge is not the battles of yesterday, but those of today and tomorrow."

As the inspector general's report was coming out, the Obama administration announced that it had created a new High Value Detainee Interrogation Group that will handle the questioning of high-level prisoners. It will be led by the FBI and will be restricted to using techniques outlined in the Army Field Manual on interrogations, which senior administration officials said provides "adequate and effective means" of questioning.

"The new policies proposed by the task force will allow us to draw the best personnel from across the government to conduct interrogations that will yield valuable intelligence and strengthen our national security," Holder said in a written statement. "There is no tension between strengthening our national security and meeting our commitment to the rule of law, and these new policies will accomplish both."

Two former CIA operatives welcomed that news, telling CNN that the spy agency got into the business of questioning prisoners only after al Qaeda's attacks on New York and Washington. Gary Berntsen, a former CIA agent who served in Afghanistan during the U.S. invasion that followed 9/11, said questioning prisoners was "a distraction" for the spy agency.

"I didn't think we should be in the business of doing that," Berntsen said. "Later, the FBI did end up in that business. Unfortunately, this has been a problem."

And Robert Baer, a former CIA officer who served in several Middle Eastern countries, said the FBI interrogates people "for a living."

"They're very good at it. They're very good at making sure they don't cross the boundary lines," Baer said. "The CIA traditionally has gone out and recruited sources, not through coercion, and you know, it does very well when it does that."

According to the inspector general's report and officials familiar with its contents, the drill and a gun were used to threaten Abd al-Rahim al-Nashiri, the suspected plotter of the 2000 bombing of the USS Cole, while interrogators told accused September 11 mastermind Khalid Sheikh Mohammed that "if anything else happens in the United States, we're going to kill your children."

In the incident in which a gun was fired in the next room, the report states, "When the guards moved the detainee from the interrogation room, they passed a guard who was dressed as a hooded detainee, lying motionless on the ground, and made to appear as if he had been shot."

CIA spokesman Paul Gimigliano would comment on specifics of the inspector general's report, but said all the incidents described in it have already been reviewed by prosecutors.

"The CIA in no way endorsed behavior -- no matter how infrequent -- that went beyond formal guidance. This has all been looked at. ... That's how the system was supposed to work, and that's how it did work," Gimigliano said.

A former intelligence official who is familiar with the report said that while it "reaffirmed" the interrogation program, it "also showed some had strayed off center." The official said that when CIA leadership found out about the drill incident, they were "angry as hell" and called it "nickel-and-dime foolishness" that was not tolerated.

The individual who used the drill was pulled from the program and "sharply reprimanded," the official said.

The interrogations took place in the CIA's secret prisons before 2006, when then-President George W. Bush moved all detainees from such facilities to the Guantanamo Bay prison camp in Cuba. The Bush administration has previously acknowledged that it authorized what it called "enhanced" interrogation techniques against suspected terrorists there, arguing they produced valuable intelligence without violating U.S. laws banning torture.

Critics say some of the techniques that had been authorized -- such as the use of waterboarding against al-Nashiri, Mohammed and fellow al Qaeda captive Abu Zubayda -- clearly violated international law.

CNN's Pam Benson and Elaine Quijano contributed to this report.

@highlight

Former VP criticizes decision to ask prosecutor to find out if interrogations illegal

@highlight

Such interrogations "saved lives," led to arrests of other suspects, he says

@highlight

On Monday, U.S. released documents related to CIA interrogations of terror suspects

@highlight

Some some have equated harsh techniques to torture