Melbourne, Australia (CNN)A man stands on a beach in a distant land. Waves lap his ankles. He wades through the gentle dawn light, arms outstretched, his head held high. He is fully dressed; not a tourist but a freedom fighter.

A photograph of this man, beamed around the world, becomes a universal symbol of the struggle against tyranny and the sweet triumph of liberty. It is 2015. The man is Peter Greste.

If you thought the man might have been an Anzac on the shores of Gallipoli, such is the power of persuasion. It's easy to lead a horse to water when, in the centenary year of the Gallipoli campaign, our nation is at saturation point with battlefield remembrance.

The sum total of television programming, beer advertising, political grandstanding and opportunistic marketing suggests that the historical legacy of Australia's involvement in the first world war boils down to a simple equation: young (white) man plus distant beach equals sacrifice.

There is nothing intrinsically wrong with military commemoration that honors the dead. Last weekend I planted Gallipoli rosemary in my backyard; part of the proceeds go to the Avenues of Honour, a national project to preserve and restore Australia's living memorials.

More objectionable is the fact that war remembrance is played like it is a zero sum game. To widen the scope of historical tribute, and also recall the words and deeds of the Australian men and women who fought against the prescribed route of militaristic sentiment, is to risk being branded disrespectful and divisive.

But the unassailable fact is that the first world war ripped Australia asunder. Even at the time, the Great War itself was divisive, a historical reality belied by today's bland, blanket coverage of "the Anzac spirit".

Australia's participation in the war was contested from the outset. On August 11, 1914, veteran political campaigner Vida Goldstein wrote in her Woman Voter newspaper: "It is a fearful reflection on 2,000 years of Christianity that men have rushed into war before using every combined effort to prevent this appalling conflict."

As she had done 20 years earlier in mobilizing forces around the issue of female suffrage, Goldstein rallied her own army of foot soldiers with fighting words. "The time has come for women to show that they, as givers of life, refuse to give their sons as material for slaughter."

Australian and New Zealand women had a unique advantage in shaping public debate: the vote. "The enfranchised women of Australia are political units in the British Empire," Goldstein argued, "and they ought to lead the world in sane methods of dealing with these conflicts."

Goldstein's early entreaties failed to bite with the general populace. Under the newly legislated War Precautions Act, the Woman Voter suffered censorship, leading Goldstein and her Women's Peace Army to fight on multiple fronts: "We are fighting for Civil Liberty and against Military Despotism."  Around the nation, trade unionists opposed to "the capitalist war" joined the movement.

Australia had the only entirely voluntary military service among the Allied forces; less than 40% of eligible men signed up to fight "for King and Country." As the carnage at Gallipoli brought home the realities of war, recruitment fell and peace activism became more widespread. General strikes halted industry, as workers reacted to the food shortages, unemployment and rising poverty that threatened the social accord of "the Working Man's Paradise."

With enlistments falling away in 1916, Prime Minister Billy Hughes pushed for conscription and pushed through the Unlawful Associations Act.

Groups that voiced opposition to the war, like the International Workers of the World, were banned and dissidents were jailed for publishing material "likely to cause disaffection or alarm". When waterfront workers and coal miners went on strike, the War Precautions Act was invoked to send them back to work.

In September 1916, the Sydney Twelve were arrested and tried for treason. "Fifteen years for 15 words" was how one of the prisoners described his crime and punishment.

The conscription referendums of October 28, 1916, and December 20, 1917, became a massive rallying point for people who opposed the war — or the federal government's domestic policies. There were diverse reasons for that opposition, including the anti-British sentiments of Irish Catholic Australians.

In Melbourne, the meeting place for such public debate was Yarra Bank, a pocket of land nestled between what today is Birrarung Marr and the Rod Laver Arena. Anti-conscription demonstrations saw up to 100,000 people gather on the dusty banks of dirty brown Yarra River.

Most protest meetings were peaceful, but one became infamously violent. "Riotous scenes at Yarra Bank", headlines around the nation proclaimed, when a demonstration organized by the Women's Peace Army in the week before the 1916 referendum turned nasty and returned servicemen began to attack female speakers. Both conscription referendums ultimately failed.

The Australian Dictionary of Biography contains profiles of 174 anti-conscriptionists, many of whom went to jail, including Vida Goldstein's compatriots Adela Pankhurst and Jennie Baines. Baines was imprisoned for refusing to pay the fine she was issued for flying a red flag at Yarra Bank in 1918. She is reputedly the first Australian prisoner to go on a hunger strike.

Other protesters were deported. As historian Janet Butler reminds us: "It does take a special kind of bravery to stand against the tide."

The enduring legacies of the first world war emanate beyond the battlefields of Gallipoli, manifested not only in the "shattered Anzacs" whose families bore the burden of care, but also in the class and sectarian divisions that shaped Australia's social and political relations in the 20th century.

Lest we also forget that the democratic freedoms we hold dear today -- freedom of the press, freedom of assembly, freedom of speech — were won in battles fought on home soil by courageous women and men who sacrificed much, but are still accorded little recognition.

Perhaps, by the 125th anniversary of the Gallipoli campaign, when we again celebrate our national liberation narratives, we will come to associate riverbanks, as well as beaches, with the potent ebb and flow of freedom.

Copyright 2015 The Conversation. Some rights reserved.

@highlight

April 25, 2015 marks the centenary of the start of the Gallipoli Campaign in Turkey during WWI

@highlight

Anzac troops stormed the beaches at Gallipoli, beginning a bloody eight-month campaign