Editor's note: Republican Leslie Sanchez was director of the White House Initiative on Hispanic Education from 2001 to 2003 and author of "Los Republicanos: Why Hispanics and Republicans Need Each Other." She is CEO of the Impacto Group, which specializes in market research about women and Hispanics.

Leslie Sanchez says Republicans should treat Hispanics as part of the mainstream of America.

WASHINGTON (CNN) -- As the members of the Republican National Committee prepare to choose a party chairman to serve for the next two years, the calls for new "Hispanic outreach" initiatives are flying -- in my view, unnecessarily.

It is probably true that President Obama's election marks the beginning of a post-partisan, post-racial America, or at least a time when these issues are less divisive than in years past.

But will the two political parties be as able to look beyond the stereotypes of Latinos and what the Latino experience is in this country, as they have for other ethnic and racial groups?

As Republicans, we need to win at least 35 percent of the Hispanic vote to win the presidency. In 2008, John McCain got 31 percent, slightly exceeding the average for the past eight presidential elections. We've had our high points (George W. Bush 2004, 44 percent) and low points (Bob Dole 1996, 21 percent).

Ten years ago, as an RNC press aide, I was given the responsibility for developing a team that would design a multimillion-dollar ad strategy to appeal to the nation's emerging Latino electorate.

We conducted seminal research on Hispanic voting patterns that is still of value today. For example, we identified a "GOP Upside" of another 25 percent of Hispanics who were voting Democrat on the generic presidential ballot question but would be interested in voting for a Republican who offered a campaign agenda focused on family, education and job-creation issues.

So it is mystifying to me to hear the ongoing references to the party's need to find "a new way" to speak to the nation's largest minority bloc. It's like being asked to reinvent the wheel.

This isn't just a Republican problem. Democrats do this too, relating to Latinos as if we're primarily poor, immigrant or both. It doesn't work anymore, if it ever did. And although the anti-immigrant rhetoric spouted by Tom Tancredo and others was offensive to Hispanics and projected a "We don't want you here" image for the GOP, the fact is that it was offensive to a lot of other people, too.

In the age of Obama, that kind of exclusive message is just not marketable.

If Republicans truly want to develop a winning strategy for appealing to Hispanics, they need look no further than Ronald Reagan and George W. Bush. They appealed to them not as Hispanics or immigrants but as Americans with an equal stake in the future of the country.

What Hispanics want, and what we as Republicans want them to want, is to be included in the American experience.

During the period in which Hispanics constituted a small minority of the overall nation, efforts like Richard Nixon's to ensure that they were counted in the national census were important because it meant inclusion.

When people believe that they are already part of a community, such patently obvious efforts come across as patronizing. Hispanics, especially young professionals like me who were born and raised here in the United States, believe that we deserve more than a couple of high-profile meetings and a few Spanish-language ads.

That was certainly true during the 2008 presidential campaign, which had little to interest Hispanics at all. McCain trumpeted his record as a champion of comprehensive immigration reform to Hispanics, while his campaign tried to make him more palatable to Republican conservatives by de-emphasizing his record as a champion of comprehensive immigration reform.

McCain was hurt among Latinos by the perception that he caved in on immigration enforcement and abandoned his own bill.

Obama's campaign message to Hispanics, though delivered largely in Spanish through his campaign Web site, was patronizing. In the summary of issues for his Latino Blueprint for Change, Obama talked about a narrow group of issues that, in my view, are important to only a small percentage of Latinos.

For example, on education, his message focused largely on English as a second language and in-state tuition for undocumented students. On immigration, he tried to counter the Republicans. On jobs and the economy, he highlighted the minimum wage.

These issues, which may have been important to a majority of Hispanics when Cesar Chavez was leading striking farm workers, are not at the top of the list for Hispanics today.

To remain largely focused on them is to patronize millions of upwardly mobile Hispanics who are not immigrants and who don't think of themselves as hyphenated Americans. Which is probably why Obama's echoing of Chavez's "Sí, Se Puede!" during his concession speech after the Texas primary was met with silence and blank stares.

Hispanic political sophistication is increasing alongside Hispanic economic progress. A new HispanTelligence Research report suggests that the number of Hispanic-owned businesses in the United States will increase to 4.3 million over the next six years.

We need to appreciate that it is not the message as much as it is the audience. Speaking past Hispanics or down to Hispanics is not the way to invite them into a long-term relationship. We no longer see ourselves as hyphens or as members of the Hispanic community only; we see ourselves as Americans, with a broad array of interests.

Before the development of the virtual world, communities were defined by geography, ethnicity, religion, income, race and other elements that were as apparent to those inside a community as outside it.

Now, through social networking tools like Facebook and Twitter, which the Obama campaign exploited to new degrees of success, people are developing their own communities of common interest. Hispanics want to see the political parties realize that they do, in fact, belong to the larger community called "America" as well as myriad interest groups.

We may choose to define ourselves as part of certain "ethnic" or "interest" groups. It's not the job of a political party to define us.

The opinions expressed in this commentary are solely those of Leslie Sanchez.

@highlight

Leslie Sanchez: Republicans are talking about a new outreach to Hispanics

@highlight

She says Hispanics are part of the American mainstream with broad interests

@highlight

Sanchez: Candidates, including Obama, talked about narrow issues

@highlight

She says Hispanics want to be seen as Americans, with a stake in the future