Washington (CNN) -- A new political reality hits Washington next week, with the first split Congress since 2002 raising questions about whether the bipartisan cooperation of the recently concluded lame-duck session can continue.

Conventional wisdom says the shift from one party controlling both chambers, as Democrats have done since 2006, to the GOP taking over the House and holding a stronger minority stake in the Senate means increased partisan impasse over the next two years.

But that same conventional wisdom got turned on its head after November 2, when the electoral "shellacking" delivered to President Barack Obama and the Democrats was followed by one of the most productive post-election congressional conclusions in history.

White House Press Secretary Robert Gibbs attributed the new bipartisanship of the post-election period to the Republican gains in the November vote.

"There was a responsibility of government that I think the Republicans got in the November elections and they began to understand that responsibility a little bit more in this lame-duck session than they had in the previous, quite frankly, 18 months or so," Gibbs said Sunday on CNN's "State of the Union."

Republicans can no longer afford to "simply sit and say no," Gibbs said, referring to the obstructive posture that GOP leaders generally struck in Obama's first two years in office. Instead, he called for Republicans to be part of a constructive conversation, at least in 2011 before the presidential campaign of 2012 really heats up.

Some liberals accused Obama of giving in too easily to Republican demands on some issues, particularly in cutting a deal that extended Bush-era tax cuts to everyone after Obama had campaigned on allowing tax rates of the wealthy to return to higher levels.

White House senior adviser Valerie Jarrett told the NBC program "Meet the Press" that the new reality in Washington requires such compromise in order to do what's best for the American people, rather than one political party or another.

The tax deal, while giving Republicans the extended cuts they wanted as well as a lower estate tax than scheduled, also provided extended jobless benefits and other tax credits sought by Obama and Democrats, Jarrett noted.

"We can't ignore the realities of the membership and the makeup of Congress and the fact that we are going to need bipartisan support to get things done," Jarrett said.

The tax deal was followed by congressional approval of a series of Democratic-supported measures that had been held up by Republican opposition, including a major nuclear arms treaty with Russia and the repeal of the "don't ask, don't tell" policy banning openly gay and lesbian service members from the military.

Now, the issues only get tougher. With unemployment still close to 10 percent and the federal deficit continuing to expand, Obama and leaders of both parties say they need to find a way to both accelerate recovery from economic recession while devising long-term policies and strategies to better balance revenue and spending.

A sweeping deficit reduction plan devised by a bipartisan commission appointed by Obama recommended spending cuts, tax increases, adjustments to Social Security and other proposals normally considered politically taboo. The plan won approval from a majority of the panel numbers, but lacked enough support to require a congressional vote on it.

Gibbs said Obama wants to strengthen Social Security and Medicare to ensure future solvency while also addressing the growing federal deficit and one of his top priorities -- improving education in the United States.

However, Republicans have made clear that cutting spending is their top priority. Incoming House Speaker John Boehner, R-Ohio, is promising weekly votes on spending cuts, and conservative Republican Sen. Tom Coburn of Oklahoma warned of a national catastrophe if the deficit doesn't get reduced.

"There will not be one American that will not be called to sacrifice" under the needed spending cuts to deal with the deficit, Coburn said on "FOX News Sunday."

While acknowledging that "those that are more well-to-do will be called to sacrifice to a greater extent" -- a traditional Democratic stance -- Coburn said the increased spending of the past decade under both Obama and former President George W. Bush required immediate and significant cuts to show financial markets and investors here and abroad that the United States is serious about balancing its books.

The tax deal means that hundreds of billions of dollars that would have been raised in higher income taxes and expired tax cuts will instead get spent in the economy, Coburn noted.

"So I think there is no problem that we could cut $100 or $200 billion and start making a down payment and come to an agreement" on deficit reduction, Coburn said. "There doesn't have to be a standoff. What there has to be is real leadership and recognizing the serious nature and the urgency of our problem."

He rejected criticism by fellow conservatives for supporting the deficit reduction plan of the bipartisan commission, which included increased tax revenue rejected by many on the political right.

"I'm not in the Senate for the Republican Party," said Coburn, who won re-election last month for his second and what he insisted would be his final six-year term. "I'm in the Senate for America and for the future of our country. And if we are going to measure everything by Republican/Democrat, we're going to continue down this course that is going to result in our failure."

Jarrett indicated Obama sought a middle road, noting he had shown his willingness to work with Republicans but also would "fight very hard" for eventually ending the lower tax rates for the wealthiest Americans.

Throughout his presidency, she noted, Obama had taken necessary steps -- "some of them unpopular" -- to deal with the financial crisis he faced on taking office and now to reach the tax compromise.

"What he realizes is that he had to be pragmatic, but he was being pragmatic in order to deliver for the American people," Jarrett said, later adding: "The American people expect him to lead. He is their president. He is everybody's president, regardless of party affiliation."

CNN's Gabriella Schwarz contributed to this story.

@highlight

Next week brings the first split Congress since 2004

@highlight

Obama advisers say the president will do what's best for the country

@highlight

Republican Sen. Coburn: Catastrophe looms unless the federal deficit gets reduced