Washington (CNN) -- You can describe it as a political convention or a carnival, but either way, all eyes are on the Conservative Political Action Conference this week.

The three-day event -- better known by its initials, CPAC -- kicks off Thursday at National Harbor, a major convention center just outside of the nation's capital. The conference is the largest annual gathering of conservative leaders and activists, and when there's no Republican in the White House, it's a must-attend cattle call for GOP presidential hopefuls looking to pass the conference's conservative litmus test. CPAC will close Saturday with the much-watched results of the confab's GOP presidential nomination straw poll.

"After the Super Bowl and the two parties' national conventions, CPAC is the most covered event in the country," Al Cardenas, chairman of the American Conservative Union, the organization that puts on the conference, told CNN.

Latest developments

"It's the only venue where thousands of activists get to see, back to back during our three-day conference, the likely 2016 leading GOP presidential candidates and begin to create perceptions which last through Election Day."

Among those addressing the crowd this year are nearly all the major names among the potential 2016 Republican White House contenders. They include Sens. Rand Paul of Kentucky, Marco Rubio of Florida, Ted Cruz of Texas, and Rep. Paul Ryan of Wisconsin, the 2012 GOP vice presidential nominee. Also speaking are Govs. Rick Perry of Texas, who ran for the Republican nomination in 2012, Bobby Jindal of Louisiana and Chris Christie of New Jersey, who wasn't invited last year because he wasn't considered conservative enough.

Inside Politics: Will CPAC be launch of Cruz 2016?

Former Sen. Rick Santorum of Pennsylvania, who also ran for the White House in 2012, and former Arkansas Gov. Mike Huckabee, who made a bid for the nomination in 2008, are addressing the audience. And don't forget about former Alaska Gov. and 2008 GOP vice presidential nominee Sarah Palin and Donald Trump, who seem to be flirting with 2016 bids.

"The reason so many presidential hopefuls come to CPAC is because they get to take a measure of themselves before an activist audience, and that audience gets to take its measure of the potential candidates," Republican communications strategist Keith Appell told CNN.

"CPAC still provides both the contenders and the pretenders these opportunities," added Appell, a senior vice president at CRC Public Relations, a Washington, D.C., PR firm that has had many conservative clients.

Republican strategist Ana Navarro says this year's colder and snowier-than-normal winter in the Washington area won't keep conservatives away.

"Thousands of people trek to snow- and ice-covered Washington for three days to listen to Republican leaders preach the gospel to the faithful. I'd call that relevant. It's a good platform to keep the Republican base, and many young people, energized and charged up," said Navarro, a CNN contributor.

CPAC changes mind, won't allow atheist group at conference

CPAC has its critics

Some conservatives say that CPAC has become too mainstream.

"I think CPAC is really RPAC these days and is as much, if not more, lobbyist oriented than grass-roots oriented. It is like church homecoming for the Republican Party, wrote Erick Erickson, co-founder of RedState.com and a leading voice on the right.

And Rep. Steve King, an outspoken conservative from Iowa, said in a prepared statement that he "will neither speak at nor attend the Conservative Political Action Conference."

Instead, King will join other conservatives in addressing a National Security Action Summit being held just a few blocks away from CPAC.

Spotlight on Christie

While most of the major potential 2016 contenders will address CPAC, two will be absent: Former Florida Gov. Jeb Bush had previous business commitments, and Gov. Scott Walker of Wisconsin has events to attend in his home state. Both spoke at CPAC last year.

While the spotlight's on the speeches in the main ballroom, for the possible White House hopefuls, some of the real action is away from the cameras, in private meetings with top activists, strategists and rainmakers.

One of those possible presidential contenders is Christie. The pragmatic Garden State governor, never popular with many in the party's conservative base, was not invited to last year's conference. CPAC organizers said Christie was snubbed because some of his positions were not conservative enough.

Are controversies helping Christie with conservatives?

Christie is currently awash in allegations that some of his aides closed access lanes to the George Washington Bridge last September to punish the mayor of Fort Lee, New Jersey, for not endorsing Christie's re-election. The governor has denied knowing anything about the gridlock until after it occurred and has said he knew nothing about any political mischief by members of his administration.

While one tea party leader told CNN he was "stunned" that Christie was invited this year, Cardenas, the American Conservative Union chairman, said the national media coverage of the controversies in New Jersey might help Christie with the party's base, which doesn't like to see Republicans attacked by the media, adding that the episode's made conservatives "kindred spirits with Gov. Christie."

While many conservatives may not be Christie fans, they like the mainstream media even less.

"I think Christie is going to get a good reception, maybe even better than he would have before the bridge thing. He's a good, engaging, energetic speaker. He's been under attack by mainstream media and Democrats everywhere. The enemy of my enemy is my friend," added Navarro, the GOP strategist.

Straw poll scrutiny

The results of the CPAC straw poll are analyzed and scrutinized on TV and online. But the idea that the results are any kind of barometer of what will actually happen in the battle for the GOP nomination are extremely debatable.

But the straw poll is useful.

"The straw poll is still more of a scrimmage of expectations. Beat the expectations, and you can generate a lot of buzz among the media and activists," said Kevin Madden, a Republican strategist, CNN contributor and senior adviser to Mitt Romney in the former Massachusetts governor's 2008 and 2012 presidential campaigns.

In 2007, Romney, considered in tune with conservative activists at the time, made winning at CPAC a priority. And he met expectations with a straw poll victory. He won again in 2008, narrowly edging out eventual GOP presidential nominee Sen. John McCain of Arizona, who was not a favorite of the conservative base. Romney won even though he ended his bid for the Republican nomination on the first day of the conference.

Then-Rep. Ron Paul of Texas won the straw poll in 2010 and 2011, in between his two bids for the GOP nomination. His victories were proof of the strong libertarian influence on the CPAC straw poll.

Romney won in 2012, as he was battling two more conservative candidates: Santorum and former House Speaker Newt Gingrich. Romney's 2012 appearance is less remembered for his straw poll victory than for his description of himself as "severely conservative" in his speech to the audience.

Last year's contest ended up being a two-person race, with Rand Paul winning the straw poll with 25% of the vote, one percentage point ahead of Rubio. The 21 other people on the ballot were far behind, registering in single digits.

This year, 26 names are on the straw poll ballot.

@highlight

CPAC is the country's largest gathering of conservative leaders and activists

@highlight

Most of the potential GOP 2016 candidates will speak to the conference

@highlight

Some conservatives are staying away from the conference, saying it's too mainstream