(CNN) -- As activists reported intense gunfire, mounting deaths and mass detentions Monday in Syria, regional leaders stepped up their criticism of the escalating violence.

Saudi Arabia, Kuwait and Bahrain said they were recalling their ambassadors from Syria to discuss the situation.

Officials announced the diplomatic moves after Saudi Arabia's King Abdullah condemned violence in Syria in a rare rebuke directed at a fellow Arab leader.

"There is no justification for the bloodshed in Syria, and what is happening has nothing to do with religion or ethics," he said in remarks broadcast on state television early Monday. "The Syrian leadership could activate comprehensive reforms quickly."

Activists inside and outside Syria said a government crackdown was continuing Monday.

Three people died after security forces opened fire at a funeral procession in Daraa, the London-based Syrian Observatory for Human Rights said. And at least 65 people died during a military operation that began Sunday in Deir Ezzor, according to the activist network Local Coordination Committees of Syria.

Tanks entered the town of Maaret al-Numan after more than a month stationed outside its borders, the Local Coordination Committees and the Syrian Observatory for Human Rights reported. Syrian forces reportedly detained dozens of residents there.

As some groups described increasing violence, Syrian state media reported that the military was pulling back in at least one city. SANA said troops were leaving Hama on Monday after accomplishing "their mission of protecting citizens."

Earlier Monday an activist based in the city said clashes were continuing, with residents describing sounds of intense gunfire in at least one neighborhood. Markets were closed, tanks surrounded some hospitals, and doctors did not have enough medicine to treat the sick and wounded, according to an activist, who asked to remain anonymous because he feared for his safety.

Syria: Understanding the unrest

Syria has restricted international journalists' access to the country, and CNN was unable to independently confirm the death toll and details of the situation.

The reported crackdowns were the latest in months of unrest, which started when Syrian forces swiftly suppressed anti-government protests in the southern city of Daraa.

Anti-government fervor caught on nationwide as more protests were met with tougher crackdowns.

The state-run Syrian Arab News Agency says government officials have pledged political reforms, and security forces are fighting dangerous armed gangs and "terrorist groups." It describes troops killed in clashes as "martyrs."

SANA, citing Syrian President Bashar al-Assad, said in a report Monday that the country is "dealing with the outlaws ... who are blocking roads, closing cities and terrorizing citizens," adding that it "is the duty of state to protect the lives of citizens."

The Syrian Observatory for Human Rights said 2,000 people, primarily demonstrators, have died in the months-long unrest.

In recent days, critical statements from regional leaders -- including the Arab League and a coalition of Gulf states -- have joined an international chorus calling on the Syrian government to end the violence.

Saudi Arabia's king said the situation in Syria was "unacceptable," announcing his country's decision to recall its ambassador "for consultation on current events."

"The brotherly Syrian government and people are aware of the Kingdom of Saudi Arabia's past support for them," Abdullah said, according to a transcript of his statement released by the Saudi government. "Today, Saudi Arabia stands up to its historical responsibility towards its brothers, demands an end to the killing machine and bloodshed, and (is) asking for reason to prevail before it is too late."

The statement from the king -- who leads a nation with significant religious authority and symbolic status among Muslims -- comes at a significant time, during the holy month of Ramadan.

Later Monday, foreign ministries in Bahrain and Kuwait announced that their countries' ambassadors to Syria also had been recalled for consultations on the situation.

"This is a steady drum beat, an increasing drum beat ... The message is becoming clearer and clearer to Assad that he has fewer and fewer friends," U.S. State Department spokesman Mark Toner said Monday.

Turkey's foreign minister's scheduled visit to Syria Tuesday will be a chance "to send send yet another strong message" demanding that al-Assad stop the violence, Toner said.

"His neighbors and other powerful countries and voices in the region need to chime in and get that message to him," Toner said.

The Arab League issued a statement calling on Syrian authorities "to stop immediately all acts of violence and security campaigns against civilians and to speed up in executing reforms."

On Sunday, the Cooperation Council for the Arab States of the Gulf, a union of countries located on the Arabian Peninsula, called on Syria "to put an end to the bloodshed and resort to wisdom, and make serious reforms necessary."

SANA, citing a Syrian official, reported that the government received the statement "with regret." The council "completely ignored the information and facts presented by Syria on the killing and sabotage acts committed by armed terrorist groups seeking to undermine the homeland's sovereignty and security," the SANA report said.

Criticism of al-Assad's government appeared to take a new form Monday when the Syrian Ministry of Defense website was apparently hacked.

For a brief period, the site showed the Syrian flag and a statement: "The world stands with you against the brutal regime of Bashar al-Assad. Know that time and history are on your side."

The statement was signed, "Anonymous" -- an apparent reference to the international hacking collective that has claimed credit for high-profile cyber-attacks in recent months targeting government websites and major corporations.

Later Monday SANA reported that al-Assad named a new minister of defense to replace Gen. Ali Habib Hamoud, whose "health condition deteriorated recently." It was unclear how the reshuffling would impact the nation's military strategy.

CNN's Nada Husseini, Mohammed Jamjoom, Yousuf Basil, Christine Theodorou, Arwa Damon, Amir Ahmed, Kamal Ghattas and Salma Abdelaziz contributed to this report.

@highlight

NEW: U.S. State Department spokesman: Syrian president "has fewer and fewer friends"

@highlight

Bahrain recalls its ambassador to Syria for consultations amid mounting violence

@highlight

Kuwait and Saudi Arabia are also recalling their ambassadors for discussions

@highlight

Saudi Arabia's king says there is "no justification for the bloodshed" in Syria