(CNN) -- Molly Pearce has had what her mother dryly calls "a very alternative life" since birth because of her chronic health issues.

The 24-year-old Santa Monica, California, woman has Hirschsprung's disease, a rare congenital disorder that obstructs the large intestine due to an absence of nerve cells that regulate muscle movement.

She never attended public school full time, has been in and out of hospitals since she was a newborn, and discovered that the one thing she can eat without getting sick is a bag of Cheetos.

Now, Pearce needs four organs -- a liver, kidney, pancreas and small intestine -- from a deceased type O donor to live.

"It's a pretty unusual circumstance," said Dr. Alan Langnas, chief of transplantation at the University of Nebraska Medical Center, where Pearce is being treated. "Fortunately, she's young, and youth trumps everything. She's in very good shape relative to her condition."

At birth, Pearce was one of only three people in the world with her particular type of disease, and doctors predicted she wouldn't live beyond her first year.

Growing up, "I would go to school when I could, but I didn't know anybody and always felt left out," Pearce said. "Most of the time I felt OK, but I was really in a fragile state. I just wanted to be a normal kid."

Why I donated my bone marrow

Pearce managed her disease as well as possible but experienced a major setback at 12 when she was given a drug too powerful for someone of her size. It destroyed her small intestine and her kidney, forcing her onto a liquid diet. It wasn't until she was 17 that she received a small intestine transplant, and at 18 she accepted one of her mother's kidneys.

Then, in 2011, a negative reaction to a blood transfusion caused widespread intestinal failure. Doctors removed both transplants last fall and advised her that they would have to remove her pancreas and her liver as well. By December, she was on dialysis and had lost all four organs.

"I was so depressed that I was telling my mother and everyone that I didn't want to live anymore," Pearce said. "I just wanted to give up because of how many things had gone wrong. After a few months, I realized I could either die or try to get better -- and I at least wanted to try."

After successfully overcoming pneumonia this year, she was exposed to methicillin-resistant Staphylococcus aureus, or MRSA, a skin-borne infection common to hospitals that is difficult to treat. With a severely weakened immune system, she remains in an isolation room, where is she being fed through a tube. She has not eaten solid food since November.

"It's a complex operation," Langnas said of the quadruple transplant, "but it's her only opportunity for survival and a reasonably good quality of life."

Fortunately, Pearce and her family are no longer alone in their quest for a donor. The New York-based Flood Sisters Kidney Foundation of America has taken up Pearce's cause after reading about her on Facebook.

CEO Jennifer Flood and her two sisters, Cynthia and Heather, started their organization after finding a kidney donor for their father in 2008 through the popular classified website Craigslist. They have since capitalized on the power of the Internet and social media networks such as Facebook and Twitter to give patients more publicity and pair them with donors more quickly.

"We knew right away this was a rare and challenging case," Jennifer Flood said. "Molly's story reminded us of the journey we went through for our father, and we had faith and confidence in knowing we could help."

A tale of two transplants

The foundation educates the public on the organ donation and transplant process through online efforts as well as at fund-raising events around the country.

The Flood sisters have saved six lives so far -- and they said they hope Pearce is next.

"It has been a unique, eye-opening, challenging and empowering experience," Jennifer Flood said. "We are confident that with more awareness and exposure ... we can help Molly receive a special family or individual to come forward and donate the gift of life."

Typically, patients seeking organ transplants register as candidates for the national waiting list through the United Network for Organ Sharing after receiving medical clearance from their hospitals. They can either attempt independently to find a family member, friend or stranger to donate to them, or they can wait their turn on the list.

Cases are reviewed based on how sick a patient is, but even though someone such as Pearce is near the top of the list, about 117,000 other patients vie for potential donations, according to United Network for Organ Sharing. The process can take anywhere from two to 10 years.

The Flood sisters help patients expedite that waiting period by providing them with a list of potential donors, helping them choose the right hospital and referring them to organizations that can assist with medical expenses. Once matched with a living donor, a patient contacts his or her hospital, and the transplant occurs once the donor has been medically cleared by a series of tests.

Patients who need the organs of a deceased individual must also wait on the list, as United Network for Organ Sharing determines where to allocate these organs.

But patients can take the initiative to find a family with a terminally ill loved one and have them consent to donate that person's organs after he or she has died -- an option the Flood sisters are exploring for Pearce. Many people are unaware of that option, so it doesn't happen often.

"We hope that Molly's story is the first step toward changing how families can choose where their loved one's organs are allocated," Jennifer Flood said. "It is such a confidential process when it doesn't have to be. This new procedure can make a family or individual feel empowered and not directed to a system. It makes the donation process more personable."

Pearce's mother describes her daughter as a bright, inquisitive young woman whose resilience has always belied her physical condition.

"She has a tremendous love for animals -- she's shown horses and done a lot of work at shelters," Melisa Pearce said. "She has never seen herself as weak -- she has always been the person who fights for the underdog."

A race for life: Double lung transplant woman sails Atlantic

Molly Pearce's boyfriend of four years, Corey Eaker, stayed with her in the hospital for a month over the holidays. A geography major in his final semester at California State University, Northridge, he met Pearce when they were both enrolled at Santa Monica College.

"It was tough to be there and see everything that she was going through," he said. "We're pretty positive, but we always look at the other side a bit and think, 'What if?' And then we use each other to remind ourselves that we can't think about that and to keep a positive outlook."

Pearce said the support from her family, as well from as strangers who have written to her after reading her story, has been overwhelming.

"I'm hopeful," she said. "We did it once, and I'm determined to do it again."

@highlight

Doctors predicted Molly Pearce wouldn't live past her first year

@highlight

She lost all four organs after a negative reaction to a blood transfusion

@highlight

Pearce says she "at least wanted to try" to get better

@highlight

Flood Sisters Kidney Foundation of America tries to find Pearce a donor