United Nations (CNN) -- Arab and Western diplomats spoke in support Tuesday of a U.N. Security Council draft resolution that calls for Syrian President Bashar al-Assad to step down, while representatives from Russia and China slammed it as meddlesome.

More effective than the resolution, Russia and China said, would be the fostering of dialogue within the country.

"The council cannot impose the parameters for an internal political settlement," said Vitaly Churkin, Russia's ambassador to the United Nations. "We are convinced that at a time of intense internal political crisis, the role of the international community should not be one of exacerbating conflict, nor meddling by use of economic sanctions or military force."

The Security Council is considering a draft resolution proposed by Morocco that calls for al-Assad to transfer power to his vice president. Both China and Russia appear poised to veto it.

The resolution supports "full implementation" of an Arab League report that called on Syria to form a unity government within two months, but stopped short of supporting military intervention or economic sanctions.

Russia -- one of the five veto-wielding permanent members of the Security Council, as is China -- has said it is concerned about Syrian civil war and does not want al-Assad pushed out of power. It has proposed its own draft resolution that assigns equal blame for the violence on both al-Assad and the opposition.

Earlier, Arab leaders told the council that Syria has failed to make reforms.

Qatar's prime minister said "the hope of the Syrian people is in your hands."

Sheikh Hamad bin Jassim al-Thani cited the history of negotiations between the Arab League and the Syrian government. "The crisis started with absolutely peaceful demonstrations."

The prime minister reiterated calls for the violence to end. "The government killing machine continues effectively unabated."

Arab League Secretary-General Nabil el-Araby called for free elections and a multi-party system. "Do not let the Syrian people down in its plight."

The Arab League: No longer toothless?

Meanwhile, Syria's envoy to the United Nations said the nation is the victim of a systematic campaign to distort facts. The Arab League, he said, is interfering with Syrian affairs and has ignored reports from observers inside the country.

"Syria is going through decisive challenges in its history," said Ambassador Bashar Ja'afari. "We want this stage to be through the will of our people, not through the will of anyone else."

"That organization (the Arab League) is not speaking on behalf of all Arabs right now. Without Syria, there is not Arab League," he said.

The Security Council has been unable to agree on any resolution on Syria.

In October, Russia and China issued a rare double-veto of a resolution that lacked sanctions but would have condemned the violence in Syria. This latest draft also lacks sanctions, but is tougher than the October version, which said nothing about transfer of power.

The Syrian regime is a major weapons client for Russia. Analysts with Max-Security Solutions, a security consulting firm based in Israel, said Monday in the New York Times that recent Russian arms sales to Syria are worth $4 billion, and that Russian business investments in Syria amount to nearly $20 billion.

A Congressional Research Service report in 2008 said the two countries had "concluded several significant arms deals."

U.S. Secretary of State Hillary Clinton told the Security Council that "evidence is clear that Assad's forces are initiating nearly all the attacks that kill civilians, but as more citizens take up arms to resist the regime's brutality, violence is increasingly likely to spiral out of control."

She said it is crucial that the international community not embolden "the dictator."

"I know that some members here may be concerned that the Security Council may be headed toward another Libya. That is a false analogy," Clinton told the council. "Syria is a unique situation that requires its own approach, tailored to the specific circumstances on the ground. And that is exactly what the Arab League has proposed -- a path for a political transition that would preserve Syria's unity and institutions."

She told reporters: "At the end of the day, every member of that Security Council has a choice to make. If you do not choose to try to stand on the side of the Syrian people, then you are standing on the side of the continuing killing and abuses that are carried out every single day."

Clinton's support of the draft resolution was echoed by British Foreign Secretary William Hague and French Foreign Minister Alain Juppe.

The French representative said the silence of the council was "no longer acceptable," while Hague stressed that the resolution does not call for military action, "and could not be used to authorize it."

"This is not the West telling Syria what to do. It is not the permanent members of the Security Council seeking to impose their view. This is the Arab Nations calling on the U.N. Security Council to help address the crisis in Syria and the threat that it poses to the stability of their region," he said.

As diplomats debated, a humanitarian crisis is unfolding in several areas of Syria, according to opposition activists.

At least 7,100 people -- including 461 children -- have died since the start of the anti-government uprising in March, the Local Coordination Committees in Syria (LCC), an opposition group that organizes and documents demonstrations, said Tuesday.

The United Nations estimated last month that more than 5,000 people have died since March, though it has also said it has been unable to update that figure because of the situation on the ground.

CNN cannot independently confirm opposition or government reports from Syria because access to the country is limited.

At least 37 people were confirmed dead Tuesday, including 16 in Idlib, 12 in Homs, three in Daraa, one each in Damascus, Hama and Aleppo, and three in the Damascus suburbs, according to the LCC. The group reported 100 deaths Monday.

Much of Ghouta, in the eastern suburbs of Damascus, faces a "complete siege and closure" after days of sustained bombings that killed dozens, the LCC said.

Electricity, water, heating fuel and food are in short supply, and communications are interrupted, the LCC said.

"We appeal to the Red Cross and the Red Crescent and all relevant international organizations to go to the area and provide relief for its people with food, medicine, and shelter and to pressure the criminal regime to stop its ongoing crimes against our people," the group said in a statement.

A spokesman for the rebel group Revolutionary Council in Irbin, just outside Damascus, told CNN Tuesday, "What we are witnessing today is a heavy attack by tanks and artillery on the eastern outskirts." At about 8 a.m., the army reached the main square, he said. There were several "massive explosions," though it was not clear if they all came from within Irbin, he said.

Earlier, by 6 a.m., the city was blocked and no one was allowed to leave amid a "massive presence of soldiers," he said.

The spokesman, going by the pseudonym Abu Sayeed, said there were two confirmed deaths in the city. On Monday, no one could get to a dead body for six hours because of sniper fire, he said.

CNN's Hamdi Alkhshali, Arwa Damon, Alla Eshchenko, Jill Dougherty, Richard Roth, Josh Levs, and Brian Walker contributed to this report.

@highlight

NEW: British Foreign Secretary William Hague: "This is not the West telling Syria what to do"

@highlight

7,100 people have died since the start of the uprising, opposition group says

@highlight

Russia, China say dialogue should occur inside Syria

@highlight

"Hope of Syrian people" in your hands, Qatari prime minister tells U.N. Security Council