(CNN) -- In Chicago in 1968, anti-war protesters at the Democratic National Convention chanted "The Whole World Is Watching."

World news events of the past had few reporting electronically, but hundreds are in Iran.

They were talking about television cameras that showed police beatings on the evening news.

More than 40 years later, with a massive movement aimed at reversing election results and possibly even toppling a regime in Iran, online networking is instantly sharing protesters' actions.

And the whole world is watching.

"That wasn't true in Chicago," Clay Shirky, a writer, consultant and New York University instructor who focuses on the social impact of the Internet, said of the slogan. "Now, it's true."

The watching isn't the end of the story -- and may not even end up being its most important piece -- according to Shirky.

"Since we don't know how this ends, the lessons are all provisional at the moment," he said. "But it seems to me that the biggest potential difference right now is not just that the whole world is watching, but that people from outside -- civilians from outside -- Iran are trying to actually affect the outcome."

From the moment Iranians took to the streets of Tehran to protest results of an election they believe President Mahmoud Ahmadinejad stole, electronic media has been a part of the story. Demonstrators made plans by text message -- when they could get around reported government interference with their signals.

Web sites like Facebook, Twitter, Flickr and YouTube were used to organize, drum up support and share images of street protests -- and the brutal retribution that sometimes followed -- with a world hungry for news. As the Iranian government began limiting the freedom of traditional news outlets to report in the country, citizen journalists became crucial in showing scenes from the movement.

It's the latest step forward in a media technology march that has included stops at the Spanish-American War, when telegraphs wired updates to the world, and the Vietnam War, when television first gave viewers a daily look at how the conflict was going.

"Every new technology gives those at home, or for that matter in the war rooms, a different way [to see] and perhaps a larger perspective on what's out there," said Susan Moeller, director of the University of Maryland's International Center for Media and the Public Agenda.

"In Vietnam, you might have had two or three networks out there covering it -- you could count on your fingers the number of perspectives on what was going on," she said. "Today, you have the ability to literally have hundreds, if not hundreds of thousands, of perspectives from people not only of different geographical perspectives, but also from different cultural and philosophical perspectives."

Moeller said online networking sites like Twitter and Facebook have "come into flowering" since even the most recent world events, like natural disasters or political upheavals, that have garnered widespread attention.

The growing number of people becoming Web-savvy makes the online networks more powerful, she said.

"It's not just the half-dozen geeks that used to be part of the HAM radio network, but millions of people have figured out how to sign up at Facebook and can get to [opposition candidate Mir Hossein] Moussavi's Facebook site."

Sarah Jaffe, a blogger and self-professed "new media geek" living in New York, is among those who have tuned in to the action in Iran through online media. In a blog Thursday titled, "Iran Protests: It's not about Twitter, it's not about us," she noted the important role the Internet has played in spreading the word and engaging the public.

But at the end of the day, she said, the online tools are just that -- tools. And the real story is the massive, nonvirtual movement in Iran.

"I love Twitter and all that stuff ... but it's not all about us," she said to CNN Thursday. "We wouldn't be paying attention on Twitter if it were not for thousands and possibly millions of people in the street."

Helping free up Internet access for Iranians creates a way for people all over the world to show support for those protesters from the comfort of their own homes, Shirky said.

"One of the easy criticisms to make of people on Facebook and Twitter is, 'You're changing your avatar picture to green [the color Moussavi supporters wear]. Isn't that sweet? How pointless," he said. "But one of the things that emboldens people turning out in the streets is visible evidence that there's an audience outside their immediate area."

The online activism does raise some unanswered questions, though, according to Shirky. He said some of them are troubling.

He noted that some of the Americans working to help Iranian dissidents fight their own government were among those who criticized former U.S. President George W. Bush for pushing for regime change in neighboring Iraq.

"It's a kind of civilian diplomacy," he said. "The regime will certainly use this as evidence of American meddling and it is American meddling," he said. "It's just not meddling by the American state."

The anonymity of online citizen journalism also presents problems for people trying to process the news. While some bloggers and frequent users of networking sites have become trusted names among followers of news out of Iran, it can be otherwise difficult to figure out who the source of a piece of information is.

"It puts a demand on the person at home to make sense of it," Moeller said. "And to be able to add some context and so forth."

Suspicion of intentional misinformation from the Iranian government also has rippled through the networks. For example, a Twitter user claiming to be an Iranian student was posting misinformation Wednesday -- including a report that demonstrations had been canceled -- and listed a phone number for a supposed safe house for protesters.

And while it's impossible to deny the game-changing impact the Internet is having on the Iranian situation, there's no guarantee it will help topple Iran's hard-line leadership, according to Moeller.

"It doesn't mean we're going to see the brand new day of Iran dawning," she said. "But the technology is there to stay. You can't pull the plug on the Internet."

@highlight

Experts on Iran: Online world is watching, acting

@highlight

Foreign activists have been key in helping Iran's dissidents spread word

@highlight

Future impact of "civilian diplomacy" online is unknown, expert says

@highlight

Despite its power, no sure thing Internet will bring change in Iran