(CNN) -- Leszek Balcerowicz, Poland's former finance minister, recently said his country is enjoying "its best period in 300 years." CNN looks at how the country emerged from communism to become one of eastern Europe's most stable and thriving democracies.

Solidarity leader Lech Walesa addresses striking workers in Gdansk, Poland in 1989.

Modern Poland gained independence in 1918 only to be overrun by Germany and the Soviet Union during the Second World War. Almost six million Poles, including the majority of the country's large Jewish population, died during the devastating six-year conflict.

The shadow of Stalin continued to loom large over Poland after the war, when the communist-dominated government ensured that Poland would become a Soviet satellite state for the next 40 years.

The following decades were punctuated by revolts against the repressive authoritarian regime in Warsaw, but none had a greater impact on Poland's political future than events in 1980 at a shipyard in western Poland. With a struggling economy and rumors of corruption and mismanagement within the state causing widespread discontent, a series of strikes by workers paralyzed the country.

Eventually the government was forced to negotiate and on August 31, 1980, workers at the massive Lenin shipyard in Gdansk, led by an electrician named Lech Walesa, signed a deal giving workers the right to strike and form trade unions. This heralded the creation of the Solidarity movement, which would ultimately be instrumental in bringing Poland's communist era to an end.

The presence in the Vatican at the time of Polish-born Pope John-Paul II was also a significant influence on the movement throughout the 1980s, as the Catholic church had remained a very potent force in Polish life. The Pope even made a visit to the country in 1979.

Despite Soviet-endorsed attempts to slow the erosion of the regime's grip on power -- including the declaration of martial law by General Wojciech Jaruzelski in 1981 which outlawed Solidarity -- Poland's worsening economic situation, compounded by further nationwide strikes, meant that the government had no alternative but to negotiate a date for free elections with Walesa and the Solidarity movement.

Solidarity members won a stunning victory in the election of 1989, taking almost all the seats in the Senate and all of the 169 seats they were allowed to contest in the Sejm or parliament. This gave them substantial influence in the new government. Activist and journalist Tadeusz Mazowiecki was appointed prime minister, while Lech Walesa was elected as president the following year.

After years of economic mismanagement under the communists, Poland embarked on a painful reform program under finance minister Leszek Balcerowicz -- especially in traditional heavy industries such as coal and steel -- which moved away from the inefficient state-controlled system of economic planning.

Despite growing unemployment and a dilapidated infrastructure, Poland was slowly transformed into an investment-friendly, market economy. Banking and lending policies were reformed, while newly reshaped ownership relations, independent enterprises and strengthened domestic competition all had a massive impact.

Over a relatively short period of time, Poland had become one of the most dynamically developing economies in Europe and by the mid-1990s, it became known as the "Tiger of Europe."

Poland also liberalized its international trade during this period. The national currency -- the zloty -- became convertible to other currencies and internal convertibility was also established, providing another platform for dynamic economic growth.

New markets in countries that had been treated not so long before as ideological as well as economic enemies were opened up to Polish companies. The EU and U.S. were now the key markets for Polish goods.

This realignment of policy was emphasized by its accession into the European Union in 2004. It had also joined NATO in 1999.

Unfortunately the continuing problem of high unemployment and the promise of better salaries encouraged many Poles to work in other EU countries after 2004. However this trend started to reverse in 2008 as the Polish economy enjoyed a boom period.

Politically, Poland has also successfully transformed itself into a fully democratic country. Since 1991 the Polish people have voted in parliamentary elections and four presidential elections -- all free and fair. Incumbent governments have transferred power smoothly and constitutionally in every instance to their successors.

@highlight

Poland was ruled by Soviet-backed regime after the Second World War

@highlight

Solidarity movement became a key factor in the fall of communist regime

@highlight

Centrally-planned economic system replaced by free market economy

@highlight

Poland joined the European Union in 2004