(CNN) -- Congress is about to decide whether to renew unemployment benefits for the long-term jobless. Unless it acts by December 31, millions who have been unemployed for more than six months will begin losing benefits. With unemployment at nearly 9% and likely to remain high for the next few years, cutting off benefits for the long-term unemployed would have severe consequences for them and our economy.

Several members of Congress, and a few policy analysts and pundits, argue otherwise, saying that eliminating benefits for the long-term unemployed will force millions of Americans back to work and reduce unemployment. But overwhelming evidence refutes these observations.

Let's review some other myths and facts about unemployment insurance:

Myth: All unemployed workers receive it.

Fact: Two-thirds of America's 14 million unemployed are not receiving benefits, according to the Economic Policy Institute. While laid-off workers may apply for state-funded benefits, typically lasting up to 26 weeks, those who did not work long enough or earn enough before losing their jobs are ineligible, including millions of low-wage workers. And only those who are out of work for more than six months and live in states with high levels of unemployment are eligible for federally funded programs that may last up to 99 weeks.

Myth: Unemployment insurance payments are close or equal to a person's former income.

Fact: Unemployment benefits typically amount to only a fraction of a worker's previous income. Maximum payments are capped well below most recipients' prior wages. In mid-2011, the national average benefit was $1,200 a month. The average family spends more than that -- nearly $1,400 per month -- just on housing. In Mississippi, average monthly benefits are less than $800.

The Heldrich Center for Workforce Development's national survey of unemployed workers found that almost half described their financial condition as flat-out "poor," with most reporting reduced spending on essentials such as food, health care, and transportation. Unemployment is not a "paid vacation" for those receiving benefits because payments are too small to stave off financial stress. Most long-term unemployed workers have exhausted other strategies, such as borrowing money or drawing down savings.

Myth: Unemployment insurance benefits discourage recipients from looking for work

Fact: The jobless who received benefits more actively sought work than those who did not receive them, the Heldrich Center's national survey found. Recipients were more likely than other unemployed workers to apply for jobs, search newspapers and online job boards, contact friends or family members about a job or reach out to potential employers by phone or e-mail.

Myth: Unemployment Insurance recipients are waiting for the perfect job and turn down job offers to collect benefits.

Fact: Two out of three (69%) unemployed respondents in the Heldrich Center survey, and 80% of those who received benefits, said they would be willing to take a pay cut to get a new job. While state-funded unemployment benefit programs permit job seekers to pass up job offers if they are unrelated to their past work experience during the first few months of unemployment, they set time limits on the recipient's ability to reject lower-paying job offers. Those receiving extended support from the federal government are required to accept reasonable offers of employment

Myth: Unemployment insurance benefits increase unemployment.

Fact: Research conducted by Jesse Rothstein, a professor at the University of California, Berkeley, and former chief economist at the U.S. Labor Department, found that benefits have a negligible impact on the unemployment rate. In a report published in October, he concluded that extended benefits may raise the re-employment rate of long-term unemployed workers by encouraging them to continue an active job search.

There is one other benefit to consider in extending unemployment benefits: When the stimulative economic effect of benefit spending is taken into account, payments lower the unemployment rate because the money people receive from benefits is spent on necessities such as food, clothing and housing. Mark Zandi, chief economist at Moody's Analytics, estimates that every $1 spent on unemployment insurance benefits generates $1.61 in economic activity.

The opinions expressed in this commentary are solely those of Carl Van Horn.

@highlight

Carl Van Horn: Ending benefits for long-term jobless would have severe consequences

@highlight

Van Horn dispels myths about benefits making it desirable to stay out of work

@highlight

Recipients more likely to seek work with benefits, which aren't enough to live on, he says

@highlight

Van Horn: Unemployment benefits help fight job loss since recipients spend money