(CNN) -- By the early 2020s, we will have the means to program our biology away from disease and aging.

Up until recently, health and medicine was basically a hit or miss affair. We would discover interventions such as drugs that had benefits, but also many side effects. Until recently, we did not have the means to actually design interventions on computers.

All of that has now changed, and will dramatically change clinical practice by the early 2020s.

We now have the information code of the genome and are making exponential gains in modeling and simulating the information processes they give rise to.

Read more: Le Web, the next ten years

We also have new tools that allow us to actually reprogram our biology in the same way that we reprogram our computers.

RNA interference, for example, can turn genes off that promote disease and aging. New forms of gene therapy, especially in vitro models that do not trigger the immune system, have the ability to add new genes.

Stem cell therapies, including the recently developed method to create "induced pluripotent cells" (IPCs) by adding four genes to your own skin cells to create the equivalent of an embryonic stem cell but without use of an embryo, are being developed to rejuvenate organs and even grow then from scratch.

There are now hundreds of drugs and processes in the pipeline using these methods to modify the course of obesity, heart disease, cancer, and other diseases and aging processes.

As one of many examples, we can now fix a broken heart -- not (yet) from romance -- but from a heart attack, by rejuvenating the heart with reprogrammed stem cells.

Read more: Could Siri say dump him?

Health and medicine is now an information technology and is therefore subject to what I call the "law of accelerating returns," which is a doubling of capability (for the same cost) about each year that applies to any information technology.

As a result, technologies to reprogram the "software" that underlie human biology are already a thousand times more powerful than they were when the genome project was completed in 2003, and will again be a thousand times more powerful than they are today in a decade, and a million times more powerful in two decades.

Clinical applications are now at the cutting edge and will be routine in the early 2020s.

By 2030 solar energy will have the capacity to meet all of our energy needs. The production of food and clean water will also be revolutionized.

If we could capture one part in ten thousand of the sunlight that falls on the Earth we could meet 100% of our energy needs, using this renewable and environmentally friendly source.

As we apply new molecular scale technologies to solar panels, the cost per watt is coming down rapidly. Already Deutsche Bank, in a recent report, wrote "The cost of unsubsidized solar power is about the same as the cost of electricity from the grid in India and Italy. By 2014 even more countries will achieve solar 'grid parity.'"

The total number of watts of electricity produced by solar energy is growing exponentially, doubling every two years. It is now less than seven doublings from 100%.

Read more: Can African unlock its solar potential?

Similar approaches will address other resource needs. Once we have inexpensive energy we can readily and inexpensively convert the vast amount of dirty and salinated water we have on the planet to usable water.

We are also headed towards another agriculture revolution, from horizontal agriculture to vertical agriculture, where we grow very high quality food in AI controlled buildings.

These will recycle all nutrients and end the ecological disaster that constitutes contemporary factory farming. This will include hydroponic plants for fruits and vegetables and in vitro cloning of muscle tissue for meat, that is meat without animals, thereby ending animal suffering.

By the early 2020s we will print out a significant fraction of the products we use including clothing as well as replacement organs.

3D printing is getting a lot of attention. There are niche applications such as printing our replacement parts for machinery, but the opportunity to begin replacing significant portions of manufacturing is still about five years away.

If we look at the life cycle of technologies we see an early period of over-enthusiasm, then a "bust" when disillusionment sets in, followed by the real revolution.

Remember the Internet boom of the 1990s followed by the Internet bust around the year 2000?

That was around the time Google was getting started, and now we have multi-hundred billion dollar Internet companies.

We're in the early boom phase of 3D printing enthusiasm and hopefully we've learned enough to avoid a period of undue disillusionment, but I do see the early 2020s as the golden era of 3D printing.

For example, in the early 2020s, you'll have a choice of many thousands of cool clothing designs that are open source and that can be printed out for pennies a pound.

Explore: Is 3D printing the dawn of a revolution?

But that will not mean the end of the fashion industry. Look at other industries that have already been transformed from physical products to digital ones, such as books, movies and music.

Despite enormous changes in business models (and the availability of many free open source products) the overall revenues for proprietary forms of these products remains strong.

We can already experimentally print out organs by printing a biodegradable scaffolding and then populating it with a patient's own stem cells, all with a 3D printer.

By the early 2020s, this will reach clinical practice.

Within five years, search engines will be based on an understanding of natural language.

Consider that IBM's Watson got a higher score on the American television game of Jeopardy than the best two human players combined.

Jeopardy is a broad task involving complicated natural language queries which include puns, riddles, jokes and metaphors.

For example, Watson got this query correct in the rhyme category: "A long tiresome speech delivered by a frothy pie topping." It correctly responded "What is a meringue harangue."

Read more: I'm the voice of Siri

What is not widely appreciated is that Watson got its knowledge by reading Wikipedia and several other encyclopedias, a total of 200 million pages of natural language documents.

I does not read each page as well as you or I. It might read one page and conclude that there is a 56% chance that Barack Obama is President of the United States.

You could read that page, and if you didn't happen to know that ahead of time, conclude that there is a 98% chance.

So you did a better job than Watson at reading that page. But Watson makes up for this relatively weak reading by reading more pages, a lot more, and it can combine its inferences across everything it has read and conclude that there is a 99.9% chance that Obama is president.

At Google, we are creating a system that will read every document on the web and every book for meaning and provide a rich search and question answering experience based on the true meaning of natural language.

For example, it will engage you in dialogue to clarify questions and discuss answers that are ambiguous or complex.

By the early 2020s we will be routinely working and playing with each other in full immersion visual-auditory virtual environments. By the 2030s, we will add the tactile sense to full immersion virtual reality.

The telephone is virtual reality in that you can meet with someone as if you are together, at least for the auditory sense.

We've now added the visual sense with video conferencing -- although not yet 3D and full immersion.

The visual sense will become full immersion over the next decade. We'll also be able to augment real reality so that I could see you sitting on the coach in my living room and you could see me sitting on your back porch, even though we're hundreds of miles apart.

Your augmented reality glasses will also be able to make suggestions to you for an interesting joke or anecdote that you could slip into a conversation you're having.

There will be limited ways of adding the tactile sense to virtual and augmented reality by the early 2020s, but full immersion virtual tactile experiences will require tapping directly into the nervous system.

We'll be able to do that in the 2030s with nanobots traveling noninvasively into the brain through the capillaries and augmenting the signals coming from our real senses.

The opinions expressed in this commentary are solely those of Ray Kurzweil

@highlight

Ray Kurzweil, acclaimed futurist and inventor, says we can program ourselves away from disease and aging

@highlight

Kurzweil also believes we will be able to satisfy all our energy needs by solar power by 2030

@highlight

We will also be printing a significant amount of the goods we use and wear, and replacement organs

@highlight

Work and play will become a fully immersive experience by the 2030s, Kurzweil says