(CNN) -- Six major Chinese websites have launched a joint site dedicated to eradicating online rumors, as part of Beijing's efforts to clean up false information on the country's wildly popular microblogs, state media reports.

The rumor-busting website -- the name of which translates as the "websites jointly debunking rumors platform" -- allows users to forward on suspect content for verification. The website, with guidance from the Chinese government, will then issue a "correct" version of the information.

The web giants participating in the platform include Sina Weibo, a Twitter-like microblogging service, and major search engines including Baidu and Sogou, reported state-run Xinhua. The website, which launched Thursday, has already published and corrected nearly 100,000 pieces of misinformation, according to the state-run Global Times. It would also alert Internet users to phishing scams.

China has more Internet users than any other country, with more than 500 million people online, and an estimated 300 million microblog users. Although the services are censored -- with sensitive terms blocked and posts deleted -- the speed with which information can be disseminated has proven a headache for Beijing.

While the microblogs have been used to disseminate false information -- popular posts include reports of extraterrestrial sightings, and bogus pictures have circulated with false reports of natural disasters -- they have also become a forum for spreading news of scandals, protests and venting public anger at incidents such as the Wenzhou bullet train crash.

After that incident, which focused public opinion against authorities, a senior government official visited the headquarters of Sina and urged the internet firm to curb the spread of "false information," while state media ran editorials comparing online rumors to heroin and cocaine in terms of the social damage they caused. Social media companies began suspending users for posting what they deemed to be rumors.

The state-run Global Times has commended the government's latest initiative in its rumor-busting campaign as "a laudable step," saying that rumors could "can cause widespread panic, disturb the order of society and damage the government's credibility."

The editorial said that online rumor prevention was "a challenge faced by most countries," and pointed out that the U.S.'s Federal Emergency Management Agency had launched a "rumor control" service in the wake of Hurricane Sandy.

But critics see the ongoing anti-rumor campaign as an attempt to censor criticism and manage public opinion.

David Bandurski, a researcher at the University of Hong Kong's China Media Project, wrote in a 2011 blog that the government's anti-rumor campaign was effectively "sugarcoating censorship as a kind of public health measure," and observed that the government used the rumor-policing function to effectively shut down debate on contentious topics, without necessarily accounting why a given statement was false: "A rumor is what the government says it is."

China's rumor-busting efforts come as British authorities grapple with their own challenges with online speech, as calls escalate for action to prevent abuse against women on social media.

The issue ignited when feminist Caroline Criado-Perez received a barrage of rape threats via Twitter after petitioning to have women displayed on British banknotes. A politician who spoke out in support of her also received rape threats, while bomb threats were directed at a number of women journalists on Twitter.

A 25-year-old man was arrested in northeastern England Tuesday on suspicion of harassment, the Metropolitan Police said, while investigations were ongoing in relation to the more recent complaints.

Ke Feng contributed to this report.

@highlight

Chinese web giants have launched a site dedicated to debunking online rumors

@highlight

The move is part of Beijing's crackdown on "false information" online

@highlight

Critics see it as a move to censor information and manage public opinion

@highlight

China has more Internet users than any other country