(CNN)Imagine spending your entire career searching for something buried somewhere within the Earth -- and then when you miraculously find it, the federal government seizes your discovery.

That's the predicament paleontologist Peter Larson found himself in after he and his team unearthed a nearly complete Tyrannosaurus Rex skeleton in 1990, preserved for some 67 million years in what is now the state of South Dakota.

It is the most intact T-Rex skeleton ever found.

Larson and his team had permission from the rancher, Maurice Williams, to dig on his property.  Before they had fully unearthed the fossil and realized its significance, they paid Williams $5,000 for the discovery.

"That was the most that any landowner had ever gotten (for a dinosaur fossil in the ground)," Larson said. "We shook hands and he (Williams) was pretty excited about seeing it set up in the museum."

Larson and his team from the Black Hills Institute in South Dakota had planned to showcase their discovery at the institute.

But that never happened and Larson would soon find himself in the middle of a protracted legal battle that would result in him serving time in federal prison.

Flat tire leads to fossil find

Maybe if the 1975 Suburban hadn't gotten a flat tire.

Maybe if Sue Hendrickson hadn't been so impatient -- or if she hadn't gotten lost in the fog, the Tyrannosaurus Rex skeleton would still be in that craggy South Dakota rockface.

On the morning of August 12, 1990, the Black Hills fossil hunter team's Suburban broke down so Hendrickson decided to venture out on her own on Maurice Williams' ranch where the team had spent weeks searching for fossils.

That foggy morning, she walked right into the discovery of a lifetime.

"Anybody who had any idea what a fossil versus a rock (looked like) would have seen it," Hendrickson said. "There (were) a lot of broken bones dribbling down (and) about 8 feet up the side of the cliff, there were three articulated vertebrae and a couple of other pieces of bone sticking out."

Hendrickson immediately showed one of the vertebrae to her colleagues. Amazed, Larson said he and the team "literally ran back to the site."

They nicknamed the T-Rex "Sue" after Hendrickson, and spent the next few weeks carefully unearthing the fossilized skeleton after paying Williams for the find.

The bones, still encased in plaster and earth, were transferred to the Black Hills Institute where they began the long, arduous process of separating and preparing them for display -- a dream of Larson and his brother, Neal, also a member of his team.

"Ever since we created that little museum on our parents' ranch, it's always been our dream to have a museum here in Hill City (South Dakota)," Peter Larson said, referring to the Black Hills Institute.  "And finding Sue, the Tyrannosaurus Rex -- here's the anchor for the museum."

More than 80% of the skeleton was recovered -- making "Sue" the most complete and largest T-Rex ever discovered.  And the scientific impact was huge: One of the most interesting discoveries, according to Larson, was that the injuries to the bones indicated that Sue had died after being attacked by another T-Rex.

Larson said he and the entire town hoped that a public display of Sue would "put Hill City on the map." Their excitement soon turned to outrage as federal agents arrived on the doorstep of the Black Hills Institute.

Whose fossil is it?

The morning of May 12, 1992, the Black Hills Institute paleontology team was still riding high. They had just succeeded in separating the T-Rex's pelvis from its skull -- a process that took more than a year and, if done incorrectly, could have damaged the prized skull.

"Taking that hip off of Sue's skull was critical. ...  You don't have a second chance," said paleontologist Terry Wentz.  "One little movement (and) it could be cracking it all the way through inside."

Around 7 that morning,  FBI agents and the National Guard arrived at the institute and seized Sue, the records related to the T-Rex and other documents from the Black Hills Institute.

"I go down to the office and there's two FBI agents sitting there (saying) 'You've stolen this from federal land and we're coming here to seize this,' " Peter Larson said.

It took days for the federal agents to load up the fossil and during that time, Hill City residents showed up to protest which attracted the attention of the national media.

The "entire town of Hill City ... was in mourning when they took that dinosaur away," said Black Hills Institute's office manager Marion Zenker.

Even though the team had gotten permission and paid the landowner for the fossil find, Maurice Williams -- who died in 2011 -- had apparently changed his claim and said the fossil belonged to him, said Kristin Donnan, author of "Rex Appeal" and Peter Larson's ex-wife.

In addition, it turned out Williams' private ranch was part of Indian Trust land, which further complicated who owned Sue.

On top of that, five years before Sue's discovery, the National Park Service (NPS) had begun to investigate the Black Hills Institute for illegally collecting fossils on public lands, said NPS senior geologist Vincent Santucci.

"There was a civil matter that dealt with the ownership of Sue ... (and) there was a separate, criminal investigation that had very little to do with Sue," Santucci told CNN.

"I think ... the dinosaur overshadowed a lot of that discussion and ... created confusion."

Navigating the tricky land laws were central to the federal case against the Black Hills Institute.  For 18 months, Sue remained locked up as the federal government gathered enough evidence to charge Larson and the other members of the institute -- giving immunity deals to several employees and friends of the institute in exchange for their testimony.

Sue Hendrickson was one of those given immunity -- but she said she had nothing incriminating to say because "they didn't do anything wrong."

The IRS and the National Park Service conducted the bulk of the federal investigation against Larson and the Black Hills Institute.  Keith Nelson, the lead investigator for the IRS, said the evidence recovered at the institute was overwhelming.

"There were so many bones, so many animals, so many invertebrates that were taken off of public lands, taken internationally, sold internationally. ... There was way more than we ever could have investigated," Nelson said. He stressed that Sue "wasn't ... what was being looked at as far as potential criminal violations."

Larson and his colleagues have denied taking fossils off of public lands.

In November 1993, a federal grand jury returned a 39-count indictment containing 153 charges against Peter Larson and five others linked to the Black Hills Institute, including Wentz and Larson's brother, Neal.  The 153 charges in the indictment included fossil theft, money laundering, and false statements to government agencies.

None of the charges were directly related to Sue. In fact, during the trial, the court instructed both sides and all witnesses to avoid discussing the T-Rex.

In the end, Williams made $7.6 million from the eventual auction of Sue, who was put on display at Chicago's Field Museum -- and Peter Larson served 18 months in federal prison for customs violations unrelated to the T-Rex.

After Sue

Today, Peter Larson still runs the Black Hills Institute of Geological Research in Hill City, South Dakota, where his enthusiasm for T-Rexes hasn't abated.  He and his team have found a total of 10 partial Tyrannosaurus Rex skeletons.

Despite everything that happened to him and his team, Larson says he's glad that Sue is on public display. He even went to the dinosaur's 2000 unveiling in Chicago as a guest of Sue Hendrickson's.

He hasn't given up on his dream of returning Sue "in some form" to Hill City: He's asking the Field Museum for a full research cast of the T-Rex

"I think it's probably the second best place she could have been," he said, referring to Chicago. "People can see her and get the same excitement that I have for her."

For more on this story, watch CNN Films' "Dinosaur 13" Thursday, December 11 at 9 p.m. ET on CNN

CNN's Meridith Edwards and Kyung Lah contributed to this report

@highlight

In 1990, fossil hunters found the most intact Tyrannosaurus Rex skeleton

@highlight

The discovery led to a massive battle over who owned it

@highlight

Eventually, federal agents seized the T-Rex

@highlight

CNN Films' "Dinosaur 13" airs Thursday, December 11, at 9p ET