Oak Creek, Wisconsin (CNN) -- As community members sought emotional healing in the wake of the shooting spree at a religious service, police said Tuesday they had not identified a motive or found any telltale writings or note left by the gunman.

Oak Creek Police Chief John Edwards also said family members of Wade Michael Page, 40, have not reported observing any warning signs.

Page, an Army veteran who neighbors say played in a far-right punk band, was the lone gunman in the Sunday rampage at a Sikh temple, Edwards said. Page was shot to death by police responding to the attack.

According to Edwards and the FBI, authorities have received tips that Page might have links to the white supremacist movement, but nothing had been confirmed.

"We may end up with just a lot of facts on what he is involved with, who he may be associated with, but we may never know that motive, because he died, and that motive died with him," Edwards told CNN's "The Situation Room."

The chief also said, counter to speculation, Page did not have a 9/11 tattoo.

While the FBI has said Page never was the subject of an investigation, he was mentioned in a small number of federal law enforcement reference files in cases going back seven years, a law enforcement official told CNN on Tuesday.

The official said there is no information to suggest that investigators wanted to open a case on Page, but did not have the evidence to justify it. While Page might have been sympathetic to a certain ideology, there was no evidence he had committed a federal crime prior to the Wisconsin shooting, the official said.

The official did not provide details about the nature of the cases in which Page's name was mentioned.

For a third consecutive night, mourners and supporters held a vigil Tuesday night to remember the six victims, pray for the wounded and grapple with grief and shock.

People lit candles in an Oak Creek park and stood together in solidarity.

Remembering the victims

Tales of heroism, putting others first

The Sikh American community called for a national moment of silence on Sunday.

A posting on the Sikh American Legal Defense and Education Fund's website asked for observances at churches, mosques, synagogues and other places of worship. It said the community hopes such a gesture "will send the message of blessings for all, and that we stand united against hate and intolerance and as part of a common humanity."

Bernard Zapor -- the Bureau of Alcohol, Tobacco, Firearms and Explosives special agent in the investigation -- said Monday that the 9mm semiautomatic handgun with multiple ammunition magazines used by the attacker had been legally purchased.

Page bought the gun on July 28 at the Shooters Shop in West Allis, Wisconsin, and picked it up two days later. The shooter bought ammunition there and used the shop's range.

Shop manager Eric Grabowski and owner Kevin Nugent told CNN Tuesday that surveillance video of Page buying the gun and using it in the range two days later has been turned over to investigators. The suspect did not exhibit unusual behavior while in the store, Grabowski said.

The magazine for the handgun holds at least 17 bullets.

Explainer: Who are Sikhs?

According to a man who described himself as Page's old Army buddy, the attacker talked about "racial holy war" when they served together in the 1990s. Christopher Robillard of Oregon, who said he lost contact with Page more than a decade ago, added that when Page would rant, "it would be about mostly any non-white person."

Page, born on Veterans Day in 1971, joined the Army in 1992 and left the service in 1998, according to Army spokesman George Wright. Page's service was marked by "patterns of misconduct" and he received a general discharge due to "discreditable incidents," according to a Pentagon official. Robillard said Page was pushed out for showing up to formation drunk.

John Tew, manager of a Harley-Davidson motorcyle store in Fayetteville, North Carolina, told CNN he fired Page from his parts coordinator job in 2004 because Page "had a big problem with authority" and with working with women. Tew said he found an application for the Ku Klux Klan on Page's desk the day he was dismissed.

A University of Nebraska at Omaha professor told CNN's "AC360" on Tuesday evening that he knew Page while doing research on extremist groups about 10 years ago.

Page told him he started identifying with neo-Nazis during his time in the military, Pete Simi said. The former soldier told him he believed the deck was stacked against whites, Simi said, adding he believed Page drank excessively.

Two neighbors of Page identified him in photos that showed him playing in the far-right punk band "End Apathy" with Nazi flags hanging near him.

The gunman's former stepmother spoke of a very different Wade Page she once knew before losing touch with him more than a decade ago, when she and Page's father divorced.

"It's like I don't even know that person," Laura Page said of more recent photos of Page. "It is not someone I ever could possibly know or be associated with." She told CNN that the Page she knew was gentle and loving and had black and Hispanic friends.

Sikh community continues to blend in, stand out

Sunday's attack in Oak Creek occurred 16 days after a gunman killed 12 people and wounded scores at a movie theater in Aurora, Colorado.

The six victims of Sunday's attack were identified by police as five men -- Sita Singh, 41; Ranjit Singh, 49; temple president Satwant Singh Kaleka, 65; Prakash Singh, 39, and Suveg Singh, 84 -- and one woman, 41-year-old Paramjit Kaur. A wake and visitation are scheduled for Friday morning.

The wounded police officer, identified as 51-year-old Lt. Brian Murphy, also was in critical condition after suffering nine gunshot wounds, the police chief said, and had a "promising," but long, recovery ahead.

A Sikh human rights group said it would give Murphy a $10,000 reward.

Sunday's attack occurred about 10:30 a.m., when temple members were reading scriptures and cooking food in preparation for the main Sunday service and community lunch.

According to witnesses, the gunman started shooting in the parking lot, killing at least one person. He then entered the temple and continued firing, they said.

Oak Creek Mayor Stephen Scaffidi said that he spoke with Aurora's mayor to get some advice on how to cope with the tragedy.

"He gave me some pointers and some suggestions on how to not only deal with the immediate, but how we deal with the next few weeks," Scaffidi said, pointing out that the Colorado town was in its third week of coping.

"We're not going to let this define us; we'll never let it define us," Scaffidi said. "There are a lot of great people here, and we're not going to let this get in the way."

Six people were killed in a shooting rampage. Share your thoughts and remembrances.

CNN's Brian Todd, Carol Cratty, Mike Mount, Ed Payne, Scott Bronstein, Ted Rowlands, Tom Cohen, Shawn Nottingham, Susan Candiotti, Deborah Feyerick, Phil Gast and Ben Brumfield contributed to this report.

@highlight

NEW: Prayer vigil held in Oak Creek

@highlight

Wade Michael Page was not subject of FBI probe, law enforcement official says

@highlight

Police haven't found any message, writings left by Page

@highlight

Researcher says Page told him about identifying with neo-Nazis