(CNN) -- Democracy is a universal value and aspiration, unbound by region, ethnicity, culture or religion. In the last two decades, it has spread across the world in unprecedented ways.

Elections are fundamental to the ethos and principles of democracy. They provide citizens with a say in the decisions that affect them and governments with a legitimate authority to govern. When elections are credible, free and fair, they can help promote democracy, human rights and security.

But when elections are fraudulent, as we have seen in a number of countries, they can trigger political instability and even violence. This means that for democracy to fulfill its potential as a means of peacefully resolving social and political conflict, the integrity of elections is crucial.

Threats to electoral integrity are not limited to poor, divided or war-torn countries. They can be found in every democracy. Many of the countries that embraced democracy in the last 20 years now struggle to entrench democratic governance. In some long-standing democracies, citizen trust and confidence in democratic institutions have dropped precipitously.

Opinion: Politics by mob in China and Mideast

Global recession and rising inequality are putting pressure on older democracies to show that they are relevant to their citizens' concerns. The infusion of money in politics, for example, threatens to hollow out democracy.

And recent events in the Middle East and North Africa demonstrate that revolutionary transitions hold both opportunities and dangerous pitfalls.

In response to these concerns, a group of former political leaders and leading figures have come together to create the report, "Deepening Democracy," which stresses the crucial importance of integrity in elections in advancing democracy, security and development.

Elections with integrity by themselves will not build citizen trust in democracy. But they can be an important step in achieving the goal. Our report identifies five challenges for countries to overcome.

First, the need to strengthen the rule of law so that elections and the rights of voters and candidates can be protected.

Second, professional and independent national bodies should manage elections so that they are credible and the results are legitimate. I saw for myself in Kenya the catastrophic impact of the failure of the country's electoral commission to deliver these goals in the 2007 disputed presidential contest, when 1,300 people were killed and over 600,000 displaced in waves of unprecedented post-election violence. We must prevent this kind of tragedy from ever repeating.

Third, greater efforts are needed to build the institutions, processes and behaviors that are vital for genuine multi-party competition and division of power. They would bestow legitimacy on the winner, provide security for the losers, and end the "winner-takes-all" politics that discourages democratic practice.

Fourth, the integrity of elections requires political equality. The barriers that prevent voting and wider participation in political life must be removed. Too often, women, young people, minorities and other marginalized groups are not given a full opportunity to exercise their democratic rights.

Finally, unregulated money in politics undermines voters' faith in elections and confidence in democracy. Vote buying and bribery of candidates, including by organized crime, have to be prevented in both aspiring and mature democracies. And we must tackle the explosive growth in campaign expenditures that is damaging confidence in electoral equality by strengthening fears that wealth buys political influence.

These are all, of course, political challenges. But politicians cannot resolve them alone. Civil society and the media play their roles and have responsibilities as well.

Opinion: What if U.S. stops policing the world?

In addition, international funding ought to support democratic reform and electoral integrity rather than, as happened too often in the past, prop up authoritarian regimes. This entails increased efforts to prevent abuse throughout the political and electoral cycle and not just around a particular ballot.

Our report provides a strategy on a global level. Governments need to regulate political donations and spending, and require full transparency and disclosure of donations with penalties for non-compliance. Organizations that manage elections in each country must come together to create international standards of professionalism, independence and competence against which they agree to be measured.

A new transnational organization should be created to grade countries on their elections and to sound the alarm about electoral malpractice. The international community can then agree clearly on "red lines" of extreme electoral abuse, which would trigger condemnation and, if necessary, sanction.

Such a program for delivering elections with integrity -- with its emphasis on inclusion, transparency and accountability -- can promote better governance, greater security and human development.

The opinions expressed in this commentary are solely those of Kofi Annan.

@highlight

Kofi Annan: Democracy is a universal value and aspiration, unbound by region or culture

@highlight

Annan: For democracy to fulfill its potential, we must have fair and credible elections

@highlight

He says threats to democracies -- both old and new -- must be overcome

@highlight

Annan: We can grade countries on their elections and sound off alarms on electoral malpractice