Atlanta (CNN) -- The U.S. Drug Enforcement Administration confiscated a potent drug commonly used in lethal injections from a state correctional facility cache.

Georgia Department of Corrections spokeswoman Joan Heath said the department contacted the DEA about its management of sodium thiopental, a powerful sedative.

"The department requested assistance from the DEA to ensure our handling of controlled substances is in compliance," she said in a statement. "Because this is an ongoing regulatory matter, we will reserve further comment until the review is complete."

CNN did not receive a reply to an inquiry on how the correctional facility obtained the drug.

The DEA seized "a quantity" of sodium thiopental Tuesday, and is now actively investigating the matter, spokesman Chuvalo Truesdell said.

"As such, DEA is currently working with the Georgia Department of Corrections to ensure that they are in compliance with federal regulations," Truesdell said.

States that carry out lethal injections during death-row executions have historically administered a three-drug cocktail to carry out the process. Sodium thiopental is typically injected first to act as a sedative; the second drug paralyzes the inmate; the last stops the heart.

Hospira, the only domestic manufacturer of sodium thiopental, stopped producing the drug in August 2009 because of a shortage of raw materials, a company spokesman said in December.

The Illinois-based pharmaceutical company has said for years that it doesn't support the use of the sedative in lethal injections. "Sodium thiopental was only made for medical use and to improve patients' lives," Hospira spokesman Dan Rosenberg said.

The drug, sold under the name Pentothal, was intended to be made at the company's plant in Italy. But due to concerns with Italian authorities on the use of the drug in capital punishment procedures in the United States, Hospira announced in January it would stop producing sodium thiopental completely.

"Italy's intent is that we control the product all the way to the ultimate end user to prevent use in capital punishment," Hospira said in a statement.

"Based on this understanding, we cannot take the risk that we will be held liable by the Italian authorities if the product is diverted for use in capital punishment. Exposing our employees or facilities to liability is not a risk we are prepared to take."

The resulting shortage of sodium thiopental prompted 13 states to appeal to the Department of Justice in a letter early this year to question how the sedative could be obtained elsewhere, and whether the federal government would allocate some of its own supplies.

"Sodium thiopental is in very short supply worldwide and, for various reasons, essentially unavailable on the open market," the letter said. "For those jurisdictions that have the drug available, their supplies are very small -- measured in a handful of doses. The result is that many jurisdictions shortly will be unable to perform executions in cases where appeals have been exhausted and governors have signed death warrants.

"Therefore, we solicit your assistance in either identifying an appropriate source for sodium thiopental or making supplies held by the federal government available to the states," the letter said.

Some states have been substituting other chemicals. Wednesday, the Texas Department of Criminal Justice approved the use of pentobarbital on death row inmates, a powerful anesthetic more commonly used to euthanize animals. Pentobarbital is already being used by prison systems in Oklahoma and Ohio, spurring controversy.

In December, the 10th Circuit Court of Appeals allowed the substitution of sodium thiopental with pentobarbital in the execution of Oklahoma death row inmate John David Duty despite claims from his lawyers that pentobarbital was risky and unproven on humans.

The court replied in an order, "According to the record, sodium thiopental is now effectively unobtainable anywhere in the United States, thus requiring Oklahoma and other death-penalty states to revise their lethal injection protocols."

@highlight

Powerful sedative used in death-row executions now in short supply

@highlight

Illinois company stopped making sodium thiopental in 2009