(CNN) -- Libya's transition from autocratic to democratic rule will be a delicate one that will not occur overnight, observers told CNN Monday as rebel forces appeared to solidify their hold on Tripoli.

The National Transitional Council, founded months ago in the rebel stronghold of Benghazi, is likely to move to Tripoli once the capital is secured, said Mansour El-Kikhia, a Libyan scholar and dissident who is associate professor and chairman of the Department of Political Science and Geography at the University of Texas at San Antonio.

The NTC is working to minimize revenge killings, though some have already occurred, said El-Kikhia, who cited conversations earlier in the day with NTC members as his source.

"If you are put in jail by somebody and you were tortured, you're going to remember the person who kidnapped you," he said. "It's very difficult to control them."

Efforts are under way to arrest leaders of the Gadhafi regime and put them into protective custody, he said. "You find lots of hatred," he said. But, he added, "they have to be fairly tried. I assure you that the intention of the (council) is to apply the rule of law."

He said that would not be a tough sell to the Libyan people. After experiencing more than 40 years of lawlessness, "you begin to appreciate the law," he said. "There was nothing wrong with the law Gadhafi had; he just never applied it."

Asked how Libya will look in six months, he said, "Much better than it does today. ... At least you will have some law and order, you will have some accountability, constitutional frameworks, institutions that can be held accountable."

Some NTC members are already in Tripoli, said El-Kikhia, who was planning to return next month to Tripoli for what would be his first visit to the capital in 30 years.

"I'm elated," he said.

Rebels are working on a draft constitution that is based on the constitution that was in place before Gadhafi took power nearly 42 years ago, he said. Under one scenario, the NTC will continue to work for the next nine months to finish the constitution and hold elections.

An alternative also under consideration is for the council to disband and call new elections within three months to form a new government, he said.

There is concern about the NTC continuing to lead the new government during any transition because its members are self-selected and drawn largely from eastern Libya.

At least 20 senior members of the council were meeting Monday in Doha, Qatar, to plan the move to Tripoli within a few days, said Omar Turbi, a computer company executive in Laguna Beach, California, who was born in Libya and works closely with the Transitional National Council in an unofficial capacity.

The council is working to establish television and radio stations to send messages of democracy to the populace, he said.

He said the council membership was planning to increase its numbers from a few dozen to about 200 in order to more fully represent the country.

But the overall transition to a democracy will take at least two years, he said. "You cannot transition between a nondemocratic system to a reasonably accessible democratic system in less than 24 months," he said. "I think we could live with that."

He said nongovernmental organizations like the National Endowment for Democracy would prove critical to helping push the process forward.

A key element to building a civil society will be the planned creation of a committee to be composed of a chairman and 14 ministers who will establish contacts with the technocrats who have run the country under Gadhafi, he said.

"Many of them are honest, great people who know the lay of the land and what needs to be done to open airports, harbors and start communicating with the outside world, begin a process of reconciliation between tribes," he said.

He predicted that tribal rivalries will not emerge as an obstacle to democracy. "Tribes haven't really been a major issue," he said. "Almost every tribe is in the game."

It will take 18 to 20 months to create a political framework for a new government, a Britain-based coordinator for Libya's National Transitional Council said Monday.

The council's primary job is to stabilize the country and conduct temporary council elections, Guma El-Gamaty told CNN.

It will write a new constitution, and the new government will likely be made up of "Libyan nationalists," he said. It will also include technocrats -- engineers, scientists and health professionals who will work to identify the country's needs and re-establish its infrastructure.

The council "is going to run the country," Ali Suleiman Aujali, the rebel government's ambassador to the United Sates, told CNN on Monday. "Of course, they have to take care of the security of the city and, of course, our concern now is where is Gadhafi," he said, referring to longtime leader Moammar Gadhafi. "We have to find out: Where is he?"

Formed this year, the council has won recognition as Libya's legitimate government from the United States, Britain, Spain, Canada and Germany.

In a symbol of its diplomatic credibility, the Libyan Embassy in Washington reopened under the control of the council. The former Libyan ambassador under Gadhafi is back in his old role, now representing the NTC.

The council regards itself as an interim entity that intends to shepherd the change to a new government.

Its power base has been in Benghazi, in the east. It includes representatives from throughout Libya and is headed by Mustafa Abdul Jalil, its chairman and a former justice minister under Gadhafi.

The NTC has agreed to expand its membership to include "newly liberated parts" of Libya, said Esam Omeish, director of the Libyan Emergency Task Force in Washington.

It has also pledged to appoint a constitutional drafting committee, and hold legislative and presidential elections, Omeish said.

He said the council chairman foresees a 10- to 15-month transition, and said the NTC has agreed the new constitution would make Islam "a" source of legislation, not "the" source.

Omeish spoke in July in a discussion moderated by Marina Ottaway, a Libya expert at the Carnegie Endowment for International Peace.

American Libyan Council President Fadel Lamen, who spoke at the discussion, cited "key players" who would influence the transition.

He said the NTC is the "main player in the transition, and a consensus has formed around both it and the leadership of Abdul Jalil."

But Lamen said it faces challenges because it is "an umbrella group composed of a number of smaller groups with differing agendas."

If it does not evolve and become more representative, Lamen warned, the NTC could be swept aside.

Other entities likely to prove influential during the transition are councils in Benghazi, Misrata and smaller towns.

Lamen also cited a group of lawyers called Coalition of 17th of February. "They claim revolutionary legitimacy," yet their consistent challenges to the NTC could undermine the transition, he said.

He noted that Islamists, such as the Muslim Brotherhood, are a "well-organized," but small group.

"The Muslim Brothers in Libya are more traditional, closer to their Egyptian counterparts than to their more liberal Tunisian brethren," he said. "They seek an undefined moderate Islamist state with an active civil society."

Lamen also cited "older regime elements," including "technocrats of the old regime, the military, the revolution committees and professional syndicates."

Saad Djebbar, a lawyer who negotiated the release in Scotland two years ago of Abdelbaset al-Megrahi, the man convicted of blowing up a Pan-Am flight over Lockerbie, said it is vital to establish a "coalition of cultures" that would represent all regions, tribes and factions to ensure a stable Libya post-Gadhafi.

He called on the international community to facilitate that coalition because "Libyans don't have the expertise to do it."

The rebellion was aided by a campaign of airstrikes by the NATO alliance, acting under a U.N. mandate to protect civilians from government reprisals.

As rebel fighters pushed into Tripoli, NATO Secretary General Anders Fogh Rasmussen said the international community would help them usher in a new beginning.

"Now is the time to create a new Libya -- a state based on freedom, not fear; democracy, not dictatorship; the will of the many, not the whims of a few," he said Sunday in a statement. "That transition must come peacefully. It must come now. And it must be led and defined by the Libyan people."

There has been friction in the council, illustrated this month by Jalil's dismissal of the rebels' 14-member executive board.

The council acts as the opposition's "legislative branch," the State Department said in its background notes on Libya.

The council had initially appointed an executive committee, headed by Mahmoud Jibril, to oversee interim issues.

But Jalil dismissed the board after the killing late last month of the rebel government's military commander, Gen. Abdel Fattah Younis.

His death played a role in the board members' ouster, said Shamsiddin Abdulmolah, the council's media director.

Younis and two other rebels were killed after the NTC sought to question him about allegations that he or those close to him were maintaining ties to Gadhafi, Younis' supporters have said.

Jalil commissioned Jibril to move quickly to submit new names to be considered for a new board, Abdulmolah said, but no deadline was mentioned.

In July, rebel military council member Mohammad Ethish released a statement that appeared to imply that Gadhafi loyalists had something to do with Younis' killing.

A one-time general in Gadhafi's army, Younis told CNN in February that he had switched sides after Gadhafi told him he planned to bomb Benghazi -- a move he said would have killed thousands of civilians.

Steven Cook of the Council on Foreign Relations cautioned Sunday that rebels still have a "very, very long way to go."

"They're confronted with a situation where they have to build the Libyan state from the ground up," he said. "Who is going to pick up the pieces? How unified are they going to be?"

@highlight

The NTC is trying to minimize revenge killings, a Libyan dissident says

@highlight

Libya's rebel government: It will take 18 to 20 months to create a political framework

@highlight

Several entities will have influence in a post-Gadhafi world, an analyst says

@highlight

The council's chairman recently dismissed the rebels' executive board