(CNN) -- We always want answers.

NFL linebacker Jovan Belcher, 25, shot to death the mother of his child, and then shot himself in the head in the middle of the afternoon Saturday outside the team's Kansas City practice facility.

The day before, a man killed his father's live-in girlfriend and then burst into a Wyoming college classroom where his father taught and killed him, police said. The man then ended his own life.

Experts who spoke with CNN say there are about 1,500 murder-suicide incidents in the United States every year. In comparison, there were 14,612 murders in 2011, the FBI says, and 38,364 suicides in 2010, according to the Centers for Disease Control and Prevention.

The 1,500 figure is questionable, experts caution, because there are no official statistics on this kind of crime -- the FBI doesn't keep track, and police classify murders in different ways.

This lack of certainty often amplifies the frustration people feel when loved ones are wrenched from them so violently. And it makes it even tougher to understand when the violence is wrought in public.

Here's what we know from research about murder-suicides:

-- Fathers who kill their children, then themselves, are usually older than the mothers.

-- Older couples in murder-suicides are more likely to have medical illnesses.

-- Older men are more likely to kill themselves.

-- Younger couples are more likely to have a history of verbal discord.

-- Firearms are the favored weapon.

-- Victims are overwhelmingly female.

-- Estrangement is typically the biggest contributing factor.

Leaving the living to question everything

Fourteen years ago, Jamie Righter's brother was estranged from his former fiancee. The couple had trouble conceiving and were seeking fertility treatments. She had a relationship with another person and became pregnant, Righter told CNN, and her brother was incensed. Fueled by alcohol, the brother killed the ex-fiancee and then himself.

"My brother was never violent or abusive a day in his life," she said. "Nobody ever expected this. My brother was the kid next door. I have spent years trying to understand."

Righter and her mother formed the Community Awareness and Support Center in Oregon specifically for family members of people who had committed murder-suicides.

"I feel like there's nobody who is telling their story," she said. "I feel like all you do is struggling, and you go back and you go back, and what could we have seen or done? The living are faced with what is left.

"You are called 'murderer's family.' People harass. They talk. It can be very hard."

On top of the pain of that, she must also grieve the loss of her brother, whom she loved very much.

"It's been 14 years, and I still cry for what he did," she said. "My mom gets calls all the time from people who've had a murder-suicide in their family. They ask her, 'How do you continue to live?' "

It took Righter's mother several years to decide she wanted to live because she felt so guilty for what her son had done.

They lost family and friends because, Righter said, "they just couldn't deal with it, or couldn't handle watching her cry."

"We feel anger, too. We feel so much," she added. "So all we can do is tell our story, and keep telling it."

Raising alarms

Each story is different. But mental health professionals believe there are generally two types of people whose behavior could set off alarm bells as possible attackers.

One is a "middle-aged man who is recently separated or facing pending estrangement from an intimate partner and who is depressed and has access to firearms," writes Dr. Scott Eliason. "The other is an "an older male who is the primary caregiver for a spouse who is ill or debilitated, where there is a recent onset of new illness in the male, depression and access to firearms."

That's according to a study Eliason published in the Journal of the American Academy of Psychiatry and the Law.

Related: manhood, football and suicide

Sometimes, people want to kill themselves because they perceive someone has stopped loving them. The person who is perceived as withholding affection becomes a target.

"A person who is miserable about the loss of affection in their life achieves compatibility again with this person by execution," said Dr. Frank Campbell, the executive director of the Baton Rouge Crisis Intervention Center in Louisiana. He's been studying suicide for more than two decades and travels around the world to investigate suicide scenes.

"When one commits murder-suicide, they create acceptable consequences to them -- they are now with that person in a way they can control," Campbell said.

Related: Chiefs play on

Why some kill in public

Because murder-suicide statistics aren't readily available, it's not possible to be sure how many happen in public spaces, like in Kansas City and Wyoming.

But choosing a public space, or at least doing it in front of other people, is a way to make a "major statement," said Dr. Nadine Kaslow, a professor in the Department of Psychiatry and Behavioral Sciences at Emory University in Atlanta.

"Often these are impulsive acts, too," she said. "There's just no way to know what was going through someone's head."

Public murder-suicide can be an act of communication, Campbell said. It's a way of acting out frustration and pain that cannot be conveyed in another way.

And though it's typically between two people who know each other, the label murder-suicide includes mass killings, after which the killer or killers end their lives.

Experts mention infamous Columbine High School killers Eric Harris and Dylan Klebold; or Seung-Hui Cho, the college student who killed 32 others before taking his life at Virginia Tech in 2007.

There's a lot of looking in the rear-view mirror, too. The spider web of people who are affected by a murder-suicide -- friends, family, even the community that sees it in the news -- are burdened to look for hints they might have missed.

So know this: Sometimes, people contemplating suicide warn us, said Dr. Charles Raison, a CNN contributor and an associate professor of psychiatry at the University of Arizona.

"People who kill themselves often will tell someone ahead of time," he wrote for CNN after the suicide of filmmaker Tony Scott. "Any such communications should be taken with utmost seriousness, and all efforts should be made to keep the person safe and get him or her to appropriate treatment immediately."

Nearly every person affected by a murder-suicide anguishes over what they might have missed to prevent it or get someone help, Campbell said.

Joe Linta, Belcher's agent, had trouble finding words to express his feelings.

"You just ... the how and the why ... is the craziness of this," he said. "There was nothing in my relationship with him that would indicate any troubling past, anything that troubled him ..."

"Maybe he knew he had to take his own life after what he had done," the agent wondered.

"We'll never know, unfortunately."

@highlight

NEW: Woman whose brother committed murder-suicide: "You are called 'murderer's family' "

@highlight

Jovan Belcher showed no signs of a troubled past, his agent says

@highlight

People want answers after the NFL player killed his girlfriend, then himself

@highlight

Statistics are sketchy, but the U.S. has about 1,500 murder-suicides each year, experts say