(CNN) -- What does freedom mean for Barack Obama?

If you asked Sarah Palin, a Tea Partier, or a Republican member of Congress what freedom means, each would likely have a ready answer: Freedom is individual autonomy and it is closely identified with the market.

But with Obama, most Americans simply would not know his answer. In fact, the Democratic Party's leadership for decades now has been unable to articulate how its goals and policies (like universal health care) actually connect to personal liberty.

This is no doubt partly to blame for last week's election results. In America today, the language of freedom has been ceded almost entirely to the political right. Unless Democrats can offer a compelling counter-narrative, they will remain on the defensive whenever they depict government as a tool for social and economic change.

Part of what makes the conservative language of freedom so politically potent is that it resonates with a problem many Americans face. In the 21st century we are faced with increasingly massive and hierarchical institutions.

We have big business and big government, both run by a small number of highly trained professionals. Individuals feel powerless, without meaningful voice in key institutions and subject to decisions made elsewhere -- mostly behind closed doors.

The conservative response has been simple. It has been to blame government for the problem of bureaucratic growth and hierarchy. Tea Partiers hope to reverse the sense of disempowerment by dismantling state programs and deregulating the economy. They say they envision the marketplace as a site for free exchange by equals, in which commercial self-regulation enhances individual entrepreneurship.

Some liberals find it difficult to understand why this vision resonates with so many of their fellow Americans, given that it ignores the pathologies of corporate power.

What they might note, though, is that even if this conservative response is incomplete, it at least articulates the lack of control many people experience and presents freedom as a product of individual self-rule.

For precisely this reason, conservatives have been able to harness populist sentiment and to cast liberals as out of touch elites. Tea Party talk invoking the importance of "Main Street" emphasizes how it seems to them that professionals -- not ordinary Americans -- are often in political charge and how liberals seem indifferent to the scale and remoteness of modern bureaucracy.

Rather than yield the language of liberty to the right, the Democratic Party needs to provide a clear response -- if for no other reason than that the conservative approach is both backward looking, which is not helpful, and excludes many.

Given the dominance of finance capital, the idea of the unfettered marketplace as a site for individual empowerment is largely wishful thinking. Even worse, in the hands of conservatives, that marketplace is also a space for zero-sum competition, in which many are left on the outside looking in.

Some Tea Partiers, for instance, have made this circumscribed liberty even more limited by saying that only "true" Americans should benefit from its blessings. Under this view, freedom requires restrictive policies toward immigrants and other groups that they fear threaten economic prosperity or national security. For them, liberty is no longer a universal ideal to be practiced -- rather than just preached -- by Americans. Instead, liberty is a privilege of the few, one that goes hand in hand with exclusion.

In the past, social constituencies -- such as those organized by the agrarian populists in the late 19th century, the labor movement and the civil rights movement -- articulated how freedom and inclusion could be bound together.

For someone like the Rev. Martin Luther King Jr., liberty meant providing individuals with practical power over both corporate and state entities. But public action had a key role to play.

If Democrats hope to persuade Americans of the value of government programs, they must engage with the pervasive sense of disempowerment mined so fruitfully by conservatives. They need to explain why the root cause is ultimately corporate authority, not state responses.

They also must clearly explain how securing liberty rests on exerting democratic control over mammoth private companies -- by employing government to reduce the size of banks, to roll back corporate privileges and to ensure that the public has a greater say in the most important decisions.

Today those social movements that articulated this vision of freedom are largely demobilized and it rests primarily with the Democratic Party leadership to carry on their aspirations. The question is whether Obama and those around him still believe in these values, let alone are willing to defend them.

The opinions expressed in this commentary are solely those of Aziz Rana.

@highlight

Aziz Rana says GOP, Tea Party, Palin clear on defining freedom: free markets, autonomy

@highlight

Dems very bad at explaining how goals, like health reform, connect to personal liberty

@highlight

He says right's language ties populism to corporate freedoms not really in their interest

@highlight

Rana: Dems must explain link between liberty and corporate oversight, government programs