(CNN) -- A political battle is shaping up in the Garden State about whether to give gay and lesbian couples the right to wed -- a move that, if approved, would make New Jersey the seventh state in the nation to legalize same-sex marriage.

How the issue plays out was the subject of a series of political thrusts and parries this week between a Democratic-controlled state legislature and a Republican governor, who supports New Jersey's civil unions but opposes same-sex marriage.

Gov. Chris Christie, a conservative favorite once thought of as a potential presidential contender, called Tuesday for a state-wide referendum to settle the issue.

"This issue that our state's exploring, whether or not to redefine hundreds of years of societal and religious traditions, should not be decided by 121 people in the statehouse in Trenton," the governor said during a town hall meeting. "The institution of marriage is too serious to be treated like a political football."

The referendum would put the decision into the hands of residents of New Jersey, where recent polling suggests that those in favor of legalizing hold a slight majority.

It would also largely absolve Christie from making good on a pledge to veto the bill during a legislative session -- a move that analysts say may help preserve his conservative credentials, while presumably stealing a win from Democratic lawmakers who have long pushed for the measure.

A recent Quinnipiac University poll found that 52% of New Jersey voters are in favor of legalizing same-sex marriage.

But Christie's Democratic opponents argue that a referendum shouldn't be used to decide civil rights issues, pointing to historic legislative and judicial decisions regarding the rights of African Americans and women.

"We do not put civil rights questions on the ballot," Senate Majority Leader Loretta Weinberg said Tuesday. "With all due respect to my colleagues at the other side of the table, a couple of them took a cop out."

Christie's statement Tuesday also frustrated gay-rights advocates, whose spirits were buoyed a day earlier with the governor's nomination of Bruce Harris, New Jersey's first openly gay state Supreme Court justice if confirmed.

"It's abhorrent to put civil rights on the ballot," said Steven Goldstein, chairman of a gay and lesbian rights group called Garden State Equality. "They want to corrupt the political system with donor money. The kind of money that we can't raise."

The likelihood of a referendum reaching voters is uncertain given the makeup of the Democratic-controlled state legislature.

Activists, in opposing such referendums, often point to the politics of Maine and California.

In 2009, Maine state legislators passed a same-sex marriage bill that drew subsequent challenges by opponents who pushed for a referendum that ultimately overturned the law with 53% of the vote.

Still, gay rights advocates in Maine this week garnered thousands of signatures in an effort to force a second referendum in November.

In California, a 2008 public vote outlawed gay and lesbian couples' right to wed.

Two years later, a federal district court overturned the voter-approved measure known as Proposition 8, saying couples were unfairly denied their rights. The ban has remained in place during the appeals process and could soon get a ruling from the U.S. Supreme Court.

Similar battles have also unfolded in Maryland and Washington state, where same-sex marriage opponents have pressed for referendums to counter bills that appear to enjoy growing support in their state houses.

Earlier this week, Mary Margaret Haugen -- once considered the holdout vote in Washington's 49-member Senate, said she would step in as the crucial 25th vote in order to pass the marriage bill.

Supporters say the legislation already has a majority behind it in the state House of Representatives, and Washington's Democratic Gov. Christine Gregoire pledged to sign the bill if passed.

But opponents told the Senate Government Operations Committee that they aren't done fighting. Joseph Backholm, director of the Family Policy Institute of Washington, said the issue should be put to a public vote.

"If we as a state are going to take the position that mothers and fathers are interchangeable and replaceable, if we are going to send a message to fathers and potential fathers in this state that it isn't important to be in the lives of their children because dads specifically don't matter, that is something we should all do together," he said.

In June, New York Gov. Andrew Cuomo signed into law a bill that made his state the sixth to legalize same-sex marriage, more than doubling the number of Americans living in places that permit such unions.

Five other states -- Massachusetts, Connecticut, Iowa, Vermont and New Hampshire -- and the District of Columbia currently grant same-sex marriage licenses.

With Hawaii and Delaware joining the list earlier this month, five other states now recognize civil unions, according to the National Conference of State Legislatures.

New Jersey, Illinois and Rhode Island also recognize civil unions providing state-level spousal rights to same-sex couples.

CNN's Kristina Sgueglia contributed to this report

@highlight

Gov. Chris Christie has called for a referendum to settle the same-sex marriage issue

@highlight

Gay rights advocates argue that such issues shouldn't go to a public vote

@highlight

A recent poll found that 52% of New Jersey voters are in favor of legalizing same-sex marriage

@highlight

Six states and the District of Columbia currently grant same-sex marriage licenses