(CNN) -- Several weeks ago, President Obama announced that $8 billion in government-loan guarantees would be made available to Southern Co. to begin construction of two nuclear reactors in Georgia.

If built, it would be the first nuclear power plant constructed in the United States in almost 30 years. More importantly, this would be the first of what is expected to be many such projects initiated in coming years.

I am a big believer in the necessity for energy independence. I accept that we will all have to make some compromises in achieving that goal. I am willing to consider that nuclear power may have to be one piece of the plan we put together for how to break ourselves free from our dependence on foreign oil.

I would submit, however, that before we start building reactors we need to address another urgent matter. We need to make current reactors secure.

Roughly 18 months ago I started work on a project that ultimately lead to the writing of my recently published book, "Willful Neglect," on homeland security in the United States.

I examined security at a wide range of potential targets inside the United States, including chemical plants, liquefied natural gas facilities, biological research laboratories and nuclear power plants.

This was not a theoretical study. I did my homework up front, but after that, I went out on the street and I did what my 20 years in the CIA had trained me to do. I looked at all these targets in the same way as an adversary would. What I found was deeply disturbing. Eight years after 9/11, we had done little or nothing to enhance security in most areas.

Nuclear power plants were no exception.

Security at nuclear power plants is in the hands of private security companies hired to protect the facilities by the power companies that own them.

Before 9/11, the Nuclear Regulatory Commission mandated that there would be five to 10 private security guards on duty at each site per shift. After 9/11 that number was increased. On average, there are now a total of 20 such security personnel on duty at any one time to guard a nuclear power plant. That is 20 individuals to secure the entire perimeter and interior of what may be a vast facility.

These guards are grossly underpaid. In many cases, they make less than the janitors at the facilities in question. They train with their weapons no more than two to three times a year. Some of them are prior military and have combat experience.

Many others are hired off the street and given less than a week's worth of training before they begin to stand post. Much of that week of training is consumed with administrative matters, which have nothing to do with learning how to repel a terrorist attack.

Morale among the guards at nuclear power plants is chronically low. I was told by many individuals during my research that it was common to hear discussions among guards about where they would hide if there were an attack.

These guard forces are typically trained to respond to a limited number of scenarios. These scenarios are always designed around attacks by very small numbers and are artificially constrained so as to not allow these attackers to use many weapons, such as rocket launchers and machine guns, commonly in use by terrorist groups today. Even so, the guard forces are defeated at least half the time.

These deficiencies have been pointed out for years by any number of watchdog organizations. Likewise, detailed recommendations have been put forth regarding how to improve the situation and increase the size and ability of power plant guard forces.

These include requiring them to demonstrate the capacity to repel attacks by teams of terrorists using the weapons and tactics commonly in use around the world today. These have been largely ignored.

An interest in nuclear power plants by al Qaeda or another terrorist group is not theoretical. Among the targets considered for the 9/11 attacks were nuclear power plants.

Yemeni security forces recently captured a suspected member of al Qaeda, a New Jersey native named Sharif Mobley. Between 2002 and 2008, he worked at several U.S. nuclear power plants. It does not take a counterterrorism expert to imagine what al Qaeda might be able to do with the knowledge supplied by an individual who had spent the better part of six years inside nuclear facilities.

The stakes here are enormous. A team of terrorists, which was able to seize control of a nuclear power plant, could cause it to melt down with relatively basic knowledge of the plant's operation.

A full-scale meltdown of a major reactor would be catastrophic. Such an incident at the Indian Point Plant in New York state, for instance, would likely render large parts of the metropolitan New York City area uninhabitable for decades and likely kill tens of thousands.

We have neglected this issue for too long. It needs to be addressed, and the decision to push the building of reactors simply adds urgency. Before we move ahead with any new nuclear power plants, let's attend to unfinished business and fix security at the ones we have.

The opinions expressed in this commentary are solely those of Charles S. Faddis.

@highlight

Obama administration is backing expansion of nuclear power

@highlight

Charles Faddis says U.S. should first make existing plants secure

@highlight

He says security forces aren't well-trained or numerous enough to counter threats

@highlight

Faddis: A terrorist attack at a nuclear plant could have dire consequences