(WIRED)Here on Earth, it's easy to take things for granted. Drinking a cup of coffee, for example, is a shockingly simple act when you're affected by gravity, yet it's infinitely more difficult once you leave Earth's atmosphere.

In space you don't sip, you suck, from a bag. That's a good thing. The typical coffee cup simply doesn't work in low gravity, unless you want scalding hot liquid floating through the air.

It takes a special vessel to get liquid from an open container into an astronaut's mouth.

It also takes a helluva lot of science, as seen by the cup designed by Portland State University researchers. For the past year, scientists there have been developing a mug designed specifically to allow astronauts to sip on espresso (or other warm and frothy drinks) in low-gravity environments.

The cup's shape is odd—a little like a plastic baby boot—and was determined by mathematical models.

Every curve and geometric shape is designed to encourage the controlled movement of liquid. You'll notice a pointed corner in the center of the cup; this strange bit of design is what makes it possible to drink liquids in low gravity. The corner essentially acts like a wick, using surface tension to guide liquid toward your mouth.

12 Most Ancient and Magnificent Trees From Around the World

As soon as an astronaut touches her mouth to the lip of the cup, a capillary connection is formed and the liquid travels up the vessel and forms sippable balls of coffee.

It sounds simple enough, but designing a cup for space requires a deep understanding of how fluids move in low gravity. "We're geeks, and we make spacecraft fluid systems," says Mark Weislogel, a professor of mechanical and mechanical engineering who is leading the research. "It's like space plumbing."

On a day to day basis, this means Weislogel and his team solve problems like how to get rocket fuel to move on its own, or how to process urine using a device that has no moving parts.

It turns out that all the data gleaned from capillary flow experiments aboard the International Space Station also is relevant in designing a low-gravity espresso cup.

What Cities Would Look Like if Lit Only by the Stars

The project an evolution of Don Petit's low-gravity cup, which he designed on the ISS in 2008 as a means of drinking coffee in something approaching a normal fashion.

It used the same principles employed by the espresso cup—an sharp interior corner angle that draws liquid upward—but was far less sustainable and scalable at that point.

The Portland team began working on the problem after Italy announced it would send an espresso machine to the International Space Station later this year. No respectable espresso-drinking astronaut wants to sip brew out of a bag.

The pleasure of drinking espresso comes from the inhaling the aroma and sipping the crema, the frothy, oily bubbles that sit at the top of your glass. That can't happen when you're drinking from plastic bags.

In a field where efficiency is priced above comfort, it's fair to ask: Who really needs an open-top cup? But a reusable cup like this could actually be a boon for astronauts, especially now that the ISS has a 3-D printer on board.

21 Awesomely Well-Designed Products We're Dying to Own

Once refined, Weislogel believes a design like this could save valuable volume and weight on a spacecraft destined for a long haul.

That won't be for a while. The cups are still in the testing stage, and they cost $500 to 3-D print in the transparent plastic.

That's not exactly cheap, but Weislogel believes it's a relatively small price to pay when testing the same fluidic system theories would cost millions to test on rocket engines (he suspects they'll spend $100,000 before testing on the cup is complete). "It's a fast way to get a bunch of engineering and science data," he says. "Also it's fun."

Read more from WIRED:

6 Biggest Security Threats We'll Face in 2015

15 Incredible Photos That'll Remind You to Be Awed by Planet Earth

See the World's Greatest Stolen Artworks in This Virtual-Reality Museum

Copyright 2014 Wired.com

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2015 Wired.com.

@highlight

Researchers have 3D-printed a plastic cup that allows astronauts to drink coffee in space

@highlight

Because of low gravity, fluids can't be easily drank from open top containers when in orbit

@highlight

The project is designed to test fluidic system theories at a fraction of the cost of traditional methods