(CNN) -- In the rearview mirror of history, the Nixon administration can look monstrous. It features a brilliant but insecure and almost constantly cursing chief executive who ruined a landslide 49-state re-election with a corrupt cover-up of a burglary ordered from within the White House.

But what's often forgotten is that Richard Nixon presided over a first term of surprisingly unifying and effective governance amid a time of deep cultural divides -- and that people went to work for him, at the hinge of the 1960s and '70s, with a genuine sense of idealism.

CNN Films' brilliant new documentary "Our Nixon" offers a firsthand look at the Nixon years from the vantage of his inner circle. The behind-the-scenes footage literally comes from the FBI vaults -- more than 500 reels of Super 8 home movies seized from key aides Bob Haldeman, John Ehrlichman and Dwight Chapin before they went to prison for involvement in Watergate. Forty years later, the footage has been rescued from obscurity by filmmaker Penny Lane and edited in a witty way that transports the viewer back to the Nixon era. It is a surreal and illuminating experience.

I was born in 1973, the day before Nixon's second inauguration. "Our Nixon" offers a glimpse into an America on the periphery of my experience, awkwardly caught in between the crew cuts of the Nixon White House and the longhairs protesting on the Washington Mall.

Opinion: The inner demons that drove Nixon

The biggest revelation is Nixon himself, shown in his prime at the film's outset -- tan, tested and ready, confidently meeting with world leaders at a time of maximum American power. This was a man in full before his fall, starting the Environmental Protection Agency, opening relations with Red China and ending U.S. involvement in the war in Vietnam.

Against this heady backdrop, Haldeman, Ehrlichman and Chapin come across as idealistic and almost giddy with the trappings of power. In the opening credits, the documentary shows Haldeman, Nixon's chief of staff, grinning widely and goofing for the camera over the ironic soundtrack of Tracey Ullman's "They Don't Know."

Domestic policy adviser Ehrlichman comes across as intelligent and initially independent. Special assistant Chapin looks like a J. Crew model moonlighting in midcentury government, earnestly pronouncing that "I never laughed as much as when I was in the Nixon White House." They are finally the stars of their own home movies.

But the old axiom that power corrupts quickly becomes apparent as we see and hear (courtesy of the infamous secret taping device) the Nixon aides jockeying for influence and sliding into self-serving group think.

At one point, Nixon is caught complaining about an episode of "All in the Family" -- a cultural phenomenon he needs explained to him by Haldeman -- and we are treated to this unvarnished Oval Office diatribe. "Aristotle was a homo. We all know that. So was Socrates," Nixon grumbles. "The last six Roman emperors were fags. ... You see, homosexuality, dope, immorality in general, these are the enemies of strong societies. That's why the communists and left-wingers are pushing the stuff. They're trying to destroy us."

Ehrlichman then joins the presidential pile-on and proclaims the dynamic "fatal liberality ... a different set of values that has been induced." This is evidence of the impulse to encourage a boss' worst instincts to curry favor.

That instinct ultimately led to the solicitation of the Watergate break-in and other fatal misadventures -- all unnecessary, given Nixon's 1972 landslide mandate. And so slowly the noose tightens around the Nixon inner circle.

Opinion: Four lessons from Nixon's failed presidency

Chapin, the last living member of the troika, becomes the first to get thrown under the bus and sent to prison. Nixon is caught on tape trying to claim plausible deniability about the break-ins in a conversation with Ehrlichman, trying to prompt his aide to give him absolution.

But under fire Ehrlichman won't play ball. "I should have been told about that, shouldn't I?" Nixon asks in a leading question reflecting his legal training. "Well, I'm not so sure you that you weren't. My recollection is that this was discussed with you," Ehrlichman replies. At which point Nixon starts nervously stammering and saying, "My God."

Ultimately, Nixon reluctantly requests the resignation of his right-hand men, Haldeman and Ehrlichman, in an attempt to cut out the cancer of scandal afflicting his administration. In perhaps the most raw Nixon moment caught on tape, the president asks Haldeman if he did all right by him after announcing his resignation on national television. "I'm never going to discuss this sonofabitching Watergate thing again," Nixon says, softly slurring his words, "but let me say that you're a strong man and I love you."

The sum total of the film is humanizing to Nixon and the men who surrounded him, capturing the surrealism of life in the White House bubble. These men aren't monsters, however disastrous and devious their actions in the Oval Office ultimately proved to be. "Our Nixon" won't satisfy the Nixon haters, of whom there are still many, but it is bracing, engaging history. It accurately reflects the long ago reality of this pivotal failed administration.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Documentary looks at Nixon White House from vantage of inner circle

@highlight

He says it shows John Ehrlichman, Bob Haldeman as idealistic aides in early Nixon era

@highlight

He says it also shows Nixon's crass viewpoints and aide's sycophancy

@highlight

Avlon: Film humanizes Nixon, captures surrealism of life in White House bubble