(LonelyPlanet.com) -- Despite the fact that it seems to be in the news almost every day of the week, China -- impossibly vast and fascinatingly diverse -- remains a travel destination with an unquestionable mystique. As exciting as that sounds, it also makes travelling to China for the first time an incredibly daunting prospect. To help you venture into the unknown, here's our first-timer's guide to the most populated land on the planet.

LonelyPlanet.com: A tasty tour of China

1. Break the language barrier

The number one hurdle to overcome when travelling around China is the language barrier. Even today, with Chinese children learning English from primary school onwards, it's a barrier that can be almost completely impenetrable at times.

It's always advisable to try to learn a few words and phrases before you visit far-flung lands, but in China it's almost essential. Try to enroll in Mandarin classes before you go (Mandarin Chinese is the default language in almost every part of China), or try to teach yourself some of the basics -- the BBC website has a decent introduction to learning Chinese.

Then, when you leave for China, be sure to bring with you one or more of the following:

-Mandarin Chinese phrasebook - Lonely Planet and other guidebook publishers offer them.

-English-to-Chinese and Chinese-to-English pocket dictionary - I found the Oxford version very easy to use when I was a beginner.

-Translator apps - Google Translate is free and includes an impressively accurate speak-your-phrase voice translator. The Lonely Planet Chinese Translator app is similar but has the advantage of being entirely offline with a dictionary tailored to the needs of travelers.

Regardless of all of the above, one thing you should always do when traveling around China is carry with you Chinese-language business cards of your hotel or of places you wish to visit so you can show passers-by, taxi drivers, bus conductors and the like.

2. Focus your itinerary

China is massive. Really, it's unbelievably large. It contains the world's highest mountains, some of the world's largest deserts, remote jungles, seemingly endless grasslands, and, of course, many of the world's largest cities. You would need months and months of traveling to even begin to do it justice.

So, rather than skimming the surface of the whole country on your first trip, choose one region, or even just one province, and explore it properly. Do some preliminary research to get a basic sense of each region. Still unsure? Here's my top three:

-Sichuan: One province; three regions. Stay in the center or the south for steamy bamboo forests and cute Ming-Dynasty villages. Head north for stunning lakes set among alpine-esque mountain scenery. Venture west for remote Tibetan-plateau grasslands.

-Guangxi: Picture-perfect rice terraces and otherworldly karst peaks dominate a lush, almost jungle-like landscape which is perfect for hiking, cycling and river trips.

-Beijing: Don't just fly here, stay here. Beijing packs in more world-class sites than many whole countries are able to offer: The Great Wall, Tiananmen Square, the Forbidden City, the Summer Palace, ancient hutong alleyways, majestic imperial parks...the list goes on and on.

3. Check the weather

At any time of the year there are places in China that enjoy ideal weather for travel, but almost nowhere is weather-perfect all year round. So to ensure your first trip to China doesn't become a wind-beaten blowout, an energy-sapping sun-scorcher or just a damp squib, get on top of where's hot and where's not in the month you're planning to travel.

Generally speaking spring and autumn are the most comfortable seasons, although not in all provinces, and in many parts of China spring and autumn are no more than a few weeks long. For starters, check out this China weather rundown.

LonelyPlanet.com: Top 10 works of engineering genius

4. Use public transport

Ditch the taxis and the airplanes and hop on buses, bikes and trains to see China how the locals see it. Sure, it's easier flying from city to city, and then taking a taxi around each one once you're there. But where's the fun in it?

China's public transport systems are already extensive, and getting bigger and better every year and many towns and cities are well set up for cycling -- cycle lanes abound in Beijing, for instance.

And don't worry about getting lost. Chinese people in general are extremely friendly, helpful and honest, especially to foreigners who can't speak Chinese, so there will always be a local on hand to put you back on track if you lose your way.

5. Eat, eat and then eat some more

China has many wonderful features but arguably its standout attraction is its food. Cuisine varies tremendously from region to region -- even breakfast time can be an assault on the senses -- so try as much of it as you can. And don't listen to anyone who tells you to avoid the street food. It's often the best part of a city's culinary experience.

One final food tip from my aunt, who recently visited China for the first time: If you're not used to using chopsticks, ditch the white T-shirts and pack more dark-colored tops. Noodle-slurping stains are an unavoidable nuisance for most China first-timers, and asking for a knife and fork in a restaurant over here...well, that's just cheating.

LonelyPlanet.com: Classic train journeys of the world

© 2011 Lonely Planet. All rights reserved.

@highlight

Try to learn a few phrases in Mandarin and pack some language aids

@highlight

Choose one region, or even just one province, and explore it properly

@highlight

Chinese people are friendly and helpful, especially to foreigners who can't speak Chinese