Jersey City, New Jersey (CNN) -- It all began simply: A hand-scrawled sign on a lamp post that read, "Want to volunteer? Meet at City Hall at noon."

Then there was the Facebook page, which cobbled together 19 like-minded friends interested in helping victims of a unique weather system that meteorologists later dubbed Superstorm Sandy.

"Our initial idea was that people would find each other on this page and solve each other's problems," said Tiby Kantrowitz, a Jersey City resident who helped organize the effort.

And then it grew.

"From 19 people it turned into 50 in about an hour-and-a-half," she said.

Now, hundreds buzz in and out of a historic downtown mansion in Jersey City, where a neighboring church donated the building to be used as the group's improvised headquarters.

First Irene now Sandy

Born out of what many described as a scarcity of local information and services in the storm's immediate aftermath, the Barrow Mansion is now a hive of volunteer activity that federal agencies like FEMA have looked to for partners.

"We all came together and joined our efforts," said Candice Osborne, a local resident who helped organize relief after Sandy's October 29 landfall.

Coordinated virtually all by social media, the once fledgling effort has burgeoned into a full-scale relief operation that delivers more than 250 meals per day, as well as clothing and cleaning supplies to storm-battered residents. The group also cleans out flood-soaked apartments, while dispatching scout teams to check on the elderly and disabled.

"It's been pretty incredible," said Osborne.

Finding joy among the wreckage: Family photos returned post-Sandy

Pulling an iPhone from her pocket, she then thumbed across its cracked screen and opened a Facebook app to give a sense of how the delivery process works.

A request flashed on screen.

Holed up in his stormed-battered home, a Facebook user had asked for dog food and towels "from the volunteer network you are coordinating, if that is possible."

"On it!" Osborne replied, dispatching volunteers to the man's address, while tallying the appeal and recording her volunteers' names in the group's growing database.

Moments later, he wrote again.

"I don't know how to thank you. 10 minutes after my request, I had what I need. An almost magical effort."

General Honore on Sandy recovery

With government agencies stretched thin to reach those still reeling in Sandy's aftermath, a patchwork of volunteer efforts like those in Jersey City have cropped up in storm-affected communities across the Tri-State area.

Forged quickly and often with little formal structure, neighborhood groups -- like the Barrow Mansion volunteers -- often prove especially effective by way of their numbers, energy and local knowledge. And at times, they offer victims their only reprieve in disaster-stricken communities.

"It's just one those beautiful heartbreaks," said nurse Katie Vacante, referring to how neighbors help each other in the wake of the crisis.

Map: Images of destruction, recovery on the East Coast

Bounding up stairs to deliver food in local apartment buildings, Irene Barnaby shares that very sentiment.

Power outages hobbled elevators across Jersey City, stranding the elderly and disabled as utility companies scrambled to restore power, making volunteer deliveries of food, water and blankets critical in those first days.

"Our first delivery was on the 17th floor," said the 31-year-old real estate agent.

Nine floors down, a wheelchair-bound woman named Vincencia Geiss braved the cold in her powerless apartment for about a week

"No heat. No hot water. Nothing," she said. "If I had to go down (the stairs), they'd have to carry me down. And I wasn't about to be carried."

Risks of rebuilding after Sandy

The Barrow Mansion volunteers sent a nurse the following day. Though food supplies are a recurring concern.

"When we run out (of food), we go on Facebook and say 'We have an immediate need,' and within an hour we get food," said volunteer Yren Berry.

Last week, the group received a star-powered dose of support when members of the U.S. Women's Olympic Gymnastics team swung by to pitch in and donate supplies.

"Until you're actually here helping people find sweaters and pants ... you don't realize how big of a deal it is," said Nastia Liukin, a gold medalist in the 2008 Olympics.

Liukin -- who has more than 190,000 followers on Twitter -- then took to the micro-blogging site, asking people to send "canned food, bread and non perishable foods to 83 Wayne St" in Jersey City to support the relief effort.

"Hopefully if at least one of those followers came and donated that would do something," she said.

Larger organizations like FEMA and the Red Cross have also taken note.

Trying to keep the family business afloat after Sandy

"We are working closely with these volunteer agencies," said Alberto Pillot, a FEMA spokesman who encouraged residents to register online for disaster assistance and contact their insurance providers.

"But housing issues are going to be the problem in the long run," he said.

Faced with a lack of physical space for FEMA trailers and limited access to available rental apartments and hotels, the agency says it's now bent on making flood-soaked homes inhabitable as the winter weather moves in.

That "keep-'em-in-their-homes" strategy likely means that the man-power behind volunteer efforts will continue to be needed as temperatures drop.

Yet as national interest wanes and volunteers return to their own jobs and families, the resolve of relief efforts in places like Jersey City will likely be tested.

As of Tuesday, more than 18,000 homes were still in the dark across the region.

How you can help Sandy victims

@highlight

Hundreds of volunteers buzz in and out of a historic downtown mansion in Jersey City

@highlight

Government agencies are stretched to reach those still reeling in Sandy's aftermath

@highlight

Volunteer efforts have cropped up in storm-battered communities