(CNN) -- With the selection of Cardinal Jorge Maria Bergoglio, who will be known as Pope Francis, the cardinals have sent a signal to the Church about how Catholics should live in the world.

Bergoglio is known to be a good administrator. But he lives very simply in a small apartment and rides a bus. He's well known for his engagement in issues of social justice and in defense of the poor. Indeed, the very name Francis honors St. Francis of Assisi, a person of humility and deep caring. If he is anything like his namesake then this selection is good news indeed.

And now that he has been named pope, Francis will face a raft of advice. Some will call for improved administration, finding a way to draw new Catholics into the church where it is in decline, and increasing engagement with other faith traditions.

Opinion: The biggest moment in the world

Other pundits were thinking in grand terms. Among the progressives, some believe the church should adopt a bold revolution, with new acceptance of women priests, homosexuality, etc.

The Cubs have a greater chance of winning a World Series. Change on controversial issues, if it happens at all, will be slow and incremental, since the church is bound by the requirements of tradition and precedent.

From the traditional side of Catholicism, expressed in a Wall Street Journal column by George Weigel, hope was for a pope who will be "a charismatic, missionary culture warrior, challenging the world's democracies to rebuild their moral foundations."

The problem here is that in the United States many of the troops are not following the generals. For example, 90% of Catholics are using contraception and 82% think it is morally permissible. Moreover, many American Catholics are more devoted to liberal and conservative political positions than the teachings of the church.

This poses a serious problem. The church has conservative positions on human sexuality, bioethics, etc., but liberal positions on issues such as economic regulation, the death penalty and immigration. A church divided against itself seems unlikely to renew our political or cultural structures.

News: Cardinals elect first pope from Latin America

So, in lieu of grand but seemingly unworkable schemes, I would suggest a much more modest but doable set of proposals to address a spiritual crisis of declining confidence in the institutional church. In a recent Pew Foundation survey of Catholics in the United States, almost half listed the issues needing to be addressed in the church as the priest sex abuse scandal and a loss of trust.

What can the church do to resolve the trust problem? Why not begin a transparency and empowerment offensive? Transparency could be improved by placing in the Vatican Catholic lay experts in charge of the priest abuse investigations. Trust will not be restored by clerics investigating and judging clerics. We end up with Cardinal Bernard Law, who moved and protected pedophile priests, being granted a position of honor in Rome.

These kinds of decisions have seriously eroded trust in the pews. In the United States, the Catholic Church finally awakened and began a process of lay review. A female judge and lay investigators restored a degree of trust. Bring this model to Rome.

Opinion: Pope Francis, humble, authentic and credible

Eliminating the Vatican Bank, a source of scandals for many decades, would increase transparency and institutional focus. The church is better with the deposit of faith than the faith of deposits. Turn the funds over to reliable banks subject to international regulatory requirements.

Resolving these transparency issues is based in part on empowering the laity for a greater role. And there are other empowerment possibilities. The church could allow more flexibility to local bishops and parishes, who can respond creatively to local conditions. In a global church, this will assist effective evangelization.

And why not have women deacons? This would add more personnel for critical church functions in locations without sufficient priests. It would ensure greater access to the sacraments and bring an often-alienated constituency into a critical role offering new gifts to the administration of the church. Another role for women could be an advisory board to the pontiff on the role of women and women's issues in the church.

These proposals for transparency and empowerment are realistic ways to restore faith, hope and charity in the administration of the church. They would allow the church to pursue its spiritual mission more effectively and more fully use the gifts of its female members. These proposals can succeed because they will not require a radical change in theology, tradition or canon law. They require no major shift in doctrine.

I have one final suggestion to restore hope and trust. The church, starting with the example of Pope Francis, must embody the virtue of humility. It must listen as well as preach.

Consider also the example of Cardinal Luis Antonio Tagle of the Philippines, who does not own a car and eats with workers. His words match his humble lifestyle. He has said, "(You) may be saying the right things but people will not listen if the manner by which you communicate reminds them of a triumphalistic, know-it-all institution." Amen.

The opinions expressed in this commentary are solely those of Phillip M. Thomson.

@highlight

Phillip Thompson: The new pope will be getting much advice

@highlight

He says the pope should build trust, introduce new transparency on range of issues

@highlight

He says put lay experts in charge of sex abuse probe, eliminate Vatican Bank

@highlight

Thompson: Church should empower laity, especially women, and restore faith, hope