(CNN) -- One congressman says it's "shocking" how the Obama administration is now using the Patriot Act. But a senator says the secret court order for American phone records is "lawful."

The Patriot Act, the landmark law born out of the September 11, 2001, terror attacks, is at the center of an emerging controversy Thursday over how the Obama administration obtained a secret court order for phone records from the Verizon Business Network Service from April to July this year.

The administration is accused of making a secret interpretation and going too far in that interpretation of the anti-terrorism law, specifically a portion called Section 215.

Experts wonder whether the revelation of the secret order will prompt a public outcry and Congressional hearings. And a digital civil liberties lawyer argues the government can no longer claim state secrecy privileges in federal lawsuits seeking to shut down domestic surveillance programs.

Even before this week's Verizon controversy, privacy advocates had long criticized Section 215 as vastly expanding the FBI's power to spy on Americans.

The USA Patriot Act (pdf)

The Verizon case apparently marks a difference between Presidents Barack Obama and George W. Bush in obtaining phone records, according to Tyler Newby, a former federal computer crime prosecutor under both administrations.

The Bush administration also collected phone logs -- the same sort of "metadata" that the Obama administration is gathering from Verizon -- and even conducted wiretaps, but it did so without getting a court order.

Now the Obama administration is invoking the Patriot Act's Section 215 -- as well as the Foreign Intelligence Surveillance Act -- as the basis for a secret court order demanding Verizon records that show originating and terminating phone numbers, their location, time and duration. The FISA court's proceedings, held in Washington, are secret.

"It's pretty broad authority that Section 215 gives the FBI," said Newby, who worked in the U.S. Justice Department between 2007 and early 2011.

"It's important to note that this order does not permit the collection of the content of communications, so it's not a wiretap," said Newby, who now works for a Silicon Valley-based law firm that represents Facebook, Google and other companies.

"That's important because if you're collecting content, then there is a privacy interest of individuals," Newby said Thursday. "With these business records -- what the government is calling telephony metadata -- there is not the same expectation of privacy.

"Presumably this is going into a large and sophisticated data-mining database, looking for patterns and call activities" relating to terrorism, Newby added.

One legal scholar wonders if the Verizon case will provoke a groundswell of outrage.

"Now they have taken the calls of every single citizen from Verizon," said Jonathan Turley, a law professor at George Washington University. "At what point do citizens stand up and say this is the tipping point? We're getting toward authoritarian power.

"The problem is, every administration, every politician will say we're getting something from this," Turley said. "You can make that argument to remove all civil liberties."

The revelation of the court order could help plaintiffs and their attorneys such as the Electronic Frontier Foundation in their federal lawsuits seeking to shut down government domestic surveillance programs.

With the revelation of the surveillance of Verizon, the government can no longer argue state secrecy privileges in those lawsuits, said Mark Rumold, staff attorney at the foundation, a digital civil liberties organization.

"The cat is out of the bag now, or they will have a difficult time convincing a judge that this information is still secret," Rumold said.

About the secret court order against Verizon, Rumold said: "I don't know of any single other publicly disclosed order in the history of the United States that could have had the far-reaching effect that this one has. We're probably talking about millions of people.

"There's no question in my mind that this type of order is illegal," Rumold said, adding that Congress ought to hold hearings on the Verizon case.

The secret court order also is drawing strong criticism from within Obama's Democratic Party.

Former Vice President Al Gore wrote on Twitter: "Is it just me, or is secret blanket surveillance obscenely outrageous?"

Added Sen. Mark Udall, D-Colorado, who serves on the Senate Intelligence Committee: "While I cannot corroborate the details of this particular report, this sort of wide-scale surveillance should concern all of us and is the kind of government overreach I've said Americans would find shocking."

Udall and Sen. Ron Wyden, D-Oregon, who also serves on the Intelligence Committee, accused Attorney General Eric Holder in a letter last year of making "secret interpretations of public laws."

"We believe most Americans would be stunned to learn the details of how these secret court opinions have interpreted section 215 of the Patriot Act," which deals with "business records," they wrote.

But Sen. Dianne Feinstein, D-California, described the FISA court order as "the exact three-month renewal of what has been the case for the past seven years."

"This renewal is carried out by the FISA court under the business records section of the Patriot Act. Therefore it is lawful. It has been briefed to Congress," Feinstein said. "Terrorists will come after us if they can, and the only thing that we have to deter this is good intelligence to understand that a plot has been hatched and to get there before they get to us."

Many analysts cited how federal surveillance of phone records could prove useful.

"Think of the Boston Marathon bombings," said Fran Townsend, a CNN contributor and former Homeland Security adviser to President George W. Bush.

Phone records could have proved valuable in tracking the suspects in that terror attack, Townsend said.

"What numbers were they calling? Who were their associates? You may find witnesses," Townsend said.

Sen. Saxby Chambliss of Georgia, the Intelligence Committee's ranking Republican, said the surveillance is nothing new. The gathering of phone records "has proved meritorious because we have gathered significant information on bad guys and only on bad guys over the years," he said.

@highlight

NEW: "At what point do citizens stand up and say this is the tipping point?" professor asks

@highlight

NEW: There's been no "single other publicly disclosed order" with such far-reaching effects

@highlight

The Obama administration is accused of going too far in using the Patriot Act

@highlight

Section 215 in the law gives FBI "pretty broad authority," former U.S. prosecutor says