Washington (CNN) -- In the bitter political debate over health care reform two years ago, one of the most contentious issues was a proposed advisory board that would recommend how to achieve needed but as-yet-unreachable Medicare savings.

Opponents dubbed the Independent Payment Advisory Board (IPAB) a "death panel" that would ration medical coverage for senior citizens based on cost and effectiveness, rather than decisions reached between patient and doctor.

Supporters called such rhetoric overheated and misleading, arguing the advisory board was necessary to motivate a reluctant health care industry to adopt cost-cutting reforms that Congress had proven unwilling or unable to impose.

Now the House will consider repealing the advisory board provision this week in an election-year move that rekindles the fiery emotions of the health care fight back in 2009 and 2010.

While the repeal effort is expected to eventually fall short, it gives opponents of health care reform a rallying point for their continued efforts to undermine the 2010 law. Some of the rhetoric from two years earlier has re-emerged, such as warnings of a government takeover of health care.

"What we oppose is the president deciding who gets what," Rep. Tom Price, R-Georgia, told a news conference Wednesday.

Earlier this week, Republican Rep. Scott DesJarlais of Tennessee told reporters that the IPAB panel was "designed to put a Washington bureaucrat between the patient and their doctor."

That's not the intent or the reality of the advisory board, insisted Dr. Donald Berwick, the former administrator of the federal Centers for Medicare and Medicaid Services. For example, the law targeted by the repeal effort specifically forbids the advisory board from rationing health care to reduce spending.

"We're in a very polarized era. It's hard to have rational conversations with people" on the issue, Berwick told CNN.

Paul Van de Water, a senior fellow at the Center on Budget and Policy Priorities, said this week that "charges that the board is going to be able to deny people care are just flat out wrong."

"The law makes every effort to restrict the board so that it can't do that," Van de Water said. "And in fact, if anything, the charge is the opposite of the truth."

The 15-member IPAB board would comprise independent experts to recommend Medicare cost reductions starting in 2015 if Congress and the health care industry and insurers fail to agree on $300 billion in savings called for in the health care reform law.

Designed as a nonpolitical solution in the event of legislative stalemate, the panel's recommendations do not require congressional approval but can be offset by Congress. Some critics, including Democrats who back health care reform, cite the independent board's relative autonomy as a reason for eliminating it.

In addition, Republican sponsors have added long-desired tort reform provisions against frivolous lawsuits to offset the cost of eliminating the panel intended to bring Medicare savings. However, the legal lobby and many Democrats oppose tort reforms, raising questions about the final makeup of the bill.

According to Berwick, opposition to the IPAB panel breaks down into three groups: a "significant minority" that hates the 2010 health care reform law and wants to scare people about it; political opponents of President Barack Obama trying to hurt his re-election chances, and health care providers and insurers "doing quite well in the status quo" who are unwilling to commit to Medicare reforms.

Despite such opposition, no one disputes the need to change Medicare in order to keep it solvent in coming decades, as baby boomers reach retirement age and flood its ranks.

Republicans who have long opposed Medicare want to lower the cost by eventually making it a subsidized program instead of a government-run system.

The House Republican budget for 2013 made public Tuesday would offer future seniors a choice of staying in the traditional fee-for-service Medicare plan or opting for a Medicare-approved private plan, all of which would be available via a new Medicare exchange.

No matter which plan they chose, including the traditional Medicare plan, seniors would receive a government subsidy to help pay for their choice.

The 2010 health care reform law sought cost reductions in Medicare through more efficient delivery of services. For example, it envisioned increased collaboration through electronic medical records to reduce repetitive and costly tests, as well as basing reimbursement on quality of care rather than quantity of services provided.

"It's conceivable you could ratchet down on payments for routine MRIs or CAT scans and use some of that money to shore up payments to providers and ... make the whole system a little more efficient," noted Uwe Reinhardt, a professor of economics and public affairs at Princeton University's Woodrow Wilson School of Public and International Affairs.

Under the law, the IPAB panel would step in if targeted cost reductions went unmet.

Those seeking repeal of the advisory board say it will lead to indiscriminate cost-cutting rather than the intended reforms to maintain Medicare's long-term solvency.

Rep. Nan Hayworth, R-New York, who practiced ophthalmology for 16 years prior to her election to Congress in 2010, said Medicare reimbursements already were being lowered to a point where some physicians cannot afford to treat Medicare patients.

"That is the last thing our seniors need," Hayworth said Wednesday. "In many practices across the country, that threat will only increase with IPAB."

Rep. Tim Griffin, R-Arkansas, said at a Monday news conference that the advisory board "will do nothing to change how Medicare works," adding "it will simply say we've run out of money, and now we're cutting."

The American Medical Association, a major physician's advocacy organization, also wants to repeal the advisory board even though it supported the broader health care reform law.

It already wrestles with what has been a 15-year problem involving Medicare reimbursements that exemplifies the difficulty of reforming the program.

The Medicare Sustainable Growth Rate provision enacted in 1997 limits increases in Medicare costs to the same rate of growth in the gross domestic product. Under the formula, the costs have repeatedly risen higher than planned.

Rather than cutting payments to Medicare doctors, Congress has regularly authorized extra money to make up the difference, with the latest so-called "doc fix" set to expire at the end of 2012.

That means doctors face a 30% cut in Medicare reimbursements from the government in January, and now the IPAB panel would be empowered to recommend steeper cuts, AMA board Chairman Dr. Robert Wah told CNN in a telephone interview.

The AMA wants Congress to stabilize funding for Medicare reimbursements for five years to allow doctors time to work out reforms outlined in the 2010 health care legislation.

According to Wah, the fear is that the IPAB panel will recommend across-the-board spending cuts that drive doctors away from Medicare patients while failing to inspire the necessary reforms.

"A board that doesn't have to answer to anybody and has the latitude to make dramatic cuts has consequences for our patients," said Wah, later adding: "It's very hard to do that kind of innovation when there is uncertainty and the threat of large cuts."

For Berwick, the question is, "how do you create the political and social will for uncomfortable changes?"

"The evidence so far is that motivation solely from inside health care, changing itself, is insufficient," he said.

CNN's Laurie Ure contributed to this report.

@highlight

NEW: Republicans say doctors will drop Medicare patients if payments are cut

@highlight

The House will vote Thursday on eliminating an independent panel on Medicare cuts

@highlight

The panel is supposed to help develop cost-saving Medicare reforms

@highlight

Congress has been unable to bring down Medicare costs