Beijing (CNN) -- On the leafy campus of Beijing Foreign Studies University, one of China's most prestigious foreign language schools, graduating senior Gao Yue and her classmates go about their daily routine of studying and playing, showing little sign of anxiety over the impending dive into the real world.

Gao, a 22-year-old journalism major, has long planned her future outside China ever since she spent a month in the United States as an exchange student during high school. Going overseas after college is not a question of if, but when, she says. And it's not about a higher living standard.

"Press control is quite strict in China and we're looking for free speech," she said. "I think critical thinking is one of the most important things I want to pursue abroad."

"In China, the kind of education pushes people to think the same way, to drive them to the 'right' answer -- and I think being a journalist, being critical is the most important thing," she added.

Gao is hardly alone in preparing to leave China, despite the nation's rapid economic growth during a global slump. As Beijing embarks on a once-in-a-decade leadership change, many observers say the opaque process of power transition is adding more uncertainty to a country already faced with challenges ranging from a widening income gap, a worsening natural environment, to rampant official corruption and the lack of free speech.

Nationwide, the education ministry's latest statistics show that almost 1.5 million Chinese are studying overseas, making China the largest source of foreign students for the rest of the world. The number of Chinese students going abroad has grown more than 20% every year since 2009, according to the government.

Read: Why the Chinese are flocking to U.S. colleges

A likely more worrying trend for the authorities is how billionaire entrepreneurs are moving away, along with their money and talent. Hurun Report, a magazine best known for its ranking of the wealthiest individuals in China, recently surveyed 1,000 super-rich Chinese, finding 60% of the respondents either in the process of immigrating or seriously considering it.

"What we are seeing is a sense of insecurity or, perhaps you want to look at it from another side, looking for a sense of insurance policy," said Rupert Hoogewerf, publisher of Hurun Report. "So they are beginning to quite actively try and get a green card in the U.S., Canada, Australia and Singapore."

The latest wave of exodus, especially among the younger generation, is helping people like Jinbo Xie do brisk business.

Xie founded and runs BeBeyond, a personal development training firm with some 40 employees as well as branches in Beijing and Shanghai. His company prepares thousands of young Chinese like Gao every year to study abroad and charges them as much as $2,500 for a six-week course.

Xie, 45, belongs to a group called "sea turtles" -- a nickname that plays on the sound of the Mandarin word for overseas returnees. When he came back to China in 2001 after studying and working in the United States for eight years, "sea turtles" were all the rage.

The phenomenon has tapered off in recent years as China's economic growth -- though still impressive by global standards -- slows. Xie says many returnees also start to find adapting to their motherland much harder than they thought.

"In the past two years, people made up their mind to go abroad again due to the exposure of environmental pollution, food safety and other problems in China," he said.

Xie remains unfazed himself and even did something unthinkable to most Chinese: To focus on growing his company, he gave up his American green card two years ago.

"It's very exciting here -- a lot is happening," he explained. "We do have the chance to make some impact."

"Even though we have a lot of problems, setbacks and whatever, at some point, we'll be there -- that's how I feel," he added.

@highlight

Despite China's rapid economic growth, some desire life abroad

@highlight

Some say opaque power transition adding more uncertainty to the country

@highlight

1.5 million Chinese are studying overseas, making it the largest group of foreign students in world

@highlight

Chinese who live overseas and return are called "sea turtles"