(CNN) -- Four years ago, John Brennan withdrew from consideration for C.I.A. director because of his leadership role there while serious human rights violations were occurring, including waterboarding and secret detention. Mr. Brennan has said he regrets these practices. Yet he moved from the CIA to the White House, where he began to support a practice many consider worse than torture: targeted killing.

Brennan has been a champion and defender of attacks by C.I.A. drones that have killed thousands of people, including hundreds of children, far from any battlefield. These killings have occurred in Pakistan, Somalia and Yemen. Defense Secretary Leon Panetta has recently said the killing is likely to expand to Libya, Mali and Nigeria.

Panetta, Brennan and others in the Obama administration defended these lawless killings the same way the Bush administration justified the unlawful treatment of detainees. Officials in both administrations have sought to win public support and overcome opposition by repeatedly asserting that what they are doing is effective and lawful. The tactical parallels are striking.

To create an illusion of legality, both administrations coined new labels for unlawful practices. President Bush's people coined the term "enhanced interrogation methods" to describe torture, and are still asserting that waterboarding is not torture but an effective, necessary tool to keep the country safe.

Brennan unveiled the phrase "hot battlefield" in a speech at Harvard Law in September 2011. A "hot battlefield" is the type found in traditional armed conflicts, where enemy fighters are killed without warning and it is permissible to also kill civilians, as long as their deaths are unintentional collateral damage and not disproportionate to the military objective.

The CIA is killing civilians away from "hot battlefields," but according to Brennan, there are other types of battlefields that are not "hot" but nevertheless lawful places to intentionally kill targets and unintentionally those nearby.

Opinion: Chuck Hagel is a friend to Israel

The parallels between the two administrations do not end with fabricated terminology. Lawyers in the Justice Department's Office of Legal Counsel in both administrations have written secret memos apparently analyzing the legality of these troubling practices. After the memos were written, waterboarding continued during the Bush administration. President Obama finally ended it with an executive order signed within days of his first inauguration. Guantanamo, however, stayed open, and targeted killing continued. We can safely assume that the memos conclude the United States may lawfully carry out such practices.

It is surprising to me that anyone feels the need to actually see these secret memos. International law clearly makes waterboarding, secret detention and targeted killing away from battlefields unlawful. The fact these practices have continued after the writing of the memos demonstrates the analysis is window dressing.

The New York Times and the American Civil Liberties Union, among others, have committed significant resources to obtaining the memos on targeted killing. It would, of course, be interesting to compare the specious arguments and omissions that must characterize these memos with those released by the Bush administration on interrogation and detention. Some citizens might actually need to see the memos to finally demand an end to the practice.

The greater importance of the secret memos does not concern what they contain, but the fact our democratic government believes legal analysis can be secret -- that how the government understands the law that regulates its conduct need not be made public. The judge in a recent case who ruled the memos might lawfully remain secret has confused the facts of a particular case with the law. Facts about particular operations can be kept secret, but not the law on which such operations are based. If the police seek a warrant, for example, in some cases the identity of a particular person sought under the warrant may be kept confidential. The law mandating the need for the warrant is public.

Game playing with the law does not amount to effective counter-terrorism strategy. Brennan admitted as much in his Harvard speech:

"I've developed a profound appreciation for the role that our values, especially the rule of law, play in keeping our country safe," he said. "It's an appreciation, of course, understood by President Obama. ... That is what I want to talk about this evening: how we have strengthened, and continue to strengthen, our national security by adhering to our values and our laws."

The CIA needs someone who will do what Brennan says, not what he does.

The opinions expressed in this commentary are solely those of Mary Ellen O'Connell.

@highlight

Mary Ellen O'Connell: Torture, renditions used during John Brennan's Bush era CIA tenure

@highlight

At Obama White House he backed something worse, she says: targeted drone killings

@highlight

She says both Justice Dept.'s misrepresented both practices, tried to keep legality obscure

@highlight

Writer: For CIA chief, U.S. needs someone who upholds nation's values. Brennan has not