(CNN) -- Substance abuse, addiction and its consequences cost U.S. governmental bodies nearly $500 billion in 2005 with only a fraction of state and federal dollars spent on prevention and treatment, according to a report released Thursday.

A report suggests a small amount of state and federal 
funds is spent on drug prevention and treatment.

Of the $373.9 billion spent by federal and state governments, some 95.6 percent was spent to "shovel up the consequences and human wreckage of substance abuse and addiction," while only 1.9 percent was spent on prevention and treatment, 1.4 percent on taxation and regulation, and less than 1 percent on research and interdiction, says the report from Columbia University's National Center on Addiction and Substance Abuse.

In fact, for every dollar spent to prevent and treat substance abuse, federal and state governments spent more than $50 on public programs aimed at addressing its effects, the report says.

Spending breakdowns for local governments were not available because of data limitations, the report says.

"Despite a significant and growing body of knowledge documenting that addiction is a preventable, treatable and manageable disease, and despite the proven efficacy of prevention and treatment techniques, our nation still looks the other way while substance abuse and addiction cause illness, injury, death and crime, savage our children, overwhelm social service systems, impede education -- and slap a heavy and growing tax on our citizens," Susan Foster, the addiction center's vice president and director of policy research and analysis, said in a written statement.

The center found that federal, state and local governments spent some $467.7 billion on substance abuse-related costs, including health care, justice systems and family court, child welfare and homelessness.

The figures are for 2005, the most recent year for which data was available over the course of the study, the center said. The report, "Shoveling Up II: The Impact of Substance Abuse on Federal, State and Local Budgets," resulted from three years of research and analysis, according to the addiction center.

The vast majority of state and federal spending, 71.1 percent, was spent on health care and the justice system, the report says. "Increasing costs in these areas are devastating state budgets, while health care costs are consuming a larger and larger share of federal spending."

The center found that if substance abuse and addiction were its own category within the federal budget, it would rank sixth in size behind Social Security, national defense, Medicare and two other programs, consuming 9.6 percent of the entire budget.

For states, 15.7 percent of budgets were spent on substance abuse, which is up from 13.3 percent in the 1998 "Shoveling Up" report, which examined only state spending. If substance abuse were a state budget category, it would rank No. 2, behind elementary and secondary education, the report says.

"States spend more on substance abuse and addiction than they spend on Medicaid, higher education, transportation or justice," it says.

For every $100 state governments spent on substance abuse, they spent an average of $2.38 on prevention, treatment and research, the study found. Connecticut spent the most, with $10.39; New Hampshire the least, with 22 cents.

In every case, the National Center on Addiction and Substance Abuse said, it made the most conservative assumptions. And it couldn't even figure in some costs -- higher education, tobacco and drug-related developmental disabilities and highway accidents linked to illicit or controlled prescription drug use, among others -- because of data limitations, so the actual amounts spent are likely even higher.

The report advocates that more funding and efforts be directed toward prevention and treatment, rather than cleaning up the wreckage that substance abuse leaves in its wake.

"Under any circumstances, spending more than 95 percent of taxpayer dollars on the crime, health care costs, child abuse, domestic violence, homelessness and other consequences of tobacco, alcohol and illegal and prescription drug abuse and addiction, and only 2 percent to relieve individuals and taxpayers of these burdens, is a reckless misallocation of public funds," Joseph Califano Jr., a former U.S. secretary of health, education and welfare who founded the addiction center and serves as its chairman, said in the statement. "In these economic times, such upside-down-cake public policy is unconscionable. It's past time for this fiscal and human waste to end."

The report calls for a sharper focus on prevention, especially aimed at children. It points to the success of the American Legacy Foundation's "Truth" campaign on youth smoking, and says similar campaigns are needed to target drug abuse and underage drinking.

Merely blaming those who made the choice to begin using alcohol or drugs or to start smoking does not work, the report points out. "When use of these substances progresses to the point of meeting medical criteria for abuse or addiction, changes have occurred in the brain which make cessation of use extraordinarily difficult. ... The bottom line is that while an individual is responsible for his or her actions related to the disease, the disease must be treated."

But perhaps one of the most important recommendations in the report is this: America needs to shift its culture and attempt to dispel stigmas surrounding substance abuse.

The center points to a similar shift that occurred regarding the AIDS virus: "In a matter of a few years, AIDS went from being seen as a social curse to being recognized as a serious, treatable disease. It's time for the public health community to mount a similar effort with respect to alcohol and other drug abuse and addiction, to move the nation from stigmatizing it to recognizing it as a disease."

@highlight

Nearly $468 billion was spent in 2005 on substance abuse, addiction, report says

@highlight

Report: Small percentage of funds spent on drug prevention, treatment

@highlight

Connecticut spent most on drug treatment; Wisconsin the least, report finds.