(CNN) -- It's the midst of peak cruising season, and millions of travelers are eagerly embarking on exotic vacations without thinking they could ever fall victim to a crime at sea.

Cunard Cruise Lines' Queen Mary 2 sails into Sydney. Cunard says it has kits to aid rape investigations aboard.

But sexual and physical assaults were the leading crimes committed onboard cruise ships in recent years, the FBI says. In March, a 42-year-old female passenger aboard the Coral Princess says a Portuguese crew member sexually assaulted her during a cruise, according to an FBI affidavit.

The woman met the 38-year-old crew member for drinks in a dining room on the cruise ship operated by Princess Cruises, which did not respond to CNN's request for comment. The friendly encounter turned terrifying, the woman told the FBI, after her assailant blocked the doors to the room, trapping her inside, and forced her to perform oral sex.

"Travelers have this idea they are in a special cocoon where nothing bad can happen," says Charles Lipcon, a leading maritime lawyer in Miami, Florida, who is representing the alleged victim from the Coral Princess and has handled more than a hundred cruise assault cases in the last decade. "That's just not true."

Addressing cruise ship violence has become an important issue for lawmakers as the $22 billion cruise industry proliferates. About 12 million North Americans will set sail on a cruise this year, according to the Cruise Lines International Association, a trade organization representing the industry.

Cruise crimes have made headlines in recent years, like the Connecticut newlywed who vanished from his Royal Caribbean honeymoon cruise in 2005. Last Tuesday, the U.S. Coast Guard began searching for a passenger who went missing on a Carnival cruise ship.

Though cruise companies don't display crime statistics to the public, they are required to report serious incidents involving Americans to the FBI and U.S. Coast Guard. Salvador Hernandez, deputy assistant director at the FBI in 2007, told lawmakers that the FBI opened 184 cases on crimes that occurred aboard cruise ships between 2002 and early 2007.

The cruise industry points out that those numbers are small when compared with the number of passengers served by the industry --  about 64 million in that same five-year period.

Sen. John Kerry of Massachusetts and Rep. Doris Matsui of California have introduced the 2009 Cruise Vessel Security and Safety Act, which requires the cruise industry to publicly report crimes and improve safety on board. It mandates peepholes and security latches in cabins. This week, several victims of cruise crimes will meet with senators to discuss the issue.

The cruise industry says that it is "working closely" with lawmakers on the bill and that passenger safety is a top priority.

Royal Caribbean International, the second-largest cruise vacation company, has closed-circuit television cameras in hundreds of public locations on its ships, according to the company's Web site. Cunard Lines, which operates luxury cruises, wouldn't share security details with CNN but said its ships carry kits that investigators need to gather evidence of rape.

The number of attacks on ships is probably higher than reported, sexual assault experts say, because rape victims are afraid to come forward on an isolated ship with perpetrators in close quarters.

They also say cruise travelers are at a higher risk for attack because of readily available alcohol and a partying mentality on the vessels, which haul an average of 2,000 passengers each from across the globe. Of the attacks investigated by the FBI, a majority involved the use of alcohol.

Cruise lines disagree, saying people are safer on the ships than they are in their own communities. The companies provide 24-hour security and screen passengers' belongings.

"The cruise ship is a closed community," said Michael Crye, executive vice president of the Cruise Lines International Association. Security officers "have absolute access to everyone onboard," he said, because each person has been documented before boarding the ship.

Authorities say passengers should report crimes immediately to a cruise line security officer or staff member on board. There are no U.S.-mandated "cruise police," nor are FBI agents assigned to cruise ships.

"It's unclear what you should do when you're on a ship," says Evelyn Fortier, vice president of policy at the Rape, Abuse & Incest National Network. "1-800 numbers don't always work when you're at sea."

Some attorneys say the security and medical authorities aboard the ships may be biased in their investigations.

"The cruise workers are paid by the cruise lines. Do you honestly think the cruise ship doctor will be favorable toward the victim?" says Michael Ehline, a maritime attorney in Los Angeles, California.

Vessels need independent, third-party security officers and cruise doctors, critics say. They point out that even the airline industry has federal air marshals on planes with international itineraries.

Attorneys for the victims also point out that FBI statistics on cruise crime show that in nearly half of the incidents, a crew member is the suspect, which may deter victims from coming forward because they don't know which employees to trust.

The Cruise Lines International Association says on its Web site that the industry's work force is prescreened by the U.S. State Department, which is responsible for issuing work visas to foreigners working on ships that stop in U.S. ports.

Many passengers are unaware that being on a cruise ship is equivalent to being in a foreign country. Vessels are typically foreign-flagged from countries like Liberia and Panama.

Cruise lines aren't obligated to follow the crime investigation and reporting guidelines that law enforcement would follow on U.S. soil, attorneys say. Filing lawsuits can also be difficult when the crime occurs in foreign waters because the trials can sometimes take place in courts abroad.

"They [cruise lines] will commit to nothing," says Ken Carver, president of International Cruise Victims, a nonprofit group. "They will sell you the tickets," he says, "and then fail to take responsibility."

Carver's daughter disappeared on a Celebrity cruise ship in 2004. He filed a lawsuit in 2005 accusing the cruise company of hiding information about her disappearance. The suit was settled a year later.

Some attorneys question the training of private cruise ship security officers.

Laurie Dishman, 38, testified before Congress that she was raped aboard a Royal Caribbean ship three years ago. She said cruise staff instructed her to gather evidence, so she and a friend went to the cabin where the assault occurred and piled her clothes and bed sheets into plastic bags they were given.

"We didn't know what we were doing," says Dishman. She said she was later told by authorities there wasn't enough evidence to prosecute a criminal case. "It makes me frustrated looking back that the cruise lines didn't handle evidence properly."

Dishman's suit against Royal Caribbean was settled in early 2008. She says she can't disclose the amount.

Cruise industry officials say their security officers are trained in how to preserve evidence. Carnival Cruise Lines, the largest cruise company in the world, says its security personnel must have previous security, military or law enforcement experience.

Even if evidence is gathered properly by cruise security, the time that elapses between the crime and FBI involvement may threaten the integrity of an investigation. In the Coral Princess case in March, three days passed before the ship docked in California and FBI agents could step aboard.

That incident, however, was handled in exemplary fashion, say attorneys and even some cruise line critics. The evidence was sufficient enough for the U.S. District Attorney's Office in the Central District of California to charge the alleged offender, Jorge Manuel Teixeira, with aggravated sexual abuse.

Teixeira is pleading not guilty to the federal offense, which carries a possible life sentence. Teixeira says the encounter was consensual, according to his attorney.

Thom Mrozek, a spokesman for the U.S. District Attorney's Office prosecuting Teixeira, said charging offenders with cruise-related crimes can also be complicated by challenges such as tracking key witnesses abroad. The biggest threat, though, is the time lag, when valuable evidence can disappear or be tampered with, he said.

"When we can bring the case, we'll bring the case," he said. "Teixeira is a good example."

@highlight

In a five-year period, the FBI opened 184 criminal cases aboard cruise ships

@highlight

Lawmakers introduced Cruise Vessel Security and Safety Act to improve security

@highlight

Attacks are more likely on cruises because of alcohol, experts say

@highlight

Cruise lines say they provide 24-hour security, screen passengers' belongings