Washington (CNN) -- Facing low approval ratings and constant Republican criticism as his re-election campaign starts up, President Barack Obama challenged Congress on Thursday night to put the good of the nation over political benefit and pass a huge jobs plan he proposed.

In a speech to a joint session of Congress, Obama told the legislators to "stop the political circus and actually do something to help the economy" by quickly approving the $447 billion package of measures so he can sign it into law.

"The people of this country work hard to meet their responsibilities. The question tonight is whether we'll meet ours," Obama said to applause. "The question is whether, in the face of an ongoing national crisis, we can stop the political circus and actually do something to help the economy. The question is whether we can restore some of the fairness and security that has defined this nation since our beginning."

Obama also told legislators that they should quickly pass his plan, called the American Jobs Act.

"There should be nothing controversial about this piece of legislation," the president said. "Everything in here is the kind of proposal that's been supported by both Democrats and Republicans -- including many who sit here tonight. And everything in this bill will be paid for. Everything."

Obama said he will ask Congress to increase the $1.5 trillion target in deficit reduction being pursued by a special joint congressional committee to cover the cost of the American Jobs Act. He said he will propose his own deficit-reduction plan on September 19 that would reform entitlement programs such as Medicare while changing the tax system to end loopholes, lower the corporate tax rate and increase taxes for the wealthy.

In essence, Obama resurrected his push for a so-called "grand bargain" -- a comprehensive deficit reduction package that includes all the drivers of government spending and deficits, including those traditionally favored and protected by both parties.

Republican reaction ranged from an expressed interest in trying to work out compromise to outright rejection and criticism of what was labeled a repeat of failed policies from the past.

House Speaker John Boehner, who backed out of talks with Obama on a major deficit reduction-deal deal earlier this year, said the proposals the president outlined "merit consideration," and added that he hoped for serious consideration by the White House of Republican ideas.

"It's my hope that we can work together to end the uncertainty facing families and small businesses, and create a better environment for long-term economic growth and private-sector job creation," said Boehner, R-Ohio.

Conservative Sen. Jon Kyl, R-Arizona, was much more critical.

"President Obama, perhaps not knowing what else to do, is simply calling for more of the same, as if giving us more of the failed policies of the last two-and-a-half years will somehow yield different results," Kyl said in a statement. "I believe President Obama's new 'stimulus' will further delay economic recovery and continue to inflict harm on so many Americans."

The Senate's top Democrat, meanwhile, said Obama's proposal will present a "litmus test" for Republicans.

"I hope they (Republicans) will show the American people that they are more interested in creating jobs than defeating President Obama," Senate Majority Leader Harry Reid of Nevada said in a statement. "Experts from the ratings agencies to Federal Reserve Chairman Ben Bernanke have said that political gridlock is the main obstacle standing in the way of our economic growth. It is time to put jobs and the economy ahead of partisan politics."\

That point resonated with veteran Republican Sen. John McCain of Arizona, who joked on CNN that the president's poll numbers were very bad, but "have you seen Congress' numbers?"

"We seek approval, too," McCain said.

According to Obama, the purpose of the proposed jobs legislation is "to put more people back to work and more money in the pockets of those who are working."

"It will create more jobs for construction workers, more jobs for teachers, more jobs for veterans, and more jobs for the long-term unemployed," Obama said. "It will provide a tax break for companies who hire new workers, and it will cut payroll taxes in half for every working American and every small business. It will provide a jolt to an economy that has stalled, and give companies confidence that if they invest and hire, there will be customers for their products and services. You should pass this jobs plan right away."

He also told Republicans he would take his case directly to the American people, and called on "every American who agrees to lift your voice and tell the people who are gathered here tonight that you want action now."

"Tell Washington that doing nothing is not an option," Obama said.

White House spokesman Jay Carney told CNN that Obama will send Congress jobs plan legislation next week.

Obama's plan comes as unemployment remains lodged at 9.1% with no new jobs reported in August, raising fears of a possible return to recession. With 14 months to go until the presidential election, he wants the plan -- as well as the speech to Congress to present it -- to clearly illustrate to the American public the ideological differences between his policies and those of the Republican right.

The mood in the House chamber was jovial before the speech, with Vice President Joe Biden playfully hugging Speaker John Boehner when he arrived at the dais. Democratic legislators repeatedly applauded during the address.

House Republican and White House sources told CNN that Obama called Boehner and McConnell on Thursday afternoon to preview the speech. Even so, a legislative struggle is certain. Republicans call for corporate tax cuts and deregulation as steps to spur job growth, opposing what they label new stimulus spending.

The Democratic leader in the Republican-controlled House -- Rep. Nancy Pelosi of California -- asked the ranking Democrats on committees that will consider the legislation proposed by Obama to urge their Republican chairmen to "schedule immediate hearings and legislative action" on the measures.

Boehner, meanwhile, invited 12 business leaders -- dubbed "job creators" in his statement -- who have been affected by regulations enacted by the administration to attend the speech.

These are "people with real world experience on how the regulations coming out of this administration are impeding their ability to grow their business and create jobs," Boehner's statement said.

At least five Republicans -- two senators and three House members -- didn't plan to attend the speech, which Senate Minority Leader Mitch McConnell said was more of a political event than a policy statement.

"By all accounts, the president's so-called jobs plan is to try those very same policies again and then accuse anyone who doesn't support them this time around of being political and overly partisan, of not doing what's needed in this moment of crisis," McConnell, R-Kentucky, said Thursday morning. "This isn't a jobs plan. It is a re-election plan."

Anticipating such criticism, Obama said he was proposing needed and logical measures that traditionally receive broad support.

"This isn't political grandstanding. This isn't class warfare. This is simple math," he said. "These are real choices that we have to make. And I'm pretty sure I know what most Americans would choose. It's not even close. And it's time for us to do what's right for our future."

Obama said his plan would increase the current payroll tax cut to put additional money in the pockets of Americans at a cost of $175 billion. The current cut, which has cost $112 billion so far, allows employees to pay 4.2% instead of 6.2% on their first $106,800 of wages into Social Security.

Obama's proposal included extended unemployment benefits, which were lengthened to the current 99-week maximum in 2009. Top Democrats argue that such money will immediately be pumped back into the economy in the form of new consumer spending.

In addition, the plan proposes $60 billion for infrastructure development such as repairing roads and bridges, including establishment of an infrastructure bank to help finance such projects.

Other provisions in the president's proposal include money to refurbish schools and provide state aid for teachers and first responders, and tax incentives for small businesses to hire the long-term unemployed and military veterans.

Looking abroad, the president also renewed his push for congressional approval of stalled free trade deals with South Korea, Colombia and Panama. The measures, despite the congressional roadblock, have relatively broad bipartisan support.

The president took aim at tea party conservatives who call for deep spending cuts to shrink government instead of the comprehensive approach he advocates.

"In fact, this larger notion that the only thing we can do to restore prosperity is just dismantle government, refund everyone's money, let everyone write their own rules, and tell everyone they're on their own -- that's not who we are," Obama said.

He repeatedly urged the legislators to "pass this jobs bill," using a rhetorical flourish that regularly prompted cheers and applause form Democrats.

"No single individual built America on their own," Obama said. "We built it together. We have been, and always will be, one nation, under God, indivisible, with liberty and justice for all; a nation with responsibilities to ourselves and with responsibilities to one another. Members of Congress, it is time for us to meet our responsibilities."

CNN's Alan Silverleib, Charles Riley, Jessica Yellin, Brianna Keilar, Tom Cohen and Mariano Castillo contributed to this report.

@highlight

NEW: Sen. Reid says the plan is a litmus test for Republican intentions

@highlight

Obama wants the $447 billion plan paid for by a broader deficit-reduction deal

@highlight

Speaker Boehner says Obama's proposals merit consideration

@highlight

Other Republicans are more critical, calling the plan more failed stimulus policy