(CNN) -- The fairy tale forests of the Gauja Valley in Latvia, the beauty of Saaremaa Island in Estonia and the 170-foot-high Parnidis Dune in Lithuania were waiting for author Patricia Schultz to discover them.

The newly independent countries of Estonia, Latvia and Lithuania were reeling from the collapse of the Soviet Union in 1991 and were not tourist friendly enough to include in her first edition of "1,000 Places To See Before You Die," published in 2003.

Also missing were the stunning Adriatic beaches of Budva, Montenegro; the ancient Roman arena of Istria, Croatia; and the pedestrian bridges over the Ljubljanica River in Slovenia. The civil war in Yugoslavia, following on the heels of the fall of the Soviet Union, kept her away.

More than 20 years after the collapse of communism in Eastern Europe, the new "1,000 Places To See Before You Die" includes the Baltic nations formerly under Soviet control, the nations of the former Yugoslavia and several other countries once considered too dangerous or unfriendly for any but the most hardy travelers.

There are also places like Ghana and Greenland that Schultz didn't have time to tackle in the first book. All in all, the second edition includes 200 more entries, 28 additional countries, 200 more pages, 600 color photographs and an interactive iPad app.

Now that travel is more accessible and people want to see and do more things they've never experienced before, Schultz has expanded the "1,000 Places" concept beyond that "once-in-a-lifetime" honeymoon, 25th anniversary or 75th birthday trip. Her hotel recommendations now include smaller, more affordable inns in addition to the most fabulous hotels. The definition of "1,000 Places" has expanded to include itineraries or experiences within particular regions.

"There's nothing or no place that doesn't interest me for some rhyme or reason, from natural beauty to man-made beauty, from high-brow to low-brow, from festivals to food to culture to music to design," says Schultz, who has traveled professionally for most of her adult life. She estimates she visited 80% of the sites included in the book. "So much to see, so little time!" she said. "One would need to be 200 years old to have seen them all." (A seasoned travel writer, she knows "quite confidently" that Antarctica and other places she hasn't visited do belong in the book.)

For the rookie or nervous traveler

For the new or nervous traveler who wants to explore outside his comfort zone, Schultz suggests traveling with the tour operators she includes in many listings. It's probably the smart way to go in the Middle East, Africa and Asia, where cultural differences and language barriers may trip up the inexperienced or solo traveler. "It's a great way to travel if your best friend or husband isn't available to go or interested in going," she said.

An inexperienced English-speaking traveler can travel far away to New Zealand or Australia and enjoy the differences of a country that shares some common language and history. "You'll hear this wonderfully accented English that is not your own, so you're always aware these are experiences you would never have had at home if you stayed within our borders." Schultz said.

"It's exotic enough to be exciting and exhilarating, but easy enough to do solo -- minus that inherent risk of being in countries that are always on the front page of the newspaper, filling your head with risks," she said.

For U.S. residents who prefer to stay within the United States, Schultz has added new entries on the Columbia River Gorge in Oregon and Washington state; the Georgia O'Keeffe Trail in Santa Fe and Abiquiu, New Mexico; and Grafton, Vermont. Chapters on popular cities such as New York, San Francisco and Kauai have turned into mega-entries. (Schultz has also written "1,000 Places to See in the United States and Canada Before You Die.")

Get out of your comfort zone

Explorers can expand their bucket lists by finding someplace they've never been before. Be the first in your family to explore the 11 underground churches excavated out of stone in the Ethiopian town of Lalibela. They've been in continuous use since the 12th century. Or head to Ghana's Elmina Castle, the first European slave-trading post in sub-Saharan Africa. There's also plenty to explore in Greenland, 85% of which is still covered by ice. The island, a self-governing territory of Denmark, says that global warming has created the fastest-retreating ice cap in the Northern Hemisphere.

Still on Schultz's bucket list: Antarctica, which is very expensive and requires a significant time commitment; return visits to Italy, her first and always love; and the Arctic, where she has traveled but wishes to see again.

And for the history buff, nature lover or luxury traveler, there's Eastern Europe, where the high life, nature and history can be found side by side. Schultz recommends getting to Eastern Europe before the sense of Soviet occupation can be found only in museums dedicated to remembering the past.

"Sometimes, they're so successfully erasing the period Soviets were there to the extent you wonder if they were ever there; and other times, you think, 'Oh, here I can still feel it,' " Schultz said. "You'd never know in many cases in Prague that the Soviets had been there. In the back roads of Romania, you'd think it's still under Soviet control."

@highlight

No longer dominated by the Soviets, Eastern Europe has the old and the new to discover

@highlight

The nervous or novice traveler can still find very safe places to explore

@highlight

Adventurers can go to cultures completely different from their own, solo or with a tour