Newark, New Jersey (CNN) -- It's something you don't see every day: A Republican governor speaking at an inner city church, trying to end the stigma associated with drug addiction.

"We have to acknowledge the disease and treat their illness," New Jersey Gov. Chris Christie told a crowd gathered here for a forum he organized. "We would never stigmatize someone who has cancer. Yet, we feel free to stigmatize someone who may have tried - made one bad decision - and because of their makeup, they become an addict."

For Christie, working with former drug addicts could be helpful if he decides to run for president in 2016. The image could humanize a governor who is better known for his tough talking, finger wagging style -- especially after his administration was engulfed by the scandal surrounding the closing of the George Washington Bridge.

But Christie said he isn't doing anything different.

"It's always been there," Christie said of his compassionate side. "The fact is that's the stuff that gets the most publicity because it's the most entertaining on TV, and I get that."

"You need to be compassionate and you need to listen, and I have the ability to do that too," Christie insists.

Just don't call him a compassionate conservative, a term first coined by George W. Bush during his first presidential bid.

"Listen, the term has already been used by a previous president," Christie tells us.

"I think this is just me being myself. I care about people no matter what stage of life they're at, no matter what circumstance they're confronted with," he says, quickly adding that "when it's required to get in someone's face and tell them off, I'll do that too."

Luckily, he laughingly assured this reporter that wasn't "required" -- at that moment.

Christie held his forum on drug addiction at the church where Whitney Houston grew up and learned to perform. In 2012, the church hosted her funeral after Houston lost her battle with drugs.

"The reason we're here is because of Whitney Houston in a respect because I came here for the funeral, invited here by her mom. That's where I met Pastor Joe Carter, who was my partner today and the pastor of this church for the past 22 years, and we've been talking about this issue a lot since then," says Christie.

When Houston died, Christie lowered the state's flags, and got blow back for honoring an addict - precisely the kind of stigma he's trying to change.

Addiction is a very personal issue for Christie. His close friend from law school died of an overdose earlier this year.

"I can't tell you how many times all of us - friends of his, dear friends - intervened and got him to treatment, dealt with his wife and his children and tried to help him. Now, we couldn't," Christie told the audience.

The governor wants to change the way the legal system treats nonviolent drug offenders, providing them treatment instead of jail sentences. Still, he draws a bright line between destigmaizing drug addiction and decriminalizing drug use.

"I think they're two big differences right?" Christie said. "I don't think we should be telling our children this is ok. And by decriminalizing it, I think we're telling them it's ok. It's not OK. You should never make this choice in the first place, but If you do, and you become addicted and are subject to that disease, then we need to treat you and destigmatize that treatment."

But he added: "I don't think decriminalization and destigmatization have to go together. In fact, I would argue that decriminalization would lead to more addicts and that's not something we want."

Christie's comments mark a shift in tone among Republicans when it comes to drugs. Richard Nixon first launched the so-called war on drugs and Nancy Reagan kept the effort alive through the 1980s with her "just say no" campaign.

But Christie says the war on drugs has failed.

"The war on drugs was well-intentioned," he said. "It just has not worked. We know much more today than we knew 30 years ago, that this is a disease -- about it being physiological, and in some places genetic -- and so we need to treat that disease."

He added: "I think Mrs. Reagan and those who fought the war on drugs that way absolutely were trying to be the most effective they could be and were operating with the best information they had at the time. But it's been thirty plus years now, and we have more information and we should evolve over time to be more effective."

Christie's views on drug abusers - treating not jailing them - sets him apart from other high profile Republicans, especially those considering a run for the White House. Most potential 2016 GOP contenders are maintaining a hardline on drugs, if they talk about the issue at all.

Still, another potential 2016 candidate -- Kentucky GOP Sen. Rand Paul, R- KY -- comes closest to Christie with his push to curb the mandatory minimum drug sentencing that was once a staple of Republican tough on crime policy.

Christie frames his views as consistent with self-described pro life conservatives, who value life above all else. But they could backfire with conservatives -- voters he needs to win the GOP presidential nomination -- who don't see the connection.

"Listen, I'll take whatever risk I need to take if I'm telling the truth as I see it, and the fact is it was well-intentioned," Christie said. "I'm not worried about turning anybody off. I want to tell people the truth," he said.

But if Christie is so willing to use the personal experience of a friend overdosing to try to destigmatize drug abuse, what about his very different, very personal battle: his weight. After all, obesity is an epidemic in America.

"Sure, I think at some point when appropriate, I would because I know that struggle personally and I know how difficult that is," Christie said when asked whether he might the issue as part of his public platform.

Christie's waist size has shrunk since he underwent lap-band surgery in 2013. But he was reluctant to tell people how they should lose weight.

"I want to be careful because I don't want to proselytize because I know how difficult it is to deal with this problem and I know it's been more difficult at times when people who feel that [they] are struggling with it, that they're being lectured," Christie said. "I've gone through that."

Does he think obesity is an addiction?

"I don't know the answer to that question but what I will tell you is that I know it's a struggle and I've had that struggle and continue to have that struggle," Christie responded. "But I'm doing well now and I want to continue doing well."

Christie held the drug forum as 2016 speculation intensifies. He sidestepped questions about whether Mitt Romney - a good friend of his - should make a third White House run.

"I have great respect and affection and admiration for Mitt and for Ann," he said. "They're both real friends, not political friends. And that's up to him. He gets to make that decision. If he wants to do it again, more power to him. If he doesn't, that's ok too."

Christie insists his own decision about whether to throw his hat in the presidential ring is "absolutely" independent of anyone else - from Romney to Jeb Bush.

So when will he decide?

"I'll make a decision after the first of the year," he said.

He really hasn't decided, we ask incredulously?

"I really haven't decided," Christie says with a mischievous smile. "I'm not kidding around."

CNN's Adam Levy contributed to this report

@highlight

Chris Christie to CNN: Must end stigma associated with drug abuse

@highlight

Christie prefers sending nonviolent offenders to treatment instead of jail

@highlight

Christie is a potential 2016 Republican presidential candidate