(CNN) -- China's economic success has created a fast-growing middle class and an explosion in domestic travel. Cashing in on the travel boom is one hotel chain that's expanding so fast, it's opening a new property every two days.

Budget hotel chain Hanting Inns was founded by billionaire businessman Ji Qi seven years ago. Today it has 1,000 properties in China, across four brands, and Ji expects Hanting to be the world's biggest hotel chain by 2020.

The company takes inspiration from Western low-cost hotel chains that cater for frequent business travelers on a budget, such as Accor, Ibis and Premier Inn.

"I first got the idea from a book introducing Accor, about how they open small hotels with less expensive but cozy, clean rooms," Ji told CNN's Richard Quest.

"I realized there's a gap in the Chinese market for such hotels as well so I decided to invest experimentally in that niche."

See also: China's unique boutique hotels

Ji identifies three things that Chinese customers look for in a hotel room -- all of which will chime with Western travelers: a soft bed, free internet access and a good hot shower after a long, tiring day.

He says his ultimate target is to open 10,000 hotels. His big draw is clean, no-frills rooms that start from as little as $15 a night.

"We only invest in crucial parts (of the hotels). In our lobby you don't see fancy decorations like marble surface or crystal lights," said Ji.

"We keep everything simple because our clients don't really pay much attention to that. But we put serious money into our rooms -- in that way we manage to keep our hotels cost-effective."

The sheer scale and speed of economic development within China over the last 20 years has forced hoteliers the world over to sit up and take notice. The number of Chinese people traveling outside China has risen to 65 million a year, overtaking Japan as the largest source of outbound travelers in Asia.

See also: Asia's budget airlines go long haul

International hotel chains are adapting their business plans and services to cater for the increasing number of Chinese travelers.

Marriott launched its Li Yu program -- meaning "serve with courtesy" -- earlier this year, while Hilton Worldwide introduced its Huanying program last August -- tailor-made for the Chinese market, with a name that means "welcome" in Mandarin.

Paul Brown, brand president at Hilton, told Quest that Huanying offers services including Chinese foods on the breakfast menu, and guest rooms that come with green tea, slippers, and Chinese TV channels. "We wanted to create a program that made them feel comfortable and welcome when going outside their country for the first time," he said.

But international players are also moving into China. Accor has tried to gain a foothold in the Chinese market with its Grand Mercure brand, known locally as Mei Jue, and Marriott plans to more than double the number of its hotels in China in the next three years.

"We've got to make sure that we are succeeding with the Chinese traveler and winning their loyalty," said Marriott CEO Arne Sorensen. "The loyalty that we build here can get translated ultimately to loyalty of Chinese travelers going around the globe."

See also: 55 years of Marriott hotels

But Ji believes that foreign competitors will find it hard to compete with Hanting on its home turf. "We are faster. We are more cost-effective. We know our clients better," he said.

Ji says he welcomes international customers, but currently 90% of Hanting guests are Chinese business travelers. And with 1.3 billion Chinese people, whose average incomes have quadrupled in the last four years, it's small wonder that for the time being, Hanting is concentrating on the local market.

@highlight

China's domestic travel sector is expanding at great pace

@highlight

Hanting Inns aims to be the world's biggest hotel chain by 2020

@highlight

International hotel chains are trying to tap into China's travel boom