(CNN) -- Fashion Week in New York, London, Milan and Paris have ended in a flash of ruby-reds, turtlenecks and thigh-high boots. But what about Charleston, Nashville, Austin or Cleveland?

Granted, these aren't cities where editors, buyers and bloggers from around the world flock to discover next season's trends. But, regardless of what the Onion thinks of Iowa's style sense, regional fashion weeks matter to the communities that host them -- and they're starting to catch the attention of big-city fashion folk, too.

After all, "not all designers are born and bred in New York, Paris and Milan," said Fern Mallis, who's credited with creating New York Fashion Week as we currently know it. After her success there, she helped launch and guide fashion weeks in Sydney, Shanghai, Miami and Cleveland as senior vice president of IMG Fashion in the 2000s.

Photos: New York Fashion Week

Each year seems to herald the launch of a fashion week in a smaller, regional U.S. city and, unlike their famous counterparts, runway shows aren't always the main event. Cleveland's schedule in May includes pop-up boutiques, wine and cheese parties and a screening of "Diana Vreeland: The Eye Has to Travel," a documentary about the influential fashion editor of Harper's Bazaar and editor-in-chief of Vogue. In April, Nashville Fashion Week will offer a day of industry panels and several nights of runway shows featuring a mix of hometown heroes and established brands such as Tracy Reese and Nonoo.

Yes, in some cities, the weeks are basically glorified business-boosting happy hours where flavored vodka drinks and rose flow liberally from local boutiques. There's a bit of navel-gazing, to be sure.

But, as Mallis put it, what's the harm in trying?

"Regional fashion weeks are aspirational. I find something very refreshing and honest about them," Mallis said. "If the sidebar is that restaurants and hotels get a lot of business, even better.

"The fashion industry is always looking for the next hot talent and you never know where you'll find it. It's a funny industry, where you need to be seen, and the best way for designers' work to be seen is on the runway, wherever it is."

"Project Runway" Season 11 contestant Amanda Valentine credits her participation in Nashville Fashion Week for the boost she needed to make the cut on the reality TV show.

She earns a living as a stylist in Music City's entertainment industry while still cultivating her brand from a studio in the basement of her Nashville home. But during fashion week, local organizers tend to provide models, hair and makeup services, saving designers like her thousands of dollars.

Valentine auditioned for "Project Runway" in 2009 but didn't make the final cut. After participating in Nashville Fashion Week, she returned for auditions in 2012 with a portfolio of professional runway images and press clips lauding her work.

"The exposure and press helps because it gives you an outside opinion that you can point to," Valentine said. "Having the professional images and the ability to say 'I participated in a show' also adds to your credibility."

Designers to watch after New York Fashion Week

Usually, runway shows distinguish the boozy shopping parties from events with the potential to propel young designers. A show in Nashville, Tennessee, or Austin, Texas, can give designers a chance to shine or stumble -- without the intensely critical media eye that looms over London or Paris. It just takes some time for a regional fashion week to grow from one to the other.

Charleston Fashion Week in South Carolina started out as a "chic party" in Marion Square and along King Street, where fashionistas hobnobbed over cocktails. In seven years, it has grown into an event that draws promising talent, industry heavyweights and thousands of attendees. Last year, the event's economic impact was $2.4 million, according to figures from the Charleston Area Convention and Visitors Bureau.

The emerging designer competition is the event's centerpiece. The nightly showdown began Tuesday, whittling down a roster of 20 aspiring designers to five finalists, who sent their collections down the runway Saturday night in a bid for the grand prize.

The winner takes home $5,000 in cash, $10,000 in online marketing and promotional services, a book of professional runway images of the winning collection, and a sewing machine. Prizes like that would certainly help semifinalist Afriyie Poku, who makes a living doing custom alterations on a secondhand sewing machine in his Atlanta apartment. He's also on call for tailoring jobs at a hotel he quit last month to free up time to work on his menswear collection.

The tall-haired, Ghana-born Atlantan transformed the living room of his Midtown apartment into a workshop after being selected in December to participate in the contest.

Portrait of a Man Repeller at NYFW

His design idol is Ralph Lauren, so naturally his collection is based on traditional menswear silhouettes with what he calls an "attention to detail that brings it into the modern era." Poku takes pride in his fashion-forward embellishments, such as high-waisted riding pants with reverse pleats, a side zipper or leather inseam patches, and a double-breasted morning coat lined to be warm enough on its own.

The self-taught tailor says he has a character or archetype in mind for each piece -- the hunter, the gentleman -- but he acknowledges that he's designing for himself. That's how he learned to sew, by altering clothes to his liking, in a fitted, tailored style inspired by his uncles, businessmen in Ghana, even if his first creation was a pair of pants made from a bedsheet.

"My view was, 'Everything you wear has to fit well,'" Poku said. "But when I went to Macy's, things were not made to fit as I wanted, so I'd buy clothes and made them to fit like I wanted them to fit."

In the month before the competition, he stayed awake for days at a time to finish the collection. In the home he shares with his girlfriend, an aspiring opera singer, he pieced together 12 fall menswear runway looks -- eight for the semifinal and four more in case he advanced to Saturday night's final.

Poku said he doesn't want to start his own label or become a "Project Runway"-style celeb just yet. For now, his goal is to find an apprenticeship with an established menswear designer or contract sewer.

"I just want to give it a try and see what happens," he said in an interview last week in a home studio littered with spools of thread and bags of fabric. "Even if I don't win, I feel like just being there will help me find what I need to advance to the next level."

In Charleston, he knew he'd have the eyes of an appreciative local community, as well as some established designers from the upper echelons of high fashion.

Christian Siriano already has a foothold in the industry. Celebrities such as Sarah Jessica Parker, Rihanna and Heidi Klum wear his gowns on the red carpet. He has a flagship store in New York and an eponymous line sold in Neiman Marcus and boutiques around the world. Still, he had a full schedule this week in Charleston.

"We look at it as a business opportunity to find new customers and form new relationships with retailers," said Siriano, the youngest designer to win "Project Runway" or land on Crain's 40 Under 40 list. "Who wants to alienate a customer who's ready to shop?"

Siriano already showed his ballet-inspired Fall 2013 collection in New York and Paris, but he brought it to Charleston for a show Saturday. On Friday he participated in a trunk show hosted by a family-owned department store, Gwynn's of Mount Pleasant, where he would like to see his clothes sold, he said. He also judged the emerging designer competition, along with Mallis and other industry insiders and entertainers: singer-songwriter Ashanti, designers Brandon Sun and Antonio Azzuolo and Hannah Goff, winner of the 2012 Charleston emerging designer competition.

Cynthia Rowley judged the emerging designer competition in 2009, when swimwear designer Marysia Reeves won. Since then, Reeves' swimwear has been featured in publications including Vogue and WWD, and her collections have been picked up by Barneys New York, Anthropologie and other high-end boutiques around the world.

"Charleston has a sophisticated, fashion-savvy audience, so it's just a matter of making my products more accessible to them," said Rowley, who was in the city this week to visit her King Street store and promote her latest collection for Belk department stores. "It's also a great way for me to learn more about what's happening in fashion in that part of the country."

The emerging designer competition final drew hundreds of people Saturday. The competition was tight, but ultimately the panel chose Poku as the winner, with Mallis describing his collection as "something special." He also won the audience favorite award, another $250 prize.

Dozens of fans swarmed around him, making it hard for his sisters and girlfriend to reach him. As far as he was concerned, the win vindicated his efforts.

"It's shown me I am meant for this," he said of his win. "This is my way in life. Any impact I'll be able to make on the human race will be in this field."

Follow Emanuella Grinberg on Twitter

CNN's Stephanie Gallman contributed to this report.

@highlight

Fashion weeks in smaller U.S. cities serve as training grounds for aspiring designers

@highlight

Charleston Fashion Week draws thousands of attendees

@highlight

Established designers attend Charleston Fashion Week to tap into new markets

@highlight

"Not all designers are born and bred in New York, Paris," says Fern Mallis