(CNN)For a generation of moviegoers in the early 1990s, "Pretty Woman" was a cultural touchstone.

The breezy comedy had all the key elements of romantic fantasy: a plucky, down-on-her-luck heroine, a rich, dashing prince and a Cinderella love story with a fairy-tale ending.

Most of all it had a lesser-known actress named Julia Roberts, whose radiant smile and coltish charm lit up the screen. The movie, which celebrates its 25th anniversary on Monday, grossed $463 million worldwide and made her the biggest female star in Hollywood.

But how does it stand up today? Not everyone is a fan. Some critics complain the Garry Marshall film, whose female lead is an unrefined prostitute rescued from the streets by Richard Gere's elegant millionaire, degrades women and glorifies materialism.

Here are some of the leading pro-and-con arguments about the movie. First, the cons:

It whitewashes the realities of prostitution

The movie glosses over the less-than-glamorous motivations that can lead women into sex work, says Katie Hail-Jares, a board member of the Sex Workers Outreach Project (SWOP USA).

Most sex workers that Hail-Jares encounters through street-based outreach are not in it for a lark, or because they lack the drive to succeed, she says. They do it out of economic necessity after encountering roadblocks to traditional employment such as lack of education, a criminal record or sexual discrimination, she said.

On one hand Roberts' character, Vivian, is a compelling protagonist who dispels the stereotype of the drug-addicted "crack whore" with little ambition, Hail-Jares said. On the other hand, the movie implies that by virtue of her beauty, drive and apparent drug-free lifestyle, Roberts is the exceptional sex worker who -- unlike her pal Kit, for example -- deserves a better life.

"What's problematic is how it portrays sex work at large, like she's the only one worth saving," said Hail-Jares, a Ph.D. candidate in criminology at American University. "You get the sense that she's not the norm, and that allows us to get invested in her while not necessarily worrying about the welfare of other women who fall into the (sex worker) stereotype."

Vivian's exit from sex work thanks to Gere's character is also troubling, she says.

"In the movie she's able to fill economic void with Edward's money but in reality that doesn't happen," she says.

It's demeaning to women

Like "My Fair Lady," the movie is another reimagining of "Pygmalion," the George Bernard Shaw play about a crass, impoverished girl given a redemptive makeover by a sophisticated male mentor.

Daryl Hannah was one of numerous well-known actresses who turned down the part, saying it was "degrading for the whole of womankind."

The Vivian character is clearly intelligent, and values love over money. But she also has no apparent career goals beyond becoming the kept woman of a wealthy businessman.

"'Pretty Woman' may be a fantasy but it's a deeply sexist, consumerist fantasy," wrote Rachael Johnson last year for Bitch Flicks, a feminist movie site. "Admire Julia and Richard's beauty, and sing along to Orbison or Roxette, but never forget that it is one of the most misogynist, patriarchal, classist, consumerist, and lookist movies ever to come out of Hollywood."

It celebrates greed

Although he is dutifully appearing on TV this month to promote "Pretty Woman's" anniversary, Gere in the past has publicly dismissed the movie for glorifying Wall Street corporate raiders like his ruthless Edward character, who dismantles struggling companies.

"It made those guys seem dashing, which was wrong. Thankfully, today we are all more skeptical of those guys," he told Woman's Day magazine in Australia in 2012.

The movie also depicts Vivian's evolution from streetwalker to Beverly Hills socialite through an orgiastic shopping spree during which Gere promises to spend "an obscene amount of money" on her.

"Ideologically, 'Pretty Woman' is a love song to consumerism and capitalism," said Bitch Flicks' Johnson. "'Pretty Woman' depicts a world where everyone is either a card-carrying member of the corporate caste or an obliging subordinate ... It is obsessed with things (hotel suites, private jets, fancy clothes) and encourages the audience to share its obsession with things."

And now the pros:

No, it actually empowers women

Despite her lowly profession, Vivian is no pushover. One of the film's earliest scenes shows her refusing Kit's suggestion that they work for a pimp, saying "we say who, we say when, we say how much."

Later, she negotiates the terms of her relationship with Edward and is quick to speak up when she feel she's being mistreated. She humanizes him and even takes over driving Edward's borrowed Lotus when he can't handle a stick shift.

"She dictates the way she wishes to be treated; when he offers her the status of a mistress, she dictates the status of a full equal," writes Brigit McCone in a more recent Bitch Flicks piece titled, "Why 'Pretty Woman' Should Be Considered a Feminist Classic."

"Let us never forget that when the prince rescues her, she rescues him right back."

Its shopping scenes are revenge-fantasy bliss

Ask some "Pretty Woman" fans to name their favorite scene and they don't mention Vivian's swoony moments with Edward.

They talk about that part in the middle when she hits Rodeo Drive for a shopping spree.

Spurned at first by snooty salespeople, Vivian later buys a slew of expensive outfits with Edward's money and then returns -- dressed to the nines and carrying handfuls of shopping bags -- to one boutique that had shunned her.

"You work on commission, right?" she asks a bitchy saleswoman.

"Uh, yes."

"Big mistake. Big. Huge," she says, turning on her heels to leave. "I have to go shopping now."

That's why in the 1997 comedy "Romy and Michele's High School Reunion," Michele (Lisa Kudrow) tears up while watching the movie, saying, "I just get really happy when they finally let her shop."

Lighten up. As slick entertainment, the movie works

Sure, its story is ridiculous on many levels. For all its modern trappings (and R rating) it's also deeply old-fashioned: Take out the sex and prostitution and it could be a Disney movie.

But Gere and Roberts, despite their 18-year age difference, have genuine chemistry. The interplay between her goofy exuberance and his bemused stoicism is mostly effective. And Roberts' charisma carries the movie through its weaker spots.

The script also has some zingers, as when Edward asks, "What makes you think I'm a lawyer?" and Vivian answers, "You have that sharp, useless look about you."

On paper "Pretty Woman," initially conceived as a gritty drama, shouldn't work. But it does -- if you don't think too much.

"All these years later, it holds up remarkably well, if you can turn off that think-piece portion of your brain," wrote Stephanie Merry this week in the Washington Post. "(Is she a feminist icon? Is she only worthy of love when in Rodeo Drive's finest? Is this just "My Fair Lady" with sex? Just give up already and embrace the absurdity.)"

@highlight

"Pretty Woman," the Julia Roberts-Richard Gere romantic comedy, was released March 23, 1990

@highlight

Pros: Roberts (as Vivian) is empowered and shows humanity; there a real "zingers" in the dialogue

@highlight

Cons: The movie glosses over harsh realities of prostitution and celebrates consumerism