(CNN) -- Following the liberal footsteps of Colorado and Washington, Alaska, Oregon and the District of Columbia passed ballot initiatives to legalize marijuana this month. Florida's medical marijuana law failed, but only because as a constitutional amendment it needed 60% support; 58% voted in favor of it.

In 2016, another five to 10 states will likely consider legalization -- possibly Arizona, California, Delaware, Hawaii, Maine, Maryland, Massachusetts, Montana, Nevada, New York, Rhode Island and Vermont. It's not surprising. Opinion polls show that marijuana legalization now commands majority support across the country.

Do these developments mean that full legalization is inevitable?

Not necessarily, but one would hope so. Marijuana legalization is a policy no-brainer. Any society that professes to value liberty should leave adults free to consume marijuana.

Moreover, the evidence from states and countries that have decriminalized or medicalized marijuana suggests that policy plays a modest role in limiting use. And while marijuana can harm the user or others when consumed inappropriately, the same applies to many legal goods such as alcohol, tobacco, excessive eating or driving a car.

Recent evidence from Colorado confirms that marijuana's legal status has minimal impact on marijuana use or the harms allegedly caused by use. Since commercialization of medical marijuana in 2009, and since legalization in 2012, marijuana use, crime, traffic accidents, education and health outcomes have all followed their pre-existing trends rather than increasing or decreasing after policy liberalized.

The strong claims made by legalization critics are not borne out in the data. Likewise, some strong claims by legalization advocates -- e.g., that marijuana tourism would be a major boom to the economy -- have also not materialized.

The main impact of Colorado's legalization has been that marijuana users can now purchase and use with less worry about harsh legal ramifications.

Yet despite the compelling case for legalization, and progress toward legalization at the state level, ultimate success is not assured.

Federal law still prohibits marijuana, and existing jurisprudence (Gonzales v. Raich 2005) holds that federal law trumps state law when it comes to marijuana prohibition. So far, the federal government has mostly taken a hands-off approach to state medicalizations and legalizations, but in January 2017, the country will have a new president. That person could order the attorney general to enforce federal prohibition regardless of state law.

Whether that will happen is hard to forecast.

If more states legalize marijuana and public opinion continues its support, Washington may hesitate to push back. But federal prohibition creates problems even if enforcement is nominal: Marijuana business cannot easily use standard financial institutions and transactions technologies such as credit cards; physicians may still hesitate to prescribe marijuana; and medical researchers will still face difficulty in studying marijuana.

To realize the full potential of legalization, therefore, federal law must change. The best approach is to remove marijuana from the list of drugs regulated by the Controlled Substances Act (CSA), the federal law that governs prohibition.

Standard regulatory and tax policies would still apply to legalized marijuana, and states would probably adopt marijuana-specific regulations similar to those for alcohol (e.g., minimum purchase ages). State and federal governments might also impose "sin taxes," as for alcohol. But otherwise marijuana would be just another commodity, as it was before the Marijuana Tax Act of 1937.

A more cautious approach would have Congress reschedule marijuana under the CSA.

Currently, marijuana is in Schedule I, which is reserved for drugs such as heroin and LSD that, according to the CSA, have "a high potential for abuse ... no currently accepted medical use in treatment in the United States ... [and] a lack of accepted safety for use." Hardly anyone believes these conditions apply to marijuana.

If marijuana were in Schedule II, which states it as "a high potential for abuse ... [but a] currently accepted medical use in treatment in the United States," doctors could legally prescribe it under federal law, as with other Schedule II drugs such as cocaine, methadone and morphine.

Given the broad range of conditions for which marijuana may be useful, including muscle spasms caused by multiple sclerosis, nausea from cancer chemotherapy, poor appetite and weight loss caused by chronic illness such as HIV, chronic pain, stress, seizure disorders and Crohn's disease, doctors would have wide reign to prescribe, making marijuana all but legal as occurs under the broadest state medical marijuana laws, such as California and Colorado.

Medical science would also face fewer regulatory hurdles to marijuana research. This "medicalization" approach, while perhaps politically more feasible than full legalization, has serious drawbacks.

Federal authorities such as the Drug Enforcement Administration could interfere with marijuana prescribing -- as sometimes occurs with opiate prescribing. Taxing medical marijuana may be harder than taxing recreational marijuana. And the medical approach risks a charge of hypocrisy, since it is backdoor legalization. But medicalization is still better than full prohibition, since it eliminates the black market.

For 77 years, the United States has outlawed marijuana, with tragic repercussions and unintended consequences. The public and their state governments are on track to rectify this terrible policy. Here's hoping Congress catches up.

@highlight

Alaska, Oregon and District of Columbia recently legalized marijuana

@highlight

Jeffrey Miron: State legalization is not enough; what U.S. needs is federal legalization

@highlight

He says federal prohibition is a problem; doctors and researchers are afraid to use it

@highlight

Miron: Given marijuana's potential in medicine, Congress should make it legal