The shock of seeing the forlorn hulk of the Costa Concordia hasn't been dimmed by time. I'm here once again on the pristine little Italian island of Giglio, made famous not for its beauty, but for the tragedy on its shores.

The Concordia is illuminated by salvage vessels in the inky dark March night. Plans are well advanced to move the vessel, but for now it remains stranded, a macabre beacon at the entrance to the island's main port.

More than a year on from the catastrophe the capsized cruise liner is only now giving up its darkest secrets, with a prosecutor's report now throwing light on how some of the 32 victims died.

The most heart-rending story is that of 5-year-old Dayana Arlotti and her father William, who were both unable to find space on a lifeboat. The pair struggled to the other side of the tilting ship, but fell into a flooded chasm and drowned. Dayana was the youngest victim -- it beggars belief that adults in the lifeboat refused to give up their seats for a girl who'd only just started school.

And then there's the horror endured by bartender Erika Molina. She managed to get onto a lifeboat, but fell out amid the chaotic launch. Without a life jacket she was sucked underwater by swirling currents as the cruise liner capsized.

Maria D'Introno is the only victim whose body has yet to be found. She too was unable to get on the packed lifeboats; so much for women and children first. She was last seen trembling on the edge of the ship. Eventually she jumped into the icy water below. She didn't have a life jacket and couldn't swim. Just a few hundred meters from shore, she also drowned as horrified islanders looked on.

Giuseppe Girolamo was a musician aboard, lucky enough initially to get into a lifeboat, gracious enough to give up his seat to someone else. He too drowned in those dark panicked hours that followed.

Capt. Francesco Schettino has been under investigation for manslaughter and abandoning ship, but prosecutors now recommend he should stand trial, together with four other crew members and a shore-based manager.

One of the accused crew is Manrico Giampedroni. He'd previously been declared a hero, the last person winched off the ship, but he's now accused of failing in his duties to help with the evacuation.

The tragedy is still discussed earnestly as if it happened yesterday, according to one American part-time resident of the island. This tiny maritime community has become inured to the savage power of the sea; the walls of local hotels are covered with fading black and white photos of wrecked schooners and cargo ships. But what shocked locals is that this happened on a calm January night, to a modern cruise liner bristling with the latest navigation equipment. Despite all the advances in ship design and technology, 100 years after the Titanic, once again passengers were left without enough lifeboats.

Since the disaster, the island's small winter population of a few hundred has been swelled by dozens of salvage experts.

The operation to right the Concordia is the biggest maritime salvage exercise ever undertaken with 111 divers working in shifts 24 hours a day from a floating accommodation support vessel tethered next to the wreck. They are helping to deposit 18,000 tons of concrete beneath the hull to stabilize it before it is carefully rolled upright in the summer. Huge "sponson" flotation tanks are being prepared that will act like children's water wings to give the ship buoyancy and massive metal frames anchored to the granite seabed will become vital crutches to support the hull. The sponsons will then be pressurized with air and the Costa Concordia should then float, enabling experts to tow it to the mainland to be cut up for scrap metal; something that couldn't have been done on the water, for fear it would lead to devastating pollution of this national park. But even if this ambitious salvage is successful, it still will have taken almost two years to remove the wreck.

Although there is no permanent memorial to the tragedy on Giglio, many islanders are reminded about the disaster every time they look out of their window and see the wreck. But even when the ship is gone in September or October, the memories of Friday 13th in January 2012 will remain vivid here -- the night disaster made Giglio notorious.

@highlight

A year ago Sunday, a luxury cruise liner capsized off the Italian coast claiming 32 lives

@highlight

A new report sheds light on how some of the doomed ship's victims died

@highlight

The island of Giglio is made famous for the tragedy on its shores, says Dan Rivers

@highlight

The salvage operation is the biggest ever undertaken