A dispute over public prayers at town board meetings will be taken up by the Supreme Court in coming months, another contentious case over the intersection of faith and the public arena.

The justices announced Monday the court will decide whether a New York community may continue what it calls "inclusive" prayers at its town board sessions.

The petition will be argued later this year or early in 2014, with a ruling ready by the spring.

After the Greece, New York, Town Board's policy was challenged because virtually all of those invited to offer prayers were Christians, the board for a time invited a few others, including a Wiccan, to offer invocations.

But when that practice appeared to end, local citizens Susan Galloway and Linda Stephens sued. A federal appeals court found the board's policy to be an unconstitutional violation of the Establishment Clause, which forbids any government "endorsement" of religion.

The town board then asked the Supreme Court to intervene.

Galloway and Stephens say the board of the town outside Rochester almost always invited Christian clergy to open the meetings, usually with sectarian prayers. The plaintiffs said in court papers they were non-Christian and felt "marginalized" by the practice.

Americans United for Separation of Church and State, the Washington, D.C.-based group that is representing the two women, cited records showing that between 1999 and 2010, approximately two-thirds of the invocations contained the words "Jesus Christ," Jesus," Holy Spirit," or "Your Son."

And the lawsuit claims that  from 1999 through 2007, every meeting had a Christian-only invocation. Following the complaints from the plaintiffs, four other faiths were invited in 2008, including a Baha'i leader and a Jewish lay person.

Galloway and Stephens say the Christian-only invocations resumed from January 2009 through June 2010. The plaintiffs then launched their legal fight, saying those invited to the monthly meetings were selected by a city employee from a local guide that had no non-Christian faiths listed.

"A town council meeting isn't a church service, and it shouldn't seem like one," said the Rev. Barry W. Lynn, AUSCS executive director. "Government can't serve everyone in the community when it endorses one faith over others. That sends the clear message that some are second-class citizens based on what they believe about religion."

While the 2nd Circuit U.S. Court of Appeals in New York last year unanimously ruled against the city's policy, other courts around the country have found such invocations -- if inclusive and limited in scope -- to be permissible.

The U.S. Congress regularly opens its sessions with a prayer. Friday's invocation by House Chaplain the Rev. Patrick Conroy began: "Loving and gracious God, we give You thanks for giving us another day. Help us this day to draw closer to You so that, with Your Spirit and aware of Your presence among us, we may all face the tasks of this day."

Forty-nine members of Congress, mostly Republicans, along with 18 state attorneys general have filed supporting legal briefs backing the city.

The Alliance Defending Freedom, a "legal ministry" based in Scottsdale, Arizona, filed the lawsuit on behalf of the Greece Town Board, saying the Supreme Court has upheld the practice of government bodies "to acknowledge America's religious heritage and invoke divine guidance and blessings upon their work."

"A few people should not be able to extinguish the traditions of our nation merely because they heard something they didn't like," said Brett Harvey, an attorney for the group. "Because the authors of the Constitution invoked God's blessing on public proceedings, this tradition shouldn't suddenly be deemed unconstitutional."

But the 2nd Circuit appeals court concluded Greece officials were not diligent enough in efforts to find a more diverse set of voices from other faiths to open the public sessions, suggesting "a single religious sect" was being advanced.

The high court is now being asked to offer more firm guidelines over when and if such public prayers are constitutionally acceptable.

The case is Town of Greece, N.Y. v. Galloway (12-696).

@highlight

A New York community has what it calls "inclusive" prayers at its town board sessions

@highlight

Some local citizens sued and a federal appeals court found the policy unconstitutional

@highlight

"A town council meeting isn't a church service," the legal group backing the citizens says

@highlight

"A few people should not be able to extinguish" the nation's traditions, the other side says