(CNN) -- Take a glass, fill it with marbles and shake. That's what it can feel like inside an airplane hit by turbulence.

Recent United Airlines and American Airlines flights have both been hit by unexpected turbulence that resulted in injuries.

A United flight bound for New York's LaGuardia Airport last month experienced turbulence shortly after takeoff from Houston, sending five crew and passengers to the hospital. And five people were taken to a hospital Tuesday after an Aruba-to-Miami flight encountered turbulence during its initial descent, an American Airlines spokesman said.

Since 2007, there have been 58 reported incidents of turbulence on U.S. airlines, according to the Federal Aviation Administration. These incidents resulted in 64 serious injuries and 97 minor injuries, according to the FAA.

Commonly experienced as bumpiness in flight, "turbulence is rapidly varying or overturning air motions occurring across short distances in the atmosphere," Embry-Riddle Aeronautical University meteorology professor Curtis James said.

Turbulence can occur at any time on a flight, according to Bonnie Schneider, a meteorologist who appears on CNN and HLN and is the author of "Extreme Weather: A Guide to Surviving Flash Floods, Tornadoes, Hurricanes, Heat Waves, Snowstorms, Tsunamis and Other Natural Disasters."

There are several common types of turbulence. Convective turbulence can occur when an aircraft passes over an unstable air mass (perhaps near a thunderstorm) and experiences rapidly rising or descending air, according to Schneider. Mechanical turbulence can occur when an aircraft passes over a mountain range, hills or even large buildings. They bring "waves" of uneven airflow. Wind shear or clear air turbulence can occur without warning due to changing movements and speeds of air at different heights.

"Because the air can be more unstable at lower altitudes, it may more typically occur as a plane is climbing upwards from taking off or descending to land," Schneider said. "Also, since summer thunderstorms tend to occur often in the afternoon, you may find less 'bumpy' flights in the early morning hours," but it can happen any time, even at night, Schneider says.

Capt. Chuck Hogeman isn't worried about what turbulence will do to his plane. Planes are designed to withstand the pressure of the atmosphere in flight, even when it feels really bumpy, says Hogeman, chairman of the Air Line Pilots Association air safety committee and a United Airlines captain with more than 20 years of flight experience. He does worry about passengers and loose galley items flying around during unexpected turbulence.

Don't let turbulence freak you out

One of the trickiest things pilots have to figure out is "when to turn that seat belt sign off after there's been some turbulence and it's been smooth for a period of time," he said. "There's no guarantee you're going to have a smooth ride, and the onset of turbulence can be very quick. Passengers really do need to rely on the judgment of the men and women up front."

We've all heard the flight attendant announcements to fasten our seat belts on board airplanes, even when the seat belt sign isn't illuminated. That offers added protection to passengers, who can choose to follow the rules and buckle up.

Pilots often order flight attendants to sit down if they know turbulence is coming or it's already hit; otherwise, the flight attendants are moving about the airplane cabin to prepare the airplane for in-flight service and landing.

You may not feel particularly fortunate in your cramped coach seat with not even a bag of peanuts to calm you down, but you're luckier than the flight attendant pushing a drink cart during an unpredicted bout of clear air turbulence.

That cart weights several hundred pounds, and the flight attendant has to secure it before buckling up, says Corey Caldwell, an Association of Flight Attendants spokeswoman. Bruises, sprains and even broken bones are common among flight attendants, she says.

So do what James does on a flight: "I just wear my seat belt, because I know it can happen at any time."

CNN's Mike Ahlers contributed to this report.

@highlight

Turbulence can happen at any time, although it often comes during ascent or descent

@highlight

64 serious injuries resulting from turbulence have occurred since 2007, according to FAA figures

@highlight

Staying buckled up is a passenger's best defense against injury