Bamako, Mali (CNN) -- U.S. aid to Mali could "very seriously be affected," a U.S. State Department spokeswoman said Friday, a day after renegade soldiers staged a coup in the young African democracy.

The United States gives Mali's government roughly $140 million in aid each year.

"A little more than half of that is humanitarian aid -- food, etc. -- that would not be affected. But if the situation is not resolved democratically, the remaining portion of that aid could very seriously be affected," Victoria Nuland told reporters in Washington.

"Any U.S. assistance to the government of Mali, beyond what we give for humanitarian purposes, is at risk if we cannot get back to a democratic situation in the country," she said.

Nuland spoke the same day the African Union suspended Mali's membership. At a meeting in the Ethiopian capital, Addis Ababa, the African Union implemented the punitive measures until constitutional order is restored in Mali.

Paul Zolo, Nigeria's ambassador, said the African Union would hold accountable all those involved in the breakdown of security in Mali.

Chairman Jean Ping said the council would consider sanctions similar to those imposed in Ivory Coast during its recent political turmoil.

In the Malian capital, Bamako, shops and offices remained shut a day after the military ousted President Amadou Toumani Toure.

The new military junta suspended the constitution and closed the nation's borders.

Toure's whereabouts remain unknown. The military has only said that "he is safe."

Ping said Toure was in still in Mali and was apparently "protected by his royal guard." Nuland said the same.

Amnesty International reported at least three deaths in Thursday's coup.

Amnesty's director in Mali, Saloum Traore, said the casualties were discovered in the Gabriel Toure hospital; 28 others were injured. Amnesty staff members have not been able to access the other major hospital in Bamako.

News of the military takeover garnered immediate worldwide condemnation. The west African nation of about 15 million people was considered a shining example of democracy.

Amadou Konare, the spokesman for the renegade soldiers who seized control, accused the government of mishandling an insurgency by Tuareg nomads, who have long called for the creation of an independent state and have risen up against the Malian government a number of times since the 1960s.

The indigenous tribe are spread across Mali, Libya, Algeria, Niger and Burkina Faso.

The latest uprising began to take root late last year but gained momentum in January, when the rebels began attacking towns in northern Mali. It has been further energized by an influx of fighters who had been fighting on behalf of former Libyan ruler Moammar Gadhafi.

The Tuareg took advantage of the chaos in the capital and pushed south to occupy the town of Anefis, previously held by the Malian soldiers, according to an online statement from the Azawad National Liberation Movement.

They announced on Radio France International that they would go after other cities, including Gao, Kidal and Timbuktu, that they said were rightfully theirs.

The statement said the coup would not affect the Tuareg quest for a separate homeland.

Amadou Aya Sanogo, Mali's new military leader, said Friday that he would reach out to the rebels for peace talks.

The junta declared a nationwide curfew but called on people to return to work Tuesday. It also said Mali will hold elections for a new president, though no date was announced.

Konare said Mali security forces have formed the National Committee for the Restoration of Democracy and State to work as a transitional government.

A 1991 military coup led by Toure ended a dictatorship in the landlocked West African nation. Toure became president in 2002, was re-elected in 2007 and was scheduled to step down in April, when elections were set to pick his successor.

Jennifer G. Cooke, Africa director of the think tank Center for Strategic and International Studies, said the Mali coup, if ultimately successful, would be a major setback to the nation's political development.

"With the region, the international community and very likely the vast majority of Malians in stark opposition, there is no good outcome here, and things are likely to end very badly for the mutineers," Cooke wrote on the center's website.

The growing Tuareg insurgency has raised concerns in Washington, which sees Mali as an important ally against al Qaeda in the Islamic Maghreb, the sub-Saharan offshoot of the terrorist group.

The ongoing violence between these rebels and security forces has compelled tens of thousands of Malians to flee into neighboring countries and created turmoil in Toure's administration.

Conflict in the region has forced the United Nations to appeal for $35.6 million to address the growing humanitarian crisis as throngs of Malians flee into neighboring countries.

CNN's Pierre Meilhan, Kim Chakanetsa and Moni Basu and journalists Tom Walsh, Diakaridia Dembele and Amadou Timbine contributed to this report.

@highlight

NEW: The United States gives Mali roughly $140 million each year

@highlight

NEW: African Union suspends Mali after coup, will consider sanctions

@highlight

The Tuareg rebels take advantage of the political chaos

@highlight

Military leaders say they will hold elections