(CNN) -- When it comes to thinking about affirmative action, there's an old way and a new way.

The old way was in full bloom this week at the Supreme Court, in a blistering 58-page dissenting opinion by Justice Sonia Sotomayor in what was a state's rights case involving a 2006 Michigan law banning the use of racial criteria in publicly funded college and university admissions, and the question of whether these matters can be settled not just by courts but also by voters.

The new way is on display in California, where lawmakers who want to amend the state constitution to reinstate racial and ethnic preferences at public colleges and universities -- something that was banned by a 1996 ballot initiative -- have a formidable opponent in the form of a group that knows a little something about discrimination: Asian-Americans.

Under the old way of thinking, the narrative goes like this: There was once in this country ugly, overt and systematic discrimination based on race or ethnicity. African-Americans in the South and Mexican-Americans in the Southwest were excluded not just from barbershops, country clubs and public swimming pools, but also from places that could change the destinies of individuals and uplift families -- colleges and universities.

There had to be a corrective device, the thinking went, by which these institutions that had previously treated race and ethnicity of certain groups as a negative could flip the script and treat it as a positive. Some people saw it as a reparation, a historical payoff. But it was more of an acknowledgment that discrimination leaves behind vestiges, and institutions that once went out of their way to be unwelcoming to certain groups now had to go out of their way to be welcoming to those groups by taking applicants' race and ethnicity into account.

This is how Sotomayor, a graduate of Princeton University and Yale Law School, sees the program that she has often credited for opening those doors. In her dissent in the Michigan case, part of which she read aloud to her colleagues, the nation's first Latina Supreme Court justice wrote: "This refusal to accept the stark reality that race matters is regrettable. The way to stop discrimination on the basis of race is to speak openly and candidly on the subject of race, and to apply the Constitution with eyes open to the unfortunate effects of centuries of racial discrimination. As members of the judiciary tasked with intervening to carry out the guarantee of equal protection, we ought not sit back and wish away, rather than confront, the racial inequality that exists in our society."

Anyone out there support racial inequality and think it ought to be preserved? I didn't think so.

Besides, this case wasn't about whether racial and ethnic preferences are good or bad, but whether their use could be restricted by voters at the state level. By a vote of 6-to-2, the high court ruled that it could be.

Meanwhile, in California, there is a group that -- like Sotomayor -- really dislikes racial inequality. So much so that they don't think it ought to be reinstated by the state legislature under the pretext of expanding educational opportunity. In Alabama or Georgia or Mississippi, the dominant racial storyline is black-and-white. But in California, the most interesting relationship -- the one that will help define the future of the nation's most populous state -- is the relationship between Latinos and Asian-Americans.

At 38% of the population, Latinos now make up a plurality in California. Yet the fastest-growing minority in the state is Asian-Americans, who now make up nearly 14% of California, or more than twice the number of African-Americans.

And just as Latinos are divided on issues such as immigration and bilingual education, so, too, are there differences of opinion among Asian-Americans when the conversation turns to affirmative action.

Still, what sends shock waves through the debate in California is that one of the most prominent subsets -- Chinese-Americans -- is opposed to the idea of colleges and universities taking into account race and ethnicity. Organizations representing that constituency pressured a small group of Asian-American lawmakers to stall the legislation. They did.

You might think that an ethnic group that holds nearly 40% of seats in the University of California system would have little to complain about.

You'd be wrong. Asian-American organizations that oppose racial and ethnic preferences claim that the 40% figure could soar to 50% or 60% if colleges and universities awarded slots based on merit. They insist that there is a quota to keep the Asian-American students below 50%, and that this primarily benefits white students who might not be able to compete head-to-head with Asian-Americans.

Welcome to affirmative action, California-style, where things get complicated. As the debate plays out in this state, you don't hear much about "reparations" or the "vestiges of discrimination." The dominant themes are "merit" and "fairness."

Those are not small things. Let's put to rest the old way of thinking about affirmative action and confront the new challenges that lie ahead in a country that, with every passing day, resembles less and less what it used to be.

@highlight

Ruben Navarrette: There's an old and new way of thinking about affirmative action

@highlight

Navarrette: Some think use of racial criteria in college admission helps minorities

@highlight

But Asian-Americans, a powerful minority in California, oppose affirmative action

@highlight

Navarrette: The debate in California is not about "reparations," but rather "merit"