(CNN) -- It's almost mandatory that articles about Scotland open by waxing lyrical about the land of tartan, bagpipes and heather.

Yes, it has all that, but let's try to get beyond golf courses and kilts, and explore what else this country has to offer.

Not least is a fiery independent streak that could, depending on which way a September 18 referendum swings, see it break away from the UK to become a sovereign nation.

That would mean travelers heading there might be eligible for another stamp in their passport.

If they do go, here's eight things they might need to know:

1. Scotland loves politics

Even without the independence referendum, Scotland is extremely political.

So Holyrood -- the colossally expensive home of the Scottish Parliament -- is a good place to get a feel for contemporary events.

The building still divides opinion (go on, ask a taxi driver what he thinks of it), but guided tours are popular with locals and tourists -- as are the weekly shouting matches, otherwise known as First Minister's Questions, that can be seen from the public gallery.

Scottish Parliament building, Holyrood, Edinburgh; +44 131 348 5000

2. Scotland's favorite dish isn't even Scottish...

Haggis, shortbread and scary pies are all well and good, but most Scots prefer to veer off the traditional menu when it comes to chow time.

This shouldn't come as a surprise, particularly in multicultural Glasgow, where thousands of Asians, Italians and Eastern Europeans have settled over the past century.

The South Asian subcontinent has won out with curry triumphing as the nation's favorite dish.

Glasgow has several top-notch curry restaurants, including Mister Singh's in the West End which, now that it's conquered the local cuisine, is creating distinctive Scottish-Indian fusion dishes, such as haggis chasni and mince and tatties (potatoes) curry.

Mister Singh's India, 149 Elderslie St., Glasgow; +44 141 221 1452

3. ... But its favorite drink is

Not all Scots like a drink, but whisky is perhaps Scotland's most famous export.

Distilleries punctuate the islands, Highlands and even the Lowlands of Scotland, and they're all happy to provide tours and tastings -- for a fee of course.

The Isle of Islay off the western coast of Scotland has no less than eight, thanks to the fertile peat bogs and pure water sources that inspired Irish monks to get brewing in the 14th century.

Despite its global appeal, whisky isn't actually Scotland's favorite beverage.

That title goes to Irn Bru -- a lurid soda that can cure hangovers and, apparently, destroy carpets.

4. It gave us the world's first literary superstar

Born in Edinburgh in 1771, Sir Walter Scott was the best-selling author of historical novels such as "Ivanhoe," "Rob Roy," "The Heart of Midlothian" and "The Bride of Lammermoor."

All best sellers in Scotland and across the British Isles, they also had international reach, influencing writers in Russia and the United States.

They're also credited with shaping the Scottish identity.

The author's recently restored country home in the Scottish Borders, Abbotsford House, is packed full of Scott's eclectic collection of unusual objects and historical artifacts that inspired his greatest poems and novels.

Scott's Abbotsford, Abbotsford, Melrose; +44 1896 752043

5. Its railways are amazing

Fans of Harry Potter -- created by J.K. Rowling, another literary superstar who's lived in Scotland -- will remember the scene in which a steam train transports children to Hogwarts through spectacular countryside and crosses a dramatic viaduct.

This is called Glenfinnan and forms part of the West Highland Railway Line running from Fort William to Mallaig.

It even slows down so that the excitable kiddies have time to take pictures.

Stunning views also form the backdrop of rail crossings over the Forth and Tay bridges spanning waterways on Scotland's east coast.

The rest of the rail network is still a cheap(ish) way to visit almost every corner of Scotland.

ScotRail's Freedom of Scotland Travelpass gives four days' unlimited travel on trains, ferries and some bus and coach services, while the Kids Go Free ticket gives further discounts as well as free entry to a some of Scotland's best attractions.

6. It's a bridge to Scandinavia

While the chain stores on Edinburgh's Princes Street may reflect the UK's commercial grip on Scotland, its bleak, beautiful and distant islands seem to lean closer to Norway.

That's likely because many were once part of the Old Norse kingdom, only becoming Scottish after centuries of Scandinavian rule.

The Western Isles changed hands in the 13th century, followed by Orkney and Shetland about 200 years later, but links are still strong.

Many place names and island flags hark back to their Nordic roots and there's even a direct flight between the coastal Norwegian city of Bergen and Shetland during the summer.

The island of St. Kilda is a highlight.

Once the westernmost point of the British Isles, this barren rock was once hope to a population with genetically large feet and prehensile toes that allowed them to clamber over its cliffs.

St. Kilda was abandoned in 1930 and a ruined village now haunts its landscape.

Caledonian MacBrayne Ferries; +44 (0)1475 650100

7. Bannockburn is still an issue

The way some Scots go on about Bannockburn, you'd think the battle there took place last year, and not in 1,314 years ago.

This was the clash that saw Scotland's King Robert the Bruce lead his outnumbered army to victory against the English army of Edward II, without a drop of Irn Bru to help them.

Their tactics changed the path of Scottish history, helping forge a spirit of independence whose endurance must partly be responsible for the current referendum -- it's a happy coincidence for Scottish nationalists that the vote takes place in the year of the battle's 700th anniversary.

Clearly Scottish memories don't need much jogging, but there's now help from a newly opened center that invites visitors to take their place on the battlefield and come face-to-face with the opposing kings.

Battle of Bannockburn, Glasgow Road, Whins Of Milton, Stirling; +44 844 493 2139

8. Its summer festivals are better than its summers

Shivering visitors might gripe that Scotland's summer comes and goes in the time it takes to tell a joke, but at least there's something to laugh about.

That's largely thanks to the Edinburgh Festival, which every August gathers some of the world's best gagsmiths and future stars of comedy for a cavalcade of career-defining standup shows.

To be pedantic, there's no such thing as the "Edinburgh Festival," it's actually a series of different overlapping festivals, but most locals and visitors lump them together.

The highbrow Edinburgh International Festival is the oldest, around which the lower brow Edinburgh Festival Fringe established itself.

These have been joined by more recent additions including the middlebrow Edinburgh International Book Festival.

Locals are famously grumpy about thousands of "creatives" descending upon the Scottish capital for a few weeks, but it's still the best time to experience the city.

Edinburgh Festivals; Waverley Court, 4 E. Market St., Edinburgh; +44 131 529 6763

David Torrance is a Scottish broadcaster, writer and political historian.

@highlight

Scotland's favorite dish is Indian-style curry

@highlight

Whisky is Scotland's biggest import, but its favorite drink is a soda called Irn Bru

@highlight

Many of the distant Scottish islands only became Scottish after centuries of Scandinavian rule