(CNN)We're 2 degrees from a different world.

Humans never have lived on a planet that's 2 degrees Celsius (3.6 Fahrenheit) warmer than it was before we started burning fossil fuels, in the late 1800s, and climate experts say we risk fundamentally changing life on this planet if we do cross that 2-degree mark.

"This is gambling with the planet," said Gernot Wagner, the lead senior economist at the Environmental Defense Fund and co-author of the book "Climate Shock."

Think super droughts, rising seas and mass extinctions.

Yet for all of its importance, I don't think the 2-degree threshold is as famous as it should be. I've heard it referred to as the "north star" for climate negotiations. Meaning: This one little number carries huge importance as a way to focus the world's attention.

It's so significant that it's going to be the subject of my reporting for the rest of the year. I'm calling that effort "2 degrees," and I need your help to make it work.

Until 5 p.m. ET Monday, you can vote on the first story I'll report for the series.

Vote using the Facebook poll below (or go here if you don't see it.)

Tell CNN's John Sutter which of these climate change stories you like best - and he'll report on the winner. This poll closes Monday, April 27, at 5pm ET. #2degrees

All of those story ideas came from you, by the way.

They focus on what a 2-degree world might look like.

CNN kicked off this effort with a Facebook chat last week. We asked for your questions about climate change and about the 2-degree threshold, specifically.

I don't have all the answers right now. We'll continue to explore the importance of this number together. But below you'll find quick responses to seven basic questions about this crucial number. Many of them come straight from you, the readers. And I tossed in a couple of my own.

If you'd like to follow this project as it evolves, I'd encourage you to sign up for the "2 degrees" newsletter. And feel free to ask more questions in the comments section below. They'll shape the way I spend the rest of the year reporting on this super-critical number.

One guy, it turns out. William Nordhaus, an economist at Yale.

Nordhaus, 73, proposed the 2-degree threshold in a 1977 (1977!) paper titled "Economic Growth and Climate: The Carbon Dioxide Problem."

The estimate was "crude, but it was a reasonable first start," he told me.

"If there were global temperatures more than 2 or 3 degrees above the current average temperature, this would take the climate outside of the range of observations which have been made over the last several hundred thousand years," he wrote in "The Climate Casino."

A growing body of research now supports the idea.

Science has continued to raise red flags about 2 degrees of warming. And that work has led policy experts to conclude that a 2-degree world is something none of us should want.

"You need a judgment call for these things," said Carlo Jaeger, chair of the Global Climate Forum, who has written on the history of 2 degrees Celsius. "And this 2-degree thing was a judgment call that happened at the interface of science and policy."

Germany was first to push 2 degrees as an policy goal, Jaeger told me. That happened in the 1990s. Later came the European Commission, the G8, the U.S. National Academy of Sciences and, most significantly, the Copenhagen Accord, which was signed by more than 100 nations who agreed 2 degrees would be too much.

The United States was among the signatories.

I'm going to spend the month of May exploring this question, so look for more on this. But here are some striking facts about what scientists expect a post-2-degree world to look like. These are pulled from reports by the National Research Council,  the Intergovernmental Panel on Climate Change and the World Bank.

• Wildfires in the United States are expected to increase 400% to 800% in size. • Hurricanes are expected to become 2% to 8% more intense.• A range of species will be at risk for extinction, particularly amphibians. The IPCC estimates 20% to 30% of animals and plants species will be at "increasingly high risk of extinction" at or near the 2-degree mark.• The Arctic is expected keep melting, losing 30% of its annual average sea ice.• Certain crop yields in the United States, India and Africa are expected to decrease 10% to 30%.• The availability of freshwater is expected to decline by 20%.

So ... not good.

And numbers don't convey the emotional toll.

"I'm from New Mexico," said Nordhaus, the economist who proposed the 2-degree threshold. "I love it there, and I know it's going to be a completely different climate. The trout fishing probably won't be as good. The hiking won't be as good. These forests may look completely different, or burn down. I love to ski. It's one of my things I love most. And that's obviously affected by warming. I love the ocean, and the New England coastline, and it's in peril. That's just for starters."

No one knows, exactly. Think of 2 degrees like a sort of speed limit -- or a zone of increased risk. Katharine Hayhoe, a climate scientist at Texas Tech, told me that burning fossil fuels is like smoking. How many cigarettes give you cancer? No one knows, exactly. But the more you smoke, the more you up your risk. And 2 degrees, policy experts agree, is certainly risky territory.

Plus, everyone hates a fraction.

Targeting 1 degree of warming is "ridiculous because you can't do it," said Nordhaus, the economist. "Three sounds too high. And you can't have a fraction because it's too complicated.

"So two is kind of an obvious number."

The climate already has warmed 0.85 degrees since the Industrial Revolution. And we reasonably can expect to reach 1.5 degrees simply based on the pollution we're already putting into the atmosphere, even with "very ambitious mitigation action" to reduce carbon emissions, according to a 2014 report from the World Bank. Some of that warming is "locked-in to the Earth's atmospheric system," that organization says. The impacts of climate change already are being felt.

Yes, but it won't be easy.

"If you want to stay below 2 degrees, you have to reduce emissions at an amazing speed -- to an incredible degree," said Jaeger from the Global Climate Forum.

Here's the best guess for what that "amazing speed" might need to look like: Cutting greenhouse gas emissions by some 80% to 90% by 2050, said Jennifer Morgan, global director of the climate program at the World Resources Institute. "It depends on how much risk you want to accept," she said. Some activists, including those from 350.org and Avaaz, which together organized the largest climate change rally in history last year in New York, want to accept less risk than that.

"Our position is 100% clean energy," said David Sievers, a senior campaigner for Avaaz.

If we continue burning fossil fuels at the current rate, we could hit 2 degrees of warming before midcentury. Scarier still, we could hit 3 to 5 degrees of warming by 2100.

Some writers have called for the world to abandon the 2-degree target, saying it's too ambitious, or even naive. But we need a yardstick to measure progress -- and we need that "north star" to help us set goals that actually would be weighty enough to make a dent in this problem.

If you think 2 degrees sounds bad, 5 degrees is far, far worse.

The IPCC expects a 5-degree world to be characterized by "major extinctions around the globe" and a "reconfiguration of coastlines worldwide." Just beyond that, at 6 degrees, we're looking a "catastro-f***" that would be almost "infinitely costly," said Wagner, the Environmental Defense Fund economist. "It's akin to killing the planet, basically. Or society on the planet."

This much should be clear: Something has to change.

If we shoot for 2 degrees and end up at 3, that's still better (or less awful) than 5 or 6. What's important is that we maintain a sense of urgency, and keep sight of the goal.

Please be in touch! I need your help to make this work.

Email questions to: climate (at) cnn (dot) com.

Subscribe to the "2 degrees" newsletter.

Follow the project on Facebook, Twitter and Instagram.

@highlight

Experts have raised red flags about the warming of planet by 2 degrees Celsius

@highlight

John Sutter: This one little number is significant as a way to focus world's attention on problem