The cost of fighting climate change will only climb if industrialized nations don't take steps to reduce greenhouse gas emissions, the United Nations' panel on the matter warned Sunday in its wrap-up report.

In its "synthesis report," the Intergovernmental Panel on Climate Change said that the hundreds of authors involved in the study were even more certain than before that the planet is warming and humans are the cause.

"If left unchecked, climate change will increase the likelihood of severe, pervasive and irreversible impacts for people and ecosystems," the report said.

U.N. Secretary-General Ban Ki-moon told reporters that action must come soon.

"Leaders must act. Time is not on our side," he said.

The report said there are solutions to keeping the rise in temperatures from crossing a 2-degree Celsius increase, the goal of many governments.

"It is technically feasible to transition to a low-carbon economy," said Youba Sokona, the co-chairman of IPCC Working Group III. "But what is lacking are appropriate policies and institutions. The longer we wait to take action, the more it will cost to adapt and mitigate climate change."

Previously the group has said that about half of the carbon dioxide released into the atmosphere since the dawn of the industrial age has been produced since 1990. On the current path, global average temperatures could go up anywhere from 3.7 to 4.8 degrees C (6.7 to 8.6 F) over pre-industrial levels by 2100.

According to the IPCC, to stay below a 2-degree C increase, greenhouse gas emissions need to fall as much as 70% around the world by 2050 and to zero by 2100.

U.S. Secretary of State John Kerry said the report is "another canary in the coal mine" and added that "ambitious, decisive and immediate action" is needed.

"We have that opportunity, and the choice is in our hands," R. K. Pachauri, chairman of the group, said in the report.

John Coleman, a weather forecaster and a founder of the Weather Channel, said climate change is "not happening."

"There is no significant man-made global warming now. There hasn't been any in the past, and there's no reason to expect any in the future," Coleman told CNN's "Reliable Sources."

Coleman said governments pay scientists to study the issue and researchers reach expected conclusions in order to continue to receive funding. Therefore the large percentage of climate scientists who agree there is climate change is a "manipulated figure," he said.

"They don't have any choice," added Coleman, who said he is a skeptic, not a denier. "If you're going to get the money, you have got to support their position."

But David Kenny, CEO of the Weather Channel, said Coleman's opinion is at odds with the channel's stance, which he said has been "unwavering" since 2007.  The Weather Channel's statement says that the Earth is indeed warming and cites "strong evidence that the majority of the warming over the past century is a result of human activities."

Weather Channel distances itself from a founder

"The science is really clear, and I don't like our brand being associated with something that's not scientifically based," Kenny told "Reliable Sources," adding that Coleman hasn't been associated with the channel in decades.

The chief scientist at the United Kingdom's Met Office said the IPCC report gives governments the science to help make policy decisions.

Julia Slingo added that supercomputing will also advance the science.

"By doing this we can provide a solid evidence base to ensure UK investment decisions, and our future prosperity, remain resilient to future climate risk," she said in a written statement.

The report didn't estimate a price for global changes.

"The Synthesis Report finds that mitigation cost estimates vary, but that global economic growth would not be strongly affected," it said.

Ban said it is a myth that fixing climate change will be expensive. Inaction will have large financial and societal costs, he said.

He pointed to renewable energy and increased efficiency as two ways to address the issue.

The IPCC said the report is based on 30,000 scientific papers studied by about 830 authors and 2,000 reviewers.

The reports from the IPCC are aimed at guiding world leaders as the United Nations attempts to work out a new treaty to limit emissions.

Paris will host the next major international climate summit, scheduled to start November 30, 2015.

Previous rounds of talks have been strained by disputes between the biggest emitters -- China, the United States and European countries -- and poorer countries whose populations could see the worst impacts first.

@highlight

U.N. Secretary-General says time is running out for world leaders to lead

@highlight

Report is "another canary in the coal mine," U.S. Secretary of State John Kerry says

@highlight

U.N. calls for the elimination of greenhouse gas emissions by 2100

@highlight

IPCC says it is more certain than ever that humans are causing temperature rises