(CNN) -- Let's take a little quiz. Which piece of home technology do you think uses the most electricity?

A. Refrigerator

B. Laptop

C. DVR/set-top box

D. HD television

If you answered set-top box (C), you're right. That little box near your TV -- the one that plays and records cable television -- uses more electricity than a modern refrigerator, and it probably sucks down more power than the TV it's attached to, according to a recent report from the Natural Resources Defense Council.

Surprised? You should be. In this day and age, we've come to expect that technology will help us save electricity, not waste it. But when it comes to electronics, there are glaring exceptions to the rule that more technology makes our lives more efficient.

It seems technology has become simultaneously the hero and villain of the energy-efficiency movement. In the long term, research shows, tech will help us build energy-saving homes and will aid in our quest to get electricity from renewable sources.

But, right now, our growing appetite for consumer electronics seems to be creating overlooked electricity waste and is offsetting gains made in other sectors.

In recent weeks, environmental groups have made set-top boxes public enemy No. 1.

"This is a huge energy consumer that nobody knows about," Noah Horowitz, a senior scientist with the Natural Resources Defense Council, said of set-top boxes. "The secret is out that these products waste $2 billion a year in energy ... when consumers aren't using them. And we really need the industry to move forward and do a better job here."

Why is that the case? There are several problems, Horowitz said, with this piece of technology.

Here are a few:

You can't turn most set-top boxes off or put them in "sleep" mode.

If you hit the power button, all that happens is the clock gets a little dimmer; virtually no energy is actually saved by "powering down."

Set-top boxes are everywhere; the Natural Resources Defense Council estimates there are 160 million set-top boxes in U.S. homes, about one for every two people in the country.

Cable companies usually own the set-top box, so consumers don't have much choice in whether it's energy efficient (The council suggests that consumers call their cable companies and request a more efficient model that has a sleep mode).

In aggregate, Americans spend $3 billion per year powering these devices, the group says.

New data about how much energy these never-off set-top boxes really use have caused a sort of sea change in the energy efficiency world.

Regulators are now, for the first time, considering energy efficiency regulations caps for set-top boxes and wireless routers, according to John Cymbalsky, supervisor of the appliance standards program at the U.S. Department of Energy.

It's unclear whether standards will be put in place, he said, but they could be adopted without reducing the devices' performance.

The proliferation of consumer technology is also a driver of the concern.

This year, the average American home has 24 pieces of consumer electronics, according to a survey from the Consumer Electronics Association. Twenty years ago, a standard home only had 9.7 electronics; in 1980, it was only 2.8 per household. (The survey includes computers, gaming systems, TVs, GPS, DVD players and audio systems in its list of products).

Beyond those, It seems everything these days needs to be plugged in.

"Who would have thought 20 years ago that we would need electronic books or toothbrushes or coffee grinders?" said Owen Comstock, a research analyst at the U.S. Energy Information Administration. "There's hardly a thing you could point to that isn't already plugged in -- and it certainly has implications for electricity use."

These devices are also getting bigger.

The U.S. Environmental Protection Agency estimates that there are 275 million TVs in use in the United States today -- almost one for every person.

Of those, 20 million have screens that are 40 inches or larger, said Katharine Kaplan, EPA team lead for Energy Star product development.

All of this adds up to a new reality for home energy use: Electronics are a larger part of our energy diets than ever before. Along with appliances, electronics made up 17% percent of an average household's energy use in 1978; in 2005, that jumped to 31%.

Other home energy wasters -- like light bulbs, air conditioners and water heaters -- are subject to regulations that aim to curb energy use without degrading quality, Kaplan said. The same may happen for electronics, she said.

In 2009, California became the first state to pass energy efficiency requirements for TVs. The state estimated at the time that consumers would save a total of $1 billion per year in electricity because of the standards.

Overall, consumers shouldn't blame technology for energy waste, Kaplan said.

If anything, new tech may be what helps get us out of this mess.

Take smartphones, she said. Those Swiss army knife gadgets replace GPS devices, mobile phones and, to a certain extent, portable computers. That saves energy.

Tech is also being used to make energy systems and individual appliances more efficient. And technology is being used to try to coerce people into using less power voluntarily. One company called OPOWER, for example, uses smart grid technology to tell people how much electricity they use compared with their neighbors, in hopes this will guilt them into using less power.

The better technology gets, and the more widely it's adopted, the more energy we save, according to recent projections from the U.S. Energy Information Administration.

If people develop and adopt lots of new technology, our per-person energy use will drop 34% by 2035, estimates show. If we keep using the same old stuff we were using in 2010, per person energy use will drop much less significantly: only about 10%, the report says.

So, in the end, maybe tech isn't the villain after all.

@highlight

A greater percentage of home energy use comes from electronics these days

@highlight

An average home has 24 pieces of consumer technology, says industry group

@highlight

Set-top boxes, which play and record cable TV, are among the bigger energy suckers

@highlight

Department of Energy is considering regulations to make those boxes more efficient