(CNN) -- Could it be that the reason our government is broken is because of which generation is running things?

Authors Morley Winograd and Michael Hais think so, insisting that the problem is that power is now firmly in the hands of self-righteous baby boomers who have spent their entire lives convinced that anyone who disagrees with them is morally inferior. Boomers won't negotiate anything, Winograd and Hais say, because they think every position they hold is rooted in something no less sacred than their values, and they're understandably reluctant to negotiate their values.

Winograd, who worked as a policy adviser to former Vice President Al Gore, and Hais, an expert on polling and research, insist that the situation will get better when the generational torch is passed and younger people take over. In their new book, "Millennial Momentum," they explain how the millennial generation (born from 1982 to 2003) will remake America in education, politics, entertainment and every other conceivable endeavor. There will be more compromise, they predict, and more tolerance for different points of view. There will also be more of a desire to rule by consensus and not decree.

But until that day comes, the authors told me during a recent interview, there will be gridlock and dysfunction. And our government will stay broken.

I'm not sure I'm sold, but it's a provocative theory. There are others out there as well, and I wanted to hear them.

I have a lot of friends who are in Generation X -- in between boomers and millennials. Some of them are political insiders in their 30s and 40s who have worked as congressional staffers, run major political campaigns, worked in the White House, or been elected to legislatures and city councils. They know all about government, what works and what doesn't.

So I asked some of them why our government is broken, and here are some of the reasons they gave:

Safe districts. Now that the redistricting process has become all about preserving incumbency, and limiting the number of "competitive" districts that could go into either party's column, there are fewer moderates in Congress. It was bound to happen. Once politicians start thinking in terms of creating safe Republican districts and safe Democratic districts, it becomes a contest to see which candidate for a congressional seat is more of a partisan Republican or Democrat. The result: plenty of highly partisan and comfortable lawmakers who don't have to worry about being voted out of office.

Constant need to fundraise. Because members of Congress have to stand for re-election every two years, they are in constant need of ready cash, which the candidates then turn around and spend on glossy mailers, campaign staff, and television commercials. Besides being undignified, this dialing for dollars leaves little time to get to work on solving the nation's problems.

Words speak louder than actions. Somewhere along the road, lawmakers got the idea that talking about a subject was just as good as tackling it. On an issue like immigration, for instance, members of both parties talk endlessly -- and with every utterance, move further away from ever finding a solution.

Powerful special interests. Many people run for Congress because they think these are powerful positions. But when they arrive, they realize just how little power they have. The clout lies with special interests, which turn out volunteers and give money to campaigns. Want to get education reform? Talk to the teachers unions. Want to save Social Security? You'll need to go through the senior lobby. All politicians have pressure points, and the special interests know just where to push.

Polarization. No matter what the issue at hand, the extreme voices tend to be the loudest -- and often the most inflexible. So policy debates quickly degenerate into a pair of competing and intractable positions that neither side will budge from. Compromise is unlikely, and combat is inevitable. And in that environment, it's usually all or nothing. No one will settle for half a loaf; they all want the whole bakery.

Resistance to accountability. Lawmakers would rather wring their hands over a problem than lay claim to a remedy that might ruffle feathers. They know that, if they approve a controversial bill, they have to own it for the next election. So, oftentimes, they would rather have an issue to bat around than risk accountability at the polls for rolling up their sleeves and working out a solution to a problem.

Voter apathy. The irony is that the worse government performs, the greater the public cynicism, and the less likely it is that many Americans will turn out to vote -- which, in turn, only makes government even worse, because it offers little incentive for politicians to do better. That's dangerous. After all, as former Wyoming Sen. Al Simpson likes to say, politics is a contact sport: "You take part, or you get taken apart."

What if you were in charge?

The old saying dictates that people get the government they deserve. But they also get the government they'll tolerate. If it's really true that record numbers of Americans are fed up with their government, as the latest polls show, they have to make it known -- and make some changes. And one way to fix government is to replace those who are doing the governing -- whatever generation they're from.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Two authors blame baby boomers for broken government

@highlight

They say that boomers are too inflexible, see disagreement as assault on their values

@highlight

He says other factors contribute to paralysis in Washington

@highlight

Navarrette: Constant fundraising and power of special interests are key