(CNN) -- The Leipziger Strasse in central Berlin looks like almost any another main traffic artery in the world these days. It's four lanes in each direction, and high rise buildings with nondescript shops on the ground floors line the sidewalks.

But this used to be one of the main streets of Communist East Berlin, where the East German regime showcased its arsenal during military parades. It was also the place I spent five years of my childhood from the late 1970s.

My father, Fritz Pleitgen, was the bureau chief for ARD West German television in East Berlin, and with that title he became one of the people the intelligence service -- the Staatssicherheit or "Stasi" -- hated and spied on the most. Their code name for him was "The Tiger."

"It was a war of the airwaves much more than it was a war with weapons, because there was always this competition between East Germany and West Germany," my dad recently told me when we visited our old house at Leipziger Strasse 66.

"They broke into our flat, but also into our office," he said, describing the Stasi's methods. "They took pictures. And sometimes they wanted to show me that they were in. That I got the impression that I am being observed."

They tried to gather any sort of information they could on my dad. The Stasi also used directional microphones and, of course, many informants who tried to make contact with our family and those working for the ARD office in the Schadow Strasse in East Berlin. The files that the Stasi gathered were later made available to the public. When my dad went through his, he was amazed.

"It was a total observation," he said. "They wanted to know everything to try and determine what kind of guy I was, because they thought all Western reporters were spies."

He later discovered that all of our neighbors around the house we lived in were secretly reporting to the Stasi. There were some situations where it was pretty obvious that people were acting as informants, or "Unofficial Employees" as the Stasi called them. But it was impossible for Western journalists to know the full extent to which they were being shadowed.

The daily work was a cat and mouse game. The East German regime went to great lengths to try and prevent people in the German Democratic Republic (East Germany's official name) from watching Western TV. And they also did everything they could to stop East Germans from talking to West German reporters.

"They wanted to stop our contacts with the East German population," my dad said. "That was their nightmare -- that there could be an alliance of West German correspondents with the people of East Germany."

One such encounter was recorded in 1979 when my dad and his crew drove out to the Berlin-GrÃ¼nau district to try to interview the author and activist Stefan Heym -- a man who was not afraid to speak out and criticize the regime.

When the team arrived, Stasi agents were already waiting, and they tried to stop them from talking to Heym. The crew did what almost every TV crew does when confronted with government goons who want to stop them from doing their work: They started a long conversation while the cameraman secretly kept filming, and the Stasi people grew increasingly uncomfortable as the situation went on.

In the end my dad was allowed inside to speak to Heym, but the camera had to stay out. He would go on to interview the activist on many occasions, and they remained friends until Heym died.

As time went on, the East German government's restrictions grew tighter and tighter.

"They wanted a permission letter for everything," my dad told me. "I could not even go up to you and just ask you what the weather is like."

One way to undermine the repression was to mislead the Stasi. In some cases the ARD crews would say they wanted to do feature reports about the beauty of the landscapes and towns of East Germany, when in reality they wanted to show the mood of the people there. Sometimes they would purposely talk about going to a certain area, knowing the spies were listening, and then go somewhere completely different.

Being a West German family living in East Berlin, we were allowed to pass through the Berlin Wall to West Berlin anytime. The children actually went through the Wall every morning to get to school and kindergarten. My parents have never forgiven us for purposely losing our identification cards whenever we didn't feel like going to school. That meant we were stuck in the East, and that my dad would have to fly to West Germany to get new IDs for us.

The constant harassing and spying also made life extremely difficult for my mother, who was doing an amazing job trying to raise me, my brothers Christoph and Benjamin and my sister Vanessa. My dad had promised her a glamorous life as the wife of a foreign correspondent with stints in Paris or New York. Instead she found herself first in Moscow from 1970 till 1977, and then in East Berlin.

"She always had problems with the border guards," my dad said. "And she was not ready to talk to them with a smile because she hated their questions."

One of the dumbest things the guards always wanted was to see was my mom's left ear. It was in their protocol that people passing the checkpoints had to show their left ear to be positively identified.

"First of all, she always refused to get out of the car," my dad said. "And at some point she told them, 'Listen, you have seen my left ear so many times, you must know what it looks like by now. I am not going to show you again.'"

It didn't help that my siblings and I did a lot to bring our parents into embarrassing situations. My father remembered how he once got a call because his children had stolen a border guard's hat and thrown it around the inside of a bus. On another occasion we threw balloons filled with water from the 13th floor of our building and hit an East German "Volkspolizist," as the regular police were called.

"One of the questions that was asked in the police report was whether the balloons were filled with warm or cold water," my dad recalled with a smile on his face as we stood outside the apartment building.

I was 13 when the Berlin Wall came down. It meant nothing to me at the time. But today when I walk the streets of Germany's capital it is truly amazing to see how far the city and the country have come -- first rebuilding it after the shame of the Nazis and World War II, and then re-unifying it after the long division of the Cold War.

I take great pride in the fact that my dad played such a prominent role opposing German division, and that he and my mother never gave up and always stood tall and strong. No matter how repressive, intrusive and abusive the East German regime was, it never broke the will of The Tiger.

@highlight

As a child, CNN's Fred Pleitgen lived in East Berlin under the watchful eye of the Stasi

@highlight

His father Fritz, a journalist at a West German TV network, says the Stasi broke into the family flat

@highlight

Fritz: Stasi's nightmare was "an alliance of Western journalists with the East German people"

@highlight

Fred Pleitgen: It's amazing how far German capital has come since the Berlin Wall came down