(CNN) -- The horrific events in Newtown are unfathomable. Asking "why?" is natural at times like this, but intuitively it is clear that there cannot be any good reason for what was truly a senseless massacre.

It is impossible not to grieve with the families in Newtown, Connecticut, who have experienced such tremendous loss, just as it is impossible to not hope for anything that can provide some comfort.

All of us who have had children in primary school at one time or another stopped in our tracks when we heard the news, just as President Barack Obama did, as we tried to imagine how we would have coped had something so horrendous happened in our own child's school.

But why must the nation grieve with God? After Newtown, a memorial service was held in which 10 clergy and Obama offered Hebrew, Christian and Muslim prayers, with the president stating: " 'Let the little children come to me,' Jesus said, 'and do not hinder them. For such belongs to the kingdom of Heaven.' God has called them all home. For those of us who remain, let us find the strength to carry on."

Why must it be a natural expectation that any such national tragedy will be accompanied by prayers, including from the president, to at least one version of the very God, who apparently in his infinite wisdom, decided to call 20 children between the age of 6 and 7 home by having them slaughtered by a deranged gunman in a school that one hopes should have been a place of nourishment, warmth and growth?

We are told the Lord works in mysterious ways but, for many people, to suggest there might be an intelligent deity who could rationally act in such a fashion and that that deity is worth praying to and thanking for "calling them home" seems beyond the pale.

Let me be clear that there may be many grieving families in Newtown and around the country who have turned to their faith for solace in this difficult time. No caring person would begrudge them this right to ease their pain. But the question that needs to be asked is why, as a nation, do we have to institutionalize the notion that religion must play a central role at such times, with the president as the clergyman-in-chief?

Since this tragedy, cable TV networks have been flooded with calls to faith and have turned to numerous clergy as if, as a matter of principle, they have something special or caring to offer. Often what they provide is quite the opposite.

On CNN the other day, Bishop Robert Wright of the Episcopal Diocese of Atlanta suggested that people who don't have faith in his deity can only go so far in our emotional capacities to love and forgive, that without faith "we lack the strength to take us the full way of ourselves, the best of ourselves."

Besides being offensive, this is nonsense. We don't need faith to empathize with the grieving in Newtown. We can feel real connections, whether we are parents, or neighbors of families, or simply caring men and women. And we can want to help simply because of our common humanity.

Why does television automatically turn to clergy for advice on how to meet our needs, spiritual or otherwise?

Later on television, I saw media Rabbi Shmuley Boteach, who used to claim to be the personal spiritual guide of Michael Jackson, until that presumably became less sellable. I also once had the displeasure of debating him on the subject of evolution, which he essentially rejects, offering admonition to those who, with very good reason, may question a God who could willingly allow the slaughter of children. I would argue that times like these are very good times to question your faith in deities.

It gets worse. Television host and former presidential candidate Mike Huckabee suggested that because we are keeping God out of schools, the Deity chose not to stop the slaughter of these young innocents. (Or, to put it more bluntly, "If you don't invite me to the party, I will kill your kids!") If this were remotely believable, who would want to pray to such a fickle and pompous deity?

I feel particularly sad for the grieving parents who might not be Christian, Jewish or Muslim. Besides learning that they are somehow lacking in empathy or goodness or the ability to heal, little guidance is being provided to those who among them have decided that they cannot believe in a sometimes violent and irascible God or who in fact have found their faith in God in question as a result of this tragedy. For these people, as for me, the thought that God has "called their children home" is simply offensive.

Why can't we as a nation focus on consoling the families in their grief by focusing on the most important realities, the lives of the children they have lost, celebrating their memory and sharing our common love of family, of children, and of our common humanity and perhaps most importantly arguing that this tragedy may one day not be completely in vain: That a shocked nation might rationally decide that assault weapons are meant to kill many people in a short time, not to hunt for deer or defend one's home.

If instead of automatically assuming that prayers to a deity callous enough to allow this sickness, or worse, to encourage it out of divine retribution, are what families in grief need from their president and from the media, that we focused on rational grief counseling and community support, including better mental health care combined with sensible gun control, we as a society might ultimately act more effectively to stop this madness.

The opinions expressed in this documentary are solely those of Lawrence M. Krauss.

@highlight

Lawrence Krauss: The horrific shootings in Newtown were a senseless massacre

@highlight

He says the nation grieves with the families in Newtown who experienced tremendous loss

@highlight

Krauss: Why should the framework of national grief be focused on religious faith?

@highlight

He says clergy, asked by media for comment, have often fallen short