Washington (CNN) -- The Senate voted Wednesday to approve the new nuclear arms control treaty with Russia -- a major foreign policy victory for the Obama administration near the end of the lame-duck session of Congress.

The New Strategic Arms Reduction Treaty, or New START, was cleared by a 71-26 vote. Several Republicans joined a unified Democratic caucus in support of the accord.

Under Senate rules, the treaty required support from a two-thirds majority of voting senators for final approval.

"This is the most significant arms control agreement in nearly two decades," President Barack Obama said after the vote.  It "will enhance our leadership to stop the spread of nuclear weapons and seek the peace of a world without them."

Bipartisan passage of the measure "sends a powerful signal to the world that Republicans and Democrats stand together on behalf of our security."

If ratified, the treaty would resume inspections of each country's nuclear arsenal while limiting both the United States and Russia to 1,550 warheads and 700 launchers.  It still needs to be approved by the Russian parliament.

Obama signed the treaty with Russian President Dmitry Medvedev in April.  The accord is considered a critical component of nuclear non-proliferation efforts and the administration's attempt to "reset" Washington's relationship with Moscow.

Several senators were reassured by the last-minute passage of an amendment stating that the accord should not be interpreted in a way that would hamper U.S. missile defense plans. The amendment was sponsored by Republican senators John McCain of Arizona and Bob Corker of Tennessee, among others.

Others said they had been assured of an administration commitment to modernize America's aging nuclear arsenal.

"The people of the world are watching us, because they rely on our leadership," said Senate Foreign Relations Committee Chairman John Kerry, D-Massachusetts.  It is time to "move the world a little more out of the dark shadow of nuclear nightmare."

"We are the leading nuclear power on this earth.  It is our responsibility to lead," said Sen. Byron Dorgan, D-North Dakota.  This treaty is "a step in the right direction."

Indiana Sen. Richard Lugar, the top Republican on the Foreign Relations Committee, called it a step forward in terms of constraining "expensive arms competition with Russia" and frustrating "rogue nations who would prefer as much distance as possible between the United States and Russia."

Not all Republicans were convinced of the treaty's merits, however.

Sen. Jim DeMint, R-South Carolina, argued on the Senate floor that the basic premise of the treaty -- that America's nuclear arsenal should be at parity with Russia's -- is flawed.

"Russia is a protector of none and a threat to many. America is a protector of many and a threat to none," DeMint said.

DeMint also voiced an ongoing conservative complaint in the lame-duck session -- that Democrats were ramming the treaty through as part of a long list of partisan priorities rejected by the public in the midterm elections.

"We should not be passing major legislation at this time of year with this Congress," he said. The arms pact is part of "a continued effort of accommodation and appeasement" that makes a "mockery of the debate and ratification process."

Sen. Mark Kirk, R-Illinois, called the treaty "an echo from the 20th century" that fails to account for new and emerging threats.  Kirk and several other senators expressed a fear that the treaty would weaken America's ability to prevent potential nuclear attacks from countries such as Iran and North Korea.

McCain himself, despite passage of the amendment he sponsored, ultimately voted against the accord, as well. He argued that that it "re-establishes an old and outdated linkage between nuclear arms and missile defense, which is no longer suited to the threats of today's world."

Passage of the treaty appeared to be in doubt for weeks. A late burst of support came Tuesday, however, after treaty supporters voted down or tabled several Republican amendments, saying they were unnecessary and would imperil the pact by reopening negotiated language or understandings with Russia.

The defeated amendments included adding a reference to tactical nuclear weapons and a bid to remove from the preamble language recognizing a relationship between offensive and defensive weapons.

A number of senior military leaders publicly endorsed the treaty, including Adm. Mike Mullen, chairman of the Joint Chiefs of Staff.

"This treaty has the full support of your uniformed military, and we all support its ratification," Mullen wrote in a letter read Monday by Kerry.

The late endorsement helped undercut a move by some conservatives to delay final consideration of the treaty until January, when Republicans will have a stronger minority in the Senate and, therefore, more leverage.

Obama and Democratic leaders, conversely, pushed strongly to get the agreement passed before their majority in the Senate diminishes.

In a sign of the high stakes involved, Obama and other top administration officials, including Vice President Joe Biden and Secretary of State Hillary Clinton, all talked to individual senators in recent days to seek support for the treaty.

Biden, acting in his capacity as president of the Senate, personally presided over the final vote. Clinton also went to Capitol Hill to discuss the issue with former Senate colleagues.

Sen. Ron Wyden, D-Oregon, managed to make it to the Senate for the vote despite undergoing prostate cancer surgery Monday.

A joyous atmosphere was seen on the floor after the vote -- likely the last Senate action of the lame-duck session. The treaty's supporters and opponents alike congratulated Lugar and Kerry, the key congressional proponents of the accord.

An overwhelming majority of Americans support ratification of the treaty, according to a CNN/Opinion Research Corp. poll released Tuesday: 73 percent of people questioned in the national poll said the Senate should approve the accord, while 24 percent said senators should reject it.

CNN's Alan Silverleib, Tom Cohen, Dana Bash, Ted Barrett and Lesa Jansen contributed to this report.

@highlight

NEW: Obama praises unity between parties in passing nuclear arms accord

@highlight

NEW: McCain decries "outdated linkage between nuclear arms and missile defense"

@highlight

The New START passes in a 71-26 vote as some Republicans back treaty

@highlight

Treaty will resume inspections, limit each nation to 1,550 warheads and 700 launchers