White House officials are scratching their heads over the decision by Republicans to sue President Barack Obama over his decision to delay a requirement in the health care law for businesses to provide coverage to employees.

That's because, as one senior administration official pointed out on Friday, those same lawmakers voted to do the exact same thing at virtually the exact same time -- defer until 2015 the part of Obamacare known as the employer mandate.

House Speaker John Boehner justified last July's vote, held days after the Obama administration action, as a repudiation of the executive decision to alter a major part of the politically-charged law just months before it was put into practice.

"I get to look at the Constitution once in a while. The Constitution makes it clear that Congress writes the law, and the President takes the oath of office to faithfully discharge the laws that are on the books," Boehner said.

The House voted separately to delay the Obamacare individual mandate as well, another centerpiece of the landmark 2010 law that remains in place and requires everyday Americans to have some kind of health insurance. Both the business and individual mandates required compliance to avoid possible fines.

The two House votes drew significant Democratic support but the Democratic-led Senate didn't take up either.

Obamacare fight continues

The reference to last year's vote by the Republican-led House signals White House confidence that Boehner's lawsuit announced on Thursday night will fail in court.

House Republicans tried to use their constitutional powers to delay the mandate but failed, the White House thinking goes.

Boehner consulted legal experts before announcing the action and CNN's Dana Bash and Deirdre Walsh reported that they were advised that keeping the focus of any legal challenge narrow offered the best chance to succeed in court.

The suit first must be authorized by legislation before being submitted in federal court by private attorneys. The timing of a court filing is unclear.

Obamacare is the signature domestic policy achievement of Obama's presidency so far. It's aimed at fulfilling his promise to make health care coverage available to millions without it.

Since October, the administration says 9 million people have signed up for a range of policies through federal and state insurance markets.

But it has also been a bitter partisan flashpoint since its approval in 2010 without GOP support. Republicans have made it a focus of their sharp political attacks on Obama and Democrats ahead of November's midterms with control of the Senate at stake.

"In terms of politics, there is no issue that Republicans have the best chance of riling up the base than Obamacare," Bash said.

The case also magnifies a toxic partisan climate that has engulfed Congress overall and come to define Obama's relations with Republicans in general. Some arch-conservatives in the party want him impeached.

Pushing forward

Boehner doesn't agree with such a step, but he's plowing ahead with an unusual legal challenge built around Republican claims Obama has abused his authority at the expense of the legislative process.

Obama defiantly challenged Republicans last week, saying he would continue to take steps he felt were necessary with or without the support of congressional Republicans.

"So sue me," he dared them.

White House spokesman Josh Earnest quickly dismissed Boehner's decision to take his case court as a "political stunt."

The President "is doing his job -- lawsuit or not -- and it's time Republicans in Congress did theirs," Earnest said in a statement.

Boehner argued the employer mandate delay is the best legal avenue for his case against Republican claims that Obama has overstepped his executive authority in carrying out his priorities.

"In 2013, the President changed the health care law without a vote of Congress, effectively creating his own law by literally waiving the employer mandate and the penalties for failing to comply with it," Boehner said in a statement Thursday.

"That's not the way our system of government was designed to work.  No president should have the power to make laws on his or her own," Boehner said.

House Republicans point to the support they received from constitutional scholars who testified on the Obamacare mandate delay last December.

Obama overreach?

At a House Judiciary Committee hearing, George Washington University law professor Jonathan Turley, a once fierce critic of the Bush administration, suggested Obama overreached.

"The President is required to faithfully execute the laws. He's not required to enforce all laws equally or commit the same resources to them," he said. "But I believe the President has crossed the constitutional line."

Administration officials have repeatedly argued that alterations to the Affordable Care Act are legal.

In February 2013, a Treasury Department spokeswoman told Government Executive the administration has the power to delay the employer mandate and its fines, which are in essence taxes on businesses that do not comply with the law.

The taxing authority of the federal government was the legal underpinning of the Supreme Court's decision to uphold the sweeping health law and its individual mandate in 2012.

But other legal experts have already said any lawsuit around executive authority would face challenges.

In order for it to be formally considered by the courts, House Republicans must prove that the chamber was somehow injured as an institution.

Read the resolution (PDF)

Boehner op-ed: Why we must now sue the President

Opinion: Dear Speaker Boehner: Do your job instead

@highlight

The White House is puzzled by the focus of a GOP lawsuit against President Obama

@highlight

The challenge centers on the Obamacare employer mandate delay

@highlight

Obama acted on his own last summer, but House Republicans also voted to defer it for a year

@highlight

So do they have a case? House Speaker John Boehner says they do, despite the House vote