London, England (CNN) -- Paving slabs that convert energy from people's footsteps into electricity are set to help power Europe's largest urban mall, at the 2012 London Olympics site.

The recycled rubber "PaveGen" paving slabs harvest kinetic energy from the impact of people stepping on them and instantly deliver tiny bursts of electricity to nearby appliances. The slabs can also store energy for up to three days in an on-board battery, according to its creator.

In their first commercial application, 20 tiles will be scattered along the central crossing between London's Olympic stadium and the recently opened Westfield Stratford City mall -- which expects an estimated 30 million customers in its first year.

"That should be enough feet to power about half its (the mall's) outdoor lighting needs," said Laurence Kemball-Cook, a 25-year-old engineering graduate who developed the prototype during his final year of university in 2009.

The green slabs are designed to compress five millimeters when someone steps on them, but PaveGen will not share the precise mechanism responsible for converting absorbed kinetic energy into electricity.

Although each step produces only enough electricity to keep an LED-powered street lamp lit for 30 seconds, Kemball-Cook says that the tiles are a real-world "crowdsourcing" application, harnessing small contributions from a large number of individuals.

"We recently came back from a big outdoor festival where we got over 250,000 footsteps -- that was enough to charge 10,000 mobile phones," said Kemball-Cook.

The young inventor envisages PaveGen systems being used to power off-grid appliances such as public lighting, illuminated street maps and advertising, and to be installed in areas of dense human traffic such as city centers, underground stations and school corridors.

"Our main test installation is at a school in Kent (southeast England) -- where 1,100 kids have devoted their lives to stamping all over them for the last eight months," said Kemball-Cook.

In its current form, the PaveGen paving slab contains a low-energy LED which lights up, expressing the energy transfer idea to the user but only consuming around 5% of the energy from each footstep.

"This is what I really enjoy about the design," said Richard Miller, head of sustainability at the UK's government-funded Technology Strategy Board.

"As much as it's an effective, common-sense source of some sustainable electricity, it's also a great way for people to engage with the issue of sustainability ... to feel like they are part of the solution in a very immediate, fun and visual way that doesn't make you do anything you wouldn't already be doing," said Miller.

However, although generally enthusiastic about the product, for the time being Miller withholds speculation about its far-reaching impact.

"As with all things of this nature, on a large scale and in the long term, its success will be determined by how cost-effective it is to produce ... If it turns out to be expensive, then it will struggle to find a place as anything more than a niche application," he said.

Kemball-Cook declines to comment on the cost of each slab, arguing that their current price is much higher than what it will be when they go into mass production.

That said, the company has already won a spate of awards, including the Big Idea category at the UK's Ethical Business Awards and the Shell LiveWire Grand Ideas Award. PaveGen has also recently received a round of financing from a group of London-based angel investors, although the sum is undisclosed.

Kemball-Cook is confident that the slab is durable. Over the course of a month it was subjected to a machine that replicates the pounding of footsteps, non-stop every day, he added.

"It's also really easy to install as a retrofit on existing pavements, because they can be made to match their exact dimensions ... you just replace one slab with another," he said.

Looking to the future, Kemball-Cook would like to see the paving system introduced to the developing world, in areas that have a high footfall, but are off-grid, such as the slums in Mumbai.

"The average person takes 150 million steps in their lifetime, just imagine the potential," he said.

@highlight

Engineer has developed paving slab that transforms energy from footsteps into electricity

@highlight

First commercial order expected to power half of outdoor lighting at vast London shopping mall

@highlight

Sustainability expert says slabs encourage sense of collective participation

@highlight

Hopes one day to export across developing world to provide source of "off-grid" energy