(CNN) -- In 2010, the American Board of Internal Medicine suspended or revoked the certification of 139 physicians for giving away or soliciting examination questions for a board review company.

CNN subsequently reported on residents preparing for certification examinations using questions reproduced by people who took previous exams.

Residents taking the American Board of Radiology medical physics examination wrote down test questions ("recalls"), and shared them with future examinees. Dermatology residents also reproduced questions ("airplane notes") minutes after the certification examination.

Question reproduction violates copyright policies. However, some physicians CNN interviewed said that recall use is like preparing with a study guide since questions are used to confirm underlying knowledge, not rote memorization of answers.

Consistent with this view, only 43% of medical students surveyed at a UK medical school thought it was clearly wrong to convey information about test content to another student examinee.

However, such behavior should create concern for the quality and integrity of patient care. Medical students who cheat on examinations are more likely to falsify information in a patient's medical record. Patients want physicians to be certified based on a valid assessment of the knowledge necessary to provide high-quality care. If patients cannot trust the knowledge that board certification is expected to measure, the medical profession loses the public's confidence.

Moreover, certification should indicate the ability to care for patients, rather than efficient test preparation. Notably, although patients express a highly favorable view of certification, it is not required by most hospitals and health care plans.

The distinction between cheating and guided study is crucial. Old test questions and recent examination experience are routinely used to create study materials. The American College of Physicians produces a summary of concepts and information most likely to appear on the ABIM certification exam. The content of this summary is shaped by post-examination residents. The First Aid series for medical students is updated annually based on examinee reports.

Using a focused study guide created based on examinees' input bears some similarity to studying from practice questions that may have been on a recent examination. The difference lies in the detail and specificity of the information conveyed. Nevertheless, from the public's perspective, both practices represent "shortcuts" for examination success.

Drivers of dishonest behavior

Cheating in education and sports creates unfairness between "competitors." Unlike performance-enhancing drugs, the use of Ritalin and Valium to improve test performance is not considered cheating. Difficulty concentrating and anxiety are perhaps considered abnormal disadvantages from which examinees deserve sparing.

The unfairness perspective is reflected in a dean's observation in the CNN report -- since use of reproduced questions is so pervasive, this norm does not cause any unfair advantage. Unfortunately, 57% of surveyed medical students claimed that others' cheating had unfairly disadvantaged them.

The difficult content of the radiology physics exam is one reason for the use of reproduced questions. For most physicians, the exhaustive study of biochemistry and pharmacology is a rite of passage based on knowledge rarely used.

In fact, the physicians interviewed by CNN said that the necessity to demonstrate proficiency of arcane material unimportant for practice was a root cause of residents using reproduced questions for exam preparation. In other words: Test content that medical students view as unnecessary for clinical care makes them more likely to cheat.

Of course, a desire to succeed underlies the decision to cheat: 40% of 665 medical students across six schools admitted to doing something unethical to avoid a poor evaluation. However, fear of failure is not generally sufficient -- social context is important.

Academic dishonesty is strongly connected to peer behavior. Many medical students believe certain forms of cheating can be justified if the motivation is to assist friends. Of 2,459 medical students from 31 schools, 41% had cheated during high school and 59% thought that cheating was too common to eliminate. When misconduct becomes an established norm, as it apparently has among certifying residents, it does not become acceptable, but can be difficult to stop.

How to limit unethical behavior

The use of reproduced questions for board examination preparation threatens medicine's integrity and public trust. Moreover, indisputably dishonest behaviors are far too common among trainees.

Punishments and honor codes do little to reduce academic dishonesty in medical education. Responses to unethical acts have also been hampered by divergent opinions about the severity of specific violations and appropriate punishments. However, peer behavior has a strong impact on ethical decisions. The image of dermatology residents writing down test questions together in a restaurant suggests this has become an established norm. Trainees find it more acceptable to engage in unethical conduct when their friends are as well.

The best way to limit unethical behavior is to embed academic honesty into institutional cultures, perhaps through role models and curricula that emphasize the respect that a virtuous professional may earn.

Case-based ethics training may improve moral reasoning, although the impact on conduct is unknown. Examination content must be highly relevant for the patient-care activities that will be endorsed. Esoteric questions suggestive of academic hazing should be eliminated.

Not reusing test questions would reduce the incentive to reproduce questions in verbatim form, but might jeopardize the consistency of passing standards, while increasing expenses.

In the end, successful certification must demonstrate that physicians are vested with the trust of both their peers and the public. Sponsoring rigorous examinations that cover material critical for patient care will bolster what the profession provides patients.

Ultimately, the integrity of the medical profession and the faith that patients place in physicians demand the highest moral standards.

The opinions expressed in this commentary are solely those of Gregory Ruhnke.

@highlight

Doctors were disciplined for sharing examination questions

@highlight

Gregory Ruhnke says cheating is surprisingly common among medical students

@highlight

He says cheating fosters behavior that can persist through doctor's career