Washington (CNN) -- Gen. David Petraeus on Wednesday issued a new "tactical directive" for forces in Afghanistan that emphasizes guidance for the use of force by troops operating in the country.

"We must continue -- indeed, redouble -- our efforts to reduce the loss of innocent civilian life to an absolute minimum," the directive states in part. "Every Afghan civilian death diminishes our cause. If we use excessive force or operate contrary to our counterinsurgency principles, tactical victories may prove to be strategic setbacks."

The directive states that before firing, the commander authorizing a strike must determine that there are no civilians present. If the status of civilians is unknown, firing is prohibited except when certain types of risk to troops exist.

In another unclassified portion of the document, Petraeus states, "Protecting the Afghan people does require killing, capturing, or turning the insurgents. Indeed, as I noted earlier, we must pursue the Taliban tenaciously. But we must fight with great discipline and tactical patience."

According to the directive, some civilian casualties result from misunderstandings or ignorance of local customs or behaviors. To reduce that, NATO forces partner with Afghan troops in their operations.

Petraeus stressed the importance of these partnerships, saying that he expects every operation and patrol to be partnered.

"(Afghan troop's) presence will ensure greater situational awareness. It will also serve to alleviate anxiety on the part of the local population and build confidence in Afghan security forces," the directive states.

Most of the directive is classified.

U.S. and coalition military officials told CNN that that Petraeus was not expected to reverse existing directives issued by the previous commander, Gen. Stanley McChrystal, but instead characterized the new directive as a clarification of the rules he put into place emphasizing protection of civilians on the battlefield.

The directive does that by spelling out more clearly under what circumstances units must get permission to launch attacks to defend themselves.

Troops were awaiting the directive with some anticipation. Some troops on the ground complained about the McChrystal directives, saying they unduly hampered troops from defending themselves in favor of protecting civilian populations. Those McChrystal directives limited the use of airstrikes, night raids and other firepower against civilians.

In Wednesday's directive, Petraeus notes that this order, as with the previous directive, does not prevent use of force in self-defense.

At his confirmation hearing last month to take command in Afghanistan, Petraeus explained a tactical directive is "designed to guide the employment, in particular, of large casualty-producing devices, bombs, close air support, attack helicopters, and so forth."

The concern, however, is that implementation has been uneven, leading some units to be overly restrictive.

"We have to be absolutely certain that the implementation of the tactical directive and the rules of engagement is even throughout the force," Petraeus said, "that there are not leaders at certain levels that are perhaps making this more bureaucratic or more restrictive than necessary when our troops and our Afghan partners are in a tough spot. And when they are in a tough spot, it's a moral imperative that we use everything we have to ensure that they get out of it."

Petraeus made clear he is aware of the troop's worries.

"I am keenly aware of concerns by some of our troopers on the ground about the application of our rules of engagement and the tactical directive. They should know that I will look very hard at this issue."

On Sunday, Petraeus issued a more general, public list of guidelines for counterinsurgency warfare in which he urged American troops and the NATO-led International Security Assistance Force to learn and adapt to the culture of Afghanistan while battling the Taliban insurgents and their allies.

While Petraeus called on the troops to "pursue the enemy relentlessly" and "seek out and eliminate" insurgents who threaten Afghan civilians, he also urged coalition forces to fight "with discipline" and be careful to avoid civilian casualties.

Petraeus' directive comes shortly after the Taliban released its own directive late last month. That directive, from Mullah Omar, called for insurgents to avoid harming civilians.

In a news release Wednesday, the International Security Assistance Force said that despite Mullah Omar's call, 43 Afghan civilians have been killed and 65 injured by insurgents since the directive came out.

The casualties included five children who were killed in Kandahar on Monday by a suicide bomber, ISAF said. Others were killed by improvised explosive devices.

"Mullah Omar's new directive has done nothing to protect the Afghan people from further harm," said Brig. Gen. Josef Blotz, ISAF spokesman. "This is either a smokescreen to repair the Taliban's well-earned reputation for brutality, or insurgent groups are simply ignoring their leader. In either event, the Afghan people will continue to suffer from oppression and indiscriminate violence until the insurgents are defeated."

CNN's Barbara Starr contributed to this report.

@highlight

Petraeus issues new "tactical directive"

@highlight

The directive spells out more clearly when units must get permission for attacks

@highlight

Some troops had complained about previous directives

@highlight

Petraeus has made clear he is aware of the troops' concerns