(CNN) -- A major earthquake struck southern Haiti on Tuesday, knocking down buildings and power lines and inflicting what its ambassador to the United States called a catastrophe for the Western Hemisphere's poorest nation.

Several eyewitnesses reported heavy damage and bodies in the streets of the capital, Port-au-Prince, where concrete-block homes line steep hillsides. There was no estimate of the dead and wounded Tuesday evening, but the U.S. State Department has been told to expect "serious loss of life," department spokesman P.J. Crowley told reporters in Washington.

"The only thing I can do now is pray and hope for the best," the ambassador, Raymond Alcide Joseph, told CNN.

Pictures sent to CNN's iReport show homes and small businesses in Haiti that have collapsed.

Are you there? Submit an iReport

The magnitude 7.0 quake -- the most powerful to hit Haiti in a century -- struck shortly before 5 p.m. and was centered about 10 miles (15 kilometers) southwest of Port-au-Prince, the U.S. Geological Survey reported. It could be felt strongly in eastern Cuba, more than 200 miles away, witnesses said.

Experts warned of earthquake risk on Haiti

Mike Godfrey, an American contractor working for the U.S. Agency for International Development, said "a huge plume of dust and smoke rose up over the city" within minutes of the quake -- "a blanket that completely covered the city and obscured it for about 20 minutes."

Witnesses reported damaged buildings throughout the capital, including the president's residence and century-old homes nearby, and The Associated Press reported that a hospital collapsed. President Rene Preval is safe, Joseph said, but there was no estimate of the dead and wounded Tuesday evening.

He said an official of his government told him houses had crumbled "on the right side of the street and the left side of the street."

"He said it is a catastrophe of major proportions," Joseph said.

Impact Your World: How you can help

Frank Williams, the Haitian director of the relief agency World Vision International, said the quake left people "pretty much screaming" all around Port-au-Prince. He said the agency's building shook for about 35 seconds, "and portions of things on the building fell off."

"None of our staff were injured, but lots of walls are falling down," Williams said. "Many of our staff have tried to leave, but were unsuccessful because the walls from buildings and private residences are falling into the streets, so that it has pretty much blocked significantly most of the traffic."

Read what people in Haiti are saying via social media

Haiti's government is backed by a U.N. peacekeeping mission established after the ouster of former President Jean-Bertrand Aristide in 2004.

The headquarters of the U.N. peacekeeping mission in Port-au-Prince collapsed, a U.N. official told CNN.

There was no immediate report of any dead or wounded from the building, but Alain Le Roy, the undersecretary-general for peacekeeping operations said of the 9,000-member, Brazilian led-force, "For the moment, a large number of personnel remain unaccounted for."   Outside the capital, several people were hurt when they rushed to get out of a school in the southwestern city of Les Cayes, said the Rev. Kesner Ajax, the school's executive director. Two homes in the area collapsed and the top of a church collapsed in a nearby town, he said, but he did not know of any fatalities.

Les Cayes, a city of about 400,000 people, is about 140 miles (225 kilometers) southwest of Port-au-Prince.

The quake took place about 6 miles (10 kilometers) underground, according to the USGS -- a depth that can produce severe shaking. At least 10 aftershocks followed, including two in the magnitude 5 range, the USGS reported.

Appeals for aid after quake strikes Haiti

Jean Bernard, an eyewitness in Port-au-Prince, told CNN the city had no electricity Tuesday evening. The first quake lasted 35 to 40 seconds, he said.

"A lot of houses [and] buildings went down, and people are still running all over the streets," Bernard said. "People are looking for their wives, looking for their husbands and their kids. It's scary."

Luke Renner, an American staying in Cap-Hatien, a city nearly 100 miles north of Port-au-Prince, said he was sitting at his home when "the whole world started to shake."

"It felt like our whole house was balancing on a beach ball," Renner said. "We heard the whole community screaming and in an uproar during that whole 20- to 30-second window."

"I haven't seen any structural damage here," Renner continued. "With the sun setting it may be difficult to tell. In the morning we'll know for sure."

Because of the earthquake's proximity to the capital, and because the city is densely populated and has poorly constructed housing, "it could cause significant casualties," said Jian Lin, a senior geologist at the Woods Hole Oceanographic Institution in Massachusetts.

In Washington, President Obama said the U.S. government would "stand ready to assist the people of Haiti." At the Pentagon, the U.S. military said humanitarian aid was being prepared for shipping, but it was not yet clear where or how it would be sent. A U.S. aviation source said the control tower at the Port-au-Prince international airport collapsed, possibly hindering efforts to fly relief supplies into the country.

Secretary of State Hillary Clinton told reporters that Washington is offering "our full assistance" to Haiti."

The deputy chief of the U.S. mission in Haiti, David Lindwall, told Clinton that he saw "significant damage" from the quake and said U.S. officials there expect "serious loss of life," Crowley said.

And Clinton's husband, former President Clinton -- now the U.N. special envoy for Haiti -- said the world body was "committed to do whatever we can to assist the people of Haiti in their relief, rebuilding and recovery efforts."

The United States has been heavily involved in Haiti commercially, politically and militarily for most of the last century. U.S. intervention under Clinton restored Aristide to power in 1994 after a 1991 coup, and a U.S. jet hustled him out of the country again in 2004 following a rapidly spreading uprising against his government.

The disaster is the latest to befall the country of about 9 million people, roughly the size of Maryland. It is the poorest country in the Western Hemisphere and among the poorest in the world.

With people stripping the trees for fuel and to clear land for agriculture, the mountainous countryside has been heavily deforested. That has led to severe erosion and left Haitians vulnerable to massive landslides when heavy rains fall.

Hurricane Gordon killed more than 1,000 people in 1994, while Hurricane Georges killed more than 400 and destroyed the majority of the country's crops in 1998. And in 2004, Hurricane Jeanne killed more than 3,000 people as it passed north of Haiti, with most of the deaths in the northwestern city of Gonaives.

Gonaives was hit heavily again in 2008, when four tropical systems passed through.

In addition, a Haitian school collapsed in November 2008, killing more than 90 people and injuring 150 -- a disaster authorities blamed on poor construction.

Eighty percent of Haiti's population lives under the poverty line, according to the CIA World Factbook.

CNN's Mallory Simon, Edvige Jean-Francois, Shasta Darlington, Deb Feyerick, Matt Smith, Pierre Meilhan, Mike Mount and Brandon Griggs contributed to this report.

@highlight

NEW: Witnesses: Bodies in streets of capital; buildings collapsed

@highlight

NEW: U.N. mission headquarters reportedly collapsed; some unaccounted for

@highlight

Earthquake struck just off coast of capital Port-au-Prince on Tuesday

@highlight

Americans seeking info about relatives in Haiti can call State Department at 888-407-4747