(CNN) -- Seventy-nine-year-old Henri Wosniak had only ever seen France's beloved revolutionary painting -- "Liberty Leading the People" -- on postage stamps. Then the real thing turned up on his doorstep.

For 35 years, Wosniak worked one-meter underground in one of the coal mines dotted across the small town of Lens, in northern France.

Two decades ago, the last mine closed, and the industrial city fell into a grim economic slump of "closed shops, abandoned houses, angry residents and a boarded up cinema."

"We became a ghost town," said regional president Daniel Percheron, of a city that had an unemployment rate three times the national average.

Then last year, "Liberty Leading the People" came to town. Or to be more precise, the Louvre's sister gallery -- called none other than Louvre-Lens -- opened her gleaming doors to the public.

Boasting hundreds of masterpieces on loan from the Louvre in Paris, the slick €150 million ($204 million) museum has become an unlikely art haven, sitting in the shadow of Lens' looming slag heaps.

For retired miner Wosniak, the biggest thrill was seeing the gallery's star attraction -- Eugene Delacroix's "Liberty Leading the People" -- a painting commemorating the 1830 revolution and familiar to everyone in France.

"I had seen it on stamps," he says, animatedly making the small shape with his hands. "And here it is," he adds, waving at the grand artwork surrounded by a throng of admirers.

Happy Birthday

This week marks the first anniversary of Louvre-Lens, and already 750,000 people have visited the sleek glass and polished aluminum building, 200 kilometers north of Paris.

It's a very different museum to its glamorous Parisian sister. While the Louvre -- which attracts over 9 million visitors each year -- sits on the banks of the River Seine and overlooks elegant Tuileries Gardens, Lens rests atop a disused coalmine, with views of the local football stadium.

That's not to say Lens isn't a spectacular building in itself. Designed by Japanese architect firm Sanaa, the minimalist museum is remarkable in that it doesn't separate artworks according to style or era.

Instead, the pieces -- spanning Greek sculpture to 19th century French painting -- are showcased together in one long light-filled gallery.

Indeed, part of the reason the museum was built, was to display some of the hundreds of thousands of artworks in storage deep under the Louvre in Paris.

"The Louvre has more than 460,000 works of art, and only presents around 40,000," explained director Jean-Luc Martinez, who took on the top job at the world's most popular museum earlier this year.

"Why take them out? For preservation -- we are close to the Seine and they risk being destroyed."

Of course, Louvre-Lens is more than an expensive storage unit. It is hoped the new gallery with the internationally recognized "Louvre" name will reinvigorate the struggling city -- much like the Guggenheim in Bilbao, Spain, or the Tate in Liverpool, Britain.

"There was nowhere the Louvre was as needed as much as Lens," says the gallery's director Xavier Dectot.

New era

Until now, Lens had been better known as the place you sped through from Calais' major port, to a more holiday-friendly destination.

Ravaged by both World Wars, its cemeteries are full of the names of young soldiers -- and miners.

When the minister of culture, Frederic Mitterrand, inaugurated the Louvre-Lens construction site, he marked the occasion with a minute silence for the 42 workers who lost their lives in a mining accident in 1974.

Almost four decades later, black coal has been replaced with gleaming glass.

"There was a one in a million chance for the Louvre to come here. It's an unimaginable dream," said Percheron.

"The miners built France, they symbolize France. This museum is all about restoring justice to this region."

@highlight

How did an ex-mining town in northern France become an art haven?

@highlight

One year since Louvre opened sister gallery in Lens, attracts 750,000 visitors

@highlight

Hoped €150m museum will reinvigorate depressed city with 24% unemployment

@highlight

Gleaming glass building designed by Japanese architect firm Sanaa