(CNN) -- Despite spending more per person on health care than any other country, Americans are getting sicker and dying younger than our international peers -- a problem persisting across all ages and both genders, according to a new report.

In 2011, the National Research Council found life expectancy in the United States was increasing at a slower rate than in other high-income democracies. Shortly after, the NRC and Institute Of Medicine convened a panel of experts to investigate why.

The panel was given 18 months to review recent health studies from 16 "peer countries": Australia, Austria, Canada, Denmark, Finland, France, Germany, Italy, Japan, Norway, Portugal, Spain, Sweden, Switzerland, the Netherlands and the United Kingdom.

The panel released its report, titled "U.S. Health in International Perspective: Shorter Lives, Poorer Health," on Wednesday.

"Our panel was unprepared for the gravity of the finding we uncovered," chair Steven Woolf wrote in the report's preface. "We hope that others will take notice."

Lagging behind

This is not a new problem, Woolf noted on a conference call about the report. "It's been going on since 1980 and it's getting progressively worse."

Data from 2007 show Americans' life expectancy is 3.7 years shorter for men and 5.2 years shorter for women than in the leading nations -- Switzerland for men and Japan for women.

As of 2011, 27 countries had higher life expectancies at birth than the United States.

"The tragedy is not that the United States is losing a contest with other countries," the report states, "but that Americans are dying and suffering from illness and injury at rates that are demonstrably unnecessary."

America does rank well in some health measures, according to the panel. The United States has higher cancer survival rates, lower blood pressure and cholesterol levels and lower smoking prevalence rates than many of its peer countries. Those Americans who make it to age 75 will survive longer than their peers in the comparison countries.

Global report: Obesity bigger health crisis than hunger

But that's where the good news stops. The report outlines nine health areas where the United States lags behind other rich nations, including infant mortality, homicides, teen pregnancy, drug-related deaths, obesity and disabilities.

Americans have the highest prevalence of AIDS in the group. Seniors are at a greater risk of developing and dying from heart disease. And our children are less likely than children in peer countries to reach their fifth birthday.

"Many of these conditions have a particularly profound effect on young people, reducing the odds that Americans will live to age 50," the report states. "And for those who reach age 50, these conditions contribute to poorer health and greater illness later in life."

Why?

"The sheer systemic nature of the problem, that affects so many health outcomes across the whole lifespan, surprised all of us," said panel member Ana Diez Roux. "It seems to be a whole bunch of things acting together."

It's easy to point a finger at our health care system, which unlike comparison countries' does not provide universal coverage. As a result, lower income and less educated people often receive poorer care.

"The U.S. health system is highly fragmented, with limited public health and primary care resources and a large uninsured population," the authors wrote. "Compared with people in other countries, Americans are more likely to find care inaccessible or unaffordable."

Opinion: Finding the jugaad for U.S. health care

But the panel says that's not all that's to blame. Studies show even white, insured, college-educated Americans are sicker than their peers in Europe.

The experts gave three other possible causes for the country's growing health disadvantage:

Though Americans know what's "good" for them, few act on it. Although we are less likely to smoke and drink heavily than our peers, we consume more calories, have higher rates of drug abuse, are less likely to use seat belts and are more likely to use guns in acts of violence, according to the report.

Most high-income countries report income and education disparities in their health care system. But the panel said Americans benefit much less from social programs that could negate the effects of poverty.

"In countries with the most favorable health outcomes, resource investments and infrastructure often reflect a strong societal commitment to the health and welfare of the entire population," the report states.

Our environment is also a big contributor to Americans' poor health, the panel said. U.S. communities are built around automobiles, discouraging physical activity and increasing traffic accidents. Contraceptives are only available by prescription, instead of over the counter. Even stress could play a role -- adding to our waistlines, substance abuse and criminal behavior.

Moving forward

"It would be a mistake for people to respond to this by saying we need to spend more money on health care," Woolf said. He noted that our peer countries spend significantly less, but appear to be spending it more effectively.

Where in the world can you get universal health care?

With "lives and dollars" at stake, the report made several recommendations for the future.

The experts asked the National Institutes of Health to join with international partners to improve the quality of research that could be used to compare peer countries around the world.

They also recommended the NIH commission research on health policies that have been successful in our peer countries that could potentially be used in the United States.

Waiting for more research isn't the answer, Woolf said. Individuals can make changes now, listening to advice about healthy diets and exercise, or making sure to wear their seat belts. As for policy, the panel hopes this report will open a broader discussion about what we value as a nation.

@highlight

As of 2011, 27 countries had higher life expectancies than the United States

@highlight

U.S. falls behind in infant mortality, homicides, teen pregnancy and drug-related deaths

@highlight

Several factors are to blame for the problem, a panel of experts says