(CNN) -- It's a Tuesday morning and Dr. Eric DeJonge is headed to work. But unlike most physicians, DeJonge's office is his car and his patients are waiting for him in their homes, not in a large waiting room.

As part of the Medical House Call Program,  Dr. Eric DeJonge visits one of his group's 600 patients.

DeJonge, a geriatric specialist at Washington Hospital Center, runs the hospital's "Medical House Call Program." Sharing duties with program co-founder Dr. George Taler and two other doctors, DeJonge criss-crosses the nation's capital, checking on patients in their homes.

Armed with a black bag and blackberry, DeJonge visits mostly the elderly who either can't get to a hospital or are so ill that moving them would prove life-threatening. He usually sees them once a month to check on their status, to make sure their medications are working, and to let them know he's there for them.

DeJonge says the one-on-one care is invaluable. "We know the patients, their families," he says. "We know when they change medically, what has to happen to prevent them from making an ER visit." Terry Carter's father, Aubrey, has been homebound since he suffered a stroke over 20 years ago. For most of those years, Carter ran back and forth to doctors' offices and the ER, making sure his father got the best medical help. It got to be expensive and time consuming and, as the years progressed, it became increasingly difficult to care for his dad. Carter says it was tough because "I really don't have very much help to take him out."

Now, with DeJonge making regular visits, Carter's father doesn't have to be moved from his home and his health has improved. "He's only been in the hospital twice in the last three years," says Carter. "Before that he was in the hospital every other month."  Dr. Gupta: Watch more on the return of the house call »

House calls, once popular in the 1930s, began to drop off as medical technology improved. According to a recent article in the Clinics of Geriatric Medicine, home visits by doctors dropped from 40 percent of physician encounters in 1930 to 10 percent by 1950; by 1980 home visits represented less than 1 percent of physician encounters. Many patients, the article stated, felt they could get better care at hospitals and clinics, and shied away from having a doctor come to their home. And over the years, billing and paperwork for medical professionals became so overwhelming that many spent hours at their desks with calculators instead of spending time with their patients in their homes.

And then, there was the financial disincentive: most insurance companies didn't pay for house calls. It was easier and more lucrative for doctors to see more patients in their office than fewer patients in their homes. Reimbursement was spotty and in order to survive doctors had to put house calls on the back burner.

But that has begun to change. Ten years ago, Medicare made it a bit easier for physicians to receive payments for house calls by modifying the way doctors bill for their procedures. And this month, a new "Independence at Home" bill -- designed to coordinate benefits for Medicare's most expensive beneficiaries, like Aubrey Carter -- will be reintroduced, making it easier and less expensive to carry out house calls.

"Our current health care system does a poor job caring for seriously ill Americans, who often are 'lost in transition,'" says Massachusetts Congressman Edward Markey, author of the bill. "This bipartisan, bicameral bill holds great promise for improving quality of care, reducing hospitalizations, lowering costs and lifting the spirits of those who, after a lifetime of contributions to our society, deserve the dignity and peace of mind that comes with living independently."

From the doctors' perspective, DeJonge says it will make all the difference in how he and his partners practice, and everyone would benefit. "Those savings would be shared with the health systems that are willing to create them and serve their communities .

For now, DeJonge, along with his fellow physicians and staff (three nurse practitioners, three social workers, one office nurse and four support staffers), will continue to provide care for 600 patients in the neighborhoods of Washington. With the help of machines such a portable EKGs, compact ultrasounds and X-ray programs for laptops, they can provide even more extensive care to patients in their own homes than their 1930s counterparts.

DeJonge says it's stressful but rewarding. "They feel like the medical community is part of their family," he says. "There is a trust level that they develop when you know them over that long period of time. That's very important."

@highlight

In 1930s, 40 percent of physician encounters were house calls; 1 percent by 1980

@highlight

Financial disincentives and patient preference for clinics contributed to decline

@highlight

10 years ago, Medicare made it easier for physicians to get paid for house calls

@highlight

Bill before Congress would make house calls less expensive, easier to arrange