The U.S. Department of Education announced recently that it is investigating 55 universities and colleges for their failure to properly handle sexual assault cases on campus.

The list includes a number of prestigious institutions, including Harvard, Emory, UVA, William and Mary, Tufts, the University of Michigan, and my alma mater, Princeton, where a 2008 university survey found that one in six women students had experienced nonconsensual sexual contact while enrolled.

As a young alumnus, I feel a grim satisfaction at seeing my alma mater on the list. By the time I graduated, in 2009, two of my close friends and one of my former roommates had been sexually assaulted during our four years on campus, and I had watched another friend go through the labyrinthine and largely ineffective student disciplinary process in an attempt to see her rapist held accountable.

Like so many other survivors of campus assault, she was discouraged from reporting to the police, and her case was instead handled internally, away from real law enforcement. This is, of course, part of the problem: If there's no real punishment for sexual violence, assailants know they can get away with it, and survivors won't report it. And if survivors don't report, universities can plead ignorance.

When it came to sexual violence, it seemed that Princeton's priorities were misplaced -- it was more interested in preserving the university's reputation than ensuring the safety of the students. This is not to say that, within these institutions, there are not well-meaning individuals who work hard to keep students safe. But a few individuals can only do so much when they're up against an institution whose primary goal seems to be to protect the university's good name, even if that means providing cover for students who do terrible things.

So far, Princeton has not commented on the Department of Education's investigation. With so much at stake -- money, prestige and reputation -- on the line, it should not surprise us if Princeton, like the 54 other institutions on the Department of Education's list (and the numerous other at-fault schools, like Yale, that have, for now, avoided censure) do their best to explain away accusations that for years, they've allowed their students to get away with sexual assault or rape.

One survey of two universities estimated that female students had a one in five chance of being sexually assaulted during their undergraduate years. By failing to protect their students and not properly disciplining assailants, universities are in violation of Title IX of the 1972 Education Amendments. Title IX, so often associated with athletic funding, also requires universities receiving federal funding to provide equal access to education for all students, regardless of gender. University administrators are falling short if they allow a culture of sexual violence to flourish.

Thanks to the tireless efforts of young activists -- like the students and recent graduates who founded the Know Your IX campaign -- this issue is finally getting more attention. A new White House task force has released policy recommendations for campuses (and two star-studded PSAs) and the Department of Education has stepped in.

The Obama administration's strong support for survivors of campus assault -- not just the usual platitudes and policy band-aids -- is a crucial step in the right direction. But other stakeholders -- namely alumni and parents -- need to join this fight as well.

In June, alumni of all ages will be heading back to their alma maters for college reunions -- an exercise of school pride and, in many cases, hefty alumni donations. At Princeton, the event is a three-day booze-soaked party of self-congratulation, and a chance to celebrate "the best damn place of all."

If alumni, in good conscience, want to wear school gear or stick school bumper stickers on their cars, they must take on the issue of campus sexual assault. To do that, they will need to speak the language that these institutions understand: Money, and press.

If alumni with the power to pull large donations refused to give money to their universities until sexual assault is taken seriously, we'd see an immediate change on campuses. Similarly, if parents were vocal about their concerns at sending their kids to a place where they might very well be assaulted or raped, or spend four years being covertly (and overtly) told that committing rape is acceptable, universities would scramble to improve and, more to the point, enforce, their policies.

Ultimately, efforts to prevent sexual violence on college campuses have to be motivated by something beyond a desire to protect a university's bottom line, or to avoid negative press coverage. Universities have to be motivated by the sincere belief that all students have a right to an education not marred by fear of violence or memory of violence, and by a deep and genuine investment in the safety of all students.

As it stands, the words we hear from some of our nation's top universities don't match their actions. They have spent years letting down students, parents, and alumni, by making it easy for their students to commit assault or rape. It's time to hold them accountable.

@highlight

Government will investigate 55 universities and colleges on sexual assault cases

@highlight

Chloe Angyal: As alumnus of Princeton, which is among the list, I feel grim satisfaction

@highlight

She says universities seem to care more about reputation than protection

@highlight

Angyal: Alumni should hold donations if colleges don't sexual assault more seriously