(CNN) -- "They must know what they're doing, right?"

It's a common enough phrase, often muttered by nervous people who are thinking the exact opposite -- who are expressing doubts about those who seem to be in charge, the ones who are supposed to have all the answers.

The bus to work is making a strange, loud, thumping sound, but the driver keeps motoring along. There's an unmistakable smell of smoke coming from the restaurant kitchen, but the waiters and waitresses continue taking orders as if nothing is amiss. There is lightning in the sky above the outdoor field of a sporting event and warning sirens can be heard from somewhere in town, but the officials allow the contest to play on. The packaged meat looks a little funny, but the sell-by date is current, and the supermarket has it out on prominent display.

"They must know what they're doing, right?"

We tend to take it on faith that they -- whoever the amorphous "they" may be -- are on the case and full of expertise and wisdom, ever on the lookout for any threats to the well-being of those who are counting on them.

So when there are signs that mistakes have slipped past inspectors, past engineers, past control towers -- signs that, for all the double-checking, perhaps a little triple- or quadruple-checking may have been called for -- people pause to consider if the safeguards assumed to be constantly in place are really so fail-safe.

This Memorial Day weekend, Americans are pondering a series of recent events that have called into question the airtightness of the business world's layers of quality assurance, and the effectiveness of the in-house inspection processes that are supposed to monitor and affirm that assurance before customers can be adversely affected.

Food-product recalls around the nation have brought worries to consumers used to taking home products assuming they are safe. In Idaho and Washington, state health departments directed people not to eat raw clover sprouts produced by Evergreen Fresh Sprouts after the Centers for Disease Control and Prevention cited seven confirmed and three likely cases of E. coli infection.

Nearly 15,000 pounds of hummus and dip products were voluntarily recalled by Lansal Inc. because of possible bacterial contamination flagged by the Texas Department of Health.

Merchants in Missouri and Illinois were returning bulk and packaged walnuts to Sherman Produce, which issued a recall as a precautionary measure against possible listeria.

And the USDA's Food Safety and Inspection Service announced that 1.8 million pounds of ground beef products were being recalled because of possible E. coli contamination.

In the world of automobiles, General Motors signaled to Barclays Capital analysts that it may continue with recalls into the middle of the summer. GM, so far this year, has called in almost 14 million vehicles in the U.S., in 29 separate recalls -- which constitutes more vehicles recalled than the total of what GM has sold domestically in the last five years.

The Federal Aviation Administration was looking into a near miss between two passenger jets in the skies near George Bush Intercontinental Airport in Houston earlier this month. This follows the FAA's investigation of two other recent near-miss incidents, one at Newark Liberty International Airport in New Jersey and the other at Tallahassee Regional Airport in Florida, where a passenger jet reportedly almost collided with a drone.

Most of the time, things go just fine. But when stories like these appear in the news in a single week, there is the impulse to wonder just what else is perhaps being missed. And to reflect upon just how many times each day we depend on precision and diligence that, without knowing exactly who is responsible for it, we presume is there.

In truth, people reluctantly understand that the idea of endless layers of perfectionist platoons of unblinking and errorless industrial inspectors, while something to be aimed for, is probably a pipe dream.

Consumers know that their own common sense, and personal scrutiny of what they buy, is their best protection. Yet there are many areas in which the customer cannot be expected to be an expert, which is why the relentlessness and rigor of professional inspectors and regulators is so essential.

The old joke is that the ultimate act of faith in one's fellow man is opening the door to take a box of pizza from the delivery guy, and then eating it.

But each time you step into a high-rise elevator and count on all the mechanisms that hold it in the air being up to standards; each time you get a prescription filled and count on the pharmacist dispensing the correct medication into the bottle; each time you watch your child climb onto a purposely scary amusement park ride and count on someone having made certain every rail at every turn is intact and tight and correctly angled; each time you blithely drive through a green-light signal at a busy intersection and count on the light for the perpendicular street being red just like it's supposed to be; each time you start to count backward from 100 as the anesthesiologist begins to administer the first drops of the dose before you drift off. ... each time, you are, of necessity, relying on the conscientiousness, thoroughness, and devotion to detail of strangers.

There's a whole lot that, without stopping too often to ruminate over it, we assure ourselves is being done correctly by people we will never meet.

Thinking too much about that, especially after a week like the one just past, could drive us nuts.

And after all, they must know that they're doing.

Right?

@highlight

Bob Greene: We count on notion that some vague official authority is protecting our safety

@highlight

He says recent food recalls, GM recalls and planes' near misses remind us this isn't always so

@highlight

He says giving others sway over our safety carries risk. Use common sense where possible