It's been a year since a plane crash ended the lives of Mexican-American singer Jenni Rivera and six others, and new details have emerged about what might have caused the plane to plunge 28,000 feet into a mountainous area of northern Mexico.

Last week, Mexico's aviation investigation agency released its findings on the December 9, 2012, crash, saying that the 78-year-old pilot was too old for the license he was given by Mexican authorities, and the 43-year-old Learjet was flying unevenly and shaking when it reached cruising speed.

In addition, the report from Mexico's General Directorate of Civil Aeronautics noted that the owner of the plane neglected to report problems with the plane's operation before last year's ill-fated flight from Monterrey to Mexico City.

The agency said the report reflects the conclusion of its investigation into the crash that killed Rivera, two pilots, and the singer's lawyer, publicist, hairdresser and makeup artist.

The families of the four passengers have filed a wrongful death suit against Starwood Management, the company that owned the plane, and Jenni Rivera's entertainment company.

Plane owner linked to troubled businessman

Known to fans as "La Diva de la Banda" or The Diva of Banda Music, Rivera was well-established as a musical powerhouse with her Spanish-language performances of regional Mexican corridos, or ballads. For fans, the nickname captured her powerful voice and the personal strength many admired.

Her legacy will be honored on the one year anniversary of her death. The U.S. Spanish-language network Telemundo is dedicating several days of special programming, including tributes in the Mexican state of Nuevo León by family and fans and near the plane crash site about 70 miles south of Monterrey, Mexico.

Rivera's newest album will be released on Tuesday, according to Universal Music Group. It will include music from her last concert at the Monterrey Arena the day before she boarded the doomed charter jet.

Rivera, who was 43 when she died, became the most successful female banda singer in grupero, a male-dominated genre in the regional Mexican music industry.  She sold more than 15 million records, according to Billboard magazine.

Banda and norteña music lyrics have always focused on women, drinking and drug trafficking. But Rivera was the genre's first female voice to express the issues that man women face: domestic violence, being a poor and single mother and how difficult it was to be a Hispanic woman in the United States.

Fans remember her as a powerful woman who was able to bring people together.

"She wasn't the typical face that you see on Spanish language television," said Leila Cobo, executive director of Latin content and programming for Billboard, and the author of a biography on Rivera.

Where the lawsuits stand

A month after the plane crash, the families of publicist Arturo Rivera, makeup artist Jacob Yebale, attorney Mario Macias Pacheco, and hairdresser Jorge Armando Sanchez Vasquez filed a wrongful death lawsuit against U.S.-based Starwood Management and Jenni Rivera Enterprises Inc. seeking punitive damages for negligence.

The lawsuit is scheduled to be tried in California, a Los Angeles County judge ruled last month, despite an attempt by the plane operators to move the case to Mexico. Starwood is still deciding whether or not to appeal that ruling, according to Starwood's attorney Mark Velasquez.

Attorney Paul R. Kiesel, who represents the four families involved in the lawsuit, said he expects it will be "a couple of years" before a trial date will be set for the lawsuit.

"As for the case, we're continuing with the underlying investigation as to why the plane fell out of the sky. Was it pilot error? Mechanical failure? We're now taking depositions from individuals who chartered the plane to find out more," Kiesel said.

Rivera crash puts spotlight on charter jet safety

The 1969 Learjet that Rivera and the six others boarded last year was involved in another crash in 2005 in Amarillo, Texas, when the pilot lost ability to steer during landing. The plane sustained substantial damage in that crash, according to the National Transportation Safety Board records.

In addition, court records revealed that Starwood Management had two planes authorities seized in 2012 in Arizona and Texas, triggering an investigation by the U.S. Drug Enforcement Administration days after the 2012 plane crash. At the time, the DEA declined to elaborate on its investigation. CNN reached out to the DEA this week for further comment but did not hear back from them in time before the story was published.

When asked how the victims' families were coping as the anniversary of the plane crash approaches, Kiesel said his clients are staying out of the spotlight citing a significant amount of media intrusion over the past year.

Death at the peak of her career

Rivera's death came at the height of her musical and acting career. With a weekly radio show, a makeup and clothing line, and a starring role in reality TV show "I Love Jenni," Rivera had a starring role alongside Edward James Olmos and Lou Diamond Phillips in "Filly Brown," a film that released this spring.

Olmos told CNN that working with Rivera was "the most inspirational part of the filming process."

Rivera's popularity among her fans is partly because her life story is a testament that even those who come from humble beginnings can achieve success.

She was born in Long Beach, California, shortly after her mother illegally crossed the Mexican border.  Growing up, she once sold cans for scrap metal and hawked music records at her family's stand at a Los Angeles flea market, she told CNN en Español in 2010.

When she was just 15 and a high school student, she became a mother herself, giving birth to her first child, daughter Janney "Chiquis" Marin Rivera in 1985.

She detailed her personal struggles -- including her mother's miscarriage, a suicide attempt at 19, rape and domestic abuse by her first husband --  in her memoir "Unbreakable: My Story, My Way,"  published in July.

"People don't realize how difficult her rise to fame was. Her struggle as an artist gets lost a lot. She worked very hard to get where she was," said Billboard's Leila Cobo. "The first time she got into the charts was around 1995 but she had six albums before she ever charted."

Responding to the intense public interest in the entertainer after her death, Cobo  -- one of the country's leading experts in Latin music who regularly interviewed Rivera -- wrote a biography on Rivera, "Jenni Rivera: The Incredible Journey of a Warrior Butterfly," which was released in Spanish and English earlier this year.

In her book, Cobo focused on Rivera's musical career through the eyes of a journalist, saying that Rivera's family never responded to her interview requests. CNN also reached out to the family, but they declined to comment.

Many suspect the reluctance to speak to the media lies with the tension in the Rivera family since the matriarch of the family died.  Rivera's five children are no strangers to the media spotlight -- daughters Janney "Chiquis" Marin, Jacquie Marin, and Jenicka Lopez, and sons Johnny Lopez and Michael Marin starred in the reality show "I Love Jenni," which aired on the cable network Mun2 for three seasons, wrapping up earlier this year.

On Monday, the one year anniversary of Rivera's death, Mun2 -- NBC's companion cable channel geared toward young Latinos --  will reair episodes of "I Love Jenni," which was shot before Rivera's death and focuses on the hectic life of her family.

With a reputation as a no-nonsense business woman who personified the American dream, Rivera is still making an impact on the Latino community.

"A lot of people were able to relate to her," Cobo said, "For the most part, her personal life was very public, an open book."

Opinion: America missed out on getting to know Jenni Rivera

@highlight

Singer Jenni Rivera, 6 others, died in a plane crash on December 9, 2012

@highlight

Rivera, 43, was at the height of her career

@highlight

The families of four passengers are suing the plane owner and Rivera's company

@highlight

Several tributes to the late singer are planned for the anniversary of her death