"When the Ebola outbreak started, it was very terrifying for everybody," recalls Michael Chu'no Ike from Nsukka in Nigeria's Enugu State. "People were afraid it could be transmitted by air and started believing all sorts of rumors about how to boost their immunity."

The virus has killed over 5,100 people worldwide, eight of which have been in Nigeria. While his home country has been declared Ebola free, Ike is creating a voice messaging system to raise awareness about the killer disease in the worst effected countries: Liberia, Sierra Leone and Guinea.

"Over 70% of people in West Africa live in rural and semi-urban areas," explains Ike, founder of the HaltEbola mobile service. "These groups usually do not have access to internet but they have good mobile phone coverage. Therefore, we saw the effectiveness in using the oldest means of communication -- voice -- to reach people."

Ike's vision is to reach people who are afraid to call authorities and ask for help -- the plan is that citizens will receive a call from HaltEbola, but instead of getting advice from a foreign doctor, they will hear a recorded message from local celebrities.

"We have connected with George Weah, the retired Liberian footballer, and we hope to get him involved soon," Ike explains. "People can listen to community leaders more than doctors," he claims. "That's the reality, and to tackle this disease, we need to confront the reality."

The HaltEbola concept impressed judges on the West African Venture Bus, a mobile initiative that travels across Africa connecting entrepreneurs with investors. Ike and his team won the first prize -- particularly fitting given that the competition was nearly scrapped because of fears of contestants contracting Ebola.

Communications is key

Ike's messaging platform is, however, just one of the many homegrown initiatives developed and rolled out across West Africa to raise awareness and prevent the spread of Ebola -- from mobile apps and education campaigns to catchy songs and multi-million dollar private donations, Africans are at the forefront of the war against the virus.

In Senegal, the ministry of health adapted a novel public health messaging platform designed to educate people about diabetes after the confirmation of the country first's and only case of Ebola. As a result, four million SMS messages were sent to the public warning of the dangers of the disease.  And it worked -- the virus was stopped in its tracks and the World Health Organisation pointed to effective communications when explaining why Senegal succeeded in stamping out Ebola.

And in Nigeria a system called UReport has been praised for de-bunking myths about Ebola. Developed by UNICEF, the technology allows citizens to ask questions and get replies in real-time. The added feature is that users can re-broadcast those answers to friends and relatives via SMS. According to Aboubacar Kampo, UNICEF Nigeria's chief of health, the free tool saw the number of subscribers double within first 24 hours of the Ebola outbreak, because of the accuracy of information available on the platform.

It was partly due to experts commenting on UReport that citizens started rejecting advice that salt water can protect against the virus -- a hoax which lead to the deaths of at least two people.

In Liberia, a text-message system aimed at health workers on the frontline is also gaining traction. Launched by the country's ministry of health and UNICEF, mHero (Mobile Health Worker Ebola Response and Outreach) connects the ministry and health workers in real time by broadcasting messages about care and prevention. The platform also lets health workers know when their hazard pay is available as well as the status of dead bodies in communities.

"Liberians themselves have been at the frontlines of the fight against Ebola from the very beginning while the country waited for international support to materialize," explains Saran Kaba Jones, founder of FACE Africa, a group working to improve access to clean water in rural parts of the country.

"The will is there," she continues. "People want to kick Ebola out of their communities, and ultimately they are the ones who are best positioned to do so. So we need to provide them with more resources like mHero."

Musical teaching

Liberia, the hardest hit country in the Ebola outbreak, has also gone on to implement more creative education campaigns. Health officials have teamed up with local musicians to create a catchy way of highlighting the risks of Ebola in a country where roughly half of the population is under 18. Over the thumping techno beat, the chorus runs: "Ebola is real, it's time to protect yourself, Ebola is real, protect your family..."

And before Bob Geldof announced a new version of the charity single "Do They Know It's Christmas?" focused on Ebola, famous African musicians including Tiken Jah Fakoly and Amadou & Mariam recorded a song to help raise awareness about the virus. "Africa Stop Ebola" is performed in French and regional dialects, and the lyrics are a message about what citizens can do to stop Ebola spreading.

Pan-African fund

Funding is key for the growth of messaging platforms and mass public health programs. African business leaders from sectors including banking and mining came together recently, and committed $28.5 million and logistical support at a meeting in the Ethiopian capital of Addis Ababa. The fund, which will be managed by the African Development Bank -- which has provided over $220 million in support -- and overseen by the African Union, will be used to support doctors, nurses and lab technicians.

"The funding is part of a long-term roadmap for the post-outbreak reconstruction of the affected countries," explains Harvard Kennedy School Professor Calestous Juma who attended the talks. "What I saw at the roundtable was a strong sense of collective responsibility and focus on getting the job done."

This pledge may be the largest to date from Africa's private-sector, but it is not the first. In October, Patrice Motsepe founder of African Rainbow Minerals (ARM) and South Africa's first black billionaire, donated $1 million to the Ebola Fund in Guinea.

Spotlight on Africa

Despite these cash injections, Ugandan-born social entrepreneur Tms Ruge says support for for local initiatives remains thin. "Very little of Africa's front line efforts to stop the spread of Ebola is visible in Western Media and as a result, very little material support is going to these organizations," he wrote in a recent blog post. It is for this reason he formed the Africa Responds website to promote the work of four community organizations working on the ground in Liberia -- THINK, HOPE, FACE Africa and Africare.

"We, as Africans, have to break the mentality that responding to crises on our continent is the mandate of the international community," wrote Ruge. "It will be Africans themselves who win this war on the ground."

@highlight

The deadly Ebola virus has killed over 5,100 people worldwide during this outbreak

@highlight

African business leaders have committed $28 million and logistical support to fight the virus

@highlight

Voice-messaging systems are being developed to educate people in their local language about how to avoid infection

@highlight

Music is being used as a means to spread the message about Ebola