Santiago, Chile (CNN) -- Heavily populated parts of Chile still were without water service and electricity Sunday night because of Saturday's 8.8-magnitude earthquake, and reports of looting raised fears about security in some areas.

The nation's hardest-hit major city, Concepcion, declared an overnight curfew. The death count from the earthquake doubled on Sunday from a day earlier, to 708 deaths.

Calling Saturday morning's quake an "unthinkable disaster," Chilean President Michelle Bachelet said a state of catastrophe in the hardest-hit regions would continue, allowing for the restoration of order and speedy distribution of aid.

Looting broke out in parts of the country, including in Concepcion in central coastal Chile, about 70 miles (112 kilometers) from the earthquake's epicenter.

Desperate residents scrounged for water and supplies inside empty and damaged supermarkets. On Sunday morning, authorities used tear gas and water cannons to disperse looters in some areas.

The quake struck before dawn Saturday, toppling thousands of houses and dealing a serious blow to one of Latin America's most stable economies. The Chilean Red Cross reported that about 500,000 homes had considerable damage as a result of the quake.

Did you feel the quake? Share photos, videos, info with CNN

Chilean President-elect Sebastian Piñera, scheduled to take office in March, warned Sunday that looting could grow worse with nightfall. He called for more government help in restoring order.

"Tonight we will experience a very, very difficult situation with public order, particularly in the area of Concepcion," Piñera told Radio Bio Bio.

Concepcion, the capital of the Bio Bio region, didn't have enough police to control all those seeking food and supplies from stores. Some became desperate as supermarkets closed and gasoline was unavailable, CNN Chile reported.

On Sunday afternoon, people were seen entering a mill looking for ingredients for bread. In the evening, a CNN team passed a dozen gas stations that were being looted, with people siphoning gas. Military officers were guarding a few gas stations, but few other signs of a government response could be seen.

Looting was being done not just by desperate residents, but by others who were merely opportunistic, said Concepcion mayor Van Rysselberghe.

"They are robbing everything," she said, asking for a stronger military response to restore calm.

In addition to food, gas and emergency supplies, looters were targeting appliance and electronics stores, Van Rysselberghe said.

Watch chaotic scene in damaged supermarket

Some small business owners resorted to protecting their shops with rifles and shotguns, said Rysselberghe, who also considered the current police force inadequate.

Concepcion is under curfew from 9 p.m. Sunday to 6 a.m. Monday because of the looting. The city government is distributing water from the central plaza.

Concepcion and its adjacent sister city of Talcahuano, Chile, have a population of 840,000.

Video from Concepcion showed collapsed walls of buildings exposing twisted rebar. Whole sides of buildings were sheared off, and at least two structures were on fire.

Chile's Office of Emergency Management launched a C130 helicopter Sunday with a contingent of 40 specialized firefighters and 10 search dogs for the rescue effort in Concepcion.

People in their homes lacked electricity. Hundreds faced sleeping in tents on Sunday night.

Bachelet said her government reached an agreement with the country's major supermarkets that would allow them to give away basic foodstuffs to those affected by the quake.

The armed forces were available to help with security and the distribution of food, she said.

In Concepcion on Sunday, a long line of people waited for foodstuffs as military personnel stood watch. "I have nothing," one woman told CNN Chile. "I have no bread. I am a widow. I am 81 years old."

Of the 708 reported dead as of Sunday afternoon, 541 had died in Chile's Maule region, and 64 in the Bio Bio region, both in south-central Chile.

"I am certain that these are numbers that will continue to grow," Bachelet said.

Bachelet said Saturday that some 2 million people had been affected in one way or another, but she did not elaborate.

More than 90 aftershocks had been recorded, ranging from 4.9 to 6.9 in magnitude. A 6.2-magnitude aftershock was recorded near the earthquake's epicenter on Sunday.

Chile has received many offers of international aid and will accept the help that it needs, Bachelet said. The U.S. military and the U.S. Agency for International Development were working to provide satellite phones, the State Department said Sunday.

"The Chilean government has not yet accepted additional offers of assistance, pending the completion of an assessment of specific needs," State Department spokeswoman Megan Mattson said, noting the airport in Santiago, Chile, was closed to foreign aid.

"As soon as the Chilean government establishes additional needs, the United States stands ready to assist in disaster response efforts," she said.

U.S. Secretary of State Hillary Clinton will be traveling to Santiago on Tuesday on a previously scheduled trip through Latin America. She had originally been scheduled to arrive Monday.

Bachelet said she hoped that the airport in Santiago, the capital, would reopen soon to private, public and commercial air traffic. The country's Department of Emergency Management said Sunday that repairs at the airport would take 48 hours.

The airline LAN Chile said that three flights left from Peru to Chile on Sunday, one of them landing in Santiago. These flights were not commercial, but were transporting Chileans stranded in Peru back to their country, LAN Chile spokesman Roberto Davila told CNN en Español.

Piñera sought to rally spirits in nationally televised remarks Sunday night, announcing a reconstruction plan called "Up With Chile."

"We will raise Chile," he said. "It's not going to be a short task, it's not going to be easy. It will require a lot of effort, a lot of resources, and a lot of time."

Saturday's quake was 700 to 800 times stronger than the 7.0-magnitude quake that struck Haiti in January, which left about 212,000 people dead and more than 1 million homeless.

Chile's quake also occurred at a greater depth -- 21.7 miles -- than the 8.1-mile depth of the Haiti quake, which contributed to much of the damage there.

Coastal Chile has a history of deadly earthquakes, with 13 temblors of magnitude 7.0 or higher since 1973, the U.S. Geological Survey said. As a result, experts said that newer buildings are constructed to help withstand the shocks.

CNN's Rolando Santos, Brian Byrnes, Karen Smith, Saeed Ahmed, Patricio Martinez and Patty Lane contributed to this report.

@highlight

Concepcion under curfew because of looting

@highlight

Death toll from Chilean quake rises to more than 700, president says

@highlight

Supermarkets will give away supplies on hand to quake victims, president says

@highlight

More than 90 aftershocks recorded, a day after massive quake shook Chile