(CNN) -- "There's a danger that something that feels easy to do and without risk to yourself, almost antiseptic to the person shooting, doesn't feel that way at the point of impact," General Stanley McChrystal, the former U.S. commander in Afghanistan, told the BBC when asked about drone strikes earlier this year.

"There is a perception of helpless people in an area being shot at like thunderbolts from the sky by an entity that is acting as though they have omniscience and omnipotence, and you can create a tremendous amount of resentment inside populations -- even not the people who are themselves being targeted but around -- because of the way it appears and feels."

When the former commander of NATO forces in Afghanistan is making this kind of warning about the drone program, things must be getting bad. The latest report by U.N. Special Rapporteur Ben Emmerson QC can only add to these concerns.

Emmerson cites a whole raft of cases where civilians -- many of them clients of legal charity Reprieve -- have been killed or injured by the misguided and shadowy campaign of drone strikes carried out by the CIA and the U.S. Joint Special Operations Command (JSOC).

Read more: U.N. investigator calls for more transparency

The cases highlighted by Emmerson demonstrate the devastating impact of drone strikes on innocent people from all walks of life in countries such as Pakistan and Yemen; and his call for states to publicly respond to the allegations set forth only underlines the total lack of accountability which currently exists for the covert drone campaign.

'Resentment on massive scale'

But perhaps more than anything, these cases give force to the concerns voiced by General McChrystal: that the danger of the drone campaign to the U.S. and its allies is that, far from being the easy, "antiseptic" fix it may appear, it is in fact creating resentment on a massive scale, and making all of us -- whether we live in Waziristan, Wyoming or Warwickshire -- less safe.

Perhaps one of the most devastating examples of this is the case of Saleem Ahmed bin Ali Jaber. Saleem was an imam who locals say was killed along with his nephew in an August 2012 strike in the Hadramout area of Yemen.

On the Friday before he was killed, he had given a sermon in the local mosque denouncing al Qaeda. His nephew, Waleed, killed alongside him, was a local policeman.

So what did that strike -- that "thunderbolt from the sky," in Gen McChrystal's words -- achieve for the U.S.? It killed the very people it should be supporting in Yemen: a brave religious leader, prepared to use his pulpit to take on al Qaeda; and a government employee who worked to enforce the law.

"Our family are not your enemy," wrote Faisal bin Ali Jaber, Saleem's brother-in-law and Waleed's uncle, to President Obama (in a letter sent last year which has yet to receive a response). "In fact, the people you killed had strongly and publicly opposed al Qaeda ... Our town was no battlefield. We had no warning."

Faisal has been very clear that, while he wants an apology and accountability for the deaths of his loved ones, he "wish[es] no vengeance against the United States or Yemeni governments."

However, we cannot ignore the destabilizing effect the drone campaign is having on those areas it targets.

Yemen vote ignored

How can the West credibly encourage Yemen down the path towards democracy and the rule of law when it ignores both in pursuing its policies inside the country? Both Yemen's Parliament and its National Dialogue -- which is mapping out the country's post-Arab Spring future -- have voted overwhelmingly against the U.S. carrying out drone strikes in the country, yet both have been ignored.

The U.S. -- helped by the UK, which shares intelligence and provides communications infrastructure in support of the strikes -- continues to carry out bombing raids with impunity in a country with which it is not at war.

The covert drone campaign has produced hundreds of stories of personal tragedy -- many of which remain unknown, due to the intense secrecy which surrounds it.

Emmerson's report helps lift the veil on just some of those stories, but the majority will remain in the shadows -- despite the efforts of human rights investigators and journalists -- until the U.S. and its allies accept that, at the very least, there should be some accountability and transparency in this deadly campaign. Yet with the CIA still refusing to even publicly acknowledge that any such campaign is taking place, any such accountability seems as far away as ever.

Read more: Obama calls for review of drone use

In the meantime, politicians and public alike should reflect on the warnings of General McChrystal and the story of Saleem bin ali Jaber, and demand to know how it is that this secret campaign, which alienates or incinerates the very people we should be trying to support, really makes any of us any safer.

The views expressed in this commentary are solely those of Clare Algar.

@highlight

A report by U.N. Special Rapporteur Ben Emmerson QC cites civilian drones casualties

@highlight

Clare Algar says the report shows the "devastating impact of drones on innocent people"

@highlight

She says Gen. McChrystal has warned the strikes can create tremendous resentment

@highlight

People should demand to know how the secret drone campaign makes them safer, Algar says