(CNN) -- A heavily glaciated region of the Himalayas is bucking the trend of global ice loss and showing small signs of increasing in mass, according to a new study.

Data examining six regions in the Karakoram mountains in the western Himalayas, which contains 7,700 square miles (nearly 20,000 square kilometers) of glaciers, revealed more than half of them are either stable or have been advancing in recent years.

French scientists observed the size and shape of ice covering 2,168 square miles (5,615 square kilometers) in central Karakoram using satellite data from the Shuttle Radar Topographic Mission (STRM) and the Satellite Pour l'Observation de la Terre (SPOT5).

Between 1999 and 2008 the glaciers gained, on average, the water equivalent of around 11 centimeters a year, according to the study published in the journal Nature Geoscience.

Lead author, Julie Gardelle from University of Grenoble in France says explanations for this increase are still not clear, but might lie in the localized climate.

"Studies have already reported an increase in winter precipitation and a lowering of summer temperatures since the 1960s in low-altitude valleys of Karakoram," Gardelle said.

"Given the wide extent of high mountain Asia, we cannot expect the climate to be uniform over the whole range, so a peculiar atmospheric behavior over Karakoram may not be surprising," she added.

The study confirms an anomaly in the region which was put forward in 2005 and contrasts with the experience of the central and eastern Himalayas where most glaciers are shrinking, say researchers.

That story is one which is being repeated globally, say the World Glacier Monitoring Service (WGMS) and has been since the end of the Little Ice Age around 150 years ago.

WGMS estimate that since 1980 the cumulative average thickness loss of monitored glaciers across the world has been 11.3 meters.

Despite the overall picture of retreat, there are instances where glaciers are able to re-advance and Karakoram is an example, says WGMS director Michael Kemp.

"The Himalayas is the highest mountain range on Earth with the highest elevation difference. It's a huge area. So we expect regions (of it) to act a bit different," Kemp said.

Glacier data in the wider Himalayan region hit the headlines in 2010 when the Intergovernmental Panel on Climate Change had to apologize for a "poorly substantiated" study they cited which claimed all Himalayan glaciers could melt by 2035.

Kemp told CNN at the time that the data, which found its way into their Fourth Assessment Report (AR4), was flawed, saying there were "simply no observations available to make these sorts of statements."

But this most recent work using satellites is of great value, he says, giving a picture of what is happening in a region where data has traditionally been scarce due to its remoteness and political issues -- the Karakoram range borders India, Pakistan and China.

Despite the slight gains, Gardelle says, the message on climate change remains the same.

"Global warming is far from spatially homogeneous and continuous with time. In our warming world, there are regions of the Earth where, during a few years or decades, the atmosphere is not warming or even cooling," Gardelle said.

"Karakoram may be one of those, but we lack consistent high elevation weather station to conclude firmly on this."

@highlight

Glaciers in the Karakoram mountains in western Himalayas are stable or gaining mass, new study says

@highlight

Data from two satellites reveals small increases since beginning of 21st century

@highlight

Small gains are in contrast to the picture of melting in rest of Himalayas and in other regions