As the ramifications of a grisly chemical weapons attack loom over a summit of world leaders, some of Syria's staunchest friends blasted what they call the "arrogance" of U.S.-led efforts to strike the war-torn nation and said those who do will pay a steep price.

Iran's Ayatollah Ali Khamenei said Thursday the United States -- which, in addition to being one of his country's chief adversaries, has led the push to punish Syrian President Bashar al-Assad's government over chemical weapons -- has no right to make "humanitarian claims (given) their track record" in Iraq, Afghanistan and at the military prison in Guantanamo Bay, Cuba.

The turmoil in the Middle East, Iran's leader said in remarks reported by state-run Press TV, is a "reaction of the global arrogance" that is rooted Washington. Should the United States and allies strike Syria, he added, it won't be able to "eliminate (the) resistance."

"We believe that the Americans are committing a folly and mistake in Syria and will, accordingly, take the blow and definitely suffer," said Khamenei.

He spoke on the same day Hezbollah issued its first official statement since the effort began to strike al-Assad's forces in the wake of an August 21 chemical weapons attack outside Damascus that, the United States estimates, killed more than 1,400 people, many of them children.

Video: Rows of bodies, injured children after attack

The group, which is popular in parts of the Arab world yet labeled a terrorist organization by the United States, claimed that any military action against Syria's government is "a form of direct and organized terrorism."

"These threats fail to conceal the true objectives of this strike aimed at mobilizing Israeli (strength) in the region in an attempt to impose the Western colonial grip," Hezbollah alleged in a statement read by parliamentarian Hassan Fadlallah, as reported by Lebanon's official National News Agency.

The remarks from Hezbollah and Iran are significant, given concerns that international military intervention in Syria could set off a wider war that further destabilizes the region and, thus, the world. Based in Lebanon, Hezbollah is linked to numerous terrorist attacks and is one of Israel's chief adversaries. So, too, is Iran, which has been at odds with Washington and others for years regarding its nuclear program.

Still, U.S. and other leaders continue to press for military action against Syria's government -- taking their arguments, through Friday, to the G20 summit in St. Petersburg, Russia.

Before heading east, U.S. President Barack Obama said that he believes the world has a duty to act, saying a failure to do so would give those with chemical, biological and nuclear weapons carte blanche to use them on anyone.

Arguing that "the international community's credibility is on the line," the president said, "The moral thing to do is to not to stand by and do nothing."

Yet Russia, which repeatedly has used its veto power to block U.N. Security Council efforts targeting al-Assad, has pushed back. They accused Washington and others of being overzealous and bull-headed by ordering strikes without irrefutable proof Syrian leaders are responsible for using chemical weapons, something they don't publicly believe.

Russian President Vladimir Putin even went so far as to accuse U.S. Secretary of State John Kerry of being dishonest as he makes the case to Congress for a strike, including his assertions about the role of an al Qaeda-linked group in Syria.

"He is lying, and (he) knows he is lying," Putin said at an event Wednesday. "It's sad."

British scientists find traces of sarin gas

Russia also has challenged assertions that Syrian forces has used chemical weapons, killing rebel fighters and civilians, including in the attack last month on a rebel stronghold near Damascus.

Such accusations against al-Assad and his government are hardly new since his government cracked down on protesters in 2011, setting off what became a civil war that the U.N. estimates has left more than 100,000 people dead, produced over 2 million refugees and displaced another 4 million inside Syria. The violence shows few signs of abating: On Thursday, for instance, the opposition Local Coordination Committees of Syria reported at least 87 more dead nationwide, among them 14 women and 14 children.

How you can help Syrian refugees

While the overall bloodshed has drawn rebukes and spurred some support for the opposition, it's chemical weapons allegations -- involving sarin gas, an extremely volatile and potentially lethal nerve agent -- that provoked the threat of direct international military action.

In June, France's foreign minister said samples in his nation's possession showed sarin gas had been used several times in Syria. The United States has made such assertions on multiple occasions, including in April when Defense Secretary Chuck Hagel alleged there's evidence sarin had been used lethally on a small scale.  More recently, Secretary of State John Kerry said Sunday that blood and hair samples from near the August 21 eastern Damascus attack site "tested positive for signatures of sarin" gas.

What are signatures of sarin gas?

And on Thursday, the British prime minister's office announced that its military scientists found traces of sarin gas in soil and clothing taken from a patient treated near the site of an alleged chemical weapons attack outside Syria's capital.

Scientists at the Porton Down military laboratory concluded the samples were unlikely to have been faked, and Britain is sharing its findings with the United Nations, the office said. The U.N. was expected to review samples taken by its own inspectors this week.

Echoing rebel forces, Washington has insisted that al-Assad's forces are behind such chemical weapon attacks, claiming only they have access to them and can deploy them on a large scale. Yet Syria has been equally adamant it has done no such thing, instead accusing "terrorists" -- its blanket term for opposition fighters -- of deploying chemical weapons.

Who is to blame, and what the world should do about it, looms large over Thursday and Friday's G20 gathering of world leaders in St. Petersburg, Russia.

G20: Where geopolitics trump economics

The summit's focus is officially on economic matters, though the deep divisions among its participants on this pressing issue are hard to ignore: the U.S. and French leaders are calling for a military strike against Syria's government, while Russian leaders are standing by their longtime ally and questioning claims al-Assad's government is responsible for gassing its own people.

How these talks influence the debate, if at all, is itself in question.

When asked Thursday while walking alone to dinner if any progress had been made on Syria, U.S. President Barack Obama said, "No, we talked about the economy."

Fervent debate in U.S., around the world

A sweeping international consensus seems unlikely as long as Russia -- which will host Syrian Foreign Minister Walid Muallem in Moscow on Monday, according to Syria's official SANA news agency -- and the United States maintain their firm positions

Kerry said this week, in Washington, that "at least 10 countries have pledged to participate" in a military intervention that Obama and French President Francois Hollande have urged. Yet that figure could well change.

Britain, normally a dependable U.S. ally in military affairs, has voted against joining any military action. And officials in France -- where polls show one in three people favor strikes -- have said they will wait until the United States decides on a course of action.

Read the U.S. Senate draft resolution (.pdf)

That won't come until after Congress weighs in, likely next week, on a measure authorizing strikes focused on degrading Syria's ability to use chemical weapons. While congressional leaders have backed Obama's call for action, most legislators are officially undecided so much that what happens is still anyone's guess.

"It weighs on me," said Sen. Dianne Feinstein, D-California, who added "it is conclusive" chemical weapons were used. "... There is no question that what (public reaction) is coming in is overwhelmingly negative."

Yet the president -- arguing that the world cannot afford a country to use such weapons against its own people without responding -- hasn't promised he'll abide by the vote in Congress. And Pentagon spokesman George Little said the Syrian government "should not take solace from the deliberative process that we are undertaking right now."

"We have time to adjust, if necessary, given conditions on the ground, given what the Syrian regime may or may not do in terms of movements of equipment and so forth," Little told reporters Thursday.

Fast facts: Sarin gas

Whatever the United States decides, some world leaders are stumping against military action.

In a letter Thursday to Putin in his role as host of the G20 summit, Pope Francis urged a "peaceful solution through dialogue" and called an armed intervention a "futile pursuit."

Speaking from St. Petersburg, European Council President Herman Van Rompuy said that while the international community "cannot remain idle" in the face of Syria's apparent chemical weapons use, "there is no military solution to the Syrian conflict."

"Only a political solution can end the terrible bloodshed, grave violations of human rights and the far-reaching destruction of Syria," he said. "Too many lives have already been lost and too many people have suffered for too long and lost too much."

@highlight

Opposition group reports 87 dead, including 14 women and 14 children

@highlight

Hezbollah calls potential U.S. strikes a form of "organized terrorism"

@highlight

Obama continues to press for a military action as a "moral" imperative

@highlight

British scientists detect sarin in the Damascus-area attack, echoing U.S. claims