Mumbai's moviegoers are getting used to seeing a police-issued public service clip before the start of films, encouraging them to come forward to report crimes against women.

It's a relevant message, given the regular reports of grisly gang rapes and murders roiling the nation. In the past few weeks, the north of India has experienced especially brutal violence, particularly in the state of Uttar Pradesh.

On May 27, the alleged gang rape and hanging of two teenage girls, age 14 and 15, in Badaun district made headlines.

Two weeks later, the body of a 45-year-old alleged gang rape victim was found hanging from a tree in Bahraich district.

Since then, a 16-year-old girl was found hanged from a tree in Moradabad district, allegedly after having been raped.

In Kushinagar, an 18-year-old was apparently raped by two people and dumped in a pond. And just days ago came news of another gang rape in Badaun, that of a 32-year-old woman.

After the infamous December 2012 rape and death of a physiotherapy student in New Delhi, the rape of a photojournalist in Mumbai in August last year and the rapes of several foreign visitors to India, the specter of a crisis haunts India.

"Clearly, rape is nothing new," says Madhu Kishwar, a pioneering feminist and academic who founded Manushi, a journal on women's issues, more than 40 years ago.

"What's new is the increased brutalization of the rape victims. It's an epidemic of brutality."

Kishwar notes a heightened frustration and angst amongst young men facing limited options in life as a factor in the wave of sexual violence. Beyond that, she also points to general lawlessness in states like Uttar Pradesh, where politics is highly criminalized.

Uttar Pradesh, with 200 million people, is India's most populous state and ranks fourth across all states and union territories in rape crimes.

Although the number of rape cases registered in the state increased from 1563 in 2010 to 1963 in 2012, the state's conviction rate for such cases declined from 2010 to 2012, from 45.1 percent to 31.5 percent, according to data from the National Bureau of Crime Statistics (NBCS).

This trend mirrors what's happening nationally. While the total number of rape cases in India registered a 12 percent increase between 2010 and 2012, the conviction rate declined from 17.1 percent to 14.3 percent, resulting in fewer convictions in 2012. (In the majority of these cases, the rape offenders were known to victims.)

Yet domestic data belies this, given that in 2012, the latest year for which official data is available, 24,923 rape cases were registered nationally, according to the NBCS. This is almost certainly a reflection of the under-reporting of crimes of sexual violence.

Political insensitivity is not helping to foster a climate in which victims of sexual violence feel safe coming forward. Mulayam Singh Yadav, the head of the Samajwadi Party, which governs Uttar Pradesh, courted controversy when he decried stricter punishments for rapists after laws were overhauled last year. He was quoted as suggesting that boys make such mistakes, and that rapists shouldn't be awarded the death penalty.

His Australian educated son, Akhilesh Yadav, who is the state's chief minister, also misstepped. When probed by journalists about the increase in rapes in his state, he retorted in Hindi: "It's not as though you faced danger."

The Samajwadi Party is hardly alone. Boorish politicians across party lines have made repugnant statements, including calling rape "accidental" and "sometimes right, sometimes wrong."

Such thoughts reflect Indian society's deep-rooted patriarchy. We rank 132 out of 187 countries on gender inequality, according to the UNDP's Human Development Report, lower even than neighboring Pakistan.

A 2014 report by Dasra, a Mumbai based philanthropic foundation says that almost 70 percent of women in India face some form of domestic violence.

In their book "An Uncertain Glory," economists Amartya Sen and Jean Dreze write that Indian women's participation in the workforce beyond the home "remains extremely low by international standards, and shows little sign of increasing" -- a situation attributed in part to "negative social attitudes towards women's work outside the household."

Poverty and poor sanitation are a blight on India. Forty percent of schools in India do not have separate toilets for girls, leading to higher school drop out rates for girls as they attain puberty and perpetuating the cycle of low female literacy.

Lack of access to toilets plays a role in making women vulnerable to assaults. The two teenage cousins killed in the Badaun assaults had stepped out to relieve themselves when they were abducted.

Caste oppression also continues to be a real issue. In Uttar Pradesh, caste certainly played a factor in some of the crimes, which reflected a pattern of higher caste men feeling entitled to victimize lower caste victims with relative impunity.

But, as is often the case with all things Indian, generalizations have their limits. The rape of a photojournalist in Mumbai last August had nothing to do with caste and everything to do with young men attacking a woman for sport.

"Each case has to be looked at individually," says Kishwar. "It would be a mistake to lump them all into one group."

How, then, do we restore faith in our society and tackle this menace?

For a start, Indians have to shift our cultural mindset. We must give women wider berth in employment opportunities to foster economic independence.

The idea of woman as personal property, which leads to a sense of male entitlement, has to be eradicated. Marital rape, currently not legally recognized, must be criminalized.

In the short-term, we need better law enforcement. The police need to step up their game nationally, but especially in places like beleaguered Uttar Pradesh.

Victims should be encouraged to come forward to report crimes with the expectation they will be treated with care. More policewomen need to be recruited, and dedicated cells for violent sexual crimes must be the norm in police stations. Mandatory gender sensitivity training and quicker response times to crimes should be built into police performance evaluation. Conviction rates need to go up, but justice also needs to be timely.

Indians recently took pride in peacefully electing a new government, one that took the reins in New Delhi promising change. A priority for them in delivering on that promise must be to ensure women's security.

@highlight

Northern India has experienced especially brutal violence, with a spate of brutal rapes

@highlight

Gayatri Rangachari Shah: Indians have to shift their cultural mindset towards women

@highlight

The conviction rate in rape cases has declined over the past few years

@highlight

Political insensitivity is not helping victims feel safe coming forward