Sao Paulo, Brazil (CNN) -- During the past two weeks, millions of Brazilians have taken to the streets to protest years of dissatisfaction and discontent with their government. What started as a student mobilization transformed day by day to incorporate professionals, the middle class, and residents of the favelas, or slums.

All are joined in protest against the administration of President Dilma Rousseff, though their motivations may differ.

Some 6% of Brazilians live in the favelas, according to the 2010 census. These mountains of bricks, rising in intricate forms, border the country's largest cities like Sao Paulo and Rio de Janeiro. Hospitals, schools, security and an end to police abuse are the principle demands from this social sector.

Fatima Souza, resident of Paraisopolis, the second-largest favela in Sao Paulo, has worked as a maid for 15 years. She decries that there are no public hospitals or more schools inside the favela. Her 15-year-old son dropped out of school two years ago and his return to the classroom has been denied because of lack of room.

Paraisopolis is home to 100,000 people. The community has the worst schools of the state and local education system -- lagging in primary education, behind in literacy and lacking control over the adolescents, according to an index of development in primary education.

The children in the favelas can attend the public daycare centers until they are 4 years old. The elementary schools run only half a day, a schedule that causes problems for parents who work eight-hour shifts.

'We don't have hospitals'

"The only ones who do something for us are the businesses," Souza said. "We don't have hospitals. The only place where we can take our children is the Einstein, a community program that is privately financed. When I ask for a visit, they give me an appointment in three months or more."

The closest available public hospitals, she says, lack equipment.

"Many say the fight is over public transportation, but why does no one hit the streets so that they raise the minimum wage," said Fernanda Rodrigues, a janitor who spends $30 a week for transportation to her job.

Rodrigues and her 5-year-old son are beneficiaries of Bolsa Familia, a welfare program instituted in 2003 that helps more than 13 million families living in poverty.

This week, the residents of Rocinha, one of the largest favelas in Rio de Janeiro, joined the anti-government protests. The immediate motivation was police abuses and security problems in the community. Just hours before the protests, a battalion of special forces had entered the favela, causing nine deaths and nine injuries. Schools closed and 7,000 children were left without classes, according to the non-governmental organization Favelas Observatory.

The new middle class

One of the government's accomplishments is that some 50% of the Brazilian population has entered the middle class. Of this figure, 40 million were added to the middle class between 2004 and 2010, under the government of President Luiz Inacio Lula da Silva.

But rising income has not kept people from joining the protests.

According to a survey by the Brazilian Institute of Opinion and Statistics, 79% of the protesters earn more than twice the minimum wage, and 76% are employed.

Close to 40% of the protesters had not been born during similar massive protests in 1992. In those protests, university students mobilized to demand that then-President Fernando Collor de Mello step down. They remained in the streets until the president resigned amid corruption charges.

CNN MONEY: Rising middle class fuels Brazil's protests

'Together for a cause'

"I think these are the first protests from a public that spent years doing nothing," said Ricardo Almeida, a 21-year-old student. "Before, we saw some smaller protests, but this is the first time we all joined together for a cause."

The movement sprang up in response to an increase in public transportation fares, but it has turned into a broader war cry, with protesters holding signs decrying corruption, poor public services and lack of investment in education and health.

"I decided to come because I can't stand the corruption in Brazil. Here there is no money for hospitals and schools, but yes for stadiums," said Adriana da Silva, who marched for the first time last week, during the largest of the demonstrations.

The arrival of the World Cup

Criticism against the spending to organize the 2014 World Cup has spread across the country. A year from the event, half of the stadiums are not ready and it has become clear the need for new infrastructure was underestimated.

"When Brazil was selected as the host of the World Cup five years ago, we celebrated. We celebrated because we didn't know that it was going to cost so much," said Mateos da Costa, a 53-year-old taxi driver. "Our leaders should have known that Brazil was not in a condition to organize the event."

Understanding the current social unrest in Brazil becomes a harder task every day. However, if there is something that has unified the middle class and the favelas, in addition to general discontent, it is disapproval of the president. Even though their demands may not be the same, the dissatisfaction seems to reach the same levels.

CNN iREPORT: What's REALLY behind the Brazilian riots?

@highlight

The protests in Brazil include a broad spectrum of the population

@highlight

About 6% of Brazilians live in slums known as favelas

@highlight

They want more security and health clinics

@highlight

The middle class is upset about corruption and wasteful spending