Opening in 1863, London has the world's oldest underground railway but it also has, in austerely beautiful Westminster, one of Europe's most futuristic-looking stations.

The first metro might have been uncomfortable and unhealthy (toxic steam often entered the train cars due to poor ventilation) but it soon became clear that few cities of any size should be without one.

By the mid-1920s, Paris, Madrid, Berlin and Milan had their own subterranean networks -- with cleaner, electric-powered trains and often also beating London's Tube in the aesthetic appeal of their stations.

Moscow joined the party in 1935 and now boasts one of the busiest metro systems in the world -- carrying more than 6.5 million passengers a day.

But as the following stations show, more than 150 years after the London Underground opened, there's a lot more to a great subway stop than getting from A to B.

1. Toledo, Naples, Italy

Opened in 2012, Toledo station defies its depth -- at 50 meters, one of the deepest in Naples -- with a design based around themes of light and water.

A work called "Light Panels" by Robert Wilson illuminates the station corridor furthest underground.

This stunning station has competition: it's part of the city's network of so-called Metro Art Stations.

2. Westfriedhof, Munich, Germany

Inaugurated in 1998 to little fanfare, this otherwise ordinary looking station took on new life just three years later.

In 2001, Westfriedhof's platform was aesthetically enhanced by 11 enormous, domed lighting fixtures that continuously bathe the surroundings in haunting shades of blue, yellow and red.

3. Komsomolskaya (Koltsevaya Line), Moscow

Komsomolskaya station's baroque-style decor, historical mosaics and chandeliered ceilings resemble a grand ballroom.

Opened in 1952 to alleviate the congestion of one of Moscow's busiest transport hubs, it was Stalin's infamous 1941 wartime speech that inspired the opulence of the mosaics.

4. Olaias, Lisbon, Portugal

In 1998, Lisbon hosted a world expo, in part to celebrate 500 years of Portuguese inventions.

Built to help transport the expo's 11 million visitors, the station is a whimsically colorful space that to this day holds its own as a modern work of art.

5. Westminster, London

London Underground might be the great-great-grandparent of all the world's metro stations but Westminster, opened just days before the new millennium, has to be one of the most futuristic-looking.

The austere concrete and stainless steel design somehow achieves a functional beauty rather than oppressing all those commuters scurrying to and from their offices.

6. T-Centralen, Stockholm, Sweden

Above ground, Stockholm's central station looks like a pretty average part of a rapid transit system.

Start boring down, though, and unexpected changes in color and shape reveal a very different animal.

When commuters reach the bold blue and white, cave-like platform at T-Centralen, they're reminded that they've indeed ventured underground.

7. Bockenheimer Warte, Frankfurt, Germany

Seeking to distinguish his design from the unobtrusive minimalism of other Frankfurt stations, architect Zbigniew Peter Pininski outdid himself with the fantastical entrance to Bockenheimer Warte.

Depicting a train car crashing through the sidewalk, it leaves commuters either shocked or bemused, but rarely indifferent.

8. "Fosteritos," Bilbao, Spain

Less than 20 years old, Bilbao's metro is the third-largest in Spain.

The curved-glass entrances of many of the stations -- affectionately nicknamed "Fosteritos" ("Little Fosters") after their creator, Lord Foster -- are considered prime examples of the city's modern, up-to-the-minute style.

The transparent structures admit plenty of daytime light and at night are lit up.

9. Palais Royal -- Musée du Louvre, Paris

In a city as beautiful as Paris, this unconventional station entrance at Place Colette still stands out.

Completed in 2000 (the centennial year of the Paris metro), Jean-Michel Othoniel's "Kiosque des noctambules" ("Kiosk of the night owls") intertwines dazzling colored beads to form two protective cupolas.

A meeker design would be overshadowed by the close proximity of the Louvre Museum and surrounding classic architecture.

In this case, however, it adds a touch of cheeky hipness.

10. Admiralteyskaya, St. Petersburg, Russia

St. Petersburg's newest metro stop proves that classic and modern design can coexist harmoniously.

After many setbacks, the station finally opened for business in December 2011.

Stark curved ceilings and low lighting complement traditional marble and arched platforms in what's the deepest station in the network.

11. Plac Wilsona, Warsaw, Poland

The Soviets built some extraordinary metro stations but this 2005 effort, named after U.S. president Woodrow Wilson, showed that a capitalist Poland could come up with some beauties, too.

Unless, as might appear, it was actually built by UFOs.

12. Staromestska, Prague

All the stations on Prague's A Line deserve a place in the European metro hall of fame for their distinctive dimpled metal tunnel walls, but Staromestska is the most visited and photographed.

A different color for each station, they look like something from the dystopian film "A Clockwork Orange," but the bubble-wrap design actually strengthens the metal.

What's the best metro stop -- in Europe or worldwide -- you've ever traveled through? Elbow your way into the carriage in the comments field below.

@highlight

"Metro envy" has produced some stunners in Europe

@highlight

At 50 meters deep, Toledo station, in Naples, feels filled with light

@highlight

Part of the oldest metro, London's Westminster looks super-futuristic

@highlight

A Frankfurt station shows a train car crashing through the sidewalk