(CNN)These are fearful times on the highest mountain in the world.

The devastating earthquake that hit Nepal on Saturday set off avalanches that left large numbers of climbers dead, missing, injured or trapped on Mount Everest.

And aftershocks, including a strong one Sunday, are continuing to send snow and rocks thundering down the mountainside, complicating rescue efforts.

"We were sitting here in base camp, feeling the situation was getting better," said climber Carsten Pederson.

"And then suddenly, we felt the aftershock," he told CNN on Sunday. "And immediately after the shock, we hear avalanches from all the mountains around us."

But those avalanches didn't appear to be on the same scale as those that came roaring down on the camp Saturday.

The base camp on the Nepal side of Everest is in a vulnerable spot, sitting in a valley surrounded by high Himalayan peaks. When the huge, lengthy quake struck Saturday, the scores of climbers who had gathered there to prepare for or recover from ascents of the peak had nowhere to run.

"An earthquake that long set off avalanches all the way around us. And they came down -- they were large, they were massive avalanches," said Jon Reiter, an American mountaineer at the base camp.

People tried to flee as the onrushing wall of snow, ice and rocks took out large sections of the camp.

"They were trying to outrun the avalanche and you cannot," said Pederson. "So many people were hit from behind, blown off the mountain, blown into rocks, hit by debris, tents were flying off."

He said he took shelter behind a large pile of stones.

"I could hardly breathe, but I could stay until the avalanche was over," he told CNN.

A huge cloud of snow dust billowed hundreds of feet into the sky.

"We all ducked for cover until the cloud passed and then started dealing with the aftermath," Reiter said.

That included at least 17 people killed, dozens injured and many others missing, he said. They are one part of the enormous human toll in Nepal and beyond from the catastrophic quake.

The many unhurt people at the camp scrambled to help the injured, digging them out of the snow and turning dining tents into makeshift field hospitals. Snow that continued to fall made it hard for them to see, hampering their efforts.

Climbers worked in shifts through the night, nursing the injured as they waited for the weather conditions to improve to allow helicopters in.

"A lot of them are in pretty tough shape," Reiter said of the injured.

The airlifts of those with the most severe injuries began Sunday morning after the weather cleared.

"The sun is breaking through the clouds, and the choppers are coming in," Reiter said. "We're pretty grateful. We're going to get these guys down the hill."

Pederson said that most of the injured people at the base camp had been airlifted out by Sunday afternoon.

But concerns were growing for the groups of climbers stuck farther up the 29,035-foot (8,848-meter) mountain in Camps 1 and 2.

The avalanche was reported to have trapped them above the icefall area, an already treacherous part of the mountain that separates the base camp from Camp 1.

"They'll have to put a new route in from base camp up through that icefall," said Jim Whittaker, the first American to reach the summit of Mount Everest.

The climbers "will have to cool it for a couple days, wait until the route is re-established," he told CNN.

But the frequent aftershocks were making that task more difficult.

Alex Gavan, a mountaineer at the base camp, said Sunday on Twitter that ropes and other gear were being helicoptered to the people trapped above the icefall.

A few of the climbers were taken down by helicopter, but more than 100 were believed to still be up there, he wrote.

"Practically, it's impossible to get them off with helicopters," Pederson said. "There are so many people up there."

Amid the struggle to save the living, details started to emerge about some of the dead.

Among them was Dan Fredinburg, an American executive at Google who had been posting updates about his adventures in Nepal on Instagram and Twitter.

His sister, Megan, updated the Instagram account with a message saying he suffered a major head injury.

"We appreciate all of the love that has been sent our way thus far and know his soul and his spirit will live on in so many of us," she wrote. "All our love and thanks to those who shared this life with our favorite hilarious strong willed man. He was and is everything to us."

Eve Girawong, a medic from New Jersey who worked on the mountain, was also killed, according to her family and employer.

"On behalf of my family, it is with deep sadness that I write that our beloved daughter, younger sister and best friend has been taken from us today," a family member wrote on Facebook. "Nong Eve Girawong was doing the thing she loved doing most -- helping others. Words cannot describe the heartbreak and pain that we are currently suffering."

People at the base camp described a grim, chaotic situation after the avalanches Saturday.

"It's a pretty rough scene up here," Reiter said.

He told CNN that he'd put one dead man inside a sleeping bag and zipped it up.

Many of those who suffered the worst injuries were asked to write down their names to identify them in case they died, Reiter said.

The exact number of dead remained unclear. Reiter reported 17; Nima Namgyal, a doctor with an expedition at the base camp told CNN that he had seen 14 bodies so far.

But an unknown number of people are still missing, buried beneath the snow and ice.

The earthquake struck just over a year after an avalanche on Everest killed 16 Sherpas, the deadliest single disaster on the mountain up to that point.

The Sherpas, an ethnic group, are famed for their climbing skills and often work as mountain guides.

"This is our job," said Pasang Sherpa, who lost people close to him in the 2014 avalanche. "So there is always a risk of death."

Reiter was also there last year when that avalanche came crashing down the icefall. He described to CNN at the time the harrowing experience of seeing bodies being removed.

The American climber has scaled all of the "Seven Summits," the highest mountain on each of the seven continents, except Everest. This is his third straight year trying to scale the tallest peak of them all. He turned back in 2013 "because it didn't feel right," according to his wife, Susan.

Will Reiter try again after witnessing another disaster on the mountain?

"You would think that he wouldn't because of this and because of last year," Susan Reiter said from her Northern California home. "But knowing my husband I think he will. I hope not, but I don't want to hold him back."

CNN's Greg Botelho, Katia Hetter, Jessica King and Carma Hassan contributed to this report.

@highlight

Concerns growing for people trapped higher up the mountain

@highlight

Helicopters begin airlifting injured people from the base camp in Nepal

@highlight

Climber reports at least 17 dead; many others injured, missing or stuck