(CNN) -- Fifty years ago this month, I chanced to hear the Rev. Martin Luther King Jr. I was a mild-mannered kid with a speech impediment and a love of math. That day, I was focused on solving math problems, not issues of justice and equal rights. But King broke through to me when he said this: If the children of Birmingham march, Americans will see that what they are asking for is a better education. They will see that even the very young know the difference between right and wrong.

I chose to march, and found myself among hundreds of children jailed for five terrifying days. Mind you, I was not a brave child. But even at 12 years old, I believed and hoped that my participation could make a difference.

Twenty-five years later, I had made my way to the University of Maryland, Baltimore County. My colleagues and I had an outrageous dream: Perhaps a young research university -- just 20 years old -- could alter the course of minority performance in higher education, particularly in the sciences. Baltimore philanthropists Robert and Jane Meyerhoff shared our vision.

TED.com: How to escape education's death valley

And now people ask: What magic have we hit upon that has enabled us to become a national model for educating students of all races in a wide range of disciplines? How did we -- as a predominantly white university with a strong liberal arts curriculum -- become one of the top producers of minority scientists in the country?

Rather than magic, there are a number of educational principles at work. And what my colleagues and I have found is that they all grow out of one key truth: The world does not always have to be as it is today.

TED.com: Hey science teachers, make it fun

To start, we faced up to some particularly tough questions: Why weren't more students from traditionally underrepresented groups succeeding? In what ways was the university responsible? What questions weren't we even thinking to ask? The lessons we learned took shape in the Meyerhoff Scholars Program, which has grown into a national model for producing minority students who earn advanced degrees in science, technology, engineering and math.

TED.com: Our failing schools -- enough is enough

In fact, a number of campuses across the nation have been replicating the program, including most recently the University of North Carolina and Penn State. Along the way, we discovered that the strategies that helped minority students initially could be just as effective in helping students across racial and economic groups and across the disciplines -- throughout the arts, humanities and social sciences:

Work from strengths and set high expectations. Too often, we focus on deficits. We see poor preparation or lack of family support, rather than seeing underdeveloped talent and tenacity. At UMBC, we look at a student's background as context, not as destiny. We set high expectations, and both challenge and support students to ensure their success.

Build a community of scholars. We help students develop strong peer networks and encourage them to see one another as partners, rather than competitors. It is effective -- and powerful -- when students support and hold one another accountable.

Engage students in meaningful research. When asked who contributed most to their academic success, students will almost always mention a faculty member. Faculty-student connections are critical, and it's especially important that faculty engage students in meaningful research. We like to say: It takes researchers to produce researchers.

Hold yourself to quantifiable progress. We constantly evaluate the outcomes of our work, and that evaluation is data-driven, not anecdotal. For example, we know that the various features of the Meyerhoff Scholars Program -- peer support groups, intensive advising, early research experiences -- work in combination. UMBC's students graduate, and they go on in large numbers to earn Ph.D.s in science and engineering. But which elements of our approach are most critical and cost-effective? We're currently working on a project funded by the National Science Foundation to tease that out. If we don't look critically at what works -- and what does not -- we can't recalibrate and continue to improve.

Keep at it. A graduate recently wrote me to share a quote from Aristotle: "We are what we repeatedly do; excellence, then, is not an act, but a habit." To fuel that kind of persistence, hold fast to this one key truth: The world does not always have to be as it is today.

The opinions expressed in this commentary are solely those of Freeman Hrabowski.

@highlight

Freeman Hrabowski, longtime college president, started with an "outrageous dream"

@highlight

Inspired by memories of Martin Luther King, he sought to teach people of all backgrounds

@highlight

University of Maryland, Baltimore County has been recognized for training minority scientists