Hong Kong (CNN) -- Amid the swirl of claims and counter-claims involving sex, lies, and witness videotapes, one of the most intriguing aspects of Bo Xilai's so-called "trial of the century" in China has been the live micro-blogging of proceedings from the courthouse.

Timeline: Bo's fall from grace

Case updates, photos, excerpts of video testimony and partial transcripts were posted on the court's Twitter-like Sina Weibo account during the course of the five-day trial of the former high-flying politician on charges of bribery, embezzlement and abuse of power, attracting more than 590,000 followers.

State media rushed to herald the micro-blog as a reflection of "historic transparency" and "historic progress for the rule of law" in a country that regularly clamps down on the free flow of information and dissent.

But while the court's micro-blog offered unprecedented glimpses into what was widely viewed as a tightly-orchestrated show trial, the flow of information was nonetheless a selective drip-feed that sparked questions about its objectivity.

Five things not to have missed

Some Sina Weibo users complained of deleted comments that went against the party line of the trial's fairness and the certainty of Bo's guilt.

Speculation -- in mainstream as well as social media -- about what lay beyond the micro-blog and what was excluded from the transcripts underscored the lack of openness the party claimed to offer.

People with detailed knowledge of the court proceedings told CNN that the micro-blog left out details that may have placed Bo in a good light and Bo's claims of threats made against him and his family during party investigations.

And while criminal trials in China are theoretically open to the public, in practice, the gallery is as open as the state wants it to be. Bo's trial lacked independent observers -- Bo's family, government officials, and a handful of pre-approved journalists were allowed into the courtroom -- while foreign media were relegated to a hotel across the street.

"For that class of trial, the Bo Xilai trial was a showcase for how to be more transparent about what goes on inside the courthouse," said Nicholas Bequelin, a Hong-Kong-based researcher for Human Rights Watch, comparing it to the information vacuum during the brief, closed trials of Bo's wife and his former right-hand man Wang Lijun last year.

"But that's not real transparency; it's selective transparency," Bequelin added. "The party remains in charge of what gets said to the public."

Joshua Rosenzweig, another Chinese human rights researcher based in Hong Kong, agreed there was a relatively high amount of information released compared to the vast majority of Chinese criminal trials, but he questioned the motives behind it.

"One motivation is to control the narrative. Part of what spawns rumors online is the lack of transparency," he said. "When you try to take control of the release of information, it draws people into the information and doesn't give as much opportunity for straying from that narrative."

Concurrently, the trial comes against a heightened crackdown on activism under President Xi Jinping -- with regular arrests of micro-blog users for "rumor mongering" and activists for "assembling a crowd to disrupt order in a public place."

Over the past several months, state media has reported the arrests of numerous journalists and ordinary citizens across China for "fabricating online rumors" on their Weibo accounts.

On Friday, prominent human rights advocate Xu Zhiyong was formally arrested for disturbing public order after he was detained last month. The same day, Charles Xue, a major liberal activist with more than 12 million followers on Sina Weibo, was detained by Beijing police on prostitution charges, prompting online speculation that Xue was the victim of a set-up.

Read more: China's netizens not always on side of justice

The crackdown on dissent is a similar attempt to manage public opinion by setting boundaries around key opinion-makers with large followings on micro-blogging platforms, Rosenzweig said.

Bequelin said the arrests reflect how the Xi administration is "very conservative on political matters. Their rationale is that China is going through a turbulent period and they need to make some structural adjustments to the economy, civil services, all the acute problems that the system is facing. Therefore, they cannot to afford to have anything destabilize the country."

For all the party's efforts to create an impression of fairness and transparency in the Bo trial, analysts interpreted them as one-off gestures tailored for a high-profile case.

"This was a sensitive case because it revealed so much of the inner workings of the party and the abuses of power and the elite, so it needed a trial that was a match for that," Bequelin said, calling the proceedings a "good-quality show trial."

"But in no way does it indicate a systemic shift in China toward greater standards in the administration of justice," he added.

Rosenzweig agreed. "It's far too early to see this as a transformative event that will trickle down into criminal proceedings," he said.

At the same time, human rights analysts believe the theatrics will have the unintended effect of raising public expectations of a fair trial in China.

"At the end of the day, Chinese criminal trials are primarily about reasserting social and political order over society, not providing a process that pays considered attention to the rights of defendants," Rosenzweig said.

"The Chinese public is desirous of a criminal process that is more rights-based. So seeing this in practice in such a spectacular form, while it might be a one-off, does set a precedent in people's memories of what a criminal trial can look like."

In China, the role of a judge is not to determine guilt, but rather to decide on a sentence based on information provided by the prosecution. The role of the defense is extremely limited, and criminal cases tend to be open-and-shut, with a conviction rate of 99.9%.

While Bo's long and fiery rebuttal of the charges against him is unlikely to alter what is an all-but-certain guilty verdict, the fact that he defended himself at all is highly unusual in the Chinese criminal system.

It is precisely this tension between a party bent on preserving its power and the public's push for greater rights that will fuel the development of the rule of law in the China, according to analysts.

"Twenty years ago, [the party] didn't need to go through all this," Bequelin said. "But now, if you want to give the citizenry the impression that someone got a fair trial, the bar is much higher."

Trial by social media

@highlight

Bo Xilai trial proceedings posted on live courthouse micro-blog, attracting more than 590,000 followers

@highlight

China hailed micro-blog as "historic transparency" but flow of information was selective

@highlight

Analysts: "Selective transparency" was one-off gesture for high-profile show trial

@highlight

Unintended effect is raised public expectations of a fair trial in China, analysts say