San Diego (CNN) -- You've probably read those articles about how, in the United States, minorities are becoming the majority. That's a polite way of describing what is really going on. Namely, that the U.S. population is becoming more Latino and less white. More than any other group, it is Latinos who are driving demographic changes.

Last week, the U.S. Census Bureau reported that, of all the babies born in the United States in 2011, more than half were members of minority groups. Latinos, Asians, African-Americans and other minorities accounted for 50.4% of births last year, marking the first time in U.S. history this has happened.

Immigration is a driving force. So is the fact that Latinos have higher birthrates because they tend to be younger and starting families. According to the report, Latinos have a median age of 27; with whites, it's 42.

When I read these kinds of stories, I wince. Some people assume that making lawmakers, media and corporations aware of population trends will persuade them to see the value in diversity and cause them to reach out to nonwhite populations. In my experience, it doesn't have that effect at all. People tend to do what they want to do the way they've always done it.

But what you can set your watch by is the backlash to these stories. It's rooted in fear, but also in human nature. No one likes being told they're being displaced or pushed aside, or that they're not going to be as relevant as time goes on.

So when David Bostis, a senior research associate at the Joint Center for Political and Economic Studies, tells CNN.com as he did recently: "The Republicans' problem is that their voters are white, aging and dying off" and that "there will come a time when (Republicans) suffer catastrophic losses with the realization of the population changes," it is bound to set off shock waves. And it did.

Conservative radio talk show host Rush Limbaugh saw the CNN story as a threat, and he went ballistic.

"It is clear that this, and other similar stories like this, are meant to serve as a warning to Republicans and conservatives," Limbaugh told his audience of millions.

"And the warning is: You are on the wrong side of history. And you are on the wrong side of demographics. You better do what the coming majority wants right now, or you're gonna suffer the consequences. There is an implied threat in this story. You're getting older. You're white and you're dying off. Pretty soon you're gonna find out what it's been like to not be you."

"That's the implication of the story," Limbaugh insisted. "You've been the majority for all these decades, all these generations, but your time is coming when you're gonna be the minorities and there's gonna be people with majority power over you. So you better learn right. You better change your ways. You better get with the program so that everybody likes you."

As is often the case when Limbaugh charges into matters of race and ethnicity, he has it all wrong. These aren't threats. These are facts. And they're presented not to pressure people to do "what the coming majority wants right now" as much as to highlight the value of doing the right thing by making our institutions more inclusive.

Stories like this are supposed to enlighten us and give us a heads up about what's coming around the corner, so we can take advantage of the trend and not be overrun by it. Elected officials, media companies and the business communities can put off thinking about the future, but they can't escape it.

Meanwhile, what people like Limbaugh seem to be trying to escape is a reckoning for what happened in the past. As he sees it, all this talk about changing demographics is tied to a larger criticism of the United States as having at times fallen short of its own principles of liberty, fairness and equality.

"Part of it is payback because this evil white majority has arranged things so they get all the spoils," he said. "And then whatever they don't want is what gets handed down. Those days are about over, and the big change is coming."

What needs to change is this kind of thinking. It's total nonsense. In nearly 25 years of writing about politics, race and ethnicity, I've never heard any member of a minority group talk about how they're looking forward to "payback" once they're in the majority. Not one.

What I do hear quite a bit is that people of color believe in the greatness of this country, and they want to help write the next chapter in ways that benefit them and their families. They want a seat at the table, not because they feel entitled but because they feel they have something unique and valuable to offer. And they don't want to get even; they just want to get ahead.

What's wrong with that? Nothing.

In fact, it's in keeping with some of this country's greatest traditions. Have no fear. The face of America is changing. But it's heart and soul never will.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

U.S. Census says that more than half the babies born in 2011 were minorities

@highlight

Ruben Navarrette: People like Rush Limbaugh see the change as a threat

@highlight

He says minorities are not looking forward to "payback" once they're in the majority

@highlight

Navarrette: Minorities just want a seat at the table and to offer something back to the country