Washington (CNN) -- President Obama met Tuesday with Senate Democrats and emerged to say Congress was "on the precipice" of passing a sweeping health care reform bill.

"There are some differences that still have to be worked on," Obama said after talks with Democrats trying to push their bill through the Senate. But "there is broad consensus around [a set of] reforms."

Obama spoke after Connecticut Sen. Joe Lieberman indicated he was prepared to back reform legislation on condition that the bill drops both a controversial government-run public health insurance option and a provision allowing 55- to 64-year-olds to buy into Medicare.

If the public option and Medicare buy-in are removed from the bill, "then I'm going to be in a position where I can say ... that I'm ready to vote for health care reform," Lieberman told reporters on Capitol Hill. In a later interview with CNN, Lieberman said he was "moving very much in the direction of saying yes, pending just seeing what I've been told is happening with the bill."

An independent who caucuses with the Democrats, Lieberman has emerged as the main obstacle to the majority party's efforts to get the health care bill passed by the Senate before Christmas. He threatened over the weekend to join a GOP filibuster if the legislation contains either the public option or the Medicare expansion.

Unanimous Republican opposition to health care legislation so far means Senate Democrats need the backing of all 60 members of their caucus to end debate on the bill and move to a final vote. Final Senate passage of the bill would then require only a simple majority of 51 votes.

Senate Democrats held an emergency meeting Monday night to discuss the issue, then gathered with Obama on Tuesday afternoon to hear the president's opinion.

"The final bill won't include everything that everybody wants. No bill can do that," Obama said afterward. "But what I told my former colleagues today is that we simply cannot allow differences over individual elements of this plan to prevent us from meeting our responsibility to solve a longstanding and urgent problem for the American people."

Obama insisted "any fair reading" of the Senate bill showed it meets the administration's criteria of lowering costs and expanding coverage while not adding to the federal deficit.

Some Democrats disagreed. Former Vermont Gov. Howard Dean -- a former presidential candidate and past head of the Democratic National Committee -- ripped the decision to eliminate the public option and the Medicare expansion.

"This is essentially the collapse of health care reform in the United States Senate and, honestly, the best thing to do right now is kill the Senate bill and go back to the House," Dean said in an interview with Vermont Public Radio posted on its Web site.

In his interview with CNN, Lieberman acknowledged he angered some of his colleagues, but said he was acting on principle, not politics.

"I knew some of them were upset about positions I'd taken," Lieberman said. "But like each of them, I didn't get elected by telling my voters in Connecticut that I would follow the majority of my caucus even if I thought on some things they were wrong. We each have to do what we think is right."

Political differences require compromise, even within the Democratic caucus, Lieberman said.

"In a group of 60 senators, achieving ideological uniformity is impossible because the country is too big and we represent too many people," he said.

Before the meeting with Obama, liberal Sens. Tom Harkin of Iowa and Jay Rockefeller of West Virginia indicated that the Medicare buy-in would likely be dropped. While they didn't like the idea, they suggested they would support a health care bill anyway.

Democrats "may have to do what Mr. Lieberman wants," Harkin told CNN.

Lieberman supported letting older workers buy into Medicare in 2000, when he was the Democratic vice presidential candidate, and as recently as September in comments to a Connecticut newspaper. Now, he said both Monday and Tuesday, the country has huge deficits -- as opposed to a budget surplus nine years ago -- and Medicare is poised to run out of money in 2017.

The Medicare buy-in was part of a package of provisions announced by Senate Majority Leader Harry Reid last week as an alternative to a public option, which lacked enough support among Democrats to break a GOP filibuster. Negotiated by a team of 10 Democratic senators -- five liberal and five moderate -- the compromise package had been hailed by Reid, Obama and others as an important step forward in the health care debate.

The package also would allow private insurers to offer nonprofit health coverage overseen by the government. But many senators have reserved judgment on the compromise proposal until the non-partisan Congressional Budget Office provides its analysis of how much it costs.

The CBO estimate was expected to be completed as soon as Tuesday.

Most Democrats have supported the public option as a nonprofit competitor to private insurers that would expand coverage and bring down prices. Republicans and some moderate Democrats, along with the health insurance industry -- one of the major employers in Lieberman's home state -- oppose a public option, calling it a first step toward a government takeover of the U.S. health care system.

"I haven't received any pressure from the insurance companies," Lieberman insisted Tuesday. "I mean it. Periodically, they'll talk to my staff about one thing or another, but ... I've never hesitated to take on the insurance companies."

Another potential obstacle for Reid is moderate Democrat Ben Nelson of Nebraska, who said Sunday said he cannot support the Senate bill without tighter restrictions on federal funding for abortion. The Senate last week defeated an amendment proposed by Nelson and two other senators that would adopt tougher language on abortion funding contained in the House health care bill.

A compromise on the abortion language is possible, said Nelson, one of the 10 Senate Democrats who negotiated in private last week.

If the Senate eventually passes a health care bill, its version will have to be merged with the version the House of Representatives passed in November, which includes a public health insurance plan. The final bill would then need approval from both chambers before going to Obama to be signed into law.

Obama and Democratic leaders have said they want the bill completed this year. The Senate would need to finish its work this week to leave a realistic chance of meeting that schedule.

CNN's Dana Bash contributed to this report.

@highlight

Former head of DNC rips deletions, says Senate bill should be abandoned

@highlight

"Any fair reading" of bill shows it meets White House criteria, Obama says

@highlight

Top liberal senators indicate Medicare buy-in likely will be dropped

@highlight

Sen. Joe Lieberman had said he wouldn't back Medicare buy-in