(CNN) -- If you're taking a strict view on the world's most bike-friendly cities, the eventual list would mainly take in a smallish patch of northwest Europe.

One such rating table, produced by the Denmark-based cycling advocacy group Copenhagnize, has more than half its top 20 bike-friendly places clustered around the Netherlands, France, Germany and Denmark.

Instead, we'll spread our net more widely, rewarding aspiration, ambition and progress, as well as just endless ranks of smiling cyclists pedaling sensible bikes on segregated paths.

Utrecht, Netherlands

Lists such as this one traditionally begin with Amsterdam, but while the Netherlands' most populous city is definitely bike friendly, we're marking it down for the hordes of wobbling tourists on bright-red rental machines.

Instead we're heading southeast to Utrecht, a city that has a fair claim to being the globe's most pro-two-wheel destination.

In its center, up to 50% of all journeys take place in the saddle and local authorities are building a 12,500-space cycle parking facility billed as the world's biggest.

As in all Dutch cities, visitors from places with a more belligerent traffic culture might be struck at how normal it all feels.

Cycling in Utrecht is treated on par with walking, with helmets and high-visibility garments rarely used, not least because of the protection offered by segregated cycle lanes.

One well known English cycle blogger, Mark Treasure, was struck by the range in ages on a visit to Utrecht.

"I find it hard to imagine children this young cycling into the center of any UK city at all, let alone cycling in and looking so happy and relaxed, and so ordinary," he writes.

"Yet in Utrecht, families cycling around together is commonplace."

Seville, Spain

Seville is the answer to those who say promoting urban bike use is too ambitious and takes decades.

In 2006, the Andalusian capital's government, vexed by the city's four daily rush hours (yes, four! This is siesta-taking southern Spain) decided to take action.

There was plenty of naysaying.

Critics pointed out Spain has scant tradition of commuter cycling.

Some questioned who would ride in midsummer through Europe's hottest regions and risk arriving at work as damp as if they'd just pedaled through a mechanical car wash.

Undaunted, the city established about 50 miles of cycle lanes within a year (there's now about 80 miles) and commissioned a municipal bike rental plan called Sevici.

The result?

Within about six years, journeys made by bike shot from less than 0.5% to about 7%, and city transportation chiefs from around the world suddenly had the perfect excuse to arrange week-long fact-finding trips in the sun.

Montreal

By long tradition one of the few North American cities in these sort of lists, Montreal began constructing bike paths in the 1980s and now has almost 400 miles of them.

The addition of its popular and pioneering Bixi municipal bike-share plan, the model for those later rolled out in Paris and London, has meant a remarkable amount of cycle use, especially for a place where daytime winter temperature above 10 C (50 F) is viewed as dangerously tropical.

Cycling stats for Montreal indicate the city still has work to do and cycle groups say too many riders are nudged onto busy roads.

One survey says nearly half the city's adult population rides a bike at least once a week, yet little more than 2% of commutes are made on two wheels.

"The challenge is that we have asked people to start using their bicycles and they've done it so much faster than we've been able to change the city," Aref Salem, the person in charge of mass transit on Montreal's executive committee, told the Toronto Star recently.

Copenhagen, Denmark

Much like ignoring France on a roster of great cheese countries, a list of top cycling cities excluding Copenhagen just wouldn't be right.

More than half the locals in the Danish capital cycle to work or school, and with an estimated bike population of 650,000 there are slightly more cycles than people.

Enough of these are available to rent to tourists, and Copenhagen's compact dimensions and tolerant traffic make it perfect to explore by bike.

City leaders are intent not just on increasing bike use further, but exporting the Copenhagen doctrine of a segregated and safe bike infrastructure that features bike lanes of up to three meters (about 10 feet) in width.

There's an official Cycling Embassy of Denmark to spread the word, while the founder of the aforementioned Copenhagenize group, Mikael Colville-Andersen, spends much of his working life telling other cities how to copy the Danish model.

Berlin

Less shouted about than the Dutch or Danish examples, Germany has nonetheless been quietly getting on with boosting bike use in many of its cities.

Berlin is the standout example.

About 13% of all trips in the city are made by bike, nearly twice the rate of 20 years ago.

In some inner suburbs this hits 20%.

This is particularly impressive given the city's long, freezing winters, abundant public transport and status as capital of a nation with a long tradition of manufacturing cars and driving them at absurd speeds on autobahns.

Aside from clever and consistent public policy designed to boost bike use, Berlin has a number of inbuilt advantages.

Streets are often hugely wide, in part a consequence of the devastation of World War II and grandiose postwar Soviet planning, and the terrain is largely flat.

While many Berliners live in apartments, often a difficulty for those using bikes, the city's traditional Mietskaserne tenement blocks tend to be built around a central courtyard, giving space for secure storage.

What's most impressive is the sheer scale -- Berlin has a population of about 3.5 million people, far bigger than the relatively small likes of Amsterdam and Copenhagen.

Portland, Oregon

"The groundwork for the city's bike infrastructure was laid over 20 years ago," says Brian Zeck, bike manager of Portland's River City Bicycles. "It has built upon itself over the years and bicycling has become somewhat ingrained in the culture of the city.

"In some ways, Portland now has the feel of a European city."

That infrastructure includes more than 65 miles of bike paths, 30 miles of low-traffic bike boulevards and 175 miles of bike lanes, all of which are used with gusto by the 8% of citizens who claim that biking is their primary form of transportation, and 10% who say a bike is their secondary vehicle.

All of those numbers are climbing annually, thanks to the city's grand Bicycle Plan for 2030, unanimously adopted by the City Council in 2010.

The plan calls for attracting new riders by forming a denser bike network, reducing vehicle speed limits on designated streets (thus increasing safety for riders) and increasing bicycle parking, among other measures.

The most exciting development for Portland bikers is the planned 2015 opening of the Tilikum Crossing, Bridge of the People spanning the Willamette River, which divides the east and west sides of the city.

The first span built over the river since 1973, "the bridge will be distinctive in the United States, designed to carry light rail trains, buses, cyclists, pedestrians and streetcars, but not private vehicles," according to TriMet, the local public agency that operates mass transit.

The bridge will feature two 14-foot-wide pedestrian and bike lanes.

According to the League of American Bicyclists, an estimated 2,100 races, rides and other biking events are held in Portland each year.

Tokyo

Wait, Tokyo?

The one with more than 13 million inhabitants covering 800-plus square miles.

That Tokyo?

Correct.

In this vast, crammed capital city, an amazing 14% of all trips are made by bike.

There are practical reasons many Tokyo residents prefer a bike to a car for shorter journeys.

Before you can even buy a car in the city you must prove you possess a (rare and usually expensive) off-street parking spot.

Cycling here is different.

Few people cycle to work -- distances tend to be long and the mass transit system is hugely efficient.

Instead, rides tend to be around the countless neighborhoods that make up the city.

Also, a lot of cycling takes place -- legally -- on footpaths and sidewalks.

These aren't the Lycra-clad speedsters of London or New York.

Tokyo cyclists use practical "mamachari" bikes with sturdy frames, baskets for shopping and seats containing one or two small children.

They pedal about the pavement on these weighty behemoths, rarely reaching the pace of a jog, keeping out of the way of each other and pedestrians with ample use of the so-called "gaman" attitude, a sort of stoic tolerance for others which makes life in such a vast, packed city more or less work.

Bogota, Colombia

Call this one an honorable mention.

Colombia's capital is by no means as obviously cycle-friendly as others on this list, with fewer than 5% of Bogota's journeys involving bikes, increasing car numbers and choking smog.

Nonetheless, it merits its place for effort, not least for tempting so many citizens of an often deprived and hugely packed city -- the population is fast nearing 9 million -- onto two wheels.

Did we mention it's located 2,600 meters (8,500 feet) above sea level?

Anyone thinking of pedaling around as a tourist should be prepared for some undignified wheezing the first day or so.

Credit is due to the city's former mayor, Enrique Penalosa, who on taking office in 1998 canceled a planned highway through the city center and kick-started a process that's seen Bogota acquire nearly 200 miles of protected bike lanes and, soon, its own bike-rental plan.

The best way to try two-wheeled life in Bogota is a weekly Sunday ritual known as Ciclovia that sees 70 miles of streets closed to vehicles and given over to bikes and pedestrians.

Peter Walker is a journalist based in the UK who regularly contributes to cycling publications. He once rode a bike most of the way from Sydney to London. 

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However CNN retains full editorial control over all of its reports. Read the policy.

@highlight

Netherlands city of Utrecht is building the world's biggest bike parking facility

@highlight

Bogota may be cursed by smog and heavy traffic, but the city's mayor is credited with dramatically boosting bike use

@highlight

In Tokyo, nearly 14% of all journeys are made by bicycle