Washington (CNN)Few White House hopefuls would ever want to be compared to former President Richard Nixon, but some of Hillary Clinton's pre-campaign moves -- or lack thereof -- are reminiscent of the 37th president.

As Clinton eyes another run at the presidency in 2016, some close to her -- especially those who are cheering reports she may wait until summer to officially announce a bid -- point to Nixon's successful 1968 presidential bid as a positive sign, particularly how Nixon's public operation went dark for about six months before entering the race.

Despite being the presumed Democratic front-runner since Obama was reelected in 2012, Clinton has been largely absent from the public spotlight since the midterms wrapped in November 2014. And with the exception of the occasional paid speech and non-profit event, she could lie-low through the spring, a months-long hiatus similar to one Nixon took more than fifty years ago before winning the presidency for the first time.

In "The Greatest Comeback: How Richard Nixon Rose from Defeat to Create the New Majority," author and longtime Nixon aide Patrick Buchanan retells the debate and intrigue around Nixon deciding to take a six-month hiatus from presidential politics ahead of the 1968 election.

The comparisons to Clinton, while not perfect -- she is the same young lawyer who worked as an aide on the Nixon impeachment trial of the former president -- are obvious.

Clinton is the favorite to win the Democratic nomination in 2016 and has already had to deal with attacks about her not being a "fresh face." A CNN/ORC poll out Wednesday found that Clinton leads the field with a whopping 61%. Both candidates have unsuccessfully sought the presidential nomination before and held high profile West Wing positions elevating their status and name recognition.

Nixon, who had then served a vice president for eight years but lost in the 1960 presidential election and the 1962 California gubernatorial race, was seen as the overwhelming favorite to win the Republican nomination in 1968. There was strong competition -- notably from then Michigan Gov. George Romney -- but none had the support Nixon had.

That is why, according to Buchanan, it was shocking when Nixon told an interviewer that after the 1966 midterm elections he was "going to take a holiday from politics for at least six months."

"Is it really wise to cede the field to Romney and lock ourselves into a six-month moratorium with no flexibility," Buchanan recalls asking Nixon.

Nixon pointedly responded: "Let 'em chew on him for a little while."

"That is what he expected the press to do to George. Romney, and that is what the press did," Buchanan writes. "The new year would prove an annus horribilis for the governor of Michigan."

Buchanan adds: Nixon knew "if he started out on a presidential campaign in 1967, even as an unannounced candidate... the press and public would tire of him and begin looking about for the 'fresh face.' Thus he would back away and not appear center stage as a candidate until more than a year later. ... It was a risky strategy and, judging by the results, a brilliant one."

Nixon would go on to narrowly win the 1968 election over Democrat Hubert Humphrey, but more importantly, he emerged from the Republican nomination process as the clear winner, trouncing Nelson Rockefeller, Ronald Reagan and Romney.

Buchanan, who ran for president three times, said he does see some of Nixon's strategy in Clinton.

"I see her more looking at the scene, asking, 'Why move now,'" he said. "I think that whole idea is absence makes the heart grow fonder."

He added that he wasn't surprised Clinton, despite her work to impeach Nixon, has mixing his strategy.

"What dictates the strategy is more the circumstance and the individual," he said. "This was not just a lark, this was thought though."

By ducking from public events -- Clinton had only two public events in January and has only one slated for February -- the frontrunner is clearly trying to lie low. Clinton has four events planned for March, but that number is nothing compared to how many events she headlined in 2014.

Reports have surfaced that she may wait until summer to officially kick off a campaign, but Clinton confidants have told CNN that they expect some sort of campaign move to happen in April.

The Nixon comparison favored by some close to Clinton -- but also causing some in Clinton-land to grimace -- have some . There are two obvious holes: The first being even if Clinton decides to lie low, today's media landscape doesn't have to abide by her wishes.

Leaks about who she is hiring, where she may put her campaign headquarters and the problems she will face on the trail are rampant and the media is still as focused on her -- if not more -- than they were months ago.

Secondly, unlike Nixon, Clinton's crowded field of realistic challengers isn't in the primary.

On her Democratic side, Vice President Joe Biden, Democratic Maryland Gov. Martin O'Malley, Sen. Bernie Sanders from Vermont and former Virginia Sen. Jim Webb haven't really made much a splash in polling, and one of her closest liberal competitors has repeatedly said she's not running. While Clinton finds herself with over 60% support, her next closest competitor, Biden, has gained six points since December and stands at 14%. Warren follows at 10%.

Instead, the real crowded field facing Clinton comes mostly from Republicans, who have roughly two dozen possible hopefuls who might compete for the presidential nomination. While the media spotlight has burned a few contenders, it's unclear if those missteps on the GOP side will translate to Clinton's benefit once she finally decides to officially hop into the race.

Quite simply, Clinton doesn't have a George Romney for the media to "chew" on.

@highlight

Hillary Clinton's strategy of lying low has some Clinton supporters thinking of Richard Nixon's 1968 election

@highlight

Nixon chose to take a six-month hiatus from presidential politics before 1968 in order to allow the press to "chew on" George Romney

@highlight

Clinton has been laying low for the better part of three months with only six events in January, February and March