(CNN) -- Roger Ebert's death, coming so soon after he announced he was curtailing his movie-reviewing schedule because of recurring cancer, is being greetedâ€”especially across the Internet--with widespread shock, and the kind of grief one feels when one loses a longtime neighbor, a trusted friend, a beloved teacher whose lessons may not have had an immediate impact but became more meaningful with time.

Who could have imagined the American people would ever feel that way about a critic, any critic?

Few could have as far back as 1975 when Ebert, the prize-winning film reviewer for the Chicago Sun-Times, first teamed up with his Chicago Tribune competitor Gene Siskel for a locally broadcast weekly series, "Coming to a Theater Near You."

Over the next 24 years, their weekly half-hour of movie clips and clipped arguments became an ever-expanding nationwide franchise. It catapulted both men to fame and riches befitting media icons -- and altered preconceived notions of what a critic looked and sounded like.

Opinion: Ebert's sheer love of life

In fact, it's only natural the blogosphere should feel the pain of Ebert's leaving. One could say that blogs of all shapes, sizes and subjects owe their existence in part to the examples set by Siskel and Ebert.

Long before Siskel and Ebert helped embed the "thumbs up/thumbs down" judgment meme in television folklore, critics were viewed in the popular imagination as fastidious bullies, often packing European accents and high-end vocabularies, with nothing but bad will to deliver to anything they saw or heard. The type was best embodied in past epochs by the performances of George Sanders or Clifton Webb, who portrayed acid-tongued theater critics in, respectively, "All About Eve" (1950) and "Laura" (1944).

Siskel and Ebert knew about those movies, but they knew many more things those mythical assailants of reputation could not. The broad perspective they brought to movies also widened the public's view of critics. They were bright Midwestern guys who were, yes, erudite enough to know their European classics as well as the comparative merits of animated Disney musicals. They also were capable of squirting venom on things they didn't like with conspicuous panache.

But their warm manner, open-ended aesthetics and companionable personalities helped viewers understand that criticism wasn't always about being, well, critical. It was a way of seeing the world, of thinking your way through something you otherwise took for granted. Their approach made criticism not only less threatening and formidable, but it also made critical thinking seem accessible, even, well, friendly.

HLN: Favorite Roger Ebert quotes

Siskel accurately rated Ebert the better prose stylist of the pair. Certainly, he was the more celebrated writer, having been the first movie reviewer to win a Pulitzer Prize for criticism, in 1975. As idiosyncratic as his style could be (rakish and puckish when he felt mischievous; oracular and didactic when he felt messianic), he was never conspicuously out for blood the way Simon Cowell, the serpentine, post-millennial, popular prototype of a critic, often seemed to be when assessing talent on TV.

His annual movie yearbooks exhibited his witty, humane approach to reviewing and to celebrity interviews, which somehow retained his personal touch even in later years as publicists tightened their control over one-on-one access to actors and directors.

He was never shy about showing off his knowledge of movie history, but he also never made it seem like a closed shop, open only to a favored few. He wanted more readers to like better movies. And he carried out his mission through a website that became as much a trendsetter for other Internet venues as the Siskel-and-Ebert model became for point-counterpoint TV panel shows.

One sensed Ebert's enjoyment at being a role model for movie geeks who wanted to get their own aesthetic values aired on the Web. As with his late partner, Ebert worked at putting on no airs. He seemed less like a snooty aesthete than a regular guy who just happened to know a little more about movies than anyone else in the neighborhood and set up a little corner stand to talk about them. If, as is often remarked, everybody's a critic, then Roger Ebert was one of the crucial forces responsible for empowering everybody to believe they're critics.

Remembering Roger Ebert

This may annoy those who remain averse to the idea of criticism itself. But Ebert, who also used his blog for occasional political or social commentary, would probably reply by saying that, if anything, there aren't enough people engaging in critical thinking when it comes to matters affecting their own lives.

And by "critical," I doubt very much that Ebert would have meant a position of carping or complaining or even cutting-down-to-size so much as a state of heightened perception, of being open enough to the possibility that whatever you're looking at or listening to may not be what it seems -- or should be.

As the lights went down one last time, Ebert would have loved it if all those people sitting in the dark and hoping for the best understood that his approach to movies was big enough, openhearted enough to embrace far more than the movies he'd loved all his life.

The opinions expressed in this commentary are solely those of Gene Seymour.

@highlight

Gene Seymour: News of film critic Roger Ebert's death lamented across Internet

@highlight

He says in many ways blogs owe existence to example set by Ebert, critic co-host Siskel

@highlight

He says they changed view of what a critic does, made it less formidable

@highlight

Seymour: Ebert's approach was openhearted enough to assess all manner of cinema