Lake Geneva, Wisconsin (CNN) -- For years, Jennifer Cervantes struggled to make ends meet.

She worked 30 hours a week at Wal-Mart, but her paycheck -- along with child support and disability payments -- never seemed to cover living expenses for her and her five kids. Despite her best efforts, she kept falling further behind.

"Paying the rent, electric and gas -- it takes everything I have," she said. "I don't like digging up change ... so I can buy the kids' food. I needed help somehow, somewhere."

Desperate, Cervantes decided to write a letter to Sal Dimiceli, whose newspaper column might be considered a "Dear Abby" for the down and out.

Within a few weeks, Dimiceli showed up on her doorstep. They talked for a while, and then he offered to pay one month's rent as well as her outstanding gas and electric bills. He also went to the local grocery store and stocked the family's empty refrigerator.

"I was shocked," Cervantes said. "I feel relieved. The kids are getting tired of macaroni cheese and Ramen soup every night."

It was just another day's work for Dimiceli, a 60-year-old real estate broker whose weekly column in the Lake Geneva Regional News focuses on people in dire straits. Through his column and his nonprofit, The Time Is Now To Help, Dimiceli has provided about 500 people a year with food, rent, utilities and other necessities.

"I'm just addicted to helping," he said. "I don't have time to go to the show or golf. ... My fondness in life is helping my fellow Americans."

Dimiceli gets about 20 to 30 letters a week from people in the Lake Geneva area, and he investigates nearly all of them himself. He'll often visit people's homes to verify their circumstances. If someone appears to have a drug or alcohol problem, he refers them to other programs. And to make sure people are being honest about their situation, he'll open their cupboards to see how much food is in the house.

"I do not want to give a hard-earned dollar to someone who is taking advantage," he said. "But once I verify that their need is genuine, my heart opens right up."

At that point, Dimiceli springs into action with his unique safety net. He'll start by meeting immediate needs, perhaps providing a hot meal or moving someone without heat into a warm motel room. Within a day or two, he'll take care of other basics, like paying overdue rent or turning on utilities. His rapid response is a point of personal pride.

"There's not any bureaucratic red tape, " he said. "I want to help people now."

Do you know a hero? Nominations are open for 2011 CNN Heroes

But Dimiceli doesn't stop there. He also goes over each recipient's budget and finds ways to stabilize their long-term situation -- maybe negotiating lower rent with their landlords, repairing their car or tapping his network of supporters to help find them a job.

"It's not just a Band-Aid to feed them for that day," Dimiceli said. "We get them back on a track (so) that ... their pride is given back to them. They can catch up."

It's a level of personalized assistance that's almost hard to believe, but there are countless stories of Dimiceli's good works throughout Wisconsin and Illinois. The vast majority of people he helps are never even mentioned in his column.

For nearly a year, Val and Al Hyner had been unemployed, using their savings to pay for a small motel room. With almost no money left, Val pawned her jewelry, including her wedding ring.

Dimiceli showed up and helped the couple with gas cards and rent. And when he heard about Val's sacrifice, he dipped into his own pocket and made arrangements to get the ring back.

"Those that are in dire need, they'll sell all their personal belongings to survive," he said. "I want to give them their self-esteem back. ... They need to hang onto parts of their life, and sentimental things are very important."

Such stories have become commonplace during the hard economic times of the past few years, and Dimiceli has been flooded with requests for help, even as his real estate business has taken a huge hit. He still gives away at least 20% of his income -- he estimates that he has given away a few million dollars of his own money over the years -- but in the last decade he has begun to rely more on donations to his nonprofit, which he started in 1989. He has also built a strong network of supporters to help him, along with his wife and four children.

"The movement has grown," he said. "As fellow Americans, we're all together, helping each other. That's what it's all about."

Dimiceli is passionate about helping others because he knows what it's like to be poor. Born on the West Side of Chicago to a beautician and a tool-and-die maker, he said his family struggled because of his father's gambling habit.

"We moved like gypsies, being evicted a lot," he said. "I know how it feels to watch your mother cry when the electricity is turned off and you have no food. ... It was hard."

When Dimiceli was 12, he got a job as a dishwasher so he could help out at home. Grateful, he promised God that if he ever became successful, he'd always help others in need. He has spent nearly all of his adult life making good on that vow.

After he first found success as a rock concert promoter in the 1970s, Dimiceli began to give money to various charities. But when he realized that much of their money was spent on overhead, he decided he could do a better job himself and started helping people on his own around the Chicago area. He eventually started his nonprofit, vowing that every penny would go to help others.

Dimiceli's philanthropy has gone through various phases. In the 1990s, he took an entire community in Illinois under his wing. But for the last decade or so, he has concentrated most of his work in the Wisconsin area where he now lives.

Eight years ago, he was approached by a neighbor who knew about his work and asked him to write a column in the local paper. He agreed do it anonymously, adopting a pen name, W.C., to stand for With Christ. In recent years, he was persuaded to reveal his identity so that people would be encouraged to donate to his foundation. His column has become so popular that it now appears in a number of area papers.

Dimiceli says that when he sees a pile of new letters, he gets anxious thinking about all of the people who need his help. He'll often work late into the night doing "marathons of helping" that leave him physically and emotionally exhausted. But every morning, he can't wait to start again.

"When people are in need, they often feel alone," he said. "I want them to know someone cares about them. I want to (say): 'Come on, I have a little extra strength I want to share with you. Let's get you back on your feet.' "

Want to get involved? Check out The Time Is Now To Help website at www.timeisnowtohelp.org.

@highlight

For years, Sal Dimiceli has been personally helping people get back on their feet

@highlight

Many of those people have written to him through his local newspaper column

@highlight

Dimiceli grew up in poverty and vowed he would do his best to help others in need

@highlight

Do you know a hero? Nominations are open for 2011 CNN Heroes