(CNN) -- The defense budget is going down. Thursday, President Obama personally announced a new strategy to align with the new limits created by the Budget Control Act of last fall. The announcement was light on the budget details to emphasize "strategy." But strategy documents come and go -- it's in budgets that we'll see actual change.

The biggest change is a smaller Army — reports suggest troop numbers down to levels last seen in the late 1990s. This change is justified by the strategy's de-emphasis of stability operations like Iraq and Afghanistan and renewed focus on Asia, where naval and air forces are the main tool. If the strategy's blueprint is followed, we could see a fundamental change to our force structure and military posture—more airpower and naval, and fewer ground forces.

But everyone Thursday went out of their way to hedge at every turn. Most notably, the Chairman of the Joint Chiefs of Staff Martin Dempsey stressed that we weren't giving up the capacity to fight land wars. Deputy Secretary of Defense Ash Carter said his theme was reversibility. Defense Secretary Leon Panetta said our military will never do just one thing. The President said our military will be ready for the full range of contingencies and threats.

These statements don't sound like an overhaul in the Defense Department is imminent to reflect this new strategy. Rather, the administration will more likely make some marginal changes to meet the new budget realities. The Army will still prepare to fight high-intensity land campaigns. The Air Force will still prepare to achieve air superiority. The Navy will still prepare to maintain a presence on the seas. And the Marines will still prepare to land on the beaches.

The world is an uncertain place and some hedging is a good thing to protect against surprises. But the United States has a dominant military capable of handling a lot of surprises and will maintain its strength even if we see much deeper cuts in the next decade— even cuts at the levels of previous big reductions in defense spending.

The strategy was unveiled today to justify just shy of $500 billion in cuts over the next ten years, which would leave the budget in 2021 just 8% less than it is today compared to an average from previous builddowns of 30% less after ten years. The decline in war costs will account for some of that difference. But even at the levels of savings mandated by the sequester triggered by the supercommittee's failure to reach a deficit reduction deal, the base defense budget would decrease by less than 20% after ten years.

If we were truly to tailor our force structure to a strategy, we could find significantly greater savings. If we embrace the current strategy document, the Army could be significantly smaller and still have a cadre to build upon if we needed to conduct another long-term stability operation.

Of course, the point was raised in the press conference that we didn't plan on doing stability operations in Afghanistan or Iraq. If we instead accept that we will do more stability operations, we could cut back the Navy and Air Force to focus on the Army and still have plenty of forces to respond to events in the Pacific.

It doesn't appear the administration will take the budget to the logical ends of the strategy rolled out today. We would have a better defense—at any spending level—if we actually made budget decisions based on strategy rather than by letting institutional concerns determine what makes up the budget.

The press conference Thursday highlighted two key facts about the defense budget. The topline is determined largely by external events—like our economy and fiscal crises. But the budget that meets that topline is determined largely by the institutions within the Pentagon.

We may be at an inflection point, as the president said, but it is unlikely that inflection will affect the Pentagon that much.

The opinions expressed in this commentary are solely those of Russell Rumbaugh.

@highlight

President Obama announced a new strategy to align with defense budget cuts

@highlight

Russell Rumbaugh says the military could make deeper cuts and fulfill the strategy

@highlight

He says military services likely to pursue its own goals despite the new strategy

@highlight

Rumbaugh: Let strategy, rather than institutions, determine how money is spent