(CNN) -- Senate leaders and the White House struck a last-minute deal to avert the feared fiscal cliff Monday night, with Vice President Joe Biden headed to the Capitol Hill to pitch the plan to fellow Democrats.

"Happy New Year," Biden, who became the Democratic point man in the talks, told reporters. "Did you think we would be here New Year's Eve?"

A senior Democratic aide told CNN that if caucus meetings went well, a Senate vote could come "within the hour." But the House of Representatives went home long before midnight, meaning nothing will get through Congress before the combination of tax increases and spending cuts lawmakers have been scrambling to head off starts to kick in, at least on paper.

A source familiar with the deal told CNN that the Senate proposal would put off the cuts for two months and keep the expiring Bush-era tax cuts for individuals earning less than $400,000 or couples earning less than $450,000. President Barack Obama has long demanded that the threshold be set at $250,000.

Tax rates on income above those levels would go back to the Clinton-era rate of 39.6%, up from the current 35%, and itemized deductions would be capped at $250,000 for individuals and $300,000 for couples. That would generate an estimated $600 billion in additional revenue over 10 years.

Taxes on inherited estates will go up to 40% from 35%, but the exemption will be indexed to rise with inflation -- a provision the source said was added at the insistence of moderate Democrats.

Unemployment insurance would be extended for a year for for 2 million people, and the alternative minimum tax -- a perennial issue -- would be permanently adjusted for inflation. Child care, tuition and research and development tax credits would be renewed. And the "Doc Fix" -- reimbursements for doctors who take Medicare patients -- will continue, but it won't be paid for out of the Obama administration's signature health care law.

Biden had been in negotiations with Senate Minority Leader Mitch McConnell, R-Kentucky, since Sunday afternoon. Senate Majority Leader Harry Reid and House Minority Leader Nancy Pelosi, both Democrats, agreed to the plan in calls with President Barack Obama, a Democratic source said Monday night.

In the House, GOP sources said earlier Monday that there's little practical difference in settling the issue Monday night versus Tuesday. But if tax-averse House Republicans approve the bill on Tuesday -- when taxes have technically gone up -- they can argue they've voted for a tax cut to bring rates back down, even after just a few hours, GOP sources said. That could bring some more Republicans on board, one source said.

Economists warn the one-two punch of tax increases and spending cuts, known as "sequestration," could push the U.S. economy back into recession and drive unemployment back over 9% by the end of 2013. Obama had chided lawmakers for their last-minute scramble earlier Monday, hitting a nerve among several Republicans in the Senate.

Latest updates: Final fiscal cliff scramble

"They are close, but they're not there yet," he said. "And one thing we can count on with respect to this Congress is that if there is even one second left before you have to do what you're supposed to do, they will use that last second."

The president warned that if Republicans think they can get future deficit reduction solely through spending cuts "that will hurt seniors, or hurt students, or hurt middle-class families without asking also equivalent sacrifice from millionaires or companies with a lot of lobbyists ... they've got another thing coming."

That irked Republican senators who have been grappling for a deal with the Democratic majority in that chamber. Sen. Bob Corker, R-Tennessee, called the president's comments "very unbecoming of where we are at this moment" and added, "My heart's still pounding."

"I know the president has fun heckling Congress," Corker said. "I think he lost probably numbers of votes with what he did."

Read more: Why your paycheck is getting smaller, no matter what

As Monday's deadline drew nigh, federal agencies were preparing for the possibility of furloughing workers. At the Pentagon, a Defense Department official said as many as 800,000 civilian employees could be forced to take unpaid days off as the armed services face an expected $62 billion in cuts in 2013 -- about 12% of its budget.

Those workers perform support tasks across the department, from maintaining aircraft and weapons systems to processing military payrolls and counseling families. The Pentagon believes it can operate for at least two months before any furloughs are necessary, but has to warn its civilian workforce that furloughs could be coming, the official said.

Read more: What if there's no deal on fiscal cliff

The White House budget office noted in September that sequestration was designed during the 2011 standoff over raising the federal debt ceiling as "a mechanism to force Congress to act on further deficit reduction" -- a kind of doomsday device that was never meant to be triggered. But Congress failed to substitute other cuts by the end of 2012, forcing the government to wield what the budget office called "a blunt and indiscriminate instrument."

In its place, the Senate plan would use $12 billion in new tax revenue to replace half the expected deficit reduction from the sequester and leave another $12 billion in spending cuts, split half-and-half between defense and domestic programs.

Read more: Medicare patients may suffer if country goes over fiscal cliff

Despite Obama's backing, one leading Senate Democrat warned a deal could run into trouble -- not only from House Republicans who have long opposed any tax increase, but also from liberals in the Senate who oppose allowing more high-income households to escape a tax increase.

"No deal is better than a bad deal, and this looks like a very bad deal the way this is shaping up," Sen. Tom Harkin, D-Iowa, said Monday morning. Late in the day, nothing had changed that would cause him to support the package.

Conservative lobbyist Grover Norquist, whose Americans for Tax Reform pushes candidates to sign a pledge never to raise taxes, said the plan "right now, as explained" would preserve most of the Bush tax cuts and wouldn't violate his group's pledge.

"Take the 84% of your winnings off the table," Norquist told CNN. "We spent 12 years getting the Democrats to cede those tax cuts to the American people. Take them off the table. Then we go back and argue about making the tax cuts permanent for everyone."

But Robert Reich, who served as labor secretary in the Clinton administration, said the $450,000 threshold "means the lion's share of the burden of deficit reduction falls on the middle class, either in terms of higher taxes down the road or fewer government services." In addition, he said, the plan does nothing to raise the federal debt ceiling just as the federal government bumps up against its borrowing limit.

And that, Arizona GOP Sen. John McCain told CNN, is likely to be "a whole new field of battle."

"We just added 2.1 trillion in the last increase in the debt ceiling, and spending continues to go up," McCain said. "I think there's going to be a pretty big showdown the next time around when we go to the debt limit."

CNN's Mike Pearson, Jessica Yellin, Dana Bash, Deirdre Walsh, Lisa Desjardins, Ted Barrett and Ashley Killough contributed to this report.

@highlight

Senate leaders cut a deal to avoid the fiscal cliff

@highlight

Biden pitches the plan to Democrats late Monday

@highlight

Obama says more work will be needed and chides Congress for dragging its feet

@highlight

"Take the 84% of your winnings off the table," anti-tax crusader advises GOP