Toulouse, France (CNN) -- The disruptive days of thunderous, fuel-guzzling planes hovering in our skies could be a thing of the past. So too could the tortuous queues and endless boarding process, if futuristic flight concepts become reality.

Since the first commercial passenger flight in 1914, 65 billion passengers have taken to the skies and another 65 billion are expected to do the same before 2030. And experts say efficient, greener performance is what will steer aviation into the next century.

"A major breakthrough in an airliner will bring half a percent, 1% greater fuel efficiency, which doesn't sound like much -- but to an airline, it's huge. It's millions of dollars (in savings) a year," said Robert van der Linden, chair and curator of air transportation at the Smithsonian Institution National Air and Space Museum.

The Airbus A380 is the world's biggest passenger aircraft, and its future depends on constant redevelopment and improving performance.

The energy problem is one of the major drivers for the company, Gregor Dirks, corporate innovator for Airbus, told CNN's Isa Soares. "We have to do something about it. Reducing fuel burn is one way, and we have been very successful in the past."

The Airbus vision of the future can be seen through its concept plane design, which is packed with the stuff made of engineering dreams.

One concept feature is dubbed "eco-climb," where take off is assisted by propelled acceleration for a steeper climb, so that planes reach efficient cruise altitudes sooner. In the concept cabin, seats will use body heat to power aircraft systems such as holographic pop-up pods, while a futuristic cabin membrane can become transparent to give passengers open panoramic views.

What's more, Airbus has radical ideas for speedier boarding.

"We could think about city center check-in and actually transport little pods to the airport where the passengers are already in and just slide the pod into the airplane," said Dirks.

Some of the full-blown features of the Airbus concept plane will become a reality later this century, according to Dirks, but parts of the vision are already being implemented in the current fleet. Titanium brackets used in the cabin have been made using 3-D printing, reducing the weight of the parts, and allowing the manufacture of "organic" shapes that would otherwise be too expensive to produce.

"This is going to be a big revolution in manufacturing," predicted Dirks. "Passengers won't see it much but they get more choice and they got it cheaper and earlier."

@highlight

Aviation's future must be efficient, greener and easier as air traffic grows

@highlight

Just 1% greater fuel efficiency means millions in savings for airlines

@highlight

Cabins with glass-top ceilings are part of the Airbus vision