You've seen the headlines this week: "Huge ice storm hits the South." "Disastrous snow storm heads toward East Coast."

If you live southeast of the Appalachians, weather bulletins about ice and snow have been almost impossible to avoid the past few days. But as scary as they sound, few realize it could be a whole lot more deadly.

Even though the storms of February are not over, it is safe to say that their ultimate cost will be in the tens of billions of dollars and may further dampen what some economists believe is an already weak recovery.

Production grinds to a halt in areas where there is no electricity. Goods cannot be transported over blizzard-closed highways. Plus, there is the human toll: People shivering in homes without power for days and lost wages because of factories shutting down when parts can't reach the assembly line.

But here's an unexpected thought: Without weather science, all of this would be much worse.

Live blog: Deadly weather

We only have to go back two weeks to get a glimpse of what life would be like without weather forecasts and storm warnings. Atlanta and Georgia officials chose to ignore accurate warnings of 1 to 3 inches of snow, resulting in utter gridlock and 22-hour one-way commutes.

With that wake-up call, people took the forecasts seriously this time. Schedules were adjusted and people worked from home.  For days, meteorologists warned of widespread power failures.

As of Wednesday afternoon, the number of people without power in the Southeast  -- the number of households without power multiplied by 3.5 people per household -- was more than 1 million and rising rapidly. It appears that most people in affected areas where power has been lost heeded the warnings so as to mitigate the effects.

Track Winter weather in the South

And all that is because our nation's complex weather infrastructure -- state-of-the-art technology, satellites in the sky, powerful computers on the ground and talented, committed professionals in the public and private sector -- is making it easier and faster for you to know when the big one is coming, saving money and saving lives.

As I explained in my book, "Warnings: The True Story of How Science Tamed the Weather," America's life-saving storm warning system was created by dedicated scientists fighting storms and bureaucracy to provide the accurate warnings we enjoy today.

Over the years, a beneficial division of duties has evolved: The taxpayer-funded National Weather Service provides the meteorological infrastructure needed by everyone as well as forecasts and storm warnings for the public-at-large.

Snow, ice pummel Southeast, stranding drivers, cutting power

Private-sector weather organizations such as CNN and AccuWeather draw on this infrastructure to provide specifically tailored forecasts and storm warnings needed by television audiences, businesses and other specialized clientele. This system works extraordinarily well.

America's Weather Enterprise -- the sum of the National Weather Service, related federal agencies, commercial weather companies and local meteorologists -- are all striving to build a weather-ready nation.

And there is plenty of work yet to be done:

-- More and better measurements of the state of the atmosphere.

-- Better computer models that can use those measurements to create more accurate forecast guidance.

-- Accurate, timely forecasts for the public.

-- Specialized services for businesses, government agencies and others to suit their specific requirements.

-- Educating the public and specialized users about the ways to use weather information most effectively to protect people and property.

Unfortunately, there are those who propose putting the safety of the public in jeopardy by changing the emphasis of the National Weather Service to an organization primarily dedicated to giving "decision-support services."

This means that instead of a successful, vital agency providing and maintaining the weather infrastructure to make sure we know when the next storm is coming -- all based on real data -- they would be turned into governmental "consultants" with the duty to help bureaucrats and others make decisions.

For instance, as the current ice storm was developing, a forecaster at the Atlanta National Weather Service office wrote Monday in an "area forecast discussion" that he didn't have sufficient time for forecasting the ice storm because he was spending most of his time on "decision support."

Whether it is a hurricane, ice storm, blizzard or tornado looming, what does that taxpayer prefer? An accurate storm warning for everyone, or the National Weather Service forecasters distracted by giving weather briefings to specialized groups, something that may not be part of their core expertise?

By keeping the current division of duties, the American Weather Industry can boost the American economy  -- and provide much-needed jobs -- while saving the government money.

It is a win-win for everyone.

@highlight

Mike Smith says that advances in weather science have made forecasting much better

@highlight

A robust weather infrastructure and public/private partnerships have improved forecasts

@highlight

But, Smith argues, proposed changes in the National Weather Service could impact safety