November 2014 may well be remembered as the time when humanity first landed a robotic probe on the nucleus of a comet.

Fittingly, the mission that accomplished this remarkable feat is called "Rosetta." In 1799, French soldiers discovered an ancient Egyptian tablet, inscribed in 196 BC with writing in three different languages. Ultimately, this script on the Rosetta Stone, in combination with writing on an obelisk on the Nile River island of Philae, helped to unlock understanding of Egyptian hieroglyphs. This writing told of a far more ancient Egypt.

Similarly, the modern-day creators of the Rosetta mission hope its exploration will unlock comets -- ancient nuclei of rock and ices that are keys to understanding the formation of our solar system.

Scientists also hope the mission will provide an insight into Earth's earliest years. Comets bombarded the young Earth. Did they bring with them much of the water that still exists on our home planet, as well as the organic molecules that life needed in order to arise on Earth?

November 2014 is significant for another reason -- the SETI Institute will celebrate its 30th birthday on November 20. Why is this relevant to the Rosetta mission? The SETI Institute's mission is to explore, understand, and explain the origin and nature of life in the universe. In many ways, the SETI Institute's goal is the same as Rosetta's -- but on a much larger stage.

The word "life" for a researcher at the SETI Institute can be anything from a single-celled organism to a technological life form far more advanced than humans.

It is the latter life form -- extraterrestrial intelligence -- that people typically associate with the SETI Institute. And the search for such intelligence stands in remarkable parallel to the spirit of Rosetta.

Just as the discovery and study of the Rosetta Stone aided understanding of ancient Egypt, the detection and study of evidence from another technological civilization would place our own in a universal context. It could even give us a look into the future of our own species.

Daily news reports tell of potential disaster that could befall civilization, be it in the form of global warming, a rapidly mutating virus, or an impact by a cousin of the very object that Philae will land on. Finding concrete evidence that technological societies have survived long-term elsewhere would be reassuring, even inspirational.

While searches for signs of intelligent life have been ongoing for more than three decades with no detection, we have barely scratched the surface of such a quest. There are several hundred billion stars in our galaxy, and a similar number of galaxies in the known universe, all containing their own billions of stars.

Recent results from the Kepler mission have shown that between 10 and 20%  of our neighborhood's stars have planets that could be habitable.

To date, our searches for the intelligent life that might have grown up around those stars amounts to one scoop of sand compared to all of the sand on all of the beaches in the world. Be not discouraged by lack of detection to date. We must dig deeper and more thoroughly.

However, the SETI Institute researchers search for more than just the endgame intelligent life. They also work to fill in all gaps in the story of life, its origins, and its evolution. While the discovery of intelligent life elsewhere in the universe is similar to the end of a well-written novel, appreciation of that ending is greatly enhanced when you read the other chapters in the book.

To write those chapters, SETI researchers study extremophile life forms on this planet -- organisms that live beneath ice-covered lakes in Antarctica, inside the hot springs of Yellowstone in the United States, and in the high-elevation deserts of Chile. These studies inform us about whether life likely arose on other, less hospitable planets, how to recognize that life, and how life here has evolved.

Institute scientists also investigate whether strange life may inhabit other nearby worlds. Imagine finding biology on Saturn's moon Titan, with its lakes of methane. Such life would indeed be very different from what we're used to. Its discovery would throw open the window of possibilities for biological beings elsewhere.

How often does life make the leap from microbe to intelligence?

Evidence now indicates that the basic building block of intelligence emerged on this planet some billion years ago, with increasingly intelligent life being present in the intervening years.

Institute researchers study how non-human intelligent life on Earth communicates, hoping to grasp the fundamental elements of communication -- those we might find in the "languages" of extraterrestrial communicators -- both within and across species.

We are just beginning to understand and appreciate the levels and variety of intelligence that exist on this planet, and the myriad ways that other animals can and do communicate. Institute scientists play a key role in these fields, seeking both to understand the evolution of Earthly intelligence and to grasp the daunting complexity of how we might recognize and understand a message from beyond our planet.

However, public funding for science education programs, while steady in magnitude, is inadequate for the task. Government funding of space exploration is also in jeopardy.

But it's these things -- engaging science teachers, iconic images of manned space missions on TV -- that inspire young people to thirst for knowledge of the universe around us, and to enter into scientific fields of research and study.

As such, one of our main missions at the SETI Institute is to help educate the public and to instil a vigor for knowledge and exploration in the youth. Inspiring the next generation of scientific thinkers and explorers is paramount to our mission and our work.

I believe that not only will the Rosetta mission help us understand where we come from and what our history is, but also help in inspiring a new generation to follow in the footsteps of Carl Sagan and Frank Drake.

As we all celebrate the success of the Rosetta mission, those of us at the SETI Institute will continue into the fourth decade of the Institute's existence in pursuit of our mission -- understanding the origin of life on this planet and finding evidence of it on other worlds.

As we continue our quest into the future, I hope you will join us at SETI

@highlight

Rosetta scientists hope mission will unlock comets' secrets

@highlight

The SETI Institute will also celebrate its 30th birthday on November 20

@highlight

In many ways, SETI Institute's goal is same as Rosetta's -- but on a much larger stage, says David Black

@highlight

David Black believes both Rosetta and SETI will help inspire a new generation