Cairo (CNN) -- As was the case exactly two years ago before President Hosni Mubarak's ouster, streets around Egypt were roiled by deadly clashes Friday, pitting protesters against both police and supporters of the nation's current leader.

At least seven people were killed, six of them in Suez where gunfire erupted during clashes between anti-government protesters and those loyal to President Mohamed Morsy, according to official media outlets.

Four of those killed in Suez had been shot in the abdomen, Health Ministry spokesman Ahmed Omar told state-run EGYNews.

It was not clear which group those killed belonged to or who was responsible. The head of security in Suez denied his forces fired on protesters, state TV reported. By Saturday morning, Egyptian armored vehicles were dispersed around Suez at the request of the city's security chief, who had said his forces were fired upon and feared the situation was getting out of control, EGYNews reported.

Yet the unrest was not confined to the coastal city of Suez, on the northern tip of the Red Sea.

The seventh death was in Ismailia, according to EGYNews. Nationwide, at least 456 people -- including dozens of police and security forces, though the vast majority were civilians -- were injured throughout the day, health ministry officials said.

Into Saturday morning, after the anniversary of what some call the January 25 Revolution officially had passed, thousands of protesters were still in a standoff with police outside state-run Nile TV's offices in Cairo. Some demonstrators there tossed Molotov cocktails, while police responded with tear gas.

The unrest comes as Egypt continues its struggle to find stability, security and harmony after the ouster of Mubarak, who in his 30 years of ruling Egypt was accused of vigorously clamping down on dissent. He has been given a life sentence for his role in the killings of peaceful protesters demanding his exit, though he will get a new trial in April, the state-run MENA news agency reported this month.

Morsy, who became the North African country's first democratically elected president last year, has since become a target for some who say he hasn't been inclusive or true to the revolution's goals. Those critics say he has amassed power for himself and his Islamist allies. Morsy was a leader in the Muslim Brotherhood, the Islamist group that was banned under Mubarak, before he rose to power. He has defended his moves as necessary to move Egypt forward in the face of pressing issues and persistent obstacles.

On Friday, state TV reported security forces had thwarted attempts to raid security headquarters in Faiyum, a city about 100 kilometers (62 miles) south of Cairo. Other security forces turned back pushes on government buildings in Damietta, Kafr el-Sheikh and Gharbia, as well as Suez.

In Ismailia, a city between Suez and Port Fouad in northeastern Egypt, protesters torched the main office of the Freedom and Justice Party -- the Muslim Brotherhood's political wing -- state TV reported.

The coastal city of Alexandria also was the site of clashes between opponents and supporters, multiple eyewitnesses told CNN.

The violence prompted Morsy to issue statements on his official Twitter account, in which he offered his condolences for those killed and pledged his support for all Egyptians' right to protest peacefully. At the same time, the president said the government won't hesitate to prosecute those responsible for violence "and bring them to justice."

"I call on all citizens to uphold the noble principles of the Egyptian revolution to express their opinion freely and peacefully, renounce violence in word and deed," he said.

Read more: Opinion: U.S gets it wrong on Egypt again

Protests, violence near Cairo's landmark Tahrir Square

There also were protests in Cairo's Tahrir Square, the hub of the popular movement that began its push on January 25, 2011, to unseat Mubarak.

Back then, protesters spilled into the streets around that major intersection in an unprecedented display of anti-government rage.

At one point, the activist masses in the world's largest Arab nation broke through riot police who had lined Tahrir, or Liberation, Square. Police lobbed tear gas and used water cannon, but the protesters were undaunted.

Since then, the square has continued to be a focal point for demonstrations for Egyptians from all factions.

That was true again Friday, and by afternoon at least 10,000 liberals, moderates and secularists had gathered there to vent their anger at Morsy and the Muslim Brotherhood for -- in their view -- hijacking the revolution.

"All ages, all classes, women even more enthusiastic than men," CNN iReporter Dr. Abdel-Maguid Ramzy said of the crowd he joined for four hours in Tahrir Square, many of whom blamed Morsy and the Muslim Brotherhood for Egypt's economic malaise. "They feel betrayed."

One pocket of violence broke out a few blocks from the square, where police erected a barrier of concrete blocks on a street leading to the Interior Ministry and other government buildings.

Young protesters threw rocks over the barrier at officers stationed there, who responded sporadically with tear gas or threw stones themselves.

At least 29 people were treated for cuts, broken bones and birdshot injuries, Health Ministry spokesman Khaled El Khatib said. Six police officers were also hurt in the disorder near Tahrir Square, according to the Interior Ministry.

Egyptian police also fired tear gas to disperse protesters who tried to cross barbed wire outside the presidential palace, which is in the northeast of Cairo, Nile TV reported.

Read related: Egyptians pack Tahrir Square for revelry, protests a year after historic revolt

Journalist Ramy Francis and CNN's Reza Sayah reported from Cairo; Greg Botelho wrote this story from Atlanta. CNN's Laura Smith-Spark, Henry Hanks, Yousuf Basil and Hamdi Alkhshali contributed to this report.

@highlight

NEW: Armored vehicles patrol Suez after fears the crisis was out of control, state news says

@highlight

NEW: 6 die in Suez, 1 in Ismailia; 456 civilians, police and security forces are injured

@highlight

Clashes erupt nationwide, including in Cairo, near the hub of the 2011 revolution

@highlight

Morsy says he supports peaceful protests, but those behind violence will be punished