Mexico City (CNN) -- Hours after Mexico's presumed president-elect, Enrique Peña Nieto, said it was time for his country to leave behind the political rancor of campaign season, his closest opponent in the polls refused to concede and said the vote had been "plagued by irregularities."

Andres Manuel Lopez Obrador, who election authorities projected as the runner-up in Sunday's presidential vote, said Monday that he was awaiting the official election results, and prepared to contest them before judicial authorities if they didn't turn out in his favor.

"The election was plagued by irregularities before, during and after the process," said Lopez Obrador.

The Democratic Revolution Party candidate's declarations echoed comments he made in 2006, when election authorities said the leftist candidate narrowly lost the presidential race to Felipe Calderon. Lopez Obrador claimed election fraud and never conceded, referring to himself afterward as "the legitimate president of Mexico."

His supporters protested nationwide. In Mexico City, they staged sit-ins and blockades.

On Monday, Lopez Obrador called on his supporters to wait for the official results. The Federal Election Institute's verification of individual poll results begins Wednesday.

Earlier, Peña Nieto, who election authorities projected as the winner of Sunday's presidential vote, told CNN en Español he was ready to work across party lines to build a better Mexico.

"We have to be constructive and put aside our differences, which are only for competitions and electoral contests," Peña Nieto said Monday. "Yesterday I indicated that (after) this tense and divisive atmosphere, which is natural in all democratic contests, we have to turn the page and move on to enter another chapter, another moment in our political lives, with a willingness and spirit that are constructive and purposeful."

A quick count based on samples from polling stations throughout the country gave Peña Nieto the lead, with between 37.93% and 38.55% of votes, the Federal Election Institute said late Sunday night.

On Monday, the presumed president-elect said he had been receiving congratulatory phone calls and messages from world leaders, including U.S. President Barack Obama.

Peña Nieto said he was unfazed by the fact that more than 50% of Mexicans had not voted for him.

"We, fortunately, live in democratic conditions with three predominant political forces, and this makes it very hard for any party to have an absolute majority," he told CNN en Español.

The projected victory for Peña Nieto marks a triumphant return to power for the Institutional Revolutionary Party (PRI), which lost its grip on Mexico's presidency to the conservative National Action Party in 2000.

Peña Nieto profile

The Federal Election Institute's projections raised two key questions rooted in Mexico's complicated political past: Has the PRI, a political party that critics accuse of being authoritarian and corrupt, changed its approach? And will supporters of Lopez Obrador protest election results as they have in the past?

U.S.-Mexico relationship

Peña Nieto said Sunday night that he was looking forward, not back.

"We are a new generation. There is no return to the past. My government will have its vision based in the future," he told reporters.

On the local level, there may not be many differences between today's PRI and the political party that dominated Mexico for decades, said Andrew Selee, director of the Mexico Institute at the Woodrow Wilson International Center for Scholars.

"What's changed on the national stage is that Mexican citizens have different expectations for their federal government that are going to force the PRI to govern in a different way than it did 20 years ago," he said.

For much of the PRI's rule, the political party controlled not only the presidency, but also national and state legislatures and local governments across the country.

Now, in the country's Senate, a preliminary tally Monday showed the PRI winning only 33 of 128 seats. In the House of Representatives, the PRI had secured more seats than any other party, according to the preliminary tally. But opposition parties combined held a majority of seats.

"Then, the PRI was really a party that included all of Mexico, that had a broad patronage network and tolerated little dissent outside of the party," Selee said. "And the PRI today is going to have to deal with opposition parties that have tasted power, an active citizenry that expects to be involved in major policies decisions, and a very vigilant press that will report on everything that happens."

Weeks before Sunday's vote, criticisms of Peña Nieto and concerns about the PRI's possible return to power fueled a student movement that has staged demonstrations throughout the country.

On Monday, outraged students from the group marched in Mexico City. They carried signs that said, "Mexico without PRI" and "Mexico voted, and Peña did not win."

But while critics slam Peña Nieto, the charismatic 45-year-old former governor galvanized fervent support among residents of his home state and party loyalists nationwide.

8 things U.S. could learn from Mexico

The Consulta Mitofsky, GEA/ISA and Parametria firms said their exit poll results projected a win for Peña Nieto, with more than 40% of voters saying they cast ballots for the PRI candidate.

Peña Nieto's campaign platform included plans to stop the rise in food prices, promote energy reform, give social security to all Mexicans and reduce violence nationwide.

"He is obviously prepared. There was obviously a dirty war against him," said Martha Rojas Ramos, 58, as she prepared to cast a ballot for Peña Nieto at a Mexico City elementary school on Sunday.

Critics lamenting the possible return of the PRI to power aren't thinking straight, she said.

"That's all in the past," Rojas said. "What's important is that he is young and has all the ability to represent us."

CNN's Mario Gonzalez, Rafael Romo, Miguel Marquez, Krupskaia Alis, Ariel Crespo, Rey Rodriguez, Rene Hernandez and CNNMexico.com's Tania L. Montalvo and Arturo Ascención contributed to this report.

@highlight

NEW: Peña Nieto says he has received congratulatory messages from world leaders

@highlight

Lopez Obrador says he's waiting for official results, and prepared to contest them

@highlight

Peña Nieto's apparent victory marks a triumphant return to power for his party

@highlight

Analyst: Mexicans "are going to force the PRI to govern in a different way"