(CNN) -- Guinea-Bissau's military has arrested acting President Raimundo Pereira and Prime Minister Carlos Gomes Jr., a military spokesman said, in a coup that has drawn widespread condemnation from the international community.

The men were taken into custody Thursday night, as gunfire and explosions rocked the capital of Bissau.

Daba Naualna, a spokesman for the army's chief of staff, told CNN on Friday night that both Pereira and Gomes were well, and that no one had been killed or wounded in the unrest.

He claimed a group that calls itself "the Military Command" was behind the arrests, though it is not clear who its members are. Afterward, according to Naualna, the actual leaders of Guinea-Bissau's armed forces took control of the situation in an attempt to ensure stability.

"The (army chief of staff) thinks, for the sake of the country, that power cannot fall into the streets and decided to have (the military) play its part in seeking solutions with the political class to resolve this crisis," the spokesman said.

Asserting that it has no desire to "stay in power," the military is asking for members of political parties to send it concrete ideas by Sunday on what to do next, Naualna said. A meeting will take place that day to discuss the proposals.

Such political moves have done little to dull the anger expressed Friday by foreign leaders, some of which highlighted the fact the coup occurred just before the second round of a presidential election set for April 29.

African Union Chairman Jean Ping issued a statement expressing his group's "total rejection of any attempt at undermining the constitutional order" and demanding the "immediate and unconditional release" of Pereira and Gomes.

U.N. Security Council members issued a joint statement Friday saying they "strongly condemn the forcible seizure of power" and "firmly denounce this incursion by the military into politics," and urged the "immediate release" of the prime minister, president and other senior officials.

Separately, U.N. Secretary-General Ban Ki-moon condemned "in the strongest possible terms" and pressed the Guinea-Bissau military to "respect civilian authority, constitutional order and the rule of law." The White House used similar language, urging "all parties to reconcile their differences through the democratic process."

On Saturday, the foreign ministers of the Community of Portuguese Language Countries, known as CPLP, will meet in Lisbon to assess the situation and take "concerted measures" regarding Guinea-Bissau's situation, that group said.

The Military Command issued its own statement contending that the revolt was in response to a "secret deal" between the governments of Guinea-Bissau and Angola.

This "deal" was drawn up by the Guinea-Bissau government to allow Angolan troops in the country and mandates "Angola to attack Guinea-Bissau's military," a communique from the group said.

This group says that Pereira and Gomes signed the deal, and it accuses the African Union, whose rotating presidency is currently held by Angola, of also supporting intervention by Angolan forces.

The Military Command, like the larger military, does not intend to remain in power and wants to "return" the country to normalcy, according to its statement. The group called for calm and for people in the capital "to refrain from acts of violence and vandalism that could jeopardize the order."

Guinea-Bissau's history has been marked by several military coups and attempted coups since the nation of 1.6 million people gained independence from Portugal in 1974. The conflicts have ravaged the West African nation's infrastructure and economy, leaving it among the poorest in the world.

The first round of voting in a presidential election was held March in Guinea-Bissau, and campaigning for the second round was about to begin. The election was prompted by the death of the incumbent Malam Bacai Sanha in January after a long illness.

The residence of Gomes, the prime minister and a presidential candidate, was looted, witnesses said, as were the homes of some government ministers, including Interior Minister Fernando Gomes.

The country's public media outlets are under the control of the army and are regularly broadcasting statements from the military, witnesses said Friday.

A number of Angolan troops are present in Guinea-Bissau under a bilateral agreement, on a mission to help reform the country's armed forces, Angola said.

Angola, also a former Portuguese colony, issued a statement earlier this week stating its intention to unilaterally withdraw its troops.

The U.S. Embassy in Senegal said the situation in Guinea-Bissau is unclear, but it is closely monitoring events. It urged U.S. citizens to remain where they are and avoid downtown Bissau.

"We are disheartened by the negative turn of events so soon after the first round of Guinea-Bissau's presidential election," it said. "We are deeply concerned about the safety of all those in Bissau today, and urge all parties to put down their weapons and restore legitimate civilian leadership."

Elisabete Azevedo-Harman, a professor of politics at the Catholic University of Portugal and Mozambique who is currently in Bissau, told CNN that she heard gunfire and explosions Thursday night near the prime minister's residence.

Soldiers and police remained on the streets of the capital Friday, but in smaller numbers than the night before, she said. People were starting to venture out again, she added.

Sanha had become president in September 2009, months after the assassination of his predecessor.

Despite his coming to power in what international observers deemed a fair and peaceful election, his tenure was marked by turmoil among the country's military and political leadership.

To date, no democratically elected president of the country has served a full, five-year term.

CNN's Umaro Djau, David McKenzie, Laura Perez Maestro and Zarifmo Aslamshoyeva contributed to this report.

@highlight

NEW: Ban Ki-moon and the White House both "strongly" condemn the coup

@highlight

A military spokesman says the acting president and prime minister are detained and well

@highlight

He says no one was hurt or killed, despite witness reports of gunfire and explosions

@highlight

A coup group says that Guinea-Bissau's government signed secret deal with Angola