New York (CNN) -- New Yorkers are not especially known for their patience. Stand on a subway escalator's left side -- otherwise known as the passing lane -- and it might evoke a sharp reprimand from fellow riders.

But in the aftermath of Superstorm Sandy, millions across the New York metropolitan region who depend on the nation's busiest transit system are still waiting for their subway system to be fully restored.

"There is no precedent for this," said Clifton Hood, author of "722 Miles: The Building of the Subways and How They Transformed New York."

Dubbed New York's "life-blood," an estimated 5.5 million people ride the city's subway system each day in the country's most densely populated region.

Most New York City residents don't have cars to fall back on. Less than half own cars, according to the New York City Economic Development Corporation, which cites the latest census data on car ownership. That's a stark contrast with the rest of the nation, where 92% of all households own at least one car.

Opinion: New York infrastructure FAIL

So when Gotham launched into emergency mode this week ahead of Sandy, shutting down all of its 468 stations for the second time ever, the effect was crippling on commuters and the places they work.

At a corner Midtown market, where the Manhattan bustle continued in spite of Sandy, Edward Greenwald, 49, struggled to fill scheduling gaps left by stranded employees despite his own commute from storm-battered New Jersey.

"I've got employees coming in from all across the Tri-State area," he said. "It's been really hard for them to get in, almost impossible. I've been coming in at 6 a.m. everyday and leaving at 10 p.m. just to help out."

Dating back to 1904, New York's century-old subway system is so extensive that if it were laid out in a single line, the tracks would extend from Manhattan to Detroit.

Defending it and the city's power grid from storms that whip along New York's low-lying neighborhoods could be a concern that gains momentum beyond the week's recovery effort.

"We going to have to find some long-term, or longer-term solutions to this," Mayor Michael Bloomberg told reporters this week.

Could giant plugs prevent subway floods?

And yet there were some indications that this kind of crisis was coming. Just 14 months ago, Hurricane Irene prompted New York's first-ever total subway closure.

"Rising sea level and climate change are likely to cause dangerous flooding in the coming decades," according to a 2004 report produced by the Marine Sciences Research Center for New York's Department of Environmental Protection.

That report said much of the region is less than three meters above sea level -- which is slowly rising -- and therefore at risk from a so-called "100-year flood," a term often used to describe its relative probability.

New York "has a 100-year flood every two years now," Gov. Andrew Cuomo quipped this week to President Barack Obama, who briefly cut off campaign stops to tour the region and assess the billions of dollars in damages along New York and New Jersey's coastal plains.

"Our climate is changing," the mayor wrote in an editorial this week. "And while the increase in extreme weather we have experienced in New York City and around the world may or may not be the result of it, the risk that it might be -- given this week's devastation -- should compel all elected leaders to take immediate action."

Broader questions about climate change, infrastructure and how cities like New York will respond to storms like Sandy will likely continue to loom large.

"New York might have to take the Netherlands model, where they have all their power systems elevated," said Kenneth Button, a professor of public policy at George Mason University.

Opinion: New York has what it takes to rebound

"This is really not just a New York problem, it's a problem that exists in many places."

The Dutch flood protection model employs large-scale flood gates, as well as a series of low-lying drainage canals and pumping stations.

In Japan, engineers have devised a $3 billion system called a "Water Discharge Tunnel" that essentially works as a floodwater diversion facility to protect Tokyo's 13 million residents during rain and typhoon season.

Still, making New York's subways watertight would be an "engineering feat equal to the scale and creativity of the original construction (of the system itself)," said Lucius Riccio, New York City's former Transportation Commissioner and lecturer at Columbia University.

"Our engineers are up to it, if given the resources and the free hand."

In the days ahead, New York faces at least two big challenges, according to Ben Orlove, senior climate scientist at Columbia University.

First, the city must cope with its immediate problems -- power outages, stranded residents, suspended subway lines, flooding and fire damage. Then it needs to deal with long-term infrastructure.

"We need to be innovative," said Orlove. "And we should consider things like putting up flood gates at the mouth of the Hudson (River) and other vulnerable points that could help hold back the tide."

An army of municipal workers and private contractors is addressing the more immediate concerns, working around the clock in New York to pump out sea water and wipe down salt-caked machinery like underground transformers, circuit switches and generators.

As workers scrambled to restore equipment, thousands of otherwise stranded commuters defiantly walked to work this week, often abandoning taxi cabs in the city's traffic-clogged streets.

"I left my house at 6:45 a.m. and I'm still walking," said Elizabeth Gorman, a 40-year-old Queens resident who crossed the Queensboro Bridge at around 10 a.m. "I don't know what (else) to do. I have to get to work."

New York's buses, trains and subways are all slowly coming back online. But for many residents across the region where full transit service has yet to be restored, the slog to work continues.

In the end, NYC marathon didn't feel right

@highlight

An estimated 5.5 million people ride New York's subway system each day

@highlight

New York shut down all 468 subway stations for the second time ever for Superstorm Sandy

@highlight

If it were laid out in a single line, the tracks would extend from Manhattan to Detroit, Michigan

@highlight

Scientists cite rising sea levels and climate change as contributors to dangerous flooding