With domestic labor costs rising, many Asian manufacturing producers are now looking to relocate their factories in other regions of the world. Could Africa replace Asia and/or China as the world's next manufacturing hub?

To be sure, Africa has a number of manufacturing advantages that it has yet to realize. Besides low labor costs and abundant resources, these include duty-free and quota-free access to U.S. and EU markets for light manufactures under the Africa Growth and Opportunity Act and the Cotonou Agreement.

Is this enough to offset Sub-Saharan Africa's generally low labor productivity relative to that of its Asian competitors?

Yes, if Africa can implement appropriate supportive policies to leverage its opportunities soon. This is the finding from a recent book by a team of World Bank economists. China dominates the global export market in light manufacturing, and its competitive edge far exceeds that of low income exporters that recently entered the global market.

But steeply rising costs of land, regulatory compliance, and especially labor in China's coastal export manufacturing centers have begun to erode the latter's cost advantage, a trend likely to accelerate in the coming years.

The ongoing redistribution of cost advantages in labor-intensive manufacturing presents an opportunity for Sub-Saharan Africa to start producing many light manufactures, enhance private investment and create millions of jobs.

Read more: Brazil competes with China, India to invest in Africa

According to new evidence, feasible, low-cost, sharply focused policy initiatives aimed at enhancing private investment could launch the region on a path to becoming competitive in light manufacturing.

These initiatives would complement progress on broader investment reforms and could foster industrialization and raise the market share of domestically produced goods in rapidly growing local markets for light manufacturers.

And as local producers scale up, product will improve, and experience with technology, management and marketing will accumulate, allowing them to seize emerging export opportunities.

In Sub-Saharan Africa, as in China and Vietnam, policies that encourage foreign direct investment can speed up industrial development and export expansion. Isolated successes can be multiplied, as with Ethiopia's recent foray into selling cut flowers in EU markets: a single pioneering firm opened the door to an industry that now employs 50,000 workers.

Previous studies identified long lists of constraints, including corruption, red tape, inadequate utilities, poor transport and skills, inadequate access to finance, and so on. In contrast, the book proposes smaller, more specific, and sometimes newly identified constraints.

Narrowing the analysis can make the reform agenda more manageable within the financial and human resource constraints of most African countries.

Take the leather industry in Ethiopia. This sector employs about 8,000 workers and exported about $8 million in 2010, a fraction of similar countries in Asia such as Vietnam. Ethiopia's labor costs are lower than Asia's and the country has Africa's second largest cattle population, next to Sudan.

Read more: Why Asian giants scent opportunity in Africa

Furthermore, climatic conditions mean Ethiopian animal skin is among the best in the world. Yet the most binding constraint is the shortage of quality processed leather due to poor disease control, lack of quality processing of raw hides and restrictive trade policies on processed leather.

Once the problems are identified, the proposed solutions are straightforward. Treat ectoparasites (the skin disease that causes blemishes) at modest cost; allow imports and exports of raw hides and processed leather to help alleviate this constraint; and provide technical assistance.

Some of these measures require changing existing policies. Others require provision of public goods such as industrial parks that could be inexpensive.

Ethiopia's comparative advantage in wages, productivity, and natural resources has led the Huajian Group, a Chinese shoe maker, to build a factory in Ethiopia in three months, with two production lines starting in January 2012, exporting 20,000 pairs of shoes a month and creating some 550 jobs.

So the opportunities and the preconditions are certainly there, provided African policy makers speedily seize them, as the book notes. But will Africa be the world's next manufacturing hub?

Not likely. Manufacturing can be an unprecedented opportunity for Africa to industrialize and provide productive jobs to millions of Africans, especially young people who make up as much as 36% of the total working-age population; three in five of Africa's unemployed are under the age of 25.

Read more: Is the West losing out to China in Africa?

But the emergence of China as a powerhouse producing a variety of manufacturing goods at very cheap prices thanks to the large scale and skilful exploitation of the supply chain means that not all manufacturing jobs will be transferred from China to Africa.

Due to widely varying country conditions, some African economies can take advantage of favorable wages and natural resources and benefit from taking timely measures to develop and export manufacturing goods.

But large-scale production requirements also mean that some jobs will be transferred to countries such as India, Bangladesh, Cambodia and Vietnam while others will move to China's interior.

In short, the invisible hand of globalization will work to ensure a redistribution of cost advantages to the benefit of the ultimate consumers around the world.

@highlight

Low labor costs and abundant resources are some of Africa's manufacturing advantages

@highlight

Rising costs of land and labor in China have begun to erode Beijing's cost advantage

@highlight

African countries can benefit from taking timely measures to develop manufacturing goods

@highlight

Manufacturing can help Africa industrialize and create jobs for millions