(CNN) -- The author William Doyle caused a stir last week with reports about his finding of White House Situation Room recordings of President Ronald Reagan making telephone calls to foreign leaders. The President made these recordings, according to Doyle, to make sure the historical record was accurate.

The conversations are fascinating to hear. In one, Reagan is desperate to apologize to British Prime Minister Margaret Thatcher for not having informed her about the U.S. invasion of Grenada in 1983. "I'm sorry for any embarrassment we caused you," Reagan says. He explains to her that it was nothing personal, but rather a result of his own frustration with the inability to keep secrets in the U.S. political system.

In another tape, we can hear President Reagan trying to persuade Israeli Prime Minister Menachem Begin to wait on pulling out his military forces from Lebanon until Lebanese troops can be brought in. In a third tape, we hear Syrian President Hafez al-Assad angrily waiting for Reagan, who keeps him on hold as he is finishing a horseback ride. The translator simply tells al-Assad that the President is on the "farm."

The recordings have caught most people by surprise. Until now most experts thought the last private presidential audio we would hear was of President Richard Nixon, whose infamous recordings became part of the Watergate scandal that resulted in his resignation in 1974.

The White House tape recordings of John F. Kennedy, Lyndon Johnson and Nixon have offered some of the most riveting and revealing looks that we have into the private world of American politics, where negotiations, confrontations and deliberation have been conducted in closed rooms, outside the public purview.

The tapes provided an unequaled glimpse into the workings of American political power. One of the great tragedies of Watergate for historians and for the public was that because the tapes became part of the evidence that brought down Nixon, presidents were thought to have stopped compiling such historical treasure.

Six presidents secretly recorded meetings and telephone conversations between 1940 and 1973. They all had different systems. Different presidents used the recording system in different ways, but the result was a close record of these kinds of conversations. The tapes have provided an eye-opening treasure trove for historians (I recently used the Lyndon Johnson tapes as the heart of a forthcoming book on the Great Society).

For John F. Kennedy we have been able to hear incredible conversations at the height of the Cuban Missile Crisis in 1962, when President Kennedy and his advisers wrestled with what to do about the Soviet buildup in Cuba. We hear Kennedy pushing back against hawkish officials who were determined to use force as a solution to the problem.

After the President outlined the challenges the United States faced, Air Force Chief of Staff Curtis LeMay said "You're in a pretty bad fix, Mr. President." The tapes record the President responding, "You're in there with me." We can also hear that the decision-making process was much more tumultuous and dynamic than earlier analysts led us to believe.

The Lyndon Johnson tapes cover everything from civil rights to Vietnam to sex scandals. Among them are conversations between Johnson and Richard Russell of Georgia, the most powerful Democrat in the Senate, about the dangers of involvement in Vietnam and questioning whether the war was necessary—in 1964 and 1965.

During one conversation, Russell, who was a Cold War hawk, admits the war "scares the life out of me. ... We just got into the thing and there's no way out and we're just getting pushed forward and forward and forward." We can hear Johnson firsthand as he becomes increasingly frustrated with the urban riots in 1967 and understands how they will undermine his political coalition.

Richard Nixon's tapes can be shocking, far beyond the expletives. Through these tapes we can hear a truly Machiavellian politician constantly plotting ways to undercut his Democratic opponents and often thinking of policy in the crassest political terms.

One tape provided the shocking revelation that Nixon extended the war in Vietnam until after the 1972 election for political gain. Frustrated with the negotiations over a peace in Vietnam, Nixon tells Secretary of State Henry Kissinger on April 6, 1971, that he is willing to unleash brutal military force if necessary.

"Well, things better start to happen or—you know, I'm—you probably don't believe me, but I can perfectly turn, I'm capable of turning right awful hard. I never have in my life. But if I found that there's no other way—in other words, hell, if you think Cambodia had flower children fighting, we'll bomb the goddamn North like it's never been bombed ... we'll bomb those bastards, and then let the American people—let this country go up in flames."

Unfortunately, White House taping became politically toxic after Watergate. Once special assistant Alexander Butterfield revealed the taping system to the Senate Watergate Committee on July 16, 1973, from what we know, everything went dark. No longer would presidents record their conversations. No longer would they allow tape recorders into the hidden rooms of the White House.

As scandal politics made every conversation even more dangerous, with congressional investigators, independent prosecutors and reporters looking at everything possible as ammunition in the scorched earth game of politics, from what we know, less and less of anything was recorded.

Even emails became toxic after National Security officials desperately erased electronic correspondence in November 1986 as part of the Iran Contra cover up. There have been frequent reports that presidents since Clinton have been discouraging people in the White House from recording anything for fear that it would be subpoenaed.

The Reagan tapes offer a glimmer of hope that the situation was not so bleak. In the spring there were also reports about the possibility of tapes from the Clinton era.

Perhaps somewhere in the National Archives and presidential libraries there are more recordings than we know of. Given that the presidents we know about had different kinds of recordings—from the Oval Office telephone conversations of LBJ to the more limited White House Situation Room tapes of Reagan—it is possible that there is more data than we know about, even with George W. Bush and President Obama.

Nor do we know what kind of tapes exist as a result of our new era of intense surveillance. Perhaps the NSA, for instance, has been amassing more of a presidential archive than we know.

Let's hope that the Reagan release creates some pressure on presidents to think again about the costs of going dark. While the appeal of not recording anything is obvious in this age of bitter polarized warfare, the long-term costs are immense as they greatly diminish the ability of historians to understand what took place in Washington and to provide Americans with the most accurate understanding of our political past. Indeed, this kind of documentation becomes all that more important as so much of our media coverage of politics is tainted by a partisan lens.

In the end, the most important part of the "legacy" of a president has less to do with their approval ratings or the ongoing polls that people conduct, ranking them like top 10 music, but rather with the continual conversation that writers will have as they keep digging into the archival record and putting together a more accurate history of the period.

Without recordings in a political world that often revolves around private conversation, we are always limited in what we can understand. Hopefully the release of the Reagan tapes might provide some impetus to make sure the White House encourages its staff to make the best record possible of their time in Washington.

@highlight

President Reagan recorded sensitive conversations with foreign leaders

@highlight

Julian Zelizer says some thought White House taping had ceased after Nixon

@highlight

He says such tapes provide crucial insight into history

@highlight

Zelizer: Presidents should think seriously about merits of White House tapes