Washington (CNN) -- When President Barack Obama headed to the Jersey Shore this week to tout the recovery effort from Superstorm Sandy, congressional Republicans sought to keep the nation's focus on Washington.

On the same day Obama played "Touchdown Fever" with New Jersey Gov. Chris Christie on the Point Pleasant boardwalk and urged Americans to come spend money in the devastated region, House GOP committee leaders ensured that a series of controversies dominating the start of the president's second term remained in the headlines.

Obama quoted from the Tom Waits song "Jersey Girl" popularized by local hero Bruce Springsteen, while GOP officials announced subpoenas of State Department records involving last year's deadly Benghazi terrorist attack, questioned if Attorney General Eric Holder lied to Congress about cracking down on journalists and announced another congressional hearing on IRS targeting of conservative groups.

And on Friday, Obama stood in the Rose Garden to push Congress to extend student loan rates that are set to double on July 1 if the White House and Republicans can't strike a deal.

It's all part of a high-stakes showdown over political messaging, with the White House trying to shift the focus from the controversies that Republicans seek to emphasize in their efforts to retain their House majority and perhaps win control of the Senate in next year's congressional elections.

"Voters react against what they perceive to be excess and overkill," said Republican pollster Kellyanne Conway, who noted that recent polls show the public believes one of the current controversies -- the IRS targeting of conservative groups seeking tax-exempt status -- amounted to government overreach.

"Any political party that overreaches usually gets slapped back by the public," she added, referring to losses suffered by parties in power in mid-term elections in 1994, 2006 and 2010.

The GOP narrative depicts a government gone wild, with party leaders and strategists accusing the Obama administration of routinely abusing its powers. To bolster their argument, they lump the three controversies together in an effort to create a sweeping example of leaders avoiding accountability and responsibility.

"Benghazi. The IRS. AP phone records. The failures for which Barack Obama will be remembered are not just those of one man or one administration," Republican strategist Alex Castellanos, a CNN contributor, recently wrote in an opinion piece. "They are the failures of an old idea -- that big, old, dumb, top-down, factory style government can manage the complexities of modern times."

Rep. Paul Ryan of Wisconsin, the 2012 GOP vice presidential nominee, complained of "an arrogant abuse of power" by the president.

"Now in his second term, now that he's implementing his agenda, we are seeing big government in practice," the House Budget Committee chairman said Wednesday on Fox.

Asked if the controversies would bring Republican victories in next year's congressional elections to take control of the Senate while retaining their majority in the House, Ryan said it was "just way too premature to make a comment like that."

White House emphasizes business as usual

For his part, Obama seemed to acknowledge his political troubles at a fundraiser on Wednesday night in Chicago, telling supporters that "sometimes we take a bad turn, sometimes we make mistakes."

At the same time, the president complained of "obstructionism for the sake of obstructionism" by political foes who appeared interested "only in scoring political points or placating a base, as opposed to trying to advance the interests of the American people."

"We've got to figure out a way to work around that," he continued, declaring that the solution would be for Democrats to regain majority control in the House next year.

Obama's schedule this week demonstrated how the White House took a "business as usual" approach that emphasized low-risk issues for the president, such as Tuesday's visit to New Jersey for a bipartisan review of recovery efforts with Christie, a leading Republican.

The joint appearance benefited both men by portraying them as reasonable leaders able to work with political foes on major issues such as responding to a crisis like last year's storm.

Other events on the president's agenda included two Chicago fundraisers and remarks at an Asian American and Pacific Islander Heritage Month Celebration at the White House, all following last week's major speech on security issues including U.S. drone policy and closing the Guantanamo Bay detention facility that houses terror suspects.

Despite the White House efforts to shift the focus from the Washington controversies, Wednesday's briefing with reporters by chief spokesman Jay Carney showed the difficulty.

While the first questions were about other matters -- a reported drone strike, the Syrian civil war and cyber-security issues with China -- CNN's Jim Acosta then asked about GOP accusations that Holder may have lied to Congress about the secret subpoenas and search warrants obtained by the Justice Department in recent years for information from journalists involved in reporting classified information.

Reporters from NBC, CBS and Fox quickly followed up on the same topic, forcing Carney to defend Holder and reiterate Obama's confidence in him.

On Thursday, White House spokesman Josh Earnest told reporters aboard Air Force One from Chicago that Obama would later attend his annual hurricane season briefing. He then faced more questions about Holder, with Earnest expressing Obama's confidence that the controversies would not affect the attorney general's ability to do his job.

GOP singles out Holder

Republicans have taken particular aim at Holder, an old nemesis from his days in the Clinton administration who has been a political lightning rod in the Obama administration.

He was cited for contempt of Congress by House Republicans last year in a dispute over documents related to the botched "Fast and Furious" gun-walking operation. Holder rejected the vote boycotted by most House Democrats as political theater.

Critics now seek to link him to two cases stemming from Justice Department investigations of classified leaks -- one involving secret subpoenas last year of phone records of Associated Press journalists, and the other about subpoenas and search warrants obtained in secret three years ago for phone records, e-mails and security badge details of Fox correspondent James Rosen.

Some Republicans attempt to group the classified leaks cases with the other controversies -- IRS targeting of conservative groups and erroneous talking points from the administration four days after the terrorist attack in Benghazi, Libya, last September that killed the U.S. ambassador and three other Americans.

"I think it is time for Mr. Holder to step aside," Republican Rep. Ron DeSantis of Florida told Fox News on Wednesday. "We need a new attorney general, especially with all of these matters that are now going to need investigation from the IRS to the DOJ treatment of reporters. I just don't think he is in a position where he can do that in a way that the American people expect."

Obama and Democrats joined Republicans in condemning the IRS targeting, which is under investigation by congressional committees as well as Holder's Department of Justice.

The classified leaks investigations also raised concern among Democrats including Obama, who ordered Holder to conduct a review of how the government investigates such cases.

However, Democratic strategist Stephanie Cutter, a CNN political contributor, described Republican calls for Holder to resign as overkill, noting that GOP legislators had demanded an investigation into classified leaks in the first place.

"I think that if the president took action every time a House Republican criticized a member of his Cabinet, we'd have a pretty empty government," Cutter said when asked if Holder was proving a liability to Obama. "... For average Americans, they're not really paying attention to this and they're wondering, you know, why shouldn't the Department of Justice investigate, you know, intelligence leaks about some of our most pressing national security issues?"

Public responds to IRS

A Quinnipiac University poll released Thursday appeared to back up some of Cutter's assertion.

According to the survey, 44% of registered voters responded that the IRS probe of conservative groups seeking tax-exempt status was the most important of the controversies facing the Obama administration, while 24% said the handling of the Benghazi attack was the biggest concern. Only 15% called the Justice Department's seizure of journalists' phone records as the most important.

By contrast, 73% of respondents said the economy was a higher priority than the three controversies, according to the survey. However, it also showed that more than three-quarters of respondents wanted a special prosecutor -- rather than Holder -- to investigate the IRS targeting.

To liberal political analyst Earl Ofari Hutchinson, Republicans have attacked Holder as part of a broader strategy to tarnish the administration.

"Typing Holder as the font of secrecy, manipulation and wrongdoing in the Obama administration will be played and replayed in the run-up to the 2014 elections," Hutchinson wrote Thursday on his website. "The aim will be to paint Holder as an incompetent, conniving political hack who supposedly typifies the poor and untrustworthy judgment of Obama in picking his political appointees."

Conway, the GOP pollster, argued that the controversies all started with problematic acts by the administration.

"It's an advantage to the party out of power if the party in power is seen to be obfuscating or hiding the truth," she said, noting that "these are not investigations that began in (Republican House Speaker) John Boehner's office."

Jonathan Turley, a George Washington University constitutional lawyer, noted that most recent presidents faced accusations if not outright evidence of scandal in their second terms.

In the Obama administration, Turley said, Holder serves the role of "sin-eater," or "people that would take your sins away for a price."

"Holder is the ultimate sin-eater in the beltway," Turley argued on CNN. "He protects the president and he has an important use in that sense."

CNN's Ashley Killough and Paul Steinhauser contributed to this report.

@highlight

NEW: In midst of controversies, Obama pushes Congress on student loans

@highlight

Obama administration faces congressional probes of IRS, Benghazi, AP

@highlight

Republicans say the issues reflect government gone wild

@highlight

Democrats contend GOP foes politicize the process