(CNN) -- We're in the thick of the South Carolina Republican Primary, and all the ugly old stereotypes are being deployed as shorthand for one very beautiful state.

You know, the characterization of South Carolina as a swamp of sleazy politics and brutal attack ads, a Bible Belt bastion of rednecks and racism, a state defined by Bob Jones University.

Sometimes these stereotypes are floated in political conversation as evidence of how "real" the state is in determining the true feelings of the conservative base.

Yes, South Carolina is conservative -- especially compared with Washington, Los Angeles and New York City. But it is complex and constantly evolving, containing one of the oldest cities in America and a growing population, especially along the coastline. My family moved there when I was 14, and we love the state -- and especially the elegant, functional and lyrical city of Charleston -- with the zeal of the converted. For my parents, it is home.

So below are three stubborn stereotypes about South Carolina that need to be confronted with facts.

This isn't Strom Thurmond's state anymore

South Carolina is sometimes stereotyped as a lonely bastion of rural white social conservatives. In fact, the state is nearly 30% African-American -- more than double the national average. An influx of immigrants from other states and retirees looking for a better quality of life have helped transform the state over the past three decades, boosting its population 15% in the past decade alone.

Most of this growth has happened on the coastline -- especially around Charleston, Myrtle Beach and Hilton Head Island-- and the booming Greenville-Spartanburg metro area in the Upstate. Thanks to a combination of Right to Work laws and reduced tax burden, major manufacturing companies have relocated plants to the state, including BMW and Boeing. Nearly 60% of the state population lives in cities, towns or suburbs -- and just more than 40% of the state was born elsewhere.

"People don't take into account the general migration of wealthy, well-educated, generally successful retirees and their families to South Carolina and the South in general in the last two decades," attests Will Cathcart, former managing editor of The Charleston Mercury.

This influx also makes for more in-state political diversity than is commonly understood.

Longtime Charleston Mayor Joe Riley is a Democrat who recently won his 10th term in a nonpartisan election. Democratic House Whip James Clyburn also hails from the state. But perhaps the ultimate symbol of how South Carolina has changed is U.S. Rep. Tim Scott, an African-American tea party conservative who defeated former Sen. Strom Thurmond's son in a 2010 primary to represent the First District, where the Civil War started.

Bob Jones University doesn't represent the state

Yes, there are many social conservatives and evangelicals in South Carolina -- especially in the Upstate, near controversial Bob Jones University. But they are seen more as a local curiosity than a real barometer of statewide opinion -- small businesses and the beach and hunting culture define day-to-day life in South Carolina more than the Bible Belt. Sixty-percent of GOP primary voters identified as evangelical four years ago, but that's the same percentage as the Iowa caucuses.

And while just 11% of Iowa caucus-goers identified as moderate, in South Carolina that number grows to 24%.

Finally, don't forget that John McCain won the South Carolina primary in 2008, notably without major evangelical support. Fiscal conservatives and military veterans responded to his message of political reform, a local tradition carried out by Sen. Lindsey Graham and former Gov. Mark Sanford -- before he went hiking the Appalachian Trial. The Bob Jones University president endorsed Mitt Romney last time around -- despite maintaining that Mormonism is a cult -- and Romney came in fourth.

Gov. Nikki Haley doesn't speak for the Tea Party

Elected in 2010, South Carolina Gov. Nikki Haley is a rapidly rising star in national politics.

It's easy to see why -- at 39, she is the first female and the first Indian-American to hold the position of South Carolina governor. A tea party favorite in 2010, her surprisingly narrow election -- 51% to 47% was nonetheless a reminder of the reality of the New South, and the growing diversity of the Republican Party.

When she endorsed Romney, it was considered big news and the news release headline was dutifully reprinted -- "Romney receives Tea Party support in South Carolina." But Haley's national profile is outstripping her in-state popularity, which stands at 34.6%, according to a recent Winthrop University poll.

Surreally, this makes Haley less popular in South Carolina than President Barack Obama, who clocks in at 44% in the same poll and who lost the Palmetto State by 9 points in 2008. The real leader of the tea party in South Carolina -- and a national force as well -- is Sen. Jim DeMint, and he's not endorsing any presidential candidate this time around.

There's no question that South Carolina is pivotal for the Republican presidential nomination -- the winner has been the nominee since 1980. But the differences between the Palmetto State and the New Hampshire primary or Iowa caucuses should be understood with the proper perspective.

One of the biggest differences is the state of the local economy -- Iowa and New Hampshire have unemployment rates well below the national average, but in South Carolina the unemployment rate is close to 10% -- adding to the calculus that Newt Gingrich's Super PAC made when it decided to unleash the anti-Bain Capital ad.

Likewise, Rick Santorum might do well in the state as much for his focus on strengthening U.S. manufacturing as his much-vaunted social conservative purism. And if Romney does win the primary, it will be aided in part by the fact that he is the most center-right figure remaining in the Republican field.

As CNN heads down to Charleston for Thursday night's debate, it's all just a reminder not to fall back on lazy national narratives but instead find the real facts when it comes to the great state of South Carolina.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Stories refer to South Carolina in no-longer true, if ever, stereotypes

@highlight

State population is diverse, he says; it's 30% black with a growing immigrant population

@highlight

Avlon: Bob Jones University doesn't define the state culturally

@highlight

Unemployment high, he says, but there are more moderates in S.C. than in Iowa