(CNN) -- Iraq is suddenly back at the top of the news.

The drawdown of "combat" troops has been completed, the handover to the State Department looks shaky, violence is ticking up and there is still no new Iraqi government, more than five months after the March elections.

All these are real, but they are only the most immediate manifestations of deeper and longer term issues that the United States will need to manage.  Our diplomats face big challenges.

Let's start with the Iraqi government.

Superficially, it looks as if former prime minister Ayad Allawi and present prime minister Nouri al-Maliki -- who came in first and second in the elections -- are in a huge personality clash.  Why can't one of them be a statesman and step aside? The answer is that both they and other Iraqi politicians are worried about whether this will be their last opportunity to gain power.

The American troops have de facto guaranteed for the past seven years that some sort of broad, representative democracy would continue in Iraq.  But if the troops all leave by the end of 2011, as currently agreed, who will guarantee the political system?  Who will prevent a drift back to autocracy, or even a coup?

The transfer of lead responsibility from American troops to diplomats has done little so far to answer these questions.  This is a big diplomatic challenge:  to find ways to convince politicians in a country that has known little other than violent political change that their next political choice will be made at the ballot box.

This is an even bigger challenge in Iraq than elsewhere because of sensitivities about national sovereignty.  Bosnians and Kosovars (not to mention Haitians and many others) have welcomed both foreign troops and civilians deployed to their territory to maintain their newly minted democracies.  Iraqis, while complaining that the foreign troops have made a mess and failed to clean it up, wanted the Americans out.

The State Department needs to focus on finding ways to guarantee whatever solution the Iraqis work out. Should it be "term limits" for al-Maliki, as outgoing Ambassador Chris Hill has suggested?  A political pact that would allow al-Maliki to remain for two years and then be replaced by Allawi?  An agreed reduction in the prime minister's powers, particularly his control over the armed forces?

Someone outside the Iraqi political context is going to have to seal the deal with a commitment to make sure it is implemented.  The most obvious vehicle for this is a new U.N. Security Council resolution, but getting one is complicated by the fact that Iraq wants an existing Security Council resolution lifted. Sounds like a classic diplomatic challenge.

Another option is the Strategic Framework Agreement, a bilateral commitment to continued U.S. cooperation with Iraq that the Iraqis sought and continue to think important.  Fully implemented, it would be little short of an alliance relationship with Iraq, one that would encourage foreign investment and open up economic, educational and cultural opportunities for Iraqis.

Washington needs to convince the Iraqis that full implementation of the agreement depends on the continued existence of a broad-based democratic regime in Baghdad.  That also sounds like a classic diplomatic challenge.

So, too, does another underlying issue: the Kurdish/Arab dispute along a lengthy confrontation line in northern Iraq, where the Kurdistan Regional Government and its Peshmerga military forces claim territory that lies beyond the territory Iraqi Kurdistan controlled during the Saddam Hussein period.

U.S. military forces have been proactive in building confidence between the Peshmerga and the Iraqi Army and ensuring that they do not come to blows.  Who will take on this role once the U.S. forces withdraw?

The diplomats face many other challenges: They are going to be responsible for training the Iraqi police, they are going to have to protect themselves as they move about the country, they need to do much more to get European and other friends and allies engaged in Iraq, they need to help Iraq regain its regional role and settle its relations with the neighbors.

Some in Congress are asking, why do the State Department and USAID need $9 billion for Iraq next year?  The better question is this: How much should we spend to protect an investment of over $700 billion that we have made over the past seven years?

The war is over, sort of, but the peace-building will go on for a long time.  Peace-building is expensive, but a lot cheaper than war.

The opinions expressed in this commentary are solely those of Daniel Serwer.

@highlight

As U.S. combat troops leave Iraq, diplomats face challenge of building peace, says Daniel Serwer

@highlight

He says U.S. needs to guarantee the solution Iraqis develop to their political impasse

@highlight

He says spending on diplomacy protects $700 billion investment U.S. has made in new regime