(CNN) -- As a writer, one of my most important responsibilities is listening. I try to do so with an open mind, so I can hear the voices of the characters whose stories I will tell. When I wrote about Afghan women in my second novel, I thought about the brave women I had met in Kabul and about their stories. Their voices came to me in hushed whispers. At times they woke me in the night with the urgency of what they had to say. I am indebted to those women, because without them, my novels would lack authenticity and would also be far less likely to resonate with readers.

Supporting women's rights in Afghanistan is largely about listening. A recent report from international aid organization Oxfam summarizes it best: The voices of women in Afghanistan must be heard if a lasting peace is to be achieved and "the international community is to fulfill its agenda of setting Afghanistan on its own feet."

In recent years, women have made incredible gains in Afghanistan. The end of Taliban rule has meant a new Afghanistan, with more opportunities for women. Millions of girls are back in school. Women are working, particularly in Kabul, as professionals in a wide range of fields. Afghanistan has a female provincial governor; there are women serving in parliament, the Ministry of Public Health, the Ministry of Women's Affairs and the Afghanistan Independent Human Rights Commission. Only the hardest cynic would dismiss these accomplishments as insignificant.

Yet far too many women in Afghanistan are still denied a place at the table -- denied the right to speak for themselves. Oxfam's report illustrates how war and unrest, illiteracy, poverty and gender discrimination have made it nearly impossible for the vast majority of women in Afghanistan to contribute to the global dialogue about the future of their homeland. Without them, the gains that have been made in recent years for half of Afghanistan's most brilliant resources remain at risk.

When I was a boy living in Kabul, I had a different experience. A different political environment meant women were respected -- their intelligence and accomplishments greatly valued. My mother was a teacher and school administrator. She was known on campus for her confidence and effective leadership. My aunt was a professor at Kabul University. She inspired young men and women to be creative and poetic, furthering Afghanistan's rich cultural and artistic legacy. My cousin was a physician. Men and women alike relied on her skill, strength and kindness.

The women I have met in Afghanistan in recent years are equally talented. Though most have been denied education, survive without access to even basic health care and often lack even rudimentary shelter, they are determined, resilient, resourceful and optimistic. They have a truly indomitable spirit and are the real backbones of families and communities.

If Aghanistan is to exist once again as a peaceful and thriving nation, it must make women's rights one of the cornerstones of national reconstruction. Any peace negotiations with insurgent groups must ensure that Afghan women are able to exercise their rights and participate in every facet of Afghan society without fear of retribution. They must be given political, social and economic power to help usher in and sustain the country's long-term redevelopment.

Most importantly, Afghan women must be allowed the opportunity to be heard. As the International Conference on Afghanistan approaches in Bonn, Germany, world leaders must insist that women not only participate in the Afghan delegation but that all discussions around peace and reconciliation include how women will be involved. Afghan women's voices are an indispensable resource and without them, the story of peace and prosperity cannot be told.

The opinions expressed in this commentary are solely those of Khaled Hosseini.

@highlight

Khaled Hosseini: Oxfam report says Afghan women must have voice in Afghanistan

@highlight

He says women in Afghanistan have gained since Taliban days but are still denied rights

@highlight

He says women had positions, education and authority when he was growing up there

@highlight

Hosseini: A condition for groups to take part in rebuilding nation must be full rights for women