(CNN) -- What if this was your town?

That's the haunting question being chanted in the streets of Ferguson, Missouri. It demands an answer.

Ever since an unarmed black teen was shot and killed by Ferguson police five days ago, what's unfolded has been positively un-American.

The Ferguson police chief has refused to name the officer who shot Michael Brown or to reveal key details about the shooting. His force has responded to protesters with a surplus of militarism and a deficit of sense, skill or humanity. They've run roughshod over freedom of the press, freedom of assembly and the right to be young and African-American and presumed innocent.

LZ Granderson: How many unarmed people have to die?

There has been a vacuum of leadership at every scale of this story. The mayor has seemed flat-footed. The governor was too long silent, then finally issued a statement, saying he would visit Ferguson. The President has kept his distance since issuing a statement of his own.

Nowhere thus far has there been a political leader like Robert Kennedy in Indianapolis after the assassination of Martin Luther King Jr., wading at once into the charged scene with physical courage and quiet moral authority -- sharing in grief, naming the tragedy, earning the trust needed to call for peace.

Fortunately -- if that's a word that may be used in this situation -- everyday Americans have been filling this void. Citizens in Ferguson and across Missouri have protested and organized marches and vigils. African-Americans unleashed a wave of commentary on social media, highlighting how swiftly stereotypes can indict and convict black men in the court of public opinion.

Then when journalists covering the story were manhandled by the police and locked up for reporting the story, Twitter exploded and people across the country -- indeed, the world -- began to amplify their voices in a burgeoning, turbulent virtual square called #Ferguson.

Now libertarians who have long mistrusted the heavy hand of government find themselves in common cause with social-justice progressives who cannot believe that this is happening half a century after the Civil Rights Act became law.

What these citizens from the right, left and all points between are saying is simple: No one in the United States should get away with this kind of abuse of power.

We may disagree on taxes and health care and immigration. But we can agree that the most basic form of civic power -- the force necessary to protect a community -- must in a democracy be subject to the kind of accountability that is utterly missing in Ferguson.

To be sure, some perspective is important: There is still so much unknown about the killing. A Twitter wave obliterates context and thrusts forward only the most sensational aspects of a story. And plenty of partisans on the left and right are taking Ferguson as a chance to bash the other side for its failed policies and ideologies.

But let's be very clear. What's happening in Ferguson is not just politics. It's not what historian Daniel Boorstin called a "pseudo-event." It's real. It's a spark of anger and alienation that emerged first from African-Americans who bear the petty humiliations and mortal dangers of second-class treatment. Now it's spreading.

Complete coverage on Ferguson shooting and protests

In this age of contagion, when pent-up frustration and a desire to change social norms can cascade quickly into tea parties or Arab Springs or marriage equality movements, it's not easy to say where this spark will lead.

And as events unfold, we would do well to ask ourselves a basic question. It comes from the exam that immigrants take to become citizens of the United States, and it is surprising in its simple profundity:

"What is the rule of law?"

Alas, the killing of Michael Brown is awakening many to the meaning of that question -- and to the consequences of ignorance. The rule of law must mean, at the barest minimum, that the government tells us which of its agents has slayed an unarmed citizen. It must mean administering justice in a way that is credible, transparent and responsive to the people. It must also mean an end to the looting in Ferguson.

But it also should have meant that we never got to a scene like Ferguson.

5 things to know about Michael Brown's shooting

So now it's time for each of us not to be spectators, merely watching the flames in the streets or the pundits on the screen, but to be citizens.

It's time to look around our own communities and consider just how we see and treat each other. How over-martialized and under-professionalized our own police forces may be. How little empathy exists among people of different races and social classes. How so many of our neighbors see "the rule of law" as a cruel, cynical joke.

And how we can change all that.

What if this were your town? Our task now is to live like it already is.

@highlight

Eric Liu: What's unfolded in Ferguson is un-American, a shocking affront to rule of law

@highlight

He says police have run roughshod over constitutional rights

@highlight

Events have united people on left and right, while politicians have dithered, he says

@highlight

Liu: We should look at whether what happened in Ferguson could occur in our town