Editor's note: Tara Wall is deputy editor for The Washington Times. Before joining the newspaper, she was a senior adviser for the Republican National Committee and was named a public affairs director in the Department of Health and Human Services by President Bush. Read her columns here.

Tara Wall says President Bush will be remembered for keeping America safe.

WASHINGTON (CNN) -- In his final radio address as president-elect on the Sunday ahead of his inauguration, Barack Obama said President Bush "extended the hand of cooperation" to him throughout this period of transition. It was a final act of civility, on Mr. Bush's part.

It is a trait that is not surprising to those who know Bush (or those paying some attention at least half of the time). At least one Democrat has given him credit for it. Unfortunately, that tone of civility has been lost on the Democratic leadership over the past eight years.

Civility aside, how others -- more importantly, history -- will judge the 43rd president of the United States, is the question that has followed Bush out the door. Lucky for him, it won't just be up to Democrats to determine.

"I believe President Bush will be vindicated," said Secretary of State Condoleezza Rice in an interview a couple of weeks ago. She may be an ardent defender of Bush, but I believe she's right. She, like I, have a different vantage point than what has been routinely portrayed.

While sitting in the Oval Office with the 43rd president, for what was his last official week in office last Thursday, I got the sense that he feels he will be vindicated, too.

He won't say as much, directly, but indirectly points to what matters most in his eyes -- protecting the homeland. "History will eventually see ... that not only was it necessary to take the steps I took, but [they] led to a better world," the president told me.

On a personal level (and for the sake of full disclosure), I must say that I have had the pleasure of working for and knowing Bush from his first campaign for president and throughout his presidency.

I started as a volunteer in 1999, then worked as a spokeswoman during his second campaign and then as an appointee in his administration.

Not only have I counted it an honor and a privilege to serve the 43rd president, but I have always had a deep respect for him as a person of faith, his strident conviction in doing what was right for the country and his commitment to closing the disparities that exist between black and white Americans -- no matter the mistakes made and lessons learned. Above all, it is his dignity and civility that stand out to me most.

Yet, for many conservatives (not just liberals), Bush has failed on many fronts. From the miscalculation of the insurgency in Iraq, to failed intelligence gathering and the issues of maintaining fiscal conservatism and delivering real immigration reform -- I can't tell you how many Republicans and conservatives I've spoken to over this past year who have told me how "disappointed" they've been with Bush. A few among them voted for "change" as a result.

The legacy Bush leaves behind won't be everything he wanted (particularly as it relates to popularity), but on many fronts, it will be better than that of his predecessor. Bill Clinton may have been popular, but his moral failings brought shame on the office of the presidency and tainted the people's house.

That will forever be a stain on Clinton's legacy. Not to mention, there was no such "civility" or "cooperation" when Clinton turned the keys over to Bush. I prefer principle over popularity any day.

On the moral front, President Bush delivered. On the social front, he delivered. On the fiscal front he failed considerably. Yet, on the national security front and on many domestic policies, he succeeded.

Depending on your vantage point, success may mean something wholly different. The details will be debated for decades to come. Among the many uncertainties, one thing is certain -- you can't judge history in the midst of it. Declaring one "the worst" president while he's still in office is an effort in rhetorical futility. Historians know this all too well.

The best prediction one can make was summed up by presidential historian Doris Kearns Goodwin on "Meet the Press" last year: "If Iraq became the model democracy or even just a democracy, and in doing so changed the whole complexion of the Middle East, then obviously that would be the legacy that would justify what Bush did and what our troops did." And that's exactly what Mr. Bush is banking on.

During my Oval Office interview with the president, I asked him to complete the sentence "President Bush was... [fill in the blank]."

He responded (uncharacteristically in third person): "President Bush was the president at a time when our nation was attacked, he clearly saw the dangers, he pursued the enemy, he put tools in place so the professionals could better protect the people, and the homeland was not attacked."

That is the legacy he wants. Popular or not, he kept America safe. And if nothing else, for that, he will be vindicated.

The opinions expressed in this commentary are solely those of Tara Wall.

@highlight

Tara Wall: Barack Obama praised President Bush for cooperative nature of transition

@highlight

Wall: It was a final act of civility by Bush; she says he wasn't given same by Clinton

@highlight

She says Bush delivered on national security and many domestic issues

@highlight

Bush will be remembered for keeping America safe, Wall says