Port-au-Prince, Haiti (CNN) -- At the Iron Market, Haitians shopped for everything from vegetables to Voodoo flags. One side was destroyed in a 2008 fire. The January 12 earthquake leveled the rest.

By year's end, workers hope to restore the Port-au-Prince landmark to its original splendor.

Destined for Egypt in 1889, the market's French-built minarets became Haiti's when the sale to a Cairo train station fell through and President Florvil Hyppolite bought the massive cast iron structures as part of his plan to modernize the city.

It is the post-earthquake project that most excites Michael Gay, a Port-au-Prince engineer and co-owner of Haiti's largest supplier of concrete.

It's inspiring to see the historical structure rise again amid the rubble, Gay said. But even more, the Iron Market restoration provides hope to those who live and work in its shadow -- especially because everyone knows Haiti's rebuilding process is sure to be slow.

By some estimates, it will take three to five years just to clear the rubble and debris still on the streets of Port-au-Prince. There is so much damage and destruction, so few trucks and places to dispose of the mangled steel and concrete and the piles of crushed furniture and personal possessions.

The government plans to begin the reconstruction phase of the recovery process late this summer with some of the almost $10 billion pledged at a March donor conference.

Haitians say they intend to build differently than they did before the earthquake. The government, awakened to the nation's construction follies, says it plans to crack down to ensure proper materials and techniques.

'We have to change'

"The government has no administrative control on building projects here (i.e. no building code to follow or building permits to take out), so when the Haitians and the outside world ask why did this disaster happen, what can anybody say?"A Canadian structural engineer entered this web post about his trip to Haiti after the earthquake.

Engineers agree there are no excuses for the shoddy building that took place in Haiti.

"We're in the state we're in because of one thing, because of poor construction practices," said Gay, who heads GDG Concrete and Construction. "We have to change. I've been saying it for more than 10 years."

Too many people suffered in the earthquake. If nothing else, Gay said he hopes fear will now serve as a guiding factor.

Gay's firm built the U.S. Embassy here, as well as telecommunications firm Digicel's glass tower and other structures that withstood the earthquake.

But without government regulation, enforced building codes and mandatory inspections, much of the rest of Haiti built as it pleased: cheaply.

Gay said concrete and cement companies used sand containing calcium carbonate, a "recipe for disaster," or diluted the strength of the cement with too much water, a cost-saving measure.

Steel rebar was smooth, not marked with ridges as it is in the United States, which helps lock concrete in place. Only four bars of steel were used for every column, not eight as in America,

Haitians did the minimum to raise a building, said Georgia Tech engineering professor Reginald DesRoches. Forget about withstanding a magnitude-7.0 earthquake.

DesRoches, who has been making periodic trips to Haiti to help assess damage, said complicating Haiti's rebuilding is that structures have to be both earthquake- and hurricane-resistant. The former requires heavy, solid construction; the latter requires reinforcement and malleability.

"A small difference in technique can make a huge difference, DesRoches said. But ultimately "it's about changing the whole culture of building."

Gay agreed.

Thankfully, he said, there isn't anyone left in Haiti who doesn't feel accountable.

"The problem is that there was never any incentive to do it properly. The government has to do its job."

For the first time, the government intends to inspect new construction. It is requiring permits of those who want to repair damaged houses that have been marked as salvageable by the Ministry of Public Works, Transport and Communications. Inspectors have even stopped some questionable reconstruction projects.

It is also working with foreign experts to train Haitian engineers and masons; to make sure the nation has the skill set to build wisely.

The Department of Public Works partnered with well-known American structural engineer Kit Miyamoto to train engineers. Already, 500 have been trained, according to Leslie Voltaire, a member of the government's reconstruction committee.

Miyamoto said the biggest challenge has been the sheer number of damaged buildings. So far, he said, about 70,000 have been assessed.

"We need to come up with a unique strategic idea to deal with hundreds of thousands of structures to be repaired and reconstructed," he said. "It may take some time but they will get there."

The sound of hammers and saws

Construction issues and messy post-earthquake land disputes could slow the rebuilding effort. But with the urgent need for sound housing, some aid agencies have begun to construct transitional homes for thousands of Haitians facing a potentially violent rainy season without a roof over their heads.

Some already have permanent materials; others can later be reinforced. Plans call for thousands of these tiny homes to dot the landscape. They go up quickly and relatively cheaply, and are not subject to complex building codes and inspections.

The noise of hammers and saws can be heard outside Port-au-Prince, in places like Cabaret and in Leogane, where land was available to build.

Joseph Sanon oversees 45 carpenters for Habitat for Humanity. They are constructing plywood and corrugated tin shelters near Cabaret, on empty fields lined by watermelon crops and crimson hibiscus.

The Habitat houses consist of nine wooden posts rooted in buckets of concrete that can be removed later if necessary. The heavy-duty tarps that wrap around the posts can one day be replaced by more permanent materials, including concrete.

In the near future, Habitat is planning to build 1,000 such homes near Cabaret and another 1,000 in hard-hit Leogane to the west, said Habitat's Ken Meinert.

For Blanc Voltaire, the small one-room house is a gift from God, the only bright spot in the four months since the quake.

He proudly showed it off. It was clean. Orderly. A carved wooden china cabinet was filled with ceramic cups and dishes. The bed was dressed in crisp white linens. It was a far cry from the forlorn tin shack across the yard. That's where he used to sleep with his wife and four children. He put his hand to his calf to show how high the water rose when it rained.

Voltaire said he is thankful for a proper roof over his children's heads. He knows he is among the lucky ones.

"The demand is so high here," Habitat's Sanon said. "There is someone asking for a house every minute."

In Leogane, an American missionary group helped put up neat rows of pre-fabricated compressed wood huts. In each was a dining table, chairs, a bed -- a semblance of normalcy for those left with nothing.

Above the door in every house was a wooden placard that said, in Creole: "Bondye Beni Lakay Nou." God bless this house.

@highlight

Reconstruction phase of Haiti's recovery begins this summer

@highlight

Haitians hope to employ better building practices

@highlight

Hundreds of engineers are being trained

@highlight

Aid groups have already started building transitional home