Washington (CNN) -- The word compromise is never music to the ears of passionate advocates for a cause. This is especially true for advocates of overturning the military's "don't ask, don't tell" law, a law that was supposed to be a suitable compromise itself in 1993.

But when idealism collides with political reality, risk avoidance and workable solutions become the goal. The deal that was reached on DADT this week between the White House, the Pentagon, gay rights groups (including my own), and pro-repeal champions on Capitol Hill is that workable solution and will get us where we need to go.

More than 14,000 proudly serving men and women have been abruptly fired from the military pursuant to the DADT law, and many more have voluntarily left the military because of the burden of serving under this unnecessary restriction. The DADT law prevents our armed forces from being able to recruit and retain troops from the largest possible pool of talent, and it is a stain on the integrity of our nation. We cannot afford to wait until next year to lock in full legislative repeal. Our country needs this now.

The risks of waiting until after the midterm elections to address DADT legislatively were simply too great. It is possible that the pro-repeal majority could lose seats in November, and could even lose control of one chamber of Congress. If it passes, this deal will get the looming legislative battle over with.

It will also free up the Pentagon to implement the recommendations of its Comprehensive Review Working Group on DADT when it finally releases its road map for a smooth transition in December. The Pentagon and the president will not have to return to Congress for permission on implementing repeal -- the legislation hammered out in this week's agreement will already have authorized the change.

This deal is not perfect, but unlike the 1993 DADT law, which codified a de facto gay ban in the military, this new legislation would firmly establish the mechanisms for ending the gay ban once and for all. More importantly, it would do so in a way that has achieved coveted Pentagon support -- a critical requirement for any DADT repeal legislation.

But there were three concessions that repeal supporters reluctantly agreed to in order to pick up White House and Pentagon support. These concessions, however, do not compromise the goal of full legislative repeal of DADT.

The first is an option that the progressive community had already resigned itself to: delayed implementation. While my organization has long argued that including a delay provision would be the only politically viable way to secure legislative repeal soon, this model for language only recently caught on in the rest of the pro-repeal community. This part of the deal was a given.

The second concession was allowing the president, the Secretary of Defense, and the Chairman of the Joint Chiefs of Staff to decide together the date on which the new law, once passed, would actually take effect. The three are already public supporters of repeal and can be trusted to act in good faith. They may not certify the implementation plan as quickly as some repeal advocates would like (some have unrealistically suggested a matter of days or weeks after the working group issues its report), but I believe that they will within a reasonable amount of time.

After all, even the commandant of the Marine Corps, Gen. James Conway -- the staunchest opponent of this policy change -- testified before the House Armed Services Committee earlier this year that if this change became inevitable, even he would recommend making the change as swiftly as possible just to get it over with.

The third and final concession -- and the most controversial -- was the removal of the affirmative non-discrimination provision from the legislative language. This provision would have legally prevented the Department of Defense from ever engaging in discriminatory practices towards gay and lesbian troops again.

Although I am not convinced this was necessary to pick up any additional support for repeal, in light of concessions that were already in the works, it is important to keep in mind that statutory non-discrimination language would have been above and beyond what other minority groups have been given through military personnel policy legislation.

An administrative or regulatory non-discrimination policy, such as that accorded women and African-Americans, will be more than sufficient to ensure that lesbian, gay and bisexual service members are protected from discriminatory practices or policies.

Even if this deal makes it over its biggest hurdles this week -- a Senate Armed Services Committee vote and a vote on the floor of the House of Representatives -- there will still be much work ahead.

The president and Secretary of Defense Robert Gates must be pressed to ensure that the Pentagon's working group does not get off track, as shamefully did happen with the Military Working Group on DADT in 1993.

And the president should strongly consider creating a civilian oversight and advisory group to help make a smooth transition to a post-DADT military, as was done for ensuring smooth policy changes on women through the creation of the Defense Advisory Commission on Women in the Services. President Obama recently revived this commission for women, and it would behoove the administration to create a similar commission for this policy change.

If this legislation clears these two major hurdles this week, it will undoubtedly be the final nail in the coffin of the outdated and onerous DADT law. This policy change is the best thing for our country and for our military, and it should be supported.

The opinions expressed in this commentary are solely those of Alex Nicholson.

@highlight

More than 14,000 troops fired because of "don't ask, don't tell," says Alexander Nicholson

@highlight

Deal on DADT between White House, Pentagon, gay rights groups, is good, says Nicholson

@highlight

New legislation would firmly establish the mechanisms for ending gay ban, he says

@highlight

Nicholson: Most importantly, it would do so with coveted Pentagon support