Wathinkha, Myanmar (CNN) -- Opposition leader and Nobel peace prize laureate Aung San Suu Kyi won a seat in Myanmar's parliament Sunday, her party said, a momentous victory following a decades-long fight for democracy.

Staff from Suu Kyi's party, the National League for Democracy, said she won and that several hundred people were waiting at NLD headquarters to celebrate the news, party spokesman Nyan Win said.

The chairman of the Yangon region of the election commission, Ko Ko, said official results may be known by Monday morning.

The formerly banned National League for Democracy was vying for 45 seats in the election. While the balance of power in the parliament will not change even if the opposition were to win all 45, the vote itself marks a symbolic victory for many in the country who have lived under military rule for 50 years.

Suu Kyi, 66, won by a landslide the last time Myanmar held multiparty elections, in 1990, but the junta ignored the results and placed her under house arrest.

Released in November 2010, Suu Kyi was allowed to crisscross the country to rally support for the NLD for Sunday's race.

The NLD fielded a candidate for every seat, with Suu Kyi representing Kawhmu, south of the former capital city of Yangon. She ran against a former military doctor.

The government promised the vote would be free and fair and allowed international observers to monitor the polling.

Analysts said the sheer number and spread of polling booths across the country would make it impossible for international monitors to ensure an honest count.

Ahead of the election, Suu Kyi alleged there had been voting irregularities, illegal activities and intimidation either committed or encouraged by official entities.

Sunday, Win, the NLD spokesman, said the party had received more than 50 reports of voting irregularities.

In one area, ballot sheets had wax placed over the check box for the NLD, making it easier to erase the mark later and annul the vote, he said. In another area, ballots were found that had already been filled out, he said.

Election Comission Chairman Tin Aye said he hoped the elections were fair but couldn't speak to the allegations of irregularities.

"It's too soon to say," he said.

Still, Suu Kyi hoped her party would win as many parliamentary seats as possible.

Myanmar's legislature has 664 seats, more than 80% of which are still held by lawmakers aligned with the military-backed ruling party, Union Solidarity and Development Party (USDP).

The 45 seats under contention are vacancies created by the promotion of parliamentarians to the Cabinet and other posts last year.

Still, the election is an opportunity for voters to weigh in during a time of enormous change in Myanmar, a country also known as Burma.

Analysts said it would be the first real test of the government's commitment to transition from military rule.

Two years ago, it staged a general election that was widely derided as a sham.

Several former military leaders formed the Union Solidarity and Development Party (USDP) at the time to contest the election. Suu Kyi's party boycotted it.

After attracting international condemnation for manipulating the voting process in the 2010 race, Myanmar's leaders know that a fair election will be proof to the world that it can conduct a legitimate vote, experts said.

"It's hugely important and it will provide a new semi-democratic political system with an opportunity to show that it has ambition to become more transparent, more inclusive and thus more democratic," said Nicholas Farrelly, a research fellow at the Australian National University, about Sunday's race.

In the past 12 months, the country pardoned hundreds of political prisoners, secured a cease-fire with Karen rebels and agreed to negotiate with other ethnic rebel groups. Freer press rules have encouraged the proliferation of journals and magazines.

Myanmar's efforts to thaw its frosty relations with the rest of the world have been warmly welcomed and rewarded. In recent months, a steady procession of foreign ministers has visited the country and, in February, the European Union lifted a travel ban on Myanmar officials.

There have been hints, too, that a free and fair vote on Sunday will lead to the relatively swift unraveling of sanctions that have long choked the country's economy.

Thousands of Burmese living in exile around the world were watching the election for a clear sign that it is safe to return home.

Young voters in Myanmar appeared to be particularly excited about the polling.

Just the sight of Suu Kyi brazenly pitching her policies to huge crowds of people emboldened many to dare to believe that democracy might be possible.

"I am so happy and proud of voting freely," said Ung Sann, 30, on Sunday. "I believe the government will change toward democracy."

Analysts said Suu Kyi is all but guaranteed to win her seat.

"It would be a major shock if she did not win her own seat. But I think we have to prepare people for the expectations that the NLD will not win all seats in the by-election," said Jim Della-Giacoma, a project director at International Crisis Group.

Others said the number of seats won by the NLD is less critical than what the vote says about Myanmar's future.

"I don't think it matters how many seats the NLD wins. I think the only thing that really matters (is) whether it's free or fair. I don't think the people of Burma care about how many seats the NLD wins either. What they want to know is whether the next set of elections, the national elections (expected in 2015), are also going to be free and fair," said Monique Skidmore, of the University of Canberra.

The daughter of Gen. Aung San, a hero of Burmese independence, Suu Kyi herself became an inspiration with her long struggle for democracy in the country.

As a member of parliament, Suu Kyi would be expected to be free to travel outside Myanmar -- and more importantly to return -- something that wasn't possible during her long years of repression and confinement.

She told hundreds of journalists gathered outside her residence Friday that she didn't plan to become a minister in the military-backed civilian government, if a position was offered to her. Under Myanmar's constitution, lawmakers can't hold ministerial office.

Asked where she would place Myanmar's democracy on a scale of one to 10, Suu Kyi said, "We're trying to get to one."

CNN's Paul Hancocks, Kocha Olarn and Hilary Whiteman contributed to this report.

@highlight

NEW: A party spokesman says Suu Kyi has won

@highlight

The balance of power will not change even if the opposition wins all 45 seats

@highlight

Official results may be known Monday

@highlight

The vote is nevertheless a symbolic victory for many