(CNN) -- Nearly 13 years after the 9/11 attacks, many Americans were likely surprised to learn that one of their fellow citizens had committed suicide on behalf of al Qaeda in a massive bombing attack last week in northern Syria.

The American al Qaeda recruit's name was Moner Mohammad Abu-Salha, according to the U.S. State Department, and he grew up in Vero Beach, Florida, where he played high school football.

Abu-Salha, who was 22, is the first American suicide bomber in Syria, but he is not the first U.S. citizen to die in a suicide attack on behalf of an al Qaeda-affiliated group. In the past six years, at least three Americans have conducted suicide attacks in Somalia for Al-Shabaab, al Qaeda's Somali affiliate.

It is cases like that of Abu-Salha that explain why senior U.S. counterterrorism officials tell me that they are "all Syria, all the time."

Insurgencies such as the one going on in Syria against the Bashar al-Assad regime can go on for many years. Indeed, since World War II, the average insurgency has lasted at least a decade, according to an authoritative study by RAND.

The Syrian conflict is now only in its fourth year, so Syria could well prove an important training ground for foreign fighters for many years in the future. Also, al Qaeda-affiliated groups now control territory stretching from Aleppo in western Syria to Falluja in Iraq, 400 miles to the east. This is a large safe haven for al Qaeda in the heart of the Middle East.

The fact that the Syrian conflict will likely go on for a long time, and that it is already providing a large safe haven to al Qaeda and like-minded groups, deeply worries U.S. administration officials. And Syria, after all, is an issue that has entirely happened on the Obama administration's watch, unlike Iraq or Afghanistan.

According to a senior U.S. intelligence official, Abu-Salha is one of around 100 Americans who have traveled to Syria or have tried to do so as the civil war there grinds on. Not all of these Americans have joined al Qaeda -- there are many factions fighting in Syria -- but a number have done so.

Four other Americans have been publicly identified as having tried to join al Qaeda in Syria or have fought alongside the group, according to a count by the New America Foundation,

Sinh Vinh Ngo Nguyen of Southern California pleaded guilty last year to a charge of attempting to provide weapons training to al Qaeda. Nguyen had traveled to Syria in 2012 where he fought alongside the Syrian al Qaeda affiliate, which is known as the al-Nusra Front.

Basit Sheikh, a legal permanent U.S. resident from Pakistan, was arrested by the FBI at Raleigh-Durham airport in North Carolina last year while trying to fly to Lebanon, allegedly in order to join the al-Nusra Front. Sheikh's father has said the allegations against his son are false.

Similarly, Abdella Tounisi, an 18-year-old American citizen from Aurora, Illinois, was arrested at Chicago's O'Hare airport on April 19, 2013, and was charged with attempting to join the al-Nusra Front. Tounisi's father also denied the charges.

And two months ago, Nicholas Teausant, a 20-year-old from California, was arrested near the Canadian border while allegedly traveling to join an al Qaeda splinter group in Syria. He has pleaded not guilty to the charge.

It is not just the Americans who have fought in Syria or have attempted to do so who worry Obama administration officials. There are now "foreign fighters" from around the world who are pouring into Syria.

At a conference in Washington on Friday to discuss how al Qaeda and its affiliates have transformed in recent years, Jen Easterly, the senior director for counterterrorism at the National Security Council, noted that the administration is worried about "the unprecedented number of fighters flowing into Syria."

A particular concern is the many hundreds of Europeans who have fought in Syria, who may use training acquired there to carry out attacks in the West. Many are from "visa waiver" countries that do not need visas to travel to the United States.

Underlining the seriousness of this threat: On Sunday, French authorities arrested a suspect in the May 24 shooting at the Jewish Museum in Brussels, where three people were killed with an AK-47. The chief prosecutor of Paris, Francois Molins, said that the suspect, Mehdi Nemmouche, traveled to Syria last year, one of 700 French citizens reported to have gone there.

According to British officials, 450 British citizens or residents have traveled to Syria to fight over the past three years, and about 80% of those have returned to the UK. And the war in Syria is attracting -- just as it is in the United States -- fighters from all kinds of ethnic backgrounds, not just those of Syrian descent. A British official says the vast majority of British fighters going to Syria do not have any real links to the country other than a desire to fight in a holy war against the al-Assad regime.

The problem in Syria is compounded by the fact that, according to both British counterterrorism officials and U.S. intelligence officials, senior al Qaeda members based in Pakistan have traveled to Syria to direct operations. According to a senior U.S. intelligence official, these include veteran members of al Qaeda "with strong resumes and full Rolodexes."

As FBI Director James Comey explained in an interview with The Washington Post a month ago, officials are determined to prevent the kind of "blowback" from Syria that occurred previously from foreign fighters who had trained in Afghanistan in the years before 9/11.

"We see Syria as that, but an order of magnitude worse in a couple of respects. Far more people going there. Far easier to travel to and back from. So there's going to be a diaspora out of Syria at some point, and we are determined not to let lines be drawn from Syria today to a future 9/11."

Interestingly, an American cleric, Ahmad Musa Jibril, who was born in Dearborn, Michigan, in 1972, is an important spiritual influence on the foreign fighters who have joined al Qaeda-affiliated groups in Syria, although there is no suggestion that Jibril is involved himself in recruitment efforts for these militant groups.

This finding was reported in a paper released in April by the London-based International Centre for the Study of Radicalisation and Violence, which has done authoritative work tracking the foreign fighters traveling to Syria and which arrived at its conclusions by tracking the social media accounts of foreign fighters in Syria.

Many of the foreign fighters in Syria are avid posters on YouTube, Facebook and Twitter. Indeed, the suicide attack by the Floridian Moner Mohammad Abu-Salha last week was documented by al Qaeda's propaganda arm in Syria and posted on YouTube.

If Vietnam was the first war covered by television, and the Gulf War was the first war carried live by cable news, in many ways Syria is the first social media war -- where the conflict is largely documented on YouTube, Facebook and Twitter.

All of these innovative tools were, of course, invented in the United States. The irony that al Qaeda members in Syria use these tools routinely is no doubt lost on most of them. Al Qaeda doesn't really do irony.

Thanks to David Sterman for his research assistance.

@highlight

U.S. citizen Moner Abu-Salha commits suicide on behalf of al Qaeda in a Syria bombing attack

@highlight

Peter Bergen says other Americans and Europeans have sought to join civil war in Syria

@highlight

U.S. officials fear Syria is breeding new group of terrorists who might turn against the West

@highlight

Bergen: Suspect in Brussels museum killings traveled to Syria last year, prosecutor says