(CNN) -- "Where your treasure is, there is your heart also." So goes one biblical quote that could be applied to the United States' intervention in Syria.

In a letter to the U.N. secretary-general presented by U.S. Ambassador to the United Nations Samantha Power, the United States justified airstrikes in Syria as an effort to protect Iraqi citizens from attacks by the Islamic State of Iraq and Syria and other extremist groups. He did not, however, mention Syrian citizens. It is this omission that goes to the heart of the United States' misplaced priorities.

The numbers underscore the administration's focus on degrading and (one day) defeating ISIS, rather than on providing urgently needed humanitarian assistance to the victims of the organization's barbarism.

Take, for example, the State Department's recent announcement that it will provide an additional almost $500 million in humanitarian aid to help those affected by the war in Syria. According to the State Department, this brings the total amount of U.S. humanitarian aid to $2.9 billion since March 2011 â€” or about $700 million per year, $60 million a month or $14 million per week. But while this is a substantial amount, it will very quickly be surpassed by the costs of U.S. military operations.

Indeed, only last month, Congress approved roughly $500 million to train moderate Syrian rebels, the same amount set aside for additional humanitarian assistance. And this doesn't even take account of airstrikes against ISIS in Iraq, which, according to a Pentagon spokesperson, have cost around $52 million a week.

Expanding the air war to Syria will substantially increase those expenditures, to as much as $100 million per week, according to some analysts. This would mean the cost of airstrikes would exceed our investment in humanitarian assistance in just five weeks.

This is not meant as an argument against military action. But it does suggest that we are forgetting the reason we are undertaking it.

The U.N. High Commissioner for Refugees estimates there are more than 3 million Syrian refugees and projects that number will rise to 4.1 million by the end of 2014. The U.S. State Department suggests the situation is even more dire. More than half of Syria's population has been driven from their homes and nearly 6.5 million have been displaced within Syria. Nearly 11 million are in need of aid within Syria.

If our justification for military intervention is to protect innocent Iraqis (and presumably also Syrians), then U.S. humanitarian assistance should be at least equal to the costs of our military response.

The UNHCR's regional response plan for 2014 catalogs the range of basic human needs of these millions of displaced persons: protection, including protection from sexual violence, shelter, food, health care, water, sanitation and hygiene. Over the long term, the displaced will have to recover their livelihoods. Children will need to resume their basic education to prevent a "lost generation" of Syrian children. If the United States is going eventually to "put boots on the ground," providing these basic needs in both the near and long term should be the primary mission of the courageous Americans who deploy to the region.

The suffering ISIS -- and the regime of Syrian President Bashar al-Assad -- are inflicting on Iraqi and Syrian citizens might persist for years. If we do not get our priorities right now -- and properly make the case for rebalancing military and humanitarian expenditure in Syria -- then there is every reason to believe the much-needed cash for humanitarian assistance will dry up once the United States declares victory over ISIS and turns its attention elsewhere. That would compound an already horrific human tragedy.

The United States has been militarily engaged in Iraq almost continually since the first Gulf War in 1991, a span that might surprise many Americans. If there is a lesson to be learned from this experience, therefore, it should be that blunt U.S. military power cannot stabilize the region, never mind secure peace. Humanitarian assistance on a much larger scale, in contrast, could help ease the suffering of millions who are caught in the vortex of this sectarian conflict.

That is where our hearts should be -- and our treasure also.

@highlight

U.S. airstrikes against ISIS costing around $52 million a week, Mark Ensalaco notes

@highlight

United Nations estimates there are more than 3 million Syrian refugees

@highlight

U.S. must place greater emphasis on humanitarian aid in Syria, Ensalaco says