(CNN) -- Two weeks after Haiti's devastating earthquake, Daniel Rouzier stood in front of heaps of bodies, dumped unceremoniously in the valleys of Titanyen. He clutched a mahogany rosary and covered his face with a sterile mask -- the stench of decomposing human flesh carried with the breeze.

Rouzier, a wealthy businessman and executive with a notable charity had seen on CNN how earthquake victims had been trucked out of Port-au-Prince and disposed in Titanyen without burial. Upset, he put his own resources to work and hired bulldozers to dig mass graves for 2,500 bodies.

He said then that it was sacrilege so many people had not been given proper internment. He didn't want to blame anyone for the aftermath of Haiti's tragedy; he was simply grateful to be able to help.

Now, Rouzier stands poised to be able to do a lot more for his country.

Haiti's new President Michel Martelly tapped the successful entrepreneur to become the troubled nation's next prime minister.  Unknown in Haitian politics, Rouzier at first was not even sure he wanted to enter a new realm.

"It was not in my cards at all," he said in a brief phone conversation in the midst of his confirmation hearings Thursday. "But it is quite an opportunity to serve the people."

The ratification process before a parliamentary committee began Wednesday and is expected to go on for a few days. Rouzier said he hopes to be approved by next Tuesday.

Martelly and Rouzier go way back. They went to the same high school and Rouzier's brother Fabrice Rouzier founded the Haitian band Mizik Mizik. Until recently, Martelly, of course, was better known as Sweet Mickey, a wildly popular bad boy of music.

Martelly said he tapped Rouzier because the two men share a vision for a prosperous Haiti.

"Daniel Rouzier is a man of integrity," Martelly said. "He has a track record of getting things done, he turns dreams into reality. Daniel is a man who will prioritize the interests of the country and will respect the rule of law."

A deeply devout Catholic, Rouzier said that if he is confirmed, he will serve in the prime ministerial post as a servant of God. He acknowledged that the journey ahead will be challenging.

Haiti remains the poorest and least developed country in the Western hemisphere and is struggling to recover from the 2010 earthquake that killed more than 200,000 people and displaced 1.6 million others. Hundreds of thousands of those people are still eeking out existances in makeshift camps.

The Inter-American Development Bank estimated that the cost of rebuilding homes, roads, schools and other infrastructure could be as much as $14 billion.The international community pledged $10 billion in March, 2010 but evidence of that money is scant.

A year after the earthquake, there are still mounds of rubble stacked high in parts of Port-au-Prince.

Haiti's problems were compounded by a cholera epidemic that erupted last  October and has resurged recently as the rainy season begins.

Part of the reason Martelly won at the polls is because Haitians had increasingly grown discontent with the slow pace of recovery and reconstruction.

Haitians said they wanted a fresh start. Rouzier adds to Martelly's credibility in that aspect, said Jocelyn McCalla, a Haitian-born political strategist and human rights expert.

Rouzier also brings expertise both in the business world and in charitable work.

He served as general manager of his family's Port-au-Prince car dealership, Sun Auto, and also spearheaded E-Power, a private plant intended to increase Haitians' access to electricity. That project was inaugurated on the first anniversary of the earthquake this past January.

Rouzier also helped oversee Food for the Poor, a Florida-based Christian charity that is active in Haiti.

Despite no political experience, Rouzier is seen as someone who can be fair, McCalla said.

"He has a good reputation," McCalla said. "He strikes me as somebody who is well-intentioned."

But as with all others who have entered politics in Haiti, Rouzier will have to rise above entrenched corruption, McCalla said. If he becomes prime minister, Rouzier will inherit a government that was barely functioning, McCalla said.

"One of his challenges is to rebuild the government from the ground up," he said.

Martelly has already promised a free and mandatory education for all Haitians, key to the Caribbean nation's development. The new president has also said he will not look so kindly on those who hinder much needed change.

Rouzier, said McCalla, will help Martelly in challenging a mindset that has hindered Haiti in the past.

"There is so much to be done," Rouzier said. "It's not going to be easy."

All those months ago, he had bestowed peace upon the souls of the dead. It may prove more difficult to do so for the living.

@highlight

Entrepreneur Daniel Rouzier was tapped to be the next prime minister

@highlight

After the earthquake, he used his own money to bury victims

@highlight

He says he knows bringing change to Haiti will not be easy

@highlight

His confirmation hearings began this week