(CNN) -- Here comes the Moto X. If you haven't heard about it already, you will.

It's the first smartphone produced by Motorola Mobility under the company's new Google overlords. It claims to be the first smartphone made in the United States.

And it comes buoyed by a wave of hype, a fat marketing budget, and no shortage of new leaks threatening to out the device before its official debut as early as next month. Tech bloggers even took note last week when a leaked photo showed Google Chairman Eric Schmidt chatting on what appeared to be a white Moto X.

Taken together, the leaks depict a phone that's less about the hardware specifications and more about clever uses of sensors, customized features and hands-free voice commands.

A new marketing video from Canadian carrier Rogers was leaked to the Internet last week -- it's since been taken down by YouTube -- and showed some of the phone's unique features. You can activate the voice controls by saying "OK Google" out loud, then ask for directions or give it other commands. It's similar to Apple's Siri voice-assistant feature or Google's existing Google voice commands, except that you don't need to press a button to activate it.

Active updates will push notifications to the phone based on your needs, location or time. Dennis Woodside, CEO of Motorola Mobility, said recently that sensors in the phone will anticipate users' needs -- for example, letting it know when it's being pulled out of someone's pocket. Finally, a twist of the wrist will trigger the Moto X's camera -- another feature for people who hate applying pressure to buttons in order to turn things on.

ABC News has reported that customers will be able to customize their Moto X phone in advance by choosing colors for the back and trim, adding engraving and uploading a photo so that the wallpaper is already personalized when the device arrives.

Great features, or just gimmicks?

So will all these bells and whistles be enough to set the Moto X apart from other smartphones? So far, analysts aren't convinced.

"I don't really think that there's anything I've seen so far that will really get the consumer crazy," said Carolina Milanesi, an analyst at Gartner. "A lot of the things you see are more gimmicks."

The leaked features aren't entirely new, either. The active updates seem like an expansion of the Google Now predictive search tool. Currently available on Android and iOS, it combines location and time information with data pulled from your search history, Gmail account, and calendar to show information that's relevant right then and there. For example, your boarding pass will be displayed when you're at the airport.

As for hands-free voice controls, Google previewed this feature at its Google I/O developer conference in May, comparing it to the voice-activated computer on Star Trek.

To become must-have tools for consumers, these features must work extremely well lest they become more of an annoyance. If users like them, hands-free voice commands, active alerts and the camera shortcut could theoretically be rolled out in future updates to the Android mobile operating system. Then they would work on other phones that also have the right sensors, stealing the Moto X's thunder.

Smartphones are constantly one-upping each other with incremental improvements -- higher-resolution screens, faster processors, pretty colors -- but experts say real innovation is stagnating. One of the few radically different features to hit the market of late is the 41-megapixel camera inside Nokia's Lumia 1020 smartphone.

Smartphone consumers are still waiting for hardware improvements such as significantly longer battery life (not just "it can last all day!"), wireless charging or durable, droppable bodies.

Moto marketing

If these new features aren't enough to make consumers flock to the Moto X, the pricy marketing blitz Google has planned might do the trick. According to the Wall Street Journal, Google will launch a $500 million international marketing campaign for the device. The company will likely emphasize that the Moto X will be assembled at a new smartphone manufacturing plant in Texas.

Motorola's news followed similar announcements by Chinese computer maker Lenovo, which is building a manufacturing plant in North Carolina, and Apple, which has said it will begin manufacturing a Mac computer in the U.S. this year.

"It seems to be a trend but at the end of the day, consumers don't care as much (about where a phone is made)," said Milanesi. "What's going to be more important is the price and what the product is going to do."

Google completed its purchase of the Chicago-based Motorola Mobility for $12.5 billion in 2012. The deal was done primarily to flesh out Google's patent portfolio with Motorola's 17,000 patents.

But there was always the exciting potential for a smartphone partnership between the two tech giants. Google makes the Android mobile operating system, Motorola Mobility makes handsets. In the flip-phone days of the early- to mid-2000s, Motorola was a leading phone maker with such models as its popular Razr.

Google released its flagship Nexus 4 smartphone earlier this year, which is manufactured by South Korean company LG. It's possible that Motorola could take over the manufacturing of the Nexus devices in the future.

The Motorola name had a lot of cachet a decade or two ago, but it's not clear whether that's enough to inspire brand loyalty from today's users. Many consumers may have forgotten about them. Either way, we'll find out soon.

@highlight

A recently leaked video shows some of the Moto X's big features

@highlight

The phone appears to have hands-free, voice-activated search and smart push-notifications

@highlight

This is the first smartphone created entirely with Motorola's new owner, Google

@highlight

Motorola will need to wow consumers to get back in the game