(CNN) -- Lawyers painted opposing pictures of South African athlete Oscar Pistorius in their final arguments Friday before his sentencing -- one side depicting him as a broken man who's suffered enough, while the other said he must pay for taking his girlfriend's life.

Pistorius, 27, is due to be sentenced for culpable homicide, or negligent killing, as well as one weapons-related charge, after a hearing lasting several days.

After both sides' final arguments concluded Friday, Masipa said the court would reconvene Tuesday for sentencing.

Defense lawyer Barry Roux appealed to the judge to remember that he reacted as a vulnerable disabled man when he shot Reeva Steenkamp dead.

The evidence presented in court demonstrated that as a double amputee, Pistorius' negligent actions in the shooting could not be seen outside the context of his disability, he said. He did not act unlawfully, but out of fear, Roux said.

There is no reason to doubt that Pistorius believed there was an intruder in the bathroom who posed a threat to him and to Steenkamp when he fired the fatal shots through the toilet door, Roux said.

"Whatever way you see it, the accused's actions were in some way dominated by vulnerability and anxiety," he said. "It's a compromised person doing that."

A sentence of imprisonment should be a last resort, and a combination of other options should be considered, he argued. "It can never be a suitable punishment," he said of a prison term.

Whatever punishment is handed down, the athlete could not suffer more than in the past 18 months, when he was denigrated, shamed and blamed, on top of losing the woman he loved, Roux said.

Pistorius is now a "broken man," he said, who has lost everything he once had.

The athlete at times appeared emotional as he sat with his head bowed while the arguments were made over his fate. Steenkamp's parents, Barry and June, listened impassively in the benches nearby.

Pistorius' sentence -- whether imprisonment or not -- will be decided by Judge Thokozile Masipa, who also presided over his trial.

Prosecutor: 'He's not a victim'

State Prosecutor Gerrie Nel, famed for his bulldog tenacity in cross-examinations during the trial, called for a minimum prison sentence of 10 years in his final arguments.

This, he said, would be "the minimum term that society will be happy with."

"This is a serious matter," he said. "The negligence borders on intent. Ten years is the minimum."

He recalled the testimony of Steenkamp's cousin, Kim Martin, who made an emotional appeal for the court to make Pistorius pay with prison for what he did to Reeva and her family.

His disabilities had already been taken into account in deciding the verdict, Nel said.

He said it was right that the court was shown a bloody photograph of what happened to Steenkamp when she was hit by three of the four bullets fired from Pistorius' high-powered handgun.

"It's not an accused that had a gun with normal ammunition that every other person had, it was devastating, damaging Black Talon ammunition," he said.

A reasonable man would have known the consequences of firing that ammunition into a small toilet cubicle, he said, recalling that the judge found in her verdict that Pistorius acted negligently, too hastily and with excessive force.

Pistorius wanted to use the firearm, he said.

"He's not a victim," he said of the athlete. "He cannot be a victim -- he caused it."

The victims in the case are Steenkamp and her parents, who had to receive a phone call with the news any parent would dread, he said.

Says correctional supervision not appropriate

Nel told the court that the sentence of correctional supervision -- as suggested by the defense -- is not appropriate in this case.

He said it would not be fair if Pistorius were to live in a luxurious house, get to run track, go to the doctor and then do two days a month of community service. This would be shockingly disproportionate to the crime, he said.

He read from case law that said society might lose its trust in the system if a lenient sentence is given.

And he accused the defense of "only paying lip service" to the gravity of the offense in asking for correctional supervision.

If Pistorius had not acted as he did, Steenkamp would be alive today, he said.

Pistorius did not have railings in his shower at home, Nel said, as he rejected defense arguments that the accused could not be accommodated properly in prison. He suggested that Pistorius was using his disability "on call."

Nel also dismissed Pistorius' offers of financial aid to Steenkamp's family. June Steenkamp referred to that money as "blood money," he reminded the court.

The court this week heard that the athlete had offered the money to Steenkamp's parents, but they had decided to reject it. They will also pay back a monthly payment he had been making to them.

Nel also suggested that any appeal for mercy by Pistorius was undeserved.

The interests of the victims far outweigh the personal circumstances of the accused, he said, as he scoffed at the fact that Pistorius could have made millions were it not for the shooting.

'He's lost everything'

By contrast, in his final arguments, Roux presented a picture of a "broken man" who has already suffered enough.

Roux said Pistorius should never have been accused of premeditated murder, a charge of which he was cleared at trial.

After the charge, Pistorius was subjected to a trial by media, he said. Roux also argued that he should not have been shown that gruesome picture of the woman he loved while in court.

"He never, ever even considered that it was Steenkamp behind that door," Roux said.

The athlete has fully accepted the court's verdict and shown remorse, he said.

"He's lost everything. He was an icon in the eyes of South Africans," Roux said. "On what he has done, what he has achieved, he was denigrated to such an extent that all that was left was a raged killer, a cold-blooded killer, a liar and everything that's horrible.

"He lost all his sponsors, he lost all his money. He has nothing, my lady. He hasn't even money to pay for legal expenses. He has nothing left."

He sold his last asset, his car, not to try to get a better sentence but to try to make good by helping the Steenkamp family, Roux said, also citing Pistorius' past charitable work.

Roux reminded the court that the Steenkamps have said they are neutral as far as sentencing is concerned and do not seek vengeance.

Roux said the testimony of Acting National Commissioner of Correctional Services Zach Modise that Pistorius' disability could be accommodated in the hospital section of a prison did not make it an appropriate place for him to be held.

Judge to decide sentence

There is no legal minimum sentence for culpable homicide in South African law, so it will be down to the judge's discretion.

A typical sentence is five to eight years. But it is a principle of South African law that the sentence should be tailored to the culprit as a whole person, as opposed to the crime. That makes predicting a sentence difficult, said Kelly Phelps, a CNN legal analyst.

The judge also found Pistorius guilty of one weapons-related charge involving a shooting at a restaurant.

The maximum penalty for that is five years behind bars. But he could get a lesser sentence, such as a fine or the loss of his gun license.

@highlight

NEW: Judge Thokozile Masipa says court will reconvene for sentencing Tuesday

@highlight

NEW: Prosecutor Gerrie Nel says Pistorius should be sent to prison for at least 10 years

@highlight

Defense attorney Barry Roux says other options besides prison should be considered

@highlight

Pistorius is a "broken man," says Roux, who has "lost everything"