(CNN) -- Too often the daydream of lounging under palm trees on some enchanted island is punctured by the reality of sky-high hotel and resort prices.

But there's no need to despair or settle for some landlocked compromise. We've pinpointed affordable island hotels that span the globe, from destinations usually reserved for big spenders to others barely on the radar of most travelers. All of our favorites have room rates that start below $200—some as low as $70. And these hotels have more going for them than price point, whether it's an oceanfront location or cozy charm.

Whatever your idea of paradise, we think you'll agree that every gem on our list deserves treasure island status.

Lefkes Village Hotel, Paros, Greece

Part of the Cyclades, Paros delivers all the archetypal Greek island draws—whitewashed churches, bougainvillea-festooned houses, panoramic Aegean views—without the high prices of neighboring hot spots Santorini and Mykonos. Case in point: this 20-room contemporary hotel in the quiet mountain village of Lefkes, with a swimming pool, a small museum, and a tavern that uses ingredients gathered from the surrounding fruit trees and gardens. From $70.

La Veranda Resort, Vietnam

The island of Phu Quoc (the country's largest) is firmly on the tourist radar these days, yet it still retains the serene small-town essence that first drew intrepid travelers to its balmy shores. This elegant two-story resort radiates French colonial-era charm: airy rooms with net-draped beds with either lush tropical garden or ocean views, a dining room serving Pan Pacific cuisine on a long veranda beneath lazy ceiling fans, and a clubby lounge bar with scarlet walls. From $140.

Travel + Leisure: Best U.S. cities for affordable getaways

Copamarina Beach Resort & Spa, Puerto Rico

Copamarina occupies prime oceanfront real estate on Puerto Rico's less-explored southern coast, complete with a palm-fringed beach and 20 acres of tropical gardens. It's a setting that more than makes up for any style shortcomings. Take advantage of the recently updated on-site spa, two seafood-oriented restaurants, and several pools, or venture farther afield. The historic seaside town of Guánica is within walking distance; nearby adventures include bird-watching in Dry Forest Reserve and snorkeling by tiny Gilligan's Island. From $145.

Fairbanks House, Amelia Island, Florida

Amelia Island combines the Spanish moss-draped romance of the South with a laid-back tropical ambience. And this boutique Italianate-style villa is the perfect base from which to take it all in. The historic building (est. 1885) displays all manner of over-the-top details: dormers, bay windows, massive chimneys, balustraded balconies, and a 15-foot tower. Rooms feature canopy or four-poster beds, fireplaces, and bathrooms that will thrill any nostalgics yearning to soak in a Victorian-era claw-foot tub. From $180.

Travel + Leisure: Best affordable all-inclusive resorts

Fishers' Loft, Newfoundland, Canada

Overlooking Trinity Bay and the harbor of Ship Cove, Fishers' Loft is found on one of Atlantic Canada's most fascinating, idiosyncratic islands. Designed in the clapboard-and-shingles style of the late 1800s, this cozy inn evokes Newfoundland's seafaring past; guests have the chance to spot whales and icebergs out the mullioned windows, depending on the season. Meals are sourced with ingredients gathered from the inn's greenhouse and gardens. From $99.

Auberge Seraphine, St. Lucia

A big hit with honeymooners, the lush Caribbean island of St. Lucia can also take a big hit on your wallet, thanks to its slew of high-end resorts. Not so at this sweet family-run hotel near Castries on the northwest coast. There's no beach here, but the auberge has a lovely pool and is on sailboat-packed Vielle Bay, close to a large lily pad--filled pond popular with hundreds of white egrets. Snag a table at the on-site restaurant for seafood risotto and lobster. From $125.

Rosario Resort & Spa, Orcas Island, Washington

For an island getaway with a dose of history, consider this quaint 40-acre resort on the largest of Washington State's San Juan Islands, overlooking East Sound and Cascade Bay. Rosario shares land with Moran Mansion, the magnificent former home of shipbuilder and onetime Seattle mayor Robert Moran. It's now a museum featuring archival photographs, model ships, and an impressive collection of Arts and Crafts furnishings amassed by Moran. From $99.

Travel + Leisure: Best places to spend Christmas

Villa Serena, Dominican Republic

Word has spread about the Samaná peninsula, an unspoiled stretch of coastline in the island's northeast corner, far from the madding crowds of the Puerto Cana resort region. Part of the peninsula's appeal is its bevy of stylish small hotels, among them, Villa Serena on Las Galeras Bay. It has all the classic Caribbean colonial features -- Palladian arches, wooden shutters, acres of white gingerbread trim—set in sprawling tropical gardens just steps from the sand. Daily alfresco yoga sessions overlooking the ocean are a highlight. From $110.

Sangat Island Dive Resort, Palawan, Philippines

It's not hard to understand why T+L readers voted Palawan their favorite island in the 2013 World's Best survey; the lightly populated archipelago shows off the sublime underwater richness of the Philippines. After diving or snorkeling in the surrounding coral reef, retreat back to your cottage at this low-key resort at the foot of towering limestone cliffs. Simple tropical furnishings—bamboo floors and walls, bright textiles, and terraces slung with hammocks—keep the focus on the outrageously beautiful ocean views. From $85.

La Tosca, Capri, Italy

Dreams are made of this: a charming family-run hotel in one of Italy's most upscale destinations for around $100 a night. Whitewashed La Tosca also occupies a lofty position, providing glimpses of the Faraglioni rocks from the breakfast terrace. Rooms are simply furnished, with vibrant textiles, tiled floors, and windows opening onto either the gardens or the Mediterranean. It's within strolling distance of the island's famous Piazzetta, the Gardens of Augustus, and the Monastery of St. Giacomo. From $100 (closed November--March).

See all of the best affordable island hotels

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Amelia Island combines the tropical lushness of Florida with Southern charm

@highlight

Copamarina occupies prime oceanfront real estate on Puerto Rico's southern coast

@highlight

Catch glimpses of the Faraglioni rocks from the terrace at La Tosca in Capri