(CNN) -- A new peace conference aimed at ending Syria's civil war convenes Wednesday in Switzerland, where the international community hopes to apply a tourniquet to the Middle East's worst open wound. Here's a quick thumbnail guide to the conference:

What's at stake in Geneva?

Ending a war that has killed more than 100,000 people, spread to Syria's neighbors and become an increasingly sectarian proxy battle among regional powers. Nearly three years since the beginning of the uprising against Syrian President Bashar al-Assad, the war has fueled new rounds of violence in neighboring Lebanon and Iraq. In Syria itself, secular and Islamist rebel factions are battling each other in the country's north.

What are the prospects for a deal?

Under the circumstances, few appear to expect much to come out of the talks.

"We have little hope that the Assad regime would come with good will to these negotiations," coalition spokesman Louay Safi told CNN. Al-Assad's government "is not interested in a political solution, and they will continue to kill the Syrian people."

The relief group Save the Children urged the parties to at least agree on steps to help the youngest victims of the conflict -- allowing aid to reach children, protecting schools and health facilities and stopping the use of explosives in populated areas. Save the Children says 11,000 children have died and another 4 million are in danger.

"Even if they can't agree on the big picture, surely they can agree on this one fundamental thing, which is that children should not be targeted in war," said George Graham, the group's humanitarian policy director.

Middle East expert Rami Khouri told CNN that he expected limited results from the talks.

"It may have a very small incremental gain, step by step -- humanitarian issues, refugee issues, something else," Khouri said.

But he added, "It is worth being there to test it out."

Haven't we been here before?

Sort of, yes. This is the second Geneva conference on the Syrian war, the first having been held in mid-2012. What's now called "Geneva I" in diplomatic shorthand didn't end the war, but it produced a framework for a settlement that calls for the establishment of a transitional government and eventually, free and fair elections under a new constitution.

Who's coming this time?

Along with the Syrian government, those invited include the five permanent members of the U.N. Security Council -- Britain, France, China, the United States and Russia, Syria's biggest backer -- and more than 25 other countries. Representatives of the Arab League, Organization of Islamic Cooperation and the European Union are coming as well.

The leading Syrian opposition movement, the Syrian National Coalition, agreed to attend only Saturday in a vote that exposed deep rifts within its ranks. One of the groups under the coalition umbrella blasted it for agreeing to join the talks at all, accusing it of heading to Geneva with "a folder of concessions and withdrawals."

The late addition of Iran to the guest list created a new hurdle Monday, since the Islamic Republic hadn't agreed to a set of goals laid out in 2012. The National Coalition called Iran's participation a "deal-breaker" and threatened to leave the talks. The United States urged U.N. Secretary-General Ban Ki-moon to withdraw the invitation unless Iran signed onto the Geneva I goals. Iran eventually announced that it would not agree to any preconditions for the conference, and the United Nations rescinded its invitation Monday evening.

What's on the agenda?

The talks are expected to focus on the Geneva I plan for a transitional government, U.S. Secretary of State John Kerry said last week. But al-Assad, whose forces have regained momentum against a now-fractured opposition, has said he's not looking at the talks as a way to transition out of power.

Syrian officials have talked instead about the conference as a way to arrange a cease-fire in Syria's largest city, Aleppo, with hopes of extending that truce to other parts of the country. Over the weekend, al-Assad told the French news agency AFP that the conference should focus on fighting "terrorists" -- his government's usual description of rebel forces -- and the outside powers he said provide them "political cover."

"Any political solution that is reached without fighting terrorism has no value. There can be no political action when there is terrorism everywhere," he said.

Then what's the point?

Former British Prime Minister Tony Blair told CNN the conference could offer "at least a pathway" to bring an end to the killing in Syria.

"It is essential, however difficult and however challenging, that people try to come together and try to set out at least some broad principles for a framework that allows us to move from here," Blair said in an interview that aired Tuesday on CNN's Amanpour.

How did this all start again?

Protests against al-Assad, who took power after his father died in 2000, began in March 2011. In the wake of the "Arab Spring" revolts around the Middle East and North Africa, residents of the southern city of Daraa turned out to criticize the government's treatment of 15 children arrested for painting anti-government graffiti on the walls of a school.

Syrian authorities responded by opening fire, killing dozens. Demonstrations spread to other cities, mass arrests unfolded and tales of torture spread across the country. While al-Assad tried to dismiss the protests at first, his government soon was dispatching police and troops to put down what had become a full-fledged revolt against his rule.

The war has drawn in Syrian allies Iran and the Lebanese Shiite militia Hezbollah; a variety of Islamic jihadist groups, who have battled government troops and other rebel factions; and Iranian rivals across the Persian Gulf like Saudi Arabia and Qatar, which are believed to be providing arms to rebel forces.

By 2013, the United Nations estimated more than 100,000 had been killed. Large portions of Syrian cities have been left in ruins, more than 4 million have been left homeless inside the country and nearly 2 million have fled Syria altogether, U.N. officials say.

CNN's Nick Paton Walsh and Samira Said contributed to this report.

@highlight

What's at stake? Ending a bloodbath in Syria and capping a spread of violence to neighbors

@highlight

What's on the agenda? A cease-fire and establishing a transitional government

@highlight

What's the outlook? It's poor; President Bashar al-Assad intends to cling to power