Hong Kong (CNN) -- Thorny issues of unbalanced trade, cyber security and intellectual property rights stand stark in the spotlight at this year's U.S.-China Strategic Economic Dialogue now underway in Washington, D.C.

Top officials from both sides, including co-chairs U.S. Secretary of State John Kerry and China's State Councilor Yang Jiechi, have expressed tempered optimism for "a new chapter" in bilateral ties -- despite recent stumbles.

The U.S. has slammed China on unfair subsidies on solar panels and the theft of secrets owned by U.S. technology companies. China has returned its own complaints -- most recently after NSA leak Edward Snowden alleged Washington has been hacking Chinese computers.

Yet leaders of both the U.S. and China -- the world's two largest economies -- know their nations are mutually dependent, especially on economy and foreign policy. Should either party try to distance itself from the other, the result would be mutually detrimental, analysts say.

"For the United States, the biggest issue is market access to China and making sure American companies have a level playing field," says Fred Neumann, HSBC Co-head of Asian Economics and Managing Director in Hong Kong.

In March, the U.S. Commerce Department attempted to balance the field on the issue of solar panels. Washington slapped tariffs on Chinese-made panels in response to alleged subsidies by Beijing. Under the ruling, Chinese panels were hit with tariffs from 2.9% to 4.7%, echoing similar spats between China and Europe over solar panels and European wines.

The biggest technological thorn in U.S.-China ties is "the respect for intellectual property created by U.S. firms" -- and lack thereof, says Chris Bronk, IT Policy Fellow at Rice University's James A. Baker Institute.

This includes "everything from pirated movies and software to R&D and corporate strategy documents" because "losses will cut into the capacity for additional development if the return on investment is insufficient."

In June, the U.S. Department of Justice charged one of China's biggest wind turbine makers, Sinovel, with stealing source codes from a U.S. competitor and manufacturing new machines. American Superconductor Corporation claims Sinovel's theft resulted in $800 million in losses.

The United States loses some $300 billion each year mostly because of Chinese intellectual property theft, said former U.S. ambassador to China John Huntsman to CNN in June.

In addition to IP theft, U.S.-China cyber security issues have come to the fore in the past month after NSA leak Edward Snowden alleged U.S. intelligence agents have been hacking hundreds of Chinese computers since at least 2009.

China claimed Snowden's revelations would "test developing Sino-US ties" and exacerbate an already "soured relationship" on cybersecurity. Snowden's assertions, on top of alleged Chinese hacking of U.S. firms, depict a clear degree of mutual mistrust. The majority of headlines in China since then have referenced "strain," "tension," and even "anger" between the U.S. and China.

The potential and ease for cyber attacks between the U.S. and China will continue to grow, says Andy Mok, managing director of Beijing-based Red Pagoda and former technology researcher for RAND Corporation.

"When every physical object has an IP address ... the return on malicious behavior becomes much higher. So on both sides -- China and the U.S. -- the targets are increasingly attractive."

National electrical grids and transportation networks are some of the most attractive marks in each country, adds Mok.

"That said, the sky is not falling and I don't believe we are weeks or months away from a cyberwar with China that will leave the U.S. power grid in tatters and the whole country sitting in the dark for months or years."

The chances of direct conflict are low, agree analysts. Economic, military, and technological disparity between the U.S. and China is too great. China is not ready for a clash to occur. And the U.S. -- still on the mend from the 2008 financial crisis -- is unlikely to instigate a conflict with China because of its own fiscal binds to China.

Sentiment from top officials appeared to underline this. U.S. Treasury Secretary Jack Lew told CNN's Fareed Zakaria China's pace toward market-oriented reforms "will probably be slower than we would like" but expects reforms to clearly proceed.

Chinese Vice-Premier Wang Yang penned a positive editorial in the Washington Post hoping the U.S. and China would "forge a more cooperative relationship.

He noted that 70% of U.S. companies operating in China made a profit in 2012, the 1,500 McDonalds in China have outperformed outlets elsewhere in the world and a flight between the U.S. and China now takes off once every 24 minutes.

@highlight

Top diplomatic, economic officials from U.S., China meet in Washington, D.C.

@highlight

Fifth annual U.S.-China Strategic Economic Dialogue now underway

@highlight

Cyber hacking, theft of intellectual property, tariff wars high on agenda

@highlight

Analysts: U.S.-China mutually dependent, cannot afford conflict