(CNN) -- According to Christine Lagarde, managing director of the International Monetary Fund, it is payback time for Greece.

Despite being forced to "clarify" her comments after a furious reaction from thousands of Greeks on Facebook, there will, she emphasized, be no softening of the demands the stricken country will have to meet if it is to receive further aid. But what if Greece simply can't manage payback?

As prescribed by the IMF itself, the normal remedy for a country that can't pay its debts would be devaluation and default. Locked in the eurozone, these options are not available. No one denies that the Greeks have very largely brought this disaster on their own heads. But, as anyone who has been there recently knows, they are now paying an excruciatingly heavy price for their past misdeeds.

The public sector has seen its pay cut by an average of 40% over the last year, and most pensions have been reduced. In what is left of the private sector things are even worse, especially for those who have lost their jobs in the downturn and the young, 50% of whom are now unemployed.

For them, when work can be found, the going rate is often half what it was before the crisis. Yet petrol, food and clothes all cost more than they do in Britain. Amazingly for Greece, even taxes are getting harder to evade. The property tax on many homes has trebled. Because it is levied via electricity bills, the only way to avoid it is to go without power.

As the economy continues to shrink under the impact of austerity at home and recession abroad, it is little wonder that anxiety about the outcome of next month's poll extends far beyond Greece itself. We read a lot about the thuggish extreme-right party, Golden Dawn. But it is the rise of the left-wing Syriza grouping and its charismatic young leader, Alexis Tsipras, that has really got the markets and the European Union establishment rattled.

To them, Tsipras is dangerous because he has pledged to tear up his country's controversial bailout pact with Brussels, despite saying he wants the country to stay within the euro.

But he stands almost alone among leading European politicians in his ability to spell out two basic truths.

Firstly, if the EU really wants to push Greece out of the euro, it should have prepared the way months, if not years ago, rather than leaving it to the last minute.

Secondly, the sacrifices being demanded of Tsipras's countrymen are financially and politically impossible. There is no longer any point in pretending otherwise.

Last week, Europe's assembled leaders once again told the Greeks that they should view the elections on June 17 as a referendum on whether or not they are going to stay in the euro. The not-very-subtle threat is that if they back Tsipras, they will be out on their ear.

But, as the man himself frequently points out, if the new election is really to be treated as a referendum, the question won't just be whether Greece should stay in the euro. With the single currency in its present fragile state, it could very easily become whether the eurozone itself survives. Is this really something the rest of Europe wants Greece to decide?

And even if the Greeks vote the way Europe tells them to, what will have been achieved? Everybody knows that the fundamentals won't have changed. The likelihood is that there will only be another crisis -- probably even bigger -- six months down the road. Seen in this light, Tsipras's demand that the EU should instead help them to find a realistic way to stay in the single currency suddenly begins to make sense.

After leading in the opinion polls at the start of the campaign, the latest surveys have Syriza slipping behind the right wing New Democracy for what looks set to be another tight finish. The pressure from abroad may be beginning to have an effect. But given the mess both Greece and the euro are in, the threat that Athens could yet call the eurozone's bluff won't go away. That genie is now well and truly out of the bottle, whoever wins next month.

This article is based on one that first appeared on theweek.co.uk, the website of Britain's biggest selling current affairs magazine The Week.

The opinions expressed in this commentary are solely those of Richard Ehrman.

@highlight

Richard Ehrman says anxiety about next month's poll results extends beyond Greece

@highlight

The rise of the left wing Syriza grouping and its leader Alexis Tsipras has rattled the markets

@highlight

But Ehrman says Tsipras has been alone in spelling out the truth on the euro

@highlight

Ehrman: If the election is treated as a referendum it could define whether the eurozone survives