Washington (CNN) -- On its face, the political showdown over extending long-term unemployment benefits to 1.3 million Americans is about offering a lifeline to those struggling to recover from a job market that hasn't caught up to the recovering economy.

But just below the surface is a political fight that will continue into the midterm elections in November.

Democrats say they're trying to help Americans struggling to pay their bills until they get back on their feet and that failing to pass an extension will tank the economic recovery. Republicans say they, too, want to help, but want to offset the $6.4 billion price tag with cuts elsewhere. They also argue such extensions are a disincentive to looking for work.

Caught in between are those who lost their benefits because of Congress' failure to act late last year.

Why have unemployment benefits become a battle?

On Tuesday, a Democratic bill that would provide the three-month extension cleared its first hurdle in the Senate with the help of a handful of Republicans.

In an effort to help end a budget stalemate and avoid another government shutdown like the one in October, leaders in both parties last month agreed to a deal that funded the government but excluded an extension of jobless benefits. As a result, Congress did not continue a 2008 recession-era law providing nearly a year of payments, footed by U.S. taxpayers, that kicked in when state jobless benefits ran out.

Democrats promised to take up the issue as soon as they returned after their holiday recess, but Republicans said they saw no reason to rush to preserve the benefits until it was time to make a deal.

"I have to admit I am a little surprised at the fervor with which the majority is dedicated to reviving the expired emergency unemployment benefits after they ignored the issue all of last year," Senate Minority Leader Mitch McConnell said during debate on the Senate floor on Tuesday.

Democrats do seem to be playing it both ways â€” taking credit for engineering the economic recovery, but claiming that the economy is still too fragile to withstand changes to assistance programs.

The White House also pointed out that Republicans who voted for a similar jobless benefits extension since 2008 now oppose it.

Republicans have blamed President Barack Obama for the slow pace of the economic recovery on the one hand while claiming that the economy is now stable enough to withstand the impact of letting people go without benefits.

Democrats feel like they are in a win-win position on jobless benefits â€” if they win this fight, they are the champions of those struggling to recover from the Great Recession; if they lose, they can blame the Republicans. The issue also can energize their base going into the midterms.

Extending benefits is a priority for congressional Democrats and Obama, who is trying to make income equality a centerpiece of his second term.

Republicans want to keep the focus on the disastrous rollout of the President's signature health care reform law and wield it in the midterm campaigns.

The broader argument over the divide between the haves and have-nots will rage on through the midterms.

However, conservatives aren't ceding the issue of income disparity to Democrats. Rep. Paul Ryan of Wisconsin and Sen. Rand Paul of Kentucky have both made addressing poverty part of their tentative explorations into possible 2016 presidential bids.

The political war over poverty

In remarks after the Senate vote, Obama noted that members of Congress have not yet passed the jobless benefits bill itself.

"All they've agreed to, so far, is that we're actually going to be able to have a vote on it," he told supporters in a speech at the White House. "We have got to get this across the finish line without obstruction or delay."

Still, he achieved a major step on the path toward his goal when 60 senators -- including six Republicans -- voted Tuesday to move ahead with debate on the measure.

"Today brought us a glimmer of hope," said Sen. Charles Schumer, D-New York, after the vote. "It shows that the big plates -- the tectonic plates in our politics -- are moving."

But House Speaker John Boehner said he told Obama a month ago that another extension of temporary emergency unemployment benefits "should not only be paid for but include something to help put people back to work. To date, the president has offered no such plan. If he does, I'll be happy to discuss it, but right now the House is going to remain focused on growing the economy and giving America's unemployed the independence that only comes from finding a good job."

The 60 yea votes were the minimum needed to allow debate to go forward and avoid a filibuster in the Senate. Democrats got help from Republicans Kelly Ayotte of New Hampshire; Dan Coats of Indiana; Susan Collins of Maine; Dean Heller of Nevada; Lisa Murkowski of Alaska; and Rob Portman of Ohio.

Obama: Extend unemployment insurance

Obama was introduced before his remarks at the White House by Katherine Hackett, of Moodus, Connecticut, who wrote to the President last month, explaining that she is unemployed and had been forced to cut back on food and home heating.

"I have cut expenses everywhere possible," she said, adding that she wears a coat inside her house to keep down heating bills. Both her sons serve in the military, she said. "I hope our leaders in Washington can find a solution to help families like mine," Hackett pleaded.

Obama appealed to Congress and the rest of the nation to do just that. "These are your neighbors, your friends, your family members," Obama said. "When times get tough, we are not a people who say, 'You're on your own.' We are people who believe we're all in it together, and we know, there but for the grace of God go I."

Republican Sen. Mark Kirk of Illinois said he wants to help people, but insisted Congress must find a way to pay for the measure.

"I, obviously, have people in my state who would benefit. The better way to go is to not add to the deficit in an irresponsible way," Kirk said.

"I want us to get on the bill so we can talk about an offset to pay for it," Collins said. "Ultimately, I think we should restructure the unemployment compensation program so it's more closely linked to job training for the long-term unemployed whose jobs probably are not coming back."

In the run up to the vote, conservative interests were applying heavy pressure.

New year, same old fight over jobless benefits

The Club for Growth had urged all senators to vote "no" on the proposal and cited the lack of spending offsets.

"Congress should end the federal unemployment insurance program and return the authority back to the states, which already have programs in place," the group said.

"Absent this, Congress should pay for this extension by cutting spending elsewhere in the budget. After six years, an extension can no longer be called an 'emergency' with any credibility. There is plenty of waste in the federal budget from which to find an offset," it said.

The U.S. unemployment rate stood at 7% in November, the most recent Labor Department statistics show. That means more than 10 million people were out of work, a third of them for at least 27 weeks.

CNN's Ted Barrett and Alan Silverleib contributed to this report.

@highlight

The benefits extension is year's first partisan showdown in Congress

@highlight

The debate over unemployment and poverty foreshadows midterms

@highlight

Bald politics at play as both parties try to score points