Cairo (CNN) -- Large-scale anti-government protests and more violence unfolded across Syria Friday as tens of thousands of demonstrators converged on public squares to protest President Bashar al-Assad's regime.

The protests coincided with reports of increased violence against demonstrators by al-Assad's security forces, even as an Arab League fact-finding mission works to determine whether the Syrian government is abiding by a peace agreement to end a brutal crackdown on protesters.

As they have in their nearly 10 months of resistance, Syrian activists and opposition groups used Facebook, Twitter and YouTube to urge thousands to evade al-Assad's forces and defy government-imposed curfews.

"Today we will go out to the squares not to show the Arab League something, but we will go out because we have rights," Saleh Al-Hamwi, a spokesman for the Syrian Revolution General Council in Hama said in a video statement posted on YouTube. "And we will go after these rights."

The Local Coordination Committees of Syria, an opposition network that claims to have people in various locations in Syria, said 35 people were killed. Deaths occurred in Idlib city, Daraa, Hama, Homs city, the Homs province town of Tal Kalakh near Lebanon, the Damascus suburbs and Abu Kamal in the east.

The Syrian Observatory for Human Rights, a London-based opposition group with contacts throughout the country, said that security forces attempting to prevent tens of thousands of protesters from reaching a square in Idlib city shot and wounded 25 protesters. The observatory said demonstrators turned out in Idlib province towns as well.

It also said security forces fired their weapons at demonstrators in Daraa, in the south, and Deir Ezzor, in the east.

CNN cannot independently verify opposition accounts of violence or reports of deaths and injuries in Syria. Al-Assad's government has restricted access by international journalists.

The LCC said there were 382 demonstrations across the country, including a sit-in that drew tens of thousands in front of Arab League observers in Douma, outside Damascus. The opposition group said more than 30,000 demonstrators in the Idlib province town of Saraqeb chanted to topple the regime, and the military fired shots to disperse protesters.

An Arab League observer mission also visited the Damascus suburb of Harasta on Friday, the LCC said. State-run Syrian TV reported a pro-regime demonstration in Homs in support of the Arab League protocol, an effort criticized as pointless by many opposition members.

The Syrian government said Friday, via the state-run Syrian Arab News Agency, that Arab League observers visited Douma, portions of Damascus, various neighborhoods in Homs, which opposition groups say has been under siege by Syrian forces.

The Facebook page for the Syrian Revolution General Council, an umbrella organization for opposition groups, is one of the most prominent outlets for the uprising -- with over 330,000 followers who share news, videos, information and ideas online.

Opposition groups have dubbed the rallies "The Crawl to Freedom Square," encouraging protesters to defy what they say are sniper attacks by Syrian forces and crawl to central public squares rather than remain in small protest groups in local neighborhoods.

The reports of violence prompted Britain's Foreign Office on Friday to say it welcomed news that the Arab League planned to increase the number of observers in Syria. An Arab League official has told CNN that 75 monitors are currently in Syria with more expected to arrive in coming days.

"Unfortunately, reports show that the violence has continued in Syria over the past few days. I urge the Syrian government to meet fully its obligations to the Arab League, including immediately ending the repression and withdrawing security forces from cities," Alistair Burt, the Foreign Office's minister for the Middle East and North Africa, said in a statement.

"The Syrian government must allow the Arab League mission independent and unrestricted access to all areas of Syria and to the Syrian people."

A human rights advocate in Beirut, who is talking to people on the ground in Syria, said it appears the monitors have seen violence and are making headway gathering information.

"It does seem they are getting access to people and are getting in to see the reality on the ground," the source said.

The Arab League has suspended Syria's membership over its crackdown, and al-Assad has been under enormous international pressure to end the violence. Earlier this month, al-Assad agreed to a peace initiative with the Arab League that calls for security forces to withdraw from cities, release detainees and end violence. Part of the agreement calls for Arab League observers to monitor whether the government abides by the initiative.

More than 5,000 people have died since mid-March, when al-Assad began the crackdown on anti-government protesters calling for his ouster, the United Nations said this month. But opposition groups put the toll at more than 6,000.

The uprising has spawned both the creation of the Free Syrian Army, a rebel force composed of military defectors, and efforts to create a breakaway government. Other opposition groups, most notably the Syrian National Council, have emerged.

Mohamed Hamado, an FSA lieutenant colonel, said the army has been ordered to halt operations since the start of the Arab League monitoring mission.

"We are still being attacked by the Syrian forces, so the nature of our operations is defensive at this stage," he said.

CNN's Salma Abdelaziz, Yousuf Basil, Joe Sterling and Journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: Opposition group says 382 protests held across Syria

@highlight

At least 35 deaths are reported across the country

@highlight

The Free Syrian Army says it is only conducting defensive operations for now

@highlight

Thousands of demonstrators take to the streets