(CNN) -- An estimated 2.5 million pilgrims have descended on the city of Mecca for the Islamic Hajj, said to be the largest annual gathering of people in the world.

Every fit and able Muslim is obliged by their faith to make the journey at least once in their lifetime. But with the rising threat of climate change, there are now calls for both pilgrims and authorities in Mecca to reduce the environmental damage wrought by this yearly influx of travelers.

"Everyone arrives at the same time, at exactly the same place, and every year there are more and more people," said Dr Husna Ahmed, principal author of "The Green Guide for Hajj," a booklet promoting ecologically-sustainable practices among Hajj pilgrims, released earlier this week.

Ahmed, who is CEO of the UK-based Faith Regen Foundation, says that as many as 100 million plastic water bottles were dumped by pilgrims during Hajj last year, according to a study conducted by colleagues at the foundation. Ahmed adds that Mecca's authorities have yet to make adequate provisions for recycling.

"All the waste from food, all the fumes from coaches traveling around the city, all the energy used for powering local hotels, it has a significant environmental impact," said Ahmed. "And that's before you think about the carbon footprint of all those flying in from halfway around the globe."

According to Ahmed, the problem is both practical and cultural. While she is eager for local authorities in Mecca to introduce energy-saving measures, like solar-powered mosques and low-carbon transport initiatives, she says that pilgrims must also become more conscious of their surroundings.

"Unfortunately, the issues of climate change and conservation are not a high priority for many Muslims, particularly those struggling with poverty in the developing world -- for whom simply getting through the day is the main consideration," said Ahmed, who hopes that her guide will help emphasize the fundamental link between the theology of Islam and the preservation of nature.

It's a message that the newly-formed Green Pilgrimage Network (GPN) is keen to highlight.

"Most religions are implicitly conservationist ... after all, if you think of God as the creator, then it surely befalls you to take care of his creation," said Martin Palmer, secretary-general of the network. It is a multi-faith organization that aims to create a worldwide alliance of holy cities committed to sustainable practices, such as banning cars on pilgrimage routes, improving waste management and investing in renewable energy.

According to the network, over 100 million people a year embark on a religious pilgrimage, making it one of the single greatest reasons for travel worldwide.

For Palmer, the environmental challenges presented by pilgrimages at holy sites like Mecca stem primarily from the trappings of modern living.

"Pilgrimages have become corrupted by consumerism," he said. "For instance, instead of buying millions of plastic bottles, 100 years ago every pilgrim would have traveled with a flask."

Launched last week in the sacred Catholic city of Assisi in Italy, the network comprises 12 founding member cities, including Amritsar in India, where they have pledged to provide clean drinking water for Sikh pilgrims traveling to the Golden Temple there; and in St. Albans in the UK, the Church of England says it will install solar panels on the local cathedral.

"This of course is just the beginning," said Palmer, who aims to have at least 300 cities signed up to the network within the next couple of years.

To join the network, he says, a city's municipal authority must undertake to work in partnership with the faith community to work towards "shared environmental goals."

Palmer hopes that being a member of the network will be seen as a badge of honor -- "like becoming a UNESCO world heritage site" -- with the threat that those who fail to live up to their commitments will lose membership.

While Mecca is not yet a member, Palmer says "The Green Guide for Hajj," is the first step in bringing the city on board.

"I understand that the religious authorities are going through the guide with a fine-tooth comb to make sure it all complies with Islamic law before giving their official endorsement," he said.

He notes that the local government in Mecca has already displayed a commitment to environmental reform, with the construction of a new metro system capable of transporting 2.5 million pilgrims between shrines currently under way, as well as ongoing discussions to provide water flasks. CNN was unable to make contact with leaders of Mecca during the Hajj holidary period to get comment.

According to Omar Faruk, founding director of UK-based pressure group EcoMuslim, conservation is not just compatible with the teachings of Islam, it is integral.

"The Quran says: 'The earth is green and beautiful, and Allah has appointed you stewards over it,'" said Faruk. "Put simply, being green is a central part of being a good Muslim."

This is music to the ears of Olav Kjorven, director of policy at the U.N. Development Program, which last year helped produce the "Muslim Seven Year Action Plan on Climate Change" and is an official supporter of the Green Pilgrimage Network.

"Religions own up to 8% of the world's habitable land and 5% of commercial forests; run or contribute to more than half of the world's schools; account for up to 7% of all global investments and offer moral and spiritual guidance to approximately 85% of all people," said Kjorven.

"Their active engagement on climate change is crucial if we are to realize a greener future for our planet."

@highlight

As millions embark on annual Hajj pilgrimage, concern growns over cost to environment

@highlight

Newly launched Green Pilgrimage Network to promote sustainable sacred cities

@highlight

Link between religion and ecology emphasized to inspire pilgrims to "tread lightly"

@highlight

Mecca is introducing new metro link; considers solar-powered mosques