(CNN) -- When it comes to facial hair, there are few more passionate advocates than Phil Olsen.

As the "founder and self-appointed captain" of Beard Team USA, he was responsible for bringing the sport of competitive bearding to the United States in 2003.

Since then, things have, well, grown.

"It really is quite amazing," Olsen said from his home in California. "Interest in bearding worldwide has taken off.

"You see more and more facial hair everywhere you look, and every time, it feels like a little victory for me. Men are finally liberating themselves."

The weird world of 'competitive bearding'

Olsen is one of the "bearders" behind the World Beard and Mustache Championships, which took place in Portland, Oregon, this weekend. Hundreds competed in categories including "full beard natural," "full beard styled mustache," "imperial" and "freestyle."

World's most frustrating objects

"Men are competitive. It's in our very nature," Olsen said this month. "So why shouldn't we compete over our beards? It is our uniquely masculine quality, the one thing we can do that most women can't."

The scale of this event is emblematic of the huge resurgence in beard cultivation over recent years.

For Olsen -- who himself sports a 12-inch sculpted Wookiee of a thing -- this burgeoning masculine hairiness is driven by sexual politics.

"For centuries, men have been pressured by women to scrape their faces daily so that they would look more like women," he says.

"Finally, we have come around to realizing that we should express our masculinity in the natural way, by growing a beard."

So how does he feel about men who shave?

"I don't despise the clean-shaven," he said magnanimously. "I just feel sorry for them, because they're not experiencing the majesty of realizing one's full masculine potential.

"As for the stubble people, they still have to go through the almost daily humiliation of keeping it at stubble length. But at least they've taken the first step and are not completely emasculating themselves."

The beard as social statement

This militant pogonophilia may seem rather extreme.

But according to Allan Peterkin, the Toronto-based author of "One Thousand Beards: A Cultural History of Facial Hair," the beard has always been a powerful, and often controversial, social symbol.

What we can learn from the tattoos of our ancestors

"It's only recently that men had a choice about their facial hair," he said. "In the Victorian period, certain beards or sideburns were the badge of a gentleman or maybe a sportsman. It was a known quantity."

In earlier periods, the climate was even more severe. Alexander the Great banned the beard so that it would not be grabbed in combat; several rulers, including King Henry VIII, Elizabeth I and Peter the Great, enforced a "beard tax," making it a rigid indicator of affluence and social status (in early 18th-century Russia, bearded men had to carry a "beard token" to prove they had paid up).

"Traditionally, men have taken their grooming cues from authority figures, such as the king, politicians or clergymen," Peterkin said. "We were told by authority figures what it is to be a man, what that should look like.

"There were lots of arbitrary declarations about facial hair, saying it is sinful, or virtuous or whatever.

"It was always for reasons of control. Men wore their allegiance, and an indication of their class, on their faces."

In many parts of the world, this is still the case. The beard is of vital importance in most Islamic societies, for example, and in Turkey, the size and twirl of a mustache shows one's political affiliations.

How facial hair can be used to rebel

For these reasons, facial hair, or the lack of it, can traditionally also signify subversion.

The whiskys selling for six figures

"Oscar Wilde was clean-shaven when all his contemporaries had a big Victorian beard," Peterkin said. "Just by doing the opposite, you make a statement. These days, having a beard is a bit rebellious because it departs from convention."

In the postwar period, the military requirement to shave denoted respectability. Then came the Beatniks and the Hippies and the Freddy Mercury mustache of the '70s, followed by '80s designer stubble and the '90s grunge-style goatee.

"Then all hell broke loose," Peterkin said. "In this postmodern period, anything goes, from trim professional beards to hipster madness.

"Men in the West are freer to do whatever they want and keep their jobs, which was just not the case for our fathers and grandfathers. We can express ourselves in all kinds of ways and grow our facial hair in more ways than ever before."

These days, many men grow a beard to reflect transition in their lives, such as a change of career or divorce.

Al Gore, for instance, grew a beard after he lost the presidential election in 2000. By doing this he was changing his public face, demonstrating that he was becoming an academic where beards are welcome.

How does a beard change how you are perceived?

But despite the increasingly hirsute-tolerant atmosphere, studies have demonstrated that having a beard dramatically alters how you are perceived -- and not necessarily for the better.

It has been argued that a bearded man appears more confident of his strength (since a "grabbable" beard is a disadvantage in a fight) and immune system (PDF) (since a beard can encourage parasites, bed bugs and sand fleas). He is also perceived to have a higher social status.

A number of studies, however, have suggested that a beard makes a man appear more masculine and aggressive; older; and, generally speaking, less attractive to women.

"Wearing a beard is a bold statement, even today," Peterkin said. "That's why it evokes so much emotion. And it is why you so rarely see a politician or a banker with a beard. They can't afford to alienate a sizable portion of the population."

The strange world of toilet architecture

Olsen strenuously disagrees. "I'm a lawyer," he said, "and I've never had a negative comment about my beard, not from any client, judge or opposing counsel.

"It has not been a hindrance but an asset at work. It's a distinction, something that helps people remember me.

"It demonstrates someone who is willing to be an individual, to stick his neck out, to take a risk, to be bold. In many professions, that should increase one's esteem within the community."

Have we reached 'peak beard'?

Where now for the beard? Peterkin believes that the nature of fashion is such that every peak will be followed by a trough, and we shall soon see a decline in the level of enthusiasm for facial hair.

Olsen, however, thinks the revolution is only beginning.

"People need to realize that not all beards are created equal," he said. "There is a beard to suit every face. They can be groomed, they can be cleaned, and they can be tamed.

"As soon as people start to realize that having a beard isn't the same as not brushing your teeth or taking a shower and that there's something for everybody, the sky's the limit.

"Men need to break free. I would like to see the beard championships grow and eventually become on a par with the Olympics."

Snooper's paradise: A sneak peek inside London's most prestigious private homes

Stunning 'time-slice' photos capture your favorite landmarks from sunrise to sunset

Meet the surrealist behind fashion's most memorable images

@highlight

World Beard and Mustache Championships took place in Portland, Oregon

@highlight

One analyst says a beard has always been a powerful social symbol

@highlight

Will bearding continue to rise, or is it due for a fall? Opinions differ