BEIJING, China (CNN) -- North Korea, formally called the Democratic People's Republic of Korea, is also known as the Hermit Kingdom for a good reason.

Chinese border guards patrol in Jilin province across from the North Korean border on March 21, 2009.

For decades, it has been shrouded by a veil of secrecy that has prevented us from better understanding this important nation. As journalists we seek out the realities of life there, beyond the myths and hype, but that is difficult because the DPRK is generally inaccessible to journalists. The gap between reality and illusion remains profound.

Journalists, such as the two Americans being detained in North Korea, do travel to the border between China and North Korea to get a sense of what life is like in the isolated nation of 22 million people. The circumstances surrounding the journalists' arrest are still unclear.

"North Korea is such a difficult country to enter for a foreign reporter that the temptation to slip across the frozen river border is considerable," said former CNN correspondent Mike Chinoy, author of "Meltdown: The Inside Story of the North Korean Nuclear Crisis."

"If that's what they did, however, it was extremely foolhardy and really pushing their luck."

China and North Korea share a 1,415-kilometer (880-mile) border that mainly follows two rivers. The Yalu River defines the border on the northwest, the Tumen River on the northeast. By land, the two countries are linked by seven road crossings and four railway points.

Over the years, I have visited three towns on the Chinese side of the border. From a narrow river crossing at the border town of Tumen, Koreans cross on foot and in trucks. Those going back into North Korea carry bags full of food and household wares, even bicycles. Some of those coming into China ferry logs and minerals.

From across the Yalu River in China's Dandong City in October of 2006, I had a glimpse of Sinuiju, a North Korean border town of some 350,000 people. Using a long camera lens, I saw school children learn to roller skate, and residents celebrating what looked like a wedding. Still the city's decrepit appearance hinted at stagnation and isolation. It was a stark contrast from the Chinese city, which was ablaze in neon lights and a bustling commerce and trade.

North Korea's public face is one of smiling children, clean streets, manicured gardens, spectacular scenery and a stoic people united under the aegis of Kim Jong Il, known among Koreans as the "Dear Leader."

I saw it up close twice, in 1996 and 2002, when I had the chance to visit the most reclusive nation on earth. We were typically greeted by polite officials and smiling children and invited to watch spectacular performances with a cast of thousands.

North Korea, however, remains isolated, diplomatically and economically, led by an erratic leadership that behaves out of fear and insecurity.

Diplomatic sources in Beijing suggest that China is getting fed up with North Korea's inability to preserve social stability and with its erratic behavior in the multi-national efforts to deal with North Korea's nuclear program. Publicly, however, China sticks to the official line, often calling the two nations' ties as close as "lips and teeth" -- one cannot function without the other.

In my two visits to North Korea, I have detected conflicting signs -- one, of social instability and another of a tentative desire to experiment with reforms. In 2002, the government tolerated some quasi-private businesses, raised civil servants' salaries and deregulated prices of some commodities. But much of these tentative efforts to change seem to have been aborted and the country remains isolated and poor.

What emerges is a nation, now considered a nuclear threat, desperately seeking respect and economic aid.

That picture is now intertwined with the two detained U.S. journalists, Chinoy said.

"It will be interesting to see how the case is handled. North Korea has been in a generally more bellicose mood lately," said Chinoy, who is currently a senior fellow at the Pacific Council on International Policy.

"The concern is that this incident could get caught up in the bigger picture of heightened tension between the north and the U.S. and the north and south. If it is not swiftly resolved, it will add to the complexity of the situation facing [U.S. President Barack] Obama, where he is under pressure from Seoul, Tokyo and some in Washington to get tough, while trying to find a way to get diplomacy with the North going again."

In recent years, waves of North Korean refugees have fled into China seeking food, jobs and freedom. In the border cities of Tumen, Yanji and Dandong, these refugees tell of misery and persecution. They live under the protection of relatives, friends and human rights activists. Here, people speak of a Korean "underground railways" -- a network that smuggles desperate people across the border and eventually out of China.

China is struggling to keep out the hundreds of North Korean immigrants and refugees, but stopping the exodus remains a tall order.

A fundamental solution, analysts suggest, lies not in China but in North Korea, where many people are running away from humanitarian disasters and political persecution.

@highlight

Secretive and closed off for decades, North Korea is known as the Hermit Kingdom

@highlight

By land, China and North Korea are linked by 7 road crossings and 4 railway points

@highlight

In recent years, N. Korean refugees have fled into China seeking food, jobs, freedom

@highlight

Tentative reforms have been aborted and North Korea remains isolated and poor