Have you heard about China's banana slip?

A few days ago in Beijing, as Gary Locke wrapped up his tenure as United States ambassador to China, he was lambasted in a Chinese state media editorial. The piece called Locke a "guide dog." It said he had stirred an "evil wind." Worst of all, it called him a "banana."

As in yellow on the outside and white on the inside. It's a slur, akin to "Oreo" for African-Americans or "coconut" for Hispanics, used by people of a given ethnic group to judge another member of that group for being insufficiently, well, ethnic. The point of saying a person of color is "white inside" is to accuse him of being a race traitor, ashamed or in denial of his true heritage.

In this case, the idea was that Locke, though of Chinese descent, wasn't Chinese enough. Why? He couldn't speak the language. Oh, and he apparently didn't do the bidding of China's leaders, choosing instead to go to Tibet, work with dissident human rights activists, point out smog levels in Beijing and generally represent the interests and values of the United States.

That's what the editorialist meant when he called Locke a banana. Many Chinese citizens disavowed the slur, calling it an embarrassment. But what it revealed was that despite modernization and burgeoning wealth -- or perhaps because of them -- China still has a fragile identity. (And America still has some advantages.)

Let's start with the fact that the editorial was published in an organ of state media. It got attention because in a country where the government controls the press, editorials are assumed to express the views of top national leaders. They may not, in fact. It's quite possible this particular opinion writer was just an individual. But in the absence of a free press, who can really tell?

This is the price of propaganda: No one believes what you say, but they believe you meant to say it.

A second notable aspect of the banana rant was that it completely conflated ethnicity and nationality, and in a particularly Chinese way. The Han Chinese are the overwhelmingly dominant ethnic group of China, and their ethnocentrism frames Chinese political culture. (Just ask Tibetans.) It also fuels the nationalism behind China's territorial disputes with Japan and other Asian nations.

So the premise of the banana comment was that someone of Chinese ethnicity, wherever he may live, should be considered Chinese to the core and therefore in the end loyal to the Chinese nation.

Of course, that's a notion white Americans have often used to justify mistreatment of "indelibly alien" Chinese immigrants, whether during the era of Chinese exclusion  in the late 19th century or the persecution of Wen Ho Lee at the turn of this one.

But it's as wrong now as then and as wrong here as there. Even if Locke could speak perfect Mandarin, even if he could read the Chinese classics and write calligraphy, this Eagle Scout, child of public housing, prosecutor, state legislator, governor, Cabinet secretary and diplomat was made in America.

Whether Locke is "Chinese enough" is for him and his family to judge, not for any other Chinese American, much less an apparatchik in China. But there can be no doubt that Locke is plenty American, and that's really what stuck in the craw of some commentators in China.

Ultimately, the banana rant reminds us that the United States, for all its manifest failings and its continuing racial tensions, remains exceptional in its capacity to synthesize the peoples of the world into new hybrids. Which is also why the United States, for all its economic troubles and relative geopolitical decline, retains a competitive edge over rising powers like China.

To put it very simply: America makes Chinese Americans, but China does not -- and does not particularly want to -- make American Chinese.

It's in America's operating system to welcome an immigrant who becomes a houseboy and to make it possible for that immigrant's grandson to hold high public office. This is the Locke family arc: truly American.

It's not so much in China's operating system to welcome an immigrant -- whether ethnic Chinese or not, however steeped in Chinese civilization -- and make it possible for her family to be seen as truly Chinese.

When operatives in China call Locke a banana, they assume, wrongly, that to be American is to be white. America is not white anymore. It never really was. China may be four times more populous than America. But America is many times more diverse, intermingled, open and adaptive than China.

I'm proud to be Chinese American: proficient in Chinese culture, fluent in American life. Call me what you will; I like my country's chances.

@highlight

A Chinese state media outlet referred to U.S. ambassador as a "banana"

@highlight

Eric Liu says use of an ethnic slur reflects anger at his performance

@highlight

He says China has a different concept of ethnicity than America

@highlight

Liu: America's openness to immigrants is a big advantage over China