(CNN) -- Gas prices across the Southeast and Midwest soared over the weekend, and while many would blame Hurricane Ike, human nature may be a more likely scapegoat.

iReporter Stacy Haynes said this Harriman, Tennessee, station was selling regular gas at $5.09 a gallon Saturday.

Experts say that when a perception exists that gas is limited -- warranted or not -- consumers flock to the pumps even if officials implore them to stay calm.

It's a combination of fear, desire, distrust and protectionism, experts say.

"When you have a perceived scarcity of any product, research shows the attractiveness of that product goes up," said Dr. Rao Unnava, marketing professor at Ohio State University.

Grocery and department stores are keenly aware of the phenomenon, Unnava said, which is why sale flyers often declare things like, "limit three items per customer" or "price valid only through Friday."

Research shows that such advertisements can actually double or triple sales of a product, Unnava said.

"People don't feel comfortable with scarcity," he said.

With gasoline, scarcity is a false perception, Unnava said. There is ample gas in the United States, even after Ike delivered 110-mph winds to Galveston and Houston, an area that's home to a significant portion of the nation's oil refineries.

Gov. Rick Perry announced Monday that Texas' oil and gas industry "dodged a bullet" and that "some of those refineries are actually back in operation as we speak."

This isn't to say human nature alone drove the spike in gas prices; the oil market's supply side certainly played its part.

Refineries, pipeline and oil platforms are still being assessed after Ike, but the damage apparently isn't as severe as predicted, said Gregg Laskoski, spokesman for the southern region of the American Automobile Association.

Despite the rosier-than-expected outlook, prices spiked all over the nation after Ike struck the Gulf Coast -- about 6 cents a gallon Saturday, another 6 cents Sunday and about 5 cents Monday.

Particularly hard hit was the central and eastern United States. From Sunday to Monday alone, 23 states saw the average price of gas jump about a nickel or more a gallon, according to AAA. iReport.com: Send, see photos of gas prices

In Tennessee, the price jumped about 17 cents to $4.12 Monday. In Georgia, the price climbed about 14 cents to $4.16. Michigan saw an almost 13-cent increase, and Indiana's gas went up 12 cents a gallon.  See gas prices state by state »

Several factors drive these fluctuations, Laskoski said, including the method in which gasoline is delivered to a state.

In Florida, he said, the price went up nominally (about 5 cents) from Sunday to Monday because the Sunshine State relies more heavily on gas shipped on boats out of Louisiana and Mississippi, he said.

Though Georgia abuts Florida, it doesn't have as many ports and relies more on tanker trucks to deliver gas from the Galveston-Houston area, Laskoski said.  Hear how man ran out of fuel looking for gas in Atlanta, Georgia »

Another factor, Laskoski said, is that Ike prompted many oil companies to shut down operations ahead of the storm. It could take up to two weeks to get some refineries operational again because it's not as simple as flipping a switch, he said.

The hiatus in oil production has ripple effects, and retailers often raise prices in anticipation of gas shortages.

Gas station owners earn only a few pennies of profit on each gallon of gas, Laskoski said, explaining that proprietors essentially use gas to lure consumers into convenience stores to buy cigarettes, beer and potato chips -- items that draw better profits.

When supply is low and retailers are uncertain when they'll receive their next gas shipment, some proprietors actually raise their gas prices so they can keep their gas supply longer and maintain profits from their snacks and sundries.

But while diminished refinery capacity helps drive prices upward, there is also an element of "consumer behavior that goes beyond the norm," Laskoski said.

"When you have consumer behavior that's irrational, it's hard for retailers to schedule it," he said.

Dr. Lars Perner, assistant professor of clinical marketing at the University of Southern California, said natural disasters often spawn irrational behavior. The media can also compound fears, he said.

"As soon as somebody starts running for the gas pumps, that's where the TV cameras go, so it does become a vicious cycle," Perner said.

Even though everyone would be better off if consumers continued their normal patterns, people don't always trust their neighbors to cooperate. This is especially true with an "emotional commodity" like gas, Perner said.

"Because you can't count on other people doing that, your best bet is to go ahead and fill up yourself," he said. "If people get excited, rationality tends to be reduced somewhat."

Perner and Ohio State's Unnava both note that consumers are often reluctant to trust government officials so an appeal to remain calm might be met with suspicion rather than acquiescence.

Memories -- whether they're of the calamitous response after Hurricane Katrina or of the gas shortages of the 1970s -- also play roles in a consumer's reaction to an event, the professors said.

According to Unnava, "It's all perception -- what you conclude from what you see around you -- that quickly sets up these behaviors."

@highlight

Perception of limited gas sends more people to the pumps, experts say

@highlight

Gas prices spiked across the nation after Hurricane Ike hit Gulf Coast

@highlight

Reduced supply after storm plays part, but so does consumer rush

@highlight

Professor: Consumers' fears, TV coverage lead to "a vicious cycle"