(CNN) -- Tony Scott made movies, in the best sense of the word.

Some of them got poor reviews. Some of them were burdened with sketchy scripts. But almost all of them -- from his first big hit, "Top Gun" (1986) to his most recent major release, "Unstoppable" (2010) -- were entertaining, well-acted and smoothly polished examples of the motion picture art.

Scott, who died in an apparent suicide Sunday, was known for action, but what made his films distinctive was a feel for the human side of things.

"Take another look at 'Man on Fire' and check out the extraordinary chemistry Scott develops between (Denzel) Washington and the young girl (Dakota Fanning) he's protecting," wrote Deadline.com's Pete Hammond. "Sure it has all the requisite action and violence we've come to expect from a Scott film, but it also has a strong human dimension missing from a lot of films."

"He was one of the very few Hollywood action directors who could actually tell a story," added CNN commenter OnTilt. " 'Crimson Tide' is the perfect example. Brilliant movie. So is 'True Romance.' A highly underrated film."

Coroner, director Tony Scott's family dispute cancer report

Indeed, it was no accident that the same Scott who reveled in screaming planes, racing trains and hard-charging automobiles also produced the TV series "Numb3rs" and "The Good Wife" -- taut dramas with clever, layered roles -- as well as the character-driven films "The Assassination of Jesse James by the Coward Robert Ford" (2007), "In Her Shoes" (2005) and "The Gathering Storm" (2002).

The latter, an HBO film that starred Albert Finney as Winston Churchill, won Scott an Emmy, which he shared with brother Ridley and others in their company, Scott Free Productions.

Scott first got into film through his brother; the two worked together in Ridley's advertising shop, Ridley Scott Associates. Even after his motion picture success, Tony still did commercials: among his recent outings were ads for Diet Mountain Dew and Dodge Ram trucks. Tony Scott made his feature directing debut with 1983's "The Hunger," a vampire film that got more attention in its time for its eroticism -- particularly a lesbian sex scene between stars Catherine Deneuve and Susan Sarandon -- than its chills.

Scott's feature career was slightly derailed -- "(The studio) saw a cut of 'The Hunger,' and all of a sudden my parking spot at Warner Brothers was painted out!" he said years later -- but he hit the big time with his next film: In 1986, he directed "Top Gun," which established Tom Cruise as an A-list star.

Not much was expected of the film in the beginning, he recalled.

"Nobody really quite understood what it was going to be," Scott said, according to Alex Ben Block's "Blockbusting," a history of top-grossing movies. "They thought it was going to be 'The Hunger' on an aircraft carrier."

Scott turned out to be as aggressive as his high-flying characters. For one scene, according to "Blockbusting," the director wanted an aircraft carrier turned to catch the light in a certain way for five minutes. The move cost $25,000. Scott wrote out a check on the spot.

"Top Gun" was roasted by critics, but Scott's technical work was praised. "The remarkable achievement in 'Top Gun' is that it presents seven or eight aerial encounters that are so well choreographed that we can actually follow them most of the time, and the movie gives us a good secondhand sense of what it might be like to be in a dogfight," wrote Roger Ebert, though he cautioned audiences to "look out for the scenes where the people talk to one another."

Audiences didn't care; the film's sleek look and MTV atmosphere made it a box office smash. With $177 million in 1986 dollars, it was the No. 1 box office hit of the year. "Top Gun" also earned four Oscar nominations -- with one win, "Take My Breath Away's" best song nod -- and even boosted the sale of Ray-Ban sunglasses.

His ensuing films ran the gamut of Hollywood forms: sequels ("Beverly Hills Cop II"), remakes ("The Taking of Pelham 1-2-3"), star-driven actioners ("Crimson Tide," with Washington and Gene Hackman, and "Enemy of the State," with Will Smith and Hackman) and even Tarantino-esque pulp ("True Romance," Scott's best-reviewed film, which was based on Quentin Tarantino's first screenplay).

Through it all, he brought a level of craftsmanship and professionalism to his work, earning praise from actors and colleagues. Many took to Twitter after his death, remembering him fondly.

"Tony Scott as a friend and a mentor was irreplaceable," tweeted director and writer Joe Carnahan ("The Grey").

Scott made tense films for jittery times

It's no accident that Denzel Washington appeared in five Scott films -- the actor loved working with the director, as both were fond of immersing themselves in details and personalities.

"One of the reasons I like working with Tony is because, like myself, he's a research fanatic," Washington said at a press conference for "Pelham 1-2-3." "(Like him), I like being with the real folks."

Scott also enjoyed giving interviews, even those to promote his films -- the kind of wearying task that prompts actors and other directors to turn monosyllabic. Scott, on the other hand, used the opportunities to wax expansively on special effects, his more famous brother and even his place in the Hollywood hierarchy. Perhaps he wasn't as well-regarded as his Oscar-winning sibling, he once observed, but things could change with time.

"I always get criticized for style over content, unlike Ridley's films like 'Alien' or 'Blade Runner' or 'Gladiator' that go right into the classic box right away. Mine sort of hover," he said. "Maybe with time, people will start saying they should be classics, but I think I'm always perceived as reaching too hard for difference, and difference doesn't categorize you as the 'classic' category."

Maybe not, but when the lights went down, Tony Scott gave you your money's worth -- and then some.

Tony Scott: Unstoppable Hollywood force

@highlight

Director Tony Scott died Sunday, an apparent suicide

@highlight

Scott was behind many box-office hits, including "Top Gun" and "Enemy of the State"

@highlight

Though known as an action director, he never forgot about characters

@highlight

Scott was well-regarded by colleagues, was a thoughtful interview