(CNN) -- The U.S. Navy said Iran's threat to block the strategically and economically important Strait of Hormuz is unacceptable.

"The free flow of goods and services through the Strait of Hormuz is vital to regional and global prosperity," Navy 5th Fleet in Bahrain spokeswoman Cmdr. Amy Derrick Frost told reporters on Wednesday.

"Anyone who threatens to disrupt freedom of navigation in an international strait is clearly outside the community of nations; any disruption will not be tolerated."

The 34-mile-wide shipping channel leads in and out of the Persian Gulf between Iran and Oman. It is strategically important because tankers carrying oil travel through it.

Iran's vice president has warned that the country could block the strait if sanctions are imposed on its exports of crude oil. France, Britain and Germany have proposed sanctions to punish Iran's lack of cooperation on its nuclear program.

Physically closing the strait would require means that likely are not available to Iran, said Professor Jean-Paul Rodrigue of Hofstra University.

"At best, Iran can posture and potentially disrupt traffic for a short duration," said Rodrigue, who specializes in global trade and maritime transportation issues.

The 5th Fleet is based in Bahrain, and Frost noted that the Navy "maintains a robust presence in the region to deter or counter destabilizing activities."

"We conduct maritime security operations under international maritime conventions to ensure security and safety in international waters for all commercial shipping to operate freely while transiting the region," she said.

Asked whether the fleet would be able to keep the strait open if Iran moved to close it, she said, "The U.S. Navy is a flexible, multi-capable force committed to regional security and stability, always ready to counter malevolent actions to ensure freedom of navigation."

Frost was also asked whether keeping the strait open is part of the fleet's mandate.

She said it is "committed to protecting maritime freedoms that are the basis for global prosperity. This is one of the main reasons our military forces operate in the region.

"The U.S. Navy, along with our coalition and regional partners, operates under international maritime conventions to maintain a constant state of high vigilance in order to ensure the continued, safe flow of maritime traffic in waterways critical to global commerce."

The French Foreign Ministry stressed that the waterway is an international strait.

"In consequence, all ships, whatever their flag, enjoy the right of passage in transit, in accordance with the United Nations Convention on the Law of the Sea, adopted in 1982, and with the customary international maritime law," the ministry said.

Iran is holding a 10-day military exercise in an area from the eastern part of the strait out into the Arabian Sea. Western diplomats describe the maneuvers as further evidence of Iran's volatile behavior.

Rodrigue told CNN that any move by Iran to close the strait would be "suicidal" to the current regime.

In 2009, 15 million barrels passed through the strait every day, according to the U.S. Energy Information Administration.

"Keep in mind that countries such as China and Japan are more dependent on Persian Gulf oil than the United States," the professor said.

About 18% of U.S. net petroleum imports come from the Persian Gulf region, while Canada provides 25%, according to Rodrigue.

The scholar, who has written extensively about oil "chokepoints," said there are no other means to move large quantities of oil over long distance than by maritime transportation.

Hormuz marks the boundary between Iran and the United Arab Emirates.

"It is thus an international issue where the United States, for strategic and historical reasons, is spearheading its security," Rodrigue said.

Barbara Starr is CNN Pentagon correspondent.

@highlight

NEW: China, Japan depend heavily on oil from region, expert says

@highlight

The Navy says it won't tolerate "any disruption"

@highlight

Iran is holding a military exercise in the area

@highlight

The strait is short and narrow but strategically important