Port-au-Prince, Haiti (CNN) -- A massive two-week food distribution effort aimed at reaching 2 million people began Sunday in Haiti's quake-ravaged capital.

Slightly more than 376 metric tons of rice were distributed to 100,368 people at nine locations during the day, World Food Programme spokesman Marcus Prior said.

The food distribution plan, coordinated by the United Nations World Food Programme, international aid agencies and the Haitian government, was to hand out food at 16 identified points across the city. But on Sunday, people at only nine of those places were able to collect, Prior said.

More time was needed to prepare ration coupons at five sites, Prior said. The other two distribution points, located in the dense slum of Cite Soleil, were a no-go for security reasons.

"The area has been extremely volatile recently with a significant increase in gang violence, but we are hopeful we will be able to reach them soon," he said.

Distribution was orderly elsewhere, Prior said.

Only women were given tickets to collect a 55 pound (25 kilogram) bag of rice per family. Forty-two metric tons of rice will be distributed each day over the next two weeks.

At Champs de Mars, the city's central plaza which has turned into a sprawling makeshift camp for the quake displaced, women formed a long line that snaked up to trucks carrying the rice.

Full coverage

One by one they stepped up and walked away with a white bag on their heads. A smile blossomed on some faces.

U.S. soldiers were out in force to guard against chaos.

"There was no way we could do this without them. There's no way we could push back people without the troops," said Jacques Montouroy, a logistical planner for Catholic Relief Services, one of eight aid agencies participating in the two-week food plan.

Prior said the WFP will work with its aid partners to ensure that men in need of assistance are not excluded. Women are receiving the food vouchers because they tend to be responsible for the household food supply, Prior said.

"Our long experience in food distribution tells us that by delivering food into the hands of women, it is more likely to be redistributed equitably among the household -- including the men," he said.

Montouroy said most men have someone -- a wife, a sister, a mother or girlfriend -- who will be able to feed them. He said it was safer to deliver the rice to the women.

But things didn't sit well with some men.

"What about me? I didn't get anything. I need food," said Johnny Sanon Stevenson. "Many people could not participate."

The missing, the found, the victims

With tight security, it was impossible for crowds to enter cordoned off areas where the food trucks were emptied. The WFP said the specified drop sites are a key step in establishing food security.

At the central plaza, Master Sgt. Ranny Lewis helped a woman carry her bag of rice and then led women waiting in line in singing "Glory, Glory Hallelujah."

Lewis, a native of the Caribbean nation of Antigua and Barbuda who serves in the 478 Civil Affairs Battalion, said gospel was the lifeblood of the region. Song was a way of overcoming frustration and calm fears.

Lewis said it was a dream come true for him to be able to help the people of Haiti in their greatest hour of need.

"This is the ultimate civil affairs mission," Lewis said. "This is where the rubber meets the road."

"It was difficult to control my tears," he said. "It brings me home, to my roots. I was one with the people."

WFP Executive Director Josette Sheeran said the January 12 Haiti earthquake was the "most complex challenge" the agency has confronted.

"But this distribution system will not only allow us to reach more people, it will give us the qualitative step we need to facilitate the delivery of all kinds of humanitarian assistance in the weeks and months to come," Sheeran said in a statement.

The food aid plan involves at least eight private humanitarian agencies: Samaritan's Purse, Catholic Relief Services, CARE, World Vision, ACTED, Save The Children, GOAL and ADRA.

"Together with our NGO [non-governmental organization] partners we are working with the local authorities, churches and other civil society organizations to ensure that all male-headed households and others with special needs are not excluded from these distributions," Prior said.

Details of the plan were finalized at a meeting attended by WFP, the aid agencies and senior members of the Haitian government, said Ken Isaacs, vice president of programs for Samaritan's Purse.

He said those attending the meeting were given coupons, which were being handed out to needy families in the districts drawn up around each distribution point.

The two-week effort aims to reach 2 million people in Port-au-Prince but does not expand to those living in other quake-devastated cities like Leogane. Ongoing emergency aid distributions to outlying areas will continue, Prior said.

"Up until now the nature of this emergency has forced us to work in a 'quick and dirty' way simply to get food out," Sheeran said. "This new system will allow us to provide food assistance to more people, more quickly through a robust network of fixed distribution sites."

CNN's Alec Miran contributed to this report.

@highlight

NEW: 376 metric tons of rice distributed to 100,368 people at nine locations, official said

@highlight

Food distribution program coordinated by aid agencies and Haitian government

@highlight

Only women allowed to receive the 55-pound bags of rice being handed out

@highlight

Official says food given to women is more likely to be shared fairly by everyone