Washington (CNN) -- A post-mortem Sunday of the mid-term elections provided little evidence that Democrats and Republicans will work together to address major issues such as deficit reduction any better than they have in recent years.

Republicans interviewed on talk shows promised congressional investigations, an all-out effort to repeal health care reform, and steadfast opposition to any form of higher taxes.

Democrats, meanwhile, said the losses they suffered in the congressional elections reflected voter dissatisfaction with lingering high unemployment in the slow recovery from economic recession, rather than an outright repudiation of their policies.

Republicans won more than 60 seats formerly held by Democrats to take majority control of the House, and also narrowed the Democratic majority in the Senate, while winning the lion's share of governors' races around the country.

When asked what they would do with their greater power, GOP legislators offered a hard-line agenda that left little room for middle-ground compromise.

Minnesota Gov. Tim Pawlenty, considered a likely presidential contender in 2012, told CNN's "State of the Union" that he advocated repealing the health care bill and ensuring that government operates on the revenues available.

Voters want to see results on creating jobs, and if Republicans don't produce, "we'll be thrown out in two years," Pawlenty said.

Republican Rep. Eric Cantor of Virginia, who is expected to become the new House majority leader in January, questioned on "Fox News Sunday" whether there was any benefit to compromising with President Barack Obama.

The question was not whether Obama was willing to work with Republicans, as he stated last week, but, "Are we willing to work with him?" Cantor asked.

"I mean, first and foremost, we're not going to be willing to work with him on the expansive liberal agenda he's been about," Cantor said.

Senate Minority Leader Mitch McConnell, R-Kentucky, told the CBS program "Face the Nation" that agreement exists on some specific provisions, but he refused to signal any willingness to compromise.

"We anticipate we'll be able to do the people's business in areas on which we agree," McConnell said.

In Mumbai, India, on Sunday, Obama told a student at a town hall-style meeting that the election results showed he needed to make adjustments after two years in office.

After explaining he must stick to core policies such as education and infrastructure investment and clean energy development, Obama said he also needs to "make some mid-course corrections and adjustments."

"How those play themselves out over the next several months will be a matter of me being in discussions with the Republican Party," the president said, adding: "There are going to be areas where we disagree and hopefully there are going to be some areas where we agree."

However, beyond four items listed by McConnell -- nuclear energy and electric-car development, clean coal technology, and expanded free-trade agreements -- Republicans offered no other areas of agreement.

The first issue likely to come up when Congress reconvenes next week in a lame-duck session will be whether to extend Bush-era tax cuts scheduled to expire at the end of the year.

Obama wants to extend the lower tax rates for income below $200,000 a year for individuals and $250,000 a year for families, saying that means 98 percent of Americans won't be subject to a de facto tax increase.

Republicans oppose higher tax rates for anyone, including the nation's wealthiest 2 percent, arguing it would harm small business owners who traditionally bring about significant job creation.

In an interview to be broadcast Sunday night on the CBS program "60 Minutes," Obama expressed a willingness to compromise, perhaps by extending the lower tax rates for wealthy Americans for a two-year period as long as everyone else also maintains their current lower rates.

McConnell, however, made clear that Republicans believe no one should have their tax rates return to the higher levels of the 1990s.

"We don't have a revenue problem; we have a spending problem," McConnell said, repeating a line parroted by Republicans on other shows. "So the whole nomenclature surrounding this -- that somehow we're doing people a favor by giving them their own money back -- I just don't accept. The government is too big. It needs to be shrunk."

Other GOP positions spelled out Sunday included reducing non-military "discretionary" spending -- such as department and agency budgets, but not including entitlement programs like Medicare and Social Security -- to 2008 levels, reducing federal wages and cutting the federal workforce.

A unanimous Republican policy is to try to get the health care reform bill repealed. While acknowledging Obama and the Democrats will almost certainly be able to stave off full repeal, Republican lawmakers including McConnell, Cantor and others advocated cutting funding and mounting legal challenges to hinder implementation of the measure until they can try to defeat Obama in 2012.

Some of the Republican opponents of the bill also called for keeping popular provisions touted by Obama and Democrats, such as preventing insurance companies from dropping coverage when people get sick, or denying coverage due to pre-existing conditions.

"We're going to do everything we can to try and repeal and replace this thing," Republican Rep. Paul Ryan of Wisconsin, expected to be the new chairman of the House Budget Committee, said on "Fox News Sunday."

Democratic Rep. James Clyburn of South Carolina told CBS that the Republicans were on the wrong side of history on the health care issue. Clyburn noted that similar calls for repeal followed landmark legislation in the past including the Voting Rights Act of 1965 that allowed African-Americans to vote.

"The fact of the matter is what we did with health care is to make that a fundamental right of every citizen," Clyburn said.

Amid the legislative wrangling will be new investigations by the House Committee on Oversight and Government Reform, Republican Rep. Darrell Issa of California, the expected new chairman of the panel in January, told the Fox program.

He cited White House attempts to influence candidates to drop out of primary elections, as occurred in the Pennsylvania Senate race, as one issue to be investigated. Issa's committee also will support a Judiciary Committee probe of alleged voter intimidation by two members of the New Black Panther Party at a Philadelphia, Pennsylvania, voting station in 2008, he said.

Issa later told reporters that he currently had no plans to issue subpoenas to members of the Obama administration.

"There's a history of corruption in American politics at the presidential level that goes back to Andrew Jackson," Issa said. "I think what we have to do is look for the places where we can make changes, and make those changes, and try to get the administration to do what they need to do to comply."

Meanwhile, signs of friction within the Republican Party also appeared Sunday, with conservative lawmakers pushing plans not favored by some in the GOP congressional leadership.

Republican Sen. Jim DeMint of South Carolina, who supported Tea Party candidates across the country in toppling mainstream contenders in GOP primaries, called for a halt to all congressional earmarks as part of a conservative action plan against high spending.

McConnell, however, said the issue was more complex than just spending, involving whether the legislature has the authority to determine exactly how money gets spent. DeMint made clear that he and the new Tea Party conservatives rejected McConnell's position.

"I know there's some senior members in Congress who think it's their job to bring home the bacon," DeMint said on the NBC program "Meet the Press." He called such thinking "parochial politics" against the national interest and said: "We can't do that anymore."

One of those Tea Party-backed winners Tuesday, Senator-elect Rand Paul of Kentucky, offered a potential major concession on the ABC program "This Week" when he said military spending should be part of the cuts needed to balance the federal budget.

Republicans traditionally push for increased military spending and have generally made clear they favor cutting only non-military discretionary spending, and McConnell said Paul would have to persuade his new colleagues to support him.

"Well, you know, he's going to have an opportunity in the Senate to offer all of those ideas," McConnell said. "We'll get votes on them."

@highlight

GOP targets health care reform, government spending

@highlight

"Are we willing to work with him?" Cantor says of President Obama

@highlight

Obama says he needs to make "mid-course" corrections and adjustments