One of the cooler experiences I've had in recent memory was meeting Elsie Nanugaq Tommy, a spry 104-year-old who started a secret women's shelter decades ago out of her home in Newtok, Alaska. She's a bundle of smiles and optimism -- and her legacy of helpfulness already has been passed down to her granddaughter, Denise Tommy, who is executive director of the Tundra Women's Coalition in Bethel, Alaska, which shelters women and fights violence with educational programs.

You should join them in helping to make Alaska a safer place.

I recently traveled to the 49th state to try to figure out why it has the highest rate of reported rape in the nation -- and what could be done to change that. Read about the trip at CNN.com/Change. (Readers voted for me to cover this topic as part of CNN's Change the List project). And then do something about it.

Alaska doesn't have to be the state where rape is most common.

The lawless 'end of the land'

Here are five simple ways you can help make a difference:

1. Donate to worthy organizations

I came across a number of responsible, effective organizations in Alaska that are working to shelter rape victims and get people talking about what Gov.  Sean Parnell called Alaska's "epidemic" of rape and domestic violence. Here are four that take online donations and were vetted by Rebecca Angel Baer, from CNN's Impact Your World group:

• Alaska Network on Domestic Violence and Sexual Assault

• Aiding Women in Abuse and Rape Emergencies, or AWARE

• Standing Together Against Rape, or STAR

• Rape, Abuse and Incest National Network, or RAINN

2. Start a petition to get cops in every village

There are 75 villages in Alaska with no local law enforcement presence. I visited one such village, called Nunam Iqua, which means "end of the land" in Yupik, and learned it can take state troopers hours or even four or five days to respond to emergency calls there. Rape and domestic violence can become normal in such a place.

There's a simple solution: Send Village Public Safety Officers, who are unarmed but trained, to the lawless villages. Sexual assault cases are 3½ times as likely to be prosecuted in villages with a VPSO, according to the University of Alaska Anchorage Justice Center. If you want to see VPSOs in every village in Alaska, including Nunam Iqua, I'd encourage you to start a petition at Change.org or We the People.

If you do, please send me the link on Twitter (@jdsutter), and I'll add the link here so other readers can sign it.

States where rape is most common

3. Tell your story as part of "We are the 59%"

Fifty-nine percent of women in Alaska will be raped, assaulted, beaten or threatened with violence in their lifetimes, according to a statewide survey. Stand in solidarity with this majority of Alaskan women by sharing your story of survival. Breaking the silence will help end the epidemic by reminding victims that they are not to blame -- and empowering them to have their voices heard. I met several victims of rape and domestic violence in Alaska who told me their personal healing started when they realized they weren't alone.

Visit this CNN.com page to share your story and read other submissions.

4. Host a "Choose Respect" rally (from your phone)

Parnell, the governor, is trying to get the state talking about domestic violence and sexual assault by encouraging people all over Alaska to hold "Choose Respect" rallies in their communities on March 27. The idea is for men to choose respect for women rather than using violence against them. I think the statement can also be read as a demand from any person that the rest of society chooses respect for them and everyone else. Hold your own mini-"Choose Respect" rally taking a photo of yourself and uploading it to Twitter, Facebook or Instagram with the hashtag #chooserespect. Bonus points: Write "Choose Respect" on your hand.

Your photos will show up on this page.

If you're in Alaska, visit this website for info on how to hold a rally.

Alaska faces its 'resident evil'

5. Demand rape kits are counted and tested

More cases of reported rape need to be prosecuted -- and offenders need to be convicted. Otherwise, men assume they can rape with impunity. According to RAINN's founder and president, Scott Berkowitz, 40% of rapes are reported and just 3% result in the offender spending so much as a day behind bars.

One way to improve justice for rape survivors is to ensure that forensic evidence collected from crime scenes is tested. There are massive backlogs of so-called "rape kits" across the country. Hundreds of thousands of kits are untested, activists say, in part because doing so is expensive, and sometimes because these cases aren't given priority. Testing the kits, meanwhile, can result in offenders being charged and convicted.

Katie TePas, a senior policy adviser and Alaska's "Choose Respect" coordinator, said Alaska's backlog of forensic evidence "has been drastically reduced" in recent years. "I do not think we are in dire straits, unlike some other states," she said. Orin Dym, the forensic laboratory manager at the Alaska Scientific Crime Detection Laboratory, said his statewide lab currently has 141 "unassigned requests" for sexual assault kit analysis. It's possible, he said, law enforcement agencies have additional backlogs they never sent to his lab in Anchorage for analysis. The governor's fiscal year 2015 budget would include $115,000 to speed up the processing of the evidence, TePas and Dym said.

Alaska, according to endthebacklog.org and TePas, is part of the majority of states not providing data on the number of untested rape kits and not having legislation to ensure the forensic evidence is tested. You can demand that rape kits in Alaska or in your home state are tested by sending a letter to your elected representatives.

EndtheBacklog.org makes it easy to petition your elected officials.

5.1. Share this post with your friends

The more people who know Alaska has an "epidemic" of rape and domestic violence, the more chance that will change. Please consider sharing this post with friends.

Meet Alaska's pioneer woman

@highlight

Readers voted for John Sutter to cover rape as part of CNN's Change the List project

@highlight

Alaska has the highest rate of reported rape in the country -- three times the national average

@highlight

Sutter: You can help reduce violence against women in Alaska