(CNN) -- Afghan voters will go to the polls on April 5 in what could be one of the most significant presidential elections in the country's turbulent history.

The third election since the fall of the Taliban in 2001, it marks the first democratic handover of power in the fragile country, with incumbent Hamid Karzai -- who is constitutionally bound to step down -- handing over the reins.

With NATO troops scheduled to pull out of Afghanistan by the end of the year, and following the refusal of Karzai to sign a bilateral agreement -- the so-called Status of Forces Agreement -- with the U.S. to keep some troops in-country, Afghan security is in the hands of the next man to be sworn in.

Karzai, once the darling of the West but long since fallen out of favor amid cries of corruption and cronyism, was widely credited with engineering the result last time out, but hopes are high that this election will yield a genuine result -- with the proviso that recent Taliban-orchestrated violence does not disrupt polling.

Out of a field of eleven candidates, analysts believe there are three serious contenders, Abdullah Abdullah, Arshaf Ghani and Zalmai Rassoul.

"Ashraf Ghani and Abdullah are campaigning on the implicit message that they will bring change," Martine van Bijlert, Co-director, Afghanistan Analysts Network (AAN) told CNN from Kabul.

"Abdullah has long tried to be a leader of the opposition. Ashraf Ghani is going on the impression of being a highly educated man, very serious. So the two of them are trying to give this impression of change. Zalmai Rassoul is presenting himself as the favored candidate of the president ... representing continuity."

If next Sunday's poll doesn't produce a clear winner, the top two backed candidates will enter a runoff. However, a back-room deal may be struck to avoid this scenario, van Bijlert says, in order to avoid dragging on an election which is likely to be contentious.

CNN takes a look at the three main contenders to be Afghanistan's next leader.

Abdullah Abdullah

An ophthalmologist and former Northern Alliance medic in a previous life, Abdullah was a vocal critic of the Taliban during their years in power and although he was a previous Karzai ally, serving in his government as foreign minister, he has in later years been a thorn in the side of the man who has ruled Afghanistan since the fall of the Taliban in 2001.

This urbane politician, known for his eloquence -- and his elegance -- took on Karzai in 2009's election but dropped out after the first round in protest to what he saw as large-scale voter fraud. His campaign this time around has been wracked with violence, with three separate attacks by militants on Abdullah campaigners in the past few weeks., according to the Afghan news agency, Khaama.

"The environment is not risk free, but when I look at the enthusiasm of the Afghan people to participate in the elections -- that is part of it is encouraging. It is highly encouraging," he told CNN's Christiane Amanpour earlier this year.

As with many countries, both democratic and otherwise, loyalty along ethnic lines matters a great deal in Afghanistan. Pashtuns make up more than half of the population in this multi-ethnic country, with Tajiks the second-largest group, and a number of minor Turkic and other ethnic groups.

Part Tajik and part Pashtun, Abdullah is considered a relative outsider given his background. He is generally associated with his Tajik side, giving him a possible advantage in reaching out to non-Pashtun voters, but which may work against him if he is forced into a runoff and the other candidates back his Pashtun challenger.

He is seen as a relatively liberal candidate and advocate of women's engagement in public life, telling Britain's Independent newspaper, "If you want to see this country or any other country even being able to deal with the challenges and develop, it cannot happen without the role of half the population."

He has signaled his intention to sign the Status of Forces Agreement with President Barack Obama in an effort to offer his constituents some security following NATO''s planned withdrawal at the end of 2014.

Zalmai Rassoul

While Karzai has said that he will not publicly throw his weight behind any of the 11 candidates running, Rassoul is seen as the establishment candidate. A Karzai ally, he received the backing of the current president's brother, Qayum, who withdrew his candidacy and endorsed the former foreign minister.

"He hasn't been formally endorsed (by the president) but the impression has been allowed to persist," says van Bijlert.

On Wednesday another hopeful, Sardar Mohammad Nadir Naeem, also stepped down and backed Rassoul, giving him further momentum in the run-up to next week's vote.

Another doctor, the former Karzai cabinet minister has a reputation for honesty, despite his years in an administration widely plagued with accusations of graft.

He has said that he will abide by the results of the April 5 poll, even if he suspects fraud, and has urged his fellow challengers to do the same. There have been doubts aired of the government's impartiality and rival candidates have expressed fears that his connections in the presidential palace could be the invisible hand that nudges him to victory.

A moderate, he has urged better relations with the war-torn country's neighbors, and has also followed his fellow candidates' lead by pledging to sign the joint security agreement with the U.S.

His running mate, Habiba Sarabi, is one of only three female vice-presidential candidates on the ballot. Van Bijlert says that this may be a calculated move. "When you're putting together your ticket you try to appeal to as many people as possible, this is also an attempt to reach out to the women voters."

Ashraf Ghani Ahmadzai

A former academic who previously taught at Berkeley and Johns Hopkins University in the U.S., Arshaf Ghani has emerged as a dark horse who recently polled as a potential leading candidate.

A former U.S. citizen who gave up his passport to run for the Afghan presidency in 2009, he's known as having an impatient, fiery temper but also of being incredibly detail-oriented. Another ex-Karzai man, Ghani served as both an adviser to the current president and also as finance minister in his cabinet.

He was working at the World Bank in Washington D.C. during the September 11 attacks, and used the tragedy as a springboard for his re-engagement in Afghan politics, returning to his home country just months after the event.

Considered a moderate, he says he has seen positive signs while campaigning around the country. "(At) rally after rally people are responding to a message of moderation, to message of reform, to message of transformation, to peace, stability and cooperation," he told CNN's Anna Coren.

WATCH: CNN's Christiane Amanpour interviews Ashraf Ghani

His experience in the development agency was invaluable during his time in Karzai's government, reconstructing the country, and he hopes voters will be convinced that it will stand him in equally good stead for the top job.

A shrewd operator, Ghani has enlisted the support of ex-warlord General Abdul Rashid Dostum, a native Uzbek, as his running mate.

With this choice, van Bijlert says, "he'll appeal to the Uzbek vote. The ethnic groups are not solid block,s but the Uzbek one is probably the most solid one. It also shows us that he's prepared to play politics, he's not only principled, which goes both ways. For some people that's a plus and for others it isn't."

However, his many years in the United States -- especially while his countrymen were suffering, first under the yoke of Soviet imperialism and later the strictures of the Taliban -- may impede him as he is seen as an outsider with strong ties to the U.S., merely the latest foreign invaders of Afghan soil.

Long memories

As with 2009, voters' hopes are tinged with skepticism going into Saturday's vote. "People (remember) the last election," van Bijlert says."They know there's been a lot of manipulation, a lot of irregularities. They hope it will be better but most people are fairly realistic."

@highlight

Historic presidential election looms for war-torn country

@highlight

April 5 will see the first round of voting, with a following runoff if no candidate wins outright

@highlight

Out of a field of 11, three candidates stand a realistic chance of winning

@highlight

Incumbent Hamid Karzai constitutionally bound to step down