(CNN) -- Many have criticized the body mass index, or BMI, as being a poor indicator of obesity and of obesity-related health risks. Critics say BMI is too simple to be accurate, that it doesn't take into account a person's muscle mass or where the body fat is located.

Americans, therefore, may be tempted to brush off the easy-to-access statistic -- and the possible need for lifestyle changes -- if they don't like their results.

Alternative methods such as waist-to-height ratios or body composition testing may be more accurate in measuring an individual's body fat percentage. But BMI is just as good at providing information about your health risks and can be easily, reliably and cheaply used by clinicians and patients to provide a useful snapshot of how someone's weight compares to healthy standards.

Your BMI can be calculated online with a simple formula: weight in kilograms divided by height in centimeters squared. In pounds and inches this formula becomes weight in pounds divided by height in inches squared, multiplied by 703 to account for the metric conversion.

A BMI between 18.5 and 24.9 indicates a normal weight; a BMI between 25 and 29.9 indicates a person is overweight; and a BMI of 30 or above indicates obesity.

There are always exceptions to any rule, but when it comes to predicting obesity-related health risks, BMI is among the strongest predictors, regardless of what critics say.

Memphis, most obese U.S. city, moving from fat to fit

Even when compared with other measures such as waist circumference, waist-to-height-ratio, percent body fat, fat mass index or fat-free mass index, the science shows that BMI is just as good at predicting obesity-related health risks.

My research team at the Columbia University Mailman School of Public Health examined cross-sectional measurements of height, weight, waist circumference, percent body fat, blood pressure measurements, cholesterol levels and fasting glucose levels for more than 12,000 adults using information from EHE International's database of patients.

The numbers showed that BMI is the strongest predictor of blood pressure, and the measurement is comparable to other measurements at predicting cholesterol levels. BMI also performed admirably against other measures in predicting fasting glucose levels, which are an important part of diagnosing diabetes.

It's tempting to write off BMI as overly simplistic when it delivers news about our weight and health that we don't like. But the bottom line is that it's time to start using this easy-to-access measure and heed its warnings about your health.

If your BMI is high, chances are good it's because you have excess fat tissue, which means you're at risk for other health problems, including heart disease related to high blood pressure or high cholesterol, and diabetes.

Instead of blindly rejecting BMI, more patients and doctors should be embracing it as a screening tool. Individuals who know they have a high BMI should talk to their doctor about what they can do to get their weight into a healthy range. Doctors should be confident in making lifestyle change recommendations based on an initial BMI measurement.

By accepting reality, focusing on preventive care and heeding the warning signs of a dangerous weight, patients and doctors can work together to build healthy lifestyles, instead of treating the results of unhealthy ones.

Obesity rate may be worse than we think

@highlight

Doctor: Body mass index is useful snapshot of how weight compares to healthy standards

@highlight

A BMI between 18.5 and 24.9 indicates a normal weight

@highlight

Doctor's study shows BMI is helpful in predicting obesity-related health risks