(CNN) -- As Pope Benedict XVI steps down, the moral authority and future of the Roman Catholic Church depends on the next pope forcefully dealing with child sex abuse in its ranks.

Benedict had the power to effect fundamental, institutional change from the top that would have protected children of future generations. Benedict failed to change the Vatican's traditional methods of handling child sex abuse by priests and so abuse of children continued, with thousands of more cases.

Before his installation as pope, Cardinal Joseph Ratzinger was the keeper of the traditional papal secrecy around sexual abuse as the leader of the Congregation for the Doctrine of the Faith. He issued Vatican orders directing cardinals, archbishops and bishops to keep credibly accused priests in ministry, to move them to a different parish or to keep them in the priesthood because they were too young, too infirm or their removal would cause too much scandal for the church.

As pope, he condemned the abuse more strongly than his predecessors, but he did nothing to really change the situation.

News: How is a new pope elected?

What must the next pope do to regain trust and moral authority?

There are seven concrete measures the future pope can and must implement to bring about change within the clerical culture on child sexual abuse.
First, disclose the names of all the clerics credibly accused and known to the Vatican worldwide along with the country, state and parish or school where the offenses were allegedly committed. More than a dozen bishops have already created such lists and made them public.

Second, publicly disclose all of the documents within the Vatican's archives that pertain to reports of child sex abuse, the Vatican's response to it and the hierarchy's role in the abuse. The church must begin to make amends to survivors, and exposing the secrets and concealment contained in such documents is a critical step.

Third, revise church canon law and Vatican protocols so that no secrecy surrounds child sex abuse. Secrecy is toxic, and in it, child abuse flourishes.
Fourth, require each bishop and church official to report clergy accused of sexual abuse of minors to law enforcement.

Opinion: Benedict a pope aware of his flaws

Fifth, retain independent and outside professionals to conduct an audit to assure compliance and reliability. An example of a case where this independent investigation worked is the Louis Freeh Report regarding Penn State and the Jerry Sandusky sexual abuse scandal.

Sixth, retain independent and outside professionals, nonclerics who do not have a requirement of obedience to the pope and bishops, to conduct investigations into child sex crimes by clergy.

Seventh, retain independent and outside professionals to train, educate and modernize child protection procedures and protocols in every diocese worldwide.

To move forward, the Roman Catholic Church and its leader, the next pope, ultimately must handle child sexual abuse among its clergy with transparency and honesty, rather than internally and secretly. Then and only then will the church and its leader regain any moral authority and move the Roman Catholic Church forward from the 16th century to the 21st on child protection.

Can any and all of these things be actually done? Of course. But if past is prologue, the Vatican will continue to operate above the law in denial, minimization and blame.

News: The pope in retirement -- What to expect

I do believe though that there is hope and promise for a better future with a transformative and transparent attitude at the top, with a new pope dedicated to openness and accountability for all clerics who have participated or been complicit in these crimes.

I represent thousands of survivors of childhood sexual abuse by clergy, and in two of those cases, I have named Pope Benedict XVI and the Holy See as defendants, because I truly believe that all roads lead to Rome and thus, responsibility is seated there.

Until and unless there is transformational change at the top, they will continue to be faced with worldwide and mounting global crises, external pressures and the continuing fall of a moral empire. Until there is change at the top, it is business as usual.

The opinions expressed in this commentary are solely those of Jeff Anderson.

@highlight

Jeff Anderson: Pope Benedict XVI's departure is an opportunity for real reform of child abuse

@highlight

Next pope must stop culture of secrecy, he says; make names, documents public

@highlight

Vatican protocol and law must change and abuse reported to police, he says

@highlight

Anderson: Real change will come only with transformation from the top