(CNN)Uber's route to the top has been pockmarked with scandal, from its acrobatic approach to transport regulations to the alleged misogyny of CEO Travis Kalanick.

But fresh claims that the company puts journalists and users under surveillance, and appropriates their data, could pose an existential threat.

The taxi-disrupting service has faced a severe backlash, with analysts and bloggers excoriating the company culture, and the viral campaign #deleteuber thriving across social platforms.

In response to the battering, the "most arrogant startup in Silicon Valley" has been forced onto the defensive. Representatives are emphasizing customer care and community values at the heart of their mission, breaking with their ruthless image.

But if bad publicity has darkened Uber's name it has not damaged its performance. After its latest round of funding, the company is valued at around $40 billion, and the service has expanded its availability from 60 cities in 2013 to over 200 today.

"At this point it's a reputation crisis but is not specific to the job they are doing," says Dr. Audra Diers-Lawson, a specialist in crisis management at the University of Manchester. "The reason Uber is still growing is that people still view them as a good service. If there was a problem with the rides we would see a much more immediate effect."

Audra compares the situation with BP's plummeting stock in the wake of the Gulf of Mexico spill -- "a material crisis, related to their primary function" -- that is still depressing the company's performance several years later.

Uber's crisis is far from unique. In a digital age, reputation has never been harder to safeguard.

"Social media has made the world more transparent so bad news travels faster and spreads further," says Jonathan Hemus, founder of reputation management company Insignia Communications. "I would say reputation risk is higher than ever before."

Given the volume of online opinion, much of it from anonymous critics that could be trolls or competitors in disguise, companies need not always take heed of it.

"Sometimes its better to let it go away," says Justin Fox, executive editor of the Harvard Business Review. "Large, established organizations can ignore petty complaints but must decide who to pay attention to. Every company checks the Klout of its critics."

In some cases, companies have chosen to court controversy and prospered, such as with Ryanair and its combative Chief Executive Michael O' Leary who has often seemed to relish confrontation but posted record profits nonetheless.

"It seems negative but is consistent with the image they want," says Fox. Even spats over charging customers for water or toilet use is "still spreading the message 'we are really cheap'."

A bad reputation can be a blessing says Noel Biderman, CEO of Ashley Madison, a matchmaking service for married people that is thriving despite more opprobrium than Uber has yet faced. The self-styled "King of Infidelity" empathizes with their situation.

"If you're a disruptive business shaking up an existing paradigm you know you will get flak, and you need to have your story straight. Ours is about shifting values in society and in people's behavior."

"Actors from mainstream TV shows are often told 'go and create controversy, let people see your flaws.' It gives them an edge. It can be the same for a company."

A pristine reputation may also be of lesser importance to larger brands, that are better insulated against reputation damage. Department stores such as Wal-Mart and Asda have been regular targets for consumer campaigns, but have continued to thrive through their ability to undercut competitors with lower priced goods. Monsanto have also shown that a dominant position in the market can compensate for negative impressions.

But such respite is only temporary, says Jonathan Hemus. Eventually a bad reputation will catch up with any business.

"In the longer term, no business can afford to maintain a negative reputation. Most successful businesses combine a fantastic product and service with strong, positive reputations and relationships."

"It's possible to recover a reputation, which depends on rebuilding trust and confidence...you have to address the root cause of a problem, and prove you're taking action to stop it happening."

For Uber, there are numerous threats on the horizon that could make an image problem into a wholesale crisis, including tightened regulations, disgruntled drivers, and competitors such as Lyft that can trade off a comparatively friendly reputation.

So can they turn it around?

"Not with this leadership," says Audra Diers-Lawson. "The first thing they need is a new CEO."

Read more: why your business wont grow without a virtual assistant

Read more: Mapping the sharing economy

Read more: Making scents of disaster

@highlight

Uber is under a barrage of fire but business is booming for the start-up

@highlight

Companies can afford to ignore some critics, and may even benefit from attacks

@highlight

Ryanair, Wal-Mart, Ashley Madison among the companies to succeed despite image issues

@highlight

Uber will face more severe problems if its doesn't shake up its leadership