Fort Campbell, Kentucky (CNN)  -- Maylanie Shorter sleeps with a T-shirt tucked in her pillowcase. It carries the scent of her father's cologne while he's on patrol in Afghanistan.

Her younger sister, Ariana, sleeps with her Daddy Doll -- a stuffed soldier that displays a photo of her father across its face.

At 14 and 10, the two girls try to maintain normalcy. They're active in school, they help with dinner, they rally around their mother. And they show no mercy for Pops over the Silver Star he earned by saving several comrades whose armored Humvee was shredded by a roadside bomb. They tease him about a photo of the burned-out vehicle. "How did you take this picture? Weren't you supposed to go get them and help?" Ariana says.

As much as the two laugh, in an instant, the giggles can turn into tears. They want to hold their father again, tickle his tummy. They really want to go fishing with him in their special spot.

While Army Sgt. 1st Class Randy Shorter serves his third combat tour, the lives of his two young girls -- like the tens of thousands of other children with a parent deployed overseas -- are being changed and shaped by a war that is already the longest in U.S. history.

For them, at tender ages, the war is personal.

Heading to 'Hell on Earth'

Four weeks earlier, the girls escorted their father across Fort Campbell to say goodbye.

Dressed in his camouflage fatigues, Randy Shorter wrapped his arms around both his girls. "You try to take it all in," he said. "Take as much time with your family as you can."

Ariana had one arm around her dad; in the other, she clutched her Daddy Doll. Every now and then, she wiped away tears.

"All the emotions are wrapped up in this moment," said mother Sheryll Shorter, who married Randy 14 years ago.

Randy wears four Silly Bandz bracelets on his right wrist -- one for each member of his family and the fourth for Diego, their bug-eyed Boston terrier. In the pocket over his heart, he carries photos of his children and wife.

Roughly 17,000 soldiers from the 101st Airborne Division are deployed as part of the surge in Afghanistan. It marks one of the few times in history when nearly the entire division has been together in battle under one command.

The 101st this summer has seen its highest three-month death toll in Afghanistan since the war began. Every soldier deploying knows the gravity of the situation.

Home and away: Share memories of lost loved ones

As Sgt. 1st Class Shorter waited with his family, other members of his unit begin showing up in their fatigues. After tearful goodbyes, the soldiers headed to a gym. In their hands, they carried soldier readiness packets detailing their medical history, their dental records -- and their wills.

The men represent the epitome of the American soldier -- hulking guys of all races with closely cropped hair, square jaws, and arms the size of pythons. They have an intensity on their faces, steeped in thought, many having to transition from fathers to warriors in an instant.

By week's end, they will arrive in Afghanistan, ready to battle members of al Qaeda and Taliban fighters after an exhaustive series of flights with stops in Ireland, Romania and Kyrgyzstan along the way.

Before shipping out, the soldiers gathered around Lt. Col. Joel Hamby. A giant American flag and a Screaming Eagle banner hung above them.

"Your job is to think about what's next, especially the platoon leaders," Hamby said. "You are the very best, and I thank you for what you're doing today. OK? And I want to see all of you back here in a year."

A chaplain talked to the soldiers about their time overseas, especially those with children. "Let them know you love them, care for them and miss them," said Capt. Bernard Buzulak. "Don't isolate. Communicate."

Randy Shorter soon was on a plane with his comrades headed to a remote region of Afghanistan dubbed "Hell on Earth." They'll be there for a year.

While his daughters have the Daddy Dolls and T-shirt to cling to, he has his own special mementos -- a trinket with a Psalm and letters from home.

He keeps letters from Ariana, Maylanie and Sheryll in a chest pocket. He pulls them out for inspiration on rough days, when he's more than 7,500 miles from the ones he loves most, in the line of fire for his country.

"It brings a sense of home. It actually brings me peace."

On the battlefield, he often rubs the trinket, one of the few items he's carried on all three deployments.

In Kentucky, his family prays and anxiously counts the days until they see him again.

Missing their 'Chooby'

Maylanie arrives home from Fort Campbell High School and immediately begins helping her mother prepare dinner. The family dog scurries along the floor, following her every movement.

"I'm not cutting onions," Maylanie tells her mom.

She begins peeling potatoes. Her mother talks about what needs to get done and other activities for the rest of the week.

"There's gonna be a Wednesday candlelight vigil where they form the Spade," Sheryll says, referring to the ace of spades symbol for the 506th Regimental Combat Team.

"This is for what?" Maylanie asks.

"Your dad."

Maylanie was 4 and had just started kindergarten when her father first deployed. She's now a bubbly teenager in her freshman year of high school.

"It's different now," she says. "Even when he's not here, he's here in my heart, and that's what keeps me going. I pray for him every night and for his soldiers."

Her mom stays active volunteering with a Family Readiness Group, a support network that helps families cope while loved ones are deployed.

Maylanie says she becomes closer to her mother and sister while her father is away.

It's the first time she's lived on post during a deployment. That's helped too, because all the kids understand. Sometimes, she talks to the counselor at school. When she lived off post, her peers couldn't relate. "They'd be like, 'Your dad's in Afghanistan. That's cool!' "

"I try to keep myself busy," she says. "In my down time, I do think about him a lot."

She pauses as she peels. "Do you want these potatoes in a bowl?" she asks her mother.

Maylanie doesn't ask her dad about details from the war zone. "It's probably not something comfortable to talk about with your kids." She prefers to ask about the countryside of Afghanistan -- the mountains, the weather, the people.

In the family living room, Sgt.1st Class Shorter's presence is everywhere. Photos of him in uniform hang on the wall. He has a shrine to Bob Marley; his favorite song is "Buffalo Soldier."

One photo from Fort Benning, Georgia, in 2007 has an inscription: "Thanks for the hard work and dedication, from one partner to another, Godspeed, stay safe and keep your head down."

Ariana soon arrives home from elementary school, one of five at Fort Campbell. As she comes through the front door, she passes a calendar counting the days until their father will return. He'll be home in March for R&R.

It immediately becomes clear just how much these girls love their dad. Sitting on the living room couch, they begin a girl gab session.

They reveal a secret: Dad's nickname is Chooby, short for Chubby Boobies. The two squeal with delight.

"He's ticklish," the younger Ariana says.

"Very ticklish," adds Maylanie. "Like when we go out, he seems all strong and confident. So when he comes home and we tickle him, he's like a little girl! Because he screams. ... We know his weak side."

Ariana whispers. "His secret dream is to go on "American Idol" and win."

Does he have a shot at winning?

The two girls are harsher than "Idol's" Simon Cowell. They say their dad can't sing or dance.

At stoplights, when their father is grooving in the car, they distance themselves. "People will pull up and they'll just be like, 'What the heck is going on with him?' They probably think he's having a spaz attack," Maylanie says.

"Yeah," Ariana sighs.

"But we go along with it. We put up with him," Maylanie adds.

Both girls have their own Daddy Dolls. Ariana takes hers when she has sleepovers at friends' houses. She also wraps herself in a blanket, the same one that kept her father warm in Afghanistan in 2008.

"It keeps me warm a lot," the 10-year-old says.

Ariana buries her head in her hands, unable to speak, tears streaming down her face.

When her younger sister struggles for words, Maylanie takes charge, showing a maturity well beyond her 14 years.

"Families that aren't in the military, they don't understand what you go through," she says. "We don't want to spend our whole entire day thinking about Dad and worrying about him and wondering what he's doing and what he's going through. ... Like, we have to keep going forward, stay positive and just be strong."

Soon, the two are back to their routine. They bury themselves in homework.

By night's end, Maylanie will place her head on her pillow, the cologne from her father's shirt comforting her. He was wearing the shirt in 2008 when he told his daughters he'd soon be heading to Afghanistan.

"We were tickling him in bed, and he was talking about deploying," Maylanie says. "I cried on that T-shirt. ... It gives me security. It's from my dad, and my dad means everything."

CNN's Jason Carroll contributed to this report.

@highlight

Family of Sgt. 1st Class Randy Shorter discuss life while dad's deployed

@highlight

Shorter is on his third deployment, currently in Afghanistan

@highlight

"We have to keep going forward, stay positive," daughter says