New Delhi (CNN) -- We are all Malaysia Airlines Flight 17. The callous, brutal shooting down of an airplane carrying 298 human beings could have happened to almost any other aircraft, carrying any other people, from anywhere in the world.

Indeed, in New Delhi, reports suggest that two Air India flights were nearby when MH17 crashed; one of them, Air India One, was carrying Prime Minister Narendra Modi from Frankfurt back to the Indian capital.

Indian officials have been quick to offer their condolences to the families of the deceased. As a growing number of world leaders accuse Moscow of creating Frankenstein's monster, of giving Ukraine's pro-Russia rebels the heavy artillery that brought down MH17, New Delhi is so far remaining on the fence.

In its ugliest hour, facing the likelihood of unprecedented sanctions, authoritarian Russia can count on at least one powerful ally: India, the world's largest democracy.

Russia and India, bedfellows? Sound surprising?

It shouldn't.

Just last week, before the MH17 disaster, at a BRICS summit in Brazil, Modi expressed his country's deep affection for Russia. "Even a child in India, if asked to say who is India's best friend, will reply it is Russia," declared the Indian Prime Minister.

Or consider how, at a speech in Moscow last year, then-Prime Minister Manmohan Singh said these words: "Russia has stood by India at moments of great international challenge, when our own resources were limited and our friends were few. ... Indians will never forget."

Both Modi and Singh were pointing to decades of steady relations, starting with India's independence in 1947 and its brush with socialism in the 1950s, through the Cold War years and the breakup of the Soviet Union, up to the present moment, with the two nations in the middle of joint naval drills in the Sea of Japan.

The special friendship has disappointed a number of India's other allies. Washington has been frustrated by New Delhi's silence on Russia's annexation of Crimea. Ukraine is even more upset. In an interview with the newspaper The Hindu, Ukraine's ambassador to New Delhi said it especially behooved India to "make a more clear statement on supporting Ukraine's sovereignty and territorial integrity," given its aspirations to be a U.N. Security Council member.

On paper, it would seem that India and Russia are unlikely partners. They share little by way of history or culture, are run on completely different ideals of government and have opposing economic and demographic trajectories.

According to a recent Pew survey, 45% of Indians have a "favorable" view of Russia. Meanwhile, 56% of Indians view the United States favorably. Surely the U.S. -- the world's second largest democracy -- would be a better official "best friend" for India?

If only. As Indian commentator Rajeev Sharma put it in an essay last year, "the Americans are known to be fast in finding new friends when it suits their national interest and faster in dumping them for the same reasons." Russia has been a more reliable ally, according to Sharma. It has long been India's biggest source of arms and, unlike the United States, has largely avoided doing business with India's perennial enemy Pakistan.

Opinion: Putin's big blunder

But if Russia becomes more and more isolated, how long would India stay loyal? At what point would considerations of trade, arms and energy give way to a vision of what India stands for?

In the coming weeks and months, India's government -- a fresh set of leaders with a rare, sweeping mandate for change -- will begin to formulate its foreign policy. It will need to redefine India's place in the world. Put simply, you can't be everyone's friend.

The collective opinion and moral stance of the world's largest democracy matters. It is easy to say nice things about relations with France, the U.S., Brazil and the UK, as New Delhi has done so adeptly in the last few weeks. It is much tougher to manage unpopular friendships.

@highlight

India has a long history of friendship with Russia

@highlight

Ravi Agrawal: MH17 disaster tests the alliance, raises questions

@highlight

He asks, will world's largest democracy continue to side with authoritarian Russia?