Washington (CNN) -- Joel Sartore's photograph of gentle Bryn is a permanent record, but she has been lost forever.

The Columbia Basin pygmy rabbit died in 2008 shortly after the picture was taken. She was the last of her kind.

Sartore, who has worked for the National Geographic Society for two decades, called the brief shooting session with the doomed rabbit a "solemn occasion," knowing she would not be around much longer.

Bryn is one of dozens of animals profiled in a new book, "Rare: Portraits of America's Endangered Species," by the award-winning photographer. See more portraits

Sartore, a Nebraska native, traveled the country to get glimpses of 69 species -- red wolves, Hawaiian orchids, hellbenders (a prehistoric-looking salamander), and sea turtles -- all now or once hanging on the verge of extinction.

As the United States celebrated Earth Day on Thursday, Sartore talked with CNN recently about his passion for raising awareness about preserving the variety of animal and plant life before it is too late.

CNN: This may be the only chance for most readers to see these beautiful, rare creatures.

Joel Sartore: Whatever press these animals get is really minimal. Even some of the animals we call "charismatic mega-fauna" -- like whooping cranes, California condors -- they don't get enough press, so can you imagine the Pyne's ground-plum or the Mount Graham red squirrel -- what odds to they have to ever get even their 15 minutes of fame nationally?

The goal is really to get people first aware of these always amazing plants and animals and to get them to care, before it's too late. A lot of the things that are going away are very small, little plants and invertebrates.

CNN: This book expanded on a National Geographic magazine feature from several years ago. Why do an entire book?

Sartore: I was always interested in endangered species, mainly why we let it happen. If we won't save our own plants and animals, how can we expect poorer nations to do that? So it's always been a bit of an outrage to me that we can let things disappear into extinction.

CNN: You decided not to shoot your subjects in the wild, in their natural habitats. Instead you chose simple indoor backgrounds. Was that a practical or artistic consideration?

Sartore: I needed to drive the point home that the small things are as important, if not more so, than the big things, and I figured by putting them on black and white backgrounds, it would make a rare butterfly as "impactful" as a polar bear. It is a great equalizer, and I tried to capture the intimacy and essence of each plant or animal.

It's really hard to show something like an Iowa Pleistocene snail in a dramatic way when it's the size of a pencil lead and it lives in a kind of in a crack in a rock. If I shot in the wild, I would have had to pass on a lot of small creatures because I couldn't figure out a way to make the picture sexy enough.

CNN: Does taking them out of their natural habitats remove some of the connection with the reader, that these animals exist in a larger wild environment?

Sartore: That really wasn't a concern. I'm desperate to get somebody to care, right now. I have to make as dramatic a picture as I can. The American public cares a lot more about what's on TV and the price at the pump. That's sometimes all they care about, so my job is to get people to stop and think in any way I can that we're talking about a matter of life and death. There's such a disconnect now between humans and the natural world, and it gets worse every year.

CNN: Many of these rare animals exist near human habitation, accessible to people who might want to seek them out.

Sartore: That's true, but it's sad the disconnect from nature is so great that guys like me are having to turn the volume up any way we can on images to try to get people to care before all these species go away. We lost five birds in the turn of the last century, including the passenger pigeon.

I'm seeing this acceleration I never thought would happen in my lifetime -- I thought I'd have a lot more time -- for literally thousands of species, and it's just very hard to get anybody excited about it, which stuns me.

CNN: You shot an ocelot, a neotropical wildcat that ventures into extreme south Texas and Arizona.

Sartore: It wouldn't stay still. It was trained to walk on a leash at the San Diego Zoo, and we got seven minutes with him before he got full. He'll stay in a certain area and not get antsy if you give him treats. The moment he fills up, he's done.

For the grizzly bear, we painted an exhibit area white at the Sedgwick County Zoo in Wichita. That bear was pacing the whole time, so we took pictures of him as we could. Most of the time, the animals aren't happy about it, but this is the only chance they'll get to be seen and so the ends justify the means. Most of the time, it's a really quick process.

CNN: What surprises readers most?

Sartore: The one comment I get from people is: Wow, I had no idea that these things exist and that they're intricate, interesting and beautiful. And they didn't know they are on the edge of not existing.

I'm hoping these pictures give a voice to the voiceless, that they allow some of these things that are living in forgotten marshes or some breeding facility that doesn't have enough funding, that they allow these species to be heard at least once before they go away.

CNN.com: The American burying beetle is not well known, but nevertheless is important to the planet.

Sartore: The St. Louis Zoo has a successful breeding program. That's an insect that was thought to go into extreme decline after the passenger pigeon went away because it's an animal that will actually bury the carcass of a dead bird or a rodent, and then create a nest chamber near it and then the parents shovel food back and forth to the young.

So when billions of passenger pigeons were shot and disappeared, there went the carcasses, (and) the beetle was taken down with it. They've been rediscovered in a few states, but having undisturbed habitat is critical for this animal.

CNN.com: Why should people care, and what can they do about it?

Sartore: Many of the stories we tell are sad ones -- not all. There are many stories of hope -- the California condor, whooping crane, black-footed ferret, bald eagle, and the American alligator. So people can and have done good things. We can make great choices every day to help our planet. Every time we spend money we can help the planet, if we act responsibly.

But if we don't turn things around, things are going to get very uncomfortable. My job is to make great pictures and get people to see what's going on. It's not hopeless, we can turn things around, but we have to first realize there's a problem.

Hopelessness doesn't get us anywhere. It's just a matter of getting people to realize what's at stake. Most of these species are failing because their habitat is being chewed up. It's folly to think that as animals ourselves, we can let the rest of the world go to hell but we'll be just fine. We're all interconnected.

@highlight

Joel Sartore's work appears in 'Rare: Portraits of America's Endangered Species'

@highlight

The Nebraska native traveled the country to photograph 69 endangered animals and plants

@highlight

Sartore says many people are surprised that so many species are on the verge of extinction

@highlight

Sartore: "My job is to ... get people to see what's going on. It's not hopeless"