(CNN) -- He works with the precision and concentration of a surgeon because, well, he is one. But in the basement workshop of Kirk Withrow's Birmingham home, the stakes are much lower.

The ear, nose and throat doctor has what he calls a slightly "obsessive" passion for making things out of other things, chief among them, guitars from cigar boxes.

A patient with a sinus infection introduced him to the instrument during his residency at the University of Alabama Birmingham about 11 years ago and gave him his cigar box guitar. He's been hooked ever since.

"There's a certain element of liberation to it. You're not bound by the rules of what you can get at the store," said the 33-year-old married father of two. "You have the ability to change the things you don't like and make them to your liking... you're pretty much just limited by whatever you can think of."

In the past decade, he has created dozens of cigar box guitars, most of them 3-string, acoustic and electric, though the latter takes more time, he says. He has recorded albums and occasionally plays shows and festivals, though he claims he's not that great and reckons the appeal lies in watching some guy a play homemade instrument.

His manual dexterity and steadiness from being a surgeon helps him shape and fret guitar necks, he said. But most of his day job is figuring out what do do and how to avoid surgery, exercises in problem-solving that translate well to making guitars from colorful, wooden boxes from local tobacconists and liquor stores.

"Surgery isn't as hard as it looks. It's all the thinking and preparing for surgery that takes work," said Withrow, a cheerful Southerner with the muscular build of a rock climber -- another hobby. "That's what I like about my job and making cigar box guitars. It's all problem-solving and innovating."

His obsession makes him part of a small, eclectic group of musicians, crafters and weekend warriors, whose enthusiasm recalls a culture imbued by poverty, when homemade instruments were made out of necessity.

The earliest known proof of a cigar box instrument comes from an etching of two Civil War Soldiers at a campsite, one playing a cigar box fiddle displaying the brand "Figaro," according to CigarBoxGuitars.com. Copyrighted in 1876, the etching was created by artist Edwin Forbes, who worked for the Union Army.

Cigar box guitars and fiddles, along with other homemade instruments, such as jugs and washboards, figured heavily in the rise of American jug bands and blues in the early 20th century, since most performers could not afford manufactured instruments. The Great Depression continued the trend when manufactured instruments were beyond the means of most, but cigar boxes, broom handles and a few wires from the screen door were available to mostly everyone.

The modern revival is a likely tangent of the DIY culture, especially among fans of Delta blues and Appalachian music, which evoke a tinny sound that comes through on acoustic cigar box guitars. Online communities such as Cigar Box Nation host discussions among enthusiasts, whose passion extends to other homemade instruments such as ukeleles, diddley bows, mandolins, even violins.

As with most obsessions, Withrow's takes up the basement level of his home, which is a workshop and shrine to the hobby. An area near the garage door contains the electric bowsaw he uses to shape the wooden necks and a workshop inside the garage contains the typical wall of assorted tools in various shapes and sizes. He claims to keep most of his guitars in rifle cases that fill the shelves because their shape makes them too awkward for guitar cases. Even the bathroom contains a draftsman's table for drying wood and linoleum print cuttings, another hobby of his.

Withrow keeps the guitar his patient gave him in his musical man-cave, among other homemade guitars, a mandolin and a curious-looking stand-up bass known as a washtub bass (or "gut bucket") for its key component.

His creations start at $100 on etsy, but he insists he's not out to make money.

"I absolutely don't want to make them to support myself. Once you switch from making something because you feel like it to doing it because you have to it takes away from it," he said. "My main goal is to make them so they play very well. It's more about the process of doing it. I learn something new every time so I'm constantly reinventing."

@highlight

Patient gave Alabama surgeon his first cigar box guitar more than 10 years ago

@highlight

Kirk Withrow's basement is a workshop, shrine dedicated to making cigar box guitars

@highlight

Homemade instruments emerged in 1930s, when people couldn't afford "real" instruments

@highlight

Modern revival fits in with DIY culture