(CNN) -- President Barack Obama has taken a lot of flak lately, some of which has been deserved. But there is one issue that history is likely to show that he deserves major props for innovation and courage -- climate change. Indeed, the deal concluded with China this week marks another example in which the President has bucked conventional wisdom, attacks from the climate deniers, and even lukewarm support from parts of his own party scared to be honest about the impact of fossil fuels or to come up with creative solutions to the challenges posed by climate change.

Let's start with innovation. The clichÃ© that necessity is the mother of invention is clearly appropriate here. Domestically, despite foot-dragging and overt hostility from the Congress -- soon to get worse with the elevation of Sen. James Inhofe to chair the Senate Environment Committee -- Obama has doggedly used his executive and rule-making powers to put the country on the path toward a lower carbon future. Perhaps he has been inspired by how another president, Franklin D. Roosevelt, had to use smaller scale action like lend-lease to prepare for war, in the face of virulent opposition.

But a global problem also requires international agreements, which is why -- rather than wait for the nearly 200 parties of the United Nations Framework Convention on Climate Change to come to agreement on a huge basket of climate-related issues -- the President is right in finding ways to work with other major greenhouse gas emitters. He hasn't given up on the UNFCCC process, but he is trying more than that.

The reality is that climate negotiations have long been stalled, lost in a Groundhog Day cycle of yearly meetings ending in plans for more meetings. It's a top-down model for negotiations whose effectiveness was put in doubt by reports years ago, and one that ignores the unimpressive success rate of the hundreds of agreements on a variety of environmental challenges that followed the prototype Stockholm 1972 Declaration of the United Nations Conference on the Human Environment.

Instead, policy makers should follow a different approach, one that has had a surprising amount of success over the years -- nuclear disarmament.

Initially, the great powers bet on a single negotiating process, "General and Complete Disarmament," involving all members of the United Nations. But when the Cuban Missile Crisis crystallized the very real danger of the nuclear arms race, key governments identified aspects of the overall problem on which they might find common ground. Gradually, over time, this focus on smaller targets led to solid, incremental progress toward the overarching goals.

The progress really started with the 1963 Limited Test Ban Treaty, prohibiting nuclear testing in the atmosphere, in space, and under the seas. Issues since have been variously resolved opportunistically in multilateral, regional and bilateral fora with alternative bodies picking up the action when other efforts have stalled. The strategy was successful: In contrast to the dozens of nuclear powers expected by 2000, there are in fact only eight now, and there are still expected to be less than a dozen by 2020.

Making deals with massive greenhouse-gas emitters China and India, as the President has done in recent weeks, echoes the productive bilateral arms efforts between the United States and the Soviet Union/Russia, two countries that control 90% of the world's nuclear weapons. Indeed, more than a dozen agreements over 40 years established communications channels and protocols to avoid accidental nuclear wars, and reduce nuclear weapon stockpiles from more than 25,000 each at the height of the Cold War to roughly 5,000 and 12,000, respectively, today.

Of course, a deal-by-deal approach may not be enough to solve every climate-related challenge. But the nuclear context shows that success breeds success, and clear progress can create political momentum for further agreements. Significantly, virtually every multilateral nuclear agreement was put in place even though key countries refused to participate, yet the fact an agreement has been made created political pressures and norms that eventually prompted others to sign up. Essentially, the message is this: Why wait for the entire world to be on-board if a small number can make significant progress.

Here in the United States, a parallel process is already taking place, mobilizing existing resources to improve energy efficiency, step-by-step. As part of this, the President appears to be experimenting -- productively, domestically and internationally -- with a variety of ways to break the huge challenge of climate change into smaller bites and alternative pathways.

And this is where we see courage. Whether the President succeeds is not yet known to us. But he appears to have quietly and thoughtfully reviewed the options before him and staked out a realistic pathway, fraught with many dangers, to try to save humanity from the increasing threat of climate change.

@highlight

Obama has shown courage on climate: Greenspan Bell and Blechman

@highlight

Nuclear talks may offer template for progress, authors say

@highlight

Top-down approach to climate policy doesn't work, they say