(CNN) -- NASA released the first color images of the surface of Mars from its new rover Curiosity on Tuesday, showing a dusty, tan desert dominated by the rim of the crater where the craft landed.

The image -- shot at an angle by a camera on Curiosity's still-stowed robotic arm -- shows the sandy plain ahead of the rover and the northern rim of Gale Crater, where the rover touched down early Monday. The image was shot through a retractable, transparent dust shield over the lens, making it "kind of murky," said Ken Edgett, a senior scientist for the camera's builder, Malin Space Science Systems.

Controllers wanted to make sure the camera still functioned after Curiosity's 352-million-mile voyage and harrowing landing early Monday, Edgett told reporters at NASA's Jet Propulsion Laboratory in Pasadena, California.

Read more on the Mars Rover: Is all this necessary?

"This was basically a focus test," he said, adding, "It works. It's awesome. We can't wait to open it and see what else we can see."

The crater rim seen in the photo is more than 20 km (12.5 miles) from the rover, Edgett said.

Other images beamed back in the first day and a half since the landing include 297 low-resolution color images of the final minutes of its descent. The pictures, posted on the space agency's website, show some of the gyrations Curiosity went through beneath its parachute and the dust kicked up as it touched down.

The $2.6 billion rover made its dramatic arrival on Martian terrain in a spectacle popularly known as the "seven minutes of terror." The landing involve a sky crane and the world's largest supersonic parachute, which allowed the spacecraft carrying Curiosity to target the landing area that scientists had meticulously chosen.

The probe was in "great shape" 36 hours after landing as NASA starts to activate the rover's systems, mission manager Michael Watkins said Tuesday afternoon. But he noted that adjustments need to be made to at least two systems.

Read more: Curiosity opening Martian frontier?

Controllers plan to spend Curiosity's next day raising the mast that holds many of its remote sensors and tweak the high-bandwidth antenna that connects the rover to Earth.

"The antenna mechanism is in fine shape, but it was not quite pointed accurately enough at the Earth for us to get the telecom signal that we wanted," Watkins said. And the Rover Environmental Monitoring Station "did not work correctly" the second time the team tried to test its sensors, leading the researchers behind that project to go back and re-check the unit's data files.

"I would say that it does not appear to be significant at this time," Watkins said. "But these guys are off working it, and it's their baby. Let's let them think about it for a while."

The unit, known as the REMS, monitors ground and air temperatures, humidity, atmospheric pressure and ultraviolet light. Despite the glitches, Watkins said controllers remain in high spirits.

"These are the days that people worked five and 10 years for, going on right now," he said.

Take our Mars quiz

Curiosity is essentially a car-sized mobile science laboratory, packing 17 cameras, a laser that can survey the composition of rocks from a distance and instruments that can analyze samples from soil or rocks. The aim is to determine whether Mars ever had an environment capable of supporting life.

Its prime target is the 18,000-foot (5,500-meter) peak at the center of Gale Crater, Mount Sharp. The stratified composition of the mountain could give scientists a layer-by-layer look at the history of the planet.

Curiosity's landing site is about 12 km (7.5 miles) from the foot of the mountain, NASA project scientist Sara Milkovich said.

The rover is supposed to last for two years on Mars, but it may operate longer -- after all, Spirit and Opportunity, which arrived on Mars in 2004, were each only supposed to last 90 Martian days. Spirit stopped communicating with NASA in 2010 after getting stuck in sand, and Opportunity is still going.

@highlight

NEW: Controllers to tweak antenna, work on sensor glitch, mission manager says

@highlight

First color picture from the surface shows Gale Crater's rim

@highlight

The $2.6 billion Curiosity made its dramatic arrival on Martian terrain Monday

@highlight

"The image sequence received so far indicates Curiosity had, as expected, a very exciting ride," NASA says