Washington, D.C. (CNN)  -- At a time when our nation's top university is more diverse than ever before, Harvard's recent decision to honor its former professor Marty Peretz on Friday for setting up an undergraduate research fund in his name comes as a big, disappointing surprise.

The spotlight is finally shining on Peretz, editor-in-chief of The New Republic, and his history of racist comments against Muslims, Latinos, blacks and others.

Here is the latest blog-post calumny: "Muslim life is cheap, most notably to Muslims" and "I wonder whether I need honor these people and pretend that they are worthy of the privileges of the First Amendment, which I have in my gut the sense that they will abuse."

I and other Muslim-Americans are accustomed to Peretz's outlandish statements. But I felt betrayed that my alma mater would choose to honor someone with such views. I studied the U.S. Constitution and the civil rights movement in Harvard's libraries. I learned about morality and tolerance from its professors. I felt accepted in its cosmopolitan student body.

This decision to honor Peretz harks back to a chapter of Harvard's and America's history that we as a nation have wisely chosen to move past.

Despite the voices raised against it, the university just reaffirmed its decision to recognize him -- although it appears he will no longer speak at the gathering -- citing Peretz's apology.

In fact, his carefully worded response to New York Times columnist Nicholas Kristof's criticism merely apologizes for his "embarrassing" remarks on the First Amendment. To add salt to the wound, he adds that Muslim life being cheap "is a statement of fact, not value."

This comes in the wake of his series of shockingly ignorant comments that have galvanized student groups on campus to protest Harvard's decision to honor him.

An example: In discussing Mexican-American relations, Peretz wrote of "Latin society with all of its characteristic deficiencies: congenital corruption, authoritarian government, anarchic politics, near-tropical work habits, stifling social mores, Catholic dogma ... and increasingly violent modes of conflict."

In another display of ignorance, he claimed "So many in the black population are afflicted by cultural deficiencies."

Ironically, Harvard University cites Peretz's right to free speech as a justification for recognizing a man who says millions of Muslim-Americans are not worthy of the privilege.

But the free speech defense appears to be obfuscation, diverting our attention from what is most troubling about this affair. As Abdelnasser Rashid, who began mobilizing Harvard students to respond, explained to me: "The university lends legitimacy and gives a platform to his racist views by honoring him at this prestigious celebration."

The Harvard platform for Peretz gives racism an intellectual cast and authority and that is a very dangerous thing. When groups like the Tea Parties espouse bigoted views, they are more easily dismissed. But when Harvard chooses to distinguish a man who cloaks his prejudice in intellectual jargon, and then gives him additional credibility by choosing to recognize him out of thousands of its distinguished alumni, it makes scholarship a haven for prejudice.

Peretz contends that certain qualities exist in cultures that don't, in reality, and moreover he claims that these things are innate, a method of sophisticated racism that has existed wherever hatred has manifested itself  -- most painfully during World War II Germany.

Remember, not too long ago, even in American universities, disciplines from biology to psychology justified the inferiority of women, blacks, and Native Americans. Harvard would be wise to move forward and not backward.

When a prominent intellectual promotes such racist ideology, it makes such views more palatable. Many people find it difficult to recognize that educated people can hold ignorant views, and it is even more difficult to challenge such scholarly authority.

Indeed, Peretz's elite background and lofty connections had several people mitigating his recent comments on Muslims as an "oversimplification" instead of what it really is: untrue and odious.

And the timing of the tribute to someone who rationalizes racism couldn't have been more dismal.

During the past holy month of Ramadan, we saw an outpouring of intolerance toward Muslim-Americans, from the ground zero mosque protests to the acts of vandalism and threats against mosques around the country that continue to this day.

I don't think the majority of Americans hate their Muslim neighbors, but when a group is being ostracized, it is easy to just be thankful it's not you. But note that this mentality has always left an aching wound in our past.

Last month, conscious individuals like New York Mayor Michael Bloomberg restored vision to many Americans' blind eye, but someone who has a history of doing the opposite is being honored instead.

The unintended consequence of Peretz's recent comment is that it situates Islamophobia within the larger context of racism at large. As his diversely racist comments indicate, hatred is rarely faithful to one group.

The Peretz affair is a small aftershock of the racial and religious tensions that have shaken our nation over the past couple of months. Its silver lining is that it has mobilized hundreds of students from different backgrounds to unite against bigotry -- something we can all learn from.

The opinions in this commentary are solely those of Nafees Syed.

@highlight

Nafees Syed: Harvard is honoring Marty Peretz, who said "Muslim life is cheap"

@highlight

She says she feels betrayed that alma mater would honor man who espouses such views

@highlight

As ex-Harvard prof and New Republic's editor, Peretz lends legitimacy to bigotry, she says

@highlight

To honor him, she says, lends credibility to all his derogatory remarks about many groups