(CNN) -- The Supreme Court has the most powerful judges in the United States. But common citizens are often behind pivotal cases that those justices decide -- everyday Americans who, by taking their cases to court, made history.

America was reminded of that this week, when the high court ruled in favor of Edith Windsor. She's an 84-year-old New York woman who sued to strike down the Defense of Marriage Act so that the federal government would recognize her marriage to her late partner, Thea Spyer. On a much broader scale, the case was aimed to ensure that legally wed same-sex spouses could get the same benefits as traditional male-female ones.

Windsor may be the latest, but she's not the first American whose name is linked to Supreme Court rulings that have altered society. Below are a few such examples from the country's more than two centuries in existence.

WHO: William Marbury

CASE: Marbury v. Madison (1803)

HIS STORY: Just before he left office, President John Adams commissioned William Marbury -- among dozens of others -- to become a justice of the peace. But his secretary of state didn't follow through. And when James Madison took over that position, he didn't either -- but purposefully, per the direction of new President Thomas Jefferson, who didn't want members of the opposing political party to take office. So Marbury sued.

Chief Justice John Marshall issued the landmark ruling in the case. In the short term, he decided Marbury would not become a justice of the peace in the District of Columbia, as he'd wished.

But the opinion proved far more significant, long term, because it established judicial review -- the idea the courts could strike down laws and the like it deemed unconstitutional. As Marshall wrote, "A Law repugnant to the Constitution is void."

WHO: Dred Scott

CASE: Dred Scott v. Sandford (1857)

HIS STORY: Dred Scott was born a slave in Virginia. He and his family later were moved with their owners to Alabama and eventually Missouri, where he was sold to a U.S. Army doctor.

Together, they moved around -- including in the free territory of Wisconsin -- before ending up back in Missouri. Scott was there when his owner died, after which he sued in St. Louis city court for his freedom -- saying that, for some time at least, he had been free.

So was Scott his own man, or was he still the property of his late owner's widow? The Supreme Court ruled it was the latter, that as a slave he didn't have the rights as white Americans. That included the right to sue in federal court. Chief Justice Roger Taney wrote, "We think they are ... not included, and were not intended to be included, under the word 'citizens' in the Constitution, and can therefore claim none of the rights and privileges which that instrument provides for."

WHO: Homer Plessy

CASE: Plessy v. Ferguson (1896)

HIS STORY: In June 1892, Homer Plessy sat down in the whites-only compartment of a train rolling through Louisiana. A conductor challenged him, and he was arrested for violating state law. He was â…ž white, not 100% that he'd need to avoid a $25 fine or 20 days in jail.

As with others involved in some landmark cases, Plessy was not necessarily caught off guard: He'd been among a group working with the Eastern Louisiana Railroad Company to protest the state law requiring rail companies to provide "separate but equal" places for white and nonwhite customers, and for patrons to follow suit.

The Supreme Court eventually got the case, which had to do not just with Plessy's arrest but more generally state and local Jim Crow laws that had institutionalized segregation including in much of what had been the former Confederacy. Justice Henry Brown, in his majority ruling, upheld such laws in calling it a "fallacy (to assume) enforced separation of the two races stamps the colored race with a badge of inferiority."

WHO: The Brown family

CASE: Brown v. Board of Education of Topeka (1954)

THEIR STORY: There was a school seven blocks from Linda Brown's Topeka, Kansas, home, but she couldn't go to it. But because the third-grader was black, and Sumner Elementary was all-white, she had to walk several blocks and catch a bus to attend Monroe Elementary.

Her father Oliver and other parents petitioned for their children to attend Sumner, then sued to city's board of education after they were denied. The Browns were the first name listed on that lawsuit. They would later become the name at the front of the Supreme Court's milestone ruling, even as others fought the same fight: In December 1952, the court had similar cases on its docket from Delaware, South Carolina, Virginia and the District of Columbia.

Chief Justice Earl Warren's decision effectively overturned the Plessy v. Ferguson that an earlier Supreme Court had passed decades before, which had helped make segregation possible. "The doctrine of 'separate but equal' has no place," Warren wrote. "Separate educational facilities are inherently unequal."

WHO: Ernesto Miranda

CASE: Miranda v. Arizona (1966)

HIS STORY: Ernesto Miranda was in his Phoenix home in 1963 when police came, arrested him and took him to a police station. There, a witness identified the truck driver as the culprit in a kidnapping and rape. So did Miranda himself, in writing -- a confession that was taken into account during his trial, which ended with a guilty verdict.

Miranda challenged that conviction by insisting his confession was invalid. Why? Because, he argued, he had made it without being advised by police of his right to remain silent and to have a lawyer working with him.

The Supreme Court got Miranda's case (among others involving suspects alleging they hadn't been properly about self-incrimination prior to being interrogated), and ruled in his favor. Thus was born what's now known as a Miranda warning, in which suspects are told they don't have to talk to police and have the right to an attorney, whether they can afford one or not.

Miranda's victory, though, was short-lived. He was retried, and once again convicted, in 1967. After getting out after two stints in jail, he was stabbed to death in January 1976 in a fight over a $3 gambling pot.

WHO: Mildred and Richard Loving

CASE NAME: Loving v. Virginia (1967)

THEIR STORY: In many ways, Mildred Jeter and Richard Loving were like any other couple. They'd been childhood sweethearts who tied the knot in 1958 in Washington, D.C., then went back to their home state of Virginia. But their wedded bliss was interrupted one night when police broke into their bedroom and arrested them. Their crime? Mildred was black and Richard was white, at a time when interracial marriage was illegal in Virginia and other states.

The Lovings got out of a pending jail sentence after agreeing to move to Washington. Yet they pressed their case that their marriage, and those of other mixed-race couples, should be valid in the United States. In a 1967 decision, Chief Justice Earl Warren agreed, thus opening the door for all interracial marriages.

"Marriage is one of the 'basic civil rights of man,' fundamental to our very existence and survival," he wrote, citing an earlier case. "To deny this fundamental freedom on so unsupportable a basis as the racial classifications embodied in these statutes, classifications so directly subversive of the principle of equality at the heart of the Fourteenth Amendment, is surely to deprive all the State's citizens of liberty without due process of law."

WHO: Norma Leah McCorvey, aka "Jane Roe"

CASE: Roe v. Wade (1973)

HER STORY: McCorvey was 21, unmarried and on her third pregnancy when she, in the court's eyes, became Jane Roe. In a 1980 autobiography in which she revealed her identity, the young Texan described having a tough life up until then -- including having endured sexual, physical and emotional abuse, a failed marriage and problems with drugs and alcohol.

She was still anonymous in 1973 when Associate Justice Harry Blackmum wrote the majority opinion that legalized a woman's right to an abortion in all 50 states. His reasoning was this falls under a woman's constitutionally granted right of privacy.

Ironically, McCorvey didn't have an abortion. And she later switched sides in the heated debate and became a passionate anti-abortion activist.

WHO: Edith Windsor

CASE: United States v. Windsor (2013)

HER STORY: Edith Windsor met her soulmate, Thea Spyer, in New York's Greenwich Village. They reunited two years later, and soon thereafter Spyer proposed marriage with a round diamond pin. But actually following through seemed out of the question, given that lesbian couples could not legally marry then in the United States.

The couple were together 42 years, marrying in 2007 in Toronto. Two years later, Windsor mourned Spyer's death and realized she faced a hefty bill for inheritance taxes because Spyer was, in legal terms, little more than a friend. She sued, arguing that the Defense of Marriage Act that prevented the federal government from recognizing her marriage as valid was unconstitutional.

On Wednesday, she won. It meant she's now owed back those inheritance taxes but, more significantly, that gay and lesbians around the country can now get "the same federal benefits, protections and dignity as everyone else." "If I had to survive Thea, what a glorious way to do it," she told reporters. "And she would be so pleased."

Sources: National Archives and Records Administration; Street Law, Inc. in a project funded by the Supreme Court Historical Society; National Park Service; Missouri State Archives; Library of Congress; U.S. Department of State; Administrative Office of the U.S. Courts; Arizona State Archives; American Civil Liberties Union

@highlight

Edith Windsor is attached to a Supreme Court ruling on same-sex marriage

@highlight

She's one of many U.S. citizens associated with groundbreaking rulings

@highlight

They include men like William Marbury and women like "Jane Roe"