Editor's note: Dr. Victor Dzau, a physician, is chancellor for health affairs at Duke University and chief executive of the Duke University Health System.

Dr. Victor Dzau says workplace wellness programs could play a key role in health care reform.

DURHAM, North Carolina (CNN) -- At the World Economic Forum earlier this year, a group of corporate executives engaged in a thought-provoking discussion on a variety of health care topics, including workplace wellness programs.

These CEOs, representing some of the top companies in the world, shared some of the specifics of their programs, which are taking a variety of approaches to enhance wellness in the workplace, including ways to make such things as regular exercise and healthy eating appealing to employees.

However, when asked, they agreed that they don't have any evidence that these programs are having the intended impact on improving health or preventing disease.

The discussion made me wonder about how powerful these programs could be if they were linked to research-driven targets for behaviors such as weight-loss or monitoring and management of hypertension.

If done right, couldn't these well-meaning -- but currently unmeasured -- programs figure prominently into the health care reform movement and become an effective and economical way to improve the health of Americans?

There has been a lot of talk about good health promotion and disease prevention in early discussions of health care reform, but how and whether we achieve these aims will make or break the success of health care reform in whatever form it eventually takes.

Many ideas have been bandied about. Public education and community programs are important but insufficient since they are difficult to implement broadly and effectively.

There is a viable mechanism -- already in place -- through which significant improvements in our nation's health can be made. By taking a more organized, standardized and evidence-based approach to employer-sponsored workplace wellness programs, we can create a more effective marriage between public health and prevention.

It's a fact -- most Americans spend the majority of their waking hours at work. The impact of employee health on productivity and cost of health insurance is well documented. In response, many medium and large employers have instituted a variety of workplace wellness programs. Thus, companies are spending money with good intentions.

Unfortunately, there are no national standards or guidelines by which these programs are objectively conducted and measured, making it impossible to know if the various initiatives and their investments are achieving the intended goals.

Meanwhile, reports suggest that 75 percent of our health care costs are spent on chronic diseases like heart disease and diabetes, which are largely preventable.

Let's empower the Centers for Disease Control and Prevention -- the agency charged with keeping tabs on the public's health -- with identifying specific evidence-based wellness and disease prevention activities, as well as corresponding metrics, to be used as the basis for all workplace wellness programs in the United States.

In exchange for adopting these uniform activities, goals and health metrics, companies and organizations would be eligible to receive meaningful tax credits each year based on their individual performance in meeting these objectives. For creative companies and institutions, passing along a financial incentive -- based on tax credits received -- to employees to achieve their wellness objectives could drive a greater commitment to healthy activities.

And, perhaps an annual ranking of company, or organizational, performance against these national workplace goals and health metrics would foster a healthy competition in the same way that other industry performances are now ranked by national media. Ultimately, the goal is to have all workplaces conform to national standards and achieve measurable health status of employees just as OSHA, the Occupational Safety and Health Administration, measures and enforces standards for workplace safety.

A program such as the one I'm suggesting should be relatively easy to implement. CDC should have access to the data necessary to begin formulating a list of activities and performance metrics. Most would agree that coming up with such a list would be largely intuitive as the risks associated with high blood pressure, obesity, and type 2 diabetes, to name a few, are well known, but it must also include flu shots, cancer screening and other evidence-based programs.

In working to ensure that President Obama's $634 billion health care "downpayment" is spent effectively, we must remember that because companies are already shouldering the cost of these wellness programs, relatively little new money is needed to make them more effective and provide performance incentives.

Such an approach would also, for the first time, provide companies and organizations with an objective basis for making investments in workplace wellness. I, for one, would be thrilled to know that our institution's annual workplace wellness commitment could be effectively measured and a return on investment understood and calculated.

The most recent figures from the U.S. Census Bureau suggest that about 64 percent of working Americans are employed by companies with 100 or more employees, many of which likely already have some kind of workplace wellness program in place. This represents more than 73 million people out of a total workforce of almost 120 million people.

Obviously this idea misses those Americans who are uninsured, work in small businesses without workplace wellness programs, or have lost their jobs in the recent economic downturn, and would require some further creative thinking about the implementation of meaningful wellness options that would reach everybody. But we must start somewhere.

Tackling health care reform is going to be a long, arduous, necessary and overdue process. But, I think it would be a mistake to delay taking meaningful actions to improve the nation's health as we wait for a solution to the overall health care challenge that could take years.

The opinions expressed in this commentary are solely those of Victor Dzau.

@highlight

Victor Dzau: Companies offer programs to improve health of their workforce

@highlight

He says programs should be based on national standards to ensure they work

@highlight

Dzau: CDC should do research to show what standards companies should use

@highlight

He says government should give companies tax credits if their programs succeed