(CNN) -- When thousands of people converged on Madison, Wisconsin, for the Reclaim Wisconsin March this year in protest of Gov. Scott Walker, Jim Jorstad was there.

Standing amongst the thousands of people at the state Capitol, Jorstad, director of technology at the University of Wisconsin-La Crosse, documented the historic moment and shared it with the world through the Internet.

As the Arab Spring swept through Egypt in 2011, Ahmed Raafat of Cairo captured the people demonstrating in Tahrir Square with his Nikon and uploaded his videos and photographs online for the world to see.

Cynthia Falardeau of Vero Beach, Florida, was part of a personal revolution. Falardeau is an advocate for her son, who has special needs. The Internet became a place for her to meet and share her experiences with parents who are in a similar situation. Through her online presence, she was able to bring support and awareness to parents of special-needs children.

Although these three iReporters have little in common, they were able to share the stories that surround their lives through technology. The ability to express oneself online has become so important in today's world that the Human Rights Council of the United Nations recently passed a landmark resolution (PDF) about expression over the Internet.

In the July 5 resolution, the council states that freedom of expression over the Internet is a basic human right. The U.N. said in the document that it "recognizes the global and open nature of the Internet as a driving force in accelerating progress."

Even China, where strict censorship of the Internet led Google to end operations in the country, signed off on the resolution.

In response to the resolution, CNN asked iReporters to share how the Internet has changed their lives. The responses, which included sharing photos with friends and connecting with family overseas, came from dozens of people around the world.

Raafat explained that the Internet allows him to contribute to the revolution in Egypt. "We didn't have freedom, so the Internet served as a free space where we can express and share our views and opinions freely," he said.

In his video, Jorstad stands in front of a multimedia presentation, with words such as "freedom," "explore" and "think" flashing in the background. "Through the Internet, we can connect with one another," he said. "It's a mechanism to share your content with the world, perhaps inspiring others."

The Internet inspired Kristian Ortiz to share his story about being gay in America. The Virginia Beach resident says that through online forums, he can show people that being gay does not mean he is different from others. "I just want to show people we are normal," he said.

John Mollison uses technology to give a voice to combat veterans. The artist and historian interviews veterans who were pilots in World War II, the Korean War and the Vietnam War, and then he draws their aircraft and shares their stories through his website.

"A lot of these 'old guys' have turned into the grandfathers I never had," he said. "Without the Internet, these stories would likely be locked up in memories or relegated to the geek aisle of a bookstore."

For many, the Internet is not only a place to share stories but to make a living. That's the case of Veronica Mendoza of San Juan City, Philippines. She transformed her presence on the Internet into a classroom, helping students like a group of hearing-impaired Filipino children create multimedia videos.

"I'm earning a living and doing all the things I love through the Internet," she said.

Beth Alice Barret also found a career online. The New Yorker was part of the dotcom boom, creating an online presence with her site. "The rapid growth of the Internet ... is exhilarating. It's a chance to express and promote a dream, an idea -- a career," she said.

"I'm excited to be a part of a new world."

It is the hope and promise of the Internet that inspires Omekongo Dibinga to connect with other people who aspire for global peace. The Washington resident works specifically in the area of genocide prevention in Central Africa, and through his work online, he is able to connect with people -- or, as he describes them in his video, peacemakers -- who care about bettering the world as well.

"The Internet has shown me that more people are committed to ending atrocities in places like the Congo than just my colleagues," Dibinga said.

For some, the Internet is a place of familiarity. Hannah Jones of Dallas, a former contestant on "America's Next Top Model," says that at the age of 8, she started playing games on the Internet. "In the fourth grade, I remember caring for my virtual pet," the 21-year-old said.

She hopes that people continue to respect the Internet as more and more people across the world gain access to the Web. "It is the most valuable resource for information and communication," she said. "It is a neutral space for us to resolve issues and concerns throughout the planet as one united force."

But perhaps the most common response from iReporters was that the Internet allows them to more easily connect with faraway people and places.

Although Niena Sevilla lives and works in Saudi Arabia, she is able to stay in touch with her children who live in the Philippines. "I am inspired by the way the Internet has impacted me in terms of my career and my personal life," she said.

Jerry C. Gonzales agrees. As an immigrant in New Zealand, he finds that the Internet can help ease the pain of homesickness. And Nyasha Chikwekwete of Alexandria, Virginia, can connect with her family in Zimbabwe. You never have to feel lonely on the Internet, she said.

"You can always connect to someone," she said.

Many iReporters added that it was not just the connection to people but places as well that made the Internet so powerful.

Trevor Dougherty of Chapel Hill, North Carolina, used social media to help him travel to Japan. He says the conversations and connections he has made through sites like Twitter and Facebook vastly affected his life, inspiring him to become a world traveler.

"Although the Internet has some weird and unfortunate aspects, it is largely a vehicle for all kinds of creative communication and collaboration. I think we should do everything we can to keep it open and free to use for everyone," he said.

Despite the varying ways the Internet has changed people's lives, almost everyone who participated in the CNN iReport assignment said it was the instantaneousness that made all other aspects of it possible.

"You are just a click away," Chikwekwete said. "If you have never been to a place you want to go to, you can just Google it and virtually be there."

@highlight

U.N. council says freedom of expression over the Internet is a human right

@highlight

CNN iReport challenged its community to explain how the Internet affected their lives

@highlight

iReporters from all over the world sent in 60-second videos about why they use the Internet

@highlight

Many people use the Internet to share information and connect with others