(CNN) -- Jack Welch, the former chief executive of General Electric, was unhappy that the Labor Department reported a 0.3 percentage point decline in the unemployment rate on Friday. In fact, he was sufficiently unhappy that he accused the Obama administration of using its control over the Labor Department to cook the numbers in a tweet just after the unemployment rate was reported. He even repeated the claim in a Wall Street Journal opinion piece on Wednesday.

Perhaps Welch could get away with this sort of temper tantrum nonsense when he was running one of the biggest companies in the world, but he will only get ridicule pushing this line in policy debates. Either Welch doesn't have any clue about how the unemployment data are collected, or he is just a liar.

First, it is important to understand that the Bureau of Labor Statistics -- the division of the Labor Department that reports data on unemployment -- is run by career civil servants. Ordinarily, the commissioner is a well-respected academic economist who is appointed by the president. However, since the previous commissioner left this year, John Galvin, a career civil servant, stepped up to fill the role of acting commissioner. This means the bureau does not have a single political appointee.

Fortune: Welch says he's quitting

It is also important to understand the way the data for the survey are compiled and published. The survey involves hundreds of people at various stages in the process of collecting and compiling the data. Even if Galvin or some other top official in the bureau wanted to lie about the numbers, they couldn't possibly do it alone.

Suppose they just changed the unemployment rate from a "true" rate of 8.1% to a bogus 7.8% rate. They would have the problem that this 7.8% number was inconsistent with the data on unemployment rates for whites and African-Americans. Or it would turn out to be inconsistent with the data on unemployment for young people and old people.

If the perp just changed the overall unemployment rate, hundreds of experts would quickly find that numbers did not add up. The drop in the unemployment rate would not be consistent with other data in the survey. This would be easily detected.

In order to successfully manipulate the data, it would be necessary to change hundreds of numbers that get reported each month. This would require the cooperation of dozens of top people at the Bureau of Labor Statistics.

Maybe in Welch's world, it is possible to go around with a big wad of money and buy off people at the drop of a hat, but the idea that someone from the Obama administration wandered through the top echelons of the Bureau of Labor Statistics to buy their cooperation in fixing the unemployment numbers is absurd on its face. Perhaps someone could be found who would be willing to be bought, but the rest would be singing their story on the national news.

The other problem with Welch's charge is that he obviously has no knowledge of the unemployment series itself. In fact, it is common for the numbers to jump around. He found it incredible that the unemployment rate fell by 0.5 percentage points over two months when the economy appears to be growing slowly.

How about when it fell by 0.7 percentage points from November 2010 to January 2011, when growth was also very weak? Was this political manipulation of the data? On the other side, the unemployment rate jumped by 0.2 percentage points in the summer of 1996, when the economy was growing at a 7.1% annual rate.

If Welch knew the data at all or bothered to talk to someone who knew the data before he made his outlandish charges, he would realize that the unemployment rate is an erratic series. It moves around in unpredictable ways.

I am on record as saying that Friday's drop in the unemployment rate was a statistical fluke. So was the 0.1 percentage point rise reported for July. But the economy has been adding 150,000 jobs per month, which is consistent with a declining unemployment rate. To get a full picture of the economy, you have to study the all the data and try to put together pieces of the puzzle. That may not fit Welch's political agenda, but that is the world we live in.

The economists and statisticians at the Bureau of Labor Statistics may not be the most exciting people in the world, but they are honest. And for that, we should be very grateful. When we get data from them, we know that it has not been doctored for political purposes.

Join us on Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Dean Baker.

@highlight

Jack Welch expanded on his suspicions about jobs numbers being manipulated

@highlight

Dean Baker: Welch has no real knowledge about how statistics are assembled

@highlight

Baker: Career civil servants put numbers together based on data that tend to be erratic

@highlight

Agency's workers are honest, not subject to political pressure, he says