Washington (CNN) -- A "top kill" method intended to stop the runaway flow of oil in the Gulf of Mexico will likely be tried early next week, BP Chief Operating Officer Doug Suttles said Friday.

In the procedure, thick, viscous fluid twice the density of water will be pumped at a high rate into the site of the leak to stop the flow so that it can then be sealed with cement, Suttles said.

"Our best estimate is probably Tuesday," he said, noting that the operation has never been tried in such deep water.

The timing for the "top kill" effort appears to be slipping: BP Managing Director Bo Dudley said Thursday night that the company would try the procedure this weekend.

Suttles offered no explanation for the discrepancy.

"We're working very, very hard with BP on the timeline for the 'top kill,' " said U.S. Coast Guard Adm. Thad Allen, national incident commander. "That's the ultimate near-term solution."

Obama announces oil spill commission

BP is working to assemble "a massive amount of equipment" at the site, Suttles said, including three deep-water rigs, drilling rigs, sub-sea support vessels and up to 16 robotic submarines.

"These operations are quite complex, and we won't start the job until all the equipment has been staged and all the equipment is in place," he said.

But no one expects the effort to solve all the problems associated with the spill.

"We will not rest, even if they secure the flow, even if this 'top kill' is completed successfully next week," Coast Guard Rear Adm. Mary Landry said. "We have a long row to hoe" to ensure that the damage that has already occurred is mitigated.

Landry expressed disappointment Friday over BP's efforts to clean up oil on the shores of Terrebonne Parish, Louisiana.

Though boom and skimmers had been staged there, "the folks were hesitating in deploying that," she said.

Asked to what degree it will be possible to clean oil from the marshes, Allen said that oil in the marshes is "the worst-case scenario for us to deal with in terms of recovery." That's because mechanical cleanup can do more harm than good, he said.

"In some cases, burning may be an acceptable solution," he said. Any such decision would be made on the scene in consultation with representatives of the state and the parishes involved, he said.

But officials had unqualified praise for the weather, which has been cooperating fully in recent days, leaving the seas dead calm.

"These are ideal conditions for skimming," Landry said, noting that the percentage skimmed has risen to at least 50 percent from the typical 10 percent.

Sub-sea dispersants are also being used, she said, "so we're not seeing a lot of oil coming to the surface."

On Thursday, the Environmental Protection Agency ordered BP to find a less toxic chemical to break up the oil than the one it has been using, Corexit 9500. The chemical has been rated more toxic and less effective than many others on the list of 18 EPA-approved dispersants, according to testimony at a congressional hearing Wednesday.

BP has found no immediate replacement candidate, Suttles said. "Our analysis that we submitted to EPA last night said there were no other dispersants we could identify that were available and less toxic," he said.

BP was to meet later Friday with the EPA to discuss alternatives, he said.

As the continuing spill enters its second month, debate and concern have focused on just how much oil is spewing from the broken riser a mile below the surface. A federal technical team comprising scientists from the federal government and academia has been charged with estimating the flow rate based on video and other data. The estimate will be peer-reviewed and "given rigorous oversight by the federal government and academia," Landry said.

That estimate is likely to be complete "sometime next week," she said.

BP has estimated the flow at 5,000 barrels per day, but independent estimates have exceeded that by many times, and Suttles acknowledged Friday that the company's estimate contains "a huge amount of uncertainty."

The 5,000-barrel figure translates into 210,000 gallons per day. That's 8,750 gallons per hour, 145.8 gallons per minute and 2.4 gallons per second.

Suttles said he flew over the region Friday morning and saw no oil close to the coasts of Alabama, Mississippi or Florida.

But oil has shown up in seven locations on shore so far, with no new sightings in the past day, according to Suttles. He said cleanup activities were going on in each location.

Other efforts to stanch the leak continue. Drilling of the first of two relief wells has reached 8,950 feet, said Lars Herbst, regional director for the Gulf of Mexico of the Minerals Management Service, and work on the other has begun.

U.S. Rep. Charlie Melancon, D-Louisiana, concerned about people who are working to clean up the spill, has asked the White House to set up temporary health care centers along the Gulf Coast to serve volunteers and workers.

Melancon envisions such clinics as providing "medical checkups to people who have come in contact with the oil and assist[ing] in monitoring the health effects of the oil leak on south Louisianians."

He sent the request Wednesday to Health and Human Services Secretary Kathleen Sebelius. There was no immediate response from the agency.

Track the Gulf oil spill

"Many residents and volunteers are being exposed to hazardous materials on a daily basis, and some will have to travel hours to get treatment at the nearest health care facility. It is imperative that temporary health care clinics be established to provide basic health care services in this geographic area," he said.

He has also asked Sebelius to "appoint a health care coordinator to oversee and streamline the health care response."

Melancon emphasized that BP should be responsible for such health care services in his state. The energy giant was operating the oil rig that exploded and sank in April, triggering the spill.

iReport: Track the spill, share stories

The spill began with an April 20 explosion and fire that sank the drill rig Deepwater Horizon two days later. Eleven workers were lost with the rig, which was owned by drilling contractor Transocean and hired by BP.

The resulting slick now threatens the coastal marshes of southeastern Louisiana, where brown, syrupy oil made it past protective booms and into the wetlands near the mouth of the Mississippi River on Wednesday.

CNN's Ed Henry, Ed Lavandera, Marylynn Ryan and Aaron Cooper contributed to this report.

@highlight

BP to try pumping fluid into well to stop Gulf oil leak

@highlight

Burning marshes hit by oil may be an option, Coast Guard says

@highlight

Congressman calls for temporary centers on Gulf Coast to address health worries

@highlight

Estimate of amount of oil pumping into Gulf grows