(CNN) -- You're lounging in an airy villa -- with rain showers and a plunge pool fed by natural hot springs -- in the Costa Rican rainforest. A personal host tends to your every need, whether arranging a wildlife-spotting hike or a private yoga lesson in the open-air studio. It's just another unforgettable day at Nayara Springs, one of the top-rated hotels.

For 19 years and counting, Travel + Leisure magazine has asked readers to vote for their favorite hotels and resorts, evaluating them in categories like value, food, service, rooms and location. More than just a list of the best properties, the World's Best Awards results also highlight bigger travel trends -- including where travelers, as a community, are going.

A significant number of this year's winners are close to home, with the share of U.S. properties growing by more than 19 percent over last year. Three of the top 10 hotels overall are in the U.S. -- in 2013, there were none. Triple Creek Ranch, in Darby, Montana, holds the No. 1 spot; Ocean House, in Watch Hill, Rhode Island, is No. 5, followed by the Langham Chicago at No. 6.

10 spectacular U.S. waterfalls

Chicago has a prominent place among large urban hotels (100 rooms or more) in the U.S., with four of the top 10, while Charleston, South Carolina, dominates the category of urban hotels with fewer than 100 rooms.

The total number of Caribbean properties also doubled over last year, yet readers are still finding time to visit far-flung places. A third of the top 50 hotels are in Australia, Africa and Asia. Notably, Southern Ocean Lodge, on Australia's Kangaroo Island, comes in at No. 4 overall. South Africa and Udaipur, India, each have two top-10 properties, including, respectively, Singita Sabi Sand (up to No. 7 from last year's No. 10 spot) and Taj Lake Palace (No. 10, up from No. 29).

Of course, you'll also find plenty of world-class options in European destinations -- Paris, Budapest, Florence, you name it -- plus dream-worthy resorts in Mexico and Hawaii.

We dare you to read about the World's Best Hotel winners and not immediately start planning your next getaway.

No. 1 Triple Creek Ranch, Darby, Montana

Score: 97.44

A luxurious mountain retreat, Triple Creek Ranch knows how to pamper its guests (adults only). Itineraries are tailored to fit your preference of activities, among them, scenic hikes, wildlife spotting, wine tastings, cattle drives and helicopter tours above Glacier or Yellowstone National Parks.

When you're ready to come indoors, upscale log cabins set a romantic mood with wood-burning fireplaces, hot tubs and locally woven woolens. And staffers are on hand to welcome you with fresh-baked cookies -- or recommend a bottle from the 2,000-strong wine cellar. Don't be surprised if you feel one stay wasn't enough; approximately half of all visitors are repeat guests.

No. 2 Nayara Springs, La Fortuna, Costa Rica

Score: 97.00

At Nayara Springs, each of the 16 villas comes with its own plunge pool, drawing on mineral-rich spring waters from Arenal Volcano next door. Venetian mirrors, hand-loomed rugs and hammocks add to the easy-breezy vibe at this secluded jungle retreat, complete with a spa and yoga or Pilates offered daily.

Get to know your neighbors -- namely howler monkeys and blue morpho butterflies -- on a tour with one of the local guides. It's just one of the experiences that your personal host can coordinate.

Travel + Leisure: Beautiful Beaches to Visit in 2014

No. 3 Four Seasons Hotel Gresham Palace Budapest

Score: 96.91

Once an apartment complex during Hungarian Communist rule, this 179-room hotel is now one of the Four Seasons' grandest properties. The luxury brand gave new life to the 1906 Art Nouveau structure with a $125 million restoration, and ever since, the hotel lobby has wowed visitors with its stained-glass windows, mosaic tiles and custom-made crystal chandelier. Opt for a Danube-facing room, and plan your visit during summer to check out the nearby Festival of Folk Arts at Buda Castle.

No. 4 Southern Ocean Lodge, Kangaroo Island, Australia

Score: 96.27

At Southern Ocean Lodge, each of the 21 suites is outfitted with limestone floors, works by local artists and an outdoor terrace. Don't look for an AC switch -- it's unnecessary here: The lodge was built to take advantage of natural weather patterns on Kangaroo Island.

Book the glass-walled Osprey Pavilion suite for a private plunge pool and hand-carved granite bath, or try your luck fishing Hanson Bay. Chef Tim Bourke will incorporate your catch into a dish along with local produce.

Travel + Leisure: 25 Ideas for Your Best Summer Ever

No. 5 Ocean House, Watch Hill, Rhode Island

Score: 96.20

A Victorian oceanfront hotel renovated to the tune of $146 million, this 1868 property is as grand as ever. Croquet lawns nod to old-world glamour, while 49 light-filled guest rooms and 22 private villas feature modern bathrooms and custom-made furnishings.

Consider visiting in the off season -- moody skies, long walks on the private beach and cozy treatments at the hotel spa make for a romantic stay. We recommend requesting the Grand Deluxe Room 301 for its ocean views, freestanding tub and blue-tiled fireplace.

No. 6 The Langham, Chicago

Score: 96.00

Located in the landmark Mies van der Rohe IBM building, The Langham, Chicago offers guests expansive views of the Chicago River and city skyline from floor-to-ceiling windows.

Opened in July 2013, it's already a local favorite thanks to detail-oriented service -- everyone from the receptionist to the porter gets to know guests by name. And don't forget to pack your bathing suit: The pool at the Chuan Spa is a welcome oasis in the Windy City.

Travel + Leisure: The Ultimate Bacon Guide

No. 7 Singita Sabi Sand, Kruger National Park Area, South Africa

Score: 95.82

Singita Sabi Sand game reserve comprises two lodges with interiors by emerging African designers: Boulders, a stylish rustic property built into the landscape, and Ebony, a lodge that puts more of a vintage spin on safari.

Spend an indulgent night indoors -- well-stocked wine cellars and private outdoor showers come standard -- or embrace your adventurous side with a mountain-bike ride through the bush or a photography-focused safari. For once-in-a-lifetime views of elephants bathing in the Sand River, book Ebony Lodge's Suite 1.

No. 8 Londolozi Game Reserve, Kruger National Park Area, South Africa

Score: 95.80

Five family-run lodges on 42,000 acres of South African wilderness make up this Kruger camp known for its frequent leopard sightings.

All 32 rooms and 12 spacious suites have access to the destination's five restaurants and bars, but we recommend booking Villa No. 1 in the newly-built Pioneer Camp. Set among 500-year-old ebony trees along the Sand River, it's the perfect secluded spot to get away from it all.

After you've had your fill of traditional game drives, visit a local village, women's cooperative and school on the property's Four Pillars of Hope tour.

No. 9 Oberoi Udaivilas, Udaipur, India

Score: 95.76

Built on the former hunting grounds of maharajas, the Oberoi Udaivilas sits gracefully on its own island near Udaipur. Upon arrival, you'll be met at the airport by a car and driver, guided onto a private boat, then ferried across Lake Pichola and into the gardens and fountains of the Udaivilas estate.

Book one of nine Premier rooms for a private pool, terrace and views of wildlife including peacocks, spotted deer and wild boar. Then wander through the on-site Bada Mahal, an 18th-century former palace with delicate frescoes. Come back to the lakeside property a second time to receive traditional mirror-work coasters or jewelry boxes -- departure gifts given to repeat visitors.

No. 10 Taj Lake Palace, Udaipur, India

Score: 95.75

Rising from a rock foundation on its own island in Lake Pichola, this 263-year-old white marble palace offers its guests a water view from every one of its 66 rooms and 17 suites.

DÃ©cor is nothing less than opulent, with classic interiors enhanced by colorful frescoes, glistening mosaics and rich silks. For a day trip to the Jaisamand Wildlife Sanctuary or into the city of Udaipur, hire one of the hotel's vintage cars and take advantage of the property's personal butler program.

See more of the world's best hotels

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Travelers have picked their favorite hotels around the world

@highlight

A Montana ranch pampers its guests with helicopter rides and cattle drives

@highlight

One game reserve features lodge interiors by emerging African designers