(CNN) -- For ardent royalists and keen followers of the Queen's Diamond Jubilee celebrations, there could have been few more fitting tributes to the British monarch's abiding reign than Sunday's 1000-strong flotilla.

The vast fleet of multi-colored, eccentrically-clad yachts - which included everything from ancient tall ships to Viking-style longboats -- was led by a gold-gilded barge carrying the queen herself, reflecting an intimate and centuries-old communion between the royal family and the high-seas.

Throughout history, British monarchs have relied on the country's sea power to protect their kingdom and conquer new territories. During the 18th and 19th centuries their naval conquests ensured that the "sun never set" on its empire, but even though times have changed since then, the monarchy still enjoys a very special relationship with the symbolically titled Royal Navy.

The queen's husband, Prince Philip, is its Lord High Admiral, while her son Charles holds the rank of Admiral -- having taken command of his own ship in 1976. Prince William is Sub Lieutenant and Commodore-in-Chief for Scotland and Submarines and completed an attachment with the Royal Navy in 2008.

The queen's father, George VI, was the last British sovereign to have seen action in navy battle when, as a 20-year-old Sub-Lieutenant in the Royal Navy, he fought during the First World War in the Battle of Jutland, May 1916.

But it's not just in the arena of naval warfare that the royals exhibit their maritime affections.

There are probably few finer examples of a regal leisure boat than "Her Majesty's Yacht Britannia," built especially for the queen in 1953.

Now decommissioned and on display in Edinburgh, Scotland, the vast and lavishly designed "Britannia" has sailed over one million miles during 44 years of service over the course of 968 official royal visits.

Once described by Queen Elizabeth as "the one place where I can truly relax," the royal yacht was built to many of her specifications. Over the years it played host to the likes of Sir Winston Churchill, Boris Yeltsin, Rajiv Gandhi and Nelson Mandela and has been used for four royal honeymoons - including Prince Charles and Princess Diana's 16-day trip in the Mediterranean.

Back on the Thames, British monarchs have a long-standing tradition of using the winding river to celebrate different types of royal events such as processions, receptions, coronations, weddings and christenings.

According to the Diamond Jubilee Pageant historians, King Richard III may have been the first English monarch to go to his coronation by water, rather than by land, in 1483.

Four years later Henry VII didn't spare any costs when his queen, Elizabeth of York, was escorted up the river by a company of barges adorned with red, flame-breathing dragons.

A generation later, Anne Boleyn's coronation in 1533 was one of the grandest spectacles ever seen on the river. Reports from the event suggest that it featured an impressive armada of more than 300 lavishly-apparelled vessels, and her leading barge contained a moving mechanical dragon -- complete with men dressed as monsters, casting fire towards the spectators on the riverbank.

An altogether less frightening pageant was hosted by King George I, who commissioned German-born composer Handel to write him a piece for the event in 1717. The "Water Music" concert was performed for the king on his barge and, according newspaper reports of the time, he enjoyed it so much he ordered the 50 exhausted musicians to play the suites three times during the trip.

"Back then the Thames was the biggest boulevard in London, so if a monarch wanted to make an impression on the populous they would do it on the river," said Pageant Master Adrian Evans, the man responsible for organizing Sunday's eye-popping event.

As Britain began to industrialize, the number of royal pageants began to dwindle. At the time the river was virtually an open sewer, with the Houses of Parliament once having to be abandoned because MPs were "overpowered by the smell," according to the official Diamond Jubilee Pageant website.

The industrialization during the Victorian era also meant the streets of London were paved and broadened to make way for machinery and traffic.

"When the streets started to be redeveloped the event planners realized it was easier to do these types of celebrations on dry land, so they forgot about the river," said Evans.

Until now that is. After decades of hard work to clean the Thames,. it is now enjoying a new era of popularity.

Read more from Mainsail: 'Queen of yachting' captures sailing's golden era on film

"The relationship between the river and city has changed over the past 30-40 years. The Thames is now one of the cleanest metropolitan rivers in the world. The best new architecture in London is built on the riverbank's edge, and a walk by the riverbank is one of the most popular things for tourists to do when they come to visit," said Evans.

"I think it's fabulous that the river has sunk back into the hearts of the city. So it makes absolute sense that the Diamond Jubilee pageant should be on the river," he added.

Ultimately, the royal family's love-affair with sailing vessels "comes down to the fact that Britain is an island nation" according to Hannah Cunliffe, from the National Historic Ships UK organization.

Pageant master Adrian Evans agrees, but says that the symbolic connection between royalty and the sea reflects a broader disposition embedded in the national psyche: "Britons' relationship with water runs deep, and our characters have been forged by the canals and the rivers."

@highlight

The British royal family has a centuries-old relationship with boats and the sea

@highlight

Sunday's flotilla most recent in a long line of regal celebrations on the Thames

@highlight

Britain's identity as a small island nation is significant in royal's affinity with boats