(Health.com) -- Used to be, when you grabbed breakfast on the go, it was a diet disaster: nothing but fat-and-calorie bombs like butter-soaked croissants and jumbo muffins. Now, it's much easier to do right by your body: Fast-food legends like McDonald's and IHOP, as well as newbies like Cosi and Panera Bread, offer surprisingly healthy options that are filling, light, and much easier on your arteries.

The key to finding a healthy breakfast, says Christine Gerbstadt, MD, RD, spokeswoman for the American Dietetic Association, is finding a good-for-you mix of complex carbs (like whole grains), protein, and healthy fats to keep you satisfied.

So with that in mind, we asked our team of experts to choose and rank the best a.m. grub. Here, the standouts -- and why each one made the cut.

1. Spinach Florentine Breakfast Wrap (Cosi)

Meet the breakfast wrap that packs nearly as much protein as a burger. That's an award-worthy benefit: "When you wake up, your body hasn't had fuel for about 10 to 12 hours," says Dr. Gerbstadt, one of our judges. So this standout refuels you and keeps you satisfied so you don't overnosh the rest of the day.

"With most other breakfasts, you would need to add another food to get this much protein," Gerbstadt explains. "Plus, the fiber content is much higher than you'd usually find in such a high-protein meal."

Calories 334; Fat 21g (sat 8g); Protein 24g; Carbohydrate 21g; Fiber 11g; Sodium 516mg

Room for improvement: The fat content is on the high side (since the wrap is made with eggs), so eat low-fat fare throughout the day -- or split this hearty pick with a friend.

Health.com: America's top 10 healthiest fast food restaurants

2. Protein Artisan Snack Plate (Starbucks)

This Starbucks sampler scores high for having all the components of an ultra-satisfying breakfast -- protein, fiber, whole grains, and fresh produce, says panelist Frances Largeman-Roth, RD, senior food and nutrition editor at Health magazine.

You get to nibble on yummy fare -- hard-boiled egg, cheddar and apple slices, multigrain muesli bread, grapes, and honey peanut butter spread -- in the right portions, Largeman-Roth explains: "It's like a healthy tapas plate for breakfast."

Calories 370; Fat 19g (sat 6g); Protein 13g; Carbohydrate 36g; Fiber 4g; Sodium 470mg

Room for improvement: Along with all that protein and fiber, you get 19 grams of fat. Tip: Eat half of either the honey peanut butter spread or the cheese.

3. Berry Topper Ideal Meal (Jamba Juice)

The name is spot on. "It really is an ideal meal because it meets all of your nutrient needs," says judge and nutrition expert Robin Miller, the host of Quick Fix Meals on the Food Network.

It's made with yogurt and soy milk, great sources of calcium and vitamin D two nutrients women often lack. Also blended in are vitamin C--packed strawberries, blueberries, and bananas. And the organic pumpkin flaxseed granola gives you a dose of healthy fats for heart health.

Calories 300; Fat 4.5g (sat 0.5g); Protein 9g; Carbohydrate 59g; Fiber 7g; Sodium 85mg (for 12 ounces)

Room for improvement: Stick to the small (12-ounce) size -- larger serving sizes load on the calories.

Health.com: The best fat-burning breakfasts

4. Apple Cinnamon Oatmeal (Au Bon Pain)

It's no surprise that two oatmeals made our list. Oatmeal is a favorite among dietitians because it contains two kinds of fiber: the insoluble kind, which helps prevent constipation, and the soluble type, which digests slowly to help regulate blood sugar.

"Oatmeal is more filling than many other cereals," Gerbstadt explains. Au Bon Pain's oatmeal edged past the McDonald's version (#6) because it has less saturated fat and sodium, plus more protein and fiber. Still, you can't go wrong with either.

Calories 280; Fat 4g (sat 1g); Protein 8g; Carbohydrate 56g; Fiber 7g; Sodium 10mg

Room for improvement: The protein content is a bit low: Make it more filling by eating a few nuts or a yogurt on the side.

5. Scrambled Egg Whites, Chicken Sausage, and Fruit (Denny's)

Yes, you can have eggs and sausage! But pass over the Grand Slam menu and look for these better-for-you breakfast "sides" to design your own morning meal. "This is a really well-rounded breakfast," Largeman-Roth says. It's not too high in sodium, either; a surprise for a sausage breakfast, she says.

Calories 230; Fat 9g (sat 0g); Protein 19g; Carbohydrate 19g; Fiber 3g; Sodium 447mg

Room for improvement: Order a piece of whole-grain toast (without butter or margarine) to increase the fiber factor, adding about 100 more calories.

Health.com: 7 breakfasts under 300 calories

6. Fruit & Maple Oatmeal (McDonald's)

The judges praised McDonald's for adding this good-for-you pick with fresh fruit to its menu (breakfast antioxidants at the drive-through -- nice). This tasty treat includes diced green and red apples, dried cranberries, raisins, a touch of cream, and brown sugar. Plus oatmeal's soluble fiber helps lower cholesterol and control blood sugar, helping to fight off diabetes, Largeman-Roth says.

Calories 260; Fat 4.5g (sat 1.5g); Protein 7g; Carbohydrate 48g; Fiber 5g; Sodium 115mg (for oatmeal without brown sugar)

Room for improvement: Watching calories? Order it without the brown sugar to save 30 calories. "You won't miss it with all the fruity flavors," Largeman-Roth explains.

7. Simple & Fit Veggie Omelette (IHOP)

A veggie omelette is a great way to sneak more nutrient- and fiber-rich produce into your power breakfast, Miller says. In this case you get a flavor-fest of green peppers, mushrooms, onions, and oven-roasted tomatoes. "And the side of fruit adds a nice (sweet) touch," she says.

Calories 320; Fat 10g (sat 1g); Protein 21g; Carbohydrate 40g; Fiber 8g; Sodium 420mg

Room for improvement: This omelette is made with "egg substitute" (which contains mostly egg whites); if you prefer the real thing, ask your server to substitute egg whites instead.

Health.com: 5 shortcuts to a heart-healthy diet

8. Western Egg White & Cheese Muffin Melt (Subway)

For just 160 calories, this melt with egg whites, Black Forest ham, green peppers, American and Monterey Jack cheeses, and red onion stacked on an English muffin lets you eat light without feeling even a little bit deprived.

Don't like peppers or onions? Order your melt with fresh tomatoes and spinach instead. If you want something more substantial, round out your meal with Subway's packaged apple slices or yogurt.

Calories 160; Fat 4g (sat 1.5g); Protein 15g; Carbohydrate 19g; Fiber 5g; Sodium 680mg

Room for improvement: This pick didn't show up higher on our list because the sodium count is high.

9. Egg White Turkey Sausage Wake-Up Wrap (Dunkin' Donuts)

No need to deprive yourself if you're watching calories and fat: The reduced-fat cheddar cheese, egg whites, spinach, and turkey sausage in this winner from Dunkin' Donuts make this a healthy indulgence.

Calories 150; Fat 5g (sat 2.5g); Protein 11g; Carbohydrate 14g; Fiber 1g; Sodium 400mg

Room for improvement: This pick tastes rich, but it's small, so it may not keep you full for as long as the egg options higher on our list, Largeman-Roth explains. It's also low in filling fiber, so pair it with a piece of fruit for more fuel.

Health.com: America's healthiest mall food

10. Breakfast Power Sandwich (Panera Bread)

This egg, Vermont white cheddar, and smoked lean ham sandwich serves up as much protein as a 3.5-ounce fish fillet, Gerbstadt says.

Also praiseworthy, she adds, is Panera's whole-grain bread. Made of rye, spelt, amaranth, and flax, it's brimming with good-for-you nutrients like vitamin B2, niacin, manganese, iron, magnesium, and selenium.

Calories 330; Fat 14g (sat 6g); Protein 22g; Carbohydrate 31g; Fiber 4g; Sodium 830mg.

Room for improvement: "This sandwich has a lot of sodium," Largeman-Roth notes. But you can slash 300 milligrams simply by ordering it without the smoked ham.

Copyright Health Magazine 2011

@highlight

Some items from Panera Bread serve up as much protein as a 3.5-ounce fish fillet

@highlight

Egg substitute contains mostly egg whites

@highlight

A veggie omelette is a great way to sneak more nutrient- and fiber-rich produce