Washington (CNN) -- Initial legal challenges to the government's sweeping electronic surveillance programs began to emerge with one couple alleging they were singled out for monitoring because they criticized the U.S. military.

A $3 billion class-action complaint by Mary Ann and Charles Strange of Philadelphia was believed to be the first civil case against the Obama administration since last week's blockbuster disclosure in published reports about the super-secret National Security Agency surveillance efforts.

The disclosures in the Guardian newspaper and the Washington Post have outraged civil libertarians, political liberals and some conservatives, and triggered new policy and privacy debates. But legal challenges are expected to be uphill fights in federal court.

The Stranges' suit and another by civil liberties groups this week centered on phone monitoring in which the NSA is said to have received data from a major telecommunications company.

"This dragnet program is surely one of the largest surveillance efforts ever launched by a democratic government against its own citizens," said Jameel Jaffer, said legal director for the American Civil Liberties Union, which joined with the New York Civil Liberties Union in filing suit.

They argue the program, which the White House says is carefully and lawfully applied and a necessary tool in fighting terrorism, violates the First Amendment free speech rights as well as the Fourth Amendment right to privacy.

No sign of NSA leaker as U.S. investigation builds steam

The complaint also charges the initiative exceeds the authority that Congress provided through the Patriot Act, which was a response to the September 2001 al Qaeda attacks against the United States.

The Stranges' son, Navy SEAL Michael Strange, was killed in a 2011 helicopter crash in Afghanistan.

Along with the government watchdog Freedom Watch, the Stranges say their phone records were illegally accessed by domestic spy agencies because they "have been vocal about their criticism of President Obama as commander-in-chief, his administration, and the U.S. military."

A former NSA computer contractor, Edward Snowden, has admitted to leaking details about government surveillance activities, telling a British reporter that Verizon Business Network was ordered by a secret federal court to turn over details of phone calls published from April 25 to July 19.

Intelligence officials later confirmed the program, which analysts say likely covers all U.S. carriers.

That disclosure and a second involving NSA surveillance of e-mails have reignited debate about government collection of personal data in the global hunt for terrorists and criminals.

Civil liberties advocates say the measures are unacceptable intrusions. But supporters say they are legal and have yielded evidence that has helped stop terror plots.

The Stranges have sued Obama, Attorney General Eric Holder, NSA director Keith Alexander, Verizon, government agencies and the judge who signed the secret order on phone monitoring.

House has tough questions about secret surveillance

In the complaint, the couple claims their privacy and free speech rights were compromised by the alleged "criminal acts."

The alleged surveillance "violated plaintiffs' and class members' right of freedom of association by making them and others weary and fearful of contacting other persons and entities via cell phone out of fear of the misuse of government power and retaliation against these persons and entities who challenge the misuse of government power."

The lawsuit offered no specifics of any targeted surveillance. The Stranges based their allegations on "information and belief."

They previously filed a lawsuit against the government over the Afghanistan copter crash that killed 38 people. Strange, 25, and fellow members of his elite SEAL Team VI were killed, along with other American Special Forces, National Guard, and Afghan military troops.

The Stranges and other families of those killed have alleged a government cover-up, questioning the official story of the incident.

The Stranges say that questioning has made them targets for surveillance.

There was no initial response to the surveillance lawsuit from administration officials, including the Justice Department.

Freedom Watch head Larry Klayman said in a statement it was necessary to hold the government accountable.

"We cannot allow a 'Big Brother,' Orwellian government spy on the American people to access their confidential communications to effectively turn 'citizens into its prisoners.'" he said. "That is why this class action lawsuit, which all Verizon users are welcome to join, no matter what their political persuasion, will serve as the vehicle for a second American revolution, one that is carried out peacefully and legally, but also forcefully."

Other lawsuits over the NSA surveillance program could be filed in coming days by other telecommunications customers.

The ACLU, other privacy advocates and individual telecom customers have challenged various National Security Agency programs in the past, but have not been successful in federal courts.

The Supreme Court in February blocked a lawsuit over sweeping electronic eavesdropping on Americans potentially linked to suspected foreign terrorists and spies.

The Philadelphia case is Klayman v. Obama (1:13-cv-851).

Second term mostly drama for Obama

@highlight

Philadelphia couple, ACLU file lawsuits over surveillance

@highlight

Court complaints involve NSA phone monitoring

@highlight

Legal challenges expected to be uphill fight in federal courts

@highlight

President Barack Obama says surveillance necessary and lawful to fight terror