(CNN) -- Pope Francis generally comes off as so hip, so completely at home in the 21st century, it's tempting to forget he's also a deeply religious believer and therefore sees the world fairly differently than most of his fellow celebrities and pop culture icons.

We'll get a reminder of the point on Sunday, when Francis presides over a service in Rome's Basilica of St. Peter featuring a rare public exhibit of what Catholic tradition regards as the bones of Peter, the Church's first pope.

The secular mind can't help asking, "Are these really Peter's bones?" and "How do we know?" For believers such as Francis, however, the more relevant question is, "What spiritual message do they have?"

In a nutshell, the pope, as well as the throngs of believers who'll line up to see the bones, will venerate them not on the basis of empirical evidence, but a spiritual conviction that they evoke the very origins of the papacy and of Christianity. They invite devotees to see themselves as part of a 2,000-year "communion of saints" whose original leader was a poor fisherman, who the Bible says denied Jesus three times, yet whose faith was so strong in the end that he gave his life to defend it.

The exhibit is designed to wrap up a "Year of Faith" for Catholics around the world originally launched under Pope Benedict XVI, and carried to its conclusion by Francis.

To be sure, there's a beguiling detective story behind the bones.

Detective story

St. Peter's Basilica was originally constructed in 330 A.D. by the Emperor Constantine, over an old pagan cemetery believed to be the burial site of Peter, whom tradition holds was martyred by being crucified upside down.

For the next sixteen centuries nobody poked around underneath the basilica to see what was actually down there, feeling that the site was too sacred to be disturbed.

In 1923, however, the world was dazzled by the discovery of King Tutankhamen's tomb in Egypt, a global sensation that left a deep impression on a young Italian cleric named Eugenio Pacelli. When Pacelli became Pope Pius XII in 1939, he authorized a dig under the basilica, and in 1942 archeologists found a niche they believed housed Peter's remains.

Unfortunately, the fragments turned out to belong to several people. It took a couple decades before experts singled out a set of bones belonging to a man who had been 5ft 7in tall, of heavy build, and who was aged between 60 and 70 at the time of his death, all of which were consistent with traditional depictions of Peter.

Stains suggested the bones had been wrapped in a purplish, gold-threaded cloth, symbolizing a person of importance. Most intriguing, an inscription was found near the cavity that linguists reconstructed as Petros eni, which in ancient Greek could mean, "Peter is within."

That was enough for Paul VI, the pope at the time, who announced in 1968 that the bones of Peter had been identified "in a manner which we believe convincing."

Yet debate swirled then, and still does, about how reliable that identification actually is.

Logic of faith

In truth, all one can say for certain is that these are ancient human remains found in a spot devoted to Peter's memory. Since there's no DNA sample to compare, there's no way of proving whether the bones are really his.

A top Vatican official conceded as much in 2000, saying the Church is in a "very discrete and insecure position" on the bones and that references to Peter's remains are "a bit relative."

It's similar to the situation with the alleged bones of St. Paul, preserved in another Roman basilica, which were subjected to carbon-14 testing in 2007 under Pope Benedict XVI and shown to come from the first century. That test provides a date, but not an identity. In other words, we still don't know if the bones really belong to the apostle.

That's where the logic of faith takes over.

First of all, the bones Francis will venerate on Sunday spent centuries resting in the site linked to Peter's martyrdom and burial. That history makes them, at a minimum, what Catholic tradition regards as "relics by contact," meaning objects physically connected to the legacy of the saint.

Beyond that, Francis knows these bones have been hallowed by countless acts of prayer and devotion, and that like other famous relics, such as the Shroud of Turin or the Belt of Mary, they evoke awe and devotion regardless of their actual provenance. Especially for the first pope from Latin America, a continent where popular devotion is the very soul of religious experience, that mystical power is not to be dismissed.

Faith, as the Bible puts it, lies in "the evidence of things not seen." In that sense, an exhibit of the bones of St. Peter, surrounded by scientific controversy yet wrapped in a blanket of belief, is probably the perfect capstone for a "Year of Faith."

Read more: Pope to put 'St. Peter's bones' on display
Read more: Pope embraces severely disfigured man
Read more: A popular Pope, but the same old church?
Read more: Would the Mafia target Pope Francis?

The opinions expressed in this commentary are solely those of John L. Allen Jr.

@highlight

Roman Catholics will gather at the Vatican Sunday for service marking "Year of Faith"

@highlight

Bones believed to be those of St. Peter will be displayed for first time

@highlight

Vatican analyst says while bones' identity is unconfirmed, they are an object of devotion

@highlight

John Allen: Bones are a "scientific controversy... wrapped in a blanket of belief"