New York (CNN) -- A Pentagon estimate that Afghanistan is home to nearly a trillion dollars in sought-after minerals is good news, but it provides no assurance that the nation is on its way to peace and productivity, says analyst Fareed Zakaria.

Zakaria told CNN he is skeptical of the idea that you could "divide $1 trillion by the population of Afghanistan to reach the conclusion that every Afghan will be rich ... the history of natural resources and mineral wealth is that it produces enormous corruption and mismanagement, and very often the money does not go down to the average person."

U.S. geologists reported Monday that Afghanistan has large supplies of iron, copper and gold, along with other valuable minerals but cautioned that quick riches were not in store.

"Turning the potential of Afghanistan's mineral wealth into actual revenue will take years," said State Department spokesman P.J. Crowley.

Zakaria said, "It can be made more effective. Australia has lots of natural resources, Canada has lots of natural resources, but you really have to create an honest and efficient government, which gets us back to the central problem in Afghanistan."

The author and host of CNN's "Fareed Zakaria GPS" spoke to CNN on Wednesday. Here is an edited transcript:

CNN: The New York Times reported this week that Pentagon geologists had discovered what amounts to a potential  trillion-dollar lode of minerals in Afghanistan? What's the significance of that finding?

Fareed Zakaria: Well I think it's great work on the part of the Pentagon. I know the assistant secretary of Defense, Paul Brinkley, has been working on this. He's done some amazing work in Iraq in getting their economy started. I think that it's very important to find some viable economic model for Afghanistan. I have to say, however, that finding the minerals is the easy part. Creating a real economy that distributes the wealth that this produces in an effective and efficient and honest way is the much, much larger challenge.

Think about the countries around the world that have great mineral wealth -- Nigeria, Russia, Zimbabwe. These are not places where the average person is doing well. Nigeria is the sixth-largest oil exporter in the world and its per capita GDP [Gross Domestic Product] is abysmal.

CNN: The government in the hands of Hamid Karzai has been criticized for not being transparent and for not tackling corruption. Has there been any progress on that?

Zakaria: I think there has been some progress. Karzai has been willing to speak out and act in ways that he hasn't before. His attorney general has brought charges and prosecuted people. Clearly not enough -- the government is riddled with corruption at every level -- but there is some movement.

But I would say the first great challenge that Karzai faces is to make his government seem legitimate in the eyes of the people.

And some part of that is about the government not being seen as corrupt, but some part of it is also about him creating a broad-based coalition -- and that means making sure that he's not excluding from government, from patronage, from local councils, those people who have credibility and political support in their areas.

The key to this government's success or failure is if the Pashtun community -- which makes up 50 percent of Afghanistan and 100 percent of the insurgency -- sees the government of Hamid Karzai as their government as opposed to an alien force. That's where the bulk of the work has to take place.

For more on the region, read the "Afghanistan Crossroads" blog

CNN: It's been reported that Karzai doesn't believe that the war against the Taliban can be won on the battlefield?

Zakaria: I think that's a fair statement, and I think he's right. If the Taliban is to some extent an expression of Pashtun resistance to this government ... this is not an alien force coming from outside that you can defeat and they will go home to Saudi Arabia or wherever it is.

Most of them, the vast majority, are Afghans, so you're going to have to live with them. And that means while of course you have to defeat militarily the most radical, the most intransigent elements of the Taliban, you also have to make deals to include some of them, particularly in mid- and low levels in some kind of new consensual framework.

So if what Karzai means is you're going to have to share power with some Pashtuns who have been identified with the Taliban, I think he's absolutely right.

If you look at the end of civil wars, they almost always end in some form of negotiation. There's very rarely complete annihilation or outright defeat of the opponent. Unlike wars between two states, in a civil war the people you're fighting are people you're going to have to live with the next day.

The United States should not be allergic to the idea of political solutions to Afghanistan, because that is the only viable way we are going to get peace and stability.

CNN: Is it your sense that there is conflict on this issue between Karzai and the U.S.?

Zakaria: Well the United States was opposed for a long time to the idea of any kind of deal making with the Taliban. Through most of the Bush administration, the was regarded as completely impermissible. ...

I think there has been a change in recent months, and it should be encouraged.

CNN: So you think the Obama administration is not wary of making concessions to the Taliban?

Zakaria: Well, it doesn't seem to have same allergy to negotiations, but they're not moving wholeheartedly on that front. For example, the crucial issue for many members of the Taliban is that they be taken off the U.N. blacklist, where they're described as terrorists.

Their view is that this is a national resistance movement. They're not al Qaeda, and they were never part of al Qaeda, and we have been very reluctant to take them off the blacklist.  We should be looking at that list very carefully, trying to figure out if there are people there we do want to try to negotiate with.

If you do want to negotiate with them, one great prize you can offer them is to take them off the U.N. list. So we've got to remember that there are real concerns that these people have about their own physical safety and security that need to be addressed. If we want to see them take some significant moves, we will have to take some significant moves as well and taking them off the U.N. blacklist is probably the most important.

CNN: Is that the major obstacle to political stability in Afghanistan right now?

Zakaria: The ultimate obstacle to stability is that Pakistan remains a safe haven for some of the most violent and extremist groups in Afghanistan, including the Afghan Taliban and other terrorist organizations. ...

What is worrying is the fact that there is renewed activity from these groups, and the working together of various terrorist groups. There are new reports that Lashkar-e-Taiba, which is the Pakistani terrorist organization that has operated mainly against India and was implicated in the Mumbai terror attacks, is now operating against Afghanistan and is responsible for some of the terrorist attacks there. ... There's a report out from the London School of Economics this week that finds that there continue to be strong ties between the Pakistani military and these terrorist groups.

That problem of the Pakistani connection remains at the heart of the Afghan situation. It's very difficult to see how you can have a stable Afghanistan when you have safe havens in the neighboring country and the possible complicity of the military in that country. The Pakistani military still believes at some level that maintaining ties to these militants is what gives them leverage in Afghanistan.

CNN: As you say, the Taliban would argue that they shouldn't be on the U.N. blacklist because they're a national resistance movement, but are they sheltering al Qaeda?

Zakaria: Those elements that are sheltering al Qaeda should not be taken off the blacklist. But all the evidence I've seen suggests that what remains of al Qaeda is entirely in Pakistan at this point and is being sheltered by groups in Pakistan, not in Afghanistan. ...

There's a lot of the insurgency that's a local Afghan insurgency. Those are the people we should be trying to get to switch sides, not the ones who have deep connections with the radical groups in Pakistan or certainly not with al Qaeda.

The key to the victory in Iraq was that you won over people in the middle, and you isolated the very extreme parts of the insurgency. We should making somewhat similar efforts in Afghanistan.

@highlight

Pentagon estimates Afghanistan has nearly a trillion dollars worth of minerals

@highlight

Fareed Zakaria says such wealth often does not trickle down to most people

@highlight

He says key to success is a political settlement that legitimizes Afghan government

@highlight

Zakaria: U.S., Karzai should woo away moderate elements of Taliban