(Health.com) -- Girls in the United States are entering puberty at earlier ages than they have in the past, a new study reports.

More than 10 percent of white 7-year-old girls in the study, which was conducted in the mid-2000s, had reached a stage of breast development marking the start of puberty, compared to just 5 percent in a similar study conducted in the early 1990s.

Black and Hispanic girls continue to mature faster than white girls, on average. Nearly one-quarter of black girls and 15 percent of Hispanic girls had entered puberty by age 7, according to the new study, which appears in the journal Pediatrics.

But the trend toward earlier puberty is not as pronounced among blacks as it is among whites, the researchers say. Although the rate of early puberty among black girls in the study (23 percent) was higher than that observed in the early 1990s (15 percent), the increase was not statistically significant.

Health.com: Is it baby fat or obesity?

"White girls are catching up," says Dr. Frank Biro, M.D., the lead author of the study and the director of adolescent medicine at Cincinnati Children's Hospital.

Experts aren't sure what's behind the increase in earlier puberty, but it's likely due to a combination of factors, including the childhood obesity epidemic and substances in the environment.

Early puberty in girls is a growing public health concern because studies have shown that girls who start puberty earlier are more likely to develop breast and uterine cancer later in life. The National Institutes of Health funded the study as part of a larger investigation into the environmental factors that contribute to breast cancer risk.

Video: Girls becoming women sooner

"Breast cancer is such a common problem, so if we can find some of the things that make it more likely, we could improve screening of those early developers," says Dr. Susan Nickel, M.D., an assistant professor of pediatrics at the Texas A&M Health Science Center College of Medicine, in Temple. (Nickel was not involved in the new research.)

Cancer risk isn't the only concern surrounding early puberty. Early development in girls has been linked with poor self-esteem, eating disorders, and depression, as well as cigarette and alcohol use and earlier sexual activity.

"If an 11- or 12-year-old girl looks like she's 16, people will interact with her as if she were 16," Biro says. "Early maturation increases the rate of risk-taking behaviors and lowers academic performance. It doesn't mean it's going to happen, but it could."

Health.com: Plastic baby bottles and BPA: Health risk or hysteria?

Between 2004 and 2006, Biro and his co-authors assessed the breast development of more than 1,200 girls ages 6 to 8 in three major U.S. cities (New York, Cincinnati, and San Francisco). The stage of development in which a girl's breasts begin to "bud" is considered the onset of puberty, not her first menstrual cycle.

The average age of the first period has declined as well, says Nickel. "Girls used to get their first menstrual period at 14 or 15," she says, but now the average is closer to 12.

Health.com: The big three hormones

Regardless of their race, girls with a higher body mass index (BMI) -- a ratio of height to weight -- tend to mature sooner, the researchers found. This finding, which has been reported in other studies, suggests that soaring obesity rates among children may be contributing to the rates of early puberty.

But it's not yet clear why girls -- and especially white girls -- are starting to physically mature at younger ages. One theory is that excess body fat affects the levels of hormones that trigger puberty.

Health.com: 4 things that mess with your hormones

Chemicals in the environment -- most notably bisphenol-A (BPA), which is found in many hard plastic products -- may affect hormones as well, says Dr. Gary Berkovitz, M.D., a professor of pediatric endocrinology at the University of Miami's Miller School of Medicine.

A girl's experience in infancy and even in the womb may also contribute to earlier puberty, according to a second study that appears in the same issue of Pediatrics.

Health.com: Make play areas greener and safer for kids

In that study, which included about 4,000 girls in the United Kingdom, researchers from the Centers for Disease Control and Prevention found that mothers who had their first period before age 12, smoked during pregnancy, and were pregnant for the first time had daughters who entered puberty sooner than other girls.

Above-average weight gain during infancy was also associated with earlier puberty, the study found.

Copyright Health Magazine 2011

@highlight

Experts aren't sure what's behind the increase in earlier puberty

@highlight

Studies showed girls who started puberty earlier at greater risk for certain cancers

@highlight

Doctor: Chemicals such as bisphenol-A (BPA) may affect hormones