(CNN)  -- On the heels of the passage of Arizona's racial profiling law, tens of thousands of people from all over the country have marched in support of human rights and against the legislation.

That law, SB 1070, requires Arizona law enforcement agents to determine the citizenship status of people they stop if the officer has an undefined "reasonable suspicion" that the person is not in this country lawfully.

The ACLU and a coalition of civil rights groups filed a lawsuit this week challenging the unconstitutional law. There is little doubt among experts that the new Arizona law will lead to increased racial profiling.

Civil libertarians have criticized the law as a violation of basic constitutional rights because it transforms Arizona's Latino community and other people of color -- who may be presumed by law enforcement officers to be in the country "unlawfully" -- into potential criminal suspects.

Constitutional scholars have criticized the legislation by invoking the supremacy clause of the U.S. Constitution, which prevents states from usurping the federal government's authority to regulate immigration.

But what has been largely absent from the public debate about the legality and morality of SB 1070 is Arizona's blatant violation of international human rights law, as underscored by several U.N. experts.

The law flies in the face of Arizona's human rights obligations, particularly the International Convention on the Elimination of All Forms of Racial Discrimination (ICERD), which the United States ratified in 1994 and which is binding on all levels of federal, state and local governments, including Arizona Gov. Jan Brewer, who signed the bill.

ICERD obligates federal, state and local governments to guarantee that laws and policies do not discriminate, in purpose or effect, on the grounds of race, color, descent or national or ethnic origin. Under ICERD, all noncitizens, regardless of their immigration status, are entitled to equal protection and equality before the law. Federal, state and local governments are barred from employing or carrying out racial or ethnic discrimination against individuals or communities.

The treaty states "each state party undertakes to engage in no act or practice of racial discrimination against persons, groups of persons or institutions and to ensure that all public authorities and public institutions, national and local, shall act in conformity with this obligation."

Last summer, the ACLU and the Rights Working Group released a human rights report that compiled data from across the United States. It revealed that law enforcement agencies investigate, stop, frisk or search racial minorities based upon subjective identity-based characteristics, rather than identifiable evidence of illegal activity. The report found that racial profiling remains a pervasive problem around the country.

The report, which was submitted to the U.N. Committee on the Elimination of Racial Discrimination (CERD), highlighted profiling in 22 states. In Arizona, it showed that African-American and Latino drivers were 2.5 times more likely than white drivers to be searched after being stopped by the highway patrol. Native American drivers were 3.25 times more likely to be searched, even though they were less likely to be found with contraband.

The report also documented the many human rights violations committed by the Maricopa County Sheriff's Office, under the direction of Joe Arpaio. The office has received national and international attention for its practices of profiling and harassment of Latinos.

In early 2009, Arpaio's actions resulted in a Department of Justice investigation based on "alleged patterns or practices of discriminatory police practices and unconstitutional searches and seizures ... and on allegations of national origin discrimination."  So SB 1070 exacerbates an already poor human rights record.

In September, the CERD committee sent a letter to the Obama administration conveying concerns about the lack of progress in addressing racial discrimination and urging it to pass the End Racial Profiling Act and end immigration programs that foster racial profiling.

Since that time, as evidenced by Arizona's law, profiling has actually gotten worse.

Despite the language in the bill cited by proponents as evidence of its design to prevent profiling, there can be no doubt that SB 1070 invites law enforcement agents to stop people on the street based upon how they those people look, as opposed to any verifiable evidence of criminal activity, or, alternatively, to stop them for a legitimate reason and then demand their "papers" based on appearance or race.

It is inevitable that there will be an increase in racial profiling and harassment of minorities. As a party to ICERD, the U.S. and the state of Arizona have a legal and moral obligation to end all programs and policies that disproportionately discriminate against racial or ethnic minorities.

At the state level, Arizona must repeal this discriminatory legislation. At the federal level, the Obama administration should take legal action against Arizona to stop this law from taking effect in its entirety.

It is encouraging that Attorney General Eric Holder is considering all options, including bringing legal action against Arizona or joining lawsuits filed by other parties. Congress must also take action to bring this country into conformity with both the Constitution and international human rights obligations by passing the End Racial Profiling Act. This act would ban the practice of racial profiling by federal law enforcement agencies and provide federal funding to state and local police departments if they adopt policies to prohibit the practice.

Also, the United States should create a concrete program of action for full implementation of the treaty, making sure state governments are protecting and promoting human rights.

A concrete ICERD implementation plan would educate state and local officials, such as Brewer, about their legal obligations under U.S. treaties and international law and serve to educate the public, as well.

President Obama called Arizona's law "misguided" and said that it "threatened to undermine basic notions of fairness that we cherish as Americans, as well as the trust between police and their communities that is so crucial to keeping us safe."

Recently, Secretary of State Hillary Clinton stated that "Human rights are universal, but their experience is local. This is why we are committed to holding everyone to the same standard, including ourselves." They have it right.

But words are not enough. It is time for the U.S. government to match its human rights rhetoric with action and for our elected leaders to protect and defend the basic human rights of all people.

The opinions expressed in this commentary are solely those of Chandra Bhatnagar.

@highlight

Chandra Bhatnagar: Experts say Arizona law will lead to increased racial profiling

@highlight

Law violates Constitution as it makes any Latino a potential criminal suspect, he says

@highlight

Bhatnagar: It's also a blatant violation of U.N. rights  treaty, signed and ratified by the U.S.

@highlight

He says it's time for U.S. to extend rights it expects from other nations to its own people