It's a blazingly warm day in Rio de Janeiro and people flock to the Copacabana beach for a swim in the sea and a round of volleyball. The World Cup and the Olympic and Paralympic Games are approaching, and from high above, the iconic Christ the Redeemer statue is watching over the city. But there are others watching, too.

Not far away from the bustling scene at Copacabana, city employees in white jumpsuits are making sure the 6.3 million Cariocas -- Rio locals -- are safe. Sitting in front of a wall of screens, they collect and analyze real-time data of what's going on in the city.

Here, they can identify and help prevent anything from landslides to traffic jams.  This is the master control of the city -- the Operations Center.

Its control room boasts an 80 square meter high-definition video wall --- the biggest in Latin America. Combined with the identical white jumpsuits everyone's sporting, it could very well be straight out of NASA.

"It's like our Big Brother, not in a private sense but in a sense where we can watch everything that is going on, that's happening in the city," Rio's mayor Eduardo Paes told CNN during a tour of the state-of-the-art Operations Center.

A smarter city welcomes the world

Brazil's growing economy and the fact that Rio will host the World Cup in 2014 and the Olympic and Paralympic Games in 2016 have reinforced the city's focus on sustainable initiatives. The mayor's vision is very clear: he plans to make Rio safer and to improve its infrastructure.

The Operations Center means that the mayor now has more information about his city that he can use towards other initiatives.

"I sleep better thanks to it. The worst thing is not having the information, to not have the tools to act. But we do now," Paes says.

Read more: Mayor's dream big, redefine urban living

The video wall in the center displays live information from 560 cameras, a weather forecasting system and a smart map capable of analyzing 60 different layers of data streamed from sensors around the city.

The mayor commissioned IBM to set up the Operations Center in 2010, following a storm that killed 68 people.

"We integrated more than 20 city agencies into one central command center, decreasing emergency response times by 30%," says Michael Dixon, head of Smarter Cities for IBM Globally.

Paes explains that it was tough to manage the city before the Operations Center was built, since the different departments were spread all over the city. Now they can quickly find solutions to help manage everyday life.

"It's the place where we gather the minds of the city, we gather the departments but we also gather the technology. I would call that a technological center or urban app or urban technology," he says.

The landslides won't bring us down

Rio is surrounded by many steep hillsides on which most of its favelas, the shanty towns, are built. Up to 20% of Rio's inhabitants live in favelas, and many of them are at risk of landslides.

"We have a history of big floods because of heavy rains and big landslides, especially during summer time," says Paes.

Rio has hundreds of favelas and the city authorities have launched a regeneration project called 'Morar Carioca' that aims to "urbanize" them all by 2020 -- improving the infrastructure in the favelas and integrating them better with the city.

"We use it as a laboratory for new experiments on environmental and environmentally friendly public things," Paes says of the project.

Read more: Brazil's catadores turn trash into art

But until the favelas are urbanized and safe, the city relies on the Operations Center.

So far, Paes is confident his city vision is paying off.

"It's amazing because I would say that the biggest benefits are the bad things that don't happen, that won't come to reality because of it."

@highlight

Rio de Janeiro has a greenhouse gas emission of 2.1 tonnes per capita

@highlight

1.4 million people live in the shanty towns, called favelas

@highlight

The Operations Center was built in 2010 following a storm that killed 68 people