Los Angeles (CNN) -- AEG Live lawyers rested their defense case in the Michael Jackson wrongful death trial, setting the scene for closing arguments to be delivered in a Los Angeles courtroom starting Monday.

"We're in the 9th inning," Los Angeles County Superior Court Judge Yvette Palazuelos told jurors Wednesday afternoon, the 81st day of testimony in the trial to decide if Jackson's last concert promoter is liable in the singer's death.

Katherine Jackson and grandchildren Prince, Paris and Blanket contend AEG Live executives negligently hired, retained or supervised Dr. Conrad Murray, the physician convicted of involuntary manslaughter.

Murray, who is set to be freed from jail next month, did not testify in the five-month-long trial because he indicated he would invoke his constitutional right to refuse to answer questions while his appeal is pending for his criminal conviction.

While the trial has been held in a small courtroom with seating limited to just 60 by the fire marshal, the judge decided Wednesday that the three days of closing arguments will be delivered in a larger courtroom that can seat hundreds.

Lawyers for Jackson's mother and three children will call two more witnesses before resting their rebuttal case Thursday. Dr. Allan Metzger, who treated Jackson for nearly three decades, is set to take the stand Thursday morning.

Jackson's pain was real, doctor testifies

AEG Live lawyers played video of Metzger's deposition testimony as their last witness Wednesday, but Jackson lawyers say they want to ask him questions not covered when the deposition was recorded last year.

Metzger said in his deposition that Jackson would "doctor shop" and that he kept details of treatments by other physicians a secret. "Michael would never tell me what he was doing," he said.

AEG Live lawyers contend Jackson's secrecy about his drug use made it impossible for its executives to know that Dr. Murray posed a danger to the singer as he prepared for his comeback concerts.

Murray told investigators that he gave Jackson infusions of the surgical anesthetic propofol almost every night for the last two months of his life to treat his insomnia. The coroner ruled Jackson's June 25, 2009, death was caused by a propofol overdose.

"Michael would seek out avenues of sleep helpers and that's another aspect of his secrecy," Metzger testified. "I never did know what he did when he wasn't in L.A."

Jackson was "secretive about medicine, secretive about procedures, secretive about all kinds of stuff, which was part of his mystique," he said.

Metzger described a phone call from Jackson on February 26, 2009, four months before his death. It was a month after he signed a contract with AEG Live to do his "This Is It" comeback tour that would debut in London in July.

"It was more of an anxiety call, about his health and how he was going to deal with all the 30 or 50 shows," Metzger said. "I don't think at that time he knew how many shows it would be."

Jackson was "fearful because this is it and he needed to do a lot of perfectionizing," Metzger said. "He wanted it to be something that had never been done before and it had to be great, so he had a lot of pressure from himself."

Jackson "wanted to redeem Michael Jackson" and "go out with a flash," he said. The pop icon was "still terribly hurt" about the child molestation trial that ended in his acquittal four years earlier, he said.

Odd twist in trial

"He was one of the most recognized names in the world and he wanted it to stay that way," Metzger testified.

Jackson's biggest worry was "that he was going to have a hell of a time sleeping and what are we going to do." He had a long history of not being able to sleep between shows on a tour, he said.

Metzger visited Jackson at his Los Angeles home on April 18, 2009 -- two months before his death -- to discuss "his profound sleep disorder," the doctor said.

The doctor said he suggested they find a sleep expert in London, where his first 50 shows were scheduled, who would use "safe modalities for sleep." Metzger conferred with other doctors in Los Angeles, hoping for recommendations to help Jackson.

"I batted zero," he testified. "Nobody had any specific people for me to call."

Jackson told Metzger he wanted someone to give him intravenous medicine that would put him to sleep. "I can't sleep without something special," he told him. Propofol is infused intravenously.

"I told him it was dangerous and potentially life threatening," Metzger said. He warned Jackson that it should only be used in a hospital because he could overdose, have an allergic reaction in a hotel, be given a wrong medication or develop an infection.

"It just isn't the right thing to do," he said he told Jackson.

A nurse who tried to help Jackson find sleep with vitamin infusions testified last month that Jackson became convinced that propofol was the only cure for his insomnia. Cherilyn Lee said Jackson asked her on April 19, 2009 -- a day after his meeting with Metzger -- to find an anesthesiologist who could put him to sleep him with propofol.

Lee, like Metzger, refused the request, warning him it was unsafe. She testified that she told Jackson that any doctor who would give him propofol at home didn't care about him and was just doing it for the money.

Jackson lawyers contend it was around the same time that Dr. Murray agreed to take to job. Just over two weeks later -- on May 6 -- an AEG Live executive wrote in an e-mail saying that it was a "done deal" that Murray was being hired for $150,000 a month to serve as Jackson's full-time physician.

Jackson lawyers began their rebuttal case Wednesday afternoon by calling Los Angeles Police Detective Scott Smith, who testified that he concluded Murray's motive in Jackson's homicide was the $150,000 monthly salary he was to get from AEG Live.

Jackson's fatal search for sleep

"Information was obtained that revealed that Dr. Murray financially was in ruins, was losing his house in Las Vegas, had a lien against his pool, was arrears in child support for multiple children to multiple women," Smith said. "Financially, he was just a mess."

Jackson lawyers argue that AEG Live executives created a conflict of interest with the structure of their agreement with Murray, which provided that he could be fired if the concerts were delayed or canceled. He was too dependent upon the pay to refuse to administer the risky propofol infusions which Jackson was convinced he needed to prepare for the tour, they argue.

The key reason Jackson lawyers called Smith was to refute a statement made by Kathy Jorrie, the lawyer who helped negotiate and write the contract between AEG Live and Murray.

Smith, who interviewed Jorrie during his investigation of Murray, wrote in his report that she told him that the London concerts were "only the beginning, that Michael Jackson was going to do a world tour that was to last two to three years."

Jorrie testified last month that she never told police there was a planned world tour.

"If Detective Smith were to come in here and say you made that statement he would be lying?" Jackson lawyer Brian Panish asked Jorrie.

"He would be mistaken," Jorrie replied.

In court Wednesday, Smith testified that "she did state that there was going to be a world tour that would last two to three years." He said it was reflected in his handwritten notes, as well as the typewritten summary of his interview with the lawyer for AEG Live.

Evidence that AEG Live and Jackson intended to take his tour around the world is important if the jury decides the company should pay damages in the singer's death. An entertainment expert hired by the Jacksons estimated he would have earned $1.6 billion if he had not died -- mostly from that world tour. It represents lost income that jurors could order AEG Live to pay the family in damages.

Jackson lawyers said they may show jurors previously unseen raw video of Jackson's last rehearsals after they call Dr. Metzger to the witness stand Thursday. They said they expect to rest their case at the end of the day.

Judge Palazuelos will read several hours of jury instructions on Friday, guidance intended to help jurors find their way through a complicated case that could take weeks to deliberate.

Expert: Jackson was a drug addict

@highlight

"We're in the 9th inning," judge tells jurors after 81 days of testimony

@highlight

Jackson lawyers will call two more witnesses before resting their rebuttal case Thursday

@highlight

Closing arguments will be held in a large courtroom to allow hundreds to watch Monday

@highlight

Jackson "wanted to redeem Michael Jackson" with comeback shows, doctor testifies