(CNN) -- With the top U.S. automakers in economic survival mode, "Buy American" is a frequent cry among those trying to save jobs at home.

Georgia trucker Douglas Sullivan says he's concerned more about quality than the origin of a vehicle's parts.

But buying a car to benefit the U.S. economy has become an ambiguous, complicated challenge.

"How you define an American car is one of the great conundrums of this world," said Dutch Mandel, the editor and associate publisher of AutoWeek.

Fewer than half of the parts on some Big Three vehicles are made in the U.S.

Looking at a Ford Fusion? It is assembled in Mexico. The Chrysler 300C is assembled in Canada, but its transmission is from Indiana; the brand's V-8 engine is made in Mexico. Engines in the Chevrolet Equinox sport utility vehicle are from China.

On the other hand, Toyota's Camry is comprised 80 percent of parts made in the United States, and 56 percent of Toyota's vehicles sold in the U.S. also are made here, according to Toyota spokeswoman Sona Iliffe-Moon.

The Toyota Sienna and Tundra also have 80 percent of their parts manufactured in the U.S.

"When you have manufacturers from around the world building cars in the U.S. with 85 percent domestic content -- engine, transmission, assembly -- is that an American car?" Mandel asked. Or, he asks, is it considered foreign because the profits go back to a foreign country?

"It's truly a global industry," said Thomas Klier, a Chicago, Illinois, economist who co-authored "Who Really Made Your Car?" an encyclopedic analysis of the auto industry melting pot.  Watch how U.S. auto woes affect Asia »

"When you think of buying American, you should focus on three points -- its engine, transmission and where it was assembled," Klier said.

To get that information, read a vehicle's window sticker. U.S. automakers are legally required to detail the origin of a car's parts and its final assembly point.

"Unfortunately, there are few people who know about the sticker or even bother to look at it," said Bernard Swiecki, a senior project manager at the nonprofit Center for Automotive Research in Michigan, which follows trends in the industry.

The sticker's details were news to Douglas Sullivan, 43, a truck driver from Snellville, Georgia. Though he prefers foreign brands, believing them to be of higher quality, he said he used to favor U.S. brands because he wanted to support American workers.

"I wanted to keep the jobs right here," Sullivan said.

Swiecki said many people think about image of a brand, rather than the way that brand has evolved over decades as the market has grown more diverse and competitive.

"They will think, 'I'm buying a GM, I'm getting an American car,' " Swiecki said.

Foreign car manufacturers generate billions of dollars in jobs and community infrastructure in the U.S., but there is a difference between Detroit's economic footprint and that of its foreign rivals.

The Center for Automotive Research says Detroit's Big Three employed almost 240,000 people in the U.S. at the end of 2007. Foreign makers had about 113,00 U.S. employees at the time.  Watch UAW leader's take on bailout's failure in Senate »

The key difference in how the Big Three and foreign brands support jobs in the U.S. comes outside the factories, according to a 2006 study by the Level Field Institute, a group formed by Big Three retirees in Washington.

"What's driving the difference in jobs ... is investment in research, design, engineering and management," Level Field President Jim Doyle said in a statement on the 2006 study.

The Center for Automotive Research said the Big Three had 24,000 engineers on U.S. payrolls in 2007. The Japan Automobile Manufacturers Association said its member companies had 3,500 U.S. research and development employees in 2007.

Level Field found that every 1,000 vehicles sold by Detroit's Big Three in the U.S. support more than twice as many jobs as 1,000 vehicles sold by foreign nameplates.

Most Americans consumers understand that the industry is global, Swiecki said, and they are more savvy than ever in purchasing vehicles.

"For the most part, gone are the days of people going to a car lot and paying a buck to take a swing of a hammer at a foreign-made car," Swiecki said.

But there are exceptions.

A Savannah, Georgia, Ford dealer sold 15 cars last weekend after he ran a radio ad blaming Japan for Detroit's financial funk.

While 15 was substantially better than weekends before the ad, dealer O.C. Welch said, it was still about half of the business he did a year ago.

"All you people that buy all your Toyotas and send that money to Japan, you know, when you don't have a job to make your Toyota car payment, don't come crying to me," Welch says in the ad. "All those cars are rice ready. They're not road ready."

Sullivan, who was at an Atlanta, Georgia, dealership Thursday to pick up his American brand minivan from the service department, said he has had a different experience.

He said the vehicle has given him trouble, and whenever he replaces it, he'll probably go with a foreign brand, regardless of whether any of the parts were made in the United States.

"What I look for is good gas mileage, and when I pay it off in four or five years, it's still running," said Sullivan, who has owned several American and foreign brands. "It seems I get better quality with a foreign car."

CNN's Jason Hanna and Brad Lendon contributed to this report.

@highlight

Fewer than half of parts on some Big Three vehicles made in U.S.

@highlight

More than 80 percent of parts on some foreign vehicles made in U.S.

@highlight

Study: U.S. brand vehicles support more engineering jobs in U.S.

@highlight

Consumer says he prefers quality of foreign cars to American ones