(CNN) -- While most professional golfers pride themselves on using the latest whiz-bang equipment, deep within the Scottish countryside a very different tournament is taking place -- one where the players are happily swinging antiques.

In fact, anyone watching the World Hickory Open Championship could be forgiven for thinking they'd stumbled 100 years back in time.

It's not just the old-fashioned equipment -- wooden-shafted clubs that date back to the late 19th and early 20th centuries -- but also the clothes: the players trek across this dramatic landscape dressed in plus fours and flat caps for the men and long skirts for the women.

It's as if they are unwitting sports hipsters.

"Hickory golf has taken on a new lease of life in the past few years because, I'm not sure I really like the word, but it's a bit sort of retro," Lionel Freedman, co-founder and director of the World Hickory Open, tells CNN.

"It's almost anti-modern in some ways."

Freedman has played his own role in hickory golf's ascent over the past decade with the creation of the tournament, which takes place at Panmure Golf Club on the east coast of Scotland on Tuesday and Wednesday.

Upon joining the British Golf Collectors' Society -- founded in 1987 off the back of the U.S. version created 17 years previously -- he became aware of a number of hickory events that initially grew out of members wanting to test their antique clubs.

Keen to promote the movement to the masses, Freedman decided to introduce an open competition of his own that anybody could play in, and so the maiden World Hickory Open was staged in 2005 at the Old Golf Course in Musselburgh, Scotland -- recognized by many as the oldest course in the world and the oldest on which play has been continuous.

"I cheekily called it the World Hickory Open, which was a bit of a joke really," Freedman says.

"I held the first tournament -- 36 people played and I had to give out 36 sets of clubs. But everybody enjoyed it so much, so I said I would continue it."

And so he did, with Freedman's brainchild having gone from strength to strength, annually touring some of Scotland's most prestigious courses and becoming one of the world's leading hickory tournaments in the process.

Next year, it will take place at Carnoustie Golf Links to become the first modern hickory tournament to be played on a current British Open Championship course.

Freedman estimates that 90% of the 100-plus competitors this week -- including ex-professional golfers -- will arrive fully-stocked with their own antique equipment.

"Over the years it's developed and it now really is a World Hickory Open," he says. "My tournament this year will have Americans, Swedes, Germans, Swiss, South Africans, Australians, English and Scots."

What is it that attracts these golfers from around the globe to hunt down a rare club made out of wood, when a souped-up version with the latest technological advancements is so readily available instead?

It's a chance to play on some of the game's oldest courses, which by today's standards are often considered too short and antiquated due to the distance the ball can be hit with modern clubs.

Courses dating back to the 1930s and older are often around 1,000 yards shorter than those the likes of Rory McIlroy and Tiger Woods find themselves playing on week-in, week-out, and so offer a different kind of challenge for hickory golfers, who also play with an older type of ball.

"I don't think the modern golf course can get any longer, it's a joke," Freedman says.

"On the great old courses you walk straight from the green onto the next tee. With the modern golf course you might walk 50-100 yards for the next tee, so you need an enormous piece of land and it takes you much longer to go round."

According to Paolo Quirici, who is defending his title at Panmure, this is golf in its purest form.

"It's all about distance in the modern game and the putting becomes even more the game inside the game," says the 46-year-old Swiss golfer, a member of the European Tour from 1989-2001.

"In the old days, I think the skill of the player was really more put into value, whereas today the clubs are much better than they used to be so many players can get away with hitting bad shots."

For Freedman, that thrill of finally connecting with a more technically challenging swing is the true essence of hickory golf.

"The reason I have a passion for hickory golf is because you really know when you've hit a good shot. You don't know when you've had a good shot until you hit the sweet spot from the face of the club," he says.

"The modern club is much more forgiving. I know with a modern club, if I haven't connected properly I still get a result. It's almost like you're cheating a bit. But if I do that with a hickory, you don't get the result."

One worry for the movement of hickory golf, however, is that, as time passes by, antique clubs inevitably begin to become that much harder to locate.

Fewer and fewer companies manufacture modern authentic versions today -- St. Andrews Golf Company is one -- and certain collectors will always prefer to hang their clubs up on the wall rather than sample them out on the golf course.

Some tournaments, including those held by the British Golf Collectors' Society, state that pre-1935 golf clubs, and not replicas, must be used.

"If I have a wish, it's that people who are collecting the clubs considered giving some of those clubs back onto the market to try to get people into hickory golf. People would enjoy it a lot more if they had the old clubs to play with," Quirici says.

"I have been repairing over the past few years about 10 sets of clubs, then I resell them to friends who want to start hickory golf. I don't like to keep them in the house, I want to keep the movement of hickory golf going."

However, Freedman is sure hickory golf will continue to attract waves of new players in the years to come.

"I don't think there's any doubt that it will continue to grow," he says.

"I've already been asked if I will hold a World Hickory Open at a golf course in 2017 to celebrate their 150th anniversary. It's definitely got a bit of wind in its sails."

@highlight

World Hickory Open Championship set for its 10th year this week at Panmure

@highlight

The hickory golf movement is becoming more and more popular

@highlight

Players use hickory-shafted clubs that date back to the late 1800s and early 1900s

@highlight

Former pro Paolo Quirici is aiming to defend his title in Scotland