(CNN) -- In the past week, there has been a spate of news stories about the level of Mitt Romney's involvement in Bain Capital in the years when he ran the organizing committee for the Salt Lake City Olympics. What is this controversy all about?

Romney contends that he ceased actively managing Bain in February 1999 when he joined the Olympics organization. As a candidate for president, he filed a Public Financial Disclosure Report with the federal Government Ethics Office stating that "Mr. Romney retired from Bain Capital on February 11, 1999, to head the Salt Lake Organizing Committee. Since February 11, 1999, Mr. Romney has not had any active role with any Bain Capital entity and has not been involved in the operations of any Bain Capital entity in any way."

As we learned last week, documents filed with the Securities and Exchange Commission contradict this statement.

Some of these documents were Schedule 13D reports, required to be filed pursuant to the Williams Act whenever any person or group acquires 5% or more of the stock of any public company. The purpose of such reports is to notify the securities markets of a possible change in control of a public company.

For example, a Schedule 13D for Odwalla Inc., filed May 2, 2000, covers the acquisition of 32.7% of the shares of Odwalla by Bain Capital Partners VI and related entities. Bain Capital Partners VI (BCI VI) was one of many investment vehicles managed by Bain Capital Inc. (BCI). The Odwalla 13D Schedule represents that W. Mitt Romney is chief executive officer, president and managing director of BCI VI and his principal occupation is "Managing Director of Bain Capital, Inc."

Similarly, a Schedule 13D for Stericycle Inc., filed November 22, 1999, by various Bain Capital entities and Romney as an individual states that Romney is "the sole shareholder, Chairman, Chief Executive Officer and President of BCI, BCI VI Inc., Brookside and Sankaty, Ltd."

Elsewhere in this document, Romney is described as "sole stockholder, sole director, Chief Executive Officer, Managing Director, Chairman and President of BCI." A proxy statement for 2000 filed by Stericycle several months later indicates that the Bain entities, together with Romney, owned more than 11% of the shares of Stericycle and that Romney had the power to vote and dispose of these shares. At the next annual meeting, a Bain representative was nominated to the Stericycle board.

The contradictory representations in the Government Ethics Office and SEC filings are at best evasive and at worst a violation of federal law. A federal statute -- 18 U.S.C. ยง 1001 -- provides that anyone who "in any matter within the jurisdiction of the executive, legislative, or judicial branch of the Government of the United States, knowingly and willfully -- (1) falsifies, conceals, or covers up by any trick, scheme, or device a material fact; (2) makes any materially false, fictitious, or fraudulent statement or representation" shall be fined or imprisoned. Violations of federal securities laws, including the making of false statements in a 13D filing, are independently punishable under the securities laws.

Although prosecutions for false statements in 13D filings are not common, Michael Milken, the junk bond king, was prosecuted by Rudy Giuliani, and went to jail for aiding and abetting a false Schedule 13D filing by Ivan Boesky. (This was a plea bargain in a complex and controversial case, involving charges of numerous securities law violations.)

Romney is not now claiming his 13D filings were inaccurate or false, but he is claiming that although he was chief executive officer, managing director, chairman and president of Bain Capital, he was not really there, but in Utah managing the Winter Olympics. Nevertheless, he was earning more than $100,000 in salary from Bain. Since he will not release his income tax returns for 1999-2002, we have no idea how high this salary really was.

If Romney was not "involved" in the operations of Bain Capital, why was he being paid? As sole shareholder, why did he keep himself on as CEO? Also, at least with respect to the Stericycle deal, he invested as an individual along with the Bain entities. Why is Romney's story about his relationship to Bain and its investment activities at odds with the documents his firm filed?

Bain Capital is a private equity firm. It acts principally by forming investment partnerships such as Bain Capital Partners VI to buy and sell operating companies. When Bain was headed by Romney, it invested in numerous distressed companies and attempted to turn them around and then sell them at a profit. These deals were financed by highly leveraged junk bonds. Excessive leverage by investment banks and others led to the 2008 financial meltdown from which we have yet to recover, but many investors reaped large profits from these leveraged deals.

Also, partners in private equity companies such as Bain were taxed at advantageous rates called "carried interest." We do not know how much money Romney made on Bain deals because he will not make full disclosure of his finances.

Some portfolio companies were resold by Bain entities at a substantial profit; others failed. That is the nature of private equity investment. Some of these companies were engaged in businesses or business practices that Romney now finds politically inconvenient, so he is attempting to absolve himself of responsibility for these deals.

But the CEO, sole director and sole shareholder of an entity is legally responsible, and should be held accountable, for any wrongdoing or questionable activities of the company he heads. If Romney wants the American public to judge him by his business successes, we also need to judge him by his business failures and see the entire record of his financial dealings.

The opinions expressed in this commentary are solely those of Roberta Karmel.

@highlight

Mitt Romney says he ceased managing Bain Capital when he took over Olympics in 1999

@highlight

Roberta Karmel says Romney signed SEC documents saying he was Bain CEO after 1999

@highlight

She asks why did he continue in that role and why did he get a salary if he had left the job?

@highlight

Failure to reveal finances means we don't know how much he made on Bain deals, she says