(CNN) -- Commercial airlines that usually cross eastern Ukraine on their flights to Europe, Asia and elsewhere are detouring away from the volatile region in light of Thursday's suspicious crash of Malaysia Airlines Flight 17.

The Federal Aviation Administration said Thursday that U.S. airlines had voluntarily agreed not to operate in airspace near the Russian-Ukraine border. Later, the FAA issued a notice prohibiting U.S. flight operations in the airspace over eastern Ukraine until further notice.

The restricted area includes the Dnepropetrovsk and Simferopol Flight Information Regions. The European Aviation Safety Agency and intergovernmental aviation organization Eurocontrol also warned against flying in these areas.

Ukrainian authorities have closed many of the routes in eastern Ukraine, according to Eurocontrol, which counts Ukraine among its 40 member states.

Live blog: Loss of Malaysia Airlines Flight 17

The United States has concluded the Malaysian airliner was shot down, a senior U.S. official told CNN's Barbara Starr. Ukrainian Prime Minister Arseniy Yatsenyuk on Friday blamed "terrorists" for the downing. The flight was en route from Amsterdam to Kuala Lumpur, Malaysia.

Tensions have been high between Ukraine and Russia since street protests forced former pro-Moscow President Viktor Yanukovych from power in February. Russia subsequently annexed Ukraine's southeastern Crimea region, and a pro-Russian separatist rebellion has been raging in Ukraine's eastern Luhansk and Donetsk regions.

In April, U.S. airlines were prohibited by the FAA from flying in airspace surrounding Crimea, but Thursday's crash site was not within what was considered restricted area.

The International Civil Aviation Organization and European Aviation Safety Agency also issued warnings in the spring against flying in the same area, the Simferopol Flight Information Region.

The crash occurred outside the warning area near the town of Torez in eastern Ukraine's Donetsk region.

"What I can't understand is why civilian airliners were flying over this area, which is just a huge error on their part," said Bob Baer, a CNN national security analyst and former CIA agent.

Most airlines follow the guidelines and rules set by their national civil aviation authorities and fly the most direct route from their departure to their arrival city, said Mary Schiavo, former inspector general of the U.S. Department of Transportation.

The FAA and other national civil aviation authorities hadn't yet defined the area where the aircraft got shot down as part of the conflict zone in Ukraine, Schiavo said.

"It wasn't this particular area," she said. "They hadn't defined it as a stay-away area" even though there was violence in the region.

"No airline will risk the safety of their passengers, crew and aircraft for the sake of fuel savings," said Tony Tyler, head of the industry group International Air Transport Association, in a statement. "Airlines depend on governments and air traffic control authorities to advise which airspace is available for flight, and they plan within those limits."

Many travelers are likely to avoid the major air route between Europe and Southeast Asia, Schiavo said. "People simply will just avoid that route. I certainly wouldn't fly that route right now."

In light of the crash, airlines around the world are rerouting flights.

"We're taking a wide detour around eastern Ukraine," said Lufthansa spokesman Nils Haupt. That detour will be in effect at least through Friday, he said. Lufthansa had four scheduled flights Thursday that would usually cross over eastern Ukraine.

"We are closely watching the situation" to decide flight plans beyond the next couple days, he said. "It's a precautionary measure to protect the safety of our passengers."

Did surface-to-air missile take down MH17?

Lufthansa said it isn't making any changes to its two daily flights going from Frankfurt, Germany, to Kiev, Ukraine, or its one daily flight from Munich, Germany to Odessa, Ukraine, because they don't cross over that airspace.

With only once-a-day service between London's Heathrow Airport and Kiev, British Airways doesn't have any flights in the area of the crash site, according to a representative. "We are keeping those (Kiev) services under review, but Kiev is several hundred kilometers from the incident site."

A Kiev-bound Emirates flight turned around on Thursday and returned to Dubai "due to the safety concerns raised with the latest reports on Malaysian flight MH17," and suspended all flights to Kiev immediately until further notice, according to a company statement.

Other Emirates flights to and from the United States and Europe fly a route outside the area where the crash occurred, the company said.

With the exception of flights to Kiev, Air France is no longer flying over Ukraine, the airline said. Air France suspended flights over the area surrounding Crimea in April.

American carriers including Delta Air Lines are also avoiding the region.

"Out of an abundance of caution, Delta is not routing flights through Ukrainian airspace and is monitoring the situation involving Malaysia Airlines Flight 17," the airline said in a statement.

Fast facts: Commercial airline crashes

Place tragedy escalates Ukraine conflict

CNN's Ashley Fantz, John Newsome, Mike Ahlers and Barry Neild contributed to this report.

@highlight

The FAA prohibits U.S. flight operations over eastern Ukraine

@highlight

Airlines are diverting flights around the area

@highlight

Tensions in the region prompted some airspace restrictions earlier this year

@highlight

Crash site was not within airspace prohibited by U.S. regulators