(CNN) -- When most people go to Hawaii, they head to the beach to relax and get a tan. Sarah Vowell locks herself in historical libraries.

The result of that sun-free research is her latest take on history, "Unfamiliar Fishes."

"I came to Hawaii because it had been attacked," she writes in her book, referring to her visit to the USS Arizona Memorial in Pearl Harbor, after she compares the combination of foods she was eating for lunch to the ethnic variety of the current Hawaiian citizens.

She acts like a tour guide on a trip through time -- stopping at this place and that in Hawaii to expound on historical events -- often flavoring the accounts with personal anecdotes or wry comments.

When writing about Hawaiian royals in 1819 dropping one taboo on what women could eat, she notes, "As a female carnivore, I'm delighted that half the population was freed to eat pork."

Exploring U.S. history in a very chatty tone and with personal asides has put several of Vowell's books on bestseller lists. In "Assassination Vacation," she dipped into the times of political violence that claimed the lives of U.S. Presidents Abraham Lincoln, James Garfield and William McKinley. In "Wordy Shipmates" she wrote about the English Puritans that settled the Massachusetts Bay Colony.

The author, essayist and frequent public radio commentator can hold her own against the quick wits of TV political satirists John Stewart and Stephen Colbert as she proved on her latest book tour.

With her writing, Vowell says she aims to put a human face on the people from the past. She describes the bloody tactics that Kamehameha the Great used to end more than a century of warfare and establish the Hawaiian monarchy in 1810.

Like a tourist she also details how her 8-year-old nephew twists his underwear into a loincloth and performs "an amusing if insensitive impression" of the warrior.

Vowell finds the pluck of the New England missionaries admirable for their willingness at barely 20 years old to leave home, family and country to sail to "the most isolated island chain in the world" aboard a ship "so crappy it made the Mayflower look like the QE2."

But their mission to convert the heathens to Christianity does not impress the self-described godless heathen author. She opines "there's not much difference between Jehovah and Ku (except that once a year the Hawaiian god of war actually takes time off)."

Vowell describes the native hula dances -- including one that is accompanied by chants praising the genitals of the king -- as part of an "academic nearly-religious spiritual tradition that is incredibly rigorous."

There are so many rules on behavior, land management, fishing and other areas that Vowell describes the Hawaiian culture as very conservative. So to her, the disagreements between the missionaries and the Hawaiians about what was proper behavior, "was like watching two kind of conservative traditions squaring off."

She admits that she especially likes writing about historical characters that she didn't like -- including a man who faked being a Mormon leader as he unsuccessfully plotted to establish his own Pacific empire.

But one of her favorite scenes to write about was the funeral procession of King Liholiho who had died along with his wife from measles during a trip to visit King George IV in England in 1823.

Their bodies were returned to Hawaii aboard a British Royal Navy frigate commanded by the seventh Lord Byron, a cousin of the late poet.

Vowell describes a "fantastical scene" of all these people participating in a procession through Honolulu: Hawaiian royals in Western clothes, nine other Hawaiians in yellow-feathered war cloaks, British Royal Navy officers in their uniforms and the missionaries in their black wool outfits. And then there were native Hawaiian guards who were wearing a variety of western garb - but who apparently didn't understand the need for pants.

Vowell says the changes in the years that followed mostly had a negative impact on the Hawaiian people. Much of their land fell into the hands of the sugar plantation owners, the descendants of the missionaries overthrew Hawaii's last monarch and despite the natives' petitions and pleas -- U.S. politicians maneuvered to turn the kingdom into a U.S. territory.

But while the results are somewhat sad, she says, learning more about the meetings of strangers in history has always intrigued the traveler in her.

"There's this part of me that wants to leave home and wants to see something new and wants to meet new people," she muses. "Maybe that is how I, too, will meet my doom."

@highlight

Sarah Vowell's latest book explores the history of Hawaii and how it became a state

@highlight

She describes missionaries and natives as two conservative groups squaring off

@highlight

Although sad in many parts, she says Hawaiian history is fascinating