(CNN) -- In today's world of catchy buzzwords, a current favorite is "Africa is rising." Africa's tech scene is a soaring firebird and all the techies on the continent will tell you something game-changing is coming and Africans will build it.

In case you haven't heard, apparently the next Facebook, Google or Microsoft will come from Africa. That's what the young mavericks are working towards.

In Africa, we worship at the altar of innovation

Innovation is the fountain from which most African entrepreneurs drink -- their raison d'etre. This is hardly surprising on a continent that leapfrogged the tech scene, producing insanely useful mobile solutions. It seems it is only logical that the continent will build the next big thing.

But innovation has become quite formulaic for the quick-talking 20-somethings just itching to change the world. Just like any formula, it has strict rules: find a problem, build an app to solve it, develop for smartphone and add social integration.

Read more: Why tech innovators are Africa's future

The tech ecosystem is desperate to set itself up as the next Silicon Valley -- a playground for mavericks, dropouts and wheeler-dealers who want to turn an industry on its head. The current atmosphere is electrifying with possibilities for a continent primed as an innovation and entrepreneurial destination. But businesses are so desperate to innovate that solid business models seem to be missing in their plans to take over the world. Good, solid businesses are become boring, and making money is an afterthought.

Right now there is nothing sexier than Africa's trendy and attention-grabbing tech scene. It's like the hero of a great tale: down and out, talented, with nothing to lose.

Innovation is the watchword. Investors make no secret that they prefer companies that are innovative, mentors recommend it and journalists dedicate headlines to the most innovative companies. Like a ferocious monster, its appetite is insatiable and most startups are victims of it. At this stage we might have to rename Africa "the place where good companies die of too much innovation."

Read more: "Africa's tallest building" set for $10 billion tech city

I recently attended an event where a group of startups in an incubator pitched their companies after eight weeks in the program. One of the companies that was profitable in the beginning with a solid business model (but which could be considered run of the mill) had pivoted so it could do something more innovative. Truth is, chances of the new business making money are very unlikely. In an environment where all the other companies around it seemed to be innovating in an interesting way with new technology, the pressure to innovate killed a good business.

Solve a real problem, damn it

Interestingly, Africa's key drivers in terms of innovation came from very simple products that wanted to solve real problems. The continent that brought Ushahidi, M-Pesa and EC2 cloud found a real gap in the market and developed solutions for it.

Africa's pool of talented developers and entrepreneurs want to prove that they can compete on the same stage with more mature markets. They can, but the rules are different.

Africa hasn't solved some of the basic problems that mature markets have solved. Building bandwidth-heavy apps is not a good idea because the majority of the continent just isn't ready. As much as almost everyone in Africa uses a mobile device, the data problem is still a key thought.

So perhaps, for one unimaginable moment, we should forget about building the next Facebook, Google or Apple. Think about using your vast technical skills; solve the simplest problem Africa faces -- service delivery. Think of the innovation that would come with that, think how very big that would be.

Hipsters don't build boring companies

In Africa's tech entrepreneurship scene everyone walks around like mavericks, but it is all a show. There is a fundamental lack of passion.

In a bid to be different there is sameness. Being a tech entrepreneur seems to be more about joining the sexy cool kids in the ongoing exclusive party where the tech scene is glamorized, workaholism is something to boast about and arrogance slowly becomes familiar. How to run a real business seems to be of very little consequence.

More entrepreneurs need to consider bootstrapping their companies with the many free services out there until they are profitable enough to invest in more infrastructure. A crazy idea like that might work and even attract the much sought-after foreign investment that entrepreneurs covet.

Read more: Africa hungry for homegrown online content

Before I get charged with treason, I'd like to point out that there is nothing wrong with innovation.

However, not all businesses are meant to be crazy innovators. Some of the more successful businesses work on an old-fashioned business model that comes with a twist. Bells and whistles or fancy technology aren't always cool, but a good, sensible way of doing business that provides jobs is.

It's easy to get caught up in Africa's tech scene, to feed its appetite for innovation, to hype up the novelty while encouraging the wannabe mavericks. But first, perhaps, it is time for tech entrepreneurs to ask what Africa needs.

The opinions expressed in this commentary are solely those of Michelle Atagana.

@highlight

African entrepreneurs place too much importance on innovation, says Michelle Atagana

@highlight

Startups are forgoing solid business models in favor of trendy concepts, she says

@highlight

Tech wizards should first tackle the problem of service delivery