(CNN) -- With astronomical Chinese art prices making recent headlines ($36 million for a decorated porcelain cup, anyone?) it's hard not to wonder how one can elbow into the art market for a piece of the pie.

For those outside of the Chinese art scene, entering the market can be intimidating. With reports surfacing in recent years on forgery, fraud, and money laundering, the art game seems even harder to play.

"The art market is not very transparent," admits Alexandre Errera, founder of online art gallery Artshare.com. But he, and several other experts we spoke to, offer some insight on how to see clearly inside the Chinese art market, with tips on the hottest works to buy right now.

Dig deep

"Chinese art is a jungle," says Errera. Navigating the wild terrain requires patience and passion, especially if the buyer is unfamiliar with Chinese history and culture.

Start at regional art fairs, such as Art Basel Hong Kong, or SH Contemporary, where a lot of artists can be seen all at once. If you find yourself thinking about a work long after you've seen it, approach the gallery and go deeper. Look at many works from the artist's entire career.

"Some collectors never buy without meeting with the artist," says Errera.

When it comes to valuating the works, there are plenty of online resources. Websites like artnet.com, artprice.net, and artvalue.com offer information about an artist's auction records and previous owners.

It also pays to see who is your competitor. If institutional investors, museums, art funds, or other private collectors are also buying this artist, that's a plus.

Calligraphy, photography, but not Mao

When looking for undervalued Chinese art as an investment, start with ink and brush paintings made by artists born after the 1970s.

"Contemporary ink paintings are a good buy. Some are very, very affordable," says Sotheby's Asian art expert Mee-seen Loong. "Also Asians have always valued traditional calligraphy. You can find good works from $10,000 to $1 million."

Errera on the other hand suggests Chinese video art and photography, both offering a small number of good contemporary artists, but with a great potential to grow in value and interest.

He also points out that the days of kitsch art with Maoist imagery are over. Contemporary artists, such as Chen Fei, Zhao Zhao, and Li Shurui were born after the Cultural Revolution and do not focus overtly on politics as their predecessors did.

"They are not what you would typically think of as 'Chinese,'" says Errera.

It's a gamble

If you can afford it, entering the market at the higher end will likely bring a larger return on your investment. Errera says it is quite rare not to make a profit on blue chips works that go for more than $1 million, like Zhang Daqian or Qi Baishi.

Buying more affordable pieces, around the $10,000 mark, has the potential for the largest return, but it's risky. "Unless you have inside information, it's like buying a lottery ticket," says Errera.

At the end of the day, don't be too speculative. "I would not recommend a client to buy a young artist who suddenly became super famous. It's too high risk. Prices can fall quickly again. Start with a mid-range artist. It's more value proof," says art world lawyer Laurens W. Kasteleijn.

Auction dos and don'ts

"The art market is not very transparent. The secondary art market (auctions) is even less so," says Errera.

Auction first-timers must set a budget and a theme for themselves. After the bidding starts, best sit on your hands when the budgeted price is surpassed. Sotheby's Loong warns against impulse buying, which she calls "a serious mistake."

For more experienced buyers though, she recommends being ruthless: "Spend beyond your means, reach as far as you can get, and always go for the better piece. Otherwise you'll regret it."

Protect your interests

"The art world has by tradition been based on gentlemen's agreements," says Kasteleijn, he founded the company Art Law Services. "But the market has become more international and includes more money today than before, so it's important to protect your interests."

At the very least, request a certificate of authenticity when purchasing a work, and have it signed by the artist. If you are buying from a third party or reseller, it is also a good idea to ask for a proof of purchase from the artist, or gallery representing the artist. Keep all e-mail, receipts and details that can prove a legitimate transaction for when you want to resell the art in the future.

Sometimes your gut feeling will also tell you when you're being lured into an unreliable sale.

"For me it's very important that the gallery manager likes art," says Kasteleijn. "If they immediately start talking about art as an investment, it's a big turn-off."

Golden rule

Although everybody interviewed for this article offered different advice, all agreed on this: to make a good art investment you have to enjoy art.

"Do you want the piece of art on your wall? If not, don't buy it," says Kasteleijn.

"It doesn't matter if you know much about art or not, you must enjoy it. Otherwise it's like collecting wine without drinking it."

@highlight

New to Chinese art? Remember the mantra: Research, research, research

@highlight

Blue-chip always pays, so buy high, sell high -- if you can afford it

@highlight

Maoist kitsch is so over, be adventurous and look for new media, video, and photography