Port-au-Prince, Haiti (CNN) -- At least one organization attempting to deliver aid to Haiti continued to be plagued Sunday by delays and logistical problems, but aid was getting to those who need it most, officials said.

Doctors Without Borders said Sunday that, despite guarantees from the United Nations and the U.S. Defense Department, its cargo plane carrying an inflatable surgical hospital was blocked from landing in Port-au-Prince the day before and was rerouted to Samana, Dominican Republic. Samana is in the eastern portion of the Dominican Republic and across the Caribbean island of Hispaniola, shared by the two nations, from Port-au-Prince.

The material was being sent by truck from Samana, said the group, also known in French as Médecins Sans Frontières. However, the re-routing added a 24-hour delay to the hospital's arrival.

A second Doctors Without Borders plane was able to land on Sunday. That plane carried additional medical supplies and hospital equipment, the group said, adding it is still concerned about delays in the delivery of vital supplies.

"If this plane is also rerouted, then the hospital will be further delayed, in a situation where thousands of wounded are still in need of life saving treatment," a group statement said. It was unclear Sunday afternoon whether the plane had landed.

See photos, details of some of the missing in Haiti

The surgical hospital includes two operating theaters, an intensive-care unit, 100-bed hospitalization capacity, an emergency room and all the necessary equipment needed for sterilizing material.

"MSF teams are currently working around the clock in five different hospitals in Port-au-Prince, but only two operating theaters are fully functional, while a third operating theater has been improvised for minor surgery due to the massive influx of wounded and lack of functional referral structures," the organization said.

The group said two of its medical teams have performed more than 100 operations since arriving in the country, but frustrations are high over the delays.

An emergency communications officer with the group in Haiti said conditions are growing worse for patients and "we need the inflatable hospital -- if it ever arrives."

"Patients who were not critical only three days ago are now in critical phases," she wrote in a news release. "This means that people will die from preventable infections. It's horrible."

Planes are asked to divert elsewhere if they don't have the fuel to stay in a holding pattern, Col. Buck Elton of U. S. Special Operations Command South told reporters Sunday. Only two planes had been diverted Sunday, he said.

Asked about the matter on CNN's "State of the Union" Sunday, Lt. Gen. P.K. Keen, deputy commander of U.S. Southern Command, said the Port-au-Prince airport, which is being run by the U.S. military, is operating at maximum capacity 24 hours a day.

"It's a matter of balance between getting relief supplies on the ground, getting the people on the ground that are necessary to get those relief supplies distributed, and getting the logistical capacity on the ground to continue that, and the vehicles so we can get it out by ground as well as by air," he said.

Full coverage of the earthquake in Haiti

More aid was on the way. The National Organization for the Advancement of Haitians held an earthquake survival kit drive at the Haitian embassy in Washington, saying it was accepting items including baby formula, diapers, toiletries, vitamins, medicines, batteries and clothing. Hundreds of people turned out, and they brought enough to fill several trucks full. The overflow of supplies was piled along the embassy's walls and stairwells.

U.S. paratroopers using helicopters from an aircraft carrier delivered 130,000 daily-ration packets on Saturday, Keen of U.S. Southern Command said on "Fox News Sunday." Some 70,000 bottles of water were also delivered, he said.

One helicopter could not land and was forced to drop supplies, Keen said, but the delivery otherwise encountered no problems and was orderly. Keen called it a good day.

Also Saturday, a member of the U.S. Coast Guard helped deliver a Haitian newborn aboard a Coast Guard helicopter. The mother -- one of five Haitians the Coast Guard was transferring from Port-au-Prince to Cap Haitien for medical reasons -- went into labor as the helicopter was refueling aboard the Coast Guard Cutter Tahoma, the Coast Guard said.

The mother and child were taken to a hospital in Cap Haitien and were in good condition, according to the Coast Guard.

In Washington on Sunday, hundreds of people from different faiths mourned the victims of the quake and donated money during a service at the National Cathedral. Among those in attendance were Susan Rice, the U.S. ambassador to the United Nations, and Raymond Joseph, the Haitian ambassador to the United States.

Joseph asked the mourners to continue that support even as the tragedy fades from the headlines.

"I'm thanking you in the name of the people of Haiti and I'm asking you that what you've begun here tonight shouldn't stop -- it should continue until Haiti gains its place among the nations of the world, as it should.

"Please, stay with us until we totally rebuild," Joseph said.

The World Food Programme said it reached 40,000 people in and around Port-au-Prince with high-energy biscuits. The organization said its goal is to reach another 60,000 people on Sunday. Convoys and shipments carrying ready-to-eat foods continue to arrive, the group said.

The WFP's convoy was the first food to arrive in Leogane, about 18 kilometers (11 miles) west of Port-au-Prince and close to where the earthquake was centered, it said in a statement. Nearly every building collapsed, and tens of thousands of people are believed to have been killed. Survivors are living in makeshift camps.

In addition, the organization was distributing hot meals in some places, such as hospitals and schools, and has begun setting up kitchens at distribution sites, it said.

The Red Cross said in a statement Sunday it had built latrines for 1,000 people and supplied medical kits for 2,000 patients to two hospitals. Seven truckloads of medical supplies should arrive in Port-au-Prince Sunday night, it said.

Keen told CNN's "State of the Union" on Sunday that the United States intends to continue helping Haiti as long as there is a need.

Former Presidents Bill Clinton and George W. Bush kicked off a fundraising drive Saturday -- a donation push called the Clinton Bush Haiti Fund.

George W. Bush told CNN's John King in an interview that aired Sunday, "One thing I am concerned about is that on these -- during these crises, all kinds of fake charities spring up. ... We will make sure the money is accounted for and there's transparency, and [it is] properly spent."

CNN's Karl Penhaul, Arthur Brice, Elise Labott, Laurie Ure, Greg Clary and Dugald McConnell contributed to this report.

@highlight

Aid beginning to reach those who need it, officials say

@highlight

One aid group still experiencing delays in getting aid into country

@highlight

Port-au-Prince airport running at maximum capacity, U.S. general says