(CNN) -- Mark Zuckerberg believes that connectivity is a human right. Or at least that's how he's framing his new project, Internet.org, a partnership with leading companies in the smartphone industry to bring Internet access to the developing world.

You could be generous and call this enlightened self-interest, but more likely, Internet.org is a canny business move dressed up to sound like charity.

In his overly earnest manifesto about the project, Zuckerberg declares, "For almost ten years, Facebook has been on a mission to make the world more open and connected. For us, that means the entire world â€” not just the richest, most developed countries. We've made good progress, and today we connect more than 1.15 billion people through Facebook each month. But as we started thinking about connecting the next 5 billion people, we realized something important: the vast majority of people in the world don't have any access to the internet."

In other words, how do we help these people become our customers?

Companies that support Internet.org include Ericsson, Mediatek, Opera, Samsung, Nokia and Qualcomm. They make their money building smartphones or the systems and services that help them run. Internet.org has a three-part plan for achieving its goal.

1. Develop cheaper means of access, specifically low-cost smartphones.

2. Find data efficiencies that will allow services like Facebook to work with less bandwidth.

3. Create business models that will incentivize companies of all types to provide cheaper, more plentiful Internet access in the targeted regions.

While this outline sounds refreshing, the fact is, Facebook and its partners have been pursuing them quite actively already. Internet.org is simply benevolent branding on what these companies were hard at work doing.

Samsung and Nokia, for example, have been pushing their way into developing markets with low-cost smartphones.

In terms of data efficiency, Facebook has developed two projects, Facebook Zero and Facebook on Every Phone, which allow the social network to run on feature phones with little bandwidth. These apps have propelled Facebook's recent growth in Africa and Mexico.

New business models have emerged in regions like the Philippines, Mexico and Egypt, where Facebook partnered with handset makers and mobile carriers to preload its services onto phones in exchange for incentivizing upgrades and more expensive data plans.

Will Zuckerberg's new initiative operate differently than these existing ventures?

The name certainly implies so. The .org domain it uses in its name is one of the original top-level domains created specifically for nonprofits. Today, it is also used by academic institutions, open-source and community projects, and the philanthropic parts of for-profit corporations.

A number of articles mistakenly referred to Internet.org as a nonprofit. It's easy to see how they were confused. In the opening lines of his essay about the new project, Zuckerberg writes, "It may not actually be proï¬

@highlight

Mark Zuckerberg is starting an initiative to bring Internet access to developing world

@highlight

Ben Popper: Internet.org is a canny business move dressed up to sound like charity

@highlight

He says some people have mistakenly assumed the initiative is a nonprofit, but it's not

@highlight

Popper: Zuckerberg interested in potential growth and profits from emerging markets