(CNN) -- What factor has the power to transform individual lives, communities, nations and the world?

The answer to this complex question is a simple one: education. While it is widely accepted that there is no one solution to lift the millions across our globe out of poverty, it is also equally accepted that a key cornerstone of addressing some of the world's most pressing challenges is through providing a quality education to all children, especially girls.

Despite increasing numbers attending school in recent years, 126 million children remain out of primary school and lower secondary school around the world. Some 65 million of these children are girls.

The highest rate of girls not in school is across the African continent, where in sub-Saharan Africa nearly four out of five poor rural girls are not completing primary school. There are an estimated 250 million children worldwide of primary school age who can't read, write or do basic math -- more than half of whom have completed four years of schooling.

It is unacceptable that in 2014 -- less than a year away from the deadline the international community agreed to get all children into school -- that 30 million girls in Africa are denied their basic human right to a quality education. Ensuring that every child goes to school, stays in school and learns something of value while there will require firm commitments and action by governments to invest in education and prioritize the education of its girls.

Africa's economy has grown at more than 5% annually over the past decade -- some of the highest economic growth in the world -- leading many to use the phrase of "Africa Rising" when describing its countries. However, a country's economic growth does not always lead to development or improvement for its poorest citizens. To truly rise as a nation by building an equitable, sustainable and peaceful society, governments must ensure that spending on education is prioritized and used well.

According to recent research, the estimated economic gain from achieving universal primary education exceeds the estimated increase in public spending required to achieve it. One extra year of schooling can increase an individual's earnings by 10%. Girls who complete a primary education are likely to increase their earnings by 5 to 15% over their lifetimes.

Each additional year of schooling could raise average annual gross domestic product growth by 0.37%. If all women had a primary education, child marriages and child mortality could fall by a sixth, and maternal deaths by two-thirds. Investing in girls' education could boost sub-Saharan Africa's agricultural output by up to 25%.

Some countries lose more than $1 billion a year by failing to educate girls to the same level as boys. Without education, how can a country's future citizens take part in growing their economy and reap benefits? Without education how can a country grow?

More from African Voices

It is however, not good enough to only increase the number of children receiving education. Children and young people must learn basic knowledge, skills and competencies, such as reading, writing, critical thinking, problem solving and math, that are needed to live healthy, safe and productive lives.

In Liberia, across the African continent and, indeed, around the world, it is becoming increasingly apparent that going to school is not the same as learning. This is of grave concern given that many of the social and economic returns from an education are found to come from learning outcomes rather than number of years in school.

To accomplish this, more financial resources that are better spent are needed to build a strong education system capable of improving both access and learning for all. But making informed decisions about those resources requires good data.

Information on teachers, how to best support them to do their jobs, and information on how students are learning are crucial for knowing what policies and programs will be effective. By using our resources more effectively and focusing them on those children that are currently left behind, we can have some of the best educated citizens in the world -- citizens who will be responsible for building a peaceful and prosperous future.

At current rates, the poorest girls in sub-Saharan Africa will only achieve universal primary completion in 2086. To not invest in and prioritize girls' education, we as African leaders are telling our women that we do not care about you and your child's future. As one of those women, I will not accept this and I urge all our leaders to invest in our children's future. Investing in girls' education is not only a moral imperative, it is a smart investment.

On the 16th of June, the Day of the African Child, young people from across Africa will stand at the African Union Headquarters in Addis Abba, Ethiopia, and across Africa, to call on their governments to dedicate more resources -- the recommended 20% of national budgets -- to education and develop strong and transparent monitoring systems to track effectiveness and impact.

Better information on learning outcomes and public spending is key to achieving our goals. These young people want a brighter reality and they demand that their governments stand up to meet their responsibilities and commitments, in order to build a future for their children, a future for their country.

When nearly 60 developing countries come together in Brussels at the end of June, as part of the Global Partnership for Education, they will be asked to commit to increase education spending. If they do, we will know if they have listened to these young people, and then the phrase, "Africa Rising," can be used in all truthfulness.

Plan International's Because I Am A Girl campaign announces its #10DaysToAct initiative, beginning on June 16 at the African Union meeting in Addis Ababa.

Read this: Africa is rising, but for whom?

Read this: Building peace in Africa? Give power to women

The opinions expressed in this commentary are solely those of Ellen Johnson Sirleaf.

@highlight

June 16 is the Day of the African Child

@highlight

Johnson Sirleaf: Governments must ensure that spending on education is prioritized

@highlight

She says investing in girls' education is not only a moral imperative but also a smart investment