(CNN) -- The federal government must get out of the business of collecting bulk data about Americans' telephone calls, President Barack Obama said Thursday, saying the information should instead be held by phone carriers who would then provide the material to counterterrorism agencies.

The shift came after the collection program, administered by the National Security Agency, was revealed by former government contractor Edward Snowden. The bulk collection of telephone records was criticized as a major breach of Americans' privacy, and Obama vowed to make changes to the program while maintaining the ability to keep the country safe from terrorist attacks.

"I have decided that the best path forward is that the government should not collect or hold this data in bulk," Obama said in a written statement. "Instead, the data should remain at the telephone companies for the length of time it currently does today."

A months-long review led to the decision, which Obama announced while on an overseas tour of Europe and Saudi Arabia. Congress would have to approve the plan; this week, the House Intelligence Committee introduced similar legislation that would end government collection of phone data.

Officials said the White House-proposed changes would require a federal court to grant its approval before the government could obtain phone records from carriers. Those records contain information about calls made to individual phone numbers but do not include the content of the calls.

Among the provisions included in the White House's suggested law is an "emergency" clause allowing the government to collect phone data without court approval. A senior administration official, speaking anonymously, said high-level government officials would determine what situations amount to national security emergencies, though the official didn't offer a definition of what might constitute such an occasion.

Obama, Congress working on changes to NSA

Under the new rules, phone companies would be compelled to provide technical assistance to the government during the collection process. That includes making sure the information is produced quickly and in a usable format.

A U.S. official said the White House had "fairly high-level discussions with some of the providers" to discuss the changes and how they'd affect individual businesses.

Initial industry reaction to the proposed changes was largely lukewarm. A spokesman for Sprint said the company was reviewing the proposal, while AT&T declined to comment.

Randal Milch, general counsel and executive vice president at Verizon, said the telecom giant supported the plan to end government collection of data but added that the new rules "should not require companies to store data for longer than, or in formats that differ from, what they already do for business purposes."

"If Verizon receives a valid request for business records, we will respond in a timely way, but companies should not be required to create, analyze or retain records for reasons other than business purposes," he wrote.

Because the current authorization for the government phone data collection program expires this week, officials said the government would seek an additional 90-day approval period while the proposed legislation makes its way through Congress.

On Tuesday, Reps. Mike Rogers of Michigan and Dutch Ruppersberger of Maryland -- the top Republican and Democrat on the House Intelligence Committee -- unveiled their own plan for ending the automatic NSA collection of phone metadata.

The issue touches on deep political and ideological fissures between Republicans and Democrats, promising an extended battle in Congress over the necessary legislation, especially in an election year.

On Thursday, Republican Sen. Rand Paul took harsh aim at Obama's record on privacy as the President was meeting with Pope Francis in Rome.

"@BarackObama to @Pontifex: Forgive me father for I have spied. #NSA," tweeted Paul, who's been one of the fiercest critics of the NSA spying programs that Snowden helped reveal.

Those leaks unleashed a political firestorm, with privacy advocates and others calling the NSA surveillance programs a violation of constitutional rights. In particular, many Americans feared inevitable abuse of a system in which the government collected billions of phone records for possible review in terrorism investigations.

Snowden, now living in Russia while seeking asylum from U.S. prosecution, has repeatedly described the surveillance programs illuminated by his leaks as unconstitutional.

Several legal challenges have been mounted against the NSA programs, and some of those cases could reach the Supreme Court in coming years to set up a judicial review of the constitutional limits of government surveillance in the post-9/11 era.

Opinion: Get the government out of your phone records

CNN's Tom Cohen contributed to this report.

@highlight

NEW: Initial industry reaction to the proposed changes is largely lukewarm

@highlight

Data should stay with phone companies, President says

@highlight

Court approval would be required before the government could obtain phone records

@highlight

The White House plan would need congressional approval