(CNN)The U.S. ocean, atmospheric and space agencies affirmed on Friday what the planet has been telling us every way it knows how: 2014 was the hottest year since record keeping began in 1880.

That means average land and sea temperatures, worldwide, have never been hotter in modern times, according to the National Oceanic and Atmospheric Administration (the gold standard for global climate data) and the National Aeronautics and Space Administration (the guys who put a man on the moon).

This isn't about whether we believe in science: It's about whether we believe the thermometer.

In fact, the 16 hottest years on record have all occurred since 1997, the new data confirm, contributing to widening deserts, rising seas, withering drought, ravaging storms, blistering heat and other climate change impacts reaching from the tiniest African village to our own backyards.

Here in the United States, Arizona, Nevada, Alaska and California all wrapped up their hottest years on record. California remains mired in the grip of a three-year drought, its worst in centuries. The Northeast is still rebuilding from Hurricane Sandy. And that was just one of the climate-related disasters that cost this country an estimated $139 billion in damages in 2012 alone.

Above and beyond the economic costs, climate change has created a widening humanitarian crisis noted by spiritual leaders around the world. For example, Pope Francis is expected to publish an encyclical on the state of the world's environment, singling out climate change as an urgent challenge to global stewardship. It's reported that he'll call on people of all faiths to embrace our obligation to protect future generations from this grave and gathering scourge.

President Obama has embarked on the single greatest U.S. effort yet to combat this growing menace, by reducing the dangerous carbon pollution that's driving climate chaos. He has directed the Environmental Protection Agency to put in place the first limits on carbon pollution from the power plants that account for about 40% of the U.S. carbon footprint.

Under the President's Clean Power Plan, we'll cut carbon emissions from our power plants 26% by 2020 and 30% by 2030. We can do better than that -- and we should. The President's plan puts us on the right track.

Since last summer, EPA officials have been hard at work, coordinating with their state counterparts, public service commissions, power companies and other vested stakeholders to come up with tailor-made plans to hit the targets in the most cost-effective way.

Some power companies are already well on their way, investing in efficiency so we can do more with less waste, getting more power from the wind and sun, cleaning up dirty power plants or some combination of the three.

Even as we, as a nation, begin to make progress, though, some coal, gas and oil companies and their allies on Capitol Hill want to turn us back around.

Republican leaders in the Congress have pledged to lead legislative efforts meant to keep the EPA from cutting carbon pollution. The Republican leaders aren't offering answers of their own, mind you; they just want to block any action that could help us address the problem of climate change. It's part of the big polluter agenda they've vowed to press, putting fossil fuel profits first -- and putting the rest of us at risk.

We have a responsibility in this country to stand up and speak out for what matters most. That's the essence of American democracy. It's part of what makes us exceptional. It's part of what makes us great.

We just finished, worldwide, the hottest year on record. Those are facts no amount of climate change denial can alter.

We have a choice in this country. We can continue to feed climate disaster by anchoring our future in the fossil fuels of the past, or we can protect future generations from the ravages of climate change by investing in the clean energy solutions of tomorrow.

@highlight

2014 was the hottest year since record keeping began in 1880

@highlight

High temperatures have resulted in widening deserts, rising seas, droughts, ravaging storms, blistering heat

@highlight

While President Obama is trying to tackle climate change, Republicans are blocking meaningful actions