Seoul, South Korea (CNN) -- As senior U.S. officials sought to figure out how to respond to North Korea's announcement that it will launch a satellite using ballistic missile technology, a State Department spokeswoman said Friday that an agreement by the United States to deliver food aid to the impoverished country would be put on pause.

'I think we're going to take a pause here and see what happens," State Department spokeswoman Victoria Nuland said. " A North Korean launch of a satellite would be highly provocative."

Planning for the delivery of food aid -- under a deal struck last month in which Pyongyang agreed to halt nuclear tests, long-range missile launches and enrichment activities in exchange for food aid -- had been "relatively far advanced," she said.

At the time of the food aid agreement, under which North Korea would receive 240,000 metric tons of foodstuffs, the United States told Pyongyang that such a launch would be contrary to the accord, Nuland said.

"Frankly, if they were to go forward with this launch, it's very hard to imagine how we would be able to move forward with a regime whose word we have no confidence in and who has egregiously violated its international commitments," she said.

Nuland's announcement came hours after the country's official news agency said that Pyongyang plans to launch next month an "Earth observation" satellite using a carrier rocket, a move that would potentially violate U.N. Security Council demands.

Though the United States makes it a practice not to link humanitarian aid with other issues, "a launch of this kind, which would abrogate our agreement, would call into question the credibility of all the commitments that the DPRK has made to us," she said, referring to the country's official name, the Democratic People's Republic of Korea.

The announcement surprised the Obama administration and the other countries involved in the six-party talks intended to find a peaceful resolution to concerns over Pyongyang's nuclear weapons program. It raised questions about whether North Korea's new leader, Kim Jong Un, is any different than his late father, Kim Jong Il.

During talks in Beijing between the United States and North Korea, U.S. officials said North Korea had been explicitly warned against the use of space technology.

"They knew if they were to launch a satellite, this would be a matter of grave concern to the U.S.," said one senior official who would not be identified publicly because of the sensitivity of the issue.

The North Koreans notified the United States about their intention but did not make clear they were going to make the announcement public, which has made the move more difficult to deal with, the officials said.

In providing a rationale for the launch, North Korea told the United States that they have the "right" to peaceful access to space, as do all other nations, one senior official said. The official said that the United States replied that all other nations have not been judged to be a threat to international peace and stability and enjoined explicitly against conducting ballistic missile launches.

"This is not about their 'rights'; it's about their obligations as a member of the U.N.," the North Koreans were told, according to this official.

"The DPRK announcement talks about a satellite launch," Nuland said. "However, as we know, it requires the use of missile technology to launch a satellite, and it's the use of the missile technology that is an explicit violation of U.N. Security Council Resolution 1874. So it's a matter of semantics. ... They say they're launching a satellite. We say 'you're launching it with ballistic missile technology, which the U.N. Security Council resolutions have explicitly precluded.' "

Ri Yong Ho, a senior North Korean nuclear envoy, traveled this week to Beijing and Moscow after attending a conference in New York sponsored by Syracuse University. The officials said he raised eyebrows in both countries by suggesting that North Korea would undertake the launch.

Theories abound on why the North Koreans made the announcement: Was this the last wish of the country's late leader, Kim Jong Il? Is this something devised after Kim Jong Il's death in December to mark his greatness? Is this the regime marking the centennial of the birth of the country's founder, Kim Il Sung, with something flashy? Kim Il Sung was born April 15, 1912, and died in 1994.

In fact, the North's official Korean Central News Agency said that the planned launch -- scheduled to take place between April 12 and April 16 -- would mark the 100th anniversary of the birth of Kim Il Sung. It cited a spokesman for the Korean Committee for Space Technology.

The centenary of Kim Il Sung's birth is a huge event in the North Korean calendar.

Since the announcement, U.S. officials have been huddling with officials from Japan, Russia and South Korea, all of which have issued tough statements warning against any such launch. The officials, who have also spoken with Chinese officials, were awaiting an announcement from Beijing.

In terms of consequences, it was not clear whether the announcement would derail the deal announced by the United States and North Korea or whether anything can be salvaged.

Several nations on the U.N. Security Council quickly criticized the North Korean announcement.

"Well, the position of the Security Council, of course, is that all Security Council resolutions must be abided by," said Britain's ambassador to the United Nations, Mark Lyall Grant, speaking in his capacity as president of the Security Council for March. "And if this launch goes ahead, our understanding is, it would be violation of Security Council resolutions."

The French Foreign Ministry on Friday also called the move a provocation. North Korea "must abandon" plans to launch a rocket to put a satellite into orbit next month, because doing so would violate the terms of U.N. Security Council resolutions, it said.

"The launching of a rocket by North Korea would contribute to the development of its ballistic missile capabilities," the ministry said.

Russia called the announcement a "grave concern."

"We are calling on Pyongyang not to oppose the international community, stay away from actions that heat up the situation in the region creating additional complications for re-launching the six-party talks on the nuclear problem on the Korean Peninsula," the Russian Foreign Ministry said.

Previous satellite launches by the reclusive North Korean regime have been widely viewed as ballistic missile test launches in disguise.

The last time Pyongyang carried out what it described as a satellite launch, in April 2009, the U.N. Security Council condemned the action, saying it breached a resolution forbidding North Korea from conducting "missile-related activities."

The Security Council demanded that North Korea not conduct further launches.

South Korea's foreign ministry said Friday that it urged the North to respect the United Nations ruling and "observe its international responsibility."

Academics said the North Koreans' announcement is about more than developing the technology needed for satellite launches, which is the same technology needed for missile launches. "They're trying to remind the world they are dangerous and working hard to develop a delivery system," said professor Andrei Lankov of Kookmin University in Seoul.

But the North Korean news agency said North Korea will "abide by relevant international regulations and usage concerning the launch of scientific and technological satellites for peaceful purposes."

The satellite, named Kwangmyongsong-3, will be "blasted off southward" from the Sohae Satellite Launching Station in the western province of North Phyongan, according to the official report.

"A safe flight orbit has been chosen so that carrier rocket debris to be generated during the flight would not have any impact on neighboring countries," the report said.

North Korea's previous rocket launches that it said aimed to put satellites in orbit were Kwangmyongsong-1 in 1998 and Kwangmyongsong-2 in 2009.

While Pyongyang says those launches succeeded, outside agencies have found no evidence of the satellites being placed in orbit.

Experts say Kwangmyongsong-2 flew over Japan, farther than any other North Korean missile, before crashing. The 2,000-mile flight suggested that North Korea is getting better at building long-range missiles.

"The upcoming launch will greatly encourage the army and people of the DPRK in the building of a thriving nation and will offer an important occasion of putting the country's technology of space use for peaceful purposes on a higher stage," the news agency report said Friday.

CNN's Tim Schwartz, Jethro Mullen, Paula Hancocks and Elise Labott contributed to this report.

@highlight

NEW: "We're going to take a pause here," State Department spokeswoman says

@highlight

NEW: Planning for food aid had been "relatively far advanced," Victoria Nuland says

@highlight

Pyongyang wants to remind the world that it is dangerous, an analyst says