DANVILLE, Pennsylvania (CNN) -- When Joseph Homicz's doctor found what could be dangerous blockages of the arteries, he ordered catheterization, a common procedure in which tubes are inserted into the body to check the blood flow.

Dr. Peter Berger, far right, has a 40-item checklist covering steps before, during and after a procedure.

But Homicz's treatment was not quite ordinary because he was sent to a cardiologist working at Geisinger Health System in Danville, Pennsylvania.

Geisinger, which operates hospitals, community clinics and its own insurance company, is enacting what some consider radical ideas to improve patient care and lower costs.

It's a system that President Obama has billed as one of the nation's "islands of excellence."

Homicz's procedure was part of the Proven Care program, in which all of a patient's medical professionals work together to ensure no mistakes are made.

It is everyone's job to make sure any errors are caught, and doctors are graded on the entire treatment a patient receives from the time of diagnosis through an operation to the care received weeks or even months later.

"We want to make it harder to make a mistake," Dr. Peter Berger, Homicz's cardiologist, said after the procedure.  Watch more on Geisinger's approach to health care »

Berger has a 40-item checklist covering steps before, during and after the procedure, including checking whether the catheterization is really needed to ensuring he has the right patient on the table.

Berger, who is also the system's director of clinical research, says patients and doctors both benefit from this type of medicine.

"Every study that has been done has shown that doctors and health care systems aren't as good at administering all of the things a patient needs as we ought to be," Berger says. "There are so many watchful eyes on the patient. All members of the team have an assigned responsibility, and we are all making sure we all do our job. I absolutely think that the patients benefit from that kind of approach."

Leading up to Homicz's catheterization and during the procedure, nurses and doctors checked off specific items and were encouraged to check in on what Berger was doing.

Geisinger says this approach encourages teamwork, which leads to better results, less mistakes and increased profits.

"We got a lot of buzz out of the fact that we re-engineered all our care from beginning to end," Dr. Glenn Steele, president and CEO of Geisinger said. He said company employees went out and studied how medical professionals around the country were conducting specific procedures and incorporated the best of what was found.  Watch more of Steele's take »

"When you're having heart surgery how tightly should you control the level of your blood sugar? Should you do that with a continuous drip of a medicine called insulin? What should your temperature be exactly when you come out of the operating room and go to recovery room? All of those things are thought or have been proven to be related to the probability of you having a perfect outcome, but none of those things has been formally engineered into a process until we did it," Steele said.

Geisinger says its procedures and operations cost patients less than others.

Some patients who have Geisinger insurance are able to pay a set price. In return, if within 90 days after a procedure they develop any related complications  -- for example an infection, pneumonia, a bleed in the area -- they get free treatment. Geisinger estimates about a third of those using Proven Care are eligible for this guarantee.

"We've found huge decreases in hospitalization and rehospitalization for those patients because they're better cared for," Steele says.

The company also helps keep patients with chronic problems from getting worse by assigning case managers to consult and check in with patients as often as necessary.

For example, James Connelly, a 78-year-old patient with a history of congestive heart failure, kidney disease and artery disease, was admitted to the hospital in May of last year after gaining 14 pounds. After doctors stabilized him and sent him home, Connelly enrolled in the partnering initiative. Each day he enters his weight on a Web site, which is monitored by his case worker. A year later he has lost 14 pounds and is much healthier.

Through technology and its use of electronic medical records, the company says it has shaved costs by preventing unnecessary tests. Also, patient data can be accessed at any of the hospitals or 40 clinics Geisinger operates.

So can the Geisinger system be replicated nationwide?

Geisinger executives say not all of what they have put in place will work elsewhere, however, they say a good portion -- more reliance on electronic records and a greater emphasis on collaboration -- will help dramatically improve health care.

"I think what we can do over the next few years is rather than to try to come on the right formula, the right template for all of the reform, I think what we can do is scale this thing up," Steele said.

"I don't think we have to push the entire system off the cliff because...there is a lot that is designed out there that couldn't do what we are doing."

CNN national political correspondent Jessica Yellin contributed to this report.

@highlight

Geisinger operates hospitals, community clinics, its own insurance company

@highlight

Company says its procedures, operations cost patients less

@highlight

"We re-engineered all our care from beginning to end," CEO says