(CNN)  -- They learned as children that the world is a scary place where strangers with hatred in their hearts steer planes into buildings, grown-ups cry for days and everything can change in an instant.

They grew up with color-coded terror alerts and long lines at airport metal detectors. They saw the economy sputter. And still, the bad guys appeared to get away with it.

Osama bin Laden was their bogeyman, the monster under the bed.

Now the 9/11 generation has come of age. Children who were 8, 9 or 10 when the World Trade Center towers fell and the Pentagon burned are in college. So when the news came that bin Laden was dead, it was young people across the country -- from the campuses of Penn State to American University to Vanderbilt to Stanford --­ who filled the streets with a chorus of cheers, honking horns and fireworks that lasted well into the wee hours of Monday morning.

Check out iReport's Open Story for world reaction

For the 9/11 generation ­-- the label experts give to a subgroup of the millennial generation or generation Net -- it was a celebration of America's renewed strength under a president they helped elect. To them, bin Laden wasn't so much a person as an embodiment of all things scary and evil, said Dr. Patricia Somers, an education professor who has studied college students affected by 9/11.

"They were celebrating a symbol," she told CNN over the phone from her office at the University of Texas in Austin.

The 9/11 generation, Somers said, actually is made up of two subgroups -- children who were in high school or college when the terror attacks occurred, and those who were in elementary school.

The experience for the older children was less filtered; many watched live television reports of the attacks in their living rooms and classrooms. The elementary school children were more sheltered, a conscious decision by parents and educators to spare them from trauma. They experienced 9/11 in later installments, through memorials and anniversaries.

The older group can remember a safe "before," Somers said. The younger ones, 10 years later, may not even recall a time when there was not a war on terror.

Members of the 9/11 generation seem to have more in common with their grandparents than their parents; both experienced attacks from outsiders with a clearly identifiable evil frontman ­ -- Adolf Hitler during World War II and bin Laden during 9/11.

Students who grew up near New York City feel the effects of 9/11 more deeply than others, ­no matter their age at the time. They are more likely to know someone who died that day. The attacks are part of the region's shared experience.

At Rutgers University, 30 miles from New York, students in the communications department are compiling a narrative of the experiences of children who lost a parent at the World Trade Center. For many, it means profiling people from their hometowns in New Jersey. Those experiences appear to have shaped their reactions to bin Laden's death.

When the news broke, Rutgers junior Megan Schuster immediately thought of the Hargrave sisters -- Corinne, Casey and Amy -- whom she interviewed for the 9/11 Project. The girls' father, T.J., a former soap star and executive at Cantor Fitzgerald, died as the twin towers fell.

Read Megan Schuster's essay

Schuster was troubled by the exuberant reaction to bin Laden's death. "I don't like the concept of 'celebrating' death," she said. "Killing bin Laden does not bring back the lives of all those lost on 9/11. I think it teaches the encouragement of death. But death is not the answer."

Senior Travis Fedschun was glued to the television for updates. He said he didn't feel like celebrating, even if capturing bin Laden seemed to be the first thing that had gone right for the United States in a long time. His thoughts turned to the teenager he interviewed for the Rutgers project, Kaila Starita, who lost her father, Anthony. He worked at Cantor Fitzgerald.

"Families don't use the word closure. What's this going to do? It's not closure," Fedschun said. "It was something we could check off our to-do list. I didn't think it would be appropriate to go out and parade around."

Read what Travis Fedschun has to say

Added a fellow student working on the project, senior David Seamon: "It's not for us to say whether or not bin Laden's death will help a fatherless teenager sleep better at night." Seamon interviewed a brother and sister from Colonia, New Jersey, and he is still rewriting their story.

Read David Seamon's comments

Jennifer Lilonsky is 24, at least a couple years older than the other students working on the project, and knows her perspective is darker because she was "less sheltered" from the horror.

"The truth is that it will never end. That is the goal of terrorism," she said. "This is not justice. There will never be justice. ... Even the end of his life alone brings fear."

Read Jennifer Lilonsky's insights

Experts who have studied the 9/11 generation say its members are more patriotic, more politically aware, more socially conscious and more plugged in than previous generations.

So yes, American flags were waved, not burned, on campuses Sunday night.

Chants of "U-S-A! U-S-A!" thundered as if killing a terrorist was an Olympic event.

"We were young at the time of the September 11 attacks, so we have grown up with this constantly in our minds," Chris McDonald, a student at Vanderbilt, told CNN's iReport. "To see justice delivered after such a long, hard wait is a feeling of unspeakable happiness."

Noah Gray, an American University student who joined the celebrants in front of the White House, said a friend summed up how his generation feels in a tweet on Sunday night: "Osama was the first person I was ever taught to hate. I waited 10 years, but now it's done. Unreal."

But not everyone of that generation felt unbridled joy.

Betsy Mitchell, a 19-year-old student at East Carolina University, said she was ridiculed on Facebook for tempering her glee. "Celebrate our military, celebrate America for standing tall, don't celebrate the fall," she said. "I did not like it when the terrorists celebrated killing Americans, I don't like it when we do the same thing. Yes, bin Laden needed to die, but he is still a human being."

Ohio State University student Robert Peterson told iReport that he had second thoughts as "people ran through the streets, blowing noisemakers and shouting in happiness" but he didn't judge the revelers. "I do not feel it is right to celebrate the death of a person, but what we are seeing here is the demise of terrorism. Thus, I am not so much enamored for the death of bin Laden as I am for progression toward a safer, less violent world."

Belief blog: Partying made me cringe Belief blog: Making no apologies

Somers, the University of Texas education professor, led a widely quoted study of 9/11's impact on college students. She said bin Laden's death represents "the end of an era" for them. "But there will still be terrorism, and there will still be terrorist attacks. Everybody was celebrating Sunday night, but then a sobering realization comes to them. It's been 10 years, and it was a rough 10 years," she said.

Somers based her study on what is known as Terror Management Theory. People who face their own mortality after acts of terrorism respond by seeking meaning and purpose in their lives, she explained.

After 9/11, most Americans reacted with shock, disbelief, a need to huddle with friends and family and retreat from gatherings of large groups. Some bought guns or stocked up on duct tape and canned goods. Others searched for information.

But among college students, Somers witnessed more lasting reactions. As the initial shock wore off, many students became intensely patriotic. Then, some questioned their patriotism, asking, "Do we have to accept everything the government does?" They grew interested in politics. Giving blood after the attacks fed a growing civic-mindedness, and they volunteered for charitable groups. Some even changed majors or signed up for military duty.

"Right after 9/11, we had the new normal," Somers said. "Maybe this is the newest normal."

@highlight

College campuses erupted in celebration at news of Osama bin Laden's death

@highlight

Students were 8 to 12 at the time of the 9/11 terror attacks

@highlight

Some believed strongly that they should not be celebrating a death

@highlight

Terrorism affected their lives like no other American generation in history