Washington (CNN) -- The Supreme Court appeared cautiously willing to uphold its decades-old precedent giving labor unions the power to collect dues for collective bargaining from public sector workers, even those who choose not to join the union.

That could avoid a major political upheaval in the national labor movement. But a number of justices indicated Tuesday during oral arguments they may rule more narrowly on the case at hand -- and exempt some home-care health providers from being designated "state employees" and forced under Illinois law to pay those fees.

It is an economic and legal issue sharply dividing the business community and its allies on one side -- with the unions, some states, and the Obama administration on the other.

At issue is whether the free speech and association rights of non-union personal assistants are being violated when Illinois negotiates exclusively with the Service Employees International Union (SEIU) over wages, hours and working conditions.

The court, as usual, went ahead with its public session despite the rest of the federal government shut down because of the winter weather. Three separate oral arguments took place into the afternoon. The justices almost never cancel them, operating largely on their own schedule, apart from the rest of official Washington.

All members of the court were present, and even retired Justice Sandra Day O'Connor watched attentively from the sidelines as a spectator in the crowded courtroom.

It's called the 'agency shop'

Lawyers from both sides faced sometimes withering questioning from the bench.

"I'm just going to use the word here, it is a radical argument," Justice Elena Kagan told the attorney for the non-union employees. "It would radically restructure the way workplaces across this country are run."

But Justice Anthony Kennedy said the free speech aspect was important, such as the debate over negotiating the size of the government workforce.

"I'm talking about whether or not a union can take money from an employee who objects to the union's position on fundamental political grounds. I'm asking the justification for that under the First Amendment," he said. "In an era where government is getting bigger and bigger, this is becoming more and more of an important issue to more people."

The Supreme Court has issued a series of incremental rulings over the decades. No worker can be forced to join a union, but the justices have recognized labor organizations carry a legal obligation to represent all employees.

Under the "agency shop" dynamic, that means the non-union workforce must still pay their "fair share" for the costs of negotiating and administering binding contracts with the company.

The theory is that all benefit from the fruits of collective bargaining, and that allowing individual workers to opt of the contribution -- for financial, personal, or ideological reasons -- would offer no incentive for anyone to pay the fair share fees, called "free riding."

And the high court has said that arrangement can be important to maintain a stable workforce and "industrial peace." In 1977, the justices extended its precedents to include public-worker unions.

But such fees cannot be used by unions to support purely political activities, such as backing electoral candidates.

Forced to subsidize union lobbying?

Under the cooperative federal-state Medicaid program for poor and disabled Americans, Illinois decided a decade ago to expand its authority over the estimated 28,000 home-care aides in the state. Illinois lawmakers justified the change by arguing even though the workers are typically employed by the individual patient, they are reimbursed under state-controlled Medicaid funds.

Those home-care assistants are considered state workers only for the purposes of collected bargaining, with SEIU the exclusive representative for the separate Rehabilitation and Disabilities programs administered by Illinois.

During arguments, William Messenger said his handful of clients -- many of whom provide home health services for their own family members -- were being "forced" to subsidize the union's efforts before the state, which he said was lobbying and "political in nature."

"But how does it differ from the typical bargaining that a union does? It asks for a wage rate and it asks for various benefits," said Justice Ruth Bader Ginsburg, skeptically. "So are you saying that when it's in the public sector, it gets converted into something else?"

"What stops the people who oppose the union policy from sending a letter, asking a meeting, expressing their disapproval in any forum they want and in any way they want to whatever policy a union is advocating? Is there anything that stops them from doing that?" asked Justice Sonia Sotomayor. When told there was nothing stopping them, she continued, "So where's the First Amendment abridgement?"

Justice Antonin Scalia later added, "So you're essentially destroying not just the [agency] shop, but you're destroying the ability of the union to get money even from the people who don't agree with what it's doing."

Justice Stephen Breyer put the question in more practical terms. "You're asking us to overturn a case that's been the law for 35 years... I guess there are millions of instances in which employees and employers and others have relied on it in collective bargaining," he said, wondering "why we should upset reasonable expectations over so long a period of time."

But some on the court were concerned these home-care workers were being treated differently than others in the public sector.

When pressed by Chief Justice John Roberts, the attorney for the union, Paul Smith, said home-care workers could be forced to pay for the union's efforts to raise its Medicaid rates, but not public school teachers, whose union may be doing the same thing.

Smith said since home-aid workers are paid directly through Medicaid, such negotiation and advocacy was "perfectly appropriate."

"So the same speech with respect to one union is a speech on a matter of public concern, but with respect to another union, it's not?" Roberts asked, with his hand on his face.

State says union representation helps all

The state argues state-compelled union representation has increased wages and benefits, reduced turnover and improved training and supervision for home-care workers who typically do not operate in a centralized workplace.

And officials say allowing patients to be cared at home by those aides instead of permanent institutionalization has saved the state more than $630 million in Medicaid costs.

But those aides bringing suit say the government has not justified its control, since no one in the state directly supervises them. And they say unions negotiating with the state naturally involve matters of public concern, which deserve greater protection from compelled free speech and association.

Among the plaintiffs is Susan Watts, who cares for her daughter, Libby, in their home because of the girl's quadriplegic cerebral palsy, a stroke and numerous surgeries. She says being designated a "state employee" is not proper, since Illinois merely subsidizes a participants costs of hiring a provider for her daughter, which happens to be herself.

She attended the arguments and told CNN afterward she was hopeful of prevailing.

Near the end of the public session, Justice Samuel Alito raised the elephant-in-the-room issue, the suggestion the state's interest in having the union represent the home-care workers was about political payback.

"Do you think that the specific factual background of what occurred here provides a basis for skepticism about Illinois's reason for adopting this?"

The federal government's lawyer, Solicitor General Donald Verrilli, replied the state -- as the "manager" of the Medicaid reimbursement program -- should not have its motives questioned.

"I thought the situation was that Gov. [Rod] Blagojevich got a huge campaign contribution from the union and virtually as soon as he got into office [in 2003] he took out his pen and signed an executive order that had the effect of putting, what was it, $3.6 million into the union coffers."

The current conservative majority on the court has been accused of being overly sympathetic of big business over worker and union rights. Two years ago, in a related case, the court hinted it may be willing to rethink its views on union fees in the larger context of free speech. The question could turn on whether the specific facts in this dispute would be enough to cast aside precedent, and allow a sweeping ruling against the union.

The case is Harris v. Quinn (11-681). A decision is due by late June.

@highlight

Non-union employees challenge Illinois negotiations

@highlight

They contend they should not be considered union-covered state employees

@highlight

Unions argue all workers benefit from collective bargaining

@highlight

Justices appear hesitant about changing precedent