WASHINGTON (CNN) -- Iran's Islamic Revolutionary Guards Corps has taken command of Iranian naval operations in the Persian Gulf, the U.S. military has revealed.

An Iranian sailor monitors a Revolutionary Guards missile test in the Persian Gulf in 2006.

That means U.S. naval forces are operating in the same waters as an organization the United States considers a major supporter of terrorist activity.

Adm. Michael Mullen, chairman of the Joint Chiefs of Staff, made the disclosure Wednesday at the Army War College in Carlisle, Pennsylvania, where he was answering questions from military students.

Afterward, in a written statement, the U.S. Navy Fifth Fleet in Bahrain said, "Based on activities observed in the Arabian Gulf over the past several months, it appears the Iranian navy has shifted its patrol areas to the Strait of Hormuz and Gulf of Oman -- leaving the IRGC navy to provide the primary Iranian naval presence in the Arabian Gulf."

The move is of concern to the U.S. Navy, which has long viewed the IRGC's forces as more antagonistic than Iran's regular navy.

Mullen said Iran made a "strategic decision" in recent months to "essentially give the entire Gulf to the IRGC over the next four or five years."

"That's a big deal, because I think part of the leading-edge challenge with Iran is the IRGC specifically," Mullen said.

For the past several months, IRGC forces have occupied a sunken barge and crane near Iraqi oil terminals at the northern end of the Persian Gulf. The IRGC is using the site as an observation post for the area, which is patrolled regularly by U.S. and coalition naval forces.

Mullen's comments reflect the chairman's concern about not just Iran's nuclear program, but also its arms shipments to Iraq and Afghanistan and statements against Israel, a senior U.S. Navy official said.

The United States has long said it believes the IRGC is behind those arms shipments, but it has stopped short of saying the central government of Iran is responsible for those actions.

IRGC forces earlier this year seized a group of British sailors at the northern end of the Gulf and held them for several days. The British had been conducting a boarding of a merchant vessel, as part of an approved coalition operation in the Gulf.

Since that incident, security measures for boarding parties have been stepped up, a senior U.S. Navy official said. New procedures during all boardings include flying an armed helicopter overhead and having an armed vessel close by.

A U.S. Navy official in the region said that operations in proximity to Iran's regular navy have been "formal and correct," but added that IRGC forces "rarely respond" to U.S. Navy attempts at ship-to-ship communications with them.

Several U.S. Navy officials said the move is militarily significant for the United States because of the IRGC's terrorist affiliation. U.S. Navy ships would not want IRGC vessels sailing too close to them because of that concern, they said.

One official said Iran's regular naval forces evoke less concern because they "represent a nation state."

The IRGC was formed in 1979. Under Iran's constitution, the corps' task is to protect the revolution, which generally means that it makes sure that domestic forces don't threaten the theocratic state, said analyst William Samii of the Center for Naval Analyses. The center is a government-funded think tank for the Department of the Navy in Alexandria, Virginia.

In contrast, the conventional forces are tasked with protecting the country's borders and guaranteeing its security.

The naval move "makes perfect sense," Samii said in a telephone interview.

In recent years, the Iranian military has recognized that, in a toe-to-toe fight with the U.S. military, "they'd get squashed," Samii said.

In response, it has been focusing more on alternative tactics, in which the Revolutionary Guards excel, such as setting mine fields and using large numbers of small boats either packed with explosives or manned by personnel carrying rocket-propelled grenade launchers. The thinking is that at least one would be able to get close enough to a large enemy military vessel to attack it, Samii said.

"Iran is trying to send a signal that it is ready for any military eventuality and that it is prepared to defend itself aggressively," he said.

But the move could backfire by driving Iran's Gulf neighbors into the arms of the United States, which has guaranteed the security of Arab states in the Gulf for decades, Samii said. E-mail to a friend

CNN's Barbara Starr contributed to this report.

@highlight

Responsibility transferred to elite unit, Pentagon reveals

@highlight

U.S. considers IRGC more hostile than Iran's regular navy

@highlight

U.S. believes IRGC is behind arms shipments to insurgents

@highlight

IRGC occupies sunken barge near Iraqi oil terminals