Edward Snowden, the National Security Agency leaker, has given a wide-ranging interview to The Washington Post about the effects of the startling information he shared this year with journalists, shedding light on the U.S. surveillance apparatus.

The revelations from Snowden, a former NSA contractor, about the American government's surveillance of its citizens and allies have generated fierce debate over intelligence-gathering practices.

Here are five key takeaways from the interview, the first Snowden has given in person since he arrived in Russia in June.

Snowden says ...

1. His mission is 'already accomplished'

"For me, in terms of personal satisfaction, the mission's already accomplished. I already won," Snowden told The Washington Post's Barton Gellman in Moscow. "As soon as the journalists were able to work, everything that I had been trying to do was validated. Because, remember, I didn't want to change society. I wanted to give society a chance to determine if it should change itself."

Snowden left his job in Hawaii with the NSA contract firm Booz Allen Hamilton and fled to Hong Kong in May, taking with him a hoard of secret information about intelligence programs. He shared the files with Gellman and journalists from The Guardian, a British newspaper.

The ensuing articles about how the NSA hoovers up vast amounts of phone and Internet data about American citizens sparked an uproar, with Snowden described as a hero by some and a traitor by others. Many more articles about other controversial aspects of U.S. surveillance have followed, and Snowden has said there's plenty more information still to be revealed.

His actions have had clear consequences.

A review of NSA surveillance practices ordered by the White House has recommended changes to the program, including greater judicial oversight and more public transparency in the collection of data. Key American allies, like Germany and Brazil, have publicly condemned U.S. surveillance of their leaders.

"All I wanted was for the public to be able to have a say in how they are governed," Snowden said. "That is a milestone we left a long time ago. Right now, all we are looking at are stretch goals."

Gellman told CNN that his impression was not that Snowden was gloating, but that his goal to strip some of the secrecy off the NSA's activities had been achieved.

2. He's become 'an indoor cat'

Snowden has so far managed to dodge the U.S. government's attempts to bring him back to America to face charges of espionage and theft of government property. And he's not taking any chances as he lives in asylum in Russia.

Gellman reported that during more than 14 hours of conversations in Moscow, Snowden didn't once "part the curtains or step outside."

Snowden, 30, described his life as that of an "indoor cat." He said he doesn't drink alcohol and lives on ramen noodles and chips.

"It has always been really difficult to get me to leave the house," he told Gellman. "I just don't have a lot of needs. ... Occasionally there's things to go do, things to go see, people to meet, tasks to accomplish. But it's really got to be goal-oriented, you know. Otherwise, as long as I can sit down and think and write and talk to somebody, that's more meaningful to me than going out and looking at landmarks."

Gellman said Snowden is the kind of person who usually keeps to himself indoors anyway.

He said Snowden does not want to continuing being part of the story, but wants to see his cause advance.

Snowden has had continuous access to the Internet and talks to journalists and his lawyers on a daily basis, the Post reported.

People who visit him bring him books, but he doesn't read them, preferring to get his information from the Internet.

Gellman reported that it was unclear to what degree Snowden was under surveillance by Russian authorities, saying that "no retinue" accompanied Snowden and that he didn't see anybody else nearby.

3. He raised flags before going public

Snowden said some other people who worked for the NSA's surveillance system also had misgivings about the activities.

He told Gellman that he raised concerns with colleagues and with superiors in the NSA's Technology Directorate and the NSA Threat Operations Center's regional base in Hawaii.

His co-workers were often "astonished to learn we are collecting more in the United States on Americans than we are on Russians in Russia," Snowden told the Post.

A lot of his colleagues were disturbed by what they heard, Snowden said, and several asked him not to tell them any more.

"I asked these people, 'What do you think the public would do if this was on the front page?' " he said, according to the Post.

"How is that not reporting it? How is that not raising it?" he said in response to criticism that he circumvented the NSA's internal channels for disagreement.

The NSA said in a statement to the Post that it had "not found any evidence to support Mr. Snowden's contention that he brought these matters to anyone's attention."

4. The intelligence community's overseers 'elected' him

Snowden has faced widespread criticism over his actions from Obama administration officials and members of Congress. But he told Gellman that the U.S. government left him little choice.

Asked why he felt entitled to bring the NSA's intrusive activities to public attention, Snowden told the Post: "That whole question -- who elected you? -- inverts the model. They elected me. The overseers."

He singled out the chairmen of the Senate and House intelligence committees, Sen. Dianne Feinstein and Rep. Mike Rogers, both of whom have voiced criticism of his leaks.

"It wasn't that they put it on me as an individual -- that I'm uniquely qualified, an angel descending from the heavens -- as that they put it on someone, somewhere," he said. "You have the capability, and you realize every other (person) sitting around the table has the same capability but they don't do it. So somebody has to be the first."

He said his aim was not to bring down the NSA, but to improve it.

"I am still working for the NSA right now," he said. "They are the only ones who don't realize it."

5. Personal attacks don't faze him

Ever since he stepped into the public eye, Snowden has insisted that he should not be at the center of the story. The real issue, he says, is the NSA's far-reaching surveillance programs.

He maintained that stance with Gellman, saying that he's shrugged off personal attacks against him with the intent of keeping the focus on the NSA.

"Let them say what they want," he said. "It's not about me."

He dismissed suggestions that he's made any deals with the governments of the countries where he's taken refuge from U.S. authorities.

"There is no evidence at all for the claim that I have loyalties to Russia or China or any country other than the United States," Snowden told Gellman. "I have no relationship with the Russian government. I have not entered into any agreements with them."

"If I defected at all," Snowden said, "I defected from the government to the public."

@highlight

Edward Snowden gives an interview in person to The Washington Post

@highlight

His mission is "already accomplished," he says

@highlight

He describes his daily life as that of an "indoor cat"

@highlight

Snowden says he raised concerns about surveillance to his colleagues and superiors