(CNN) -- As about 2% of babies born in the United States do, Alex Resnick failed the routine newborn hearing screening he received before he left the hospital. At first his parents didn't think much of it, since the nurse told them further testing often shows the baby is fine. But six weeks later when those additional tests showed Alex had moderate to severe hearing loss, his mother's heart sank.

"It was like somebody knocked the wind out of me," Haleh Resnick remembers.

Resnick and her husband, Jeff, immediately had Alex fitted for hearing aids, as recommended by his doctor, and that's when she noticed something strange.

Whenever her baby wore the hearing aids, he flinched at loud noises. Plus, he seemed to hear just fine when he wasn't wearing the aids -- for example, Alex would turn around when his mother shook a rattle several feet behind his back. (Alex isn't his real name; his parents want to protect his privacy)

"He's my fifth child, and I knew he could hear just fine," Resnick says. "When I said this to his doctors and audiologists, they told me I was in denial and I needed to learn to accept his diagnosis."

But it turned out Resnick was right. She drove Alex from their Cherry Hill, New Jersey, home to a specialist at Children's Hospital in Boston, who diagnosed a condition called auditory neuropathy. The doctor said the hearing aids weren't helping him -- in fact, they were hurting him by over-amplifying sounds -- and she told the Resnicks to stop using them immediately.

Pediatric hearing experts say too many doctors and audiologists are missing the diagnosis of auditory neuropathy, which has  been recognized only relatively recently, and damaging children's hearing by giving them hearing aids that blast babies' ears with loud noise.

"Four to six times a week I get calls from parents with stories like this," says Charles Berlin, a research professor in the department of communications sciences and disorders at the University of South Florida. "There are cases where hearing aids have actually destroyed the hearing of children with auditory neuropathy."

Misdiagnoses happen too often

Routine screening of newborns for hearing loss, which is required in most states, has helped thousands of babies each year by getting them hearing aids and other treatments early, giving them a better chance of developing speech.

But many pediatric hearing experts worry the flip side to newborn screening is that children with auditory neuropathy, who make up a sizable minority of the 12,000 babies born each year with hearing loss, get swept into the much larger group of children with typical hearing loss.

In auditory neuropathy, the sound enters the inner ear normally, but the transmission of those signals to the brain is impaired, according to the National Institutes of Health. For most children with auditory neuropathy, hearing aids can damage the ears by making sounds too loud, in much the same way sitting in a rock concert can hurt your ears, says Deborah Hayes, an audiologist and professor of physical medicine, rehabilitation and pediatrics at the University of Colorado School of Medicine.

People with auditory neuropathy hear sounds, but they're distorted. While the disease affects different people in different ways,this recording shows what some people with auditory neuropathy hear.

Some children grow out of auditory neuropathy. For others it causes profound hearing loss.

It's not known exactly how many children have the disorder, but Berlin, the lead author of a study of 260 children with auditory neuropathy, believes it affects nearly 15% of children with hearing loss.

Like Berlin, Hayes says she sees many babies whose hearing loss is misdiagnosed and who are given hearing aids that can hurt them.

"I would like to say it doesn't happen that often, but it does," she says.

A mother's story

Ironically, the parents who closely follow the doctor's orders end up damaging their child's hearing the most.

"If a very compliant parent puts the hearing aids on their baby every day, it can cause permanent damage within a week," Hayes says.

Resnick, however, was noncompliant, putting the hearing aids on for only an hour or so a day for three weeks, since they bothered her baby, and in her heart she felt he heard just fine without them. "If he'd been my first-born, I would have done exactly as the doctor said, but since he was my fifth, I went with my gut," she said.

She says when she told Alex's doctors and audiologists he could hear sounds coming from behind him or around the corner, they said he was reacting to vibrations and instructed her to have him wear the hearing aids. She says they believed her only after Dr. Margaret Kenna, a professor of otology and laryngology at Harvard Medical School, diagnosed Alex's condition as auditory neuropathy.

Today, Alex is 3, hears perfectly, and is bilingual, speaking English and Farsi, his mother's native language. While he's had speech therapy, other children with auditory neuropathy also benefit from cochlear implants and other treatments.

Pediatric hearing experts say most children who are told to wear hearing aids do indeed need them, but here's what to do if your child has hearing loss and you suspect he might have auditory neuropathy.

1. Get educated about auditory neuropathy

The Centers for Disease Control and Prevention, the Nemours Foundation, and the National Institute on Deafness and Other Communication Disorders have general information about auditory neuropathy.

2. Talk to other parents

Learn from parents who've been there. The Auditory Neuropathy Information website is run by a nurse whose son has auditory neuropathy, and includes stories from parents whose children have the disorder. Resnick wrote about her experience with Alex in her book "Little Patient Big Doctor."

3. Trust your gut

If, like Resnick, you feel your child can hear and doesn't need hearing aids, tell your doctor and audiologist. If you feel they're not listening to you, find someone who will.

"The parents usually know, especially someone who's perceptive like (Alex's) mom," says Kenna, the doctor who diagnosed Resnick's son's condition. "She was tuned into her baby, and you have to listen to that."

4. Find a doctor familiar with auditory neuropathy

Even though auditory neuropathy was first named and fully described in 1996, and a major conference was held to discuss the disorder in 2008, many doctors and audiologists are still unaware of how to diagnose and treat it, pediatric hearing experts say.

Testing for the disorder can be tricky, so Kenna recommends finding a pediatric hearing specialist who works at a university.

"You have to know how to give the tests correctly, and interpret the tests correctly," she says. "Once you realize something is not as rare as you thought, you actually begin to look for it."

CNN's Sabriya Rice contributed to this report.

@highlight

Haleh Resnick found out that her son has been misdiagnosed with hearing loss

@highlight

He actually had auditory neuropathy and the hearing aids weren't helping him

@highlight

People with auditory neuropathy hear sounds, but they're distorted