It had been an uneventful 10-plus hour flight from Seoul, South Korea, approaching San Francisco's airport on a clear summer day. Then, in a few horrifying seconds, that calm was shattered.

A fireball erupted after the Boeing 777 airliner hit the runway hard around 11:30 a.m., rocked back and forth, spun around, shearing off the plane's tail. Scores of passengers and crew climbed out -- some jumping, others sliding down evacuation chutes as flames and smoke billowed from the aircraft's windows.

Two people were found dead outside the plane, according to San Francisco fire Chief Joanne Hayes-White. "My understanding is that they were found on the runway," she said. The airline identified the dead girls as students Wang Linjia and Ye Mengyuan, both 16.

Somehow, 305 others survived.

Said San Francisco Mayor Ed Lee: "This could have been much worse."

Follow latest developments in the story

That's an understandable sentiment for anyone who heard passenger and eyewitness accounts, or saw the distressing, distorted images showing what remained of Asiana Airlines Flight 214. Some photos painted an almost otherworldly scene -- like one posted online by David Eun of passengers walking from the burning plane. Some dragged their carry-on bags. One man held his hands steady to snap a picture.

"I just crash landed at SFO," Eun wrote. "Tail ripped off. Most everyone seems fine. I'm ok. Surreal..."

CNN iReporter Timothy Clark watched from an eighth-floor balcony of a nearby hotel. He recalled hearing a bang, seeing a "dust cloud," then seeing "people running from the plane, then flames."

Elliott Stone was one of them. He was "10 seconds away from being home" when the airplane dipped "kind of sharp," followed by another adjustment "and then just boom, the back end just hit and flies up in the air and everybody's head goes up to the ceiling."

The first announcement "was everybody calm," Stone said, but he and others unbuckled anyway. He told CNN he jumped out a door, before slides had deployed and before first responders had arrived. When they did, they saw some people climbing out of San Francisco Bay around the airport, Hayes-White said.

Video taken soon after the crash and posted on YouTube showed dark gray smoke rising from the plane, which was upright on its belly, with no landing gear evident.

Its roof was charred and, in spots, gone entirely. The back of the plane appeared to have been lopped off entirely.

'I just crash landed at SFO. I'm ok. Surreal'

Eunice Bird Rah provided CNN a photo shot by her father, showing flames and smoke bursting out of many of the aircraft's windows.

Some 182 passengers and crew were being treated at Bay Area hospitals, with everything from spinal fractures to bumps and bruises, San Francisco deputy fire chief Dale Carnes said.

Rah's father is one of the 123 people who escaped -- physically, at least -- uninjured, according to Carnes. He's "doing fine, thank God," his daughter said.

It's not lost on her how horrible the whole scene was and how much more horrible it could have been.

"It's heartbreaking," she said.

No explanation yet on why this happened

Investigators from Washington and Seoul are heading to northern California trying to answer a simple question.

How did this happen?

While the exact cause will take months to determine, the South Korean Transport Ministry said "the tail of the Asiana flight hit the runway and the aircraft veered to the left out of the runway."

Why this crash was survivable

Members of South Korea's Aviation and Railway Accident Investigation Board will travel to San Francisco, that agency said. They'll be joined by a "go-to" team from the United States' National Transportation Safety Board, led by chairman Deborah Hersman. Right now, they're not sure what they'll find, though a U.S. national security official has said there are no signs of terrorism.

"We have not determined what the focus of this investigation is yet," Hersman said. "Everything is on the table at this point."

Watching from a nearby hotel, Anthony Castorani saw the plane touch the ground, then noticed a large plume of smoke.

"You heard a pop and you immediately saw a large, brief fireball that came from underneath the aircraft," he told CNN.

Kristina Stapchuck saw the dramatic scene unfold from her seat on a plane on the airport's tarmac. Soon after Flight 214 touched down, "it looked like the tires slipped a little bit and it rocked back," she told CNN.

Parts of the plane began to break off as it rocked and then began to spin.

"It all happened so suddenly," Stapchuck told CNN.

Flight data recorders recovered from Asiana crash

'Serious moment to give thanks'

Well after the crash, debris extended through a large swath of the airport -- right up the water's edge.

But the recovery will go well beyond that.

There were 16 crew members on the flight, in addition to 291 passengers, according to Asiana Airlines. The manifest included 141 Chinese passengers, 77 South Koreans and 61 Americans.

Carnes said that 49 of those treated at area hospitals were in "serious" condition.

Fifty-two of them are at San Francisco General Hospital, including five patients in critical condition, hospital spokeswoman Rachael Kagan said. Another 45 have been treated at a Stanford University hospital, some of them suffering from "life-threatening injuries," said Dr. David Spain, the chief of trauma.

"Many are critically injured," Lee stated Saturday evening.

The crisis Saturday had trickle-down effects as well. At one point, flights destined for San Francisco International Airport were diverted to airports in Oakland, Sacramento, San Jose and Los Angeles, said Francis Zamora of San Francisco's emergency management department.

Expert on crash: Shouldn't have been close to hitting seawall

By 3:30 p.m., though, two of the San Francisco airport's four runways were open -- though the other two were still closed over eight hours later.

The spotlight shone, too, on Asiana Airlines and the plane it received in 2006.

One of South Korea's two major airlines, the other being Korean Air, it flies to 23 other countries. Many of the 25-year-old airline's flight go out of Incheon International Airport, which is the largest airport in South Korea and considered among the busiest in the world.

What happened to the flight is one part of the story. But there are 307 more personal stories out there -- of people who were moments from wrapping up a long flight, but instead endured a nightmare.

Some who weren't on board also have stories to tell -- whether they saw the horror from an aircraft, tried to track down family members, or counted their blessings in other ways.

Sheryl Sandberg, Facebook's chief operating officer and author of the book "Lean In," is in the latter category. She was supposed to be on Flight 214, but switched to a United flight, arriving about 20 minutes before the Asiana flight crashed.

"Serious moment to give thanks," she wrote on her own Facebook page.

@highlight

"It could have been much worse," San Francisco's mayor says

@highlight

Asiana Airlines' Flight 214 was arriving from Seoul when it crashed

@highlight

182 people total were treated at local hospitals; 123 were uninjured, says officials

@highlight

Everyone who had been on the plane is now accounted for