(CNN) -- What is Ariel Sharon's legacy? The eulogies have focused on his decision to pull Israeli settlers out of Gaza in 2005 under the so-called "disengagement plan." U.N. Secretary-General Ban Ki-moon praised Sharon's "political courage and determination." U.S. Secretary of State John Kerry said Sharon "surprised many in his pursuit of peace."

The reality is that Sharon's withdrawal from Gaza portended no courage to change his pro-settlement, virulently anti-Palestinian policies.

Since the 1970s, when he planned and helped establish 64 West Bank settlements, Sharon had earned his moniker as "the father of the settlements." His evacuation of 21 settlements in Gaza and four in the West Bank seemed surprising, indeed. But the removal of settlers must be seen in the context that overall during Sharon's term as Israel's prime minister from 2001 to 2006, the number of Israeli settlers in the West Bank, including East Jerusalem and the Golan Heights, increased from roughly 388,000 to 461,000.

Sharon's legacy is deeply disturbing. He went to his grave without facing justice for terrible things he did. His death is a grim reminder that impunity for human rights abuses and violations of international humanitarian law has plagued Israel and the Palestinians for far too long.

It mattered little to Sharon that Israel's transfer of its civilians into Palestinian territories wasâ€”and isâ€”a grave breach of the Geneva Conventions and a potential war crime. It mattered even less that the settlement regime and Israel's military rule in these areas subjects Palestinians to severe discrimination and a mountain of restrictions that makes life miserable.

Part and parcel of this settlement expansion plan was Sharon's construction of the Israeli separation barrier, which today stands as a monument to human rights violations. Sharon's government approved its construction in 2002, ostensibly to prevent Palestinian attacks that killed 640 Israeli civilians during his term. But the real motivation for the barrier, as countless studies have documented, was to build a wall around the Israeli settlements, deep into the West Bank, cutting off thousands of Palestinians from the rest of the West Bank.

Worse, he avoided prosecution for the killings of civilians in which he was implicated: a fact that deserves not eulogy, but infamy.

Ban and Kerry couldn't very well mention it, but history will remember Sharon for his role in the massacres of civilians by Lebanese militias in the Sabra and Shatila Palestinian refugee camps in Lebanon in 1982. From September 16 to 18, the militias killed at least 700 people, and perhaps more than 2,000, including infants, children, pregnant women and the elderly, some of whose bodies were found to have been mutilated.

Sharon, as Israel's defense minister in 1982, had overall responsibility for the Israel Defense Forces, which controlled the area of the camps. According to a document prepared by his office, Sharon's instructions on September 15, the day before the massacres began, included: "For the operation in the camps the Phalangists should be sent in."

In February 1983, the Kahan Commission, Israel's official commission of inquiry investigating the events, found that Sharon bore "personal responsibility" for the massacre. There was a "serious consideration ... that the Phalangists were liable to commit atrocities," the commission reported, but "from (Sharon) himself, we know that this consideration did not concern him in the least." His "disregard of the danger of a massacre" was "impossible to justify," the commission found, and recommended his dismissal as defense minister.

Although he did resign as defense minister, in a glaring example of gross impunity for crimes against Palestinians, Sharon remained in the Israeli Cabinet as a minister without portfolio and later became prime minister, serving until his stroke in January 2006. Similarly, Elie Hobeika, the Phalangist leader the Kahan Commission named as responsible for directing the militias, also escaped prosecution and served as a Lebanese Cabinet minister until being killed by a car bomb in 2002.

The massacres constituted war crimes and crimes against humanity. Yet Israeli justice authorities did not conduct a criminal investigation to determine whether Sharon and other Israeli military officials bore criminal responsibility.

Israel also made sure that no one else could bring Sharon to justice, either. In 2001, survivors from Sabra and Shatila brought a case in Belgium requesting Sharon be prosecuted under Belgium's "universal jurisdiction" law. Political pressure from the United States and Israel -- it "was like nothing I have ever seen," said a colleague who closely followed the issue at the time -- led Belgium's parliament to amend the law in April 2003, and to repeal it in August. Belgium's highest court dropped the case against Sharon that September.

Many in Israel are now highlighting Sharon's record as a warrior and bold political leader. But it is worth pausing to consider his record as a man who brought devastation and destruction to the lives of thousands of Palestinians, without ever facing justice for his crimes, and whose policies undermined efforts to achieve peace between Israel and the Palestinians.

The opinions expressed in this commentary are solely those of Sarah Leah Whitson.

@highlight

Sarah Whitson: While eulogies praise Ariel Sharon, his legacy is actually disturbing

@highlight

Whitson: Sharon's pro-settlement, virulently anti-Palestinian policies were harmful

@highlight

She says he avoided prosecution for the killings of civilians in which he was implicated

@highlight

Whitson: His death is a grim reminder that impunity for human rights abuses still occurs