Washington (CNN) -- Thursday, December 13, may have been one of the luckiest days of Susan Rice's life. It may not feel that way now since she had to set aside for the moment her longtime dream of becoming secretary of state. But it is one thing to be secretary of state in theory and it will be quite another to be America's top diplomat during the next several years.

Rice, it must be said, was cheated out of a job for which she was well-qualified by a broken political system in Washington. She became a pawn in the campaign battle between the president she has ably served at the U.N. for the past four years and Republicans who sought to make her a scapegoat for the tragic mess that took place in Benghazi on September 11.

She did nothing wrong except to do what an administration spokesperson is supposed to do, present the unclassified facts of the case as they were known and as her colleagues in the White House, intelligence and diplomatic communities concluded they ought to be presented.

Democrat 'extremely upset' with Rice's withdrawal

Sen. John McCain led the effort to block her possible nomination as secretary of state with the assistance of colleagues like Sens. Lindsey Graham and Kelly Ayotte. The fact that this forced Rice to submit a letter to the president withdrawing her nomination reflects the amount of power our system gives even one or two senators who are intent on blocking or dragging out a nomination.

It may be a testimony to McCain's influence and his tenacity. It will certainly not be seen as a high water mark in his distinguished career. His opposition was petty, partisan, disproportionate to the facts of the Benghazi case that he used to frame his opposition, and inconsistent with the spirit that should prevail when a president presents or even floats his choice for a job as one of his top advisers.

Rice withdraws from consideration as secretary of state

What the withdrawal of the Rice nomination was not was a sign of presidential weakness. Quite the contrary, the decision by the White House to accept Rice's withdrawal from consideration and allow her to remain as U.S. Ambassador to the United Nations showed considerably more wisdom and public-spiritedness than was evinced at any time by the opposition.

Great international challenges loom for the United States. To subject the country to a long drawn-out confirmation battle simply to prove who has the upper hand and in so doing to potentially weaken the eventual occupant of the office Thomas Jefferson was the first to hold would be of no benefit to anyone in the United States. The president had other good choices and would have access to the advice and service of Rice from her post at the U.N. He didn't blink. He kept his eye on the ball.

Now, it seems likely that sometime in the next few days, the president will nominate someone else to the Foggy Bottom job. It is rumored that person may be Sen. John Kerry of Massachusetts. Kerry, chairman of the Senate Foreign Relations Committee, is among the most qualified possible candidates for the job and would have no problem getting confirmed. McCain, in fact, is a close friend of his.

Whoever gets the nod, however, may someday wish they did not. For one thing, the next secretary of state has very big shoes to fill. Hillary Clinton has been exceptional in the job, leading a remarkable resurgence in U.S. diplomacy, playing a central role in helping to restore America's standing in the world, being an architect of resetting this country's international priorities from the pivot to Asia to the recognition of the importance of emerging powers worldwide, from embracing the power of new information age tools of diplomacy to continuing her lifelong effort to win greater equality for women and other disenfranchised populations.

There's an old saying in Washington that one secret to job success is picking the right predecessor and in that respect, whoever is next has a tough act to follow.

More daunting by far is the world that will confront the next secretary. Not only do we face a situation in the greater Middle East that may be more dangerous than it has been at any time in history, but in case after case, America's leverage is weak, our options are lousy and our enemies are well-positioned.

Opinion: An unfair portrait of Susan Rice

Egypt was a vital partner for peace and is now, at best, a question mark. Its new leader, Mohamed Morsy, has shown a propensity for authoritarianism and the group he represents, the Muslim Brotherhood, has extremist elements within it that many in the region fear may be inclined to help spread unrest to other moderate states like Jordan or some of those in the Gulf.

President Bashar al-Assad may be teetering in Syria but the chaos that will follow his fall is likely to be as great as is our uncertainty about the motives and capabilities of many in the opposition. Iran continues to taunt the world with its seemingly relentless drive to acquire nuclear weapons and it may be that in the next year the United States will be confronted by the question of whether we are willing to use military force to stop them.

Al-Assad losing control but showing no signs of leaving

Iraq and Afghanistan were challenging during the past four years to be sure. But President Obama was elected essentially to get out of these places and he made great strides in both in that respect. But now comes the hard part. In Iraq, the regime we have supported has been far too close to Iran, corrupt and may not be able to hold the country together.

In Afghanistan, we may find that the only way to leave the country with a semi-stable government is to give substantial power to members of the Taliban, the group we sought to get rid of when we invaded the country.

Neighboring Pakistan, with scores of nuclear weapons, a massive, struggling population and uncertain politics, is considered by many to be the most dangerous place in the world. We may have gotten Osama bin Laden and other al Qaeda leaders, but the terror network and others are resurgent, gaining strength across the Middle East and spreading into Africa.

Obama's cabinet: Who's in, who's out?

Europe continues to struggle with its severe economic problems. Japan has lurched into recession again. North Korea is testing long-range missiles. Japan and China are nose to nose in a dispute over contested islands. China itself is not only a rising rival but a vital economic partner, a place presenting equal portions of opportunity and risk.

Further, the Chinese leadership is new and will be testing the United States and, at the same time, using whatever measures it must to maintain stability at home. Russia is causing trouble in Syria. We have great domestic challenges at home. We have done nothing to address global warming and the consequences are becoming ever more apparent. Our international institutions are as weak as we long ago designed them to be and there is little appetite to make them stronger even though the proliferation, climate, trade, financial and health challenges we face all strongly suggest they must be.

While America itself may be entering a resurgent period, our recovery is likely to be fragile and clearly, as the Rice incident and the fiscal cliff clown show illustrate, Washington is bereft of the ability to do even the minimum we might expect of it.

None of this means calamity is certain. None of this assures American decline. I for one, believe the United States will be the world's sole superpower for many decades to come. But what it does mean is that over the next four years we will face extraordinary challenges worldwide and at home. And for those reasons, it may well be that being the next secretary of state will be every bit as great a trial as it is an honor.

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

Rothkopf: Susan Rice may be lucky not to achieve her dream of becoming secretary of state

@highlight

He says whoever gets the job faces a bleak prospect of dealing with U.S. global woes

@highlight

Hillary Clinton will be a difficult act to follow as the nation's chief diplomat, he says

@highlight

Rothkopf: Obama made the right call here; John McCain got it wrong