Lebanon prides itself on its image as a melting pot on the Mediterranean: an ancient bastion of civilization boasting a diverse tapestry of cultures and creeds.

But scratch the surface, and it becomes apparent that not everyone fits into the country's cosmopolitan self-image.

Many migrants and mixed-race Lebanese, particularly those of Asian and African origin, say they encounter racism on a regular basis.

Nepalese woman Priya Subeydi told CNN she plans to leave the country soon, as she does not want her nine-month-old son growing up feeling like a second-class citizen.

"Every day we face racism," she said. "I just want to let him to grow in my own country."

Subeydi came to Lebanon as one of the more than 200,000 migrant domestic workers in the country, lured from mostly African and Asian countries by the promise of higher wages and steady employment in upper-middle class homes where household chores are viewed as beneath the family.

Today, Subeydi works in a migrant center in Beirut, providing assistance and support for domestic workers, some of whom, vulnerable in their new homes, face a grim reality of confinement, abuse, withheld payments and discriminatory treatment.

Lebanon's treatment of migrant domestic workers has been thrust into the international spotlight in recent years.

In 2009 the country witnessed a spate of suicides among foreign maids, and last year a 33-year-old Ethiopian woman killed herself shortly after being filmed being beaten by a Lebanese man on a Beirut street.

The U.N. special rapporteur on slavery urged the Lebanese government to carry out a full investigation into the death. Ethiopia had banned citizens from traveling to Lebanon as domestic workers because of concerns over their lack of legal protection, although the ban was widely circumvented.

Read more: Can Iraq's geeks save the country?

But it's not only domestic workers who face racist treatment. Renee Abisaad is the daughter of a Lebanese mother and Nigerian father, who moved to the country when she was 11.

The engineering student -- a subject of a photo exhibition of mixed-race Lebanese intended to challenge social attitudes about race -- said that dealing with ethnic slurs had become the norm, and she planned to leave the country once she finished her studies.

She said she felt she was not accepted and looked down on because of her ethnicity.

"I never felt Lebanese to be honest," she told CNN. "They assume that you are a prostitute, you are a maid, you are someone low class."

The unequal treatment meted out to people of other ethnic backgrounds has prompted a group of activists in Lebanon, in collaboration with migrant community leaders, to form the Anti Racism Movement (ARM), committed to documenting, exposing and challenging racist behaviour and attitudes in the country.

In a recent campaign, the group conducted undercover stings at the country's beach resorts, where it found an Ethiopian women was turned away from going swimming and falsely told a "members only" policy was in place.

Read more: Palestinian women change motor racing up a gear

The club's actions contravened a decree issued by the Ministry of Tourism last summer barring resorts from discriminating on the basis of race, nationality or disability.

Lebanon's Minister of Tourism, Fadi Abboud, said the stance on racism made sense for both moral and practical reasons.

"If people think that we are a racial country, I think we can kiss tourism goodbye, so for me this is very serious, and it can only happen once," he said. "We let them know if it happens (another) time, we close them for one week -- if it happens again, we close them for good."

ARM's general coordinator, Farah Salka, said such measures against blatant discrimination were welcome and necessary. But truly tackling racism would require a more profound shift -- for individuals to re-examine and dismiss deeply ingrained personal prejudices.

"It's a problem that is grounded in each in the way that we have been brought up, the way that we are not taught anything about accepting differences," she said. "You can go to school for 15 years, go to college, become a doctor, but you're never ever taught the basics of how to be with other human beings in this country."

@highlight

Lebanese activists have started a movement to change racist attitudes in the country

@highlight

Migrant workers and Lebanese of different backgrounds are treated poorly, they say

@highlight

The group has carried out stings at beach resorts exposing racist attitudes by owners

@highlight

They say the deeply entrenched problem can only be overcome by changing individual mindsets