Washington (CNN)If Republican leaders can quell conservative dissatisfaction with House Speaker John Boehner, and no further drama comes out from the House leadership's No. 3 Rep. Steve Scalise, GOP heads hope to get back on track with their aggressive agenda to forcefully confront President Barack Obama on the top issues of the day, including the Keystone XL pipeline, immigration, health care and national security.

Republicans believe their legislative plans will sharpen for voters the contrast between the GOP and Democrats, and set the stage for the 2016 presidential and congressional elections.

"The first thing we need to do is demonstrate we heard what the voters were saying on Nov. 4.  To me, they said we want you to function and we want you to solve problems," Texas GOP Senator John Cornyn, the number two Republican leader, told CNN.

Republicans have a long list of priorities, chief among them unraveling many of the president's signature policies on energy, health care, the environment, and banking. Their job won't be easy because for any bill to get through the Senate, the 54 Republicans will need a handful of Democratic votes. Republican leaders say they want to put on the floor compromise bills that can bridge the ideological gap between the most conservative members of the GOP and a small group of centrist Democrats who might vote with them.

In addition, the President is vowing to veto major changes to his signature health care law or the recent immigration reforms he ordered. So anything Republicans hope to get signed into law will have to be negotiated with Obama, who they fiercely stood up to during his first six years in office.

"When the American people elect divided government, they're not saying they don't want anything done," a collaborative sounding incoming Senate Majority leader Sen. Mitch McConnell recently told CNN's Dana Bash.  "What they are saying is they want things done in the political center, things that both sides can agree on."

In a sign of how important Republicans are taking their new responsibilities, House and Senate Republicans will huddle in a rare joint retreat in Hershey, Pennsylvania in mid-January to finalize and unite around their strategies for 2015.

Approval of the Keystone pipeline, which the administration has delayed for years, tops the GOP agenda. Votes are planned on the House and Senate floor during the first two weeks of January. GOP leaders also plan quick votes on Obamacare and immigration.

RELATED: Obama, Senate GOP to test new relationship

If they pass, the President would be forced to either accept or reject the bills.  Republicans believe they win either way: If he signs them, Republicans will have accomplishment to point to.  If he vetoes them, the GOP can blame the President for blocking bipartisan bills.

"Hopefully, the President will follow our lead and go in a different direction," McConnell said.

McConnell has said also he wants to allow Democratic amendments to GOP bills, something Republicans were denied regularly by Democrats when they controlled the Senate. In doing so, McConnell believes he can build good will across the aisle and grow support for individual bills. He believes also, strategically, that Democrats will quickly run through a series of hot-button Democratic issues -- like bolstering EPA regulations and boosting the minimum wage -- that could be more difficult for GOP senators running again in swing states to vote on if they took place closer to the election.

In the House, Boehner will have a larger majority -- 246 GOP seats -- and aides from both parties expect the Speaker will be able to bypass Democrats push through most legislation with mainly Republican votes.  But because the continued internal tensions between conservatives and those GOP members hoping to resolve key policy issues will persist, Boehner might again need to turn to Democrats on key spending or fiscal matters.

"If we didn't have the President we'd be shuttered off to the side -- we don't care what you think," Rep Steny Hoyer, the number two House Democrat told CNN.  While he said he was willing to work with GOP leaders, Hoyer said even in the minority Democrats would remain relevant in major policy debates because of GOP defections, and a key role for Democrats in the new Congress would be to work with the president to sustain any vetoes.

Here is a look at what Republicans have in the works:

Keystone/energy -- Republicans say construction of the pipeline is an easy way to create jobs and lessen U.S. dependence on oil from the Middle East.   A Senate bill fell one vote shy of the 60 needed to overcome a Democratic filibuster in November.  Republican leaders are confident they can pass it now but acknowledge it's unlikely they can get 67 votes to override a presidential veto.

RELATED: Senate eyes Keystone fight

Economy/jobs -- In 2014, House Republicans passed a series of narrowly focused bills designed to create new jobs. Many of these rolled back federal regulations on manufacturers, which the GOP argued prevented businesses from expanding. Some passed with bipartisan support but hit a wall in the Democratic-controlled Senate.  Now Republicans are scheduling new votes on these same bills in both chambers and hope to garner enough support to send them to the President.

Obamacare -- The day after the midterm election Boehner and McConnell promised to keep up their effort to repeal Obamacare, which not a single Republican voted for when it was enacted.  They recognize they don't have the votes to get over a certain presidential veto of a complete repeal so are looking at smaller changes to the law that are supported by bipartisan lawmakers.

The first week back House GOP leaders scheduled votes on two measures increase the threshold employers have to reach to provide healthcare to workers from 30 to 40 hours per week.  One GOP bill deals narrowly with changing the law to encourage hiring more veterans and another is a broader proposal affecting all businesses.

Votes are likely on doing away with the medical device tax that helps pay for the law.

There is an internal debate among Republicans whether to use a special budget tool -- known as "reconciliation" -- that could allow them to pass a repeal in the Senate with just 51 votes.  But because the President has said he will veto that bill, some Republicans want to save reconciliation, which can only be used once, for another priority, like tax reform, entitlement changes, or energy policy.

Immigration: Boehner vowed he would fight "tooth and nail" to reverse the president's executive actions, enacted in November, to allow roughly 5 million undocumented workers to remain in the U.S.  Funding for the Department of Homeland Security runs out at the end of February.

Late last year, Republicans would only agree to fund the agency, which needs to carry out the immigration orders, until then because they want to try to force the President to reverse course. The standoff has the risk of shuttering the department, which responds to terrorism, natural disasters and other politically-sensitive matters.  Republicans are readying action on this issue soon -- likely in the House in the second week of January.

Tax reform: Members have both parties have stressed they want to simplify the tax code, but a major impasse has prevented progress.  Republicans oppose measures that could be characterized as a tax hike.  Democrats want to expand current tax breaks such as the earned income tax credit and the child tax credit, but some in the GOP argue these are abused by undocumented workers.  Democrats also want to close loopholes for corporations, which Republicans oppose.

Foreign policy and National Security: Cuba, Iran, Iraq and Syria likely will dominate the agenda.  Republicans are vowing to push back on the President's executive actions to restore diplomatic relations with Cuba but aren't settled on a strategy yet on how to do it.  They also oppose his negotiations with Iran over that nation's nuclear program and may quickly call a vote on a bipartisan bill to increase sanctions on Iran.  That could upset the delicate multinational talks that were recently extended.

Congress is expected to act early in 2015 on a new use of force authorization against ISIS fighters in Iraq and Syria.  That debate will focus on how much latitude to give the White House and whether to restrict the use of ground troops as many Democrats want.

IRS/Benghazi: Republican-led investigations will continue into whether the IRS unfairly targeted conservative groups and whether the administration covered up its handling of the Benghazi attacks. Democrats complain both investigations are politically motivated and should be ended.

Trade/Infrastructure: Republicans will likely advance trade bills that were opposed by many House and Senate Democrats.  New spending for upgrading the nation's roads and bridges in another area where both parties could cobble together a bipartisan vote.   McConnell told CNN in December, "We have certainly a lot of bipartisan interest in the crumbling infrastructure in the country and what to do about it."

@highlight

Republicans are eager to shake off past scandals and seize control of both chambers of Congress

@highlight

Top agenda items for the GOP include: Approving the Keystone XL pipeline expansion and confronting the President

@highlight

House and Senate Republicans will huddle in a rare joint retreat in Hershey, Pennsylvania in mid-January