(CNN) -- Of all the arguments swirling around the legality of same-sex marriage, it's clear that a major concern is, as always, the kids.

Supporters argue that same-sex parents need to provide their children with a stable and supportive family home, complete with the legal protections afforded heterosexual married couples. Opponents claim that children raised by same-sex parents are wounded in some fundamental way by being denied the "normal" benefits of having both a mother and father at home.

What is lost, remarkably, in both these arguments is the science that enabled families headed by same-sex couples to exist at all.

Until recently, families had to consist, at least at the outset, of a mommy and a daddy, each biologically necessary to bring children into being. Even if the mother died in childbirth or the father disappeared shortly thereafter, the physiological basis of the nuclear family remained intact: one mother, one father, and a child conceived of their union.

From this unvarying biological fact came millennia of social norms and structures. Mothers stayed with their children to provide nourishment and nurture in the early days of infancy; fathers stayed, generally, to ensure that their genetic offspring had some chance of reaching adulthood and sustaining the family line.

Love didn't count so much in marriage, historically speaking, nor was there a sense of purpose that extended beyond the creation of children. And because these children could only be born through heterosexual sex, no model of marriage outside these biologically driven norms existed.

All this changed, however, with the advent of assisted reproduction technologies, commonly known as ART.

As long ago as the 18th century, instances of artificial insemination with a husband's sperm were reported. But the first case of insemination with donor sperm happened in the 19th century, when a doctor in Philadelphia used sperm from one of his best-looking medical students to impregnate a supposedly infertile woman. The technique worked, a child was born and the woman (who was told she was having an operation to cure her infertility) never knew of the switch.

After that point, as word slowly spread, doctors began to quietly experiment with artificial insemination with donor sperm, working only with infertile heterosexual couples, turning to friends of the couple or -- once again -- their medical students.

Over time, though, as the practice became more widespread and eventually commercial, single and lesbian women began availing themselves of the wares sold openly from sperm banks such as California Cryobank and Cryos International. For a few hundred dollars a vial, women began creating families that could not have been imagined before; families created from the beginning without a father.

Even more radical was the invention, in 1978, of in-vitro fertilization, or IVF, the now-common technique in which egg and sperm meet in a laboratory petri dish and create an embryo that is then implanted in the would-be mother's womb.

Once again, the earliest users of IVF were infertile heterosexual couples; and once again, the technology soon slipped into wider social circles, enabling people to become parents in a whole range of previously unimaginable ways. There was always adoption, but that avenue was largely closed to gay couples. Now, using IVF and a surrogate carrier, a gay man could contract for the creation of a child both legally and socially his.

Using IVF, a surrogate and donated eggs, a gay couple could mix and match their sperm with the desired characteristics of an egg donor, creating children with, say, the actual genes of one partner and the mimicked characteristics of the other. Today, anecdotal data suggest that gay men are among the largest users of surrogacy services. Cryobank reports that in 2009, one-third of its clients were lesbian couples. Ten years ago, it was 7%.

Technology has enabled what biology could not, creating millions of children for parents desperate to conceive them. Most of these formerly infertile parents are straight; but many, and a rapidly growing number, are gay. They are the families created on the back of technological advance, families whose legal status has not yet caught up with their lives.

Technology always moves faster than the law. But in these cases, the products of technological advances are not faster vehicles or better widgets. They are children, hundreds of thousands of them, growing up in families no longer constrained by nature's original dictate.

It is kids who are shaping different norms of parenting and different kinds of care. And it is kids who deserve the same rights afforded their friends and classmates -- the right to grow up in a legally sanctioned family, regardless of who their parents are and how they came into being. To treat them otherwise would be truly inconceivable.

The opinions in this commentary are solely those of Debora Spar.

@highlight

Debora Spar: Historically, families could not begin without a mother and father

@highlight

Spar: But technology and surrogacy accomplish what biology couldn't

@highlight

Spar: Gay couples using surrogacy more and more; lesbians using sperm banks

@highlight

All these kids born in nontraditional homes deserve parents to be married, she says