(CNN) -- Not long ago I received a complaint from a co-worker that I had used the f-word in a tweet. I was quoting a lyric from the band Vampire Weekend: "Who gives a f--- about an Oxford comma?" My answer was, of course, "I do." The full quote, without the fig leaf, appears in my book "The Glamour of Grammar."

I come by my f-wordiness honestly. My grandmother used it easily and could swear in three languages. My mother -- at the age of 94 -- drops an f-bomb in every telephone conversation. During a trivia game at her assisted living home, she could not think of the name of Peter, Paul, and Mary's magic dragon, so she blurted: "F--- the Magic Dragon," which now has become the family's official title for the song.

The f-word is almost everywhere. While still not fit for polite society, it no longer carries the depth of taboo attributed to it in 1978 by that hero of foul mouthery George Carlin, who said in a comic monologue: "The big one, the word f---, that's the one that hangs them up the most."

Its common usage in popular culture today may have transformed it into one of the most versatile words in American English. It might qualify as the word of the new century.

But is that a good thing?

Setting records on screen

The recent opening of the Martin Scorsese film "The Wolf of Wall Street" has inspired critical and popular complaints about its excesses, including its language. I have not yet seen the film, but am grateful to the dirty word counters, who have recorded a total of 506 uses of the f-word in the three-hour movie. Wikipedia, Variety, Time and various other sources cite this as a record for a non-documentary film, beating Spike Lee's "Summer of Sam" (435), and two earlier Scorsese projects: "Casino" (422) and "Goodfellas" (300).

Versions of the f-word appear so often in "Wolf" that an accurate count might be impossible. Slate's total comes in at 544. (I hope I don't see a Politifact report contesting these numbers.)

("Summer of Sam" appears to keep the record for most fpm: f-words per minute, at 3.1. "Wolf" does beat "Casino" on this metric. In his mischievous book of lists, Karl Shaw calculates that a viewer of "Casino" will hear the f-word on the average of 2.4 times per minute. For "Wolf" it's 2.8 times.)

How things have changed.

I remember with surprising clarity the first time I used the f-word. One of the Masterson brothers told me a joke, and he thought it was so funny I ran home to tell my mother. She didn't laugh and made me repeat it to my father. It was 1956 or so. I was, maybe, 8 years old. Things did not go well.

I went to work with my dad one day, a United States Customs officer on one of the New York piers. A group of men stood inside, including some rough-looking longshoremen, who dropped the f-word loudly and often into their gritty conversation. Several men, alerting them to my presence, told them to stick a cork in it. Even in their gruffness, they looked sheepish and apologetic.

First encounters

I remember exactly where I was standing the first time I heard a girl my age use the f-word. It was 1967 and I was a sophomore in college. She sat on the ground, a hippie chick, smoking and grousing about her inability to score tickets for the Newport Folk Festival.

And I know exactly where I first encountered the f-word in print. I was a freshman in high school, and the book was called "The Catcher in the Rye," a work on many lists of the most often banned books. J.D. Salinger uses the word five times in "Catcher" with great power and specificity. I still own the book where I underlined each use of the word.

I remember the teachers who tried to convince me that the main problem with the f-word was not its power to offend, but the evidence it gave of your limited vocabulary. I blew that criticism off back then, but I'm beginning to think they were on to something.

Not that the f-word isn't an amazingly versatile piece of our four-letter Anglo-Saxon heritage. Think about it. It can express surprise, outrage, anger, humor, delight or desire. And it can stand in for several parts of speech: noun, verb (in any tense), gerund, participle, imperative, interrogative, interjection, to mention just the most common uses.

It can be used with other little prepositional helpers. You can f--- with someone's mind. You can be too f---ed up to walk. You can get f---ed over by the IRS.

A rare language form

Let's not forget use of the f-word as one of the rarest of language forms, the infix. A prefix comes before a word. A suffix comes after. An infix appears in the middle of a normal word or phrase, as in "You are damn f---ing right." Or "un-f---ing-believable." Or as they like to moan in Boston when thinking of the New York Yankees victory in the 1978 playoff game: "Bucky F---ing Dent!" It was the light-hitting Dent's timely home run that ruined the Red Sox season.

All this and more is chronicled in the recent 270-page lexicon titled "The F-Word," by Jesse Sheidlower, editor at large of the Oxford English Dictionary. Lex meets sex.

Perhaps the ultimate expression of the f-word's versatility comes in a famous scene from David Simon's HBO series "The Wire" in which two detectives explore a crime scene.

The scene takes less than four minutes, during which the cops use versions of the f-word, by my count, 34 times. It is the only word used in the scene.

As they look at crime scene photos of naked and murdered women, the word expresses disgust. As they examine the conflicting evidence, the word describes frustration. As they begin to piece things together, it describes mounting excitement. When they find a key piece of evidence, it is a word of celebration.

Offensive from the beginning

The f-word has a long history, and, unlike some other taboo words, seems to have been offensive from the start. Just as newspapers and this website put a veil over the word by eliminating some letters, the earliest known version of the word in English was written in code.

According to the American Heritage Dictionary, an English poem dated about 1500 makes fun of clerics who don't keep their vows, including a line that translates: "They are not in heaven because they f--- wives of Ely" (a town near Cambridge). In the text, the f-word appears in the form of a letter substitution code.

Though still considered vulgar slang, the f-word is more prevalent than ever, and is often cited as evidence of the coarsening of our culture. The publisher of "The Naked and The Dead" asked Norman Mailer to substitute "fug" in 1947. Six decades later, the f-word is a staple in hip-hop music, stand-up comedy routines, locker room harangues, pornographic repartee, and any movie or cable television series that tries to portray gritty, realistic dialogue. Cops use it, thugs use it, even grads with Ph.Ds use it.

I am making the case that, given its ubiquity and versatility, the "f-word" is one of the most important words of the 21st century, which is why we should pay close attention to how it can be used well.

In previous essays on language, I have offered these justifications for dropping the occasional f-bomb:

1. As an authentic expression of realistic human speech.

2. As a single, shocking, almost-out-of context blow to the solar plexus.

3. As a neutralizer to the poison of piety, fastidiousness and erudition.

4. As a way of defining character.

None other than Theodore Bernstein, the influential style czar of The New York Times, once published this opinion: "There is not ... a single transitive verb in respectable or even in scientific language that expresses the idea of the slang verb f---."

Using and overusing the f-word

Perhaps the most moving use of the f-word I ever encountered came in the documentary 9/11 by two French brothers, who were telling the story of a firehouse in New York. During the filming, two jetliners flew into the Twin Towers, changing the way Americans look at the world. Even though the show ran on commercial television, we were given a chance to hear, uncensored, the rough emotional language of a fraternity of brave men facing their greatest challenge. Real life.

There is a numbing quality to overuse of the f-word. Shock and stark realism can be created without it. You won't find it in the novel "The Great Gatsby," or the recent film version, which, like "Wolf," stars Leonardo DiCaprio. I don't remember hearing it in a Jerry Seinfeld monologue.

I like it best when it is used rarely and in a perfect context, as when it comes out of the mouth of the character Walter White, the high school chemistry teacher who becomes the drug lord of "Breaking Bad." When he first utters it in rage and frustration at a moment of great pain, it has as much power as a gun blast.

It works best when delivered at just the right dramatic moment. To keep up with the Scorsese rate, the characters in "Breaking Bad" would have to utter the f-word about 140 times -- in each 47-minute episode.

The opinions expressed in this commentary are solely those of Roy Peter Clark.

@highlight

Roy Peter Clark notes that "Wolf of Wall Street" uses f-word hundreds of times

@highlight

He says the word has become more acceptable, though still not fit for polite society

@highlight

The f-word is one of the most versatile words in the English language, he says

@highlight

Clark: There's a numbing quality to overuse of the f-word