(CNN) -- It may feel to us, in France, as if Dominique Strauss-Kahn has constantly been in the news since that fateful afternoon of May 14, 2011, when NYPD officers arrested him on board an Air France flight bound to Berlin. The then-head of the International Monetary Fund was due to meet German Chancellor Angela Merkel to try to solve the euro crisis.

The man the French like to call DSK has only spoken twice about the day he fell from grace, the day he risked a brilliant international career, like many others to play Russian roulette. The first time he talked publicly was in September 2011 on French television. Now, almost two years later, he has given his first English language interview, on CNN.

The French weren't very tender with him the first time he spoke out; they will undoubtedly be as severe the second time. DSK says how he still feels "very angry" at the U.S. justice system for having paraded him, handcuffed, for the whole world to see, "at the precise time when a man should be considered innocent."

Two years later, DSK still smarting over 'perp walk'

Those images were, and indeed remain, shocking. It is illegal in France to show the face of people arrested by the police until they are proved guilty. It is, however, difficult to feel sorry for him now, especially after all that we have learnt since: his admission that he attended orgies in France with prostitutes paid for by friends, although he assures us he could not have possibly realized they were prostitutes because he only ever saw them naked.

This man was going to be France's next president after five years of Sarkozy rule. I would have voted for him, as no doubt millions of my compatriots would have done too, convinced as we were of his dazzling intelligence and that he was the man to resolve the euro crisis. We vaguely knew of his womanizing, certainly not a crime in French books, except we weren't aware it was pathological.

Strauss-Kahn doesn't however dwell too long on his Sofitel demise and swiftly moves on to explain how Europe is suffering a crisis of leadership. Quoting an Arabic proverb, he says that an army of lions led by a sheep will always be defeated by an army of sheep lead by a lion.

Does he unconsciously imply that he was the lion Europe could have had and badly needed to dig itself out of its financial quagmire, if only fate hadn't decided otherwise? Possibly.

Meanwhile, the former head of the IMF blames the European institutions for failing to implement hard decisions and for dithering. He says that some European leaders are "perfectly up-to-date" and capable but that they are victims of deficient decision-making mechanisms at a supra-national level.

Would he give, as France has tried to convince a reluctant Germany since 2008, more power to the European Central Bank and its director Mario Draghi? Probably.

As Martin Schultz, president of the European Parliament tweeted this week: "The U.S. have one currency, one central bank and one government. Europe has one currency, one central bank and... 17 governments! It cannot go on like this," before adding: "We cannot live with 17 individual policies on the euro. We need one single euro governance."

According to Strauss-Kahn, cohesion in decision making in Europe is not the only stumbling block. The European banking system is also at fault, "sick," and needs reforming before growth can settle back in. Reforming traders' pay and bonuses is just but a small part of the problem, Strauss-Kahn says, what is even more important is to purge the whole system.

When Strauss-Kahn first spoke to the French in September 2011, he also dived into European economics to give a mini-lecture on how to go about the financial crisis. The French public reacted angrily: what was he doing, distilling his knowledge, when he was in no position to actually help the country any longer? The French perfectly knew of his skills, so lamentably wasted; they just didn't want to hear him anymore.

The world will probably feel the same watching his interview with CNN. Strauss-Kahn's voice doesn't resonate anymore; it was lost, once and for all, in a hotel suite in Manhattan.

The opinions expressed in this commentary are solely those of Agnes Poirier.

@highlight

Dominique Strauss-Kahn gives first English-language interview since arrest, on CNN

@highlight

DSK says he still feels "very angry" at U.S. justice system for having paraded him

@highlight

Hard to feel sorry for him, Agnes Poirier says, after his admission he attended orgies

@highlight

French know of his skills, Poirier argues; they just didn't want to hear him anymore