(CNN) -- The Deepwater Horizon oil spill has already claimed many victims -- from pelicans to oyster beds and precious marshland. But there may be one more: a species only just recently discovered.

Scientifically known as halieutichthys aculeatus, it is not a thing of beauty. But it lives an anonymous sort of existence on the seabed of the Gulf, some 1,500 feet below the waves and -- like all marine life in the gulf -- plays its role in the food chain.

Its more digestible name is the Louisiana pancake batfish. And if oil stays deep under water, the gulf could lose it before it's even officially recognized as a species.

While scientists are uncertain what the long-range effects of the massive spill will be on the gulf's delicate balance of life and death and its complex food chain, the little-known Louisiana pancake batfish is a case in point of one species whose very existence is in that balance.

Dr. Prosanta Chakrabarty, an ichthyologist -- otherwise known as a fish biologist -- and assistant professor at Louisiana State University, found himself face-to-face with the little fish during a deep-sea trawl in the gulf with the university last fall.

"We were lucky to get four or five specimen," Chakrabarty said. "The variation we found was enough for me to be convinced that there was something new."

With a flat, round body resembling a pancake, as its name suggests, this species of batfish doesn't really look like a fish.

"If you make an oval between your thumb and forefinger, they're about that big. Their mouths and bulbous eyes are right in the front of their heads. You can't even see their faces if you look from above," Chakrabarty said.

Not only does it look odd; it also moves in mysterious ways. The Louisiana pancake batfish uses its foot-like fins, complete with an elbow, to push off the sea floor. Flapping its tail, it swiftly hops across the sand.

"They're not like a flounder; they are much more mobile, more like a pancake with feet. They're bizarre for what they look like and how they behave," Chakrabarty said.

Pancake batfish spend most of their days resting on the sandy bottom of the gulf. Chakrabarty says it's impossible to tell how many of them are in existence.

"During my trawl with LSU, we caught probably 100,000 fish and three of them were pancake batfish. It's a hard thing to guess from that what their population is, but since they're rare in museums, they're probably rare in the wild," Chakrabarty said.

And although it's not known exactly where they link into the food chain, he said tuna and marlin from the gulf have been found with Louisiana pancake batfish in their stomachs.

Even a possibility that one small species could disappear because of waters fouled by oil has scientists pondering what such an event would mean long-term for the gulf, and even beyond the gulf's waters.

"All of life on earth is a big book. All the extinct things are pages that are torn out of that book that muddle our history," Chakrabarty said.

He said what is most upsetting to him is that after 200 years of scientific study in the gulf, he estimates 98 percent of its marine life remains unknown. And with the United States' worst-ever environmental disaster still ongoing, could become unknown forever.

"We know about commercial fish and shrimp. But there are 1,500 meters of question mark between the well head and the surface about the animal life and we really know very, very little.

"We're making a trade-off between two habitats and putting the more fragile one at risk. If we lose the [pancake batfish], we're losing a big part of evolutionary history," Chakrabarty said.

Because it lives in the deep, the pancake batfish is not threatened by tar balls or the surface sheen of oil -- but by undersea oil plumes identified by researchers from the University of South Florida.

On June 8, the National Oceanic and Atmospheric Administration confirmed that tests done by the University's researchers proved the existence of subsurface oil clusters. BP continues to dispute the extent of the plumes.

But Chakrabarty says this subspecies of batfish could be wiped out even if it doesn't directly encounter oil. It lives on small invertebrates that are the foundation for the entire marine food chain in the gulf. And now it may be at risk of either losing its only source of food or ingesting an oil-coated dinner.

Chakrabarty says that one ray of hope for the newly discovered species are the oil-consuming bacteria that thrive on crude oil. They use enzymes to metabolize the oil into two products; new microorganisms and carbon dioxide. Essentially, it is as if they are sucking the oil out of the water.

Dr. Samantha Joye, a professor at the University of Georgia, recently returned from an expedition in the gulf to research the undersea plumes. While she acknowledged that the bacteria are certainly a good option for extracting oil from the water, she said they might not get the chance to do so.

"At present, oxygen concentrations exceed 2 mg/L (two milligrams per liter) but if concentrations drop below that, it would spell problems for any oxygen-requiring organisms," Joye wrote in a blog. And the oil-munching bacteria require oxygen to metabolize the oil.

The bacteria also exist in much higher quantities at the surface of the gulf where there is sunlight and warmth. Where this pancake batfish lives, at the very bottom, there are neither.

"Less than one percent of the microbial community in the gulf lives in the deep sea," Chakrabarty says. "It is so cold down there, one to two degrees Celsius, that they will move much more slowly to break down those micro-droplets of oil."

He is currently working on the original description of the Louisiana pancake batfish for the Journal of Fish Biology and says it should be published by August. By the time it reaches an audience, though, the entry may not describe a species that is, but a species that was.

@highlight

Louisiana pancake batfish lives 1,500 feet below surface

@highlight

For deep-water denizens like pancake batfish, threat is from underwater oil plumes

@highlight

One expert estimates that 98 percent of Gulf's deep-water marine life remains unknown

@highlight

Scientists worry that extinction could come even before species are discovered