Tacloban, Philippines (CNN) -- The Philippines struggled to bury the dead and get food, water and medicine to the living Tuesday, four days after Super Typhoon Haiyan claimed untold lives and flattened countless buildings.

"Right now, we don't have enough water," typhoon survivor Roselda Sumapit told CNN in Tacloban, a city of more than 200,000 that was flattened by the storm. What they can get may not be clean, she said -- but she added, "We still drink it, because we need to survive."

The government's confirmed death toll was 1,774 early Tuesday, said Jose Lampe Cuisa Jr., the Philippine ambassador to the United States. The storm has injured 2,487 more, and displaced 660,000 people from their homes.

Government officials have said they fear the final toll may be as many as 10,000. Corpses -- some crudely covered, others left exposed to the burning sun -- added another hellish element to survival in Tacloban, the capital of the southern island province of Leyte.

"We have bodies in the water, bodies on the bridges, bodies on the side of the road," said Richard Gordon, chairman of the Philippine Red Cross.

Tacloban Mayor Alfred Romualdez said authorities there have confirmed 250 deaths and expect that toll to climb.

"A lot of bodies were mixed up with all the rubble and debris, and we're getting reports also of some houses that were buried. And we see some bodies floating," Romualdez said.

Another 14 people were reported to have died in Vietnam, where the storm made landfall after hitting the Philippines, the country's National Search and Rescue Committee reported early Tuesday. Another four were missing and 81 hurt, it said.

And there were at least five storm-related deaths in southern China, where heavy rains caused flooding, destroyed houses and damaged farmland, the state-run Xinhua news agency reported.

In the Phillipines, troops and aid organizations battled blocked roads to deliver help and search for survivors in the splintered wreckage of homes. Tomoo Hozumi, the Philippines representative of the U.N. children's agency UNICEF, said food, shelter, clean water and basic sanitation were "in a severe shortage" early Tuesday.

"The situation on the ground is very hideous," he told CNN's The Situation Room.

The Philippine government reported early Tuesday that 2.5 million people needed food aid, including nearly 300,000 pregnant women or new mothers.

"Our house got demolished. My father died after being hit by falling wooden debris," one woman told the Philippine television network ANC. "We are calling for your help. If possible, please bring us food. We don't have anything to eat."

International aid was beginning to work its way to the stricken islands. But Martin Romualdez, the area's congressman, said authorities need help clearing roads where power lines, trees and whole houses are "literally strewn across the pavement of the highway."

Romualdez, the cousin of Tacloban's mayor, said airdrops may be needed to reach towns beyond Tacloban.

"We can't wait. People have gone three days without any clean water, food and medication," he told CNN's Piers Morgan Live.

"People are getting desperate. There's an exodus out of the storm-ravaged areas. People are just trying to make their way out, and it's causing a big, big jam on the main arteries that are used to get to these people."

Gordon said the threat of landslides and flash flooding further complicated the problem, and said police were needed to guard aid shipments: "Any truck, any helicopter that lands is going to be surrounded by people in need," he told CNN's Anderson Cooper 360.

Compounding the misery, a new tropical depression dumped heavy rain on the area Tuesday morning. The system, dubbed Zoraida by the Philippine meteorological agency, was centered southeast of the southern island of Mindanao, moving northwest with top winds of 55 kilometers per hour (35 mph).

Dramatic vignettes show desperation, hope

'Worse than hell'

Haiyan struck Friday, sending a wall of water crashing into neighborhoods of wooden houses along the Gulf of Leyte and flinging large ships ashore like toys. Its top winds were estimated at 315 kph (195 mph) -- a figure that could set a new record for tropical cyclones if confirmed.

Magina Fernandez, who was trying to get out of Tacloban at the city's crippled airport, described the situation there as "worse than hell."

"Get international help to come here now -- not tomorrow, now," she said, directing some of her anger at Philippine President Benigno Aquino III, who toured some of the hardest-hit areas Sunday.

Aid pledges began to pour in on Monday -- $25 million from the United Nations, 3 million euros ($4 million) from the European Union, 10 million pounds ($16 million) from Britain and $10 million from the United Arab Emirates, home to a large population of expatriate Filipino workers.

U.N. and U.S. civilian disaster assessment teams were on the scene. U.S. Marines based in Japan worked to outfit Tacloban's shattered airport with lights, radar and other gear to allow it to operate 24 hours a day.

The United States also announced that the aircraft carrier USS George Washington and three escort ships have been dispatched to the Philippines to assist in recovery efforts. Defense Secretary Chuck Hagel has ordered the carrier to head for the islands at "best speed" from Hong Kong, where it was on a port visit, the Pentagon said. Two other American vessels, including a supply ship, are already headed for the Phillippines, the Pentagon said.

The U.S. Agency for International Development is sending emergency shelter materials and basic hygiene supplies to aid 10,000 families as well as 55 metric tons of emergency rations sufficient to feed 20,000 children and 15,000 adults for up to five days. Both shipments were expected to arrive this week, the agency said.

And British Prime Minister David Cameron announced Monday night that his government was also sending a cargo plane and the destroyer HMS Daring to assist, he said.

Typhoon Haiyan: Reports from the field

Difficult to assess death toll

But Tacloban is far from the only devastated area. Authorities are trying to establish the level of destruction elsewhere along Haiyan's path, and other settlements along the coast are likely to have suffered a similar fate to Tacloban's.

Interactive map of the storm

Aid workers said the recovery from Haiyan will take many months.

"This disaster on such a scale will probably have us working for the next year," said Sandra Bulling, international communications officer for the aid agency CARE. "Fishermen have lost their boats. Crops are devastated. This is really the basic income of many people."

Across the Gulf of Leyte lies Samar, where Haiyan made its first of six deadly landfalls on the Philippines on Friday. Government and aid officials say they are still trying to reach many affected communities on that island.

A similar challenge exists farther west, on the islands of Cebu and Panay, which also suffered direct hits from the typhoon.

Aquino declared a "state of national calamity," which allows more latitude in rescue and recovery operations and gives the government power to set the prices of basic goods. Authorities are funneling aid on military planes to Tacloban's airport, which resumed limited commercial flights Monday. As aid workers, government officials and journalists came in, hundreds of residents waited in long lines hoping to get out.

Tacloban stadium before and after

'They've lost everything'

The problems are the same in other stricken regions.

"The main challenges right now are related to logistics," said Praveen Agrawal of the U.N.'s World Food Programme, who returned to Manila from the affected areas Sunday. "Roads are blocked, airports are destroyed."

The need for food and water has led to increasingly desperate efforts. People have broken into grocery and department stores in Tacloban, and local businessman Richard Young said he and others had formed a group to protect their businesses.

"We have our firearms. We will shoot within our property," he said.

Authorities have sent police and military reinforcements to try to bring the situation under control.

Another dire scene played out in the city's only functioning hospital over the weekend. Doctors couldn't admit any more wounded victims because there wasn't enough room. Some injured lay in the hospital's cramped hallways seeking treatment.

"We haven't anything left to help people with," one doctor said. "We have to get supplies in immediately."

Complicating the search efforts is the lack of electricity in many parts of the storm's path.

The northern part of Bogo, in the central Philippines, suffered a blackout Sunday, and authorities said it will take months to restore power.

Storm moves onto Vietnam

Meteorologists said it will take further analysis to confirm whether Haiyan -- with gusts reported at first landfall to be up to 235 mph (375 kph) -- set a record.

After leaving the Philippines, the storm lost power as it moved across the South China Sea over the weekend. It hit the coast of northern Vietnam early Monday and weakened as it moved inland. Vietnamese authorities had evacuated 800,000 people ahead of the typhoon, according to the United Nations.

Aid workers said Vietnam was likely to avoid damage on the scale suffered by the Philippines but warned that heavy rain brought could cause flooding and landslides in northern Vietnam and southern China.

Philippines gets more than its share of disasters

Paula Hancocks and Ivan Watson reported from Tacloban; Matt Smith reported and wrote from Atlanta. CNN's Jethro Mullen, Catherine E. Shoichet, Neda Farshbaf, Andrew Stevens, Kristie Lu Stout, Aliza Kassim, Kevin Wang, Jessica King, Pedram Javaheri, David Simpson and Yousuf Basil contributed to this report.

@highlight

NEW: Disaster management agency says 2,487 people have been injured

@highlight

1,774 people are confirmed dead from Haiyan

@highlight

Another 14 dead in Vietnam and five in China, those governments say

@highlight

International relief heads for stricken islands, but roads a problem