Beijing (CNN) -- "Across the Great Wall we can reach every corner of the world," read the header of the first email sent from China back in 1987.

Two Chinese scientists sent it to their German counterparts through an "email node," a rudimentary system used to send emails at that time. Their hyperbole aside, they probably didn't realize that the rare connection could foretell a digital revolution.

That came on April 20, 1994, when geeks at the Institute of High Energy Physics at China's Academy of Sciences built the first cable connection to the World Wide Web via facilities based at Stanford University's Stanford Linear Accelerator Center (SLAC).

This year marks the 20th anniversary of China's first connection with the Internet -- a technological breakthrough that has had a particularly massive impact on the world's most populous country.

"It's been utterly transformational," said Kaiser Kuo, director of international communications at Baidu, China's largest search engine. "The advent of the Internet has been a great leveler in terms of access to knowledge, to education materials, to goods and services.

"A school teacher in a rural mountain village with just an Internet connection has access to the same teaching material as her counterpart teaching in the best school in Beijing. A consumer in a hinterland country town can buy the very latest in consumer electronics, or books or fashion just the same as someone in Shanghai. And practically anyone anywhere can set up a virtual store to reach a nationwide market."

The boom years

Two decades ago, China's digital starting point was low and slow: only around 2,000 Chinese computers had access to the Internet.

Connection was by telephone lines through a modem. "It was super slow and very expensive," remembered Zhao Wei, a college graduate then and now a top executive of a local Internet company.

By 1996, the first Internet cafes opened in Shanghai and other major cities, enabling more and more people to access the Net even before they bought computers.

The first generation of Internet users quickly emerged when local companies such as Sina, Sohu and Netease opened for business.

Internet connectivity has since shifted gears with one technological leap to another, from telephone lines to optic fibers and now wireless. China is advancing to the 4G era, with more and more people using smartphones.

In 2008, China's Internet users reached 298 million, surpassing the United States as the world's biggest Internet population. At the end of last year, that grew to 618 million, about half of China's entire population.

A global player

Internet connectivity is changing the lives, lifestyle and consumer behavior of many ordinary Chinese.

Nowadays, typical urbanites begin their day turning on their computers, tablets and smartphones to check their emails or get on social media platforms.

More than half of Chinese Internet users communicate and share information via social networks such as Weibo, QQ and WeChat.

Thanks to the thriving IT industry, hundreds of thousands of people have started private businesses. Some of them have emerged as major players in the global IT industry and are among the richest entrepreneurs in China.

E-commerce offers nearly two million direct jobs and over 13 million indirect ones domestically. China also hosts one of the world's leading e-trade businesses called Alibaba that, based on gross trade, is already bigger than eBay and Amazon combined.

'Great Firewall' still limits

To be sure, Internet in China is not totally without borders. A sophisticated system enables Chinese "Internet police" to filter or delete online content that authorities dislike. China's critics dubbed it the "Great Firewall of China."

"The (Communist) Party devotes huge resources to ensuring that the Internet does not threaten their rule," said Jeremy Goldkorn, Director of Danwei, a China-focused blog and media research firm. "So far, they have been successful."

State media reported last year that China employs around two million people to police public opinion online, while popular social media platforms such as Facebook, YouTube and Twitter remain blocked in China.

Even so, Goldkorn said the Internet has changed the Chinese government's behavior for the better. "The Internet has made the government more responsive to the needs of its citizens and made it nearly impossible to cover up bad news of a major nature," he explained.

Converging worlds

While China has built its thriving IT industry on the advanced Internet technology and business models found in the United States and other countries, analysts also credit the Chinese for their distinctive innovations.

Popular social media platforms such as WeChat and Sina Weibo are actually better than their Western counterparts, Whatsapp and Twitter, some industry analysts say.

Multi-screen convergence, for example, has developed swiftly in China because there are more users surfing the Internet using smartphone devices rather than a laptop. This has pushed Chinese Internet giants such as Youku to work with TV stations and traditional media even before Hulu did in the U.S.

As early as 2009, Tudou had developed its own original content before Netflix started doing the same, according to Victor Koo, CEO of Youku Tudou Inc, who was speaking at the "China 2.0" event held earlier this month at the Peking University Stanford Center.

The rapid spread of mobile connectivity is also prompting the convergence of online and offline industries. Youku Tudou Inc has been co-producing online shorts and feature film with leading Chinese film distributors such as BONA.

In the future, analysts foresee further Internet penetration and convergence.

"You can get a smartphone that can access the Internet for under US$100," predicted Goldkorn. "Very soon, the entire literate population of China will be able to get online. It's going to change everything from business to government to the way people find a spouse, buy real estate, and invest their savings."

@highlight

April 20, 2014 marked the 20th anniversary of the Chinese Internet

@highlight

Internet penetration will change the way people find a spouse, buy real estate, invest savings

@highlight

A thriving IT industry with distinct Chinese characteristics continues to boom