(CNN) -- Authorities in the Palestinian town of Bethlehem are hoping it won't be a silent night this Christmas Eve, following a spate of tourist cancellations due to recent violence in Gaza.

The West Bank town of around 29,000 people, eight kilometers (five miles) south of Jerusalem, contains the Church of the Nativity, venerated by Christians as the birthplace of Jesus.

One of the oldest surviving Christian churches in the world, it has been considered the site of Christ's birth since at least the 2nd century, and is the most significant tourist attraction in the Palestinian territories.

But Palestinian authorities are concerned that the recent conflict between Israel and Hamas will deter pilgrims from visiting the site during the traditional Christmas boom season this month.

Conflict's impact

Although Israel's conflict was with Hamas -- the Islamist group which controls the other Palestinian territory of Gaza, located about 70 kilometers away -- the week-long bout of violence prompted many potential visitors to Bethlehem to cancel their bookings.

"It's had a big impact," said Jiries Qumsiyeh, spokesman for the Palestinian Ministry of Tourism and Antiquities. "We've had some cancellations."

Bethlehem drew about 140,000 visitors -- many of them religious pilgrims -- in the two weeks around Christmas last year, said Qumsiyeh, providing an important boost to the Palestinian economy.

Carmen Ghattas, spokeswoman for the Bethlehem Municipality, said she feared that would not be the case this season.

"We expected a decrease in tourism, and many tourists have canceled," she said. "This season if the tourists do not come we will not have a good economic situation, and the citizens will be affected."

While Gaza sustained most of the damage from the recent conflict, the West Bank was not totally removed from the violence, she said, as "rockets from Gaza were shot at Jerusalem."

U.N. boost

But despite the violence scaring off some potential visitors, respite may come from the recent successful Palestinian bid for an upgrade in status at the United Nations.

In late November, the U.N.'s general assembly voted to elevate the status of the Palestinian delegation from "non-member observer entity" to "non-member observer state," the same category as the Vatican. Palestinians hope the upgraded recognition will provide new leverage in their dealings with Israel.

Ghattas said the United Nations vote prompted an influx of new bookings, but not enough yet to offset cancellations.

"Before the vote, the situation wasn't secure. But now it is like the whole world -- the United Nations -- is supervising any attack that might happen," she said. "That will protect us and protect our visitors from all over the world."

Qumsiyeh said he expected the vote to have a positive ongoing effect on tourism to the Palestinian territories.

A recent report, commissioned by the Bethlehem Center for Cultural Heritage Preservation, looking at tourism development, found Bethlehem was not capitalizing on its potential. The majority of visitors were day trippers on short visits from Israel, meaning the full economic benefits of tourism did not flow into the local community.

"It will give us a chance to promote Palestine and for people to know more about Palestine," he said.

World Heritage status

In June, the Church of the Nativity and surrounding pilgrimage route became the first Palestinian World Heritage site. Its inscription on to the prestigious list of sites -- deemed as holding "outstanding universal value" as part of the world's shared heritage -- came after the Palestinians were granted membership of UNESCO, the United Nations' heritage body in 2011.

One of Christianity's most holy places, the church -- which features a 14-pointed silver star set into the marble floor marking the precise spot where Jesus is said to have been born -- drew two million visitors in 2011, according to local heritage expert Nada Atrash, of Bethlehem's Center for Cultural Heritage Preservation.

Christian solidarity

One recent visitor told CNN that the volatility of the region should not deter pilgrims. Roger Evans, a Catholic deacon from Chislehurst, England, was on a tour of the Holy Land with nine others from his parish when the hostilities in Gaza broke out in November.

"We were up on hills looking across Jerusalem, looking across at the Dome of the Rock and we saw a plume of smoke in the distance, which was a rocket landing," he said. "We heard small arms fire, saw the reservists being called out."

Despite witnessing signs of the conflict, the situation did not affect the tour "at all," he said, encouraging other Christians to make the pilgrimage unless there were official warnings to stay away.

He had made the trip, "to bring the Bible to life, to see the places where Jesus walked, talked, taught," he said.

"Until you see it you can't really imagine the distances and where he went and what happened in those days. Seeing the desolation in places, all those things bring to mind some of the parables that come to life in the scriptures."

Jill Didino, of UK Christian tourism company Tangney Tours, said the company had received an influx of interest in a forthcoming tour of the Holy Land following the violence in Gaza.

She believed it was motivated by a sense of Christian solidarity. "Often the group leaders feel that at times like these you really do have to go out and support the Christians, because they desperately need the support."

Ghattas said that authorities remained hopeful the number of visitor bookings would recover so pilgrims could enjoy the city's planned events, which included a Christmas tree lighting ceremony on December 15, and a choral festival before midnight Mass on Christmas Eve.

"They're optimistic that the numbers will go up, and it will be safe here," she said.

"Christmas is a period where people all around the world come to Palestine. It's a center of attention and a time of peace. I don't think any political conflicts will happen during that period -- we hope. It's really important to have peace in this season."

@highlight

Authorities in Bethlehem say Christians have been canceling Christmas pilgrimages

@highlight

The cause is the recent conflict in the region between Israel and Hamas

@highlight

They hope bookings will recover due to interest following a U.N. status upgrade

@highlight

Bethlehem, in the West Bank, is the most important tourist site in the Palestinian Territories