San Jose, California (CNN) -- Apple, one of the most famously secretive companies in the world, is giving the public a rare peek into how it makes and markets its products.

Two major Apple executives took the stand at the Apple patent trial against Samsung Friday in San Jose, California, discussing the history of the iPhone and iPad and the impact of Samsung on the company.

Apple is suing Samsung for $2.5 billion, claiming it copied the design of the iPhone and iPad. Samsung is countersuing Apple for patent infringement and seeks a portion of all iPhone and iPad profits.

Phil Schiller, Apple's senior vice president of marketing, and Scott Forstall, senior vice president of iOS, both talked about how the iPhone came to be, sharing some color about the device's early days. The origin stories were meant to depict the iPhone as an original, breakthrough technology and show that developing it was a risky undertaking for the company.

Addressing attorney behavior

The day began with Judge Lucy Koh taking the attorneys to task for recent behavior, including "messy" objections and possible jury tainting. Earlier in the week, Samsung released documents to the press that the court had already decided should not be seen by the jury.

"I will not let any theatrics or any sideshow distract us from what we are here to do," said Judge Koh before asking each member of the jury if they had seen any of the press coverage of the case. One juror admitted to seeing headlines, but all said they could still be fair and impartial.

Judge Koh promised to print out and collate every article about the case to give to the jurors when the trial is over in exchange for their cooperation in avoiding the news until then.

"We can scrapbook it for you, whatever you like," she promised.

Remembering a secretive start

Schiller said the company was high on the success of the iPod in 2004 and trying to think of what to do next. Executives threw out many ideas: "Make a camera, make a car, crazy stuff. We were searching for what to do," said Schiller.

"We all had cell phones and we all hated our cell phones," said Forstall, who was in charge of the iPhone's user interface and operating system. Apple was already experimenting with touchscreen tablet designs when top executives, including Steve Jobs, thought to use that technology and make a phone instead.

The group began prototyping and a super-secret project was born.

Jobs split the work between separate groups: hardware, design and Forstall's software group. Jobs told Forstall he could only hire existing Apple employees to work on the phone, dubbed the Purple Project, and employees were not told what they were working on or who it was for. A floor of one of Apple's Cupertino buildings was locked down tight, with security cameras and multiple badge readers. They called it the "Purple Dorm" and "The Fight Club" motto was posted on the door.

"The first rule of Purple Project is that you do not talk about it outside of those doors," said Forstall.

Damage done

Schiller accused Samsung of "ripping off" the iPhone and iPad design, and said the imitations could confuse consumers and create problems for the Apple marketing team. When he first saw the Samsung Galaxy S, Schiller said he was shocked at how much it had copied Apple products.

Asked what he felt when the Galaxy Tab came out, Schiller said: "Even more shock. My first thought was they've done it again, they're just going to copy our whole product line."

Apple spent more than $647 million marketing the iPhone in the United States, and $457 million on the iPad in the U.S. It has spent money marketing the device in a number of ways, including billboards, magazines, bus shelters and product placement in movies and TV shows. According to Apple, a consumer could easily mistake the similar-looking Samsung products for an iPhone when briefly spotting it -- zipping by a billboard on a highway or in a 30-second TV spot -- and could accidentally buy a the competing gadget. Apple and Samsung products are sold at many of the same stores, including Wal-Mart, Verizon, AT&T and Best Buy.

Apple is not exactly hurting for sales. The financial success of Apple's iPhone line is the stuff of Silicon Valley legend. Schiller said there was even an internal joke that "each new generation sold was approximately equal to all the previous generations combined."

But part of that continued success is the halo effect -- customers buy their first product with a company and, when they have a positive experience, continue to buy related products and stick with the ecosystem. Schiller said losing one customer who is confused and buys the wrong device isn't about the one smartphone or tablet. That could be a lost customer for years because they would be inclined to stick with whatever hardware and software ecosystem they started in.

"I absolutely believe it's had an impact on our sales," Schiller said.

Fighting over features

A seemingly small feature developed and then patented by Forstall's software group was the focus of much attention in the courtroom. The feature lets users double-tap on a Web page to zoom in just to an exact area of text. An early selling point for the iPhone was that it let you see the "whole Web" instead of the bare-bones version of the Internet phones typically accessed at the time. This type of zooming was key to making the full sites usable on the iPhone's screen.

Schiller was asked by Samsung's council about the rounded corners on the iPhone, and if they were chosen because they were necessary for the phone to easily fit into a user's pocket. Samsung has argued that Apple does not have a monopoly over the rectangle-with-rounded-corners design on smartphones. Later in the day, Justin Denison, Samsung's chief strategy officer, testified that there are common industry reasons for phones to have rounded corners, including feeling more natural in the hand, fitting into pockets and withstanding drops better.

Much of the case hinges on Apple's claim that Samsung imitated the design of Apple iOS products, including those rounded corners. Schiller read from internal Apple customer surveys that found a large percentage of customers cite design as a reason for choosing Apple devices.

Foreshadowing

One of the more exciting e-mails put into evidence could show what's to come next from Apple. In January 2011, Eddy Cue, Apple's senior vice president of Internet services, forwarded Forstall, Cook and Schiller an article about switching from the iPad to Samsung's Galaxy Tab 7-inch tablet. "I believe there will be a 7-inch market and we should do one," said Cue.

Forstall testified that Cue had used the Galaxy Tab in the past, and it's been widely rumored that Apple is working on a 7-inch version of the iPad to be announced in September.

While details about Apple's past products have been flowing, very little has emerged about any future gadgets the company may be working on. Samsung's own counsel couldn't resist trying to get secrets out of Schiller, asking the executive if the design of the iPhone 5 would be changed from the 4S. Schiller declined to comment.

@highlight

Apple-Samsung patent trial brings out some secrets

@highlight

An e-mail reveals Apple may be working on a 7-inch tablet

@highlight

The companies are suing each other over product design and patents

@highlight

Development of the original iPhone was co-named the "Purple Project"