New York (CNN)  -- For Muslims living in the United States, the call to prayer requires a response at least five times a day. But when the U.S. Census Bureau comes calling once every 10 years, some Arab-Americans still hesitate to return the survey.

"There's a fear factor that this information may be used against you, or used for inappropriate reasons," said Rami Nuseir, president of the American Mideast Leadership Network. He said a misunderstanding of the census translates into some Arab-Americans simply not filling out the form.

His organization is working directly with the Census Bureau to educate the Arab-American community about the importance of the survey.

"By law, the Census Bureau cannot share this information with the IRS, FBI, CIA or any other government agency," said Nuseir. "We've been complaining about discrimination, we've been complaining about lack of resources, and here this is a chance to tell the whole world we exist."

The 2000 census estimated there were 1.2 million Arab-Americans living in the United States. But the Arab American Institute says that number is too low. Based on community surveys and immigration data, the nonprofit group says the real number is closer to 4 million.

Mailing back the census form has benefits for the entire country. Data gathered from the survey helps disburse nearly $400 billion in federal funding. In addition, legislative districts are redrawn based on population change, providing important adjustments for representation in Congress.

Recently, high school students at the Razi School in Queens, New York, attended a presentation on the census, given by Nuseir. The Muslim school is just one of many institutions where the Census Bureau is conducting sessions on the survey, hoping to reach parents through their children.

Amirelsamad Isi is a senior at the Razi School. After the presentation, he was optimistic his parents would return their household's census form.

"In the beginning they might be a little scared, because everyone is scared. But when you learn the positive effects ... they'll learn, and they can tell other people," he said.

In addition to sending its message into schools and mosques, the Census Bureau also has workers hitting the streets.

Ahmed Shedeed, a Census Bureau partner specialist, was hired to specifically work the Arab-American community. For the past several months, he's visited New York and New Jersey neighborhoods, encouraging households to return their forms.

In Astoria, Queens, Shedeed handed out flyers printed in Arabic to bolster participation and dispel anxieties about the census.

"I came to this country almost three years ago, and I know the fear," he said, handing the flyer to a young man outside a coffee shop. "Everyone's information is well-protected."

The results of efforts put forth by census workers like Shedeed are already being measured. The 2010 Census Web site has an interactive map that shows what percentage of any U.S. region's population has returned the survey --  http://2010.census.gov/2010census/take10map/.

As of Thursday, the national return rate was 52 percent. New York State trailed the national rate, at 46 percent.

New York City Mayor Michael Bloomberg told CNN Thursday the rate of returns still lags in his city compared with the rest of the country. Thirty-seven percent in New York City have filled out the survey so far.

Shedeed said he hopes his work pays off for Arab-Americans not just in Queens and not just in New York, but everywhere in the United States when the April 15 mailing deadline comes.

"It's our participation that will make everybody's life better," said Shedeed. "It's important for our community to be known."

@highlight

Arab-Americans fear census information may be used against them, leader says

@highlight

"Here is a chance to tell the whole world we exist," Arab-American leader says

@highlight

National census return rate is 52 percent as of April 1