(CNN) -- Operation Serval, France's swift military intervention to roll back advances made by Jihadist elements who had hijacked a separatist movement in northern Mali, could be a turning point in the ex-colonialist's relationship with Africa.

It is not, after all, every day that you hear a senior official of the African Union (AU) refer to a former European colonial power in Africa as "a brotherly nation," as Ambroise Niyonsaba, the African Union's special representative in Ivory Coast, described France on 14 January, while hailing the European nation's military strikes in Mali.

France's persistent meddling to bolster puppet regimes or unseat inconvenient ones was often the cause of much outrage among African leaders and intellectuals. But by robustly taking on the Islamist forces that for many months now have imposed a regime of terror in northern Mali, France is doing exactly what African governments would like to have done.

This is because the Movement for Unity and Jihad in West Africa (MUJAO), Ansar Dine and al Qaeda in the Islamic Maghreb (AQIM) are a far greater threat to many African states than they ever would be to France or Europe.

See also: What's behind Mali instability?

Moreover, the main underlying issues that led to this situation -- the separatist rebellion by Mali's Tuareg, under the banner of the National Movement for the Liberation of Azawad (MNLA), who seized the northern half of the country and declared it independent of Mali shortly after a most ill-timed military coup on 22 March 2012 -- is anathema to the African Union and the Economic Community of West African States (ECOWAS).

Successful separatism by an ethnic minority, it is believed, would only encourage the emergence of more separatist movements in a continent where many of the countries were cobbled together from disparate groups by Europeans not so long ago.

But the foreign Islamists who had been allies to the Tuaregs at the start of their rebellion had effectively sidelined the MNLA by July last year, and have since been exercising tomcatting powers over the peasants in the area, to whom the puritanical brand of Islam being promoted by the Islamists is alien.

ECOWAS, which is dominated by Nigeria -- formerly France's chief hegemonic foe in West Africa -- in August last year submitted a note verbale with a "strategic concept" to the U.N. Security Council, detailing plans for an intervention force to defeat the Islamists in Mali and reunify the country.

ECOWAS wanted the U.N. to bankroll the operation, which would include the deployment a 3,245-strong force -- to which Nigeria (694), Togo (581), Niger (541) and Senegal (350) would be the biggest contributors -- at a cost of $410 million a year. The note stated that the objective of the Islamists in northern Mali was to "create a safe haven" in that country from which to coordinate "continental terrorist networks, including AQIM, MUJAO, Boko Haram [in Nigeria] and Al-Shabaab [in Somalia]."

Despite compelling evidence of the threat the Islamists pose to international peace and security, the U.N. has not been able to agree on funding what essentially would be a military offensive. U.N. Security Council resolution 2085, passed on 20 December last year, only agreed to a voluntary contribution and the setting up of a trust fund, and requested the secretary-general "develop and refine options within 30 days" in this regard. The deadline should be 20 January.

See also: Six reasons events in Mali matter

It is partly because of this U.N. inaction that few in Africa would label the French action in Mali as another neo-colonial mission creep.

If the Islamists had been allowed to capture the very strategic town of SevarÃ©, as they seemed intent on doing, they would have captured the only airstrip in Mali (apart from the airport in Bamako) capable of handling heavy cargo planes, and they would have been poised to attack the more populated south of the country.

Those Africans who would be critical of the French are probably stunned to embarrassment: Africa's weakness has, once again, been exposed by the might of a foreign power.

Watch video: French troops welcomed in Mali

Africans, however, can perhaps take consolation in the fact that the current situation in Mali was partially created by the NATO action in Libya in 2010, which France spearheaded. A large number of the well-armed Islamists and Tuareg separatists had fought in the forces of former Libyan leader Moammar Gadhafi, and then left to join the MNLA in northern Mali after Gadhafi fell.

They brought with them advanced weapons, including shoulder-launched anti-aircraft missiles from Libya; and two new Jihadist terrorist groups active in northern Mali right now, Ansar Dine and MUJAO, were formed out of these forces.

Many African states had an ambivalent attitude towards Gadhafi, but few rejoiced when he was ousted and killed in the most squalid condition.

A number of African countries, Nigeria included, have started to deploy troops in Mali alongside the French, and ECOWAS has stated the objective as the complete liberation of the north from the Islamists.

The Islamists are clearly not a pushover; though they number between 2,000 and 3,000 they are battle-hardened and fanatically driven, and will likely hold on for some time to come.

The question now is: what happens after, as is almost certain, France begins to wind down its forces, leaving the African troops in Mali?

Nigeria, which almost single-handedly funded previous ECOWAS interventions (in Liberia and Sierra Leone in the 1990s, costing billions of dollars and hundreds of Nigerian troops), has been reluctant to fund such expensive missions since it became democratic.

See also: Nigerians waiting for 'African Spring'

Its civilian regimes have to be more accountable to their citizens than the military regimes of the 1990s, and Nigeria has pressing domestic challenges. Foreign military intervention is no longer popular in the country, though the links between the northern Mali Islamists and the destructive Boko Haram could be used as a strategic justification for intervention in Mali.

The funding issue, however, will become more and more urgent in the coming weeks and months, and the U.N. must find a sustainable solution beyond a call for voluntary contributions by member states.

The opinions expressed in this commentary are solely those of Lansana Gberie.

@highlight

French intervention in Mali could be turning point in relationship with Africa, writes Lansana Gberie

@highlight

France's meddling to bolster puppet regimes in the past has outraged Africans, he argues

@highlight

He says few in Africa would label the French action in Mali as 'neo-colonial mission creep'

@highlight

Lansana: 'Africa's weakness has been exposed by the might of a foreign power'