(CNN) -- Along the lush sea-islands and the Atlantic coastal plains of the southern East coast of America, a distinctive group of tidewater communities has stuck together throughout the centuries, preserving its African cultural heritage and carving out a lifestyle that is uniquely its own.

The Gullah/Geechee people are direct descendants of West African slaves brought into the United States around the 1700s. They were forced to work in rice paddies, cotton fields and indigo plantations along the South Carolina-Georgia seaboard where the moist climate and fertile land were very similar to their African homelands.

After the abolition of slavery, they settled in remote villages around the coastal swath, where, thanks to their relative isolation, they formed strong communal ties and a unique culture that has endured for centuries.

"The Gullah/Geechee Nation is an extremely tightly knit community," says Chieftess Queen Quet, who was chosen to represent the Gullah/Geechee people in 2000. "It is as tightly knit as a sweet grass basket that's sewn together and as tightly knit as a cast net is sewn together -- there's strength in it and that means if you pull on it, you can't just get it to break apart."

See also: Tracing the slaves who shaped America

Brought to America from rice-producing Sierra Leone and other surrounding countries, the enslaved Africans came from a wide variety of ethnic groups. For many of them, the first contact with the New World was Sullivan's Island -- just off Charleston, South Carolina -- a place of huge emotional value for the Gullah/Geechee community to this day.

"This is the landing point for over 40% of all the African people enslaved in North America," says Queen Quet. "It represents a place of pain; it also represents a place of connection because we're standing at the shore and we're looking eastward -- we're looking back home, we're looking to our mother, the mother land, mother Africa."

Carlie Towne, minister of information of the Gullah/Geechee Nation, says the Africans brought to the island were quarantined in pestilence houses to make sure they didn't have any diseases.

"A lot of people refer to this as the Ellis Island, but it's not, because we did not come freely," says Towne. "It didn't kill the spirit, because we are here today and paying homage today to our ancestors. It actually gave us a sense of community, of living together. Everything we did, it was a way for us to actually become who we are. It actually made us stronger and we continue today the legacy of our ancestors."

Read related: Brazil's thriving African culture

To this day, the Gullah/Geechee people are trying to hold steadfastly to the way of life of their African ancestors, passing on their traditions from one generation to the next.

They gather sweet grass to practice the ancient African art of basket making; they pay homage to their West African traditions by keeping alive the ring shout music folk tradition; they make a living by fishing shrimps and harvesting oysters, using handmade nets and casting them the way their ancestors did centuries ago.

"I fished with my father ever since I've been seven or eight," says Ricky Wright, vice president of the Gullah/Geechee Fishing Association. "It passes down because it's just a natural thing for us -- my parents did it, I'm quite sure my parents' parents did it, and it just descended down."

It is this natural connection that helps the Gullah/Geechee community tie their past to their future survival.

"[It's] almost like history repeating itself, what goes around comes around," says Wright. "OK, we've entered the computer age, but we still have to have hands-on for most of the things we do and fishing is like hands-on. You've got to do it to know it -- to keep the culture strong is to keep what you do intact."

Another key trait marking the population's distinctive cultural identity is the use of an English-based creole vernacular known as Gullah. Professor Salikoko S. Mufwene, of the department of linguistics at the University of Chicago, says the enslaved Africans and their descendants created the dialect in response to their own linguistic diversity.

"It is English modified under the influence of African languages," he says. "Any population that appropriates the language that is not their own, they are going to modify it."

Estimates about the current number of Gullah/Geechee people vary and exact figures are hard to verify. Gullah/Geechee leaders say that an approximately one million people belong to the nation, while other reports put the number closer to 250,000.

Mufwene says that after the Second World War there were several migrations out of the region towards cities like New York and Washington in search of jobs. He adds, however, that many of those who'd depart would often become disenchanted with life in the city and return back home.

Watch video: Slave descendants uphold African roots

What seems to be more certain is that Gullah/Geechee people have preserved the cultural heritage of their ancestors more than any other black Americans in the United States.

"We have the highest retention of African tradition in America," says Towne. "African-Americans have assimilated more so they don't have those African traditions that we have -- they don't treasure them, they don't honor their tradition like we do. And we've been able to hold onto that because of isolation, because of the strong will and our self-determination. We still eat the same foods [as] our ancestors [when they] came from Africa."

Mufwene agrees. He says the Gullah/Geechee people cook differently from continental African-Americans and the ways they interact with each other are very reminiscent of traditional life in Africa.

"They have also kept animal tales that are very similar to animal tales in Africa," he adds. "The characters are not exactly the same, because the ecology has changed, but the themes of the tales are very similar to the themes that you find in Africa."

Back on Sullivan's Island, overlooking the vast ocean that brought her ancestors to the shores of enslavement, Towne says Gullah/Geechee people should not lose sight of their past.

"This is actually the bloodline of our people, the water," she says. "I must come here and my children come here. And my children's children must come here too. Because we must never forget."

@highlight

The Gullah/Geechee is a group of people based in the North Carolina-Georgia seaboard

@highlight

Their descendants came from West Africa, brought to America as slaves around the 1700s

@highlight

The Gullah/Geechee are trying to hold onto the way of life of their African ancestors

@highlight

They pass on their traditions from one generation to the next