Brighton, England (CNN) -- A blurry Skype signal stirs to life. From a battlefront in northwest Syria a British jihadi fighter has a message for the mother of his childhood friend.

"I'd like to say to her that her son was a very loved person. We called him "Khalil" and that means friend. He was everybody's friend," 20-year-old Amer Deghayes told CNN.

"Khalil wrote a will and videoed a message for his mother on his mobile phone. He said to me 'if I get killed make sure you send this to my Mum.' But the phone was destroyed in the airstrike," he added.

"Khalil Al-Britani" was the nom-de-guerre of Ibrahim Kamara, a 19-year-old from Brighton, a picturesque seaside resort in southern England. He was killed in Syria's Idlib province on September 23 as the U.S. unleashed a first wave of missile strikes on suspected "terrorist" positions.

The U.S. and its coalition partners said they were primarily targeting ISIS. Washington says the targets it hit in Idlib belonged to a hardcore al Qaeda cell known as the "Khorosan Group."

Deghayes, however, said his friend Kamara was, like him, a gunman in the al Qaeda-affiliated al-Nusra Front -- a rebel faction battling the Syrian regime but also designated a "terrorist" organization by the U.S.

News of Kamara's death was just the latest chapter in the tale of four Brighton youngsters, who, fresh out of school, headed to war.

Amer Deghayes, now 20, is the eldest of four Brighton youths known to have gone to fight in Syria. He left a year ago after completing business studies at a college in Brighton. He told his father was going to do aid work for displaced civilians.

Via Skype he told me a different story. He said he had been inspired by a primetime documentary on Britain's Channel Four television about British and European recruits taking up arms in Syria's civil war.

Deghayes explained he thought it was his duty to do his bit in Syria -- part "help thy neighbor," part Islamic obligation to go to the rescue of other Muslims in need.

"The Muslim nation is one body," he said. "If one part is in harm then all the other parts go to rescue. It doesn't make much sense to me that people are being attacked and you sit at home and do nothing. Have the morals of life reached such a point that you only care for yourself?"

Three months later, apparently inspired by their elder brother's example, his two younger brothers, Abdullah then 18 and Jaffar, 17, headed out to join him. Ibrahim Kamara traveled with them. All joined the ranks of al-Nusra.

The Deghayes were born and bred in Britain. Kamara fled battle-torn Sierra Leone with his mother when he was aged just five. He came to Britain after several years in Holland. The Deghayes and Kamara were longstanding school friends.

Before he left for Syria, Kamara, 19, was studying computer science. His mother Khadija told CNN that Ibrahim, the eldest of her four sons, never had any problems with police and regularly helped her in the charity store she ran to raise funds to build schools in her native Sierra Leone.

Khadija said her son was infuriated by what he saw as lack of international action to alleviate the suffering of civilians in the Syrian civil war. But he never told her he intended going there.

"Ibrahim called me on February 2 and said 'Mum I'm in Syria'. I just turned the phone off. When he called me again I said 'don't call me again.' I was really angry," said Khadija Kamara as she sat in her Brighton home.

"It wasn't just that I was angry with him. I just couldn't stand that my kid went to such a dangerous place. I didn't want to face it," she added as she sobbed into her headscarf.

She says she reported her son's trip to Brighton police but officers said they could not help coax him back. British counter-terrorism police declined to discuss details of Kamara's case.

Further checks revealed Kamara, who did not have his own valid travel papers, had stolen his 15-year-old brother Muhammad's passport. He reportedly flew from Luton airport with Abdullah and Jaffar Deghayes. It is not known what route they took into Syria.

Khadija Kamara is flabbergasted that three Muslim teenagers, including one traveling on a stolen 15-year-old's passport, were able to make it out of Britain so easily.

"I couldn't save my son. He's already dead and I can't even bury him. But at least let me get the answer to this. How did he travel how did he go through the airport?" she asked.

"How can a bunch of kids travel like that and nobody even suspected? This isn't about a religious thing, it's about all of us being responsible," she said.

The British government has repeatedly said it will crackdown on what it calls the "flow of foreign fighters" to Syria. But this week, the Home Office told CNN it was the responsibility of individual airlines to check the identity of departing passengers not border police.

When Kamara left with the two Deghayes brothers, their father quickly found out and trailed them to Turkey. He says he pleaded -- unsuccessfully -- with them to come home.

"They were very adamant they wanted to catch up with their brother. It was very painful, you feel very helpless. I told them stick to aid work and humanitarian work," said Abubaker Deghayes, speaking to CNN at his spacious home on the outskirts of Brighton.

Deghayes, who rents and develops property, first came to the Brighton area from Libya when he was eight to learn English.

He came to live in Britain as a political refugee when his father, a prominent opposition lawyer, was murdered in jail by the Gadhafi regime in 1980.

Deghayes had made several trips to take aid to Syria. Years earlier he'd taken aid to Bosnia and Kosovo with Christian-led charity workers. But his younger sons did not stick closely to his footsteps.

He found that out with tragic consequences in April. Abdullah was killed near the Turkish border in clashes with Syrian regime forces.

Then, as last week with Kamara's death, it fell to the eldest of the Brighton jihadis Amer Deghayes to report back with the news.

"Amer told me Abdullah advanced into territory of the Syrian army then a sniper shot him in the chest. He fell on the ground and looked at the sky and laughed. That's how his brother describes it," explained Abubaker Deghayes.

"You feel he died a good death as a Muslim. As a martyr, he goes to paradise. But at the same time you feel sad for the loss. Abdullah was so young, he had so much in front of him," Deghayes said.

His grieving may not be over. With the launch of U.S. and coalition airstrikes, the danger in Syria is rising. Now, his son Amer says al-Nusra is considering an alliance with its one-time rivals ISIS to confront the U.S.-led offensive.

"I very much doubt we will unite as a single group. But the scholars of Islam have come together to work toward a peace treaty between all groups since they see it's more beneficial to face the coalition," Amer said.

He insisted, however, that al-Nusra still had serious differences with ISIS over its brutal tactics, particularly beheading hostages and attacking unarmed civilians.

As the Skype signal with Amer Deghayes began to fade, he offered another detail to try and comfort Khadija Kamara, the mother of his fallen friend.

"Khalil (Ibrahim) is definitely buried in a nice place and he had a good burial," he said.

As I visited Khadija, on a bright end-of-summer day, she seems resigned that she would never be able to bring her son for burial at home. So instead she imagines him at peace in some quiet corner, far from the battlefield.

She tells me: "I think they would have buried him in the mountain. And I say to myself, 'don't worry god is there in the mountains, god is everywhere. God have mercy on you my son.'"

@highlight

Amer Deghayes, 20, is the eldest of four Brighton youths known to have gone to fight in Syria

@highlight

He told CNN he had been inspired by European recruits taking up arms in Syria's civil war

@highlight

The British government says it will crack down on what it calls the "flow of foreign fighters"

@highlight

A bereaved mother says it's the responsibility of all to prevent young men traveling to war