(CNN)Is there anything laser can't do?

From cutting diamonds to preserving endangered sites, all the way to building terrifying weapons and turning your eyes from brown to blue, there is apparently no end to the list of applications for laser.

Swiss physicist Jean-Pierre Wolf is working on yet another impressive addition to that list: using focused laser beams to affect the weather.

It sounds like black magic, but it's actually a cleaner version of cloud seeding, a form of weather modification that has been used for several years -- most famously by China in preparation for the 2008 Olympics, when they launched rockets to seed the clouds and prevent rainfall during the opening ceremony.

But it's hard to tell how effective cloud seeding actually is, and it involves the spraying of chemicals into the atmosphere, something which it surely doesn't need.

Laser is therefore a completely clean alternative to traditional cloud seeding: it's light, and nothing but light.

How does laser actually affect the weather? Just like cloud seeding, it can create new clouds where there are none, by inducing condensation: naturally occurring water vapor is condensed into droplets, and ice crystals form, mimicking the natural process that creates clouds.

That way, rainfall can be triggered to "empty" the atmosphere and increase the potential of dry weather later on: "We did it on a laboratory scale, we can already create clouds, but not on a macroscopic scale, so you don't see a big cloud coming out because the laser is not powerful enough and because of a lot of technical parameters that we can't yet control," Professor Wolf told CNN's Nick Glass.

That is not to say that the laser he's tested isn't powerful: at one terawatt, it has the same energy produced by all the nuclear power plants on Earth: "Of course, it doesn't last very long," Wolf said.

The technology is still in its infancy then, but once it's perfected, it could help us modulate the weather in areas of high contrast, such as California or Chile, where flooding and droughts occur in extreme vicinity.

Through lasers, those effects could be smoothed to have less rain in flooding-prone areas and more rain in drought-prone areas: "You can transport the water to a different location," Wolf said.

Laser seeding can make more than clouds: it can also trigger lightning.

"We also showed that it's possible to trigger lightning in clouds, within clouds, but not to the ground, yet."

Recent tests have shown promise: " A few years ago, in New Mexico, we moved our big mobile terawatt laser to the top of a mountain and we shot it up into the atmosphere, trying to trigger lightning. We didn't, but we could see some small discharge, lightning, within the cloud. You know, 90 per cent of the lightning discharge are intra-cloud, not against the Earth. So, we are still working on that, but there is hope."

Controlling lightning, or facilitating its discharge in a desired location, would help reduce the costs associated with lightning damage -- they run into the billions of dollars each year, adding to thousands of people injured or killed by lightning strikes.

Affecting the weather could also turn out to be one of our best bets at limiting the impact of climate change.

Professor Wolf reckons lasers could be used to "repair" the weather, reducing the occurrence of hurricanes, thunderstorms, flooding, and drought.

But his laser technology can look way beyond the clouds: "There are potential applications in the biomedical field: by changing the color of the laser, we could identify and selectively kill cancer cells, with little or no collateral damage."

Yet another potential application to add to that list: "Every time you think you have done everything you can with lasers, something new comes up: it's quite amazing."

@highlight

Swiss Professor Jean-Pierre Wolf is pioneering the use of lasers to affect the weather

@highlight

He suggests lasers could also be used to limit the impact of climate change