Aldo the German shepherd and his human companions in law enforcement won an important Supreme Court appeal on Tuesday over vehicle searches for drugs and contraband.

The justices found that a positive "hit" from the sniff of a well trained police dog could establish probable cause for the search of a vehicle.

"The question-- similar to every inquiry intro probable cause-- is whether all the facts surrounding a dog's alert, viewed through the lens of common sense, would make a reasonably prudent person think that a search would reveal contraband or evidence of a crime," said Justice Elena Kagan. "And here, Aldo's did."

This case and a separate and still pending appeal over police intrusions into homes and cars could have a far-reaching impact on when a person's private contents can be subjected to a search without clear probable cause or a valid warrant.

Dogs at center of police search arguments

The Constitution's Fourth Amendment grants the "right of the people to be secure in their persons, houses, papers, and effects, against unreasonable searches and seizures."

The issue of citizen privacy has been particularly acute since the 2001 al Qaeda attacks on the United States. Federal and state governments have stepped up surveillance of suspected terrorists and their allies and high-risk targets, like government buildings and shopping malls.

The case decided by the Supreme Court on Tuesday involved Clayton Harris, who was stopped by a sheriff's deputy in Liberty County outside Tallahassee in 2006 for an expired license tag.

The officer brought in a German shepherd police dog, Aldo, who focused on the truck's door handle. A subsequent search produced pills in the vehicle that are used to make methamphetamine.

Harris was charged and later pleaded no contest, but the state high court later reversed the conviction.

Those justices found the dog unreliable. A few weeks after the initial search, Harris was stopped and the dog again alerted the door handle for the presence of drugs. This time, none were found.

The Florida high court concluded that the state's general assertion a dog was sufficiently "trained" and "certified" was not enough alone to establish probable cause justifying vehicle searches.

But the U.S. Supreme Court disagreed, saying Aldo's training records established that he was reliable in detecting drugs and that Harris "failed to undermine that showing."

The Supreme Court has in recent years generally given law enforcement some latitude to conduct its in a heightened security environment, but not without some checks.

The current cases also come as recent studies have raised questions about the accuracy of canine drug alerts.

Florida state officials applauded the opinion.

"This victory is paramount to preserving our law enforcement officers' ability to use police dog alerts to locate illegal drugs and arrest those who possess them," said Florida Attorney General Pam Bondi.

"The Supreme Court correctly held that a police dog's reliability is determined through a common-sense evaluation of the relevant circumstances, rather than through a rigid set of judge-created requirements," Bondi said.

The case is: Florida v. Harris (11-817).

@highlight

Court says alerts from trained dogs can trigger probable cause for search of car

@highlight

This case and another could have far-reaching impact on search questions

@highlight

Citizen privacy has been a key issue since 2001 terror attacks on the United States