Washington (CNN) -- The Government Accountability Office Wednesday released the results of its undercover investigation looking at deceptive and questionable marketing practices at 15 for-profit colleges in six states and Washington, D.C.

The written report was presented at a hearing Wednesday of the Senate Health, Education, Labor and Pension Committee, and was accompanied by video of the undercover applicants interacting with recruiters from the various educational institutions.

In his opening statement, committee chairman Sen. Tom Harkin, D-Iowa, said that the evidence points to a systemic problem within the for-profit education system.

"Are students -- and U.S. taxpayers -- getting good value for the billions of dollars they are investing in these schools?" he asked, according to his prepared remarks.

According to the report, all 15 schools were guilty of some sort of dodgy statements in information about "the college's accreditation, graduation rates and its student's prospective employment and salary qualifications, duration and cost of the program, or financial aid" that they passed on to the GAO undercover applicants.

At one college, school officials told the GAO applicant that after completing an associate's degree in criminal justice, the applicant could try to go to work for the FBI or the CIA. In fact, a bachelor's degree is the minimum requirement for positions like FBI special agent or CIA clandestine officer, although there are other lower-level positions for which an applicant could apply.

At a small beauty college, the undercover applicant was told that barbers can earn $150,000-$200,000 per year. Although this is possible, 90 percent of barbers make less than $43,000 per year, according to the Bureau of Labor Statistics.

The Obama administration has proposed rules to limit federal student aid funds to for-profit career colleges that do not prepare students for "gainful employment" in recognized occupations.

"While career colleges play a vital role in training our workforce to be globally competitive, some of them are saddling students with debt they cannot afford in exchange for degrees and certificates they cannot use," according to Secretary of Education Arne Duncan.

The proposed law uses two criteria for judging the for-profit career colleges: the relationship between the debt that students incur verses their income potential, and the rate at which the students repay their college loans.

According to the GAO, "enrollment in for-profit colleges has grown from about 365,000 students to almost 1.8 million in the last several years.

"These colleges offer degrees and certifications in programs ranging from business administration to cosmetology. In 2009, students at for-profit colleges received more than $4 billion in Pell Grants and more than $20 billion in federal loans provided by the Department of Education," the agency's summary said.

The GAO report also found that many programs at the for-profit colleges studied cost "substantially more for associate's degrees and certificates than comparable degrees and certificates at public colleges nearby.

"A student interested in a massage therapy certificate costing $14,000 at a for-profit college was told that the program was a good value. However the same certificate from a local community college cost $520," a summary of the report on the GAO website said.

Alan Collinge, founder of the group Student Loan Justice, thinks the federal government should broaden its research.

"The problem goes well beyond the for-profit sector; it permeates academia generally, including community colleges and four year universities," he said.

Sen. Mike Enzi, R-Wyoming, also suggested looking beyond the current probe.

"In focusing on for-profits, we are not being objective, and we are ignoring the bigger picture of what is happening across all of higher education," he said at the hearing.

@highlight

GAO report found many for-profit colleges used deceptive and questionable marketing practices

@highlight

Undercover probe targeted 15 colleges

@highlight

All of the schools studied get more than 89 percent of their revenue from federal funding

@highlight

The Obama administration has proposed new rules on federal student aid to for-profit colleges