(CNN) -- The flip-flop over the non-mention, and now inclusion, in the Democratic platform of Jerusalem as the capital of Israel reflects just how silly and sensitive matters can become in an election year.

The Obama folks were clearly tone deaf on this one, giving the Republicans a gratuitous advantage to question (yet again) the president's commitment to Israel. After the discord over its omission, the president himself ordered that Jerusalem be included in the platform. But he has already reaped the worst of both worlds: Having too cleverly tried to steer clear of traditional election year pressures on Jerusalem, the party is now seen to be capitulating to them.

First, let's get something straight. The Jerusalem issue defies logic and rationality when it comes to our presidential elections. Presidential candidates say all kinds of things in order to win elections, including repeated commitments to move the U.S. Embassy from Tel Aviv to Jerusalem. And then, once in office, they turn around and seek ways to avoid doing it.

Despite all of the campaign rhetoric, no administration has changed the bottom line U.S. position on the embassy, or for that matter the status of Jerusalem, since 1967. Its fate is to be determined in negotiations.

And here's a news flash for you. Should Mitt Romney become president and serious negotiations start between the Israelis and Palestinians, his position would conform to that of his predecessors, and might even go further to allow for Palestinian sovereignty in east Jerusalem.

Democrats update platform with reference to Jerusalem

Second, what's so curious about the flap is that the Jerusalem issue is less relevant today than ever. There are no prospects for reviving serious Israeli-Palestinian negotiations. Taking positions on Jerusalem is a thought experiment now. And most smart politicians understand this.

Neither the Israeli prime minister nor the president of the Palestinian Authority are prepared to pay the price for a deal, let alone reach common ground, on Jerusalem, the peace process' most explosive issue. To add to that, the region is in turmoil. Iran's nuclear program is likely to be the big issue in 2013, not resumption of Israeli-Palestinian peace talks. Jerusalem is likely to remain dormant for some time.

Perhaps that's partly why this year's GOP platform doesn't spell out much in detail on Jerusalem. It says only that "We envision two democratic states -- Israel with Jerusalem as its capital and Palestine." That differs from the platform in 2008, when the GOP actively called for moving the U.S. Embassy to Jerusalem.

That year the Democrats refrained from mentioning moving the embassy, but did assert that Jerusalem "is and will remain the capital of Israel." In fact, looking at past Democratic platforms, the last time the "moving the embassy" language appeared was in 1984.

Still, it hardly mattered. Under the past three Republican presidents -- Reagan, Bush 41 and Bush 43 -- nothing was done about it. And it hardly matters on the substantive side, either.

What will determine the future of Jerusalem depends almost entirely on the Israelis and the Palestinians and perhaps, if there's ever a peace process, the Arab states that have equities there too. Not to mention the views of the Muslim and Christian world, assuming they'd ever agree on anything regarding their respective holy sites.

But rest assured, whatever is contained in any American political party's platform won't be very significant. Indeed, if I were an Israeli or Palestinian, I wouldn't count on any American statement on this or any other issue made during a political campaign.

Clearly, the Jerusalem issue continues to resonate politically in the United States, particularly during campaign season. Does the omission of any reference to Jerusalem really say anything at all about Barack Obama and his party's commitment to Israel or a sea change on the Jerusalem issue?

It is, indeed, intriguing that the 2008 Democratic Party platform stated that Jerusalem is and will remain the capital of Israel and the 2004 and 2000 platforms contained very similar language, but this year the Democrats had, at first, dared to drop the reference.

Mitt Romney was quick to blast the Democrats for the omission, claiming that the entire party "has embraced President Obama's shameful refusal to acknowledge that Jerusalem is Israel's capital." The initial omission, combined with White House press spokesman Jay Carney's fumbling the question about Israel's capital several months ago, might have strengthened many people's belief that Obama is changing American policy.

But since American policy, pursued under both Democratic and Republican administrations, has always been that the city's final status will be determined in negotiations, you have to wonder what precisely those critics mean. The president has taken positions on borders and security, but not on Jerusalem, although it's hard to believe that his view will not be close to those of Bill Clinton, who thinks that east Jerusalem should be the capital of a Palestinian state with special arrangements for certain neighborhoods and Jewish holy sites.

More likely, the platform's drafters wanted to steer clear of Jerusalem entirely and hoped nobody would notice. But of course they did.

What planet were the drafters who omitted Jerusalem living on? It's silly season, the campaign is on, the Republicans see a wedge on Israel, and it's Jerusalem. Need I say more?

The opinions in this commentary are solely those of Aaron David Miller.

@highlight

Aaron Miller: For some reason, the Democratic platform omitted Jerusalem, then included it

@highlight

The omission gave Romney an opening for questioning Obama's commitment ot Israel, he says

@highlight

But Jerusalem is hardly relevant now, he says, with peace talks dead and Iran the main issue

@highlight

Miller: Platforms don't matter, and politicians know Jerusalem's fate is not in their hands