New York (CNN) -- The serendipitous occurrence of this year's Thanksgiving holiday on the same evening as the Muslim Eid-ul-Adha is a festive occasion to reflect on the place of Islam in American collective consciousness and on Muslims as Americans.

On the same evening that millions of Americans gather around their Thanksgiving dinner to celebrate this most American of holidays, even more millions of Muslims around the globe, including the growing number of American Muslims, will do the same -- celebrating as well one of the most definitive moments of their faith -- Prophet Abraham's willingness to sacrifice his son for his God.

This holiday celebration comes soon after the tragic incident at Fort Hood, when the atrocious act of a mass murderer put Islam and Muslims under some pressure to either denounce or defend their faith.

The psychotic act of Maj. Nidal Malik Hasan, MD, a Muslim American military psychiatrist at Fort Hood who went on a rampage killing 13 U.S. soldiers and wounding 30 others, has prompted two diametrically opposed reactions.

On one side are people who say that Islam -- and Islam alone -- is inherently violent and by extension Muslims are constitutionally driven to murder, while on the other are apologetic Muslims who argue their faith is peaceful and benevolent -- unrelated to criminal acts such as Hasan's.

The fact is that Maj. Hasan and Osama bin Laden have as much claim on Islam as do Muhammad Ali, Kareem Abdul-Jabbar and the Persian poet Mawlana Jalal al-Din Rumi, who is the best-selling poet in America. Islam is an abstraction and any Muslim, saintly or satanic, detested or beloved, can and does have a claim on it -- and Islam is not the only world religion with this proclivity for good and evil.

The distinguished New York Times columnist David Brooks, one of the most consistently militant warriors in his take on American involvements in Afghanistan and Iraq, takes Islam -- and Islam alone -- to task for having a diabolic roughness on its fringes. But even if so, Islam is not alone in this failure to curtail murderous instincts.

The same Hinduism that produced Mahatma Gandhi and his non-violent theory of civil disobedience has also produced Hindu fundamentalists who sliced and skewered pregnant Muslim women alive in Gujarat.

The same Christianity that produced Saint Francis of Assisi and Mother Theresa also produced children's crusades and Spanish conquistadors who burned native Americans alive 13 at a time (according to the 16th-century Spanish Dominican priest, Bartolomé de las Casas) in honor of the Twelve Apostles and Jesus Christ. It also produced American Seung-Hui Cho who killed 32 students and himself at Virginia Tech and American John Wayne Gacy, Jr., who raped and murdered 33 young men and boys in Chicago, Illinois, in the 1970s.

The same Judaism that produced Martin Buber, Emanuel Levinas, or Primo Levi also produced the Stern Gang, Meir Kahane and Baruch Goldstein.

But the knee jerk reaction of blaming Islam and Muslims, in general, or looking for delusional links to "al Qaeda," for the horrific murders at Fort Hood points to something far more fundamental, overdue, and urgent -- namely something of a psychological barrier for Americans to accept the Islamic component of their own society, culture, and history.

To avoid singling out Islam as diabolical, it is imperative for Americans to come to terms with the collectively repressed fact that by far the most important social uprising of their 20th century -- namely the civil rights movement of the 1960s -- is not as exclusively a Christian phenomenon as it is made out to be: The towering figure of a Muslim revolutionary named Malcolm X is of great importance in the history of that movement.

It took a whole generation of Americans to accept the fact that Jewish civil rights activists were instrumental in many measures of the success that was achieved in the 1960s. It is long overdue for Americans also to recognize that Malcolm X was equally, if not more, important to the civil rights movement.

The way the history of the civil rights movement is mostly remembered now, an overwhelming role is assigned to the Southern Baptist genealogy of Martin Luther King Jr. Malcolm X is delegated to a radical fringe -- portrayed as more of a menace and a hindrance than a positive force in the civil rights movement.

But without the simultaneous presence of Malcolm X as a Muslim revolutionary, the Southern Baptist pacifism of Martin Luther King Jr. would not have been as formidable a force.

Malcolm X and Martin Luther King were the yin and yang of the civil rights movement -- ennobling anger and vision coming together in hopes of realizing the dream of equality.

For more than three decades now, I have taught generations of American students who come to college having scarce read a word about Malcolm X, and yet everything about Martin Luther King Jr.

Until Americans come to terms with the fact that they are deeply indebted to a Muslim revolutionary for the fruits of the civil rights movement they enjoy today, Islam and Muslims will continue to be seen as archetypically alien and an everlasting danger to American lives and liberties.

Americans are Christians, Jews, Hindus, agnostics, atheists, and anything else in between -- but Americans are also Muslims, millions of them, and Islam has now become integral to what the distinguished American sociologist Robert Bellah termed our "civil religion."

It is only apt that this particular Thanksgiving, Americans think about Eid-ul-Adha, as precious to Muslim-Americans as the occasion that has gathered us all "at the table." Let's make room for Muslims "at the table" because -- to quote Langston Hughes -- they "too, sing America."

The opinions expressed in this commentary are solely those of Hamid Dabashi.

@highlight

U.S. Muslims celebrate Thanksgiving and an important religious occasion on same day

@highlight

Hamid Dabashi says Fort Hood shootings were an atrocity

@highlight

Dabashi: Malcolm X, a Muslim, played key role in civil rights movement