Stretching across the heart of Europe, Germany's spider-web of highways ferries tons of goods on their journey across the continent and beyond.

The country is a strategic transport gateway between east and west, with four million trucks racing down its roads day and night, helping to keep its industrial economy ticking.

But with road transport accounting for about one-fifth of the EU's total emissions of carbon dioxide, the main greenhouse gas, there is a pressing need to find cleaner ways of hauling cargo.

Enter eHighway -- a bold new idea to adapt existing technology behind tram lines to electrify trucks on the highway.

The project is currently taking shape in the workshops of German electrical giant Siemens, and scientists hope it will eventually enable trucks to drive almost emission free.

"Right now we only have electro mobility for cars, and with this project we want to develop the technology to drive trucks electrically," says Michael Lehmann, the technical project manager of the initiative.

Adapting systems

The technology is being tested at a former Soviet airbase near Berlin, and centers on hybrid trucks. These are fed electricity from powerlines, which are dotted along the road, through a so-called pantograph. The device, which is more commonly used for trams, is mounted on the truck's roof, and plays a crucial part in the operation.

"It needs to work even if you have to brake quickly or if you suddenly have to leave the lane. Those are all the small steps, but they are necessary to make it work," says Lehmann.

Trucks are not limited to one lane only -- they can overtake one another by detaching from the power lines when the driver blinks, and then can return to position by lifting the pantograph back up to the cables when the process is complete.

Lehman says that this automation could be applied beyond the highways. "Whenever you have trucks driving the same route shuttling goods back and forth all day, that is where we want to use this technology." he explains. "So, also in logistic centers in ports and mining applications as well," adds Lehman.

Going green

The European Commission estimates that by 2050 freight transport in the EU will increase by 80%, and experts stress that moving cargo has to become more environmentally-friendly.

"If we want to achieve our climate emission targets we have to think about alternative drive trains, hybridization, but also of course substitutes, so we would try to shift a lot more towards trains," says Jens Weinmann, of the European School of Management and Technology.

With that in mind, the eHighway project seeks to combine the efficiency of rail transport with the flexibility of trucks.

Trials are set to move from the test area near Berlin to a public road in the U.S. next year, and in time, engineers hope this technology could amp the green credentials of logistics around the world.

Read more: Super fast and green? How the new breed of sports cars is getting a makeover

Read more: Want a top notch college degree but can't afford it? Head to Germany

Read more: Welcome to the factory of the future

@highlight

eHighway project aims to electrify trucks on the highway

@highlight

It uses existing tram lines technology to make trucks almost emission free

@highlight

The system is being tested near Berlin, but set to move to a public road in the U.S. next year