(CNN) -- For nearly a decade, a Danish bank has been recognized by the Great Place to Work Institute as one of the best small to medium sized companies to work for in Europe. Situated near the quiet coastline on the island of Fyn, Middelfart Sparekasse has an unusual approach to people management that experts say is worth noting.

Coaching, self-directed leadership and personal growth are not usually words associated with financial institutions, but to this bank's 200 or so employees they are key, and the business operates under the assumption that everyone comes to work wanting to do their best, virtually eliminating the need for any oversight.

Sound utopian? Perhaps, but managing director of human resources, Knud Herbert Soerensen says it works. "You'd be amazed what happens once people are empowered to make decisions."

Under the concept of self-directed leadership, every employee is coached to resolve 100% of their work on their own, sometimes by making substantial monetary decisions without asking for help. "It forces people to step into character," says Soerensen, "And they do. Our employee satisfaction is very high, and for customers it means a highly individual treatment. There's no one solution and we believe the only way to treat people the same is by treating them differently. As a result, 80% of new customers come to us through referrals."

The bank was a leader in the use of Neuro Linguistic Programming (NLP) as a coaching tool. It began with a simple chat between Soerensen and managing director, Hans Erik Broenserud in 1999. "We were wondering why we ended up in top positions at the bank," says Soerensen. "None of us were particularly clever in school, so we agreed that something else must have played a part. Then we questioned why two employees with the same qualifications and training were not getting the same results, and we realized that those who succeeded had something extra: A will to succeed, a type of robustness if you will, and a belief in themselves that they were capable. And we thought we could train people to do this."

They did and they do. Today, all new employees at the bank go through an NLP seminar and a self-directed leadership seminar. They train employees in empathy, stress management, and personal self-development, and they keep a coach on staff. Randi Rude, the bank's NLP master coach and HR director says it makes a tremendous positive difference. "It helps keep our employees really engaged and motivated. It keeps our sickness rates well below industry average, and it helps our leaders clarify their strategies, among many other things," he says.

"I think the biggest bang from coaching produces more of what I call "Professional Human Beings," says Ginger Jenks, owner of Magellan Enterprises in the U.S. and coach to several CEOs and clients in Fortune 500 companies. "These are people who are continuously upgrading and learning, pushing their potential and that of the organization."

The Great Place to Work Institute publishes lists of best places to work. It has been comparing thousand of global workplaces for years, and its research reveals more and more coaching in companies. "Fundamentally though, it's about respect and about helping people find work-life balance and deal with stress, says managing director for Denmark, Ditte Vigsoe, "It has to be a serious commitment."

Flemming Poulfeldt, Professor of management at the Copenhagen Business School agrees. "Self-directed leadership doesn't mean less leadership. On the contrary, it demands strong leaders to create a framework of support for employees to reach their full potential. Whether you call that coaching or something else, I think we'll see more of it."

Jenks says she is seeing much more of it. "Sixteen years ago when I said 'I'm a coach', people would ask, 'what sport?' It's part of the corporate lexicon now. Coaching is about the development of human potential - savvy companies get that that's a true competitive advantage."

Middelfart Sparekassen executives now speak to companies big and small about the bank's approach. But can this really work in larger companies? Soerensen says absolutely. A few years ago when he discovered that the Banco Real Sao Paulo in Brazil was using nearly the same approach as his bank, he arranged a visit to interview the leadership and employees. "It was a company of 29,000 employees at the time," he says, "and I had goosebumps at how similar their positive results and employee and customer feedback was to ours. So yes, it can most definitely work."

@highlight

A Danish bank has repeatedly been recognised as one of Europe's best places to work

@highlight

The bank coaches its employees in self directed leadership

@highlight

The strategy is shown to have kept its staff engaged and motivated