(CNN)At the Church of the Corvette, it's the Day After. The doors of the National Corvette Museum opened as usual Thursday morning in Bowling Green, Kentucky, but this day is not going to be typical.

When a historically giant sinkhole suddenly appears inside one of the world's sanctuaries of uber-cool cars as it did Wednesday, it changes the mental landscape a bit.

A 40-foot-wide, 20-to-30-foot deep chasm tends to shake you up, say folks who've seen the hole with their own eyes. No one was hurt, but the mood in the museum is somber. They're a bit less shaken than they were Wednesday, when the sinkhole swallowed eight priceless Corvettes inside a part of the museum called the Sky Dome.

"We've been given an OK and everything is safe," said museum spokeswoman Katie Frassinelli. About a dozen visitors were exploring the place Thursday morning, she said, but the Sky Dome remains closed indefinitely.

Nature's disturbance of this holy site started a wave of concern across the Corvette Nation that continued to ripple around the web Thursday.

"Who could fathom such a thing?" asked CNN commenter 440sixpack.  "I don't live anywhere near this sort of geological risk, but still I'm tempted to arrange for a sub-surface analysis under my own garage just so I can still sleep good."

Fans at Supercompressor.com asked the question: Why couldn't this "have happened to a Yugo museum instead?"

'Vette fans have been stepping forward to help. Auto parts store owner Chuck Tamraz told reporters he's volunteering to find any replacement parts to restore the cars.

SWALLOWED BY THE SINKHOLE

-- a 1962 "Black Corvette"

-- a 1984 PPG pace car

-- a 2009 ZR1 "Blue Devil"

-- the 1992 white "1 Millionth Corvette"

-- a 1993 ruby red "40th Anniversary Corvette"

-- a 2001 Mallett Hammer Z06 Corvette

-- the 2009 white "1.5 Millionth Corvette"

-- a 1993 ZR-1 Spyder

Source: National Corvette Museum

So, what the hell happened? How could a gaping hole just appear in such a wrong place?

Keep in mind that this is cave country. Western Kentucky is the home of Mammoth Cave National Park, the largest known cave system in the world. Sinkholes pop up constantly in these parts, usually caused by ground water eroding underground limestone over many years, forming a void underneath the surface of the earth. Eventually, the soil that was above the dissolving limestone has nothing to support it anymore, and it collapses.

"Right now, the ground at the museum seems like it's pretty stable," said Western Kentucky University geologist Jason Polk. Experts have assessed and inspected the entire building using ground monitoring equipment. Engineer Matthew Dettman, a 22-year professor at WKU, said sinkholes rarely form in clusters. "The likelihood that another is going to drop out is possible, but unlikely."

"The contractor in charge will certainly want to do some investigation to verify that we don't have any other issues in the building that we know of," Dettman said.

That contractor, Mike Murphy of Scott, Murphy and Daniel Construction, acknowledged that his business runs across at least one of these sinkhole situations every month.

"The only difference is this one swallowed eight collector Corvettes," he said. "But it is repairable."

He assured reporters Thursday the building was "in good condition, and the foundation and structure is in good condition."

But the cars. Those sweet cars. Oh, the humanity!

Some of them, Dettman said, are buried so deep in the hole that they can't be seen from the surface. "It's fascinating, and sad," he said Thursday morning on the phone. But "the timing could have been a lot worse," Dettman said. Amazing closed circuit security video shows the hole opening up early Wednesday morning before the museum was scheduled to open. "There are times where there are so many people in that room, you can't even move around."

Some of the museum workers were busy washing the cars that survived the sinkhole. "I can't say we've ever had to clear concrete dust off of our cars before," Frassinelli said. "They have to be really careful."

Polk, who spent most of Wednesday at the sinkhole site, said "the whole experience was surreal," adding that "it was definitely lucky for the people -- not so much for the Corvettes."

By the way, for the record, he says he's a 'Vette fan -- but he drives a Toyota.

For right now, Dettman says the risk is extremely minimal. The Sky Dome has been closed to the public, while visitors will be able to tour the rest of the facility.  Another stroke of luck: the dome's round shape makes it less likely to collapse on itself, Dettman said. But about 10% of the concrete footing supporting the structure's signature red spire, which shoots high over the museum, has been "undermined" somewhat. "We do have to shore it up even though part of it is bearing on bedrock," he explained.

The Sky Dome has a long road to recovery. It will take at least four to six days to pull the Corvettes out of the chasm, and then construction crews will begin filling in the hole, Murphy said.

Timing may have been good for the Sky Dome, but it was bad on another level. The sinkhole comes as the museum prepares to celebrate its 20th anniversary this August. Big doings are in the works, including the grand opening of a new nearby MotorSports Park, where sinkholes were found and dealt with during construction.

"Sinkholes are so common here that I would have been shocked if they hadn't found any," Dettman said.

But museum executive director Wendell Strode said the Sky Dome will reopen in time for the festivities. "August is our target date," he said.

How do you fix a sinkhole? You can fill it in with dirt or other types of material. Or sometimes, it's impossible to fix, and the location has to be abandoned. It depends on the situation, said Polk.

Discussions about how to proceed with the museum sinkhole are expected to continue Thursday, and there's no firm plan yet. No one really knows how long it will be before we know if the Sky Dome will survive this attack by Mother Nature.

Hopefully, said Polk, "the sooner the better."

CNN's Chelsea J. Carter contributed to this report.

@highlight

It will take up to six days to pull the Corvettes out of the chasm, an expert says

@highlight

Museum opens a day after sinkhole eats 8 priceless Corvettes

@highlight

Other parts of museum are safe, experts say

@highlight

Too soon to tell if museum's iconic yellow Sky Dome will survive