(CNN) -- U.S. President Barack Obama met Saturday with family members of ailing South African statesman Nelson Mandela and spoke by telephone with Mandela's wife as she maintains a vigil by his bedside.

However, he and first lady Michelle Obama will not visit the anti-apartheid icon at the hospital "out of deference to Nelson Mandela's peace and comfort, and the family's wishes," the White House said.

"I expressed my hope that Madiba draws peace and comfort from the time that he is spending with loved ones, and also expressed my heartfelt support for the entire family as they work through this difficult time," Obama said after meeting with Mandela family members in Johannesburg. Madiba is Mandela's clan name.

Those present for the meeting at the Nelson Mandela Foundation included Mandela's two daughters, Makaziwe and Zindzi, and eight of his grandchildren.

"I have drawn strength from the support received from President Barack Obama, Michelle, Malia and Sasha," said Mandela's wife, Graca Machel, of her phone conversation with the U.S. president.

Machel said she had already conveyed the Obama family's "messages of strength and inspiration" to her husband.

5 things Obama wants young South Africans to know

Obama is undertaking his first full day of activities Saturday in South Africa, a nation where hearts are heavy over the poor health of the revered statesman.

He held a town hall-style meeting with young people in Soweto, a Johannesburg neighborhood at the heart of the anti-apartheid struggle, where he spoke of the vital role Africa's youth would play in the continent's future.

Obama earlier held bilateral talks with South African President Jacob Zuma in Pretoria, with trade high on the agenda.

In a news conference after the talks, both paid tribute to Mandela's contributions as an anti-apartheid campaigner and former president.

"I know that he is your personal hero as well," Zuma said. "The two of you are also bound by history as the first black presidents of your respective countries. Thus, you both carry the dreams of millions of people in Africa and in the diaspora who were previously oppressed."

Trade, other ties

Obama said the thoughts of Americans and people worldwide are with Mandela, his family and South Africans.

"The struggle here against apartheid, for freedom; Madiba's moral courage; this country's historic transition to a free and democratic nation has been a personal inspiration to me. It has been an inspiration to the world," he said.

"The outpouring ... of love that we've seen in recent days shows that the triumph of Nelson Mandela and this nation speaks to something very deep in the human spirit: the yearning for justice and dignity that transcends boundaries of race and class and faith and country," Obama added.

"That's what Nelson Mandela represents. That's what South Africa, at its best, can represent to the world, and that's what brings me back here."

The two presidents also addressed the importance of growing trade and business relationships between their nations, and between the United States and the continent.

"I'm here because I think the United States needs to engage with a continent full of promise and possibility," Obama said. "It's good for the United States. I welcome the attention that Africa is receiving from China, Brazil, India and Turkey ... I'm not threatened by it."

Obama's trip aims to bolster U.S. investment opportunities, address development issues such as food security and health, and promote democracy. It comes as China aggressively engages the continent, pouring billions of dollars into it and replacing the United States as Africa's largest trading partner.

Africa's greater integration into the global economy will benefit everyone, Obama said, with the potential creation of new jobs and opportunities.

But he said his advice to Africa is to make sure those who come to invest in the continent and its natural resources also bring benefit to Africans, in terms of jobs and "value added," not just themselves and a few top leaders.

HIV/AIDS gains

Obama also praised South Africa for its leadership in tackling HIV/AIDS, saying that within a few years it will be the first country in Africa fully to maintain its own HIV care and treatment program. This move will allow the United States to focus its assistance on other countries, he said.

Zuma brought up South Africa's bid for a seat on the U.N. Security Council.

Obama acknowledged a need to update the Security Council but said doing so was complicated. He also pointed out that many nations want a seat at the table but not all live up to their responsibilities to act or make difficult decisions.

Obama's visit to Africa's biggest economy is part of a three-nation trip that started in Senegal and will end in Tanzania next week.

Asked about his father's native Kenya, where some are disappointed at Obama's decision not to visit, the U.S. president said the timing was not right but that the United States would continue to work with "one of our oldest partners in Africa."

Obama said he had decided to visit other African nations in part because he had been to Kenya "multiple times."

He said it didn't seem the "optimal time" to go because Kenya had just had a presidential election, which he was pleased to see happen peacefully.

The new administration also has to manage issues around the International Criminal Court, he said.

The ICC has indicted Kenyan President Uhuru Kenyatta, accusing him of funding a local militia that conducted reprisal attacks in the last election in 2007. His deputy, William Ruto, also faces charges of crimes against humanity at the ICC. Both deny wrongdoing.

"If in 3Â½ years, if I'm not there, you can fault me on my promise," Obama added to his questioners, who were connected to the Soweto meeting via a remote hookup from Nairobi, Kenya.

Mandela critical but stable

Zuma said Mandela remained in critical condition following his hospitalization three weeks ago, but he is stable.

The South African president voiced hope the 94-year-old's condition would improve and that he'd be able to leave the hospital, where he has been since June 8 with a recurring lung infection.

Former South African President F. W. de Klerk and his wife, Elita, have suspended their visit in Europe due to Nelson Mandela's medical condition, the F. W. de Klerk Foundation said Saturday.

The de Klerks will arrive back in Cape Town on Sunday, and "their thoughts are with the Mandela family during this difficult time and they join in their prayers for an improvement in Mr. Mandela's health," the foundation said.

A meeting between the U.S. president and Mandela would have had historic significance.

Like Obama, Mandela broke through racial barriers to become the first black president of South Africa. The two have met before when Obama was a U.S. senator.

As Mandela's condition has deteriorated, South Africans have gathered outside the hospital, praying, lighting candles and leaving notes for the man they refer to as "tata," the Xhosa word for father.

Mandela became an international figure while enduring 27 years in prison for fighting apartheid, South Africa's system of racial segregation. He was elected the nation's first black president in 1994, four years after he was freed.

Mandela remains popular worldwide as an icon of peaceful reconciliation.

"If and when he passes from this place, one thing I think we'll all know is that his legacy is one that will linger on throughout the ages," Obama said.

In addition to a series of events planned for the weekend, Obama will also visit Robben Island, where Mandela spent a majority of his decades in prison.

CNN's Todd Sperry contributed to this report.

@highlight

NEW: President Obama speaks with young Africans at a town hall-style meeting in Soweto

@highlight

Obama meets with family members of Nelson Mandela in Johannesburg

@highlight

Ex-South African President F. W. de Klerk suspends a European visit due to Mandela illness

@highlight

Obama's trip will include a stop at Robben Island, where Mandela spent time in prison