(CNN) -- The head of the World Health Organization warned the world this week of a new virus, awkwardly dubbed MERS-CoV, found in Saudi Arabia.

"Looking at the overall global situation, my greatest concern right now is the novel coronavirus," Margaret Chan said, calling it "a threat to the entire world."

"We understand too little about this virus when viewed against the magnitude of its potential threat," the director general said in her closing speech to the 66th session of the World Health Assembly. "Any new disease that is emerging faster than our understanding is never under control.

"These are alarm bells and we must respond. The novel coronavirus is not a problem that any single affected country can keep to itself or manage all by itself."

With just 49 cases of the new disease reported since June 2012, it may seem puzzling that Chan named the Middle Eastern Respiratory Syndrome coronavirus -- MERS CoV or MERS for short -- the greatest threat to world health today.

Your questions about MERS, answered

But Hong Kong-born Chan can be forgiven a strong reaction. After all, she managed the response to SARS there in 2003, and MERS is a close genetic cousin. At least 8,000 people in 30 countries contracted SARS in 2003; 774 died of the disease.

No doubt her sense of urgency also stems from the apparently high mortality rate: To date, 27 of the 49 people who have caught the disease have perished, or 52%. Although the majority of illnesses have been in the Saudi Arabia, cases have emerged in seven countries.

Similarities between the SARS and MERS viruses are more than genetic. Both cause acute respiratory distress syndrome, or ARDS, and trigger reactions in the human immune system that are so severe, organs throughout the body are devastated -- collateral damage in an overly vigorous battle with the microbes. Both viruses spread between people through close contact, putting family caregivers and health care workers at risk for infection.

In April, for example, according to a report in the British medical journal The Lancet, a French man who had traveled to Dubai fell ill with the disease in France, although it wasn't diagnosed immediately. Another patient who shared the first man's hospital room caught the disease. The first man died on May 28; the second remains in intensive care.

5 things to know about MERS

A new report in the New England Journal of Medicine offers a glimpse of the depth of mystery shrouding MERS. A team of Saudi Ministry of Health researchers describe a November outbreak in a Riyadh urban household of 28 extended family members, four of whom -- all men -- contracted MERS.

The cluster of cases in this family presents a list of mysteries: Why were all the sick and dead men? With 28 people in this three-building urban household, why were these four infected, and the other 24 spared? The family lived in a big city, had no animals, ate supermarket food and had jobs that offered no contact with the virus. How did they catch MERS?

Until researchers can determine what animal is the natural host of the virus, and how MERS spreads from the host to humans, each new outbreak is dangerous and mysterious. The science is still unfolding.

Meanwhile, the WHO and world health community watch, anxiously, recalling how swiftly the SARS outbreak that started in southern China in December 2002 exploded a month later across Asia, Canada, and on, eventually hitting 30 countries.

Sadly, resources for confronting such outbreaks have decreased since the 2008 financial crisis, and MERS has emerged in one of the most difficult regions in the world. Were the virus to reach any of the refugee camps that house more than 2 million Syrian refugees, a genuine pandemic could ensue.

The opinions in this commentary are solely those of Laurie Garrett.

@highlight

The head of WHO said MERS CoV virus found in Saudi Arabia threatens "the entire world"

@highlight

Laurie Garrett: It's alarming that of 49 cases, 27 -- that's 52% -- have died

@highlight

Garrett: The virus related to SARS, and scientists worry it could spread as fast

@highlight

MERS emerged in a difficult region, she says, and threatens Syrian refugees