(CNN) -- For many Vermonters, the devastating floods in Colorado are a stark reminder of the disaster Vermont experienced just two years ago as a result of Tropical Storm Irene.

I remember being in shock as I made my way across our battered state, seeing so many of our most treasured features -- our covered bridges, fertile farmland, historic downtowns, and winding rural roads -- destroyed by the tremendous force of floodwater.

The storm's 60-mph winds and up to 11 inches of rain damaged 3,500 homes and businesses, 500 miles of state roads and 200 bridges. And tragically, six lives were lost, including those of a father and son, city employees who were checking on the community's wastewater treatment facility.

Colorado floods: Stories of grief, generosity and gratitude

In the days, weeks and months that followed Irene, Vermont state government joined together with our local and federal government, nonprofits, and legions of volunteers to get people and communities back on their feet as quickly as possible. At the Agency of Natural Resources, we responded to spills of hazardous waste, gasoline and oil. We helped communities repair drinking water and sewage treatment systems. We supported our transportation agency and our cities and towns as they quickly rebuilt roads and bridges.

We responded to calls to address the large accumulations of gravel, tree trunks, cars, refrigerators, propane tanks and endless amounts of debris that threatened to cause further damage to bridges, roads and homes, or presented a risk of harm to public health and safety.

How to help

From that emergency response, we learned a few critical lessons that I offer for our counterparts in Colorado:

Sleep and eat. This flood emergency response will continue for many weeks. It is a marathon, not a sprint, and you and your staff can only be helpful if you take care of your own basic needs.

Ask for help. Many folks want to help, including experts who are prepared to pitch in at a moment's notice. Take some time to think carefully about where you could use the extra boots on the ground and ask for assistance.

Communicate. The first casualty of a crisis is information. Make sure you have the facts before you act. Talk to the folks in the field. Share relevant information with the emergency response directors. Let the public know what you know through updates and guidance from your experts. You cannot communicate too much.

Build back with resilience in mind. Two years after Irene, we are still recovering. Communities are still rebuilding roads and bridges. Some destroyed houses can still be seen, too damaged to repair. Perhaps as a consequence of global climate disruption we are seeing significant increases in the frequency and intensity of storms in Vermont so that even as we rebuild, many of our communities have faced additional flooding since Irene. From these facts, we have learned that it is important to look ahead and rebuild with future resilience to flooding in mind.

Once the water goes down, everyone will have the same initial instinct to quickly replace everything and restore communities to the way they were before the flood. Sometimes that instinct is correct. Putting a road or bridge back as soon as possible may be critical to a community's ability to ensure that its citizens can get emergency services and food. But other times, the desire to put everything back just the way it was before is misplaced.

We discovered in Vermont that much of the damage we experienced after Irene mirrored damage from flooding in 1927 and again in the 1970s, because we rebuilt in the same way and in the same places.

We are trying not to repeat that mistake. So when we rebuild our roads, culverts, bridges and wastewater and drinking water systems, we are taking into account the more intense weather events we can expect in the future, and we are building this infrastructure to withstand future flooding.

We are also taking advantage of our natural assets to make us more flood-resilient by giving our rivers room to move and by protecting our natural systems such as floodplains, wetlands and vegetation along river corridors. This will provide critical flood protections for our communities.

For the moment, however, we in Vermont know well that the first priority in Colorado must be to rescue those whose lives are at risk, to reconnect communities and families that have been cut off by the disaster, and to ensure that every person has a place to stay and food to eat.

We also know that this first emergency response will be just the first step on what will be a long and challenging journey. For all of these reasons, our hearts and prayers are with all Coloradans.

The opinions expressed in this commentary are solely those of Deb Markowitz.

@highlight

Deb Markowitz: Vermonters' hearts and prayers are with flood victims in Colorado

@highlight

She says Vermont learned lessons from the epic floods from Tropical Storm Irene

@highlight

Markowitz: One lesson is to resist temptation to build back in the same form as before