KABUL, Afghanistan (CNN) -- The British journalist recently freed in a NATO military operation described his Taliban hostage-takers as "hopelessly inept," and praised his Afghan colleague who died in the rescue.

Journalists carry flowers to the grave of Afghan journalist Sultan Munadi in Kabul on Thursday.

New York Times reporter Stephen Farrell described his four days in captivity in a blog on the newspaper's Web site, posted late Wednesday just hours after he was freed.

Taliban militants kidnapped Farrell and Afghan journalist, Sultan Munadi, on Saturday. During a pre-dawn raid Wednesday, NATO's International Security Assistance Force plucked Farrell to safety, but did not retrieve the body of Munadi, who died during a fierce firefight between troops and Taliban militants. A British commando was also killed, as were a woman and child.

There has been criticism about the rescue operation as well as the initial decision to go into the region which Farrell points out in his blog, "was becoming more troubled by insurgents."

International troops, including British forces, have expressed their unhappiness about having to extract a Western journalist from the area, a Western military source in Kabul told CNN. Meanwhile, NATO has come under fire from a coalition of Afghan journalists working for foreign news outlets who called the pre-dawn raid "reckless and double-standard behavior."

The Media Club of Afghanistan issued a statement Thursday saying it "holds the international forces responsible for the death of Mr. Munadi because they resorted in military action before exhausting other nonviolent means."

"There is no justification for the international forces to rescue their own national, and retrieve the dead body of their own soldier killed in action, but leave behind the dead body of Sultan Munadi in the area. The MCA deems this action as inhumane."

British Prime Minister Gordon Brown intends to send a "private" letter of condolences to Munadi's family, a spokeswoman for his office told CNN. In his first-hand account of the kidnapping, Farrell praised Munadi for "trying to protect me up to the last minute."

The two had gone from Kabul to the northern Afghan city of Kunduz on Friday to investigate reports of a NATO airstrike in a Taliban-controlled area. Farrell said he and his colleagues believed the attack, which destroyed two tankers, would be "a major controversy involving allegations of civilian deaths against NATO claims that the dead were Taliban."

He said they took precautions, including waiting until the next day to drive along the main highway in daylight. While they were interviewing locals about what happened along the riverbank, Farrell said "a crowd began to gather, time passed, and we grew nervous."

"I do not know how long we were there, but it was uncomfortably long," he said. "I am comfortable with the decision to go to the riverbank, but fear we spent too long there."

All of a sudden, some of the villagers shouted, "Taliban" and their driver fled with the keys, he said. Farrell and Munadi tried to escape too, but they were captured.

Munadi was struck with a Kalashnikov rifle, but Farrell said apart from that incident, the two were not "subjected to any beatings, torture or ill-treatment over the next four days."

Their Taliban captors operated freely in the area southwest of Kunduz, and appeared to be the only armed presence, Farrell wrote.

"It became a tour of a Taliban-controlled district of Afghanistan, and that control appeared total," he said. "At no point did we see a single NATO soldier, Afghan policeman, soldier or any check to the Taliban's ability to move at will."

Farrell said he and Munadi were "paraded" around by their captors.

"We were paraded to the children in the street: the infidel and his translator, to be laughed at and mocked," he wrote.

The captors operated with relative impunity and, at times, "their operational security was hopelessly inept" -- using Farrell's name over their mobile phones "heedless of who was, almost certainly, monitoring the calls."

They even played songs on the radio that praised the Taliban, he said.

"They were not making it hard," Farrell wrote.

At one point, he said they drove near what they said were watchtowers, manned by the Afghan government and NATO, "gleeful at their daring."

"They drove with headlights full on at night as they moved us from house to house, at least three different buildings a day," according to Farrell.

He said the Taliban captors seemed to be welcomed by some Afghan villagers, while others appeared "more wary and formally polite."

During their captivity, Farrell said "there were good hours, and bad ones," as well as "progress and setbacks." It became harder for the captors to find safe houses, he said.

On the third night, there was what appeared to be an attempt to free them, but their captors took them to another refuge within minutes. Then, on the next night, the aerial activity increased and their Taliban captors grabbed their weapons and headed outside -- leaving Farrell and Munadi behind. They ran out later, Munadi in front, and then became separated.

Then, Munadi appeared again, holding out his hand to steady a faltering Farrell and they ran across a narrow ledge on the outer wall of the compound.

"I could hear Taliban voices shouting and shooting from trees to our left, I thought," Farrell wrote. "I could also hear indistinct voices ahead. We continued 20 yards along the wall until it suddenly reached the corner."

Munadi walked beyond that corner, out into the open, raising his hands and shouting, "Journalist."

"There was a burst of gunfire and he went down immediately," Farrell wrote. "In the dark, with firing all around, trees everywhere and my view obscured by him and the wall, I did not know whether the bullets came from in front, to his right or to his left."

At the sound of gunfire, Farrell reared back and dived into a wet ditch. After a few minutes, he heard British-accented voices and then screamed, "British hostage," flashing a camera light from the ditch.

He said he told the soldiers that Munadi was lying behind him, and had possibly been shot.

"The body was lying motionless in the ditch where I had seen him go down," Farrell said. "I hoped he had dropped and was lying still. I knew it wasn't the case."

The soldiers told him that "they had his picture and would look for him, then dragged me away."

"It was over," he wrote. "Sultan was dead. He had died trying to help me, right up to the very last seconds of his life."

Farrell said he was then taken onboard the aircraft, as the soldiers, most of them British, carried on some celebrations. But they fell silent after learning one of the rescuers died from the wounds sustained in the raid.

"His blood-soaked helmet was in front of me throughout the flight," Farrell wrote. "I thanked everyone who was still alive to thank. It wasn't, and never will be, enough."

CNN's Ingrid Formanek in Kabul, Afghanistan contributed to this report.

@highlight

Freed British journalist: Taliban hostage-takers were "hopelessly inept"

@highlight

New York Times reporter Stephen Farrell was freed by NATO forces in Afghanistan

@highlight

Afghan journalist killed with British commando; woman, child die in crossfire

@highlight

Media Club of Afghanistan: Action "reckless and double-standard behavior"