(CNN) -- You've fed the birds in London's Trafalgar Square. Lit a candle in Notre Dame in Paris. Enjoyed that relaxing cup of cafe con leche in Madrid's Plaza Mayor. What next? If the usual itinerary of cathedrals, palaces and souvenir shops has ceased to thrill, maybe it's time to abandon the well-trodden tourist circuit on your next trip to Europe and head to the river.

During the past two decades, a number of European cities have invested heavily in redeveloping blighted industrial river fronts, turning them into charming urban retreats that emphasize sustainability, sports and local culture. Visitors can explore on foot, or cycle, skate and even skateboard along these riverfront renovations that artfully combine traditional and modern elements to reveal a bit of each city's soul.

Madrid Rio

Spain's royal family once enjoyed pastoral views of Madrid's Manzanares River from Palacio de los Vargas. But until recently, the Manzanares, consumed by a major motorway constructed along its banks, was unrecognizable. The traffic-clogged highway cut the river off from the city center, barred public access and enveloped nearby neighborhoods in a cloud of pollution.

What do you get for $60,000 a night?

Today, a six-mile stretch of the Manzanares known as Madrid Rio is one of Europe's newest, most ambitious riverfront projects. The old motorway has been removed, replaced with a greenbelt that features more than 25,000 trees, foot paths, a variety of athletic and playground facilities and scenic vistas and bridges from which to observe city landmarks. Madrid Rio also links up with other green corridors, including cycling paths that extend throughout the city.

Once an enormous slaughterhouse, Matadero Madrid is one of the most stunning transformations of Madrid Rio. It's now a contemporary cultural center featuring art exhibits, creative workshops, music festivals, documentary film and theatrical performances.

10 ultimate U.S. adventures

A short walk from Matadero, the newly expanded Arganzuela Park includes three large pools alongside the river for wading and playing amid lively fountains. Lounge chairs and umbrellas provide pleasant waterside spaces for sunbathing.

Finally, visit La Huerta de la Partida, the long-neglected orchard of Palacio Vargas. It has been replanted with nearly 900 trees typical of the region, including olives, almonds, pears, figs and quince. Stop at the mirador (viewpoint) for a great view of many of the city's major monuments.

Berlin - River Spree

Since the fall of the Berlin Wall, this progressive city has strived to maintain a balance between large corporate development projects that bring investment and jobs, and preserving the history and artistic character of its dynamic neighborhoods. It's a fascinating time to witness this struggle for the heart of the city, and a lot of it is playing out along the River Spree, in neighborhoods like Kreuzberg and Friedrichshain.

World's best hotel restaurants

After the wall fell, these areas—on either side of the river—flourished as hip, alternative havens. Vacant lots became vibrant community gardens and art spaces, and drab apartment blocks became artists' studios, cheerful cooperative living spaces and diverse underground nightclubs. These areas have gentrified considerably, but you'll still find eclectic flea markets, independent designer shops and great global cuisine. Consider taking a walking tour led by the nonprofit Institute for Creative Sustainability, which emphasizes grass-roots efforts to maintain the green, creative character of the neighborhoods. Finally, visit the East Side Gallery, one of the last standing segments of the Berlin Wall, which has become an inspiring artistic monument to peace and freedom.

Next, head to Mitte, literally the center, or "middle," of the city. In the middle of the Spree, you'll find Museuminsel (Museum Island), home to several museums that collectively feature 6,000 years of artifacts and art. Close by is the historic Reichstag (German parliament building) with its strikingly modern glass dome and the Berlin Wall Memorial. It's not far from here to other important historic sites like the Monument to the Murdered Jews of Europe and the Brandenburg Gate.

Before you go, be sure to visit the famous "beach bars" on the banks of the river. As you sip your caipirinha or local brew in a beach chair surrounded by palm trees, you'll marvel at how rapidly this city evolves and changes.

Lisbon -- Tagus River (Rio Tejo)

Centuries ago, the Tagus River launched Portuguese explorers out to sea on their journeys to Asia, Africa and the Americas and guided immigrants into this port city. The exchange of cultures that gives Lisbon its distinctive architectural and culinary character is also apparent in the city's riverfront development, which began in the 1990s when Lisbon was named the European Capital of culture.

There are several points from which to embark on the 4.5-mile walk along the river. One nice starting point is the enormous and colorful Praça do Comercio, one of Lisbon's best-known squares. Moving from tradition to trendy, the next stop is Cais do Sodre. Redevelopment rid the area of its reputation for seedy bars and brothels; today it's home to hot clubs and great restaurants. Visit the famous Mercado da Ribeira for fantastic fruits, vegetables and flowers.

Fodor's 100 Hotel Award winners

Carry on and you'll arrive at the Museu Nacional de Arte Antiga, with its river views and impressive collection of ancient art. Another opportunity for good food and drink awaits at the cafes along the Santo Amaro docks. You'll need your energy for the next leg of your journey to Belem, a neighborhood rich in museums, gardens and cafes. Then again, maybe it's best to save another full day for Belem's treasures. Instead, grab a pasteis de belem (a custard tart) from a traditional bakery, and lose yourself back at the river's edge.

London - River Thames

The Thames is already a popular tourist destination, but until recently, most visitors didn't make it farther east than the Tower Bridge. That's changing with the impressive transformation of a once bleak wasteland known as the Docklands.

Until the mid-20th century, East London's docks supported one of the busiest ports in the world. But between the 1960s and the 1980s, the docks closed as shipping traffic shifted to larger coastal ports, and London was left with more than 5,000 acres of derelict land. Since the government put a plan in place to revitalize the Docklands in the early 1980s, the area has grown to become a mixture of residential, commercial and light industrial properties, with Canary Wharf—now a major business district and shopping destination—as its centerpiece.

The 2012 Olympics provided another huge opportunity to expand waterfront redevelopment, accentuating the contrast between old and new. Today you can wander narrow cobblestone streets to find cafes and historic riverside pubs, and then ascend to spectacular views atop the Shard, a spire-shaped, gleaming glass skyscraper completed in 2012. Don't miss the Museum of London Docklands, which surveys the area's history from Roman times to its recent redevelopment.

A fun way to see the Docklands is via the new Emirates Air Line cable cars that cross the river to Greenwich, home of the Royal Observatory, on the South Bank of the Thames. Rent a bike and take it on the cable car to explore the Thames Cultural Cycling Tour, which passes through Greenwich and eventually crosses back to Canary Wharf and historic neighborhoods like Wapping before returning to the South Bank via Tower Bridge.

@highlight

Madrid Rio has been transformed from a highway to an urban river paradise

@highlight

River Spree embodies the formerly divided Berlin's attempts to respect its history and future

@highlight

Follow the River Thames to the Docklands for a tour of the city's shipping past