(CNN) -- It was barely floating, perhaps minutes from sinking, a small skiff, washed up against an unforgiving cement breakwater.

The flat-bottomed boat was homemade, cobbled together with no evident craftsmanship, from scarce and salvaged materials. It was about 14 feet long and 4 feet wide, with a hand-hewn pole for a mast and fallen sails that looked like burlap.

As waves and a relentless tide drove it into the concrete wall, the boat was going under, surrendering to the ocean that had brought it to Key Largo, Florida.

A small crowd had gathered. Some were taking pictures.

My wife and I asked what was happening.

One in the group told us that some men came over from Cuba in this boat the previous night. They had given themselves to the ocean and whatever fate their desperate journey might bring them. They had traveled nearly 200 miles, day and night, through rough and open waters, sailing this pitiful craft on pitiless seas.

Local security had found them, walking around, lost. They had no destination beyond America. They were picked up and turned over to U.S. Customs and Border Protection.

We asked how many there were.

Someone in the group told us, "Nine men risked their lives to come to the United States on this."

What is exceptional about this story is that it is not exceptional. Immigrants constantly risk not only their own lives, but also their children's, for the economic opportunity we enjoy with indifference.

While these men apparently were from Cuba, covered by the decades-old "wet-foot-dry-foot" Cuban immigration policy, a trickle of immigrants from Central America has suddenly become a flood of women and children, swamping our border security offices. Tens of thousands of Guatemalans and Ecuadorians have been drawn by the luster of an American economy we find tarnished.

Unlike those nine Cuban men, however, these immigrants have an additional reason for coming: President Barack Obama invited them here.

As Byron York explained in the Washington Examiner, "President Obama's DACA decree -- Deferred Action for Childhood Arrivals, which allowed thousands of illegal immigrants to stay in this country if they came at a young age -- created, in effect, a magnet for young people to try to enter the U.S. illegally."

This degree, announced in June 2012, allows immigrant children to stay if they had been in the United States continuously from June 2007 to June 2012.

Some say, however, the decree has swept through Central America. According to The Washington Post, a recent leaked memo by Border Patrol agents spoke of this wave of new immigrants, saying they were motivated to come now, in this surge, because they had heard of the change in U.S. policy that would allow them to remain in America.

Deferred Action for Childhood Arrivals must have sounded like popular politics to this President, yet it was cruelty disguised as kindness. Our President's incompetence has created a humanitarian crisis: He has lured an endless stream of children and mothers to risk everything to travel here.

We are a country divided today. The prevailing debate is what is wrong with America and who among us should be blamed for it.

Yesterday's newcomers blame today's arrivals. Those who have already walked through the golden door of opportunity would ungenerously close it behind them. We confront each other over what we lack, forgetting the greatness we have built together and how much better we could still be.

Democrats demand too much of immigration reform. Republicans demand too little. The stalemate serves both their political ambitions.

And as we watch men risking their lives on what can barely be called a boat and children desperately throwing themselves across our borders, we harbor a shame: No immigration reform will pass Congress this year.

Perhaps both Democrats and Republicans should remember: Once, many of our families, in either this or a previous incarnation, came here as immigrants, seeking a better life and freedom.

Imagine that you are one of the nine men on that boat. Or a muddied child in the Rio Grande.

We may never be called upon to make those journeys, but what would each of us risk to live in the greatest country in human history?

Much more, it appears, than our leaders would risk so we can keep living there.

Join us on Facebook.com/CNNOpinion.

@highlight

Alex Castellanos says a new wave of young immigrants were practically invited by Obama

@highlight

He says a recent change in U.S. policy allows them to remain in America

@highlight

Castellanos: Yesterday's newcomers blame today's arrivals