American lawyers have never been accused of lacking creativity in seeking to justify the nefarious deeds of their clients.  Texas defense attorney Scott Brown, however, appears to have raised the bar to a new level by asserting the newly minted defense of "affluenza" to obtain leniency in a tragic vehicular homicide case arising out of the reckless driving of his very drunk and very rich 16-year-old client,  Ethan Couch.

Affluenza may be a contender for a collection of odd and unlikely defenses that can trace their lineage back to the infamous (and some even say apocryphal) "Twinkie defense." The notorious junk food defense was asserted in psychiatric testimony as part of a broad claim of diminished capacity caused by depression with at least some success in the 1979 trial of Supervisor Dan White for the assassination of San Francisco  Mayor George Moscone and Supervisor Harvey Milk. Although White was charged with murder, the jury found him guilty of the lesser charge of manslaughter.

The current claim in Fort Worth, Texas, is that the condition of affluenza, a combination of the words  "affluence" and "influenza" should immunize Ethan Couch from full responsibility for his actions in killing four people and critically injuring two others.

The Oxford Dictionary defines the condition as "a psychological malaise supposedly affecting young people, symptoms of which include a lack of motivation, feelings of guilt, and a sense of isolation."  Defense attorney Brown apparently succeeded in convincing soon-to-be retired juvenile Judge Jean Boyd that this spoiled rich kid syndrome diminished Ethan Couch's capacity to distinguish right from wrong.

'Affluenza': Is it real?

In the face of prosecution demands for 20 years in the slammer, the judge responded with a sentence of 10 years of probation and rehabilitation. Couch's rich daddy proposes to fund a trip to a $450,000 a year California rehab facility that offers treatment to those with way too much cash and free time on their manicured hands. I wish I was kidding about this, but I am not.

Defense psychologist Dr. G. Dick Miller testified that poor Ethan Couch was never properly disciplined by his wealthy parents, eventually driving at age 13, abusing alcohol, and coming to believe that money could buy him out of pretty much any situation where he hurt someone. Affluenza, the shrink suggests, diminished Ethan's capacity to obey the law and tragic consequences followed.

Miller's offensive analysis fails to explain why this strange condition is not mentioned in the diagnostic bible of the psychiatric profession, the DSM-5 and its predecessor volumes. Rich kid syndrome, or the more succinct label affluenza, seems to be made of the same empty calories that made the Twinkie defense so offensive to the public at the time it was served up in a 1970s San Francisco courtroom.

The facts of the case are as disturbing as one can imagine in a criminal prosecution.   A night that would end in manslaughter and mayhem began with Couch and his friends  stealing beer from a Walmart and then jumping into his flatbed Ford. Then an intoxicated  Ethan Couch recklessly drove the truck at 70 mph in a 40 mph zone and smashed  into the four helpless victims, ending their  lives and shattering the lives of their families.

Opinion: All the injustice money can buy

When Couch's Ford F-350 truck finally stopped, the carnage was stunning.  The young driver, whose blood-alcohol level tested at three times the legal limit (.24), had snuffed out the lives of Brian Jennings, a 43-year-old youth pastor; Shelby Boyles,  21, and her 52-year-old mother, Hollie Boyles; as well as 24-year-old Breanna Mitchell.

Two of the seven teens who were riding in Couch's truck were also critically injured.  One of them, Sergio Molina, who had been riding in the bed of the truck, was paralyzed.  After emerging from a coma, he can reportedly only communicate through eye-blinking.

Judges are human and they make mistakes as we all do. Juvenile proceedings are particularly difficult, because the judicial system seeks to rehabilitate rather than punish children who make mistakes. Here, though, the crime is so serious and the explanation of affluenza so transparently preposterous, the judge demeans the entire justice system by affording it any legitimacy.

In a system where rich and poor are supposed to be treated equally, affluenza as a defense is an insult to us all. Lady Justice, displayed in courthouses across the nation, wears a blindfold to immunize her from the impact of wealth and power as she weighs only the relative strength of evidence on her justice scale.

The wrong message has been sent in this case about wealth, power and  the penalty for killing others while recklessly driving in an intoxicated state. The law exists to rehabilitate but also to deter unlawful conduct by the rich as well as the poor.

A wise judge presented with the claim of affluenza as a defense to manslaughter would have responded in a very different way.  Ethan Couch, his lawyer and his wealthy father should have been told that the cure for affluenza is a solid dose of state-inflicted poverty in a prison cell where Ethan Couch would learn that his money can't buy justice.  In fact the only thing it should  buy  is junk food in the prison commissary -- maybe some Twinkies if any remain on the shelf after all these years.

@highlight

Texas teenager won't go to jail for drunk driving incident that killed four people

@highlight

Paul Callan says lawyer is citing a defense of "affluenza," not an acceptable argument

@highlight

He says judge should have refused to accept deal, should have blasted  "affluenza" idea

@highlight

Callan: Justice is supposed to be impartial, not a tool to allow rich to escape responsibility