(CNN) -- Malawi's decision to reject pop star Madonna's adoption of a local child has reignited global debate about the ethics of international adoption.

Author Melissa Fay Greene poses with her family, which includes biological and adopted children.

Some international aid groups have praised the decision as best for the child, a 4-year-old girl named Chifundo James.

"I think it really highlights the bigger picture that there are so many children living in poverty in Malawi, and while Madonna has good intentions ... children would be better off staying in their own communities whenever possible," said Karen Hansen-Kuhn, policy director for ActionAid USA, a development group that also works in Malawi.

"We really need to stay focused on the needs of Malawi and of all the children there," she added.

To get another perspective on the situation, CNN also talked with Melissa Fay Greene, an author and mother of five adopted children.

Greene, who lives in Atlanta, Georgia, is the mother of four biological children, four children adopted from Ethiopia and one adopted child from Bulgaria.

The following is an edited transcript of that conversation:

CNN: What's your initial reaction to the news that Madonna's adoption of a Malawian child has been rejected?

Greene: Surprise. ... It was awfully tricky with Madonna's first adoption, when the child turned out to have devoted family members nearby. [The singer's adoption of a Malawian boy was finalized last year.] And if that's true with this child also, it seems a similar sticky situation.

That's not the situation for the majority of orphanage children around the world, who don't have caring grandparents or aunts and uncles a short walk or bike ride away.

I think it gives people an odd perspective on what international adoption can mean for children who don't have any support network outside the walls of an orphanage.

You often hear attacks on international adoption as robbing a child of his or her culture, and that's both true and false. It's true that an internationally adopted child loses the rich background of history and religion and culture and language that the child was born into, but the cruel fact is that most children don't have access to the local, beautiful culture within an orphanage. ...

There's a culture in orphanages that children are eager to escape from, and it's a culture of being reared as a group and not being doted upon by parents. For any child, that's the bottom line. The fact is that a human child wants that mommy or daddy or both. We're just wired to want that and to need that. And there's no way an institutional setting can give a human baby what the child needs. It's impossible. So you have to balance priorities. ...

I think what some of the human rights group say is absolutely accurate: that international adoption does not begin to solve the problems of the world's orphaned children. It's truly not the answer. ...

At the same time, international adoption, even though it doesn't solve the whole problem, it solves a problem for a few. I think it can be a brilliant solution to the problem of adults wanting a child in their lives or wanting more children in their lives and the problem of children who want parents in their lives.

CNN: How is it different for a celebrity person seeking an [international] adoption than for yourself?

Greene: We don't jet in, take a child and fly out with a child. For an average citizen trying to adopt, it takes most of a year. First of all, you work with a country that already has international adoption regulations in place, so you have a bureaucracy dealing with international adoption. A big part of that is determining that the child is a true orphan, that there is no one who can care for the child. And in the case of our older kids' adoptions, people had to come to court to testify that there was no one to take the children. So you don't run the risk of 'Oh, whoops, there's a grandmother down the street.' ...

CNN: There's been some chatter today online questioning why a person wouldn't adopt an orphaned child from their own country.

Greene: Within the adoption world, it's a non-issue. There are children all over the world who need families, and some find their children in Philadelphia, and some find their children in Bulgaria, you know? ...

It's just outsiders who look on and judge disapprovingly, but then they don't go on to adopt the neighborhood children, right? ... There are many children who need help, and anyone who wants to reach out and adopt a child from foster care or from a Russian orphanage should reach out and do it.

CNN: What has the experience been like for your own foster children?

Greene: We're a white Jewish family in Atlanta, but Atlanta is a major city for eastern African immigrants. So our children are in touch with the Ethiopian diaspora, and they feel very much a part of that. Atlanta is full of Ethiopian restaurants, markets, festivals. For a while, my kids were playing on weekends with an Ethiopian soccer league. I have an Ethiopian baby sitter who speaks to them only in Amharic so they won't lose their language, and we always have Ethiopian food here.

Two years ago, we went back to Ethiopia with the kids and had a big reunion for one of my sons and his extended family ... We just consider ourselves sort of part of this amazing bicontinental family.

CNN: The first time you adopted internationally, can you tell me what your ethical considerations were and how you worked through that personally?

Greene: Our first adoption was of a boy in rural Bulgaria. An incredibly poor orphanage. The kids were hungry, thirsty, no education. I first met our son, Jesse, when he was 4. He was 4 years old, and he did not know what his own name was ...

When he first came, he was just so anxious about food. When he would wake up, he was just shaking, wondering if there was going to be enough food. So I started waking him up with food.

He had issues with water. He wasn't sure if there was going to be enough water to drink, so I bought him a little canteen so he could wear his water all of the time.

Do I have ethical issues about taking him out of that orphanage? I don't.

CNN: Is there anything else you wanted to add?

Greene: I admire Madonna. And I don't understand why everyone attacks Madonna. I think that she is in part trying to raise the world's consciousness about the African orphan crisis.

You know, 95 percent of the children orphaned by AIDS [globally] are in sub-Saharan Africa. You don't hear world leaders talking about it. Where is the global outrage? ...

So, into the breach steps a celebrity. But don't attack her for it, you know. Maybe her methods are not what ours would be, but how many of us are Madonna? But at least she is out there; she's creating a school.

Obviously, she's fallen in love with the Malawian children to such an extent she wants to make some of them her own. And I think that it's great. I just don't understand why the world's attacking her. Let other people step forth and do something. At least she's trying. That's my feeling.

@highlight

Malawian judge rejects Madonna's request to adopt a 4-year-old girl

@highlight

Move reignites debate about the ethics of international adoption

@highlight

Some aid groups say children are best left in their home countries

@highlight

A mother of 5 adopted kids says adoption can be a "brilliant solution" for some