Washington (CNN) -- The Patient Protection and Affordable Care Act (PPACA or ACA) was signed into law March 23, 2010, passed by a Democratic congressional majority and championed by President Obama. It has about 2,700 pages and contains 450 some provisions.

Here are the four issues that will be addressed by the Supreme Court during six hours of oral arguments Monday though Wednesday:

One: The Anti-Injunction Act (the gateway issue)
10 a.m. ET Monday, 90 minutes of oral arguments

Here the critical question: Would those challenging the law be barred from making any legal or constitutional claims until the key provision -- the individual mandate (see below) -- actually goes into effect in 2014? The Anti-Injunction Act, in place since the 19th century, bars claimants from asking for a refund on a tax until that tax has been collected and paid. Judges in two federal appeals courts have made that "threshold" argument, which would effectively stop the current legal fight in its tracks.

Preview: 'The implications ... are impossible to overstate'

Citing that law might give the court -- particularly conservative members -- a way out of deciding the explosive issue in an election year. The majority could decide the political branches can best resolve the conflicts, at least for now, or that the matter can be handled after the November elections. Some court watchers have called this the health care "sleeper issue." It could potentially delay a decision on the constitutionality of the individual mandate for at least four years.

Two: Individual Mandate (the key issue)
10 a.m. ET Tuesday, two hours of oral arguments

This provision requires nearly all Americans to buy some form of health insurance beginning in 2014 or face financial penalties. May the federal government, under the Constitution's Commerce Clause, regulate economic "inactivity"? Three federal appeals courts have found the PPACA to be constitutional, while another has said it is not, labeling it "breathtaking in its expansive scope." That "circuit split" all but assured the Supreme Court would step in and decide the matter.

An insider's guide: How the Supreme Court works

A coalition of 26 states led by Florida say individuals cannot be forced to buy insurance, a "product" they may neither want nor need. The Justice Department has countered that since every American will need medical care at some point in their lives, individuals do not "choose" to participate in the health care market. Federal officials cite 2008 figures of $43 billion in uncompensated costs from the millions of uninsured people who receive health services, costs that are shifted to insurance companies and passed on to consumers.

Three: Severability (the domino effect issue) 
10 a.m. ET Wednesday, 90 minutes of oral arguments

If the individual mandate section is ruled unconstitutional, must the entire law collapse as well?

A federal judge in Florida had so ruled in February 2011: "Because the individual mandate is unconstitutional and not severable, the entire Act must be declared void." But a federal appeals court subsequently overruled on the severability question, while upholding the individual mandate's unconstitutionality. Opponents of the law say the individual mandate is crucial to its overall impact, since it is the main funding mechanism for the expansion of a range of other programs. This might be the one question on which the justices will ultimately agree in favor of the government.

Four: Medicaid "coercion" (the national policy implications issue)
1 p.m. ET Wednesday, one hour of oral arguments

This hearing will look at whether states can be forced by the federal government to expand their share of Medicaid costs and administration, with the risk of losing that funding if they refuse.

The 28 GOP-led states bringing separate lawsuits say the new law's significant expansion of the social safety net unconstitutionally "coerces" state governments. That program is administered by the states with a combination of federal and state money, currently requiring coverage only for poor children and their parents or caretakers, adults with disabilities and poor individuals 65 or older. The "coercion" issue was surprisingly added to the health care debate by the justices.

The overall impact

Both sides of the issue agree what the high court decides on these four questions could have monumental implications for the regulatory ability of the federal government to set long-term national policy goals in areas such as the environment, education and the workplace.

Some states have long complained their autonomy is being eroded by creeping federal intervention on spending matters. Article 1 of the Constitution gives Congress the power "lay and collect ... taxes to pay the debts and provide for the common defense and general welfare of the United States" and to "regulate commerce ... among the several states."

Such authority has long been broadly interpreted, including when imposing conditions on recipients, be they individuals or states. No federal court has ever ruled states have been unlawfully coerced when they accept conditions or strings attached to federal funds. The Supreme Court in 1987 affirmed that congressional discretion.

Frequently asked questions: A CNN guide

Starting in 2014, PPACA's Medicaid changes would make millions of additional Americans eligible for benefits by raising the income level they earn and still qualify. That would include all adults up to 133% of the federal poverty line. The tricky question is that states are not forced to agree to the law's incremental Medicaid increases, spread out over six years. But the states say abandoning their participation as a result would be a financial, social and political catastrophe -- one which they cannot realistically foresee. Their needy citizens rely on Medicaid, states argue, but the law's expansion of the program could cripple state budgets, currently on average about 20%. That could threaten other state spending priorities.

So the long-standing fight over "federalism" and the leverage the national government wields over states might soon reach epic levels with a high court decision either strengthening or limiting congressional authority on this and potentially a host of other regulatory areas.

@highlight

Issue one: Will those opposed to the law have to wait until 2014 to challenge it?

@highlight

Issue two: Is the individual mandate requiring coverage constitutional?

@highlight

Issue three: If the mandate is struck down, does it sink the whole reform with it?

@highlight

Issue four: Can states be forced by federal government to expand Medicaid?