(CNN) -- At Romotive, we are obsessed with robots. We're a team of nerds, and we grew up watching science fiction that prominently featured robots doing extraordinary things to help or protect their human counterparts. We figured that as adults, our lives would be better because of robots.

Unfortunately, that hasn't happened yet, and robots remain one of the great unfulfilled promises of science fiction. We think that's going to change over the next decade.

First, the barriers to entry in robotics that have typically precluded individuals or small teams from building robots are falling away. The rise of cheap rapid-prototyping tools like 3-D printers is making it possible for just about anyone to design and print physical products from the comfort of their homes.

Moreover, open-source electronics platforms like Arduino mean that hobbyists can now create custom electronic systems without having to go through the expensive process of manufacturing custom circuit boards.

Also, crowdfunding websites like Kickstarter are making it possible for companies to test the traction of new robots and secure initial orders before choosing to scale production.

Even more importantly, the ubiquity of smart devices is changing the way that people are thinking about robotic controllers and robots themselves. Smart phones today have powerful processors, an array of sensors, and a user interface that everyone already understands. These are crucial assets for a robot, and many startups are now exploring the possibilities of using smart devices as controllers or even brains for a wide variety of robotic creatures.

Finally, the ubiquity of Wi-Fi and data networks means that robots can be designed with the Web in mind. This will ultimately allow teams to build much lighter, more affordable hardware platforms on the assumption that any computationally intensive tasks can be offloaded to the cloud.

Instead of needing to load every possible routine onto a robot before it ships, designers will be able to build robots that will download new "apps" on a situation-by-situation basis. Basically, the cloud will make it possible to build cheaper robots that learn new things over time.

But there's still a lot of work to do. In the Web and mobile ecosystems, a lot of the most incredible innovations over the last decade have been design innovations. Companies like Twitter, Pinterest, and Airbnb aren't revolutionary because they pushed human technology forward; they are revolutionary because they made technology more usable. Surprisingly, the exact opposite trend has occurred in robotics. At a research level, there have been incredible technological innovations over the last 10 years. See this striking example, or this one. But these systems are too expensive and complicated for nontechnical people to buy and use.

As we think about how robots will begin helping us in all different aspects of our lives over the next decade, we believe that design innovation in robotics will be at least as important as tech innovation in finally making robots available to a majority of people in the world.

And we think that it won't be until robots are truly accessible -- 14-year-olds hacking on Wi-Fi-connected, computer-vision-capable robots in their garages on the weekends -- that innovation in robotics will really take off in earnest.

My company, Romotive, builds a small, affordable robot that uses an iPhone as his brain. Romo can learn new things over time and can stream two-way video with any iOS device, anywhere in the world. In order to become part of our daily lives, robots will need to be friendly, simple, and robust. Romo is a small step in that direction.

Roy Amara, longtime president of the Institute for the Future, said that people tend to overestimate the effect of a new technology in the short run and underestimate the effect over the long term. That's absolutely the case in robotics, where it's easy to dismiss early attempts as toys but hard to imagine how robots will fundamentally change our lives over the next few decades. Robots will be able to guard your house while you're away, babysit your kids, or keep you company when you're alone. Drones could tend to gardens and farms while people control telepresence robots on the other side of the world via heads-up displays like Google Glass.

Corporations aren't going to build these robots, but hackers will. That's why making robotics accessible and affordable is so important, and why I believe we're finally poised to build the robots that we fell in love with in sci-fi movies decades ago.

The opinions expressed in this commentary are solely those of Keller Rinaudo.

@highlight

Keller Rinaudo: His company is a team of nerds with sci-fi dreams of robots that enhance lives

@highlight

He says combination of smart phones, Wi-Fi and the cloud enables dreams to become real

@highlight

Hackers are in position to innovate with robots in many ways, he says