(CNN) -- A fire and "technical issue" aboard two Boeing 787 Dreamliners on Friday raised new safety concerns for the long troubled airliner.

The fire ignited on an empty 787 operated by Ethiopian Airlines that was parked at London's Heathrow airport. No one was hurt and the incident shut runways for about an hour before operations resumed, the airport said.

Details were unclear about the fire's cause or location aboard the plane, but the incident was enough to spur U.S. aviation experts to investigate.

In a separate incident on Friday, Thomson Airways reported a "technical issue" aboard its Dreamliner flying from Manchester, England, to Florida. The aircraft returned to Manchester as a "precautionary measure," Thomson said in a statement.

Engineers were "inspecting the aircraft," the statement said. Passengers were transferred to another plane. The airline offered no other details of the problem.

Related: Dreamliner interactive layout

The Dreamliner, which has been flying since 2011, has been closely watched since last January when all 50 of the world's 787s were grounded due to overheating problems in its new light-weight lithium-ion battery system.

The planes were allowed to return to service in April after Boeing engineered a solution that satisfied U.S. aviation authorities.

Heathrow reopened Friday evening and Boeing officials were at the airport to analyze the problem, the company said.

Ethiopian Airlines: Bringing the Dreamliner to Africa

It was not known if the battery system was associated with the latest incident, but a statement released by Ethiopian Airlines said the jet had been "parked at the airport for more than eight hours" before the fire.

The Federal Aviation Administration is sending "an official" at the invitation of the British government, the agency told CNN in a statement. The FAA said earlier it was "in contact" with Boeing about the matter.

The National Transportation Safety Board tweeted it also was sending an "accredited representative" to the airport to help the investigation.

Friday's fire triggered renewed doubt about the 787 among the aviation community, including aviation lawyer and former U.S. Department of Transportation Inspector General Mary Schiavo.

"If today's Boeing 787 problems are battery related," she tweeted, "the FAA may reconsider its decision to allow them to fly before NTSB identified" what caused the battery troubles.

Video of the aftermath showed foam surrounding the Ethiopian aircraft and what appeared to be burn marks on its fuselage.

"There's still hope for Boeing," Schiavo tweeted later. "The burn marks are not next to the batteries."

Japanese Dreamliner held due to A/C power glitch

The news sent Boeing's shares on Wall Street down more than 4%.

Boeing's stake is huge. Hundreds of millions of dollars are riding on the success of the Dreamliner, which represents a new generation of lighter, more efficient money making airliners.

Its development was marked by production delays and other problems.

During their first few years in service, every airliner experiences "teething pains" as they shake out minor problems, experts say. But the FAA's decision to ground the Dreamliner put it under a microscope.

The lone U.S. 787 operator -- United Airlines -- owns a fleet of six. During a six-day period in June, United diverted three of them, each with a different mechanical problem. Indicators showed possible issues with oil levels, oil filters and the braking system.

Related: Another 787 Dreamliner diverted for mechanical problem

Dreamliner's lithium-ion batteries were blamed for two overheating instances this year in Boston and Japan. No one was hurt in either case, but the problems spurred the FAA to ground the planes.

In March, the FAA approved a Boeing certification plan to fix the 787 battery system and prove the new design is safe.

A team of experts from Boeing and from outside the company redesigned parts of the battery system in what they called a "robust" fix that included separating the battery cells, integrating a new charging system, and setting the batteries in a containment box that would vent outside the aircraft any smoke from overheating batteries.

Related: Behind the scenes for Boeing's 'robust' battery fix

The Dreamliner boasts high fuel efficiency because of the lightweight carbon composite materials used in its wings and fuselage.

Related: Can 'game-changer' Dreamliner live up to its name?

In an apparent show of confidence in the new aircraft, United announced last month that it was ordering 20 additional 787s, specifically the 787-10 model, a longer version of the plane.

CNN's Aaron Cooper, Richard Quest, Scott Hamilton, Jason Hanna and Richard Greene contributed to this report.

@highlight

NEW: Ex-DOT official tweets that burn marks are not next to the batteries

@highlight

FAA says it's sending "an official" to Heathrow after Dreamliner fire

@highlight

"Techncal issue" aboard a second Dreamliner Friday, forces it to return to airport

@highlight

A fire breaks out on an empty Ethiopian Airlines Boeing 787 at Heathrow airport