Get off the roads, and stay off.

That was the message in Georgia and the Carolinas as a snow and ice storm swept through Wednesday, bringing some of the Southeast's most populous cities to a standstill.

The warnings came as freezing rain brought heavy ice accumulations from Atlanta to Charlotte. Across a large swath of the South, hundreds of thousands of people were without power and thousands of flights were canceled.

Calling ice the biggest enemy, Georgia Gov. Nathan Deal declared a state of emergency. School districts canceled classes and government offices were shuttered in an attempt to avoid a repeat of the traffic paralysis caused by a storm last month.

Up to three-quarters of an inch of ice was expected to accumulate in Atlanta and up to 10 inches of snow and sleet were expected in Raleigh and Charlotte, making travel treacherous.

Also in the storm's path were Virginia and Washington, with much of the Northeast to follow.

All federal offices in the nation's capital were ordered closed, and thousands of employees were being told to stay home, according to the Office of Personnel Management.

'Stay home, if you can'

While most of the major thoroughfares in and out of the city of Atlanta were reportedly devoid of traffic, a different scene was playing out to the northeast where the storm appeared to take people by surprise despite days of warnings.

"Stay home, if you can," North Carolina's Department of Public Safety said in posts on Twitter. "Quickly deteriorating road conditions, numerous car accidents in Durham/Franklin/Johnston/Wake counties."

Collaborate and listen: A catchy school closure

Gridlock gripped portions of the state, including Raleigh, Durham and Charlotte, as cars and trucks got stuck on snow- and ice-covered roads.

"We saw so many people ... cars piled up and left on the side of the road, and wrecks," said Christina Martinson, who was stuck in the snow-bound traffic with her husband and son for hours in Durham.

"It's really, really bad, and it got so bad so quickly that people just weren't ready. Even though we were warned, it just happened more quickly than you would think possible."

For some, there just wasn't enough time.

Michael Crosswhite, 44, planned on leaving work in Raleigh, in Wake County, by midafternoon, well ahead of when forecasters initially predicted a snow and ice storm to hit the area.

But by noon, the snow and icy rain was coming down.

'Nothing you can do but hope you don't get stuck'

"We just passed an 18-wheeler that spun out into a ditch," he said by telephone more than two hours into his journey home to Durham, a trip that typically takes less than 30 minutes.

School's out: That's a rap

Moments later, a car ahead of him spun out in front of him.

"It's kind of slushy, and there are just icy spots that there is nothing you can do but hope you don't get stuck," Crosswhite said.

The images out of Raleigh and Charlotte recalled a similar scenario in Atlanta, a city shut down by 2.6 inches of snow two weeks ago when thousands of commuters were stuck on highways. Some drivers spent up to 20 hours in their cars.

"Right now we've got people traveling up and down the highways in special four-wheel vehicles to make any rescues that we need to make, and more than anything else we're just encouraging people to be smart, and don't put their stupid hat on during the next 48 hours," North Carolina Gov. Pat McCrory said.

The North Carolina Department of Transportation is urging people not to abandon their vehicles.

"There are some people abandoning their vehicles. We are urging them not to. It is very dangerous for them to be on foot with cars sliding near them and it blocks access for our sand trucks and plows and causes gridlock," said Communications Supervisor Steve Abbott.

Track the storm

It appeared people in Atlanta had learned their lesson.

Deal applauded Atlantans who kept the roads clear, saying during a midday news conference, "That's a good starting point."

Even so, there were thousands without power across the state after ice caused tree limbs to snap, knocking out power lines.

With temperatures below freezing, the National Guard opened up 35 armories across the state to be used as shelters and warming centers, CNN affiliate WSB-TV reported.

In Durham, the Streets at Southpoint Mall opened up as a shelter.

"We are here for people that need to get off the road," general manager Todd Anderson said.  "We had a few people here earlier, now there is just a handful of people left but we will be available through evening."

"We are just trying to do the right and get people out of the cold," he added.

The Red Cross, meanwhile, reported hundreds sought shelter overnight at its facilities stretching from Louisiana to North Carolina.

In North Carolina, Kim Martin Rehberg's typical 25-minute commute was turning into an hours-long ordeal Wednesday as she tried to make it from her office in Durham to her home in Raleigh.

Three hours later, she still had miles to go. So, too, did the rest of her family who were stuck in traffic across the region.

"My daughter was stranded trying to get from her gymnastics class in Apex. My ex-husband is trying to get her and he got trapped," she said by telephone, referring to a Raleigh suburb.

"My husband is in Charlotte and says things are bad. All the gas stations are shutting down, and I had trouble trying to gas up."

'Our own trucks are stuck'

There are snowplows on the roads but "unfortunately some of our own trucks are stuck in the same traffic jams that a lot of other people are and they're having a hard time getting to the roads that need to be cleared," said Dan Howe, Raleigh's assistant city manager.

The low-pressure weather system bringing the snow and ice to the Southeast is expected to move up the East Coast, dropping snow on the Northeast. Six to 8 inches are predicted for Washington, with especially heavy snowfall Thursday morning, and 6 to 10 inches on New York from midnight Wednesday into Thursday, with a combination of snow, sleet and rain continuing until Friday morning.

New York Gov. Andrew M. Cuomo told state agencies to prepare "for an impending nor'easter" and asked residents to avoid unnecessary travel.

Power outages

More than 729,000 customers were without power in the Southeast, power companies told CNN. More than 210,000 were Georgia Power customers, the utility said.

South Carolina was the hardest hit, with about 220,000 customers without electricity, while Wilmington, North Carolina, accounted for more than 58,000 outages.

The utilities said Wednesday morning they expect those numbers to rise over the next 24 hours.

Georgia Power, the state's largest utility, warned that hundreds of thousands could be without electricity for days.

"This has the opportunity to be a huge event when you're talking about the amount of ice you're looking at," Aaron Strickland, Georgia Power's emergency operations chief, told reporters.

The utility staged fleets of trucks across the area. Teams from Florida, Texas and Ohio bolstered local line crews.

Transportation woes

The storm system also was taking its toll on travel.

Amtrak suspended some rail service in the Northeast, South and Mid-Atlantic regions for Wednesday.

Nationwide, more than 3,400 flights were canceled Wednesday and even more than 4,100 were scrubbed for Thursday, according to FlightAware.com.

Among the canceled flights were more than 1,600 in and out of Atlanta's Hartsfield-Jackson Internationanl Airport. Charlotte Douglas International and Raleigh-Durham International airports accounted for the majority of other flights canceled.

Deadly toll

At least 10 deaths have been blamed on the weather, including a 55-year-old man who was killed in a head-on collision in Virginia, authorities said. Two people were killed in Georgia, and two died in North Carolina, they said.

In Texas, three people died when an ambulance driver lost control on an icy patch of road outside of Carlsbad, the state Department of Public Safety said. A patient, a paramedic and another passenger were pronounced dead at the scene.

In Mississippi, authorities blamed the storm for two traffic deaths.

Stir-crazy? How to stay sane

It's not the snow, it's the ice

Travelers get another winter wallop

@highlight

More than 729,000 without power in Southeast, utilities say

@highlight

More than 4,100 flights are canceled for Thursday

@highlight

All federal offices in Washington are shuttered, officials say

@highlight

Casualty toll from storm climbs to at least 10