Hong Kong (CNN) -- In scenes that would not have been out of place in a Hollywood science fiction thriller, at dawn on March 31, 2003, armed police and Hong Kong health authorities dressed in biological suits, theater masks and surgical gloves descended on Amoy Gardens housing estate.

Working swiftly on an order from the Department of Health to isolate Block E, the residents were sealed in. Under 24-hour medical surveillance, they could neither leave the block nor receive visitors, according to a report from the Hong Kong Department of Health.

Later moved to confinement camps under quarantine laws that had not been invoked since an outbreak of bubonic plague in 1894, the residents of Amoy Gardens were locked out for 10 days as doctors, clinicians, sewerage experts and engineers scoured the block for clues.

But even before Block E could be quarantined, police were on a manhunt for 147 residents who had already fled the infected apartment block -- to hotels or to stay with family or friends -- possibly spreading the virus into the community.

If SARS (Severe Acute Respiratory Syndrome) -- then a new and barely understood type of pneumonia -- demonstrated anything, it was that rumor and panic spread almost as fast as the virus.

"Good, proactive communication that provides accurate information in a timely fashion is certainly one of the lessons of SARS and to some extent this was implemented during the (swine flu) pandemic of 2009," said Professor Malik Peiris of the Centre of Influenza Research at Hong Kong University.

"But there were even lessons to learn from 2009 because communicating like this in a crisis is difficult and challenging precisely because you are in a situation of grossly imperfect knowledge," he said.

In the case of Amoy Gardens, epidemiologists and health authorities were faced with a serious dilemma -- find out how the deadly virus was spreading, but contain panic that could send more infected people into the wider community.

Almost immediately, worried residents filled the information vacuum themselves, launching the website sosick.org.

Collecting information from residents on infected buildings, the website was able to record the spread of SARS from Amoy Gardens to nearby Lower Ngau Tau Kok Estate a week ahead of the authorities, according to reports at the time.

But if government information on the Amoy Estate outbreak was perceived to be lacking, the investigation (conducted at speed) to establish how the disease was spreading was a masterpiece of medical detective work.

While people in Hong Kong had been coming down with the virus at the rate of 50 a day, the infection could be traced to contact with a person showing symptoms of the disease.

Now, at E-block Amoy Gardens, more than 200 people had contracted the virus almost overnight and their only connection was that they lived vertically above or below each other in the same apartment block.

Ultimately, a total of 329 residents at Amoy Gardens came down with SARS and 42 were to die, 22 of them at Block E, .

Within 24 hours a team of experts found evidence the building's sewerage was involved in the vertical spread of the virus.

Intense diarrhea from one of the patients -- a 33-year-old Shenzhen resident in Hong Kong for kidney treatment and identified only as patient YY -- was believed to have spread the disease through defective piping in the building.

According to the Department of Health, a break in E block's flush-water system earlier that month had meant the water-sealed S-bend in some of the apartments' toilets had been dry for an extended period, allowing virus-laden droplets to collect from the system's soil pipe.

Bucket flushing by residents may have disturbed and released contaminated droplets, government agencies said. Similarly, exhaust fans may have sucked droplets into bathrooms where the virus was deposited on floor mats, towels, toiletries and toothbrushes.

Even then, the government had to work quickly to quash panic sparked by medical conjecture that exhaust fans had drawn contaminated droplets into the building's light well, a disturbing development, if it had been true, that would have meant the virus was airborne.

For Hong Kong's government, Amoy Gardens was a turning point.

"The general public expects things to be cut and dried with clear answers -- obviously that may not be possible all the time. The lesson is that one really needs to be upfront in communicating uncertainty," Peiris said.

Margaret Chan, Director General of the World Health Organization, but then head of the Hong Kong Department of Health, said the fight against SARS was a triumph of dogged medical work.

"SARS taught the importance of meeting an emergency with whatever tools are at hand," she told the South China Morning Post. "SARS was a 21st century disease in its mode and speed of spread. But it was eventually defeated using the 19th century tools of case detection, contact tracing, isolation and infection control."

In terms of epidemiology, the study of the spread of diseases, the lessons from SARS were that the categories of epidemic diseases and their modes of transmission may never end.

SARS was believed to have originated in civet cats at the exotic food markets of southern China, leaping the species barrier through human contact, possibly even through the food chain.

According to Professor Gabriel Leung, the head of the Department of Community Medicine at Hong Kong University, the spread of disease does not just work in one direction. Virologists, he said, are now looking at how viruses pass, not just from animals to humans, but from humans to animals and then back to humans again.

"SARS was a wake up call, not just to Hong Kong but to the rest of the world and what it showed us is that the world of infectious diseases is ever present. Microbes will always be with us and we can never proclaim -- as we did in the 60s and 70s -- that the book on infectious diseases is closed," Leung said.

"It reminds us that human health and veterinary health are one and the same thing and we need to be constantly vigilant," he added. "We are linked to animals not just by contact but also by the food chain and the latest horse meat scandal is a good illustration of that."

@highlight

Hong Kong housing estate Amoy Gardens was center of 2003 SARS outbreak

@highlight

Authorities had to work fast to isolate the virus and quarantine residents

@highlight

The events at Amoy Gardens underscored the difficulties of containing epidemics

@highlight

Public information an important part of the fight against epidemics