Editor's note: C. Christine Fair is a political scientist at the RAND Corporation specializing in South Asian politics and military affairs. RAND is a nonprofit institution that conducts research and provides analysis to address challenges facing the United States and the world.

Christine Fair says the Mumbai attacks highlighted sources of violence in the region.

(CNN) -- As the last Mumbai sites were being cleared of terrorists, grim signs emerged of the challenges that face India and Pakistan.

Unfortunately, beginning to know what the Mumbai attack was -- and what it was not -- only augurs more violence for India. At least three factors are at play.

First, the fact that the attacks thus far have been attributed largely to Pakistani terrorists doesn't mean that India's internal challenges are less dire.

Indian officials first claimed, based upon the reported testimony of the only surviving gunman, that the attack was perpetrated by 10 Pakistanis associated with the Pakistan-based Lashkar-e-Tayyiba, acting without the assistance of local facilitators. In recent days, Indian officials have embraced the possibility that Indians may have helped support the grisly attack.

Indeed, India will continue to confront an expanding array of internal foes. Until recently, India has generally dismissed the importance of home-grown Islamist militant groups and has focused instead upon the Pakistan-based groups.

Many within and without India have claimed that India's democratic institutions provide Muslims and other marginalized social groups political means to redress their grievances. Yet this narrative obscures the fact that many foreign terrorists have long relied upon Indians for logistical support, and disregards the increasing participation of Indian personnel in India's other recent attacks.

Persistent social inequity for Muslims and other groups remains an important issue for the Indian state. Muslims in India are less likely to be educated and employed in government service and more likely to be poor. They face episodic but large-scale violence.

Second, India will remain a target of Pakistan-based terrorism, and not only within its borders.

The Indian Embassy in Kabul was attacked last summer with the involvement of the Pakistani government's Interservices Intelligence Directorate (ISI), according to American intelligence officials. Indian workers in Afghanistan also have been killed by militants there.

Many Pakistanis believe that the British should have awarded the Muslim-majority state of Kashmir to Pakistan when it partitioned the subcontinent and withdrew from South Asia. Instead, its local leadership decided to join India.

Pakistan has initiated three limited wars over Kashmir and has sustained a proxy war for nearly two decades. Indeed, most of the Islamist terrorist groups operating in and on behalf of "liberating" Kashmir were raised and directed by Pakistan's ISI. Yet the U.S. government has only episodically insisted that Pakistan eliminate all militant groups operating in and from Pakistan.

Rather, it first focused its attention on al Qaeda and, in more recent years, the Taliban. No consistent message has been given about the militant groups that have largely set their sights on Kashmir and the Indian hinterland.

Yet these groups have tremendous ability to attack and destabilize the region, as underscored by the near-war that developed after the December 2001 attack upon the Indian parliament by Pakistan-based militants.

The deaths of Americans in Mumbai may have focused the attention of the American public, but Lashkar-e-Tayyiba has been targeting American and NATO forces in the Kunar and Nuristan provinces of northeastern Afghanistan for the last year. Pakistan's inability or unwillingness to eliminate all militant groups within its borders should have been viewed as an outrage before the Mumbai massacre.

Since 2002, Pakistan has received some $12 billion from Washington, nearly half of it reimbursements for Pakistan's participation in the war on terror. Yet the international community is paralyzed and unable to forge a comprehensive approach to compel Pakistan to eliminate militancy, fearing variously that pressure will alienate Pakistan, destabilize the fragile democracy or undermine U.S. interests with a surge in nuclear proliferation.

Others suggest that Pakistan no longer controls the militant groups it spawned and note that Pakistan too is a victim of terrorism.

Third, India has not made adequate investments in its internal security infrastructure. It should reform its often corrupt and poorly trained and equipped police, expand their numbers and restructure their pay.

India should also continue developing rapid-action counter-terrorism forces that are more dispersed across the country. It took some nine hours for India's well-trained National Security Guards to reach Mumbai, in part because they had no dedicated aircraft for their movements. Mumbai and other coastal cities remain vulnerable to attack by sea.

India has been battling dozens of insurgencies and terrorist campaigns since its emergence as an independent state in 1947, yet it has failed to forge an appropriate strategy to deal with these challenges.

India must improve social justice, provide better policing and law enforcement, harden targets where possible, and bolster intelligence capabilities and interagency coordination.

The international community should deal forthrightly with Pakistan. Pakistan should detain suspects, clamp down on the raft of militant groups in its territory and cooperate fully with New Delhi.

Perhaps Interpol may be a productive agency to use, since both states are members. Even if Pakistan cannot remand suspects to India for political reasons, it could try them in Pakistani courts, provided that India can provide evidence of their guilt.

More than 10 days after the assault and under considerable international pressure, Pakistan has arrested activists associated with the organization.

While this is an important step, Pakistan has not proscribed Lashkar-e-Tayyiba (now Jamaat ul Dawa), much less shut it down, and its leadership remains at large. Even if these arrests temper Indian sentiments, they fall short of eliminating the group's ability to operate.

On all sides, the time for excuses is long past.

The opinions expressed in this commentary are solely those of Christine Fair.

@highlight

Christine Fair: Mumbai attacks show sources of tension in the region

@highlight

She says signs point to potential for more violence after attacks

@highlight

Fair: Inequality gives rise to grievances among India's Muslim population

@highlight

She says India is not well-prepared to respond to violent upheaval