Orange, California (CNN) -- Ian Chung is nestled in darkness. Born just 24 weeks into gestation, he weighs scarcely more than a pound.

He can hear the faint sounds of the outside world mingling with the soothing sound of his mother's voice. His spindly arms and legs shake as he lets out a warble.

"Oh, my love," coos his mother, Julie Chung, 31. "You're going to be OK."

Julie's hands descend -- one landing lightly on Ian's chest while the other pushes against his jerking legs. She is using touch and light pressure to simulate, for her premature son, her own womb. A few moments later, Ian stops crying.

"When he was born he was so tiny," said Chung. "It was like, 'Oh wow, can a baby even survive outside the womb this early?'"

Medical advances are improving outcomes for even the tiniest babies. Experts say fewer than 1% are born in the "micro preemie" category; at the hospital where Ian is being treated, Children's Hospital of Orange County in California, that means born before 28 weeks or born weighing less than 2.2 pounds.

"Survival rates (among micro preemies) have been improving," said Mindy Morris, a neonatal nurse practitioner at Children's Hospital. "So they may survive to discharge. But then growing up as children they have a lot of complications."

Doctors and nurses at a specialized unit at Children's Hospital have implemented a system they say is dramatically reducing disability and infection rates among this rare preemie population.

Aptly named the Small Baby Unit, the staff work under the cover of darkness and quiet in a separate wing of the hospital. Here, stimulation is kept to a minimum; speaking is only done in hushed voices. The overall effect is one of relative calm: an attempt to mimic what babies would experience if they were still safely tucked in utero.

"We try to keep it low sound, low lights, so that it is as close to the womb as we can get," said Morris, coordinator of the Extremely Low Birth Weight Program at Children's Hospital. "We try to minimize the intrusion to them."

In 2009, before the Small Baby Unit was up and running, 45% of babies were discharged with chronic lung disease. In 2012, after the unit had been operating for three years, the rate was down to 27%. Infection rates from 2009 to 2012 dipped from 41% to 15%, and feeding, weight and head circumference have also improved.

Dr. Kristi Watterberg, chairwoman of the American Academy of Pediatrics' committee on the fetus and newborn, said that developing processes to treat extremely low birthweight babies is -- broadly speaking -- a good thing. But since Children's Hospital's data are self-reflexive, she questions what exactly is contributing to the unit's success.

"When someone starts focusing on something, it tends to trend better," said Watterberg. "What made it happen? We don't know."

Watterberg said that some elements of what is being done at Children's Hospital, including various forms of touch therapy, can be beneficial to premature infants.

A large study published in 2004 found 21% to 48% greater weight gain among infants undergoing moderate massage therapy; they also were discharged sooner from the hospital. Other studies suggest that specific types of massage therapy stimulate production of growth hormones and promote bone development.

At the Small Baby Unit, parents act as "therapists" and partners with the staff, so they are engaged fully with their child's progress. Studies show that mothers who massage their infants experience decreased depression and anxiety.

'It can hurt to be touched'

Chung is learning about the thin line between stimulating and overstimulating her son.

"For preemies, it can hurt to be touched because their skin isn't ready for it," explained Karin Mitchell, a developmental therapist working with Chung.

Mitchell grabs Chung's hand. "Let me show you on your hand," she said, pressing on Chung's palm to show her how firmly to touch Ian. "It's not heavy, but it's also not superlight."

"Remember, when he was inside the womb there was amniotic fluid, and there was a feeling of that moving across every skin cell of his body," Mitchell said. "That's what helps babies know, 'Where do I start and where do I stop?'

"When babies are born early like Ian, they don't have that option, so now they have to learn their body in the midst of air. It's a lot different."

Soon, Ian will lie -- tubes and all -- skin-to-skin on his mother's chest for an hour or more, something referred to as kangaroo care. Painful medical interventions like intubation, extubation and blood draws are performed while a baby is skin-to-skin with a parent whenever possible. In those situations, touch is thought to mitigate pain.

"Kangarooing," as mothers here refer to it, also helps with bonding and regulating things like respiration and sleep among babies. For mothers, it may stimulate breast milk production.

"It calms me when he's 'kangarooing' with me, and I notice he's more calm," said Chung. She pauses as tears roll down her face. "It's nice to know that those things help him. You cling to those little things that can ease things for him."

Ian's care here is in stark contrast to what he got during his first few days of life, in a traditional NICU at another local hospital. There, according to his parents, the lights and noise were blaring.

"(This unit) is a laser focus on this very specific patient population. I think that is what makes this so unique," said Dr. Kushal Bhakta, medical director of the Extremely Low Birth Weight Program at Children's Hospital.

"Other places I've worked you will have a tiny premature baby next to an older child who has a heart condition, next to another child who may be crying," he continued. "So there's ... a lot of other stimuli to this little tiny preemie and it's not done purposely. It's just the layout of whatever unit they're in."

Watterberg of the American Academy of Pediatrics said it is important to strike a balance, adding that theories and approaches regarding noise in the ICU are constantly evolving.

"We used to think it should be quiet, so when these babies came into the world too soon, we'd turn off the lights and make it quiet," said Watterberg, a professor of pediatrics and neonatology at the University of New Mexico School of Medicine.

"Turns out babies were hearing a fair amount of noise in utero, and that maybe if it's too quiet they are not hearing the kind of language they need."

She cites recent research that suggests too little sound could interfere with a baby's acquisition of speech and language, and that exposure to speech can enhance brain development in babies.

Similarly, she said, too much darkness could be counterproductive to a baby's development, since in utero a baby would be exposed to a stream of information from its mother reflecting her own changing circadian rhythms.

"We know that what happens in the ICU affects babies long term," said Watterberg. "So I'm pleased that this group is working on it, but the information we have is always in process."

Numbers

In the Small Baby Unit, numbers mean a lot.

When Ian was born, they went something like this: 47% chance he'd survive, and if he did survive, only a 31% chance he would escape serious neurodevelopmental problems.

Chung and her husband, Ryan Chung, temper the harsh reality of those statistics by focusing on other numbers â€” milestones Ian is reaching from day to day, week to week.

Ian has already defied the steep odds that he would not survive: Today, he is 7 weeks old.

"We celebrated 10 grams last night," said Julie of Ian's weight gain since he was admitted to the Small Baby Unit. "It's like '(He is) 2 pounds! Wow!' "

The Chungs believe that Ian's future prospects are improving because of his treatment -- in particular, the emphasis on touch -- in the Small Baby Unit.

Three weeks and 10 ounces later, he is less reliant on supplemental oxygen and is less averse to touch.

"Julie, you want to massage him?" asks Mitchell.

"Yes," says Chung, who glances up at the numbers changing favorably on a monitor above her. "He likes it."

Weeks earlier, the monitor beeped incessantly. Today, Ian seems relatively calm -- more OK with his surroundings.

Although some of the science behind what happens in the Small Baby Unit eludes her, Chung knows that one alternative -- little or no contact between her and Ian -- would leave her empty emotionally.

She recalls an article she read recently describing how most NICUs operated years ago.

"Moms wouldn't touch their kids," said Chung. "They would look at them through the glass wall. My heart broke for them.

"Not to be able to hold them or touch them or do any of that stuff?" she added. "All of that fulfills what I long for. It gives me something, even though it's little."

@highlight

Fewer than 1% of babies are "micro preemies," a term that varies in definition by hospital

@highlight

Small Baby Unit at California hospital mimics womb with soft lighting, low sounds

@highlight

Experts say touch can help mitigate pain of medical procedures for preemies