(CNN) -- The second inaugural address is always more difficult than the first. When a president-elect first steps onto the national stage, he still enjoys a certain degree of innocence and hope. Americans are waiting to see if the new president will be different. When a new president delivers his speech, voters don't yet have a record that might make them cynical.

But by the second term, voters are familiar, and often tired, with the occupant of the White House. Even though they liked him more than his opponents, the president has usually been through some pretty tough battles and his limitations have been exposed. It becomes much harder to deliver big promises, when the people watching have a much clearer sense of your limitations and of the strength of your opponents.

So President Barack Obama faces a big test when he appears before the nation Monday.

Opinion: Presidents shouldn't swear in on a Bible

Obama now is Washington, and no longer someone who will be able to shake up the way Washington works. Voters believe that Congress is dysfunctional and have little confidence that legislators will respond to his proposals.

Overseas, the instability and violence in the Middle East has shaken the confidence of many Americans that Obama can achieve the kind of transformative change he promised back in 2009.

Obama, who is a student of history, can look back at some past second inaugural addresses if he wants guidance. Three of the best of these addresses offer a roadmap.

Abraham Lincoln, March 4, 1865: The strongest was from Lincoln, who gave his talk amid the brutality of the Civil War but chose to stress the theme of healing and unity, Lincoln gave a masterful performance that offered inspiration and encouragement for the reunification of the nation. Lincoln famously said: "With malice toward none, with charity for all, with firmness in the right as God gives us to see the right, let us strive on to finish the work we are in, to bind up the nation's wounds, to care for him who shall have borne the battle and for his widow and his orphan, to do all which may achieve and cherish a just and lasting peace among ourselves and with all nations." Rather than boasting of military victory or threatening Southern forces, he stepped outside the battle to offer the nation, as a whole, the path forward.

Woodrow Wilson, March 5, 1917: Although Wilson had run on a campaign to keep America out of world war, he was aware that such intervention was inevitable. During his second inaugural address, Wilson took the opportunity to start preparing the nation for what was about to come. He told America to think about the global responsibilities it had to accept, even if much of the nation was not prepared to do so. "We are provincials no longer," he said, "The tragic events of the thirty months of vital turmoil which we have just passed have made us citizens of the world. There can be no turning back."

Opinion: Why 'Hail to the Chief' remains unsung

Franklin Roosevelt, January 20, 1937: Roosevelt gave a rousing performance that outlined the fundamental vision which shaped the wide array of policies he had put forward in his first term. While many people had criticized FDR for lacking any ideology and for being a pragmatist without principle, in his second address he explained the rationale behind his actions: "I see millions denied education, recreation, and the opportunity to better their lot and the lot of their children. I see one-third of a nation ill-housed, ill-clad, ill-nourished." For Democrats, the speech remains a powerful defense of government and the rationale behind his program.

To replicate some of this success, Obama will need to figure out how to inspire a nation that is frustrated by the gridlock of Washington and the laggard state of the economy and worried about instability overseas.

Obama can learn from all three of these presidents.

Like Wilson, he can talk to Americans about goals they should aspire to achieve, ways in which the country can accept new obligations in a changing world.

Like Lincoln, he can urge the nation to move beyond the discord and division that have characterized political debate in the past four years.

Finally, like Roosevelt, he can use his speech to provide some of the justification and outlook that has shaped his policies. This would undercut the ability of Republicans to define his policies for him, as has been the case for much of his first term, and motivate supporters who have often felt that Obama remained too much of a mystery.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Second term inaugural addresses are always a challenge

@highlight

He says the public has had four years to make a judgment about the president

@highlight

Obama can learn from second term speeches of Lincoln, Wilson, FDR

@highlight

Zelizer says they did a good job of unifying America and sketching vision of the future