LONDON, England (CNN) -- It may look like an air mattress you might see lying around next to a swimming pool but in reality its function couldn't be less trivial.

The Solar Water Disinfecting Tarpaulin could play a major role in saving lives in the developing world.

The Solar Water Disinfecting Tarpaulin (SWDT) -- a new portable water purifier -- could be a major step forward in the fight against disease and mortality in the Third World.

Eric Olsen, a San Francisco-based architect and the inventor of the SWDT believes the product could help eradicate the scourge of polluted water which the World Health Organization (WHO) estimate claims over 1.5 million lives every year.

Not only does it purify water -- up to 20 liters -- it makes it more portable in large quantities -- a vital dual role in Sub-Saharan Africa and parts of Central Asia where access to clean water is often scarce.

"There are lots of products that do one or the other," Olsen told CNN. "There's a really interesting product that's been around for 10 or 12 years called the Hippo Water Roller -- a 20 gallon drum with a handle attached that allows people -- mostly women -- to transport a week's worth of water back home".

Olsen also points to another product developed by the Swiss Federal Institute of Aquatic Science and Technology (Eawag) that has successfully tackled water impurities.

According to Eawag SODIS (Solar Water Disinfection Process) is already used by more than two million in over 30 countries.

"The idea of SWDT," he says, "is to combine these two products and make them into something that can do both roles effectively".

Made out of a top layer of recycled low-density polyethylene (LDPE) and a bottom layer of durable rubberized nylon, the SWDT is both flexible and robust.

Its design was morphologically inspired by the saguaro cactus and is adaptable to a variety of situations -- as a wrap to carry or placed on the roof of a mud hut -- and is easy to store.

The SWDT uses passive solar radiation -- a water sterilizing method approved by WHO -- which disrupts the reproduction of microorganisms.

Heat and UVA radiation from the sun pass through the LDPE layer and into the water cavity and are reflected back by the bottom layer of nylon. On a sunny day purification takes five hours.

Olsen admits that its performance is hampered by its low density -- scratches to the surface mean it doesn't transmit the sun's rays as effectively -- but he is confident that this can be overcome with more research.

Production using a Radio Frequency Welding equipment may be relatively expensive but Olsen says that the raw materials are cheap and the labor is inexpensive.

"We are trying to imagine ways that this thing can be made and repaired by people where it is most needed," he said. "We are working on a sheet welding process which is much lower tech, inexpensive and also capitalizes on the handcraft skills of local people".

What started out as a solo effort a little over a year ago has gradually grown into a collaborative project. Olsen's students at the California College of Arts, where he currently teaches -- he moves to a new post at Woodbury University this fall -- have lent their enthusiasm and experts from the bioscience and textile industries are increasingly coming on board.

Olsen's efforts have already been recognized. The SWDT won first prize in the 2008 Next Generation Design Competition run by Metropolis Magazine -- netting him $10,000 -- and he is waiting for conformation that the invention has been selected for Wired Magazine's Next Fest show which takes place in Chicago later this year.

So what next for Olsen and his invention? The aim is to adapt the original design and turn it from a water carrying wrap into a fully fledged coat and he's also looking at ways the material might be redrawn as a tent.

He's currently in the process of trying to qualify for non-profit status. And with the likes of the Bill and Melinda Gates Foundation and other institutions out there, he thinks the prospects for funding development and deployment look promising.

@highlight

The Solar Water Disinfecting Tarpaulin aims to reduces disease and death

@highlight

The award-winning design by Eric Olsen is portable as well as a being a purifier

@highlight

Flexible and robust the design is morphologically inspired by the saguaro cactus