(CNN) -- Arguments over the massive overhaul of the health care system -- which congressional Democrats hope to pass by next month -- are expected to keep shaking up the country long after the vote.

Congress' plan could be the first legislation of its kind passed along strict partisan lines. In modern history, legislation of such scope -- including Social Security in 1935 and Medicare in 1965 -- has had at least some support from the opposition.

"The bottom line is that, unlike other major legislation which has passed with more bipartisan support, health care is going to remain a political football, and people are going to have a sense that it is not fully settled yet for a while," said David Gergen, a senior political analyst for CNN who also worked in the Nixon, Ford, Reagan and Clinton administrations.

"It's sign of the unhealthy quality of our politics that a bill this significant in our social history is passing with only one party in favor," he said.

Sarah Binder, an expert on Congress and legislative politics with the Brookings Institution, said that in the past two decades, Republicans and Democrats have become increasingly polarized.

"It just seems that the incentive to disagree seems to be growing," she said.

Because of the ideological polarization, the parties are growing further apart in policy terms, and thus reaching across the aisle is becoming a tougher task, Binder said.

The polarization, coupled with another development in recent history -- partisan team play -- has contributed to the heightened partisan rancor surrounding the health care debate, she said.

Partisan team play is more about keeping a party cohesive and opposed to the other party than it is about underlying policy, she added, comparing this session of Congress to the 103rd, the last time Democrats controlled Congress and the White House. There was a "whole slew of Democratic initiatives in '93-94 where Republicans said, 'We're not going to vote for these,' " Binder said.

Ilona Nickels, a congressional analyst and lecturer, said that with the current health care legislation, there was never much hope for bipartisanship, because the divide between the parties over the role and size of government intervention is "a pre-existing issue."

"Once you grow government to tackle any major societal problem, it is doubtful you would be able to bring any Republicans aboard," she said in an e-mail to CNN.

No Republicans supported the bill passed in the Senate, and the House version received just one Republican vote. Before a final bill can be sent to President Obama's desk, the two versions must be merged into one and voted on again.

Senior Democratic sources say that a traditional House-Senate conference committee is unlikely to meet to work out differences, because that would allow the GOP to slow the progress in the Senate. Democratic leaders from both chambers may instead circumvent the traditional process through informal, high-level talks, the sources said.

Most Americans disapprove of the current health care legislation, according to CNN's most recent polling.

"In addition to the polarization that already exists, there is deep polarization in the country about the bill itself on the merits," Gergen said. "There may be instances, but I can't think of them, when a major piece of domestic legislation has passed in the teeth of public disapproval."

Nickels, who spent several years as a congressional staff aide, pointed to the 1980s for an example of the risks of acting on legislation without public support.

Congress passed the Catastrophic Coverage Act in 1988. The legislation was intended to expand Medicare to protect seniors against catastrophic medical expenses. To pay for it, enrollees saw higher monthly premiums and a surtax. Senior citizens became livid when they fully understood its impact, Nickels said.

Democratic Rep. Dan Rostenkowski of Illinois championed the legislation, which was enacted with the help of the AARP. Nickels recalled that angry voters booed the congressman and pelted his car with eggs. The law was repealed in 1989.

"In the battle of the spin wars to come on the health care bill, no one should underestimate the public's reaction once the impact of the bill's provisions become clearer and, if enacted, actually felt," Nickels said.

Still, it's an important historical win for Obama if he signs the health care bill into law, Gergen said.

"What the White House hope would be is that over time, people would come to appreciate it. People will adjust and find that the benefits of the bill far outweigh the negatives and that it will be a major plus for his party over time. Right now it's not," he added.

Debate over the legislation will play a key role in the upcoming midterm elections, with Democrats pushing its benefits and Republicans slamming its costs.

"It's pretty clear at the moment that unless opinion swings in favor of the bill, as it may, then Republicans will run against the reform in 2010 elections and probably in 2012. And that will present the prospect that over time they can change it," Gergen said, noting that even some Democrats have said they intend to change the bill over time.

But in order for Republicans to make gains at the polls, it would take a "delicate balancing act" since those gains would likely come from independent voters, said Republican strategist Karen Hanretty. Independent voters are fiscally conservative and wary of the massive price tag attached to health care reform, but they also don't like partisanship, she noted.

Anticipating some conservative Democrats losing in this year's congressional elections, Nickels said she thinks the White House is knowingly sacrificing some members of its own party in exchange for what the administration believes will be a seminal accomplishment.

CNN's Dana Bash and Deirdre Walsh contributed to this report.

@highlight

Partisan vote a sign of "unhealthy quality of our politics," David Gergen says

@highlight

Ideological polarization, "team play," contributing to partisan rancor, expert says

@highlight

Leaders may circumvent the normal conference committee process

@highlight

White House knowingly sacrificing some Democrats to get the bill passed, analyst says