Kabul, Afghanistan (CNN) -- An American soldier went on a house-to-house shooting spree in two villages in southern Afghanistan early Sunday, Afghan officials said, killing 16 people in what Afghanistan's president called an "unforgivable" crime.

NATO's International Security Assistance Force said the soldier acted alone and turned himself in after opening fire on civilians. U.S. President Barack Obama called the killings "tragic and shocking," and offered his condolences to the Afghan people in a phone call to his counterpart in Kabul, Hamid Karzai, the White House said.

But the attack is likely to further more anger at international forces following deadly riots over the burning of Qurans by U.S. troops.

"The Afghan people can withstand a lot of pain," Prince Ali Seraj, the head of the National Coalition for Dialogue with the Tribes of Afghanistan, told CNN. "They can withstand collateral damage. They can withstand night raids. But murder is something that they totally abhor, and when that happens, they really want justice."

In a statement issued by his office, Karzai said the killings took place in the district of Panjwai, about 25 km (15 miles) southwest of Kandahar, southern Afghanistan's major city. Haji Agha Lali, a member of the provincial council, told CNN the soldier had attacked four houses in two nearby villages.

"We call this an intentional act," Karzai said. He said the dead included four men, three women and nine children, calling the killings "acts of terror and unforgivable." Another five people were wounded, he said.

Capt. Justin Brockhoff, an ISAF spokesman, said the wounded Afghans were being treated in ISAF facilities. The allied command did not give its own estimate of casualties.

Brockhoff said officials do not yet have a motive for the shooting, which is under investigation by both NATO and Afghan officials. And Maj. Jason Waggoner, another ISAF spokesman, said the soldier "was acting on his own."

There were no military operations in the area, either on the ground or in the air, at the time, according to two senior ISAF officials who spoke on condition of anonymity because of the sensitivity of the situation. They said only one soldier, an Army staff sergeant, is believed to have been involved.

A U.S. military official told CNN later Sunday that the suspect is from Joint Base Lewis-McChord in Washington state. The official said the soldier is assigned to a Special Forces unit.

A third ISAF official said Afghan troops spotted the soldier leaving his combat outpost around 3 a.m. Sunday and notified their American counterparts. The U.S. military did an immediate headcount, found the soldier was missing and dispatched a patrol to go look for him, the official said.

The officials said they have no knowledge at this point whether he had any previous medical or mental health issues in his record.

The patrol met him as he returned and took him into custody. He said nothing, and it was unclear whether they knew what had happened, the official said.

"We don't know what motivated this individual, and we're not sure where this is going to take us," Capt. John Kirby, an ISAF spokesman, told CNN. But he said ISAF's commander, Gen. John Allen, "has made it clear this investigation is going to be thorough. It's going to be done rapidly, in an expeditious way, and we're going to hold the perpetrator of these attacks to account."

The news brought a wave of condemnations from top American officials. In a statement issued by the White House, Obama said the U.S. military will "get the facts as quickly as possible and to hold accountable anyone responsible."

White House response to shooting spree

"I am deeply saddened by the reported killing and wounding of Afghan civilians. I offer my condolences to the families and loved ones of those who lost their lives, and to the people of Afghanistan, who have endured too much violence and suffering," Obama said. "This incident is tragic and shocking, and does not represent the exceptional character of our military and the respect that the United States has for the people of Afghanistan."

In a separate statement, Defense Secretary Leon Panetta said he was "shocked and saddened" by the attack and said the suspect was "clearly acting outside his chain of command." Allen called the killings "deeply appalling," and acting U.S. Ambassador James Cunningham said his country was "saddened by this violent act against our Afghan friends."

"We deplore any attack by a member of the U.S. Armed Forces against innocent civilians," he said in a video statement, assuring "the people of Afghanistan that the individual or individuals responsible for this terrible act will be identified and brought to justice."

But Seraj, a member of Afghanistan's former royal family, said the killings are likely to play into the hands of the Taliban, the Islamic fundamentalist movement that has battled the U.S.-led coalition for a decade.

"They are really going to milk this for all it's worth," Seraj said, adding, "This is playing right into their program of psychological warfare against the Afghan people."

The Taliban has already said that the deaths were the result of a night raid by several soldiers and put the death toll at 50, but it regularly exaggerates casualty figures.

Seraj called for a joint U.S.-Afghan investigation into the killings, saying Afghans will want to see "quick and decisive justice."

"We cannot whitewash this and get this young man out of Afghanistan and send him back to the United States. That is the worst thing we can do at this time," he said. And he questioned how the soldier left his post in the pre-dawn hours, adding, "I know the Kandahar base. A fly cannot get in without being searched."

Kandahar and the surrounding region is the home of the Taliban, and eight of the 69 coalition troops killed in Afghanistan so far this year died in the province. But Kirby said the area has been "a big success story" for the allied campaign, and he said Allen has made clear that the coalition strategy won't be affected by Sunday's killings.

"As tragic as this incident is, it would be a larger tragedy to affect the mission at large and what we're trying to do for the country," he said.

"We're going to continue to be out there among the populace," he added. "We're going to continue to try to beat back this insurgency."

Taliban link attack to Quran burning

The United States and its allies invaded Afghanistan in 2001, following al Qaeda's terrorist attacks on New York and Washington that killed nearly 3,000 people. The invasion quickly toppled the Taliban, which ruled most of Afghanistan and had allowed al Qaeda to operate from its territory. But the militia soon regrouped and launched an insurgent campaign against the allied forces and a new government led by Karzai.

The No. 1 U.S. target in the conflict, al Qaeda founder Osama bin Laden, was killed in a commando raid in neighboring Pakistan in May 2011. American and allied combat troops are scheduled to leave Afghanistan by 2014, and Karzai has been increasingly critical of the allied force.

Tensions ramped up dramatically in February, after a group of U.S. soldiers burned copies of the Quran, Islam's holy book, that had been seized from inmates at the American-run prison at Bagram Air Base. American officials from Obama down called the burning an accident and apologized for it, but riots left dozens dead, including six American troops. Hundreds more Afghans were wounded.

The war has cost the lives of nearly 1,900 Americans and just under 1,000 more allied troops to date.

CNN's Samira Jafari, Claudia Dominguez, Ruhullah Khapalwak, Barbara Starr and Josh Levs contributed to this report.

@highlight

NEW: A military official says the suspect is from Joint Base Lewis-McChord in Washington state

@highlight

Afghan troops spotted the soldier leaving his outpost, ISAF officials say

@highlight

"We call this an intentional act," Karzai says

@highlight

Obama offers sympathy for "tragic and shocking" killings