(CNN) -- One of the Web's basic tenets is that small contributions from lots of people can amount to something powerful in the aggregate.

Fans of the Japanese band Sour contributed images to a music video.

Now, a growing group of writers, musicians, visual artists and videographers is turning this Wikipedia-era philosophy into online collaborative art.

Twitter users are banding together to write an opera for London's Royal Opera House. Bands like My Morning Jacket and Sour, out of Japan, are turning to fans to help film their music videos. Programmers are pulling quotes from online social networks to make automated poems.

More than 50,000 animators are divvying up work on an upcoming animated film called "Live Music," and amateur videographers are re-filming "Star Wars" in 15-second bites.

This crowd-sourced creativity online is putting a new twist on traditional ideas of artistic ownership, online communication and art production.

"What's exciting is that it's being tested out by a lot of people who have access to [the technology]," said Mary Jane Jacob, executive director of exhibitions at the School of the Art Institute of Chicago. "I think that we're in a great communal workshop."

In recent months, the collaborative projects have been showing the professionalism it takes to get noticed amid the clutter of content on the Internet, said Ze Frank, an online personality who orchestrated several early online art projects. Sign up for a CNN art project

Frank said people have been making collaborative online art "since the beginning of the Web." But much of it wasn't worth looking at.

Some collaborative books proved to be too much work for even herds of people to tackle. Efforts to create massive drawings with thousands of contributors sometimes ended up looking like random scribbles, for example.

But for some reason -- either because people are getting savvier with cameras or because the projects are getting more visibility -- things are starting to click, Frank said.

Even if some of the latest collaborative efforts fail to produce masterworks, the real value is the process, he said.

"Even if the [Twitter-written] opera ends up sucking as a performance, the value may have already been played out in the theater of the creation of it," he said.

Many of the projects aim to hit on universal themes.

"The little elements that aren't synchronized" in the group art projects remind people that our differences are what make us interesting, said Matt Maloney, associate dean of the school of film and digital media at the Savannah College of Art and Design, referring to this music video, which features fans of the Japanese band Sour.

"The backgrounds change, the people move differently, the quality and temperature of the photography varies from component to component," he said. "If that phenomenon didn't exist, if we were all the same and we were all uniform, this type of collaboration" would not be powerful.

Jacob, of the Art Institute of Chicago, said the projects speak to how people yearn to communicate and to be heard in these hyperconnected, digital times.

"It lets you ... meet other people," she said. "We're not talking eHarmony, but all these things, they're interesting and they are of the moment. When people want to use [communication technologies] in a creative way, that's really exciting."

The online art collaborations grow out of a parlor-game tradition called "exquisite corpse," she said.

Around 1920, famous surrealist artists gathered to draw portraits in pieces. They folded up large sheets of paper so that each artist could see only the edges of what had already been drawn. The pictures made sense only after the paper was unfolded.

The online versions of this concept take the idea further because they involve people all over the world who often know nothing of each other, she said.

For example, Darren Solomon's site, inbflat.net, features 20 YouTube videos of musicians, many of whom don't know each other, playing various melodies in the key of B flat.

Visitors to the site can play the tunes in any order or combination they choose, meaning that each user in a sense becomes part of the artwork, Solomon said.

Solomon, who once played bass with Ray Charles and now writes music for TV ads, said the "In B Flat" project shows that "the world can come together and we all speak that [musical] language."

"Something about it is very hopeful," he said.

One key to the project's success, he said, is that it takes relatively little effort for musicians to send in Web-quality videos of themselves playing a short melody in a certain key.

"They're happy to start picking up a video camera and start shooting or they're happy to pick up an instrument and start playing," he said.

Solomon finds that idea so compelling that he's participated in other projects. With his two sons, ages 7 and 11, he shot three of the 15-second clips of the user-generated "Star Wars" that will be stitched together by the site Star Wars Uncut.

In one of the videos, he and the boys act out a scene with puppets. In another, his sons wear hooded sweatshirts and fight with light sabers in a New Jersey tunnel.

In some cases, people don't even know they're making contributions to online art.

Andrei Gheorghe, a Web developer in Romania, created the "Longest Poem in the World" by aggregating public Twitter posts and arranging them in rhyming couplets.

Computers add 10 to 20 lines to the poem each minute, he said.

Gheorghe said he doesn't consider his work art. "It was just a random idea that popped up and I played with it. And it is what it is," he said.

Art professors said deciding what is and isn't art is a complicated process.

In some ways, these collaborative projects are fine art, they said. In other ways they're like games or means of communication.

Like all good art, these projects are trying to "stand convention on its ear," said Maloney, from the Savannah College of Art and Design.

"That's going to keep happening," he said. "So as soon as we finally nail this down you'll have another group of talented artists that are going to say, 'Well, I'm going to do something completely different.'"

@highlight

Large groups of people are creating collaborative art projects online

@highlight

One site wants to re-film "Star Wars" in 15-second clips, submitted by viewers

@highlight

Another has a customizable tapestry of 20 musicians, each playing their own tune

@highlight

Experts say the art comments on digital society and online connections