(CNN) -- Last month, a delegation of members from the U.S. House of Representatives, which I was honored to lead, met with inspiring women of North Africa who are helping to change the world.

In Cairo, Egypt; Tunis, Tunisia; and Tripoli, Libya, we held discussions with women who are committed to ensuring that women have a seat at the table and are able to succeed in this rapidly changing and strategically important region. It is an uphill climb, but there is no better time than the present.

The women we met were outspoken in their belief that the new governments must be truly democratic, and that longstanding biases against full participation by women in their society must be abolished. These women came from many different backgrounds and viewpoints, yet they are aware that while their moment is now, the obstacles are great.

Some had participated in the massive Arab Spring demonstrations that challenged decades of autocratic rule. Others had studied in the United States and other countries and then returned to build a future where women's voices are equal to those of men. Some are already serving in government but spoke about a need for more women to serve and to lead in forming new democracies in the Middle East.

One message came through clearly in every discussion: They look to the United States as an essential partner in their efforts to build democratic societies.

Women journalists played a crucial role in the overthrow of Egyptian President Hosni Mubarak. Women are already deeply involved in rebuilding the political and economic systems of their country. Although just 10 of more than 500 members of the new parliament are women, the signal we received is that Egyptian women are committed to expanding their influence and their ranks, and to ensuring that the constitution under development will fully protect the rights of women in Egypt.

Similarly in Tunisia, Deputy Speaker Mehrezia Labidi pledged to lead the effort for women's rights and secular law in her nation. Women already hold 26% of the seats in the Constituent Assembly, which is responsible for drafting Tunisia's Constitution.

The determination of Tunisian women has been demonstrated outside the legislative chambers as well. In the midst of unrest at the University of Manouba, a young woman watched outraged as a zealot tore down her country's flag, and she then courageously climbed the flagpole to restore the flag to its rightful place, winning the plaudits of her countrymen.

Fundamental to opening opportunities to women in public and private life is expanding their access to education. The young women with whom we met in Tripoli were unanimous in their belief that improving the quality of education for all Libyans is essential to the success of their revolution and the modernization of their country, particularly in light of the utter failure of the nation's secondary schools and universities under Moammar Gadhafi.

What I heard from the women of North Africa was a refrain I have also heard in Iraq and Afghanistan and throughout the Middle East: Women and young people are weary of war. They are fed up with leaders who use ideology, religion and war to distract from the real challenges to peace, prosperity and democracy: a lack of education, a failure to provide jobs and economic opportunity, and the subjugation of women. They employed social media such as Facebook and Twitter to circumvent the repression imposed for decades by autocratic regimes and demonstrated astonishing bravery to liberate their countries from tyranny.

They have succeeded in that first phase: Gadhafi, Mubarak and Tunisia's Zine el Abidine Ben Ali are gone. These young women are under no illusions about the challenges they face. They are deeply committed to building democratic societies, and they are looking to us. We cannot fail them.

Leaders throughout North Africa and the Middle East must honor the role women played in freeing their countries: All their citizens -- including women -- have important contributions to make at this historic moment. That is a lesson it has taken the United States many generations to learn, but it is surely one of the most important pieces of wisdom we can share with developing democracies around the world.

The opinions expressed in this commentary are solely those of Nancy Pelosi.

@highlight

Nancy Pelosi led delegation to meet with Arab women working for democracy

@highlight

She says women want long-denied participation in society, access to education, jobs

@highlight

Pelosi: Many women were key players in Arab Spring and don't want to be left behind

@highlight

Pelosi: They say U.S. support is crucial for building democracies with roles for women