CNN -- When Maria Rubeo closed her arm, she felt something "very big -- like a lemon."

Although Hispanic women have a lower incidence rate for breast cancer, they often get the diagnosis at later stages.

Her doctor said the lump in her breast was nothing, so Rubeo, who didn't have health insurance, didn't seek a second opinion. With two jobs and two kids, she was busy and didn't go to the doctor's office for another year.

During her next visit, with a different doctor, Rubeo learned she had breast cancer -- and the tumor had been there for a while.

Her story may not be particularly rare. Research suggests that breast cancer may be harder to treat in Hispanic women because they wait longer to receive care.

Women in the fastest-growing minority group in the United States face issues such as language and cultural barriers, lifestyle choices and lack of insurance that could affect their health and medical care, according to research released Wednesday at the Science of Cancer Health Disparities Conference.

Like Rubeo, about half of women in a study of 230 Mexican-American breast cancer patients in Arizona and Texas noticed changes in their breasts, but waited more than a month to seek medical attention, according to research presented at the conference hosted by the American Association for Cancer Research.

"We asked what the reasons were," said Rachel Zenuk, a graduate student at the University of Arizona Mel and Enid Zuckerman College of Public Health, who spoke about the study.  "A third cited they didn't have insurance or were unable to afford medical care. Or they thought it was not important to report the medical finding to a professional."

Other factors included fear of the results and difficulty scheduling an appointment, she said.

More than a decade after her mastectomy, Rubeo urges Hispanic women in the San Francisco, California, Bay area not to wait after seeing changes in their breasts.

"I explain: Take time for you to see the doctor," she said. "[Some women] don't have insurance, don't speak English, it's very difficult."

Hispanics are the largest U.S. minority group, constituting 14 percent of the nation's total population. While Hispanic women have a lower incidence rate for breast cancer than whites, blacks and Asians, they have a less favorable prognosis because of delayed treatment.

"They're not getting more breast cancer than other women, but they're less likely to survive as long," said Dr. Amelie G. Ramirez, a member of the Susan G. Komen Breast Cancer Foundation's National Health Advisory Council and chairwoman of the Komen Foundation National Hispanic/Latino Advisory Council.  "The reason is they're diagnosed at a later stage of the cancer."

"We're seeing them at later stages, so the cancer is more advanced. Their five-year survival rates are lower than non-Hispanic whites," Ramirez said.

Data also showed that about two-thirds of breast cancer cases in the 230 Mexican-American women were found through self-detection, which suggests that the women were not receiving routine mammogram or exams.

Rubeo said that when she first noticed the lump, she "had no time for me to take care of myself. Only work, work, running, no time to eat. Sometimes you forget yourself, so there's time for everybody and not enough for yourself."

At the Latina Breast Cancer Agency in San Francisco, she tells other women how she didn't take care of herself while working two jobs, 16 hours a day.

"I explain to the ladies my experience. Sometimes they cry and say it's true," Rubeo said.

She now runs support groups for breast cancer patients, talking about health screenings, accompanying women to the hospital and helping them with paperwork. Aside from the pressures of being a busy, working mother, there are language and cultural barriers for Latina women.

"For women we work with, our focus is breast health," said Olivia Fé, founder and executive director of the Latina Breast Cancer Agency. "Within Latino culture, within family, the husband doesn't want the wife to see a male doctor. ... That is a big deal."

The group partnered with public hospitals in San Francisco and San Mateo counties and made sure the medical staff who work with Hispanic breast cancer patients are female and speak Spanish.

Hispanic women don't take advantage of the free breast health screenings, because there's a lack of awareness, Fé said.  Many women speak only Spanish, so prevention messages in English don't get through.

Research showed that the women with more education and exposure to English-language media, such as television and radio, were more likely to have had a mammogram.

Ramirez said there are now public service announcements in Spanish that target Hispanic women of all ages, so the younger ones will know the importance of family history and the older ones will become informed about the importance of mammograms.

The Komen Foundation funds local efforts to increase enrollment of Hispanic women in clinical trials, provide medical interpretive and transportation services, and have Spanish peer support for 24-hour breast cancer hotlines.

Lifestyle choices have an important role in breast cancer development, said Esther John, a research scientist and epidemiologist at the Northern California Cancer Center. One study that examined 2,533 Hispanic women found that the women born in foreign countries had 50 percent less risk of developing breast cancer than women born in the United States.

This San Francisco Bay Area Breast Cancer Study compared the known breast cancer risks such as obesity, use of hormones, alcohol consumption, fat intake and lack of physical activity between the two groups and found women born in the United States had greater risk.

"The pattern suggests that when Hispanic women move to the U.S., there are important changes from the traditional lifestyle to the Americanized lifestyle," John said.  "There are lifestyle factors that increase risks of breast cancer."

@highlight

Hispanic women learn of breast cancer at later stages, research shows

@highlight

Language, cultural barriers and lack of insurance may impede medical care

@highlight

Other factors include fear of results and difficulty scheduling an appointment