Menlo Park, California (CNN) -- The search feature on Facebook has traditionally been pretty limited. You type in a name of a person or a business, and it pulls up their Facebook page.

But that's about to change. On Tuesday, Facebook introduced an upgraded search tool, called Graph Search, that will scour the massive social network to answer more sophisticated questions.

Want to find buddies of your pal Chris who went to Stanford and live in Chicago? No problem. People who like tennis and live nearby? Here you go. How about photos of Berlin from 1989? Done.

"This is one of the coolest things we've done in a while," Facebook co-founder and CEO Mark Zuckerberg said at a press event at the company's headquarters.

Since it became a public company last year, Facebook has been under pressure to launch exciting new products, especially for mobile, that will help boost its floundering stock price.

CNNMoney: Yelp stock falls 8% on Facebook Graph Search news

Facebook said Graph Search is launching immediately in beta, although users will need to get on a waitlist to gain access. The company will continue tweaking the product based on feedback from beta users, but Zuckerberg said there's no concrete estimate for how long the rollout will take.

For now, Graph Search's functions will be limited. It focuses on four main areas: people, photos, places and interests. More features will be added as they are developed, Zuckerberg said.

"This is a beta product. We focused on a few use cases that we think are good," he said. "Even as an early product, Graph Search is a completely new way for people to get information on Facebook."

Graph Search delves the wealth of data already inside Facebook, pulled from 1 billion profiles, 24 billion photos and 1 trillion connections. The tool indexes all of this content and works through the main search bar you're already familiar with at the top of your Facebook profile.

For now there is no mobile version, it doesn't loop in Instagram, there's no API (which would allow outside developers to build related apps), and it's only in English.

The searches are natural language, which means you type the question just like you'd say it: "Friends who like cats and 'Alias' " or "Podiatrists in San Francisco my friends like."

You can use Graph Search to track down people you just met ("people named Rebecca who work at Chipotle and are friends with Peter"), to look for job candidates ("friends of co-workers who have been programmers), and to play yenta for your single friends ("Friends of friends who are single men and live in Los Angeles").

Other searches could be useful for business recommendations. You can find doctors, or restaurants, based on friends' endorsements. For example, if you wanted good Indian food in San Francisco, you might search for "Indian restaurants in San Francisco liked by my friends from India." The results pull in practical information as well, such as reviews and prices.

The first concern people tend to have after any Facebook announcement is, how will this impact my privacy? Facebook says Graph Search will return only content that has been shared with you.

"We take this really seriously," Zuckerberg said.

If you search for something outside Graph Search's purview, it will return search results from Microsoft's Bing search engine. The two companies have worked together before on integrating social search into Bing.

But Graph Search probably won't pose a threat to Google anytime soon.

"I don't necessarily think that people are going to start coming to Facebook to do Web searches with this," Zuckerberg said.

For now, the company will not be working with Google on search functions, Zuckerberg said, adding that Google is not able to process Facebook updates as quickly as Facebook users might like.

For example, if you unfriend someone, you might assume they would be blocked right away from seeing your personal data. But that might take more time with a Google-powered search, he said.

While the timing was the big issue during negotiations with Google, "it may have been a symptom of a bigger strategic rift" between the companies, Zuckerberg said.

@highlight

Facebook introduces upgraded search tool called Graph Search

@highlight

Graph Search will let users search in more detail for people, photos, places and interests

@highlight

For example, it could show you photos of Berlin from 1989

@highlight

Mark Zuckerberg: "This is one of the coolest things we've done in a while"