Istanbul (CNN) -- The Turkish government moved Friday to resolve a crisis that erupted earlier in the day when the country's top four military officers left their jobs en masse in the latest power play between the government and the Turkish military.

Late at night, the government turned to the only top commander who has not quit his position, naming former Gendarmerie Commander General Necdet Ozel acting chief of general staff and land force commander.

According to people familiar with Turkey's procedures, he needs to serve at least for a day as a force commander before he can be appointed to the top military position of chief of general staff.

The announcement came hours after Chief of Staff Gen. Isik Kosaner tendered his retirement letter to the prime minister, the country's state-run Anatolia News Agency reported.

Land Forces commander Gen. Erdal Ceylanoglu, Navy commander Adm. Esref Ugur Yigit and Air Forces commander Gen. Hasan Aksay, all asked for their retirement.

Their departures came in the face of disagreements by the military with the government over the fate of officers jailed for allegedly plotting to overthrow the ruling Justice and Development Party.

And they come at a key time -- three days before Monday's planned meeting of Turkey's Supreme Military Council, which will decide what happens to the officers, state-run media reported Friday.

The government wants active-duty officers who are defendants in the case to retire. The military says the officers, some of whom are up for promotions, have not been proven guilty and therefore should not be forced to leave.

Kosaner had met earlier Friday with President Abdullah Gul and Prime Minister Recep Tayyip Erdogan, who won his third term in office last June in a landslide victory, a show of political power that has energized his base of support.

About 200 soldiers, including senior ones, both retired and active-duty, are defendants in an ongoing court case about an alleged coup plan dubbed "Sledgehammer" said to have been cooked up eight years ago at a meeting of military officers.

"It's unprecedented to have the chief of staff and three force commanders resigning en masse," said Bulent Aliriza, director and senior associate of the Center for Strategic and International Studies' Turkey Project.

"It's an expression of displeasure with the civilian government and, frankly, leaves in disarray the promotion process that was about to begin," he said.  "This is their clearest possible response to Prime Minister Erdogan."

He said it comes at an important time, with the Turkish military fighting the Kurdistan Workers' Party in the southeast, and predicted the moves will create massive complications among the land forces.

Aliriza said the military establishment, according to its traditions, puts forth its own promotion recommendations, with the participation of the prime minister and the defense minister.

Once they reach an agreement, the list is sent to the president for approval.

But there have been tensions between the country's military, which has supported the secular system over the years, and Erdogan's party, which has Islamist roots.

Accusations by Erdogan's government that military and secular figures were involved in coup plots have intensified hostilities.

The government wants to prevent these officers from getting promoted and holding key positions in the military while the military does not want them to be forced to retire.

Soner Cagaptay, director of the Turkish research program at the Washington Institute for Near East Policy and a visiting professor at Georgetown University, wrote in an article for CNN's Global Public Square on Friday that the military "is snapping under the weight of the ruling Justice and Development Party," known as the AKP.

"Historically the most-respected institution in the country and the kingmaker in Ankara, the military has seen its prestige and power free-fall since the AKP took power in 2002," Cagaptay wrote.

"Coup allegations, including assertions that the military was planning to bomb Istanbul's historic mosques to precipitate a political crisis, have hurt the Turkish army's standing. The military's status as the most trusted institution in the country is plummeting: in 2002, around 90 percent of the Turks said they trusted their military, while now most polls show that barely 60 percent say they do."

He mentions another court case, known as Ergenekon, which also accuses the military of involvement in a coup plot: "For the first time in its life, the Turkish military is like a deer in headlights, facing the political high beams of the Ergenekon case."

"And now the military has snapped. The straw that broke the camel's back came earlier this week, when pro-AKP media suggested that 14 active-duty generals and admirals who had been arrested in relationship to the Ergenekon case, though not yet indicted, would not only be bypassed in their promotions, but also forced to resign. Furthermore, only yesterday, the police arrested 22 additional top brass officers, blocking their likely promotion."

He said the "officer corps is demoralized," with generals and hundreds of other officers jailed with no indictments in sight.

"This is the Turkish military leadership's way of telling the government: 'We are done playing with you. Set up your own team -- if you can," he said.

Yesim Comert reported from Istanbul. Joe Sterling reported from Atlanta.

@highlight

NEW: The only top commander who did not quit is promoted

@highlight

The chief of the general staff and three top commanders are leaving

@highlight

There's a dispute over the future of officers in jail for a coup plot

@highlight

This comes ahead of a Supreme Military Council meeting