(CNN) -- The unbearable stench of rotting flesh. The search for relatives under heaps of rubble. The desperate pleas for food and water.

This is the scene playing out across much of the eastern Philippines after Typhoon Haiyan tore through. Just a few days ago, Tacloban was a bustling city; now, it's a devastated wasteland.

How did this happen? Here's a moment-by-moment account of how the typhoon plowed through the Philippines and changed the lives of millions forever.

CNN OPEN STORY: Typhoon Haiyan's impact

Anxiety before the storm

Even before Super Typhoon Haiyan struck Friday morning, forecasters warned it might be the strongest storm in recorded history. It was 3.5 times more ferocious than Hurricane Katrina -- and big enough to stretch from Spain to Sweden.

More than 700,000 Filipinos heeded warnings and evacuated to Red Cross shelters, Philippine Red Cross Chairman Richard Gordon said. But even emergency shelters proved no match for the storm. "People died there as well," Gordon said.

The first hit

The deafening winds started howling around 5 a.m. Friday. That's when the super typhoon made landfall in the eastern Philippines.

But it wasn't the abysmal 380-kph (235-mph) wind gusts that pulverized Leyte province. It was the epic 5-meter-tall (16-foot-high) wall of ocean water that crushed the city of Tacloban, smashing houses and floating them away.

Within seconds, the storm surge ripped children out of their parents' arms and washed them out to sea.

Three of Marvin Isanan's daughters -- ages 8, 13 and 15 -- were among those torn away. Isanan and his wife later found the bodies of the two younger girls.

"Only the eldest one is missing," Isanan said through tears. "I hope she's alive."

INTERACTIVE: 'The one building that survived the storm'

Deadly debris in the water

Moments after the storm surge came the next danger -- countless hazards in the rushing water, now up to two stories high.

Bernadette Tenegra's daughter was impaled by wooden splinters from smashed houses. The mother tried to help, but her daughter insisted she leave her behind, Tenegra said.

"Ma, just let go. Save yourself," Tenegra quoted her daughter's last words to the Philippine Daily Inquirer.

CNN's Andrew Stevens and Tim Schwarz and a team of storm chasers chronicled Haiyan's wrath from a hotel in Tacloban. But they quickly realized they would have to jump into the water and double as rescue workers to save those on the ground floor.

"The water came up with such alarming speed that it caught these people off guard," storm chaser James Reynolds said. He can't shake "the chilling sound of a woman screaming desperately as she was smashing a window with her hands."

Armed with mattresses, they ferried an elderly woman and a disabled woman across waist-high stormwater. But one of Reynolds' colleagues, Mark Thomas, suffered a massive leg injury when a rusty, jagged piece of sheet metal sliced his shin to the bone from under the water.

Apocalyptic scene

As the mammoth flooding began to subside, it left behind a catastrophic scene -- heaps atop of heaps of rubble where people were still trapped.

By Saturday, officials found more than 100 bodies scattered on the streets of Tacloban. And that's just one city.

The Philippines has thousands of islands. And calculating the damage across all of them -- not to mention getting crucial aid to survivors -- has been greatly hindered by power outages, damaged airports and debris-covered roads.

The Philippine Red Cross chairman said Saturday it may be another day or two before aid can arrive in Tacloban.

"It really is an awful, awful situation," Gordon said.

Desperate for food and water, some residents broke into grocery stores to keep their families alive. Others found themselves suddenly without families.

"Our house got demolished," one woman told CNN affiliate ABS-CBN. "My father died after being hit by falling wooden debris. We are calling for your help. If possible, please bring us food. We don't have anything to eat."

One man said he was still trying to find six family members. "My child has been buried in that island," he said.

Pleas for aid

For days, residents decried what they called incredibly slow aid responses -- including by local authorities.

But there's a reason for that, Tacloban Mayor Alfred Romualdez said Tuesday.

"We were paralyzed here in the city government," the mayor said. "Out of 300 policemen, only less than 30 were able to make it and showed up. And many are still missing."

Some residents have gone days without food or water. In an act of desperation, many walked hours to the Tacloban airport searching for sustenance and a chance to escape.

"Get international help to come here now -- not tomorrow, now," Magina Fernandez said. "This is really, really, like, bad. Bad. Worse than hell."

The countless dead

No one knows how many people Haiyan killed. By Tuesday, officials had counted 1,774 of the bodies, but say that number may just be scratching the surface. Some say a death toll of 10,000 is entirely possible.

"We have bodies in the water, bodies on the bridges, bodies on the side of the road," the Philippine Red Cross chairman said.

The Tacloban mayor added that untold numbers of bodies are also hidden under rubble.

More concerns ahead

The thick stench of decomposing bodies forced many survivors to cover their faces with towels or shirts. But between grieving the dead and fighting for their own survival, it may be among the least of their worries.

But the next concern is sanitation -- and whether those bodies could lead to a wave of disease.

Surrounded by rubble, children swarmed around a public well in Tacloban. They doused themselves with water and fill plastic cups and jugs.

"Even though we're not sure that it is clean and safe," Roselda Sumapit said, "we still drink it, because we need to survive."

CNN's Andrew Stevens, Paula Hancocks, Anna Coren and Ivan Watson in the Philippines and Brandon Miller in Atlanta contributed to this report.

@highlight

More than 700,000 Filipinos evacuated before the storm, but some of them still died

@highlight

The mayor of hard-hit Tacloban says many emergency workers became victims

@highlight

Parents and children were ripped apart when a 16-foot wall of ocean water crushed Tacloban

@highlight

Some residents have gone several days without food or water