Indonesia's top rescue official says authorities believe the missing AirAsia jet is likely at the bottom of the sea, based on radar data from the plane's last contact.

"(Because) the coordinate that was given to us and the evolution from the calculation point of the flight track is at sea, our early conjecture is that the plane is in the bottom of the sea," Bambang Sulistyo, head of Indonesia's national search and rescue agency, told reporters Monday.

But searchers still don't know where the plane is, he said, and may need help from other countries for help with an underwater search.

The search for AirAsia Flight QZ8501 resumed on Monday, a day after the commercial jet disappeared in Indonesian airspace with 162 people aboard.

Ships, planes and helicopters are looking for the missing aircraft, Indonesian authorities said.

It's unclear if weather played a role in the aircraft's disappearance, but rescuers say it could be a factor that influences how quickly they find the plane.

Large waves and clouds hampered the search for the plane on Sunday, the agency said. By Monday morning, weather in the area appeared to be clearing up, CNN International meteorologist Tom Sater said.

Authorities say they're combing a "very broad search area."

AirAsia says air traffic controllers lost contact with the aircraft at 7:24 a.m. Sunday Singapore time (6:24 a.m. in Indonesia).

The missing plane, flying from the Indonesian city of Surabaya to Singapore, went missing as it flew over the Java Sea between the islands of Belitung and Borneo -- a heavily traveled shipping channel with shallow waters, according to Indonesian authorities, who are leading the search and rescue operations.

Before the plane lost contact with air traffic controllers, one of the pilots asked to fly at a higher altitude because of bad weather, officials said.

AirAsia statement on missing airliner

In addition to Indonesia's teams, several other countries have joined the hunt for the missing plane.

A C-130 plane from Singapore has been participating in the search, and the country's military says it's sending two more ships to the search area. Malaysia's transportation minister said his country has deployed three vessels and three aircraft to assist in the search. And the Royal Australian Air Force said Monday that it was deploying a patrol plane to help.

And Indonesia has reached out to the United Kingdom, France and the United States for help with sonar technology that may be needed for an underwater search, Sulistyo told reporters Monday.

Now that a day has passed since the plane went missing, investigators should have more data to help them find it, said Peter Goelz, former managing director of the U.S. National Transportation Safety Board.

"They've had a full 24 hours now to gather all of the available radar data from all of the available sources," he said. "They should be able to put that together, along with any satellite data, and have a more precise location on where to target their search."

Waiting and weeping

After hours of waiting in anguish for any word about the passengers aboard the missing plane, several dozen of their family members met with airport and airline officials in a closed-door briefing Monday at the airport in Surabaya.

As they waited for news before the briefing, some took cell phone pictures of a flight manifest posted on a wall. The black-and-white papers showed every passenger's name and seat number, but not their fate.

Others simply sat and dabbed tears from their eyes.

"Our concern right now is for the relatives and the next of kin," AirAsia CEO Tony Fernandes said during a news conference in Surabaya. He confirmed that storm clouds caused the pilot to ask for a change in flight plan, but added, "We don't want to speculate whether weather was a factor. We really don't know."  Once the aircraft is found, there will be a proper investigation, Fernandes said.

Of the people on board the Airbus A320-200, 155 are Indonesian, three are South Korean, one is British, one is French, one is Malaysian and one is Singaporean, the airline said.

Eighteen children, including one infant, are among the passengers, the carrier said. Seven of the people on board are crew members.

Families of AirAsia flight passengers given support through the 'nightmare'

Questions over pilots' communications

Flight 8501 "was requesting deviation due to en route weather before communication with the aircraft was lost," the airline said.

The flight's captain asked permission to climb to a higher altitude, the Indonesian Transportation Ministry's acting director general for air transportation affairs, Djoko Murdjatmojo, said, according to the national news agency.

According to flight tracking websites, almost the entire flight path of the plane was over the sea.

What role did weather play?

CNN aviation analyst Mary Schiavo said that if there was an onboard emergency, the pilots should have issued a mayday call or a pan-pan call.

"Mayday means you're immediately in danger of losing the flight; pan-pan means that it is urgent but that you can continue the flight and request an alternate route or an alternate airport," said Schiavo, a former inspector general for the U.S. Department of Transportation.

"It's disconcerting in that the standard procedures for an emergency don't seem to have been deployed," she said.

But Alan Diehl, a former Air Force and NTSB accident investigator, said pilots don't always make mayday calls in an emergency.

"You know that the controllers can't really help you," he told CNN. "You and your co-pilot are going to have to solve this."

It's too soon to know what happened to the missing plane, he said. Details released so far show some similarities, Diehl said, with an Air Algerie flight that disintegrated and crashed in July after changing its flight path because of bad weather.

But there's also a chance that the AirAsia flight didn't crash after losing contact with air traffic control, he said.

The Airbus A320 is equipped with a ditching switch, Diehl said, that essentially turns the plane's fuselage into a boat.

"If they got the aircraft down on the water safely," he said, "it should be floating."

'Very good' safety reputation

As word spread of the missing plane, the airline changed the color of its logo on its website and social media accounts from red to gray.

Indonesia's President Joko Widodo said his nation was "praying for the safety" of those on board. Pope Francis also prayed for the missing, according to Vatican Radio.

AirAsia is a Malaysia-based airline that is popular in the region as a budget carrier. It travels to about 100 destinations, with affiliate companies in several Asian countries.

The missing plane is operated by AirAsia's Indonesian affiliate, in which the Malaysian company holds a 48.9% stake, according to its website.

AirAsia has a "very good" reputation for safety, CNN aviation correspondent Richard Quest said.

Flight 8501's captain has a total of 20,537 flying hours, with 6,100 of them with AirAsia Indonesia on the Airbus A320, the airline said. The first officer has a total of 2,275 flying hours, AirAsia said. The plane's last scheduled maintenance was on November 16, it said.

The French Foreign Ministry said the first officer is the French citizen who is on the plane. A state-run company in Indonesia that manages airports identified the first officer as Remi Emmanuel Plesel.

Airbus said the plane had "accumulated approximately 23,000 flight hours in some 13,600 flights." The aircraft manufacturer said it would provide full assistance to authorities in charge of investigating the missing plane.

The loss of contact with the AirAsia plane comes nearly 10 months after the disappearance of Malaysia Airlines Flight 370, which dropped off radar over Southeast Asia on March 8 with 239 people on board.

The Malaysia Airlines plane, a Boeing 777-200ER, lost contact with air traffic control over the South China Sea between Malaysia and Vietnam.

Searchers have yet to find any debris from Flight 370, which officials believe crashed in the southern Indian Ocean after veering dramatically off course.

But some aviation experts don't think the search for Flight 8501 will be as grueling as the search for MH370.

"We are not talking about the deep Indian Ocean here," Quest said. "We are talking about congested airspace around Southeast Asia. There will be much better radar coverage. There's certainly better air traffic control coverage."

@highlight

Indonesian official: "Our early conjecture is that the plane is in the bottom of the sea"

@highlight

Ships, planes and helicopters search for missing commercial jet

@highlight

CNN meteorologist says weather in the search area appears to be improving

@highlight

Airline briefs passengers' family members at Indonesia airport