(CNN) -- Iranian citizens who support peaceful change that will allow them to enjoy their human rights expect the international community, and in particular the United Nations, to hold the Islamic Republic to account.

The new session of the U.N. Human Rights Council began on March 1. A failure of the world's most influential human rights body to deal with the abuse of human rights in Iran will be interpreted by Tehran as a green light for the government's brutal policies that could result in more executions of political prisoners.

Scores of peaceful demonstrators have been killed on the streets or in prison since the disputed June 2009 presidential elections.

Four political prisoners have been executed and others, including 20-year-old Mohammad Amin Valian, who has been convicted of "enmity against God" for throwing rocks at a demonstration, face death penalties. More than 1,000 Iranians are behind bars for expressing their political views. Leading politicians and clerics are calling for the harshest sentences for more of these prisoners.

In February, Iran's human rights record was examined under the Universal Periodic Review procedure. A number of U.N. members expressed deep concern about post-election abuses and chronic problems such as torture, the execution of juvenile offenders and discrimination against women. Other countries praised Iran's progress in improving social welfare.

At the end of the exercise, Iran rejected outright recommendations to end juvenile executions, end torture, release illegally detained persons, and prosecute officials guilty of rape, torture and murder in prisons. They rejected recommendations to end legal discrimination against women. They rejected the idea of inviting U.N. special rapporteurs -- none of whom as has been allowed to visit Iran since 2005 -- to examine the allegations.

While atrocities since June have horrified people around the world, leading to demonstrations by more than 50,000 people in 110 cities last summer, Iran seems, astonishingly, to be strengthening its standing in the Human Rights Council.

The 47 member states have shown no willingness to hold a special session, as many international human rights experts have recommended, nor have they supported the idea of a special U.N. envoy to look into the situation, and to press Iran to abide by its commitments.

One reason seems to be that the international community is preoccupied with persuading Iran to keep its nuclear development program from creating an atomic weapon. Even without a bomb, Iran already seems to have achieved a form of nuclear deterrence: The nuclear issue creates conflict that justifies police state methods to keep the population under control, while reducing international pressure to end such abuses, which other states fear will spoil delicate negotiations.

The strategy is working for the Iranian government. Now they have their sights set on gaining a place on the Human Rights Council itself in elections by the U.N. General Assembly that will take place in May.

The failure of the Human Rights Council to take serious action to condemn Iran's human rights abuses, and the election of Iran to the Human Rights Council itself, will be deeply disillusioning for the reform and human rights movement in Iran. It could destroy their faith in the international human rights system, for which many have sacrificed their freedom and security, and for which many have died. It will give legitimacy to hanging political prisoners, and more will be hanged.

But this issue is not just about Iran. It is about the capacity of the U.N. system to protect human rights. If Iran's grave abuses are ignored and if Iran assumes a place on the council, the council will be further weakened. Other dictatorial regimes will be emboldened to repress their citizens.

That is why it is crucial that members of the U.N. Human Rights Council make it clear to Iran, in a resolution that cannot be brushed off, that torturing and executing political prisoners is not acceptable. And that is why the U.N. General Assembly must reject Iran's candidacy.

The opinions expressed in this commentary are solely those of Hadi Ghaemi and Aaron Rhodes.

@highlight

Co-authors say U.N. Human Rights Council has yet to take serious action against abuses in Iran

@highlight

They say many protesters against conduct of election have been killed or jailed

@highlight

Iran is seeking to gain a seat on the Human Rights Council

@highlight

Co-authors says seating Iran would be a betrayal of that nation's civil rights movement