(CNN) -- They dedicate their lives to saving others, but as Ebola spreads worldwide, health care workers must also focus on saving themselves.

An American doctor and a North Carolina missionary working with Ebola victims were the first to bring the deadly virus to the United States when they contracted the virus in Liberia and were flown home for treatment.

Now, a Dallas nurse has set a similar milestone, becoming the first person known to have contracted the disease inside the U.S. She was wearing the proscribed protective gear -- gloves, mask and shield -- while recently caring for Liberian national Thomas Eric Duncan at a Dallas hospital. Duncan died last week.

While the Texas nurse remains in isolation, a nurse in Spain who contracted the virus after treating a patient in that country is struggling for her life.

There are so many caregivers who've become patients. At least 416 health care workers have contracted Ebola, and at least 233 have died, the World Health Organization reports. In Liberia, the worst-affected country, the virus has killed more than 100 medical workers.

Since the Ebola outbreak began -- the worst the world has seen -- doctors and nurses have described working conditions no one should endure.

Every single move they make in treating a patient must be perfect. One slip-up -- a torn glove or the smallest splat of infected fluid that gets on them -- could cost them their lives.

One provider in West Africa spoke of waking up every morning with a sore throat from constantly breathing in the fumes from chlorine that must be constantly sprayed to kill the virus that is capable of thriving not just in living organisms but on surfaces for some time if conditions are right.

Health care workers battle not just a disease but rumors among patients in Africa that Ebola is a myth the government is perpetrating. In a profession that already demands much emotionally and physically, these caregivers are pushed to the edge in both respects. They have lost friends, colleagues and patients.

All this as they beat back their own understandable paranoia and fear. Have I done everything correctly? Could I be next?

Caregivers' cry for help

Last week, Doctors Without Borders, an independent international organization that helps victims of tragedies in the world's most dangerous zones, said that a Norwegian staffer had contracted Ebola. The staffer had been working in the Sierra Leone city of Bo and was being sent to Europe for treatment.

Doctors Without Borders said it's repeatedly asked for help from the international community but "to this date, very little has materialized in concrete action on the ground," its website says. The organization's teams, composed of 3,058 staff working in Guinea, Liberia, Nigeria, Sierra Leone and Senegal, are seeing "critical gaps in all aspects of the response, including medical care, training of health staff, infection control, contact tracing, epidemiological surveillance, alert and referral systems and community education and mobilization."

In September, CNN visited Bomi County, Liberia, where there were only two doctors covering its 85,000 residents and trying to care for Ebola patients in a 12-bed facility that wasn't even a proper Ebola treatment center.

A nurse inside a Monrovia clinic wore a camera showing his job, revealing that he worked inside a clinic with seemingly unclean conditions. Patients were lying on stretchers on floors that appear filthy, and there were open buckets lying around with objects and substances in them.

The situation for caregivers across Liberia has become so dire that nurses are now are threatening to strike.

Just days ago, CNN's cameras captured crowds of caregivers yelling outside Liberia's largest Ebola treatment center in Monrovia.

Underscoring the serious consequences of a Liberia without health care workers, President Ellen Johnson Sirleaf arrived to try to calm the crowd.

"We're trying to meet all their needs, and we'll continue to do that," she told CNN, struggling to be heard above the shouting.

"I don't want to strike," one caregiver said, telling CNN that he foresees deaths increasing several thousand-fold if facilities' conditions don't improve.

"But the President has to listen to the massive health care workers out there," he said. "There are angry people. You don't want to have angry people knocking on your doors during this kind of emergency situation."

This weekend, The Washington Post detailed horrific conditions at a Monrovia Ebola facility where one doctor died from Ebola and another tested positive for the virus. The Post reported: "Doctors put on their protective gear in the kitchen. There is no incinerator, so a 10-foot pile of Ebola-laced garbage and excrement sits in the back yard. There is no morgue, so bodies sometimes decay outside, next to where patients sit in white lawn chairs. There are no protective hoods for the full-body medical suits," so caregivers make their own.

There have also been questions about how tight security is at health care centers. In August, CNN reported that an Ebola treatment facility in Monrovia was overrun by an armed mob who stole mattresses and equipment. Ebola patients fled, local authorities said.

A legacy of self-sacrifice

The mother of modern nursing, Florence Nightingale, suffered for her dedication to treating patients during the Crimea War. It's believed that she also contracted a bacterial infection as she treated the wounded, dealing the effects of the illness for much of her life.

Just as Nightingale was revered as a hero, so too was Dr. Sheik Umar Khan, a top doctor from Sierra Leone who specialized in Ebola. He died in late July from the virus.

He had been overseeing Ebola treatment at Kenema Government Hospital, about 185 miles east of Sierra Leone's capital city, Freetown. Doctors Without Borders was treating him.

If Khan could get sick, then any other caregiver could, wrote Dr. Oliver Johnson from King's College London, who treated Ebola patients this summer.

Read more: Ebola's frontline -- battling fear and the deadly virus

Even before the Ebola outbreak, Sierra Leone had already been suffering from a shortage of doctors, nurses and infrastructure, he said. The jobs of health care workers were made all the worse when they attempted to track and monitor the contacts of infected people because roads were difficult to traverse. Crowded housing made the effort even more difficult, he said.

Yet even with the best medicine in the most modern facilities does not guarantee safety.

The nurse at Texas Health Presbyterian Hospital in Dallas who has Ebola had "extensive contact" at the same hospital with an Ebola patient who died last week, health officials said.

The woman had on a gown, gloves, mask and a shield when she visited the patient multiple times, they said, but there was a breach in treatment protocol.

Dr. Tom Frieden, the director of The Centers for Disease Control and Prevention, did not detail what that breach might have been.

But Frieden did say that merely taking off protective gear is "a major potential area for risk" if not done meticulously, and officials are investigating whether that's what might have caused the nurse to become infected.

Hours after Frieden spoke, nurses who are part of the union National Nurses United gathered in Oakland, California, for their own news conference. Holding up signs that said "Stop blaming nurses. Stop Ebola," they blasted the notion that they would be at fault.

Her voice rising as she spoke, Katy Roemer, a 20-year nursing veteran, said that colleagues throughout the United States. have reported to the union that they are not being adequately trained to recognize and care for Ebola patients even though they have asked employers for that.

"They have not given us this information," she said.

Enormous pressure and risks

What does it feel like to know you're going to treat a patient with a disease that kills 90% of its victims?

What is it like to have never before dealt with Ebola, but know that a patient is about to land in your hospital under your care?

"There was no way to fully prepare for the pressure, the national focus, the immensity of being responsible for curing a patient whose deadly disease was at the center of global debate," wrote Angela Hewlett in The Washington Post. The infectious disease physician is an assistant medical director for the Nebraska Biocontainment Patient Care Unit at the Nebraska Medical Center where she treated American Dr. Richard Sacra.

Sacra, who had worked as a missionary in Liberia, was treated in isolation at the Nebraska Medical Center in Omaha and then released after testing negative for the virus.

She wrote about going through drills and training and about feeling nervous before he arrived. She talked with her family about what they might experience from people judging or making comments born of ignorance and fear about the virus.

She also illuminated the difference between a doctor who able to connect and comfort a patient through touch by placing a hand on an arm. Establishing that calm and assurance is a vital and human part of being a caregiver. But Ebola takes that from nurses and doctors. It is interrupted by bulky gear. The key to not getting Ebola, after all, is to keep those suffering separate from others.

And yet nurses and doctors continue their work out of practical necessity and because it's their commitment and passion and because, as Hewlett noted, they are fascinated by how medicine might defeat a virus that's considered a global threat.

And for some in West Africa, it really is a matter of survival.

"What's else can we do? If we don't do it, who will do it for us?" one Liberian nurse told CNN. "So we have to take the risk and care for the patients or else our country will be wiped away."

Read more: Cuban doctor train to fight Ebola

CNN's Nima Elbagir contributed to this report.

@highlight

WHO: At least 416 health care workers have contracted Ebola; at least 233 have died

@highlight

Caregivers deal with fear among patients and themselves; many grapple with lack of equipment

@highlight

A Dallas nurse became the first person known to have contracted Ebola inside the U.S.

@highlight

The nurse was treating a Liberian national in Dallas who died from the virus last week