Beijing, China (CNN) -- Can Lee Kai Fu make innovation work in China?

Lee is the former president of Google in China who left the Internet search giant last Fall just months before the company's high profile scuffle with the Chinese government over censorship rules and alleged hacker attacks.

That furor raised Lee's international profile, but the 48-year-old is now fully focused on the future, hoping to inject a new spirit of innovation into Chinese business with his investment and incubation company Innovation Works.

"People expect Innovation Works to be magical," said Lee during an interview with CNN in June at his company's offices, located just across the street from Google's China headquarters.

"The great anticipation outside of Innovation Works is both a pressure for us as well as something that excites people. I want to make a plea for people not to expect miracles."

That pressure comes as Lee has a good track record in the West and a reputation, especially among young Chinese, as a business role model.

Originally from Taiwan, Lee studied computer science at Columbia University in New York and later earned a doctorate in the same field from Pittsburgh's Carnegie Mellon University where he was also a lecturer.

He then worked for Apple and moved to China in 1998 to head up Microsoft's Research division in Beijing. In 2005, he joined Google to lead the company's operations in China.

While Google's share of the Chinese search market increased from nearly nothing to around 30 percent under Lee's watch, some questioned his leadership skills and whether his exit was influenced by an early knowledge that Google would announce in January potential plans to close its Chinese operations.

"I don't think he should be held responsible for the existing circumstances of Google in China," said Keso, a Beijing-based tech blogger who traveled with Lee to Google's Mountain View, California, headquarters in 2006.

"If there's blame, Google's choice to enter the Chinese market might have just been a mistake from the very beginning."

Even so, Lee's legacy with Google is one that remains with him today and won't fade anytime soon.

However he's reluctant to talk about his former employer.

"I can never please any audiences with what I have to say [about Google]," Lee told CNN. "So, I would rather not talk about it."

Instead Lee would rather talk about is his efforts to foster a mentality that values long-term success rather than instant riches and the need to reform a Chinese education system that focuses on rote memorization over individualistic, out-of-the-box thinking.

In addition to the four books Lee has authored on such subjects, he also regularly lectures at Chinese universities and has become something of a mentor to many students.

"I have had a certain impact at Microsoft and Google, but the larger impact have been the lectures and the books," Lee said.

"I don't think I have been particularly profound, but I think people need guidance and mentorship at a very confusing time."

Lee and his staff offer young Chinese entrepreneurs, engineers and project managers financial support and guidance to help them build companies and launch products for China's 400 million Internet users and 700 million mobile subscribers.

Since Innovation Works was launched, it has received 100,000 resumes, reviewed 500 business plans and amassed around $115 million in funds from investors, Lee said.

Today, it has 200 staff members and is incubating 12 start-ups, five of which Lee unveiled to journalists earlier this week during a tour of a new office space the investment company will move into later this month.

He also unveiled five of the companies Innovation Works are supporting and the products they are developing for the Chinese market. The projects, heavily focused towards mobile Internet, e-commerce and cloud computing, included an Android operating system called Tapas with features tailored for Chinese handset users.

"An early stage entrepreneur who wants to build up companies will face a lot of trouble in China," Lee told reporters.

"It is not as good as it seems. Even though you hear a lot about the start-up world being wonderful, they face a lot of trouble."

Some investors question whether Lee, who has never been an entrepreneur himself, has what it takes to help new companies succeed.

"A common perception is he is Google and he is a professional manager and pretty much has been his entire life and never really run a start-up before and never done investing before," said an investor who declined to be identified due to his firm's interest the companies Innovation Works is incubating.

"It is going to be tough for him."

Others are concerned the start-ups Lee is coaching may not be able to survive in the harsh business climate of China where many deals are won under-the-table and profits are sometimes earned in down-and-dirty ways.

"I don't think they can take the low ground because they have the burden to always be taking the higher ground," said another investor who also declined to be identified.

"Most businesses in China make money doing business in gray areas or crossing lines. [Innovation Works] will always have to take the higher ground, which means they may never be making as much money as competitors.

"I think it will be innovation at work, which is not Innovation Works. But we have to give Lee the benefit of the doubt."

Yet for Lee, the benefits he says Incubation Works is imparting to young entrepreneurs is far more important than the doubts anyone may have about him, the company and the success it may or may not have beyond its offices here in Beijing.

"Even if our result is not brilliant, or it is not changing the world, I am very certain the people who come out of here will be better people because of what we have done," he said. "I do think in the end it is the result that will tell the story."

@highlight

Former boss of Google in China has new business called Innovation Works

@highlight

Aims to support technology start-ups in China and foster innovative culture

@highlight

Opinion is divided over Lee's ability to bring success to young companies

@highlight

Lee formerly worked for Apple and Microsoft; viewed positively among young in China