(Time.com) -- Why do some people find it impossible to get rid of old newspapers and junk mail, and end up hoarding them instead?

New research suggests that hoarders have unique patterns of brain activity when faced with making decisions about their possessions, compared with healthy people. And despite the fact that hoarding has traditionally been seen as a symptom or subtype of obsessive compulsive disorder (OCD), brain activity in those who cannot de-clutter is also distinct from that of people with typical OCD, the study shows.

"Many things are unique and distinct about hoarding," says Dr. Eric Hollander, director of the autism and obsessive compulsive spectrum disorder program at Montefiore/Albert Einstein School of Medicine in New York, who was not associated with the new research.

He notes that the new study adds to the evidence that hoarding should be recognized as a specific syndrome that falls not under the standard definition of OCD — only about 18% of people with hoarding symptoms meet the full criteria for OCD as it is currently defined — but within a spectrum of related conditions.

"[This] is a very interesting and important study," he says.

Indeed, a separate diagnosis of hoarding disorder has been proposed for inclusion in the upcoming revision of psychiatry's diagnostic manual, the Diagnostic and Statistical Manual of Mental Disorders (DSM-5).

Time.com: Real-world hoarders and obsessive-compulsives

For the new research, published in the Archives of General Psychiatry, David Tolin of the Institute of Living in Hartford, Connecticut, recruited 107 people for brain scans using functional magnetic resonance imaging (fMRI). Forty-three people had hoarding disorder, 31 people had OCD and 33 participants were normal controls.

The participants were asked to bring a sample of their own junk mail or newspapers to the lab and were assured that researchers wouldn't throw out anything they wanted to keep. The participants were also told that while they were having their brain activity imaged, they would be asked to decide whether to keep or shred these papers.

Inside the scanner, the participants were shown images of either their own stuff — preceded by a slide identifying it as "Yours" — or images of junk mail and newspapers from the lab, labeled "Ours." For each item, they had to decide whether or not to submit it to the shredder.

Not surprisingly, people with hoarding disorder chose to keep more of their own items than did those with OCD or those without a diagnosis. When they were faced with tossing or keeping their own items, the hoarders' brain responses also differed from that of the other participants: they showed excessive activation in the anterior cingulate cortex, a brain region involved with decision-making, particularly in situations involving conflicting information or uncertainty.

Activity was also elevated in the insula, a region that monitors one's emotional and physical state (it's also involved in disgust, shame and other strong negative emotions). Together, these regions help assign relative levels of importance or significance to objects.

Time.com: A better way to treat obsessive-compulsive kids

"Hoarders have great difficulty making decisions, especially around the value of their possessions," says Michael Jenike, an OCD expert and professor of psychiatry at Harvard, who was not associated with the research. "This study is very interesting as it demonstrates that brain regions associated with monitoring for errors under conditions of uncertainty are activated when hoarding patients are deciding whether or not to throw out personal items."

In other words, hoarders assign too much value to their possessions, making it difficult or impossible to decide to get rid of them.

Consequently, the study found that people with hoarding disorder took much longer to make decisions about discarding their possessions and felt more sadness and anxiety about these choices than did the other participants.

"One of the characteristics of hoarding is that people feel this sense of discomfort if they feel like they may be giving away something that they could use in future," says Hollander, explaining that patients often become greatly distressed or even angry if they are pushed to give up apparently useless or excess possessions.

Interestingly, however, when people with hoarding disorder made similar decisions about discarding junk mail that didn't belong to them, they again showed unusual levels of activity in the anterior cingulate cortex and insula — but in this case, their brain activity was much lower than normal.

The paper's authors note that the reduced activity is a "pattern reminiscent of that seen in patients with autism," who are often disengaged from others and who, like hoarders, have rigid routines as well as obsessive behavior.

The authors suggest that this lack of brain activity could be linked with the "diminished motivation and poor insight frequently observed" in patients who hoard; that is, it may be what allows them to live amidst overwhelming clutter and piles of junk, but fail to clear it out or even be bothered by it.

Time.com: Want to make quicker decisions? Muzzle your brain

Meanwhile, the hyperactivity in these regions may make them overly anxious about and attached to their own possessions, rendering them too overwhelmed to decide to change.

Hollander compares it to a "check engine" light that keeps flashing on the dash for no reason. A healthy person might be able to disregard the alarm as irrelevant, but the hoarder becomes obsessively focused on it.

"One problem with hoarding, and with OCD, is that when that alarm goes off, it becomes more and more important and the brain pays more and more attention to these signals." says Hollander. "The [person's] specific concern becomes more and more salient and other routines and activities become less salient, and that's what's associated with functional consequences. Their lives get smaller and smaller."

So, it's not that hoarders are slobs or obsessive collectors. Rather, it's that they have problems making the kinds of decisions about their stuff that others would consider reasonable.

Time.com: How supermarkets turn shoppers into hoarders

Hollander notes also that the new findings could have important implications for the treatment of hoarding. A new type of transcranial magnetic stimulation (TMS), for example — a therapy that uses non-invasive electrical stimulation of the brain to treat depression — may work for people with hoarding disorder.

Although the TMS currently used for depression doesn't reach all brain regions, the new type may be able to affect the insula.

"Because of the shape of the coil, it can penetrate more deeply into brain," says Hollander. "This study suggests that if you want to treating hoarding, the insula would be a good target."

This article was originally published on Time.com

Inside the hoarder's brain: A unique problem with decision-making

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Brain activity of hoarders is distinct from that of people with OCD

@highlight

Separate diagnosis of hoarding disorder has been proposed for DSM-5

@highlight

Hoarders show excessive activation in the anterior cingulate cortex