Phoenix, Arizona (CNN) -- When America's financial institutions crumbled and housing values plummeted, cities and families across the nation felt the tremendous impact.

Almost overnight, the reality of how we live our lives and govern our communities shifted dramatically. To make matters worse, no road map to help us navigate these new and troubled waters was delivered to our doorstep. It had to be created.

Endless dialogue and analysis about whether or not the American Recovery and Reinvestment Act (ARRA) is working has become a cottage industry among economists, professors and political commentators.

The debate of whether or not the stimulus has in fact "stimulated" our economy will continue for months, and possibly years to come. But the picture in Phoenix, Arizona, is clear: Because of ARRA, key projects are under way, our environment is improving -- and thousands of people are going back to work.

Meet James Ceaton.

Phoenix has more than 300 days of sunshine a year, so it doesn't surprise anyone to learn that a key to our local economy is tourism. Moving individuals in and out of Phoenix Sky Harbor International Airport efficiently is critical to our economy.

At a time when our economy had slowed to a point where new infrastructure projects did not seem possible, the city was awarded $11.7 million from ARRA to reconstruct a taxiway at the airport. Until now, the taxiway was able to handle only small aircraft and ground vehicles. When complete, it will be capable of moving large commercial aircraft between the north runway and the terminals at Sky Harbor.

Ceaton is a construction worker who was hired for the job. "Without the stimulus," he told the Phoenix Business Journal, "I would still be out of a job." Because of the stimulus, though, he continues to work, to support a family, to pay a mortgage and to make purchases that contribute to our economy.

Meet the Lovato family.

While cities on the East Coast struggle to keep utility bills low for residents during cold winter months, our hot summer months can cause a significant economic burden on Phoenix residents.

The Lovato family in central Phoenix was the first family of 1,200 households that will benefit from the city's $7.2 million ARRA weatherization grant during the next three years. Weatherizing the Lovatos' home is expected to shave 30 percent to 40 percent from the family's $440 monthly energy bill. The project also employed six full-time and a dozen part-time workers.

Scott Lovato, who lives with his wife, Angela, and two children, Christian, 13 and Sarai, 11, commented, "At a time when the economy really stinks and people were out of work, a lot of people were working on this," he said. "This put paychecks in their pockets so they could feed their families. I think that is probably the best thing out of all of this."

Meet Jeanne Simons.

Simons is a seventh- and eighth-grade teacher at Gateway School in Phoenix. Last year, she was told that if ARRA funds were not approved, she would lose her teaching position. If her position had been eliminated, the remaining teachers would have faced class sizes of between 40 and 50 students -- a daunting task for any educator to face.

Ceaton, the Lovato family and Simons are only three of the thousands of Phoenicians who continue to be employed and contribute to our economy. And they, and we, have the ARRA to thank for it.

The opinions expressed in this commentary are solely those of Phil Gordon.

@highlight

Phoenix mayor Phil Gordon says the stimulus is creating jobs in his city

@highlight

He says the federal program is helping Phoenix meet needs that have long existed

@highlight

Gordon says the program is responsible for construction jobs and for retaining teachers