The lead that the presidential candidate of Honduras' ruling party has amassed during ballot-counting is "irreversible," electoral officials said, but refrained from naming an official winner to Sunday's vote.

The reluctance to definitively declare a winner speaks to the abundance of caution surrounding the electoral system, but also to the political tensions that have accompanied the vote.

Already, two presidential candidates have claimed victory, and a third political party says it has data that suggests it came out on top.

This was second presidential election (but the first truly robust one) since the 2009 coup of former President Jose Manuel Zelaya, which ushered in a period of political turmoil.

With about two-thirds of ballots counted, ruling party candidate Juan Hernandez led with 34% of the vote, followed by 29% for Xiomara Castro, who is Zelaya's wife.

"These percentages, these trends, according to the calculations we have done, have not changed since the first day," said David Matamoros, president of the Supreme Electoral Tribunal. "So, today, we can tell the Honduran people that the final results will be the same as what we have today."

Matamoros called Hernandez's lead 'irreversible."

Castro's camp did not immediately comment on these latest results.

Traditionally, Honduras has had a two-party system, alternating the presidency, but this year's ballot had eight candidates for president, half of whom were contenders.

Following her husband's ouster from office, Castro founded the Liberty and Refoundation Party (LIBRE) on a platform that carried on her husband's projects and found herself at the top of some polls. A victory by Castro would have been a remarkable comeback for Zelaya back to the presidential palace, even as a first husband.

In a race where the economy and public security were among the most important issues for voters, the final polls before the election showed a statistical tie between Hernandez and Castro.

Sunday night, both leading candidates claimed victory: Castro announced her win on live television, while Hernandez did so on Twitter.

LIBRE said earlier it does not recognize the preliminary results.

"To us, this does not reflect reality. There inconsistencies that have been detected, irregularities that have been found, we are collecting these," a party spokesman said Tuesday.

A third leading party, the Liberal Party, also rejected the results, saying that hundreds of ballots are missing at that their own calculations show their party winning 26% of the vote to 25% of the vote for the other two leading contenders.

'There has to be order'

With the inevitable confirmation of Hernandez as president-elect, all eyes are on the opposition parties and how they will react.

In an interview with CNN en Español, Hernandez said that he has publicly invited Castro and the other candidates to dialogue about moving forward in a way that avoids conflict.

"There has to be order in the country," Hernandez said. "There has to be respect and tolerance in the country, those are the rules."

The voter turnout, at more than 60%, was an encouraging sign in a country where faith in democracy has been thin at times. The country remains one of the poorest in the hemisphere and has one of the world's highest murder rates.

Given these challenges, observers hope that political upheaval is added to the mix.

If Castro does not concede, the alternative might be to allege fraud and to appeal the election through the electoral tribunal.

Reports on whether Sunday's vote was free and fair are mixed.

"What we can say at this moment is that Sunday's election was very transparent," said Luis Sobalvarro, Honduras director of the International Foundation for Electoral Systems, a non-governmental organization.

There were some irregularities, like in any election, he said, but nothing that could affect the results of the vote.

Observers from the Organization of American States said Tuesday that the electoral process had been clean.

"The mission considers it important to emphasize that there were elements that contributed to the transparency of the process and therefore, give reliability to the preliminary results reported so far by the Supreme Electoral Tribunal," observer Enrique Correa told reporters.

One international observer, Suyapa Portillo of Pitzer College in California, said she had recorded a number of irregularities.

At one hotel where observers were staying, masked men with shirts labeled "immigration" emptied the place and checked everyone's identification, she said.

"It had an effect on the observers because it was an act of intimidation," she said.

She said she also heard reports of immigration agents questioning the credentials of observers working for the opposition parties.

The United States, which was criticized for being slow to condemn the 2009 coup, said in a statement that observers found the elections "generally transparent."

"The United States calls on Hondurans to await the completion of the counting of official results and to resolve election disputes peacefully through established legal processes," the State Department said.

The potential for unrest and a showdown between presidential candidates has some observers upset.

"The Honduran citizenry has shown itself to be a first-rate citizenry, with second-rate politicians," political analyst Raul Pineda said.

@highlight

Electoral officials say that Juan Hernandez is ahead in the vote count

@highlight

His lead at this point is "irreversible," one says

@highlight

But Hernandez has not yet been named the official winner

@highlight

Political tensions have accompanied these elections