(CNN) -- Few dinosaurs have as interesting a back story as the spinosaurus. In life, it dominated the waterways -- a 50-foot-long behemoth that employed its blade-like claws and conical, razor-sharp teeth to annihilate its prey. It chomped down on sharks for breakfast.

Ninety-five million years after its extinction, this strangely aquatic dinosaur -- the only one of its kind that we know of -- has had to contend with Nazis, bomb raids, armed gangs and mysterious moustachioed men. Its story has all the makings of a spy novel.

The most recent chapter in the spinosaurus' long and very bizarre tale occurred last year when Nizar Ibrahim, a German-Moroccan palaeontologist from the University of Chicago, uncovered the most complete skeleton fossil of the species yet found in Morocco's Sahara Desert.

It also happens to be the only remaining skeleton of the species, as all other physical evidence of the spinosaurus was obliterated 70 years ago.

"It's a really mysterious dinosaur. (Until now), all we had was little bits and pieces, tantalizing clues and drawings of a partial skeleton that had been destroyed in World War II," explains Ibrahim.

Early bones

The first, and up until recently only, spinosaurus skeleton ever found was uncovered by a fossil collector working for German palaeontologist Ernst Stromer -- then one of the world's leading experts on the enigmatic dinosaurs of North Africa. For years, Stromer unearthed a paleontological treasure trove in the Sahara.

"Ernst Stromer was really a very productive scientist. He was an explorer, and he was really the first person to resurrect the lost world of Africa's dinosaurs in a big way," says Ibrahim.

Unfortunately, his luck turned with the onset of a war that would rob him of his sons -- two died in battle while the third barely survived a five-year imprisonment -- and his life's work. Most of his finds were stored at a palaeontology museum in Munich. He begged the director to relocate the dinosaur collection, but was refused, and in April 1944, an allied air raid destroyed the institution and Stromer's findings.

"Everything went up in flames, and Stromer lost all these incredible finds in a single night," recalls Ibrahim, who considers Stromer his role model.

"Resurrecting the spinosaurus -- his most famous discovery -- was the best way to bring Stromer back into the books of dinosaur palaeontology," he says.

The man with the mustache

Ibrahim's hunt for the spinosaurus began in 2008 when he met a moustachioed Moroccan fossil hunter who was proffering rare-looking samples from a cardboard box.

"One piece looked really interesting. It was a blade-shaped piece of bone and I did think at the time that maybe this is a chunk of the spine of spinosaurus," he recalls. Years later, colleagues from the Natural History Museum in Milan showed him similar samples of what they, too, believed was a partial skeleton of a spinosaurus.

"It was spectacular. We had leg bones and spines and ribs and skull bones. It was very exciting, but we had a big problem. We had no idea where the skeleton came from, (which) means we don't know anything about the environment the animal lived in, the geological context, or if the bones were found in the same place," he says.

With a closer look, however, the bones looked familiar. Ibrahim suspected they not only came from the same site as the specimen he was shown in Morocco, but from the same dinosaur. What followed was a five-year hunt for the man with the mustache -- it was the only detail Ibrahim remembered about the encounter.

In 2013, Ibrahim called off the search while sipping mint tea with colleagues in a Moroccan cafe.

"I think I was a little naive and very optimistic, and ... we thought, OK, we can't find the guy, so that's the end of our mission impossible. Just like in a bad Hollywood movie, the very moment when I was ready to throw in the towel, a man walked passed our table. The man had a mustache and it was the man I had been looking for."

After Ibrahim caught up with him, the man took him back to where he first made the finds. Further excavations dug up even more bones, most likely from the same animal. The collection painted the most complete picture to date of what the animal looked like and how it lived.

Mainly, Ibrahim was able to ascertain that spinosaurus was an aquatic dinosaur (a first; previously, there was no known evidence of such a creature). Dense bones -- rare in dinosaurs but common in penguins -- provided the animal with buoyancy in rivers, while a crocodile-like snout helped it both to breathe and sense movement underwater. A seven-foot "sail" on the animal's back helped it navigate through the seas.

The findings were published in the journal Science last month, are the cover story of this month's issue of National Geographic, and are also currently the subject of an exhibit at the National Geographic Museum in Washington.

The Sahara: Land of giants

The Sahara of today can be pretty inhospitable. The land is vast and remote, and offers few visual clues. Temperatures rarely dip below 100 F, and high winds make for some ferocious sandstorms.

The sand is also riddled with booby traps: Scorpions, snakes and landmines -- not to mention the odd armed militia doing the rounds -- which tend to keep most palaeontologists at bay. Ibrahim, however, is addicted to the landscape.

"The Sahara is a magical place. You'll find fossils of giant fish and river turtles and crocodile-like predators, and that's when it hits you: This place was very, very different 95 million years ago. It was a bizarre world, really like a different planet," he says.

In place of the current, seemingly endless expanse of sand, there was a river system that housed all manner of strange creatures.

"I call it 'the river of giants.' (There were) giant sawfish and lungfish, flying reptiles -- some with wingspans of six or seven meters -- and lots of predatory dinosaurs."

It's a place Ibrahim is eager to revisit.

"Let's just say this isn't the last time I travel to the Sahara in search of lost worlds and bizarre creatures," he says.

@highlight

Nizar Ibrahim found the most complete skeleton of spinosaurus

@highlight

It's the first known aquatic dinosaur

@highlight

The only other skeleton was destroyed in a bomb raid

@highlight

It's bigger than T-Rex