ATLANTA, Georgia (CNN) -- By the end of World War II in April 1945, with about two-thirds of European Jewry wiped out, Jewish survivors stepped out of the darkness in search of a place to call home.

Bestselling author Anita Diamant releases her latest historical novel, "Day After Night."

About 250,000 were considered displaced persons, according to the United States Holocaust Memorial Museum. A growing number of Jews -- before, during and especially after the war -- dreamt of helping to build a Jewish homeland in what was, at the time, British-controlled Palestine.

"Getting out of Europe, for a lot of people, felt like getting out of a graveyard," said bestselling author Anita Diamant, whose newest book focuses on this period. "Palestine was like over the rainbow, practically. It was somewhere that they knew they were wanted, at least by the Jewish community in Palestine, and it was a way to start over again in a completely new world."

Immigration quotas, however, meant that the more than 100,000 Jews who arrived between 1945 and 1948, when Israel was declared a state, did so illegally. Most of those who were captured were sent to internment camps in places like Cyprus.

But some Jewish prisoners ended up at a camp in Palestine called Atlit, located on the Mediterranean coast near the city of Haifa. Living in barracks and peering through barbed wire, these Holocaust survivors lived in limbo between their past and their future.

"Nobody else wanted them, so they wanted to go to Palestine," Diamant said. "There was this bottleneck. It was a big problem for the British, and it was also a public relations nightmare for the British."  Watch Diamant talk about her new book »

One night in October 1945, members of the Palmach -- an underground Jewish fighting force originally created to help the British fight the Nazis -- broke into Atlit and helped more than 200 prisoners escape. Central in this charge was Yitzhak Rabin, who would go on to be Israel's prime minister, and who was assassinated by a Jewish extremist in 1995.

Diamant, author of "The Red Tent," among other books, delves into the lives of four women who were part of this experience in her latest historical novel, "Day After Night." Carrying with them different wartime experiences, they are: a Polish partisan fighter, a Parisian woman who was forced into prostitution, a Dutch Jew who was in hiding, and a concentration camp survivor.

CNN sat down with Diamant, a daughter of Holocaust survivors, to talk about her latest book, the reason this story is relatively unknown and her attempt to stay out of Middle East politics.

CNN: How did you decide to focus on this specific story?

Diamant: The story found me, the way I think all of my novels found me. My daughter was in Israel on a semester program when she was 15, in 2000, and my husband and I went on the parents' trip. So we were on and off the buses with the kids as they did their field trips, and one of the field trips was in Atlit. We were given the tour, and we were told the story of this escape and about these so-called illegal immigrants. And I thought there's a novel.

CNN: This isn't a piece of Israel's history that many seem to know about. Why is that?

Diamant: American Jews, even people who know Haifa well, who know Israel well, it comes as a surprise to them. It's not one of the big bloody chapters. It was early in the conflict in terms of Jewish resistance. After this they started bombing train tracks and doing more overt military resistance to the British occupation, as it was known then. Part of the reason we don't know about it is that I think the Holocaust is still such a huge shadow, and it's still something we focus on. This is a relatively tender interlude. It's not the founding of the state, and it's not the Holocaust.

CNN: Are the characters based on real women you learned about in your research?

Diamant: No, they're my girls. I invented them based on some stories that I had heard and read. ... There were women partisan fighters. I know that women were forced to do things against their will to survive. A lot of people were in hiding. It's sort of based on common knowledge about what happened during the war but at the same time trying to flesh out women's stories which I still think are under-told.

CNN: What was the central struggle facing these women and the people in Atlit in general?

Diamant: It's the struggle to continue after great loss, great pain and great suffering. How do you cope with those memories? Where do you put them? How do you carry them with you into the future? How much do you have to forget in order to live, to continue? ... We are a resilient species. Life moves on and they fall in love. And they're coming back to life, their bodies are coming back to life. A lot of marriages happened in displaced persons camps and camps like this, and a lot of babies were conceived in places like this, too, because life demands that we continue. But that can feel also like a betrayal of all the people you lost, so it's a painful tension -- the past and the future.

CNN: Politically, everything that involves Israel is so loaded. Did you worry about this? Did you factor in how history unfolded after this?

Diamant: I focused it very narrowly on this one little window of history. For it to have integrity, telling the story of that period, you can't know what happens next. So I really focused on their stories, their personal stories. Maybe that's a cop-out? But in writing a historical novel, you can't go outside of the box. I don't think I can.

Although...a couple characters say, "They told us there was nobody here. There are all these Arabs here." There was a slogan: "People without a land, and a land without a people." That was the slogan in Europe that was used to drum up Zionist support. But in fact there were people in the land, and they got there and they went, "What? No one told us." Jews have been grappling with that fact from before the founding of the state. So it's acknowledged in here, but it's not the center of the book.

@highlight

After Holocaust, before Israel became a state, 100,000 survivors immigrated illegally

@highlight

Some were imprisoned in British-controlled Palestine and later freed in breakout

@highlight

Bestselling author Anita Diamant explores this chapter in new book, 'Day After Night'

@highlight

Characters face question: 'How much do you have to forget in order to live?'