(CNN) -- I am married to my same-sex spouse (and partner of 15 years) under the laws of the District of Columbia. We enjoy the same status as our straight married neighbors. Well, not exactly.

Despite being legally married, we are prevented by the federal Defense of Marriage Act (DOMA) from filing joint federal tax returns and denied the right to Social Security survivor benefits, among many other federal legal rights available to opposite-sex married couples. We are as equally married as our straight counterparts but lack equal rights when it comes to the benefits of marriage.

DOMA has the same rights-limiting effect on same-sex married couples in each of the jurisdictions where same-sex marriage is legal: D.C. and six states -- Massachusetts, Connecticut, Iowa, Vermont, New Hampshire and New York. Same-sex marriage is set to be legal in Washington state next week and in Maryland in January.

Last week, the U.S. Court of Appeals for the First Circuit, sitting in Boston, ruled that DOMA's denial to same-sex couples of federal benefits enjoyed by straight couples in Massachusetts is unconstitutional. The court said that there was "a lack of any demonstrated connection between DOMA's treatment of same-sex couples and its asserted goal of strengthening the bonds and benefits to society of heterosexual marriage."

"Moral disapproval" cannot by itself form the grounds for discriminatory legislation, said the court.

Notably, the court did not declare any constitutional right to same-sex marriage, and it did not adopt the argument made by the plaintiffs that DOMA was motivated purely by bias against gay people. Rather, the court looked at the case narrowly as one involving a state where same-sex marriage is legal and a federal law limiting the rights available to a certain category of couples married under state law.

After a searching review of the purpose of the law and the legislative history, the court found DOMA constituted a federal intrusion into an area traditionally handled by state law -- the issue of marriage and the rights flowing from it.

And the court concluded there obviously was a disparate impact on a minority group, same-sex couples. As the court's opinion explained, "rather than challenging the right of states to define marriage as they see fit, [the case is about] the right of Congress to undercut the choices made by same-sex couples and by individual states in deciding who can be married to whom."

In other words, the case was about whether Congress has any business limiting the legal effect of same-sex marriages as a matter of federalism once a state determines such marriages are to be permitted.

The court said that "one virtue of federalism is that it permits this diversity of governance based on local choice," a principle that "applies as well to the states that have chosen to legalize same-sex marriage" as to those that have prohibited it.

This is where the court avoided ruling on whether same-sex marriage is constitutionally required under equal protection in states banning it, or whether other states need to recognize same-sex marriages performed elsewhere.

Focusing on the federalism issue, the court found that Congress had not established a legitimate reason for interfering with the state of Massachusetts' regulation of marriage. And it concluded there was no justifiable relationship between the "defense" of straight marriage and denying the benefits of marriage available to people of the same sex legally married under state law.

So while this case ends up being a victory for the rights of same-sex married couples in Massachusetts (although the ruling immediately was put on hold pending Supreme Court review), its legal reasoning was decidedly conservative, based on a state's rights.

The author of the opinion, Judge Michael Boudin, also is known as a conservative. He is a former official in President Ronald Reagan's Justice Department and was appointed to the bench by President George H.W. Bush. Another judge on the three-judge panel deciding the case was appointed by Reagan. In writing the opinion for the court, Boudin said: "Invalidating a federal statute is an unwelcome responsibility for federal judges," a reflection of his and his fellow judges' judicial conservatism.

Indeed, far from a case of judicial activism, this recent gay marriage case is one built on a foundation even the Federalist Society would admire and written by a judge whose background they would approve.

Thus, the oft-heard claim from social conservatives that same-sex marriage and the legal rulings upholding it are the products of left-wing activist judges is belied by the most recent judicial ruling on the subject, from a majority comprised of conservative judges and with reasoning conservatives frequently invoke to support state rights and to resist the impact of federal laws.

Epilogue: Also in Boston this month, the Profile in Courage Award was given by the John F. Kennedy Library to three former justices of the Iowa Supreme Court who were part of the unanimous court establishing same-sex marriage in Iowa as a constitutional right under state law, and who were removed from office after a $1 million campaign against them by conservatives. The Boston judges behind this week's ruling enjoy life tenure under Article III of the Constitution and will not be subjected to such vilification.

The opinions expressed in this commentary are solely those of Christopher Wolf.

@highlight

Christopher Wolf in same-sex marriage in D.C., but he says DOMA denies him rights

@highlight

He says appeals court recently ruled DOMA unconsitutional in Massachusetts

@highlight

He says ruling victory for same-sex couples but reasoning was conservative

@highlight

Wolf: Far from judicial activism, ruling was by conservative judges backing local choice