Charges against a Pennsylvania woman accused of helping her 93-year-old father to commit suicide have reignited the national debate over aid-in-dying laws.

A Schuylkill County magistrate has ordered Barbara Mancini, 57, of Pottsville to stand trial for allegedly handing her terminally ill father his prescription morphine medication, which prosecutors claim caused or assisted his suicide.

At the August 1 preliminary hearing, Magistrate James K. Reiley said that prosecutors had presented enough evidence for the assisted suicide charges against Mancini, a felony that carries a maximum penalty of 10 years in prison. A county judge issued a gag order in the case before the preliminary hearing began.

"I can't respond. I'm sorry," Barbara Mancini told reporters as she left court in Pottsville.

According to Mancini's lawyer, who spoke to reporters via teleconference the day before the hearing, her father, Joe Yourshaw, was in "unremitting" pain, suffering from numerous medical conditions including diabetes and kidney failure.  His daughter, who is also a nurse, was at his home hospice bedside when he allegedly asked her to pass him his prescribed morphine.

"He chose to drink his morphine because that was the only way for him to find pain relief. That was his choice; that was his constitutional right to do that," attorney Frederick Finelli said. Mancini's "stated intention, only intention" was to help her father get relief from his pain, he said.

According to the medical records noted in his autopsy report,  Yourshaw went into a coma not long after taking the morphine and was found unresponsive by Barbara Klattermole, a nurse with Hospice of Central Pennsylvania.  Klattermole called an ambulance and called the 911 and reported an attempted suicide.

Pottsville Police Capt. Steve Durkin said in an affidavit that when he responded to the call on February 7, Mancini opened the door.

"She told me that her father had asked her for his morphine so he could commit suicide, and she provided it. She further stated that he was on hospice care, was already dying  and did not want to be taken to hospital," he said

Yourshaw, who according to Finelli had a do-not-resuscitate order and had expressed his wishes to die at home, was then taken to a hospital and revived. Mancini was arrested and charged.

Fanelli told reporters that when Yourshaw awoke in the hospital, he was angry.

"He starts raising hell with everybody for Number One, why are you doing this to me and Number Two, when he sees the police there, he wants to know why are they here and what are you saying my daughter did, leave her alone!"

Yourshaw died in the hospital four days later from complications due to morphine toxicity, according to the autopsy report.

Compassion & Choices, an end-of-life choice advocacy group that has been fighting for dignity-in-death laws for over 30 years, is petitioning Pennsylvania Attorney General Kathleen Kane to have the charges dropped.

"There's no question the she acted out of compassion and love and support for her 93-year-old dying dad. The fact that she's being charged is outrageous," said Barbara Coombs Lee, the group's president. "Dying patients have a federal constitutional right to as much medicine as they need to relieve their pain, even if it advances their time of death."

While most states ban assisted suicide, aid-in-dying is permitted in Oregon, Washington, Montana and Vermont.  New Jersey will review a death-with-dignity bill later this fall that would allow aid-in-dying.

Medical ethicist Art Caplan supports doctor-assisted suicide with restrictions, not family assisted suicide. He said Mancini's case has all the signs of a mercy killing.

"Your heart goes out to the family but at the same time, you're trying to make sure that it doesn't quickly turn into 'we're encouraging you to do this' or 'why don't you do this? Life would be simpler for us if you swallowed a bunch of morphine.'  It has to be regulated."  Caplan does not expect Mancini to serve jail time.

Coombs Lee of Compassion & Choices agrees that it's important to screen cases and make sure there's no malice or self-interest involved, but  "when all the evidence and the entire family's testimony says it was not, it should end there."

She said the case has national implications because it scares doctors and hospice workers into not giving elderly patients needed pain medicine and instead encourages them to "save themselves, not the patient" and protect themselves against legal proceedings.

Mancini is out on bail and is expected to be arraigned this fall and stand trial early next year.

@highlight

Barbara Mancini is charged with helping her terminally ill father, 93, die in February

@highlight

She handed him morphine, he took it and fell into a coma; a hospice nurse called police

@highlight

Father was revived at a hospital as his daughter was arrested; he died 4 days later

@highlight

An advocacy group is pushing the Pennsylvania attorney general to drop the charges