(CNN) -- Everyone knows that it's a time of dramatic change in Asia's airline industry.

What many often fail to appreciate, however, is how much of that drama is being driven by an exponential rise of low-cost carriers (LCC) in the region.

Consider a small sampling of the recent upheaval in Asia's skies.

Following the dissolution of an ANA-AirAsia joint venture, AirAsia Japan is being rebranded (hilariously, to some) as Vanilla Air; Singapore's Tiger Airways has the new name of Tigerair; and Jetstar Hong Kong is expected to launch within the year;

Meanwhile, South Korea's Jeju Air has been busy recording a whopping 960% increase in profits compared with last year. Beating out all foreign legacy and low-cost carriers, its become the third largest carrier at Seoul's Incheon Airport after Korean Air and Asiana Airlines.

While Southeast Asia has a remarkably high LCC presence of almost 50% -- meaning more than half of total seats are sold by low-cost carriers -- North Asia still has an extremely low LCC penetration and thus represents the biggest opportunity for the industry.

North Asian travelers who have grown partial to the over-the-top service and quality of legacy carriers in the region are still finding the concept of low-cost carriers foreign, or simply irrelevant.

"They don't pop up in my searches when I look on travel sites, and it just doesn't occur to me to fly them because I have my existing frequent flyer programs that I feel bound to," says frequent business traveler Sunmi Park, 38, of South Korea.

For the unacquainted, such as Park, here's a quick guide to the fleets with the often quirky names and bright liveries.

1. LCC fleets are young and frequently built around a single model

"People tend to think that low-cost carriers have these old planes, but that is a complete myth," said Edward Lau, CEO of Jetstar Hong Kong, in a low-cost carrier workshop earlier this month. "The opposite is actually true."

In order to keep the cost of buying planes as low as possible, low-cost carriers place bulk orders of the newest planes.

For the same reason, each LCC usually has just one type of plane in its fleet -- bulk orders of the same plane get better pricing.

When Jetstar's new Hong Kong airline debuts later this year (pending government approval) it will be launching with 18 new Airbus 320-200 aircraft.

Apart from its new Hong Kong fleet, Jetstar's planes across all affiliates have an average age of four to five years.

Similarly, AirAsia, the Kuala Lumpur based low-cost carrier that flies to more than 80 destinations in Asia, has a fleet of 141 Airbus A320 aircraft, with an average age of three years per plane.

2. Competitiveness hinges on "fast turns" and "double daily" service

In aviation lingo, a "turn" means the time it takes for a plane to take off on its next flight after landing.

For LCCs, fast turns of about 25-40 minutes are imperative to keep costs down and to maintain high levels of aircraft utilization -- the time a plane is in the air each day.

Full service carriers take about an hour and a half on turns.

Even in an aviation market known for delays -- China is notorious -- LCCs keep costs down by factoring delays into their schedules.

To keep LCCs viable for consumers, airlines need to have at least some "double daily" flights -- flights to the same destination at least twice a day.

This means that if passengers miss their flight, they can take a flight to the same destination later the same day.

"The target of 'double daily' is to build scale and support integrity," says Alistair Hartley, Jetstar's executive director of planning and airline partnerships.

3. LCCs' entry into a market can stimulate the overall market

Studies have shown that LCC penetration can result in overall travel market growth in a given region.

The launch of a low-cost carrier may eat into a dominant full-service carrier's market share, but the number of passengers in a market has been shown to increase overall, not only for the low-cost carrier, but for full-service carriers.

The latter tend to lower prices in response to what LCCs are offering, scrambling to adapt business models to a new landscape.

4. LCCs have meant the most to Japan

Japan is the most interesting example of a stagnant market stimulated by the launch of low-cost carriers.

Despite being one of the largest domestic aviation markets in the world, Japan has showed little or no growth in passenger numbers since the turn of the century.

"Japan has the unenviable distinction of being the only major market in the world to have about the same traffic today as 15 years ago," said a Centre for Aviation (CAPA) report published in August.

However, with the launch of three low-cost carriers in 2012 -- Peach, Jetstar Japan and AirAsia Japan -- the "abysmal" domestic aviation market grew for the first time in six years.

With the introduction of low fares, Japanese who couldn't afford to fly began traveling, with remarkable results.

Domestic passenger numbers increased by 8.7% in 2012, the largest percentage growth in 20 years.

Collectively, the three low-cost carriers added 2.6 million passengers to the domestic market and Jetstar Japan is now the largest domestic carrier from Tokyo Narita Airport.

"The contribution is not just in greater volumes of passengers whose traveling has a trickle-down effect across the economy, it is also in giving Japan's legacy carriers an incentive to become more efficient," said the CAPA report.

5. North Asia represents the greatest opportunity

The figures speak for themselves.

Air traffic in Asia will increase dramatically in the next few decades.

While U.S. airport passenger traffic was 1.467 billion arrivals (the largest in the world) and Asia's was 1.402 billion in 2009, Asia is expected to become the largest aviation market in the next few years.

Hello Kitty: World's cutest planes head to the U.S.

By 2030, Asia's passenger traffic is expected to exceed 4.88 billion, in contrast to 2.367 billion projected for the U.S., according to IATA's Airport Development Supplement published in 2012.

Southeast Asia already has a high LCC penetration rate -- the LCC capacity share of total seats is approximately 56-57% -- but the percentage for North Asia is stunningly low at 9%.

"That's a 91% potential upside for us," says Jetstar's Alistair Hartley.

No wonder LCCs are excited.

And growing.

@highlight

Low-cost carriers (LCC) are a major part of Asia's booming airline industry

@highlight

South Korea's Jeju Air has recorded a 960% increase in profits over last year

@highlight

LCCs have propelled Japan's once-stagnant domestic travel market