(CNN) -- The Committee to Protect Journalists has placed 12 countries on its Impunity Index, a list of countries where journalists have been killed and their killers have not been found.

The organization's third annual compilation, released Tuesday, cites Iraq, Somalia, Philippines, Sri Lanka, Colombia, Afghanistan, Nepal, Russia, Mexico, Pakistan, Bangladesh and India.

The index, which covers 2000 through 2009, describes the countries as places "where journalists are murdered on a recurring basis and governments are unable or unwilling to prosecute the killers."

Leading the field for the third consecutive year was Iraq, where all 88 journalist killings remain unsolved, the committee said. All but seven cases involve local journalists, "the vast majority of whom" were targeted by insurgents, it said on its website.

But last year marked the first since the U.S.-led invasion of Iraq in 2003 that no killing directly related to a journalist's work was documented there by the organization. Still, four journalists were killed in crossfire in 2009, it said.

Iraq's Impunity Index Rating was 2.794 unsolved journalist killings per million inhabitants, nearly triple the rate of any other country.

Somalia ranked second, "reflecting insurgents' routine use of violence to control the news media," CPJ said.

The incidence of fatal, unpunished violence against journalists has increased in the Philippines, Somalia, Russia and Mexico, it said.

But Brazil and Colombia, long among the world's deadliest nations for the news media, each showed improvements, with Brazil moving off the list, the committee reported.

"We've heard repeated pledges from governments that the killers of journalists will face justice, but until these promises are fulfilled, media will continue to be targeted by those who believe they are above the law and immune from consequences," said Joel Simon, CPJ's executive director.

The group noted that many of the countries on the index present themselves as democracies with functioning law enforcement -- nations such as India, Russia, the Philippines, and Mexico.

The index includes only those nations with five or more unsolved cases.

In the Philippines, 30 journalists and two media support workers were killed in Maguindanao province, it said, boosting the country from sixth to third on the index. "The massacre overshadowed gains that Philippine authorities had made, winning convictions in two journalist murders," the committee said.

In Russia, which ranked eighth, three journalists were killed last year, bringing the country's 10-year total of unsolved killings to 18, it said.

Mexico moved from 11th to ninth, reflecting continuing violence against crime reporters there, it said. In Mexico, self-censorship is widespread, it said. Many nations on the list have seen a reduction in the flow of information.

In fourth-ranked Sri Lanka, with 10 unsolved killings, "many of the country's most senior journalists have fled into exile," the CPJ said.

"Our goal in compiling this index is to spur leaders in these nations to action," said Simon. "Many of these cases are solvable. The perpetrators have been identified but authorities lack the political will to prosecute."

CPJ released the index to coincide with a summit on impunity being held Tuesday and Wednesday in New York.

The index calculates the number of unsolved journalist killings as a percentage of the country's population. Only nations with five or more unsolved cases were included.

CPJ includes only those killings that are considered to have been deliberate attacks against specific journalists in relation to their work.

It does not tally cases of journalists killed in combat or while carrying out other dangerous assignments.

"The only thing you can say about it is that the murder of journalists gets worse and worse, and the problem is that governments around the world are not interested in finding the perpetrators," said Stuart H. Loory, editor of the magazine Global Journalist and the Lee Hills Chair in Free-Press Studies at the Missouri School of Journalism. "Too often they blame journalists for acting out of line."

@highlight

Committee to Protect Journalists has placed 12 countries on its Impunity Index

@highlight

Index is a list of countries where journalists have been killed and their killers have not been found

@highlight

Iraq leads field for the third consecutive year, where all 88 journalist killings remain unsolved

@highlight

Somalia ranked second, while Brazil and Colombia each showed improvements