What do you give the sheik who's already checked palaces and private planes off his royal wish list?

How about a menagerie of exotic animals?

That's partly the story of how a Noah's Ark of indigenous and introduced species came to populate Sir Bani Yas, once an inhospitable salt dome island in the Arabian Gulf.

Part of Abu Dhabi emirate, the previously private royal playground now welcomes visitors seeking an Arabian safari experience combined with an encounter with that non-indigenous desert species, the multi-star luxury hotel.

Animal-loving emir

The founder and first ruler of the United Arab Emirates, Sheik Zayed bin Sultan Al Nahyan started collecting many of the species now thriving in the island's huge wildlife park after, so the story goes, being given a bevy of exotic creatures as a gift when exploring Africa as a young royal.

Long before cheetahs, giraffes, Ethiopian hedgehogs -- and well-heeled tourists -- were introduced to Sir Bani Yas, however, Sheik Zayed was transforming the island with a particular aim: to save a native species that had virtually been wiped out.

The Arabian oryx, a kind of antelope, was officially declared extinct in the wild in the late 1960s.

Its plight moved the animal-loving emir to begin developing Sir Bani Yas (named after the local Bani Yas tribe) as a place to protect it.

Only the oryx

"The oryx is the main reason the island is the way it is today," says Matt Bottomer, an adventure guide who familiarizes visitors staying on Sir Bani Yas with its many resident creatures.

"Sheikh Zayed searched the world to see if there were any oryx in captivity.

"He found a handful and started a breeding program here."

To prepare the island for those few remaining antelope in the early 1970s, the late sheik launched an extravagant project that might now be seen as a precursor to other slightly incongruous Middle Eastern behemoths, such as Dubai's indoor ski resort.

He decided literally to make the desert bloom.

Once desert, now forest

Hundreds of thousands of trees, including acacia, ghaf (the national tree of the UAE), frankincense, gum and mangrove were planted in the desert scrubland of the 87-square-kilometer island to create a habitat for the oryx and other animals.

The first trees didn't fare so well.

The antelope nibbled away at them a bit too eagerly, and they had to be replanted.

They've since grown to a forest of 4 million, irrigated by desalinated water pumped through an undersea pipeline from the mainland, giving the island an improbably green sheen in this desert environment.

As for the oryx, "now we have around 500 on Sir Bani Yas," Bottomer explains.

The herd has become healthy enough that animals bred on the island are released into the desert wilds of the mainland.

Indeed, some species have come to feel so at home in the wildlife park that other animals have been brought in to keep their numbers down.

Cheetahs were shipped over to eat the Arabian sand gazelle, which they hunt in the wild, Hyenas and jackals were brought in to clean up anything the big cats left.

Animal spectacle

All of this makes for a great spectacle.

Only a limited number of visitors were allowed on the island when the wildlife park was established in the 1970s.

The weekend tours became so popular they had to be booked more than a year in advance.

Since Sheik Zayed's death, in 2004, Sir Bani Yas has gradually become more accessible.

Reached by a 50-seat plane from Dubai or Abu Dhabi, or a 250-kilometer drive from the UAE capital followed by a ferry crossing, Sir Bani Yas recreates a wilderness, but you won't be staying in a tent.

Accommodation is in one of three luxury resorts, meaning the wind-down from exploring the wildlife park on a safari-style drive, by foot on a guided walk or by mountain bike, is pretty pampered.

Wild drives

"You can get really close to the animals on the wildlife drives," Bottomer says.

"I've driven along and the cheetahs have been five meters from the car."

Guided wadi hikes in the mountains, nature walks on the southeast of the island and mountain biking inside and outside the park are even more direct ways of experiencing the territory.

"Each offers the chance to find different animals in different habitats," Bottomer says.

The animals are the main attraction for most visitors, but you can also kayak along the mangrove shores or scuba dive off the island.

Funnily enough, one of animal you won't spot on Sir Bani Yas is a camel.

These ships of the desert do well enough on the mainland without needing the island's  protection

They were also probably never a terribly original idea as a gift for a royal sheik.

Getting there

Rotana Jet (+971 2 444 3366) flies from Abu Dhabi and Dubai to Sir Bani Yas Island, with single fares starting from $54.

Become chummy enough with the Abu Dhabi royal family and you might get an invitation to one of two palaces they maintain in the island's southern section.

Failing that there are three resorts on the island, with accommodation ranging from rooms in a former royal palace to upscale villas, all run by Anantara (+971 2 801 5400), which can also arrange day trip tours. Rooms from around $220 a night.

Find out more about visiting Bani Yas at Desert Islands Abu Dhabi.

@highlight

UAE founder Sheik Zayed "made the desert bloom" on Sir Bani Yas island

@highlight

His goal was to protect the Arabian oryx and other threatened species

@highlight

Tourists can stay on the island in luxury resorts

@highlight

Cheetahs, hyenas and other animals have been brought in