Islamabad, Pakistan (CNN) -- At the peak of Pakistan's relentless downpours, a year's worth of rain fell in a day, disrupting the lives of 15 million men, women and children across the country.

They might have otherwise have been celebrating fast-breaking feasts every evening during the Muslim holy month of Ramadan. And in two days, they might have celebrated independence -- Pakistan was partitioned off from India on August 14, 1947, a date observed with immense national pride.

Instead, Pakistanis this year will be surrounded by the effects of the worst natural calamity since its creation, immersed literally in a uniquely dynamic disaster unlike anything they have seen before.

Thursday, almost two weeks into the crisis, President Asif Ali Zardari finally got a firsthand look.

He had been away in Europe during the worst of the flooding, an absence that was deeply felt in Pakistan. He and his government came under blistering criticism for a perceived lack of action in helping those in need.

Presidential spokeswoman Farahnaz Ispahani said the criticism of Zardari was unfair and that he has been involved from the start in directing relief efforts.

"The president has always been concerned with the welfare of Pakistan's people, notwithstanding the venomous propaganda of his opponents," Ispahani said. "His visit to flood-affected areas should effectively shut up those who would rather play politics than focus on helping those uprooted by raging waters."

But while the government defended its response, the scale of human misery started to become all the more apparent.

The death toll climbed Thursday to 1,343, the Pakistan Disaster Authority said. Another 1,588 people have been injured and 352,291 people have been rescued. More than 722,600 houses and 4,600 villages have been damaged or destroyed.

More people have been affected in the flooding than in the 2005 Pakistan earthquakes, the 2004 Indonesia tsunami and the January earthquake in Haiti combined.

In  the mountainous north, water funneled down treacherous slopes, quickly engulfing the roads below. It surged down the mighty Indus River, spreading economic, political and social woes through the heart of Pakistan.

The fetid stench of death filled the air in many places where mere seconds of unstoppable water ended lives. Those who bore witness, even those who thought they had seen everything in this land marred by crisis and killing, were baffled by the suffering wrought by the monsoons.

Public health officials fear a second wave of deaths that might be caused by waterborne diseases if action is not taken quickly enough. More than 1 million Pakistanis are in need of clean water.

Dr. Shahid Iqbal already is struggling to keep up with the demand for medical attention, so many people are sick with diarrhea and acute gastroenteritis.

"We are facing much of the problems with the drinking water, because there is no electricity," he said.

Towns such as Nowshera, in northwestern Pakistan, have been particularly hard hit. The stagnant water forced tens of thousands into temporary government camps.

Shar Ali, 60, shares a flooded tent with eight family members after losing everything -- his house, all his possessions. His family survived with only the clothes on their back.

The United Nations estimated that 6 million Pakistanis are, like Ali, in direct need of emergency aid, mainly food.

Ali said food has been distributed in Nowshera, but in chaotic conditions. No one in this squalid camp of 18,000 people wants to miss getting their hands on the last few bags of rice.

Further north, at Chagdarra, lies another common challenge.

Like 278 other crossings in the province, the Chagderra bridge was swept away by the sudden torrent. Dump trucks are trying to close the gap. And men are finishing a suspension bridge so people and supplies can get to the other side.

In Mingora, Reza Khan picks through the bricks that used to be his house.

He and his 7-year-old daughter Samreen are suddenly homeless -- they will have to find somewhere to sleep here, amid the wreckage and rubble.

Pakistani soldiers are already familiar with the towns and villages that dot the Swat Valley. Last year, they fought fiercely to regain control of the from the Taliban. The task at hand is daunting in a different way.

The Taliban may have gone, but Islamist charities with alleged links to terrorist groups are handing out food and, with it, a clear message.

"The government is not working properly. That is why the people are working on their own self, so we are also from those people and we are joining hands with those people," said one man who did not want to be identified.

Four U.S. Army Chinook helicopters arrived here from Afghanistan to help deliver aid, competing with the Islamist charities.

A silver ribbon of destruction guides them to the farthest reaches of the Swat Valley towards Kalam. The Chinook crew can see the rippled bridges and vast swaths of land eviscerated by water, scoured clean of vegetation, buildings and people. What lies below is a landscape robbed of color, robbed of signs of life.

The town of Kalam was once the Shangri-La of the Hindu Kush. Now the tourist destination is hell on Earth.

The Americans unload bags of flour. For desperate recipients, the Chinooks are a lifeline.

The aid situation is complicated by the fact that the humanitarian agencies are themselves victims of the flood. The International Red Cross warehouse outside Nowshera should have been a busy distribution hub. Instead, it sits under several feet of water.

At its height, the water was three times deeper than it is now. It soaked 25,000 canvas tents in sewage-polluted water. The Red Cross had supplies worth $15 million in the warehouse. Officials don't know how much they will be able to salvage.

"It makes me sad. The idea of pre-positioning stock is to allow us to move quickly with distribution of relief items, and this is back to square one, so to speak," said Felix De Vries, of the Red Cross.

At a nearby camp, Basree could use a few of the Red Cross supplies. She is 70 and shivering outside a makeshift shelter.

"We only managed to get our children out of the house, we have nothing literally nothing the only help we get is from members of the public," said Basree's grandson.

Some people are so desperate that they have offered their children to strangers, hoping they'll take them away from all this. Others worry how they will feed their families with so many crops submerged and prices of tomatoes, cucumbers and other vegetables and fruits soaring in the markets.

"The crop has been lost and it is a race against time to ensure the next sowing season can be met," said Jean-Maurice Ripert, the United Nations special envoy.

For now, though, the immediate focus is on evacuation. Between breaks in the weather, men, women and children rush onto helicopters.

Some are clearly terrified about their first flight, even though they know it will take them to safety.

CNN's Reza Sayah and Moni Basu contributed to this report.

@highlight

Public officials fear a second wave of deaths from contaminated water

@highlight

President Asif Ali Zardari was criticized for being away from Pakistan

@highlight

The death toll now tops 1,343, Pakistani authorities say

@highlight

Cost to restore the nationa's agriculture sector may be in the billions