(CNN) -- On newspaper racks Tuesday, 9/11 was markedly absent from the front pages of the New York Times and the New York Post.

"The pain, the outrage, the loss -- these never fade," wrote the Times public editor Margaret Sullivan. "The amount of journalism, however, must."

On the 11th anniversary of a tragedy, some Americans arose not remembering.

It was another day of making coffee, packing sandwiches for kids' lunches, dropping off the dry cleaning before work. Memorial ceremonies, too, were fewer and simpler than in the past.

It is natural for time to heal. Natural, too, for people to want to move on.

But there was one place where the tragedy was hard to miss -- on social media.

Honoring a son's memory after 9/11

Twitter, Facebook, Google Plus and Instagram did not exist 11 years ago. 9/11 did not transpire in social media real time as many news events today do. But memories of that horrific day were kept alive Tuesday via smartphone, tablets and computers.

Social media was a way for people to express their emotions when there were fewer physical ways to do so, said Robin Carey, CEO of Social Media Today.

Maybe you weren't going to the local remembrance and hear the bells toll at 8:46 a.m., the time American Airlines Flight 11 slammed into the North Tower. But you could get out your phone and tweet what you remembered about that moment.

"There's a lot of trending now on Twitter which shows it's a lot more durable than the media would believe at this point," Carey said.

Stars remember 9/11 on social media

Among trending topics Tuesday were WTC, 11S, Remember911, Iraq, New York City, R.I.P and Bush.

"If the public comments did not exist, then you would not have the same attention on 9/11," said Sanford Dickert, a social media technology expert.

"There are so many moments we have let go because in the mental consciousness of our society, sometimes we forget things," he said. "Social media provides the opportunity to find those issues you are concerned about."

The New York Police Department memorialized fallen officers through a Twitter campaign with the hashtag #neverforget. Each tweet linked to a poignant Facebook page about an officer. It was the social media version of a reading of names.

Some people tweeted about where they were when they first got news about the attacks.

@mikestuchbery: "This time 11 years ago I was working on a presentation for a uni English course. It never happened."

Facebook users posted photos of how Lower Manhattan looked with the Twin Towers and how it looked Tuesday morning.

Others posted sayings such as "Never Forget," and still others, their remembrances of people who perished that day.

Even politicians took a break from the campaign to offer their remembrances on Twitter. President Barack Obama (@BarackObama) tweeted: "As painful as this day is and always will be, it leaves us with the lesson that no act of terrorism can ever change what we stand for."

His rival, Mitt Romney (@MittRomney), posted: "In remembrance, let us recall what the flag symbolizes & the many who have sacrificed so that we may fly it proudly."

Politics muted on 9/11 anniversary

There were Twitter and Facebook gasps at realizing it has already been 11 years and that some young soldiers fighting in Afghanistan were in second grade when the Twin Towers came crashing down.

And expressions of patriotism.

Former Marine Ray Graziano's Instagram photo was a collage of three images -- a New York skyline with the burning World Trade Center, an American flag tacked to the inside of a transport aircraft in Afghanistan and of himself with an Afghan soldier in front of an Afghan flag.

"It shows we are here to better their country, even when our lives are on the line," he said. "That job was one of the worst jobs in the world, but we loved every second of it."

Jonathan Cofresi, who was born two months after the two planes flew into the World Trade Center towers, designed a T-shirt commemorating 9/11. His older brother posted a photo of Jonathan's work on Instagram.

"Throughout his elementary school years he was always informed and educated about 9/11," said the older brother, Luis Cofresi Jr.

Jonathan, he said, wanted to go beyond wearing the red, white and blue colors the school suggested.

Son's name missing from 9/11 memorial

iReporter snaps poignant photo at memorial wall

Brian Monahan, a sociology professor at Pennsylvania's Marywood University, said social media helps Americans remember 9/11 in an anniversary year that is not a milestone 10th, 20th or 25th.

It also provides ways to remember events other than the structured process of scheduled memorials, said Monahan, who has studied coverage of 9/11. There was a proscribed way before of how to be solemn. The symbolism went through official channels.

"It was an informal process but it was structured," he said.

Social media takes all the barriers away.

The conversation about 9/11 is also different now on Twitter and Facebook, especially after the killing of Osama bin Laden, Monahan said.

"There was only one way to talk about 9/11 and that was tragedy,' Monahan said. "But now it's about core American values."

ESPN reporter Darren Rovell's Tweet may have reflected a chunk of how Americans were feeling Tuesday. They had not forgotten. But 9/11 was 11 years ago and life does go on.

Dan Rather: Media's balancing act with terrorism

"This day will always serve as a reminder that life can be taken from you at any moment. Cherish every minute," Rovell tweeted.

The next tweet, an hour later, was about tennis sensation Andy Murray's U.S. Open victory.

CNN's Dorrine Mendoza contributed to this report.

@highlight

Memorials are fewer and simpler than in the past

@highlight

But 9/11 topics trend on Twitter and Facebook, filled with photos and remembrances

@highlight

Social media gives people a way to express their emotions

@highlight

The NYPD even used Twitter and Facebook to remember their fallen