(CNN) -- Some travelers wondered Friday whether they should be concerned about Boeing's new 787 Dreamliner after a string of recent mechanical and other problems prompted a wave of negative publicity and an unusual federal safety review.

Troubles dating back just four months include reports of an oil leak, a fuel leak, engine cracks and a damaged cockpit window. This all follows a very difficult development history that included a series of production setbacks and other delays before the plane entered service in 2011.

The Federal Aviation Administration, which is responsible for air safety, launched a comprehensive examination on Friday of the Dreamliner's design as well as its manufacture and assembly.

The electrical system is of particular interest to authorities following a fire this week aboard an empty 787 in Boston.

Atlanta-based businessman Bobby Burns said he'll choose not to fly on the aircraft anytime soon.

"I am wary of a plane model that has fire problems and leaks fuel," said Burns, a project manager who takes more than 50 trips a year. "I think of it the same as a new car model: wait a year or two to get all the 'recalls' sorted out."

On the other hand, travel industry leaders report passengers seem to be taking things in stride.

Jay Johnson, president of Coastline Travel Advisors in Garden Grove, California, said not one client has called with concerns about 787 safety issues.

David Holyoke, president of Travel Leaders Corporate, echoed a similar conclusion.

"No one is steering clear of it at this point. No clients have called and asked to be rebooked."

Jim Osborne, who helps run a network of high-end travel agencies, says he has "zero trepidation about flying on this plane."

In fact, he said many clients have shifted their travel plans specifically so they can experience flying on the Dreamliner wide body.

More than 150 Dreamliner flights occur daily, according to Boeing. United Airlines -- which has six 787s -- debuted the nation's first domestic Dreamliner routes last November with much fanfare.

"We continue to have complete confidence in the 787 and the ability of Boeing," United said Friday in a statement. The airline described the problems as "early operational issues."

United's Dreamliner fleet travels routes primarily linking Houston and Chicago and between Newark and Los Angeles. Last week, the airline kicked off its first international 787 service between Los Angeles and Tokyo.

Other U.S. carriers are in line to buy Dreamliners, including Delta. American Airlines has announced an order, but it's not yet "firm."

Worldwide, Boeing has delivered 50 Dreamliners. Several hundred are under order, making its success crucial for Boeing, which had not designed a new commercial jetliner in years before unveiling the Dreamliner.

The FAA review is "very unusual" because the agency signed off on the aircraft's safety before it could fly commercially, said John Goglia, a former member of the National Transportation Safety Board.

The safety board is the leading authority in the United States on aircraft safety investigations and is looking into the Boston fire, which preliminarily has been linked to a auxiliary battery system.

The FAA "just certified the airplane, so they're going to go back and redo it." Does the FAA "not trust" their "own people?" asked Goglia, who's also a former airline mechanic.

Kevin Hiatt, president and CEO of the Flight Safety Foundation, says the situation speaks to what's going on inside the FAA itself. "We hope they take a look at their own processes internally to make sure that they're up to date and on par with this new technologically advanced aircraft."

The twin-engine jetliner is heralded for its mostly carbon fiber construction, which reduces weight. Its fuel saving possibilities, cutting edge technology, operational versatility and cabin appointments generated enormous interest from airlines, initially overseas.

Top Boeing, Transportation Department and FAA officials said at a news conference on Friday announcing the federal safety review that it was important to maintain public confidence in the Dreamliner.

"There is a continued process that we always go through. So this is not unprecedented," said FAA chief Michael Huerta.

But at Reagan National Airport on Friday, some passengers expressed skepticism in general about the nation's airline regulatory safety net.

"As a regulatory attorney, I know that regulatory agencies in this country don't always do their job all that efficiently," said Jonathan Weinrieb of Chevy Chase, Maryland. "So do I trust them to make sure the Dreamliner is safe? No. But will that stop me from flying if that's the plane I've got to get on to get where I'm going? No."

Another traveler said his confidence in the system was high. "They'll figure it out and get it all squared away," said Ridgely Albaugh of Lower Marlboro, Maryland.

Goglia said every new airplane is going have "teething problems." The manufacturers usually "get a handle on it quickly and fix it," he said.

A week Boeing would like to forget

The most recent Dreamliner setbacks occurred Friday. Oil was discovered leaking from a generator on an engine at a Japanese airport, and a crack appeared in a cockpit window of a plane en route from Tokyo to western Japan, a spokeswoman for All Nippon Airways said.

ANA was the Dreamliner's launch, or first customer.

On Tuesday, a Japan Airlines flight bound for Tokyo aborted takeoff from Boston's Logan International Airport after a pilot on another airplane spotted the 787 leaking fuel. On Monday, a maintenance worker discovered the electrical fire aboard an empty plane being prepared at a gate at Logan for a return trip to Japan.

In December, a United Airlines 787 traveling from Houston to Newark, New Jersey, was diverted to New Orleans because of mechanical problems. A general inspection of all 787s in September turned up cracked engines on two planes.

The cracked window and the leaky generator were not unusual issues, ANA said, and occur with other aircraft as well. This was the third time that a window cracked on an ANA Dreamliner, but the cockpit window has five layers, and Friday's crack, in a spider web pattern, appeared in the outer layer, ANA said. It did not endanger the flight.

Dreamliner's growing pains not unusual for new airplanes, experts say

Newer airplanes are safer than ever, Goglia said. "We are flying more airplanes that have been engineered to be safer," he said. "We almost (never) have material failures in airplanes anymore."

The Airbus A380 also had problems when it started flying in 2007, but aviation expert Janet Bednarek loves to fly on it.

"It had cracks in the wing, which would be much more concerning to me" than the 787 reports, said Bednarek, a University of Dayton aviation history professor. "They figured it out. Pilots want to get to their destination alive as much as anybody, so they don't mess around."

Like the 787, the Boeing 747 had a lot of issues when it started flying in 1970, aviation consultant Michael Boyd said.

And as with the former model, Boeing will work through the current aircraft's issues and move on, the company has said.

Two problems, two planes, two days

"Just like with anything that's new, they kind of have to get the kinks out of it," said airline passenger Ronald Hobby, of Fort Washington, Maryland. "So I would probably wait for a while until they get everything straight before I would fly."

CNN's Mike Ahlers, Junko Ogura, Ben Brumfield, Katia Hetter, Marnie Hunter, Jim Barnett and Todd Sperry contributed to this report.

@highlight

NEW: Some fliers will wait before flying Dreamliner; others will keep flying

@highlight

NEW: Air safety group calls on FAA to examine its internal processes

@highlight

Travel industry leaders report zero concerns from clients

@highlight

150 Dreamliner flights happen daily, Boeing says. United owns six aircraft