(CNN) -- On a dark London day in late 2007, just after a violent crackdown on the monk-led anti-government protests that became known as the Saffron Revolution, a prominent scholar told me that "what Myanmar needs is ordinary people doing ordinary things."

Had he been able to foresee the cache and relevance of the term today, what he might have said is that Myanmar needs the rule of law. More than any other single aspect of society, the ability to do "ordinary things" depends on the presence, awareness, acceptance and enforcement of just laws.

Exactly five years on, and Myanmar has come a long way -- if not on the rule of law then at least on legal reform. More than 400 laws, old and new, from media and foreign investment to public gatherings, drugs and the environment have been drafted, amended or reviewed.

The process and results are far from perfect: The authorities are still reluctant to consult civil society; not all laws reach and reflect international human rights standards; and certain critical areas have been neglected altogether. The Emergency Provisions Act, used for decades to suppress peaceful political dissent; the Electronic Transactions Law, often employed against journalists and bloggers; and the 1982 Citizenship Law, which renders the ethnic minority Rohingya population stateless -- also not an exhaustive listing -- need urgent attention. Yet a positive process is underway.

Less talked about is the glass ceiling in Myanmar that is preventing legal reform from becoming full-fledged rule of law: endemic corruption. Last month, Transparency International ranked Myanmar the fifth-worst in (perception of) public sector corruption among 176 countries.

The judgment is justified. As dozens of Myanmar nationals representing many segments and sectors of society told me recently, corruption often succeeds where law fails.

Public doctors explained to me that while they are ethically (and legally) bound to afford themselves adequate time to give their patients an accurate diagnosis, there is far more money to be made by packing the daily patient list as tightly as possible and offering additional time later to those who can pay. Likewise, public teachers, many of whom teach less than required to the general class while offering the balance as "advanced" instruction to students whose parents are able to pay.

The legal profession seems no exception. In the words of one lawyer and reflective of many others, it is "saturated" with corruption at every level. Lawyers are reduced to the role of "brokers;" disproportionate power rests with court clerks who decide for a price the who, what and when of cases; and judges simply wait for an envelope containing either a verdict or cash.

Several civil servants asked me in both confession and frustration why they should do their jobs for next to nothing when they can get more by doing it for people who pay them enough to actually make a living. And among the main reasons for the low morale in Myanmar's armed forces is the near-impossibility of career advancement without bribes -- and a disparity in wealth between the soldiers and generals that far exceeds the difference in official pay.

The recent and ongoing human rights and humanitarian crisis in Rakhine State is likewise more than just a matter of law. Restrictions on the movement, marriage, employment, health care and education of ethnic minority Rohingyas not only constitute violations of their fundamental rights and freedoms but, for the local and border authorities, are lucrative as well. Any restriction can be lowered or lessened for the right price.

Indeed, as many Burmese went to pains to remind me, if "ordinary things" are generally associated with the corruption of those in authority, "ordinary people" include those who agree to pay the bribes, not complain, even looking for their own opportunities to exchange give for take. Corruption, like clapping, requires two hands to produce the desired result.

Legal reform itself has a role to play in breaking through the glass ceiling of corruption toward achieving the rule of law. While last week Myanmar took a notable step in that direction by finally ratifying the U.N. Convention against Corruption, it has not revised its 65-year-old domestic legislation on corruption. It should do so urgently, and as with other laws that obtain international standards, enforce it strictly.

December 9 each year is International Anti-Corruption Day. The next day is International Human Rights Day, a coincidence on the calendar, but deeply connected to corruption. Greater promotion and protection of economic, social, and cultural rights in Myanmar would level a heavy blow to corruption via more and better jobs, increased awareness and education, higher salaries and greater public sector "infrastructure" -- doctors and hospitals, teachers and schools, lawyers and courts.

It is not by accident that the four nations whose public sectors were rated more corrupt than Myanmar's are the Sudan, Afghanistan, North Korea and Somalia; human rights violations, poverty, and corruption mutually enforce one another.

Myanmar's legal reform efforts over the past year have been extensive and should continue. But to go beyond the books and actually affect the human rights and economic development of Myanmar's "ordinary people," corruption must be confronted head on.

The opinions expressed in this commentary are solely those of Benjamin Zawacki.

@highlight

More than 400 laws, from media to foreign investment, have been drafted, amended or reviewed

@highlight

But not all laws reach, reflect international human rights standards, Zawacki says

@highlight

1982 Citizenship Law still exists and renders the ethnic minority Rohingya population stateless

@highlight

Zawacki: Legal reform itself has a role to play in breaking through the glass ceiling of corruption