Washington (CNN) -- Justice Ruth Bader Ginsburg proudly points out a recent empirical study finding her "the least funny justice who talks" when cases are argued on the Supreme Court's nine-member bench.

But the court's oldest member certainly knows funny and knows the often-austere bench does not always take itself so seriously.

A warmly humorous speech she gave Friday in Cooperstown, New York, provided a helpful summary of the past term, which ended last month. She even provided a "greatest hits" list of some of the more unusual, even bizarre, quotes from the justices at oral arguments.

Those public sessions are a time for the court to pose hypotheticals and offer their analysis of the case at hand, to help them later reach some sort of binding decision.

The 78-year-old Ginsburg judiciously said the questions were "rich" in nature. Let her explain, in her own words:

"Questions from the bench ranged from the historical: 'What did James Madison think about video games?' (Samuel Alito) to the practical 'Isn't evidence always destroyed when marijuana (once possessed by a suspect) is smoked? Isn't it being burnt up?'

"Colleagues have been fearful: 'Does al Qaeda know all this stuff?' (Antonin Scalia), occasionally philosophical: 'Why are you here?' (John Roberts), 'Why are we all here?' (Stephen Breyer), and sometimes openly exasperated: 'I know your client doesn't care. But we still have to write (an opinion). So what's the answer?' (Breyer).

"Queries ran from the natural: 'Is the snake covered?' (Scalia) to the unnatural: 'Where is the 9,000-foot cow?' (Breyer) to the supernatural: 'What do you think about Satan?' (Scalia)."

Ginsburg added: "From the foregoing samples, you may better understand why the court does not plan to permit televising oral arguments anytime soon."

Notice too that she did not mention any colorful quotes from herself or her two female colleagues, but she noted that was not a sign they had nothing to say from the bench.

"We sit left, right and center of the bench, and as transcripts show, Justice Scalia is getting a run for his title as the justice who asks the most questions."

Ginsburg told her audience of the "joy" she has found having three women on the court for the first time in history. She especially singled out the newest justice, Elena Kagan, who was sworn in August.

"She has already shown her talent as an incisive questioner at oral argument," Ginsburg said, "and a writer of eminently readable opinions."

Among the court's biggest cases were a ruling against the father of a fallen U.S. Marine. A Kansas-based group, the Westboro Baptist Church, had picketed Lance Cpl. Matthew Snyder's funeral with graphic anti-homosexual rhetoric. The majority said the father could not sue the church since the protesters' message, however hateful, related to issues of public concern, such as the war in Iraq.

"The First Amendment, we reminded, protects even the most hateful views," Ginsburg told the group of local lawyers in her speech.

And the high court, in its last ruling of the term, tossed out an Arizona election reform law that gave additional taxpayer dollars to underfunded candidates who accepted public financing. The "matching funds" laws was designed, said its opponents, to "even the playing field" in political campaigns. Ginsburg and her liberal colleagues dissented, and she commented that it would continue to open the floodgates to uncontrolled corporate spending on elections.

"All the democracy money can buy, I believe, is not what the First Amendment offers," she said.

Ginsburg offered no hint she planned to leave the court anytime soon. In fact, court sources have said in recent months she plans to stay on for several more years if her health holds up. Those sources say she just enjoys her job too much to think about retirement.

In her speech, she noted her New York City roots, which she shares with Scalia (Queens), Sonia Sotomayor (Bronx) and Kagan (Manhattan). Alito is from neighboring Newark, New Jersey.

"With justices now bred in four of New York City's five boroughs, should another vacancy arise," the Brooklyn native remarked, "Staten Island jurists should stay close to their phones."

@highlight

Ginsburg cites rulings on election reform, picketing at funerals

@highlight

Justice lists some of the year's most unusual quotes from bench

@highlight

"Does al Qaeda know all this stuff?"

@highlight

"Where is the 9,000-foot cow?"