Washington (CNN) -- Frank Buckles, the last living U.S. World War I veteran, has died, a spokesman for his family said Sunday. He was 110.

Lawmakers Monday began to move ahead with proposed resolutions that would allow his casket to be displayed at the Capitol Rotunda, and plans were already in the works for his burial at Arlington National Cemetery.

Buckles "died peacefully in his home of natural causes" early Sunday morning, the family said in a statement sent to CNN late Sunday by spokesman David DeJonge.

Buckles marked his 110th birthday on February 1, but his family had earlier told CNN he had slowed considerably since last fall, according his daughter Susannah Buckles Flanagan, who lives at the family home near Charles Town, West Virginia.

Buckles, who served as a U.S. Army ambulance driver in Europe during what was then known as the "Great War," rose to the rank of corporal before the war ended.

His assignments included that of an escort for German prisoners of war. Little did he know he would someday become a prisoner of war during World War II.

He came to prominence in recent years, in part because of the work of DeJonge, a Michigan portrait photographer who had undertaken a project to document the last surviving veterans of that war.

As the years continued, all but Buckles had passed away, leaving him the "last man standing" among U.S. troops who were called "The Doughboys." His death leaves only two verified surviving WWI veterans in the world, both of whom are British.

President Obama issued a statement Monday on Buckles' passing, saying he and first lady Michelle Obama were "inspired" by Buckles' story.

Frank Buckles lived the American Century," Obama's statement said. "Like so many veterans, he returned home, continued his education, began a career, and along with his late wife Audrey, raised their daughter Susannah. ... We join Susannah and all those who knew and loved her father in celebrating a remarkable life that reminds us of the true meaning of patriotism and our obligations to each other as Americans."

Buckles told CNN in 2007 he accepted the responsibility of honoring those who had gone before him, and to be their voice for permanent, national recognition after he was gone.

DeJonge found himself the spokesman and advocate for Buckles in his mission to see to it that his comrades were honored with a monument on the National Mall, pushing for improvements to a neglected, obscure city memorial nearly in the shadow of the elaborate World War II memorial.

Buckles wanted national status granted to the D.C. War Memorial, a marble gazebo built in the 1930s that, for now, honors only his comrades from the District of Columbia. His call was to elevate the designation of the site to join U.S. honors accorded to those who served in World War II, Korea and Vietnam.

"We have come to the end of a chapter in history," said Rep. Ted Poe, R-Texas, a House sponsor of legislation to upgrade the DC War Memorial. "Frank was the last American Doughboy -- a national treasure," Poe said in a statement provided to CNN.

The "Frank Buckles WWI Memorial Act" passed the House but had not cleared the Senate before Congress adjourned. Poe on Monday restated his support for a House resolution that would allow a public display for Buckles in the Capitol Rotunda. Sen. Jay Rockefeller, D-West Virginia is a co-sponsor of the Senate proposal.

Buckles, at the age of 108, came to Capitol Hill from West Virginia in 2009 to testify before a Senate panel on behalf of the D.C. War Memorial bill. He sat alongside Rockefeller and fellow proponent Sens. John Thune, R-South Dakota, and Jim Webb, D-Virginia.

"I have to," he told CNN when he came to Washington, as part of what he considered his responsibility to honor the memory of fellow veterans.

Rockefeller praised Buckles in a statement Monday, calling him "a unique American, a wonderfully plain-spoken man, and an icon for the World War I generation."

"His life was full and varied and an inspiration for his unbridled patriotism and enthusiam for life," the statement said.

Buckles, after World War I ended, took up a career as a ship's officer on merchant vessels. He was captured by the Japanese in the Philippines during World War II and held prisoner of war for more than three years before he was freed by U.S. troops.

Never saying much about his POW experience, Buckles instead wanted attention drawn to the plight of the D.C. War Memorial. During a visit to the run-down, neglected site a few years ago, he went past the nearby World War II memorial without stopping, even as younger veterans stopped and saluted the old soldier in his wheelchair as he went by.

Renovations to the structure began last fall, but Buckles, with his health already failing, could not make a trip to Washington to review the improvements. The National Park Service is overseeing efforts that include replacing a neglected walkway and dressing up a deteriorated dome and marble columns.

Details for services and arrangements will be announced in the days ahead, the family statement said.

Flanagan, his daughter, said preliminary plans began weeks ago, with the Military District of Washington expressing its support for an honors burial at Arlington, including an escort platoon, a horse-drawn casket arrival, a band and a firing party.

"It has long been my father's wish to be buried in Arlington, in the same cemetery that holds his beloved General (John) Pershing," Flanagan wrote as she began to prepare for the inevitable in a letter she sent to home-state U.S. Sen. Joe Manchin, D-West Virginia.

"I feel confident that the right thing will come to pass," she said.

Manchin issued a statement Monday that read, in part, "He lived a long and rich life as a true American patriot, and I hope that his family's loss is lightened with the knowledge that he was loved and will be missed by so many."

Buckles in 2008 attended Veterans Day ceremonies at the grave of Pershing, the commander of U.S. troops during World War I. He also met with then-President George W. Bush at the White House, and U.S. Defense Secretary Robert Gates at the Pentagon.

"The First World War is not well understood or remembered in the United States," Gates said at the time. "There is no big memorial on the National Mall. Hollywood has not turned its gaze in this direction for decades. Yet few events have so markedly shaped the world we live in."

Buckles' family asks that donations be made to the National World War I Legacy Project to honor Frank Buckles and the 4,734,991 Americans with whom he served.

More than 116,000 Americans were killed, and more than 204,000 wounded, in the 19 months of U.S. involvement in the war, according to the Congressional Research Service. The overall death toll of the 1914-18 conflict was more than 16.5 million, including nearly 7 million civilians, and more than 20 million wounded.

Details can be found at: www.frankbuckles.org.

@highlight

NEW: Lawmakers move to allow his casket to be displayed in Capitol Rotunda

@highlight

A family spokesman says Frank Buckles died peacefully in his West Virginia home

@highlight

Plans call for burial at Arlington National Cemetery

@highlight

Frank Buckles had been pushing for national status for a World War I memorial in Washington