(CNN) -- Giant natural disasters have a way of putting everything in perspective. When it comes to politics, they sometimes put it all in the wrong perspective.

With nature suddenly grabbing our attention with both hands and reminding us we have much less control over our world and our lives than we believed, everything else moves to the background. Like a diagnosis of a deadly disease or another personal tragedy, when the earth itself has unleashed its wrath, we look at all that transpires around us through the lens of the new overpowering reality.

In the aftermath of a natural disaster, opinions about politicians, about leaders, can change.

Covering natural disasters and politics around the world, I have seen people change political opinions. And then wish they had not.

Politics: Will you be able to vote on Election Day?

A country's leader will receive the credit or the blame for what comes during and after the event, somehow blinding many voters to all they knew about him or her before.

Of course, the chief executive does bear responsibility. And the response to a major crisis should be used as one gauge of leadership. But there is a tendency to suffer temporary amnesia: Nothing matters but the reality of the moment. Everything else is clouded in a fog of temporary irrelevance.

There are plenty of examples of a temporary surge of emotion following a disaster, which later receded into regret. Each country is different and no circumstances are identical. But it's worth noting the experiences of other voters.

Will Sandy affect your vote?

I arrived in Thailand not long after the massive earthquake and tsunami that devastated Asia in December of 2004. Thai voters were scheduled to go to the polls just a few weeks later. Prime Minister Thaksin Shinawatra rolled up his sleeves and got to work on the crisis. He traveled to the regions wiped away by the tidal wave, he visited the survivors, showed himself on television leading the rescue and recovery effort, giving instructions to local officials, refusing international aid, declaring proudly that Thailand could take care of itself.

The voters ate it up. Amid the devastation, anxiety and uncertainty, it was reassuring to see a man in charge. And the response was, for the most part, quite good. His approval ratings soared.

Before the storm, Thaksin's party was losing ground. But when the February elections came, voters turned out in droves for the prime minister's party, giving him a landslide victory.

The seeming consensus did not last long. Thaksin was eventually deposed and charged with corruption. He lives in exile.

The Japanese earthquake, tsunami, and nuclear meltdown last year threw a political lifeline to then-Prime Minister Naoto Kan. The prime minister, wearing worker's clothes, appeared to be in control of the situation. But as time passed and the Japanese started questioning the government's response to the disaster, his approval ratings collapsed and he ended up resigning.

In 2007, a violent earthquake shook Peru. President Alan Garcia moved his presidential offices to the disaster zone. He brought his cabinet with him and personally managed -- some say micro-managed -- the response. His political advisers were delighted with the impact. Polls showed 76% of Peruvians approved of his handling of the crisis. His personal approval rating soared.

After the crisis, the polls started sliding again, dropping to dismal levels, as if the earthquake and his heroic efforts had never happened.

In Chile in 2010, one of the world's strongest earthquakes came just after an election. The outgoing government was criticized for failing on many fronts. The newly elected Sebastian PiÃ±era benefited from the disaster. The businessman-turned-politician was praised for his effective management style, and he used it to give himself a lower baseline from which to be judged. "This calamity is much deeper, much more damaging and much more serious than we thought," he said.

As others, his approval ratings were bolstered by his competent response to the disaster. But they later collapsed like a ramshackle building in an earthquake. Voters discovered there was more to a good presidency than an impressive display of post-earthquake leadership.

When the response is ineffectual and it fits in with a particular narrative, however, the impact can be indelible. That was the case with George W. Bush and Katrina. The "heck of a job, Brownie" cluelessness matched an impression of carelessness and incompetence.

Natural disasters, like violent storms, can reshape the political landscape. Sometimes the topography returns to its previous state. Sometimes it is changed forever.

When a major calamity strikes just before an election, it is a test for politicians, as many have observed. That's why in the United States, with just a week to go before the presidential election, both camps are handling the aftermath of Hurricane Sandy with excruciating political care.

That's the politicians' challenge.

Opinion: Sandy debunks 'nanny state'

There is also an important -- an even more important -- challenge for voters.

This is a time of maximum manipulation. It is a time when political operators will seek to mold perceptions to craft a political outcome; to score votes.

Voters must make a superhuman effort to not let the storm carry any more weight than it deserves in their judgment of politicians; not to let the storm wash away the knowledge about the candidates and their ideas accumulated over a much longer period.

The storm and its aftermath do matter. We want a president who is competent and capable, able to guide the country through a crisis. But there is more.

A presidency is more than crisis management.

The storm has indeed given us useful information. It has reminded us of topics ignored during the campaign, such as climate change. It has cast a spotlight on the need to have a strong enough government to handle huge, sudden challenges. And it has put an interesting twist on the idea of privatizing emergency disaster operations.

We should keep in mind that much of what we see the candidates doing at this very moment amounts to political theater.

As American voters see images and hear stories of death and destruction, of water gushing into subway tunnels, of ferocious winds toppling construction cranes, of homes burning, of hospital workers carrying critical patients down emergency stairs, and of brave efforts to recover, it's crucial to remember this is an important moment, but it is not the only moment, not the only test to determine who should be the next president. Because choosing the wrong president could prove an even greater disaster.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis has seen disasters around the world change people's vote

@highlight

Approval ratings soar or plummet depending on disaster performance, she says

@highlight

Ghitis: Both political camps are handling the aftermath of Sandy with exact care

@highlight

Voters must keep in mind all the candidate stood for before disaster happened, she says