(CNN) -- Why do food and murder go so well together?

Perhaps because it presents a delicious paradox, a combination of comforting and disturbing elements that tease the imagination and palate simultaneously.

"Murder is the deprivation of life," culinary mystery author Diane Mott Davidson said. "Talking about food is life-affirming. When I read the Spenser novels by Robert B. Parker, I noticed that when Spenser was thinking about a case, he would often prepare a meal. Cooking provided a way for him to reflect on the case."

Davidson can relate to cooking as therapy that fuels for the writing process. When planning out the plots for her Goldy Schulz catering mysteries, Davidson finds relaxation in her kitchen, simultaneously coming up with recipes to include in the books.

"Food is a very powerful mnemonic," culinary mystery author Katherine Hall Page said. "We remember what we eat from childhood, and we have a very positive association with food. Then you pair it with crime, and it provides a twist. You have the comfort of food, then, what's going on here? It gives an element of surprise, of suspense. Poison only further complicates, of course."

For Denise Swanson, author of the Scumble River mysteries, food is the comfort-aspect in her books. Readers eager to try "cozy mysteries," rather than thriller or suspense novels, psychologically take comfort in the inclusion of food.

"While we're writing about murder, we're really writing about everyday life," Swanson said. "Murder is something extraordinary that happens in the everyday lives of our characters. Our sleuths are in the midst of what they always do."

Half-Italian and half-Swedish, Swanson took inspiration from where she grew up.

"Food plays such a big part in small-town life," Swanson said. "Where else but the Midwest are you served a Jell-O salad with crushed pretzels and strawberries? I keep a tradition of trying to include family recipes that match the flavor of the book."

Food is already a basis for relationships in society, a way of connecting to one another or identifying personality traits based on what we eat, Swanson said. Toss in a whodunit murder, and people can't help but be intrigued.

Regional dishes and flavors also add a twist by either reconnecting readers with their childhood favorites or introducing them to new food cultures.

Culinary mysteries combine all the right ingredients for a sumptuous puzzle: quirky amateur sleuths, elements of danger and a fabulous array of food set in locations with a cast of colorful characters.

These authors of "traditional" and "cozy" mysteries know that including food also works to reassure readers.

Justice will win out in the end, Page said. "I'm not going to leave you with a bleak view of the universe, and there's good food along the way."

Authors are inspired to write culinary mysteries because they already enjoy cooking.

"The elements of writing crime are like a recipe," Page said. "You have all the ingredients, or clues, and then follow step-by-step how to put them together. You stick it in the oven, which is the mystery, and then out comes a cake, or your resolution."

Whether on vacation or needing to unwind from a hectic workday, many women know they can pick up a culinary mystery and lose themselves in the comfort or even sensuality of when food and murder come together. They witness glimpses of their own lives while partaking of the extraordinary.

"The overwhelming majority of mystery readers are women," said Natalee Rosenstein, a senior executive editor of the Penguin publishing group. "They see their own lives reflected in these characters. They're baking cookies for their kids or church benefits and reading about people that do the same thing, so they get that sense of identification."

Readers may be comforted by the food while reading about unacceptable violence.

"It's an interesting combination, death, food and murder," Dr. Susan Kavaler-Adler, a clinical psychologist and psychoanalyst specializing in mourning, said.  "Loss is not that simple, it involves a lot of issues about aggression. Comfort food can momentarily take away feelings that are frightening or have aggression in them."

"When it is on a visceral level, that's when something like a rich food can alleviate the toxicity of that feeling, but it's only a temporary fix. It sounds like these (culinary mysteries) are using food to counteract something about the fears of rage that are expressed as actual murder."

Many writers who mix their murders with a good meal cite the well-fed character in the Nero Wolfe mystery books that later became TV series.  A Wolfe fan, Page published her first culinary mystery in 1989.

The food in this genre of mystery sets each series apart: Cheese, bakeshop, pizza, tea and White House chef mysteries.

"I think what's new are the types that tickle people's imaginations," Rosenstein said. "People are reading for entertainment, and while they do, they have a nice plate of cookies and an iced tea by their side."

What comes first, the perfect crime or the perfect recipe?

Like Davidson, Page and Swanson, Livia Washburn, author of the Fresh Baked series, develops her recipes while she's working on each book, constantly tweaking until the last minute so they turn out just so, she said. Like her sleuth working through a puzzle, recipe tweaking is trial and error.

"Trying to solve a murder is much like trying to come up with a good recipe," Washburn said. "You have to try a little of this, a little of that, and see how it all comes together."

The inclusion of recipes in the backs of books also became a popular aspect for readers. In the beginning, Page didn't include them, but when readers began requesting recipes by mail, Page knew it was time to share them with everyone.

But for the amount of time these novels have been popular, why the sudden boom?

"Culinary mysteries are here to stay," Rosenstein said. "It's taken a long time for women mystery writers and cozy mystery writers to get the respect of the mystery genre community. They kind of forced their way in the door, so it became hard to ignore."

Page, also author of "Have Faith in Your Kitchen," a collection of recipes based on those in her Faith Fairchild series, uses a quote from a Frenchman in the late 1800s at the beginning of her cookbook to describe the relationship between murder and food.

"'Bad taste leads to crime,'" Page quoted. "It's a wonderful encapsulation of how the two go together."

@highlight

Culinary murder mysteries have been popular since the days of Nero Wolfe novels

@highlight

Cooking inspires some plots while writers work out recipes

@highlight

Psychologist: Comfort foods help ease feelings of fear or aggression

@highlight

Recipes included in the backs of books are also a popular feature of culinary mysteries