(CNN) -- Fresh explosions and riveting gunfire punctuated the pre-dawn hours Monday in cities around Syria, opposition activists said, with the ongoing violence coming on the heels of yet another bloody weekend in the embattled nation.

Around 3 a.m., the Local Coordination Committees of Syria -- a network of opposition activists -- reported on its Facebook page that at least three major blasts in a few hours had rattled the Damascus neighborhood Mazzeh, where persistent gunfire rang out for at least an hour.

The same group also reported other pockets of violence early Monday around the capital, including "intense shooting" in Dummar and Keswa "from the security checkpoints all over the city."

Some of the latest violence appeared to pit Syrian government forces against members of the rebel Free Syrian Army.

That included clashes in Douma, where the LCC reported "shooting from all the checkpoints in the city ... as a result of clashes between the Free Syrian Amry and the regime's army."

In Deir Ezzor, Free Syrian Army members purportedly destroyed "the Division of the Countryside," a government ministry, as the opposition fighters battled government forces who were subjecting them to "intense shelling."

The activist network also reported Monday morning that regime forces had "launched a looting campaign" of homes in the Aleppo suburb of Atareb, even occupying some homes whose residents had fled the city due to perilous shelling.

CNN cannot independently confirm reports of casualties or attacks in Syria because the government has severely restricted the access of international journalists.

But more than 8,000 people have died in the conflict, according to the United Nations. Opposition activists say the overall toll is more than 9,000, most of them civilians.

That includes dozens reportedly killed around the country Sunday, including three killed in addition to at least 25 others wounded in a car bombing in the northern city of Aleppo.

The bomb detonated near the political security branch in Aleppo, which is Syria's largest city, the Syrian Observatory for Human Rights said.

The state-run Syrian Arab News Agency described the blast as a "terrorist bombing" and said that two people were killed. The explosion ripped the facade off a residential building, the government news agency said.

The blast occurred a day after 27 people died after two "booby-trapped" cars exploded in crowded areas of Damascus, said SANA. The blasts also injured 140 people and caused serious damage to surrounding buildings, according to the official news agency.

A Syrian rebel leader vehemently refuted the government's claim that so-called "terrorists" -- not the regime itself -- were behind the Damascus blasts.

"This is the regime's game. This is how they play their dirty tricks. They carry out these types of explosions from time to time to get more international support and compassion," Capt. Ammar al-Wawi of the rebel Free Syria Army said Sunday. "They are desperately trying to prove to the world that they are fighting against armed gangs, but the reality is they are the ones who are doing all the killings."

At least 67 people were killed in clashes throughout Syria on Sunday, including two children and seven soldiers from the Free Syria Army, according to the Local Coordination Committees of Syria.

Nearly half of the dead were in the northeastern city of Deir Ezzor, where 29 people were reported killed in reported shelling by government troops, according to the LCC. The London-based Syrian Observatory for Human Rights said heavy gunfire and explosions echoed in the city as government forces and Syrian defector groups clashed, the observatory said.

Another 14 were killed in Idlib, eight in Homs and seven in the suburbs of Damascus, the LCC said.

Four Syrian soldiers were killed in fighting with defectors near the northern city of Jisr al-Shugur, the Syrian Observatory reported. Pro-Assad forces also assaulted and arrested opposition leader Mohamed Sayed Rasas during an anti-government protest in Damascus, the observatory said.

More than a year after the start of the regime's crackdown on dissidents, reports of deaths mount every day.

And it's not just deaths. Opposition activists also described what happened to 32 surviving children and two women after an attack last week in the Rifai district of Homs province.

"The children were tortured -- beaten, abused, fingers cut off, and shot by thugs," said a man who uses the pseudonym Waleed Faris.

Another activist, identified only as Abu Faris, was part of a rescue operation in Rifai. He described seeing abandoned neighborhoods, "tens of bodies" and "horrific corpses, shot, mutilated -- everywhere."

The humanitarian situation across Syria is deteriorating, the International Committee of the Red Cross said in a statement Sunday.

"The ICRC is particularly concerned about vulnerable people, such as those detained in connection with the fighting and those who are sick or injured and need medical care," said ICRC president Jakob Kellenberger, who was scheduled to discuss the situation with Russia's foreign minister in Moscow on Monday.

Most reports from inside Syria indicate the regime is slaughtering civilians to wipe out dissidents seeking al-Assad's ouster. The al-Assad family has ruled Syria for more than four decades.

But al-Assad's regime has insisted that "armed terrorist groups" are behind the violence and says it has popular support for its actions.

CNN's Rima Maktabi, Saad Abedine, Caroline Faraj and Salma Abdelaziz contributed to this report.

@highlight

NEW: At least 3 explosions rock Damascus early Monday, an opposition network says

@highlight

NEW: Additional fighting is reported in other cities around Syria as well

@highlight

At least 67 people were killed around Syria on Sunday, one group says

@highlight

Syria's government blames terrorists for weekend blasts that killed 27