(CNN) -- The Environmental Protection Agency recently finalized a rule that for the first time requires U.S. coal and oil-fired power plant operators to limit emissions of mercury and other hazardous air pollutants.

EPA rules in place under the 1990 Clean Air Act have targeted acid rain and smog-forming chemicals emitting from power plants. But perhaps surprising to many, those rules have never included limits on mercury, a neurotoxin known to damage developing fetuses and children.

How this policy affects your health

The benefits of this new rule, in terms of dollars saved and death prevented, far outweigh the costs to companies and consumers, according to peer-reviewed EPA studies.

U.S. power plants account for only about 1% of global mercury emissions. Even so, for each dollar spent reducing mercury and hazardous air pollutant emissions under the new rule, the EPA projects up to $9 in health benefit savings by preventing an estimated 11,000 premature deaths and 4,700 heart attacks each year.

Among children, the new limits are projected to prevent 130,000 cases of asthma and 6,300 cases of acute bronchitis each year, the EPA estimates.

"These standards rank among the three or four most significant environmental achievements in the EPA's history," said John Walke, Clean Air director of the National Resources Defense Council, an environmental advocacy group. "This rule making represents a generational achievement."

Despite federal limits on emissions of mercury from other sources, such as waste incinerators, there have been no limits on coal-fired power plants, which the EPA says constitute the single largest source of mercury emissions.

"As a mom, I'm especially excited to know that millions of mothers and babies will now be protected from mercury poisoning," said Mary Anne Hitt, director of Beyond Coal Campaign, a clean energy advocacy group.

"We all teach our kids the simple rule that if you make a mess you should clean it up - and now polluters will have to follow that same rule," she wrote in an e-mail conversation.

"Mothers around the country who have been worried about mercury pollution causing learning disabilities and other problems for their kids will be able to sleep easier tonight."

Health experts have known for a long time that mercury causes damage to developing fetuses, with long-term effects on the child.

Methylmercury, found in fish and shellfish, can harm a child's thinking, language, fine motor skills, memory, attention, and visual spatial skills when exposed in the womb.

One study estimates that for each part per million of mercury found in a mother's hair -- a common way of testing for mercury exposure -- her child loses approximately 0.18 IQ points.

Outbreaks of methylmercury poisoning have resulted in some children being born with severe disabilities, even when their mothers did not show signs of nervous system damage. But adults are at risk for mercury poisoning too; symptoms can include impairment of vision, speech, hearing and walking.

In addition to mercury, the new EPA rule also limits emissions of hazardous air pollutants like arsenic, benzene, chromium, formaldehyde, hydrochloric acid, and nickel.

How to protect against mercury exposure

Once airborne, mercury enters bodies of water through precipitation, becomes methylmercury, and accumulates in the food chain.

The EPA and the Food and Drug Administration recommend that pregnant women and young children limit their consumption of fish and shellfish to two meals a week, because the methylmercury contamination found in fish can cause harm to humans.

The EPA and FDA say that some larger predatory fish, such as shark, swordfish, king mackerel, and tilefish, should be avoided entirely by pregnant women and children.

Exposure can also occur from breathing in polluted air, for example near incinerators and coal-burning power plants.

A lab test using blood or hair samples can determine the amount of methylmercury in the body.

What's the controversy?

The new rule requires that the vast majority of mercury contained in coal be captured and prevented from releasing into the air when burned for energy. It would require operators to shut down or upgrade the most environmentally dangerous power plants.

Power plant operators have three years to comply with the new standards, but plant operators may be granted additional time to install the necessary emissions improvement technologies if they are able to demonstrate a valid need.

Not everyone supports the new limits, in part because the new rules will increase costs for plant operators who need to make upgrades.

The rule has been criticized by industry groups and some Republicans.

"Analyses predict EPA's rules will force the premature retirement of power plants that are needed to provide affordable, reliable power to consumers and our growing economy," said Fred Upton, the chairman of the House Energy and Commerce Committee.

"Other plants will require multi-million dollar retrofits that will result in higher electricity bills," said the Republican congressman from Michigan.

The EPA states that its rule is cost-effective and "ensures electric reliability," noting that the agency has received more than 900,000 comments from industry and the public to better inform the decision.

Amid a divisive political climate and persistent unemployment, the EPA noted in its March 2011 rule proposal that it "finds that more jobs will be created in the air pollution control technology production field than may be lost as the result of compliance with these proposed rules."

The final EPA rule regulating power plant mercury emissions has been decades in the making.

The 1990 version of the Clean Air Act signed into law by President George H.W. Bush directed the EPA to conduct studies to determine whether regulating mercury and other hazardous air pollutants from power plants was "appropriate and necessary."

In December 2000, having completed the required studies, the EPA formally announced its intention to regulate mercury emissions from power plants.

Then in 2005, under the administration of President George W. Bush, the EPA reversed its determination that mercury regulations were "appropriate and necessary," and removed power plants from the list of sources to be regulated. Instead the Bush-era EPA proposed the "Clean Air Mercury Rule," a cap-and-trade system for mercury emissions.

Under "cap and trade," mercury emissions would not be restricted, but heavy polluters would pay a fee that could be pocketed by companies whose factories or power plants pollute less.

In February 2009, the new EPA Administrator Lisa Jackson announced a return to the 2000 decision to put limits on mercury emissions. The rule proposed on March 2011 was made final in an announcement on December 21 at the Children's Medical Center in Washington.

Altogether, the environmental regulations beginning with the 1970 Clean Air Act have saved millions of American lives, according to the EPA.

The reductions in fine particle and ozone pollution emissions mandated under the 1990 Clean Air Act prevented more than 160,000 cases of premature mortality, 130,000 heart attacks, and 1.7 million asthma attacks in just the year 2010, according to EPA figures.

@highlight

The new limits are projected to prevent 130,000 cases of asthma, 6,300 cases of bronchitis

@highlight

Methylmercury, found in fish and shellfish, can harm a child's thinking, language

@highlight

The new EPA rule also limits emissions of hazardous air pollutants like arsenic, benzene