(Health.com) -- Older women have a slightly increased risk of dying at an earlier age if they take multivitamins or certain other dietary supplements, according to a new study published today in the Archives of Internal Medicine.

Of the 15 supplements included in the study, iron was most strongly linked to an increased risk of earlier death. Women who took iron supplements were 10% more likely to die during the 22-year study than women who did not take them, even after the researchers controlled for several other health and demographic factors.

Folic acid, vitamin B6, magnesium, zinc, copper, and multivitamins were also associated with an increased risk of earlier death. Calcium was the only supplement associated with a lower risk of death during the study.

"I don't think we really know enough to be prescribing supplements," says David Jacobs Jr., Ph.D., the senior author of the study and a professor of public health at the University of Minnesota, in Minneapolis.

Jacobs stresses, however, that people who have been prescribed dietary supplements for a specific vitamin or nutrient deficiency should not stop taking them without consulting their doctor.

Health.com: Which vitamins do you need?

The study -- which shows only an association, not cause and effect -- has some key shortcomings. The researchers measured supplement intake using questionnaires that relied on the memory of the participants, for instance.

In addition, the researchers don't know whether the women were taking supplements for a health problem. The increases in death risk might therefore be due to underlying health conditions rather than the supplements themselves, says Susan Fisher, Ph.D., a professor of community and preventive medicine at the University of Rochester Medical Center, in Rochester, N.Y.

"People [often] go to the vitamin store because they feel something isn't right -- their memory is slipping, they don't have as much energy," says Fisher, who was not involved in the new study. "These could be subconscious symptoms of a disease that is eventually going to take their life."

Health.com: Heart trouble? 30 herbal remedies to avoid

The use of dietary supplements has exploded in the United States in recent decades. According to the study, roughly half of all adults reported taking supplements in 2000.

The rates were even higher among the 38,772 women in Iowa who participated in the study. Sixty-three percent were taking at least one supplement when the study began, in 1986, but by 2004 that number had jumped to 85%. And more than one-quarter of those women reported taking four or more supplements on a regular basis.

The women were 62 years old at the beginning of the study, on average, and none had chronic health conditions (with the exception of diabetes and high blood pressure). Just over 40% of the women had died by the time the study ended in 2008.

Women who took calcium -- which is known to reduce the risk of bone fractures associated with aging -- were 9% less likely to die during the study than women who did not take it, but most of the other supplements were associated with an increased risk of death. Some supplements, including beta-carotene, vitamins A and C, and selenium, didn't appear to affect death risk either way.

Health.com: 11 foods for healthy bones

However, the increases in death risk (or decrease, in the case of calcium) were extremely small and may not be clinically meaningful, says Mary L. Chavez, a professor of pharmacy practice at the Texas A&M Health Science Center, in Kingsville.

Several factors besides supplement use may have shaped the results. Fisher points out, for instance, that the use of hormone therapy to treat the symptoms of menopause was nearly twice as common among supplement users as among nonusers. Some forms of hormone therapy have been linked to an increased risk of heart disease and breast cancer.

The researchers did take hormone therapy into account in their analysis, along with several other potentially mitigating factors (including age, educational attainment, body mass index, diet, and physical activity). But the wide disparity in hormone use between supplement users and nonusers may indicate that the two groups of women were different in subtle yet important ways, Fisher says.

Health.com: Can supplements ease menopause symptoms?

"People choosing to take [hormone] replacement therapy often have underlying different characteristics and lifestyle behaviors, which you can't necessarily balance out with a mathematical model," she says.

It's not clear that the study results apply to the population of older women as a whole. The study participants were white and tended to live in rural areas, so the findings can't necessarily be generalized to other races and geographic areas.

Still, the study is a reminder that supplements may not be as harmless as they seem, Fisher says. "Taking more of what we think is a good thing may not be so good," she says. "High levels of nutrient supplements may be harmful, or at least not helpful."

Copyright Health Magazine 2011

@highlight

The use of dietary supplements has exploded in the United States in recent decades

@highlight

Folic acid, vitamin B6, magnesium, zinc and copper pose an increased risk

@highlight

Iron was most strongly linked to an increased risk of earlier death -- calcium was the least

@highlight

Increases in death risk were extremely small and may not be clinically meaningful