(CNN) -- The NBA and the Los Angeles Clippers' organization may have upstaged Donald Sterling's latest soundtrack Friday afternoon with the announcement that Richard Parsons, former Citigroup and Time Warner chairman, is the new CEO of the team.

The public relations contrast was stark: As the National Basketball Association and the Clippers were moving forward, Donald Sterling's statements were coming from surreptitiously (or not so surreptitiously) recorded phone conversations.

But now, he has spoken out directly in an interview with CNN's Anderson Cooper. Sterling says in that interview that he was "baited" into making his controversial statements.

And he makes the argument that he shouldn't be thrown out of the NBA. "I'm a good member who made a mistake and I'm apologizing and I'm asking for forgiveness," he said. "Am I entitled to one mistake, am I after 35 years? I mean, I love my league, I love my partners. Am I entitled to one mistake? It's a terrible mistake, and I'll never do it again."

Sterling is not the only party suffering from this controversy. The NBA stands at the beginning of what will certainly be a protracted legal and procedural battle, one that will cost untold millions. It also will embroil the NBA in an unwanted controversy for years to come.

Having a chief executive of Parsons' stature in control of the team may help the league gain an advantage as a battle over the team's ownership starts to play out, but the NBA's road ahead still will not be easy.

But the NBA asked for this. The fact that players and the public largely supported the league will be of little solace to the NBA when it is paying legal fees for years to come. The legal fees may be the cost of doing business, but if banning and fining Sterling would have been adequate, this was an avoidable cost.

The NBA's response to the Sterling controversy is a cautionary tale against meting out hasty, summary punishment. Here's why: The NBA likely had the authority to unilaterally fine Sterling as it did. It also appears to have had the authority to ban him from his team for life. If Commissioner Adam Silver had stopped there, Sterling might have been effectively vanquished, because the decisions of the commissioner are shielded from review by a court.

For the privilege of joining the National Basketball Association, owners contractually give up certain legal rights and remedies. Fining and banning Sterling was probably well within the jurisdiction of the NBA. But in seeking to "max out" Sterling's sentence by forcing him to sell the team, the NBA is forging new legal territory, and doing so at a price.

Sure, there are catch-all provisions of the NBA's rules that ostensibly allow for ouster of an owner who brings harm to the league, but the ouster rules on the whole appear designed for dealing with teams and owners suffering economic or management problems, like failing to make payroll -- not for owners who were private bigots.

There will be an answer to the ultimate question of whether the NBA can legally oust Sterling. We just don't know what it is yet. The league and Sterling can purchase an answer to that question, at the cost of years of litigation and untold fortunes in legal fees.

Moreover, if the NBA's objective was to distance itself from Sterling, they have done the opposite. After years of prolonged public litigation, they will cling to each other as two spent swimmers, choking their own business interests in the process.

Early on, Silver made clear that the punitive measures were directed at Sterling, not at other members of his family. With this blessing, estranged wife Shelly Sterling has injected herself as a blame-free alternative owner. But does she have an ownership interest in the team? Determining true ownership of this team will be a Gordian Knot of litigation: First, there is the issue of whether the NBA can oust an owner where actual "ownership" is disputed. If the team is held in trust, as reported by the Los Angeles Times, and not by a single owner in Sterling, that changes the contours of ownership.

A trust is a legal entity in which property (like a team) is held for the benefit of other persons. It's a protective device, designed for situations just like this: where a beneficiary of a trust is attacked, the property cannot be reached because the beneficiary does not actually "own" the property -- even though he may receive payments or otherwise profit from the property.

The complexity doesn't end there, though. Even without a trust, in California, spouses acquire interests in family businesses when distributing property in a divorce. But that is only a general rule, and who knows what default rules Donald Sterling has attempted to deal with by contract? One thing is for sure, whether it's the NBA, Shelly, or Donald Sterling, each party will mount a different legal argument concerning ownership based upon their own best interests.

Determining the "owner" of the Clippers will be a hodgepodge of legal issues worthy of the bar exam: divorce law, corporate dissolution, trusts and estates law. For now, Shelly Sterling is a cause for concern for the NBA, the other owners, and her own husband. She has leverage, possibly even 50% ownership of the team.

The NBA owners must be longing for the "good old days" when their biggest problems were contract disputes and torn ACLs. We can only guess at the individual owners' respective positions at the moment Silver handed down verdict and sentence against Sterling.

Now, the commissioner has placed the onus on the owners: They have the burden of deciding whether to oust one of their own. It is a Hobson's Choice, which is no choice at all: Even if the owners are privately sympathetic to Sterling, an owner who dares to defend the embattled Clippers owner commits social seppuku.

On the other hand, NBA owners are independent thinkers and independently wealthy; if anyone can weather criticism, it's these captains of industry. Mark Cuban has already publicly observed that "people are allowed to be morons." Whether the owners ultimately cast their ballots for or against Sterling, all of these owners would rather be somewhere else. Public perception aside, the owners have other concerns: If this case goes to litigation, expect broad-reaching discovery demands and subpoenas for sensitive documents and information. This case is a minefield for them, with no real upside.

At the moment, there appear to be a few winners in the Sterling controversy. Kia, CarMax, State Farm Insurance and Virgin America are just some of the companies that pulled advertising from the Clippers after the first tapes were revealed. Ironically, they garnered more buzz by not spending money advertising than they would have by actually spending money on advertising.

It's the ultimate win-win, and it's not over yet. As long as someone else spends the time and money to excise Donald Sterling from the Clippers, the sponsors will have a second photo op. They will return triumphantly to advertising with the team, and take partial credit for the brave stance against one offensive octogenarian -- a stance that didn't actually require them to do, or spend, anything.

Heading into the weekend, the advantage is with Shelly Sterling -- who may have a valid claim to ownership -- the NBA, and Parsons, the highly credentialed, newly anointed CEO. Donald Sterling's next moves will be interesting, though his first moves should be away from the telephone -- at least for now.

@highlight

NBA named Richard Parsons as new CEO of the LA Clippers

@highlight

Danny Cevallos says NBA is moving ahead while Sterling speaks out in Anderson Cooper interview

@highlight

He says the NBA is at beginning of a long and perhaps difficult road to oust Sterling as owner

@highlight

Cevallos: League clearly had authority to fine and ban Sterling