(AOL Autos)  -- Buying a used car may seem like a simple topic.

Used car sales company CARMAX had an influx of trucks and SUVs after gas prices skyrocketed.

But when you begin slicing and dicing the various possibilities among approximately 3.3 million vehicles that are for sale at any given time, interesting insights into consumer preferences begin to emerge.

For Krista Glotzbach, director of marketing at Vast.com, the San Francisco, California-based aggregator of data (which provides used vehicle search data for AOL Autos), the various permutations are nearly endless.

But users shouldn't worry because, with the help of search filters, vehicle fashion statements (what color do you want) and budgetary considerations (what price range do you want) easily come to the surface for faster used car searching.

Because Vast.com has a variety of sources for its data, including Web "crawls" (an automated Internet search for used vehicle information), the data is, by definition, revealing in its own right. AOL Autos: Safest cars

But industry player CARFAX, which makes its vehicle history reports available to the public, provides a different kind of insight. AOL Autos: Used luxury cars

As Larry Gamache, director of communications, pointed out, used car sales dominate the automotive industry. With that volume comes its share of fraud, notably in the marketing of vehicles damaged by flood.

And even if a vehicle doesn't look bad, what you can't see can hurt. "The problem with flood-damaged cars is that they're rotting from the inside out," Gamache said.

It's also a potentially big safety issue. "Air bags that have been submerged do not function properly," Gamache noted. "They either don't deploy or could deploy at speed."

But not all used cars have skeletons in their closets. Actually, most of the vehicles sold in the U.S. are used. AOL Autos: Most popular crossovers

Here are a few water cooler tidbits that might make you say "hmm":

1. Three out of four automotive transactions in the U.S. involve previously owned vehicles.

2. The average vehicle will likely have three owners in its lifetime.

3. Industry experts believe one of every 25 air bags that have been deployed have not been properly replaced. They're also the most stolen item from a vehicle (having surpassed radios). AOL Autos: Best resale value cars

4. About half the cars that are flood damaged end up back on the road. As far as Hurricane Katrina is concerned, estimates are that about 200,000 vehicles were dried out and resold.

5. The most frequently searched price range for a used vehicle is under $5,000.

6. Consumers lose as much as $4 billion a year due to odometer fraud, with the average rollback being 15,000 miles. AOL Autos: Best hybrid cars

7. There are more used Silverado pickup trucks for sale than any other model (nearly 120,000 throughout the U.S.)

8. Texas has more used vehicles than any other state (more than 220,000); Houston alone has more than 32,000 on the market at any given time.

9. Chevrolet tops the list of most-available brands in the U.S. (with about 450,000 available), followed by Ford (425,000). There are "only" about 280,000 Toyotas on the market at any given time.

10. Silver is the most available color in the used vehicle market -- more than 447,000 vehicles, followed by black (429,000), white (409,000), and red (321,000). Blue (309,000) and gray (277,000) are also aplenty. The color you're least likely to find? Pink, with just 249 used vehicles listed.

11. Age does appear to matter, at least when it comes to a used vehicle. Nearly half those listed at any one time (about 1.5 million) are model years 2007-2008.

12. Automatic transmissions outnumber manual 10 to 1 in the market for used vehicles.

13. Six cylinder vehicles are the most popular on the used car market, accounting for nearly a third of the total available (and roughly the combined total of both four cylinder and eight cylinder powered vehicles).

The least likely number of engine cylinders? The 23 vehicles that were listed as being equipped with a 16-cylinder motor, among them a 2006 Bentley Continental Flying Spur (just $122,000) and a 1938 Cadillac ($195,000).

14. Nearly half the used vehicles on the market come with air conditioning.

Clearly, the marketing and sale of used vehicles is a big business. Like any other transaction, it's "buyer beware" and "buyer aware." Thankfully, well-known and respected sites (such as AOL Autos Used Cars) and sources such as CARFAX for checking a vehicle's history can help lower the risk to consumers.

Sources: VAST.com (vehicles available as of July 21, 2008), CARFAX, National Highway Traffic Safety Administration.

@highlight

Three out of four transactions in the U.S. involve used vehicles

@highlight

Average vehicle will likely have three owners in its lifetime

@highlight

Pink is the least available color on the market, with just 249 used vehicles listed

@highlight

Texas has more used vehicles than any other state