What makes a truly fun theme park?

Is it the rides, the size of the budget, the staff in big-eared costumes hugging kids?

For Stefan Zwanzger, who's visited no fewer than 264 parks in 92 countries in his guise as "The Theme Park Guy" -- a self-funded roving reviewer of gated entertainment centers around the world -- it's when all of the above combine to work their magic.

"A great theme park is one you leave and don't forget about instantly," he tells CNN. "I'm really curious about the whole experience.

"I wonder about the atmosphere that's been created and what the vision for the park is."

The German-born Zwanzger, who grew up in Munich and who has lived in Berlin, Dubai and London, says he judges a theme park not just on the quality of the rides but on whether the attraction's creators achieved the vision and atmosphere they set out to create.

"A good ride is like a good movie, it surprises you," he says. "There should be at least one unexpected twist in the story. There are very few good rides out there in the world -- most are predictable.

"A standalone ride on its own for me has little fun factor, I really like theme parks because they're not fun fairs.

"Fun fairs are a collection of rides. A theme park is a gated experience, and the moment you pass through the gates you should be entering a different world. And if this world surprises or inspires you, then it's fun."

Here are Zwanzger's top 10 "funnest" theme parks:

1. Tokyo DisneySea (Urayasu, Japan)

Zwanzger says: "This park is based around a truly unique concept, with science fiction author Jules Verne at its center.

"Verne lived in the 19th century and wrote futuristic novels, and large parts of this park are modeled after the way he was imagining the future back then -- it recreates a future that's never existed.

"It's impeccably themed with erupting volcanoes, giant drilling machines and Jules Verne-themed rides. There's also a Middle Eastern corner, an Adventure/Indiana Jones corner and a Mediterranean Harbor -- everything in the park is based on stories about the sea.

"I love Disney parks, but DisneySea really stands out because it's markedly character free. It has the Disney budget, talent and vision, but tells a completely different story than Donald and Mickey.

"It's a great collection of rides with the world's best theming and you can really see a huge budget at work."

Tokyo DisneySea, 1-13 Maihama, Urayasu, Chiba Prefecture, Japan;  +81 570-008-632; Read Zwanzger's full review

2. Atlantis Paradise Island (Nassau, Bahamas)

Zwanzger says: "This isn't too different from the other Atlantis park in Dubai, but this is the better one.

"It's a casino resort, but you feel that the casino is just 2% of the park and the other 98% is slot machine-free fun, with meticulous theming and incredible attention to detail.

"Atlantis has a wonderful combination of aquariums featuring huge tanks and a vast variety of fish with a beach resort and a very well-themed water park that's completely up to Disney standards.

"If you want a theme park vacation by the beach, this is the place to go."

Atlantis Paradise Island, 1 Casino Drive, Paradise Island, Bahamas; +1 242-363-3000; Read Zwanzger's full review

3. Disneyland (Anaheim, California)

Zwanzger says: "This simply is the original. Just think about the entrepreneurship and risk-taking involved when Walt Disney set this up.

"He put a German castle at the end of an American high street and it became a role model for theme parks around the world until today.

"In China and other places around the world they're still copying what he did.

"That park opened in 1955 and it changed so much, it basically created this industry, and visiting it and seeing a lot of the original structures still standing is a very special feeling."

Disneyland,1313 Disneyland Drive, Anaheim, California; +1 714-781-4565; Read Zwanzger's full review

4. Europa-Park (Rust, Germany)

Zwanzger says: "Europa-Park is unique because it's managed to create an immersive experience without using any major intellectual properties for support.

"They've created various lands based on European countries and the continent's culture, history and architecture.

"It's a unique and great concept that is very successful and doesn't need any film studios or cartoon characters.

"It's really good for people who don't travel that much, they can come to Europa-Park and experience all the different architecture and cuisines found throughout Europe.

"Think world exhibition with rides and highly themed local villages."

Europa-Park, Europa-Park-Strasse 2, Rust, Germany; +49 7822 776688; Read Zwanzger's full review

5. Tropical Islands (Krausnick, Germany)

Zwanzger says: "This park is housed in a huge hangar originally constructed to build cargo airships.

"The company went bust before the first ship had ever been built, so they were left with the vast hangar some 50 kilometers south of Berlin -- and no one knew what to do with it.

"Then a Malaysian investor came along and used it to create an Asian-themed indoor water park with a beach.

"Water parks with an Asian theme and palm trees and beaches are fairly normal, but when you see this place in the winter time with all the Germans and Czechs and Poles sitting there in a tropical environment staring up at that gigantic ceiling, it feels like a Mars colony."

Tropical Islands, Tropical-Islands-Allee 1, Krausnick, Germany; +49 35477 605050; Read Zwanzger's full review

6. Cedar Point (Sandusky, Ohio)

Zwanzger says: "This is a classic, American coaster paradise. It's like being at a coaster trade show, with all the rides assembled.

"If you talk about fun amusement parks based on roller coasters and thrill rides and your focus is not on stories or atmosphere -- this the greatest park to go to."

Cedar Point, 1 Cedar Point Drive, Sandusky, Ohio; +1 419-627-2350; Read Zwanzger's full review

7. Sochi Park Adventureland (Sochi, Russia)

Zwanzger says: "I've only been here before the Winter Olympics when the park was still under construction, but I'm really looking forward to going back.

"This is Russia's first ever theme park, and it's an ambitious project with a big budget and quality rides imported from Europe.

"So many theme parks think they need an intellectual property, so they get characters running around, hugging the kids, but I think the creators can be much more bold and try something else, like theming it around the history of a country or region.

"This is what they've tried to do here -- create a window on Russia. I've been to Russia many times and I think it's a super fascinating country.

"For an amusement park-loving person this will certainly be a great place to see before exploring the rest of the country.

"Russia needs more tourists and contrary to all the bad press they always get, Russian people are great hosts and it's a joy to visit there."

Sochi Park Adventureland, Str. Ostrowski, 23, Sochi , Russia; +7 988 3603868; Read Zwanzger's full review

8. Oct East (Shenzhen, China)

Zwanzger says: "This huge theme park is China's answer to Disney.

"There's two levels, seaside and mountain, connected with a really stunning funicular train, creating an amusement park spread over a vast area. I've never seen anything as big as this except in Disney World.

"Not everything is the highest quality, but they have some good rides, many of them imported, and it's just so big and spectacular, particularly the view from the top.

"Everyone who visits Hong Kong and loves theme parks should make their way over there, it's about 45 minutes from the Hong Kong-China border by taxi."

Oct East, Yantian, Shenzhen, Guangdong, China; +86 755 2660 0248; Read Zwanzger's full review

9. Happy Zone (Yangon, Myanmar)

Zwanzger says: "This is a very low budget theme park and that's what makes it so much fun. When you combine low budget and the passion of the creators, sometimes beautiful things arrive.

"The ghost train here is really scary. As you move forward everything brushes your face, the ghosts are practically falling into your car.

"There's such an overdose of ghosts and puppets, it's one of the funnest things I've ever done.

"If anyone goes to Myanmar, first of all they should meet the people and experience the country, of course, but Happy Zone in Yangon is really worth the side trip. It's really a beautiful experience."

Happy Zone, People's Park, Dhama Zedi Road, Yangon, Myanmar; +95 973009488; Read Zwanzger's full review

10. Buffalo Bill's Resort and Casino (Primm, Nevada)

Zwanzger: "This is another classic. I love the location, because it's really in the middle of nowhere.

"If you drive from Los Angeles to Las Vegas, right after the Nevada border you see a lone casino and there's a huge coaster sticking out of it. And, heck, that coaster is wild.

"When you pass from California to Nevada, laws differ wildly. You're really crossing an open border and this coaster represents this in many ways.

"You've this ruthless ride standing in the desert that shakes you up before allowing you to continue to Vegas to do all the things you can't do in California.

"I like the entrepreneurship of putting a casino and coaster in the middle of nowhere. If that entrepreneur is still alive, I'd love to meet them."

Buffalo Bill's Resort and Casino, 31900 Las Vegas Blvd. S., Primm, Nevada; +1 702 386 7867; Read Zwanzger's full review

@highlight

Stefan Zwanzger, aka the Theme Park Guy, travels the world in search of the best gated fun parks

@highlight

Tokyo DisneySea tops his list of favorites for "impeccable theming" that includes erupting volcanoes

@highlight

The original theme park, Disneyland makes his list, as does Happy Zone, a low-budget park in Myanmar