(CNN) -- Even as they trade barbs publicly -- and even as artillery shells and accusations continue to fly in Syria -- the United States and Russia could take solace Friday in at least one respect: They are still talking.

Discussions between the two in Geneva -- centered around Moscow's proposal to have Syrian President Bashar al-Assad's government hand over its chemical weapons stockpile -- were supposed to end Friday. They continued through the night and were extended into Saturday for a reason, U.S. officials said.

"If there was no opening, we wouldn't still be here," a senior State Department official said.

An Obama administration official said separately that "we are coming closer to agreement on the scope of Syria's chemical weapons stockpile."

And even before the Geneva talks' extension was announced, U.S. Secretary of State John Kerry and Russian Foreign Minister Sergey Lavrov signaled their intent to meet again: on September 24 in New York on the sidelines of the U.N. General Assembly.

The prospect of yet another round of negotiations in the next few weeks pointed to a potentially bigger endgame for the United States and Russia in the hastily arranged meeting they began on Thursday in the Swiss city.

That's not to say all of the many outstanding issues -- on Syria's chemical weapons and much more -- have been resolved.

Senior U.S. administration officials told reporters on condition of not being identified the main sticking point was what consequences al-Assad and his government should face.

These officials have no expectations Russia would agree to any U.N. resolution that included authorization for possible military force against Syria. The United States, therefore, will not insist it be included.

That runs counter to Obama's call for the international community to take action, including a potential military strike, for what the United States and allies call a chemical weapons attack by al-Assad's forces last month outside Syria's capital that they say killed more than 1,400 people.

Obama has threatened to act alone, if necessary, and his administration credits that threat with Russia's surprise proposal last week to have Syria turn over its chemical weapons arsenal to international control.

Outside of the United Nations, however, administration officials insisted they would not take the military threat off the table.

A senior defense official said there has been "no change" in the military's planning or readiness levels and commanders have not been instructed to change their "posture" in any way.

Chemical weapons report expected Monday

The United Nations -- and especially its Security Council, including permanent members the United States, Russia, China, France and Britain -- could play a key role in the international community's response to Syria. And a report by its inspectors looking into an August 21 chemical weapons attack outside Damascus could be pivotal in guiding where countries come down on the issue.

U.N. Secretary-General Ban Ki-mooon is expected to present the report to the Security Council at 11 a.m. Monday, three diplomatic sources said. Ban said Friday that he believes it "will be an overwhelming report that chemical weapons were used."

The big questions are by whom and, if that's settled, what the world should do about it.

Al-Assad and other Syrian officials have vehemently denied their forces were responsible, despite assertions by Obama and others to the contrary.

Russia has stood by its longtime ally Syria, challenging the validity of the U.S. claims. At the same time, and as the threat of U.S.-led strikes loomed, Moscow raised its proposal on Syria's chemical weapons stockpiles and working through the U.N. -- this after, time and again, blocking U.N. action involving Syria.

Al-Assad quickly agreed, leading to the talks between Kerry and Lavrov in Geneva that began Thursday. Syria also told the United Nations on Thursday that it has sent the paperwork for joining the Chemical Weapons Convention, which bans such armaments.

The Syrian submission was being reviewed by U.N. lawyers. If deemed sufficient, Secretary-General Ban Ki-moon would register it and Syria would officially be a member state in the convention.

U.N. envoy: U.S.-Russia talks 'extremely important'

At first, the Geneva talks were about Russia's proposal Monday for Syria to give up control of its chemical weapons, which the United States had demanded in order for Obama to drop plans to launch military strikes.

Syrian crisis: Keeping up with key developments

Now the stakes have gotten higher, with Kerry telling reporters that progress in the broader peace process will largely depend on whether the current Geneva negotiations on Syria's chemical weapons succeed.

A communique from last year's Syrian peace talks attended by all parties called for a ceasefire and establishing a fully inclusive transitional government to write a new constitution.

That went nowhere, however. In fact, the U.N. estimates more than 100,000 people have been killed since the civil war began in 2011, in addition to more than 2 million becoming refugees and over 4 million being displaced within Syria.

Lakhdar Brahimi, the joint U.N.-Arab League envoy on Syria, expressed fresh hopes Friday that a peaceful, political solution to end the war could be reached. Kerry and Lavrov's talks were a big reason for his optimism, with Brahimi calling them "extremely important" -- not regarding chemical weapons, but for the peace process generally.

'A criminal act'

To keep up pressure on al-Assad, Obama on Friday described last month's chemical weapons attack a "criminal" act. Ban weighed in as well, saying the Syrian leader "has committed many crimes against humanity, and therefore I am sure there will be surely a process of accountability when everything is over."

U.S. officials say the mere existence of talks with Russia on the matter is progress, noting that such a prospect would not have been considered just a week ago due to Moscow's repeated efforts to block U.N. action against Syria.

Syrian civil war: 5 things to pay attention to today

Speaking to reporters Friday after he and Lavrov met with Brahimi, Kerry called the talks about Syria's chemical weapons "constructive."

"We are working hard to find common ground to be able to make that happen. And we discussed some of the homework that we both need to do," Kerry said.

Lavrov said Russia had promoted a peaceful solution to Syria's civil war, adding that the communique agreed to in last year's first round of peace talks involving all the parties had been "basically abandoned."

On chemical weapons, Lavrov said international officials had to work together "to design a road which would make sure that this issue is resolved quickly, professionally, as soon as practical."

Opinion: Is diplomacy the harder solution in Syria?

Getting chemical weapons fraught with challenges

Even if all parties agree, weapons experts say the already major challenge of putting Syria's chemical stockpile under international control would be extremely difficult, if not impossible, amid an active civil war.

Syria this week acknowledged that it possesses chemical weapons and wants to join the global convention that bans them.

CNN's Nick Paton Walsh reports that the convention would become legally binding on Syria 30 days after it formally joins, meaning al-Assad's government would have to permit inspections at that time.

After another 30 days -- which would be 60 days from when it formally joined the convention -- Syria would have to declare its chemical weapons stockpiles.

On Thursday, al-Assad noted that joining the convention would give Syria the standard 30 days from compliance to declare its stockpiles, but Kerry responded by expressing concern about that long a time period, saying "we believe there is nothing standard about this process."

At the State Department on Friday, spokeswoman Marie Harf said that "verifying, accounting for securing and destroying a large stockpile of chemical weapons takes time," adding that "it's very difficult to do, particularly in an active war zone."

"If we keep forward momentum, if we believe there's a credible and verifiable plan on the table to do just that, we'll keep moving forward with that process, because resolving this issue diplomatically is certainly preferable to resolving it or to dealing with it with military action," Harf said.

In Turkey, U.S. soldiers guard against Syrian missile threat

Political hurdles

Obama had tried to put together a NATO coalition to attack Syria, but the British Parliament voted against taking part, denying him a normally reliable ally. Other allies said they wanted U.N. authorization in the form of a Security Council resolution before they would join a coalition.

The president then asked Congress to authorize a military response in Syria but appeared in danger of losing that vote until the Russian proposal Monday provided a diplomatic opening.

In a speech to the nation Tuesday night, Obama made moral and strategic arguments for taking action on Syria, challenging Congress and the American public to look at video footage of victims of the chemical attack.

Russian President Vladimir Putin responded with an op-ed posted Wednesday night on the New York Times' website, saying "there is every reason to believe" Syrian troops weren't responsible, while challenging Washington and the idea of "American exceptionalism."

His remarks provoked a strong reaction in the United States, with some U.S. politicians deeming them insulting and sickening. But rather than step back, Putin spokesman Dmitry Peskov fired back by claiming Washington was "unaccustomed (to) competition" in global matters and has "grown too used to patting everyone on the back patronizingly."

Other questions loom in Washington.

One has to do with the Syrian opposition, some of whom are already receiving U.S.-funded weapons and ammunition, according to a U.S. official. Yet there's some questions about the mix of moderates and Islamist extremists among the rebels, including some who are affiliated with al Qaeda.

Then there's the issue of Syria's chemical weapons themselves, and whether it's possible to track all of them down.

Some U.S. intelligence analysts believe it's known where most of Syria's stockpile is stored, according to two U.S. officials familiar with internal discussions. But others say the United States might not be able to verify the location of up to 50% of them.

7-year-old's story shows pain, worry of Syrian refugees

CNN's Jim Sciutto, Athena Jones, Greg Botelho, Saad Abedine, Hamdi Alkhshali, Samira Said, Jethro Mullen, Elise Labott, Chris Lawrence, Jamie Crawford, Ben Brumfield and Jim Acosta contributed to this report.

@highlight

NEW: U.N.-Arab League calls the Kerry, Lavrov talks "extremely important"

@highlight

NEW: A Russian spokesman says U.S. is "unaccustomed" to competition

@highlight

Official: Two sides are "closer to agreement" on scope of Syria's chemical weapons