Today, the Ebola virus spreads only through direct contact with bodily fluids, such as blood and vomit. But some of the nation's top infectious disease experts worry that this deadly virus could mutate and be transmitted just by a cough or a sneeze.

"It's the single greatest concern I've ever had in my 40-year public health career," said Dr. Michael Osterholm, director of the Center for Infectious Disease Research and Policy at the University of Minnesota. "I can't imagine anything in my career -- and this includes HIV -- that would be more devastating to the world than a respiratory transmissible Ebola virus."

The World Health Organization says its scientists are unaware of any virus that has dramatically changed its mode of transmission.

"For example, the H5N1 avian influenza virus... has probably circulated through many billions of birds for at least two decades. Its mode of transmission remains basically unchanged. Speculation that Ebola virus disease might mutate into a form that could easily spread among humans through the air is just that: speculation, unsubstantiated by any evidence."

Osterholm and other experts couldn't think of another virus that has made the transition from non-airborne to airborne in humans. They say the chances are relatively small that Ebola will make that jump. But as the virus spreads, they warned, the likelihood increases.

Every time a new person gets Ebola, the virus gets another chance to mutate and develop new capabilities. Osterholm calls it "genetic roulette."

As of October 1, there have been more than 7,100 cases of Ebola, with 3,330 deaths, according to the World Health Organization, which has said the virus is spreading at a much faster rate than it was earlier in the outbreak.

Ebola is an RNA virus, which means every time it copies itself, it makes one or two mutations. Many of those mutations mean nothing, but some of them might be able to change the way the virus behaves inside the human body.

"Imagine every time you copy an essay, you change a word or two. Eventually, it's going to change the meaning of the essay," said Dr. C.J. Peters, one of the heroes featured in "The Hot Zone."

The roots of our Ebola fears

That book chronicles the 1989 outbreak of Ebola Reston, which was transmitted among monkeys by breathing. In 2012, Canadian researchers found that Ebola Zaire, which is involved in the current outbreak, was passed from pigs to monkeys in the air.

Dr. James Le Duc, the director of the Galveston National Laboratory at the University of Texas, said the problem is that no one is keeping track of the mutations happening across West Africa, so no one really knows what the virus has become.

One group of researchers looked at how Ebola changed over a short period of time in just one area in Sierra Leone early on in the outbreak, before it was spreading as fast as it is now. They found more than 300 genetic changes in the virus.

"It's frightening to look at how much this virus mutated within just three weeks," said Dr. Pardis Sabeti, an associate professor at Harvard and senior associate member of the Broad Institute, where the research was done.

Even without becoming airborne, the virus has overwhelmed efforts to stop it.

Funerals, ghost towns and haunted health workers

Osterholm commended groups like Doctors Without Borders but said uncoordinated efforts by individual organizations are no match for Ebola spreading swiftly through urban areas.

"This is largely dysfunctional. Nobody's in command, and nobody's in charge," he said. "It's like not having air traffic control at an airport. The planes would just crash into each other."

@highlight

Experts fear that Ebola will mutate and become spreadable via cough or sneeze

@highlight

Ebola is an RNA virus, meaning every time it copies itself, it mutates

@highlight

Most mutations mean nothing, but some could change the way the virus behaves