(CNN) -- North Korea on Friday responded to tougher sanctions from the U.N. Security Council with another barrage of vitriol, repeating a vow to ditch all nonaggression pacts with the South.

A day after the isolated regime in Pyongyang had threatened a possible "pre-emptive nuclear attack," something analysts say they think is unlikely, its official news agency reeled off a number of agreements with South Korea that it said would no longer apply.

It's the latest installment in a week of furious rhetoric from the North, fueled by its anger over the U.N. vote on the new sanctions, a response to North Korea's recent nuclear test, and joint military drills by the United States and South Korea, which take place in the region each year.

North Korea watchers and U.S. officials said the recent frenzy of ominous language from North Korea under its young leader Kim Jong Un makes the situation on the Korean Peninsula more worrying and unpredictable.

South Korea has warned the North that it will retaliate strongly and sternly if its citizens are threatened.

"This surge in provocative rhetoric is particularly dangerous," said Michael Auslin of the American Enterprise Institute. "South Korea's new president can't be seen to back down in the face of the North's threats, while Kim Jong Un may feel that his successful missile and nuclear tests give him the ability to keep pressuring Seoul. The two may wind up talking themselves into conflict."

South Korean President Park Geun-hye, who took office late last month, said Friday that Seoul would respond strongly to any provocation from Pyongyang, the semiofficial news agency Yonhap reported.

U.S. Defense Secretary Chuck Hagel offered a similar promise.

"The United States of America and our allies are prepared to deal with any threat," Hagel said.

The possibility of a flare-up was highlighted by the Washington-based Center for Strategic and International Studies, which predicted a provocative move from the North "in the coming weeks."

The center said that according to its research, Pyongyang has carried out "a military provocation of some form within weeks of every South Korean presidential inauguration dating back to 1992."

A military clash could risk drawing in the United States, which has about 28,500 troops stationed in South Korea as part of the security alliance between the two countries.

The most recent skirmish between the two Koreas took place in November 2010, when the North shelled an island on the South's side of the border, killing several people. Pyongyang claimed Seoul had provoked it by carrying out training exercises off the countries' shared coast.

The United States is using satellites, radar and aircraft near the Korean Peninsula in its recently stepped-up surveillance of North Korea, U.S. military sources said.

So far, though, there are no signs of unusual military moves by North Korean forces, according to the same U.S. military officials.

A week of strong threats

The North's comments on Friday reiterated statements it had made earlier this week promising to abolish the armistice agreement that stopped the Korean War in 1953 and threatening strikes on the United States and South Korea.

Claiming its enemies are "hell bent on confrontation and war fever," Pyongyang said it was now revoking "all agreements on nonaggression reached between the North and the South," a declaration it has made in previous years.

It also said it was nullifying the joint declaration on the denuclearization of the Korean Peninsula. The North, which conducted its third underground nuclear test last month, had said recently that denuclearization of the region was impossible because of what it described as the United States' hostile policy toward it.

It also stated that it was immediately cutting off the "North-South hot line," three days after it had already said it planned to terminate its military telephone line with the United States.

The phone line is meant to serve as a tool to defuse potential flash points along the heavily militarized border between the two Koreas.

But Andre Kok, deputy public affairs officer for U.S. Forces in Korea, said that reports of the North's Korean People's Army, known as the KPA, cutting off communication often arise when military training exercises are taking place, as they are at the moment.

"When we place a call on the direct phone line and the KPA does not answer, we have no way of knowing if the KPA has actually disconnected the phone lines or are just not answering the phone," he said.

On Saturday, North Korea's foreign ministry said sanctions against the North over the last eight years have only caused it to bolster its nuclear deterrent program "qualitatively and quantitatively," according to the North's official news agency, KCNA.

On Friday afternoon, Pentagon spokesman George Little said North Korea "will achieve nothing through threats of provocations, which will only further isolate North Korea and undermine international efforts to ensure peace and stability in Northeast Asia."

Little said the United Sates "calls on (North Korea) to refrain from further threats and provocative actions," and said the United States is fully capable of defending itself and its allies, including South Korea and Japan.

New U.N. measures

Tensions are particularly high at the moment because of the new measures against the North adopted unanimously on Thursday by the U.N. Security Council.

"These sanctions will bite, and bite hard," U.S. Ambassador to the United Nations Susan Rice said after the vote.

China, North Korea's key ally, could have used its veto power to block the sanctions. Instead, after weeks of negotiating, it signed on to the final draft.

"China is a country of principle," China's U.N. Ambassador Li Baodong said. "We are firmly committed to safeguarding peace and stability on the Korean peninsula."

On Friday, China's Foreign Ministry called upon "all relative parties to stay calm and refrain from taking actions that may escalate tension." Spokeswoman Hua Chunying reiterated China's support for the sanctions, which have stoked Pyongyang's fury.

The goal of the new sanctions is to stymie the activities of North Korean banks and cash couriers who might be funneling money to the secretive regime's nuclear and missile programs.

It will be tougher for the regime to move large sums of cash stuffed into suitcases, Rice said.

The U.N. resolution also outlines measures to step up scrutiny of suspicious sea shipments and air cargo and it expands restrictions to encompass several institutions and senior officials in the North's weapons industry, as well as a range of materials and technology known to be used in uranium enrichment.

It also blocks the sale of luxury goods, such as yachts and certain high-end jewelry, to North Korea.

"As a result, North Korea's ruling elite, who have been living large while impoverishing their people, will pay a price" for the ongoing nuclear activities, Rice said.

Questions over sanctions' effectiveness

Some doubt whether the new measures will make much difference.

Sanctions imposed after previous nuclear tests and rocket launches have failed to deter Pyongyang.

China will go a long way toward determining whether the new sanctions really do have bite, analysts say.

"As long as China allows North Korea to operate, as long as China provides food, energy assistance and investment, the sanctions really don't matter," said Doug Bandow of the Cato Institute.

North Korea notoriously allows many of its people to live in malnutrition and starvation. Still, the country needs a functioning economy, partly to finance its military, Bandow said.

U.S. State Department spokeswoman Victoria Nuland said the United States is committed to taking action to compel North Korea to alter its approach.

"We're ... going to continue to increase the pressure if they don't make the right choice," Nuland said.

CNN's Barbara Starr, Josh Levs, Tim Schwarz, Elise Labott, Richard Roth and Chris Lawrence contributed to this report.

@highlight

NEW: North Korea says sanctions over the years only caused it to bolster its nuclear deterrent

@highlight

The U.N. Security Council voted unanimously to approve new measures

@highlight

China calls for all parties to calm down but stands behind new U.N. sanctions

@highlight

North Korea responds with a fresh statement of angry threats