(CNN) -- At least 58 people in Syria were killed Tuesday in "terrorist" mortar and car bomb attacks in the city of Homs and the Damascus area, the state-run Syrian Arab News Agency reported.

A car bombing in Homs' al-Zahra neighborhood killed 40, SANA reported, citing an unnamed source in the area.

The Syrian Observatory for Human Rights, a London-based monitoring group, also reported many casualties, including women and children, in the car bomb attack.

It described al-Zahra as an Alawite neighborhood. Syria's President Bashar al-Assad is a member of the Alawite religious sect, which is an offshoot of Shia Islam.

In Damascus, mortar rounds hit the al-Shaghour neighborhood. Two slammed into the Badr-Eddin al-Hooni Institute for Islamic Sharia Sciences, killing 14.

Four people were killed in a mortar strike at a center for displaced people in the Damascus countryside. Three of those killed were children.

Scores of people were wounded in the violence.

The unrest comes amid Syria's three-year civil war pitting government forces against rebels trying to end the rule of al-Assad. The government often refers to rebels as armed terrorists bent on destabilizing the country.

The government announced this month that new elections would be held June 3.

But that may not yield any change in a country where al-Assad's family has had a tight grip on power for 43 years. Al-Assad succeeded his father in 2000 and won a second term in 2007, unopposed.

More than 100,000 people, including many civilians, have been killed in the war.

Chlorine gas attack claims

The Organisation for the Prohibition of Chemical Weapons announced Tuesday that it would investigate claims the Syrian government may have used chlorine gas in a deadly attack on its people this month in Hama province.

"The Syrian government, which has agreed to accept this mission, has undertaken to provide security in areas under its control," the OPCW said. "The mission will carry out its work in the most challenging circumstances."

The team is expected to leave for Syria soon and has the backing of the United Nations, the statement added.

If confirmed, a chlorine attack would undermine a deal brokered by Russia last fall and approved by the U.N. Security Council that requires Syria to surrender its chemical weapons to the international community.

The agreement halted threats of U.S. military action after allegations Syria launched a chemical attack last August that killed over 1,400 people. Al-Assad and other officials have vehemently denied their forces were responsible.

The Syrian opposition does not have helicopters to carry and deliver such weapons, and has been trading accusations with the government about the April 11 incident.

Controversy followed video clips posted on anti-government websites showing a number of civilians, including children, appearing to have difficulty breathing and using oxygen masks. The chemical symbol for chlorine, Cl2, is visible on the side of a canister that opposition activists say was used in the attack.

State Department spokeswoman Jen Psaki said last week that the United States "had indications of the use of a toxic industrial chemical, probably chlorine, in Syria this month in the opposition-dominated village of Kfar Zeita."

She added, "We're examining allegations that the government was responsible."

Analyst: 'A likely deliberate tactic'

In a report Tuesday, analyst Firas Abi Ali of IHS Country Risk cited several claims in international and opposition social media that the Syrian government has stepped up its use of chlorine gas against civilian and military targets in Idlib, Hama and Damascus provinces since April 15.

IHS has not been able to confirm the reports independently, he said, but they have been corroborated by videos showing civilians suffering symptoms associated with chemical weapons use.

"If confirmed, it indicates that Assad assesses that he can use these weapons with impunity, given U.S. unwillingness to intervene directly, and reflects his own forces' overstretch in the face of opposition offensives in Daraa, Aleppo and Latakia," he said.

"Moreover, the use of chemical weapons is a likely deliberate tactic intended to highlight to the civilian population the severe cost of supporting the insurgency."

Chlorine is not listed as a chemical that Syria is expected to give up under the Security Council resolution. But its use as a weapon of war is prohibited under the 1925 Chemical Weapons Convention, which Syria has signed.

More than 90% of Syria's chemical weapons material has now been removed or destroyed, the OPCW said Thursday, ahead of the June 30 deadline agreed to under the international deal.

CNN's Salma Abdelaziz and Joe Sterling contributed to this report.

@highlight

NEW: Mortar and car bomb attacks killed nearly 60 people, report says

@highlight

NEW: A car bombing in Homs' al-Zahra neighborhood kills 40, state news agency says

@highlight

The car bomb hits an Alawite area, says the Syrian Observatory for Human Rights

@highlight

Chemical weapons watchdog says it is investigating chlorine gas attack claims