(CNN) -- It's a new idea which could resonate with communities across the developing world -- a biomass stove which also generates electricity using sound waves.

The Score-Stove is a cooker, fridge and energy generator in one which harnesses waste heat from cooking to power a specially designed thermo-acoustic engine, helping provide energy to areas where access to electricity is limited.

The project is being led by the UK's University of Nottingham, but has drawn on the expertise of partners around the world including the Los Alamos National Laboratory (LANL) in New Mexico.

LANL researchers Scott Backhaus and Greg Swift demonstrated the first-ever thermo-acoustic engine in 1999, adapting the principles originally outlined by Scottish engineer Robert Stirling in the 19th century.

In Stirling's thermodynamic engine (patented in 1816) air or gas is alternately heated from an external source and cooled.

The expansion and contraction of the air drives displacer pistons in the Stirling Engine, but in Score-Stove's thermo-acoustic set-up there are no moving parts, says Paul Riley, Score project director.

The stove heats a specially shaped pipe at one end while the other end is cooled, Riley explains, compressing air inside the pipe and causing it to vibrate and produce powerful sound waves.

"You can think of it as a big microphone or a loudspeaker working backwards. In fact we are using loudspeakers (which act as a linear alternator) in some of the rigs turning the sound into electricity," Riley said.

"It's in excess of 170 decibels -- that's more than the Space Shuttle taking off -- but it's whisper quiet outside the pipe," he added.

Riley and colleagues at Nottingham have producing 36 watts of electricity under laboratory conditions and recently started installing and testing stoves in Nepal and Bangladesh.

"We must adapt the lab version for each area, taking into account local biomass fuels, types of pots and pans used to cook, along with the everyday tasks the unit will be required for," Riley said.

In the 2011 World Energy Outlook, the International Energy Agency (IEA) reported that around 1.3 billion people presently have no access to electricity with 95% of this number living in sub-Saharan Africa or developing Asia.

Even small amounts of electricity (Score-Stove's aim is to achieve an output of around 150 watts) could transform the lives of rural communities providing light and charging facilities for a booming cell phone market.

According to the GSMA -- an association representing mobile phone operators worldwide -- over 70% of Africa's one billion population will own a cell phone by the end of 2012.

The Score-Stove also makes cooking more efficient helping to reduce greenhouse gas emissions and limiting exposure to cooking smoke.

Nearly three billion people still rely on biomass stoves which cause around two million premature deaths annually, according to the World Health Organization.

Making Score-Stoves in large numbers would currently cost around $250 per unit, Riley says, but a target of around $30 in the future is realistic.

"That's the next stage of the research. We hope to be making this in the millions. We are talking to several large manufacturers who are evaluating the product at the moment," he said.

"I am convinced that a wood-burning stove that can also generate electricity will benefit these (three billion) people. Perhaps more."

@highlight

New multi-purpose biomass stove generates electricity from sound waves created by cooking

@highlight

Score-Stove currently undergoing field trials in Nepal and Bangladesh

@highlight

Los Alamos National Laboratory assisted British researchers with thermo-acoustic technology