(LonelyPlanet.com) -- Have you ever visited a building that gave you the creeps? These 10 buildings around the world are guaranteed to send a shiver down your spine.

1. Wat Rong Khun, Chang Rai, Thailand

Still under construction, Chiang Rai's controversial modern temple is part traditional Buddhist temple, part white-frosted wedding cake, and part avant-garde art with a disturbing penchant for pointiness. Visitors must cross a bridge to the temple over a field of fangs and hundreds of pleading white arms and suffering faces of statues reaching up from hell. While stark whiteness predominates, the inside and other parts of the temple compound (including the toilets) are sparkling gold.

Wat Rong Khun is open daily; the White Temple is a short drive from Chiang Rai.

2. Sedlec Ossuary, Kutná Hora, Czech Republic

By the mid-1800s, the crypt at the Sedlec monastery had been a popular burial site for centuries, with plague outbreaks and Hussite Wars contributing thousands of remains. In the 1870s a local woodcarver was hired to make creative use of the bones that had been piling up in the crypt. This was no minor task: the ossuary contains the remains of over 40,000 people, many of which were used to decorate the chapel. The effect is as beautiful as it is macabre: elaborate light fixtures, arrays of bells, furnishings, splashy wall treatments and coats of arms are all loving recreated from skulls and bones of all sizes. Is that chandelier staring back at you?

To reach the monastery, drag your bones 800m south from Kutná Hora's main train station. More gory details at www.kostnice.cz.

Lonely Planet: How to travel like a kid

3. Ryugyong Hotel, Pyongyang, North Korea

Under construction since 1987, the massive and still unfinished 105-story Ryugyong Hotel in Pyongyang looks like a luxury hotel designed for Mordor. Nicknamed the 'Hotel of Doom' and described as 'the worst building in the history of mankind' by Esquire, construction halted due to lack of funding, and the partially completed building stood windowless and looming ominously over the city for 16 years before work resumed in 2008. Strikingly modern when first designed, time has not been kind to the building, which now looks simultaneously menacing, dated, and unconscionably extravagant relative to the impoverished populace.

Once granted a visa, visitors to North Korea have little choice in where they are allowed to visit or photograph, but at 105 stories, the Ryugyong Hotel is hard to miss from anywhere in the capital.

4. Dongyue Temple, Běijīng, China

Běijīng's most morbid shrine, the operating Taoist shrine of Dongyue Temple is an unsettling but fascinating place to visit. Stepping through the entrance you find yourself in Taoist Hades, where tormented spirits reflect on their wrongdoings. The 'Life and Death Department' is a spiritual place to ponder your eventual demise, the 'Department for Wandering Ghosts' and the 'Department for Implementing 15 Kinds of Violent Death' have slightly less inviting names, while the ill might seek out the 'Deep-Rooted Disease Department'. Other halls are less morbid, but no less interesting. Visit during the Chinese New Year or the Mid-Autumn Festival to see the temple at its most vibrant.

Paying the extra Yuan for a guide can be helpful for interpreting the aspects of the temple that might otherwise defy explanation.

5. Lemp Mansion, St Louis, USA

Reputed to be one of the USA's most haunted houses (if there are degrees of hauntedness), St Louis' Lemp Mansion has a long history of odd occurrences. Charles Lemp committed suicide in the house in 1949 and, ever since, strange things have taken place at the house, including doors that swing open spontaneously, glasses that leap off tables and break, and a tragically short-lived reality TV show. Today, the mansion operates as a restaurant and inn that capitalizes on the morbid fame through murder mystery dinner theatre, Halloween parties and weekly tours by a noted 'paranormal investigator'. Stay the night if you dare.

The mansion can be found just off I-55, south of the Anheuser-Busch Brewery. Find more information on spooky events and reservations at www.lempmansion.com.

6. Scott Monument, Edinburgh, Scotland

A spiky Gothic fantasy with more than a passing resemblance to a Thai temple, the monument to Sir Walter Scott is a beloved fixture of the Edinburgh skyline. Just 61m high, the climb to the top doesn't sound daunting until you find yourself wedged into the preposterously tiny spiral staircase. The final curve is so notoriously tight that squeezing yourself out the final doorway requires the flexibility of a spelunker. Edinburgh mystery writer Ian Rankin once set the scene of the crime at the top of the Scott Monument, with much of the story focusing on the physics of getting a stiff cadaver down the twisty staircase. Not a claustrophobe? This might make you think otherwise.

For history and seasonal visiting hours, see www.edinburghmuseums.org.uk.

Lonely Planet: Hotels where famous people have died

7. Catacombe dei Cappuccini, Palermo, Italy

All of the inhabitants of the catacombs below Palermo's Capuchin Monastery are decked out in their Sunday best. Unfortunately, that Sunday was several hundred years ago, and the outfits have fared significantly better that the wearers. The mummified bodies and skeletons of some 8000 Palermitans from the 1600s through to the 1800s are kept in the catacombs for all to see, some so well preserved that they look eerily lifelike. Men and women occupy separate corridors, and within the women's area there's a special virgin-only section. Spooky for adults, probably terrifying for the kiddies - be warned.

The catacombs are a 15-minute walk from Palermo's Piazza Independenza along Via Cappuccini or a short bus ride.

8. Chernobyl Reactor #4, Ukraine

Famously the site of the world's biggest nuclear disaster in 1986, the 30km-radius exclusion zone is mostly uninhabited today, but limited tours have been available since 2002 for travelers who are curious enough to get a glimpse of the industrial ghost town and aren't put off by the ominous click of a Geiger counter. Factories, homes, schools, and a particularly creepy abandoned amusement park stand decaying and choked with weeds, but remain much as they looked at the time of disaster. The Ukrainian government has indicated that the exclusion zone will be increasingly open to travelers in the coming years. Just don't step on the radioactive moss.

The best way to visit Chernobyl is to use one of the several Kiev-based agencies such as Solo East or New Logic.

9. Ottawa Jail Hostel, Canada

Want to spend the night in the slammer? Why not make it a jail haunted by the spirits of former inmates and deemed unsuitable for prisoners in the early1970s due to appalling conditions? Opened in 1862, the Carleton County Gaol was in operation for over a century, but it was hardly a hit with the prisoners who complained of cramped conditions and sanitation problems. It might not have been suitable for prisoners at the time, but if you're a traveler on a tight budget and don't mind that your room happens to be a prison cell and your bunkmate might be spectral, it's perfect. As a 'prisoner' today, your punishment includes parking, wifi, and a games lounge.

To get yourself locked up for the night in the Canadian capital, search availability here.

10. White Alice, Alaska, USA

A gold-rush town a century ago and the finishing line for the Iditarod dog-sled race today, Nome is the perfect example of a honky-tonk, almost-at-the-Arctic-Circle frontier town. Overlooking the town and the Bering Straits from the top of Anvil Mountain is White Alice, a weird Cold War relic. From down in the town it looks like a bizarre space-age Stonehenge, closer up it could be a film set for a shoot of the Victorian-era War of the Worlds. The four strange corrugated-iron sound reflector structures were intended for listening to suspicious Soviet activity.

For a real Alaskan experience visit White Alice during the midnight sun: Nome and the Bering Straits at your feet, the Arctic Circle just to the north and Siberia not far west.

Originally published as "Top 10 spookiest buildings around the world" © 2011 Lonely Planet. All rights reserved.

Lonely Planet: A day trip to Chernobyl

© 2011 Lonely Planet. All rights reserved.

@highlight

These 10 buildings around the world are guaranteed to send a shiver down your spine

@highlight

From the U.S. to China, several of the buildings have a morbid history

@highlight

The Lemp Mansion in St. Louis is considered to be one of America's most haunted houses