(CNN) -- On June 2, 2011, I began my quest for the presidency on the farm of Doug and Stella Scamman in Stratham, New Hampshire. I said then that our country is a land of freedom and opportunity. I spoke of the hard work of the millions of Americans who built our remarkable experiment in self-government. They carved out of the wilderness a land of immense prosperity and unlimited potential. I said then that "I believe in America."

For more than a year now, I've carried that message across America. As we draw close to Election Day, it is a good moment to reflect on what it means to believe in America.

America is a place where freedom rings. It is a place where we can discuss our differences without fear of any consequence worse than criticism, where we can believe in whatever creed or religion we choose, where we can pursue our dreams no matter how small or grand. It is a place that not only cherishes freedom, but is willing to fight to defend it. These are the qualities that define us.

America is a land of opportunity. But lately, for too many Americans, opportunity has not exactly come knocking. We've been mired in an economic slowdown that has left millions of our fellow citizens unemployed. The consequences in dreams shattered, lives disrupted, plans deferred, and hopes dimmed can be found all around us.

It hasn't always been this way. It certainly doesn't have to be this way in the future. We're all in this together. And together we can emerge from these troubles.

President Obama's op-ed: My vision for America

Together with Paul Ryan, I've put forward an economic recovery plan consisting of five central elements that will in four years create 12 million jobs.

· We will produce more of the energy we need to heat our homes, fill our cars, and make our economy grow.  We will stop President Obama's war on coal, his disdain for oil, and his effort to crimp natural gas by federal regulation of the very technology that produces it. We will support nuclear and renewables, but phase out subsidies once an industry is on its feet. We will invest in energy science and research to make discoveries that can actually change our energy world. By 2020, we will achieve North American energy independence.

· We will retrain our work force for the jobs of tomorrow and ensure that every child receives a quality education no matter where they live, including especially our inner cities. Parents and students, not administrators and unions, need to have greater choice. Our current worker retraining system is a labyrinth of federal programs that sprawls across 47 programs and nine agencies. We will eliminate this redundancy and empower the 50 states and the private sector to develop effective programs of their own.

· We will make trade work for America.  We'll open more markets to American agriculture, products, and services. And we will finally hold accountable any nation that doesn't play by the rules.  I will stand up for the rights and interests of American workers and employers.

Your turn: What's your vision for America?

· We will restore fiscal sanity to Washington by bringing an end to the federal spending and borrowing binge that in just four years has added more debt held by the public than almost all previous administrations combined. We will put America on track to a balanced budget by eliminating unnecessary programs, by sending programs back to states where they can be managed with less abuse and less cost, and by shrinking the bureaucracy of Washington.

· Finally, we will champion small business, the great engine of job creation in our country, by reforming the tax code and updating and reshaping regulations that have suffocated economic growth.

Nothing is ever easy in Washington, but these goals are rooted in bipartisan agreement, and I will work with members of both parties to accomplish them.  As governor of a state that was overwhelmingly Democratic, I was always ready to reach across the aisle and I can proudly point to the results. I've learned that when we come together to solve problems in a practical spirit, we can accomplish miracles.

In this respect, I am offering a contrast to what we are seeing in Washington today. We've watched as one party has pushed through its agenda without compromising with the other party. We've watched gridlock and petty conflict dominate while the most important issues confronting the nation, like chronic high unemployment, go unaddressed. The bickering has to end. I will end it.  I will reach across the aisle to solve America's problems.

Our economic crisis not only threatens the well-being of our citizenry, it has larger consequences in other realms. The economic weakness of the past several years has, alarmingly, fostered weakness in our foreign policy posture. Runaway domestic spending has led the president to propose reducing defense spending by hundreds of billions, cuts that his own secretary of defense has said would "devastate" our national security.

The most important task for any president is set out in the preamble to our Constitution—providing for the common defense. As commander-in-chief, I will roll back the president's deep and arbitrary cuts to our military. Our soldiers should never lack the tools they need to complete their mission and come home safely. I have always believed that the first purpose of a strong military is to prevent war. And preventing war is a supreme national interest. I will ensure that our military is strong enough that no adversary dares to challenge us.

Let us remember our history. We have accomplished so much, both in the world and at home. We've defeated tyrannies. We've lifted hundreds of millions out of poverty. We've transformed our own society into a more perfect union. We've created a land of freedom and prosperity. The problems we need to overcome now are not bigger than we are. We can defeat them.  I am offering real change and a real choice.  

Whose vision do you find more compelling? Vote on Facebook

The opinions expressed in this commentary are solely those of Mitt Romney.

@highlight

Mitt Romney: America is a place that cherishes freedom and fights to defend it

@highlight

Too many Americans have had to defer dreams due to economic slowdown, he says

@highlight

He says U.S. can overcome troubles, speed economic growth through policy changes

@highlight

Romney: I am offering "real change and a real choice"