(CNN) -- As a little girl, Catherine Corless was always curious about the St. Mary's Mother and Baby Home in her hometown of Tuam, in County Galway, Ireland. She wondered what happened inside the stone walls of the home for unwed mothers and babies run by the Catholic sisters of Bon Secours.

Decades later, as a local historian, she asked the Tuam registry office for the death records of children at the home from 1925 until its closure in 1961. She was horrified at what came back.

"Hundreds of names. I just couldn't believe it," Corless said in an interview with CNN. "796 names in all. And I wanted to know who these children were."

That simple act of historical research sparked a nationwide outcry -- and now a government investigation -- into the conditions inside Ireland's mother-and-baby homes that existed as recently as the 1980s.

Corless' research raised several disturbing questions, including: How did the children die and what were the conditions inside the home? And, most important, for Corless, where were the children buried?

Corless says she asked Bon Secours for burial records but was told that none existed. She says her efforts to find burial records at local government archives also turned up empty. She then cross-referenced the death records with local cemetery records but only found two of the children buried nearby.

"I cannot understand why there isn't a burial record for 796 little precious children," she said.

But Corless now believes she knows where the children may be buried: on the site of the former Tuam home, now part of a housing estate.

All that is left of the home is a crumbling stone wall. But in an easily overlooked corner, there is a small walled garden dedicated to "those who are buried here."

It's been known as The Children's Graveyard ever since 1975, when two boys playing in the neighborhood broke open a concrete slab and made a grisly discovery. One of them, Francis Hopkins, was 12-years old.

"We found a load of skeletons that were clearly that of children." Francis told CNN, "We were so frightened, we ran out and our parents told us not to go down there. The priest came to say a blessing and a few days later it was covered up again. And as far as we knew we called it a graveyard since then."

Corless believes this small plot may be where at least some of the children are buried. It was once a disused sewage tank at the edge of the property to the Tuam home.

"If the children were not buried there and there are no burial records," says Corless, "then we need to find out: where are they?"

During her research, Corless also found a 1947 state inspection report on the home. She showed it to CNN. There are several descriptions of "emaciated" children in the report. One child is described as so thin that "flesh hanged loosely from limbs."

The vast majority of the deaths are under the age of one but children as old as nine are also recorded. Causes of death included measles, meningitis and whooping cough. During the worst years, particularly 1946 and 1947, several children were dying every month, sometimes even two in one day.

CNN contacted representatives of the sisters of Bon Secours and asked them about the conditions inside the home and the children who died. In a statement they told CNN:

"The Sisters of Bon Secours today said they were shocked and deeply saddened by recent reports about St. Mary's Mother and Baby Home, which operated in Tuam, County Galway from 1925 to 1961. In 1961 the Home was closed. All records were returned to the local authority, and would now be within the Health Service Executive, Co. Galway.

The Bon Secours Sisters are committed to engaging with Catherine Corless, the Graveyard Committee and the local residents as constructively as they can on the graves initiative connected with the site.

The Sisters welcome the recent Government announcement to initiate an investigation, in an effort to establish the full truth of what happened."

The Tuam case is the latest in a string of issues linked to Ireland's former mother-and-baby homes, funded by the state but run by various religious orders. The government has now promised to investigate the many allegations, including forced separations, illegal adoptions, and claims that children were subjected to vaccine trials without parental consent.

Specifically citing the work of Corless, the Irish government is also considering whether to excavate the possible burial site at Tuam.

"If this is not handled properly then Ireland's soul will be, like babies of so many of these mothers, in an unmarked grave," said Ireland's Prime Minister, Enda Kenny.

Corless says she will continue to dig for more records of the home in Tuam but she doesn't necessarily want the site to be excavated. More important, she says, is erecting a memorial for the children-- if they are indeed buried there.

"The least they might have is a name over them," she told CNN. "Those illegitimate children need to be respected as much as any other child born. It might bring some justice and maybe healing to those mothers and families."

@highlight

The Irish government will look into conditions inside Ireland's mother-and-baby homes

@highlight

A historian claims Tuam registry office revealed death records of 796 children at one home

@highlight

Catherine Corless says she asked for burial records but was told none existed

@highlight

But Corless now believes she knows where the children may be buried