London (CNN) -- Lawyers acting for David Miranda, the partner of journalist Glenn Greenwald, said they will bring his case to the High Court in London on Thursday after he was detained at Heathrow Airport.

Greenwald, who works for The Guardian newspaper, has been at the forefront of high-profile reports exposing secrets in U.S. intelligence programs, based on leaks from former U.S. National Security Agency contractor Edward Snowden.

Miranda, a Brazilian citizen, spent nearly nine hours in detention Sunday being questioned under a provision of Britain's terrorism laws. He was stopped as he passed through London on his way from Berlin to his home in Brazil.

Opinion: Silence the media, compromise freedom

Authorities confiscated Miranda's electronic equipment, including his mobile phone, laptop, memory sticks, smart watch, DVDs and games consoles, lawyer Gwendolen Morgan wrote in the court filing Wednesday.

The lawyers, hired by The Guardian to represent Miranda, are trying to recover his property and prevent the government from inspecting the items or sharing what data they may have already gleaned from them.

"What they're essentially seeking right now is a declaration from the British court that what the British authorities did is illegal, because the only thing they're allowed to detain and question people over is investigations relating to terrorism, and they had nothing to do with terrorism, they went well beyond the scope of the law," Greenwald told CNN's AC360 on Tuesday.

"And, secondly, to order them to return all the items they stole from David and to order that they are barred from using them in any way or sharing them with anybody else."

Miranda 'afraid' during questioning

Pressure on The Guardian?

Meanwhile, new claims have emerged that the pressure placed on The Guardian over its reporting on information leaked by Snowden came from the highest levels of government.

The British newspaper The Independent reported Wednesday that Prime Minister David Cameron ordered the country's top civil servant, Sir Jeremy Heywood, "to contact the Guardian to spell out the serious consequences that could follow if it failed to hand over classified material received from Edward Snowden."

Asked about the report by CNN, Cameron's office did not deny it.

"We won't go in to specific cases, but if highly sensitive information was being held insecurely, the government would have a responsibility to secure it," a Downing Street press officer said. She declined to be named in line with policy.

The Guardian's editor, Alan Rusbridger, said in an editorial published Monday that the paper had physically destroyed computer hard drives under the eyes of representatives of Britain's General Communications Headquarters -- the UK equivalent of the NSA.

The move followed several meetings with "a very senior government official claiming to represent the views of the prime minister" and "shadowy Whitehall figures," Rusbridger said. They demanded The Guardian hand over the Snowden material or destroy it, he said.

Deputy Prime Minister Nick Clegg, the head of Cameron's Liberal Democrat coalition partners, considered the request "reasonable," his office said.

â€ª"The Deputy Prime Minister felt this was a preferable approach to taking legal action," according to a statement issued Wednesday evening. "He was keen to protect the Guardian's freedom to publish, whilst taking the necessary steps to safeguard security."

Greenwald broke the story of the existence of a U.S. National Security Agency program that is thought to have collected large amounts of phone and Internet data. The Guardian also claimed, based on documents provided by Snowden, that GCHQ made use of the NSA program, known as PRISM, to illegally spy on UK citizens.

A UK parliamentary committee subsequently found "no basis" for this claim. The UK government says GCHQ acts within a strong legal framework.

'Journalistic material'

Miranda was stopped as he returned to the couple's Rio de Janeiro home after staying in Berlin with filmmaker Laura Poitras, who has been working with Greenwald on NSA-related stories.

Miranda will seek a judicial review on the grounds that the legislation under which he was detained was misused, his solicitor Morgan said Tuesday.

Morgan wrote to Home Secretary Theresa May and the Metropolitan Police chief asking for assurances that "there will be no inspection, copying, disclosure, transfer, distribution or interference, in any way, with our client's data pending determination of our client's claim."

The law firm has also demanded the same from any third party, either domestic or foreign, that may have been given access to the material.

The letter, seen by CNN, claims that Schedule 7 of Terrorism Act 2000 was used to detain Miranda "in order to obtain access to journalistic material" and that this "is of exceptional and grave concern."

Miranda has said he does not know what data he was carrying back with him.

'Huge black eye' for British government

Britain's Home Office on Tuesday defended Miranda's questioning, saying the government and police "have a duty to protect the public and our national security."

"If the police believe that an individual is in possession of highly sensitive stolen information that would help terrorism, then they should act and the law provides them with a framework to do that," it said. "Those who oppose this sort of action need to think about what they are condoning."

In a statement that didn't name Miranda but referred to his detention, the Metropolitan Police called what happened "legally and procedurally sound" and said it came after "a detailed decision-making process."

The statement describes the law under which Miranda was detained as "a key part of our national security capability which is used regularly and carefully by the Metropolitan Police Service to help keep the public safe."

But that's not how Miranda and Greenwald view the law, or at least how it was applied in this case.

Sitting alongside his partner, Greenwald said the detention gave the British government "a huge black eye in the world, (made) them look thuggish and authoritarian (for) interfering in the journalism process (and created) international incidents with the government of Brazil, which is indignant about this."

Greenwald added, "To start detaining people who they think they are reporting on what they're doing under terrorism laws, that is as dangerous and oppressive as it gets."

White House knew Miranda would be detained

Miranda, who didn't have an interpreter on hand during his detention despite English being a second language for him, said: "They didn't ask me anything about terrorism, not one question."

He added, "They were just telling me: 'If you don't answer this, you are going to jail.'"

Greenwald said the entire episode was designed to intimidate him and other investigative journalists from using classified information and digging into stories critical of the British and allied governments. But, he said, it will have the reverse effect on him, making him more determined to carry on.

The seizure of material from Miranda will not stop the newspaper reporting on the story, he added.

"Of course, we have multiple copies of every single thing that we're working on," Greenwald said. "Nobody would ever travel with only one copy of anything."

CNN's Bryony Jones, Greg Botelho, Caroline Paterson and Stephanie Halasz contributed to this report.

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

David Cameron pushed for The Guardian to hand over Snowden material, report says

@highlight

Glenn Greenwald says lawyers for his partner have filed a lawsuit over his detention

@highlight

They are seeking a declaration that what the UK authorities did is illegal, Greenwald says

@highlight

The UK government says it has a duty to protect national security