Abu Usama appears to be in his late 20s. With a neat ginger beard and a rifle slung over his shoulder, he addresses fellow Muslims back in Germany from his new home in northern Syria.

In a 9-minute video released by the Islamic State of Iraq and Syria (ISIS), he explains that he took his name from Osama bin Laden, because "he hit the head of injustice, and he is the one who terrorized [the West] as they terrorized us. Since they did not stop doing this, we will treat them in kind."

He asks his audience: "Are you happy with your life in Germany? Going to the nightclubs and having female friends?" according to a translation of the video by SITE Intelligence.

Abu Usama then appeals for Muslims to join the struggle led by ISIS leader Abu Bakr al Baghdadi. Addressing al Baghdadi, he says: "The entire world is against you, because you are inviting to establish the Islamic State. Therefore, we love you and we stand beside you."

The message was recorded last November. There is no record of Abu Usama since then. German media have reported that he is a former pizza delivery driver from a small town in North Rhine-Westphalia.

But just how many have beaten the same path as Abu Usama -- from Florida and France, Austria and Australia? And if they come home, will they bring terrorism with them?

ISIS's ambitions are focused on creating an "emirate" in the parts of Syria and Iraq it now controls, as the first step toward the greater goal of a wider Islamic caliphate. But any U.S. military action to support the Iraqi government could change that. If it chose to, ISIS could unleash a tide of young men with "clean" passports, fighting or bomb-making skills and unshakeable belief on their home countries.

In his video, Abu Usama said it was the Americans who were the terrorists.

The task of counter-terrorism agencies is complicated by the fact that in many Western states it is not illegal to travel to Syria. After all, these governments are supporting the Free Syrian Army and many who do go are inspired by humanitarian concerns.

A senior U.S. official, who spoke to CNN on condition of anonymity, said last week that events in Syria and Iraq are dominating discussions in the counter-terrorism community. The official said ISIS was now focused on Iraq, but "the big concern" was that it will shift its attention to the West -- identifying, recruiting and training Western individuals to return to their homelands as hardened, combat-trained extremists.

The signs are there. In January, ISIS leader Abu Bakr al Baghdadi blamed "Jews and Crusaders" for stoking infighting between jihadist groups in Syria, adding: "Very soon you will be in direct confrontation—you will be forced to do so, Allah permitting."

A French-Algerian extremist, Mehdi Nemmouche, is accused of killing four people at the Jewish Museum in Brussels last month. When French police arrested him they also seized a Kalashnikov rifle wrapped in a flag bearing the ISIS insignia, according to prosecutors, who said Nemmouche spent about a year fighting in Syria. It is not known whether he joined ISIS.

At best, Western intelligence has a worryingly incomplete picture of who has traveled to join ISIS and other jihadist groups, despite some success in ascertaining identities through electronic eavesdropping and monitoring social media.

There is very little first-hand intelligence from Iraq or Syria; the majority of foreign fighters have traveled via Turkey. Authorities in France believe some 800 French nationals have travelled to Syria, or intend to.  Analysts believe as many as 100 American citizens have made the trek. One additional concern: most Europeans are able to travel to the U.S. without visas.

French and German citizens have carried out suicide bombings in Syria this year. So has at least one American. Last month, 22-year old Moner Mohammad Abusalha from Florida became the first American suicide bomber in Syria, after joining ISIS rival and al Qaeda affiliate Jabhat al-Nusra.

UK police say they made 40 arrests for Syria-related offences in the first three months of this year, almost double the number of the entire previous year.

Richard Walton, head of Scotland Yard's counter-terrorism command, warned last year there were signs these recruits could be turned around to launch attacks in the UK. "I don't think the public realizes the seriousness of the problem," he said. "The penny hasn't dropped. But Syria is a game-changer."

FBI Director James Comey said last month: "There's going to be a diaspora out of Syria at some point, and we are determined not to let lines be drawn from Syria today to a future 9/11."

Aaron Zelin, a fellow at the Washington Center for Near East Policy, estimates that almost 3,000 European citizens have travelled to fight in Syria.

Many of these young men were drawn to the cause of overthrowing Bashar al-Assad and establishing an Islamic state in part or all of Syria. They see themselves as the foot soldiers of a fledgling Islamic emirate at the heart of the Arab world. But now it is ISIS -- not al Qaeda -- that is bringing the dream of a new Islamic Caliphate so tantalizingly close.

If the group can retain even a few of its spectacular gains in Iraq, adding to the northern parts of Syria it already controls, the flow of foreign fighters from the Arab world and the West will likely be turbo-charged. ISIS has already proved adept at releasing a string of propaganda videos featuring foreign fighters.

So far, the little evidence that has come to light -- mainly from ISIS's own announcements -- suggests that most suicide bombers in Iraq have been Arabs, including Moroccans, Tunisians and Jordanians. But in March, it celebrated the martyrdom of a Dane who had been involved in an attack against an Iraqi army base in Taji, north of Baghdad.

Another Dane detonated a suicide car bomb against Iraqi troops south of Mosul, and a French citizen bombed a police headquarters in Mosul, the group said in May, in a statement translated by SITE Intelligence. The Frenchman, called Abu al-Qa'qa' al-Firansi, had come to Iraq through Syria.

Al Qaeda in Pakistan taught many European and American recruits how to make high-explosive bombs out of readily available materials. To date there is no public evidence that ISIS or Jabhat al-Nusra have provided Western recruits with bomb-making training tailored for "taking home." Attacking the West has not been a priority for either group to date. But it would be naïve to think that overt U.S. military action -- such as air strikes -- against ISIS fighters in Iraq would not provoke a response.

Laith Alkhouri, an analyst at Flashpoint says the United States would be crossing a red line: "The risk of terrorist attacks in the West will increase because ISIS will see any U.S. intervention as the Crusaders trying to stop an Islamic state rising."

Al Qaeda operatives in the region, despite their differences with ISIS, may also step up attempts to hit the West in the wake of any U.S. strikes. Last month the U.S. Treasury department stated that Abd Al-Rahman al-Juhani, a high-ranking Saudi al Qaeda operative previously based in Pakistan was now operating in Syria and "part of a group of senior al Qaeda members in Syria formed to conduct external operations against Western targets."

Many analysts expect retaliation would be against U.S. interests overseas, rather than the in homeland itself. It has been a growing focus of discussion on jihadist forums. U.S. allies in the region are already concerned about ISIS spreading its wings. In March, Saudi Arabia designated ISIS a terrorist group; hundreds of Saudis are said to have joined the group.

The challenge posed by ISIS is compounded by the fact that it treats Iraq and Syria as one theatre of war. It has even declared the border as non-existent. Its fighters have great mobility, and may gain experience of a variety of combat situations. And as an organization it has depth.

"While observers tend to focus on the 'Syria foreign fighter issue,' the problem actually spans two countries. Iraq is now a key part of the same quandary that Western leaders have been attempting to figure out in Syria for some time," says Zelin.

Additionally, ISIS has shown itself entirely independent -- and highly critical - of al Qaeda 'Central' under the leadership of Ayman al Zawahiri. It has set itself up as the real bearer of Osama bin Laden's legacy, and may be tempted to cement its growing reputation by announcing its reach far beyond Mosul or Raqqa, its "capital" in Syria.

The senior U.S. official said ISIS was growing and making a huge name for itself. "And what better way to capitalize on that than make a major attack in the West?" he added.

Terrifying execution images in Iraq

ISIS uses social media to wage propaganda war

Bergen: Bush's toxic legacy in Iraq

Iraq crisis pulls in U.S. and Iran as violent militants capture more cities

@highlight

ISIS militants have taken control of towns in Iraq and Syria

@highlight

The group includes jihadists who have traveled from Europe and elsewhere to fight

@highlight

Citizens from France, Germany, Denmark, U.S. have carried out bombings in Iraq and Syria

@highlight

Security experts are concerned that Western militants may return home to cause chaos