(CNN) -- Syria says results will be available Monday from its referendum on changes to the country's constitution, a vote taken as government troops continued pounding the opposition stronghold of Homs and other cities.

Opposition activists reported at least 55 deaths across the country on Sunday, including 25 in Homs, which has been under bombardment for more than three weeks. Despite the ongoing violence, it held a vote on what the government of President Bashar al-Assad calls a move toward reform.

Interior Minister Mohammed al-Shaar said the voting ran "normally" in most provinces, and turnout was "huge ... except in some areas," the state-run Syrian Arab News Agency reported. Results from the vote would be announced Monday evening, SANA said.

But analysts and protesters ridicule the constitutional referendum as window dressing, the latest in a series of superficial measures intended to pacify al-Assad's critics. Lt. Col. Mohamed Hamado, a spokesman for the rebel Free Syrian Army, said civilians reported government authorities were pressuring them to support the new constitution.

Al-Assad's family has ruled Syria for four decades. Andrew Tabler, a Syria expert at the Washington Institute for Near East Policy, said the president is using the referendum "to get people to leave the streets" after a nearly year-long uprising.

The Local Coordination Committees of Syria, a network of opposition activists, has said about 9,000 people have been killed since the government launched its crackdown on opposition last March. The Syrian government says more than 2,000 members of its security forces have been killed by "terrorists" during that period, including seven "martyrs" who were buried Sunday, SANA reported.

CNN and other media outlets cannot independently verify opposition or government reports because Syria has severely limited access to the country by foreign journalists. But the vast majority of reports from the ground indicate government forces are massacring citizens in an attempt to wipe out dissidents seeking al-Assad's ouster.

In Homs, the International Committee of the Red Cross has been trying for days to negotiate even a temporary cease-fire to deliver humanitarian aid into the Homs and its hardest-hit neighborhood, Baba Amr, without success.

"The negotiations continue -- they never stop. We remain very hopeful to get back into Baba Amr, but the negotiations have been difficult," said Saleh Dabkah, a spokesman for the local partner organization, the Red Crescent.

Sunday's toll also included nine deaths in Hama, seven in Daraa and 11 in Idlib, where Syrian tanks began shelling the city early Sunday, according to the LCC.

Syria announced the referendum amid intense international pressure to halt the bloodshed and open up its regime to reforms. But among the changes in Sunday's referendum was one article that states "the law shall regulate the provisions and procedures related to the formation of political parties."

"Carrying out any political activity or forming any political parties or groupings on the basis of religious, sectarian, tribal, regional, class-based, professional, or on discrimination based on gender, origin, race or color may not be undertaken," it continues.

The language suggests government permission is needed to form a party and excludes a number of people and groups from political activity, Tabler said.

"It's not going to change the fact that it's a minority-dominated situation," he said. "It will remain a presidential system with powers vested in the hands of the president."

But former Syrian lawmaker George Jabbour said "clause 8 of the new draft of the constitution is the essential point" of the document. It "allows a multi-party system" instead of leaving the ruling Baath Party as "the leading party of the society and the state," as current constitution does.

Jabbour said "special committees will be formed to look into the licensing of new parties in line with the new constitution."

As for presidential elections, they "will be competitive since there is no leading party anymore, and all the parties' candidates are eligible provided their candidacy is endorsed by at least 35 members of parliament," Jabbour said.

Meanwhile, the opposition Syrian National Council urged Syria's Alawite community, the minority sect to which al-Assad belongs, to join the revolt and promised their rights would be protected in a post-Assad Syria.

"The Alawites remain an important component of Syria, and will continue to enjoy the same rights as other citizens as we build one nation of Christians, Muslims, and other sects," an SNC statement declared. "The regime will not be successful in pitting us against one another. We are determined to unite our society, and the first step is for us to extend our hand to our Alawite brothers and sisters, to build in Syria a nation governed by citizenship and the rule of law."

The opposition council acknowledged that the revolt had been tinged with "sectarian strife" -- but it blamed that on al-Assad's "brutal violence, which has led to an increase in sectarianism."

"However, it is important to emphasize that the first step in halting sectarian strife in Syria is to overthrow the regime," it said. "We in the SNC consider members of the Alawite sect to be an essential element of Syria's cultural and ethnic fabric."

And U.S. Secretary of State Hillary Clinton said Sunday that diplomatic efforts were under way to peel away support from Syria's President Bashar al-Assad.

"We have a lot of contacts, as do other countries -- a lot of sources within the Syrian government and the business community and minority communities -- and our message is the same to all of them: 'You cannot continue to support this illegitimate regime because it is going to fall,' " Clinton told CNN.

But she said the SNC was not yet the kind of united opposition movement that toppled Moammar Gadhafi with international help in Libya last year. The Libyan opposition base in the city of Beghazi gave the international community "an address" to deal with, Clinton said.

"We don't have that in Syria," she said. "The Syrian National Council is doing the best it can but obviously it is not yet a united opposition."

And former U.S. national security adviser Zbigniew Brzezinski also cautioned against seeing Syria as another Libya.

"We shouldn't be careless in any comparisons between Assad and Gadhafi. Gadhafi was far more vulnerable than Assad is. I think it's far from clear yet that Assad can, in fact, be overthrown at this stage," Brzezinski told CNN's "Fareed Zakaria GPS." He recommended letting regional powers take the lead on whether to arm Syria's opposition.

"I would be very much guided by the Turks and the Saudis. The Turks have the regional role to play. They're assuming that role. They have intelligent leadership," he said. "The choice of how to act and particularly if one is to be engaged in some fashion militarily, I think, has to be made first by them and also the Saudis, and not first by us."

Questioned about the brutality that the government has unleashed since demonstrations began nearly a year ago, Brzezinksi said that history shows brutality often works.

CNN's Salma Abdelaziz, Holly Yan, Joe Sterling and Yousuf Basil contributed to this report.

@highlight

NEW: 55 people were killed Sunday, opposition activists say

@highlight

NEW: Syrian opposition appeals to al-Assad's Alawite community

@highlight

Hillary Clinton says al-Assad's regime is "illegitimate and going to fall"

@highlight

A former top White House official warns that Syria is not like Libya