(CNN) -- Ever hopped in a taxi and sat in traffic for hours whilst pedestrians and cyclists sailed past your window? If so, you may wondered whether you're part of the problem and not the solution. As public transport networks continue to improve in many African cities, taxis remain a common mode of getting around.

But for Neil du Preez, there must be a better way. The South African entrepreneur has developed Mellowcabs -- electric three-wheeled vehicles designed for eco-friendly and efficient transportation in urban areas.

CNN's African Start-Up caught up with du Preez to talk travel, business and starting up in South Africa. An edited version of the interview follows.

CNN: What got you thinking about changing the taxi concept?

Neil du Preez: The departure point was when I learned 80% of all urban trips are less than four kilometers. Globally, taxi rides are fairly short and it's really inefficient to use a traditional taxi for these journeys. Efficiencies that can come with a small vehicle are enormous and passenger savings would be enormous.

CNN: What stage of development is Mellowcabs at?

NdP: We built eight prototype cars and did a lot of testing -- we tested brakes, lights, everything. After the test, we basically wanted to re-design the entire vehicle and took the prototypes off the road. We are now at the stage of building chassis and want to be on South African roads in the first quarter of 2015.

CNN: You say these vehicles are designed for urban areas. Where are you targeting in South Africa and beyond?

NdP: We already have demand from advertisers for 60 vehicles in the Western Cape [The South African province where Cape Town is located]. After that, we will focus on Gauteng province -- South Africa's province where Johannesburg and Pretoria are located.

Beyond that a big mobile phone company in Nigeria is interested too and we are considering an initial focus on Lagos. But this could go beyond Africa too. We have had talks about a project in Washington DC and other cities in USA.

CNN: How safe will traveling in these vehicles be?

NdP: We have developed ultra-rigid roll cage, safety belts and proximity sensors for the vehicles and some will be fitted with doors. I also recognize there are some security issues in South Africa. In very slow moving traffic, there is a risk of bag-snatching. Passengers will be able to use lockable baggage areas underneath the seat to keep property safe. And we are also looking at some vehicles to be fitted with a CCTV camera.

CNN: How much will it cost for a normal journey?

NdP: The goal is to make each ride 15-20 rand (less than $2) per ride, irrespective of distance traveled. We want a Mellowcab ride to be way, way cheaper than traditional taxis. Normal taxis in South Africa are 8Rand per kilometer in a flagged ride, plus 15 rand for "flag fall." I recently took a 15 kilometer taxi ride north of Cape Town, and it cost 370 rand ($33). We want Mellowcab to be much cheaper for the passenger and for the operator too. Passengers will be able to pay cash or through an app.

CNN: Will all Mellowcabs be driven by employees, or can people hire them for self-drive?

NdP: All drivers will be permanently employed staff -- there's more than enough people looking for quality work around here. I want to build up a team of really strong drivers. We're putting successful drivers through a formal tour-guide training course, which will benefit not only us, but ideally develop them into small business owners later on. We're also equipping them with communication and client interaction courses. What we're also thinking of doing is transferring ownership of the vehicles to the drivers after a period of successful operation ... enabling them to become semi-owner drivers.

CNN: Where is the funding coming from?

NdP: At the moment, the South African government is not involved. They have promised to get involved in the future, but I'm not sure I want that. At the moment, the funding comes from a South African venture capital fund, and I own the majority of the shares. There is one other investor -- it's [been] almost three years of playing around with different transport ideas.

CNN: Why have you decided to start in South Africa -- is it a good country for entrepreneurs?

NdP: As far as Africa goes, South Africa is ideal -- we have good infrastructure and good internet connectivity. But we should all start thinking outside of Africa. There's quite a lot of demand outside of South Africa for South African products. Traditionally, there was a very old school mindset -- South Africa was a very isolated market. Now things are happening, a lot of good opportunities and focus on startups.

CNN: Is the government doing enough to encourage innovation?

NdP: The South African government could get much more involved in developing entrepreneurs. I'd love them to get more involved particularly with funding. There is funding available for entrepreneurs, but it's practically impossible. It's really difficult to access the funding from South African government.

Read this: Bike tour gives taste of township life

More from African Start-Up

Monique Todd contributed to this story

@highlight

Mellowcab is a three-wheeled vehicle that the owner says is more efficient than traditional taxis

@highlight

South African entrepreneur Neil du Preez started working on the idea three years ago

@highlight

Du Preez want the cabs to be on the road in early 2015

@highlight

After South Africa du Preez wants to expand to Nigeria and the U.S.