Los Angeles (CNN) -- A brewing Pacific storm will pour desperately needed rain on California's historic drought, but the pending wet wallop promises to carry a high price as schools in San Francisco and Oakland are bracing themselves and will be closed Thursday, officials said Wednesday.

The rainfall is expected to be so significant that meteorologists call its source an "atmospheric river."

Many people in Northern California were bringing lawn items inside. But not everything.

"I'm just trying to bring some stuff down that might blow away. We are not taking down the Christmas decorations though, leaving those up unless it gets real bad," Ryan Higgins of Sunnyvale said.

Higgins, who owns a comic book store, said he and his family had a "handful of sandbags" because their residential complex tends to flood even with a little rain.

Already, the fingertips of the storm were ravaging the coast of Washington state, eroding a beachline and threatening homes, according to a CNN affiliate KOMO reporter's tweets.

The fire-hose weather system will slam into the West Coast by Thursday, forecasts say.

Atmospheric rivers are 250 to 400 miles wide and split off like a tributary from a much larger band of moisture from the tropics.

They only come occasionally but are necessary to fill up water reservoirs, the NWS says.

"Up to 50% of annual precipitation on the West Coast occurs in just a few AR events."

On the weather map, the storm looks like a cloud river in the sky flowing straight at the coast, and in combination with the storm system chasing it ashore, it is expected to dump 2-5 inches of rain in many places this week.

The highest elevations of Northern California might get 10 inches of rain, forecasters said.

San Francisco could see 2 to 4 inches in the city with up to 8 inches in the hills.

Schools shuttered

The San Francisco and Oakland Unified School District officials blamed their planned closures on the potential downpour.

"Closing schools is a serious decision," said SFUSD Superintendent Richard A. Carranza in a statement, according to CNN affiliate KRON. "I did not arrive at this lightly. First and foremost, we don't want to risk having our students injured or seriously delayed transporting to and from school. In addition to student absences, the storm could result in large numbers of staff absences, which could then lead to inadequate supervision of our students. Furthermore, power outages could affect the district's ability to feed students' school meals, among many other operational challenges."

In a message to students and staff on the district's Facebook page, Oakland school officials cited "an extreme and potentially dangerous weather system" as the reason for the closings.

"We recognize this decision will interrupt the normal routine and require some families to seek other child-care alternatives and we apologize in advance for the inconvenience. We do, however, feel it's our responsibility, given the dire reports from the National Weather Service, that we take this precaution and steps to maximize student and staff safety."

Southern California might get 1 to 2 inches with twice as much in the hilly areas.

That much rain may be more common, if you live along the Gulf or Atlantic Coasts, but for parched California, which researchers at the University of Nebraska say is the most drought-stricken state in the country, it's a lot to handle at once.

And in many areas, it comes on top of high rains last week. The weather service warned there could be moderate river flooding in California and Washington.

Folks in Oregon were expecting high winds Thursday, but in Seaside, 80 miles northwest of Portland, it was already blustery on Wednesday.

"I was waiting for trees just to go blowing right by the beach," Denise Abramson told CNN affiliate KATU. "It was really, really windy. Really bad. And the waves were probably ...15 feet high coming in. The swells are coming in really, really fast."

About 115 miles down the coast in Newport, it wasn't as bad at Jack's Surfboards.

"Right now it's probably 4- to 5-foot (surf). It's picking up for sure," employee Connor Heisgen said. And the wind? "A tiny bit."

Flooding possible

In the Bay Area on Tuesday, public works crews got ready for a downpour. A road crew vacuumed mud and trash out of a storm drain, CNN affiliate KTVU reported.

"This is not the most glamorous work that there is, even with equipment like this. This is still really hard work. Hard and dirty work but something that has to be done to make sure the system functions properly when we do have a big storm," Caltrans spokesman Bob Haus told KTVU.

The sheriff's department in Solano County, which has a lot of waterfront land, is handing out sandbags to residents.

Bay Area power crews cut pine tree limbs hanging over power lines ahead of winds of 30 to 40 mph with gusts up to 70 mph.

Those howling winds will also drive in high surf up and down the West Coast, with some breakers rising 20 feet high.

They are expected to push up water levels in Washington's Puget Sound, which could have residents of Seattle and Tacoma wading through shoreline puddles.

The area will live up to its reputation for sogginess, as about half a foot of rain is expected to fall between early Wednesday and late Thursday, the weather service predicts.

Nor'easter

The wet maker on in the Northeast looks more like a circular water sprinkler, spinning in moisture from the Atlantic, where it is clashing with cold air.

The nor'easter's wet, cold misery -- from chilly rain to snow and ice -- have slushed the Northeast and will continue to as the gyrator drifts north through northern New England.

Syracuse, New York, expected more snow on Thursday.

The 6-10 inches of snow in Greenville Junction, Maine, on Wednesday will get a glazing of freezing rain more than once this week, the NWS predicts.

Winds will be high there, too, with gusts of 40 to 60 mph. They could cause coastal flooding in Maine.

Real rainmaker

There were reports of record rain on Tuesday from the New York metropolitan area with nearly 3 inches falling. At John F. Kennedy International Airport, 2.95 inches fell, the most on this date.

At LaGuardia Airport, where 2.65 inches fell, the flight delays at one point reached four hours.

According to the flight tracking website FlightAware.com, more than 2,600 flights departing from and/or landing in the United States were delayed Tuesday and 1,200 were canceled.

CNN's Steve Almasy, Dave Alsup and Tony Marco contributed to this report.

@highlight

NEW: Business owners in Northern California prepping with sandbags

@highlight

San Francisco and Oakland schools to close Thursday

@highlight

An "atmospheric river" is pumping moisture into drought-stricken West Coast

@highlight

ARs can be 250-400 miles wide and branch off from bands tropical moisture