(CNN) -- There is a little good news for mothers in the United States. The U.S. has moved up six places -- from 31st to 25th -- in the annual Save The Children State of the World's Mothers report.

That puts the U.S. right between Belarus and the Czech Republic. Norway is No. 1, just ahead of Iceland and Sweden.

The report's ranking of 165 nations factors in measures of education, health and economic status as well as the health and nutrition of children.

"There's still an awful lot that we need to do," said Carolyn Miles, the president of Save The Children.

The U.S. has made strides with respect to better care for teen moms and also in electing more women to government positions, which the organization sees as an important measure of how society values women.

But it has to do more, Miles and others stress.

"We valorize parenthood and in particular, motherhood, while at the same time we offer very few supports," said Robin Simon, a professor of sociology at Wake Forest University.

So while the U.S. recognizes mothers for their incredibly important role as the primary caregivers to children, it still hasn't done enough to help raise the kids.

It's no secret: Raising a child is stressful and really expensive. A new mother needs a lot of help, Simon said, and other countries provide more government assistance than the United States does.

"Unlike other industrialized nations, we lack the kind of state-level protections and policies that would reduce some of that stress," she said, speaking of "family-friendly entitlement programs" like universal health care.

Another place the United States could start improving is with maternity leave. Thanks to the 2-decade-old Family and Medical Leave Act, new mothers get 12 weeks of unpaid leave. In Canada, it's 52 weeks, 50 of which are paid. Canada, by the way, is 19th in the rankings.

Kirsten Swinth, a professor of history at Fordham University who is working on a book on the cultural history of the working American mother, said companies that do offer paid leave do so more for professional middle- and upper-ranked workers.

"That tends to leave lower-paid and less-skilled workers behind so there's an inequality in the distribution of those benefits," she said.

The poor around the world are victims of growing inequality, the Save The Children report shows. The gap between the level of care and commitment to mothers and children in the top 10 nations -- all developed countries -- and the bottom 10 is growing, Miles said.

Here's a statistic that jumps right at you: In bottom-ranking Niger, almost every mother will lose at least one child in her lifetime. It is the opposite in Norway, where every birth is attended to by a health professional.

Miles, a mother of three, said she has talked to women in the poorest countries who had no other person present at the birth of their children.

She said her organization has been working hard for the past five years to make sure there are more health workers to attend to births in those countries.

"Forty percent of children that die under the age of 5 die in the first month," she said. "And the most dangerous day for a child is the day they are born."

The report isn't entirely deflating. There is good news from perennial last-place Afghanistan, which moved up one notch.

It doesn't look significant in the report's black and white type, but it is, Miles said.

"It reflects some real progress in that country," she said, pointing to the fact that there is a much higher rate of education for girls there.

Education is one vital component in improving the lives of mothers, Swinth said.

"There's very clear evidence for people who do this kind of work that when you provide women access to education, that when you provide them access to independent abilities to support themselves, and then when you provide them with health care, maternal and infant health go up in correspondence with each other," she said.

She said it happens in industrialized nations too where consistent, reliable programs for prenatal and maternal health care are provided.

"You can see a correlation for better outcomes for mothers and children," she said.

Some of the solutions don't have to be hard, Miles said.

"We talk about the 'lifesaving six' things in nutrition, and one of those is breast-feeding practices," she said.

And everyone needs to pitch in, she said. Certainly moms need to take the lead, but governments also need to establish friendly policies toward breast-feeding and companies need to welcome it.

It's one of the most important things that can save kids' lives, along with providing clean water, Miles said.

"It has to be everyone saying, 'This doesn't have to happen in our country.'"

@highlight

U.S. lands at No. 25 on the annual State of the World's Mothers report

@highlight

U.S. has made strides with respect to better care for teen moms

@highlight

Lack of support from governmental and other programs pushes U.S. down