(CNN) -- An escaped jail inmate turned himself in just so that he could warm up -- that's how cold the U.S. has been this week.

With the country swept with unforgiving weather since December due to a distorted polar vortex, Brimson in Minnesota plunged to -40 Celcius (-40 Fahrenheit: this is the point at which the temperature scales meet) on Wednesday while Chicago saw its record low of -27 C (-16.6 F) on Monday.

As dangerously cold as it seems to be, however, it's (fortunately) still a long way from beating the world's lowest temperature record.

"Everybody is interested in extremes -- the hottest, the wettest, the windiest -- so creating a database of professionally verified records is useful in that fact alone," says Randall Cerveny from the World Meteorological Organization (WMO).

With that in mind, what other extreme weather records are there? Cerveny helped us pick out a few highlights from around the world.

Lowest temperature

According to WMO, the lowest temperature noted was -89.2 C, recorded on July 21, 1983, in Vostok, Antarctica. Yes, Celsius, not Fahrenheit. In the latter, that's minus 128.5 degrees.

An absence of solar radiation, clear skies, little vertical mixing, calm air for a long duration and high elevation (3,420 meters, 11,220 feet) accounted for the frigid weather.

Highest temperature

With an average high of 46.7 C (116 F) in July, summer in Death Valley, California, can be baking.

But it was the summer of 1913 that entered the record books, acknowledged officially as the hottest temperature ever recorded at 56.7 C (134 F) in recent years, according to WMO.

Greatest rainfall in one minute, Unionville

This record is owned by Unionville, Maryland, where on July 4, 1956, 1.22 inches (31.2 millimeters) of rain fell in one minute.

To give you an idea -- in sub-tropical Hong Kong, the most severe black rainstorm signal will be hoisted if the rainfall exceeds 70 millimeters (2.75 inches) in an hour.

Greatest rainfall in 24 hours

The biggest rainfall in a day occurred with the passage of Cyclone Denise in Foc-Foc, La RÃ©union, an island in the southern Indian Ocean. Some 1.825 meters (71.8 inches) of rain fell over 24 hours, from January 7 to 8, 1966.

Heaviest hailstone, Bangladesh

The heaviest hailstone was discovered during a hailstorm in Gopalganj, Bangladesh on April 14, 1986. The storm killed 92 people and included one hailstone that weighed 1.02 kilos (2.25 pounds).

Longest recorded dry period, Arica

The longest dry period in history was measured in years. There was not a single raindrop in Arica, Chile, for more than 14 years, from October 1903 to January 1918 -- a total of 173 months.

Highest cold water geyser

Located in Andernach, Germany, Geysir Andernach usually blows water from 30 to 60 meters (98 feet to 197 feet) high. The highest ejection reached 61.5 meters (201.7 feet), recorded on September 19, 2002.

Cold-water geysers are different from naturally occurring hot-water geysers. The cold underground water erupts from a drilled well. The Andernach well is more than 350 meters (1,148 feet) deep.

Coldest road

The Kolyma Highway (M56) in Russia is the coldest road on Earth -- temperatures once plunged to -67.7 degrees C (-89.8 F).

A section of the 2,031-kilometer (1,262-mile) highway is called the "Road of Bones" to commemorate the prisoners from the Sewostlag Labour Camp who died constructing the road and were buried beneath it.

Largest non-polar ice field

You don't need to live in the polar regions to be stuck in the middle of a vast ice field.

The largest ice field outside the Poles is Yukon Territory in Canada, inside the 21,980-square-kilometer (8,486-square-mile) Kluane National Park and Reserve.

Largest desert

No, not the Sahara.

A desert is defined as an area that has no or very little rainfall. The largest desert in the world is Antarctica, which is 14 million kilometers squared (5.4 million square miles) and records only 50 millimeters (2 inches) of precipitation per year.

The 9.1-million-kilometer-square (3.5 million square miles) Sahara, according to Guinness World Records, is only the biggest hot desert.

Inhabited place with the lowest temperature

The coldest permanently inhabited place is the Siberian village of Oymyakon, Russia.

The temperature once dropped to -68 C (-90.4 F) in 1933 -- the coldest temperature recorded outside Antarctica.

Some extreme weather records are provided by Guinness World Records. The latest edition of Guinness World Records 2013 was released on September 13, 2012. Check out more on Guinness World Records' website.

@highlight

The temperatures from the polar vortex are far from being the coldest on Earth

@highlight

The U.S. holds two records -- the greatest rainfall in a minute and the highest temperature

@highlight

The Kolyma Highway (M56) in Russia is the coldest road on Earth