Cairo (CNN) -- As the operation by Egyptian security forces to clear supporters of ousted President Mohamed Morsy from two Cairo sit-ins unfolds Wednesday, governments around the world are voicing their concern at the violence and loss of life.

Interactive: Map of the raids

United Nations

Secretary-General Ban Ki-moon condemns the Cairo violence "in the strongest terms," a U.N. statement said.

"While the UN is still gathering precise information about today's events, it appears that hundreds of people were killed or wounded in clashes between security forces and demonstrators," it said.

"Just days ago, the Secretary-General renewed his call for all sides in Egypt to reconsider their actions in light of new political realities and the imperative to prevent further loss of life. The Secretary-General regrets that Egyptian authorities chose instead to use force to respond to the ongoing demonstrations."

In the aftermath of the violence, Ban "urges all Egyptians to concentrate their efforts on promoting genuinely inclusive reconciliation," it added.

European Union

"Confrontation and violence is not the way forward to resolve key political issues. I deplore the loss of lives, injuries and destruction in Cairo and other places in Egypt," said EU foreign policy chief Catherine Ashton.

"I call on the security forces to exercise utmost restraint and on all Egyptian citizens to avoid further provocations and escalation.

"The country's democratic future will depend on a dialogue among all concerned aimed at overcoming differences in an inclusive process of political reconciliation, with a fully empowered civilian government and functioning democratic institutions."

Turkey

"We with full force condemn the fact that the administration in Egypt has once again used force against peaceful protests despite all warnings," the official website of Turkish Prime Minister Recep Tayyip Erdogan said.

"Opening fire on and using sharpshooters on civilians who have not been implicated in any violence constitutes a grave crime.

"It is obvious that the international community, by supporting the military coup instead of supporting democracy and constitutional legitimacy in Egypt and by remaining silent on previous massacres, has given courage to the intervention that took place today. The international community especially the U.N. Security Council and the Arab League must act immediately to stop this massacre."

"What is happening in Egypt today is unacceptable. Assaults on protesters and civilians are unacceptable. These may lead to dangerous results whatever the reasons are," President Abdullah Gul said, according to the semi-official Anadolu news agency.

United Kingdom

"I am deeply concerned at the escalating violence and unrest in Egypt, and regret the loss of life on all sides," Foreign Secretary William Hague said.

"I condemn the use of force in clearing protests and call on the security forces to act with restraint. Leaders on all sides must work to reduce the risk of further violence. Only then will it be possible to take vital steps towards dialogue and reconciliation."

Canada

Foreign Affairs Minister John Baird urged both parties to avoid violence and "engage in a meaningful political dialogue for the good of all Egyptians."

Canada believes that implementing a transparent democratic system that respects all its citizens is the best way to restore calm and stability in Egypt, he said.

"The two parties must sit down immediately, reconcile their differences and work tirelessly to halt this deadly stand-off. All Egyptians should show restraint and resolve in the coming days."

Spain

Spain's government expressed "great concern" over events in Egypt and sent its condolences to the families of those killed.

"At this critical moment, it is particularly important that the security forces and the protesters themselves exercise due restraint to avoid the irreversible consequences of violence," a press statement said.

"The Egyptian people have shown to the whole world their determination to live in peace and democracy. To achieve this aspiration the participation of all political and social forces is needed, without delay, in a national dialogue to make possible the return of institutional normality to Egypt."

Germany

Foreign Minister Guido Westerwelle said Germany is "extremely concerned" by the news from Cairo.

"This escalation of violence in the already heated political situation in Egypt is very dangerous. We call upon all political forces in Egypt to immediately return to dialogue and negotiations and to prevent a further escalation of violence," he said.

"Further bloodshed has to be prevented. We ask all sides to swiftly return to a political process, which incorporates all political forces.

"We expect from the interim government and the Egyptian authorities that they allow peaceful protests and that they do anything to calm the situation. We told the Egyptian side this clear expectation this morning."

Iran

Iran's Foreign Ministry condemned the "brutal crackdown" and "killing of scores" of Egyptians, Iran's state-run Press TV reported.

Qatar

An official source in Qatar's Ministry of Foreign Affairs "strongly condemns the way the peaceful protesters were handled in Rabaa and Nahda square that led to the killing of a number of unarmed innocent civilians," Qatar's state news agency said.

Sweden

Swedish Foreign Minister Carl Bildt said via Twitter that he was following events in Egypt with extreme concern.

"Obviously many dead. Reports of live ammunition. Risk of violence spreading. Churches attacked," he tweeted.

"I condemn the killings and the violence in Egypt now. Main responsibility with regime forces. Extremely hard to restore political process."

Italy

Italian Foreign Minister Emma Bonino said she was deeply saddened by events in Egypt and the loss of human life, adding that she had hoped the sit-in sites would be cleared by mutual agreement.

"I make an appeal to all the forces in Egypt to do all that is possible to immediately stop the violence in the country and avoid a bloodbath."

She called on the police to maintain "strong self-restraint" and for all parties to avoid any incitement to violence. Egypt must put an end to the spiral of violence and resume a process of national dialogue, she said.

Ireland

Eamon Gilmore, Ireland's tanaiste, or deputy prime minister, tweeted: "I deplore the loss of life in #Egypt, appeal for the authorities to show restraint and for all involved to refrain from violence."

Egypt clashes: What you need to know

CNN's Saad Abedine, Laura Smith-Spark, Laura Perez Maestro, Saskya Vandoorne, Bharati Naik, Gul Tuysuz, Stephanie Ott and Carol Jordan contributed to this report.

@highlight

NEW: Canada says two parties must sit down immediately, reconcile their differences

@highlight

EU's foreign policy chief calls on the security forces to "exercise the utmost restraint"

@highlight

The U.N. chief regrets that Egyptian authorities "chose to use force" on demonstrators

@highlight

Iran: Brutal crackdown of Egyptian protesters condemned