(CNN) -- The e-mail ended with a question that belied the author's pain: "It's a small world, isn't it?"

Michael Schofield read the message from Elizabeth Baptiste again. Baptiste worked at AT&T, just like him. She had three sons, like him. And her youngest, Michael, was the donor who had changed his life.

"It sent shivers down my body, you know, because you don't expect..."

Schofield's voice, with its lingering Liverpool accent, trails off.

Schofield, 53, was diagnosed with Type 1 diabetes in 1982. People who have Type 1 diabetes do not produce insulin, a hormone the body needs to convert sugar and starches into energy. Their white blood cells attack and destroy the cells that produce insulin in the pancreas.

Like most Type 1 diabetics, Schofield learned to control his diabetes with insulin injections and constant monitoring. But he still experienced hypoglycemic attacks when his blood sugar levels got too low. It was like being in a fog -- one he couldn't escape until someone helped him. If it went on too long, he would lose consciousness.

As he got older, Schofield's body adapted to the extreme lows; so when his blood sugar levels dropped below normal, he didn't experience the typical symptoms. In other words, he didn't know he was in danger until he passed out.

"Over time, your body just starts to break down," he says. "They say (diabetes) is a slow killer, and it is."

Tiny cells offer hope

Pancreas transplants for patients such as Schofield are not typically an option because they are difficult to perform, said Dr. Michael Rickels, associate professor of medicine at University of Pennsylvania. But an experimental procedure using the pancreas' islet cells is being tested at medical centers around the country. If it's approved by the Food and Drug Administration, it could make a difference for patients who are no longer able to successfully manage their diabetes.

Islet cells contain beta cells that produce insulin, as well as alpha cells that produce a hormone called glucagon. Both are used to regulate the body's glucose, or sugar, levels. In the 1990s, scientists in Alberta, Canada, figured out how to isolate these islets from a deceased donor's pancreas and transplant them into the liver of a diabetic patient. The procedure was dubbed the "Edmonton Protocol."

Since then, researchers have been trying to improve the survival rate of the cells during transplantation. Most patients who undergo the procedure now need two infusions of islet cells to maintain normal glucose levels long-term.

Rickels and his colleagues recently published a study in the journal Diabetes detailing a new protocol, which gives the extracted islets three days to "rest" before they're transferred to the living recipient. All of the patients in Rickels' study were able to come off insulin therapy for at least a year after a single transplant.

Data from patients in other countries where the procedure has already been approved shows some patients can stop using insulin for anywhere from five to 10 years, Rickels said.

Schofield had been following the islet cell research since the 1990s. One Saturday morning, after a particularly bad hypoglycemic attack, he decided to fill out a survey to see whether he qualified for a trial funded by the National Institutes of Health. Two days later, he received a message from the UCSF Medical Center in San Francisco.

Schofield flew from his home in Scottsdale, Arizona, to California to learn more about the transplant.

Dr. Andrew Posselt, director of the Pancreatic Islet Cell Transplant Program at UCSF, told Schofield that the procedure would take less than two hours and he would be home within two or three days. He would, however, have to remain on immunosuppressant drugs the rest of his life. The drugs prevent the patient's white blood cells from attacking the new islet cells, Posselt explained.

The next year was filled with medical tests. Schofield didn't receive a donor pancreas in time to participate in the government trial. But he discovered his employer health insurance would pay for the experimental transplant. His doctors helped him submit a request to the FDA to get the private procedure approved.

Now all he needed was a donor.

A life cut short

Michael Baptiste was a good kid, his mom, Elizabeth, says. "Growing up, he was my pain in the butt," she remembers with a laugh. "He was my third child. He was the one who gave me the headaches."

He was also a giving person. When his mom took him to the DMV to get his driver's license, he checked the organ donor box without hesitation.

At 23, he was taking responsibility for his life and his family. He was going to school to become an electrician. He worked nights at Home Depot to provide for his 5-year-old daughter, Angelina. He took his mom to Disneyland.

"He was moving up," Elizabeth Baptiste says. "And it was cut short."

On March 25, 2012, Michael Baptiste was goofing off with friends in a restaurant parking lot. He fell out of a car while the driver was doing donuts, and he hit his head. Doctors kept him alive for six days before pronouncing him brain dead.

A few days later Schofield, received his first infusion of islet cells. Two weeks later, he was off insulin. He looked down at his glucose monitor one day and saw a flat line for the first time in 30 years.

"That was euphoria," he says. He still wears his monitor to this day, enjoying the high looking at the flat line gives him.

Schofield sent a note to his anonymous donor's family, thanking them for giving him a second chance at life. He then began speaking publicly about his transplant, urging the FDA to approve the procedure for others in the United States.

"People need to be aware that this is an effective alternative treatment," Posselt said. "Funding is very difficult to get for this kind of procedure in the U.S.; as a result, we're falling behind other countries."

Two human clinical trials are underway in the United States. Once both are completed, researchers will submit the data to the FDA for review. Rickels hopes in the next two to three years, all his and his colleagues' hard work will pay off.

Only about 5% of people with diabetes have Type 1, according to the American Diabetes Association. Islet cell transplantation cannot help those with Type 2 diabetes, Posselt said, because they already produce insulin -- their bodies just have a greater resistance to the hormone.

"I think that this procedure can definitely benefit some diabetics, but I don't think it's the panacea for every diabetic," he said.

Saying thank you

On June 1, Schofield met Elizabeth Baptiste at Pier 39 in San Francisco. She wore a Donald Duck T-shirt to represent her son's favorite Disney character. When she saw Schofield, she waved her hand high in the air and had a flashback to the days when she used to do the same for Michael when he ran off in a crowd.

The meeting was a mix of emotions for Schofield.

"It's a happy moment that I got the transplant, got to meet her, say thank you," Schofield remembers. "It's a sad moment because having three children of my own, I can't imagine the pain."

But for Baptiste, it was therapeutic. She hasn't heard from any of her son's other recipients.

"I've told people, 'I know my son is dead,' " she says. "But I know other people have his parts, so I know he's still alive. Michael came to me at the right time. ... I needed a hug from my son, and that's what he was there for."

@highlight

Islet cell transplantation might offer hope to patients with Type 1 diabetes

@highlight

Patients who benefit are struggling with extreme blood sugar swings

@highlight

Scientists will complete two human clinical trials before submitting data to FDA