In parental torment over what became of his son and 42 other missing Mexican students, Isrrael Galindo rejects official accounts they apparently were massacred. He hopes that somehow his son and the others are still alive.

"I think they have him arrested or locked up. I don't know where he is, but if I knew, I would go get him," Galindo said of Israel, 19, his namesake son with a different spelling.

"I want him to know that I love him," he added, beginning to weep. "I want him alive."

Anguish overwhelms Galindo and grows daily, ever since the aspiring primary school teachers disappeared September 26 in a violent clash with police during a political protest that also left six people dead, including three other students.

The mass disappearance is so haunting that Galindo can't believe it befell his son. The father hasn't seen Israel in eight years, since migrating to California to find work and send money to his wife and their four sons back in Mexico, but the memory of him burns vividly.

The 43 missing students went missing after they had been captured by police in the city of Iguala, in Guerrero state. They allegedly were turned over to a gang in cartel territory and then executed in a dumpster in Cocula, 14 miles away. The gang burned the bodies and dumped them in a river, authorities say.

Fighting a "monster"

Like many other parents and their supporters, Galindo excoriates Mexican officials in the same breath that he asserts his son is alive.

"I don't lose faith, but we have fought and fought this monster in front of us, and we can't get ahead," said Galindo, 66, a handyman who lives in San Jose and is believed to be the only U.S.-based parent of any of the 43 students.

The "monster" is the Mexican government, Galindo says. He doesn't believe what authorities say about the students having been tortured and killed. The story is a way for Mexican authorities to push the case aside and move on, he says. The 43 students were mostly men in their 20s from a college outside Iguala devoted to helping poor, rural schools.

So far, authorities have charged Iguala Mayor Jose Luis Abarca as the "probable mastermind" in the 43 students' disappearance, and he has been charged with six counts of aggravated homicide and one count of attempted homicide, authorities said.

In all, at least 74 people have been arrested in connection with the disappearances and the deaths, and the governor of Guerrero has taken a leave of absence amid scorching criticism that he responded too slowly to what's been called one of the most serious human rights abuses in recent Latin American history.

Galindo isn't satisfied with those arrests.

"I can't tell you that our government isn't doing anything. They say one thing and then promise another. They say they are going to do something, and they deviate and they don't do anything," Galindo said.

Uproar at highest places

The inability of authorities to locate the 43 students or their bodies is an open wound on the psyche of the 43 families and Mexican society. The case is being compared by human rights activists to Mexico City's Tlatelolco Square massacre on the eve of the 1968 Olympics there, in which police are alleged to have killed as many as 300 student demonstrators calling for greater democracy in what was then a one-party system.

The current public uproar has touched the highest political and religious institutions in Mexico.

At the holiest of shrines devoted to Mexico's patron saint, some parents prayed to the Virgin at the Basilica of Guadalupe in Mexico City, chanting "alive they were taken, alive we want them returned."

"We have come here so that the Virgin will give us a miracle, to give us a hand, so that my son and the others will appear," Clemente Rodriguez Moreno, father of missing Christian, told AFP at the Basilica in October.

Then, demonstrators spray-painted and tried to burn a door to the Palacio Nacional, or National Palace, in Mexico City's central square in unsuccessful effort to breach it.

On November 20, a national caravan of protesters will converge on Mexico City, led by some of the families of the missing 43 people and other students from la Escuela Normal Rural de Ayotzinapa, a small college devoted to training students to become teachers.

Parents' demands

The parents even met with President Enrique Peña Nieto in his Los Pinos residence about the police search for the missing 43 people and declared the government's results insufficient.

"As parents, as students, as lawyers, we believe that these commitments are not enough," said Meliton Ortega, father of missing Mauricio. "There are no results for us. The results for us will be significant the moment that they hand over all of our missing children."

The parents want a team of Argentina specialists to review the investigation, and they want the Mexican President to sign an agreement with the Inter-American Commission on Human Rights to participate in the probe, according to the parents' attorney, Vidulfo Rosales.

"Today there is no irrefutable proof, there remains lines of investigations, there are several people who need to be arrested, there are several statements that could change the course of the investigation," Rosales said.

"Parents are not going to accept the hypothesis before us. It is not a conclusive, final investigation. The investigation needs to be open, so that there will be the full truth that the parents are fighting for. We make several petitions that we find this truth," Rosales said.

Other missing people cases

The alleged massacre of the 43 students has now prompted other families to renew attention on long unsolved cases of missing relatives and migrants in Mexico.

Mexico's Interior Ministry counts 22,322 missing people since 2006, excluding the 43 students. The country's National Institute of Migration says 3,000 migrants from Central America have also gone missing in Mexico since 2010.

Mercedes Moreno has been wondering for 23 years what became of her son when he traveled from his native El Salvador to Mexico in attempt to reach the United States.

"Twenty-three years that I haven't been to give him a hug on his birthday, 23 years that I haven't been able to my son Merry Christmas," Moreno said of her son, Jose, who would now be age 47.

She criticized the Mexican government for failing to solve the case. She gave a DNA sample of her son to authorities a decade ago.

"It doesn't matter what country we're in, what nationality we are, pain is pain," said Moreno, a retiree who lives in an Los Angeles apartment filled with photos of her missing son.

Backlash against teachers' college

In San Jose, Galindo resides in a modest house owned by his wife's family in the working class Tropicana neighborhood. An extended family lives in the one-story residence, with cousins and a grandmother.

Galindo's last contact with his son was a phone call just eight days before he and other students traveled in buses to Iguala to protest a speech by the mayor's wife, Maria de los Angeles Pineda, who along with her husband are known as "the imperial couple."

A history of antagonism exists between Iguala's elite and the students of Ayotzinapa, who were involved in a violent protest last year.

The students are portrayed by Iguala's business and political leaders as rabble-rousers, one Mexican analyst said.

"The young students who are studying to be teachers of farmers have been stigmatized. They have been presented as vandals, people who cause problems," Luis Hernandez Navarro, editor of La Jornada, one of Mexico's major newspapers, told CNN en Espanol.

The rural teachers' colleges, sometimes called normal schools, are called  "devil schools" by critics, Hernandez said.

"These are schools that are poor, and for the poor, to teach the poor," Hernandez said. The schools have been in the government's cross hairs, and business groups have requested they be closed, he added.

"These schools are the gateway to move socially for the poor, rural students," Hernandez said, "and they are one of the few escape routes that farmers have for their children to become teachers and prosper."

A father's pride

Whatever antipathy existed against the students, nothing could excuse this, Hernandez said.

"They did this because they knew they could," Hernandez said, "and they don't think there will be consequences."

But Galindo is proud that all four of his sons attended the teachers college, located in Tixtla, about 77 miles south of Iguala.

"Two of them are already teachers, and they graduated from Ayotzinapa. My other son was in his second year in Ayotzinapa," Galindo said.

He said he wants more than justice for his son.

"I need to see him."

@highlight

Isrrael Galindo is believed to be the only U.S.-based parent of any of the 43 missing students

@highlight

He hopes his 19-year-old son and the 42 other students are still alive

@highlight

"I want him to know that I love him," he weeps, "I want him alive"

@highlight

Other parents and many in Mexico are in an uproar over an apparent atrocity