The FBI is scrambling to track a growing number of Americans who have left to join the fight in Syria, including investigating how the young men were recruited and the logistics of their travel, officials said Thursday.

Dozens of Americans are among the thousands of foreigners who have flocked to Syria to take part in its bloody civil war.

"How are people being radicalized, what methods are being used, and what are the logistics behind the travel of some of these young men?" said Kyle Loven, chief division counsel for FBI in Minneapolis, discussing how Syria has replaced Somalia as the go-to place for young jihadists in recent years.

For three years, there was only one known American casualty in Syria. But, in recent days, the toll may have tripled.

On Wednesday -- months after a Florida man killed himself in a northern Syria suicide bombing and a day after news broke that Douglas McAuthur McCain, a 33-year-old man reared in Minnesota, died fighting for ISIS -- a coalition of Syrian opposition groups announced that its forces had killed another American in battle.

"Although we have social media involved in radicalization efforts, we want to determine also if there is a ground game here with respect to radicalization our youth," Loven told CNN.

Authorities are trying to determine whether the other American killed in Syria last weekend is Abdirahmaan Muhumed, a U.S. official told CNN.

U.S. counterterrorism and intelligence officials were working to verify the name but have not confirmed it.

The death of McCain was easier to verify because of photos of his neck tattoo, the official said.

But Omar Jamal, a friend of Muhumed's family, told CNN from Minneapolis that Muhumed was the second American killed in fighting over the weekend.

The Syrian coalition did not name the fallen American. But it did say he and McCain died as its forces battled Kharijites, a historical reference to fanatical Muslims who rejected moderate teachings and advocated killing those who violated ultraconservative values.

The coalition noted that its fighters from groups with names such as Hazem Movement, the Islamic Front, Al-Mujahideen Army, Noureddine, al Zanki Battalion, Faylak Al Sham had joined those from the more moderate Free Syrian Army and more extremist al-Nusra Front. They took on ISIS forces last weekend in and around Aleppo -- which is where McCain was killed.

Still, the idea of more Americans fighting for groups like ISIS, and more of them dying, wouldn't be surprising.

Since about 2007, the FBI has been tracking members of Minnesota's large Somali community who were recruited to fight for the Al-Shabaab terror organization in Somalia. In recent years, some of those radicalized young men have been recruited to travel to Syria.

The story of one of them, Troy Kastigar, who was a close friend of McCain's, predated McCain fighting -- and dying -- overseas.

Kastigar converted to Islam and traveled to Somalia in 2009 to fight for Al-Shabaab militants. He was killed that same year after appearing in a YouTube video encouraging young Americans to join the struggle.

Kastigar's mother, Julie Ann Boada, told CNN Thursday that the young man in the recruitment video for the hardline Islamic group is in fact her late son.

Her son "was wanting to have a purpose and wanting to be a valuable human being and not finding that," she said of the spiritual search of her son and his friends. "And then I think some of the things they were told were lies and some things were truths... I think they felt that they could go help some people who needed help."

Kastigar attended the same Minnesota high school as McCain.

Boada said her son was a bright, passionate and energetic young man who enjoyed karate, basketball and dancing.

"He really wanted to make a difference in the world," she said of her son.

Boada said her son struggled in school, had some legal troubles and a hard time finding a job. He turned to religion and left for Kenya to study the Quran, she said.

"I think they were manipulated," she said. "I don't think they knew fully what they were a part of."

She added, "The thing to focus on is, to not make young men ...  feel powerless in our community."

Some young men were lured to Syria, which isn't exactly a stable place with stable borders. Nor is neighboring Iraq, where ISIS -- under the name it calls itself, the Islamic State -- has made major advances in recent weeks.

"The ability to travel into these countries demonstrates how porous the borders are," said U.S. Army Brig. Gen. Mark Kimmitt, who had top roles in the State and Defense Departments in President George W. Bush's administration. "I think we need to understand that there's going to be more of this rather than less of this."

Sources: McCain radicalized gradually

The first American casualty was Moner Mohammad Abu-Salha, a 22-year-old from Florida who joined al-Nusra Front, an al Qaeda-linked organization that the U.S. government has blacklisted as a foreign terror organization. The group showed a video of him, and U.S. officials later confirmed, taking part in a suicide bombing earlier this year in northern Syria.

U.S.: Jihadi in suicide bombing video grew up in Florida

On Tuesday, the world was introduced to Douglas McCain.

Friends and relatives described him as a decent man who loved to play basketball and loved his family. His conversion to Islam didn't alarm his relatives, according to uncle Ken McCain, though Facebook posts in support of ISIS did.

He'd been on U.S. authorities' radar for some time by then. They become aware of McCain in the early 2000s, due to his association with others -- including one person from Minnesota who died in Somalia, apparently while fighting as a jihadi -- a U.S. official said.

Still, there was no indication then that McCain -- who at one point studied Arabic at San Diego City College -- was involved in anything nefarious. Law enforcement sources told CNN that he appears to have radicalized gradually in the years since his conversion.

Authorities didn't know about McCain's travels to Turkey until he was already there, a U.S. official said. Turkey was also the last place where, several months ago, McCain was in contact with his relatives.

At the time of his death, at least, McCain was on a list of Americans believed to have joined militant groups. Such people would be stopped and subjected to additional scrutiny if they traveled, according to the official.

State Department spokeswoman Jen Psaki added that U.S. authorities knew about McCain's ties to ISIS. Psaki didn't say how they approached his case, specifically, though she did lay out the government's general strategy and concerns about cases like his.

"We use every tool we have to disrupt and dissuade individuals from traveling abroad for violent jihad and to track and engage those who return (to the United States)," Psaki told reporters Wednesday.

"(McCain) is a reminder of the growing concern that the United States has, that many countries in the world have, about the thousands of foreign fighters from 50 nations who are engaged in Syria and who are affiliating themselves with ... extremist groups."

Opinion: ISIS: Is it really a threat to the U.S.?

Official: Americans-turned-extremists 'willing ... to die'

ISIS, especially, isn't just any extremist group.

Its tactics are so brutal that even al Qaeda -- which was behind the September 11, 2001, terrorist attacks -- disown them. Defense Secretary Chuck Hagel last week called ISIS "beyond just a terrorist group. They marry ideology, a sophistication of strategic and tactical military prowess.

"This is beyond anything we have seen, and we must prepare for everything."

Who is ISIS?

That includes more Americans dying. Some might be like McCain, who went to the Middle East to join the jihad. Or there may be more like James Foley, the American journalist that ISIS beheaded -- a gruesome execution that it videotaped and broadcast, along with the promise of more such killings if the United States doesn't continue to strike ISIS in Iraq.

California man arrested, wanted to join ISIS

Man arrested after overseas trip, accused of sympathizing with ISIS

@highlight

U.S. seeks information on Americans traveling to Syria to fight

@highlight

The death toll of Americans killed in Syria's civil war may have tripled in recent days

@highlight

U.S. official: Foreigners fighting for such extremist groups come from 50 nations

@highlight

Obama spokesman: U.S.-born extremists dangerous due to training, willingness to die