(CNN) -- Mammoth cruise ships can be difficult to get around, even in the best of circumstances. In the worst -- which is how one might describe the situation aboard the listing Costa Concordia -- they are near impossible.

Yet even before the sun rose Monday, about 120 rescue personnel were out in or around the liner that hit rocks near Tuscany and rolled spectacularly on its side.

They were in a race against time, and in a battle with numerous challenges, to try to save survivors or at least recover the bodies of the passengers and crew members who are still missing.

Overheard on CNN.com: Worst-case scenario

The search was temporarily suspended by noon Monday, after authorities said the vessel had begun to sway, making it dangerous for the crews. But it resumed a short time later, despite a forecast calling for increasingly strong winds that Coast Guard spokesman Filippo Marino said had rescuers worried.

They are "working in very, very bad conditions," said Luciano Roncalli of Italy's national fire service. "It's cold, of course. It's dark during the day and the night. ... It's really, really dangerous."

Authorities have said that at least six people died after the Costa Concordia hit rocks Friday night off the tiny island of Giglio, where nighttime temperatures have recently dipped below freezing.

A total of 29 people -- four crew members and 25 passengers -- are still unaccounted for from the listing cruise ship, Italian coast guard chief Marco Brusco said Monday, according to Italy's ANSA news agency. That figure includes two of the 120 Americans who were aboard the ship, the U.S. Embassy in Italy said.

Now turned on its side, the ship is roughly half-submerged. Rescuers hope is that any survivor has found refuge above water, or perhaps in an air pocket, and can be brought out alive.

"There could still be people locked into compartments ... where they can't physically move because of the twisting of the metal," said Butch Hendrick, president of the diving safety company Lifeguard Systems.

In its current state, the Costa Concordia resembles a dark, convoluted cave -- with its countless nooks and crannies and few ways to easily escape. Six underwater cave rescue divers are working among the rescue personnel.

The divers are likely equipped with twice as much oxygen as regular scuba divers, have a guideline nearby in case they need help finding a way back to safety, and have knives and whatever lights they can carry or wear, said Robert Laird, a co-founder of the International Underwater Cave Rescue and Recovery group.

Still, whatever equipment and precautions they take, "what they are doing is extremely difficult," he said.

"If you do not have the right frame of mind to deal with being in the dark and in tight closed spaces, then you're (in trouble)," said Laird, who has dived in many caves and ships, though neither he nor his group are involved in the Italian operation.

Unlike open water divers, these divers don't have the luxury of coming up for air anytime they want, and they can't count on the help of sunlight.

Laird said he expects that, besides being pitch-black, the water in the ship teems with debris.

"They could swim right by a dead body and not even see it," Laird said.

Rescuers are navigating a seeming labyrinth.

The Concordia is practically a skyscraper in two directions: 17 decks high and 951 feet long.

Emergency personnel are aiming to look into 1,500 cabins and all around the ship's many other public spaces, including eight bars, five restaurants, four swimming pools, a casino and more. Hendrick, a veteran of many such rescue dives, estimated it could take a couple of weeks for the whole ship to be checked.

"It's enormous," said Richard Bordoni, another member of the Italian national fire corps. "They have to stay safe, and it takes them a long time to go down a corridor."

Late Sunday, the cruise line said the ship's captain may have made "significant" errors leading to the wreck and subsequent rescue effort.

"The route of the vessel appears to have been too close to the shore, and the captain's judgment in handling the emergency appears to have not followed standard Costa procedures," Costa Cruises said in a statement.

Authorities told ANSA that the captain, Francesco Schettino, has been detained for alleged manslaughter, causing a shipwreck and abandoning ship while passengers were still on board.

Speaking on Italian television, Schettino insisted the rocks were not marked on his map.

"On the nautical chart, it was marked just as water," Schettino said, adding that the ship was about 300 meters (1,000 feet) from shore.

But the Italian coast guard insisted that the waters where the ship ran aground were well-mapped. Local fishermen say the island coast of Giglio is known for its rocky sea floor.

"Every danger in this area is on the nautical chart," Coast Guard Capt. Cosimo Nicastro said. "This is a place where a lot of people come for diving and sailing. ... All the dangers are known."

Survivors recounted a frantic rush by passengers to get on lifeboats, while the crew appeared helpless and unable to cope.

"It was the Marx brothers, watching these guys trying to figure out how to work the boat," said passenger Benji Smith, recounting how he made his own rope ladder to save himself and his wife. "I felt like the disaster itself was manageable, but I felt like the crew was going to kill us."

Compounding the evacuation problems was that only one side of the boat's lifeboats was available, as the ship was listing.

Passenger Laurie Willits, from Ontario, Canada, said some lifeboats on the higher side got stuck, leaving people suspended in mid-air amid the sounds of children crying and screaming.

"It was so crowded, and there was no room for us," said Brandon Warrick, who was sailing with his siblings. "It was just bad, like mad scrambles to get into the lifeboats. Nobody followed any procedure."

Many questions remain: Why was the ship -- with about 3,000 passengers and 1,000 crew members -- so close in to shore in an area where the seabed is pockmarked with rocks? What happened in the minutes after the ship ran aground? Why was no "mayday" distress signal sent?

"Looking at the pictures of the damage, it almost looks as if they saw it at the last minute, and they tried to swing the ship to the right to miss," said Chris McKesson, professor of naval architecture at the University of New Orleans.

Whatever happened to cause the crash, what's happening now to deal with its aftermath -- and, ideally, get to those still on board -- is now the focus. Those rescue crews have to deal with not just myriad logistical difficulties, but also physical and mental challenges.

Emergency personnel in the open-air part of the ship need ropes to get around, because the floor has become the wall in most cases. Whether they are rappelling or swimming, doors may have to be opened upward, not the standard way, given the position of the ship.

"The doors are very heavy, and the windows are very thick, so it's quite difficult to break them," said Roncalli of the national fire service.

Making one's way around without light and where everything is turned on its side can test even the toughest person's mental makeup.

Laird, of the International Underwater Cave Rescue and Recovery group, notes that many cave diver deaths "are attributed to panic." Even those not underwater face situations in which even a small slip-up can be life threatening, he said.

Despite such challenges, Roncalli vowed that rescue personnel were prepared and intent on continuing their mission as long as necessary.

"They keep on working until we are sure that no person is missing," he said. "The conditions are very tough, but we can manage it."

@highlight

NEW: The rescue/recovery operation on the ship could take weeks, a diving expert says

@highlight

Rescue operations resume, despite concerns about the weather

@highlight

The search was temporarily suspended Monday because the ship started to sway

@highlight

The Concordia is practically a skyscraper in two directions: 17 decks high and 951 feet long