(CNN) -- Michael Moore's "Sicko," which opened nationwide Friday, is filled with horror stories of people who are deprived of medical service because they can't afford it or haven't been able to navigate the murky waters of managed care in the United States.

A couple featured in Michael Moore's "Sicko" leave a London hospital with their newborn.

It compares American health care with the universal coverage systems in Canada, France, the United Kingdom and Cuba.

Moore covers a lot of ground. Our team investigated some of the claims put forth in his film. We found that his numbers were mostly right, but his arguments could use a little more context. As we dug deep to uncover the numbers, we found surprisingly few inaccuracies in the film. In fact, most pundits or health-care experts we spoke to spent more time on errors of omission rather than disputing the actual claims in the film.

Whether it's dollars spent, group coverage or Medicaid income cutoffs, health care goes hand in hand with numbers. Moore opens his film by giving these statistics, "Fifty million uninsured Americans ... 18,000 people die because they are uninsured." Watch Michael Moore talk about "Sicko" with CNN's Larry King. »

For the most part, that's true. The latest numbers from the Centers for Disease Control and Prevention say 43.6 million, or about 15 percent of Americans, were uninsured in 2006. For the past five years, the overall count has fluctuated between 41 million and 44 million people. According to the Institute of Medicine, 18,000 people do die each year mainly because they are less likely to receive screening and preventive care for chronic diseases.

Moore says that the U.S. spends more of its gross domestic product on health care than any other country.

Again, that's true. The United States spends more than 15 percent of its GDP on health care -- no other nation even comes close to that number. France spends about 11 percent, and Canadians spend 10 percent.

Like Moore, we also found that more money does not equal better care. Both the French and Canadian systems rank in the Top 10 of the world's best health-care systems, according to the World Health Organization. The United States comes in at No. 37. The rankings are based on general health of the population, access, patient satisfaction and how the care's paid for.

So, if Americans are paying so much and they're not getting as good or as much care, where is all the money going? "Overhead for most private health insurance plans range between 10 percent to 30 percent," says Deloitte health-care analyst Paul Keckley. Overhead includes profit and administrative costs.

"Compare that to Medicare, which only has an overhead rate of 1 percent. Medicare is an extremely efficient health-care delivery system," says Mark Meaney, a health-care ethicist for the National Institute for Patient Rights.

Moore spends about half his film detailing the wonders and the benefits of the government-funded universal health-care systems in Canada, France, Cuba and the United Kingdom. He shows calm, content people in waiting rooms and people getting care in hospitals hassle free. People laugh and smile as he asks about billing departments and cost of stay.

Not surprisingly, it's not that simple. In most other countries, there are quotas and planned waiting times. Everyone does have access to basic levels of care. That care plan is formulated by teams of government physicians and officials who determine what's to be included in the universal basic coverage and how a specific condition is treated. If you want treatment outside of that standard plan, then you have to pay for it yourself.

"In most developed health systems in the world, 15 percent to 20 percent of the population buys medical services outside of the system of care run by the government. They do it through supplemental insurance, or they buy services out of pocket," Keckley says.

The people who pay more tend to be in the upper income or have special, more complicated conditions.

Moore focuses on the private insurance companies and makes no mention of the U.S. government-funded health-care systems such as Medicare, Medicaid, the State Children's Health Insurance Program and the Veterans Affairs health-care systems. About 50 percent of all health-care dollars spent in the United States flows through these government systems.

"Sicko" also ignores a handful of good things about the American system. Believe it or not, the United States does rank highest in the patient satisfaction category. Americans do have shorter wait times than everyone but Germans when it comes to nonemergency elective surgery such as hip replacements, cataract removal or knee repair.

That's no surprise given the number of U.S. specialists. In U.S. medical schools, students training to become primary-care physicians have dwindled to 10 percent. The overwhelming majority choose far more profitable specialties in the medical field. In other countries, more than one out of three aspiring doctors chooses primary care in part because there's less of an income gap with specialists. In those nations, becoming a specialist means making 30 percent more than a primary-care physician. In the United States, the gap is around 300 percent, according to Keckley.

As Americans continue to spend $2 trillion a year on health care, everyone agrees on one point: Things need to change, and it will take more than a movie to figure out how to get there.  E-mail to a friend

A. Chris Gajilan is a senior producer with CNN Medical News. Intern Emily Breidbart contributed to this report.

@highlight

Analysis: Numbers cited in "Sicko" are accurate for the most part

@highlight

Assertions could use more context to flesh out comparisons of health care

@highlight

Health-care experts focus more on film's errors of omission than incorrect facts