(Wired) -- No more will soldiers' vision be limited to the socket-embedded spheres that God intended. The Pentagon now wants troops to see dangers lurking behind them in real time, and be able to tell if an object a kilometer away is a walking stick or an AK-47.

In a solicitation released today, Darpa, the Pentagon's far-out research branch, unveiled the Soldier Centric Imaging via Computational Cameras effort, or SCENICC. Imagine a suite of cameras that digitally capture a kilometer-wide, 360-degree sphere, representing the image in 3-D onto a wearable eyepiece.

You'd be able to literally see all around you, including behind yourself, and zooming in at will, creating a "stereoscopic/binocular system, simultaneously providing 10x zoom to both eyes." And you would do this all hands-free, apparently by barking out or pre-programming a command (the solicitation leaves it up to a designer's imagination) to adjust focus.

Then comes the Terminator-vision. Darpa wants the eyepiece to include "high-resolution computer-enhanced imagery as well as task-specific non-image data products such as mission data overlays, threat warnings/alerts, targeting assistance, etc." Target identified: Sarah Connor... The "Full Sphere Awareness" tool will provide soldiers with "muzzle flash detection," "projectile tracking" and "object recognition/labeling," basically pointing key information out to them.

And an "integrated weapon sighting" function locks your gun on your target when acquired. That's far beyond an app mounted on your rifle that keeps track of where your friendlies and enemies are.

The imaging wouldn't just be limited to what any individual soldier sees. SCENICC envisions a "networked optical sensing capability" that fuses images taken from nodes worn by "collections of soldiers and/or unmanned vehicles." The Warrior-Alpha drone overhead? Its full-motion video and still images would be sent into your eyepiece.

It also has to be ridiculously lightweight, weighing less than 700 grams for the entire system -- including a battery powerful enough to "exceed 24 hours [usage] under normal conditions." That's about a pound and a half, maximum. The Army's experimental ensemble of wearable gadgets weighs about eight pounds. And it is to SCENICC what your Roomba is to the T-1000.

Here's how far advanced SCENICC is compared to bleeding-edge imaging and networking capabilities that the Army is currently developing. Right now, the Army's asking three different companies -- Raytheon, Rockwell Collins and General Dynamics -- to build a wearable platform of digital maps, computers and radios, networked with one another. Soldiers would have warzone maps beamed onto helmet-mounted eyepieces.

The system, known as Nett Warrior, needs to weigh less than eight pounds, and it builds on a years-long and ultimately fruitless effort called Land Warrior. (One of the problems with Land Warrior is it was heavy and cumbersome, owing in part to battery weight.) The Army hopes to choose one of the Nett Warrior designs by March.

By the time it'll actually roll out Nett Warrior after testing, production and deployment -- a few years, optimistically -- SCENICC will already be hard at work on its replacement. Darpa wants a hands-free zooming function within two years of work on the contract. By year three, the computer-enhanced vision tool needs to be ready. Year four is for 360-degree vision. Then it's on to development.

The Army is generally hot for combat-ready smartphones to keep soldiers linked up with each other. And the buzz-generating tool for the soldier of the near future is mapping technology, delivered onto a smartphone or some other handheld mobile device, at least judging from this year's Association of the U.S. Army confab.

But all of these representation tools are two-dimensional, and require soldiers to look away from their patrols in order to use them. Textron's SoldierEyes Common Operating Picture, for instance, lets soldiers see icons on a tablet-mounted map telling them where their friends, enemies and neutrals are. It can't put those icons onto a 3-D picture sent to a soldier's eyes, let alone allow a 10x zoom for a kilo-wide 360-degree field of vision. Why would anyone use a map on a smartphone when they could have SCENICC?

Even with all the advances in digital imaging, it'll be a tall order to put together 360-degree vision and 10x zoom and mapping software and integration with weapons systems and lightweight miniaturization and network connectivity.

Darpa doesn't really address how the system's networked optics would work in low-bandwidth areas like, say, eastern Afghanistan (though maybe drone-borne cell towers can help).

Indeed, judging from the solicitation, while SCENICC is supposed to be networked, it doesn't seem to have any communications requirements for soldiers to talk through what their optics are sharing with each other. Maybe there's a role for those new soldier smartphones after all.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2010 Wired.com.

@highlight

The Pentagon's Darpa unit unveiled a camera system that can project a 3-D image

@highlight

You'd be able to see all around you, including behind yourself, and zooming in at will

@highlight

An "integrated weapon sighting" function locks your gun on your target when acquired