(CNN) -- Mind over matter? Or nature over nurture? What is it that separates Olympic legends like Jamaican sprinter Usain Bolt and U.S. swimmer Michael Phelps from the millions of enthusiastic amateurs around the world?

Can training, dedication and the right mindset turn any sporting hopeful into a world-class athlete?

Matthew Syed, author of "Bounce" and a former Olympic table tennis player, believes that an individual's ability is secondary to the level of coaching they receive and the facilities to which they have access.

"I think the idea of talent is misleading and in many ways overrated," Syed told CNN's Aiming for Gold show.

"When I became English No. 1, I thought I must be super talented. But the top players in the country at that time, 80% of them didn't just come from the same town or the same suburb, but from the very same street.

Olympic goal: A swimmer's story

"There hadn't been a genetic mutation -- we happened to have the best coach who gave us access to the only 24-hour club.

"So we practiced before school, after school, at weekends, on holidays. Over many years, we transformed ourselves from perfectly ordinary players into world-class players."

So does practice in itself make the world's top athletes perfect? Not necessarily, according to mental performance coach Andy Barton.

"Practice doesn't make perfect," he says. "You only have to think of your handwriting for instance, how as you get older the more you write the worse you get.

"Only perfect practice will make perfect. To improve you have to be very specific about what you are aiming to do and target it."

It is a view supported by Syed, who suggests that the willingness of top athletes to push themselves further and further in practice pays dividends when it comes to high-pressure competition.

"It's interesting, for example, that world-class ice dancers fall over more often in practice than intermediate ice dancers, which sounds paradoxical," he said.

"The reason is they are always pushing themselves, they are attempting jumps that are at the outer limits of their capabilities. It's a branch of science called 'epigenetics' -- the brain is re-wired as we practice."

Once athletes have meticulously honed their skills, they should, in theory, have all the tools at their disposal to achieve success. But in high-pressure situations, even the greatest can crumble.

What causes a footballer to crack under the nail-biting strain of a penalty shootout? Or a tennis star to fall apart at match point?

"The problem when you're under pressure is you're so nervous you start thinking consciously about the shot you are playing," Syed says.

"You are intruding upon your subconscious competence, and that is what triggers the choking response."

So how can Olympians preparing for London 2012 ensure they are mentally ready to challenge for gold? Barton suggested that imagining the crowning moment is almost as important as physically training for it.

"The thing about when we mentally rehearse something vividly, it actually fires up the same neurology in the brain as if we were really experiencing it. So on a certain level the mind cannot differentiate between a vividly-imagined experience and reality.

"What we need to do is to create our own realities in our heads so you can imagine yourself in that Olympic final, for instance, performing how you want to perform.

"The more you actually do that, the more your body and mind get used to it, so when you come to the real thing, you're more prepared."

So the next time you find yourself daydreaming of sprinting to 100 meters gold, don't dismiss it -- it might just be vital preparation for your future Olympic success.

@highlight

Experts tell CNN how practice and dedication can future gold medal winners

@highlight

Matthew Syed, author of Bounce, believes coaching and access to facilities are crucial

@highlight

Mental coach Andy Barton says imagining success can also help an athlete

@highlight

Barton says visualization can help athletes when it comes to top-level competition