United Nations (CNN) -- The U.N. Security Council met Monday to consider the Palestinians' bid for full membership in the world body and decided to meet again Wednesday morning, when they will send the matter to the admissions committee, said Security Council President Nawaf Salam of Lebanon.

Salam said the decision was made to take the matter to the committee as required by Article 59 of the United Nations' rules of procedure. "So, we have to wait until Wednesday morning," he said outside the Security Council.

Though the debate is expected to be largely symbolic in the face of a promised American veto, the permanent observer of the Palestinian Authority to the United Nations, Riyad Mansour, held out hope prior to Monday's Security Council meeting that the bid would be accepted.

"We hope that the Security Council will shoulder its responsibility and address this application with a positive attitude, especially since we have 139 countries that have recognized the state of Palestine so far, meaning more than two-thirds majority," he said. "We are ready to govern ourselves."

Palestinian Authority President Mahmoud Abbas made the bid for the United Nations to recognize an independent state of Palestine on Friday, a move Israel says is premature without direct talks that address its longstanding security concerns.

Abbas drew applause when the Palestinian leader raised the document at the podium during his speech at the 66th annual session of the General Assembly.

The time has come for a "Palestinian Spring" to join the Arab Spring in reshaping the Middle East, he said. "My people desire to exercise their right to enjoy a normal life like the rest of humanity."

But Israeli Prime Minister Benjamin Netanyahu, later taking his turn to address the General Assembly, said Palestinians are looking for a "state without peace," ignoring security concerns important to Israel.

He said Palestinians are armed not only with their "hopes and dreams," a phrase Abbas had used in his speech, but with "10,000 missiles, and Grad rockets supplied by Iran, not to mention the river of lethal weapons flowing into Gaza."

"Palestinians should first make peace with Israel and then get their state," he said, adding that peace must arrive through a two-state solution that recognizes Israel as a Jewish state.

If that occurs, Israel "will be the first" to recognize Palestinian statehood, the prime minister said.

Abbas' move prompted a call from the Middle East "Quartet" for new peace talks intended to come up with a breakthrough by the end of next year.

Representatives from the United Nations, the United States, Russia and the European Union discussed the request Friday and issued a statement saying the bid is before the U.N. Security Council.

The group called for a "preparatory meeting" to take place within one month to outline how peace might be negotiated. Each side would then be tasked with producing a comprehensive proposal on territory and security issues within three months and "to have made substantial progress with six months," the statement said.

Abbas' speech provoked cheers and chants from flag-waving Palestinians who watched the address on a big-screen television in a square in Ramallah, the West Bank.

His speech was closely watched across the Middle East. The hundreds who gathered in Ramallah greeted the news that he had formally filed the request with cheers, song and dance.

Demonstrations took place Friday in New York and in cities across the Middle East as demonstrators waved Palestinian flags and chanted slogans in shows of solidarity.

On Friday, a Palestinian was killed and 17 were wounded in clashes with Israeli settlers and Israeli forces in the village of Qusra, Palestinian officials reported. The Israel Defense Forces said they had gone to the village after receiving a report that settlers and Palestinians were hurling stones at each other; when they arrived, about 300 Palestinians began attacking the IDF soldiers, who responded with riot-control methods and live fire. The IDF said it was investigating the incident.

Also Friday, an Israeli man and his year-old son were killed when their car drove off the road near the settlement of Kiryat Arba. The Israeli police and IDF initially treated the incident as a routine road accident, but an examination of the body has led them to reassess that view.

"We confirmed he had been injured as a result of being struck in the head, which probably caused him to lose control of the car; this indicates to us the strong possibility that he was struck by Palestinian stone throwers in an act of terrorism," police spokesman Micky Rosenfeld said.

The Palestinian Authority's Ministry of State, which records violent acts by settlers against Palestinians, said the number of violent incidents rose between September 18 and24. The ministry cited an incident in Qusra, where olive trees were set afire and stones thrown at cars carrying Palestinians.

U.S. President Barack Obama has said he supports Palestinian statehood but reiterated a longstanding U.S. position that Israel must be part of the discussions.

While a U.S. veto would block the bid for full U.N. membership, the General Assembly could still vote to upgrade the status of Palestinians, who currently hold the status of non-voting observer "entity."

The body could change that status to permanent observer "state," identical to the Vatican's standing at the United Nations.

Hamas, the dominant of two Palestinian political groups, has maintained that neither a U.N. application nor direct negotiations with Israel would provide the Palestinian people "with what they're looking for."

"Abbas' emotional speech succeeded in moving people's feelings, but his description of Palestinian suffering is different from reality," said Hamas spokesman Sami Abu Zuhri.

Hamas controls Gaza, while Abbas' Fatah organization holds the West Bank.

CNN's Kevin Flower, Richard Roth, Joe Vaccarello and Fionnuala Sweeney contributed to this report.

@highlight

"We have to wait until Wednesday morning," Security Council president says

@highlight

The United States vows to veto the Palestinian request

@highlight

Israel says negotiations are the only way forward