(CNN) -- I spent part of my childhood in Ankara, Turkey, and part of it in Madrid, Spain. The school I attended in Ankara was a local building where they strictly followed the Turkish curriculum.

My classroom oversaw a large courtyard, which we couldn't see from our benches during class hours since all the windows had been half-painted in gray. Who had done it, I often wondered. Whose idea was it to cover the windows in such a dull color to prevent us from peering into the world outside? The school I attended in Madrid was an international college with a predominantly British curriculum. I was the only Turk there.

There were interesting contrasts between the two institutions, each of which left an impact on my young mind and soul. But the distinction that perhaps struck me most was the presence and the absence in each of "the national oath".

In Ankara, every Monday morning we would gather in the schoolyard, hundreds of us, wearing black uniforms and snow-white lace collars. Turning our faces towards the bust of Ataturk -- the founder of modern Turkey -- and keeping our arms straight like soldiers, we would chant in perfect unison: "I am a Turk, I am correct, I am diligent ..." And we would finish the oath with the same pledge: "May my existence be a gift to you!"

It was that final line that disturbed me deep inside. I just wanted to be myself. Nothing more, nothing less. Why was my being an offering to the Turkish state and the Turkish nation? Could I not have a Self separate from the collective Self? As years went by I started asking new questions: Was there room for individuality in the Turkish society? If so what were its limits and why?

Generations in Turkey have grown up repeating the national oath. Even if you were Kurdish you were still expected to say aloud, "I am a Turk." It was assumed that we all shared the same nationality (Turkish) and the same religion (Muslim) -- even those students who were Jewish or Armenian. The school system was based on sameness. We were treated as a mass of undifferentiated beings rather than individuals with diverse backgrounds and varying talents.

It was only in 2013 that the national oath was abolished. But the ideology of sameness remains deeply-rooted. Today, it is just as difficult as yesterday to be and to remain an individual in Turkey.

It is harder for women. In Turkey a woman is primarily seen as someone's wife or someone's daughter or someone's mother. As a woman novelist, I am always treated as a woman first, then as a writer. For a male novelist it is the exact opposite. He is seen as a writer first and then people talk about his gender, if at all.

One thing that makes me happy as a writer is to witness the diversity of my readers in Turkey: conservatives, liberals, leftists, secularists, Kemalists, Kurds, Alevis, Jews, Armenians ... Women with headscarves, women in miniskirts.

But Turkey's mainstream culture is deeply suspicious of "difference" -- be it cultural, ethnic or sexual. Turkish society is stubbornly patriarchal and homophobic. Sameness is venerated. The Prime Minister tells us that every Turkish woman should have at least three children while the government talks about the need for creating a "new, pious Muslim youth."

When identity is imposed from above, once again, individuality is in danger. Imagination is in danger. This land, which once upon a time, was a multi-ethnic, multilingual and multi-religious empire, has turned itself into a nation-state where uniformity and authoritarianism are venerated at the expense of diversity and cosmopolitanism.

Turkey is filled with dynamism and potential for change but its adherence to sameness is stifling creativity and preventing it becoming a true and mature democracy. It is frustrating to see how little progress we have made over the years when it comes to improving our democracy, freedom of speech and women's rights. We draw endless zigzags; one step forward, one step back.

And beneath the weight of sameness, Turkish society is more polarized than ever. The gap between supporters of the Prime Minister's AKP party and its opponents is so wide that no one even attempts to bridge it anymore. We are divided into ghettoes of the like-minded. Glass walls surround us everywhere. We see each other but we neither listen nor talk, afraid and paranoid of the Other.

As a result, the culture of coexistence, which was never profound in the first place, is eroding fast.

There are only three areas left where people from different cultural and political backgrounds can still get together: art, literature and football. Outside these spaces we are a badly divided society.

@highlight

Until 2013, Turkish children would chant a national oath at school, says Elif Shafak

@highlight

Its wording made her query the place of separate and collective Self in Turkey, she writes

@highlight

Shafak says Turkey's mainstream is suspicious of difference

@highlight

But she says "sameness" is stifling creativity and democracy and causing divisions in society