Kill Devil Hills, North Carolina (CNN) -- Weakening by the hour but still covering a massive area, Hurricane Earl spun off the North Carolina on Thursday night, lashing parts of the Outer Banks with rain and high wind.

People along the East Coast made just-in-case preparations despite the waning power of the storm.

The hurricane has been downgraded to a Category 2 storm, the National Hurricane Center said Thursday night, but warned that "Earl is expected to remain a large and strong hurricane as it passes near the Outer Banks" of North Carolina.

Hurricane warnings and watches stretched from North Carolina to Delaware and into Massachusetts, where a hurricane warning was issued for Cape Cod, Martha's Vineyard, Nantucket and the surrounding area.

A hurricane watch was also issued for the coast of Nova Scotia, Canada. Tropical storm watches and warnings were in effect for most other coastal areas between North Carolina and Nova Scotia.

iReport: Share your images and information

As of 8 p.m., the center of Earl was about 160 miles (260 kilometers) south of Cape Hatteras, North Carolina, and about 625 miles (1,005 kilometers) south-southwest of Nantucket. It was heading north at about 18 mph (30 kph).

A tropical storm warning is now in effect for the coast of Massachusetts from north of Hull to the Merrimack River, and for the coast of Maine from Stonington to Eastport. The tropical storm warning from Cape Fear to west of Surf City, North Carolina, has been discontinued.

The storm, which had been a Category 3 until Thursday night, has maximum sustained winds of 105 mph (168 kph), the Hurricane Center reported just before 11 p.m. ET. Further weakening is expected overnight, forecasters said, but "Earl is expected to remain a large and strong hurricane as it passes near the Outer Banks."

Two more tropical systems are in the Atlantic -- Fiona and Gaston. Fiona is on track for Bermuda, and as of Thursday afternoon, Gaston wasn't threatening any land.

Read more on Gaston and Fiona

But for now, all eyes are on Earl.

President Barack Obama signed a disaster declaration for North Carolina on Wednesday evening. The action authorizes the Department of Homeland Security and the Federal Emergency Management Agency to coordinate relief efforts and makes federal funds available. Maryland's governor issued an emergency declaration earlier in the day.

The monster storm is forecast to pass close to the Outer Banks on Thursday night, the National Hurricane Center said.

"Even if the center of Earl remains offshore ... hurricane force winds are expected to occur in the Outer Banks overnight tonight," the center said in its 8 p.m. Thursday forecast.

The storm is expected to take aim at southeastern New England on Friday night. "Hurricane force winds are expected within the Hurricane warning area in Massachusetts Friday night," the center said Thursday.

Officials in Dare County, North Carolina, issued mandatory evacuation orders Thursday for visitors to the coastal county, including the Outer Banks. The mandatory evacuation extended to residents in some areas, including the town of South Nags Head and Hatteras Island. Dare County schools and courts were closed Thursday and will be closed Friday.

Earl concerns homeowners along coast

"Early this evening Hatteras Island will begin feeling the impact of Hurricane Earl's approach," the county said in a statement Thursday evening. "Throughout the evening, weather conditions will progressively deteriorate ... until the storm leaves the area around daybreak Friday morning."

"Hurricane Earl will produce high seas, ocean overwash, dangerous rip currents, and strong winds," it said.

On Thursday night, Dare County Manager Bobby Outten told CNN that "evacuations went well."

"We got everybody off Hatteras [Wednesday]," he said, referring to one coastal island. In other nearby areas, Outten said, "I'm sure there are people holding out."

"Residents of Dare County have been through this many times," the county's emergency response coordinator, Warren Judge, said on CNN's "American Morning." "And they have their own individual practices and procedures to get their homes and businesses secured and prepared for the oncoming storm. What we need to happen now is for the visitors to heed the warning, to evacuate."

Earl is a large storm, meaning effects will be widely felt even if it does not make a direct hit. It covers about 166,000 square miles -- larger than California, which covers just under 160,000 square miles.

The storm's outflow, or the clouds associated with it, could stretch from one end of the state of Texas to the other, said CNN meteorologist Reynolds Wolf.

The North Carolina coast should begin experiencing tropical storm-force winds of at least 39 mph by Thursday evening, forecasters said, with hurricane-force winds of at least 74 mph arriving later.

Local coverage by CNN affiliate WECT

"Conditions are going to deteriorate rapidly," FEMA administrator Craig Fugate said Thursday, and people should not be lulled into thinking Earl is going to miss them.

"We have teams in all coastal states ready to support (governors) all the way up the New England States," Fugate told CNN Thursday night, describing FEMA's standby teams. "We're not going to wait till things get bad."

Large breaking waves of 10 to 15 feet are possible along the coast, with possible storm surge of 2 to 4 feet and 3 to 4 inches of rainfall, CNN meteorologist Sean Morris said. Isolated tornadoes and waterspouts are possible.

The National Hurricane Center said those in the hurricane warning area -- coastal North Carolina from Bogue Inlet up to the Virginia state line, including Pamlico and Albemarle sounds -- could see storm surge of 3 to 5 feet. However, the most severe part of Earl is expected to remain offshore, which might mean a lower storm surge, according to CNN meteorologist Rob Marciano.

"The fact that it happens overnight always gives us cause for concern," Judge said. "But we're going to get a glancing blow." He said he hoped the storm will not deal a direct hit to the area and will pass through quickly.

"This is my first hurricane and I'm looking forward to it, " said Sarah Baker, a native of Oklahoma who works for a vacation rental company in Kitty Hawk, North Carolina. "The locals have been really nice, telling me what I needed to buy to get ready."

Rip currents and stormy seas were reported all the way up the East Coast, from Florida to Maine.

Earl will make its closest pass to New Jersey on Friday afternoon, Morris said. It is expected to make its closest pass to Cape Cod, Massachusetts, on Friday night as a Category 1 hurricane.

Tourist towns on Cape see effects from Earl

The long duration of tropical-storm-force winds threatens widespread power outages in parts of the South and the mid-Atlantic region, he said.

Earl is expected to make a direct landfall over southern Nova Scotia on Saturday morning as a strong Category 1 hurricane.

The storm will turn northeast as it collides with a cold front, said National Hurricane Center director Bill Read. But the hurricane was undergoing a phenomenon known as eyewall replacement, in which the existing eyewall weakens and a new one forms. That means the eye likely will grow in diameter and the storm will grow even larger as hurricane force winds stretch farther out, he said.

Several airlines said Wednesday that passengers to and from cities along the Eastern Seaboard, from San Juan, Puerto Rico, to Bangor, Maine, could reschedule travel in coming days without penalty. Though they have not announced cancellations, Air Tran, American Airlines, Continental Airlines and Delta said they would waive reschedule fees for such travelers.

North Carolina Gov. Bev Purdue urged residents and visitors to prepare for the storm and heed evacuation orders.

Indeed, some people were stocking up on food at grocery stores and attaching plywood to windows and doors of coastal homes. However, others thumbed their noses at Earl, set to arrive just ahead of the Labor Day holiday, and said they were staying put.

"We're from Michigan, so we're used to storms," one man said. "But this is our first hurricane, so we're kind of excited about it and hope everything goes well."

"I got three bottles of wine hidden in there," another man said, gesturing toward his grocery bags. "The kids are good with the milk." He said Earl "might ruin some beach time ... looks like it's OK, but we'll keep an eye on the TV."

One sign on the Outer Banks warned, "Earl, you are not welcome here."

CNN's Angela Fritz and Randy Harber contributed to this report.

@highlight

NEW: Just before 11 p.m. ET, sustained winds reported at 105 mph

@highlight

Earl is now a strong Category 2 storm

@highlight

In U.S., warnings and watches stretch from North Carolina to Massachusetts

@highlight

Some people are staying put on Outer Banks: 'I'm looking forward to it'